#!/usr/bin/env python
# **************************************************************************
# *
# * Authors:     J.M. De la Rosa Trevin (delarosatrevin@scilifelab.se) [1]
# *
# * [1] SciLifeLab, Stockholm University
# *
# * This program is free software; you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation; either version 3 of the License, or
# * (at your option) any later version.
# *
# * This program is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with this program; if not, write to the Free Software
# * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# * 02111-1307  USA
# *
# *  All comments concerning this program package may be sent to the
# *  e-mail address 'scipion@cnb.csic.es'
# *
# **************************************************************************
"""
Launch main project window 
"""

import sys
from subprocess import CalledProcessError

from pwem import runProgram
from pyworkflow import Config


def main():
    program = sys.argv[1]
    params = ' '.join('"%s"' % x for x in sys.argv[2:])

    # Initialize plugin discovery and initialization
    Config.getDomain().getPlugins()

    try:
        runProgram(program, params)
    except CalledProcessError as e:
        print("Command %s failed. Exiting with %s" % (e.cmd, e.returncode))
        sys.exit(e.returncode)


if __name__ == '__main__':
    main()
