"""This files contains code to create the atom struct files
for hexon 1 and h2 (chains aA,b,C and D,E,F) of adenovirus
with PDBid= 6qi5
"""
import os

h1="""data_atom
# 
_pdbx_database_status.entry_id                           atom 
_pdbx_database_status.ndb_tid                            ? 
_pdbx_database_status.status_code                        ? 
_pdbx_database_status.status_code_sf                     ? 
_pdbx_database_status.status_code_mr                     ? 
_pdbx_database_status.status_code_cs                     ? 
_pdbx_database_status.status_coordinates_in_NDB          ? 
_pdbx_database_status.recvd_deposit_form                 ? 
_pdbx_database_status.date_deposition_form               ? 
_pdbx_database_status.recvd_coordinates                  ? 
_pdbx_database_status.date_coordinates                   ? 
_pdbx_database_status.recvd_struct_fact                  ? 
_pdbx_database_status.date_struct_fact                   ? 
_pdbx_database_status.recvd_internal_approval            ? 
_pdbx_database_status.recvd_nmr_constraints              ? 
_pdbx_database_status.date_nmr_constraints               ? 
_pdbx_database_status.recvd_chemical_shifts              ? 
_pdbx_database_status.date_chemical_shifts               ? 
_pdbx_database_status.recvd_manuscript                   ? 
_pdbx_database_status.date_manuscript                    ? 
_pdbx_database_status.name_depositor                     ? 
_pdbx_database_status.pdbx_annotator                     ? 
_pdbx_database_status.recvd_author_approval              ? 
_pdbx_database_status.date_author_approval               ? 
_pdbx_database_status.recvd_initial_deposition_date      ? 
_pdbx_database_status.date_submitted                     ? 
_pdbx_database_status.author_approval_type               ? 
_pdbx_database_status.author_release_status_code         ? 
_pdbx_database_status.auth_req_rel_date                  ? 
_pdbx_database_status.date_revised                       ? 
_pdbx_database_status.revision_id                        ? 
_pdbx_database_status.replaced_entry_id                  ? 
_pdbx_database_status.revision_description               ? 
_pdbx_database_status.date_of_NDB_release                ? 
_pdbx_database_status.date_released_to_PDB               ? 
_pdbx_database_status.date_of_PDB_release                ? 
_pdbx_database_status.date_of_sf_release                 ? 
_pdbx_database_status.date_of_mr_release                 ? 
_pdbx_database_status.date_of_cs_release                 ? 
_pdbx_database_status.date_hold_coordinates              ? 
_pdbx_database_status.date_hold_struct_fact              ? 
_pdbx_database_status.hold_for_publication               ? 
_pdbx_database_status.date_hold_nmr_constraints          ? 
_pdbx_database_status.date_hold_chemical_shifts          ? 
_pdbx_database_status.dep_release_code_coordinates       ? 
_pdbx_database_status.dep_release_code_struct_fact       ? 
_pdbx_database_status.dep_release_code_nmr_constraints   ? 
_pdbx_database_status.dep_release_code_chemical_shifts   ? 
_pdbx_database_status.dep_release_code_sequence          ? 
_pdbx_database_status.pdb_date_of_author_approval        ? 
_pdbx_database_status.deposit_site                       ? 
_pdbx_database_status.process_site                       ? 
_pdbx_database_status.skip_PDB_REMARK                    ? 
_pdbx_database_status.SG_entry                           ? 
_pdbx_database_status.date_begin_deposition              ? 
_pdbx_database_status.date_author_release_request        ? 
_pdbx_database_status.date_begin_release_preparation     ? 
_pdbx_database_status.date_begin_processing              ? 
_pdbx_database_status.date_end_processing                ? 
_pdbx_database_status.pdb_format_compatible              Y 
_pdbx_database_status.title_suppression                  ? 
_pdbx_database_status.methods_development_category       ? 
# 
loop_
_entity_poly.entity_id 
_entity_poly.type 
_entity_poly.nstd_linkage 
_entity_poly.nstd_monomer 
_entity_poly.pdbx_seq_one_letter_code 
_entity_poly.pdbx_seq_one_letter_code_can 
_entity_poly.pdbx_sequence_evidence_code 
_entity_poly.pdbx_strand_id 
_entity_poly.pdbx_target_identifier 
1 "polypeptide(L)" no no 
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVVINQPTRSGISVAYLRLPFASG
;
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVVINQPTRSGISVAYLRLPFASG
;
"derived from coordinates" A ? 
2 "polypeptide(L)" no no 
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVINQPTRSGISVAYLRLPFASG
;
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVINQPTRSGISVAYLRLPFASG
;
"derived from coordinates" B ? 
3 "polypeptide(L)" no no 
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVVINQPTRSGISVAYLRLPFASGSA
;
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVVINQPTRSGISVAYLRLPFASGSA
;
"derived from coordinates" C ? 
# 
loop_
_entity_poly_seq.entity_id 
_entity_poly_seq.num 
_entity_poly_seq.mon_id 
_entity_poly_seq.hetero 
1 1   MET n 
1 2   GLU n 
1 3   PRO n 
1 4   GLN n 
1 5   ARG n 
1 6   GLU n 
1 7   PHE n 
1 8   PHE n 
1 9   HIS n 
1 10  ILE n 
1 11  ALA n 
1 12  GLY n 
1 13  ARG n 
1 14  SER n 
1 15  ALA n 
1 16  LYS n 
1 17  GLU n 
1 18  TYR n 
1 19  LEU n 
1 20  SER n 
1 21  GLU n 
1 22  ASN n 
1 23  LEU n 
1 24  VAL n 
1 25  GLN n 
1 26  PHE n 
1 27  ILE n 
1 28  GLN n 
1 29  ALA n 
1 30  THR n 
1 31  GLN n 
1 32  ASN n 
1 33  TYR n 
1 34  PHE n 
1 35  ASN n 
1 36  ILE n 
1 37  GLY n 
1 38  GLU n 
1 39  LYS n 
1 40  PHE n 
1 41  ARG n 
1 42  ASP n 
1 43  PRO n 
1 44  TYR n 
1 45  VAL n 
1 46  ALA n 
1 47  PRO n 
1 48  SER n 
1 49  ALA n 
1 50  GLY n 
1 51  VAL n 
1 52  THR n 
1 53  THR n 
1 54  ASP n 
1 55  ARG n 
1 56  SER n 
1 57  GLN n 
1 58  LYS n 
1 59  LEU n 
1 60  GLN n 
1 61  LEU n 
1 62  ARG n 
1 63  VAL n 
1 64  VAL n 
1 65  PRO n 
1 66  ILE n 
1 67  GLN n 
1 68  THR n 
1 69  GLU n 
1 70  ASP n 
1 71  ASN n 
1 72  VAL n 
1 73  ASN n 
1 74  TYR n 
1 75  TYR n 
1 76  LYS n 
1 77  ALA n 
1 78  ARG n 
1 79  PHE n 
1 80  THR n 
1 81  LEU n 
1 82  ASN n 
1 83  VAL n 
1 84  GLY n 
1 85  ASP n 
1 86  ASN n 
1 87  ARG n 
1 88  LEU n 
1 89  VAL n 
1 90  ASP n 
1 91  LEU n 
1 92  GLY n 
1 93  SER n 
1 94  SER n 
1 95  TYR n 
1 96  PHE n 
1 97  ASP n 
1 98  ILE n 
1 99  LYS n 
1 100 GLY n 
1 101 THR n 
1 102 LEU n 
1 103 ASP n 
1 104 ARG n 
1 105 GLY n 
1 106 PRO n 
1 107 SER n 
1 108 PHE n 
1 109 LYS n 
1 110 PRO n 
1 111 TYR n 
1 112 GLY n 
1 113 GLY n 
1 114 THR n 
1 115 ALA n 
1 116 TYR n 
1 117 ASN n 
1 118 PRO n 
1 119 LEU n 
1 120 ALA n 
1 121 PRO n 
1 122 LYS n 
1 123 SER n 
1 124 ALA n 
1 125 PRO n 
1 126 ILE n 
1 127 ASN n 
1 128 SER n 
1 129 ALA n 
1 130 PHE n 
1 131 THR n 
1 132 VAL n 
1 133 GLY n 
1 134 ASN n 
1 135 ASP n 
1 136 THR n 
1 137 HIS n 
1 138 PHE n 
1 139 VAL n 
1 140 ALA n 
1 141 GLN n 
1 142 LEU n 
1 143 PRO n 
1 144 GLN n 
1 145 THR n 
1 146 TYR n 
1 147 ALA n 
1 148 ALA n 
1 149 GLY n 
1 150 GLY n 
1 151 THR n 
1 152 GLY n 
1 153 VAL n 
1 154 THR n 
1 155 GLU n 
1 156 ALA n 
1 157 ILE n 
1 158 GLN n 
1 159 GLN n 
1 160 GLN n 
1 161 VAL n 
1 162 SER n 
1 163 GLY n 
1 164 VAL n 
1 165 ASP n 
1 166 PRO n 
1 167 ASN n 
1 168 PRO n 
1 169 GLN n 
1 170 VAL n 
1 171 GLY n 
1 172 GLN n 
1 173 PRO n 
1 174 ASN n 
1 175 TYR n 
1 176 ALA n 
1 177 GLY n 
1 178 PRO n 
1 179 VAL n 
1 180 VAL n 
1 181 VAL n 
1 182 ASN n 
1 183 THR n 
1 184 THR n 
1 185 ASN n 
1 186 ASN n 
1 187 ALA n 
1 188 GLY n 
1 189 LEU n 
1 190 GLY n 
1 191 ARG n 
1 192 ILE n 
1 193 VAL n 
1 194 SER n 
1 195 ALA n 
1 196 ASP n 
1 197 SER n 
1 198 GLU n 
1 199 GLY n 
1 200 GLN n 
1 201 GLN n 
1 202 PHE n 
1 203 PRO n 
1 204 CYS n 
1 205 TYR n 
1 206 GLY n 
1 207 ALA n 
1 208 TYR n 
1 209 ALA n 
1 210 PRO n 
1 211 PRO n 
1 212 GLN n 
1 213 SER n 
1 214 ALA n 
1 215 GLY n 
1 216 GLY n 
1 217 ASP n 
1 218 VAL n 
1 219 SER n 
1 220 THR n 
1 221 ALA n 
1 222 ALA n 
1 223 VAL n 
1 224 THR n 
1 225 LYS n 
1 226 THR n 
1 227 TYR n 
1 228 ILE n 
1 229 ASN n 
1 230 THR n 
1 231 THR n 
1 232 ASN n 
1 233 ASN n 
1 234 ASN n 
1 235 GLY n 
1 236 ARG n 
1 237 VAL n 
1 238 SER n 
1 239 GLY n 
1 240 THR n 
1 241 MET n 
1 242 ALA n 
1 243 THR n 
1 244 ASP n 
1 245 THR n 
1 246 ILE n 
1 247 THR n 
1 248 TRP n 
1 249 GLU n 
1 250 ASN n 
1 251 PRO n 
1 252 ASP n 
1 253 ALA n 
1 254 HIS n 
1 255 PHE n 
1 256 ALA n 
1 257 ASP n 
1 258 PHE n 
1 259 VAL n 
1 260 ASP n 
1 261 ASP n 
1 262 ARG n 
1 263 ARG n 
1 264 ALA n 
1 265 THR n 
1 266 ALA n 
1 267 ALA n 
1 268 GLY n 
1 269 ASN n 
1 270 ARG n 
1 271 PRO n 
1 272 ASN n 
1 273 TYR n 
1 274 ILE n 
1 275 GLY n 
1 276 PHE n 
1 277 ARG n 
1 278 ASP n 
1 279 ASN n 
1 280 PHE n 
1 281 ILE n 
1 282 GLY n 
1 283 MET n 
1 284 MET n 
1 285 TYR n 
1 286 TYR n 
1 287 ASN n 
1 288 SER n 
1 289 GLY n 
1 290 SER n 
1 291 ASN n 
1 292 THR n 
1 293 GLY n 
1 294 SER n 
1 295 PHE n 
1 296 SER n 
1 297 SER n 
1 298 GLN n 
1 299 THR n 
1 300 GLN n 
1 301 GLN n 
1 302 LEU n 
1 303 ASN n 
1 304 ILE n 
1 305 VAL n 
1 306 LEU n 
1 307 ASP n 
1 308 LEU n 
1 309 ASN n 
1 310 ASP n 
1 311 ARG n 
1 312 ASN n 
1 313 SER n 
1 314 GLU n 
1 315 LEU n 
1 316 SER n 
1 317 TYR n 
1 318 GLN n 
1 319 TYR n 
1 320 LEU n 
1 321 LEU n 
1 322 ALA n 
1 323 ASP n 
1 324 LEU n 
1 325 THR n 
1 326 SER n 
1 327 ARG n 
1 328 TRP n 
1 329 HIS n 
1 330 TYR n 
1 331 PHE n 
1 332 ALA n 
1 333 LEU n 
1 334 TRP n 
1 335 ASN n 
1 336 GLN n 
1 337 ALA n 
1 338 VAL n 
1 339 ASP n 
1 340 ASP n 
1 341 TYR n 
1 342 ASP n 
1 343 HIS n 
1 344 HIS n 
1 345 VAL n 
1 346 ARG n 
1 347 ILE n 
1 348 LEU n 
1 349 GLU n 
1 350 ASN n 
1 351 ASP n 
1 352 GLY n 
1 353 TYR n 
1 354 GLU n 
1 355 GLU n 
1 356 GLY n 
1 357 PRO n 
1 358 PRO n 
1 359 ASN n 
1 360 LEU n 
1 361 ALA n 
1 362 PHE n 
1 363 PRO n 
1 364 PRO n 
1 365 HIS n 
1 366 VAL n 
1 367 ILE n 
1 368 SER n 
1 369 ASN n 
1 370 PRO n 
1 371 PHE n 
1 372 ALA n 
1 373 PRO n 
1 374 ALA n 
1 375 ALA n 
1 376 VAL n 
1 377 GLY n 
1 378 THR n 
1 379 GLY n 
1 380 MET n 
1 381 THR n 
1 382 VAL n 
1 383 ASN n 
1 384 GLU n 
1 385 GLN n 
1 386 GLN n 
1 387 GLN n 
1 388 THR n 
1 389 ALA n 
1 390 ALA n 
1 391 VAL n 
1 392 THR n 
1 393 ALA n 
1 394 ASN n 
1 395 THR n 
1 396 VAL n 
1 397 ALA n 
1 398 LEU n 
1 399 ILE n 
1 400 GLY n 
1 401 TYR n 
1 402 GLY n 
1 403 ASN n 
1 404 ILE n 
1 405 PRO n 
1 406 ALA n 
1 407 VAL n 
1 408 GLU n 
1 409 MET n 
1 410 ASN n 
1 411 LEU n 
1 412 PRO n 
1 413 ALA n 
1 414 ASN n 
1 415 LEU n 
1 416 LYS n 
1 417 ARG n 
1 418 THR n 
1 419 PHE n 
1 420 LEU n 
1 421 TYR n 
1 422 SER n 
1 423 ASN n 
1 424 VAL n 
1 425 ALA n 
1 426 MET n 
1 427 TYR n 
1 428 LEU n 
1 429 PRO n 
1 430 ASP n 
1 431 THR n 
1 432 TYR n 
1 433 LYS n 
1 434 PHE n 
1 435 THR n 
1 436 PRO n 
1 437 ALA n 
1 438 ASN n 
1 439 VAL n 
1 440 ASP n 
1 441 LEU n 
1 442 PRO n 
1 443 GLU n 
1 444 ASN n 
1 445 HIS n 
1 446 LEU n 
1 447 SER n 
1 448 TYR n 
1 449 GLY n 
1 450 TYR n 
1 451 ILE n 
1 452 ASN n 
1 453 GLY n 
1 454 ARG n 
1 455 LEU n 
1 456 PRO n 
1 457 LEU n 
1 458 PRO n 
1 459 ASN n 
1 460 ILE n 
1 461 VAL n 
1 462 ASP n 
1 463 THR n 
1 464 TRP n 
1 465 THR n 
1 466 ASP n 
1 467 ILE n 
1 468 GLY n 
1 469 ALA n 
1 470 ARG n 
1 471 TRP n 
1 472 SER n 
1 473 LEU n 
1 474 ASP n 
1 475 VAL n 
1 476 MET n 
1 477 ASP n 
1 478 THR n 
1 479 VAL n 
1 480 ASN n 
1 481 PRO n 
1 482 PHE n 
1 483 ASN n 
1 484 HIS n 
1 485 HIS n 
1 486 ARG n 
1 487 ASN n 
1 488 THR n 
1 489 GLY n 
1 490 LEU n 
1 491 LYS n 
1 492 TYR n 
1 493 ARG n 
1 494 SER n 
1 495 GLN n 
1 496 LEU n 
1 497 LEU n 
1 498 GLY n 
1 499 ASN n 
1 500 GLY n 
1 501 ARG n 
1 502 TYR n 
1 503 CYS n 
1 504 ASP n 
1 505 PHE n 
1 506 HIS n 
1 507 ILE n 
1 508 GLN n 
1 509 VAL n 
1 510 PRO n 
1 511 GLN n 
1 512 LYS n 
1 513 PHE n 
1 514 PHE n 
1 515 ALA n 
1 516 ILE n 
1 517 LYS n 
1 518 ASN n 
1 519 LEU n 
1 520 LEU n 
1 521 LEU n 
1 522 LEU n 
1 523 PRO n 
1 524 GLY n 
1 525 THR n 
1 526 TYR n 
1 527 ASN n 
1 528 TYR n 
1 529 GLU n 
1 530 TRP n 
1 531 TYR n 
1 532 PHE n 
1 533 ARG n 
1 534 LYS n 
1 535 ASP n 
1 536 PRO n 
1 537 ASN n 
1 538 MET n 
1 539 VAL n 
1 540 LEU n 
1 541 GLN n 
1 542 SER n 
1 543 THR n 
1 544 LEU n 
1 545 GLY n 
1 546 ASN n 
1 547 ASP n 
1 548 LEU n 
1 549 ARG n 
1 550 ALA n 
1 551 ASP n 
1 552 GLY n 
1 553 ALA n 
1 554 SER n 
1 555 ILE n 
1 556 THR n 
1 557 TYR n 
1 558 THR n 
1 559 GLN n 
1 560 ILE n 
1 561 ASN n 
1 562 LEU n 
1 563 TYR n 
1 564 VAL n 
1 565 SER n 
1 566 PHE n 
1 567 PHE n 
1 568 PRO n 
1 569 MET n 
1 570 ASN n 
1 571 TYR n 
1 572 ASP n 
1 573 THR n 
1 574 GLN n 
1 575 SER n 
1 576 GLU n 
1 577 LEU n 
1 578 GLU n 
1 579 LEU n 
1 580 MET n 
1 581 LEU n 
1 582 ARG n 
1 583 ASN n 
1 584 ALA n 
1 585 THR n 
1 586 ASN n 
1 587 ASP n 
1 588 GLN n 
1 589 ASN n 
1 590 PHE n 
1 591 SER n 
1 592 ASP n 
1 593 TYR n 
1 594 LEU n 
1 595 GLY n 
1 596 ALA n 
1 597 VAL n 
1 598 ASN n 
1 599 ASN n 
1 600 LEU n 
1 601 TYR n 
1 602 GLN n 
1 603 ILE n 
1 604 PRO n 
1 605 ALA n 
1 606 GLY n 
1 607 SER n 
1 608 SER n 
1 609 THR n 
1 610 VAL n 
1 611 VAL n 
1 612 VAL n 
1 613 ASN n 
1 614 ILE n 
1 615 PRO n 
1 616 ASP n 
1 617 ARG n 
1 618 SER n 
1 619 TRP n 
1 620 GLY n 
1 621 ALA n 
1 622 PHE n 
1 623 ARG n 
1 624 GLY n 
1 625 TRP n 
1 626 SER n 
1 627 PHE n 
1 628 THR n 
1 629 ARG n 
1 630 LEU n 
1 631 LYS n 
1 632 VAL n 
1 633 SER n 
1 634 GLU n 
1 635 THR n 
1 636 PRO n 
1 637 ARG n 
1 638 ILE n 
1 639 GLY n 
1 640 ALA n 
1 641 THR n 
1 642 GLN n 
1 643 ASP n 
1 644 PRO n 
1 645 ASN n 
1 646 PHE n 
1 647 GLN n 
1 648 TYR n 
1 649 SER n 
1 650 GLY n 
1 651 SER n 
1 652 ILE n 
1 653 PRO n 
1 654 TYR n 
1 655 LEU n 
1 656 ASP n 
1 657 GLY n 
1 658 THR n 
1 659 PHE n 
1 660 TYR n 
1 661 LEU n 
1 662 SER n 
1 663 HIS n 
1 664 THR n 
1 665 PHE n 
1 666 GLN n 
1 667 ARG n 
1 668 CYS n 
1 669 SER n 
1 670 ILE n 
1 671 GLN n 
1 672 TRP n 
1 673 ASP n 
1 674 SER n 
1 675 SER n 
1 676 VAL n 
1 677 PRO n 
1 678 TRP n 
1 679 PRO n 
1 680 GLY n 
1 681 ASN n 
1 682 ASP n 
1 683 ARG n 
1 684 MET n 
1 685 LEU n 
1 686 THR n 
1 687 PRO n 
1 688 ASN n 
1 689 TRP n 
1 690 PHE n 
1 691 GLU n 
1 692 ILE n 
1 693 LYS n 
1 694 ARG n 
1 695 PRO n 
1 696 ILE n 
1 697 ASN n 
1 698 GLN n 
1 699 ASP n 
1 700 ALA n 
1 701 GLU n 
1 702 GLY n 
1 703 ASN n 
1 704 ASP n 
1 705 THR n 
1 706 MET n 
1 707 GLN n 
1 708 SER n 
1 709 ASN n 
1 710 LEU n 
1 711 THR n 
1 712 LYS n 
1 713 ASP n 
1 714 PHE n 
1 715 PHE n 
1 716 MET n 
1 717 VAL n 
1 718 GLN n 
1 719 MET n 
1 720 ALA n 
1 721 ALA n 
1 722 SER n 
1 723 TYR n 
1 724 ASN n 
1 725 GLN n 
1 726 GLY n 
1 727 TYR n 
1 728 GLN n 
1 729 GLY n 
1 730 PHE n 
1 731 ASN n 
1 732 TRP n 
1 733 PRO n 
1 734 ASN n 
1 735 CYS n 
1 736 THR n 
1 737 LYS n 
1 738 HIS n 
1 739 TYR n 
1 740 GLY n 
1 741 PHE n 
1 742 ILE n 
1 743 ASN n 
1 744 ASN n 
1 745 PHE n 
1 746 GLU n 
1 747 PRO n 
1 748 MET n 
1 749 SER n 
1 750 ARG n 
1 751 GLN n 
1 752 VAL n 
1 753 PRO n 
1 754 GLU n 
1 755 TYR n 
1 756 GLY n 
1 757 ALA n 
1 758 ASN n 
1 759 TYR n 
1 760 PRO n 
1 761 ASN n 
1 762 LEU n 
1 763 MET n 
1 764 ALA n 
1 765 ALA n 
1 766 TYR n 
1 767 LEU n 
1 768 ALA n 
1 769 ASN n 
1 770 PRO n 
1 771 GLN n 
1 772 THR n 
1 773 MET n 
1 774 PRO n 
1 775 ILE n 
1 776 TRP n 
1 777 ASN n 
1 778 ASN n 
1 779 CYS n 
1 780 GLY n 
1 781 PHE n 
1 782 GLN n 
1 783 GLN n 
1 784 LYS n 
1 785 THR n 
1 786 ALA n 
1 787 THR n 
1 788 ASN n 
1 789 VAL n 
1 790 LEU n 
1 791 LEU n 
1 792 GLU n 
1 793 ARG n 
1 794 CYS n 
1 795 GLY n 
1 796 HIS n 
1 797 PRO n 
1 798 TYR n 
1 799 VAL n 
1 800 ALA n 
1 801 ASN n 
1 802 TRP n 
1 803 PRO n 
1 804 TYR n 
1 805 PRO n 
1 806 LEU n 
1 807 SER n 
1 808 GLY n 
1 809 ARG n 
1 810 ASN n 
1 811 ALA n 
1 812 VAL n 
1 813 PRO n 
1 814 ASN n 
1 815 GLN n 
1 816 VAL n 
1 817 THR n 
1 818 GLU n 
1 819 ARG n 
1 820 LYS n 
1 821 PHE n 
1 822 LEU n 
1 823 VAL n 
1 824 ASP n 
1 825 ARG n 
1 826 TYR n 
1 827 LEU n 
1 828 TRP n 
1 829 GLN n 
1 830 ILE n 
1 831 PRO n 
1 832 PHE n 
1 833 SER n 
1 834 SER n 
1 835 ASN n 
1 836 PHE n 
1 837 LEU n 
1 838 ASN n 
1 839 MET n 
1 840 GLY n 
1 841 THR n 
1 842 LEU n 
1 843 THR n 
1 844 ASP n 
1 845 LEU n 
1 846 GLY n 
1 847 GLN n 
1 848 ASN n 
1 849 VAL n 
1 850 MET n 
1 851 TYR n 
1 852 ALA n 
1 853 ASN n 
1 854 SER n 
1 855 SER n 
1 856 HIS n 
1 857 SER n 
1 858 LEU n 
1 859 ASN n 
1 860 MET n 
1 861 GLN n 
1 862 PHE n 
1 863 THR n 
1 864 VAL n 
1 865 ASP n 
1 866 PRO n 
1 867 MET n 
1 868 THR n 
1 869 GLU n 
1 870 PRO n 
1 871 THR n 
1 872 TYR n 
1 873 LEU n 
1 874 MET n 
1 875 LEU n 
1 876 LEU n 
1 877 PHE n 
1 878 GLY n 
1 879 VAL n 
1 880 PHE n 
1 881 ASP n 
1 882 GLN n 
1 883 VAL n 
1 884 VAL n 
1 885 ILE n 
1 886 ASN n 
1 887 GLN n 
1 888 PRO n 
1 889 THR n 
1 890 ARG n 
1 891 SER n 
1 892 GLY n 
1 893 ILE n 
1 894 SER n 
1 895 VAL n 
1 896 ALA n 
1 897 TYR n 
1 898 LEU n 
1 899 ARG n 
1 900 LEU n 
1 901 PRO n 
1 902 PHE n 
1 903 ALA n 
1 904 SER n 
1 905 GLY n 
2 1   MET n 
2 2   GLU n 
2 3   PRO n 
2 4   GLN n 
2 5   ARG n 
2 6   GLU n 
2 7   PHE n 
2 8   PHE n 
2 9   HIS n 
2 10  ILE n 
2 11  ALA n 
2 12  GLY n 
2 13  ARG n 
2 14  SER n 
2 15  ALA n 
2 16  LYS n 
2 17  GLU n 
2 18  TYR n 
2 19  LEU n 
2 20  SER n 
2 21  GLU n 
2 22  ASN n 
2 23  LEU n 
2 24  VAL n 
2 25  GLN n 
2 26  PHE n 
2 27  ILE n 
2 28  GLN n 
2 29  ALA n 
2 30  THR n 
2 31  GLN n 
2 32  ASN n 
2 33  TYR n 
2 34  PHE n 
2 35  ASN n 
2 36  ILE n 
2 37  GLY n 
2 38  GLU n 
2 39  LYS n 
2 40  PHE n 
2 41  ARG n 
2 42  ASP n 
2 43  PRO n 
2 44  TYR n 
2 45  VAL n 
2 46  ALA n 
2 47  PRO n 
2 48  SER n 
2 49  ALA n 
2 50  GLY n 
2 51  VAL n 
2 52  THR n 
2 53  THR n 
2 54  ASP n 
2 55  ARG n 
2 56  SER n 
2 57  GLN n 
2 58  LYS n 
2 59  LEU n 
2 60  GLN n 
2 61  LEU n 
2 62  ARG n 
2 63  VAL n 
2 64  VAL n 
2 65  PRO n 
2 66  ILE n 
2 67  GLN n 
2 68  THR n 
2 69  GLU n 
2 70  ASP n 
2 71  ASN n 
2 72  VAL n 
2 73  ASN n 
2 74  TYR n 
2 75  TYR n 
2 76  LYS n 
2 77  ALA n 
2 78  ARG n 
2 79  PHE n 
2 80  THR n 
2 81  LEU n 
2 82  ASN n 
2 83  VAL n 
2 84  GLY n 
2 85  ASP n 
2 86  ASN n 
2 87  ARG n 
2 88  LEU n 
2 89  VAL n 
2 90  ASP n 
2 91  LEU n 
2 92  GLY n 
2 93  SER n 
2 94  SER n 
2 95  TYR n 
2 96  PHE n 
2 97  ASP n 
2 98  ILE n 
2 99  LYS n 
2 100 GLY n 
2 101 THR n 
2 102 LEU n 
2 103 ASP n 
2 104 ARG n 
2 105 GLY n 
2 106 PRO n 
2 107 SER n 
2 108 PHE n 
2 109 LYS n 
2 110 PRO n 
2 111 TYR n 
2 112 GLY n 
2 113 GLY n 
2 114 THR n 
2 115 ALA n 
2 116 TYR n 
2 117 ASN n 
2 118 PRO n 
2 119 LEU n 
2 120 ALA n 
2 121 PRO n 
2 122 LYS n 
2 123 SER n 
2 124 ALA n 
2 125 PRO n 
2 126 ILE n 
2 127 ASN n 
2 128 SER n 
2 129 ALA n 
2 130 PHE n 
2 131 THR n 
2 132 VAL n 
2 133 GLY n 
2 134 ASN n 
2 135 ASP n 
2 136 THR n 
2 137 HIS n 
2 138 PHE n 
2 139 VAL n 
2 140 ALA n 
2 141 GLN n 
2 142 LEU n 
2 143 PRO n 
2 144 GLN n 
2 145 THR n 
2 146 TYR n 
2 147 ALA n 
2 148 ALA n 
2 149 GLY n 
2 150 GLY n 
2 151 THR n 
2 152 GLY n 
2 153 VAL n 
2 154 THR n 
2 155 GLU n 
2 156 ALA n 
2 157 ILE n 
2 158 GLN n 
2 159 GLN n 
2 160 GLN n 
2 161 VAL n 
2 162 SER n 
2 163 GLY n 
2 164 VAL n 
2 165 ASP n 
2 166 PRO n 
2 167 ASN n 
2 168 PRO n 
2 169 GLN n 
2 170 VAL n 
2 171 GLY n 
2 172 GLN n 
2 173 PRO n 
2 174 ASN n 
2 175 TYR n 
2 176 ALA n 
2 177 GLY n 
2 178 PRO n 
2 179 VAL n 
2 180 VAL n 
2 181 VAL n 
2 182 ASN n 
2 183 THR n 
2 184 THR n 
2 185 ASN n 
2 186 ASN n 
2 187 ALA n 
2 188 GLY n 
2 189 LEU n 
2 190 GLY n 
2 191 ARG n 
2 192 ILE n 
2 193 VAL n 
2 194 SER n 
2 195 ALA n 
2 196 ASP n 
2 197 SER n 
2 198 GLU n 
2 199 GLY n 
2 200 GLN n 
2 201 GLN n 
2 202 PHE n 
2 203 PRO n 
2 204 CYS n 
2 205 TYR n 
2 206 GLY n 
2 207 ALA n 
2 208 TYR n 
2 209 ALA n 
2 210 PRO n 
2 211 PRO n 
2 212 GLN n 
2 213 SER n 
2 214 ALA n 
2 215 GLY n 
2 216 GLY n 
2 217 ASP n 
2 218 VAL n 
2 219 SER n 
2 220 THR n 
2 221 ALA n 
2 222 ALA n 
2 223 VAL n 
2 224 THR n 
2 225 LYS n 
2 226 THR n 
2 227 TYR n 
2 228 ILE n 
2 229 ASN n 
2 230 THR n 
2 231 THR n 
2 232 ASN n 
2 233 ASN n 
2 234 ASN n 
2 235 GLY n 
2 236 ARG n 
2 237 VAL n 
2 238 SER n 
2 239 GLY n 
2 240 THR n 
2 241 MET n 
2 242 ALA n 
2 243 THR n 
2 244 ASP n 
2 245 THR n 
2 246 ILE n 
2 247 THR n 
2 248 TRP n 
2 249 GLU n 
2 250 ASN n 
2 251 PRO n 
2 252 ASP n 
2 253 ALA n 
2 254 HIS n 
2 255 PHE n 
2 256 ALA n 
2 257 ASP n 
2 258 PHE n 
2 259 VAL n 
2 260 ASP n 
2 261 ASP n 
2 262 ARG n 
2 263 ARG n 
2 264 ALA n 
2 265 THR n 
2 266 ALA n 
2 267 ALA n 
2 268 GLY n 
2 269 ASN n 
2 270 ARG n 
2 271 PRO n 
2 272 ASN n 
2 273 TYR n 
2 274 ILE n 
2 275 GLY n 
2 276 PHE n 
2 277 ARG n 
2 278 ASP n 
2 279 ASN n 
2 280 PHE n 
2 281 ILE n 
2 282 GLY n 
2 283 MET n 
2 284 MET n 
2 285 TYR n 
2 286 TYR n 
2 287 ASN n 
2 288 SER n 
2 289 GLY n 
2 290 SER n 
2 291 ASN n 
2 292 THR n 
2 293 GLY n 
2 294 SER n 
2 295 PHE n 
2 296 SER n 
2 297 SER n 
2 298 GLN n 
2 299 THR n 
2 300 GLN n 
2 301 GLN n 
2 302 LEU n 
2 303 ASN n 
2 304 ILE n 
2 305 VAL n 
2 306 LEU n 
2 307 ASP n 
2 308 LEU n 
2 309 ASN n 
2 310 ASP n 
2 311 ARG n 
2 312 ASN n 
2 313 SER n 
2 314 GLU n 
2 315 LEU n 
2 316 SER n 
2 317 TYR n 
2 318 GLN n 
2 319 TYR n 
2 320 LEU n 
2 321 LEU n 
2 322 ALA n 
2 323 ASP n 
2 324 LEU n 
2 325 THR n 
2 326 SER n 
2 327 ARG n 
2 328 TRP n 
2 329 HIS n 
2 330 TYR n 
2 331 PHE n 
2 332 ALA n 
2 333 LEU n 
2 334 TRP n 
2 335 ASN n 
2 336 GLN n 
2 337 ALA n 
2 338 VAL n 
2 339 ASP n 
2 340 ASP n 
2 341 TYR n 
2 342 ASP n 
2 343 HIS n 
2 344 HIS n 
2 345 VAL n 
2 346 ARG n 
2 347 ILE n 
2 348 LEU n 
2 349 GLU n 
2 350 ASN n 
2 351 ASP n 
2 352 GLY n 
2 353 TYR n 
2 354 GLU n 
2 355 GLU n 
2 356 GLY n 
2 357 PRO n 
2 358 PRO n 
2 359 ASN n 
2 360 LEU n 
2 361 ALA n 
2 362 PHE n 
2 363 PRO n 
2 364 PRO n 
2 365 HIS n 
2 366 VAL n 
2 367 ILE n 
2 368 SER n 
2 369 ASN n 
2 370 PRO n 
2 371 PHE n 
2 372 ALA n 
2 373 PRO n 
2 374 ALA n 
2 375 ALA n 
2 376 VAL n 
2 377 GLY n 
2 378 THR n 
2 379 GLY n 
2 380 MET n 
2 381 THR n 
2 382 VAL n 
2 383 ASN n 
2 384 GLU n 
2 385 GLN n 
2 386 GLN n 
2 387 GLN n 
2 388 THR n 
2 389 ALA n 
2 390 ALA n 
2 391 VAL n 
2 392 THR n 
2 393 ALA n 
2 394 ASN n 
2 395 THR n 
2 396 VAL n 
2 397 ALA n 
2 398 LEU n 
2 399 ILE n 
2 400 GLY n 
2 401 TYR n 
2 402 GLY n 
2 403 ASN n 
2 404 ILE n 
2 405 PRO n 
2 406 ALA n 
2 407 VAL n 
2 408 GLU n 
2 409 MET n 
2 410 ASN n 
2 411 LEU n 
2 412 PRO n 
2 413 ALA n 
2 414 ASN n 
2 415 LEU n 
2 416 LYS n 
2 417 ARG n 
2 418 THR n 
2 419 PHE n 
2 420 LEU n 
2 421 TYR n 
2 422 SER n 
2 423 ASN n 
2 424 VAL n 
2 425 ALA n 
2 426 MET n 
2 427 TYR n 
2 428 LEU n 
2 429 PRO n 
2 430 ASP n 
2 431 THR n 
2 432 TYR n 
2 433 LYS n 
2 434 PHE n 
2 435 THR n 
2 436 PRO n 
2 437 ALA n 
2 438 ASN n 
2 439 VAL n 
2 440 ASP n 
2 441 LEU n 
2 442 PRO n 
2 443 GLU n 
2 444 ASN n 
2 445 HIS n 
2 446 LEU n 
2 447 SER n 
2 448 TYR n 
2 449 GLY n 
2 450 TYR n 
2 451 ILE n 
2 452 ASN n 
2 453 GLY n 
2 454 ARG n 
2 455 LEU n 
2 456 PRO n 
2 457 LEU n 
2 458 PRO n 
2 459 ASN n 
2 460 ILE n 
2 461 VAL n 
2 462 ASP n 
2 463 THR n 
2 464 TRP n 
2 465 THR n 
2 466 ASP n 
2 467 ILE n 
2 468 GLY n 
2 469 ALA n 
2 470 ARG n 
2 471 TRP n 
2 472 SER n 
2 473 LEU n 
2 474 ASP n 
2 475 VAL n 
2 476 MET n 
2 477 ASP n 
2 478 THR n 
2 479 VAL n 
2 480 ASN n 
2 481 PRO n 
2 482 PHE n 
2 483 ASN n 
2 484 HIS n 
2 485 HIS n 
2 486 ARG n 
2 487 ASN n 
2 488 THR n 
2 489 GLY n 
2 490 LEU n 
2 491 LYS n 
2 492 TYR n 
2 493 ARG n 
2 494 SER n 
2 495 GLN n 
2 496 LEU n 
2 497 LEU n 
2 498 GLY n 
2 499 ASN n 
2 500 GLY n 
2 501 ARG n 
2 502 TYR n 
2 503 CYS n 
2 504 ASP n 
2 505 PHE n 
2 506 HIS n 
2 507 ILE n 
2 508 GLN n 
2 509 VAL n 
2 510 PRO n 
2 511 GLN n 
2 512 LYS n 
2 513 PHE n 
2 514 PHE n 
2 515 ALA n 
2 516 ILE n 
2 517 LYS n 
2 518 ASN n 
2 519 LEU n 
2 520 LEU n 
2 521 LEU n 
2 522 LEU n 
2 523 PRO n 
2 524 GLY n 
2 525 THR n 
2 526 TYR n 
2 527 ASN n 
2 528 TYR n 
2 529 GLU n 
2 530 TRP n 
2 531 TYR n 
2 532 PHE n 
2 533 ARG n 
2 534 LYS n 
2 535 ASP n 
2 536 PRO n 
2 537 ASN n 
2 538 MET n 
2 539 VAL n 
2 540 LEU n 
2 541 GLN n 
2 542 SER n 
2 543 THR n 
2 544 LEU n 
2 545 GLY n 
2 546 ASN n 
2 547 ASP n 
2 548 LEU n 
2 549 ARG n 
2 550 ALA n 
2 551 ASP n 
2 552 GLY n 
2 553 ALA n 
2 554 SER n 
2 555 ILE n 
2 556 THR n 
2 557 TYR n 
2 558 THR n 
2 559 GLN n 
2 560 ILE n 
2 561 ASN n 
2 562 LEU n 
2 563 TYR n 
2 564 VAL n 
2 565 SER n 
2 566 PHE n 
2 567 PHE n 
2 568 PRO n 
2 569 MET n 
2 570 ASN n 
2 571 TYR n 
2 572 ASP n 
2 573 THR n 
2 574 GLN n 
2 575 SER n 
2 576 GLU n 
2 577 LEU n 
2 578 GLU n 
2 579 LEU n 
2 580 MET n 
2 581 LEU n 
2 582 ARG n 
2 583 ASN n 
2 584 ALA n 
2 585 THR n 
2 586 ASN n 
2 587 ASP n 
2 588 GLN n 
2 589 ASN n 
2 590 PHE n 
2 591 SER n 
2 592 ASP n 
2 593 TYR n 
2 594 LEU n 
2 595 GLY n 
2 596 ALA n 
2 597 VAL n 
2 598 ASN n 
2 599 ASN n 
2 600 LEU n 
2 601 TYR n 
2 602 GLN n 
2 603 ILE n 
2 604 PRO n 
2 605 ALA n 
2 606 GLY n 
2 607 SER n 
2 608 SER n 
2 609 THR n 
2 610 VAL n 
2 611 VAL n 
2 612 VAL n 
2 613 ASN n 
2 614 ILE n 
2 615 PRO n 
2 616 ASP n 
2 617 ARG n 
2 618 SER n 
2 619 TRP n 
2 620 GLY n 
2 621 ALA n 
2 622 PHE n 
2 623 ARG n 
2 624 GLY n 
2 625 TRP n 
2 626 SER n 
2 627 PHE n 
2 628 THR n 
2 629 ARG n 
2 630 LEU n 
2 631 LYS n 
2 632 VAL n 
2 633 SER n 
2 634 GLU n 
2 635 THR n 
2 636 PRO n 
2 637 ARG n 
2 638 ILE n 
2 639 GLY n 
2 640 ALA n 
2 641 THR n 
2 642 GLN n 
2 643 ASP n 
2 644 PRO n 
2 645 ASN n 
2 646 PHE n 
2 647 GLN n 
2 648 TYR n 
2 649 SER n 
2 650 GLY n 
2 651 SER n 
2 652 ILE n 
2 653 PRO n 
2 654 TYR n 
2 655 LEU n 
2 656 ASP n 
2 657 GLY n 
2 658 THR n 
2 659 PHE n 
2 660 TYR n 
2 661 LEU n 
2 662 SER n 
2 663 HIS n 
2 664 THR n 
2 665 PHE n 
2 666 GLN n 
2 667 ARG n 
2 668 CYS n 
2 669 SER n 
2 670 ILE n 
2 671 GLN n 
2 672 TRP n 
2 673 ASP n 
2 674 SER n 
2 675 SER n 
2 676 VAL n 
2 677 PRO n 
2 678 TRP n 
2 679 PRO n 
2 680 GLY n 
2 681 ASN n 
2 682 ASP n 
2 683 ARG n 
2 684 MET n 
2 685 LEU n 
2 686 THR n 
2 687 PRO n 
2 688 ASN n 
2 689 TRP n 
2 690 PHE n 
2 691 GLU n 
2 692 ILE n 
2 693 LYS n 
2 694 ARG n 
2 695 PRO n 
2 696 ILE n 
2 697 ASN n 
2 698 GLN n 
2 699 ASP n 
2 700 ALA n 
2 701 GLU n 
2 702 GLY n 
2 703 ASN n 
2 704 ASP n 
2 705 THR n 
2 706 MET n 
2 707 GLN n 
2 708 SER n 
2 709 ASN n 
2 710 LEU n 
2 711 THR n 
2 712 LYS n 
2 713 ASP n 
2 714 PHE n 
2 715 PHE n 
2 716 MET n 
2 717 VAL n 
2 718 GLN n 
2 719 MET n 
2 720 ALA n 
2 721 ALA n 
2 722 SER n 
2 723 TYR n 
2 724 ASN n 
2 725 GLN n 
2 726 GLY n 
2 727 TYR n 
2 728 GLN n 
2 729 GLY n 
2 730 PHE n 
2 731 ASN n 
2 732 TRP n 
2 733 PRO n 
2 734 ASN n 
2 735 CYS n 
2 736 THR n 
2 737 LYS n 
2 738 HIS n 
2 739 TYR n 
2 740 GLY n 
2 741 PHE n 
2 742 ILE n 
2 743 ASN n 
2 744 ASN n 
2 745 PHE n 
2 746 GLU n 
2 747 PRO n 
2 748 MET n 
2 749 SER n 
2 750 ARG n 
2 751 GLN n 
2 752 VAL n 
2 753 PRO n 
2 754 GLU n 
2 755 TYR n 
2 756 GLY n 
2 757 ALA n 
2 758 ASN n 
2 759 TYR n 
2 760 PRO n 
2 761 ASN n 
2 762 LEU n 
2 763 MET n 
2 764 ALA n 
2 765 ALA n 
2 766 TYR n 
2 767 LEU n 
2 768 ALA n 
2 769 ASN n 
2 770 PRO n 
2 771 GLN n 
2 772 THR n 
2 773 MET n 
2 774 PRO n 
2 775 ILE n 
2 776 TRP n 
2 777 ASN n 
2 778 ASN n 
2 779 CYS n 
2 780 GLY n 
2 781 PHE n 
2 782 GLN n 
2 783 GLN n 
2 784 LYS n 
2 785 THR n 
2 786 ALA n 
2 787 THR n 
2 788 ASN n 
2 789 VAL n 
2 790 LEU n 
2 791 LEU n 
2 792 GLU n 
2 793 ARG n 
2 794 CYS n 
2 795 GLY n 
2 796 HIS n 
2 797 PRO n 
2 798 TYR n 
2 799 VAL n 
2 800 ALA n 
2 801 ASN n 
2 802 TRP n 
2 803 PRO n 
2 804 TYR n 
2 805 PRO n 
2 806 LEU n 
2 807 SER n 
2 808 GLY n 
2 809 ARG n 
2 810 ASN n 
2 811 ALA n 
2 812 VAL n 
2 813 PRO n 
2 814 ASN n 
2 815 GLN n 
2 816 VAL n 
2 817 THR n 
2 818 GLU n 
2 819 ARG n 
2 820 LYS n 
2 821 PHE n 
2 822 LEU n 
2 823 VAL n 
2 824 ASP n 
2 825 ARG n 
2 826 TYR n 
2 827 LEU n 
2 828 TRP n 
2 829 GLN n 
2 830 ILE n 
2 831 PRO n 
2 832 PHE n 
2 833 SER n 
2 834 SER n 
2 835 ASN n 
2 836 PHE n 
2 837 LEU n 
2 838 ASN n 
2 839 MET n 
2 840 GLY n 
2 841 THR n 
2 842 LEU n 
2 843 THR n 
2 844 ASP n 
2 845 LEU n 
2 846 GLY n 
2 847 GLN n 
2 848 ASN n 
2 849 VAL n 
2 850 MET n 
2 851 TYR n 
2 852 ALA n 
2 853 ASN n 
2 854 SER n 
2 855 SER n 
2 856 HIS n 
2 857 SER n 
2 858 LEU n 
2 859 ASN n 
2 860 MET n 
2 861 GLN n 
2 862 PHE n 
2 863 THR n 
2 864 VAL n 
2 865 ASP n 
2 866 PRO n 
2 867 MET n 
2 868 THR n 
2 869 GLU n 
2 870 PRO n 
2 871 THR n 
2 872 TYR n 
2 873 LEU n 
2 874 MET n 
2 875 LEU n 
2 876 LEU n 
2 877 PHE n 
2 878 GLY n 
2 879 VAL n 
2 880 PHE n 
2 881 ASP n 
2 882 GLN n 
2 883 VAL n 
2 884 ILE n 
2 885 ASN n 
2 886 GLN n 
2 887 PRO n 
2 888 THR n 
2 889 ARG n 
2 890 SER n 
2 891 GLY n 
2 892 ILE n 
2 893 SER n 
2 894 VAL n 
2 895 ALA n 
2 896 TYR n 
2 897 LEU n 
2 898 ARG n 
2 899 LEU n 
2 900 PRO n 
2 901 PHE n 
2 902 ALA n 
2 903 SER n 
2 904 GLY n 
3 1   MET n 
3 2   GLU n 
3 3   PRO n 
3 4   GLN n 
3 5   ARG n 
3 6   GLU n 
3 7   PHE n 
3 8   PHE n 
3 9   HIS n 
3 10  ILE n 
3 11  ALA n 
3 12  GLY n 
3 13  ARG n 
3 14  SER n 
3 15  ALA n 
3 16  LYS n 
3 17  GLU n 
3 18  TYR n 
3 19  LEU n 
3 20  SER n 
3 21  GLU n 
3 22  ASN n 
3 23  LEU n 
3 24  VAL n 
3 25  GLN n 
3 26  PHE n 
3 27  ILE n 
3 28  GLN n 
3 29  ALA n 
3 30  THR n 
3 31  GLN n 
3 32  ASN n 
3 33  TYR n 
3 34  PHE n 
3 35  ASN n 
3 36  ILE n 
3 37  GLY n 
3 38  GLU n 
3 39  LYS n 
3 40  PHE n 
3 41  ARG n 
3 42  ASP n 
3 43  PRO n 
3 44  TYR n 
3 45  VAL n 
3 46  ALA n 
3 47  PRO n 
3 48  SER n 
3 49  ALA n 
3 50  GLY n 
3 51  VAL n 
3 52  THR n 
3 53  THR n 
3 54  ASP n 
3 55  ARG n 
3 56  SER n 
3 57  GLN n 
3 58  LYS n 
3 59  LEU n 
3 60  GLN n 
3 61  LEU n 
3 62  ARG n 
3 63  VAL n 
3 64  VAL n 
3 65  PRO n 
3 66  ILE n 
3 67  GLN n 
3 68  THR n 
3 69  GLU n 
3 70  ASP n 
3 71  ASN n 
3 72  VAL n 
3 73  ASN n 
3 74  TYR n 
3 75  TYR n 
3 76  LYS n 
3 77  ALA n 
3 78  ARG n 
3 79  PHE n 
3 80  THR n 
3 81  LEU n 
3 82  ASN n 
3 83  VAL n 
3 84  GLY n 
3 85  ASP n 
3 86  ASN n 
3 87  ARG n 
3 88  LEU n 
3 89  VAL n 
3 90  ASP n 
3 91  LEU n 
3 92  GLY n 
3 93  SER n 
3 94  SER n 
3 95  TYR n 
3 96  PHE n 
3 97  ASP n 
3 98  ILE n 
3 99  LYS n 
3 100 GLY n 
3 101 THR n 
3 102 LEU n 
3 103 ASP n 
3 104 ARG n 
3 105 GLY n 
3 106 PRO n 
3 107 SER n 
3 108 PHE n 
3 109 LYS n 
3 110 PRO n 
3 111 TYR n 
3 112 GLY n 
3 113 GLY n 
3 114 THR n 
3 115 ALA n 
3 116 TYR n 
3 117 ASN n 
3 118 PRO n 
3 119 LEU n 
3 120 ALA n 
3 121 PRO n 
3 122 LYS n 
3 123 SER n 
3 124 ALA n 
3 125 PRO n 
3 126 ILE n 
3 127 ASN n 
3 128 SER n 
3 129 ALA n 
3 130 PHE n 
3 131 THR n 
3 132 VAL n 
3 133 GLY n 
3 134 ASN n 
3 135 ASP n 
3 136 THR n 
3 137 HIS n 
3 138 PHE n 
3 139 VAL n 
3 140 ALA n 
3 141 GLN n 
3 142 LEU n 
3 143 PRO n 
3 144 GLN n 
3 145 THR n 
3 146 TYR n 
3 147 ALA n 
3 148 ALA n 
3 149 GLY n 
3 150 GLY n 
3 151 THR n 
3 152 GLY n 
3 153 VAL n 
3 154 THR n 
3 155 GLU n 
3 156 ALA n 
3 157 ILE n 
3 158 GLN n 
3 159 GLN n 
3 160 GLN n 
3 161 VAL n 
3 162 SER n 
3 163 GLY n 
3 164 VAL n 
3 165 ASP n 
3 166 PRO n 
3 167 ASN n 
3 168 PRO n 
3 169 GLN n 
3 170 VAL n 
3 171 GLY n 
3 172 GLN n 
3 173 PRO n 
3 174 ASN n 
3 175 TYR n 
3 176 ALA n 
3 177 GLY n 
3 178 PRO n 
3 179 VAL n 
3 180 VAL n 
3 181 VAL n 
3 182 ASN n 
3 183 THR n 
3 184 THR n 
3 185 ASN n 
3 186 ASN n 
3 187 ALA n 
3 188 GLY n 
3 189 LEU n 
3 190 GLY n 
3 191 ARG n 
3 192 ILE n 
3 193 VAL n 
3 194 SER n 
3 195 ALA n 
3 196 ASP n 
3 197 SER n 
3 198 GLU n 
3 199 GLY n 
3 200 GLN n 
3 201 GLN n 
3 202 PHE n 
3 203 PRO n 
3 204 CYS n 
3 205 TYR n 
3 206 GLY n 
3 207 ALA n 
3 208 TYR n 
3 209 ALA n 
3 210 PRO n 
3 211 PRO n 
3 212 GLN n 
3 213 SER n 
3 214 ALA n 
3 215 GLY n 
3 216 GLY n 
3 217 ASP n 
3 218 VAL n 
3 219 SER n 
3 220 THR n 
3 221 ALA n 
3 222 ALA n 
3 223 VAL n 
3 224 THR n 
3 225 LYS n 
3 226 THR n 
3 227 TYR n 
3 228 ILE n 
3 229 ASN n 
3 230 THR n 
3 231 THR n 
3 232 ASN n 
3 233 ASN n 
3 234 ASN n 
3 235 GLY n 
3 236 ARG n 
3 237 VAL n 
3 238 SER n 
3 239 GLY n 
3 240 THR n 
3 241 MET n 
3 242 ALA n 
3 243 THR n 
3 244 ASP n 
3 245 THR n 
3 246 ILE n 
3 247 THR n 
3 248 TRP n 
3 249 GLU n 
3 250 ASN n 
3 251 PRO n 
3 252 ASP n 
3 253 ALA n 
3 254 HIS n 
3 255 PHE n 
3 256 ALA n 
3 257 ASP n 
3 258 PHE n 
3 259 VAL n 
3 260 ASP n 
3 261 ASP n 
3 262 ARG n 
3 263 ARG n 
3 264 ALA n 
3 265 THR n 
3 266 ALA n 
3 267 ALA n 
3 268 GLY n 
3 269 ASN n 
3 270 ARG n 
3 271 PRO n 
3 272 ASN n 
3 273 TYR n 
3 274 ILE n 
3 275 GLY n 
3 276 PHE n 
3 277 ARG n 
3 278 ASP n 
3 279 ASN n 
3 280 PHE n 
3 281 ILE n 
3 282 GLY n 
3 283 MET n 
3 284 MET n 
3 285 TYR n 
3 286 TYR n 
3 287 ASN n 
3 288 SER n 
3 289 GLY n 
3 290 SER n 
3 291 ASN n 
3 292 THR n 
3 293 GLY n 
3 294 SER n 
3 295 PHE n 
3 296 SER n 
3 297 SER n 
3 298 GLN n 
3 299 THR n 
3 300 GLN n 
3 301 GLN n 
3 302 LEU n 
3 303 ASN n 
3 304 ILE n 
3 305 VAL n 
3 306 LEU n 
3 307 ASP n 
3 308 LEU n 
3 309 ASN n 
3 310 ASP n 
3 311 ARG n 
3 312 ASN n 
3 313 SER n 
3 314 GLU n 
3 315 LEU n 
3 316 SER n 
3 317 TYR n 
3 318 GLN n 
3 319 TYR n 
3 320 LEU n 
3 321 LEU n 
3 322 ALA n 
3 323 ASP n 
3 324 LEU n 
3 325 THR n 
3 326 SER n 
3 327 ARG n 
3 328 TRP n 
3 329 HIS n 
3 330 TYR n 
3 331 PHE n 
3 332 ALA n 
3 333 LEU n 
3 334 TRP n 
3 335 ASN n 
3 336 GLN n 
3 337 ALA n 
3 338 VAL n 
3 339 ASP n 
3 340 ASP n 
3 341 TYR n 
3 342 ASP n 
3 343 HIS n 
3 344 HIS n 
3 345 VAL n 
3 346 ARG n 
3 347 ILE n 
3 348 LEU n 
3 349 GLU n 
3 350 ASN n 
3 351 ASP n 
3 352 GLY n 
3 353 TYR n 
3 354 GLU n 
3 355 GLU n 
3 356 GLY n 
3 357 PRO n 
3 358 PRO n 
3 359 ASN n 
3 360 LEU n 
3 361 ALA n 
3 362 PHE n 
3 363 PRO n 
3 364 PRO n 
3 365 HIS n 
3 366 VAL n 
3 367 ILE n 
3 368 SER n 
3 369 ASN n 
3 370 PRO n 
3 371 PHE n 
3 372 ALA n 
3 373 PRO n 
3 374 ALA n 
3 375 ALA n 
3 376 VAL n 
3 377 GLY n 
3 378 THR n 
3 379 GLY n 
3 380 MET n 
3 381 THR n 
3 382 VAL n 
3 383 ASN n 
3 384 GLU n 
3 385 GLN n 
3 386 GLN n 
3 387 GLN n 
3 388 THR n 
3 389 ALA n 
3 390 ALA n 
3 391 VAL n 
3 392 THR n 
3 393 ALA n 
3 394 ASN n 
3 395 THR n 
3 396 VAL n 
3 397 ALA n 
3 398 LEU n 
3 399 ILE n 
3 400 GLY n 
3 401 TYR n 
3 402 GLY n 
3 403 ASN n 
3 404 ILE n 
3 405 PRO n 
3 406 ALA n 
3 407 VAL n 
3 408 GLU n 
3 409 MET n 
3 410 ASN n 
3 411 LEU n 
3 412 PRO n 
3 413 ALA n 
3 414 ASN n 
3 415 LEU n 
3 416 LYS n 
3 417 ARG n 
3 418 THR n 
3 419 PHE n 
3 420 LEU n 
3 421 TYR n 
3 422 SER n 
3 423 ASN n 
3 424 VAL n 
3 425 ALA n 
3 426 MET n 
3 427 TYR n 
3 428 LEU n 
3 429 PRO n 
3 430 ASP n 
3 431 THR n 
3 432 TYR n 
3 433 LYS n 
3 434 PHE n 
3 435 THR n 
3 436 PRO n 
3 437 ALA n 
3 438 ASN n 
3 439 VAL n 
3 440 ASP n 
3 441 LEU n 
3 442 PRO n 
3 443 GLU n 
3 444 ASN n 
3 445 HIS n 
3 446 LEU n 
3 447 SER n 
3 448 TYR n 
3 449 GLY n 
3 450 TYR n 
3 451 ILE n 
3 452 ASN n 
3 453 GLY n 
3 454 ARG n 
3 455 LEU n 
3 456 PRO n 
3 457 LEU n 
3 458 PRO n 
3 459 ASN n 
3 460 ILE n 
3 461 VAL n 
3 462 ASP n 
3 463 THR n 
3 464 TRP n 
3 465 THR n 
3 466 ASP n 
3 467 ILE n 
3 468 GLY n 
3 469 ALA n 
3 470 ARG n 
3 471 TRP n 
3 472 SER n 
3 473 LEU n 
3 474 ASP n 
3 475 VAL n 
3 476 MET n 
3 477 ASP n 
3 478 THR n 
3 479 VAL n 
3 480 ASN n 
3 481 PRO n 
3 482 PHE n 
3 483 ASN n 
3 484 HIS n 
3 485 HIS n 
3 486 ARG n 
3 487 ASN n 
3 488 THR n 
3 489 GLY n 
3 490 LEU n 
3 491 LYS n 
3 492 TYR n 
3 493 ARG n 
3 494 SER n 
3 495 GLN n 
3 496 LEU n 
3 497 LEU n 
3 498 GLY n 
3 499 ASN n 
3 500 GLY n 
3 501 ARG n 
3 502 TYR n 
3 503 CYS n 
3 504 ASP n 
3 505 PHE n 
3 506 HIS n 
3 507 ILE n 
3 508 GLN n 
3 509 VAL n 
3 510 PRO n 
3 511 GLN n 
3 512 LYS n 
3 513 PHE n 
3 514 PHE n 
3 515 ALA n 
3 516 ILE n 
3 517 LYS n 
3 518 ASN n 
3 519 LEU n 
3 520 LEU n 
3 521 LEU n 
3 522 LEU n 
3 523 PRO n 
3 524 GLY n 
3 525 THR n 
3 526 TYR n 
3 527 ASN n 
3 528 TYR n 
3 529 GLU n 
3 530 TRP n 
3 531 TYR n 
3 532 PHE n 
3 533 ARG n 
3 534 LYS n 
3 535 ASP n 
3 536 PRO n 
3 537 ASN n 
3 538 MET n 
3 539 VAL n 
3 540 LEU n 
3 541 GLN n 
3 542 SER n 
3 543 THR n 
3 544 LEU n 
3 545 GLY n 
3 546 ASN n 
3 547 ASP n 
3 548 LEU n 
3 549 ARG n 
3 550 ALA n 
3 551 ASP n 
3 552 GLY n 
3 553 ALA n 
3 554 SER n 
3 555 ILE n 
3 556 THR n 
3 557 TYR n 
3 558 THR n 
3 559 GLN n 
3 560 ILE n 
3 561 ASN n 
3 562 LEU n 
3 563 TYR n 
3 564 VAL n 
3 565 SER n 
3 566 PHE n 
3 567 PHE n 
3 568 PRO n 
3 569 MET n 
3 570 ASN n 
3 571 TYR n 
3 572 ASP n 
3 573 THR n 
3 574 GLN n 
3 575 SER n 
3 576 GLU n 
3 577 LEU n 
3 578 GLU n 
3 579 LEU n 
3 580 MET n 
3 581 LEU n 
3 582 ARG n 
3 583 ASN n 
3 584 ALA n 
3 585 THR n 
3 586 ASN n 
3 587 ASP n 
3 588 GLN n 
3 589 ASN n 
3 590 PHE n 
3 591 SER n 
3 592 ASP n 
3 593 TYR n 
3 594 LEU n 
3 595 GLY n 
3 596 ALA n 
3 597 VAL n 
3 598 ASN n 
3 599 ASN n 
3 600 LEU n 
3 601 TYR n 
3 602 GLN n 
3 603 ILE n 
3 604 PRO n 
3 605 ALA n 
3 606 GLY n 
3 607 SER n 
3 608 SER n 
3 609 THR n 
3 610 VAL n 
3 611 VAL n 
3 612 VAL n 
3 613 ASN n 
3 614 ILE n 
3 615 PRO n 
3 616 ASP n 
3 617 ARG n 
3 618 SER n 
3 619 TRP n 
3 620 GLY n 
3 621 ALA n 
3 622 PHE n 
3 623 ARG n 
3 624 GLY n 
3 625 TRP n 
3 626 SER n 
3 627 PHE n 
3 628 THR n 
3 629 ARG n 
3 630 LEU n 
3 631 LYS n 
3 632 VAL n 
3 633 SER n 
3 634 GLU n 
3 635 THR n 
3 636 PRO n 
3 637 ARG n 
3 638 ILE n 
3 639 GLY n 
3 640 ALA n 
3 641 THR n 
3 642 GLN n 
3 643 ASP n 
3 644 PRO n 
3 645 ASN n 
3 646 PHE n 
3 647 GLN n 
3 648 TYR n 
3 649 SER n 
3 650 GLY n 
3 651 SER n 
3 652 ILE n 
3 653 PRO n 
3 654 TYR n 
3 655 LEU n 
3 656 ASP n 
3 657 GLY n 
3 658 THR n 
3 659 PHE n 
3 660 TYR n 
3 661 LEU n 
3 662 SER n 
3 663 HIS n 
3 664 THR n 
3 665 PHE n 
3 666 GLN n 
3 667 ARG n 
3 668 CYS n 
3 669 SER n 
3 670 ILE n 
3 671 GLN n 
3 672 TRP n 
3 673 ASP n 
3 674 SER n 
3 675 SER n 
3 676 VAL n 
3 677 PRO n 
3 678 TRP n 
3 679 PRO n 
3 680 GLY n 
3 681 ASN n 
3 682 ASP n 
3 683 ARG n 
3 684 MET n 
3 685 LEU n 
3 686 THR n 
3 687 PRO n 
3 688 ASN n 
3 689 TRP n 
3 690 PHE n 
3 691 GLU n 
3 692 ILE n 
3 693 LYS n 
3 694 ARG n 
3 695 PRO n 
3 696 ILE n 
3 697 ASN n 
3 698 GLN n 
3 699 ASP n 
3 700 ALA n 
3 701 GLU n 
3 702 GLY n 
3 703 ASN n 
3 704 ASP n 
3 705 THR n 
3 706 MET n 
3 707 GLN n 
3 708 SER n 
3 709 ASN n 
3 710 LEU n 
3 711 THR n 
3 712 LYS n 
3 713 ASP n 
3 714 PHE n 
3 715 PHE n 
3 716 MET n 
3 717 VAL n 
3 718 GLN n 
3 719 MET n 
3 720 ALA n 
3 721 ALA n 
3 722 SER n 
3 723 TYR n 
3 724 ASN n 
3 725 GLN n 
3 726 GLY n 
3 727 TYR n 
3 728 GLN n 
3 729 GLY n 
3 730 PHE n 
3 731 ASN n 
3 732 TRP n 
3 733 PRO n 
3 734 ASN n 
3 735 CYS n 
3 736 THR n 
3 737 LYS n 
3 738 HIS n 
3 739 TYR n 
3 740 GLY n 
3 741 PHE n 
3 742 ILE n 
3 743 ASN n 
3 744 ASN n 
3 745 PHE n 
3 746 GLU n 
3 747 PRO n 
3 748 MET n 
3 749 SER n 
3 750 ARG n 
3 751 GLN n 
3 752 VAL n 
3 753 PRO n 
3 754 GLU n 
3 755 TYR n 
3 756 GLY n 
3 757 ALA n 
3 758 ASN n 
3 759 TYR n 
3 760 PRO n 
3 761 ASN n 
3 762 LEU n 
3 763 MET n 
3 764 ALA n 
3 765 ALA n 
3 766 TYR n 
3 767 LEU n 
3 768 ALA n 
3 769 ASN n 
3 770 PRO n 
3 771 GLN n 
3 772 THR n 
3 773 MET n 
3 774 PRO n 
3 775 ILE n 
3 776 TRP n 
3 777 ASN n 
3 778 ASN n 
3 779 CYS n 
3 780 GLY n 
3 781 PHE n 
3 782 GLN n 
3 783 GLN n 
3 784 LYS n 
3 785 THR n 
3 786 ALA n 
3 787 THR n 
3 788 ASN n 
3 789 VAL n 
3 790 LEU n 
3 791 LEU n 
3 792 GLU n 
3 793 ARG n 
3 794 CYS n 
3 795 GLY n 
3 796 HIS n 
3 797 PRO n 
3 798 TYR n 
3 799 VAL n 
3 800 ALA n 
3 801 ASN n 
3 802 TRP n 
3 803 PRO n 
3 804 TYR n 
3 805 PRO n 
3 806 LEU n 
3 807 SER n 
3 808 GLY n 
3 809 ARG n 
3 810 ASN n 
3 811 ALA n 
3 812 VAL n 
3 813 PRO n 
3 814 ASN n 
3 815 GLN n 
3 816 VAL n 
3 817 THR n 
3 818 GLU n 
3 819 ARG n 
3 820 LYS n 
3 821 PHE n 
3 822 LEU n 
3 823 VAL n 
3 824 ASP n 
3 825 ARG n 
3 826 TYR n 
3 827 LEU n 
3 828 TRP n 
3 829 GLN n 
3 830 ILE n 
3 831 PRO n 
3 832 PHE n 
3 833 SER n 
3 834 SER n 
3 835 ASN n 
3 836 PHE n 
3 837 LEU n 
3 838 ASN n 
3 839 MET n 
3 840 GLY n 
3 841 THR n 
3 842 LEU n 
3 843 THR n 
3 844 ASP n 
3 845 LEU n 
3 846 GLY n 
3 847 GLN n 
3 848 ASN n 
3 849 VAL n 
3 850 MET n 
3 851 TYR n 
3 852 ALA n 
3 853 ASN n 
3 854 SER n 
3 855 SER n 
3 856 HIS n 
3 857 SER n 
3 858 LEU n 
3 859 ASN n 
3 860 MET n 
3 861 GLN n 
3 862 PHE n 
3 863 THR n 
3 864 VAL n 
3 865 ASP n 
3 866 PRO n 
3 867 MET n 
3 868 THR n 
3 869 GLU n 
3 870 PRO n 
3 871 THR n 
3 872 TYR n 
3 873 LEU n 
3 874 MET n 
3 875 LEU n 
3 876 LEU n 
3 877 PHE n 
3 878 GLY n 
3 879 VAL n 
3 880 PHE n 
3 881 ASP n 
3 882 GLN n 
3 883 VAL n 
3 884 VAL n 
3 885 ILE n 
3 886 ASN n 
3 887 GLN n 
3 888 PRO n 
3 889 THR n 
3 890 ARG n 
3 891 SER n 
3 892 GLY n 
3 893 ILE n 
3 894 SER n 
3 895 VAL n 
3 896 ALA n 
3 897 TYR n 
3 898 LEU n 
3 899 ARG n 
3 900 LEU n 
3 901 PRO n 
3 902 PHE n 
3 903 ALA n 
3 904 SER n 
3 905 GLY n 
3 906 SER n 
3 907 ALA n 
# 
loop_
_entity.id 
_entity.type 
_entity.src_method 
_entity.pdbx_description 
_entity.formula_weight 
_entity.pdbx_number_of_molecules 
_entity.pdbx_ec 
_entity.pdbx_mutation 
_entity.pdbx_fragment 
_entity.details 
1 polymer man ? 101531.594 1 ? ? ? ? 
2 polymer man ? 101432.461 1 ? ? ? ? 
3 polymer man ? 101689.750 1 ? ? ? ? 
# 
loop_
_pdbx_poly_seq_scheme.asym_id 
_pdbx_poly_seq_scheme.entity_id 
_pdbx_poly_seq_scheme.seq_id 
_pdbx_poly_seq_scheme.mon_id 
_pdbx_poly_seq_scheme.ndb_seq_num 
_pdbx_poly_seq_scheme.pdb_seq_num 
_pdbx_poly_seq_scheme.auth_seq_num 
_pdbx_poly_seq_scheme.pdb_mon_id 
_pdbx_poly_seq_scheme.auth_mon_id 
_pdbx_poly_seq_scheme.pdb_strand_id 
_pdbx_poly_seq_scheme.pdb_ins_code 
_pdbx_poly_seq_scheme.hetero 
A 1 1   MET 1   1   1   MET MET A . n 
A 1 2   GLU 2   2   2   GLU GLU A . n 
A 1 3   PRO 3   3   3   PRO PRO A . n 
A 1 4   GLN 4   4   4   GLN GLN A . n 
A 1 5   ARG 5   5   5   ARG ARG A . n 
A 1 6   GLU 6   6   6   GLU GLU A . n 
A 1 7   PHE 7   7   7   PHE PHE A . n 
A 1 8   PHE 8   8   8   PHE PHE A . n 
A 1 9   HIS 9   9   9   HIS HIS A . n 
A 1 10  ILE 10  10  10  ILE ILE A . n 
A 1 11  ALA 11  11  11  ALA ALA A . n 
A 1 12  GLY 12  12  12  GLY GLY A . n 
A 1 13  ARG 13  13  13  ARG ARG A . n 
A 1 14  SER 14  14  14  SER SER A . n 
A 1 15  ALA 15  15  15  ALA ALA A . n 
A 1 16  LYS 16  16  16  LYS LYS A . n 
A 1 17  GLU 17  17  17  GLU GLU A . n 
A 1 18  TYR 18  18  18  TYR TYR A . n 
A 1 19  LEU 19  19  19  LEU LEU A . n 
A 1 20  SER 20  20  20  SER SER A . n 
A 1 21  GLU 21  21  21  GLU GLU A . n 
A 1 22  ASN 22  22  22  ASN ASN A . n 
A 1 23  LEU 23  23  23  LEU LEU A . n 
A 1 24  VAL 24  24  24  VAL VAL A . n 
A 1 25  GLN 25  25  25  GLN GLN A . n 
A 1 26  PHE 26  26  26  PHE PHE A . n 
A 1 27  ILE 27  27  27  ILE ILE A . n 
A 1 28  GLN 28  28  28  GLN GLN A . n 
A 1 29  ALA 29  29  29  ALA ALA A . n 
A 1 30  THR 30  30  30  THR THR A . n 
A 1 31  GLN 31  31  31  GLN GLN A . n 
A 1 32  ASN 32  32  32  ASN ASN A . n 
A 1 33  TYR 33  33  33  TYR TYR A . n 
A 1 34  PHE 34  34  34  PHE PHE A . n 
A 1 35  ASN 35  35  35  ASN ASN A . n 
A 1 36  ILE 36  36  36  ILE ILE A . n 
A 1 37  GLY 37  37  37  GLY GLY A . n 
A 1 38  GLU 38  38  38  GLU GLU A . n 
A 1 39  LYS 39  39  39  LYS LYS A . n 
A 1 40  PHE 40  40  40  PHE PHE A . n 
A 1 41  ARG 41  41  41  ARG ARG A . n 
A 1 42  ASP 42  42  42  ASP ASP A . n 
A 1 43  PRO 43  43  43  PRO PRO A . n 
A 1 44  TYR 44  44  44  TYR TYR A . n 
A 1 45  VAL 45  45  45  VAL VAL A . n 
A 1 46  ALA 46  46  46  ALA ALA A . n 
A 1 47  PRO 47  47  47  PRO PRO A . n 
A 1 48  SER 48  48  48  SER SER A . n 
A 1 49  ALA 49  49  49  ALA ALA A . n 
A 1 50  GLY 50  50  50  GLY GLY A . n 
A 1 51  VAL 51  51  51  VAL VAL A . n 
A 1 52  THR 52  52  52  THR THR A . n 
A 1 53  THR 53  53  53  THR THR A . n 
A 1 54  ASP 54  54  54  ASP ASP A . n 
A 1 55  ARG 55  55  55  ARG ARG A . n 
A 1 56  SER 56  56  56  SER SER A . n 
A 1 57  GLN 57  57  57  GLN GLN A . n 
A 1 58  LYS 58  58  58  LYS LYS A . n 
A 1 59  LEU 59  59  59  LEU LEU A . n 
A 1 60  GLN 60  60  60  GLN GLN A . n 
A 1 61  LEU 61  61  61  LEU LEU A . n 
A 1 62  ARG 62  62  62  ARG ARG A . n 
A 1 63  VAL 63  63  63  VAL VAL A . n 
A 1 64  VAL 64  64  64  VAL VAL A . n 
A 1 65  PRO 65  65  65  PRO PRO A . n 
A 1 66  ILE 66  66  66  ILE ILE A . n 
A 1 67  GLN 67  67  67  GLN GLN A . n 
A 1 68  THR 68  68  68  THR THR A . n 
A 1 69  GLU 69  69  69  GLU GLU A . n 
A 1 70  ASP 70  70  70  ASP ASP A . n 
A 1 71  ASN 71  71  71  ASN ASN A . n 
A 1 72  VAL 72  72  72  VAL VAL A . n 
A 1 73  ASN 73  73  73  ASN ASN A . n 
A 1 74  TYR 74  74  74  TYR TYR A . n 
A 1 75  TYR 75  75  75  TYR TYR A . n 
A 1 76  LYS 76  76  76  LYS LYS A . n 
A 1 77  ALA 77  77  77  ALA ALA A . n 
A 1 78  ARG 78  78  78  ARG ARG A . n 
A 1 79  PHE 79  79  79  PHE PHE A . n 
A 1 80  THR 80  80  80  THR THR A . n 
A 1 81  LEU 81  81  81  LEU LEU A . n 
A 1 82  ASN 82  82  82  ASN ASN A . n 
A 1 83  VAL 83  83  83  VAL VAL A . n 
A 1 84  GLY 84  84  84  GLY GLY A . n 
A 1 85  ASP 85  85  85  ASP ASP A . n 
A 1 86  ASN 86  86  86  ASN ASN A . n 
A 1 87  ARG 87  87  87  ARG ARG A . n 
A 1 88  LEU 88  88  88  LEU LEU A . n 
A 1 89  VAL 89  89  89  VAL VAL A . n 
A 1 90  ASP 90  90  90  ASP ASP A . n 
A 1 91  LEU 91  91  91  LEU LEU A . n 
A 1 92  GLY 92  92  92  GLY GLY A . n 
A 1 93  SER 93  93  93  SER SER A . n 
A 1 94  SER 94  94  94  SER SER A . n 
A 1 95  TYR 95  95  95  TYR TYR A . n 
A 1 96  PHE 96  96  96  PHE PHE A . n 
A 1 97  ASP 97  97  97  ASP ASP A . n 
A 1 98  ILE 98  98  98  ILE ILE A . n 
A 1 99  LYS 99  99  99  LYS LYS A . n 
A 1 100 GLY 100 100 100 GLY GLY A . n 
A 1 101 THR 101 101 101 THR THR A . n 
A 1 102 LEU 102 102 102 LEU LEU A . n 
A 1 103 ASP 103 103 103 ASP ASP A . n 
A 1 104 ARG 104 104 104 ARG ARG A . n 
A 1 105 GLY 105 105 105 GLY GLY A . n 
A 1 106 PRO 106 106 106 PRO PRO A . n 
A 1 107 SER 107 107 107 SER SER A . n 
A 1 108 PHE 108 108 108 PHE PHE A . n 
A 1 109 LYS 109 109 109 LYS LYS A . n 
A 1 110 PRO 110 110 110 PRO PRO A . n 
A 1 111 TYR 111 111 111 TYR TYR A . n 
A 1 112 GLY 112 112 112 GLY GLY A . n 
A 1 113 GLY 113 113 113 GLY GLY A . n 
A 1 114 THR 114 114 114 THR THR A . n 
A 1 115 ALA 115 115 115 ALA ALA A . n 
A 1 116 TYR 116 116 116 TYR TYR A . n 
A 1 117 ASN 117 117 117 ASN ASN A . n 
A 1 118 PRO 118 118 118 PRO PRO A . n 
A 1 119 LEU 119 119 119 LEU LEU A . n 
A 1 120 ALA 120 120 120 ALA ALA A . n 
A 1 121 PRO 121 121 121 PRO PRO A . n 
A 1 122 LYS 122 122 122 LYS LYS A . n 
A 1 123 SER 123 123 123 SER SER A . n 
A 1 124 ALA 124 124 124 ALA ALA A . n 
A 1 125 PRO 125 125 125 PRO PRO A . n 
A 1 126 ILE 126 126 126 ILE ILE A . n 
A 1 127 ASN 127 127 127 ASN ASN A . n 
A 1 128 SER 128 128 128 SER SER A . n 
A 1 129 ALA 129 129 129 ALA ALA A . n 
A 1 130 PHE 130 130 130 PHE PHE A . n 
A 1 131 THR 131 131 131 THR THR A . n 
A 1 132 VAL 132 132 132 VAL VAL A . n 
A 1 133 GLY 133 133 133 GLY GLY A . n 
A 1 134 ASN 134 134 134 ASN ASN A . n 
A 1 135 ASP 135 135 135 ASP ASP A . n 
A 1 136 THR 136 136 136 THR THR A . n 
A 1 137 HIS 137 137 137 HIS HIS A . n 
A 1 138 PHE 138 138 138 PHE PHE A . n 
A 1 139 VAL 139 139 139 VAL VAL A . n 
A 1 140 ALA 140 140 140 ALA ALA A . n 
A 1 141 GLN 141 141 141 GLN GLN A . n 
A 1 142 LEU 142 142 142 LEU LEU A . n 
A 1 143 PRO 143 143 143 PRO PRO A . n 
A 1 144 GLN 144 144 144 GLN GLN A . n 
A 1 145 THR 145 145 145 THR THR A . n 
A 1 146 TYR 146 146 146 TYR TYR A . n 
A 1 147 ALA 147 147 147 ALA ALA A . n 
A 1 148 ALA 148 148 148 ALA ALA A . n 
A 1 149 GLY 149 149 149 GLY GLY A . n 
A 1 150 GLY 150 150 150 GLY GLY A . n 
A 1 151 THR 151 151 151 THR THR A . n 
A 1 152 GLY 152 152 152 GLY GLY A . n 
A 1 153 VAL 153 153 153 VAL VAL A . n 
A 1 154 THR 154 154 154 THR THR A . n 
A 1 155 GLU 155 155 155 GLU GLU A . n 
A 1 156 ALA 156 156 156 ALA ALA A . n 
A 1 157 ILE 157 157 157 ILE ILE A . n 
A 1 158 GLN 158 158 158 GLN GLN A . n 
A 1 159 GLN 159 159 159 GLN GLN A . n 
A 1 160 GLN 160 160 160 GLN GLN A . n 
A 1 161 VAL 161 161 161 VAL VAL A . n 
A 1 162 SER 162 162 162 SER SER A . n 
A 1 163 GLY 163 163 163 GLY GLY A . n 
A 1 164 VAL 164 164 164 VAL VAL A . n 
A 1 165 ASP 165 165 165 ASP ASP A . n 
A 1 166 PRO 166 166 166 PRO PRO A . n 
A 1 167 ASN 167 167 167 ASN ASN A . n 
A 1 168 PRO 168 168 168 PRO PRO A . n 
A 1 169 GLN 169 169 169 GLN GLN A . n 
A 1 170 VAL 170 170 170 VAL VAL A . n 
A 1 171 GLY 171 171 171 GLY GLY A . n 
A 1 172 GLN 172 172 172 GLN GLN A . n 
A 1 173 PRO 173 173 173 PRO PRO A . n 
A 1 174 ASN 174 174 174 ASN ASN A . n 
A 1 175 TYR 175 175 175 TYR TYR A . n 
A 1 176 ALA 176 176 176 ALA ALA A . n 
A 1 177 GLY 177 177 177 GLY GLY A . n 
A 1 178 PRO 178 178 178 PRO PRO A . n 
A 1 179 VAL 179 179 179 VAL VAL A . n 
A 1 180 VAL 180 180 180 VAL VAL A . n 
A 1 181 VAL 181 181 181 VAL VAL A . n 
A 1 182 ASN 182 182 182 ASN ASN A . n 
A 1 183 THR 183 183 183 THR THR A . n 
A 1 184 THR 184 184 184 THR THR A . n 
A 1 185 ASN 185 185 185 ASN ASN A . n 
A 1 186 ASN 186 186 186 ASN ASN A . n 
A 1 187 ALA 187 187 187 ALA ALA A . n 
A 1 188 GLY 188 188 188 GLY GLY A . n 
A 1 189 LEU 189 189 189 LEU LEU A . n 
A 1 190 GLY 190 190 190 GLY GLY A . n 
A 1 191 ARG 191 191 191 ARG ARG A . n 
A 1 192 ILE 192 192 192 ILE ILE A . n 
A 1 193 VAL 193 193 193 VAL VAL A . n 
A 1 194 SER 194 194 194 SER SER A . n 
A 1 195 ALA 195 195 195 ALA ALA A . n 
A 1 196 ASP 196 196 196 ASP ASP A . n 
A 1 197 SER 197 197 197 SER SER A . n 
A 1 198 GLU 198 198 198 GLU GLU A . n 
A 1 199 GLY 199 199 199 GLY GLY A . n 
A 1 200 GLN 200 200 200 GLN GLN A . n 
A 1 201 GLN 201 201 201 GLN GLN A . n 
A 1 202 PHE 202 202 202 PHE PHE A . n 
A 1 203 PRO 203 203 203 PRO PRO A . n 
A 1 204 CYS 204 204 204 CYS CYS A . n 
A 1 205 TYR 205 205 205 TYR TYR A . n 
A 1 206 GLY 206 206 206 GLY GLY A . n 
A 1 207 ALA 207 207 207 ALA ALA A . n 
A 1 208 TYR 208 208 208 TYR TYR A . n 
A 1 209 ALA 209 209 209 ALA ALA A . n 
A 1 210 PRO 210 210 210 PRO PRO A . n 
A 1 211 PRO 211 211 211 PRO PRO A . n 
A 1 212 GLN 212 212 212 GLN GLN A . n 
A 1 213 SER 213 213 213 SER SER A . n 
A 1 214 ALA 214 214 214 ALA ALA A . n 
A 1 215 GLY 215 215 215 GLY GLY A . n 
A 1 216 GLY 216 216 216 GLY GLY A . n 
A 1 217 ASP 217 217 217 ASP ASP A . n 
A 1 218 VAL 218 218 218 VAL VAL A . n 
A 1 219 SER 219 219 219 SER SER A . n 
A 1 220 THR 220 220 220 THR THR A . n 
A 1 221 ALA 221 221 221 ALA ALA A . n 
A 1 222 ALA 222 222 222 ALA ALA A . n 
A 1 223 VAL 223 223 223 VAL VAL A . n 
A 1 224 THR 224 224 224 THR THR A . n 
A 1 225 LYS 225 225 225 LYS LYS A . n 
A 1 226 THR 226 226 226 THR THR A . n 
A 1 227 TYR 227 227 227 TYR TYR A . n 
A 1 228 ILE 228 228 228 ILE ILE A . n 
A 1 229 ASN 229 229 229 ASN ASN A . n 
A 1 230 THR 230 230 230 THR THR A . n 
A 1 231 THR 231 231 231 THR THR A . n 
A 1 232 ASN 232 232 232 ASN ASN A . n 
A 1 233 ASN 233 233 233 ASN ASN A . n 
A 1 234 ASN 234 234 234 ASN ASN A . n 
A 1 235 GLY 235 235 235 GLY GLY A . n 
A 1 236 ARG 236 236 236 ARG ARG A . n 
A 1 237 VAL 237 237 237 VAL VAL A . n 
A 1 238 SER 238 238 238 SER SER A . n 
A 1 239 GLY 239 239 239 GLY GLY A . n 
A 1 240 THR 240 240 240 THR THR A . n 
A 1 241 MET 241 241 241 MET MET A . n 
A 1 242 ALA 242 242 242 ALA ALA A . n 
A 1 243 THR 243 243 243 THR THR A . n 
A 1 244 ASP 244 244 244 ASP ASP A . n 
A 1 245 THR 245 245 245 THR THR A . n 
A 1 246 ILE 246 246 246 ILE ILE A . n 
A 1 247 THR 247 247 247 THR THR A . n 
A 1 248 TRP 248 248 248 TRP TRP A . n 
A 1 249 GLU 249 249 249 GLU GLU A . n 
A 1 250 ASN 250 250 250 ASN ASN A . n 
A 1 251 PRO 251 251 251 PRO PRO A . n 
A 1 252 ASP 252 252 252 ASP ASP A . n 
A 1 253 ALA 253 253 253 ALA ALA A . n 
A 1 254 HIS 254 254 254 HIS HIS A . n 
A 1 255 PHE 255 255 255 PHE PHE A . n 
A 1 256 ALA 256 256 256 ALA ALA A . n 
A 1 257 ASP 257 257 257 ASP ASP A . n 
A 1 258 PHE 258 258 258 PHE PHE A . n 
A 1 259 VAL 259 259 259 VAL VAL A . n 
A 1 260 ASP 260 260 260 ASP ASP A . n 
A 1 261 ASP 261 261 261 ASP ASP A . n 
A 1 262 ARG 262 262 262 ARG ARG A . n 
A 1 263 ARG 263 263 263 ARG ARG A . n 
A 1 264 ALA 264 264 264 ALA ALA A . n 
A 1 265 THR 265 265 265 THR THR A . n 
A 1 266 ALA 266 266 266 ALA ALA A . n 
A 1 267 ALA 267 267 267 ALA ALA A . n 
A 1 268 GLY 268 268 268 GLY GLY A . n 
A 1 269 ASN 269 269 269 ASN ASN A . n 
A 1 270 ARG 270 270 270 ARG ARG A . n 
A 1 271 PRO 271 271 271 PRO PRO A . n 
A 1 272 ASN 272 272 272 ASN ASN A . n 
A 1 273 TYR 273 273 273 TYR TYR A . n 
A 1 274 ILE 274 274 274 ILE ILE A . n 
A 1 275 GLY 275 275 275 GLY GLY A . n 
A 1 276 PHE 276 276 276 PHE PHE A . n 
A 1 277 ARG 277 277 277 ARG ARG A . n 
A 1 278 ASP 278 278 278 ASP ASP A . n 
A 1 279 ASN 279 279 279 ASN ASN A . n 
A 1 280 PHE 280 280 280 PHE PHE A . n 
A 1 281 ILE 281 281 281 ILE ILE A . n 
A 1 282 GLY 282 282 282 GLY GLY A . n 
A 1 283 MET 283 283 283 MET MET A . n 
A 1 284 MET 284 284 284 MET MET A . n 
A 1 285 TYR 285 285 285 TYR TYR A . n 
A 1 286 TYR 286 286 286 TYR TYR A . n 
A 1 287 ASN 287 287 287 ASN ASN A . n 
A 1 288 SER 288 288 288 SER SER A . n 
A 1 289 GLY 289 289 289 GLY GLY A . n 
A 1 290 SER 290 290 290 SER SER A . n 
A 1 291 ASN 291 291 291 ASN ASN A . n 
A 1 292 THR 292 292 292 THR THR A . n 
A 1 293 GLY 293 293 293 GLY GLY A . n 
A 1 294 SER 294 294 294 SER SER A . n 
A 1 295 PHE 295 295 295 PHE PHE A . n 
A 1 296 SER 296 296 296 SER SER A . n 
A 1 297 SER 297 297 297 SER SER A . n 
A 1 298 GLN 298 298 298 GLN GLN A . n 
A 1 299 THR 299 299 299 THR THR A . n 
A 1 300 GLN 300 300 300 GLN GLN A . n 
A 1 301 GLN 301 301 301 GLN GLN A . n 
A 1 302 LEU 302 302 302 LEU LEU A . n 
A 1 303 ASN 303 303 303 ASN ASN A . n 
A 1 304 ILE 304 304 304 ILE ILE A . n 
A 1 305 VAL 305 305 305 VAL VAL A . n 
A 1 306 LEU 306 306 306 LEU LEU A . n 
A 1 307 ASP 307 307 307 ASP ASP A . n 
A 1 308 LEU 308 308 308 LEU LEU A . n 
A 1 309 ASN 309 309 309 ASN ASN A . n 
A 1 310 ASP 310 310 310 ASP ASP A . n 
A 1 311 ARG 311 311 311 ARG ARG A . n 
A 1 312 ASN 312 312 312 ASN ASN A . n 
A 1 313 SER 313 313 313 SER SER A . n 
A 1 314 GLU 314 314 314 GLU GLU A . n 
A 1 315 LEU 315 315 315 LEU LEU A . n 
A 1 316 SER 316 316 316 SER SER A . n 
A 1 317 TYR 317 317 317 TYR TYR A . n 
A 1 318 GLN 318 318 318 GLN GLN A . n 
A 1 319 TYR 319 319 319 TYR TYR A . n 
A 1 320 LEU 320 320 320 LEU LEU A . n 
A 1 321 LEU 321 321 321 LEU LEU A . n 
A 1 322 ALA 322 322 322 ALA ALA A . n 
A 1 323 ASP 323 323 323 ASP ASP A . n 
A 1 324 LEU 324 324 324 LEU LEU A . n 
A 1 325 THR 325 325 325 THR THR A . n 
A 1 326 SER 326 326 326 SER SER A . n 
A 1 327 ARG 327 327 327 ARG ARG A . n 
A 1 328 TRP 328 328 328 TRP TRP A . n 
A 1 329 HIS 329 329 329 HIS HIS A . n 
A 1 330 TYR 330 330 330 TYR TYR A . n 
A 1 331 PHE 331 331 331 PHE PHE A . n 
A 1 332 ALA 332 332 332 ALA ALA A . n 
A 1 333 LEU 333 333 333 LEU LEU A . n 
A 1 334 TRP 334 334 334 TRP TRP A . n 
A 1 335 ASN 335 335 335 ASN ASN A . n 
A 1 336 GLN 336 336 336 GLN GLN A . n 
A 1 337 ALA 337 337 337 ALA ALA A . n 
A 1 338 VAL 338 338 338 VAL VAL A . n 
A 1 339 ASP 339 339 339 ASP ASP A . n 
A 1 340 ASP 340 340 340 ASP ASP A . n 
A 1 341 TYR 341 341 341 TYR TYR A . n 
A 1 342 ASP 342 342 342 ASP ASP A . n 
A 1 343 HIS 343 343 343 HIS HIS A . n 
A 1 344 HIS 344 344 344 HIS HIS A . n 
A 1 345 VAL 345 345 345 VAL VAL A . n 
A 1 346 ARG 346 346 346 ARG ARG A . n 
A 1 347 ILE 347 347 347 ILE ILE A . n 
A 1 348 LEU 348 348 348 LEU LEU A . n 
A 1 349 GLU 349 349 349 GLU GLU A . n 
A 1 350 ASN 350 350 350 ASN ASN A . n 
A 1 351 ASP 351 351 351 ASP ASP A . n 
A 1 352 GLY 352 352 352 GLY GLY A . n 
A 1 353 TYR 353 353 353 TYR TYR A . n 
A 1 354 GLU 354 354 354 GLU GLU A . n 
A 1 355 GLU 355 355 355 GLU GLU A . n 
A 1 356 GLY 356 356 356 GLY GLY A . n 
A 1 357 PRO 357 357 357 PRO PRO A . n 
A 1 358 PRO 358 358 358 PRO PRO A . n 
A 1 359 ASN 359 359 359 ASN ASN A . n 
A 1 360 LEU 360 360 360 LEU LEU A . n 
A 1 361 ALA 361 361 361 ALA ALA A . n 
A 1 362 PHE 362 362 362 PHE PHE A . n 
A 1 363 PRO 363 363 363 PRO PRO A . n 
A 1 364 PRO 364 364 364 PRO PRO A . n 
A 1 365 HIS 365 365 365 HIS HIS A . n 
A 1 366 VAL 366 366 366 VAL VAL A . n 
A 1 367 ILE 367 367 367 ILE ILE A . n 
A 1 368 SER 368 368 368 SER SER A . n 
A 1 369 ASN 369 369 369 ASN ASN A . n 
A 1 370 PRO 370 370 370 PRO PRO A . n 
A 1 371 PHE 371 371 371 PHE PHE A . n 
A 1 372 ALA 372 372 372 ALA ALA A . n 
A 1 373 PRO 373 373 373 PRO PRO A . n 
A 1 374 ALA 374 374 374 ALA ALA A . n 
A 1 375 ALA 375 375 375 ALA ALA A . n 
A 1 376 VAL 376 376 376 VAL VAL A . n 
A 1 377 GLY 377 377 377 GLY GLY A . n 
A 1 378 THR 378 378 378 THR THR A . n 
A 1 379 GLY 379 379 379 GLY GLY A . n 
A 1 380 MET 380 380 380 MET MET A . n 
A 1 381 THR 381 381 381 THR THR A . n 
A 1 382 VAL 382 382 382 VAL VAL A . n 
A 1 383 ASN 383 383 383 ASN ASN A . n 
A 1 384 GLU 384 384 384 GLU GLU A . n 
A 1 385 GLN 385 385 385 GLN GLN A . n 
A 1 386 GLN 386 386 386 GLN GLN A . n 
A 1 387 GLN 387 387 387 GLN GLN A . n 
A 1 388 THR 388 388 388 THR THR A . n 
A 1 389 ALA 389 389 389 ALA ALA A . n 
A 1 390 ALA 390 390 390 ALA ALA A . n 
A 1 391 VAL 391 391 391 VAL VAL A . n 
A 1 392 THR 392 392 392 THR THR A . n 
A 1 393 ALA 393 393 393 ALA ALA A . n 
A 1 394 ASN 394 394 394 ASN ASN A . n 
A 1 395 THR 395 395 395 THR THR A . n 
A 1 396 VAL 396 396 396 VAL VAL A . n 
A 1 397 ALA 397 397 397 ALA ALA A . n 
A 1 398 LEU 398 398 398 LEU LEU A . n 
A 1 399 ILE 399 399 399 ILE ILE A . n 
A 1 400 GLY 400 400 400 GLY GLY A . n 
A 1 401 TYR 401 401 401 TYR TYR A . n 
A 1 402 GLY 402 402 402 GLY GLY A . n 
A 1 403 ASN 403 403 403 ASN ASN A . n 
A 1 404 ILE 404 404 404 ILE ILE A . n 
A 1 405 PRO 405 405 405 PRO PRO A . n 
A 1 406 ALA 406 406 406 ALA ALA A . n 
A 1 407 VAL 407 407 407 VAL VAL A . n 
A 1 408 GLU 408 408 408 GLU GLU A . n 
A 1 409 MET 409 409 409 MET MET A . n 
A 1 410 ASN 410 410 410 ASN ASN A . n 
A 1 411 LEU 411 411 411 LEU LEU A . n 
A 1 412 PRO 412 412 412 PRO PRO A . n 
A 1 413 ALA 413 413 413 ALA ALA A . n 
A 1 414 ASN 414 414 414 ASN ASN A . n 
A 1 415 LEU 415 415 415 LEU LEU A . n 
A 1 416 LYS 416 416 416 LYS LYS A . n 
A 1 417 ARG 417 417 417 ARG ARG A . n 
A 1 418 THR 418 418 418 THR THR A . n 
A 1 419 PHE 419 419 419 PHE PHE A . n 
A 1 420 LEU 420 420 420 LEU LEU A . n 
A 1 421 TYR 421 421 421 TYR TYR A . n 
A 1 422 SER 422 422 422 SER SER A . n 
A 1 423 ASN 423 423 423 ASN ASN A . n 
A 1 424 VAL 424 424 424 VAL VAL A . n 
A 1 425 ALA 425 425 425 ALA ALA A . n 
A 1 426 MET 426 426 426 MET MET A . n 
A 1 427 TYR 427 427 427 TYR TYR A . n 
A 1 428 LEU 428 428 428 LEU LEU A . n 
A 1 429 PRO 429 429 429 PRO PRO A . n 
A 1 430 ASP 430 430 430 ASP ASP A . n 
A 1 431 THR 431 431 431 THR THR A . n 
A 1 432 TYR 432 432 432 TYR TYR A . n 
A 1 433 LYS 433 433 433 LYS LYS A . n 
A 1 434 PHE 434 434 434 PHE PHE A . n 
A 1 435 THR 435 435 435 THR THR A . n 
A 1 436 PRO 436 436 436 PRO PRO A . n 
A 1 437 ALA 437 437 437 ALA ALA A . n 
A 1 438 ASN 438 438 438 ASN ASN A . n 
A 1 439 VAL 439 439 439 VAL VAL A . n 
A 1 440 ASP 440 440 440 ASP ASP A . n 
A 1 441 LEU 441 441 441 LEU LEU A . n 
A 1 442 PRO 442 442 442 PRO PRO A . n 
A 1 443 GLU 443 443 443 GLU GLU A . n 
A 1 444 ASN 444 444 444 ASN ASN A . n 
A 1 445 HIS 445 445 445 HIS HIS A . n 
A 1 446 LEU 446 446 446 LEU LEU A . n 
A 1 447 SER 447 447 447 SER SER A . n 
A 1 448 TYR 448 448 448 TYR TYR A . n 
A 1 449 GLY 449 449 449 GLY GLY A . n 
A 1 450 TYR 450 450 450 TYR TYR A . n 
A 1 451 ILE 451 451 451 ILE ILE A . n 
A 1 452 ASN 452 452 452 ASN ASN A . n 
A 1 453 GLY 453 453 453 GLY GLY A . n 
A 1 454 ARG 454 454 454 ARG ARG A . n 
A 1 455 LEU 455 455 455 LEU LEU A . n 
A 1 456 PRO 456 456 456 PRO PRO A . n 
A 1 457 LEU 457 457 457 LEU LEU A . n 
A 1 458 PRO 458 458 458 PRO PRO A . n 
A 1 459 ASN 459 459 459 ASN ASN A . n 
A 1 460 ILE 460 460 460 ILE ILE A . n 
A 1 461 VAL 461 461 461 VAL VAL A . n 
A 1 462 ASP 462 462 462 ASP ASP A . n 
A 1 463 THR 463 463 463 THR THR A . n 
A 1 464 TRP 464 464 464 TRP TRP A . n 
A 1 465 THR 465 465 465 THR THR A . n 
A 1 466 ASP 466 466 466 ASP ASP A . n 
A 1 467 ILE 467 467 467 ILE ILE A . n 
A 1 468 GLY 468 468 468 GLY GLY A . n 
A 1 469 ALA 469 469 469 ALA ALA A . n 
A 1 470 ARG 470 470 470 ARG ARG A . n 
A 1 471 TRP 471 471 471 TRP TRP A . n 
A 1 472 SER 472 472 472 SER SER A . n 
A 1 473 LEU 473 473 473 LEU LEU A . n 
A 1 474 ASP 474 474 474 ASP ASP A . n 
A 1 475 VAL 475 475 475 VAL VAL A . n 
A 1 476 MET 476 476 476 MET MET A . n 
A 1 477 ASP 477 477 477 ASP ASP A . n 
A 1 478 THR 478 478 478 THR THR A . n 
A 1 479 VAL 479 479 479 VAL VAL A . n 
A 1 480 ASN 480 480 480 ASN ASN A . n 
A 1 481 PRO 481 481 481 PRO PRO A . n 
A 1 482 PHE 482 482 482 PHE PHE A . n 
A 1 483 ASN 483 483 483 ASN ASN A . n 
A 1 484 HIS 484 484 484 HIS HIS A . n 
A 1 485 HIS 485 485 485 HIS HIS A . n 
A 1 486 ARG 486 486 486 ARG ARG A . n 
A 1 487 ASN 487 487 487 ASN ASN A . n 
A 1 488 THR 488 488 488 THR THR A . n 
A 1 489 GLY 489 489 489 GLY GLY A . n 
A 1 490 LEU 490 490 490 LEU LEU A . n 
A 1 491 LYS 491 491 491 LYS LYS A . n 
A 1 492 TYR 492 492 492 TYR TYR A . n 
A 1 493 ARG 493 493 493 ARG ARG A . n 
A 1 494 SER 494 494 494 SER SER A . n 
A 1 495 GLN 495 495 495 GLN GLN A . n 
A 1 496 LEU 496 496 496 LEU LEU A . n 
A 1 497 LEU 497 497 497 LEU LEU A . n 
A 1 498 GLY 498 498 498 GLY GLY A . n 
A 1 499 ASN 499 499 499 ASN ASN A . n 
A 1 500 GLY 500 500 500 GLY GLY A . n 
A 1 501 ARG 501 501 501 ARG ARG A . n 
A 1 502 TYR 502 502 502 TYR TYR A . n 
A 1 503 CYS 503 503 503 CYS CYS A . n 
A 1 504 ASP 504 504 504 ASP ASP A . n 
A 1 505 PHE 505 505 505 PHE PHE A . n 
A 1 506 HIS 506 506 506 HIS HIS A . n 
A 1 507 ILE 507 507 507 ILE ILE A . n 
A 1 508 GLN 508 508 508 GLN GLN A . n 
A 1 509 VAL 509 509 509 VAL VAL A . n 
A 1 510 PRO 510 510 510 PRO PRO A . n 
A 1 511 GLN 511 511 511 GLN GLN A . n 
A 1 512 LYS 512 512 512 LYS LYS A . n 
A 1 513 PHE 513 513 513 PHE PHE A . n 
A 1 514 PHE 514 514 514 PHE PHE A . n 
A 1 515 ALA 515 515 515 ALA ALA A . n 
A 1 516 ILE 516 516 516 ILE ILE A . n 
A 1 517 LYS 517 517 517 LYS LYS A . n 
A 1 518 ASN 518 518 518 ASN ASN A . n 
A 1 519 LEU 519 519 519 LEU LEU A . n 
A 1 520 LEU 520 520 520 LEU LEU A . n 
A 1 521 LEU 521 521 521 LEU LEU A . n 
A 1 522 LEU 522 522 522 LEU LEU A . n 
A 1 523 PRO 523 523 523 PRO PRO A . n 
A 1 524 GLY 524 524 524 GLY GLY A . n 
A 1 525 THR 525 525 525 THR THR A . n 
A 1 526 TYR 526 526 526 TYR TYR A . n 
A 1 527 ASN 527 527 527 ASN ASN A . n 
A 1 528 TYR 528 528 528 TYR TYR A . n 
A 1 529 GLU 529 529 529 GLU GLU A . n 
A 1 530 TRP 530 530 530 TRP TRP A . n 
A 1 531 TYR 531 531 531 TYR TYR A . n 
A 1 532 PHE 532 532 532 PHE PHE A . n 
A 1 533 ARG 533 533 533 ARG ARG A . n 
A 1 534 LYS 534 534 534 LYS LYS A . n 
A 1 535 ASP 535 535 535 ASP ASP A . n 
A 1 536 PRO 536 536 536 PRO PRO A . n 
A 1 537 ASN 537 537 537 ASN ASN A . n 
A 1 538 MET 538 538 538 MET MET A . n 
A 1 539 VAL 539 539 539 VAL VAL A . n 
A 1 540 LEU 540 540 540 LEU LEU A . n 
A 1 541 GLN 541 541 541 GLN GLN A . n 
A 1 542 SER 542 542 542 SER SER A . n 
A 1 543 THR 543 543 543 THR THR A . n 
A 1 544 LEU 544 544 544 LEU LEU A . n 
A 1 545 GLY 545 545 545 GLY GLY A . n 
A 1 546 ASN 546 546 546 ASN ASN A . n 
A 1 547 ASP 547 547 547 ASP ASP A . n 
A 1 548 LEU 548 548 548 LEU LEU A . n 
A 1 549 ARG 549 549 549 ARG ARG A . n 
A 1 550 ALA 550 550 550 ALA ALA A . n 
A 1 551 ASP 551 551 551 ASP ASP A . n 
A 1 552 GLY 552 552 552 GLY GLY A . n 
A 1 553 ALA 553 553 553 ALA ALA A . n 
A 1 554 SER 554 554 554 SER SER A . n 
A 1 555 ILE 555 555 555 ILE ILE A . n 
A 1 556 THR 556 556 556 THR THR A . n 
A 1 557 TYR 557 557 557 TYR TYR A . n 
A 1 558 THR 558 558 558 THR THR A . n 
A 1 559 GLN 559 559 559 GLN GLN A . n 
A 1 560 ILE 560 560 560 ILE ILE A . n 
A 1 561 ASN 561 561 561 ASN ASN A . n 
A 1 562 LEU 562 562 562 LEU LEU A . n 
A 1 563 TYR 563 563 563 TYR TYR A . n 
A 1 564 VAL 564 564 564 VAL VAL A . n 
A 1 565 SER 565 565 565 SER SER A . n 
A 1 566 PHE 566 566 566 PHE PHE A . n 
A 1 567 PHE 567 567 567 PHE PHE A . n 
A 1 568 PRO 568 568 568 PRO PRO A . n 
A 1 569 MET 569 569 569 MET MET A . n 
A 1 570 ASN 570 570 570 ASN ASN A . n 
A 1 571 TYR 571 571 571 TYR TYR A . n 
A 1 572 ASP 572 572 572 ASP ASP A . n 
A 1 573 THR 573 573 573 THR THR A . n 
A 1 574 GLN 574 574 574 GLN GLN A . n 
A 1 575 SER 575 575 575 SER SER A . n 
A 1 576 GLU 576 576 576 GLU GLU A . n 
A 1 577 LEU 577 577 577 LEU LEU A . n 
A 1 578 GLU 578 578 578 GLU GLU A . n 
A 1 579 LEU 579 579 579 LEU LEU A . n 
A 1 580 MET 580 580 580 MET MET A . n 
A 1 581 LEU 581 581 581 LEU LEU A . n 
A 1 582 ARG 582 582 582 ARG ARG A . n 
A 1 583 ASN 583 583 583 ASN ASN A . n 
A 1 584 ALA 584 584 584 ALA ALA A . n 
A 1 585 THR 585 585 585 THR THR A . n 
A 1 586 ASN 586 586 586 ASN ASN A . n 
A 1 587 ASP 587 587 587 ASP ASP A . n 
A 1 588 GLN 588 588 588 GLN GLN A . n 
A 1 589 ASN 589 589 589 ASN ASN A . n 
A 1 590 PHE 590 590 590 PHE PHE A . n 
A 1 591 SER 591 591 591 SER SER A . n 
A 1 592 ASP 592 592 592 ASP ASP A . n 
A 1 593 TYR 593 593 593 TYR TYR A . n 
A 1 594 LEU 594 594 594 LEU LEU A . n 
A 1 595 GLY 595 595 595 GLY GLY A . n 
A 1 596 ALA 596 596 596 ALA ALA A . n 
A 1 597 VAL 597 597 597 VAL VAL A . n 
A 1 598 ASN 598 598 598 ASN ASN A . n 
A 1 599 ASN 599 599 599 ASN ASN A . n 
A 1 600 LEU 600 600 600 LEU LEU A . n 
A 1 601 TYR 601 601 601 TYR TYR A . n 
A 1 602 GLN 602 602 602 GLN GLN A . n 
A 1 603 ILE 603 603 603 ILE ILE A . n 
A 1 604 PRO 604 604 604 PRO PRO A . n 
A 1 605 ALA 605 605 605 ALA ALA A . n 
A 1 606 GLY 606 606 606 GLY GLY A . n 
A 1 607 SER 607 607 607 SER SER A . n 
A 1 608 SER 608 608 608 SER SER A . n 
A 1 609 THR 609 609 609 THR THR A . n 
A 1 610 VAL 610 610 610 VAL VAL A . n 
A 1 611 VAL 611 611 611 VAL VAL A . n 
A 1 612 VAL 612 612 612 VAL VAL A . n 
A 1 613 ASN 613 613 613 ASN ASN A . n 
A 1 614 ILE 614 614 614 ILE ILE A . n 
A 1 615 PRO 615 615 615 PRO PRO A . n 
A 1 616 ASP 616 616 616 ASP ASP A . n 
A 1 617 ARG 617 617 617 ARG ARG A . n 
A 1 618 SER 618 618 618 SER SER A . n 
A 1 619 TRP 619 619 619 TRP TRP A . n 
A 1 620 GLY 620 620 620 GLY GLY A . n 
A 1 621 ALA 621 621 621 ALA ALA A . n 
A 1 622 PHE 622 622 622 PHE PHE A . n 
A 1 623 ARG 623 623 623 ARG ARG A . n 
A 1 624 GLY 624 624 624 GLY GLY A . n 
A 1 625 TRP 625 625 625 TRP TRP A . n 
A 1 626 SER 626 626 626 SER SER A . n 
A 1 627 PHE 627 627 627 PHE PHE A . n 
A 1 628 THR 628 628 628 THR THR A . n 
A 1 629 ARG 629 629 629 ARG ARG A . n 
A 1 630 LEU 630 630 630 LEU LEU A . n 
A 1 631 LYS 631 631 631 LYS LYS A . n 
A 1 632 VAL 632 632 632 VAL VAL A . n 
A 1 633 SER 633 633 633 SER SER A . n 
A 1 634 GLU 634 634 634 GLU GLU A . n 
A 1 635 THR 635 635 635 THR THR A . n 
A 1 636 PRO 636 636 636 PRO PRO A . n 
A 1 637 ARG 637 637 637 ARG ARG A . n 
A 1 638 ILE 638 638 638 ILE ILE A . n 
A 1 639 GLY 639 639 639 GLY GLY A . n 
A 1 640 ALA 640 640 640 ALA ALA A . n 
A 1 641 THR 641 641 641 THR THR A . n 
A 1 642 GLN 642 642 642 GLN GLN A . n 
A 1 643 ASP 643 643 643 ASP ASP A . n 
A 1 644 PRO 644 644 644 PRO PRO A . n 
A 1 645 ASN 645 645 645 ASN ASN A . n 
A 1 646 PHE 646 646 646 PHE PHE A . n 
A 1 647 GLN 647 647 647 GLN GLN A . n 
A 1 648 TYR 648 648 648 TYR TYR A . n 
A 1 649 SER 649 649 649 SER SER A . n 
A 1 650 GLY 650 650 650 GLY GLY A . n 
A 1 651 SER 651 651 651 SER SER A . n 
A 1 652 ILE 652 652 652 ILE ILE A . n 
A 1 653 PRO 653 653 653 PRO PRO A . n 
A 1 654 TYR 654 654 654 TYR TYR A . n 
A 1 655 LEU 655 655 655 LEU LEU A . n 
A 1 656 ASP 656 656 656 ASP ASP A . n 
A 1 657 GLY 657 657 657 GLY GLY A . n 
A 1 658 THR 658 658 658 THR THR A . n 
A 1 659 PHE 659 659 659 PHE PHE A . n 
A 1 660 TYR 660 660 660 TYR TYR A . n 
A 1 661 LEU 661 661 661 LEU LEU A . n 
A 1 662 SER 662 662 662 SER SER A . n 
A 1 663 HIS 663 663 663 HIS HIS A . n 
A 1 664 THR 664 664 664 THR THR A . n 
A 1 665 PHE 665 665 665 PHE PHE A . n 
A 1 666 GLN 666 666 666 GLN GLN A . n 
A 1 667 ARG 667 667 667 ARG ARG A . n 
A 1 668 CYS 668 668 668 CYS CYS A . n 
A 1 669 SER 669 669 669 SER SER A . n 
A 1 670 ILE 670 670 670 ILE ILE A . n 
A 1 671 GLN 671 671 671 GLN GLN A . n 
A 1 672 TRP 672 672 672 TRP TRP A . n 
A 1 673 ASP 673 673 673 ASP ASP A . n 
A 1 674 SER 674 674 674 SER SER A . n 
A 1 675 SER 675 675 675 SER SER A . n 
A 1 676 VAL 676 676 676 VAL VAL A . n 
A 1 677 PRO 677 677 677 PRO PRO A . n 
A 1 678 TRP 678 678 678 TRP TRP A . n 
A 1 679 PRO 679 679 679 PRO PRO A . n 
A 1 680 GLY 680 680 680 GLY GLY A . n 
A 1 681 ASN 681 681 681 ASN ASN A . n 
A 1 682 ASP 682 682 682 ASP ASP A . n 
A 1 683 ARG 683 683 683 ARG ARG A . n 
A 1 684 MET 684 684 684 MET MET A . n 
A 1 685 LEU 685 685 685 LEU LEU A . n 
A 1 686 THR 686 686 686 THR THR A . n 
A 1 687 PRO 687 687 687 PRO PRO A . n 
A 1 688 ASN 688 688 688 ASN ASN A . n 
A 1 689 TRP 689 689 689 TRP TRP A . n 
A 1 690 PHE 690 690 690 PHE PHE A . n 
A 1 691 GLU 691 691 691 GLU GLU A . n 
A 1 692 ILE 692 692 692 ILE ILE A . n 
A 1 693 LYS 693 693 693 LYS LYS A . n 
A 1 694 ARG 694 694 694 ARG ARG A . n 
A 1 695 PRO 695 695 695 PRO PRO A . n 
A 1 696 ILE 696 696 696 ILE ILE A . n 
A 1 697 ASN 697 697 697 ASN ASN A . n 
A 1 698 GLN 698 698 698 GLN GLN A . n 
A 1 699 ASP 699 699 699 ASP ASP A . n 
A 1 700 ALA 700 700 700 ALA ALA A . n 
A 1 701 GLU 701 701 701 GLU GLU A . n 
A 1 702 GLY 702 702 702 GLY GLY A . n 
A 1 703 ASN 703 703 703 ASN ASN A . n 
A 1 704 ASP 704 704 704 ASP ASP A . n 
A 1 705 THR 705 705 705 THR THR A . n 
A 1 706 MET 706 706 706 MET MET A . n 
A 1 707 GLN 707 707 707 GLN GLN A . n 
A 1 708 SER 708 708 708 SER SER A . n 
A 1 709 ASN 709 709 709 ASN ASN A . n 
A 1 710 LEU 710 710 710 LEU LEU A . n 
A 1 711 THR 711 711 711 THR THR A . n 
A 1 712 LYS 712 712 712 LYS LYS A . n 
A 1 713 ASP 713 713 713 ASP ASP A . n 
A 1 714 PHE 714 714 714 PHE PHE A . n 
A 1 715 PHE 715 715 715 PHE PHE A . n 
A 1 716 MET 716 716 716 MET MET A . n 
A 1 717 VAL 717 717 717 VAL VAL A . n 
A 1 718 GLN 718 718 718 GLN GLN A . n 
A 1 719 MET 719 719 719 MET MET A . n 
A 1 720 ALA 720 720 720 ALA ALA A . n 
A 1 721 ALA 721 721 721 ALA ALA A . n 
A 1 722 SER 722 722 722 SER SER A . n 
A 1 723 TYR 723 723 723 TYR TYR A . n 
A 1 724 ASN 724 724 724 ASN ASN A . n 
A 1 725 GLN 725 725 725 GLN GLN A . n 
A 1 726 GLY 726 726 726 GLY GLY A . n 
A 1 727 TYR 727 727 727 TYR TYR A . n 
A 1 728 GLN 728 728 728 GLN GLN A . n 
A 1 729 GLY 729 729 729 GLY GLY A . n 
A 1 730 PHE 730 730 730 PHE PHE A . n 
A 1 731 ASN 731 731 731 ASN ASN A . n 
A 1 732 TRP 732 732 732 TRP TRP A . n 
A 1 733 PRO 733 733 733 PRO PRO A . n 
A 1 734 ASN 734 734 734 ASN ASN A . n 
A 1 735 CYS 735 735 735 CYS CYS A . n 
A 1 736 THR 736 736 736 THR THR A . n 
A 1 737 LYS 737 737 737 LYS LYS A . n 
A 1 738 HIS 738 738 738 HIS HIS A . n 
A 1 739 TYR 739 739 739 TYR TYR A . n 
A 1 740 GLY 740 740 740 GLY GLY A . n 
A 1 741 PHE 741 741 741 PHE PHE A . n 
A 1 742 ILE 742 742 742 ILE ILE A . n 
A 1 743 ASN 743 743 743 ASN ASN A . n 
A 1 744 ASN 744 744 744 ASN ASN A . n 
A 1 745 PHE 745 745 745 PHE PHE A . n 
A 1 746 GLU 746 746 746 GLU GLU A . n 
A 1 747 PRO 747 747 747 PRO PRO A . n 
A 1 748 MET 748 748 748 MET MET A . n 
A 1 749 SER 749 749 749 SER SER A . n 
A 1 750 ARG 750 750 750 ARG ARG A . n 
A 1 751 GLN 751 751 751 GLN GLN A . n 
A 1 752 VAL 752 752 752 VAL VAL A . n 
A 1 753 PRO 753 753 753 PRO PRO A . n 
A 1 754 GLU 754 754 754 GLU GLU A . n 
A 1 755 TYR 755 755 755 TYR TYR A . n 
A 1 756 GLY 756 756 756 GLY GLY A . n 
A 1 757 ALA 757 757 757 ALA ALA A . n 
A 1 758 ASN 758 758 758 ASN ASN A . n 
A 1 759 TYR 759 759 759 TYR TYR A . n 
A 1 760 PRO 760 760 760 PRO PRO A . n 
A 1 761 ASN 761 761 761 ASN ASN A . n 
A 1 762 LEU 762 762 762 LEU LEU A . n 
A 1 763 MET 763 763 763 MET MET A . n 
A 1 764 ALA 764 764 764 ALA ALA A . n 
A 1 765 ALA 765 765 765 ALA ALA A . n 
A 1 766 TYR 766 766 766 TYR TYR A . n 
A 1 767 LEU 767 767 767 LEU LEU A . n 
A 1 768 ALA 768 768 768 ALA ALA A . n 
A 1 769 ASN 769 769 769 ASN ASN A . n 
A 1 770 PRO 770 770 770 PRO PRO A . n 
A 1 771 GLN 771 771 771 GLN GLN A . n 
A 1 772 THR 772 772 772 THR THR A . n 
A 1 773 MET 773 773 773 MET MET A . n 
A 1 774 PRO 774 774 774 PRO PRO A . n 
A 1 775 ILE 775 775 775 ILE ILE A . n 
A 1 776 TRP 776 776 776 TRP TRP A . n 
A 1 777 ASN 777 777 777 ASN ASN A . n 
A 1 778 ASN 778 778 778 ASN ASN A . n 
A 1 779 CYS 779 779 779 CYS CYS A . n 
A 1 780 GLY 780 780 780 GLY GLY A . n 
A 1 781 PHE 781 781 781 PHE PHE A . n 
A 1 782 GLN 782 782 782 GLN GLN A . n 
A 1 783 GLN 783 783 783 GLN GLN A . n 
A 1 784 LYS 784 784 784 LYS LYS A . n 
A 1 785 THR 785 785 785 THR THR A . n 
A 1 786 ALA 786 786 786 ALA ALA A . n 
A 1 787 THR 787 787 787 THR THR A . n 
A 1 788 ASN 788 788 788 ASN ASN A . n 
A 1 789 VAL 789 789 789 VAL VAL A . n 
A 1 790 LEU 790 790 790 LEU LEU A . n 
A 1 791 LEU 791 791 791 LEU LEU A . n 
A 1 792 GLU 792 792 792 GLU GLU A . n 
A 1 793 ARG 793 793 793 ARG ARG A . n 
A 1 794 CYS 794 794 794 CYS CYS A . n 
A 1 795 GLY 795 795 795 GLY GLY A . n 
A 1 796 HIS 796 796 796 HIS HIS A . n 
A 1 797 PRO 797 797 797 PRO PRO A . n 
A 1 798 TYR 798 798 798 TYR TYR A . n 
A 1 799 VAL 799 799 799 VAL VAL A . n 
A 1 800 ALA 800 800 800 ALA ALA A . n 
A 1 801 ASN 801 801 801 ASN ASN A . n 
A 1 802 TRP 802 802 802 TRP TRP A . n 
A 1 803 PRO 803 803 803 PRO PRO A . n 
A 1 804 TYR 804 804 804 TYR TYR A . n 
A 1 805 PRO 805 805 805 PRO PRO A . n 
A 1 806 LEU 806 806 806 LEU LEU A . n 
A 1 807 SER 807 807 807 SER SER A . n 
A 1 808 GLY 808 808 808 GLY GLY A . n 
A 1 809 ARG 809 809 809 ARG ARG A . n 
A 1 810 ASN 810 810 810 ASN ASN A . n 
A 1 811 ALA 811 811 811 ALA ALA A . n 
A 1 812 VAL 812 812 812 VAL VAL A . n 
A 1 813 PRO 813 813 813 PRO PRO A . n 
A 1 814 ASN 814 814 814 ASN ASN A . n 
A 1 815 GLN 815 815 815 GLN GLN A . n 
A 1 816 VAL 816 816 816 VAL VAL A . n 
A 1 817 THR 817 817 817 THR THR A . n 
A 1 818 GLU 818 818 818 GLU GLU A . n 
A 1 819 ARG 819 819 819 ARG ARG A . n 
A 1 820 LYS 820 820 820 LYS LYS A . n 
A 1 821 PHE 821 821 821 PHE PHE A . n 
A 1 822 LEU 822 822 822 LEU LEU A . n 
A 1 823 VAL 823 823 823 VAL VAL A . n 
A 1 824 ASP 824 824 824 ASP ASP A . n 
A 1 825 ARG 825 825 825 ARG ARG A . n 
A 1 826 TYR 826 826 826 TYR TYR A . n 
A 1 827 LEU 827 827 827 LEU LEU A . n 
A 1 828 TRP 828 828 828 TRP TRP A . n 
A 1 829 GLN 829 829 829 GLN GLN A . n 
A 1 830 ILE 830 830 830 ILE ILE A . n 
A 1 831 PRO 831 831 831 PRO PRO A . n 
A 1 832 PHE 832 832 832 PHE PHE A . n 
A 1 833 SER 833 833 833 SER SER A . n 
A 1 834 SER 834 834 834 SER SER A . n 
A 1 835 ASN 835 835 835 ASN ASN A . n 
A 1 836 PHE 836 836 836 PHE PHE A . n 
A 1 837 LEU 837 837 837 LEU LEU A . n 
A 1 838 ASN 838 838 838 ASN ASN A . n 
A 1 839 MET 839 839 839 MET MET A . n 
A 1 840 GLY 840 840 840 GLY GLY A . n 
A 1 841 THR 841 841 841 THR THR A . n 
A 1 842 LEU 842 842 842 LEU LEU A . n 
A 1 843 THR 843 843 843 THR THR A . n 
A 1 844 ASP 844 844 844 ASP ASP A . n 
A 1 845 LEU 845 845 845 LEU LEU A . n 
A 1 846 GLY 846 846 846 GLY GLY A . n 
A 1 847 GLN 847 847 847 GLN GLN A . n 
A 1 848 ASN 848 848 848 ASN ASN A . n 
A 1 849 VAL 849 849 849 VAL VAL A . n 
A 1 850 MET 850 850 850 MET MET A . n 
A 1 851 TYR 851 851 851 TYR TYR A . n 
A 1 852 ALA 852 852 852 ALA ALA A . n 
A 1 853 ASN 853 853 853 ASN ASN A . n 
A 1 854 SER 854 854 854 SER SER A . n 
A 1 855 SER 855 855 855 SER SER A . n 
A 1 856 HIS 856 856 856 HIS HIS A . n 
A 1 857 SER 857 857 857 SER SER A . n 
A 1 858 LEU 858 858 858 LEU LEU A . n 
A 1 859 ASN 859 859 859 ASN ASN A . n 
A 1 860 MET 860 860 860 MET MET A . n 
A 1 861 GLN 861 861 861 GLN GLN A . n 
A 1 862 PHE 862 862 862 PHE PHE A . n 
A 1 863 THR 863 863 863 THR THR A . n 
A 1 864 VAL 864 864 864 VAL VAL A . n 
A 1 865 ASP 865 865 865 ASP ASP A . n 
A 1 866 PRO 866 866 866 PRO PRO A . n 
A 1 867 MET 867 867 867 MET MET A . n 
A 1 868 THR 868 868 868 THR THR A . n 
A 1 869 GLU 869 869 869 GLU GLU A . n 
A 1 870 PRO 870 870 870 PRO PRO A . n 
A 1 871 THR 871 871 871 THR THR A . n 
A 1 872 TYR 872 872 872 TYR TYR A . n 
A 1 873 LEU 873 873 873 LEU LEU A . n 
A 1 874 MET 874 874 874 MET MET A . n 
A 1 875 LEU 875 875 875 LEU LEU A . n 
A 1 876 LEU 876 876 876 LEU LEU A . n 
A 1 877 PHE 877 877 877 PHE PHE A . n 
A 1 878 GLY 878 878 878 GLY GLY A . n 
A 1 879 VAL 879 879 879 VAL VAL A . n 
A 1 880 PHE 880 880 880 PHE PHE A . n 
A 1 881 ASP 881 881 881 ASP ASP A . n 
A 1 882 GLN 882 882 882 GLN GLN A . n 
A 1 883 VAL 883 883 883 VAL VAL A . n 
A 1 884 VAL 884 884 884 VAL VAL A . n 
A 1 885 ILE 885 885 885 ILE ILE A . n 
A 1 886 ASN 886 886 886 ASN ASN A . n 
A 1 887 GLN 887 887 887 GLN GLN A . n 
A 1 888 PRO 888 888 888 PRO PRO A . n 
A 1 889 THR 889 889 889 THR THR A . n 
A 1 890 ARG 890 890 890 ARG ARG A . n 
A 1 891 SER 891 891 891 SER SER A . n 
A 1 892 GLY 892 892 892 GLY GLY A . n 
A 1 893 ILE 893 893 893 ILE ILE A . n 
A 1 894 SER 894 894 894 SER SER A . n 
A 1 895 VAL 895 895 895 VAL VAL A . n 
A 1 896 ALA 896 896 896 ALA ALA A . n 
A 1 897 TYR 897 897 897 TYR TYR A . n 
A 1 898 LEU 898 898 898 LEU LEU A . n 
A 1 899 ARG 899 899 899 ARG ARG A . n 
A 1 900 LEU 900 900 900 LEU LEU A . n 
A 1 901 PRO 901 901 901 PRO PRO A . n 
A 1 902 PHE 902 902 902 PHE PHE A . n 
A 1 903 ALA 903 903 903 ALA ALA A . n 
A 1 904 SER 904 904 904 SER SER A . n 
A 1 905 GLY 905 905 905 GLY GLY A . n 
B 2 1   MET 1   1   1   MET MET B . n 
B 2 2   GLU 2   2   2   GLU GLU B . n 
B 2 3   PRO 3   3   3   PRO PRO B . n 
B 2 4   GLN 4   4   4   GLN GLN B . n 
B 2 5   ARG 5   5   5   ARG ARG B . n 
B 2 6   GLU 6   6   6   GLU GLU B . n 
B 2 7   PHE 7   7   7   PHE PHE B . n 
B 2 8   PHE 8   8   8   PHE PHE B . n 
B 2 9   HIS 9   9   9   HIS HIS B . n 
B 2 10  ILE 10  10  10  ILE ILE B . n 
B 2 11  ALA 11  11  11  ALA ALA B . n 
B 2 12  GLY 12  12  12  GLY GLY B . n 
B 2 13  ARG 13  13  13  ARG ARG B . n 
B 2 14  SER 14  14  14  SER SER B . n 
B 2 15  ALA 15  15  15  ALA ALA B . n 
B 2 16  LYS 16  16  16  LYS LYS B . n 
B 2 17  GLU 17  17  17  GLU GLU B . n 
B 2 18  TYR 18  18  18  TYR TYR B . n 
B 2 19  LEU 19  19  19  LEU LEU B . n 
B 2 20  SER 20  20  20  SER SER B . n 
B 2 21  GLU 21  21  21  GLU GLU B . n 
B 2 22  ASN 22  22  22  ASN ASN B . n 
B 2 23  LEU 23  23  23  LEU LEU B . n 
B 2 24  VAL 24  24  24  VAL VAL B . n 
B 2 25  GLN 25  25  25  GLN GLN B . n 
B 2 26  PHE 26  26  26  PHE PHE B . n 
B 2 27  ILE 27  27  27  ILE ILE B . n 
B 2 28  GLN 28  28  28  GLN GLN B . n 
B 2 29  ALA 29  29  29  ALA ALA B . n 
B 2 30  THR 30  30  30  THR THR B . n 
B 2 31  GLN 31  31  31  GLN GLN B . n 
B 2 32  ASN 32  32  32  ASN ASN B . n 
B 2 33  TYR 33  33  33  TYR TYR B . n 
B 2 34  PHE 34  34  34  PHE PHE B . n 
B 2 35  ASN 35  35  35  ASN ASN B . n 
B 2 36  ILE 36  36  36  ILE ILE B . n 
B 2 37  GLY 37  37  37  GLY GLY B . n 
B 2 38  GLU 38  38  38  GLU GLU B . n 
B 2 39  LYS 39  39  39  LYS LYS B . n 
B 2 40  PHE 40  40  40  PHE PHE B . n 
B 2 41  ARG 41  41  41  ARG ARG B . n 
B 2 42  ASP 42  42  42  ASP ASP B . n 
B 2 43  PRO 43  43  43  PRO PRO B . n 
B 2 44  TYR 44  44  44  TYR TYR B . n 
B 2 45  VAL 45  45  45  VAL VAL B . n 
B 2 46  ALA 46  46  46  ALA ALA B . n 
B 2 47  PRO 47  47  47  PRO PRO B . n 
B 2 48  SER 48  48  48  SER SER B . n 
B 2 49  ALA 49  49  49  ALA ALA B . n 
B 2 50  GLY 50  50  50  GLY GLY B . n 
B 2 51  VAL 51  51  51  VAL VAL B . n 
B 2 52  THR 52  52  52  THR THR B . n 
B 2 53  THR 53  53  53  THR THR B . n 
B 2 54  ASP 54  54  54  ASP ASP B . n 
B 2 55  ARG 55  55  55  ARG ARG B . n 
B 2 56  SER 56  56  56  SER SER B . n 
B 2 57  GLN 57  57  57  GLN GLN B . n 
B 2 58  LYS 58  58  58  LYS LYS B . n 
B 2 59  LEU 59  59  59  LEU LEU B . n 
B 2 60  GLN 60  60  60  GLN GLN B . n 
B 2 61  LEU 61  61  61  LEU LEU B . n 
B 2 62  ARG 62  62  62  ARG ARG B . n 
B 2 63  VAL 63  63  63  VAL VAL B . n 
B 2 64  VAL 64  64  64  VAL VAL B . n 
B 2 65  PRO 65  65  65  PRO PRO B . n 
B 2 66  ILE 66  66  66  ILE ILE B . n 
B 2 67  GLN 67  67  67  GLN GLN B . n 
B 2 68  THR 68  68  68  THR THR B . n 
B 2 69  GLU 69  69  69  GLU GLU B . n 
B 2 70  ASP 70  70  70  ASP ASP B . n 
B 2 71  ASN 71  71  71  ASN ASN B . n 
B 2 72  VAL 72  72  72  VAL VAL B . n 
B 2 73  ASN 73  73  73  ASN ASN B . n 
B 2 74  TYR 74  74  74  TYR TYR B . n 
B 2 75  TYR 75  75  75  TYR TYR B . n 
B 2 76  LYS 76  76  76  LYS LYS B . n 
B 2 77  ALA 77  77  77  ALA ALA B . n 
B 2 78  ARG 78  78  78  ARG ARG B . n 
B 2 79  PHE 79  79  79  PHE PHE B . n 
B 2 80  THR 80  80  80  THR THR B . n 
B 2 81  LEU 81  81  81  LEU LEU B . n 
B 2 82  ASN 82  82  82  ASN ASN B . n 
B 2 83  VAL 83  83  83  VAL VAL B . n 
B 2 84  GLY 84  84  84  GLY GLY B . n 
B 2 85  ASP 85  85  85  ASP ASP B . n 
B 2 86  ASN 86  86  86  ASN ASN B . n 
B 2 87  ARG 87  87  87  ARG ARG B . n 
B 2 88  LEU 88  88  88  LEU LEU B . n 
B 2 89  VAL 89  89  89  VAL VAL B . n 
B 2 90  ASP 90  90  90  ASP ASP B . n 
B 2 91  LEU 91  91  91  LEU LEU B . n 
B 2 92  GLY 92  92  92  GLY GLY B . n 
B 2 93  SER 93  93  93  SER SER B . n 
B 2 94  SER 94  94  94  SER SER B . n 
B 2 95  TYR 95  95  95  TYR TYR B . n 
B 2 96  PHE 96  96  96  PHE PHE B . n 
B 2 97  ASP 97  97  97  ASP ASP B . n 
B 2 98  ILE 98  98  98  ILE ILE B . n 
B 2 99  LYS 99  99  99  LYS LYS B . n 
B 2 100 GLY 100 100 100 GLY GLY B . n 
B 2 101 THR 101 101 101 THR THR B . n 
B 2 102 LEU 102 102 102 LEU LEU B . n 
B 2 103 ASP 103 103 103 ASP ASP B . n 
B 2 104 ARG 104 104 104 ARG ARG B . n 
B 2 105 GLY 105 105 105 GLY GLY B . n 
B 2 106 PRO 106 106 106 PRO PRO B . n 
B 2 107 SER 107 107 107 SER SER B . n 
B 2 108 PHE 108 108 108 PHE PHE B . n 
B 2 109 LYS 109 109 109 LYS LYS B . n 
B 2 110 PRO 110 110 110 PRO PRO B . n 
B 2 111 TYR 111 111 111 TYR TYR B . n 
B 2 112 GLY 112 112 112 GLY GLY B . n 
B 2 113 GLY 113 113 113 GLY GLY B . n 
B 2 114 THR 114 114 114 THR THR B . n 
B 2 115 ALA 115 115 115 ALA ALA B . n 
B 2 116 TYR 116 116 116 TYR TYR B . n 
B 2 117 ASN 117 117 117 ASN ASN B . n 
B 2 118 PRO 118 118 118 PRO PRO B . n 
B 2 119 LEU 119 119 119 LEU LEU B . n 
B 2 120 ALA 120 120 120 ALA ALA B . n 
B 2 121 PRO 121 121 121 PRO PRO B . n 
B 2 122 LYS 122 122 122 LYS LYS B . n 
B 2 123 SER 123 123 123 SER SER B . n 
B 2 124 ALA 124 124 124 ALA ALA B . n 
B 2 125 PRO 125 125 125 PRO PRO B . n 
B 2 126 ILE 126 126 126 ILE ILE B . n 
B 2 127 ASN 127 127 127 ASN ASN B . n 
B 2 128 SER 128 128 128 SER SER B . n 
B 2 129 ALA 129 129 129 ALA ALA B . n 
B 2 130 PHE 130 130 130 PHE PHE B . n 
B 2 131 THR 131 131 131 THR THR B . n 
B 2 132 VAL 132 132 132 VAL VAL B . n 
B 2 133 GLY 133 133 133 GLY GLY B . n 
B 2 134 ASN 134 134 134 ASN ASN B . n 
B 2 135 ASP 135 135 135 ASP ASP B . n 
B 2 136 THR 136 136 136 THR THR B . n 
B 2 137 HIS 137 137 137 HIS HIS B . n 
B 2 138 PHE 138 138 138 PHE PHE B . n 
B 2 139 VAL 139 139 139 VAL VAL B . n 
B 2 140 ALA 140 140 140 ALA ALA B . n 
B 2 141 GLN 141 141 141 GLN GLN B . n 
B 2 142 LEU 142 142 142 LEU LEU B . n 
B 2 143 PRO 143 143 143 PRO PRO B . n 
B 2 144 GLN 144 144 144 GLN GLN B . n 
B 2 145 THR 145 145 145 THR THR B . n 
B 2 146 TYR 146 146 146 TYR TYR B . n 
B 2 147 ALA 147 147 147 ALA ALA B . n 
B 2 148 ALA 148 148 148 ALA ALA B . n 
B 2 149 GLY 149 149 149 GLY GLY B . n 
B 2 150 GLY 150 150 150 GLY GLY B . n 
B 2 151 THR 151 151 151 THR THR B . n 
B 2 152 GLY 152 152 152 GLY GLY B . n 
B 2 153 VAL 153 153 153 VAL VAL B . n 
B 2 154 THR 154 154 154 THR THR B . n 
B 2 155 GLU 155 155 155 GLU GLU B . n 
B 2 156 ALA 156 156 156 ALA ALA B . n 
B 2 157 ILE 157 157 157 ILE ILE B . n 
B 2 158 GLN 158 158 158 GLN GLN B . n 
B 2 159 GLN 159 159 159 GLN GLN B . n 
B 2 160 GLN 160 160 160 GLN GLN B . n 
B 2 161 VAL 161 161 161 VAL VAL B . n 
B 2 162 SER 162 162 162 SER SER B . n 
B 2 163 GLY 163 163 163 GLY GLY B . n 
B 2 164 VAL 164 164 164 VAL VAL B . n 
B 2 165 ASP 165 165 165 ASP ASP B . n 
B 2 166 PRO 166 166 166 PRO PRO B . n 
B 2 167 ASN 167 167 167 ASN ASN B . n 
B 2 168 PRO 168 168 168 PRO PRO B . n 
B 2 169 GLN 169 169 169 GLN GLN B . n 
B 2 170 VAL 170 170 170 VAL VAL B . n 
B 2 171 GLY 171 171 171 GLY GLY B . n 
B 2 172 GLN 172 172 172 GLN GLN B . n 
B 2 173 PRO 173 173 173 PRO PRO B . n 
B 2 174 ASN 174 174 174 ASN ASN B . n 
B 2 175 TYR 175 175 175 TYR TYR B . n 
B 2 176 ALA 176 176 176 ALA ALA B . n 
B 2 177 GLY 177 177 177 GLY GLY B . n 
B 2 178 PRO 178 178 178 PRO PRO B . n 
B 2 179 VAL 179 179 179 VAL VAL B . n 
B 2 180 VAL 180 180 180 VAL VAL B . n 
B 2 181 VAL 181 181 181 VAL VAL B . n 
B 2 182 ASN 182 182 182 ASN ASN B . n 
B 2 183 THR 183 183 183 THR THR B . n 
B 2 184 THR 184 184 184 THR THR B . n 
B 2 185 ASN 185 185 185 ASN ASN B . n 
B 2 186 ASN 186 186 186 ASN ASN B . n 
B 2 187 ALA 187 187 187 ALA ALA B . n 
B 2 188 GLY 188 188 188 GLY GLY B . n 
B 2 189 LEU 189 189 189 LEU LEU B . n 
B 2 190 GLY 190 190 190 GLY GLY B . n 
B 2 191 ARG 191 191 191 ARG ARG B . n 
B 2 192 ILE 192 192 192 ILE ILE B . n 
B 2 193 VAL 193 193 193 VAL VAL B . n 
B 2 194 SER 194 194 194 SER SER B . n 
B 2 195 ALA 195 195 195 ALA ALA B . n 
B 2 196 ASP 196 196 196 ASP ASP B . n 
B 2 197 SER 197 197 197 SER SER B . n 
B 2 198 GLU 198 198 198 GLU GLU B . n 
B 2 199 GLY 199 199 199 GLY GLY B . n 
B 2 200 GLN 200 200 200 GLN GLN B . n 
B 2 201 GLN 201 201 201 GLN GLN B . n 
B 2 202 PHE 202 202 202 PHE PHE B . n 
B 2 203 PRO 203 203 203 PRO PRO B . n 
B 2 204 CYS 204 204 204 CYS CYS B . n 
B 2 205 TYR 205 205 205 TYR TYR B . n 
B 2 206 GLY 206 206 206 GLY GLY B . n 
B 2 207 ALA 207 207 207 ALA ALA B . n 
B 2 208 TYR 208 208 208 TYR TYR B . n 
B 2 209 ALA 209 209 209 ALA ALA B . n 
B 2 210 PRO 210 210 210 PRO PRO B . n 
B 2 211 PRO 211 211 211 PRO PRO B . n 
B 2 212 GLN 212 212 212 GLN GLN B . n 
B 2 213 SER 213 213 213 SER SER B . n 
B 2 214 ALA 214 214 214 ALA ALA B . n 
B 2 215 GLY 215 215 215 GLY GLY B . n 
B 2 216 GLY 216 216 216 GLY GLY B . n 
B 2 217 ASP 217 217 217 ASP ASP B . n 
B 2 218 VAL 218 218 218 VAL VAL B . n 
B 2 219 SER 219 219 219 SER SER B . n 
B 2 220 THR 220 220 220 THR THR B . n 
B 2 221 ALA 221 221 221 ALA ALA B . n 
B 2 222 ALA 222 222 222 ALA ALA B . n 
B 2 223 VAL 223 223 223 VAL VAL B . n 
B 2 224 THR 224 224 224 THR THR B . n 
B 2 225 LYS 225 225 225 LYS LYS B . n 
B 2 226 THR 226 226 226 THR THR B . n 
B 2 227 TYR 227 227 227 TYR TYR B . n 
B 2 228 ILE 228 228 228 ILE ILE B . n 
B 2 229 ASN 229 229 229 ASN ASN B . n 
B 2 230 THR 230 230 230 THR THR B . n 
B 2 231 THR 231 231 231 THR THR B . n 
B 2 232 ASN 232 232 232 ASN ASN B . n 
B 2 233 ASN 233 233 233 ASN ASN B . n 
B 2 234 ASN 234 234 234 ASN ASN B . n 
B 2 235 GLY 235 235 235 GLY GLY B . n 
B 2 236 ARG 236 236 236 ARG ARG B . n 
B 2 237 VAL 237 237 237 VAL VAL B . n 
B 2 238 SER 238 238 238 SER SER B . n 
B 2 239 GLY 239 239 239 GLY GLY B . n 
B 2 240 THR 240 240 240 THR THR B . n 
B 2 241 MET 241 241 241 MET MET B . n 
B 2 242 ALA 242 242 242 ALA ALA B . n 
B 2 243 THR 243 243 243 THR THR B . n 
B 2 244 ASP 244 244 244 ASP ASP B . n 
B 2 245 THR 245 245 245 THR THR B . n 
B 2 246 ILE 246 246 246 ILE ILE B . n 
B 2 247 THR 247 247 247 THR THR B . n 
B 2 248 TRP 248 248 248 TRP TRP B . n 
B 2 249 GLU 249 249 249 GLU GLU B . n 
B 2 250 ASN 250 250 250 ASN ASN B . n 
B 2 251 PRO 251 251 251 PRO PRO B . n 
B 2 252 ASP 252 252 252 ASP ASP B . n 
B 2 253 ALA 253 253 253 ALA ALA B . n 
B 2 254 HIS 254 254 254 HIS HIS B . n 
B 2 255 PHE 255 255 255 PHE PHE B . n 
B 2 256 ALA 256 256 256 ALA ALA B . n 
B 2 257 ASP 257 257 257 ASP ASP B . n 
B 2 258 PHE 258 258 258 PHE PHE B . n 
B 2 259 VAL 259 259 259 VAL VAL B . n 
B 2 260 ASP 260 260 260 ASP ASP B . n 
B 2 261 ASP 261 261 261 ASP ASP B . n 
B 2 262 ARG 262 262 262 ARG ARG B . n 
B 2 263 ARG 263 263 263 ARG ARG B . n 
B 2 264 ALA 264 264 264 ALA ALA B . n 
B 2 265 THR 265 265 265 THR THR B . n 
B 2 266 ALA 266 266 266 ALA ALA B . n 
B 2 267 ALA 267 267 267 ALA ALA B . n 
B 2 268 GLY 268 268 268 GLY GLY B . n 
B 2 269 ASN 269 269 269 ASN ASN B . n 
B 2 270 ARG 270 270 270 ARG ARG B . n 
B 2 271 PRO 271 271 271 PRO PRO B . n 
B 2 272 ASN 272 272 272 ASN ASN B . n 
B 2 273 TYR 273 273 273 TYR TYR B . n 
B 2 274 ILE 274 274 274 ILE ILE B . n 
B 2 275 GLY 275 275 275 GLY GLY B . n 
B 2 276 PHE 276 276 276 PHE PHE B . n 
B 2 277 ARG 277 277 277 ARG ARG B . n 
B 2 278 ASP 278 278 278 ASP ASP B . n 
B 2 279 ASN 279 279 279 ASN ASN B . n 
B 2 280 PHE 280 280 280 PHE PHE B . n 
B 2 281 ILE 281 281 281 ILE ILE B . n 
B 2 282 GLY 282 282 282 GLY GLY B . n 
B 2 283 MET 283 283 283 MET MET B . n 
B 2 284 MET 284 284 284 MET MET B . n 
B 2 285 TYR 285 285 285 TYR TYR B . n 
B 2 286 TYR 286 286 286 TYR TYR B . n 
B 2 287 ASN 287 287 287 ASN ASN B . n 
B 2 288 SER 288 288 288 SER SER B . n 
B 2 289 GLY 289 289 289 GLY GLY B . n 
B 2 290 SER 290 290 290 SER SER B . n 
B 2 291 ASN 291 291 291 ASN ASN B . n 
B 2 292 THR 292 292 292 THR THR B . n 
B 2 293 GLY 293 293 293 GLY GLY B . n 
B 2 294 SER 294 294 294 SER SER B . n 
B 2 295 PHE 295 295 295 PHE PHE B . n 
B 2 296 SER 296 296 296 SER SER B . n 
B 2 297 SER 297 297 297 SER SER B . n 
B 2 298 GLN 298 298 298 GLN GLN B . n 
B 2 299 THR 299 299 299 THR THR B . n 
B 2 300 GLN 300 300 300 GLN GLN B . n 
B 2 301 GLN 301 301 301 GLN GLN B . n 
B 2 302 LEU 302 302 302 LEU LEU B . n 
B 2 303 ASN 303 303 303 ASN ASN B . n 
B 2 304 ILE 304 304 304 ILE ILE B . n 
B 2 305 VAL 305 305 305 VAL VAL B . n 
B 2 306 LEU 306 306 306 LEU LEU B . n 
B 2 307 ASP 307 307 307 ASP ASP B . n 
B 2 308 LEU 308 308 308 LEU LEU B . n 
B 2 309 ASN 309 309 309 ASN ASN B . n 
B 2 310 ASP 310 310 310 ASP ASP B . n 
B 2 311 ARG 311 311 311 ARG ARG B . n 
B 2 312 ASN 312 312 312 ASN ASN B . n 
B 2 313 SER 313 313 313 SER SER B . n 
B 2 314 GLU 314 314 314 GLU GLU B . n 
B 2 315 LEU 315 315 315 LEU LEU B . n 
B 2 316 SER 316 316 316 SER SER B . n 
B 2 317 TYR 317 317 317 TYR TYR B . n 
B 2 318 GLN 318 318 318 GLN GLN B . n 
B 2 319 TYR 319 319 319 TYR TYR B . n 
B 2 320 LEU 320 320 320 LEU LEU B . n 
B 2 321 LEU 321 321 321 LEU LEU B . n 
B 2 322 ALA 322 322 322 ALA ALA B . n 
B 2 323 ASP 323 323 323 ASP ASP B . n 
B 2 324 LEU 324 324 324 LEU LEU B . n 
B 2 325 THR 325 325 325 THR THR B . n 
B 2 326 SER 326 326 326 SER SER B . n 
B 2 327 ARG 327 327 327 ARG ARG B . n 
B 2 328 TRP 328 328 328 TRP TRP B . n 
B 2 329 HIS 329 329 329 HIS HIS B . n 
B 2 330 TYR 330 330 330 TYR TYR B . n 
B 2 331 PHE 331 331 331 PHE PHE B . n 
B 2 332 ALA 332 332 332 ALA ALA B . n 
B 2 333 LEU 333 333 333 LEU LEU B . n 
B 2 334 TRP 334 334 334 TRP TRP B . n 
B 2 335 ASN 335 335 335 ASN ASN B . n 
B 2 336 GLN 336 336 336 GLN GLN B . n 
B 2 337 ALA 337 337 337 ALA ALA B . n 
B 2 338 VAL 338 338 338 VAL VAL B . n 
B 2 339 ASP 339 339 339 ASP ASP B . n 
B 2 340 ASP 340 340 340 ASP ASP B . n 
B 2 341 TYR 341 341 341 TYR TYR B . n 
B 2 342 ASP 342 342 342 ASP ASP B . n 
B 2 343 HIS 343 343 343 HIS HIS B . n 
B 2 344 HIS 344 344 344 HIS HIS B . n 
B 2 345 VAL 345 345 345 VAL VAL B . n 
B 2 346 ARG 346 346 346 ARG ARG B . n 
B 2 347 ILE 347 347 347 ILE ILE B . n 
B 2 348 LEU 348 348 348 LEU LEU B . n 
B 2 349 GLU 349 349 349 GLU GLU B . n 
B 2 350 ASN 350 350 350 ASN ASN B . n 
B 2 351 ASP 351 351 351 ASP ASP B . n 
B 2 352 GLY 352 352 352 GLY GLY B . n 
B 2 353 TYR 353 353 353 TYR TYR B . n 
B 2 354 GLU 354 354 354 GLU GLU B . n 
B 2 355 GLU 355 355 355 GLU GLU B . n 
B 2 356 GLY 356 356 356 GLY GLY B . n 
B 2 357 PRO 357 357 357 PRO PRO B . n 
B 2 358 PRO 358 358 358 PRO PRO B . n 
B 2 359 ASN 359 359 359 ASN ASN B . n 
B 2 360 LEU 360 360 360 LEU LEU B . n 
B 2 361 ALA 361 361 361 ALA ALA B . n 
B 2 362 PHE 362 362 362 PHE PHE B . n 
B 2 363 PRO 363 363 363 PRO PRO B . n 
B 2 364 PRO 364 364 364 PRO PRO B . n 
B 2 365 HIS 365 365 365 HIS HIS B . n 
B 2 366 VAL 366 366 366 VAL VAL B . n 
B 2 367 ILE 367 367 367 ILE ILE B . n 
B 2 368 SER 368 368 368 SER SER B . n 
B 2 369 ASN 369 369 369 ASN ASN B . n 
B 2 370 PRO 370 370 370 PRO PRO B . n 
B 2 371 PHE 371 371 371 PHE PHE B . n 
B 2 372 ALA 372 372 372 ALA ALA B . n 
B 2 373 PRO 373 373 373 PRO PRO B . n 
B 2 374 ALA 374 374 374 ALA ALA B . n 
B 2 375 ALA 375 375 375 ALA ALA B . n 
B 2 376 VAL 376 376 376 VAL VAL B . n 
B 2 377 GLY 377 377 377 GLY GLY B . n 
B 2 378 THR 378 378 378 THR THR B . n 
B 2 379 GLY 379 379 379 GLY GLY B . n 
B 2 380 MET 380 380 380 MET MET B . n 
B 2 381 THR 381 381 381 THR THR B . n 
B 2 382 VAL 382 382 382 VAL VAL B . n 
B 2 383 ASN 383 383 383 ASN ASN B . n 
B 2 384 GLU 384 384 384 GLU GLU B . n 
B 2 385 GLN 385 385 385 GLN GLN B . n 
B 2 386 GLN 386 386 386 GLN GLN B . n 
B 2 387 GLN 387 387 387 GLN GLN B . n 
B 2 388 THR 388 388 388 THR THR B . n 
B 2 389 ALA 389 389 389 ALA ALA B . n 
B 2 390 ALA 390 390 390 ALA ALA B . n 
B 2 391 VAL 391 391 391 VAL VAL B . n 
B 2 392 THR 392 392 392 THR THR B . n 
B 2 393 ALA 393 393 393 ALA ALA B . n 
B 2 394 ASN 394 394 394 ASN ASN B . n 
B 2 395 THR 395 395 395 THR THR B . n 
B 2 396 VAL 396 396 396 VAL VAL B . n 
B 2 397 ALA 397 397 397 ALA ALA B . n 
B 2 398 LEU 398 398 398 LEU LEU B . n 
B 2 399 ILE 399 399 399 ILE ILE B . n 
B 2 400 GLY 400 400 400 GLY GLY B . n 
B 2 401 TYR 401 401 401 TYR TYR B . n 
B 2 402 GLY 402 402 402 GLY GLY B . n 
B 2 403 ASN 403 403 403 ASN ASN B . n 
B 2 404 ILE 404 404 404 ILE ILE B . n 
B 2 405 PRO 405 405 405 PRO PRO B . n 
B 2 406 ALA 406 406 406 ALA ALA B . n 
B 2 407 VAL 407 407 407 VAL VAL B . n 
B 2 408 GLU 408 408 408 GLU GLU B . n 
B 2 409 MET 409 409 409 MET MET B . n 
B 2 410 ASN 410 410 410 ASN ASN B . n 
B 2 411 LEU 411 411 411 LEU LEU B . n 
B 2 412 PRO 412 412 412 PRO PRO B . n 
B 2 413 ALA 413 413 413 ALA ALA B . n 
B 2 414 ASN 414 414 414 ASN ASN B . n 
B 2 415 LEU 415 415 415 LEU LEU B . n 
B 2 416 LYS 416 416 416 LYS LYS B . n 
B 2 417 ARG 417 417 417 ARG ARG B . n 
B 2 418 THR 418 418 418 THR THR B . n 
B 2 419 PHE 419 419 419 PHE PHE B . n 
B 2 420 LEU 420 420 420 LEU LEU B . n 
B 2 421 TYR 421 421 421 TYR TYR B . n 
B 2 422 SER 422 422 422 SER SER B . n 
B 2 423 ASN 423 423 423 ASN ASN B . n 
B 2 424 VAL 424 424 424 VAL VAL B . n 
B 2 425 ALA 425 425 425 ALA ALA B . n 
B 2 426 MET 426 426 426 MET MET B . n 
B 2 427 TYR 427 427 427 TYR TYR B . n 
B 2 428 LEU 428 428 428 LEU LEU B . n 
B 2 429 PRO 429 429 429 PRO PRO B . n 
B 2 430 ASP 430 430 430 ASP ASP B . n 
B 2 431 THR 431 431 431 THR THR B . n 
B 2 432 TYR 432 432 432 TYR TYR B . n 
B 2 433 LYS 433 433 433 LYS LYS B . n 
B 2 434 PHE 434 434 434 PHE PHE B . n 
B 2 435 THR 435 435 435 THR THR B . n 
B 2 436 PRO 436 436 436 PRO PRO B . n 
B 2 437 ALA 437 437 437 ALA ALA B . n 
B 2 438 ASN 438 438 438 ASN ASN B . n 
B 2 439 VAL 439 439 439 VAL VAL B . n 
B 2 440 ASP 440 440 440 ASP ASP B . n 
B 2 441 LEU 441 441 441 LEU LEU B . n 
B 2 442 PRO 442 442 442 PRO PRO B . n 
B 2 443 GLU 443 443 443 GLU GLU B . n 
B 2 444 ASN 444 444 444 ASN ASN B . n 
B 2 445 HIS 445 445 445 HIS HIS B . n 
B 2 446 LEU 446 446 446 LEU LEU B . n 
B 2 447 SER 447 447 447 SER SER B . n 
B 2 448 TYR 448 448 448 TYR TYR B . n 
B 2 449 GLY 449 449 449 GLY GLY B . n 
B 2 450 TYR 450 450 450 TYR TYR B . n 
B 2 451 ILE 451 451 451 ILE ILE B . n 
B 2 452 ASN 452 452 452 ASN ASN B . n 
B 2 453 GLY 453 453 453 GLY GLY B . n 
B 2 454 ARG 454 454 454 ARG ARG B . n 
B 2 455 LEU 455 455 455 LEU LEU B . n 
B 2 456 PRO 456 456 456 PRO PRO B . n 
B 2 457 LEU 457 457 457 LEU LEU B . n 
B 2 458 PRO 458 458 458 PRO PRO B . n 
B 2 459 ASN 459 459 459 ASN ASN B . n 
B 2 460 ILE 460 460 460 ILE ILE B . n 
B 2 461 VAL 461 461 461 VAL VAL B . n 
B 2 462 ASP 462 462 462 ASP ASP B . n 
B 2 463 THR 463 463 463 THR THR B . n 
B 2 464 TRP 464 464 464 TRP TRP B . n 
B 2 465 THR 465 465 465 THR THR B . n 
B 2 466 ASP 466 466 466 ASP ASP B . n 
B 2 467 ILE 467 467 467 ILE ILE B . n 
B 2 468 GLY 468 468 468 GLY GLY B . n 
B 2 469 ALA 469 469 469 ALA ALA B . n 
B 2 470 ARG 470 470 470 ARG ARG B . n 
B 2 471 TRP 471 471 471 TRP TRP B . n 
B 2 472 SER 472 472 472 SER SER B . n 
B 2 473 LEU 473 473 473 LEU LEU B . n 
B 2 474 ASP 474 474 474 ASP ASP B . n 
B 2 475 VAL 475 475 475 VAL VAL B . n 
B 2 476 MET 476 476 476 MET MET B . n 
B 2 477 ASP 477 477 477 ASP ASP B . n 
B 2 478 THR 478 478 478 THR THR B . n 
B 2 479 VAL 479 479 479 VAL VAL B . n 
B 2 480 ASN 480 480 480 ASN ASN B . n 
B 2 481 PRO 481 481 481 PRO PRO B . n 
B 2 482 PHE 482 482 482 PHE PHE B . n 
B 2 483 ASN 483 483 483 ASN ASN B . n 
B 2 484 HIS 484 484 484 HIS HIS B . n 
B 2 485 HIS 485 485 485 HIS HIS B . n 
B 2 486 ARG 486 486 486 ARG ARG B . n 
B 2 487 ASN 487 487 487 ASN ASN B . n 
B 2 488 THR 488 488 488 THR THR B . n 
B 2 489 GLY 489 489 489 GLY GLY B . n 
B 2 490 LEU 490 490 490 LEU LEU B . n 
B 2 491 LYS 491 491 491 LYS LYS B . n 
B 2 492 TYR 492 492 492 TYR TYR B . n 
B 2 493 ARG 493 493 493 ARG ARG B . n 
B 2 494 SER 494 494 494 SER SER B . n 
B 2 495 GLN 495 495 495 GLN GLN B . n 
B 2 496 LEU 496 496 496 LEU LEU B . n 
B 2 497 LEU 497 497 497 LEU LEU B . n 
B 2 498 GLY 498 498 498 GLY GLY B . n 
B 2 499 ASN 499 499 499 ASN ASN B . n 
B 2 500 GLY 500 500 500 GLY GLY B . n 
B 2 501 ARG 501 501 501 ARG ARG B . n 
B 2 502 TYR 502 502 502 TYR TYR B . n 
B 2 503 CYS 503 503 503 CYS CYS B . n 
B 2 504 ASP 504 504 504 ASP ASP B . n 
B 2 505 PHE 505 505 505 PHE PHE B . n 
B 2 506 HIS 506 506 506 HIS HIS B . n 
B 2 507 ILE 507 507 507 ILE ILE B . n 
B 2 508 GLN 508 508 508 GLN GLN B . n 
B 2 509 VAL 509 509 509 VAL VAL B . n 
B 2 510 PRO 510 510 510 PRO PRO B . n 
B 2 511 GLN 511 511 511 GLN GLN B . n 
B 2 512 LYS 512 512 512 LYS LYS B . n 
B 2 513 PHE 513 513 513 PHE PHE B . n 
B 2 514 PHE 514 514 514 PHE PHE B . n 
B 2 515 ALA 515 515 515 ALA ALA B . n 
B 2 516 ILE 516 516 516 ILE ILE B . n 
B 2 517 LYS 517 517 517 LYS LYS B . n 
B 2 518 ASN 518 518 518 ASN ASN B . n 
B 2 519 LEU 519 519 519 LEU LEU B . n 
B 2 520 LEU 520 520 520 LEU LEU B . n 
B 2 521 LEU 521 521 521 LEU LEU B . n 
B 2 522 LEU 522 522 522 LEU LEU B . n 
B 2 523 PRO 523 523 523 PRO PRO B . n 
B 2 524 GLY 524 524 524 GLY GLY B . n 
B 2 525 THR 525 525 525 THR THR B . n 
B 2 526 TYR 526 526 526 TYR TYR B . n 
B 2 527 ASN 527 527 527 ASN ASN B . n 
B 2 528 TYR 528 528 528 TYR TYR B . n 
B 2 529 GLU 529 529 529 GLU GLU B . n 
B 2 530 TRP 530 530 530 TRP TRP B . n 
B 2 531 TYR 531 531 531 TYR TYR B . n 
B 2 532 PHE 532 532 532 PHE PHE B . n 
B 2 533 ARG 533 533 533 ARG ARG B . n 
B 2 534 LYS 534 534 534 LYS LYS B . n 
B 2 535 ASP 535 535 535 ASP ASP B . n 
B 2 536 PRO 536 536 536 PRO PRO B . n 
B 2 537 ASN 537 537 537 ASN ASN B . n 
B 2 538 MET 538 538 538 MET MET B . n 
B 2 539 VAL 539 539 539 VAL VAL B . n 
B 2 540 LEU 540 540 540 LEU LEU B . n 
B 2 541 GLN 541 541 541 GLN GLN B . n 
B 2 542 SER 542 542 542 SER SER B . n 
B 2 543 THR 543 543 543 THR THR B . n 
B 2 544 LEU 544 544 544 LEU LEU B . n 
B 2 545 GLY 545 545 545 GLY GLY B . n 
B 2 546 ASN 546 546 546 ASN ASN B . n 
B 2 547 ASP 547 547 547 ASP ASP B . n 
B 2 548 LEU 548 548 548 LEU LEU B . n 
B 2 549 ARG 549 549 549 ARG ARG B . n 
B 2 550 ALA 550 550 550 ALA ALA B . n 
B 2 551 ASP 551 551 551 ASP ASP B . n 
B 2 552 GLY 552 552 552 GLY GLY B . n 
B 2 553 ALA 553 553 553 ALA ALA B . n 
B 2 554 SER 554 554 554 SER SER B . n 
B 2 555 ILE 555 555 555 ILE ILE B . n 
B 2 556 THR 556 556 556 THR THR B . n 
B 2 557 TYR 557 557 557 TYR TYR B . n 
B 2 558 THR 558 558 558 THR THR B . n 
B 2 559 GLN 559 559 559 GLN GLN B . n 
B 2 560 ILE 560 560 560 ILE ILE B . n 
B 2 561 ASN 561 561 561 ASN ASN B . n 
B 2 562 LEU 562 562 562 LEU LEU B . n 
B 2 563 TYR 563 563 563 TYR TYR B . n 
B 2 564 VAL 564 564 564 VAL VAL B . n 
B 2 565 SER 565 565 565 SER SER B . n 
B 2 566 PHE 566 566 566 PHE PHE B . n 
B 2 567 PHE 567 567 567 PHE PHE B . n 
B 2 568 PRO 568 568 568 PRO PRO B . n 
B 2 569 MET 569 569 569 MET MET B . n 
B 2 570 ASN 570 570 570 ASN ASN B . n 
B 2 571 TYR 571 571 571 TYR TYR B . n 
B 2 572 ASP 572 572 572 ASP ASP B . n 
B 2 573 THR 573 573 573 THR THR B . n 
B 2 574 GLN 574 574 574 GLN GLN B . n 
B 2 575 SER 575 575 575 SER SER B . n 
B 2 576 GLU 576 576 576 GLU GLU B . n 
B 2 577 LEU 577 577 577 LEU LEU B . n 
B 2 578 GLU 578 578 578 GLU GLU B . n 
B 2 579 LEU 579 579 579 LEU LEU B . n 
B 2 580 MET 580 580 580 MET MET B . n 
B 2 581 LEU 581 581 581 LEU LEU B . n 
B 2 582 ARG 582 582 582 ARG ARG B . n 
B 2 583 ASN 583 583 583 ASN ASN B . n 
B 2 584 ALA 584 584 584 ALA ALA B . n 
B 2 585 THR 585 585 585 THR THR B . n 
B 2 586 ASN 586 586 586 ASN ASN B . n 
B 2 587 ASP 587 587 587 ASP ASP B . n 
B 2 588 GLN 588 588 588 GLN GLN B . n 
B 2 589 ASN 589 589 589 ASN ASN B . n 
B 2 590 PHE 590 590 590 PHE PHE B . n 
B 2 591 SER 591 591 591 SER SER B . n 
B 2 592 ASP 592 592 592 ASP ASP B . n 
B 2 593 TYR 593 593 593 TYR TYR B . n 
B 2 594 LEU 594 594 594 LEU LEU B . n 
B 2 595 GLY 595 595 595 GLY GLY B . n 
B 2 596 ALA 596 596 596 ALA ALA B . n 
B 2 597 VAL 597 597 597 VAL VAL B . n 
B 2 598 ASN 598 598 598 ASN ASN B . n 
B 2 599 ASN 599 599 599 ASN ASN B . n 
B 2 600 LEU 600 600 600 LEU LEU B . n 
B 2 601 TYR 601 601 601 TYR TYR B . n 
B 2 602 GLN 602 602 602 GLN GLN B . n 
B 2 603 ILE 603 603 603 ILE ILE B . n 
B 2 604 PRO 604 604 604 PRO PRO B . n 
B 2 605 ALA 605 605 605 ALA ALA B . n 
B 2 606 GLY 606 606 606 GLY GLY B . n 
B 2 607 SER 607 607 607 SER SER B . n 
B 2 608 SER 608 608 608 SER SER B . n 
B 2 609 THR 609 609 609 THR THR B . n 
B 2 610 VAL 610 610 610 VAL VAL B . n 
B 2 611 VAL 611 611 611 VAL VAL B . n 
B 2 612 VAL 612 612 612 VAL VAL B . n 
B 2 613 ASN 613 613 613 ASN ASN B . n 
B 2 614 ILE 614 614 614 ILE ILE B . n 
B 2 615 PRO 615 615 615 PRO PRO B . n 
B 2 616 ASP 616 616 616 ASP ASP B . n 
B 2 617 ARG 617 617 617 ARG ARG B . n 
B 2 618 SER 618 618 618 SER SER B . n 
B 2 619 TRP 619 619 619 TRP TRP B . n 
B 2 620 GLY 620 620 620 GLY GLY B . n 
B 2 621 ALA 621 621 621 ALA ALA B . n 
B 2 622 PHE 622 622 622 PHE PHE B . n 
B 2 623 ARG 623 623 623 ARG ARG B . n 
B 2 624 GLY 624 624 624 GLY GLY B . n 
B 2 625 TRP 625 625 625 TRP TRP B . n 
B 2 626 SER 626 626 626 SER SER B . n 
B 2 627 PHE 627 627 627 PHE PHE B . n 
B 2 628 THR 628 628 628 THR THR B . n 
B 2 629 ARG 629 629 629 ARG ARG B . n 
B 2 630 LEU 630 630 630 LEU LEU B . n 
B 2 631 LYS 631 631 631 LYS LYS B . n 
B 2 632 VAL 632 632 632 VAL VAL B . n 
B 2 633 SER 633 633 633 SER SER B . n 
B 2 634 GLU 634 634 634 GLU GLU B . n 
B 2 635 THR 635 635 635 THR THR B . n 
B 2 636 PRO 636 636 636 PRO PRO B . n 
B 2 637 ARG 637 637 637 ARG ARG B . n 
B 2 638 ILE 638 638 638 ILE ILE B . n 
B 2 639 GLY 639 639 639 GLY GLY B . n 
B 2 640 ALA 640 640 640 ALA ALA B . n 
B 2 641 THR 641 641 641 THR THR B . n 
B 2 642 GLN 642 642 642 GLN GLN B . n 
B 2 643 ASP 643 643 643 ASP ASP B . n 
B 2 644 PRO 644 644 644 PRO PRO B . n 
B 2 645 ASN 645 645 645 ASN ASN B . n 
B 2 646 PHE 646 646 646 PHE PHE B . n 
B 2 647 GLN 647 647 647 GLN GLN B . n 
B 2 648 TYR 648 648 648 TYR TYR B . n 
B 2 649 SER 649 649 649 SER SER B . n 
B 2 650 GLY 650 650 650 GLY GLY B . n 
B 2 651 SER 651 651 651 SER SER B . n 
B 2 652 ILE 652 652 652 ILE ILE B . n 
B 2 653 PRO 653 653 653 PRO PRO B . n 
B 2 654 TYR 654 654 654 TYR TYR B . n 
B 2 655 LEU 655 655 655 LEU LEU B . n 
B 2 656 ASP 656 656 656 ASP ASP B . n 
B 2 657 GLY 657 657 657 GLY GLY B . n 
B 2 658 THR 658 658 658 THR THR B . n 
B 2 659 PHE 659 659 659 PHE PHE B . n 
B 2 660 TYR 660 660 660 TYR TYR B . n 
B 2 661 LEU 661 661 661 LEU LEU B . n 
B 2 662 SER 662 662 662 SER SER B . n 
B 2 663 HIS 663 663 663 HIS HIS B . n 
B 2 664 THR 664 664 664 THR THR B . n 
B 2 665 PHE 665 665 665 PHE PHE B . n 
B 2 666 GLN 666 666 666 GLN GLN B . n 
B 2 667 ARG 667 667 667 ARG ARG B . n 
B 2 668 CYS 668 668 668 CYS CYS B . n 
B 2 669 SER 669 669 669 SER SER B . n 
B 2 670 ILE 670 670 670 ILE ILE B . n 
B 2 671 GLN 671 671 671 GLN GLN B . n 
B 2 672 TRP 672 672 672 TRP TRP B . n 
B 2 673 ASP 673 673 673 ASP ASP B . n 
B 2 674 SER 674 674 674 SER SER B . n 
B 2 675 SER 675 675 675 SER SER B . n 
B 2 676 VAL 676 676 676 VAL VAL B . n 
B 2 677 PRO 677 677 677 PRO PRO B . n 
B 2 678 TRP 678 678 678 TRP TRP B . n 
B 2 679 PRO 679 679 679 PRO PRO B . n 
B 2 680 GLY 680 680 680 GLY GLY B . n 
B 2 681 ASN 681 681 681 ASN ASN B . n 
B 2 682 ASP 682 682 682 ASP ASP B . n 
B 2 683 ARG 683 683 683 ARG ARG B . n 
B 2 684 MET 684 684 684 MET MET B . n 
B 2 685 LEU 685 685 685 LEU LEU B . n 
B 2 686 THR 686 686 686 THR THR B . n 
B 2 687 PRO 687 687 687 PRO PRO B . n 
B 2 688 ASN 688 688 688 ASN ASN B . n 
B 2 689 TRP 689 689 689 TRP TRP B . n 
B 2 690 PHE 690 690 690 PHE PHE B . n 
B 2 691 GLU 691 691 691 GLU GLU B . n 
B 2 692 ILE 692 692 692 ILE ILE B . n 
B 2 693 LYS 693 693 693 LYS LYS B . n 
B 2 694 ARG 694 694 694 ARG ARG B . n 
B 2 695 PRO 695 695 695 PRO PRO B . n 
B 2 696 ILE 696 696 696 ILE ILE B . n 
B 2 697 ASN 697 697 697 ASN ASN B . n 
B 2 698 GLN 698 698 698 GLN GLN B . n 
B 2 699 ASP 699 699 699 ASP ASP B . n 
B 2 700 ALA 700 700 700 ALA ALA B . n 
B 2 701 GLU 701 701 701 GLU GLU B . n 
B 2 702 GLY 702 702 702 GLY GLY B . n 
B 2 703 ASN 703 703 703 ASN ASN B . n 
B 2 704 ASP 704 704 704 ASP ASP B . n 
B 2 705 THR 705 705 705 THR THR B . n 
B 2 706 MET 706 706 706 MET MET B . n 
B 2 707 GLN 707 707 707 GLN GLN B . n 
B 2 708 SER 708 708 708 SER SER B . n 
B 2 709 ASN 709 709 709 ASN ASN B . n 
B 2 710 LEU 710 710 710 LEU LEU B . n 
B 2 711 THR 711 711 711 THR THR B . n 
B 2 712 LYS 712 712 712 LYS LYS B . n 
B 2 713 ASP 713 713 713 ASP ASP B . n 
B 2 714 PHE 714 714 714 PHE PHE B . n 
B 2 715 PHE 715 715 715 PHE PHE B . n 
B 2 716 MET 716 716 716 MET MET B . n 
B 2 717 VAL 717 717 717 VAL VAL B . n 
B 2 718 GLN 718 718 718 GLN GLN B . n 
B 2 719 MET 719 719 719 MET MET B . n 
B 2 720 ALA 720 720 720 ALA ALA B . n 
B 2 721 ALA 721 721 721 ALA ALA B . n 
B 2 722 SER 722 722 722 SER SER B . n 
B 2 723 TYR 723 723 723 TYR TYR B . n 
B 2 724 ASN 724 724 724 ASN ASN B . n 
B 2 725 GLN 725 725 725 GLN GLN B . n 
B 2 726 GLY 726 726 726 GLY GLY B . n 
B 2 727 TYR 727 727 727 TYR TYR B . n 
B 2 728 GLN 728 728 728 GLN GLN B . n 
B 2 729 GLY 729 729 729 GLY GLY B . n 
B 2 730 PHE 730 730 730 PHE PHE B . n 
B 2 731 ASN 731 731 731 ASN ASN B . n 
B 2 732 TRP 732 732 732 TRP TRP B . n 
B 2 733 PRO 733 733 733 PRO PRO B . n 
B 2 734 ASN 734 734 734 ASN ASN B . n 
B 2 735 CYS 735 735 735 CYS CYS B . n 
B 2 736 THR 736 736 736 THR THR B . n 
B 2 737 LYS 737 737 737 LYS LYS B . n 
B 2 738 HIS 738 738 738 HIS HIS B . n 
B 2 739 TYR 739 739 739 TYR TYR B . n 
B 2 740 GLY 740 740 740 GLY GLY B . n 
B 2 741 PHE 741 741 741 PHE PHE B . n 
B 2 742 ILE 742 742 742 ILE ILE B . n 
B 2 743 ASN 743 743 743 ASN ASN B . n 
B 2 744 ASN 744 744 744 ASN ASN B . n 
B 2 745 PHE 745 745 745 PHE PHE B . n 
B 2 746 GLU 746 746 746 GLU GLU B . n 
B 2 747 PRO 747 747 747 PRO PRO B . n 
B 2 748 MET 748 748 748 MET MET B . n 
B 2 749 SER 749 749 749 SER SER B . n 
B 2 750 ARG 750 750 750 ARG ARG B . n 
B 2 751 GLN 751 751 751 GLN GLN B . n 
B 2 752 VAL 752 752 752 VAL VAL B . n 
B 2 753 PRO 753 753 753 PRO PRO B . n 
B 2 754 GLU 754 754 754 GLU GLU B . n 
B 2 755 TYR 755 755 755 TYR TYR B . n 
B 2 756 GLY 756 756 756 GLY GLY B . n 
B 2 757 ALA 757 757 757 ALA ALA B . n 
B 2 758 ASN 758 758 758 ASN ASN B . n 
B 2 759 TYR 759 759 759 TYR TYR B . n 
B 2 760 PRO 760 760 760 PRO PRO B . n 
B 2 761 ASN 761 761 761 ASN ASN B . n 
B 2 762 LEU 762 762 762 LEU LEU B . n 
B 2 763 MET 763 763 763 MET MET B . n 
B 2 764 ALA 764 764 764 ALA ALA B . n 
B 2 765 ALA 765 765 765 ALA ALA B . n 
B 2 766 TYR 766 766 766 TYR TYR B . n 
B 2 767 LEU 767 767 767 LEU LEU B . n 
B 2 768 ALA 768 768 768 ALA ALA B . n 
B 2 769 ASN 769 769 769 ASN ASN B . n 
B 2 770 PRO 770 770 770 PRO PRO B . n 
B 2 771 GLN 771 771 771 GLN GLN B . n 
B 2 772 THR 772 772 772 THR THR B . n 
B 2 773 MET 773 773 773 MET MET B . n 
B 2 774 PRO 774 774 774 PRO PRO B . n 
B 2 775 ILE 775 775 775 ILE ILE B . n 
B 2 776 TRP 776 776 776 TRP TRP B . n 
B 2 777 ASN 777 777 777 ASN ASN B . n 
B 2 778 ASN 778 778 778 ASN ASN B . n 
B 2 779 CYS 779 779 779 CYS CYS B . n 
B 2 780 GLY 780 780 780 GLY GLY B . n 
B 2 781 PHE 781 781 781 PHE PHE B . n 
B 2 782 GLN 782 782 782 GLN GLN B . n 
B 2 783 GLN 783 783 783 GLN GLN B . n 
B 2 784 LYS 784 784 784 LYS LYS B . n 
B 2 785 THR 785 785 785 THR THR B . n 
B 2 786 ALA 786 786 786 ALA ALA B . n 
B 2 787 THR 787 787 787 THR THR B . n 
B 2 788 ASN 788 788 788 ASN ASN B . n 
B 2 789 VAL 789 789 789 VAL VAL B . n 
B 2 790 LEU 790 790 790 LEU LEU B . n 
B 2 791 LEU 791 791 791 LEU LEU B . n 
B 2 792 GLU 792 792 792 GLU GLU B . n 
B 2 793 ARG 793 793 793 ARG ARG B . n 
B 2 794 CYS 794 794 794 CYS CYS B . n 
B 2 795 GLY 795 795 795 GLY GLY B . n 
B 2 796 HIS 796 796 796 HIS HIS B . n 
B 2 797 PRO 797 797 797 PRO PRO B . n 
B 2 798 TYR 798 798 798 TYR TYR B . n 
B 2 799 VAL 799 799 799 VAL VAL B . n 
B 2 800 ALA 800 800 800 ALA ALA B . n 
B 2 801 ASN 801 801 801 ASN ASN B . n 
B 2 802 TRP 802 802 802 TRP TRP B . n 
B 2 803 PRO 803 803 803 PRO PRO B . n 
B 2 804 TYR 804 804 804 TYR TYR B . n 
B 2 805 PRO 805 805 805 PRO PRO B . n 
B 2 806 LEU 806 806 806 LEU LEU B . n 
B 2 807 SER 807 807 807 SER SER B . n 
B 2 808 GLY 808 808 808 GLY GLY B . n 
B 2 809 ARG 809 809 809 ARG ARG B . n 
B 2 810 ASN 810 810 810 ASN ASN B . n 
B 2 811 ALA 811 811 811 ALA ALA B . n 
B 2 812 VAL 812 812 812 VAL VAL B . n 
B 2 813 PRO 813 813 813 PRO PRO B . n 
B 2 814 ASN 814 814 814 ASN ASN B . n 
B 2 815 GLN 815 815 815 GLN GLN B . n 
B 2 816 VAL 816 816 816 VAL VAL B . n 
B 2 817 THR 817 817 817 THR THR B . n 
B 2 818 GLU 818 818 818 GLU GLU B . n 
B 2 819 ARG 819 819 819 ARG ARG B . n 
B 2 820 LYS 820 820 820 LYS LYS B . n 
B 2 821 PHE 821 821 821 PHE PHE B . n 
B 2 822 LEU 822 822 822 LEU LEU B . n 
B 2 823 VAL 823 823 823 VAL VAL B . n 
B 2 824 ASP 824 824 824 ASP ASP B . n 
B 2 825 ARG 825 825 825 ARG ARG B . n 
B 2 826 TYR 826 826 826 TYR TYR B . n 
B 2 827 LEU 827 827 827 LEU LEU B . n 
B 2 828 TRP 828 828 828 TRP TRP B . n 
B 2 829 GLN 829 829 829 GLN GLN B . n 
B 2 830 ILE 830 830 830 ILE ILE B . n 
B 2 831 PRO 831 831 831 PRO PRO B . n 
B 2 832 PHE 832 832 832 PHE PHE B . n 
B 2 833 SER 833 833 833 SER SER B . n 
B 2 834 SER 834 834 834 SER SER B . n 
B 2 835 ASN 835 835 835 ASN ASN B . n 
B 2 836 PHE 836 836 836 PHE PHE B . n 
B 2 837 LEU 837 837 837 LEU LEU B . n 
B 2 838 ASN 838 838 838 ASN ASN B . n 
B 2 839 MET 839 839 839 MET MET B . n 
B 2 840 GLY 840 840 840 GLY GLY B . n 
B 2 841 THR 841 841 841 THR THR B . n 
B 2 842 LEU 842 842 842 LEU LEU B . n 
B 2 843 THR 843 843 843 THR THR B . n 
B 2 844 ASP 844 844 844 ASP ASP B . n 
B 2 845 LEU 845 845 845 LEU LEU B . n 
B 2 846 GLY 846 846 846 GLY GLY B . n 
B 2 847 GLN 847 847 847 GLN GLN B . n 
B 2 848 ASN 848 848 848 ASN ASN B . n 
B 2 849 VAL 849 849 849 VAL VAL B . n 
B 2 850 MET 850 850 850 MET MET B . n 
B 2 851 TYR 851 851 851 TYR TYR B . n 
B 2 852 ALA 852 852 852 ALA ALA B . n 
B 2 853 ASN 853 853 853 ASN ASN B . n 
B 2 854 SER 854 854 854 SER SER B . n 
B 2 855 SER 855 855 855 SER SER B . n 
B 2 856 HIS 856 856 856 HIS HIS B . n 
B 2 857 SER 857 857 857 SER SER B . n 
B 2 858 LEU 858 858 858 LEU LEU B . n 
B 2 859 ASN 859 859 859 ASN ASN B . n 
B 2 860 MET 860 860 860 MET MET B . n 
B 2 861 GLN 861 861 861 GLN GLN B . n 
B 2 862 PHE 862 862 862 PHE PHE B . n 
B 2 863 THR 863 863 863 THR THR B . n 
B 2 864 VAL 864 864 864 VAL VAL B . n 
B 2 865 ASP 865 865 865 ASP ASP B . n 
B 2 866 PRO 866 866 866 PRO PRO B . n 
B 2 867 MET 867 867 867 MET MET B . n 
B 2 868 THR 868 868 868 THR THR B . n 
B 2 869 GLU 869 869 869 GLU GLU B . n 
B 2 870 PRO 870 870 870 PRO PRO B . n 
B 2 871 THR 871 871 871 THR THR B . n 
B 2 872 TYR 872 872 872 TYR TYR B . n 
B 2 873 LEU 873 873 873 LEU LEU B . n 
B 2 874 MET 874 874 874 MET MET B . n 
B 2 875 LEU 875 875 875 LEU LEU B . n 
B 2 876 LEU 876 876 876 LEU LEU B . n 
B 2 877 PHE 877 877 877 PHE PHE B . n 
B 2 878 GLY 878 878 878 GLY GLY B . n 
B 2 879 VAL 879 879 879 VAL VAL B . n 
B 2 880 PHE 880 880 880 PHE PHE B . n 
B 2 881 ASP 881 881 881 ASP ASP B . n 
B 2 882 GLN 882 882 882 GLN GLN B . n 
B 2 883 VAL 883 883 883 VAL VAL B . n 
B 2 884 ILE 884 885 885 ILE ILE B . n 
B 2 885 ASN 885 886 886 ASN ASN B . n 
B 2 886 GLN 886 887 887 GLN GLN B . n 
B 2 887 PRO 887 888 888 PRO PRO B . n 
B 2 888 THR 888 889 889 THR THR B . n 
B 2 889 ARG 889 890 890 ARG ARG B . n 
B 2 890 SER 890 891 891 SER SER B . n 
B 2 891 GLY 891 892 892 GLY GLY B . n 
B 2 892 ILE 892 893 893 ILE ILE B . n 
B 2 893 SER 893 894 894 SER SER B . n 
B 2 894 VAL 894 895 895 VAL VAL B . n 
B 2 895 ALA 895 896 896 ALA ALA B . n 
B 2 896 TYR 896 897 897 TYR TYR B . n 
B 2 897 LEU 897 898 898 LEU LEU B . n 
B 2 898 ARG 898 899 899 ARG ARG B . n 
B 2 899 LEU 899 900 900 LEU LEU B . n 
B 2 900 PRO 900 901 901 PRO PRO B . n 
B 2 901 PHE 901 902 902 PHE PHE B . n 
B 2 902 ALA 902 903 903 ALA ALA B . n 
B 2 903 SER 903 904 904 SER SER B . n 
B 2 904 GLY 904 905 905 GLY GLY B . n 
C 3 1   MET 1   1   1   MET MET C . n 
C 3 2   GLU 2   2   2   GLU GLU C . n 
C 3 3   PRO 3   3   3   PRO PRO C . n 
C 3 4   GLN 4   4   4   GLN GLN C . n 
C 3 5   ARG 5   5   5   ARG ARG C . n 
C 3 6   GLU 6   6   6   GLU GLU C . n 
C 3 7   PHE 7   7   7   PHE PHE C . n 
C 3 8   PHE 8   8   8   PHE PHE C . n 
C 3 9   HIS 9   9   9   HIS HIS C . n 
C 3 10  ILE 10  10  10  ILE ILE C . n 
C 3 11  ALA 11  11  11  ALA ALA C . n 
C 3 12  GLY 12  12  12  GLY GLY C . n 
C 3 13  ARG 13  13  13  ARG ARG C . n 
C 3 14  SER 14  14  14  SER SER C . n 
C 3 15  ALA 15  15  15  ALA ALA C . n 
C 3 16  LYS 16  16  16  LYS LYS C . n 
C 3 17  GLU 17  17  17  GLU GLU C . n 
C 3 18  TYR 18  18  18  TYR TYR C . n 
C 3 19  LEU 19  19  19  LEU LEU C . n 
C 3 20  SER 20  20  20  SER SER C . n 
C 3 21  GLU 21  21  21  GLU GLU C . n 
C 3 22  ASN 22  22  22  ASN ASN C . n 
C 3 23  LEU 23  23  23  LEU LEU C . n 
C 3 24  VAL 24  24  24  VAL VAL C . n 
C 3 25  GLN 25  25  25  GLN GLN C . n 
C 3 26  PHE 26  26  26  PHE PHE C . n 
C 3 27  ILE 27  27  27  ILE ILE C . n 
C 3 28  GLN 28  28  28  GLN GLN C . n 
C 3 29  ALA 29  29  29  ALA ALA C . n 
C 3 30  THR 30  30  30  THR THR C . n 
C 3 31  GLN 31  31  31  GLN GLN C . n 
C 3 32  ASN 32  32  32  ASN ASN C . n 
C 3 33  TYR 33  33  33  TYR TYR C . n 
C 3 34  PHE 34  34  34  PHE PHE C . n 
C 3 35  ASN 35  35  35  ASN ASN C . n 
C 3 36  ILE 36  36  36  ILE ILE C . n 
C 3 37  GLY 37  37  37  GLY GLY C . n 
C 3 38  GLU 38  38  38  GLU GLU C . n 
C 3 39  LYS 39  39  39  LYS LYS C . n 
C 3 40  PHE 40  40  40  PHE PHE C . n 
C 3 41  ARG 41  41  41  ARG ARG C . n 
C 3 42  ASP 42  42  42  ASP ASP C . n 
C 3 43  PRO 43  43  43  PRO PRO C . n 
C 3 44  TYR 44  44  44  TYR TYR C . n 
C 3 45  VAL 45  45  45  VAL VAL C . n 
C 3 46  ALA 46  46  46  ALA ALA C . n 
C 3 47  PRO 47  47  47  PRO PRO C . n 
C 3 48  SER 48  48  48  SER SER C . n 
C 3 49  ALA 49  49  49  ALA ALA C . n 
C 3 50  GLY 50  50  50  GLY GLY C . n 
C 3 51  VAL 51  51  51  VAL VAL C . n 
C 3 52  THR 52  52  52  THR THR C . n 
C 3 53  THR 53  53  53  THR THR C . n 
C 3 54  ASP 54  54  54  ASP ASP C . n 
C 3 55  ARG 55  55  55  ARG ARG C . n 
C 3 56  SER 56  56  56  SER SER C . n 
C 3 57  GLN 57  57  57  GLN GLN C . n 
C 3 58  LYS 58  58  58  LYS LYS C . n 
C 3 59  LEU 59  59  59  LEU LEU C . n 
C 3 60  GLN 60  60  60  GLN GLN C . n 
C 3 61  LEU 61  61  61  LEU LEU C . n 
C 3 62  ARG 62  62  62  ARG ARG C . n 
C 3 63  VAL 63  63  63  VAL VAL C . n 
C 3 64  VAL 64  64  64  VAL VAL C . n 
C 3 65  PRO 65  65  65  PRO PRO C . n 
C 3 66  ILE 66  66  66  ILE ILE C . n 
C 3 67  GLN 67  67  67  GLN GLN C . n 
C 3 68  THR 68  68  68  THR THR C . n 
C 3 69  GLU 69  69  69  GLU GLU C . n 
C 3 70  ASP 70  70  70  ASP ASP C . n 
C 3 71  ASN 71  71  71  ASN ASN C . n 
C 3 72  VAL 72  72  72  VAL VAL C . n 
C 3 73  ASN 73  73  73  ASN ASN C . n 
C 3 74  TYR 74  74  74  TYR TYR C . n 
C 3 75  TYR 75  75  75  TYR TYR C . n 
C 3 76  LYS 76  76  76  LYS LYS C . n 
C 3 77  ALA 77  77  77  ALA ALA C . n 
C 3 78  ARG 78  78  78  ARG ARG C . n 
C 3 79  PHE 79  79  79  PHE PHE C . n 
C 3 80  THR 80  80  80  THR THR C . n 
C 3 81  LEU 81  81  81  LEU LEU C . n 
C 3 82  ASN 82  82  82  ASN ASN C . n 
C 3 83  VAL 83  83  83  VAL VAL C . n 
C 3 84  GLY 84  84  84  GLY GLY C . n 
C 3 85  ASP 85  85  85  ASP ASP C . n 
C 3 86  ASN 86  86  86  ASN ASN C . n 
C 3 87  ARG 87  87  87  ARG ARG C . n 
C 3 88  LEU 88  88  88  LEU LEU C . n 
C 3 89  VAL 89  89  89  VAL VAL C . n 
C 3 90  ASP 90  90  90  ASP ASP C . n 
C 3 91  LEU 91  91  91  LEU LEU C . n 
C 3 92  GLY 92  92  92  GLY GLY C . n 
C 3 93  SER 93  93  93  SER SER C . n 
C 3 94  SER 94  94  94  SER SER C . n 
C 3 95  TYR 95  95  95  TYR TYR C . n 
C 3 96  PHE 96  96  96  PHE PHE C . n 
C 3 97  ASP 97  97  97  ASP ASP C . n 
C 3 98  ILE 98  98  98  ILE ILE C . n 
C 3 99  LYS 99  99  99  LYS LYS C . n 
C 3 100 GLY 100 100 100 GLY GLY C . n 
C 3 101 THR 101 101 101 THR THR C . n 
C 3 102 LEU 102 102 102 LEU LEU C . n 
C 3 103 ASP 103 103 103 ASP ASP C . n 
C 3 104 ARG 104 104 104 ARG ARG C . n 
C 3 105 GLY 105 105 105 GLY GLY C . n 
C 3 106 PRO 106 106 106 PRO PRO C . n 
C 3 107 SER 107 107 107 SER SER C . n 
C 3 108 PHE 108 108 108 PHE PHE C . n 
C 3 109 LYS 109 109 109 LYS LYS C . n 
C 3 110 PRO 110 110 110 PRO PRO C . n 
C 3 111 TYR 111 111 111 TYR TYR C . n 
C 3 112 GLY 112 112 112 GLY GLY C . n 
C 3 113 GLY 113 113 113 GLY GLY C . n 
C 3 114 THR 114 114 114 THR THR C . n 
C 3 115 ALA 115 115 115 ALA ALA C . n 
C 3 116 TYR 116 116 116 TYR TYR C . n 
C 3 117 ASN 117 117 117 ASN ASN C . n 
C 3 118 PRO 118 118 118 PRO PRO C . n 
C 3 119 LEU 119 119 119 LEU LEU C . n 
C 3 120 ALA 120 120 120 ALA ALA C . n 
C 3 121 PRO 121 121 121 PRO PRO C . n 
C 3 122 LYS 122 122 122 LYS LYS C . n 
C 3 123 SER 123 123 123 SER SER C . n 
C 3 124 ALA 124 124 124 ALA ALA C . n 
C 3 125 PRO 125 125 125 PRO PRO C . n 
C 3 126 ILE 126 126 126 ILE ILE C . n 
C 3 127 ASN 127 127 127 ASN ASN C . n 
C 3 128 SER 128 128 128 SER SER C . n 
C 3 129 ALA 129 129 129 ALA ALA C . n 
C 3 130 PHE 130 130 130 PHE PHE C . n 
C 3 131 THR 131 131 131 THR THR C . n 
C 3 132 VAL 132 132 132 VAL VAL C . n 
C 3 133 GLY 133 133 133 GLY GLY C . n 
C 3 134 ASN 134 134 134 ASN ASN C . n 
C 3 135 ASP 135 135 135 ASP ASP C . n 
C 3 136 THR 136 136 136 THR THR C . n 
C 3 137 HIS 137 137 137 HIS HIS C . n 
C 3 138 PHE 138 138 138 PHE PHE C . n 
C 3 139 VAL 139 139 139 VAL VAL C . n 
C 3 140 ALA 140 140 140 ALA ALA C . n 
C 3 141 GLN 141 141 141 GLN GLN C . n 
C 3 142 LEU 142 142 142 LEU LEU C . n 
C 3 143 PRO 143 143 143 PRO PRO C . n 
C 3 144 GLN 144 144 144 GLN GLN C . n 
C 3 145 THR 145 145 145 THR THR C . n 
C 3 146 TYR 146 146 146 TYR TYR C . n 
C 3 147 ALA 147 147 147 ALA ALA C . n 
C 3 148 ALA 148 148 148 ALA ALA C . n 
C 3 149 GLY 149 149 149 GLY GLY C . n 
C 3 150 GLY 150 150 150 GLY GLY C . n 
C 3 151 THR 151 151 151 THR THR C . n 
C 3 152 GLY 152 152 152 GLY GLY C . n 
C 3 153 VAL 153 153 153 VAL VAL C . n 
C 3 154 THR 154 154 154 THR THR C . n 
C 3 155 GLU 155 155 155 GLU GLU C . n 
C 3 156 ALA 156 156 156 ALA ALA C . n 
C 3 157 ILE 157 157 157 ILE ILE C . n 
C 3 158 GLN 158 158 158 GLN GLN C . n 
C 3 159 GLN 159 159 159 GLN GLN C . n 
C 3 160 GLN 160 160 160 GLN GLN C . n 
C 3 161 VAL 161 161 161 VAL VAL C . n 
C 3 162 SER 162 162 162 SER SER C . n 
C 3 163 GLY 163 163 163 GLY GLY C . n 
C 3 164 VAL 164 164 164 VAL VAL C . n 
C 3 165 ASP 165 165 165 ASP ASP C . n 
C 3 166 PRO 166 166 166 PRO PRO C . n 
C 3 167 ASN 167 167 167 ASN ASN C . n 
C 3 168 PRO 168 168 168 PRO PRO C . n 
C 3 169 GLN 169 169 169 GLN GLN C . n 
C 3 170 VAL 170 170 170 VAL VAL C . n 
C 3 171 GLY 171 171 171 GLY GLY C . n 
C 3 172 GLN 172 172 172 GLN GLN C . n 
C 3 173 PRO 173 173 173 PRO PRO C . n 
C 3 174 ASN 174 174 174 ASN ASN C . n 
C 3 175 TYR 175 175 175 TYR TYR C . n 
C 3 176 ALA 176 176 176 ALA ALA C . n 
C 3 177 GLY 177 177 177 GLY GLY C . n 
C 3 178 PRO 178 178 178 PRO PRO C . n 
C 3 179 VAL 179 179 179 VAL VAL C . n 
C 3 180 VAL 180 180 180 VAL VAL C . n 
C 3 181 VAL 181 181 181 VAL VAL C . n 
C 3 182 ASN 182 182 182 ASN ASN C . n 
C 3 183 THR 183 183 183 THR THR C . n 
C 3 184 THR 184 184 184 THR THR C . n 
C 3 185 ASN 185 185 185 ASN ASN C . n 
C 3 186 ASN 186 186 186 ASN ASN C . n 
C 3 187 ALA 187 187 187 ALA ALA C . n 
C 3 188 GLY 188 188 188 GLY GLY C . n 
C 3 189 LEU 189 189 189 LEU LEU C . n 
C 3 190 GLY 190 190 190 GLY GLY C . n 
C 3 191 ARG 191 191 191 ARG ARG C . n 
C 3 192 ILE 192 192 192 ILE ILE C . n 
C 3 193 VAL 193 193 193 VAL VAL C . n 
C 3 194 SER 194 194 194 SER SER C . n 
C 3 195 ALA 195 195 195 ALA ALA C . n 
C 3 196 ASP 196 196 196 ASP ASP C . n 
C 3 197 SER 197 197 197 SER SER C . n 
C 3 198 GLU 198 198 198 GLU GLU C . n 
C 3 199 GLY 199 199 199 GLY GLY C . n 
C 3 200 GLN 200 200 200 GLN GLN C . n 
C 3 201 GLN 201 201 201 GLN GLN C . n 
C 3 202 PHE 202 202 202 PHE PHE C . n 
C 3 203 PRO 203 203 203 PRO PRO C . n 
C 3 204 CYS 204 204 204 CYS CYS C . n 
C 3 205 TYR 205 205 205 TYR TYR C . n 
C 3 206 GLY 206 206 206 GLY GLY C . n 
C 3 207 ALA 207 207 207 ALA ALA C . n 
C 3 208 TYR 208 208 208 TYR TYR C . n 
C 3 209 ALA 209 209 209 ALA ALA C . n 
C 3 210 PRO 210 210 210 PRO PRO C . n 
C 3 211 PRO 211 211 211 PRO PRO C . n 
C 3 212 GLN 212 212 212 GLN GLN C . n 
C 3 213 SER 213 213 213 SER SER C . n 
C 3 214 ALA 214 214 214 ALA ALA C . n 
C 3 215 GLY 215 215 215 GLY GLY C . n 
C 3 216 GLY 216 216 216 GLY GLY C . n 
C 3 217 ASP 217 217 217 ASP ASP C . n 
C 3 218 VAL 218 218 218 VAL VAL C . n 
C 3 219 SER 219 219 219 SER SER C . n 
C 3 220 THR 220 220 220 THR THR C . n 
C 3 221 ALA 221 221 221 ALA ALA C . n 
C 3 222 ALA 222 222 222 ALA ALA C . n 
C 3 223 VAL 223 223 223 VAL VAL C . n 
C 3 224 THR 224 224 224 THR THR C . n 
C 3 225 LYS 225 225 225 LYS LYS C . n 
C 3 226 THR 226 226 226 THR THR C . n 
C 3 227 TYR 227 227 227 TYR TYR C . n 
C 3 228 ILE 228 228 228 ILE ILE C . n 
C 3 229 ASN 229 229 229 ASN ASN C . n 
C 3 230 THR 230 230 230 THR THR C . n 
C 3 231 THR 231 231 231 THR THR C . n 
C 3 232 ASN 232 232 232 ASN ASN C . n 
C 3 233 ASN 233 233 233 ASN ASN C . n 
C 3 234 ASN 234 234 234 ASN ASN C . n 
C 3 235 GLY 235 235 235 GLY GLY C . n 
C 3 236 ARG 236 236 236 ARG ARG C . n 
C 3 237 VAL 237 237 237 VAL VAL C . n 
C 3 238 SER 238 238 238 SER SER C . n 
C 3 239 GLY 239 239 239 GLY GLY C . n 
C 3 240 THR 240 240 240 THR THR C . n 
C 3 241 MET 241 241 241 MET MET C . n 
C 3 242 ALA 242 242 242 ALA ALA C . n 
C 3 243 THR 243 243 243 THR THR C . n 
C 3 244 ASP 244 244 244 ASP ASP C . n 
C 3 245 THR 245 245 245 THR THR C . n 
C 3 246 ILE 246 246 246 ILE ILE C . n 
C 3 247 THR 247 247 247 THR THR C . n 
C 3 248 TRP 248 248 248 TRP TRP C . n 
C 3 249 GLU 249 249 249 GLU GLU C . n 
C 3 250 ASN 250 250 250 ASN ASN C . n 
C 3 251 PRO 251 251 251 PRO PRO C . n 
C 3 252 ASP 252 252 252 ASP ASP C . n 
C 3 253 ALA 253 253 253 ALA ALA C . n 
C 3 254 HIS 254 254 254 HIS HIS C . n 
C 3 255 PHE 255 255 255 PHE PHE C . n 
C 3 256 ALA 256 256 256 ALA ALA C . n 
C 3 257 ASP 257 257 257 ASP ASP C . n 
C 3 258 PHE 258 258 258 PHE PHE C . n 
C 3 259 VAL 259 259 259 VAL VAL C . n 
C 3 260 ASP 260 260 260 ASP ASP C . n 
C 3 261 ASP 261 261 261 ASP ASP C . n 
C 3 262 ARG 262 262 262 ARG ARG C . n 
C 3 263 ARG 263 263 263 ARG ARG C . n 
C 3 264 ALA 264 264 264 ALA ALA C . n 
C 3 265 THR 265 265 265 THR THR C . n 
C 3 266 ALA 266 266 266 ALA ALA C . n 
C 3 267 ALA 267 267 267 ALA ALA C . n 
C 3 268 GLY 268 268 268 GLY GLY C . n 
C 3 269 ASN 269 269 269 ASN ASN C . n 
C 3 270 ARG 270 270 270 ARG ARG C . n 
C 3 271 PRO 271 271 271 PRO PRO C . n 
C 3 272 ASN 272 272 272 ASN ASN C . n 
C 3 273 TYR 273 273 273 TYR TYR C . n 
C 3 274 ILE 274 274 274 ILE ILE C . n 
C 3 275 GLY 275 275 275 GLY GLY C . n 
C 3 276 PHE 276 276 276 PHE PHE C . n 
C 3 277 ARG 277 277 277 ARG ARG C . n 
C 3 278 ASP 278 278 278 ASP ASP C . n 
C 3 279 ASN 279 279 279 ASN ASN C . n 
C 3 280 PHE 280 280 280 PHE PHE C . n 
C 3 281 ILE 281 281 281 ILE ILE C . n 
C 3 282 GLY 282 282 282 GLY GLY C . n 
C 3 283 MET 283 283 283 MET MET C . n 
C 3 284 MET 284 284 284 MET MET C . n 
C 3 285 TYR 285 285 285 TYR TYR C . n 
C 3 286 TYR 286 286 286 TYR TYR C . n 
C 3 287 ASN 287 287 287 ASN ASN C . n 
C 3 288 SER 288 288 288 SER SER C . n 
C 3 289 GLY 289 289 289 GLY GLY C . n 
C 3 290 SER 290 290 290 SER SER C . n 
C 3 291 ASN 291 291 291 ASN ASN C . n 
C 3 292 THR 292 292 292 THR THR C . n 
C 3 293 GLY 293 293 293 GLY GLY C . n 
C 3 294 SER 294 294 294 SER SER C . n 
C 3 295 PHE 295 295 295 PHE PHE C . n 
C 3 296 SER 296 296 296 SER SER C . n 
C 3 297 SER 297 297 297 SER SER C . n 
C 3 298 GLN 298 298 298 GLN GLN C . n 
C 3 299 THR 299 299 299 THR THR C . n 
C 3 300 GLN 300 300 300 GLN GLN C . n 
C 3 301 GLN 301 301 301 GLN GLN C . n 
C 3 302 LEU 302 302 302 LEU LEU C . n 
C 3 303 ASN 303 303 303 ASN ASN C . n 
C 3 304 ILE 304 304 304 ILE ILE C . n 
C 3 305 VAL 305 305 305 VAL VAL C . n 
C 3 306 LEU 306 306 306 LEU LEU C . n 
C 3 307 ASP 307 307 307 ASP ASP C . n 
C 3 308 LEU 308 308 308 LEU LEU C . n 
C 3 309 ASN 309 309 309 ASN ASN C . n 
C 3 310 ASP 310 310 310 ASP ASP C . n 
C 3 311 ARG 311 311 311 ARG ARG C . n 
C 3 312 ASN 312 312 312 ASN ASN C . n 
C 3 313 SER 313 313 313 SER SER C . n 
C 3 314 GLU 314 314 314 GLU GLU C . n 
C 3 315 LEU 315 315 315 LEU LEU C . n 
C 3 316 SER 316 316 316 SER SER C . n 
C 3 317 TYR 317 317 317 TYR TYR C . n 
C 3 318 GLN 318 318 318 GLN GLN C . n 
C 3 319 TYR 319 319 319 TYR TYR C . n 
C 3 320 LEU 320 320 320 LEU LEU C . n 
C 3 321 LEU 321 321 321 LEU LEU C . n 
C 3 322 ALA 322 322 322 ALA ALA C . n 
C 3 323 ASP 323 323 323 ASP ASP C . n 
C 3 324 LEU 324 324 324 LEU LEU C . n 
C 3 325 THR 325 325 325 THR THR C . n 
C 3 326 SER 326 326 326 SER SER C . n 
C 3 327 ARG 327 327 327 ARG ARG C . n 
C 3 328 TRP 328 328 328 TRP TRP C . n 
C 3 329 HIS 329 329 329 HIS HIS C . n 
C 3 330 TYR 330 330 330 TYR TYR C . n 
C 3 331 PHE 331 331 331 PHE PHE C . n 
C 3 332 ALA 332 332 332 ALA ALA C . n 
C 3 333 LEU 333 333 333 LEU LEU C . n 
C 3 334 TRP 334 334 334 TRP TRP C . n 
C 3 335 ASN 335 335 335 ASN ASN C . n 
C 3 336 GLN 336 336 336 GLN GLN C . n 
C 3 337 ALA 337 337 337 ALA ALA C . n 
C 3 338 VAL 338 338 338 VAL VAL C . n 
C 3 339 ASP 339 339 339 ASP ASP C . n 
C 3 340 ASP 340 340 340 ASP ASP C . n 
C 3 341 TYR 341 341 341 TYR TYR C . n 
C 3 342 ASP 342 342 342 ASP ASP C . n 
C 3 343 HIS 343 343 343 HIS HIS C . n 
C 3 344 HIS 344 344 344 HIS HIS C . n 
C 3 345 VAL 345 345 345 VAL VAL C . n 
C 3 346 ARG 346 346 346 ARG ARG C . n 
C 3 347 ILE 347 347 347 ILE ILE C . n 
C 3 348 LEU 348 348 348 LEU LEU C . n 
C 3 349 GLU 349 349 349 GLU GLU C . n 
C 3 350 ASN 350 350 350 ASN ASN C . n 
C 3 351 ASP 351 351 351 ASP ASP C . n 
C 3 352 GLY 352 352 352 GLY GLY C . n 
C 3 353 TYR 353 353 353 TYR TYR C . n 
C 3 354 GLU 354 354 354 GLU GLU C . n 
C 3 355 GLU 355 355 355 GLU GLU C . n 
C 3 356 GLY 356 356 356 GLY GLY C . n 
C 3 357 PRO 357 357 357 PRO PRO C . n 
C 3 358 PRO 358 358 358 PRO PRO C . n 
C 3 359 ASN 359 359 359 ASN ASN C . n 
C 3 360 LEU 360 360 360 LEU LEU C . n 
C 3 361 ALA 361 361 361 ALA ALA C . n 
C 3 362 PHE 362 362 362 PHE PHE C . n 
C 3 363 PRO 363 363 363 PRO PRO C . n 
C 3 364 PRO 364 364 364 PRO PRO C . n 
C 3 365 HIS 365 365 365 HIS HIS C . n 
C 3 366 VAL 366 366 366 VAL VAL C . n 
C 3 367 ILE 367 367 367 ILE ILE C . n 
C 3 368 SER 368 368 368 SER SER C . n 
C 3 369 ASN 369 369 369 ASN ASN C . n 
C 3 370 PRO 370 370 370 PRO PRO C . n 
C 3 371 PHE 371 371 371 PHE PHE C . n 
C 3 372 ALA 372 372 372 ALA ALA C . n 
C 3 373 PRO 373 373 373 PRO PRO C . n 
C 3 374 ALA 374 374 374 ALA ALA C . n 
C 3 375 ALA 375 375 375 ALA ALA C . n 
C 3 376 VAL 376 376 376 VAL VAL C . n 
C 3 377 GLY 377 377 377 GLY GLY C . n 
C 3 378 THR 378 378 378 THR THR C . n 
C 3 379 GLY 379 379 379 GLY GLY C . n 
C 3 380 MET 380 380 380 MET MET C . n 
C 3 381 THR 381 381 381 THR THR C . n 
C 3 382 VAL 382 382 382 VAL VAL C . n 
C 3 383 ASN 383 383 383 ASN ASN C . n 
C 3 384 GLU 384 384 384 GLU GLU C . n 
C 3 385 GLN 385 385 385 GLN GLN C . n 
C 3 386 GLN 386 386 386 GLN GLN C . n 
C 3 387 GLN 387 387 387 GLN GLN C . n 
C 3 388 THR 388 388 388 THR THR C . n 
C 3 389 ALA 389 389 389 ALA ALA C . n 
C 3 390 ALA 390 390 390 ALA ALA C . n 
C 3 391 VAL 391 391 391 VAL VAL C . n 
C 3 392 THR 392 392 392 THR THR C . n 
C 3 393 ALA 393 393 393 ALA ALA C . n 
C 3 394 ASN 394 394 394 ASN ASN C . n 
C 3 395 THR 395 395 395 THR THR C . n 
C 3 396 VAL 396 396 396 VAL VAL C . n 
C 3 397 ALA 397 397 397 ALA ALA C . n 
C 3 398 LEU 398 398 398 LEU LEU C . n 
C 3 399 ILE 399 399 399 ILE ILE C . n 
C 3 400 GLY 400 400 400 GLY GLY C . n 
C 3 401 TYR 401 401 401 TYR TYR C . n 
C 3 402 GLY 402 402 402 GLY GLY C . n 
C 3 403 ASN 403 403 403 ASN ASN C . n 
C 3 404 ILE 404 404 404 ILE ILE C . n 
C 3 405 PRO 405 405 405 PRO PRO C . n 
C 3 406 ALA 406 406 406 ALA ALA C . n 
C 3 407 VAL 407 407 407 VAL VAL C . n 
C 3 408 GLU 408 408 408 GLU GLU C . n 
C 3 409 MET 409 409 409 MET MET C . n 
C 3 410 ASN 410 410 410 ASN ASN C . n 
C 3 411 LEU 411 411 411 LEU LEU C . n 
C 3 412 PRO 412 412 412 PRO PRO C . n 
C 3 413 ALA 413 413 413 ALA ALA C . n 
C 3 414 ASN 414 414 414 ASN ASN C . n 
C 3 415 LEU 415 415 415 LEU LEU C . n 
C 3 416 LYS 416 416 416 LYS LYS C . n 
C 3 417 ARG 417 417 417 ARG ARG C . n 
C 3 418 THR 418 418 418 THR THR C . n 
C 3 419 PHE 419 419 419 PHE PHE C . n 
C 3 420 LEU 420 420 420 LEU LEU C . n 
C 3 421 TYR 421 421 421 TYR TYR C . n 
C 3 422 SER 422 422 422 SER SER C . n 
C 3 423 ASN 423 423 423 ASN ASN C . n 
C 3 424 VAL 424 424 424 VAL VAL C . n 
C 3 425 ALA 425 425 425 ALA ALA C . n 
C 3 426 MET 426 426 426 MET MET C . n 
C 3 427 TYR 427 427 427 TYR TYR C . n 
C 3 428 LEU 428 428 428 LEU LEU C . n 
C 3 429 PRO 429 429 429 PRO PRO C . n 
C 3 430 ASP 430 430 430 ASP ASP C . n 
C 3 431 THR 431 431 431 THR THR C . n 
C 3 432 TYR 432 432 432 TYR TYR C . n 
C 3 433 LYS 433 433 433 LYS LYS C . n 
C 3 434 PHE 434 434 434 PHE PHE C . n 
C 3 435 THR 435 435 435 THR THR C . n 
C 3 436 PRO 436 436 436 PRO PRO C . n 
C 3 437 ALA 437 437 437 ALA ALA C . n 
C 3 438 ASN 438 438 438 ASN ASN C . n 
C 3 439 VAL 439 439 439 VAL VAL C . n 
C 3 440 ASP 440 440 440 ASP ASP C . n 
C 3 441 LEU 441 441 441 LEU LEU C . n 
C 3 442 PRO 442 442 442 PRO PRO C . n 
C 3 443 GLU 443 443 443 GLU GLU C . n 
C 3 444 ASN 444 444 444 ASN ASN C . n 
C 3 445 HIS 445 445 445 HIS HIS C . n 
C 3 446 LEU 446 446 446 LEU LEU C . n 
C 3 447 SER 447 447 447 SER SER C . n 
C 3 448 TYR 448 448 448 TYR TYR C . n 
C 3 449 GLY 449 449 449 GLY GLY C . n 
C 3 450 TYR 450 450 450 TYR TYR C . n 
C 3 451 ILE 451 451 451 ILE ILE C . n 
C 3 452 ASN 452 452 452 ASN ASN C . n 
C 3 453 GLY 453 453 453 GLY GLY C . n 
C 3 454 ARG 454 454 454 ARG ARG C . n 
C 3 455 LEU 455 455 455 LEU LEU C . n 
C 3 456 PRO 456 456 456 PRO PRO C . n 
C 3 457 LEU 457 457 457 LEU LEU C . n 
C 3 458 PRO 458 458 458 PRO PRO C . n 
C 3 459 ASN 459 459 459 ASN ASN C . n 
C 3 460 ILE 460 460 460 ILE ILE C . n 
C 3 461 VAL 461 461 461 VAL VAL C . n 
C 3 462 ASP 462 462 462 ASP ASP C . n 
C 3 463 THR 463 463 463 THR THR C . n 
C 3 464 TRP 464 464 464 TRP TRP C . n 
C 3 465 THR 465 465 465 THR THR C . n 
C 3 466 ASP 466 466 466 ASP ASP C . n 
C 3 467 ILE 467 467 467 ILE ILE C . n 
C 3 468 GLY 468 468 468 GLY GLY C . n 
C 3 469 ALA 469 469 469 ALA ALA C . n 
C 3 470 ARG 470 470 470 ARG ARG C . n 
C 3 471 TRP 471 471 471 TRP TRP C . n 
C 3 472 SER 472 472 472 SER SER C . n 
C 3 473 LEU 473 473 473 LEU LEU C . n 
C 3 474 ASP 474 474 474 ASP ASP C . n 
C 3 475 VAL 475 475 475 VAL VAL C . n 
C 3 476 MET 476 476 476 MET MET C . n 
C 3 477 ASP 477 477 477 ASP ASP C . n 
C 3 478 THR 478 478 478 THR THR C . n 
C 3 479 VAL 479 479 479 VAL VAL C . n 
C 3 480 ASN 480 480 480 ASN ASN C . n 
C 3 481 PRO 481 481 481 PRO PRO C . n 
C 3 482 PHE 482 482 482 PHE PHE C . n 
C 3 483 ASN 483 483 483 ASN ASN C . n 
C 3 484 HIS 484 484 484 HIS HIS C . n 
C 3 485 HIS 485 485 485 HIS HIS C . n 
C 3 486 ARG 486 486 486 ARG ARG C . n 
C 3 487 ASN 487 487 487 ASN ASN C . n 
C 3 488 THR 488 488 488 THR THR C . n 
C 3 489 GLY 489 489 489 GLY GLY C . n 
C 3 490 LEU 490 490 490 LEU LEU C . n 
C 3 491 LYS 491 491 491 LYS LYS C . n 
C 3 492 TYR 492 492 492 TYR TYR C . n 
C 3 493 ARG 493 493 493 ARG ARG C . n 
C 3 494 SER 494 494 494 SER SER C . n 
C 3 495 GLN 495 495 495 GLN GLN C . n 
C 3 496 LEU 496 496 496 LEU LEU C . n 
C 3 497 LEU 497 497 497 LEU LEU C . n 
C 3 498 GLY 498 498 498 GLY GLY C . n 
C 3 499 ASN 499 499 499 ASN ASN C . n 
C 3 500 GLY 500 500 500 GLY GLY C . n 
C 3 501 ARG 501 501 501 ARG ARG C . n 
C 3 502 TYR 502 502 502 TYR TYR C . n 
C 3 503 CYS 503 503 503 CYS CYS C . n 
C 3 504 ASP 504 504 504 ASP ASP C . n 
C 3 505 PHE 505 505 505 PHE PHE C . n 
C 3 506 HIS 506 506 506 HIS HIS C . n 
C 3 507 ILE 507 507 507 ILE ILE C . n 
C 3 508 GLN 508 508 508 GLN GLN C . n 
C 3 509 VAL 509 509 509 VAL VAL C . n 
C 3 510 PRO 510 510 510 PRO PRO C . n 
C 3 511 GLN 511 511 511 GLN GLN C . n 
C 3 512 LYS 512 512 512 LYS LYS C . n 
C 3 513 PHE 513 513 513 PHE PHE C . n 
C 3 514 PHE 514 514 514 PHE PHE C . n 
C 3 515 ALA 515 515 515 ALA ALA C . n 
C 3 516 ILE 516 516 516 ILE ILE C . n 
C 3 517 LYS 517 517 517 LYS LYS C . n 
C 3 518 ASN 518 518 518 ASN ASN C . n 
C 3 519 LEU 519 519 519 LEU LEU C . n 
C 3 520 LEU 520 520 520 LEU LEU C . n 
C 3 521 LEU 521 521 521 LEU LEU C . n 
C 3 522 LEU 522 522 522 LEU LEU C . n 
C 3 523 PRO 523 523 523 PRO PRO C . n 
C 3 524 GLY 524 524 524 GLY GLY C . n 
C 3 525 THR 525 525 525 THR THR C . n 
C 3 526 TYR 526 526 526 TYR TYR C . n 
C 3 527 ASN 527 527 527 ASN ASN C . n 
C 3 528 TYR 528 528 528 TYR TYR C . n 
C 3 529 GLU 529 529 529 GLU GLU C . n 
C 3 530 TRP 530 530 530 TRP TRP C . n 
C 3 531 TYR 531 531 531 TYR TYR C . n 
C 3 532 PHE 532 532 532 PHE PHE C . n 
C 3 533 ARG 533 533 533 ARG ARG C . n 
C 3 534 LYS 534 534 534 LYS LYS C . n 
C 3 535 ASP 535 535 535 ASP ASP C . n 
C 3 536 PRO 536 536 536 PRO PRO C . n 
C 3 537 ASN 537 537 537 ASN ASN C . n 
C 3 538 MET 538 538 538 MET MET C . n 
C 3 539 VAL 539 539 539 VAL VAL C . n 
C 3 540 LEU 540 540 540 LEU LEU C . n 
C 3 541 GLN 541 541 541 GLN GLN C . n 
C 3 542 SER 542 542 542 SER SER C . n 
C 3 543 THR 543 543 543 THR THR C . n 
C 3 544 LEU 544 544 544 LEU LEU C . n 
C 3 545 GLY 545 545 545 GLY GLY C . n 
C 3 546 ASN 546 546 546 ASN ASN C . n 
C 3 547 ASP 547 547 547 ASP ASP C . n 
C 3 548 LEU 548 548 548 LEU LEU C . n 
C 3 549 ARG 549 549 549 ARG ARG C . n 
C 3 550 ALA 550 550 550 ALA ALA C . n 
C 3 551 ASP 551 551 551 ASP ASP C . n 
C 3 552 GLY 552 552 552 GLY GLY C . n 
C 3 553 ALA 553 553 553 ALA ALA C . n 
C 3 554 SER 554 554 554 SER SER C . n 
C 3 555 ILE 555 555 555 ILE ILE C . n 
C 3 556 THR 556 556 556 THR THR C . n 
C 3 557 TYR 557 557 557 TYR TYR C . n 
C 3 558 THR 558 558 558 THR THR C . n 
C 3 559 GLN 559 559 559 GLN GLN C . n 
C 3 560 ILE 560 560 560 ILE ILE C . n 
C 3 561 ASN 561 561 561 ASN ASN C . n 
C 3 562 LEU 562 562 562 LEU LEU C . n 
C 3 563 TYR 563 563 563 TYR TYR C . n 
C 3 564 VAL 564 564 564 VAL VAL C . n 
C 3 565 SER 565 565 565 SER SER C . n 
C 3 566 PHE 566 566 566 PHE PHE C . n 
C 3 567 PHE 567 567 567 PHE PHE C . n 
C 3 568 PRO 568 568 568 PRO PRO C . n 
C 3 569 MET 569 569 569 MET MET C . n 
C 3 570 ASN 570 570 570 ASN ASN C . n 
C 3 571 TYR 571 571 571 TYR TYR C . n 
C 3 572 ASP 572 572 572 ASP ASP C . n 
C 3 573 THR 573 573 573 THR THR C . n 
C 3 574 GLN 574 574 574 GLN GLN C . n 
C 3 575 SER 575 575 575 SER SER C . n 
C 3 576 GLU 576 576 576 GLU GLU C . n 
C 3 577 LEU 577 577 577 LEU LEU C . n 
C 3 578 GLU 578 578 578 GLU GLU C . n 
C 3 579 LEU 579 579 579 LEU LEU C . n 
C 3 580 MET 580 580 580 MET MET C . n 
C 3 581 LEU 581 581 581 LEU LEU C . n 
C 3 582 ARG 582 582 582 ARG ARG C . n 
C 3 583 ASN 583 583 583 ASN ASN C . n 
C 3 584 ALA 584 584 584 ALA ALA C . n 
C 3 585 THR 585 585 585 THR THR C . n 
C 3 586 ASN 586 586 586 ASN ASN C . n 
C 3 587 ASP 587 587 587 ASP ASP C . n 
C 3 588 GLN 588 588 588 GLN GLN C . n 
C 3 589 ASN 589 589 589 ASN ASN C . n 
C 3 590 PHE 590 590 590 PHE PHE C . n 
C 3 591 SER 591 591 591 SER SER C . n 
C 3 592 ASP 592 592 592 ASP ASP C . n 
C 3 593 TYR 593 593 593 TYR TYR C . n 
C 3 594 LEU 594 594 594 LEU LEU C . n 
C 3 595 GLY 595 595 595 GLY GLY C . n 
C 3 596 ALA 596 596 596 ALA ALA C . n 
C 3 597 VAL 597 597 597 VAL VAL C . n 
C 3 598 ASN 598 598 598 ASN ASN C . n 
C 3 599 ASN 599 599 599 ASN ASN C . n 
C 3 600 LEU 600 600 600 LEU LEU C . n 
C 3 601 TYR 601 601 601 TYR TYR C . n 
C 3 602 GLN 602 602 602 GLN GLN C . n 
C 3 603 ILE 603 603 603 ILE ILE C . n 
C 3 604 PRO 604 604 604 PRO PRO C . n 
C 3 605 ALA 605 605 605 ALA ALA C . n 
C 3 606 GLY 606 606 606 GLY GLY C . n 
C 3 607 SER 607 607 607 SER SER C . n 
C 3 608 SER 608 608 608 SER SER C . n 
C 3 609 THR 609 609 609 THR THR C . n 
C 3 610 VAL 610 610 610 VAL VAL C . n 
C 3 611 VAL 611 611 611 VAL VAL C . n 
C 3 612 VAL 612 612 612 VAL VAL C . n 
C 3 613 ASN 613 613 613 ASN ASN C . n 
C 3 614 ILE 614 614 614 ILE ILE C . n 
C 3 615 PRO 615 615 615 PRO PRO C . n 
C 3 616 ASP 616 616 616 ASP ASP C . n 
C 3 617 ARG 617 617 617 ARG ARG C . n 
C 3 618 SER 618 618 618 SER SER C . n 
C 3 619 TRP 619 619 619 TRP TRP C . n 
C 3 620 GLY 620 620 620 GLY GLY C . n 
C 3 621 ALA 621 621 621 ALA ALA C . n 
C 3 622 PHE 622 622 622 PHE PHE C . n 
C 3 623 ARG 623 623 623 ARG ARG C . n 
C 3 624 GLY 624 624 624 GLY GLY C . n 
C 3 625 TRP 625 625 625 TRP TRP C . n 
C 3 626 SER 626 626 626 SER SER C . n 
C 3 627 PHE 627 627 627 PHE PHE C . n 
C 3 628 THR 628 628 628 THR THR C . n 
C 3 629 ARG 629 629 629 ARG ARG C . n 
C 3 630 LEU 630 630 630 LEU LEU C . n 
C 3 631 LYS 631 631 631 LYS LYS C . n 
C 3 632 VAL 632 632 632 VAL VAL C . n 
C 3 633 SER 633 633 633 SER SER C . n 
C 3 634 GLU 634 634 634 GLU GLU C . n 
C 3 635 THR 635 635 635 THR THR C . n 
C 3 636 PRO 636 636 636 PRO PRO C . n 
C 3 637 ARG 637 637 637 ARG ARG C . n 
C 3 638 ILE 638 638 638 ILE ILE C . n 
C 3 639 GLY 639 639 639 GLY GLY C . n 
C 3 640 ALA 640 640 640 ALA ALA C . n 
C 3 641 THR 641 641 641 THR THR C . n 
C 3 642 GLN 642 642 642 GLN GLN C . n 
C 3 643 ASP 643 643 643 ASP ASP C . n 
C 3 644 PRO 644 644 644 PRO PRO C . n 
C 3 645 ASN 645 645 645 ASN ASN C . n 
C 3 646 PHE 646 646 646 PHE PHE C . n 
C 3 647 GLN 647 647 647 GLN GLN C . n 
C 3 648 TYR 648 648 648 TYR TYR C . n 
C 3 649 SER 649 649 649 SER SER C . n 
C 3 650 GLY 650 650 650 GLY GLY C . n 
C 3 651 SER 651 651 651 SER SER C . n 
C 3 652 ILE 652 652 652 ILE ILE C . n 
C 3 653 PRO 653 653 653 PRO PRO C . n 
C 3 654 TYR 654 654 654 TYR TYR C . n 
C 3 655 LEU 655 655 655 LEU LEU C . n 
C 3 656 ASP 656 656 656 ASP ASP C . n 
C 3 657 GLY 657 657 657 GLY GLY C . n 
C 3 658 THR 658 658 658 THR THR C . n 
C 3 659 PHE 659 659 659 PHE PHE C . n 
C 3 660 TYR 660 660 660 TYR TYR C . n 
C 3 661 LEU 661 661 661 LEU LEU C . n 
C 3 662 SER 662 662 662 SER SER C . n 
C 3 663 HIS 663 663 663 HIS HIS C . n 
C 3 664 THR 664 664 664 THR THR C . n 
C 3 665 PHE 665 665 665 PHE PHE C . n 
C 3 666 GLN 666 666 666 GLN GLN C . n 
C 3 667 ARG 667 667 667 ARG ARG C . n 
C 3 668 CYS 668 668 668 CYS CYS C . n 
C 3 669 SER 669 669 669 SER SER C . n 
C 3 670 ILE 670 670 670 ILE ILE C . n 
C 3 671 GLN 671 671 671 GLN GLN C . n 
C 3 672 TRP 672 672 672 TRP TRP C . n 
C 3 673 ASP 673 673 673 ASP ASP C . n 
C 3 674 SER 674 674 674 SER SER C . n 
C 3 675 SER 675 675 675 SER SER C . n 
C 3 676 VAL 676 676 676 VAL VAL C . n 
C 3 677 PRO 677 677 677 PRO PRO C . n 
C 3 678 TRP 678 678 678 TRP TRP C . n 
C 3 679 PRO 679 679 679 PRO PRO C . n 
C 3 680 GLY 680 680 680 GLY GLY C . n 
C 3 681 ASN 681 681 681 ASN ASN C . n 
C 3 682 ASP 682 682 682 ASP ASP C . n 
C 3 683 ARG 683 683 683 ARG ARG C . n 
C 3 684 MET 684 684 684 MET MET C . n 
C 3 685 LEU 685 685 685 LEU LEU C . n 
C 3 686 THR 686 686 686 THR THR C . n 
C 3 687 PRO 687 687 687 PRO PRO C . n 
C 3 688 ASN 688 688 688 ASN ASN C . n 
C 3 689 TRP 689 689 689 TRP TRP C . n 
C 3 690 PHE 690 690 690 PHE PHE C . n 
C 3 691 GLU 691 691 691 GLU GLU C . n 
C 3 692 ILE 692 692 692 ILE ILE C . n 
C 3 693 LYS 693 693 693 LYS LYS C . n 
C 3 694 ARG 694 694 694 ARG ARG C . n 
C 3 695 PRO 695 695 695 PRO PRO C . n 
C 3 696 ILE 696 696 696 ILE ILE C . n 
C 3 697 ASN 697 697 697 ASN ASN C . n 
C 3 698 GLN 698 698 698 GLN GLN C . n 
C 3 699 ASP 699 699 699 ASP ASP C . n 
C 3 700 ALA 700 700 700 ALA ALA C . n 
C 3 701 GLU 701 701 701 GLU GLU C . n 
C 3 702 GLY 702 702 702 GLY GLY C . n 
C 3 703 ASN 703 703 703 ASN ASN C . n 
C 3 704 ASP 704 704 704 ASP ASP C . n 
C 3 705 THR 705 705 705 THR THR C . n 
C 3 706 MET 706 706 706 MET MET C . n 
C 3 707 GLN 707 707 707 GLN GLN C . n 
C 3 708 SER 708 708 708 SER SER C . n 
C 3 709 ASN 709 709 709 ASN ASN C . n 
C 3 710 LEU 710 710 710 LEU LEU C . n 
C 3 711 THR 711 711 711 THR THR C . n 
C 3 712 LYS 712 712 712 LYS LYS C . n 
C 3 713 ASP 713 713 713 ASP ASP C . n 
C 3 714 PHE 714 714 714 PHE PHE C . n 
C 3 715 PHE 715 715 715 PHE PHE C . n 
C 3 716 MET 716 716 716 MET MET C . n 
C 3 717 VAL 717 717 717 VAL VAL C . n 
C 3 718 GLN 718 718 718 GLN GLN C . n 
C 3 719 MET 719 719 719 MET MET C . n 
C 3 720 ALA 720 720 720 ALA ALA C . n 
C 3 721 ALA 721 721 721 ALA ALA C . n 
C 3 722 SER 722 722 722 SER SER C . n 
C 3 723 TYR 723 723 723 TYR TYR C . n 
C 3 724 ASN 724 724 724 ASN ASN C . n 
C 3 725 GLN 725 725 725 GLN GLN C . n 
C 3 726 GLY 726 726 726 GLY GLY C . n 
C 3 727 TYR 727 727 727 TYR TYR C . n 
C 3 728 GLN 728 728 728 GLN GLN C . n 
C 3 729 GLY 729 729 729 GLY GLY C . n 
C 3 730 PHE 730 730 730 PHE PHE C . n 
C 3 731 ASN 731 731 731 ASN ASN C . n 
C 3 732 TRP 732 732 732 TRP TRP C . n 
C 3 733 PRO 733 733 733 PRO PRO C . n 
C 3 734 ASN 734 734 734 ASN ASN C . n 
C 3 735 CYS 735 735 735 CYS CYS C . n 
C 3 736 THR 736 736 736 THR THR C . n 
C 3 737 LYS 737 737 737 LYS LYS C . n 
C 3 738 HIS 738 738 738 HIS HIS C . n 
C 3 739 TYR 739 739 739 TYR TYR C . n 
C 3 740 GLY 740 740 740 GLY GLY C . n 
C 3 741 PHE 741 741 741 PHE PHE C . n 
C 3 742 ILE 742 742 742 ILE ILE C . n 
C 3 743 ASN 743 743 743 ASN ASN C . n 
C 3 744 ASN 744 744 744 ASN ASN C . n 
C 3 745 PHE 745 745 745 PHE PHE C . n 
C 3 746 GLU 746 746 746 GLU GLU C . n 
C 3 747 PRO 747 747 747 PRO PRO C . n 
C 3 748 MET 748 748 748 MET MET C . n 
C 3 749 SER 749 749 749 SER SER C . n 
C 3 750 ARG 750 750 750 ARG ARG C . n 
C 3 751 GLN 751 751 751 GLN GLN C . n 
C 3 752 VAL 752 752 752 VAL VAL C . n 
C 3 753 PRO 753 753 753 PRO PRO C . n 
C 3 754 GLU 754 754 754 GLU GLU C . n 
C 3 755 TYR 755 755 755 TYR TYR C . n 
C 3 756 GLY 756 756 756 GLY GLY C . n 
C 3 757 ALA 757 757 757 ALA ALA C . n 
C 3 758 ASN 758 758 758 ASN ASN C . n 
C 3 759 TYR 759 759 759 TYR TYR C . n 
C 3 760 PRO 760 760 760 PRO PRO C . n 
C 3 761 ASN 761 761 761 ASN ASN C . n 
C 3 762 LEU 762 762 762 LEU LEU C . n 
C 3 763 MET 763 763 763 MET MET C . n 
C 3 764 ALA 764 764 764 ALA ALA C . n 
C 3 765 ALA 765 765 765 ALA ALA C . n 
C 3 766 TYR 766 766 766 TYR TYR C . n 
C 3 767 LEU 767 767 767 LEU LEU C . n 
C 3 768 ALA 768 768 768 ALA ALA C . n 
C 3 769 ASN 769 769 769 ASN ASN C . n 
C 3 770 PRO 770 770 770 PRO PRO C . n 
C 3 771 GLN 771 771 771 GLN GLN C . n 
C 3 772 THR 772 772 772 THR THR C . n 
C 3 773 MET 773 773 773 MET MET C . n 
C 3 774 PRO 774 774 774 PRO PRO C . n 
C 3 775 ILE 775 775 775 ILE ILE C . n 
C 3 776 TRP 776 776 776 TRP TRP C . n 
C 3 777 ASN 777 777 777 ASN ASN C . n 
C 3 778 ASN 778 778 778 ASN ASN C . n 
C 3 779 CYS 779 779 779 CYS CYS C . n 
C 3 780 GLY 780 780 780 GLY GLY C . n 
C 3 781 PHE 781 781 781 PHE PHE C . n 
C 3 782 GLN 782 782 782 GLN GLN C . n 
C 3 783 GLN 783 783 783 GLN GLN C . n 
C 3 784 LYS 784 784 784 LYS LYS C . n 
C 3 785 THR 785 785 785 THR THR C . n 
C 3 786 ALA 786 786 786 ALA ALA C . n 
C 3 787 THR 787 787 787 THR THR C . n 
C 3 788 ASN 788 788 788 ASN ASN C . n 
C 3 789 VAL 789 789 789 VAL VAL C . n 
C 3 790 LEU 790 790 790 LEU LEU C . n 
C 3 791 LEU 791 791 791 LEU LEU C . n 
C 3 792 GLU 792 792 792 GLU GLU C . n 
C 3 793 ARG 793 793 793 ARG ARG C . n 
C 3 794 CYS 794 794 794 CYS CYS C . n 
C 3 795 GLY 795 795 795 GLY GLY C . n 
C 3 796 HIS 796 796 796 HIS HIS C . n 
C 3 797 PRO 797 797 797 PRO PRO C . n 
C 3 798 TYR 798 798 798 TYR TYR C . n 
C 3 799 VAL 799 799 799 VAL VAL C . n 
C 3 800 ALA 800 800 800 ALA ALA C . n 
C 3 801 ASN 801 801 801 ASN ASN C . n 
C 3 802 TRP 802 802 802 TRP TRP C . n 
C 3 803 PRO 803 803 803 PRO PRO C . n 
C 3 804 TYR 804 804 804 TYR TYR C . n 
C 3 805 PRO 805 805 805 PRO PRO C . n 
C 3 806 LEU 806 806 806 LEU LEU C . n 
C 3 807 SER 807 807 807 SER SER C . n 
C 3 808 GLY 808 808 808 GLY GLY C . n 
C 3 809 ARG 809 809 809 ARG ARG C . n 
C 3 810 ASN 810 810 810 ASN ASN C . n 
C 3 811 ALA 811 811 811 ALA ALA C . n 
C 3 812 VAL 812 812 812 VAL VAL C . n 
C 3 813 PRO 813 813 813 PRO PRO C . n 
C 3 814 ASN 814 814 814 ASN ASN C . n 
C 3 815 GLN 815 815 815 GLN GLN C . n 
C 3 816 VAL 816 816 816 VAL VAL C . n 
C 3 817 THR 817 817 817 THR THR C . n 
C 3 818 GLU 818 818 818 GLU GLU C . n 
C 3 819 ARG 819 819 819 ARG ARG C . n 
C 3 820 LYS 820 820 820 LYS LYS C . n 
C 3 821 PHE 821 821 821 PHE PHE C . n 
C 3 822 LEU 822 822 822 LEU LEU C . n 
C 3 823 VAL 823 823 823 VAL VAL C . n 
C 3 824 ASP 824 824 824 ASP ASP C . n 
C 3 825 ARG 825 825 825 ARG ARG C . n 
C 3 826 TYR 826 826 826 TYR TYR C . n 
C 3 827 LEU 827 827 827 LEU LEU C . n 
C 3 828 TRP 828 828 828 TRP TRP C . n 
C 3 829 GLN 829 829 829 GLN GLN C . n 
C 3 830 ILE 830 830 830 ILE ILE C . n 
C 3 831 PRO 831 831 831 PRO PRO C . n 
C 3 832 PHE 832 832 832 PHE PHE C . n 
C 3 833 SER 833 833 833 SER SER C . n 
C 3 834 SER 834 834 834 SER SER C . n 
C 3 835 ASN 835 835 835 ASN ASN C . n 
C 3 836 PHE 836 836 836 PHE PHE C . n 
C 3 837 LEU 837 837 837 LEU LEU C . n 
C 3 838 ASN 838 838 838 ASN ASN C . n 
C 3 839 MET 839 839 839 MET MET C . n 
C 3 840 GLY 840 840 840 GLY GLY C . n 
C 3 841 THR 841 841 841 THR THR C . n 
C 3 842 LEU 842 842 842 LEU LEU C . n 
C 3 843 THR 843 843 843 THR THR C . n 
C 3 844 ASP 844 844 844 ASP ASP C . n 
C 3 845 LEU 845 845 845 LEU LEU C . n 
C 3 846 GLY 846 846 846 GLY GLY C . n 
C 3 847 GLN 847 847 847 GLN GLN C . n 
C 3 848 ASN 848 848 848 ASN ASN C . n 
C 3 849 VAL 849 849 849 VAL VAL C . n 
C 3 850 MET 850 850 850 MET MET C . n 
C 3 851 TYR 851 851 851 TYR TYR C . n 
C 3 852 ALA 852 852 852 ALA ALA C . n 
C 3 853 ASN 853 853 853 ASN ASN C . n 
C 3 854 SER 854 854 854 SER SER C . n 
C 3 855 SER 855 855 855 SER SER C . n 
C 3 856 HIS 856 856 856 HIS HIS C . n 
C 3 857 SER 857 857 857 SER SER C . n 
C 3 858 LEU 858 858 858 LEU LEU C . n 
C 3 859 ASN 859 859 859 ASN ASN C . n 
C 3 860 MET 860 860 860 MET MET C . n 
C 3 861 GLN 861 861 861 GLN GLN C . n 
C 3 862 PHE 862 862 862 PHE PHE C . n 
C 3 863 THR 863 863 863 THR THR C . n 
C 3 864 VAL 864 864 864 VAL VAL C . n 
C 3 865 ASP 865 865 865 ASP ASP C . n 
C 3 866 PRO 866 866 866 PRO PRO C . n 
C 3 867 MET 867 867 867 MET MET C . n 
C 3 868 THR 868 868 868 THR THR C . n 
C 3 869 GLU 869 869 869 GLU GLU C . n 
C 3 870 PRO 870 870 870 PRO PRO C . n 
C 3 871 THR 871 871 871 THR THR C . n 
C 3 872 TYR 872 872 872 TYR TYR C . n 
C 3 873 LEU 873 873 873 LEU LEU C . n 
C 3 874 MET 874 874 874 MET MET C . n 
C 3 875 LEU 875 875 875 LEU LEU C . n 
C 3 876 LEU 876 876 876 LEU LEU C . n 
C 3 877 PHE 877 877 877 PHE PHE C . n 
C 3 878 GLY 878 878 878 GLY GLY C . n 
C 3 879 VAL 879 879 879 VAL VAL C . n 
C 3 880 PHE 880 880 880 PHE PHE C . n 
C 3 881 ASP 881 881 881 ASP ASP C . n 
C 3 882 GLN 882 882 882 GLN GLN C . n 
C 3 883 VAL 883 883 883 VAL VAL C . n 
C 3 884 VAL 884 884 884 VAL VAL C . n 
C 3 885 ILE 885 885 885 ILE ILE C . n 
C 3 886 ASN 886 886 886 ASN ASN C . n 
C 3 887 GLN 887 887 887 GLN GLN C . n 
C 3 888 PRO 888 888 888 PRO PRO C . n 
C 3 889 THR 889 889 889 THR THR C . n 
C 3 890 ARG 890 890 890 ARG ARG C . n 
C 3 891 SER 891 891 891 SER SER C . n 
C 3 892 GLY 892 892 892 GLY GLY C . n 
C 3 893 ILE 893 893 893 ILE ILE C . n 
C 3 894 SER 894 894 894 SER SER C . n 
C 3 895 VAL 895 895 895 VAL VAL C . n 
C 3 896 ALA 896 896 896 ALA ALA C . n 
C 3 897 TYR 897 897 897 TYR TYR C . n 
C 3 898 LEU 898 898 898 LEU LEU C . n 
C 3 899 ARG 899 899 899 ARG ARG C . n 
C 3 900 LEU 900 900 900 LEU LEU C . n 
C 3 901 PRO 901 901 901 PRO PRO C . n 
C 3 902 PHE 902 902 902 PHE PHE C . n 
C 3 903 ALA 903 903 903 ALA ALA C . n 
C 3 904 SER 904 904 904 SER SER C . n 
C 3 905 GLY 905 905 905 GLY GLY C . n 
C 3 906 SER 906 906 906 SER SER C . n 
C 3 907 ALA 907 907 907 ALA ALA C . n 
# 
loop_
_chem_comp.id 
_chem_comp.type 
_chem_comp.mon_nstd_flag 
_chem_comp.name 
_chem_comp.pdbx_synonyms 
_chem_comp.formula 
_chem_comp.formula_weight 
ALA "L-peptide linking" y ALANINE         ? "C3 H7 N O2"     89.093  
ARG "L-peptide linking" y ARGININE        ? "C6 H15 N4 O2 1" 175.209 
ASN "L-peptide linking" y ASPARAGINE      ? "C4 H8 N2 O3"    132.118 
ASP "L-peptide linking" y "ASPARTIC ACID" ? "C4 H7 N O4"     133.103 
CYS "L-peptide linking" y CYSTEINE        ? "C3 H7 N O2 S"   121.158 
GLN "L-peptide linking" y GLUTAMINE       ? "C5 H10 N2 O3"   146.144 
GLU "L-peptide linking" y "GLUTAMIC ACID" ? "C5 H9 N O4"     147.129 
GLY "peptide linking"   y GLYCINE         ? "C2 H5 N O2"     75.067  
HIS "L-peptide linking" y HISTIDINE       ? "C6 H10 N3 O2 1" 156.162 
ILE "L-peptide linking" y ISOLEUCINE      ? "C6 H13 N O2"    131.173 
LEU "L-peptide linking" y LEUCINE         ? "C6 H13 N O2"    131.173 
LYS "L-peptide linking" y LYSINE          ? "C6 H15 N2 O2 1" 147.195 
MET "L-peptide linking" y METHIONINE      ? "C5 H11 N O2 S"  149.211 
PHE "L-peptide linking" y PHENYLALANINE   ? "C9 H11 N O2"    165.189 
PRO "L-peptide linking" y PROLINE         ? "C5 H9 N O2"     115.130 
SER "L-peptide linking" y SERINE          ? "C3 H7 N O3"     105.093 
THR "L-peptide linking" y THREONINE       ? "C4 H9 N O3"     119.119 
TRP "L-peptide linking" y TRYPTOPHAN      ? "C11 H12 N2 O2"  204.225 
TYR "L-peptide linking" y TYROSINE        ? "C9 H11 N O3"    181.189 
VAL "L-peptide linking" y VALINE          ? "C5 H11 N O2"    117.146 
# 
loop_
_struct_asym.id 
_struct_asym.pdbx_PDB_id 
_struct_asym.pdbx_alt_id 
_struct_asym.pdbx_blank_PDB_chainid_flag 
_struct_asym.pdbx_type 
_struct_asym.pdbx_order 
_struct_asym.pdbx_modified 
_struct_asym.entity_id 
_struct_asym.details 
A A A N ATOMP 1 N 1 ? 
B B B N ATOMP 2 N 2 ? 
C C C N ATOMP 3 N 3 ? 
# 
_struct_conf_type.id          HELX_P 
_struct_conf_type.criteria    ? 
_struct_conf_type.reference   ? 
# 
loop_
_struct_conf.conf_type_id 
_struct_conf.id 
_struct_conf.pdbx_PDB_helix_id 
_struct_conf.beg_label_comp_id 
_struct_conf.beg_label_asym_id 
_struct_conf.beg_label_seq_id 
_struct_conf.pdbx_beg_PDB_ins_code 
_struct_conf.end_label_comp_id 
_struct_conf.end_label_asym_id 
_struct_conf.end_label_seq_id 
_struct_conf.pdbx_end_PDB_ins_code 
_struct_conf.beg_auth_comp_id 
_struct_conf.beg_auth_asym_id 
_struct_conf.beg_auth_seq_id 
_struct_conf.end_auth_comp_id 
_struct_conf.end_auth_asym_id 
_struct_conf.end_auth_seq_id 
_struct_conf.pdbx_PDB_helix_class 
_struct_conf.details 
_struct_conf.pdbx_PDB_helix_length 
HELX_P HELX_P1  AA1 PRO A 3   ? PHE A 8   ? PRO A 3   PHE A 8   1 ? 6  
HELX_P HELX_P2  AA2 SER A 14  ? LEU A 19  ? SER A 14  LEU A 19  1 ? 6  
HELX_P HELX_P3  AA3 SER A 20  ? THR A 30  ? SER A 20  THR A 30  1 ? 11 
HELX_P HELX_P4  AA4 GLY A 92  ? SER A 94  ? GLY A 92  SER A 94  5 ? 3  
HELX_P HELX_P5  AA5 ASP A 278 ? ILE A 281 ? ASP A 278 ILE A 281 5 ? 4  
HELX_P HELX_P6  AA6 ASN A 312 ? THR A 325 ? ASN A 312 THR A 325 1 ? 14 
HELX_P HELX_P7  AA7 ASP A 342 ? ILE A 347 ? ASP A 342 ILE A 347 1 ? 6  
HELX_P HELX_P8  AA8 ASN A 410 ? VAL A 424 ? ASN A 410 VAL A 424 1 ? 15 
HELX_P HELX_P9  AA9 PRO A 429 ? THR A 431 ? PRO A 429 THR A 431 5 ? 3  
HELX_P HELX_P10 AB1 SER A 447 ? ASN A 452 ? SER A 447 ASN A 452 1 ? 6  
HELX_P HELX_P11 AB2 PRO A 458 ? VAL A 461 ? PRO A 458 VAL A 461 5 ? 4  
HELX_P HELX_P12 AB3 ASN A 487 ? LEU A 496 ? ASN A 487 LEU A 496 1 ? 10 
HELX_P HELX_P13 AB4 ASP A 535 ? VAL A 539 ? ASP A 535 VAL A 539 1 ? 5  
HELX_P HELX_P14 AB5 THR A 573 ? ARG A 582 ? THR A 573 ARG A 582 1 ? 10 
HELX_P HELX_P15 AB6 ASN A 583 ? ASP A 587 ? ASN A 583 ASP A 587 5 ? 5  
HELX_P HELX_P16 AB7 THR A 711 ? ASN A 724 ? THR A 711 ASN A 724 1 ? 14 
HELX_P HELX_P17 AB8 ASN A 761 ? ASN A 769 ? ASN A 761 ASN A 769 1 ? 9  
HELX_P HELX_P18 AB9 ASN A 848 ? ASN A 853 ? ASN A 848 ASN A 853 1 ? 6  
HELX_P HELX_P19 AC1 SER B 20  ? THR B 30  ? SER B 20  THR B 30  1 ? 11 
HELX_P HELX_P20 AC2 ILE B 36  ? PHE B 40  ? ILE B 36  PHE B 40  5 ? 5  
HELX_P HELX_P21 AC3 GLY B 92  ? SER B 94  ? GLY B 92  SER B 94  5 ? 3  
HELX_P HELX_P22 AC4 ASP B 278 ? ILE B 281 ? ASP B 278 ILE B 281 5 ? 4  
HELX_P HELX_P23 AC5 LEU B 315 ? THR B 325 ? LEU B 315 THR B 325 1 ? 11 
HELX_P HELX_P24 AC6 ASP B 342 ? ILE B 347 ? ASP B 342 ILE B 347 1 ? 6  
HELX_P HELX_P25 AC7 ASN B 410 ? VAL B 424 ? ASN B 410 VAL B 424 1 ? 15 
HELX_P HELX_P26 AC8 PRO B 429 ? THR B 431 ? PRO B 429 THR B 431 5 ? 3  
HELX_P HELX_P27 AC9 SER B 447 ? ARG B 454 ? SER B 447 ARG B 454 1 ? 8  
HELX_P HELX_P28 AD1 PRO B 458 ? VAL B 461 ? PRO B 458 VAL B 461 5 ? 4  
HELX_P HELX_P29 AD2 ASN B 487 ? LEU B 496 ? ASN B 487 LEU B 496 1 ? 10 
HELX_P HELX_P30 AD3 ASP B 535 ? VAL B 539 ? ASP B 535 VAL B 539 1 ? 5  
HELX_P HELX_P31 AD4 ASN B 570 ? LEU B 581 ? ASN B 570 LEU B 581 1 ? 12 
HELX_P HELX_P32 AD5 THR B 711 ? ASN B 724 ? THR B 711 ASN B 724 1 ? 14 
HELX_P HELX_P33 AD6 LEU B 762 ? ASN B 769 ? LEU B 762 ASN B 769 1 ? 8  
HELX_P HELX_P34 AD7 THR B 843 ? ASN B 848 ? THR B 843 ASN B 848 1 ? 6  
HELX_P HELX_P35 AD8 MET B 850 ? ASN B 853 ? MET B 850 ASN B 853 5 ? 4  
HELX_P HELX_P36 AD9 PRO C 3   ? PHE C 8   ? PRO C 3   PHE C 8   1 ? 6  
HELX_P HELX_P37 AE1 LEU C 23  ? GLN C 31  ? LEU C 23  GLN C 31  1 ? 9  
HELX_P HELX_P38 AE2 GLY C 92  ? SER C 94  ? GLY C 92  SER C 94  5 ? 3  
HELX_P HELX_P39 AE3 GLY C 152 ? GLN C 158 ? GLY C 152 GLN C 158 1 ? 7  
HELX_P HELX_P40 AE4 ASP C 278 ? ILE C 281 ? ASP C 278 ILE C 281 5 ? 4  
HELX_P HELX_P41 AE5 SER C 288 ? THR C 292 ? SER C 288 THR C 292 5 ? 5  
HELX_P HELX_P42 AE6 ASN C 312 ? THR C 325 ? ASN C 312 THR C 325 1 ? 14 
HELX_P HELX_P43 AE7 ASP C 342 ? ILE C 347 ? ASP C 342 ILE C 347 1 ? 6  
HELX_P HELX_P44 AE8 ASN C 410 ? ASN C 423 ? ASN C 410 ASN C 423 1 ? 14 
HELX_P HELX_P45 AE9 SER C 447 ? ARG C 454 ? SER C 447 ARG C 454 1 ? 8  
HELX_P HELX_P46 AF1 PRO C 458 ? VAL C 461 ? PRO C 458 VAL C 461 5 ? 4  
HELX_P HELX_P47 AF2 GLY C 489 ? SER C 494 ? GLY C 489 SER C 494 1 ? 6  
HELX_P HELX_P48 AF3 ASP C 535 ? VAL C 539 ? ASP C 535 VAL C 539 1 ? 5  
HELX_P HELX_P49 AF4 ASP C 547 ? GLY C 552 ? ASP C 547 GLY C 552 1 ? 6  
HELX_P HELX_P50 AF5 ASN C 570 ? ARG C 582 ? ASN C 570 ARG C 582 1 ? 13 
HELX_P HELX_P51 AF6 ASN C 583 ? ASP C 587 ? ASN C 583 ASP C 587 5 ? 5  
HELX_P HELX_P52 AF7 ILE C 652 ? GLY C 657 ? ILE C 652 GLY C 657 1 ? 6  
HELX_P HELX_P53 AF8 THR C 711 ? TYR C 723 ? THR C 711 TYR C 723 1 ? 13 
HELX_P HELX_P54 AF9 ASN C 761 ? ASN C 769 ? ASN C 761 ASN C 769 1 ? 9  
HELX_P HELX_P55 AG1 ASP C 844 ? VAL C 849 ? ASP C 844 VAL C 849 1 ? 6  
HELX_P HELX_P56 AG2 MET C 850 ? SER C 854 ? MET C 850 SER C 854 5 ? 5  
# 
loop_
_struct_mon_prot_cis.pdbx_id 
_struct_mon_prot_cis.label_comp_id 
_struct_mon_prot_cis.label_seq_id 
_struct_mon_prot_cis.label_asym_id 
_struct_mon_prot_cis.label_alt_id 
_struct_mon_prot_cis.pdbx_PDB_ins_code 
_struct_mon_prot_cis.auth_comp_id 
_struct_mon_prot_cis.auth_seq_id 
_struct_mon_prot_cis.auth_asym_id 
_struct_mon_prot_cis.pdbx_label_comp_id_2 
_struct_mon_prot_cis.pdbx_label_seq_id_2 
_struct_mon_prot_cis.pdbx_label_asym_id_2 
_struct_mon_prot_cis.pdbx_PDB_ins_code_2 
_struct_mon_prot_cis.pdbx_auth_comp_id_2 
_struct_mon_prot_cis.pdbx_auth_seq_id_2 
_struct_mon_prot_cis.pdbx_auth_asym_id_2 
_struct_mon_prot_cis.pdbx_PDB_model_num 
_struct_mon_prot_cis.pdbx_omega_angle 
1  GLU 2   A . ? GLU 2   A PRO 3   A ? PRO 3   A 1 7.83   
2  TRP 678 A . ? TRP 678 A PRO 679 A ? PRO 679 A 1 -1.20  
3  TRP 802 A . ? TRP 802 A PRO 803 A ? PRO 803 A 1 2.57   
4  LEU 900 A . ? LEU 900 A PRO 901 A ? PRO 901 A 1 -1.83  
5  GLU 2   B . ? GLU 2   B PRO 3   B ? PRO 3   B 1 7.76   
6  ASP 165 B . ? ASP 165 B PRO 166 B ? PRO 166 B 1 0.86   
7  GLN 172 B . ? GLN 172 B PRO 173 B ? PRO 173 B 1 6.95   
8  TRP 678 B . ? TRP 678 B PRO 679 B ? PRO 679 B 1 2.80   
9  MET 773 B . ? MET 773 B PRO 774 B ? PRO 774 B 1 -13.85 
10 TRP 802 B . ? TRP 802 B PRO 803 B ? PRO 803 B 1 3.65   
11 LEU 899 B . ? LEU 900 B PRO 900 B ? PRO 901 B 1 3.24   
12 ASP 165 C . ? ASP 165 C PRO 166 C ? PRO 166 C 1 -1.91  
13 TRP 678 C . ? TRP 678 C PRO 679 C ? PRO 679 C 1 -0.57  
14 TRP 802 C . ? TRP 802 C PRO 803 C ? PRO 803 C 1 7.18   
15 LEU 900 C . ? LEU 900 C PRO 901 C ? PRO 901 C 1 9.86   
# 
loop_
_struct_sheet.id 
_struct_sheet.type 
_struct_sheet.number_strands 
_struct_sheet.details 
AA1 ? 4 ? 
AA2 ? 4 ? 
AA3 ? 4 ? 
AA4 ? 2 ? 
AA5 ? 2 ? 
AA6 ? 4 ? 
AA7 ? 2 ? 
AA8 ? 2 ? 
AA9 ? 2 ? 
AB1 ? 2 ? 
AB2 ? 3 ? 
AB3 ? 3 ? 
AB4 ? 3 ? 
AB5 ? 2 ? 
AB6 ? 3 ? 
AB7 ? 4 ? 
AB8 ? 4 ? 
AB9 ? 2 ? 
AC1 ? 4 ? 
AC2 ? 4 ? 
AC3 ? 4 ? 
AC4 ? 2 ? 
AC5 ? 3 ? 
AC6 ? 2 ? 
AC7 ? 3 ? 
AC8 ? 2 ? 
AC9 ? 2 ? 
AD1 ? 2 ? 
AD2 ? 2 ? 
AD3 ? 2 ? 
AD4 ? 4 ? 
AD5 ? 4 ? 
AD6 ? 4 ? 
AD7 ? 2 ? 
AD8 ? 3 ? 
AD9 ? 4 ? 
AE1 ? 4 ? 
AE2 ? 4 ? 
AE3 ? 2 ? 
AE4 ? 2 ? 
AE5 ? 2 ? 
AE6 ? 2 ? 
AE7 ? 2 ? 
AE8 ? 2 ? 
AE9 ? 3 ? 
AF1 ? 4 ? 
AF2 ? 4 ? 
AF3 ? 2 ? 
# 
loop_
_struct_sheet_order.sheet_id 
_struct_sheet_order.range_id_1 
_struct_sheet_order.range_id_2 
_struct_sheet_order.offset 
_struct_sheet_order.sense 
AA1 1 2 ? anti-parallel 
AA1 2 3 ? anti-parallel 
AA1 3 4 ? anti-parallel 
AA2 1 2 ? anti-parallel 
AA2 2 3 ? anti-parallel 
AA2 3 4 ? anti-parallel 
AA3 1 2 ? anti-parallel 
AA3 2 3 ? anti-parallel 
AA3 3 4 ? anti-parallel 
AA4 1 2 ? anti-parallel 
AA5 1 2 ? anti-parallel 
AA6 1 2 ? anti-parallel 
AA6 2 3 ? parallel      
AA6 3 4 ? anti-parallel 
AA7 1 2 ? anti-parallel 
AA8 1 2 ? anti-parallel 
AA9 1 2 ? anti-parallel 
AB1 1 2 ? anti-parallel 
AB2 1 2 ? anti-parallel 
AB2 2 3 ? anti-parallel 
AB3 1 2 ? parallel      
AB3 2 3 ? parallel      
AB4 1 2 ? parallel      
AB4 2 3 ? anti-parallel 
AB5 1 2 ? anti-parallel 
AB6 1 2 ? anti-parallel 
AB6 2 3 ? anti-parallel 
AB7 1 2 ? anti-parallel 
AB7 2 3 ? anti-parallel 
AB7 3 4 ? anti-parallel 
AB8 1 2 ? anti-parallel 
AB8 2 3 ? anti-parallel 
AB8 3 4 ? anti-parallel 
AB9 1 2 ? anti-parallel 
AC1 1 2 ? anti-parallel 
AC1 2 3 ? anti-parallel 
AC1 3 4 ? anti-parallel 
AC2 1 2 ? anti-parallel 
AC2 2 3 ? anti-parallel 
AC2 3 4 ? anti-parallel 
AC3 1 2 ? anti-parallel 
AC3 2 3 ? anti-parallel 
AC3 3 4 ? anti-parallel 
AC4 1 2 ? anti-parallel 
AC5 1 2 ? anti-parallel 
AC5 2 3 ? parallel      
AC6 1 2 ? anti-parallel 
AC7 1 2 ? parallel      
AC7 2 3 ? anti-parallel 
AC8 1 2 ? anti-parallel 
AC9 1 2 ? anti-parallel 
AD1 1 2 ? anti-parallel 
AD2 1 2 ? anti-parallel 
AD3 1 2 ? anti-parallel 
AD4 1 2 ? anti-parallel 
AD4 2 3 ? anti-parallel 
AD4 3 4 ? anti-parallel 
AD5 1 2 ? anti-parallel 
AD5 2 3 ? anti-parallel 
AD5 3 4 ? anti-parallel 
AD6 1 2 ? anti-parallel 
AD6 2 3 ? anti-parallel 
AD6 3 4 ? anti-parallel 
AD7 1 2 ? anti-parallel 
AD8 1 2 ? anti-parallel 
AD8 2 3 ? anti-parallel 
AD9 1 2 ? anti-parallel 
AD9 2 3 ? anti-parallel 
AD9 3 4 ? anti-parallel 
AE1 1 2 ? anti-parallel 
AE1 2 3 ? anti-parallel 
AE1 3 4 ? anti-parallel 
AE2 1 2 ? anti-parallel 
AE2 2 3 ? anti-parallel 
AE2 3 4 ? anti-parallel 
AE3 1 2 ? anti-parallel 
AE4 1 2 ? anti-parallel 
AE5 1 2 ? anti-parallel 
AE6 1 2 ? anti-parallel 
AE7 1 2 ? anti-parallel 
AE8 1 2 ? anti-parallel 
AE9 1 2 ? anti-parallel 
AE9 2 3 ? anti-parallel 
AF1 1 2 ? anti-parallel 
AF1 2 3 ? anti-parallel 
AF1 3 4 ? anti-parallel 
AF2 1 2 ? anti-parallel 
AF2 2 3 ? anti-parallel 
AF2 3 4 ? anti-parallel 
AF3 1 2 ? anti-parallel 
# 
loop_
_struct_sheet_range.sheet_id 
_struct_sheet_range.id 
_struct_sheet_range.beg_label_comp_id 
_struct_sheet_range.beg_label_asym_id 
_struct_sheet_range.beg_label_seq_id 
_struct_sheet_range.pdbx_beg_PDB_ins_code 
_struct_sheet_range.end_label_comp_id 
_struct_sheet_range.end_label_asym_id 
_struct_sheet_range.end_label_seq_id 
_struct_sheet_range.pdbx_end_PDB_ins_code 
_struct_sheet_range.beg_auth_comp_id 
_struct_sheet_range.beg_auth_asym_id 
_struct_sheet_range.beg_auth_seq_id 
_struct_sheet_range.end_auth_comp_id 
_struct_sheet_range.end_auth_asym_id 
_struct_sheet_range.end_auth_seq_id 
AA1 1 GLN A 60  ? VAL A 63  ? GLN A 60  VAL A 63  
AA1 2 LEU A 562 ? SER A 565 ? LEU A 562 SER A 565 
AA1 3 TYR A 95  ? ASP A 103 ? TYR A 95  ASP A 103 
AA1 4 TYR A 502 ? VAL A 509 ? TYR A 502 VAL A 509 
AA2 1 GLN A 60  ? VAL A 63  ? GLN A 60  VAL A 63  
AA2 2 LEU A 562 ? SER A 565 ? LEU A 562 SER A 565 
AA2 3 TYR A 95  ? ASP A 103 ? TYR A 95  ASP A 103 
AA2 4 SER A 554 ? GLN A 559 ? SER A 554 GLN A 559 
AA3 1 GLU A 69  ? ASP A 70  ? GLU A 69  ASP A 70  
AA3 2 TYR A 74  ? PHE A 79  ? TYR A 74  PHE A 79  
AA3 3 ASN A 527 ? ARG A 533 ? ASN A 527 ARG A 533 
AA3 4 SER A 294 ? SER A 296 ? SER A 294 SER A 296 
AA4 1 ASN A 82  ? VAL A 83  ? ASN A 82  VAL A 83  
AA4 2 GLY A 524 ? THR A 525 ? GLY A 524 THR A 525 
AA5 1 VAL A 89  ? ASP A 90  ? VAL A 89  ASP A 90  
AA5 2 LEU A 520 ? LEU A 521 ? LEU A 520 LEU A 521 
AA6 1 SER A 128 ? ALA A 129 ? SER A 128 ALA A 129 
AA6 2 THR A 136 ? VAL A 139 ? THR A 136 VAL A 139 
AA6 3 THR B 395 ? ILE B 399 ? THR B 395 ILE B 399 
AA6 4 ALA B 375 ? GLY B 377 ? ALA B 375 GLY B 377 
AA7 1 GLN A 144 ? THR A 145 ? GLN A 144 THR A 145 
AA7 2 GLY A 188 ? LEU A 189 ? GLY A 188 LEU A 189 
AA8 1 ASP A 257 ? PHE A 258 ? ASP A 257 PHE A 258 
AA8 2 ALA A 264 ? THR A 265 ? ALA A 264 THR A 265 
AA9 1 ILE A 274 ? PHE A 276 ? ILE A 274 PHE A 276 
AA9 2 LEU A 540 ? SER A 542 ? LEU A 540 SER A 542 
AB1 1 LEU A 360 ? ALA A 361 ? LEU A 360 ALA A 361 
AB1 2 VAL A 407 ? GLU A 408 ? VAL A 407 GLU A 408 
AB2 1 THR A 388 ? VAL A 391 ? THR A 388 VAL A 391 
AB2 2 THR A 378 ? ASN A 383 ? THR A 378 ASN A 383 
AB2 3 TYR C 227 ? ASN C 229 ? TYR C 227 ASN C 229 
AB3 1 THR A 395 ? VAL A 396 ? THR A 395 VAL A 396 
AB3 2 ASP C 135 ? LEU C 142 ? ASP C 135 LEU C 142 
AB3 3 ILE A 399 ? TYR A 401 ? ILE A 399 TYR A 401 
AB4 1 THR A 395 ? VAL A 396 ? THR A 395 VAL A 396 
AB4 2 ASP C 135 ? LEU C 142 ? ASP C 135 LEU C 142 
AB4 3 SER C 128 ? VAL C 132 ? SER C 128 VAL C 132 
AB5 1 LYS A 433 ? PHE A 434 ? LYS A 433 PHE A 434 
AB5 2 LEU A 455 ? PRO A 456 ? LEU A 455 PRO A 456 
AB6 1 GLN A 588 ? SER A 591 ? GLN A 588 SER A 591 
AB6 2 PHE A 880 ? ASN A 886 ? PHE A 880 ASN A 886 
AB6 3 SER A 894 ? LEU A 900 ? SER A 894 LEU A 900 
AB7 1 ALA A 596 ? ILE A 603 ? ALA A 596 ILE A 603 
AB7 2 THR A 871 ? GLY A 878 ? THR A 871 GLY A 878 
AB7 3 GLY A 624 ? LYS A 631 ? GLY A 624 LYS A 631 
AB7 4 TRP A 828 ? PRO A 831 ? TRP A 828 PRO A 831 
AB8 1 THR A 609 ? ARG A 617 ? THR A 609 ARG A 617 
AB8 2 HIS A 856 ? THR A 863 ? HIS A 856 THR A 863 
AB8 3 ARG A 667 ? GLN A 671 ? ARG A 667 GLN A 671 
AB8 4 PRO A 677 ? TRP A 678 ? PRO A 677 TRP A 678 
AB9 1 GLU A 746 ? VAL A 752 ? GLU A 746 VAL A 752 
AB9 2 VAL A 816 ? LEU A 822 ? VAL A 816 LEU A 822 
AC1 1 GLN B 60  ? VAL B 63  ? GLN B 60  VAL B 63  
AC1 2 GLN B 559 ? SER B 565 ? GLN B 559 SER B 565 
AC1 3 TYR B 95  ? ASP B 103 ? TYR B 95  ASP B 103 
AC1 4 TYR B 502 ? VAL B 509 ? TYR B 502 VAL B 509 
AC2 1 GLN B 60  ? VAL B 63  ? GLN B 60  VAL B 63  
AC2 2 GLN B 559 ? SER B 565 ? GLN B 559 SER B 565 
AC2 3 TYR B 95  ? ASP B 103 ? TYR B 95  ASP B 103 
AC2 4 SER B 554 ? ILE B 555 ? SER B 554 ILE B 555 
AC3 1 GLU B 69  ? ASP B 70  ? GLU B 69  ASP B 70  
AC3 2 TYR B 74  ? VAL B 83  ? TYR B 74  VAL B 83  
AC3 3 GLY B 524 ? ARG B 533 ? GLY B 524 ARG B 533 
AC3 4 SER B 294 ? SER B 297 ? SER B 294 SER B 297 
AC4 1 VAL B 89  ? ASP B 90  ? VAL B 89  ASP B 90  
AC4 2 LEU B 520 ? LEU B 521 ? LEU B 520 LEU B 521 
AC5 1 SER B 128 ? VAL B 132 ? SER B 128 VAL B 132 
AC5 2 ASP B 135 ? VAL B 139 ? ASP B 135 VAL B 139 
AC5 3 VAL C 396 ? LEU C 398 ? VAL C 396 LEU C 398 
AC6 1 GLN B 144 ? ALA B 147 ? GLN B 144 ALA B 147 
AC6 2 ASN B 186 ? LEU B 189 ? ASN B 186 LEU B 189 
AC7 1 ILE B 192 ? VAL B 193 ? ILE B 192 VAL B 193 
AC7 2 ALA B 242 ? ASP B 244 ? ALA B 242 ASP B 244 
AC7 3 THR B 224 ? LYS B 225 ? THR B 224 LYS B 225 
AC8 1 ALA B 253 ? PHE B 258 ? ALA B 253 PHE B 258 
AC8 2 ALA B 264 ? GLY B 268 ? ALA B 264 GLY B 268 
AC9 1 GLY B 275 ? PHE B 276 ? GLY B 275 PHE B 276 
AC9 2 LEU B 540 ? GLN B 541 ? LEU B 540 GLN B 541 
AD1 1 ASN B 359 ? ALA B 361 ? ASN B 359 ALA B 361 
AD1 2 VAL B 407 ? MET B 409 ? VAL B 407 MET B 409 
AD2 1 MET B 380 ? VAL B 382 ? MET B 380 VAL B 382 
AD2 2 ALA B 389 ? VAL B 391 ? ALA B 389 VAL B 391 
AD3 1 LYS B 433 ? PHE B 434 ? LYS B 433 PHE B 434 
AD3 2 LEU B 455 ? PRO B 456 ? LEU B 455 PRO B 456 
AD4 1 ALA B 596 ? LEU B 600 ? ALA B 596 LEU B 600 
AD4 2 THR B 871 ? GLY B 878 ? THR B 871 GLY B 878 
AD4 3 GLY B 624 ? LYS B 631 ? GLY B 624 LYS B 631 
AD4 4 TRP B 828 ? PRO B 831 ? TRP B 828 PRO B 831 
AD5 1 THR B 609 ? SER B 618 ? THR B 609 SER B 618 
AD5 2 SER B 855 ? THR B 863 ? SER B 855 THR B 863 
AD5 3 ARG B 667 ? TRP B 672 ? ARG B 667 TRP B 672 
AD5 4 VAL B 676 ? TRP B 678 ? VAL B 676 TRP B 678 
AD6 1 THR B 609 ? SER B 618 ? THR B 609 SER B 618 
AD6 2 SER B 855 ? THR B 863 ? SER B 855 THR B 863 
AD6 3 ARG B 667 ? TRP B 672 ? ARG B 667 TRP B 672 
AD6 4 PHE B 690 ? GLU B 691 ? PHE B 690 GLU B 691 
AD7 1 PHE B 745 ? VAL B 752 ? PHE B 745 VAL B 752 
AD7 2 VAL B 816 ? VAL B 823 ? VAL B 816 VAL B 823 
AD8 1 GLN B 882 ? VAL B 883 ? GLN B 882 VAL B 883 
AD8 2 SER B 893 ? LEU B 897 ? SER B 894 LEU B 898 
AD8 3 ASN B 885 ? ASN B 885 ? ASN B 886 ASN B 886 
AD9 1 ARG C 62  ? VAL C 63  ? ARG C 62  VAL C 63  
AD9 2 SER C 554 ? TYR C 563 ? SER C 554 TYR C 563 
AD9 3 TYR C 95  ? ASP C 103 ? TYR C 95  ASP C 103 
AD9 4 TYR C 502 ? CYS C 503 ? TYR C 502 CYS C 503 
AE1 1 ARG C 62  ? VAL C 63  ? ARG C 62  VAL C 63  
AE1 2 SER C 554 ? TYR C 563 ? SER C 554 TYR C 563 
AE1 3 TYR C 95  ? ASP C 103 ? TYR C 95  ASP C 103 
AE1 4 HIS C 506 ? VAL C 509 ? HIS C 506 VAL C 509 
AE2 1 GLN C 67  ? ASP C 70  ? GLN C 67  ASP C 70  
AE2 2 TYR C 74  ? VAL C 83  ? TYR C 74  VAL C 83  
AE2 3 GLY C 524 ? ARG C 533 ? GLY C 524 ARG C 533 
AE2 4 SER C 294 ? SER C 297 ? SER C 294 SER C 297 
AE3 1 VAL C 89  ? ASP C 90  ? VAL C 89  ASP C 90  
AE3 2 LEU C 520 ? LEU C 521 ? LEU C 520 LEU C 521 
AE4 1 ALA C 253 ? PHE C 258 ? ALA C 253 PHE C 258 
AE4 2 ALA C 264 ? GLY C 268 ? ALA C 264 GLY C 268 
AE5 1 GLY C 275 ? PHE C 276 ? GLY C 275 PHE C 276 
AE5 2 LEU C 540 ? GLN C 541 ? LEU C 540 GLN C 541 
AE6 1 ASN C 359 ? ALA C 361 ? ASN C 359 ALA C 361 
AE6 2 VAL C 407 ? MET C 409 ? VAL C 407 MET C 409 
AE7 1 THR C 381 ? VAL C 382 ? THR C 381 VAL C 382 
AE7 2 ALA C 389 ? ALA C 390 ? ALA C 389 ALA C 390 
AE8 1 LYS C 433 ? PHE C 434 ? LYS C 433 PHE C 434 
AE8 2 LEU C 455 ? PRO C 456 ? LEU C 455 PRO C 456 
AE9 1 GLN C 588 ? SER C 591 ? GLN C 588 SER C 591 
AE9 2 PHE C 880 ? THR C 889 ? PHE C 880 THR C 889 
AE9 3 GLY C 892 ? LEU C 900 ? GLY C 892 LEU C 900 
AF1 1 ALA C 596 ? LEU C 600 ? ALA C 596 LEU C 600 
AF1 2 THR C 871 ? GLY C 878 ? THR C 871 GLY C 878 
AF1 3 GLY C 624 ? LYS C 631 ? GLY C 624 LYS C 631 
AF1 4 TRP C 828 ? PRO C 831 ? TRP C 828 PRO C 831 
AF2 1 THR C 609 ? ASN C 613 ? THR C 609 ASN C 613 
AF2 2 ASN C 859 ? VAL C 864 ? ASN C 859 VAL C 864 
AF2 3 PHE C 665 ? GLN C 671 ? PHE C 665 GLN C 671 
AF2 4 PHE C 690 ? GLU C 691 ? PHE C 690 GLU C 691 
AF3 1 PHE C 745 ? PRO C 753 ? PHE C 745 PRO C 753 
AF3 2 GLN C 815 ? VAL C 823 ? GLN C 815 VAL C 823 
# 
_atom_sites.entry_id                    atom 
_atom_sites.fract_transf_matrix[1][1]   1.000000 
_atom_sites.fract_transf_matrix[1][2]   0.000000 
_atom_sites.fract_transf_matrix[1][3]   0.000000 
_atom_sites.fract_transf_matrix[2][1]   0.000000 
_atom_sites.fract_transf_matrix[2][2]   1.000000 
_atom_sites.fract_transf_matrix[2][3]   0.000000 
_atom_sites.fract_transf_matrix[3][1]   0.000000 
_atom_sites.fract_transf_matrix[3][2]   0.000000 
_atom_sites.fract_transf_matrix[3][3]   1.000000 
_atom_sites.fract_transf_vector[1]      0.00000 
_atom_sites.fract_transf_vector[2]      0.00000 
_atom_sites.fract_transf_vector[3]      0.00000 
# 
loop_
_pdbx_validate_rmsd_angle.id 
_pdbx_validate_rmsd_angle.PDB_model_num 
_pdbx_validate_rmsd_angle.auth_atom_id_1 
_pdbx_validate_rmsd_angle.auth_asym_id_1 
_pdbx_validate_rmsd_angle.auth_comp_id_1 
_pdbx_validate_rmsd_angle.auth_seq_id_1 
_pdbx_validate_rmsd_angle.PDB_ins_code_1 
_pdbx_validate_rmsd_angle.label_alt_id_1 
_pdbx_validate_rmsd_angle.auth_atom_id_2 
_pdbx_validate_rmsd_angle.auth_asym_id_2 
_pdbx_validate_rmsd_angle.auth_comp_id_2 
_pdbx_validate_rmsd_angle.auth_seq_id_2 
_pdbx_validate_rmsd_angle.PDB_ins_code_2 
_pdbx_validate_rmsd_angle.label_alt_id_2 
_pdbx_validate_rmsd_angle.auth_atom_id_3 
_pdbx_validate_rmsd_angle.auth_asym_id_3 
_pdbx_validate_rmsd_angle.auth_comp_id_3 
_pdbx_validate_rmsd_angle.auth_seq_id_3 
_pdbx_validate_rmsd_angle.PDB_ins_code_3 
_pdbx_validate_rmsd_angle.label_alt_id_3 
_pdbx_validate_rmsd_angle.angle_value 
_pdbx_validate_rmsd_angle.angle_target_value 
_pdbx_validate_rmsd_angle.angle_deviation 
_pdbx_validate_rmsd_angle.angle_standard_deviation 
_pdbx_validate_rmsd_angle.linker_flag 
1 1 CB A ASP 252 ? ? CG A ASP 252 ? ? OD1 A ASP 252 ? ? 123.79 118.30 5.49  0.90 N 
2 1 CA B LEU 348 ? ? CB B LEU 348 ? ? CG  B LEU 348 ? ? 135.93 115.30 20.63 2.30 N 
# 
loop_
_pdbx_validate_torsion.id 
_pdbx_validate_torsion.PDB_model_num 
_pdbx_validate_torsion.auth_comp_id 
_pdbx_validate_torsion.auth_asym_id 
_pdbx_validate_torsion.auth_seq_id 
_pdbx_validate_torsion.PDB_ins_code 
_pdbx_validate_torsion.label_alt_id 
_pdbx_validate_torsion.phi 
_pdbx_validate_torsion.psi 
1   1 SER A 48  ? ? 67.53   -3.17   
2   1 ASN A 86  ? ? 59.01   17.06   
3   1 PRO A 110 ? ? -86.83  42.12   
4   1 ALA A 147 ? ? -59.56  -179.79 
5   1 ALA A 148 ? ? 60.11   67.25   
6   1 GLU A 198 ? ? 60.69   66.16   
7   1 PRO A 203 ? ? -69.98  -175.04 
8   1 ASN A 234 ? ? 68.14   -4.43   
9   1 MET A 241 ? ? 58.96   70.20   
10  1 HIS A 254 ? ? -141.55 30.94   
11  1 PHE A 255 ? ? 58.41   72.40   
12  1 ASP A 260 ? ? 74.19   -29.63  
13  1 ASP A 261 ? ? -155.81 -35.34  
14  1 ASN A 279 ? ? 58.29   19.40   
15  1 SER A 368 ? ? -170.40 149.31  
16  1 GLN A 385 ? ? 71.37   -6.58   
17  1 ASP A 462 ? ? -163.39 -169.24 
18  1 THR A 478 ? ? -91.29  47.38   
19  1 ASN A 487 ? ? -66.97  95.78   
20  1 ARG A 617 ? ? -126.78 -166.83 
21  1 SER A 649 ? ? -140.60 31.56   
22  1 THR A 658 ? ? 34.60   40.24   
23  1 LEU A 661 ? ? -98.23  37.21   
24  1 PHE A 665 ? ? -140.12 52.85   
25  1 VAL A 676 ? ? 57.12   75.78   
26  1 ASN A 681 ? ? -94.75  34.77   
27  1 ASN A 697 ? ? 87.05   -1.12   
28  1 ASN A 758 ? ? 66.34   -1.39   
29  1 ASN A 778 ? ? 31.50   47.95   
30  1 GLU A 792 ? ? 58.88   77.22   
31  1 ARG A 793 ? ? -39.51  141.72  
32  1 LEU A 827 ? ? 60.20   77.40   
33  1 TRP A 828 ? ? -37.02  129.69  
34  1 ASN A 838 ? ? -100.92 79.08   
35  1 GLN B 4   ? ? 62.08   -2.77   
36  1 PRO B 110 ? ? -85.81  41.35   
37  1 ASN B 134 ? ? -93.57  -61.85  
38  1 GLN B 141 ? ? -163.12 115.84  
39  1 PRO B 168 ? ? -84.08  36.88   
40  1 GLN B 169 ? ? -146.64 29.22   
41  1 VAL B 179 ? ? -39.49  127.32  
42  1 PRO B 203 ? ? -68.96  -174.71 
43  1 ALA B 221 ? ? -126.12 -169.42 
44  1 MET B 241 ? ? 56.67   70.79   
45  1 VAL B 259 ? ? -121.13 -57.38  
46  1 ASN B 279 ? ? 59.49   19.22   
47  1 THR B 299 ? ? 60.18   85.97   
48  1 GLN B 300 ? ? 78.18   71.76   
49  1 GLN B 301 ? ? -66.04  7.33    
50  1 LEU B 315 ? ? 69.16   -11.61  
51  1 LEU B 348 ? ? 58.26   73.44   
52  1 GLU B 384 ? ? 58.80   78.04   
53  1 GLN B 385 ? ? 83.15   12.05   
54  1 TYR B 432 ? ? -97.51  32.61   
55  1 ASP B 462 ? ? -162.75 -166.26 
56  1 ASP B 551 ? ? -92.19  50.79   
57  1 THR B 558 ? ? -91.32  -61.66  
58  1 ASN B 586 ? ? -98.99  36.82   
59  1 ASP B 673 ? ? 34.19   39.89   
60  1 SER B 674 ? ? 64.49   -0.70   
61  1 ASP B 682 ? ? 31.44   54.63   
62  1 ASN B 697 ? ? 78.98   -7.24   
63  1 TYR B 727 ? ? 68.91   -7.95   
64  1 TYR B 739 ? ? -93.00  50.73   
65  1 TYR B 759 ? ? 52.07   74.76   
66  1 ASN B 778 ? ? 31.53   52.89   
67  1 ASN B 848 ? ? -85.20  45.11   
68  1 MET B 850 ? ? -142.07 -23.77  
69  1 ASN B 853 ? ? 72.55   -11.93  
70  1 GLU C 21  ? ? 72.16   -11.38  
71  1 THR C 30  ? ? -67.40  -77.10  
72  1 GLN C 31  ? ? 59.75   -13.70  
73  1 ASN C 32  ? ? -125.91 -50.17  
74  1 VAL C 51  ? ? -103.75 -61.44  
75  1 PRO C 110 ? ? -86.11  41.55   
76  1 SER C 162 ? ? 34.21   44.32   
77  1 ASN C 174 ? ? 72.16   -14.53  
78  1 TYR C 175 ? ? -144.02 18.00   
79  1 ALA C 187 ? ? -94.10  -60.00  
80  1 PRO C 203 ? ? -69.35  -174.64 
81  1 ALA C 221 ? ? -127.35 -166.97 
82  1 SER C 238 ? ? -99.49  56.61   
83  1 MET C 241 ? ? 48.65   73.43   
84  1 ASP C 252 ? ? 72.54   -8.86   
85  1 THR C 299 ? ? 67.36   -7.27   
86  1 HIS C 365 ? ? -97.55  38.73   
87  1 VAL C 366 ? ? -38.90  -33.04  
88  1 VAL C 391 ? ? -97.99  -65.18  
89  1 TYR C 427 ? ? -96.93  35.03   
90  1 PRO C 429 ? ? -67.48  -177.43 
91  1 ASN C 459 ? ? -102.54 64.00   
92  1 ARG C 470 ? ? -69.26  98.24   
93  1 MET C 476 ? ? -99.92  30.83   
94  1 ASN C 483 ? ? -95.76  56.11   
95  1 ASN C 681 ? ? 58.89   16.84   
96  1 ASN C 703 ? ? -102.89 65.54   
97  1 ASN C 724 ? ? 32.62   46.26   
98  1 TYR C 727 ? ? 71.32   -6.82   
99  1 ASN C 778 ? ? 32.50   55.38   
100 1 THR C 785 ? ? -89.85  44.87   
101 1 ASN C 810 ? ? -97.76  33.47   
102 1 SER C 854 ? ? -83.86  -84.61  
103 1 SER C 855 ? ? 173.01  168.02  
104 1 SER C 904 ? ? -162.39 -164.53 
105 1 SER C 906 ? ? -160.12 118.35  
# 
loop_
_pdbx_validate_peptide_omega.id 
_pdbx_validate_peptide_omega.PDB_model_num 
_pdbx_validate_peptide_omega.auth_comp_id_1 
_pdbx_validate_peptide_omega.auth_asym_id_1 
_pdbx_validate_peptide_omega.auth_seq_id_1 
_pdbx_validate_peptide_omega.PDB_ins_code_1 
_pdbx_validate_peptide_omega.label_alt_id_1 
_pdbx_validate_peptide_omega.auth_comp_id_2 
_pdbx_validate_peptide_omega.auth_asym_id_2 
_pdbx_validate_peptide_omega.auth_seq_id_2 
_pdbx_validate_peptide_omega.PDB_ins_code_2 
_pdbx_validate_peptide_omega.label_alt_id_2 
_pdbx_validate_peptide_omega.omega 
1 1 ASP A 260 ? ? ASP A 261 ? ? 147.08  
2 1 ASP A 261 ? ? ARG A 262 ? ? -146.41 
3 1 GLN A 298 ? ? THR A 299 ? ? 148.79  
4 1 LEU A 791 ? ? GLU A 792 ? ? 145.85  
5 1 PRO B 178 ? ? VAL B 179 ? ? -136.36 
6 1 THR B 299 ? ? GLN B 300 ? ? -137.38 
7 1 ASN B 697 ? ? GLN B 698 ? ? 149.98  
8 1 THR B 772 ? ? MET B 773 ? ? -139.80 
9 1 HIS C 365 ? ? VAL C 366 ? ? -138.35 
# 
_pdbx_validate_polymer_linkage.id               1 
_pdbx_validate_polymer_linkage.PDB_model_num    1 
_pdbx_validate_polymer_linkage.auth_atom_id_1   C 
_pdbx_validate_polymer_linkage.auth_asym_id_1   B 
_pdbx_validate_polymer_linkage.auth_comp_id_1   VAL 
_pdbx_validate_polymer_linkage.auth_seq_id_1    883 
_pdbx_validate_polymer_linkage.PDB_ins_code_1   ? 
_pdbx_validate_polymer_linkage.label_alt_id_1   ? 
_pdbx_validate_polymer_linkage.auth_atom_id_2   N 
_pdbx_validate_polymer_linkage.auth_asym_id_2   B 
_pdbx_validate_polymer_linkage.auth_comp_id_2   ILE 
_pdbx_validate_polymer_linkage.auth_seq_id_2    885 
_pdbx_validate_polymer_linkage.PDB_ins_code_2   ? 
_pdbx_validate_polymer_linkage.label_alt_id_2   ? 
_pdbx_validate_polymer_linkage.dist             4.18 
# 
loop_
_atom_type.symbol 
C 
N 
O 
S 
# 
_entry.id   atom 
# 
loop_
_pdbx_seq_map_depositor_info.entity_id 
_pdbx_seq_map_depositor_info.auth_asym_id 
_pdbx_seq_map_depositor_info.one_letter_code 
_pdbx_seq_map_depositor_info.one_letter_code_mod 
1 A 
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVVINQPTRSGISVAYLRLPFASG
;
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVVINQPTRSGISVAYLRLPFASG
;
2 B 
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVINQPTRSGISVAYLRLPFASG
;
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVINQPTRSGISVAYLRLPFASG
;
3 C 
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVVINQPTRSGISVAYLRLPFASGSA
;
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVVINQPTRSGISVAYLRLPFASGSA
;
# 
loop_
_pdbx_struct_sheet_hbond.sheet_id 
_pdbx_struct_sheet_hbond.range_id_1 
_pdbx_struct_sheet_hbond.range_id_2 
_pdbx_struct_sheet_hbond.range_1_label_atom_id 
_pdbx_struct_sheet_hbond.range_1_label_comp_id 
_pdbx_struct_sheet_hbond.range_1_label_asym_id 
_pdbx_struct_sheet_hbond.range_1_label_seq_id 
_pdbx_struct_sheet_hbond.range_1_PDB_ins_code 
_pdbx_struct_sheet_hbond.range_1_auth_atom_id 
_pdbx_struct_sheet_hbond.range_1_auth_comp_id 
_pdbx_struct_sheet_hbond.range_1_auth_asym_id 
_pdbx_struct_sheet_hbond.range_1_auth_seq_id 
_pdbx_struct_sheet_hbond.range_2_label_atom_id 
_pdbx_struct_sheet_hbond.range_2_label_comp_id 
_pdbx_struct_sheet_hbond.range_2_label_asym_id 
_pdbx_struct_sheet_hbond.range_2_label_seq_id 
_pdbx_struct_sheet_hbond.range_2_PDB_ins_code 
_pdbx_struct_sheet_hbond.range_2_auth_atom_id 
_pdbx_struct_sheet_hbond.range_2_auth_comp_id 
_pdbx_struct_sheet_hbond.range_2_auth_asym_id 
_pdbx_struct_sheet_hbond.range_2_auth_seq_id 
AA1 1 2 N VAL A 63  ? N VAL A 63  O LEU A 562 ? O LEU A 562 
AA1 2 3 O TYR A 563 ? O TYR A 563 N TYR A 95  ? N TYR A 95  
AA1 3 4 N LEU A 102 ? N LEU A 102 O CYS A 503 ? O CYS A 503 
AA2 1 2 N VAL A 63  ? N VAL A 63  O LEU A 562 ? O LEU A 562 
AA2 2 3 O TYR A 563 ? O TYR A 563 N TYR A 95  ? N TYR A 95  
AA2 3 4 N ASP A 103 ? N ASP A 103 O SER A 554 ? O SER A 554 
AA3 1 2 N GLU A 69  ? N GLU A 69  O LYS A 76  ? O LYS A 76  
AA3 2 3 N PHE A 79  ? N PHE A 79  O TYR A 528 ? O TYR A 528 
AA3 3 4 O ASN A 527 ? O ASN A 527 N SER A 296 ? N SER A 296 
AA4 1 2 N VAL A 83  ? N VAL A 83  O GLY A 524 ? O GLY A 524 
AA5 1 2 N VAL A 89  ? N VAL A 89  O LEU A 521 ? O LEU A 521 
AA6 1 2 N SER A 128 ? N SER A 128 O VAL A 139 ? O VAL A 139 
AA6 2 3 N PHE A 138 ? N PHE A 138 O LEU B 398 ? O LEU B 398 
AA6 3 4 O ALA B 397 ? O ALA B 397 N GLY B 377 ? N GLY B 377 
AA7 1 2 N GLN A 144 ? N GLN A 144 O LEU A 189 ? O LEU A 189 
AA8 1 2 N ASP A 257 ? N ASP A 257 O THR A 265 ? O THR A 265 
AA9 1 2 N GLY A 275 ? N GLY A 275 O GLN A 541 ? O GLN A 541 
AB1 1 2 N ALA A 361 ? N ALA A 361 O VAL A 407 ? O VAL A 407 
AB2 1 2 O ALA A 390 ? O ALA A 390 N THR A 381 ? N THR A 381 
AB2 2 3 N MET A 380 ? N MET A 380 O TYR C 227 ? O TYR C 227 
AB3 1 2 N VAL A 396 ? N VAL A 396 O THR C 136 ? O THR C 136 
AB3 2 3 O LEU C 142 ? O LEU C 142 N GLY A 400 ? N GLY A 400 
AB4 1 2 N VAL A 396 ? N VAL A 396 O THR C 136 ? O THR C 136 
AB4 2 3 O HIS C 137 ? O HIS C 137 N PHE C 130 ? N PHE C 130 
AB5 1 2 N PHE A 434 ? N PHE A 434 O LEU A 455 ? O LEU A 455 
AB6 1 2 N PHE A 590 ? N PHE A 590 O VAL A 883 ? O VAL A 883 
AB6 2 3 N PHE A 880 ? N PHE A 880 O LEU A 900 ? O LEU A 900 
AB7 1 2 N ILE A 603 ? N ILE A 603 O THR A 871 ? O THR A 871 
AB7 2 3 O GLY A 878 ? O GLY A 878 N GLY A 624 ? N GLY A 624 
AB7 3 4 N TRP A 625 ? N TRP A 625 O ILE A 830 ? O ILE A 830 
AB8 1 2 N ILE A 614 ? N ILE A 614 O LEU A 858 ? O LEU A 858 
AB8 2 3 O ASN A 859 ? O ASN A 859 N GLN A 671 ? N GLN A 671 
AB8 3 4 N ILE A 670 ? N ILE A 670 O TRP A 678 ? O TRP A 678 
AB9 1 2 N ARG A 750 ? N ARG A 750 O GLU A 818 ? O GLU A 818 
AC1 1 2 N LEU B 61  ? N LEU B 61  O VAL B 564 ? O VAL B 564 
AC1 2 3 O ASN B 561 ? O ASN B 561 N ASP B 97  ? N ASP B 97  
AC1 3 4 N PHE B 96  ? N PHE B 96  O VAL B 509 ? O VAL B 509 
AC2 1 2 N LEU B 61  ? N LEU B 61  O VAL B 564 ? O VAL B 564 
AC2 2 3 O ASN B 561 ? O ASN B 561 N ASP B 97  ? N ASP B 97  
AC2 3 4 N ASP B 103 ? N ASP B 103 O SER B 554 ? O SER B 554 
AC3 1 2 N GLU B 69  ? N GLU B 69  O LYS B 76  ? O LYS B 76  
AC3 2 3 N LEU B 81  ? N LEU B 81  O TYR B 526 ? O TYR B 526 
AC3 3 4 O ASN B 527 ? O ASN B 527 N SER B 296 ? N SER B 296 
AC4 1 2 N VAL B 89  ? N VAL B 89  O LEU B 521 ? O LEU B 521 
AC5 1 2 N SER B 128 ? N SER B 128 O VAL B 139 ? O VAL B 139 
AC5 2 3 N PHE B 138 ? N PHE B 138 O LEU C 398 ? O LEU C 398 
AC6 1 2 N TYR B 146 ? N TYR B 146 O ALA B 187 ? O ALA B 187 
AC7 1 2 N ILE B 192 ? N ILE B 192 O ALA B 242 ? O ALA B 242 
AC7 2 3 O THR B 243 ? O THR B 243 N THR B 224 ? N THR B 224 
AC8 1 2 N HIS B 254 ? N HIS B 254 O ALA B 267 ? O ALA B 267 
AC9 1 2 N GLY B 275 ? N GLY B 275 O GLN B 541 ? O GLN B 541 
AD1 1 2 N ALA B 361 ? N ALA B 361 O VAL B 407 ? O VAL B 407 
AD2 1 2 N THR B 381 ? N THR B 381 O ALA B 390 ? O ALA B 390 
AD3 1 2 N PHE B 434 ? N PHE B 434 O LEU B 455 ? O LEU B 455 
AD4 1 2 N ASN B 599 ? N ASN B 599 O LEU B 875 ? O LEU B 875 
AD4 2 3 O TYR B 872 ? O TYR B 872 N LEU B 630 ? N LEU B 630 
AD4 3 4 N TRP B 625 ? N TRP B 625 O ILE B 830 ? O ILE B 830 
AD5 1 2 N VAL B 612 ? N VAL B 612 O MET B 860 ? O MET B 860 
AD5 2 3 O ASN B 859 ? O ASN B 859 N GLN B 671 ? N GLN B 671 
AD5 3 4 N TRP B 672 ? N TRP B 672 O VAL B 676 ? O VAL B 676 
AD6 1 2 N VAL B 612 ? N VAL B 612 O MET B 860 ? O MET B 860 
AD6 2 3 O ASN B 859 ? O ASN B 859 N GLN B 671 ? N GLN B 671 
AD6 3 4 N CYS B 668 ? N CYS B 668 O PHE B 690 ? O PHE B 690 
AD7 1 2 N VAL B 752 ? N VAL B 752 O VAL B 816 ? O VAL B 816 
AD8 1 2 N GLN B 882 ? N GLN B 882 O LEU B 897 ? O LEU B 898 
AD8 2 3 O SER B 893 ? O SER B 894 N ASN B 885 ? N ASN B 886 
AD9 1 2 N VAL C 63  ? N VAL C 63  O LEU C 562 ? O LEU C 562 
AD9 2 3 O SER C 554 ? O SER C 554 N ASP C 103 ? N ASP C 103 
AD9 3 4 N LEU C 102 ? N LEU C 102 O CYS C 503 ? O CYS C 503 
AE1 1 2 N VAL C 63  ? N VAL C 63  O LEU C 562 ? O LEU C 562 
AE1 2 3 O SER C 554 ? O SER C 554 N ASP C 103 ? N ASP C 103 
AE1 3 4 N ILE C 98  ? N ILE C 98  O ILE C 507 ? O ILE C 507 
AE2 1 2 N GLU C 69  ? N GLU C 69  O LYS C 76  ? O LYS C 76  
AE2 2 3 N PHE C 79  ? N PHE C 79  O TYR C 528 ? O TYR C 528 
AE2 3 4 O GLU C 529 ? O GLU C 529 N SER C 294 ? N SER C 294 
AE3 1 2 N VAL C 89  ? N VAL C 89  O LEU C 521 ? O LEU C 521 
AE4 1 2 N HIS C 254 ? N HIS C 254 O ALA C 267 ? O ALA C 267 
AE5 1 2 N GLY C 275 ? N GLY C 275 O GLN C 541 ? O GLN C 541 
AE6 1 2 N ALA C 361 ? N ALA C 361 O VAL C 407 ? O VAL C 407 
AE7 1 2 N THR C 381 ? N THR C 381 O ALA C 390 ? O ALA C 390 
AE8 1 2 N PHE C 434 ? N PHE C 434 O LEU C 455 ? O LEU C 455 
AE9 1 2 N PHE C 590 ? N PHE C 590 O VAL C 883 ? O VAL C 883 
AE9 2 3 N ASN C 886 ? N ASN C 886 O SER C 894 ? O SER C 894 
AF1 1 2 N ASN C 599 ? N ASN C 599 O LEU C 875 ? O LEU C 875 
AF1 2 3 O TYR C 872 ? O TYR C 872 N LEU C 630 ? N LEU C 630 
AF1 3 4 N TRP C 625 ? N TRP C 625 O ILE C 830 ? O ILE C 830 
AF2 1 2 N VAL C 610 ? N VAL C 610 O PHE C 862 ? O PHE C 862 
AF2 2 3 O THR C 863 ? O THR C 863 N GLN C 666 ? N GLN C 666 
AF2 3 4 N CYS C 668 ? N CYS C 668 O PHE C 690 ? O PHE C 690 
AF3 1 2 N VAL C 752 ? N VAL C 752 O VAL C 816 ? O VAL C 816 
# 
loop_
_atom_site.group_PDB 
_atom_site.id 
_atom_site.type_symbol 
_atom_site.label_atom_id 
_atom_site.label_alt_id 
_atom_site.label_comp_id 
_atom_site.label_asym_id 
_atom_site.label_entity_id 
_atom_site.label_seq_id 
_atom_site.pdbx_PDB_ins_code 
_atom_site.Cartn_x 
_atom_site.Cartn_y 
_atom_site.Cartn_z 
_atom_site.occupancy 
_atom_site.B_iso_or_equiv 
_atom_site.pdbx_formal_charge 
_atom_site.auth_seq_id 
_atom_site.auth_comp_id 
_atom_site.auth_asym_id 
_atom_site.auth_atom_id 
_atom_site.pdbx_auth_seq_id 
_atom_site.pdbx_auth_comp_id 
_atom_site.pdbx_auth_asym_id 
_atom_site.pdbx_auth_atom_name 
_atom_site.pdbx_PDB_model_num 
ATOM 1     N N   . MET A 1 1   ? 231.943 -73.474 261.717 1.0 57.98465  ? 1   MET A N   1   MET A N   1 
ATOM 2     C CA  . MET A 1 1   ? 231.228 -73.156 260.487 1.0 57.98465  ? 1   MET A CA  1   MET A CA  1 
ATOM 3     C C   . MET A 1 1   ? 229.909 -72.474 260.790 1.0 57.98465  ? 1   MET A C   1   MET A C   1 
ATOM 4     O O   . MET A 1 1   ? 229.106 -73.014 261.534 1.0 57.98465  ? 1   MET A O   1   MET A O   1 
ATOM 5     C CB  . MET A 1 1   ? 230.982 -74.420 259.670 1.0 57.98465  ? 1   MET A CB  1   MET A CB  1 
ATOM 6     C CG  . MET A 1 1   ? 230.252 -74.176 258.370 1.0 57.98465  ? 1   MET A CG  1   MET A CG  1 
ATOM 7     S SD  . MET A 1 1   ? 230.079 -75.693 257.426 1.0 57.98465  ? 1   MET A SD  1   MET A SD  1 
ATOM 8     C CE  . MET A 1 1   ? 228.895 -76.563 258.440 1.0 57.98465  ? 1   MET A CE  1   MET A CE  1 
ATOM 9     N N   . GLU A 1 2   ? 229.696 -71.299 260.206 1.0 55.57151  ? 2   GLU A N   2   GLU A N   1 
ATOM 10    C CA  . GLU A 1 2   ? 228.488 -70.529 260.480 1.0 55.57151  ? 2   GLU A CA  2   GLU A CA  1 
ATOM 11    C C   . GLU A 1 2   ? 227.276 -71.242 259.890 1.0 55.57151  ? 2   GLU A C   2   GLU A C   1 
ATOM 12    O O   . GLU A 1 2   ? 227.406 -71.911 258.857 1.0 55.57151  ? 2   GLU A O   2   GLU A O   1 
ATOM 13    C CB  . GLU A 1 2   ? 228.634 -69.110 259.921 1.0 55.57151  ? 2   GLU A CB  2   GLU A CB  1 
ATOM 14    C CG  . GLU A 1 2   ? 228.882 -69.003 258.426 1.0 55.57151  ? 2   GLU A CG  2   GLU A CG  1 
ATOM 15    C CD  . GLU A 1 2   ? 227.610 -68.812 257.633 1.0 55.57151  ? 2   GLU A CD  2   GLU A CD  1 
ATOM 16    O OE1 . GLU A 1 2   ? 226.595 -68.414 258.239 1.0 55.57151  ? 2   GLU A OE1 2   GLU A OE1 1 
ATOM 17    O OE2 . GLU A 1 2   ? 227.627 -69.044 256.406 1.0 55.57151  ? 2   GLU A OE2 2   GLU A OE2 1 
ATOM 18    N N   . PRO A 1 3   ? 226.089 -71.149 260.514 1.0 53.12578  ? 3   PRO A N   3   PRO A N   1 
ATOM 19    C CA  . PRO A 1 3   ? 225.649 -70.335 261.651 1.0 53.12578  ? 3   PRO A CA  3   PRO A CA  1 
ATOM 20    C C   . PRO A 1 3   ? 226.013 -70.847 263.044 1.0 53.12578  ? 3   PRO A C   3   PRO A C   1 
ATOM 21    O O   . PRO A 1 3   ? 225.442 -70.349 264.008 1.0 53.12578  ? 3   PRO A O   3   PRO A O   1 
ATOM 22    C CB  . PRO A 1 3   ? 224.134 -70.333 261.495 1.0 53.12578  ? 3   PRO A CB  3   PRO A CB  1 
ATOM 23    C CG  . PRO A 1 3   ? 223.842 -71.638 260.886 1.0 53.12578  ? 3   PRO A CG  3   PRO A CG  1 
ATOM 24    C CD  . PRO A 1 3   ? 224.976 -71.933 259.957 1.0 53.12578  ? 3   PRO A CD  3   PRO A CD  1 
ATOM 25    N N   . GLN A 1 4   ? 226.921 -71.817 263.166 1.0 51.72651  ? 4   GLN A N   4   GLN A N   1 
ATOM 26    C CA  . GLN A 1 4   ? 227.434 -72.146 264.490 1.0 51.72651  ? 4   GLN A CA  4   GLN A CA  1 
ATOM 27    C C   . GLN A 1 4   ? 228.467 -71.136 264.966 1.0 51.72651  ? 4   GLN A C   4   GLN A C   1 
ATOM 28    O O   . GLN A 1 4   ? 228.808 -71.137 266.151 1.0 51.72651  ? 4   GLN A O   4   GLN A O   1 
ATOM 29    C CB  . GLN A 1 4   ? 228.040 -73.551 264.530 1.0 51.72651  ? 4   GLN A CB  4   GLN A CB  1 
ATOM 30    C CG  . GLN A 1 4   ? 227.041 -74.696 264.548 1.0 51.72651  ? 4   GLN A CG  4   GLN A CG  1 
ATOM 31    C CD  . GLN A 1 4   ? 226.400 -74.959 263.202 1.0 51.72651  ? 4   GLN A CD  4   GLN A CD  1 
ATOM 32    O OE1 . GLN A 1 4   ? 225.187 -74.841 263.046 1.0 51.72651  ? 4   GLN A OE1 4   GLN A OE1 1 
ATOM 33    N NE2 . GLN A 1 4   ? 227.213 -75.329 262.224 1.0 51.72651  ? 4   GLN A NE2 4   GLN A NE2 1 
ATOM 34    N N   . ARG A 1 5   ? 228.997 -70.296 264.073 1.0 49.64482  ? 5   ARG A N   5   ARG A N   1 
ATOM 35    C CA  . ARG A 1 5   ? 229.752 -69.131 264.522 1.0 49.64482  ? 5   ARG A CA  5   ARG A CA  1 
ATOM 36    C C   . ARG A 1 5   ? 228.850 -68.149 265.246 1.0 49.64482  ? 5   ARG A C   5   ARG A C   1 
ATOM 37    O O   . ARG A 1 5   ? 229.153 -67.717 266.362 1.0 49.64482  ? 5   ARG A O   5   ARG A O   1 
ATOM 38    C CB  . ARG A 1 5   ? 230.375 -68.388 263.351 1.0 49.64482  ? 5   ARG A CB  5   ARG A CB  1 
ATOM 39    C CG  . ARG A 1 5   ? 231.495 -68.994 262.559 1.0 49.64482  ? 5   ARG A CG  5   ARG A CG  1 
ATOM 40    C CD  . ARG A 1 5   ? 231.783 -67.909 261.547 1.0 49.64482  ? 5   ARG A CD  5   ARG A CD  1 
ATOM 41    N NE  . ARG A 1 5   ? 232.790 -68.171 260.536 1.0 49.64482  ? 5   ARG A NE  5   ARG A NE  1 
ATOM 42    C CZ  . ARG A 1 5   ? 233.061 -67.297 259.573 1.0 49.64482  ? 5   ARG A CZ  5   ARG A CZ  1 
ATOM 43    N NH1 . ARG A 1 5   ? 232.396 -66.152 259.526 1.0 49.64482  ? 5   ARG A NH1 5   ARG A NH1 1 
ATOM 44    N NH2 . ARG A 1 5   ? 233.983 -67.548 258.661 1.0 49.64482  ? 5   ARG A NH2 5   ARG A NH2 1 
ATOM 45    N N   . GLU A 1 6   ? 227.748 -67.770 264.598 1.0 48.35212  ? 6   GLU A N   6   GLU A N   1 
ATOM 46    C CA  . GLU A 1 6   ? 226.903 -66.671 265.040 1.0 48.35212  ? 6   GLU A CA  6   GLU A CA  1 
ATOM 47    C C   . GLU A 1 6   ? 226.159 -66.992 266.328 1.0 48.35212  ? 6   GLU A C   6   GLU A C   1 
ATOM 48    O O   . GLU A 1 6   ? 225.862 -66.078 267.102 1.0 48.35212  ? 6   GLU A O   6   GLU A O   1 
ATOM 49    C CB  . GLU A 1 6   ? 225.922 -66.326 263.917 1.0 48.35212  ? 6   GLU A CB  6   GLU A CB  1 
ATOM 50    C CG  . GLU A 1 6   ? 225.083 -65.084 264.123 1.0 48.35212  ? 6   GLU A CG  6   GLU A CG  1 
ATOM 51    C CD  . GLU A 1 6   ? 224.161 -64.813 262.953 1.0 48.35212  ? 6   GLU A CD  6   GLU A CD  1 
ATOM 52    O OE1 . GLU A 1 6   ? 224.162 -65.614 261.994 1.0 48.35212  ? 6   GLU A OE1 6   GLU A OE1 1 
ATOM 53    O OE2 . GLU A 1 6   ? 223.432 -63.801 262.992 1.0 48.35212  ? 6   GLU A OE2 6   GLU A OE2 1 
ATOM 54    N N   . PHE A 1 7   ? 225.872 -68.266 266.587 1.0 41.94774  ? 7   PHE A N   7   PHE A N   1 
ATOM 55    C CA  . PHE A 1 7   ? 225.215 -68.630 267.834 1.0 41.94774  ? 7   PHE A CA  7   PHE A CA  1 
ATOM 56    C C   . PHE A 1 7   ? 226.158 -68.536 269.021 1.0 41.94774  ? 7   PHE A C   7   PHE A C   1 
ATOM 57    O O   . PHE A 1 7   ? 225.725 -68.182 270.121 1.0 41.94774  ? 7   PHE A O   7   PHE A O   1 
ATOM 58    C CB  . PHE A 1 7   ? 224.637 -70.039 267.733 1.0 41.94774  ? 7   PHE A CB  7   PHE A CB  1 
ATOM 59    C CG  . PHE A 1 7   ? 223.920 -70.486 268.967 1.0 41.94774  ? 7   PHE A CG  7   PHE A CG  1 
ATOM 60    C CD1 . PHE A 1 7   ? 222.698 -69.936 269.307 1.0 41.94774  ? 7   PHE A CD1 7   PHE A CD1 1 
ATOM 61    C CD2 . PHE A 1 7   ? 224.454 -71.472 269.775 1.0 41.94774  ? 7   PHE A CD2 7   PHE A CD2 1 
ATOM 62    C CE1 . PHE A 1 7   ? 222.030 -70.348 270.440 1.0 41.94774  ? 7   PHE A CE1 7   PHE A CE1 1 
ATOM 63    C CE2 . PHE A 1 7   ? 223.792 -71.892 270.906 1.0 41.94774  ? 7   PHE A CE2 7   PHE A CE2 1 
ATOM 64    C CZ  . PHE A 1 7   ? 222.578 -71.329 271.239 1.0 41.94774  ? 7   PHE A CZ  7   PHE A CZ  1 
ATOM 65    N N   . PHE A 1 8   ? 227.437 -68.837 268.824 1.0 41.07355  ? 8   PHE A N   8   PHE A N   1 
ATOM 66    C CA  . PHE A 1 8   ? 228.426 -68.750 269.886 1.0 41.07355  ? 8   PHE A CA  8   PHE A CA  1 
ATOM 67    C C   . PHE A 1 8   ? 229.194 -67.442 269.865 1.0 41.07355  ? 8   PHE A C   8   PHE A C   1 
ATOM 68    O O   . PHE A 1 8   ? 230.134 -67.285 270.649 1.0 41.07355  ? 8   PHE A O   8   PHE A O   1 
ATOM 69    C CB  . PHE A 1 8   ? 229.390 -69.928 269.797 1.0 41.07355  ? 8   PHE A CB  8   PHE A CB  1 
ATOM 70    C CG  . PHE A 1 8   ? 228.748 -71.230 270.123 1.0 41.07355  ? 8   PHE A CG  8   PHE A CG  1 
ATOM 71    C CD1 . PHE A 1 8   ? 228.599 -71.627 271.434 1.0 41.07355  ? 8   PHE A CD1 8   PHE A CD1 1 
ATOM 72    C CD2 . PHE A 1 8   ? 228.244 -72.036 269.122 1.0 41.07355  ? 8   PHE A CD2 8   PHE A CD2 1 
ATOM 73    C CE1 . PHE A 1 8   ? 227.987 -72.816 271.737 1.0 41.07355  ? 8   PHE A CE1 8   PHE A CE1 1 
ATOM 74    C CE2 . PHE A 1 8   ? 227.631 -73.230 269.419 1.0 41.07355  ? 8   PHE A CE2 8   PHE A CE2 1 
ATOM 75    C CZ  . PHE A 1 8   ? 227.502 -73.620 270.730 1.0 41.07355  ? 8   PHE A CZ  8   PHE A CZ  1 
ATOM 76    N N   . HIS A 1 9   ? 228.821 -66.528 268.965 1.0 41.33292  ? 9   HIS A N   9   HIS A N   1 
ATOM 77    C CA  . HIS A 1 9   ? 229.275 -65.135 268.948 1.0 41.33292  ? 9   HIS A CA  9   HIS A CA  1 
ATOM 78    C C   . HIS A 1 9   ? 230.777 -65.019 268.719 1.0 41.33292  ? 9   HIS A C   9   HIS A C   1 
ATOM 79    O O   . HIS A 1 9   ? 231.454 -64.177 269.307 1.0 41.33292  ? 9   HIS A O   9   HIS A O   1 
ATOM 80    C CB  . HIS A 1 9   ? 228.837 -64.402 270.213 1.0 41.33292  ? 9   HIS A CB  9   HIS A CB  1 
ATOM 81    C CG  . HIS A 1 9   ? 227.354 -64.306 270.341 1.0 41.33292  ? 9   HIS A CG  9   HIS A CG  1 
ATOM 82    N ND1 . HIS A 1 9   ? 226.609 -63.395 269.628 1.0 41.33292  ? 9   HIS A ND1 9   HIS A ND1 1 
ATOM 83    C CD2 . HIS A 1 9   ? 226.469 -65.046 271.048 1.0 41.33292  ? 9   HIS A CD2 9   HIS A CD2 1 
ATOM 84    C CE1 . HIS A 1 9   ? 225.331 -63.556 269.917 1.0 41.33292  ? 9   HIS A CE1 9   HIS A CE1 1 
ATOM 85    N NE2 . HIS A 1 9   ? 225.219 -64.549 270.780 1.0 41.33292  ? 9   HIS A NE2 9   HIS A NE2 1 
ATOM 86    N N   . ILE A 1 10  ? 231.299 -65.892 267.862 1.0 42.25914  ? 10  ILE A N   10  ILE A N   1 
ATOM 87    C CA  . ILE A 1 10  ? 232.599 -65.651 267.253 1.0 42.25914  ? 10  ILE A CA  10  ILE A CA  1 
ATOM 88    C C   . ILE A 1 10  ? 232.521 -64.448 266.325 1.0 42.25914  ? 10  ILE A C   10  ILE A C   1 
ATOM 89    O O   . ILE A 1 10  ? 233.346 -63.531 266.393 1.0 42.25914  ? 10  ILE A O   10  ILE A O   1 
ATOM 90    C CB  . ILE A 1 10  ? 233.074 -66.916 266.520 1.0 42.25914  ? 10  ILE A CB  10  ILE A CB  1 
ATOM 91    C CG1 . ILE A 1 10  ? 233.428 -68.004 267.534 1.0 42.25914  ? 10  ILE A CG1 10  ILE A CG1 1 
ATOM 92    C CG2 . ILE A 1 10  ? 234.217 -66.613 265.582 1.0 42.25914  ? 10  ILE A CG2 10  ILE A CG2 1 
ATOM 93    C CD1 . ILE A 1 10  ? 233.668 -69.350 266.921 1.0 42.25914  ? 10  ILE A CD1 10  ILE A CD1 1 
ATOM 94    N N   . ALA A 1 11  ? 231.514 -64.426 265.460 1.0 42.97873  ? 11  ALA A N   11  ALA A N   1 
ATOM 95    C CA  . ALA A 1 11  ? 231.191 -63.279 264.628 1.0 42.97873  ? 11  ALA A CA  11  ALA A CA  1 
ATOM 96    C C   . ALA A 1 11  ? 229.693 -63.028 264.717 1.0 42.97873  ? 11  ALA A C   11  ALA A C   1 
ATOM 97    O O   . ALA A 1 11  ? 228.947 -63.810 265.311 1.0 42.97873  ? 11  ALA A O   11  ALA A O   1 
ATOM 98    C CB  . ALA A 1 11  ? 231.624 -63.503 263.176 1.0 42.97873  ? 11  ALA A CB  11  ALA A CB  1 
ATOM 99    N N   . GLY A 1 12  ? 229.243 -61.925 264.117 1.0 43.37105  ? 12  GLY A N   12  GLY A N   1 
ATOM 100   C CA  . GLY A 1 12  ? 227.835 -61.586 264.079 1.0 43.37105  ? 12  GLY A CA  12  GLY A CA  1 
ATOM 101   C C   . GLY A 1 12  ? 227.578 -60.210 264.673 1.0 43.37105  ? 12  GLY A C   12  GLY A C   1 
ATOM 102   O O   . GLY A 1 12  ? 228.291 -59.246 264.374 1.0 43.37105  ? 12  GLY A O   12  GLY A O   1 
ATOM 103   N N   . ARG A 1 13  ? 226.557 -60.130 265.516 1.0 42.27434  ? 13  ARG A N   13  ARG A N   1 
ATOM 104   C CA  . ARG A 1 13  ? 226.094 -58.860 266.049 1.0 42.27434  ? 13  ARG A CA  13  ARG A CA  1 
ATOM 105   C C   . ARG A 1 13  ? 226.755 -58.550 267.386 1.0 42.27434  ? 13  ARG A C   13  ARG A C   1 
ATOM 106   O O   . ARG A 1 13  ? 227.147 -59.447 268.133 1.0 42.27434  ? 13  ARG A O   13  ARG A O   1 
ATOM 107   C CB  . ARG A 1 13  ? 224.577 -58.877 266.211 1.0 42.27434  ? 13  ARG A CB  13  ARG A CB  1 
ATOM 108   C CG  . ARG A 1 13  ? 223.830 -58.959 264.899 1.0 42.27434  ? 13  ARG A CG  13  ARG A CG  1 
ATOM 109   C CD  . ARG A 1 13  ? 222.336 -59.004 265.125 1.0 42.27434  ? 13  ARG A CD  13  ARG A CD  1 
ATOM 110   N NE  . ARG A 1 13  ? 221.927 -60.242 265.776 1.0 42.27434  ? 13  ARG A NE  13  ARG A NE  1 
ATOM 111   C CZ  . ARG A 1 13  ? 220.696 -60.480 266.210 1.0 42.27434  ? 13  ARG A CZ  13  ARG A CZ  1 
ATOM 112   N NH1 . ARG A 1 13  ? 219.753 -59.563 266.060 1.0 42.27434  ? 13  ARG A NH1 13  ARG A NH1 1 
ATOM 113   N NH2 . ARG A 1 13  ? 220.406 -61.634 266.792 1.0 42.27434  ? 13  ARG A NH2 13  ARG A NH2 1 
ATOM 114   N N   . SER A 1 14  ? 226.863 -57.259 267.682 1.0 43.59332  ? 14  SER A N   14  SER A N   1 
ATOM 115   C CA  . SER A 1 14  ? 227.497 -56.798 268.904 1.0 43.59332  ? 14  SER A CA  14  SER A CA  1 
ATOM 116   C C   . SER A 1 14  ? 226.565 -56.985 270.096 1.0 43.59332  ? 14  SER A C   14  SER A C   1 
ATOM 117   O O   . SER A 1 14  ? 225.394 -57.338 269.951 1.0 43.59332  ? 14  SER A O   14  SER A O   1 
ATOM 118   C CB  . SER A 1 14  ? 227.909 -55.335 268.773 1.0 43.59332  ? 14  SER A CB  14  SER A CB  1 
ATOM 119   O OG  . SER A 1 14  ? 226.774 -54.501 268.641 1.0 43.59332  ? 14  SER A OG  14  SER A OG  1 
ATOM 120   N N   . ALA A 1 15  ? 227.099 -56.699 271.288 1.0 44.20948  ? 15  ALA A N   15  ALA A N   1 
ATOM 121   C CA  . ALA A 1 15  ? 226.447 -57.090 272.536 1.0 44.20948  ? 15  ALA A CA  15  ALA A CA  1 
ATOM 122   C C   . ALA A 1 15  ? 225.160 -56.322 272.792 1.0 44.20948  ? 15  ALA A C   15  ALA A C   1 
ATOM 123   O O   . ALA A 1 15  ? 224.248 -56.848 273.435 1.0 44.20948  ? 15  ALA A O   15  ALA A O   1 
ATOM 124   C CB  . ALA A 1 15  ? 227.406 -56.900 273.708 1.0 44.20948  ? 15  ALA A CB  15  ALA A CB  1 
ATOM 125   N N   . LYS A 1 16  ? 225.060 -55.093 272.299 1.0 45.91085  ? 16  LYS A N   16  LYS A N   1 
ATOM 126   C CA  . LYS A 1 16  ? 223.853 -54.299 272.450 1.0 45.91085  ? 16  LYS A CA  16  LYS A CA  1 
ATOM 127   C C   . LYS A 1 16  ? 222.870 -54.515 271.311 1.0 45.91085  ? 16  LYS A C   16  LYS A C   1 
ATOM 128   O O   . LYS A 1 16  ? 221.930 -53.728 271.157 1.0 45.91085  ? 16  LYS A O   16  LYS A O   1 
ATOM 129   C CB  . LYS A 1 16  ? 224.212 -52.819 272.565 1.0 45.91085  ? 16  LYS A CB  16  LYS A CB  1 
ATOM 130   C CG  . LYS A 1 16  ? 224.889 -52.256 271.334 1.0 45.91085  ? 16  LYS A CG  16  LYS A CG  1 
ATOM 131   C CD  . LYS A 1 16  ? 225.211 -50.788 271.517 1.0 45.91085  ? 16  LYS A CD  16  LYS A CD  1 
ATOM 132   C CE  . LYS A 1 16  ? 226.354 -50.602 272.499 1.0 45.91085  ? 16  LYS A CE  16  LYS A CE  1 
ATOM 133   N NZ  . LYS A 1 16  ? 226.770 -49.177 272.607 1.0 45.91085  ? 16  LYS A NZ  16  LYS A NZ  1 
ATOM 134   N N   . GLU A 1 17  ? 223.060 -55.563 270.515 1.0 45.38657  ? 17  GLU A N   17  GLU A N   1 
ATOM 135   C CA  . GLU A 1 17  ? 222.190 -55.842 269.382 1.0 45.38657  ? 17  GLU A CA  17  GLU A CA  1 
ATOM 136   C C   . GLU A 1 17  ? 221.437 -57.153 269.531 1.0 45.38657  ? 17  GLU A C   17  GLU A C   1 
ATOM 137   O O   . GLU A 1 17  ? 220.218 -57.178 269.334 1.0 45.38657  ? 17  GLU A O   17  GLU A O   1 
ATOM 138   C CB  . GLU A 1 17  ? 223.008 -55.839 268.086 1.0 45.38657  ? 17  GLU A CB  17  GLU A CB  1 
ATOM 139   C CG  . GLU A 1 17  ? 223.563 -54.469 267.735 1.0 45.38657  ? 17  GLU A CG  17  GLU A CG  1 
ATOM 140   C CD  . GLU A 1 17  ? 224.433 -54.481 266.494 1.0 45.38657  ? 17  GLU A CD  17  GLU A CD  1 
ATOM 141   O OE1 . GLU A 1 17  ? 224.694 -55.575 265.956 1.0 45.38657  ? 17  GLU A OE1 17  GLU A OE1 1 
ATOM 142   O OE2 . GLU A 1 17  ? 224.868 -53.393 266.062 1.0 45.38657  ? 17  GLU A OE2 17  GLU A OE2 1 
ATOM 143   N N   . TYR A 1 18  ? 222.116 -58.248 269.878 1.0 41.2827   ? 18  TYR A N   18  TYR A N   1 
ATOM 144   C CA  . TYR A 1 18  ? 221.395 -59.505 270.023 1.0 41.2827   ? 18  TYR A CA  18  TYR A CA  1 
ATOM 145   C C   . TYR A 1 18  ? 220.648 -59.603 271.342 1.0 41.2827   ? 18  TYR A C   18  TYR A C   1 
ATOM 146   O O   . TYR A 1 18  ? 219.714 -60.403 271.447 1.0 41.2827   ? 18  TYR A O   18  TYR A O   1 
ATOM 147   C CB  . TYR A 1 18  ? 222.330 -60.710 269.856 1.0 41.2827   ? 18  TYR A CB  18  TYR A CB  1 
ATOM 148   C CG  . TYR A 1 18  ? 223.433 -60.864 270.877 1.0 41.2827   ? 18  TYR A CG  18  TYR A CG  1 
ATOM 149   C CD1 . TYR A 1 18  ? 224.675 -60.301 270.661 1.0 41.2827   ? 18  TYR A CD1 18  TYR A CD1 1 
ATOM 150   C CD2 . TYR A 1 18  ? 223.250 -61.615 272.030 1.0 41.2827   ? 18  TYR A CD2 18  TYR A CD2 1 
ATOM 151   C CE1 . TYR A 1 18  ? 225.694 -60.451 271.570 1.0 41.2827   ? 18  TYR A CE1 18  TYR A CE1 1 
ATOM 152   C CE2 . TYR A 1 18  ? 224.265 -61.765 272.949 1.0 41.2827   ? 18  TYR A CE2 18  TYR A CE2 1 
ATOM 153   C CZ  . TYR A 1 18  ? 225.484 -61.177 272.710 1.0 41.2827   ? 18  TYR A CZ  18  TYR A CZ  1 
ATOM 154   O OH  . TYR A 1 18  ? 226.506 -61.319 273.612 1.0 41.2827   ? 18  TYR A OH  18  TYR A OH  1 
ATOM 155   N N   . LEU A 1 19  ? 221.031 -58.823 272.346 1.0 39.72751  ? 19  LEU A N   19  LEU A N   1 
ATOM 156   C CA  . LEU A 1 19  ? 220.245 -58.781 273.564 1.0 39.72751  ? 19  LEU A CA  19  LEU A CA  1 
ATOM 157   C C   . LEU A 1 19  ? 218.955 -58.011 273.326 1.0 39.72751  ? 19  LEU A C   19  LEU A C   1 
ATOM 158   O O   . LEU A 1 19  ? 218.855 -57.182 272.421 1.0 39.72751  ? 19  LEU A O   19  LEU A O   1 
ATOM 159   C CB  . LEU A 1 19  ? 221.027 -58.133 274.700 1.0 39.72751  ? 19  LEU A CB  19  LEU A CB  1 
ATOM 160   C CG  . LEU A 1 19  ? 222.244 -58.904 275.187 1.0 39.72751  ? 19  LEU A CG  19  LEU A CG  1 
ATOM 161   C CD1 . LEU A 1 19  ? 222.953 -58.120 276.265 1.0 39.72751  ? 19  LEU A CD1 19  LEU A CD1 1 
ATOM 162   C CD2 . LEU A 1 19  ? 221.824 -60.255 275.693 1.0 39.72751  ? 19  LEU A CD2 19  LEU A CD2 1 
ATOM 163   N N   . SER A 1 20  ? 217.955 -58.309 274.146 1.0 41.09156  ? 20  SER A N   20  SER A N   1 
ATOM 164   C CA  . SER A 1 20  ? 216.685 -57.612 274.047 1.0 41.09156  ? 20  SER A CA  20  SER A CA  1 
ATOM 165   C C   . SER A 1 20  ? 216.836 -56.181 274.536 1.0 41.09156  ? 20  SER A C   20  SER A C   1 
ATOM 166   O O   . SER A 1 20  ? 217.618 -55.891 275.442 1.0 41.09156  ? 20  SER A O   20  SER A O   1 
ATOM 167   C CB  . SER A 1 20  ? 215.617 -58.336 274.856 1.0 41.09156  ? 20  SER A CB  20  SER A CB  1 
ATOM 168   O OG  . SER A 1 20  ? 215.936 -58.306 276.230 1.0 41.09156  ? 20  SER A OG  20  SER A OG  1 
ATOM 169   N N   . GLU A 1 21  ? 216.070 -55.279 273.924 1.0 45.91167  ? 21  GLU A N   21  GLU A N   1 
ATOM 170   C CA  . GLU A 1 21  ? 216.248 -53.854 274.161 1.0 45.91167  ? 21  GLU A CA  21  GLU A CA  1 
ATOM 171   C C   . GLU A 1 21  ? 215.752 -53.403 275.524 1.0 45.91167  ? 21  GLU A C   21  GLU A C   1 
ATOM 172   O O   . GLU A 1 21  ? 216.047 -52.273 275.920 1.0 45.91167  ? 21  GLU A O   21  GLU A O   1 
ATOM 173   C CB  . GLU A 1 21  ? 215.549 -53.051 273.067 1.0 45.91167  ? 21  GLU A CB  21  GLU A CB  1 
ATOM 174   C CG  . GLU A 1 21  ? 216.161 -53.247 271.692 1.0 45.91167  ? 21  GLU A CG  21  GLU A CG  1 
ATOM 175   C CD  . GLU A 1 21  ? 217.564 -52.680 271.587 1.0 45.91167  ? 21  GLU A CD  21  GLU A CD  1 
ATOM 176   O OE1 . GLU A 1 21  ? 217.843 -51.649 272.237 1.0 45.91167  ? 21  GLU A OE1 21  GLU A OE1 1 
ATOM 177   O OE2 . GLU A 1 21  ? 218.391 -53.267 270.858 1.0 45.91167  ? 21  GLU A OE2 21  GLU A OE2 1 
ATOM 178   N N   . ASN A 1 22  ? 215.008 -54.239 276.246 1.0 43.8857   ? 22  ASN A N   22  ASN A N   1 
ATOM 179   C CA  . ASN A 1 22  ? 214.680 -53.912 277.626 1.0 43.8857   ? 22  ASN A CA  22  ASN A CA  1 
ATOM 180   C C   . ASN A 1 22  ? 215.777 -54.350 278.581 1.0 43.8857   ? 22  ASN A C   22  ASN A C   1 
ATOM 181   O O   . ASN A 1 22  ? 215.964 -53.723 279.628 1.0 43.8857   ? 22  ASN A O   22  ASN A O   1 
ATOM 182   C CB  . ASN A 1 22  ? 213.357 -54.555 278.025 1.0 43.8857   ? 22  ASN A CB  22  ASN A CB  1 
ATOM 183   C CG  . ASN A 1 22  ? 212.195 -54.026 277.230 1.0 43.8857   ? 22  ASN A CG  22  ASN A CG  1 
ATOM 184   O OD1 . ASN A 1 22  ? 211.558 -54.763 276.480 1.0 43.8857   ? 22  ASN A OD1 22  ASN A OD1 1 
ATOM 185   N ND2 . ASN A 1 22  ? 211.910 -52.741 277.383 1.0 43.8857   ? 22  ASN A ND2 22  ASN A ND2 1 
ATOM 186   N N   . LEU A 1 23  ? 216.511 -55.411 278.241 1.0 41.9571   ? 23  LEU A N   23  LEU A N   1 
ATOM 187   C CA  . LEU A 1 23  ? 217.595 -55.867 279.105 1.0 41.9571   ? 23  LEU A CA  23  LEU A CA  1 
ATOM 188   C C   . LEU A 1 23  ? 218.786 -54.924 279.033 1.0 41.9571   ? 23  LEU A C   23  LEU A C   1 
ATOM 189   O O   . LEU A 1 23  ? 219.473 -54.708 280.038 1.0 41.9571   ? 23  LEU A O   23  LEU A O   1 
ATOM 190   C CB  . LEU A 1 23  ? 218.011 -57.284 278.722 1.0 41.9571   ? 23  LEU A CB  23  LEU A CB  1 
ATOM 191   C CG  . LEU A 1 23  ? 219.093 -57.932 279.578 1.0 41.9571   ? 23  LEU A CG  23  LEU A CG  1 
ATOM 192   C CD1 . LEU A 1 23  ? 218.606 -58.067 280.999 1.0 41.9571   ? 23  LEU A CD1 23  LEU A CD1 1 
ATOM 193   C CD2 . LEU A 1 23  ? 219.476 -59.277 279.017 1.0 41.9571   ? 23  LEU A CD2 23  LEU A CD2 1 
ATOM 194   N N   . VAL A 1 24  ? 219.038 -54.350 277.857 1.0 41.87937  ? 24  VAL A N   24  VAL A N   1 
ATOM 195   C CA  . VAL A 1 24  ? 220.135 -53.402 277.701 1.0 41.87937  ? 24  VAL A CA  24  VAL A CA  1 
ATOM 196   C C   . VAL A 1 24  ? 219.850 -52.128 278.484 1.0 41.87937  ? 24  VAL A C   24  VAL A C   1 
ATOM 197   O O   . VAL A 1 24  ? 220.748 -51.547 279.103 1.0 41.87937  ? 24  VAL A O   24  VAL A O   1 
ATOM 198   C CB  . VAL A 1 24  ? 220.369 -53.123 276.206 1.0 41.87937  ? 24  VAL A CB  24  VAL A CB  1 
ATOM 199   C CG1 . VAL A 1 24  ? 221.490 -52.126 276.002 1.0 41.87937  ? 24  VAL A CG1 24  VAL A CG1 1 
ATOM 200   C CG2 . VAL A 1 24  ? 220.674 -54.413 275.480 1.0 41.87937  ? 24  VAL A CG2 24  VAL A CG2 1 
ATOM 201   N N   . GLN A 1 25  ? 218.586 -51.707 278.523 1.0 44.40939  ? 25  GLN A N   25  GLN A N   1 
ATOM 202   C CA  . GLN A 1 25  ? 218.212 -50.549 279.324 1.0 44.40939  ? 25  GLN A CA  25  GLN A CA  1 
ATOM 203   C C   . GLN A 1 25  ? 218.225 -50.851 280.814 1.0 44.40939  ? 25  GLN A C   25  GLN A C   1 
ATOM 204   O O   . GLN A 1 25  ? 218.246 -49.917 281.620 1.0 44.40939  ? 25  GLN A O   25  GLN A O   1 
ATOM 205   C CB  . GLN A 1 25  ? 216.836 -50.045 278.901 1.0 44.40939  ? 25  GLN A CB  25  GLN A CB  1 
ATOM 206   C CG  . GLN A 1 25  ? 216.805 -49.466 277.503 1.0 44.40939  ? 25  GLN A CG  25  GLN A CG  1 
ATOM 207   C CD  . GLN A 1 25  ? 215.419 -49.033 277.086 1.0 44.40939  ? 25  GLN A CD  25  GLN A CD  1 
ATOM 208   O OE1 . GLN A 1 25  ? 214.450 -49.225 277.818 1.0 44.40939  ? 25  GLN A OE1 25  GLN A OE1 1 
ATOM 209   N NE2 . GLN A 1 25  ? 215.316 -48.444 275.903 1.0 44.40939  ? 25  GLN A NE2 25  GLN A NE2 1 
ATOM 210   N N   . PHE A 1 26  ? 218.209 -52.127 281.198 1.0 43.17829  ? 26  PHE A N   26  PHE A N   1 
ATOM 211   C CA  . PHE A 1 26  ? 218.368 -52.483 282.601 1.0 43.17829  ? 26  PHE A CA  26  PHE A CA  1 
ATOM 212   C C   . PHE A 1 26  ? 219.828 -52.423 283.022 1.0 43.17829  ? 26  PHE A C   26  PHE A C   1 
ATOM 213   O O   . PHE A 1 26  ? 220.153 -51.840 284.060 1.0 43.17829  ? 26  PHE A O   26  PHE A O   1 
ATOM 214   C CB  . PHE A 1 26  ? 217.807 -53.879 282.857 1.0 43.17829  ? 26  PHE A CB  26  PHE A CB  1 
ATOM 215   C CG  . PHE A 1 26  ? 217.850 -54.293 284.293 1.0 43.17829  ? 26  PHE A CG  26  PHE A CG  1 
ATOM 216   C CD1 . PHE A 1 26  ? 216.900 -53.833 285.183 1.0 43.17829  ? 26  PHE A CD1 26  PHE A CD1 1 
ATOM 217   C CD2 . PHE A 1 26  ? 218.842 -55.139 284.757 1.0 43.17829  ? 26  PHE A CD2 26  PHE A CD2 1 
ATOM 218   C CE1 . PHE A 1 26  ? 216.934 -54.212 286.507 1.0 43.17829  ? 26  PHE A CE1 26  PHE A CE1 1 
ATOM 219   C CE2 . PHE A 1 26  ? 218.888 -55.510 286.084 1.0 43.17829  ? 26  PHE A CE2 26  PHE A CE2 1 
ATOM 220   C CZ  . PHE A 1 26  ? 217.926 -55.055 286.956 1.0 43.17829  ? 26  PHE A CZ  26  PHE A CZ  1 
ATOM 221   N N   . ILE A 1 27  ? 220.726 -53.007 282.221 1.0 44.05866  ? 27  ILE A N   27  ILE A N   1 
ATOM 222   C CA  . ILE A 1 27  ? 222.129 -53.114 282.602 1.0 44.05866  ? 27  ILE A CA  27  ILE A CA  1 
ATOM 223   C C   . ILE A 1 27  ? 222.903 -51.826 282.370 1.0 44.05866  ? 27  ILE A C   27  ILE A C   1 
ATOM 224   O O   . ILE A 1 27  ? 224.105 -51.779 282.660 1.0 44.05866  ? 27  ILE A O   27  ILE A O   1 
ATOM 225   C CB  . ILE A 1 27  ? 222.813 -54.272 281.853 1.0 44.05866  ? 27  ILE A CB  27  ILE A CB  1 
ATOM 226   C CG1 . ILE A 1 27  ? 222.865 -53.987 280.360 1.0 44.05866  ? 27  ILE A CG1 27  ILE A CG1 1 
ATOM 227   C CG2 . ILE A 1 27  ? 222.051 -55.551 282.067 1.0 44.05866  ? 27  ILE A CG2 27  ILE A CG2 1 
ATOM 228   C CD1 . ILE A 1 27  ? 223.689 -54.988 279.587 1.0 44.05866  ? 27  ILE A CD1 27  ILE A CD1 1 
ATOM 229   N N   . GLN A 1 28  ? 222.262 -50.788 281.842 1.0 47.18165  ? 28  GLN A N   28  GLN A N   1 
ATOM 230   C CA  . GLN A 1 28  ? 222.843 -49.454 281.827 1.0 47.18165  ? 28  GLN A CA  28  GLN A CA  1 
ATOM 231   C C   . GLN A 1 28  ? 222.372 -48.603 282.989 1.0 47.18165  ? 28  GLN A C   28  GLN A C   1 
ATOM 232   O O   . GLN A 1 28  ? 223.074 -47.667 283.381 1.0 47.18165  ? 28  GLN A O   28  GLN A O   1 
ATOM 233   C CB  . GLN A 1 28  ? 222.510 -48.733 280.519 1.0 47.18165  ? 28  GLN A CB  28  GLN A CB  1 
ATOM 234   C CG  . GLN A 1 28  ? 223.188 -49.313 279.298 1.0 47.18165  ? 28  GLN A CG  28  GLN A CG  1 
ATOM 235   C CD  . GLN A 1 28  ? 222.806 -48.581 278.032 1.0 47.18165  ? 28  GLN A CD  28  GLN A CD  1 
ATOM 236   O OE1 . GLN A 1 28  ? 221.987 -47.663 278.056 1.0 47.18165  ? 28  GLN A OE1 28  GLN A OE1 1 
ATOM 237   N NE2 . GLN A 1 28  ? 223.393 -48.987 276.913 1.0 47.18165  ? 28  GLN A NE2 28  GLN A NE2 1 
ATOM 238   N N   . ALA A 1 29  ? 221.198 -48.901 283.541 1.0 45.8107   ? 29  ALA A N   29  ALA A N   1 
ATOM 239   C CA  . ALA A 1 29  ? 220.752 -48.226 284.752 1.0 45.8107   ? 29  ALA A CA  29  ALA A CA  1 
ATOM 240   C C   . ALA A 1 29  ? 221.473 -48.785 285.969 1.0 45.8107   ? 29  ALA A C   29  ALA A C   1 
ATOM 241   O O   . ALA A 1 29  ? 222.179 -48.060 286.676 1.0 45.8107   ? 29  ALA A O   29  ALA A O   1 
ATOM 242   C CB  . ALA A 1 29  ? 219.238 -48.365 284.906 1.0 45.8107   ? 29  ALA A CB  29  ALA A CB  1 
ATOM 243   N N   . THR A 1 30  ? 221.314 -50.082 286.222 1.0 47.38698  ? 30  THR A N   30  THR A N   1 
ATOM 244   C CA  . THR A 1 30  ? 222.042 -50.756 287.294 1.0 47.38698  ? 30  THR A CA  30  THR A CA  1 
ATOM 245   C C   . THR A 1 30  ? 223.418 -51.115 286.751 1.0 47.38698  ? 30  THR A C   30  THR A C   1 
ATOM 246   O O   . THR A 1 30  ? 223.665 -52.221 286.270 1.0 47.38698  ? 30  THR A O   30  THR A O   1 
ATOM 247   C CB  . THR A 1 30  ? 221.301 -51.997 287.765 1.0 47.38698  ? 30  THR A CB  30  THR A CB  1 
ATOM 248   O OG1 . THR A 1 30  ? 221.321 -52.980 286.726 1.0 47.38698  ? 30  THR A OG1 30  THR A OG1 1 
ATOM 249   C CG2 . THR A 1 30  ? 219.861 -51.661 288.076 1.0 47.38698  ? 30  THR A CG2 30  THR A CG2 1 
ATOM 250   N N   . GLN A 1 31  ? 224.325 -50.146 286.799 1.0 50.15399  ? 31  GLN A N   31  GLN A N   1 
ATOM 251   C CA  . GLN A 1 31  ? 225.664 -50.381 286.280 1.0 50.15399  ? 31  GLN A CA  31  GLN A CA  1 
ATOM 252   C C   . GLN A 1 31  ? 226.706 -49.977 287.310 1.0 50.15399  ? 31  GLN A C   31  GLN A C   1 
ATOM 253   O O   . GLN A 1 31  ? 227.779 -50.581 287.393 1.0 50.15399  ? 31  GLN A O   31  GLN A O   1 
ATOM 254   C CB  . GLN A 1 31  ? 225.869 -49.613 284.974 1.0 50.15399  ? 31  GLN A CB  31  GLN A CB  1 
ATOM 255   C CG  . GLN A 1 31  ? 227.170 -49.916 284.260 1.0 50.15399  ? 31  GLN A CG  31  GLN A CG  1 
ATOM 256   C CD  . GLN A 1 31  ? 227.306 -49.150 282.968 1.0 50.15399  ? 31  GLN A CD  31  GLN A CD  1 
ATOM 257   O OE1 . GLN A 1 31  ? 226.440 -48.353 282.613 1.0 50.15399  ? 31  GLN A OE1 31  GLN A OE1 1 
ATOM 258   N NE2 . GLN A 1 31  ? 228.400 -49.382 282.255 1.0 50.15399  ? 31  GLN A NE2 31  GLN A NE2 1 
ATOM 259   N N   . ASN A 1 32  ? 226.389 -48.970 288.118 1.0 51.72112  ? 32  ASN A N   32  ASN A N   1 
ATOM 260   C CA  . ASN A 1 32  ? 227.349 -48.481 289.093 1.0 51.72112  ? 32  ASN A CA  32  ASN A CA  1 
ATOM 261   C C   . ASN A 1 32  ? 227.465 -49.383 290.312 1.0 51.72112  ? 32  ASN A C   32  ASN A C   1 
ATOM 262   O O   . ASN A 1 32  ? 228.428 -49.248 291.072 1.0 51.72112  ? 32  ASN A O   32  ASN A O   1 
ATOM 263   C CB  . ASN A 1 32  ? 226.976 -47.066 289.532 1.0 51.72112  ? 32  ASN A CB  32  ASN A CB  1 
ATOM 264   C CG  . ASN A 1 32  ? 227.178 -46.046 288.431 1.0 51.72112  ? 32  ASN A CG  32  ASN A CG  1 
ATOM 265   O OD1 . ASN A 1 32  ? 228.162 -46.098 287.696 1.0 51.72112  ? 32  ASN A OD1 32  ASN A OD1 1 
ATOM 266   N ND2 . ASN A 1 32  ? 226.246 -45.109 288.314 1.0 51.72112  ? 32  ASN A ND2 32  ASN A ND2 1 
ATOM 267   N N   . TYR A 1 33  ? 226.521 -50.299 290.517 1.0 48.7631   ? 33  TYR A N   33  TYR A N   1 
ATOM 268   C CA  . TYR A 1 33  ? 226.549 -51.152 291.693 1.0 48.7631   ? 33  TYR A CA  33  TYR A CA  1 
ATOM 269   C C   . TYR A 1 33  ? 226.281 -52.623 291.418 1.0 48.7631   ? 33  TYR A C   33  TYR A C   1 
ATOM 270   O O   . TYR A 1 33  ? 226.533 -53.446 292.303 1.0 48.7631   ? 33  TYR A O   33  TYR A O   1 
ATOM 271   C CB  . TYR A 1 33  ? 225.548 -50.647 292.745 1.0 48.7631   ? 33  TYR A CB  33  TYR A CB  1 
ATOM 272   C CG  . TYR A 1 33  ? 224.098 -50.625 292.315 1.0 48.7631   ? 33  TYR A CG  33  TYR A CG  1 
ATOM 273   C CD1 . TYR A 1 33  ? 223.562 -49.519 291.673 1.0 48.7631   ? 33  TYR A CD1 33  TYR A CD1 1 
ATOM 274   C CD2 . TYR A 1 33  ? 223.254 -51.690 292.594 1.0 48.7631   ? 33  TYR A CD2 33  TYR A CD2 1 
ATOM 275   C CE1 . TYR A 1 33  ? 222.237 -49.488 291.293 1.0 48.7631   ? 33  TYR A CE1 33  TYR A CE1 1 
ATOM 276   C CE2 . TYR A 1 33  ? 221.929 -51.668 292.218 1.0 48.7631   ? 33  TYR A CE2 33  TYR A CE2 1 
ATOM 277   C CZ  . TYR A 1 33  ? 221.428 -50.565 291.569 1.0 48.7631   ? 33  TYR A CZ  33  TYR A CZ  1 
ATOM 278   O OH  . TYR A 1 33  ? 220.107 -50.539 291.198 1.0 48.7631   ? 33  TYR A OH  33  TYR A OH  1 
ATOM 279   N N   . PHE A 1 34  ? 225.788 -52.986 290.238 1.0 48.95546  ? 34  PHE A N   34  PHE A N   1 
ATOM 280   C CA  . PHE A 1 34  ? 225.506 -54.391 289.947 1.0 48.95546  ? 34  PHE A CA  34  PHE A CA  1 
ATOM 281   C C   . PHE A 1 34  ? 225.738 -54.593 288.449 1.0 48.95546  ? 34  PHE A C   34  PHE A C   1 
ATOM 282   O O   . PHE A 1 34  ? 224.824 -54.436 287.641 1.0 48.95546  ? 34  PHE A O   34  PHE A O   1 
ATOM 283   C CB  . PHE A 1 34  ? 224.088 -54.742 290.370 1.0 48.95546  ? 34  PHE A CB  34  PHE A CB  1 
ATOM 284   C CG  . PHE A 1 34  ? 223.733 -56.183 290.194 1.0 48.95546  ? 34  PHE A CG  34  PHE A CG  1 
ATOM 285   C CD1 . PHE A 1 34  ? 224.334 -57.157 290.976 1.0 48.95546  ? 34  PHE A CD1 34  PHE A CD1 1 
ATOM 286   C CD2 . PHE A 1 34  ? 222.753 -56.559 289.293 1.0 48.95546  ? 34  PHE A CD2 34  PHE A CD2 1 
ATOM 287   C CE1 . PHE A 1 34  ? 223.996 -58.486 290.830 1.0 48.95546  ? 34  PHE A CE1 34  PHE A CE1 1 
ATOM 288   C CE2 . PHE A 1 34  ? 222.403 -57.882 289.148 1.0 48.95546  ? 34  PHE A CE2 34  PHE A CE2 1 
ATOM 289   C CZ  . PHE A 1 34  ? 223.029 -58.848 289.913 1.0 48.95546  ? 34  PHE A CZ  34  PHE A CZ  1 
ATOM 290   N N   . ASN A 1 35  ? 226.964 -54.971 288.099 1.0 47.48311  ? 35  ASN A N   35  ASN A N   1 
ATOM 291   C CA  . ASN A 1 35  ? 227.409 -54.969 286.711 1.0 47.48311  ? 35  ASN A CA  35  ASN A CA  1 
ATOM 292   C C   . ASN A 1 35  ? 227.082 -56.311 286.066 1.0 47.48311  ? 35  ASN A C   35  ASN A C   1 
ATOM 293   O O   . ASN A 1 35  ? 227.446 -57.366 286.594 1.0 47.48311  ? 35  ASN A O   35  ASN A O   1 
ATOM 294   C CB  . ASN A 1 35  ? 228.907 -54.684 286.629 1.0 47.48311  ? 35  ASN A CB  35  ASN A CB  1 
ATOM 295   C CG  . ASN A 1 35  ? 229.352 -54.305 285.230 1.0 47.48311  ? 35  ASN A CG  35  ASN A CG  1 
ATOM 296   O OD1 . ASN A 1 35  ? 228.540 -54.203 284.314 1.0 47.48311  ? 35  ASN A OD1 35  ASN A OD1 1 
ATOM 297   N ND2 . ASN A 1 35  ? 230.653 -54.104 285.058 1.0 47.48311  ? 35  ASN A ND2 35  ASN A ND2 1 
ATOM 298   N N   . ILE A 1 36  ? 226.395 -56.264 284.926 1.0 44.279    ? 36  ILE A N   36  ILE A N   1 
ATOM 299   C CA  . ILE A 1 36  ? 226.049 -57.460 284.180 1.0 44.279    ? 36  ILE A CA  36  ILE A CA  1 
ATOM 300   C C   . ILE A 1 36  ? 226.718 -57.496 282.808 1.0 44.279    ? 36  ILE A C   36  ILE A C   1 
ATOM 301   O O   . ILE A 1 36  ? 227.078 -58.581 282.335 1.0 44.279    ? 36  ILE A O   36  ILE A O   1 
ATOM 302   C CB  . ILE A 1 36  ? 224.513 -57.580 284.052 1.0 44.279    ? 36  ILE A CB  36  ILE A CB  1 
ATOM 303   C CG1 . ILE A 1 36  ? 223.874 -57.591 285.432 1.0 44.279    ? 36  ILE A CG1 36  ILE A CG1 1 
ATOM 304   C CG2 . ILE A 1 36  ? 224.078 -58.858 283.352 1.0 44.279    ? 36  ILE A CG2 36  ILE A CG2 1 
ATOM 305   C CD1 . ILE A 1 36  ? 224.357 -58.725 286.276 1.0 44.279    ? 36  ILE A CD1 36  ILE A CD1 1 
ATOM 306   N N   . GLY A 1 37  ? 226.993 -56.342 282.203 1.0 43.00372  ? 37  GLY A N   37  GLY A N   1 
ATOM 307   C CA  . GLY A 1 37  ? 227.472 -56.261 280.833 1.0 43.00372  ? 37  GLY A CA  37  GLY A CA  1 
ATOM 308   C C   . GLY A 1 37  ? 228.836 -56.845 280.516 1.0 43.00372  ? 37  GLY A C   37  GLY A C   1 
ATOM 309   O O   . GLY A 1 37  ? 229.276 -56.795 279.365 1.0 43.00372  ? 37  GLY A O   37  GLY A O   1 
ATOM 310   N N   . GLU A 1 38  ? 229.517 -57.399 281.515 1.0 42.60742  ? 38  GLU A N   38  GLU A N   1 
ATOM 311   C CA  . GLU A 1 38  ? 230.720 -58.183 281.300 1.0 42.60742  ? 38  GLU A CA  38  GLU A CA  1 
ATOM 312   C C   . GLU A 1 38  ? 230.432 -59.672 281.234 1.0 42.60742  ? 38  GLU A C   38  GLU A C   1 
ATOM 313   O O   . GLU A 1 38  ? 231.369 -60.469 281.141 1.0 42.60742  ? 38  GLU A O   38  GLU A O   1 
ATOM 314   C CB  . GLU A 1 38  ? 231.744 -57.899 282.401 1.0 42.60742  ? 38  GLU A CB  38  GLU A CB  1 
ATOM 315   C CG  . GLU A 1 38  ? 232.268 -56.478 282.384 1.0 42.60742  ? 38  GLU A CG  38  GLU A CG  1 
ATOM 316   C CD  . GLU A 1 38  ? 233.094 -56.175 281.150 1.0 42.60742  ? 38  GLU A CD  38  GLU A CD  1 
ATOM 317   O OE1 . GLU A 1 38  ? 233.795 -57.084 280.659 1.0 42.60742  ? 38  GLU A OE1 38  GLU A OE1 1 
ATOM 318   O OE2 . GLU A 1 38  ? 233.036 -55.027 280.665 1.0 42.60742  ? 38  GLU A OE2 38  GLU A OE2 1 
ATOM 319   N N   . LYS A 1 39  ? 229.164 -60.066 281.287 1.0 39.70621  ? 39  LYS A N   39  LYS A N   1 
ATOM 320   C CA  . LYS A 1 39  ? 228.768 -61.457 281.145 1.0 39.70621  ? 39  LYS A CA  39  LYS A CA  1 
ATOM 321   C C   . LYS A 1 39  ? 228.240 -61.759 279.755 1.0 39.70621  ? 39  LYS A C   39  LYS A C   1 
ATOM 322   O O   . LYS A 1 39  ? 227.615 -62.803 279.554 1.0 39.70621  ? 39  LYS A O   39  LYS A O   1 
ATOM 323   C CB  . LYS A 1 39  ? 227.711 -61.810 282.188 1.0 39.70621  ? 39  LYS A CB  39  LYS A CB  1 
ATOM 324   C CG  . LYS A 1 39  ? 228.198 -61.649 283.607 1.0 39.70621  ? 39  LYS A CG  39  LYS A CG  1 
ATOM 325   C CD  . LYS A 1 39  ? 227.149 -62.061 284.608 1.0 39.70621  ? 39  LYS A CD  39  LYS A CD  1 
ATOM 326   C CE  . LYS A 1 39  ? 227.608 -61.746 286.005 1.0 39.70621  ? 39  LYS A CE  39  LYS A CE  1 
ATOM 327   N NZ  . LYS A 1 39  ? 228.798 -62.527 286.379 1.0 39.70621  ? 39  LYS A NZ  39  LYS A NZ  1 
ATOM 328   N N   . PHE A 1 40  ? 228.466 -60.869 278.795 1.0 40.00552  ? 40  PHE A N   40  PHE A N   1 
ATOM 329   C CA  . PHE A 1 40  ? 227.953 -61.029 277.444 1.0 40.00552  ? 40  PHE A CA  40  PHE A CA  1 
ATOM 330   C C   . PHE A 1 40  ? 229.075 -60.756 276.458 1.0 40.00552  ? 40  PHE A C   40  PHE A C   1 
ATOM 331   O O   . PHE A 1 40  ? 229.606 -59.643 276.408 1.0 40.00552  ? 40  PHE A O   40  PHE A O   1 
ATOM 332   C CB  . PHE A 1 40  ? 226.763 -60.106 277.199 1.0 40.00552  ? 40  PHE A CB  40  PHE A CB  1 
ATOM 333   C CG  . PHE A 1 40  ? 225.563 -60.459 278.019 1.0 40.00552  ? 40  PHE A CG  40  PHE A CG  1 
ATOM 334   C CD1 . PHE A 1 40  ? 224.737 -61.500 277.642 1.0 40.00552  ? 40  PHE A CD1 40  PHE A CD1 1 
ATOM 335   C CD2 . PHE A 1 40  ? 225.269 -59.763 279.175 1.0 40.00552  ? 40  PHE A CD2 40  PHE A CD2 1 
ATOM 336   C CE1 . PHE A 1 40  ? 223.637 -61.835 278.401 1.0 40.00552  ? 40  PHE A CE1 40  PHE A CE1 1 
ATOM 337   C CE2 . PHE A 1 40  ? 224.169 -60.094 279.934 1.0 40.00552  ? 40  PHE A CE2 40  PHE A CE2 1 
ATOM 338   C CZ  . PHE A 1 40  ? 223.354 -61.130 279.546 1.0 40.00552  ? 40  PHE A CZ  40  PHE A CZ  1 
ATOM 339   N N   . ARG A 1 41  ? 229.432 -61.775 275.686 1.0 40.98419  ? 41  ARG A N   41  ARG A N   1 
ATOM 340   C CA  . ARG A 1 41  ? 230.577 -61.707 274.794 1.0 40.98419  ? 41  ARG A CA  41  ARG A CA  1 
ATOM 341   C C   . ARG A 1 41  ? 230.263 -60.832 273.587 1.0 40.98419  ? 41  ARG A C   41  ARG A C   1 
ATOM 342   O O   . ARG A 1 41  ? 229.151 -60.839 273.057 1.0 40.98419  ? 41  ARG A O   41  ARG A O   1 
ATOM 343   C CB  . ARG A 1 41  ? 230.966 -63.119 274.359 1.0 40.98419  ? 41  ARG A CB  41  ARG A CB  1 
ATOM 344   C CG  . ARG A 1 41  ? 232.190 -63.222 273.498 1.0 40.98419  ? 41  ARG A CG  41  ARG A CG  1 
ATOM 345   C CD  . ARG A 1 41  ? 233.438 -62.846 274.251 1.0 40.98419  ? 41  ARG A CD  41  ARG A CD  1 
ATOM 346   N NE  . ARG A 1 41  ? 234.588 -62.915 273.362 1.0 40.98419  ? 41  ARG A NE  41  ARG A NE  1 
ATOM 347   C CZ  . ARG A 1 41  ? 235.791 -62.444 273.657 1.0 40.98419  ? 41  ARG A CZ  41  ARG A CZ  1 
ATOM 348   N NH1 . ARG A 1 41  ? 236.007 -61.865 274.829 1.0 40.98419  ? 41  ARG A NH1 41  ARG A NH1 1 
ATOM 349   N NH2 . ARG A 1 41  ? 236.774 -62.547 272.776 1.0 40.98419  ? 41  ARG A NH2 41  ARG A NH2 1 
ATOM 350   N N   . ASP A 1 42  ? 231.260 -60.059 273.163 1.0 42.04052  ? 42  ASP A N   42  ASP A N   1 
ATOM 351   C CA  . ASP A 1 42  ? 231.111 -59.099 272.076 1.0 42.04052  ? 42  ASP A CA  42  ASP A CA  1 
ATOM 352   C C   . ASP A 1 42  ? 232.137 -59.418 270.998 1.0 42.04052  ? 42  ASP A C   42  ASP A C   1 
ATOM 353   O O   . ASP A 1 42  ? 233.351 -59.415 271.284 1.0 42.04052  ? 42  ASP A O   42  ASP A O   1 
ATOM 354   C CB  . ASP A 1 42  ? 231.295 -57.679 272.608 1.0 42.04052  ? 42  ASP A CB  42  ASP A CB  1 
ATOM 355   C CG  . ASP A 1 42  ? 230.976 -56.630 271.582 1.0 42.04052  ? 42  ASP A CG  42  ASP A CG  1 
ATOM 356   O OD1 . ASP A 1 42  ? 229.778 -56.408 271.323 1.0 42.04052  ? 42  ASP A OD1 42  ASP A OD1 1 
ATOM 357   O OD2 . ASP A 1 42  ? 231.922 -56.027 271.034 1.0 42.04052  ? 42  ASP A OD2 42  ASP A OD2 1 
ATOM 358   N N   . PRO A 1 43  ? 231.722 -59.695 269.766 1.0 40.82852  ? 43  PRO A N   43  PRO A N   1 
ATOM 359   C CA  . PRO A 1 43  ? 232.687 -60.059 268.726 1.0 40.82852  ? 43  PRO A CA  43  PRO A CA  1 
ATOM 360   C C   . PRO A 1 43  ? 233.461 -58.852 268.222 1.0 40.82852  ? 43  PRO A C   43  PRO A C   1 
ATOM 361   O O   . PRO A 1 43  ? 233.023 -57.706 268.318 1.0 40.82852  ? 43  PRO A O   43  PRO A O   1 
ATOM 362   C CB  . PRO A 1 43  ? 231.807 -60.649 267.622 1.0 40.82852  ? 43  PRO A CB  43  PRO A CB  1 
ATOM 363   C CG  . PRO A 1 43  ? 230.508 -59.982 267.803 1.0 40.82852  ? 43  PRO A CG  43  PRO A CG  1 
ATOM 364   C CD  . PRO A 1 43  ? 230.337 -59.771 269.277 1.0 40.82852  ? 43  PRO A CD  43  PRO A CD  1 
ATOM 365   N N   . TYR A 1 44  ? 234.639 -59.135 267.667 1.0 41.50439  ? 44  TYR A N   44  TYR A N   1 
ATOM 366   C CA  . TYR A 1 44  ? 235.538 -58.089 267.182 1.0 41.50439  ? 44  TYR A CA  44  TYR A CA  1 
ATOM 367   C C   . TYR A 1 44  ? 236.219 -58.646 265.936 1.0 41.50439  ? 44  TYR A C   44  TYR A C   1 
ATOM 368   O O   . TYR A 1 44  ? 237.075 -59.528 266.036 1.0 41.50439  ? 44  TYR A O   44  TYR A O   1 
ATOM 369   C CB  . TYR A 1 44  ? 236.533 -57.694 268.262 1.0 41.50439  ? 44  TYR A CB  44  TYR A CB  1 
ATOM 370   C CG  . TYR A 1 44  ? 237.456 -56.564 267.896 1.0 41.50439  ? 44  TYR A CG  44  TYR A CG  1 
ATOM 371   C CD1 . TYR A 1 44  ? 236.973 -55.278 267.727 1.0 41.50439  ? 44  TYR A CD1 44  TYR A CD1 1 
ATOM 372   C CD2 . TYR A 1 44  ? 238.819 -56.771 267.776 1.0 41.50439  ? 44  TYR A CD2 44  TYR A CD2 1 
ATOM 373   C CE1 . TYR A 1 44  ? 237.817 -54.238 267.406 1.0 41.50439  ? 44  TYR A CE1 44  TYR A CE1 1 
ATOM 374   C CE2 . TYR A 1 44  ? 239.671 -55.736 267.463 1.0 41.50439  ? 44  TYR A CE2 44  TYR A CE2 1 
ATOM 375   C CZ  . TYR A 1 44  ? 239.165 -54.474 267.276 1.0 41.50439  ? 44  TYR A CZ  44  TYR A CZ  1 
ATOM 376   O OH  . TYR A 1 44  ? 240.015 -53.442 266.961 1.0 41.50439  ? 44  TYR A OH  44  TYR A OH  1 
ATOM 377   N N   . VAL A 1 45  ? 235.832 -58.130 264.774 1.0 42.08686  ? 45  VAL A N   45  VAL A N   1 
ATOM 378   C CA  . VAL A 1 45  ? 236.050 -58.791 263.494 1.0 42.08686  ? 45  VAL A CA  45  VAL A CA  1 
ATOM 379   C C   . VAL A 1 45  ? 236.958 -57.931 262.624 1.0 42.08686  ? 45  VAL A C   45  VAL A C   1 
ATOM 380   O O   . VAL A 1 45  ? 236.710 -56.733 262.451 1.0 42.08686  ? 45  VAL A O   45  VAL A O   1 
ATOM 381   C CB  . VAL A 1 45  ? 234.706 -59.066 262.797 1.0 42.08686  ? 45  VAL A CB  45  VAL A CB  1 
ATOM 382   C CG1 . VAL A 1 45  ? 234.909 -59.588 261.409 1.0 42.08686  ? 45  VAL A CG1 45  VAL A CG1 1 
ATOM 383   C CG2 . VAL A 1 45  ? 233.897 -60.057 263.603 1.0 42.08686  ? 45  VAL A CG2 45  VAL A CG2 1 
ATOM 384   N N   . ALA A 1 46  ? 238.009 -58.545 262.081 1.0 44.66665  ? 46  ALA A N   46  ALA A N   1 
ATOM 385   C CA  . ALA A 1 46  ? 238.889 -57.875 261.137 1.0 44.66665  ? 46  ALA A CA  46  ALA A CA  1 
ATOM 386   C C   . ALA A 1 46  ? 238.231 -57.814 259.755 1.0 44.66665  ? 46  ALA A C   46  ALA A C   1 
ATOM 387   O O   . ALA A 1 46  ? 237.435 -58.687 259.408 1.0 44.66665  ? 46  ALA A O   46  ALA A O   1 
ATOM 388   C CB  . ALA A 1 46  ? 240.223 -58.615 261.064 1.0 44.66665  ? 46  ALA A CB  46  ALA A CB  1 
ATOM 389   N N   . PRO A 1 47  ? 238.539 -56.787 258.947 1.0 46.92743  ? 47  PRO A N   47  PRO A N   1 
ATOM 390   C CA  . PRO A 1 47  ? 237.775 -56.583 257.700 1.0 46.92743  ? 47  PRO A CA  47  PRO A CA  1 
ATOM 391   C C   . PRO A 1 47  ? 238.052 -57.594 256.593 1.0 46.92743  ? 47  PRO A C   47  PRO A C   1 
ATOM 392   O O   . PRO A 1 47  ? 237.182 -57.771 255.730 1.0 46.92743  ? 47  PRO A O   47  PRO A O   1 
ATOM 393   C CB  . PRO A 1 47  ? 238.182 -55.170 257.270 1.0 46.92743  ? 47  PRO A CB  47  PRO A CB  1 
ATOM 394   C CG  . PRO A 1 47  ? 239.482 -54.943 257.913 1.0 46.92743  ? 47  PRO A CG  47  PRO A CG  1 
ATOM 395   C CD  . PRO A 1 47  ? 239.434 -55.647 259.215 1.0 46.92743  ? 47  PRO A CD  47  PRO A CD  1 
ATOM 396   N N   . SER A 1 48  ? 239.243 -58.199 256.548 1.0 50.42028  ? 48  SER A N   48  SER A N   1 
ATOM 397   C CA  . SER A 1 48  ? 239.607 -59.368 255.737 1.0 50.42028  ? 48  SER A CA  48  SER A CA  1 
ATOM 398   C C   . SER A 1 48  ? 239.642 -59.158 254.227 1.0 50.42028  ? 48  SER A C   48  SER A C   1 
ATOM 399   O O   . SER A 1 48  ? 240.011 -60.083 253.496 1.0 50.42028  ? 48  SER A O   48  SER A O   1 
ATOM 400   C CB  . SER A 1 48  ? 238.682 -60.556 256.017 1.0 50.42028  ? 48  SER A CB  48  SER A CB  1 
ATOM 401   O OG  . SER A 1 48  ? 237.403 -60.361 255.435 1.0 50.42028  ? 48  SER A OG  48  SER A OG  1 
ATOM 402   N N   . ALA A 1 49  ? 239.285 -57.972 253.742 1.0 52.09663  ? 49  ALA A N   49  ALA A N   1 
ATOM 403   C CA  . ALA A 1 49  ? 239.257 -57.719 252.309 1.0 52.09663  ? 49  ALA A CA  49  ALA A CA  1 
ATOM 404   C C   . ALA A 1 49  ? 239.295 -56.221 252.074 1.0 52.09663  ? 49  ALA A C   49  ALA A C   1 
ATOM 405   O O   . ALA A 1 49  ? 238.518 -55.477 252.676 1.0 52.09663  ? 49  ALA A O   49  ALA A O   1 
ATOM 406   C CB  . ALA A 1 49  ? 238.006 -58.316 251.652 1.0 52.09663  ? 49  ALA A CB  49  ALA A CB  1 
ATOM 407   N N   . GLY A 1 50  ? 240.189 -55.790 251.195 1.0 54.43053  ? 50  GLY A N   50  GLY A N   1 
ATOM 408   C CA  . GLY A 1 50  ? 240.322 -54.393 250.860 1.0 54.43053  ? 50  GLY A CA  50  GLY A CA  1 
ATOM 409   C C   . GLY A 1 50  ? 241.416 -53.662 251.603 1.0 54.43053  ? 50  GLY A C   50  GLY A C   1 
ATOM 410   O O   . GLY A 1 50  ? 241.728 -52.523 251.241 1.0 54.43053  ? 50  GLY A O   50  GLY A O   1 
ATOM 411   N N   . VAL A 1 51  ? 242.011 -54.277 252.621 1.0 51.50943  ? 51  VAL A N   51  VAL A N   1 
ATOM 412   C CA  . VAL A 1 51  ? 243.044 -53.612 253.403 1.0 51.50943  ? 51  VAL A CA  51  VAL A CA  1 
ATOM 413   C C   . VAL A 1 51  ? 244.422 -54.050 252.932 1.0 51.50943  ? 51  VAL A C   51  VAL A C   1 
ATOM 414   O O   . VAL A 1 51  ? 245.229 -53.223 252.495 1.0 51.50943  ? 51  VAL A O   51  VAL A O   1 
ATOM 415   C CB  . VAL A 1 51  ? 242.867 -53.885 254.904 1.0 51.50943  ? 51  VAL A CB  51  VAL A CB  1 
ATOM 416   C CG1 . VAL A 1 51  ? 244.032 -53.315 255.677 1.0 51.50943  ? 51  VAL A CG1 51  VAL A CG1 1 
ATOM 417   C CG2 . VAL A 1 51  ? 241.584 -53.268 255.384 1.0 51.50943  ? 51  VAL A CG2 51  VAL A CG2 1 
ATOM 418   N N   . THR A 1 52  ? 244.703 -55.344 253.011 1.0 52.46779  ? 52  THR A N   52  THR A N   1 
ATOM 419   C CA  . THR A 1 52  ? 246.023 -55.861 252.691 1.0 52.46779  ? 52  THR A CA  52  THR A CA  1 
ATOM 420   C C   . THR A 1 52  ? 245.993 -56.590 251.357 1.0 52.46779  ? 52  THR A C   52  THR A C   1 
ATOM 421   O O   . THR A 1 52  ? 245.095 -57.396 251.099 1.0 52.46779  ? 52  THR A O   52  THR A O   1 
ATOM 422   C CB  . THR A 1 52  ? 246.521 -56.802 253.787 1.0 52.46779  ? 52  THR A CB  52  THR A CB  1 
ATOM 423   O OG1 . THR A 1 52  ? 246.463 -56.129 255.048 1.0 52.46779  ? 52  THR A OG1 52  THR A OG1 1 
ATOM 424   C CG2 . THR A 1 52  ? 247.963 -57.206 253.522 1.0 52.46779  ? 52  THR A CG2 52  THR A CG2 1 
ATOM 425   N N   . THR A 1 53  ? 246.981 -56.298 250.512 1.0 54.11748  ? 53  THR A N   53  THR A N   1 
ATOM 426   C CA  . THR A 1 53  ? 247.132 -56.980 249.241 1.0 54.11748  ? 53  THR A CA  53  THR A CA  1 
ATOM 427   C C   . THR A 1 53  ? 247.508 -58.443 249.449 1.0 54.11748  ? 53  THR A C   53  THR A C   1 
ATOM 428   O O   . THR A 1 53  ? 247.898 -58.878 250.535 1.0 54.11748  ? 53  THR A O   53  THR A O   1 
ATOM 429   C CB  . THR A 1 53  ? 248.197 -56.303 248.384 1.0 54.11748  ? 53  THR A CB  53  THR A CB  1 
ATOM 430   O OG1 . THR A 1 53  ? 248.213 -56.907 247.087 1.0 54.11748  ? 53  THR A OG1 53  THR A OG1 1 
ATOM 431   C CG2 . THR A 1 53  ? 249.564 -56.464 249.013 1.0 54.11748  ? 53  THR A CG2 53  THR A CG2 1 
ATOM 432   N N   . ASP A 1 54  ? 247.385 -59.205 248.370 1.0 58.44906  ? 54  ASP A N   54  ASP A N   1 
ATOM 433   C CA  . ASP A 1 54  ? 247.744 -60.611 248.369 1.0 58.44906  ? 54  ASP A CA  54  ASP A CA  1 
ATOM 434   C C   . ASP A 1 54  ? 249.046 -60.887 247.636 1.0 58.44906  ? 54  ASP A C   54  ASP A C   1 
ATOM 435   O O   . ASP A 1 54  ? 249.734 -61.861 247.959 1.0 58.44906  ? 54  ASP A O   54  ASP A O   1 
ATOM 436   C CB  . ASP A 1 54  ? 246.623 -61.428 247.725 1.0 58.44906  ? 54  ASP A CB  54  ASP A CB  1 
ATOM 437   C CG  . ASP A 1 54  ? 246.873 -62.905 247.805 1.0 58.44906  ? 54  ASP A CG  54  ASP A CG  1 
ATOM 438   O OD1 . ASP A 1 54  ? 246.576 -63.517 248.851 1.0 58.44906  ? 54  ASP A OD1 54  ASP A OD1 1 
ATOM 439   O OD2 . ASP A 1 54  ? 247.440 -63.436 246.834 1.0 58.44906  ? 54  ASP A OD2 54  ASP A OD2 1 
ATOM 440   N N   . ARG A 1 55  ? 249.401 -60.032 246.681 1.0 52.14939  ? 55  ARG A N   55  ARG A N   1 
ATOM 441   C CA  . ARG A 1 55  ? 250.522 -60.256 245.783 1.0 52.14939  ? 55  ARG A CA  55  ARG A CA  1 
ATOM 442   C C   . ARG A 1 55  ? 251.851 -60.214 246.528 1.0 52.14939  ? 55  ARG A C   55  ARG A C   1 
ATOM 443   O O   . ARG A 1 55  ? 251.967 -59.659 247.623 1.0 52.14939  ? 55  ARG A O   55  ARG A O   1 
ATOM 444   C CB  . ARG A 1 55  ? 250.504 -59.213 244.672 1.0 52.14939  ? 55  ARG A CB  55  ARG A CB  1 
ATOM 445   C CG  . ARG A 1 55  ? 249.302 -59.356 243.770 1.0 52.14939  ? 55  ARG A CG  55  ARG A CG  1 
ATOM 446   C CD  . ARG A 1 55  ? 249.278 -58.302 242.699 1.0 52.14939  ? 55  ARG A CD  55  ARG A CD  1 
ATOM 447   N NE  . ARG A 1 55  ? 248.083 -58.402 241.873 1.0 52.14939  ? 55  ARG A NE  55  ARG A NE  1 
ATOM 448   C CZ  . ARG A 1 55  ? 248.001 -59.134 240.769 1.0 52.14939  ? 55  ARG A CZ  55  ARG A CZ  1 
ATOM 449   N NH1 . ARG A 1 55  ? 249.049 -59.829 240.354 1.0 52.14939  ? 55  ARG A NH1 55  ARG A NH1 1 
ATOM 450   N NH2 . ARG A 1 55  ? 246.872 -59.170 240.078 1.0 52.14939  ? 55  ARG A NH2 55  ARG A NH2 1 
ATOM 451   N N   . SER A 1 56  ? 252.859 -60.832 245.917 1.0 49.32131  ? 56  SER A N   56  SER A N   1 
ATOM 452   C CA  . SER A 1 56  ? 254.174 -60.984 246.531 1.0 49.32131  ? 56  SER A CA  56  SER A CA  1 
ATOM 453   C C   . SER A 1 56  ? 254.862 -59.630 246.617 1.0 49.32131  ? 56  SER A C   56  SER A C   1 
ATOM 454   O O   . SER A 1 56  ? 255.272 -59.067 245.599 1.0 49.32131  ? 56  SER A O   56  SER A O   1 
ATOM 455   C CB  . SER A 1 56  ? 255.013 -61.972 245.728 1.0 49.32131  ? 56  SER A CB  56  SER A CB  1 
ATOM 456   O OG  . SER A 1 56  ? 256.302 -62.116 246.291 1.0 49.32131  ? 56  SER A OG  56  SER A OG  1 
ATOM 457   N N   . GLN A 1 57  ? 255.002 -59.117 247.832 1.0 48.72204  ? 57  GLN A N   57  GLN A N   1 
ATOM 458   C CA  . GLN A 1 57  ? 255.536 -57.788 248.068 1.0 48.72204  ? 57  GLN A CA  57  GLN A CA  1 
ATOM 459   C C   . GLN A 1 57  ? 256.436 -57.833 249.289 1.0 48.72204  ? 57  GLN A C   57  GLN A C   1 
ATOM 460   O O   . GLN A 1 57  ? 256.079 -58.436 250.302 1.0 48.72204  ? 57  GLN A O   57  GLN A O   1 
ATOM 461   C CB  . GLN A 1 57  ? 254.401 -56.787 248.276 1.0 48.72204  ? 57  GLN A CB  57  GLN A CB  1 
ATOM 462   C CG  . GLN A 1 57  ? 254.831 -55.360 248.481 1.0 48.72204  ? 57  GLN A CG  57  GLN A CG  1 
ATOM 463   C CD  . GLN A 1 57  ? 253.652 -54.423 248.613 1.0 48.72204  ? 57  GLN A CD  57  GLN A CD  1 
ATOM 464   O OE1 . GLN A 1 57  ? 252.498 -54.844 248.540 1.0 48.72204  ? 57  GLN A OE1 57  GLN A OE1 1 
ATOM 465   N NE2 . GLN A 1 57  ? 253.935 -53.147 248.822 1.0 48.72204  ? 57  GLN A NE2 57  GLN A NE2 1 
ATOM 466   N N   . LYS A 1 58  ? 257.602 -57.202 249.189 1.0 49.35996  ? 58  LYS A N   58  LYS A N   1 
ATOM 467   C CA  . LYS A 1 58  ? 258.514 -57.144 250.321 1.0 49.35996  ? 58  LYS A CA  58  LYS A CA  1 
ATOM 468   C C   . LYS A 1 58  ? 257.952 -56.242 251.411 1.0 49.35996  ? 58  LYS A C   58  LYS A C   1 
ATOM 469   O O   . LYS A 1 58  ? 257.384 -55.185 251.131 1.0 49.35996  ? 58  LYS A O   58  LYS A O   1 
ATOM 470   C CB  . LYS A 1 58  ? 259.884 -56.645 249.869 1.0 49.35996  ? 58  LYS A CB  58  LYS A CB  1 
ATOM 471   C CG  . LYS A 1 58  ? 260.962 -56.746 250.918 1.0 49.35996  ? 58  LYS A CG  58  LYS A CG  1 
ATOM 472   C CD  . LYS A 1 58  ? 262.302 -56.298 250.371 1.0 49.35996  ? 58  LYS A CD  58  LYS A CD  1 
ATOM 473   C CE  . LYS A 1 58  ? 262.883 -57.317 249.399 1.0 49.35996  ? 58  LYS A CE  58  LYS A CE  1 
ATOM 474   N NZ  . LYS A 1 58  ? 263.246 -58.602 250.067 1.0 49.35996  ? 58  LYS A NZ  58  LYS A NZ  1 
ATOM 475   N N   . LEU A 1 59  ? 258.097 -56.673 252.662 1.0 47.23803  ? 59  LEU A N   59  LEU A N   1 
ATOM 476   C CA  . LEU A 1 59  ? 257.488 -55.986 253.795 1.0 47.23803  ? 59  LEU A CA  59  LEU A CA  1 
ATOM 477   C C   . LEU A 1 59  ? 258.416 -54.964 254.435 1.0 47.23803  ? 59  LEU A C   59  LEU A C   1 
ATOM 478   O O   . LEU A 1 59  ? 257.968 -53.881 254.809 1.0 47.23803  ? 59  LEU A O   59  LEU A O   1 
ATOM 479   C CB  . LEU A 1 59  ? 257.050 -57.008 254.855 1.0 47.23803  ? 59  LEU A CB  59  LEU A CB  1 
ATOM 480   C CG  . LEU A 1 59  ? 256.016 -56.585 255.900 1.0 47.23803  ? 59  LEU A CG  59  LEU A CG  1 
ATOM 481   C CD1 . LEU A 1 59  ? 254.708 -56.489 255.148 1.0 47.23803  ? 59  LEU A CD1 59  LEU A CD1 1 
ATOM 482   C CD2 . LEU A 1 59  ? 255.869 -57.553 257.041 1.0 47.23803  ? 59  LEU A CD2 59  LEU A CD2 1 
ATOM 483   N N   . GLN A 1 60  ? 259.699 -55.287 254.579 1.0 49.16449  ? 60  GLN A N   60  GLN A N   1 
ATOM 484   C CA  . GLN A 1 60  ? 260.691 -54.388 255.149 1.0 49.16449  ? 60  GLN A CA  60  GLN A CA  1 
ATOM 485   C C   . GLN A 1 60  ? 261.928 -54.387 254.261 1.0 49.16449  ? 60  GLN A C   60  GLN A C   1 
ATOM 486   O O   . GLN A 1 60  ? 262.450 -55.449 253.915 1.0 49.16449  ? 60  GLN A O   60  GLN A O   1 
ATOM 487   C CB  . GLN A 1 60  ? 261.046 -54.809 256.577 1.0 49.16449  ? 60  GLN A CB  60  GLN A CB  1 
ATOM 488   C CG  . GLN A 1 60  ? 262.008 -53.880 257.275 1.0 49.16449  ? 60  GLN A CG  60  GLN A CG  1 
ATOM 489   C CD  . GLN A 1 60  ? 262.239 -54.257 258.721 1.0 49.16449  ? 60  GLN A CD  60  GLN A CD  1 
ATOM 490   O OE1 . GLN A 1 60  ? 261.712 -55.255 259.209 1.0 49.16449  ? 60  GLN A OE1 60  GLN A OE1 1 
ATOM 491   N NE2 . GLN A 1 60  ? 263.024 -53.451 259.419 1.0 49.16449  ? 60  GLN A NE2 60  GLN A NE2 1 
ATOM 492   N N   . LEU A 1 61  ? 262.392 -53.195 253.890 1.0 46.00055  ? 61  LEU A N   61  LEU A N   1 
ATOM 493   C CA  . LEU A 1 61  ? 263.399 -53.021 252.850 1.0 46.00055  ? 61  LEU A CA  61  LEU A CA  1 
ATOM 494   C C   . LEU A 1 61  ? 264.701 -52.499 253.438 1.0 46.00055  ? 61  LEU A C   61  LEU A C   1 
ATOM 495   O O   . LEU A 1 61  ? 264.694 -51.532 254.204 1.0 46.00055  ? 61  LEU A O   61  LEU A O   1 
ATOM 496   C CB  . LEU A 1 61  ? 262.902 -52.052 251.776 1.0 46.00055  ? 61  LEU A CB  61  LEU A CB  1 
ATOM 497   C CG  . LEU A 1 61  ? 263.877 -51.758 250.637 1.0 46.00055  ? 61  LEU A CG  61  LEU A CG  1 
ATOM 498   C CD1 . LEU A 1 61  ? 264.155 -53.022 249.852 1.0 46.00055  ? 61  LEU A CD1 61  LEU A CD1 1 
ATOM 499   C CD2 . LEU A 1 61  ? 263.379 -50.638 249.728 1.0 46.00055  ? 61  LEU A CD2 61  LEU A CD2 1 
ATOM 500   N N   . ARG A 1 62  ? 265.813 -53.132 253.073 1.0 47.94863  ? 62  ARG A N   62  ARG A N   1 
ATOM 501   C CA  . ARG A 1 62  ? 267.144 -52.606 253.341 1.0 47.94863  ? 62  ARG A CA  62  ARG A CA  1 
ATOM 502   C C   . ARG A 1 62  ? 267.657 -51.937 252.075 1.0 47.94863  ? 62  ARG A C   62  ARG A C   1 
ATOM 503   O O   . ARG A 1 62  ? 267.472 -52.464 250.973 1.0 47.94863  ? 62  ARG A O   62  ARG A O   1 
ATOM 504   C CB  . ARG A 1 62  ? 268.097 -53.707 253.824 1.0 47.94863  ? 62  ARG A CB  62  ARG A CB  1 
ATOM 505   C CG  . ARG A 1 62  ? 268.345 -54.914 252.911 1.0 47.94863  ? 62  ARG A CG  62  ARG A CG  1 
ATOM 506   C CD  . ARG A 1 62  ? 269.587 -54.770 252.019 1.0 47.94863  ? 62  ARG A CD  62  ARG A CD  1 
ATOM 507   N NE  . ARG A 1 62  ? 270.793 -54.436 252.774 1.0 47.94863  ? 62  ARG A NE  62  ARG A NE  1 
ATOM 508   C CZ  . ARG A 1 62  ? 271.550 -55.316 253.419 1.0 47.94863  ? 62  ARG A CZ  62  ARG A CZ  1 
ATOM 509   N NH1 . ARG A 1 62  ? 271.241 -56.603 253.408 1.0 47.94863  ? 62  ARG A NH1 62  ARG A NH1 1 
ATOM 510   N NH2 . ARG A 1 62  ? 272.625 -54.907 254.073 1.0 47.94863  ? 62  ARG A NH2 62  ARG A NH2 1 
ATOM 511   N N   . VAL A 1 63  ? 268.280 -50.776 252.224 1.0 43.39959  ? 63  VAL A N   63  VAL A N   1 
ATOM 512   C CA  . VAL A 1 63  ? 268.897 -50.073 251.109 1.0 43.39959  ? 63  VAL A CA  63  VAL A CA  1 
ATOM 513   C C   . VAL A 1 63  ? 270.271 -49.584 251.550 1.0 43.39959  ? 63  VAL A C   63  VAL A C   1 
ATOM 514   O O   . VAL A 1 63  ? 270.423 -49.023 252.640 1.0 43.39959  ? 63  VAL A O   63  VAL A O   1 
ATOM 515   C CB  . VAL A 1 63  ? 267.990 -48.940 250.578 1.0 43.39959  ? 63  VAL A CB  63  VAL A CB  1 
ATOM 516   C CG1 . VAL A 1 63  ? 267.555 -47.985 251.667 1.0 43.39959  ? 63  VAL A CG1 63  VAL A CG1 1 
ATOM 517   C CG2 . VAL A 1 63  ? 268.669 -48.175 249.457 1.0 43.39959  ? 63  VAL A CG2 63  VAL A CG2 1 
ATOM 518   N N   . VAL A 1 64  ? 271.279 -49.858 250.728 1.0 42.62348  ? 64  VAL A N   64  VAL A N   1 
ATOM 519   C CA  . VAL A 1 64  ? 272.674 -49.595 251.064 1.0 42.62348  ? 64  VAL A CA  64  VAL A CA  1 
ATOM 520   C C   . VAL A 1 64  ? 273.058 -48.293 250.365 1.0 42.62348  ? 64  VAL A C   64  VAL A C   1 
ATOM 521   O O   . VAL A 1 64  ? 272.349 -47.889 249.433 1.0 42.62348  ? 64  VAL A O   64  VAL A O   1 
ATOM 522   C CB  . VAL A 1 64  ? 273.553 -50.792 250.659 1.0 42.62348  ? 64  VAL A CB  64  VAL A CB  1 
ATOM 523   C CG1 . VAL A 1 64  ? 273.011 -52.065 251.274 1.0 42.62348  ? 64  VAL A CG1 64  VAL A CG1 1 
ATOM 524   C CG2 . VAL A 1 64  ? 273.662 -50.907 249.172 1.0 42.62348  ? 64  VAL A CG2 64  VAL A CG2 1 
ATOM 525   N N   . PRO A 1 65  ? 274.112 -47.578 250.779 1.0 42.75347  ? 65  PRO A N   65  PRO A N   1 
ATOM 526   C CA  . PRO A 1 65  ? 274.380 -46.270 250.173 1.0 42.75347  ? 65  PRO A CA  65  PRO A CA  1 
ATOM 527   C C   . PRO A 1 65  ? 274.894 -46.355 248.746 1.0 42.75347  ? 65  PRO A C   65  PRO A C   1 
ATOM 528   O O   . PRO A 1 65  ? 275.563 -47.312 248.351 1.0 42.75347  ? 65  PRO A O   65  PRO A O   1 
ATOM 529   C CB  . PRO A 1 65  ? 275.438 -45.663 251.097 1.0 42.75347  ? 65  PRO A CB  65  PRO A CB  1 
ATOM 530   C CG  . PRO A 1 65  ? 276.065 -46.802 251.744 1.0 42.75347  ? 65  PRO A CG  65  PRO A CG  1 
ATOM 531   C CD  . PRO A 1 65  ? 274.999 -47.805 251.934 1.0 42.75347  ? 65  PRO A CD  65  PRO A CD  1 
ATOM 532   N N   . ILE A 1 66  ? 274.561 -45.321 247.972 1.0 46.93114  ? 66  ILE A N   66  ILE A N   1 
ATOM 533   C CA  . ILE A 1 66  ? 274.988 -45.246 246.579 1.0 46.93114  ? 66  ILE A CA  66  ILE A CA  1 
ATOM 534   C C   . ILE A 1 66  ? 276.460 -44.886 246.493 1.0 46.93114  ? 66  ILE A C   66  ILE A C   1 
ATOM 535   O O   . ILE A 1 66  ? 277.250 -45.575 245.840 1.0 46.93114  ? 66  ILE A O   66  ILE A O   1 
ATOM 536   C CB  . ILE A 1 66  ? 274.136 -44.220 245.814 1.0 46.93114  ? 66  ILE A CB  66  ILE A CB  1 
ATOM 537   C CG1 . ILE A 1 66  ? 272.662 -44.590 245.872 1.0 46.93114  ? 66  ILE A CG1 66  ILE A CG1 1 
ATOM 538   C CG2 . ILE A 1 66  ? 274.595 -44.117 244.379 1.0 46.93114  ? 66  ILE A CG2 66  ILE A CG2 1 
ATOM 539   C CD1 . ILE A 1 66  ? 272.326 -45.881 245.188 1.0 46.93114  ? 66  ILE A CD1 66  ILE A CD1 1 
ATOM 540   N N   . GLN A 1 67  ? 276.848 -43.790 247.140 1.0 51.69286  ? 67  GLN A N   67  GLN A N   1 
ATOM 541   C CA  . GLN A 1 67  ? 278.169 -43.211 246.915 1.0 51.69286  ? 67  GLN A CA  67  GLN A CA  1 
ATOM 542   C C   . GLN A 1 67  ? 278.579 -42.499 248.205 1.0 51.69286  ? 67  GLN A C   67  GLN A C   1 
ATOM 543   O O   . GLN A 1 67  ? 278.189 -41.356 248.446 1.0 51.69286  ? 67  GLN A O   67  GLN A O   1 
ATOM 544   C CB  . GLN A 1 67  ? 278.133 -42.275 245.715 1.0 51.69286  ? 67  GLN A CB  67  GLN A CB  1 
ATOM 545   C CG  . GLN A 1 67  ? 279.480 -41.858 245.150 1.0 51.69286  ? 67  GLN A CG  67  GLN A CG  1 
ATOM 546   C CD  . GLN A 1 67  ? 280.068 -40.647 245.826 1.0 51.69286  ? 67  GLN A CD  67  GLN A CD  1 
ATOM 547   O OE1 . GLN A 1 67  ? 281.201 -40.672 246.298 1.0 51.69286  ? 67  GLN A OE1 67  GLN A OE1 1 
ATOM 548   N NE2 . GLN A 1 67  ? 279.313 -39.560 245.838 1.0 51.69286  ? 67  GLN A NE2 67  GLN A NE2 1 
ATOM 549   N N   . THR A 1 68  ? 279.364 -43.190 249.024 1.0 52.83315  ? 68  THR A N   68  THR A N   1 
ATOM 550   C CA  . THR A 1 68  ? 279.804 -42.635 250.292 1.0 52.83315  ? 68  THR A CA  68  THR A CA  1 
ATOM 551   C C   . THR A 1 68  ? 280.995 -41.703 250.098 1.0 52.83315  ? 68  THR A C   68  THR A C   1 
ATOM 552   O O   . THR A 1 68  ? 281.544 -41.559 249.005 1.0 52.83315  ? 68  THR A O   68  THR A O   1 
ATOM 553   C CB  . THR A 1 68  ? 280.195 -43.739 251.265 1.0 52.83315  ? 68  THR A CB  68  THR A CB  1 
ATOM 554   O OG1 . THR A 1 68  ? 281.298 -44.477 250.729 1.0 52.83315  ? 68  THR A OG1 68  THR A OG1 1 
ATOM 555   C CG2 . THR A 1 68  ? 279.044 -44.670 251.481 1.0 52.83315  ? 68  THR A CG2 68  THR A CG2 1 
ATOM 556   N N   . GLU A 1 69  ? 281.402 -41.074 251.195 1.0 56.13069  ? 69  GLU A N   69  GLU A N   1 
ATOM 557   C CA  . GLU A 1 69  ? 282.615 -40.271 251.226 1.0 56.13069  ? 69  GLU A CA  69  GLU A CA  1 
ATOM 558   C C   . GLU A 1 69  ? 283.138 -40.277 252.648 1.0 56.13069  ? 69  GLU A C   69  GLU A C   1 
ATOM 559   O O   . GLU A 1 69  ? 282.373 -40.073 253.592 1.0 56.13069  ? 69  GLU A O   69  GLU A O   1 
ATOM 560   C CB  . GLU A 1 69  ? 282.365 -38.836 250.764 1.0 56.13069  ? 69  GLU A CB  69  GLU A CB  1 
ATOM 561   C CG  . GLU A 1 69  ? 283.614 -37.974 250.738 1.0 56.13069  ? 69  GLU A CG  69  GLU A CG  1 
ATOM 562   C CD  . GLU A 1 69  ? 283.344 -36.561 250.271 1.0 56.13069  ? 69  GLU A CD  69  GLU A CD  1 
ATOM 563   O OE1 . GLU A 1 69  ? 282.174 -36.237 249.981 1.0 56.13069  ? 69  GLU A OE1 69  GLU A OE1 1 
ATOM 564   O OE2 . GLU A 1 69  ? 284.306 -35.771 250.197 1.0 56.13069  ? 69  GLU A OE2 69  GLU A OE2 1 
ATOM 565   N N   . ASP A 1 70  ? 284.435 -40.506 252.793 1.0 58.41753  ? 70  ASP A N   70  ASP A N   1 
ATOM 566   C CA  . ASP A 1 70  ? 285.068 -40.648 254.092 1.0 58.41753  ? 70  ASP A CA  70  ASP A CA  1 
ATOM 567   C C   . ASP A 1 70  ? 286.267 -39.716 254.146 1.0 58.41753  ? 70  ASP A C   70  ASP A C   1 
ATOM 568   O O   . ASP A 1 70  ? 287.097 -39.713 253.232 1.0 58.41753  ? 70  ASP A O   70  ASP A O   1 
ATOM 569   C CB  . ASP A 1 70  ? 285.486 -42.107 254.314 1.0 58.41753  ? 70  ASP A CB  70  ASP A CB  1 
ATOM 570   C CG  . ASP A 1 70  ? 285.910 -42.398 255.739 1.0 58.41753  ? 70  ASP A CG  70  ASP A CG  1 
ATOM 571   O OD1 . ASP A 1 70  ? 285.920 -41.480 256.578 1.0 58.41753  ? 70  ASP A OD1 70  ASP A OD1 1 
ATOM 572   O OD2 . ASP A 1 70  ? 286.240 -43.567 256.025 1.0 58.41753  ? 70  ASP A OD2 70  ASP A OD2 1 
ATOM 573   N N   . ASN A 1 71  ? 286.346 -38.919 255.203 1.0 58.41638  ? 71  ASN A N   71  ASN A N   1 
ATOM 574   C CA  . ASN A 1 71  ? 287.538 -38.131 255.490 1.0 58.41638  ? 71  ASN A CA  71  ASN A CA  1 
ATOM 575   C C   . ASN A 1 71  ? 287.690 -38.057 257.004 1.0 58.41638  ? 71  ASN A C   71  ASN A C   1 
ATOM 576   O O   . ASN A 1 71  ? 287.112 -38.860 257.743 1.0 58.41638  ? 71  ASN A O   71  ASN A O   1 
ATOM 577   C CB  . ASN A 1 71  ? 287.496 -36.759 254.794 1.0 58.41638  ? 71  ASN A CB  71  ASN A CB  1 
ATOM 578   C CG  . ASN A 1 71  ? 286.279 -35.939 255.154 1.0 58.41638  ? 71  ASN A CG  71  ASN A CG  1 
ATOM 579   O OD1 . ASN A 1 71  ? 285.402 -36.370 255.899 1.0 58.41638  ? 71  ASN A OD1 71  ASN A OD1 1 
ATOM 580   N ND2 . ASN A 1 71  ? 286.241 -34.719 254.642 1.0 58.41638  ? 71  ASN A ND2 71  ASN A ND2 1 
ATOM 581   N N   . VAL A 1 72  ? 288.500 -37.102 257.467 1.0 60.50798  ? 72  VAL A N   72  VAL A N   1 
ATOM 582   C CA  . VAL A 1 72  ? 288.861 -37.026 258.879 1.0 60.50798  ? 72  VAL A CA  72  VAL A CA  1 
ATOM 583   C C   . VAL A 1 72  ? 287.660 -36.634 259.731 1.0 60.50798  ? 72  VAL A C   72  VAL A C   1 
ATOM 584   O O   . VAL A 1 72  ? 287.415 -37.224 260.789 1.0 60.50798  ? 72  VAL A O   72  VAL A O   1 
ATOM 585   C CB  . VAL A 1 72  ? 290.031 -36.043 259.061 1.0 60.50798  ? 72  VAL A CB  72  VAL A CB  1 
ATOM 586   C CG1 . VAL A 1 72  ? 290.406 -35.905 260.528 1.0 60.50798  ? 72  VAL A CG1 72  VAL A CG1 1 
ATOM 587   C CG2 . VAL A 1 72  ? 291.225 -36.488 258.241 1.0 60.50798  ? 72  VAL A CG2 72  VAL A CG2 1 
ATOM 588   N N   . ASN A 1 73  ? 286.874 -35.663 259.276 1.0 59.03599  ? 73  ASN A N   73  ASN A N   1 
ATOM 589   C CA  . ASN A 1 73  ? 285.855 -35.076 260.134 1.0 59.03599  ? 73  ASN A CA  73  ASN A CA  1 
ATOM 590   C C   . ASN A 1 73  ? 284.486 -35.727 260.020 1.0 59.03599  ? 73  ASN A C   73  ASN A C   1 
ATOM 591   O O   . ASN A 1 73  ? 283.841 -35.946 261.049 1.0 59.03599  ? 73  ASN A O   73  ASN A O   1 
ATOM 592   C CB  . ASN A 1 73  ? 285.724 -33.581 259.844 1.0 59.03599  ? 73  ASN A CB  73  ASN A CB  1 
ATOM 593   C CG  . ASN A 1 73  ? 286.976 -32.818 260.196 1.0 59.03599  ? 73  ASN A CG  73  ASN A CG  1 
ATOM 594   O OD1 . ASN A 1 73  ? 287.637 -32.252 259.328 1.0 59.03599  ? 73  ASN A OD1 73  ASN A OD1 1 
ATOM 595   N ND2 . ASN A 1 73  ? 287.318 -32.809 261.477 1.0 59.03599  ? 73  ASN A ND2 73  ASN A ND2 1 
ATOM 596   N N   . TYR A 1 74  ? 284.013 -36.043 258.818 1.0 55.15487  ? 74  TYR A N   74  TYR A N   1 
ATOM 597   C CA  . TYR A 1 74  ? 282.648 -36.530 258.666 1.0 55.15487  ? 74  TYR A CA  74  TYR A CA  1 
ATOM 598   C C   . TYR A 1 74  ? 282.657 -37.807 257.837 1.0 55.15487  ? 74  TYR A C   74  TYR A C   1 
ATOM 599   O O   . TYR A 1 74  ? 283.713 -38.338 257.484 1.0 55.15487  ? 74  TYR A O   74  TYR A O   1 
ATOM 600   C CB  . TYR A 1 74  ? 281.742 -35.448 258.061 1.0 55.15487  ? 74  TYR A CB  74  TYR A CB  1 
ATOM 601   C CG  . TYR A 1 74  ? 282.106 -34.990 256.668 1.0 55.15487  ? 74  TYR A CG  74  TYR A CG  1 
ATOM 602   C CD1 . TYR A 1 74  ? 282.981 -33.934 256.474 1.0 55.15487  ? 74  TYR A CD1 74  TYR A CD1 1 
ATOM 603   C CD2 . TYR A 1 74  ? 281.544 -35.588 255.548 1.0 55.15487  ? 74  TYR A CD2 74  TYR A CD2 1 
ATOM 604   C CE1 . TYR A 1 74  ? 283.304 -33.503 255.208 1.0 55.15487  ? 74  TYR A CE1 74  TYR A CE1 1 
ATOM 605   C CE2 . TYR A 1 74  ? 281.867 -35.168 254.279 1.0 55.15487  ? 74  TYR A CE2 74  TYR A CE2 1 
ATOM 606   C CZ  . TYR A 1 74  ? 282.747 -34.126 254.115 1.0 55.15487  ? 74  TYR A CZ  74  TYR A CZ  1 
ATOM 607   O OH  . TYR A 1 74  ? 283.069 -33.699 252.847 1.0 55.15487  ? 74  TYR A OH  74  TYR A OH  1 
ATOM 608   N N   . TYR A 1 75  ? 281.458 -38.303 257.529 1.0 51.19929  ? 75  TYR A N   75  TYR A N   1 
ATOM 609   C CA  . TYR A 1 75  ? 281.294 -39.515 256.730 1.0 51.19929  ? 75  TYR A CA  75  TYR A CA  1 
ATOM 610   C C   . TYR A 1 75  ? 279.975 -39.395 255.972 1.0 51.19929  ? 75  TYR A C   75  TYR A C   1 
ATOM 611   O O   . TYR A 1 75  ? 278.914 -39.685 256.530 1.0 51.19929  ? 75  TYR A O   75  TYR A O   1 
ATOM 612   C CB  . TYR A 1 75  ? 281.320 -40.755 257.610 1.0 51.19929  ? 75  TYR A CB  75  TYR A CB  1 
ATOM 613   C CG  . TYR A 1 75  ? 281.179 -42.051 256.851 1.0 51.19929  ? 75  TYR A CG  75  TYR A CG  1 
ATOM 614   C CD1 . TYR A 1 75  ? 282.248 -42.586 256.149 1.0 51.19929  ? 75  TYR A CD1 75  TYR A CD1 1 
ATOM 615   C CD2 . TYR A 1 75  ? 279.975 -42.739 256.835 1.0 51.19929  ? 75  TYR A CD2 75  TYR A CD2 1 
ATOM 616   C CE1 . TYR A 1 75  ? 282.123 -43.771 255.453 1.0 51.19929  ? 75  TYR A CE1 75  TYR A CE1 1 
ATOM 617   C CE2 . TYR A 1 75  ? 279.838 -43.921 256.140 1.0 51.19929  ? 75  TYR A CE2 75  TYR A CE2 1 
ATOM 618   C CZ  . TYR A 1 75  ? 280.915 -44.432 255.453 1.0 51.19929  ? 75  TYR A CZ  75  TYR A CZ  1 
ATOM 619   O OH  . TYR A 1 75  ? 280.786 -45.610 254.760 1.0 51.19929  ? 75  TYR A OH  75  TYR A OH  1 
ATOM 620   N N   . LYS A 1 76  ? 280.047 -38.967 254.714 1.0 51.61013  ? 76  LYS A N   76  LYS A N   1 
ATOM 621   C CA  . LYS A 1 76  ? 278.858 -38.875 253.877 1.0 51.61013  ? 76  LYS A CA  76  LYS A CA  1 
ATOM 622   C C   . LYS A 1 76  ? 278.359 -40.262 253.504 1.0 51.61013  ? 76  LYS A C   76  LYS A C   1 
ATOM 623   O O   . LYS A 1 76  ? 279.147 -41.161 253.207 1.0 51.61013  ? 76  LYS A O   76  LYS A O   1 
ATOM 624   C CB  . LYS A 1 76  ? 279.161 -38.083 252.599 1.0 51.61013  ? 76  LYS A CB  76  LYS A CB  1 
ATOM 625   C CG  . LYS A 1 76  ? 277.986 -37.967 251.621 1.0 51.61013  ? 76  LYS A CG  76  LYS A CG  1 
ATOM 626   C CD  . LYS A 1 76  ? 278.276 -37.078 250.430 1.0 51.61013  ? 76  LYS A CD  76  LYS A CD  1 
ATOM 627   C CE  . LYS A 1 76  ? 279.129 -37.783 249.402 1.0 51.61013  ? 76  LYS A CE  76  LYS A CE  1 
ATOM 628   N NZ  . LYS A 1 76  ? 278.398 -38.898 248.749 1.0 51.61013  ? 76  LYS A NZ  76  LYS A NZ  1 
ATOM 629   N N   . ALA A 1 77  ? 277.043 -40.437 253.536 1.0 47.84455  ? 77  ALA A N   77  ALA A N   1 
ATOM 630   C CA  . ALA A 1 77  ? 276.389 -41.534 252.845 1.0 47.84455  ? 77  ALA A CA  77  ALA A CA  1 
ATOM 631   C C   . ALA A 1 77  ? 275.199 -40.984 252.078 1.0 47.84455  ? 77  ALA A C   77  ALA A C   1 
ATOM 632   O O   . ALA A 1 77  ? 274.560 -40.023 252.507 1.0 47.84455  ? 77  ALA A O   77  ALA A O   1 
ATOM 633   C CB  . ALA A 1 77  ? 275.934 -42.614 253.801 1.0 47.84455  ? 77  ALA A CB  77  ALA A CB  1 
ATOM 634   N N   . ARG A 1 78  ? 274.914 -41.591 250.932 1.0 46.02559  ? 78  ARG A N   78  ARG A N   1 
ATOM 635   C CA  . ARG A 1 78  ? 273.861 -41.117 250.044 1.0 46.02559  ? 78  ARG A CA  78  ARG A CA  1 
ATOM 636   C C   . ARG A 1 78  ? 273.030 -42.299 249.580 1.0 46.02559  ? 78  ARG A C   78  ARG A C   1 
ATOM 637   O O   . ARG A 1 78  ? 273.557 -43.227 248.962 1.0 46.02559  ? 78  ARG A O   78  ARG A O   1 
ATOM 638   C CB  . ARG A 1 78  ? 274.448 -40.363 248.851 1.0 46.02559  ? 78  ARG A CB  78  ARG A CB  1 
ATOM 639   C CG  . ARG A 1 78  ? 273.415 -39.863 247.864 1.0 46.02559  ? 78  ARG A CG  78  ARG A CG  1 
ATOM 640   C CD  . ARG A 1 78  ? 274.059 -39.019 246.786 1.0 46.02559  ? 78  ARG A CD  78  ARG A CD  1 
ATOM 641   N NE  . ARG A 1 78  ? 273.086 -38.614 245.784 1.0 46.02559  ? 78  ARG A NE  78  ARG A NE  1 
ATOM 642   C CZ  . ARG A 1 78  ? 272.820 -39.322 244.692 1.0 46.02559  ? 78  ARG A CZ  78  ARG A CZ  1 
ATOM 643   N NH1 . ARG A 1 78  ? 273.458 -40.457 244.465 1.0 46.02559  ? 78  ARG A NH1 78  ARG A NH1 1 
ATOM 644   N NH2 . ARG A 1 78  ? 271.917 -38.905 243.820 1.0 46.02559  ? 78  ARG A NH2 78  ARG A NH2 1 
ATOM 645   N N   . PHE A 1 79  ? 271.738 -42.256 249.870 1.0 43.47025  ? 79  PHE A N   79  PHE A N   1 
ATOM 646   C CA  . PHE A 1 79  ? 270.824 -43.357 249.619 1.0 43.47025  ? 79  PHE A CA  79  PHE A CA  1 
ATOM 647   C C   . PHE A 1 79  ? 269.833 -42.969 248.535 1.0 43.47025  ? 79  PHE A C   79  PHE A C   1 
ATOM 648   O O   . PHE A 1 79  ? 269.493 -41.795 248.380 1.0 43.47025  ? 79  PHE A O   79  PHE A O   1 
ATOM 649   C CB  . PHE A 1 79  ? 270.064 -43.723 250.891 1.0 43.47025  ? 79  PHE A CB  79  PHE A CB  1 
ATOM 650   C CG  . PHE A 1 79  ? 270.934 -44.247 251.982 1.0 43.47025  ? 79  PHE A CG  79  PHE A CG  1 
ATOM 651   C CD1 . PHE A 1 79  ? 271.245 -45.588 252.047 1.0 43.47025  ? 79  PHE A CD1 79  PHE A CD1 1 
ATOM 652   C CD2 . PHE A 1 79  ? 271.460 -43.394 252.933 1.0 43.47025  ? 79  PHE A CD2 79  PHE A CD2 1 
ATOM 653   C CE1 . PHE A 1 79  ? 272.047 -46.072 253.048 1.0 43.47025  ? 79  PHE A CE1 79  PHE A CE1 1 
ATOM 654   C CE2 . PHE A 1 79  ? 272.269 -43.873 253.930 1.0 43.47025  ? 79  PHE A CE2 79  PHE A CE2 1 
ATOM 655   C CZ  . PHE A 1 79  ? 272.558 -45.213 253.985 1.0 43.47025  ? 79  PHE A CZ  79  PHE A CZ  1 
ATOM 656   N N   . THR A 1 80  ? 269.375 -43.959 247.781 1.0 43.50057  ? 80  THR A N   80  THR A N   1 
ATOM 657   C CA  . THR A 1 80  ? 268.268 -43.780 246.848 1.0 43.50057  ? 80  THR A CA  80  THR A CA  1 
ATOM 658   C C   . THR A 1 80  ? 267.098 -44.572 247.422 1.0 43.50057  ? 80  THR A C   80  THR A C   1 
ATOM 659   O O   . THR A 1 80  ? 266.927 -45.759 247.140 1.0 43.50057  ? 80  THR A O   80  THR A O   1 
ATOM 660   C CB  . THR A 1 80  ? 268.628 -44.225 245.434 1.0 43.50057  ? 80  THR A CB  80  THR A CB  1 
ATOM 661   O OG1 . THR A 1 80  ? 269.745 -43.462 244.972 1.0 43.50057  ? 80  THR A OG1 80  THR A OG1 1 
ATOM 662   C CG2 . THR A 1 80  ? 267.469 -43.978 244.479 1.0 43.50057  ? 80  THR A CG2 80  THR A CG2 1 
ATOM 663   N N   . LEU A 1 81  ? 266.318 -43.912 248.272 1.0 43.32963  ? 81  LEU A N   81  LEU A N   1 
ATOM 664   C CA  . LEU A 1 81  ? 265.072 -44.485 248.759 1.0 43.32963  ? 81  LEU A CA  81  LEU A CA  1 
ATOM 665   C C   . LEU A 1 81  ? 264.085 -44.521 247.608 1.0 43.32963  ? 81  LEU A C   81  LEU A C   1 
ATOM 666   O O   . LEU A 1 81  ? 263.506 -43.494 247.243 1.0 43.32963  ? 81  LEU A O   81  LEU A O   1 
ATOM 667   C CB  . LEU A 1 81  ? 264.531 -43.670 249.926 1.0 43.32963  ? 81  LEU A CB  81  LEU A CB  1 
ATOM 668   C CG  . LEU A 1 81  ? 263.196 -44.142 250.494 1.0 43.32963  ? 81  LEU A CG  81  LEU A CG  1 
ATOM 669   C CD1 . LEU A 1 81  ? 263.302 -45.568 250.978 1.0 43.32963  ? 81  LEU A CD1 81  LEU A CD1 1 
ATOM 670   C CD2 . LEU A 1 81  ? 262.770 -43.228 251.621 1.0 43.32963  ? 81  LEU A CD2 81  LEU A CD2 1 
ATOM 671   N N   . ASN A 1 82  ? 263.907 -45.695 247.019 1.0 45.77094  ? 82  ASN A N   82  ASN A N   1 
ATOM 672   C CA  . ASN A 1 82  ? 263.172 -45.837 245.772 1.0 45.77094  ? 82  ASN A CA  82  ASN A CA  1 
ATOM 673   C C   . ASN A 1 82  ? 261.806 -46.427 246.099 1.0 45.77094  ? 82  ASN A C   82  ASN A C   1 
ATOM 674   O O   . ASN A 1 82  ? 261.589 -47.634 246.026 1.0 45.77094  ? 82  ASN A O   82  ASN A O   1 
ATOM 675   C CB  . ASN A 1 82  ? 263.956 -46.697 244.821 1.0 45.77094  ? 82  ASN A CB  82  ASN A CB  1 
ATOM 676   C CG  . ASN A 1 82  ? 263.447 -46.616 243.405 1.0 45.77094  ? 82  ASN A CG  82  ASN A CG  1 
ATOM 677   O OD1 . ASN A 1 82  ? 262.493 -45.899 243.113 1.0 45.77094  ? 82  ASN A OD1 82  ASN A OD1 1 
ATOM 678   N ND2 . ASN A 1 82  ? 264.088 -47.354 242.508 1.0 45.77094  ? 82  ASN A ND2 82  ASN A ND2 1 
ATOM 679   N N   . VAL A 1 83  ? 260.877 -45.552 246.467 1.0 45.29528  ? 83  VAL A N   83  VAL A N   1 
ATOM 680   C CA  . VAL A 1 83  ? 259.509 -45.964 246.749 1.0 45.29528  ? 83  VAL A CA  83  VAL A CA  1 
ATOM 681   C C   . VAL A 1 83  ? 258.803 -46.120 245.412 1.0 45.29528  ? 83  VAL A C   83  VAL A C   1 
ATOM 682   O O   . VAL A 1 83  ? 258.524 -45.134 244.729 1.0 45.29528  ? 83  VAL A O   83  VAL A O   1 
ATOM 683   C CB  . VAL A 1 83  ? 258.785 -44.953 247.642 1.0 45.29528  ? 83  VAL A CB  83  VAL A CB  1 
ATOM 684   C CG1 . VAL A 1 83  ? 257.350 -45.373 247.858 1.0 45.29528  ? 83  VAL A CG1 83  VAL A CG1 1 
ATOM 685   C CG2 . VAL A 1 83  ? 259.504 -44.823 248.955 1.0 45.29528  ? 83  VAL A CG2 83  VAL A CG2 1 
ATOM 686   N N   . GLY A 1 84  ? 258.506 -47.354 245.034 1.0 47.53199  ? 84  GLY A N   84  GLY A N   1 
ATOM 687   C CA  . GLY A 1 84  ? 257.809 -47.580 243.792 1.0 47.53199  ? 84  GLY A CA  84  GLY A CA  1 
ATOM 688   C C   . GLY A 1 84  ? 256.342 -47.222 243.908 1.0 47.53199  ? 84  GLY A C   84  GLY A C   1 
ATOM 689   O O   . GLY A 1 84  ? 255.864 -46.681 244.906 1.0 47.53199  ? 84  GLY A O   84  GLY A O   1 
ATOM 690   N N   . ASP A 1 85  ? 255.605 -47.568 242.859 1.0 51.46881  ? 85  ASP A N   85  ASP A N   1 
ATOM 691   C CA  . ASP A 1 85  ? 254.159 -47.424 242.864 1.0 51.46881  ? 85  ASP A CA  85  ASP A CA  1 
ATOM 692   C C   . ASP A 1 85  ? 253.552 -48.399 243.873 1.0 51.46881  ? 85  ASP A C   85  ASP A C   1 
ATOM 693   O O   . ASP A 1 85  ? 254.228 -49.289 244.385 1.0 51.46881  ? 85  ASP A O   85  ASP A O   1 
ATOM 694   C CB  . ASP A 1 85  ? 253.616 -47.669 241.458 1.0 51.46881  ? 85  ASP A CB  85  ASP A CB  1 
ATOM 695   C CG  . ASP A 1 85  ? 252.221 -47.135 241.265 1.0 51.46881  ? 85  ASP A CG  85  ASP A CG  1 
ATOM 696   O OD1 . ASP A 1 85  ? 251.654 -46.570 242.221 1.0 51.46881  ? 85  ASP A OD1 85  ASP A OD1 1 
ATOM 697   O OD2 . ASP A 1 85  ? 251.690 -47.285 240.145 1.0 51.46881  ? 85  ASP A OD2 85  ASP A OD2 1 
ATOM 698   N N   . ASN A 1 86  ? 252.294 -48.158 244.240 1.0 50.51716  ? 86  ASN A N   86  ASN A N   1 
ATOM 699   C CA  . ASN A 1 86  ? 251.492 -49.013 245.119 1.0 50.51716  ? 86  ASN A CA  86  ASN A CA  1 
ATOM 700   C C   . ASN A 1 86  ? 252.103 -49.220 246.507 1.0 50.51716  ? 86  ASN A C   86  ASN A C   1 
ATOM 701   O O   . ASN A 1 86  ? 251.708 -50.149 247.219 1.0 50.51716  ? 86  ASN A O   86  ASN A O   1 
ATOM 702   C CB  . ASN A 1 86  ? 251.216 -50.369 244.461 1.0 50.51716  ? 86  ASN A CB  86  ASN A CB  1 
ATOM 703   C CG  . ASN A 1 86  ? 250.351 -50.242 243.235 1.0 50.51716  ? 86  ASN A CG  86  ASN A CG  1 
ATOM 704   O OD1 . ASN A 1 86  ? 249.367 -49.505 243.231 1.0 50.51716  ? 86  ASN A OD1 86  ASN A OD1 1 
ATOM 705   N ND2 . ASN A 1 86  ? 250.722 -50.942 242.174 1.0 50.51716  ? 86  ASN A ND2 86  ASN A ND2 1 
ATOM 706   N N   . ARG A 1 87  ? 253.053 -48.381 246.906 1.0 49.1302   ? 87  ARG A N   87  ARG A N   1 
ATOM 707   C CA  . ARG A 1 87  ? 253.757 -48.502 248.169 1.0 49.1302   ? 87  ARG A CA  87  ARG A CA  1 
ATOM 708   C C   . ARG A 1 87  ? 253.701 -47.180 248.912 1.0 49.1302   ? 87  ARG A C   87  ARG A C   1 
ATOM 709   O O   . ARG A 1 87  ? 253.747 -46.106 248.310 1.0 49.1302   ? 87  ARG A O   87  ARG A O   1 
ATOM 710   C CB  . ARG A 1 87  ? 255.216 -48.906 247.966 1.0 49.1302   ? 87  ARG A CB  87  ARG A CB  1 
ATOM 711   C CG  . ARG A 1 87  ? 255.445 -50.357 247.607 1.0 49.1302   ? 87  ARG A CG  87  ARG A CG  1 
ATOM 712   C CD  . ARG A 1 87  ? 256.931 -50.600 247.462 1.0 49.1302   ? 87  ARG A CD  87  ARG A CD  1 
ATOM 713   N NE  . ARG A 1 87  ? 257.273 -52.011 247.300 1.0 49.1302   ? 87  ARG A NE  87  ARG A NE  1 
ATOM 714   C CZ  . ARG A 1 87  ? 258.510 -52.458 247.102 1.0 49.1302   ? 87  ARG A CZ  87  ARG A CZ  1 
ATOM 715   N NH1 . ARG A 1 87  ? 259.524 -51.605 247.028 1.0 49.1302   ? 87  ARG A NH1 87  ARG A NH1 1 
ATOM 716   N NH2 . ARG A 1 87  ? 258.738 -53.752 246.968 1.0 49.1302   ? 87  ARG A NH2 87  ARG A NH2 1 
ATOM 717   N N   . LEU A 1 88  ? 253.598 -47.270 250.230 1.0 46.36756  ? 88  LEU A N   88  LEU A N   1 
ATOM 718   C CA  . LEU A 1 88  ? 253.547 -46.108 251.100 1.0 46.36756  ? 88  LEU A CA  88  LEU A CA  1 
ATOM 719   C C   . LEU A 1 88  ? 254.496 -46.330 252.262 1.0 46.36756  ? 88  LEU A C   88  LEU A C   1 
ATOM 720   O O   . LEU A 1 88  ? 254.497 -47.404 252.869 1.0 46.36756  ? 88  LEU A O   88  LEU A O   1 
ATOM 721   C CB  . LEU A 1 88  ? 252.140 -45.884 251.625 1.0 46.36756  ? 88  LEU A CB  88  LEU A CB  1 
ATOM 722   C CG  . LEU A 1 88  ? 251.070 -45.527 250.605 1.0 46.36756  ? 88  LEU A CG  88  LEU A CG  1 
ATOM 723   C CD1 . LEU A 1 88  ? 249.735 -45.590 251.278 1.0 46.36756  ? 88  LEU A CD1 88  LEU A CD1 1 
ATOM 724   C CD2 . LEU A 1 88  ? 251.315 -44.149 250.045 1.0 46.36756  ? 88  LEU A CD2 88  LEU A CD2 1 
ATOM 725   N N   . VAL A 1 89  ? 255.302 -45.323 252.576 1.0 42.05872  ? 89  VAL A N   89  VAL A N   1 
ATOM 726   C CA  . VAL A 1 89  ? 256.230 -45.409 253.694 1.0 42.05872  ? 89  VAL A CA  89  VAL A CA  1 
ATOM 727   C C   . VAL A 1 89  ? 256.033 -44.192 254.586 1.0 42.05872  ? 89  VAL A C   89  VAL A C   1 
ATOM 728   O O   . VAL A 1 89  ? 255.829 -43.075 254.097 1.0 42.05872  ? 89  VAL A O   89  VAL A O   1 
ATOM 729   C CB  . VAL A 1 89  ? 257.694 -45.559 253.218 1.0 42.05872  ? 89  VAL A CB  89  VAL A CB  1 
ATOM 730   C CG1 . VAL A 1 89  ? 258.153 -44.399 252.371 1.0 42.05872  ? 89  VAL A CG1 89  VAL A CG1 1 
ATOM 731   C CG2 . VAL A 1 89  ? 258.646 -45.763 254.389 1.0 42.05872  ? 89  VAL A CG2 89  VAL A CG2 1 
ATOM 732   N N   . ASP A 1 90  ? 255.996 -44.427 255.891 1.0 44.1223   ? 90  ASP A N   90  ASP A N   1 
ATOM 733   C CA  . ASP A 1 90  ? 256.110 -43.363 256.871 1.0 44.1223   ? 90  ASP A CA  90  ASP A CA  1 
ATOM 734   C C   . ASP A 1 90  ? 257.569 -43.294 257.293 1.0 44.1223   ? 90  ASP A C   90  ASP A C   1 
ATOM 735   O O   . ASP A 1 90  ? 258.177 -44.322 257.604 1.0 44.1223   ? 90  ASP A O   90  ASP A O   1 
ATOM 736   C CB  . ASP A 1 90  ? 255.204 -43.635 258.072 1.0 44.1223   ? 90  ASP A CB  90  ASP A CB  1 
ATOM 737   C CG  . ASP A 1 90  ? 255.035 -42.423 258.976 1.0 44.1223   ? 90  ASP A CG  90  ASP A CG  1 
ATOM 738   O OD1 . ASP A 1 90  ? 255.617 -41.361 258.685 1.0 44.1223   ? 90  ASP A OD1 90  ASP A OD1 1 
ATOM 739   O OD2 . ASP A 1 90  ? 254.310 -42.528 259.984 1.0 44.1223   ? 90  ASP A OD2 90  ASP A OD2 1 
ATOM 740   N N   . LEU A 1 91  ? 258.133 -42.089 257.307 1.0 42.40387  ? 91  LEU A N   91  LEU A N   1 
ATOM 741   C CA  . LEU A 1 91  ? 259.531 -41.945 257.690 1.0 42.40387  ? 91  LEU A CA  91  LEU A CA  1 
ATOM 742   C C   . LEU A 1 91  ? 259.761 -42.068 259.190 1.0 42.40387  ? 91  LEU A C   91  LEU A C   1 
ATOM 743   O O   . LEU A 1 91  ? 260.913 -41.982 259.625 1.0 42.40387  ? 91  LEU A O   91  LEU A O   1 
ATOM 744   C CB  . LEU A 1 91  ? 260.092 -40.612 257.199 1.0 42.40387  ? 91  LEU A CB  91  LEU A CB  1 
ATOM 745   C CG  . LEU A 1 91  ? 260.229 -40.448 255.689 1.0 42.40387  ? 91  LEU A CG  91  LEU A CG  1 
ATOM 746   C CD1 . LEU A 1 91  ? 260.765 -39.069 255.355 1.0 42.40387  ? 91  LEU A CD1 91  LEU A CD1 1 
ATOM 747   C CD2 . LEU A 1 91  ? 261.104 -41.521 255.085 1.0 42.40387  ? 91  LEU A CD2 91  LEU A CD2 1 
ATOM 748   N N   . GLY A 1 92  ? 258.710 -42.256 259.990 1.0 43.96405  ? 92  GLY A N   92  GLY A N   1 
ATOM 749   C CA  . GLY A 1 92  ? 258.907 -42.667 261.366 1.0 43.96405  ? 92  GLY A CA  92  GLY A CA  1 
ATOM 750   C C   . GLY A 1 92  ? 259.476 -44.065 261.474 1.0 43.96405  ? 92  GLY A C   92  GLY A C   1 
ATOM 751   O O   . GLY A 1 92  ? 260.166 -44.386 262.445 1.0 43.96405  ? 92  GLY A O   92  GLY A O   1 
ATOM 752   N N   . SER A 1 93  ? 259.211 -44.909 260.478 1.0 43.12069  ? 93  SER A N   93  SER A N   1 
ATOM 753   C CA  . SER A 1 93  ? 259.797 -46.238 260.407 1.0 43.12069  ? 93  SER A CA  93  SER A CA  1 
ATOM 754   C C   . SER A 1 93  ? 261.223 -46.233 259.879 1.0 43.12069  ? 93  SER A C   93  SER A C   1 
ATOM 755   O O   . SER A 1 93  ? 261.850 -47.295 259.834 1.0 43.12069  ? 93  SER A O   93  SER A O   1 
ATOM 756   C CB  . SER A 1 93  ? 258.941 -47.137 259.522 1.0 43.12069  ? 93  SER A CB  93  SER A CB  1 
ATOM 757   O OG  . SER A 1 93  ? 258.957 -46.675 258.187 1.0 43.12069  ? 93  SER A OG  93  SER A OG  1 
ATOM 758   N N   . SER A 1 94  ? 261.746 -45.080 259.475 1.0 42.18277  ? 94  SER A N   94  SER A N   1 
ATOM 759   C CA  . SER A 1 94  ? 263.090 -45.009 258.927 1.0 42.18277  ? 94  SER A CA  94  SER A CA  1 
ATOM 760   C C   . SER A 1 94  ? 264.118 -44.833 260.030 1.0 42.18277  ? 94  SER A C   94  SER A C   1 
ATOM 761   O O   . SER A 1 94  ? 263.922 -44.051 260.962 1.0 42.18277  ? 94  SER A O   94  SER A O   1 
ATOM 762   C CB  . SER A 1 94  ? 263.202 -43.853 257.938 1.0 42.18277  ? 94  SER A CB  94  SER A CB  1 
ATOM 763   O OG  . SER A 1 94  ? 262.370 -44.067 256.817 1.0 42.18277  ? 94  SER A OG  94  SER A OG  1 
ATOM 764   N N   . TYR A 1 95  ? 265.221 -45.568 259.916 1.0 42.9658   ? 95  TYR A N   95  TYR A N   1 
ATOM 765   C CA  . TYR A 1 95  ? 266.366 -45.388 260.792 1.0 42.9658   ? 95  TYR A CA  95  TYR A CA  1 
ATOM 766   C C   . TYR A 1 95  ? 267.611 -45.879 260.079 1.0 42.9658   ? 95  TYR A C   95  TYR A C   1 
ATOM 767   O O   . TYR A 1 95  ? 267.536 -46.732 259.193 1.0 42.9658   ? 95  TYR A O   95  TYR A O   1 
ATOM 768   C CB  . TYR A 1 95  ? 266.190 -46.113 262.129 1.0 42.9658   ? 95  TYR A CB  95  TYR A CB  1 
ATOM 769   C CG  . TYR A 1 95  ? 265.975 -47.605 262.059 1.0 42.9658   ? 95  TYR A CG  95  TYR A CG  1 
ATOM 770   C CD1 . TYR A 1 95  ? 264.699 -48.130 261.958 1.0 42.9658   ? 95  TYR A CD1 95  TYR A CD1 1 
ATOM 771   C CD2 . TYR A 1 95  ? 267.040 -48.488 262.142 1.0 42.9658   ? 95  TYR A CD2 95  TYR A CD2 1 
ATOM 772   C CE1 . TYR A 1 95  ? 264.492 -49.489 261.909 1.0 42.9658   ? 95  TYR A CE1 95  TYR A CE1 1 
ATOM 773   C CE2 . TYR A 1 95  ? 266.841 -49.845 262.088 1.0 42.9658   ? 95  TYR A CE2 95  TYR A CE2 1 
ATOM 774   C CZ  . TYR A 1 95  ? 265.567 -50.339 261.977 1.0 42.9658   ? 95  TYR A CZ  95  TYR A CZ  1 
ATOM 775   O OH  . TYR A 1 95  ? 265.371 -51.696 261.929 1.0 42.9658   ? 95  TYR A OH  95  TYR A OH  1 
ATOM 776   N N   . PHE A 1 96  ? 268.753 -45.328 260.471 1.0 42.64101  ? 96  PHE A N   96  PHE A N   1 
ATOM 777   C CA  . PHE A 1 96  ? 270.036 -45.756 259.938 1.0 42.64101  ? 96  PHE A CA  96  PHE A CA  1 
ATOM 778   C C   . PHE A 1 96  ? 270.597 -46.854 260.829 1.0 42.64101  ? 96  PHE A C   96  PHE A C   1 
ATOM 779   O O   . PHE A 1 96  ? 270.754 -46.661 262.038 1.0 42.64101  ? 96  PHE A O   96  PHE A O   1 
ATOM 780   C CB  . PHE A 1 96  ? 271.019 -44.591 259.867 1.0 42.64101  ? 96  PHE A CB  96  PHE A CB  1 
ATOM 781   C CG  . PHE A 1 96  ? 270.617 -43.503 258.921 1.0 42.64101  ? 96  PHE A CG  96  PHE A CG  1 
ATOM 782   C CD1 . PHE A 1 96  ? 270.887 -43.603 257.570 1.0 42.64101  ? 96  PHE A CD1 96  PHE A CD1 1 
ATOM 783   C CD2 . PHE A 1 96  ? 269.984 -42.368 259.388 1.0 42.64101  ? 96  PHE A CD2 96  PHE A CD2 1 
ATOM 784   C CE1 . PHE A 1 96  ? 270.526 -42.592 256.703 1.0 42.64101  ? 96  PHE A CE1 96  PHE A CE1 1 
ATOM 785   C CE2 . PHE A 1 96  ? 269.620 -41.359 258.523 1.0 42.64101  ? 96  PHE A CE2 96  PHE A CE2 1 
ATOM 786   C CZ  . PHE A 1 96  ? 269.896 -41.471 257.183 1.0 42.64101  ? 96  PHE A CZ  96  PHE A CZ  1 
ATOM 787   N N   . ASP A 1 97  ? 270.894 -47.998 260.232 1.0 45.07464  ? 97  ASP A N   97  ASP A N   1 
ATOM 788   C CA  . ASP A 1 97  ? 271.422 -49.153 260.949 1.0 45.07464  ? 97  ASP A CA  97  ASP A CA  1 
ATOM 789   C C   . ASP A 1 97  ? 272.935 -49.139 260.784 1.0 45.07464  ? 97  ASP A C   97  ASP A C   1 
ATOM 790   O O   . ASP A 1 97  ? 273.481 -49.678 259.825 1.0 45.07464  ? 97  ASP A O   97  ASP A O   1 
ATOM 791   C CB  . ASP A 1 97  ? 270.789 -50.431 260.419 1.0 45.07464  ? 97  ASP A CB  97  ASP A CB  1 
ATOM 792   C CG  . ASP A 1 97  ? 271.268 -51.664 261.138 1.0 45.07464  ? 97  ASP A CG  97  ASP A CG  1 
ATOM 793   O OD1 . ASP A 1 97  ? 270.889 -51.872 262.310 1.0 45.07464  ? 97  ASP A OD1 97  ASP A OD1 1 
ATOM 794   O OD2 . ASP A 1 97  ? 272.001 -52.451 260.509 1.0 45.07464  ? 97  ASP A OD2 97  ASP A OD2 1 
ATOM 795   N N   . ILE A 1 98  ? 273.614 -48.510 261.731 1.0 45.72381  ? 98  ILE A N   98  ILE A N   1 
ATOM 796   C CA  . ILE A 1 98  ? 275.047 -48.268 261.644 1.0 45.72381  ? 98  ILE A CA  98  ILE A CA  1 
ATOM 797   C C   . ILE A 1 98  ? 275.795 -49.422 262.289 1.0 45.72381  ? 98  ILE A C   98  ILE A C   1 
ATOM 798   O O   . ILE A 1 98  ? 275.524 -49.785 263.438 1.0 45.72381  ? 98  ILE A O   98  ILE A O   1 
ATOM 799   C CB  . ILE A 1 98  ? 275.409 -46.941 262.326 1.0 45.72381  ? 98  ILE A CB  98  ILE A CB  1 
ATOM 800   C CG1 . ILE A 1 98  ? 274.778 -45.765 261.593 1.0 45.72381  ? 98  ILE A CG1 98  ILE A CG1 1 
ATOM 801   C CG2 . ILE A 1 98  ? 276.891 -46.778 262.430 1.0 45.72381  ? 98  ILE A CG2 98  ILE A CG2 1 
ATOM 802   C CD1 . ILE A 1 98  ? 274.867 -44.490 262.373 1.0 45.72381  ? 98  ILE A CD1 98  ILE A CD1 1 
ATOM 803   N N   . LYS A 1 99  ? 276.739 -49.998 261.555 1.0 49.33816  ? 99  LYS A N   99  LYS A N   1 
ATOM 804   C CA  . LYS A 1 99  ? 277.661 -50.987 262.087 1.0 49.33816  ? 99  LYS A CA  99  LYS A CA  1 
ATOM 805   C C   . LYS A 1 99  ? 279.075 -50.445 261.964 1.0 49.33816  ? 99  LYS A C   99  LYS A C   1 
ATOM 806   O O   . LYS A 1 99  ? 279.430 -49.847 260.946 1.0 49.33816  ? 99  LYS A O   99  LYS A O   1 
ATOM 807   C CB  . LYS A 1 99  ? 277.538 -52.317 261.343 1.0 49.33816  ? 99  LYS A CB  99  LYS A CB  1 
ATOM 808   C CG  . LYS A 1 99  ? 278.368 -53.438 261.934 1.0 49.33816  ? 99  LYS A CG  99  LYS A CG  1 
ATOM 809   C CD  . LYS A 1 99  ? 278.304 -54.688 261.081 1.0 49.33816  ? 99  LYS A CD  99  LYS A CD  1 
ATOM 810   C CE  . LYS A 1 99  ? 276.962 -55.369 261.213 1.0 49.33816  ? 99  LYS A CE  99  LYS A CE  1 
ATOM 811   N NZ  . LYS A 1 99  ? 276.940 -56.659 260.476 1.0 49.33816  ? 99  LYS A NZ  99  LYS A NZ  1 
ATOM 812   N N   . GLY A 1 100 ? 279.874 -50.634 263.006 1.0 51.08411  ? 100 GLY A N   100 GLY A N   1 
ATOM 813   C CA  . GLY A 1 100 ? 281.241 -50.171 262.978 1.0 51.08411  ? 100 GLY A CA  100 GLY A CA  1 
ATOM 814   C C   . GLY A 1 100 ? 282.063 -50.824 264.065 1.0 51.08411  ? 100 GLY A C   100 GLY A C   1 
ATOM 815   O O   . GLY A 1 100 ? 281.661 -51.825 264.658 1.0 51.08411  ? 100 GLY A O   100 GLY A O   1 
ATOM 816   N N   . THR A 1 101 ? 283.231 -50.241 264.317 1.0 54.70061  ? 101 THR A N   101 THR A N   1 
ATOM 817   C CA  . THR A 1 101 ? 284.056 -50.613 265.455 1.0 54.70061  ? 101 THR A CA  101 THR A CA  1 
ATOM 818   C C   . THR A 1 101 ? 284.481 -49.354 266.192 1.0 54.70061  ? 101 THR A C   101 THR A C   1 
ATOM 819   O O   . THR A 1 101 ? 284.495 -48.258 265.627 1.0 54.70061  ? 101 THR A O   101 THR A O   1 
ATOM 820   C CB  . THR A 1 101 ? 285.283 -51.441 265.043 1.0 54.70061  ? 101 THR A CB  101 THR A CB  1 
ATOM 821   O OG1 . THR A 1 101 ? 286.021 -51.817 266.213 1.0 54.70061  ? 101 THR A OG1 101 THR A OG1 1 
ATOM 822   C CG2 . THR A 1 101 ? 286.178 -50.674 264.103 1.0 54.70061  ? 101 THR A CG2 101 THR A CG2 1 
ATOM 823   N N   . LEU A 1 102 ? 284.809 -49.515 267.467 1.0 55.06145  ? 102 LEU A N   102 LEU A N   1 
ATOM 824   C CA  . LEU A 1 102 ? 285.001 -48.386 268.361 1.0 55.06145  ? 102 LEU A CA  102 LEU A CA  1 
ATOM 825   C C   . LEU A 1 102 ? 286.251 -48.570 269.206 1.0 55.06145  ? 102 LEU A C   102 LEU A C   1 
ATOM 826   O O   . LEU A 1 102 ? 286.501 -49.652 269.741 1.0 55.06145  ? 102 LEU A O   102 LEU A O   1 
ATOM 827   C CB  . LEU A 1 102 ? 283.778 -48.199 269.263 1.0 55.06145  ? 102 LEU A CB  102 LEU A CB  1 
ATOM 828   C CG  . LEU A 1 102 ? 283.861 -47.095 270.316 1.0 55.06145  ? 102 LEU A CG  102 LEU A CG  1 
ATOM 829   C CD1 . LEU A 1 102 ? 284.064 -45.752 269.677 1.0 55.06145  ? 102 LEU A CD1 102 LEU A CD1 1 
ATOM 830   C CD2 . LEU A 1 102 ? 282.625 -47.066 271.164 1.0 55.06145  ? 102 LEU A CD2 102 LEU A CD2 1 
ATOM 831   N N   . ASP A 1 103 ? 287.036 -47.506 269.301 1.0 59.4164   ? 103 ASP A N   103 ASP A N   1 
ATOM 832   C CA  . ASP A 1 103 ? 288.196 -47.429 270.173 1.0 59.4164   ? 103 ASP A CA  103 ASP A CA  1 
ATOM 833   C C   . ASP A 1 103 ? 287.861 -46.435 271.276 1.0 59.4164   ? 103 ASP A C   103 ASP A C   1 
ATOM 834   O O   . ASP A 1 103 ? 287.659 -45.249 271.001 1.0 59.4164   ? 103 ASP A O   103 ASP A O   1 
ATOM 835   C CB  . ASP A 1 103 ? 289.423 -46.988 269.375 1.0 59.4164   ? 103 ASP A CB  103 ASP A CB  1 
ATOM 836   C CG  . ASP A 1 103 ? 290.720 -47.136 270.140 1.0 59.4164   ? 103 ASP A CG  103 ASP A CG  1 
ATOM 837   O OD1 . ASP A 1 103 ? 290.701 -47.533 271.314 1.0 59.4164   ? 103 ASP A OD1 103 ASP A OD1 1 
ATOM 838   O OD2 . ASP A 1 103 ? 291.781 -46.856 269.549 1.0 59.4164   ? 103 ASP A OD2 103 ASP A OD2 1 
ATOM 839   N N   . ARG A 1 104 ? 287.790 -46.916 272.514 1.0 58.23158  ? 104 ARG A N   104 ARG A N   1 
ATOM 840   C CA  . ARG A 1 104 ? 287.441 -46.051 273.631 1.0 58.23158  ? 104 ARG A CA  104 ARG A CA  1 
ATOM 841   C C   . ARG A 1 104 ? 288.641 -45.352 274.248 1.0 58.23158  ? 104 ARG A C   104 ARG A C   1 
ATOM 842   O O   . ARG A 1 104 ? 288.455 -44.403 275.015 1.0 58.23158  ? 104 ARG A O   104 ARG A O   1 
ATOM 843   C CB  . ARG A 1 104 ? 286.729 -46.839 274.726 1.0 58.23158  ? 104 ARG A CB  104 ARG A CB  1 
ATOM 844   C CG  . ARG A 1 104 ? 285.332 -47.317 274.406 1.0 58.23158  ? 104 ARG A CG  104 ARG A CG  1 
ATOM 845   C CD  . ARG A 1 104 ? 284.806 -47.972 275.656 1.0 58.23158  ? 104 ARG A CD  104 ARG A CD  1 
ATOM 846   N NE  . ARG A 1 104 ? 283.460 -48.516 275.574 1.0 58.23158  ? 104 ARG A NE  104 ARG A NE  1 
ATOM 847   C CZ  . ARG A 1 104 ? 283.197 -49.771 275.244 1.0 58.23158  ? 104 ARG A CZ  104 ARG A CZ  1 
ATOM 848   N NH1 . ARG A 1 104 ? 281.951 -50.200 275.215 1.0 58.23158  ? 104 ARG A NH1 104 ARG A NH1 1 
ATOM 849   N NH2 . ARG A 1 104 ? 284.183 -50.596 274.933 1.0 58.23158  ? 104 ARG A NH2 104 ARG A NH2 1 
ATOM 850   N N   . GLY A 1 105 ? 289.854 -45.794 273.950 1.0 63.04746  ? 105 GLY A N   105 GLY A N   1 
ATOM 851   C CA  . GLY A 1 105 ? 291.036 -45.146 274.460 1.0 63.04746  ? 105 GLY A CA  105 GLY A CA  1 
ATOM 852   C C   . GLY A 1 105 ? 291.430 -45.638 275.835 1.0 63.04746  ? 105 GLY A C   105 GLY A C   1 
ATOM 853   O O   . GLY A 1 105 ? 290.720 -46.425 276.467 1.0 63.04746  ? 105 GLY A O   105 GLY A O   1 
ATOM 854   N N   . PRO A 1 106 ? 292.579 -45.171 276.332 1.0 64.22472  ? 106 PRO A N   106 PRO A N   1 
ATOM 855   C CA  . PRO A 1 106 ? 293.078 -45.655 277.624 1.0 64.22472  ? 106 PRO A CA  106 PRO A CA  1 
ATOM 856   C C   . PRO A 1 106 ? 292.374 -45.061 278.830 1.0 64.22472  ? 106 PRO A C   106 PRO A C   1 
ATOM 857   O O   . PRO A 1 106 ? 292.618 -45.522 279.952 1.0 64.22472  ? 106 PRO A O   106 PRO A O   1 
ATOM 858   C CB  . PRO A 1 106 ? 294.549 -45.237 277.599 1.0 64.22472  ? 106 PRO A CB  106 PRO A CB  1 
ATOM 859   C CG  . PRO A 1 106 ? 294.561 -44.028 276.749 1.0 64.22472  ? 106 PRO A CG  106 PRO A CG  1 
ATOM 860   C CD  . PRO A 1 106 ? 293.523 -44.244 275.692 1.0 64.22472  ? 106 PRO A CD  106 PRO A CD  1 
ATOM 861   N N   . SER A 1 107 ? 291.516 -44.062 278.643 1.0 62.12648  ? 107 SER A N   107 SER A N   1 
ATOM 862   C CA  . SER A 1 107 ? 290.818 -43.417 279.746 1.0 62.12648  ? 107 SER A CA  107 SER A CA  1 
ATOM 863   C C   . SER A 1 107 ? 289.575 -44.166 280.190 1.0 62.12648  ? 107 SER A C   107 SER A C   1 
ATOM 864   O O   . SER A 1 107 ? 288.827 -43.651 281.023 1.0 62.12648  ? 107 SER A O   107 SER A O   1 
ATOM 865   C CB  . SER A 1 107 ? 290.421 -41.997 279.357 1.0 62.12648  ? 107 SER A CB  107 SER A CB  1 
ATOM 866   O OG  . SER A 1 107 ? 289.456 -42.004 278.325 1.0 62.12648  ? 107 SER A OG  107 SER A OG  1 
ATOM 867   N N   . PHE A 1 108 ? 289.328 -45.349 279.652 1.0 58.12093  ? 108 PHE A N   108 PHE A N   1 
ATOM 868   C CA  . PHE A 1 108 ? 288.115 -46.090 279.939 1.0 58.12093  ? 108 PHE A CA  108 PHE A CA  1 
ATOM 869   C C   . PHE A 1 108 ? 288.362 -47.043 281.096 1.0 58.12093  ? 108 PHE A C   108 PHE A C   1 
ATOM 870   O O   . PHE A 1 108 ? 289.355 -47.775 281.100 1.0 58.12093  ? 108 PHE A O   108 PHE A O   1 
ATOM 871   C CB  . PHE A 1 108 ? 287.671 -46.844 278.690 1.0 58.12093  ? 108 PHE A CB  108 PHE A CB  1 
ATOM 872   C CG  . PHE A 1 108 ? 286.408 -47.611 278.859 1.0 58.12093  ? 108 PHE A CG  108 PHE A CG  1 
ATOM 873   C CD1 . PHE A 1 108 ? 285.208 -46.955 279.041 1.0 58.12093  ? 108 PHE A CD1 108 PHE A CD1 1 
ATOM 874   C CD2 . PHE A 1 108 ? 286.409 -48.988 278.780 1.0 58.12093  ? 108 PHE A CD2 108 PHE A CD2 1 
ATOM 875   C CE1 . PHE A 1 108 ? 284.033 -47.665 279.175 1.0 58.12093  ? 108 PHE A CE1 108 PHE A CE1 1 
ATOM 876   C CE2 . PHE A 1 108 ? 285.239 -49.697 278.899 1.0 58.12093  ? 108 PHE A CE2 108 PHE A CE2 1 
ATOM 877   C CZ  . PHE A 1 108 ? 284.052 -49.035 279.106 1.0 58.12093  ? 108 PHE A CZ  108 PHE A CZ  1 
ATOM 878   N N   . LYS A 1 109 ? 287.468 -47.023 282.076 1.0 58.87191  ? 109 LYS A N   109 LYS A N   1 
ATOM 879   C CA  . LYS A 1 109 ? 287.566 -47.898 283.236 1.0 58.87191  ? 109 LYS A CA  109 LYS A CA  1 
ATOM 880   C C   . LYS A 1 109 ? 286.164 -48.064 283.806 1.0 58.87191  ? 109 LYS A C   109 LYS A C   1 
ATOM 881   O O   . LYS A 1 109 ? 285.722 -47.250 284.625 1.0 58.87191  ? 109 LYS A O   109 LYS A O   1 
ATOM 882   C CB  . LYS A 1 109 ? 288.551 -47.319 284.256 1.0 58.87191  ? 109 LYS A CB  109 LYS A CB  1 
ATOM 883   C CG  . LYS A 1 109 ? 288.889 -48.224 285.423 1.0 58.87191  ? 109 LYS A CG  109 LYS A CG  1 
ATOM 884   C CD  . LYS A 1 109 ? 288.172 -47.790 286.682 1.0 58.87191  ? 109 LYS A CD  109 LYS A CD  1 
ATOM 885   C CE  . LYS A 1 109 ? 288.504 -48.668 287.855 1.0 58.87191  ? 109 LYS A CE  109 LYS A CE  1 
ATOM 886   N NZ  . LYS A 1 109 ? 289.903 -48.533 288.258 1.0 58.87191  ? 109 LYS A NZ  109 LYS A NZ  1 
ATOM 887   N N   . PRO A 1 110 ? 285.421 -49.079 283.373 1.0 57.73937  ? 110 PRO A N   110 PRO A N   1 
ATOM 888   C CA  . PRO A 1 110 ? 283.986 -49.126 283.676 1.0 57.73937  ? 110 PRO A CA  110 PRO A CA  1 
ATOM 889   C C   . PRO A 1 110 ? 283.609 -49.766 284.999 1.0 57.73937  ? 110 PRO A C   110 PRO A C   1 
ATOM 890   O O   . PRO A 1 110 ? 282.605 -50.479 285.044 1.0 57.73937  ? 110 PRO A O   110 PRO A O   1 
ATOM 891   C CB  . PRO A 1 110 ? 283.433 -49.968 282.526 1.0 57.73937  ? 110 PRO A CB  110 PRO A CB  1 
ATOM 892   C CG  . PRO A 1 110 ? 284.545 -50.895 282.215 1.0 57.73937  ? 110 PRO A CG  110 PRO A CG  1 
ATOM 893   C CD  . PRO A 1 110 ? 285.810 -50.117 282.409 1.0 57.73937  ? 110 PRO A CD  110 PRO A CD  1 
ATOM 894   N N   . TYR A 1 111 ? 284.334 -49.488 286.076 1.0 59.83536  ? 111 TYR A N   111 TYR A N   1 
ATOM 895   C CA  . TYR A 1 111 ? 284.012 -50.052 287.382 1.0 59.83536  ? 111 TYR A CA  111 TYR A CA  1 
ATOM 896   C C   . TYR A 1 111 ? 284.708 -49.222 288.448 1.0 59.83536  ? 111 TYR A C   111 TYR A C   1 
ATOM 897   O O   . TYR A 1 111 ? 285.272 -48.165 288.166 1.0 59.83536  ? 111 TYR A O   111 TYR A O   1 
ATOM 898   C CB  . TYR A 1 111 ? 284.389 -51.536 287.470 1.0 59.83536  ? 111 TYR A CB  111 TYR A CB  1 
ATOM 899   C CG  . TYR A 1 111 ? 285.843 -51.860 287.250 1.0 59.83536  ? 111 TYR A CG  111 TYR A CG  1 
ATOM 900   C CD1 . TYR A 1 111 ? 286.342 -52.074 285.974 1.0 59.83536  ? 111 TYR A CD1 111 TYR A CD1 1 
ATOM 901   C CD2 . TYR A 1 111 ? 286.705 -52.001 288.319 1.0 59.83536  ? 111 TYR A CD2 111 TYR A CD2 1 
ATOM 902   C CE1 . TYR A 1 111 ? 287.671 -52.385 285.772 1.0 59.83536  ? 111 TYR A CE1 111 TYR A CE1 1 
ATOM 903   C CE2 . TYR A 1 111 ? 288.032 -52.314 288.126 1.0 59.83536  ? 111 TYR A CE2 111 TYR A CE2 1 
ATOM 904   C CZ  . TYR A 1 111 ? 288.507 -52.508 286.852 1.0 59.83536  ? 111 TYR A CZ  111 TYR A CZ  1 
ATOM 905   O OH  . TYR A 1 111 ? 289.828 -52.823 286.660 1.0 59.83536  ? 111 TYR A OH  111 TYR A OH  1 
ATOM 906   N N   . GLY A 1 112 ? 284.648 -49.697 289.685 1.0 61.58358  ? 112 GLY A N   112 GLY A N   1 
ATOM 907   C CA  . GLY A 1 112 ? 285.250 -49.012 290.810 1.0 61.58358  ? 112 GLY A CA  112 GLY A CA  1 
ATOM 908   C C   . GLY A 1 112 ? 286.294 -49.882 291.477 1.0 61.58358  ? 112 GLY A C   112 GLY A C   1 
ATOM 909   O O   . GLY A 1 112 ? 286.160 -51.105 291.527 1.0 61.58358  ? 112 GLY A O   112 GLY A O   1 
ATOM 910   N N   . GLY A 1 113 ? 287.337 -49.245 291.990 1.0 65.72837  ? 113 GLY A N   113 GLY A N   1 
ATOM 911   C CA  . GLY A 1 113 ? 288.376 -49.997 292.674 1.0 65.72837  ? 113 GLY A CA  113 GLY A CA  1 
ATOM 912   C C   . GLY A 1 113 ? 289.254 -50.733 291.683 1.0 65.72837  ? 113 GLY A C   113 GLY A C   1 
ATOM 913   O O   . GLY A 1 113 ? 289.558 -50.230 290.598 1.0 65.72837  ? 113 GLY A O   113 GLY A O   1 
ATOM 914   N N   . THR A 1 114 ? 289.661 -51.945 292.050 1.0 65.22975  ? 114 THR A N   114 THR A N   1 
ATOM 915   C CA  . THR A 1 114 ? 290.551 -52.751 291.230 1.0 65.22975  ? 114 THR A CA  114 THR A CA  1 
ATOM 916   C C   . THR A 1 114 ? 289.934 -54.122 291.014 1.0 65.22975  ? 114 THR A C   114 THR A C   1 
ATOM 917   O O   . THR A 1 114 ? 288.886 -54.454 291.571 1.0 65.22975  ? 114 THR A O   114 THR A O   1 
ATOM 918   C CB  . THR A 1 114 ? 291.928 -52.905 291.874 1.0 65.22975  ? 114 THR A CB  114 THR A CB  1 
ATOM 919   O OG1 . THR A 1 114 ? 292.805 -53.580 290.969 1.0 65.22975  ? 114 THR A OG1 114 THR A OG1 1 
ATOM 920   C CG2 . THR A 1 114 ? 291.813 -53.726 293.126 1.0 65.22975  ? 114 THR A CG2 114 THR A CG2 1 
ATOM 921   N N   . ALA A 1 115 ? 290.602 -54.925 290.191 1.0 65.35757  ? 115 ALA A N   115 ALA A N   1 
ATOM 922   C CA  . ALA A 1 115 ? 290.214 -56.309 289.970 1.0 65.35757  ? 115 ALA A CA  115 ALA A CA  1 
ATOM 923   C C   . ALA A 1 115 ? 291.340 -57.272 290.304 1.0 65.35757  ? 115 ALA A C   115 ALA A C   1 
ATOM 924   O O   . ALA A 1 115 ? 291.248 -58.457 289.972 1.0 65.35757  ? 115 ALA A O   115 ALA A O   1 
ATOM 925   C CB  . ALA A 1 115 ? 289.764 -56.515 288.523 1.0 65.35757  ? 115 ALA A CB  115 ALA A CB  1 
ATOM 926   N N   . TYR A 1 116 ? 292.402 -56.794 290.947 1.0 66.5974   ? 116 TYR A N   116 TYR A N   1 
ATOM 927   C CA  . TYR A 1 116 ? 293.572 -57.609 291.235 1.0 66.5974   ? 116 TYR A CA  116 TYR A CA  1 
ATOM 928   C C   . TYR A 1 116 ? 293.965 -57.405 292.686 1.0 66.5974   ? 116 TYR A C   116 TYR A C   1 
ATOM 929   O O   . TYR A 1 116 ? 294.218 -56.270 293.101 1.0 66.5974   ? 116 TYR A O   116 TYR A O   1 
ATOM 930   C CB  . TYR A 1 116 ? 294.723 -57.250 290.301 1.0 66.5974   ? 116 TYR A CB  116 TYR A CB  1 
ATOM 931   C CG  . TYR A 1 116 ? 294.372 -57.500 288.864 1.0 66.5974   ? 116 TYR A CG  116 TYR A CG  1 
ATOM 932   C CD1 . TYR A 1 116 ? 294.315 -58.788 288.367 1.0 66.5974   ? 116 TYR A CD1 116 TYR A CD1 1 
ATOM 933   C CD2 . TYR A 1 116 ? 294.091 -56.452 288.006 1.0 66.5974   ? 116 TYR A CD2 116 TYR A CD2 1 
ATOM 934   C CE1 . TYR A 1 116 ? 293.982 -59.029 287.055 1.0 66.5974   ? 116 TYR A CE1 116 TYR A CE1 1 
ATOM 935   C CE2 . TYR A 1 116 ? 293.764 -56.682 286.689 1.0 66.5974   ? 116 TYR A CE2 116 TYR A CE2 1 
ATOM 936   C CZ  . TYR A 1 116 ? 293.714 -57.972 286.219 1.0 66.5974   ? 116 TYR A CZ  116 TYR A CZ  1 
ATOM 937   O OH  . TYR A 1 116 ? 293.387 -58.205 284.905 1.0 66.5974   ? 116 TYR A OH  116 TYR A OH  1 
ATOM 938   N N   . ASN A 1 117 ? 294.049 -58.510 293.424 1.0 66.40158  ? 117 ASN A N   117 ASN A N   1 
ATOM 939   C CA  . ASN A 1 117 ? 294.206 -58.528 294.875 1.0 66.40158  ? 117 ASN A CA  117 ASN A CA  1 
ATOM 940   C C   . ASN A 1 117 ? 293.248 -57.576 295.602 1.0 66.40158  ? 117 ASN A C   117 ASN A C   1 
ATOM 941   O O   . ASN A 1 117 ? 293.691 -56.711 296.363 1.0 66.40158  ? 117 ASN A O   117 ASN A O   1 
ATOM 942   C CB  . ASN A 1 117 ? 295.649 -58.220 295.248 1.0 66.40158  ? 117 ASN A CB  117 ASN A CB  1 
ATOM 943   C CG  . ASN A 1 117 ? 296.637 -59.164 294.593 1.0 66.40158  ? 117 ASN A CG  117 ASN A CG  1 
ATOM 944   O OD1 . ASN A 1 117 ? 297.365 -58.774 293.687 1.0 66.40158  ? 117 ASN A OD1 117 ASN A OD1 1 
ATOM 945   N ND2 . ASN A 1 117 ? 296.697 -60.391 295.072 1.0 66.40158  ? 117 ASN A ND2 117 ASN A ND2 1 
ATOM 946   N N   . PRO A 1 118 ? 291.931 -57.704 295.390 1.0 64.60499  ? 118 PRO A N   118 PRO A N   1 
ATOM 947   C CA  . PRO A 1 118 ? 291.023 -56.636 295.832 1.0 64.60499  ? 118 PRO A CA  118 PRO A CA  1 
ATOM 948   C C   . PRO A 1 118 ? 290.778 -56.617 297.327 1.0 64.60499  ? 118 PRO A C   118 PRO A C   1 
ATOM 949   O O   . PRO A 1 118 ? 290.356 -55.580 297.845 1.0 64.60499  ? 118 PRO A O   118 PRO A O   1 
ATOM 950   C CB  . PRO A 1 118 ? 289.733 -56.944 295.071 1.0 64.60499  ? 118 PRO A CB  118 PRO A CB  1 
ATOM 951   C CG  . PRO A 1 118 ? 289.741 -58.412 294.973 1.0 64.60499  ? 118 PRO A CG  118 PRO A CG  1 
ATOM 952   C CD  . PRO A 1 118 ? 291.173 -58.838 294.828 1.0 64.60499  ? 118 PRO A CD  118 PRO A CD  1 
ATOM 953   N N   . LEU A 1 119 ? 291.023 -57.718 298.032 1.0 63.72346  ? 119 LEU A N   119 LEU A N   1 
ATOM 954   C CA  . LEU A 1 119 ? 290.843 -57.772 299.474 1.0 63.72346  ? 119 LEU A CA  119 LEU A CA  1 
ATOM 955   C C   . LEU A 1 119 ? 292.083 -57.349 300.240 1.0 63.72346  ? 119 LEU A C   119 LEU A C   1 
ATOM 956   O O   . LEU A 1 119 ? 292.065 -57.364 301.474 1.0 63.72346  ? 119 LEU A O   119 LEU A O   1 
ATOM 957   C CB  . LEU A 1 119 ? 290.444 -59.181 299.909 1.0 63.72346  ? 119 LEU A CB  119 LEU A CB  1 
ATOM 958   C CG  . LEU A 1 119 ? 289.081 -59.657 299.425 1.0 63.72346  ? 119 LEU A CG  119 LEU A CG  1 
ATOM 959   C CD1 . LEU A 1 119 ? 288.836 -61.094 299.843 1.0 63.72346  ? 119 LEU A CD1 119 LEU A CD1 1 
ATOM 960   C CD2 . LEU A 1 119 ? 288.000 -58.746 299.961 1.0 63.72346  ? 119 LEU A CD2 119 LEU A CD2 1 
ATOM 961   N N   . ALA A 1 120 ? 293.143 -56.985 299.554 1.0 65.49605  ? 120 ALA A N   120 ALA A N   1 
ATOM 962   C CA  . ALA A 1 120 ? 294.357 -56.592 300.240 1.0 65.49605  ? 120 ALA A CA  120 ALA A CA  1 
ATOM 963   C C   . ALA A 1 120 ? 294.236 -55.167 300.767 1.0 65.49605  ? 120 ALA A C   120 ALA A C   1 
ATOM 964   O O   . ALA A 1 120 ? 293.510 -54.350 300.197 1.0 65.49605  ? 120 ALA A O   120 ALA A O   1 
ATOM 965   C CB  . ALA A 1 120 ? 295.551 -56.685 299.300 1.0 65.49605  ? 120 ALA A CB  120 ALA A CB  1 
ATOM 966   N N   . PRO A 1 121 ? 294.911 -54.854 301.870 1.0 68.33787  ? 121 PRO A N   121 PRO A N   1 
ATOM 967   C CA  . PRO A 1 121 ? 295.074 -53.450 302.251 1.0 68.33787  ? 121 PRO A CA  121 PRO A CA  1 
ATOM 968   C C   . PRO A 1 121 ? 295.933 -52.727 301.231 1.0 68.33787  ? 121 PRO A C   121 PRO A C   1 
ATOM 969   O O   . PRO A 1 121 ? 296.828 -53.309 300.616 1.0 68.33787  ? 121 PRO A O   121 PRO A O   1 
ATOM 970   C CB  . PRO A 1 121 ? 295.769 -53.527 303.613 1.0 68.33787  ? 121 PRO A CB  121 PRO A CB  1 
ATOM 971   C CG  . PRO A 1 121 ? 295.425 -54.875 304.130 1.0 68.33787  ? 121 PRO A CG  121 PRO A CG  1 
ATOM 972   C CD  . PRO A 1 121 ? 295.384 -55.762 302.927 1.0 68.33787  ? 121 PRO A CD  121 PRO A CD  1 
ATOM 973   N N   . LYS A 1 122 ? 295.643 -51.440 301.048 1.0 70.31358  ? 122 LYS A N   122 LYS A N   1 
ATOM 974   C CA  . LYS A 1 122 ? 296.283 -50.681 299.983 1.0 70.31358  ? 122 LYS A CA  122 LYS A CA  1 
ATOM 975   C C   . LYS A 1 122 ? 297.745 -50.376 300.276 1.0 70.31358  ? 122 LYS A C   122 LYS A C   1 
ATOM 976   O O   . LYS A 1 122 ? 298.491 -50.044 299.351 1.0 70.31358  ? 122 LYS A O   122 LYS A O   1 
ATOM 977   C CB  . LYS A 1 122 ? 295.508 -49.390 299.740 1.0 70.31358  ? 122 LYS A CB  122 LYS A CB  1 
ATOM 978   C CG  . LYS A 1 122 ? 294.099 -49.624 299.222 1.0 70.31358  ? 122 LYS A CG  122 LYS A CG  1 
ATOM 979   C CD  . LYS A 1 122 ? 293.345 -48.323 299.030 1.0 70.31358  ? 122 LYS A CD  122 LYS A CD  1 
ATOM 980   C CE  . LYS A 1 122 ? 291.978 -48.570 298.415 1.0 70.31358  ? 122 LYS A CE  122 LYS A CE  1 
ATOM 981   N NZ  . LYS A 1 122 ? 291.084 -49.330 299.326 1.0 70.31358  ? 122 LYS A NZ  122 LYS A NZ  1 
ATOM 982   N N   . SER A 1 123 ? 298.174 -50.488 301.528 1.0 74.41354  ? 123 SER A N   123 SER A N   1 
ATOM 983   C CA  . SER A 1 123 ? 299.566 -50.271 301.893 1.0 74.41354  ? 123 SER A CA  123 SER A CA  1 
ATOM 984   C C   . SER A 1 123 ? 300.394 -51.547 301.867 1.0 74.41354  ? 123 SER A C   123 SER A C   1 
ATOM 985   O O   . SER A 1 123 ? 301.581 -51.503 302.204 1.0 74.41354  ? 123 SER A O   123 SER A O   1 
ATOM 986   C CB  . SER A 1 123 ? 299.650 -49.639 303.284 1.0 74.41354  ? 123 SER A CB  123 SER A CB  1 
ATOM 987   O OG  . SER A 1 123 ? 300.998 -49.486 303.688 1.0 74.41354  ? 123 SER A OG  123 SER A OG  1 
ATOM 988   N N   . ALA A 1 124 ? 299.808 -52.667 301.476 1.0 72.05401  ? 124 ALA A N   124 ALA A N   1 
ATOM 989   C CA  . ALA A 1 124 ? 300.479 -53.954 301.594 1.0 72.05401  ? 124 ALA A CA  124 ALA A CA  1 
ATOM 990   C C   . ALA A 1 124 ? 301.476 -54.143 300.459 1.0 72.05401  ? 124 ALA A C   124 ALA A C   1 
ATOM 991   O O   . ALA A 1 124 ? 301.134 -53.910 299.297 1.0 72.05401  ? 124 ALA A O   124 ALA A O   1 
ATOM 992   C CB  . ALA A 1 124 ? 299.464 -55.086 301.575 1.0 72.05401  ? 124 ALA A CB  124 ALA A CB  1 
ATOM 993   N N   . PRO A 1 125 ? 302.711 -54.539 300.752 1.0 73.38651  ? 125 PRO A N   125 PRO A N   1 
ATOM 994   C CA  . PRO A 1 125 ? 303.640 -54.933 299.693 1.0 73.38651  ? 125 PRO A CA  125 PRO A CA  1 
ATOM 995   C C   . PRO A 1 125 ? 303.607 -56.430 299.438 1.0 73.38651  ? 125 PRO A C   125 PRO A C   1 
ATOM 996   O O   . PRO A 1 125 ? 303.296 -57.236 300.314 1.0 73.38651  ? 125 PRO A O   125 PRO A O   1 
ATOM 997   C CB  . PRO A 1 125 ? 305.000 -54.512 300.264 1.0 73.38651  ? 125 PRO A CB  125 PRO A CB  1 
ATOM 998   C CG  . PRO A 1 125 ? 304.828 -54.673 301.727 1.0 73.38651  ? 125 PRO A CG  125 PRO A CG  1 
ATOM 999   C CD  . PRO A 1 125 ? 303.402 -54.316 302.033 1.0 73.38651  ? 125 PRO A CD  125 PRO A CD  1 
ATOM 1000  N N   . ILE A 1 126 ? 303.943 -56.799 298.204 1.0 75.03362  ? 126 ILE A N   126 ILE A N   1 
ATOM 1001  C CA  . ILE A 1 126 ? 304.124 -58.205 297.862 1.0 75.03362  ? 126 ILE A CA  126 ILE A CA  1 
ATOM 1002  C C   . ILE A 1 126 ? 305.488 -58.660 298.352 1.0 75.03362  ? 126 ILE A C   126 ILE A C   1 
ATOM 1003  O O   . ILE A 1 126 ? 306.322 -57.840 298.747 1.0 75.03362  ? 126 ILE A O   126 ILE A O   1 
ATOM 1004  C CB  . ILE A 1 126 ? 304.008 -58.456 296.352 1.0 75.03362  ? 126 ILE A CB  126 ILE A CB  1 
ATOM 1005  C CG1 . ILE A 1 126 ? 305.108 -57.707 295.624 1.0 75.03362  ? 126 ILE A CG1 126 ILE A CG1 1 
ATOM 1006  C CG2 . ILE A 1 126 ? 302.655 -58.065 295.849 1.0 75.03362  ? 126 ILE A CG2 126 ILE A CG2 1 
ATOM 1007  C CD1 . ILE A 1 126 ? 305.242 -58.126 294.221 1.0 75.03362  ? 126 ILE A CD1 126 ILE A CD1 1 
ATOM 1008  N N   . ASN A 1 127 ? 305.729 -59.966 298.326 1.0 77.72453  ? 127 ASN A N   127 ASN A N   1 
ATOM 1009  C CA  . ASN A 1 127 ? 307.048 -60.478 298.655 1.0 77.72453  ? 127 ASN A CA  127 ASN A CA  1 
ATOM 1010  C C   . ASN A 1 127 ? 307.988 -60.156 297.502 1.0 77.72453  ? 127 ASN A C   127 ASN A C   1 
ATOM 1011  O O   . ASN A 1 127 ? 307.791 -60.634 296.381 1.0 77.72453  ? 127 ASN A O   127 ASN A O   1 
ATOM 1012  C CB  . ASN A 1 127 ? 306.998 -61.980 298.902 1.0 77.72453  ? 127 ASN A CB  127 ASN A CB  1 
ATOM 1013  C CG  . ASN A 1 127 ? 305.977 -62.365 299.937 1.0 77.72453  ? 127 ASN A CG  127 ASN A CG  1 
ATOM 1014  O OD1 . ASN A 1 127 ? 305.616 -61.567 300.806 1.0 77.72453  ? 127 ASN A OD1 127 ASN A OD1 1 
ATOM 1015  N ND2 . ASN A 1 127 ? 305.552 -63.616 299.897 1.0 77.72453  ? 127 ASN A ND2 127 ASN A ND2 1 
ATOM 1016  N N   . SER A 1 128 ? 309.002 -59.340 297.764 1.0 82.82646  ? 128 SER A N   128 SER A N   1 
ATOM 1017  C CA  . SER A 1 128 ? 309.792 -58.780 296.678 1.0 82.82646  ? 128 SER A CA  128 SER A CA  1 
ATOM 1018  C C   . SER A 1 128 ? 311.192 -58.454 297.177 1.0 82.82646  ? 128 SER A C   128 SER A C   1 
ATOM 1019  O O   . SER A 1 128 ? 311.516 -58.630 298.354 1.0 82.82646  ? 128 SER A O   128 SER A O   1 
ATOM 1020  C CB  . SER A 1 128 ? 309.111 -57.536 296.102 1.0 82.82646  ? 128 SER A CB  128 SER A CB  1 
ATOM 1021  O OG  . SER A 1 128 ? 309.028 -56.516 297.076 1.0 82.82646  ? 128 SER A OG  128 SER A OG  1 
ATOM 1022  N N   . ALA A 1 129 ? 312.023 -57.979 296.253 1.0 86.76763  ? 129 ALA A N   129 ALA A N   1 
ATOM 1023  C CA  . ALA A 1 129 ? 313.356 -57.475 296.535 1.0 86.76763  ? 129 ALA A CA  129 ALA A CA  1 
ATOM 1024  C C   . ALA A 1 129 ? 313.455 -56.039 296.044 1.0 86.76763  ? 129 ALA A C   129 ALA A C   1 
ATOM 1025  O O   . ALA A 1 129 ? 312.805 -55.659 295.066 1.0 86.76763  ? 129 ALA A O   129 ALA A O   1 
ATOM 1026  C CB  . ALA A 1 129 ? 314.430 -58.334 295.864 1.0 86.76763  ? 129 ALA A CB  129 ALA A CB  1 
ATOM 1027  N N   . PHE A 1 130 ? 314.271 -55.240 296.722 1.0 91.78184  ? 130 PHE A N   130 PHE A N   1 
ATOM 1028  C CA  . PHE A 1 130 ? 314.354 -53.816 296.441 1.0 91.78184  ? 130 PHE A CA  130 PHE A CA  1 
ATOM 1029  C C   . PHE A 1 130 ? 315.786 -53.417 296.114 1.0 91.78184  ? 130 PHE A C   130 PHE A C   1 
ATOM 1030  O O   . PHE A 1 130 ? 316.721 -54.210 296.232 1.0 91.78184  ? 130 PHE A O   130 PHE A O   1 
ATOM 1031  C CB  . PHE A 1 130 ? 313.826 -53.000 297.620 1.0 91.78184  ? 130 PHE A CB  130 PHE A CB  1 
ATOM 1032  C CG  . PHE A 1 130 ? 312.378 -53.220 297.882 1.0 91.78184  ? 130 PHE A CG  130 PHE A CG  1 
ATOM 1033  C CD1 . PHE A 1 130 ? 311.423 -52.590 297.107 1.0 91.78184  ? 130 PHE A CD1 130 PHE A CD1 1 
ATOM 1034  C CD2 . PHE A 1 130 ? 311.969 -54.077 298.883 1.0 91.78184  ? 130 PHE A CD2 130 PHE A CD2 1 
ATOM 1035  C CE1 . PHE A 1 130 ? 310.080 -52.801 297.337 1.0 91.78184  ? 130 PHE A CE1 130 PHE A CE1 1 
ATOM 1036  C CE2 . PHE A 1 130 ? 310.632 -54.291 299.120 1.0 91.78184  ? 130 PHE A CE2 130 PHE A CE2 1 
ATOM 1037  C CZ  . PHE A 1 130 ? 309.684 -53.655 298.345 1.0 91.78184  ? 130 PHE A CZ  130 PHE A CZ  1 
ATOM 1038  N N   . THR A 1 131 ? 315.944 -52.162 295.682 1.0 98.84214  ? 131 THR A N   131 THR A N   1 
ATOM 1039  C CA  . THR A 1 131 ? 317.216 -51.650 295.183 1.0 98.84214  ? 131 THR A CA  131 THR A CA  1 
ATOM 1040  C C   . THR A 1 131 ? 317.581 -50.304 295.797 1.0 98.84214  ? 131 THR A C   131 THR A C   1 
ATOM 1041  O O   . THR A 1 131 ? 318.318 -49.528 295.184 1.0 98.84214  ? 131 THR A O   131 THR A O   1 
ATOM 1042  C CB  . THR A 1 131 ? 317.201 -51.513 293.659 1.0 98.84214  ? 131 THR A CB  131 THR A CB  1 
ATOM 1043  O OG1 . THR A 1 131 ? 316.086 -50.706 293.259 1.0 98.84214  ? 131 THR A OG1 131 THR A OG1 1 
ATOM 1044  C CG2 . THR A 1 131 ? 317.141 -52.861 292.967 1.0 98.84214  ? 131 THR A CG2 131 THR A CG2 1 
ATOM 1045  N N   . VAL A 1 132 ? 317.085 -50.000 296.992 1.0 102.95991 ? 132 VAL A N   132 VAL A N   1 
ATOM 1046  C CA  . VAL A 1 132 ? 317.364 -48.707 297.610 1.0 102.95991 ? 132 VAL A CA  132 VAL A CA  1 
ATOM 1047  C C   . VAL A 1 132 ? 318.797 -48.689 298.143 1.0 102.95991 ? 132 VAL A C   132 VAL A C   1 
ATOM 1048  O O   . VAL A 1 132 ? 319.205 -49.558 298.922 1.0 102.95991 ? 132 VAL A O   132 VAL A O   1 
ATOM 1049  C CB  . VAL A 1 132 ? 316.320 -48.368 298.691 1.0 102.95991 ? 132 VAL A CB  132 VAL A CB  1 
ATOM 1050  C CG1 . VAL A 1 132 ? 316.133 -49.496 299.715 1.0 102.95991 ? 132 VAL A CG1 132 VAL A CG1 1 
ATOM 1051  C CG2 . VAL A 1 132 ? 316.669 -47.057 299.383 1.0 102.95991 ? 132 VAL A CG2 132 VAL A CG2 1 
ATOM 1052  N N   . GLY A 1 133 ? 319.584 -47.719 297.676 1.0 103.82543 ? 133 GLY A N   133 GLY A N   1 
ATOM 1053  C CA  . GLY A 1 133 ? 321.005 -47.701 297.988 1.0 103.82543 ? 133 GLY A CA  133 GLY A CA  1 
ATOM 1054  C C   . GLY A 1 133 ? 321.731 -48.838 297.293 1.0 103.82543 ? 133 GLY A C   133 GLY A C   1 
ATOM 1055  O O   . GLY A 1 133 ? 321.360 -49.270 296.196 1.0 103.82543 ? 133 GLY A O   133 GLY A O   1 
ATOM 1056  N N   . ASN A 1 134 ? 322.787 -49.330 297.937 1.0 104.60525 ? 134 ASN A N   134 ASN A N   1 
ATOM 1057  C CA  . ASN A 1 134 ? 323.414 -50.574 297.519 1.0 104.60525 ? 134 ASN A CA  134 ASN A CA  1 
ATOM 1058  C C   . ASN A 1 134 ? 322.898 -51.773 298.298 1.0 104.60525 ? 134 ASN A C   134 ASN A C   1 
ATOM 1059  O O   . ASN A 1 134 ? 323.041 -52.908 297.832 1.0 104.60525 ? 134 ASN A O   134 ASN A O   1 
ATOM 1060  C CB  . ASN A 1 134 ? 324.935 -50.487 297.676 1.0 104.60525 ? 134 ASN A CB  134 ASN A CB  1 
ATOM 1061  C CG  . ASN A 1 134 ? 325.550 -49.435 296.782 1.0 104.60525 ? 134 ASN A CG  134 ASN A CG  1 
ATOM 1062  O OD1 . ASN A 1 134 ? 326.114 -48.451 297.259 1.0 104.60525 ? 134 ASN A OD1 134 ASN A OD1 1 
ATOM 1063  N ND2 . ASN A 1 134 ? 325.440 -49.633 295.474 1.0 104.60525 ? 134 ASN A ND2 134 ASN A ND2 1 
ATOM 1064  N N   . ASP A 1 135 ? 322.304 -51.538 299.461 1.0 101.94111 ? 135 ASP A N   135 ASP A N   1 
ATOM 1065  C CA  . ASP A 1 135 ? 321.673 -52.576 300.266 1.0 101.94111 ? 135 ASP A CA  135 ASP A CA  1 
ATOM 1066  C C   . ASP A 1 135 ? 320.405 -53.025 299.555 1.0 101.94111 ? 135 ASP A C   135 ASP A C   1 
ATOM 1067  O O   . ASP A 1 135 ? 319.367 -52.367 299.639 1.0 101.94111 ? 135 ASP A O   135 ASP A O   1 
ATOM 1068  C CB  . ASP A 1 135 ? 321.370 -52.023 301.656 1.0 101.94111 ? 135 ASP A CB  135 ASP A CB  1 
ATOM 1069  C CG  . ASP A 1 135 ? 320.905 -53.085 302.648 1.0 101.94111 ? 135 ASP A CG  135 ASP A CG  1 
ATOM 1070  O OD1 . ASP A 1 135 ? 320.811 -54.278 302.302 1.0 101.94111 ? 135 ASP A OD1 135 ASP A OD1 1 
ATOM 1071  O OD2 . ASP A 1 135 ? 320.615 -52.707 303.802 1.0 101.94111 ? 135 ASP A OD2 135 ASP A OD2 1 
ATOM 1072  N N   . THR A 1 136 ? 320.475 -54.148 298.847 1.0 98.84305  ? 136 THR A N   136 THR A N   1 
ATOM 1073  C CA  . THR A 1 136 ? 319.268 -54.746 298.293 1.0 98.84305  ? 136 THR A CA  136 THR A CA  1 
ATOM 1074  C C   . THR A 1 136 ? 318.481 -55.417 299.415 1.0 98.84305  ? 136 THR A C   136 THR A C   1 
ATOM 1075  O O   . THR A 1 136 ? 319.036 -56.177 300.215 1.0 98.84305  ? 136 THR A O   136 THR A O   1 
ATOM 1076  C CB  . THR A 1 136 ? 319.598 -55.712 297.147 1.0 98.84305  ? 136 THR A CB  136 THR A CB  1 
ATOM 1077  O OG1 . THR A 1 136 ? 318.402 -56.363 296.699 1.0 98.84305  ? 136 THR A OG1 136 THR A OG1 1 
ATOM 1078  C CG2 . THR A 1 136 ? 320.662 -56.739 297.512 1.0 98.84305  ? 136 THR A CG2 136 THR A CG2 1 
ATOM 1079  N N   . HIS A 1 137 ? 317.204 -55.081 299.516 1.0 95.16322  ? 137 HIS A N   137 HIS A N   1 
ATOM 1080  C CA  . HIS A 1 137 ? 316.399 -55.559 300.624 1.0 95.16322  ? 137 HIS A CA  137 HIS A CA  1 
ATOM 1081  C C   . HIS A 1 137 ? 315.584 -56.777 300.220 1.0 95.16322  ? 137 HIS A C   137 HIS A C   1 
ATOM 1082  O O   . HIS A 1 137 ? 315.498 -57.151 299.049 1.0 95.16322  ? 137 HIS A O   137 HIS A O   1 
ATOM 1083  C CB  . HIS A 1 137 ? 315.467 -54.462 301.132 1.0 95.16322  ? 137 HIS A CB  137 HIS A CB  1 
ATOM 1084  C CG  . HIS A 1 137 ? 316.177 -53.327 301.795 1.0 95.16322  ? 137 HIS A CG  137 HIS A CG  1 
ATOM 1085  N ND1 . HIS A 1 137 ? 315.523 -52.202 302.248 1.0 95.16322  ? 137 HIS A ND1 137 HIS A ND1 1 
ATOM 1086  C CD2 . HIS A 1 137 ? 317.489 -53.132 302.063 1.0 95.16322  ? 137 HIS A CD2 137 HIS A CD2 1 
ATOM 1087  C CE1 . HIS A 1 137 ? 316.399 -51.372 302.784 1.0 95.16322  ? 137 HIS A CE1 137 HIS A CE1 1 
ATOM 1088  N NE2 . HIS A 1 137 ? 317.600 -51.913 302.686 1.0 95.16322  ? 137 HIS A NE2 137 HIS A NE2 1 
ATOM 1089  N N   . PHE A 1 138 ? 314.989 -57.405 301.221 1.0 90.23081  ? 138 PHE A N   138 PHE A N   1 
ATOM 1090  C CA  . PHE A 1 138 ? 313.969 -58.413 301.005 1.0 90.23081  ? 138 PHE A CA  138 PHE A CA  1 
ATOM 1091  C C   . PHE A 1 138 ? 312.868 -58.193 302.021 1.0 90.23081  ? 138 PHE A C   138 PHE A C   1 
ATOM 1092  O O   . PHE A 1 138 ? 313.144 -57.937 303.195 1.0 90.23081  ? 138 PHE A O   138 PHE A O   1 
ATOM 1093  C CB  . PHE A 1 138 ? 314.509 -59.837 301.160 1.0 90.23081  ? 138 PHE A CB  138 PHE A CB  1 
ATOM 1094  C CG  . PHE A 1 138 ? 315.511 -60.232 300.131 1.0 90.23081  ? 138 PHE A CG  138 PHE A CG  1 
ATOM 1095  C CD1 . PHE A 1 138 ? 315.108 -60.622 298.868 1.0 90.23081  ? 138 PHE A CD1 138 PHE A CD1 1 
ATOM 1096  C CD2 . PHE A 1 138 ? 316.860 -60.236 300.433 1.0 90.23081  ? 138 PHE A CD2 138 PHE A CD2 1 
ATOM 1097  C CE1 . PHE A 1 138 ? 316.036 -60.996 297.917 1.0 90.23081  ? 138 PHE A CE1 138 PHE A CE1 1 
ATOM 1098  C CE2 . PHE A 1 138 ? 317.792 -60.607 299.490 1.0 90.23081  ? 138 PHE A CE2 138 PHE A CE2 1 
ATOM 1099  C CZ  . PHE A 1 138 ? 317.380 -60.987 298.231 1.0 90.23081  ? 138 PHE A CZ  138 PHE A CZ  1 
ATOM 1100  N N   . VAL A 1 139 ? 311.626 -58.278 301.575 1.0 84.8799   ? 139 VAL A N   139 VAL A N   1 
ATOM 1101  C CA  . VAL A 1 139 ? 310.499 -58.438 302.477 1.0 84.8799   ? 139 VAL A CA  139 VAL A CA  1 
ATOM 1102  C C   . VAL A 1 139 ? 309.651 -59.573 301.926 1.0 84.8799   ? 139 VAL A C   139 VAL A C   1 
ATOM 1103  O O   . VAL A 1 139 ? 309.487 -59.708 300.711 1.0 84.8799   ? 139 VAL A O   139 VAL A O   1 
ATOM 1104  C CB  . VAL A 1 139 ? 309.710 -57.118 302.663 1.0 84.8799   ? 139 VAL A CB  139 VAL A CB  1 
ATOM 1105  C CG1 . VAL A 1 139 ? 309.090 -56.608 301.379 1.0 84.8799   ? 139 VAL A CG1 139 VAL A CG1 1 
ATOM 1106  C CG2 . VAL A 1 139 ? 308.654 -57.271 303.738 1.0 84.8799   ? 139 VAL A CG2 139 VAL A CG2 1 
ATOM 1107  N N   . ALA A 1 140 ? 309.198 -60.459 302.816 1.0 80.96699  ? 140 ALA A N   140 ALA A N   1 
ATOM 1108  C CA  . ALA A 1 140 ? 308.457 -61.629 302.374 1.0 80.96699  ? 140 ALA A CA  140 ALA A CA  1 
ATOM 1109  C C   . ALA A 1 140 ? 307.555 -62.137 303.500 1.0 80.96699  ? 140 ALA A C   140 ALA A C   1 
ATOM 1110  O O   . ALA A 1 140 ? 307.656 -61.710 304.648 1.0 80.96699  ? 140 ALA A O   140 ALA A O   1 
ATOM 1111  C CB  . ALA A 1 140 ? 309.385 -62.753 301.895 1.0 80.96699  ? 140 ALA A CB  140 ALA A CB  1 
ATOM 1112  N N   . GLN A 1 141 ? 306.650 -63.040 303.130 1.0 80.48934  ? 141 GLN A N   141 GLN A N   1 
ATOM 1113  C CA  . GLN A 1 141 ? 305.840 -63.814 304.063 1.0 80.48934  ? 141 GLN A CA  141 GLN A CA  1 
ATOM 1114  C C   . GLN A 1 141 ? 305.981 -65.275 303.669 1.0 80.48934  ? 141 GLN A C   141 GLN A C   1 
ATOM 1115  O O   . GLN A 1 141 ? 305.806 -65.615 302.493 1.0 80.48934  ? 141 GLN A O   141 GLN A O   1 
ATOM 1116  C CB  . GLN A 1 141 ? 304.369 -63.384 304.028 1.0 80.48934  ? 141 GLN A CB  141 GLN A CB  1 
ATOM 1117  C CG  . GLN A 1 141 ? 303.471 -64.109 305.017 1.0 80.48934  ? 141 GLN A CG  141 GLN A CG  1 
ATOM 1118  C CD  . GLN A 1 141 ? 303.827 -63.821 306.462 1.0 80.48934  ? 141 GLN A CD  141 GLN A CD  1 
ATOM 1119  O OE1 . GLN A 1 141 ? 304.466 -64.630 307.129 1.0 80.48934  ? 141 GLN A OE1 141 GLN A OE1 1 
ATOM 1120  N NE2 . GLN A 1 141 ? 303.393 -62.674 306.959 1.0 80.48934  ? 141 GLN A NE2 141 GLN A NE2 1 
ATOM 1121  N N   . LEU A 1 142 ? 306.319 -66.132 304.631 1.0 83.03391  ? 142 LEU A N   142 LEU A N   1 
ATOM 1122  C CA  . LEU A 1 142 ? 306.643 -67.532 304.360 1.0 83.03391  ? 142 LEU A CA  142 LEU A CA  1 
ATOM 1123  C C   . LEU A 1 142 ? 305.659 -68.462 305.057 1.0 83.03391  ? 142 LEU A C   142 LEU A C   1 
ATOM 1124  O O   . LEU A 1 142 ? 305.855 -68.827 306.226 1.0 83.03391  ? 142 LEU A O   142 LEU A O   1 
ATOM 1125  C CB  . LEU A 1 142 ? 308.081 -67.843 304.772 1.0 83.03391  ? 142 LEU A CB  142 LEU A CB  1 
ATOM 1126  C CG  . LEU A 1 142 ? 309.128 -67.147 303.906 1.0 83.03391  ? 142 LEU A CG  142 LEU A CG  1 
ATOM 1127  C CD1 . LEU A 1 142 ? 310.528 -67.401 304.425 1.0 83.03391  ? 142 LEU A CD1 142 LEU A CD1 1 
ATOM 1128  C CD2 . LEU A 1 142 ? 308.990 -67.605 302.467 1.0 83.03391  ? 142 LEU A CD2 142 LEU A CD2 1 
ATOM 1129  N N   . PRO A 1 143 ? 304.576 -68.860 304.378 1.0 81.42598  ? 143 PRO A N   143 PRO A N   1 
ATOM 1130  C CA  . PRO A 1 143 ? 303.600 -69.774 304.987 1.0 81.42598  ? 143 PRO A CA  143 PRO A CA  1 
ATOM 1131  C C   . PRO A 1 143 ? 304.097 -71.202 305.163 1.0 81.42598  ? 143 PRO A C   143 PRO A C   1 
ATOM 1132  O O   . PRO A 1 143 ? 303.986 -71.766 306.254 1.0 81.42598  ? 143 PRO A O   143 PRO A O   1 
ATOM 1133  C CB  . PRO A 1 143 ? 302.430 -69.731 303.996 1.0 81.42598  ? 143 PRO A CB  143 PRO A CB  1 
ATOM 1134  C CG  . PRO A 1 143 ? 302.636 -68.496 303.190 1.0 81.42598  ? 143 PRO A CG  143 PRO A CG  1 
ATOM 1135  C CD  . PRO A 1 143 ? 304.112 -68.363 303.076 1.0 81.42598  ? 143 PRO A CD  143 PRO A CD  1 
ATOM 1136  N N   . GLN A 1 144 ? 304.635 -71.802 304.106 1.0 82.75824  ? 144 GLN A N   144 GLN A N   1 
ATOM 1137  C CA  . GLN A 1 144 ? 304.889 -73.234 304.094 1.0 82.75824  ? 144 GLN A CA  144 GLN A CA  1 
ATOM 1138  C C   . GLN A 1 144 ? 306.141 -73.580 304.897 1.0 82.75824  ? 144 GLN A C   144 GLN A C   1 
ATOM 1139  O O   . GLN A 1 144 ? 306.980 -72.726 305.189 1.0 82.75824  ? 144 GLN A O   144 GLN A O   1 
ATOM 1140  C CB  . GLN A 1 144 ? 305.040 -73.733 302.660 1.0 82.75824  ? 144 GLN A CB  144 GLN A CB  1 
ATOM 1141  C CG  . GLN A 1 144 ? 303.804 -73.554 301.809 1.0 82.75824  ? 144 GLN A CG  144 GLN A CG  1 
ATOM 1142  C CD  . GLN A 1 144 ? 304.000 -74.028 300.391 1.0 82.75824  ? 144 GLN A CD  144 GLN A CD  1 
ATOM 1143  O OE1 . GLN A 1 144 ? 305.076 -74.483 300.023 1.0 82.75824  ? 144 GLN A OE1 144 GLN A OE1 1 
ATOM 1144  N NE2 . GLN A 1 144 ? 302.964 -73.906 299.580 1.0 82.75824  ? 144 GLN A NE2 144 GLN A NE2 1 
ATOM 1145  N N   . THR A 1 145 ? 306.257 -74.861 305.253 1.0 90.67289  ? 145 THR A N   145 THR A N   1 
ATOM 1146  C CA  . THR A 1 145 ? 307.383 -75.368 306.027 1.0 90.67289  ? 145 THR A CA  145 THR A CA  1 
ATOM 1147  C C   . THR A 1 145 ? 307.981 -76.598 305.355 1.0 90.67289  ? 145 THR A C   145 THR A C   1 
ATOM 1148  O O   . THR A 1 145 ? 307.294 -77.331 304.640 1.0 90.67289  ? 145 THR A O   145 THR A O   1 
ATOM 1149  C CB  . THR A 1 145 ? 306.979 -75.733 307.474 1.0 90.67289  ? 145 THR A CB  145 THR A CB  1 
ATOM 1150  O OG1 . THR A 1 145 ? 305.955 -76.734 307.456 1.0 90.67289  ? 145 THR A OG1 145 THR A OG1 1 
ATOM 1151  C CG2 . THR A 1 145 ? 306.482 -74.513 308.241 1.0 90.67289  ? 145 THR A CG2 145 THR A CG2 1 
ATOM 1152  N N   . TYR A 1 146 ? 309.276 -76.816 305.597 1.0 95.83479  ? 146 TYR A N   146 TYR A N   1 
ATOM 1153  C CA  . TYR A 1 146 ? 309.997 -78.012 305.148 1.0 95.83479  ? 146 TYR A CA  146 TYR A CA  1 
ATOM 1154  C C   . TYR A 1 146 ? 310.818 -78.551 306.329 1.0 95.83479  ? 146 TYR A C   146 TYR A C   1 
ATOM 1155  O O   . TYR A 1 146 ? 312.044 -78.627 306.318 1.0 95.83479  ? 146 TYR A O   146 TYR A O   1 
ATOM 1156  C CB  . TYR A 1 146 ? 310.798 -77.784 303.852 1.0 95.83479  ? 146 TYR A CB  146 TYR A CB  1 
ATOM 1157  C CG  . TYR A 1 146 ? 311.914 -76.765 303.840 1.0 95.83479  ? 146 TYR A CG  146 TYR A CG  1 
ATOM 1158  C CD1 . TYR A 1 146 ? 311.642 -75.422 303.664 1.0 95.83479  ? 146 TYR A CD1 146 TYR A CD1 1 
ATOM 1159  C CD2 . TYR A 1 146 ? 313.247 -77.163 303.880 1.0 95.83479  ? 146 TYR A CD2 146 TYR A CD2 1 
ATOM 1160  C CE1 . TYR A 1 146 ? 312.658 -74.499 303.612 1.0 95.83479  ? 146 TYR A CE1 146 TYR A CE1 1 
ATOM 1161  C CE2 . TYR A 1 146 ? 314.266 -76.245 303.840 1.0 95.83479  ? 146 TYR A CE2 146 TYR A CE2 1 
ATOM 1162  C CZ  . TYR A 1 146 ? 313.966 -74.915 303.702 1.0 95.83479  ? 146 TYR A CZ  146 TYR A CZ  1 
ATOM 1163  O OH  . TYR A 1 146 ? 314.984 -73.996 303.649 1.0 95.83479  ? 146 TYR A OH  146 TYR A OH  1 
ATOM 1164  N N   . ALA A 1 147 ? 310.085 -78.909 307.384 1.0 100.94918 ? 147 ALA A N   147 ALA A N   1 
ATOM 1165  C CA  . ALA A 1 147 ? 310.549 -79.130 308.751 1.0 100.94918 ? 147 ALA A CA  147 ALA A CA  1 
ATOM 1166  C C   . ALA A 1 147 ? 311.606 -80.210 308.961 1.0 100.94918 ? 147 ALA A C   147 ALA A C   1 
ATOM 1167  O O   . ALA A 1 147 ? 312.039 -80.872 308.012 1.0 100.94918 ? 147 ALA A O   147 ALA A O   1 
ATOM 1168  C CB  . ALA A 1 147 ? 309.344 -79.484 309.621 1.0 100.94918 ? 147 ALA A CB  147 ALA A CB  1 
ATOM 1169  N N   . ALA A 1 148 ? 311.997 -80.379 310.233 1.0 105.74508 ? 148 ALA A N   148 ALA A N   1 
ATOM 1170  C CA  . ALA A 1 148 ? 313.129 -81.186 310.706 1.0 105.74508 ? 148 ALA A CA  148 ALA A CA  1 
ATOM 1171  C C   . ALA A 1 148 ? 314.444 -80.675 310.108 1.0 105.74508 ? 148 ALA A C   148 ALA A C   1 
ATOM 1172  O O   . ALA A 1 148 ? 315.111 -81.331 309.307 1.0 105.74508 ? 148 ALA A O   148 ALA A O   1 
ATOM 1173  C CB  . ALA A 1 148 ? 312.932 -82.689 310.448 1.0 105.74508 ? 148 ALA A CB  148 ALA A CB  1 
ATOM 1174  N N   . GLY A 1 149 ? 314.795 -79.468 310.543 1.0 104.23067 ? 149 GLY A N   149 GLY A N   1 
ATOM 1175  C CA  . GLY A 1 149 ? 316.016 -78.821 310.115 1.0 104.23067 ? 149 GLY A CA  149 GLY A CA  1 
ATOM 1176  C C   . GLY A 1 149 ? 317.222 -79.191 310.955 1.0 104.23067 ? 149 GLY A C   149 GLY A C   1 
ATOM 1177  O O   . GLY A 1 149 ? 317.603 -80.363 311.027 1.0 104.23067 ? 149 GLY A O   149 GLY A O   1 
ATOM 1178  N N   . GLY A 1 150 ? 317.827 -78.196 311.596 1.0 104.80108 ? 150 GLY A N   150 GLY A N   1 
ATOM 1179  C CA  . GLY A 1 150 ? 319.133 -78.338 312.210 1.0 104.80108 ? 150 GLY A CA  150 GLY A CA  1 
ATOM 1180  C C   . GLY A 1 150 ? 320.021 -77.232 311.685 1.0 104.80108 ? 150 GLY A C   150 GLY A C   1 
ATOM 1181  O O   . GLY A 1 150 ? 319.789 -76.057 311.983 1.0 104.80108 ? 150 GLY A O   150 GLY A O   1 
ATOM 1182  N N   . THR A 1 151 ? 321.044 -77.582 310.914 1.0 105.42095 ? 151 THR A N   151 THR A N   1 
ATOM 1183  C CA  . THR A 1 151 ? 321.572 -76.633 309.950 1.0 105.42095 ? 151 THR A CA  151 THR A CA  1 
ATOM 1184  C C   . THR A 1 151 ? 320.624 -76.599 308.759 1.0 105.42095 ? 151 THR A C   151 THR A C   1 
ATOM 1185  O O   . THR A 1 151 ? 320.067 -77.624 308.354 1.0 105.42095 ? 151 THR A O   151 THR A O   1 
ATOM 1186  C CB  . THR A 1 151 ? 323.006 -76.988 309.535 1.0 105.42095 ? 151 THR A CB  151 THR A CB  1 
ATOM 1187  O OG1 . THR A 1 151 ? 323.480 -76.041 308.569 1.0 105.42095 ? 151 THR A OG1 151 THR A OG1 1 
ATOM 1188  C CG2 . THR A 1 151 ? 323.123 -78.406 308.987 1.0 105.42095 ? 151 THR A CG2 151 THR A CG2 1 
ATOM 1189  N N   . GLY A 1 152 ? 320.384 -75.405 308.240 1.0 102.59793 ? 152 GLY A N   152 GLY A N   1 
ATOM 1190  C CA  . GLY A 1 152 ? 319.322 -75.249 307.272 1.0 102.59793 ? 152 GLY A CA  152 GLY A CA  1 
ATOM 1191  C C   . GLY A 1 152 ? 319.672 -75.604 305.847 1.0 102.59793 ? 152 GLY A C   152 GLY A C   1 
ATOM 1192  O O   . GLY A 1 152 ? 318.833 -75.430 304.959 1.0 102.59793 ? 152 GLY A O   152 GLY A O   1 
ATOM 1193  N N   . VAL A 1 153 ? 320.870 -76.120 305.599 1.0 103.47094 ? 153 VAL A N   153 VAL A N   1 
ATOM 1194  C CA  . VAL A 1 153 ? 321.351 -76.272 304.234 1.0 103.47094 ? 153 VAL A CA  153 VAL A CA  1 
ATOM 1195  C C   . VAL A 1 153 ? 321.058 -77.665 303.680 1.0 103.47094 ? 153 VAL A C   153 VAL A C   1 
ATOM 1196  O O   . VAL A 1 153 ? 320.781 -77.810 302.484 1.0 103.47094 ? 153 VAL A O   153 VAL A O   1 
ATOM 1197  C CB  . VAL A 1 153 ? 322.856 -75.949 304.206 1.0 103.47094 ? 153 VAL A CB  153 VAL A CB  1 
ATOM 1198  C CG1 . VAL A 1 153 ? 323.406 -75.949 302.791 1.0 103.47094 ? 153 VAL A CG1 153 VAL A CG1 1 
ATOM 1199  C CG2 . VAL A 1 153 ? 323.124 -74.621 304.900 1.0 103.47094 ? 153 VAL A CG2 153 VAL A CG2 1 
ATOM 1200  N N   . THR A 1 154 ? 321.057 -78.690 304.537 1.0 105.3698  ? 154 THR A N   154 THR A N   1 
ATOM 1201  C CA  . THR A 1 154 ? 320.903 -80.078 304.109 1.0 105.3698  ? 154 THR A CA  154 THR A CA  1 
ATOM 1202  C C   . THR A 1 154 ? 319.516 -80.399 303.561 1.0 105.3698  ? 154 THR A C   154 THR A C   1 
ATOM 1203  O O   . THR A 1 154 ? 319.351 -81.450 302.935 1.0 105.3698  ? 154 THR A O   154 THR A O   1 
ATOM 1204  C CB  . THR A 1 154 ? 321.227 -81.020 305.274 1.0 105.3698  ? 154 THR A CB  154 THR A CB  1 
ATOM 1205  O OG1 . THR A 1 154 ? 321.214 -82.377 304.813 1.0 105.3698  ? 154 THR A OG1 154 THR A OG1 1 
ATOM 1206  C CG2 . THR A 1 154 ? 320.214 -80.854 306.403 1.0 105.3698  ? 154 THR A CG2 154 THR A CG2 1 
ATOM 1207  N N   . GLU A 1 155 ? 318.529 -79.534 303.777 1.0 102.89083 ? 155 GLU A N   155 GLU A N   1 
ATOM 1208  C CA  . GLU A 1 155 ? 317.212 -79.688 303.184 1.0 102.89083 ? 155 GLU A CA  155 GLU A CA  1 
ATOM 1209  C C   . GLU A 1 155 ? 316.827 -78.509 302.304 1.0 102.89083 ? 155 GLU A C   155 GLU A C   1 
ATOM 1210  O O   . GLU A 1 155 ? 315.672 -78.427 301.874 1.0 102.89083 ? 155 GLU A O   155 GLU A O   1 
ATOM 1211  C CB  . GLU A 1 155 ? 316.154 -79.890 304.279 1.0 102.89083 ? 155 GLU A CB  155 GLU A CB  1 
ATOM 1212  C CG  . GLU A 1 155 ? 316.273 -81.226 304.998 1.0 102.89083 ? 155 GLU A CG  155 GLU A CG  1 
ATOM 1213  C CD  . GLU A 1 155 ? 315.242 -81.406 306.099 1.0 102.89083 ? 155 GLU A CD  155 GLU A CD  1 
ATOM 1214  O OE1 . GLU A 1 155 ? 314.525 -80.434 306.416 1.0 102.89083 ? 155 GLU A OE1 155 GLU A OE1 1 
ATOM 1215  O OE2 . GLU A 1 155 ? 315.146 -82.524 306.645 1.0 102.89083 ? 155 GLU A OE2 155 GLU A OE2 1 
ATOM 1216  N N   . ALA A 1 156 ? 317.759 -77.597 302.021 1.0 100.7381  ? 156 ALA A N   156 ALA A N   1 
ATOM 1217  C CA  . ALA A 1 156 ? 317.476 -76.423 301.205 1.0 100.7381  ? 156 ALA A CA  156 ALA A CA  1 
ATOM 1218  C C   . ALA A 1 156 ? 317.736 -76.667 299.724 1.0 100.7381  ? 156 ALA A C   156 ALA A C   1 
ATOM 1219  O O   . ALA A 1 156 ? 316.960 -76.206 298.880 1.0 100.7381  ? 156 ALA A O   156 ALA A O   1 
ATOM 1220  C CB  . ALA A 1 156 ? 318.308 -75.236 301.688 1.0 100.7381  ? 156 ALA A CB  156 ALA A CB  1 
ATOM 1221  N N   . ILE A 1 157 ? 318.823 -77.371 299.396 1.0 100.70087 ? 157 ILE A N   157 ILE A N   1 
ATOM 1222  C CA  . ILE A 1 157 ? 319.081 -77.762 298.012 1.0 100.70087 ? 157 ILE A CA  157 ILE A CA  1 
ATOM 1223  C C   . ILE A 1 157 ? 318.029 -78.766 297.554 1.0 100.70087 ? 157 ILE A C   157 ILE A C   1 
ATOM 1224  O O   . ILE A 1 157 ? 317.583 -78.732 296.399 1.0 100.70087 ? 157 ILE A O   157 ILE A O   1 
ATOM 1225  C CB  . ILE A 1 157 ? 320.523 -78.302 297.864 1.0 100.70087 ? 157 ILE A CB  157 ILE A CB  1 
ATOM 1226  C CG1 . ILE A 1 157 ? 321.553 -77.192 298.086 1.0 100.70087 ? 157 ILE A CG1 157 ILE A CG1 1 
ATOM 1227  C CG2 . ILE A 1 157 ? 320.782 -78.887 296.486 1.0 100.70087 ? 157 ILE A CG2 157 ILE A CG2 1 
ATOM 1228  C CD1 . ILE A 1 157 ? 322.124 -77.109 299.477 1.0 100.70087 ? 157 ILE A CD1 157 ILE A CD1 1 
ATOM 1229  N N   . GLN A 1 158 ? 317.548 -79.606 298.469 1.0 99.32097  ? 158 GLN A N   158 GLN A N   1 
ATOM 1230  C CA  . GLN A 1 158 ? 316.408 -80.471 298.205 1.0 99.32097  ? 158 GLN A CA  158 GLN A CA  1 
ATOM 1231  C C   . GLN A 1 158 ? 315.129 -79.644 298.040 1.0 99.32097  ? 158 GLN A C   158 GLN A C   1 
ATOM 1232  O O   . GLN A 1 158 ? 315.113 -78.425 298.242 1.0 99.32097  ? 158 GLN A O   158 GLN A O   1 
ATOM 1233  C CB  . GLN A 1 158 ? 316.248 -81.491 299.328 1.0 99.32097  ? 158 GLN A CB  158 GLN A CB  1 
ATOM 1234  C CG  . GLN A 1 158 ? 317.396 -82.466 299.428 1.0 99.32097  ? 158 GLN A CG  158 GLN A CG  1 
ATOM 1235  C CD  . GLN A 1 158 ? 317.537 -83.309 298.181 1.0 99.32097  ? 158 GLN A CD  158 GLN A CD  1 
ATOM 1236  O OE1 . GLN A 1 158 ? 318.469 -83.126 297.398 1.0 99.32097  ? 158 GLN A OE1 158 GLN A OE1 1 
ATOM 1237  N NE2 . GLN A 1 158 ? 316.611 -84.241 297.988 1.0 99.32097  ? 158 GLN A NE2 158 GLN A NE2 1 
ATOM 1238  N N   . GLN A 1 159 ? 314.043 -80.351 297.709 1.0 97.65411  ? 159 GLN A N   159 GLN A N   1 
ATOM 1239  C CA  . GLN A 1 159 ? 312.726 -79.819 297.315 1.0 97.65411  ? 159 GLN A CA  159 GLN A CA  1 
ATOM 1240  C C   . GLN A 1 159 ? 312.866 -78.687 296.287 1.0 97.65411  ? 159 GLN A C   159 GLN A C   1 
ATOM 1241  O O   . GLN A 1 159 ? 312.653 -77.505 296.550 1.0 97.65411  ? 159 GLN A O   159 GLN A O   1 
ATOM 1242  C CB  . GLN A 1 159 ? 311.837 -79.476 298.534 1.0 97.65411  ? 159 GLN A CB  159 GLN A CB  1 
ATOM 1243  C CG  . GLN A 1 159 ? 312.269 -78.495 299.637 1.0 97.65411  ? 159 GLN A CG  159 GLN A CG  1 
ATOM 1244  C CD  . GLN A 1 159 ? 311.778 -77.083 299.420 1.0 97.65411  ? 159 GLN A CD  159 GLN A CD  1 
ATOM 1245  O OE1 . GLN A 1 159 ? 310.738 -76.863 298.804 1.0 97.65411  ? 159 GLN A OE1 159 GLN A OE1 1 
ATOM 1246  N NE2 . GLN A 1 159 ? 312.524 -76.116 299.931 1.0 97.65411  ? 159 GLN A NE2 159 GLN A NE2 1 
ATOM 1247  N N   . GLN A 1 160 ? 313.296 -79.114 295.098 1.0 96.33557  ? 160 GLN A N   160 GLN A N   1 
ATOM 1248  C CA  . GLN A 1 160 ? 313.445 -78.239 293.943 1.0 96.33557  ? 160 GLN A CA  160 GLN A CA  1 
ATOM 1249  C C   . GLN A 1 160 ? 312.116 -77.587 293.565 1.0 96.33557  ? 160 GLN A C   160 GLN A C   1 
ATOM 1250  O O   . GLN A 1 160 ? 311.031 -78.071 293.897 1.0 96.33557  ? 160 GLN A O   160 GLN A O   1 
ATOM 1251  C CB  . GLN A 1 160 ? 313.993 -79.025 292.750 1.0 96.33557  ? 160 GLN A CB  160 GLN A CB  1 
ATOM 1252  C CG  . GLN A 1 160 ? 313.013 -80.025 292.140 1.0 96.33557  ? 160 GLN A CG  160 GLN A CG  1 
ATOM 1253  C CD  . GLN A 1 160 ? 313.046 -81.385 292.812 1.0 96.33557  ? 160 GLN A CD  160 GLN A CD  1 
ATOM 1254  O OE1 . GLN A 1 160 ? 313.571 -81.540 293.913 1.0 96.33557  ? 160 GLN A OE1 160 GLN A OE1 1 
ATOM 1255  N NE2 . GLN A 1 160 ? 312.478 -82.383 292.146 1.0 96.33557  ? 160 GLN A NE2 160 GLN A NE2 1 
ATOM 1256  N N   . VAL A 1 161 ? 312.217 -76.468 292.853 1.0 91.82693  ? 161 VAL A N   161 VAL A N   1 
ATOM 1257  C CA  . VAL A 1 161 ? 311.052 -75.649 292.549 1.0 91.82693  ? 161 VAL A CA  161 VAL A CA  1 
ATOM 1258  C C   . VAL A 1 161 ? 310.810 -75.590 291.050 1.0 91.82693  ? 161 VAL A C   161 VAL A C   1 
ATOM 1259  O O   . VAL A 1 161 ? 311.561 -76.169 290.257 1.0 91.82693  ? 161 VAL A O   161 VAL A O   1 
ATOM 1260  C CB  . VAL A 1 161 ? 311.212 -74.232 293.122 1.0 91.82693  ? 161 VAL A CB  161 VAL A CB  1 
ATOM 1261  C CG1 . VAL A 1 161 ? 311.211 -74.274 294.634 1.0 91.82693  ? 161 VAL A CG1 161 VAL A CG1 1 
ATOM 1262  C CG2 . VAL A 1 161 ? 312.496 -73.616 292.608 1.0 91.82693  ? 161 VAL A CG2 161 VAL A CG2 1 
ATOM 1263  N N   . SER A 1 162 ? 309.756 -74.886 290.662 1.0 89.76248  ? 162 SER A N   162 SER A N   1 
ATOM 1264  C CA  . SER A 1 162 ? 309.373 -74.713 289.271 1.0 89.76248  ? 162 SER A CA  162 SER A CA  1 
ATOM 1265  C C   . SER A 1 162 ? 308.706 -73.350 289.151 1.0 89.76248  ? 162 SER A C   162 SER A C   1 
ATOM 1266  O O   . SER A 1 162 ? 308.861 -72.491 290.025 1.0 89.76248  ? 162 SER A O   162 SER A O   1 
ATOM 1267  C CB  . SER A 1 162 ? 308.465 -75.865 288.813 1.0 89.76248  ? 162 SER A CB  162 SER A CB  1 
ATOM 1268  O OG  . SER A 1 162 ? 308.007 -75.653 287.491 1.0 89.76248  ? 162 SER A OG  162 SER A OG  1 
ATOM 1269  N N   . GLY A 1 163 ? 307.972 -73.141 288.060 1.0 87.55083  ? 163 GLY A N   163 GLY A N   1 
ATOM 1270  C CA  . GLY A 1 163 ? 307.192 -71.926 287.940 1.0 87.55083  ? 163 GLY A CA  163 GLY A CA  1 
ATOM 1271  C C   . GLY A 1 163 ? 306.006 -71.896 288.879 1.0 87.55083  ? 163 GLY A C   163 GLY A C   1 
ATOM 1272  O O   . GLY A 1 163 ? 305.616 -70.827 289.356 1.0 87.55083  ? 163 GLY A O   163 GLY A O   1 
ATOM 1273  N N   . VAL A 1 164 ? 305.418 -73.058 289.162 1.0 86.28803  ? 164 VAL A N   164 VAL A N   1 
ATOM 1274  C CA  . VAL A 1 164 ? 304.219 -73.148 289.989 1.0 86.28803  ? 164 VAL A CA  164 VAL A CA  1 
ATOM 1275  C C   . VAL A 1 164 ? 304.387 -74.169 291.107 1.0 86.28803  ? 164 VAL A C   164 VAL A C   1 
ATOM 1276  O O   . VAL A 1 164 ? 303.396 -74.620 291.690 1.0 86.28803  ? 164 VAL A O   164 VAL A O   1 
ATOM 1277  C CB  . VAL A 1 164 ? 302.987 -73.507 289.138 1.0 86.28803  ? 164 VAL A CB  164 VAL A CB  1 
ATOM 1278  C CG1 . VAL A 1 164 ? 302.627 -72.378 288.191 1.0 86.28803  ? 164 VAL A CG1 164 VAL A CG1 1 
ATOM 1279  C CG2 . VAL A 1 164 ? 303.251 -74.784 288.358 1.0 86.28803  ? 164 VAL A CG2 164 VAL A CG2 1 
ATOM 1280  N N   . ASP A 1 165 ? 305.628 -74.549 291.420 1.0 89.40863  ? 165 ASP A N   165 ASP A N   1 
ATOM 1281  C CA  . ASP A 1 165 ? 305.789 -75.577 292.446 1.0 89.40863  ? 165 ASP A CA  165 ASP A CA  1 
ATOM 1282  C C   . ASP A 1 165 ? 305.642 -74.978 293.852 1.0 89.40863  ? 165 ASP A C   165 ASP A C   1 
ATOM 1283  O O   . ASP A 1 165 ? 304.957 -75.591 294.679 1.0 89.40863  ? 165 ASP A O   165 ASP A O   1 
ATOM 1284  C CB  . ASP A 1 165 ? 307.113 -76.339 292.262 1.0 89.40863  ? 165 ASP A CB  165 ASP A CB  1 
ATOM 1285  C CG  . ASP A 1 165 ? 307.166 -77.642 293.053 1.0 89.40863  ? 165 ASP A CG  165 ASP A CG  1 
ATOM 1286  O OD1 . ASP A 1 165 ? 306.171 -78.009 293.711 1.0 89.40863  ? 165 ASP A OD1 165 ASP A OD1 1 
ATOM 1287  O OD2 . ASP A 1 165 ? 308.221 -78.307 293.021 1.0 89.40863  ? 165 ASP A OD2 165 ASP A OD2 1 
ATOM 1288  N N   . PRO A 1 166 ? 306.220 -73.789 294.200 1.0 83.69886  ? 166 PRO A N   166 PRO A N   1 
ATOM 1289  C CA  . PRO A 1 166 ? 305.695 -73.095 295.383 1.0 83.69886  ? 166 PRO A CA  166 PRO A CA  1 
ATOM 1290  C C   . PRO A 1 166 ? 304.459 -72.290 295.010 1.0 83.69886  ? 166 PRO A C   166 PRO A C   1 
ATOM 1291  O O   . PRO A 1 166 ? 304.512 -71.382 294.175 1.0 83.69886  ? 166 PRO A O   166 PRO A O   1 
ATOM 1292  C CB  . PRO A 1 166 ? 306.867 -72.203 295.816 1.0 83.69886  ? 166 PRO A CB  166 PRO A CB  1 
ATOM 1293  C CG  . PRO A 1 166 ? 307.629 -71.962 294.602 1.0 83.69886  ? 166 PRO A CG  166 PRO A CG  1 
ATOM 1294  C CD  . PRO A 1 166 ? 307.497 -73.180 293.764 1.0 83.69886  ? 166 PRO A CD  166 PRO A CD  1 
ATOM 1295  N N   . ASN A 1 167 ? 303.355 -72.643 295.586 1.0 77.2598   ? 167 ASN A N   167 ASN A N   1 
ATOM 1296  C CA  . ASN A 1 167 ? 302.115 -71.990 295.187 1.0 77.2598   ? 167 ASN A CA  167 ASN A CA  1 
ATOM 1297  C C   . ASN A 1 167 ? 301.780 -70.895 296.193 1.0 77.2598   ? 167 ASN A C   167 ASN A C   1 
ATOM 1298  O O   . ASN A 1 167 ? 301.818 -71.149 297.402 1.0 77.2598   ? 167 ASN A O   167 ASN A O   1 
ATOM 1299  C CB  . ASN A 1 167 ? 300.991 -73.017 295.114 1.0 77.2598   ? 167 ASN A CB  167 ASN A CB  1 
ATOM 1300  C CG  . ASN A 1 167 ? 299.785 -72.537 294.324 1.0 77.2598   ? 167 ASN A CG  167 ASN A CG  1 
ATOM 1301  O OD1 . ASN A 1 167 ? 299.752 -71.422 293.820 1.0 77.2598   ? 167 ASN A OD1 167 ASN A OD1 1 
ATOM 1302  N ND2 . ASN A 1 167 ? 298.786 -73.402 294.204 1.0 77.2598   ? 167 ASN A ND2 167 ASN A ND2 1 
ATOM 1303  N N   . PRO A 1 168 ? 301.498 -69.665 295.747 1.0 73.12799  ? 168 PRO A N   168 PRO A N   1 
ATOM 1304  C CA  . PRO A 1 168 ? 301.097 -68.611 296.696 1.0 73.12799  ? 168 PRO A CA  168 PRO A CA  1 
ATOM 1305  C C   . PRO A 1 168 ? 299.792 -68.873 297.423 1.0 73.12799  ? 168 PRO A C   168 PRO A C   1 
ATOM 1306  O O   . PRO A 1 168 ? 299.544 -68.248 298.460 1.0 73.12799  ? 168 PRO A O   168 PRO A O   1 
ATOM 1307  C CB  . PRO A 1 168 ? 300.994 -67.368 295.807 1.0 73.12799  ? 168 PRO A CB  168 PRO A CB  1 
ATOM 1308  C CG  . PRO A 1 168 ? 301.940 -67.629 294.718 1.0 73.12799  ? 168 PRO A CG  168 PRO A CG  1 
ATOM 1309  C CD  . PRO A 1 168 ? 301.872 -69.098 294.442 1.0 73.12799  ? 168 PRO A CD  168 PRO A CD  1 
ATOM 1310  N N   . GLN A 1 169 ? 298.947 -69.767 296.921 1.0 75.17415  ? 169 GLN A N   169 GLN A N   1 
ATOM 1311  C CA  . GLN A 1 169 ? 297.727 -70.097 297.641 1.0 75.17415  ? 169 GLN A CA  169 GLN A CA  1 
ATOM 1312  C C   . GLN A 1 169 ? 297.962 -71.207 298.658 1.0 75.17415  ? 169 GLN A C   169 GLN A C   1 
ATOM 1313  O O   . GLN A 1 169 ? 297.398 -71.170 299.757 1.0 75.17415  ? 169 GLN A O   169 GLN A O   1 
ATOM 1314  C CB  . GLN A 1 169 ? 296.636 -70.484 296.648 1.0 75.17415  ? 169 GLN A CB  169 GLN A CB  1 
ATOM 1315  C CG  . GLN A 1 169 ? 296.182 -69.325 295.787 1.0 75.17415  ? 169 GLN A CG  169 GLN A CG  1 
ATOM 1316  C CD  . GLN A 1 169 ? 295.181 -69.735 294.738 1.0 75.17415  ? 169 GLN A CD  169 GLN A CD  1 
ATOM 1317  O OE1 . GLN A 1 169 ? 294.888 -70.916 294.575 1.0 75.17415  ? 169 GLN A OE1 169 GLN A OE1 1 
ATOM 1318  N NE2 . GLN A 1 169 ? 294.644 -68.759 294.019 1.0 75.17415  ? 169 GLN A NE2 169 GLN A NE2 1 
ATOM 1319  N N   . VAL A 1 170 ? 298.794 -72.189 298.322 1.0 78.52736  ? 170 VAL A N   170 VAL A N   1 
ATOM 1320  C CA  . VAL A 1 170 ? 299.091 -73.283 299.239 1.0 78.52736  ? 170 VAL A CA  170 VAL A CA  1 
ATOM 1321  C C   . VAL A 1 170 ? 300.014 -72.770 300.334 1.0 78.52736  ? 170 VAL A C   170 VAL A C   1 
ATOM 1322  O O   . VAL A 1 170 ? 301.093 -72.238 300.053 1.0 78.52736  ? 170 VAL A O   170 VAL A O   1 
ATOM 1323  C CB  . VAL A 1 170 ? 299.732 -74.466 298.496 1.0 78.52736  ? 170 VAL A CB  170 VAL A CB  1 
ATOM 1324  C CG1 . VAL A 1 170 ? 300.030 -75.597 299.465 1.0 78.52736  ? 170 VAL A CG1 170 VAL A CG1 1 
ATOM 1325  C CG2 . VAL A 1 170 ? 298.836 -74.951 297.387 1.0 78.52736  ? 170 VAL A CG2 170 VAL A CG2 1 
ATOM 1326  N N   . GLY A 1 171 ? 299.597 -72.934 301.584 1.0 80.7461   ? 171 GLY A N   171 GLY A N   1 
ATOM 1327  C CA  . GLY A 1 171 ? 300.414 -72.500 302.699 1.0 80.7461   ? 171 GLY A CA  171 GLY A CA  1 
ATOM 1328  C C   . GLY A 1 171 ? 300.412 -73.462 303.864 1.0 80.7461   ? 171 GLY A C   171 GLY A C   1 
ATOM 1329  O O   . GLY A 1 171 ? 300.684 -74.654 303.692 1.0 80.7461   ? 171 GLY A O   171 GLY A O   1 
ATOM 1330  N N   . GLN A 1 172 ? 300.135 -72.944 305.059 1.0 83.69892  ? 172 GLN A N   172 GLN A N   1 
ATOM 1331  C CA  . GLN A 1 172 ? 299.919 -73.794 306.217 1.0 83.69892  ? 172 GLN A CA  172 GLN A CA  1 
ATOM 1332  C C   . GLN A 1 172 ? 298.676 -74.656 306.003 1.0 83.69892  ? 172 GLN A C   172 GLN A C   1 
ATOM 1333  O O   . GLN A 1 172 ? 297.753 -74.257 305.287 1.0 83.69892  ? 172 GLN A O   172 GLN A O   1 
ATOM 1334  C CB  . GLN A 1 172 ? 299.741 -72.949 307.477 1.0 83.69892  ? 172 GLN A CB  172 GLN A CB  1 
ATOM 1335  C CG  . GLN A 1 172 ? 300.981 -72.228 307.955 1.0 83.69892  ? 172 GLN A CG  172 GLN A CG  1 
ATOM 1336  C CD  . GLN A 1 172 ? 302.025 -73.179 308.489 1.0 83.69892  ? 172 GLN A CD  172 GLN A CD  1 
ATOM 1337  O OE1 . GLN A 1 172 ? 301.700 -74.193 309.101 1.0 83.69892  ? 172 GLN A OE1 172 GLN A OE1 1 
ATOM 1338  N NE2 . GLN A 1 172 ? 303.290 -72.845 308.280 1.0 83.69892  ? 172 GLN A NE2 172 GLN A NE2 1 
ATOM 1339  N N   . PRO A 1 173 ? 298.628 -75.846 306.597 1.0 83.44066  ? 173 PRO A N   173 PRO A N   1 
ATOM 1340  C CA  . PRO A 1 173 ? 297.369 -76.592 306.632 1.0 83.44066  ? 173 PRO A CA  173 PRO A CA  1 
ATOM 1341  C C   . PRO A 1 173 ? 296.355 -75.888 307.516 1.0 83.44066  ? 173 PRO A C   173 PRO A C   1 
ATOM 1342  O O   . PRO A 1 173 ? 296.695 -75.040 308.344 1.0 83.44066  ? 173 PRO A O   173 PRO A O   1 
ATOM 1343  C CB  . PRO A 1 173 ? 297.771 -77.948 307.216 1.0 83.44066  ? 173 PRO A CB  173 PRO A CB  1 
ATOM 1344  C CG  . PRO A 1 173 ? 298.992 -77.665 308.002 1.0 83.44066  ? 173 PRO A CG  173 PRO A CG  1 
ATOM 1345  C CD  . PRO A 1 173 ? 299.719 -76.593 307.245 1.0 83.44066  ? 173 PRO A CD  173 PRO A CD  1 
ATOM 1346  N N   . ASN A 1 174 ? 295.089 -76.246 307.316 1.0 81.1463   ? 174 ASN A N   174 ASN A N   1 
ATOM 1347  C CA  . ASN A 1 174 ? 294.005 -75.631 308.068 1.0 81.1463   ? 174 ASN A CA  174 ASN A CA  1 
ATOM 1348  C C   . ASN A 1 174 ? 294.090 -76.006 309.542 1.0 81.1463   ? 174 ASN A C   174 ASN A C   1 
ATOM 1349  O O   . ASN A 1 174 ? 294.651 -77.044 309.905 1.0 81.1463   ? 174 ASN A O   174 ASN A O   1 
ATOM 1350  C CB  . ASN A 1 174 ? 292.653 -76.051 307.497 1.0 81.1463   ? 174 ASN A CB  174 ASN A CB  1 
ATOM 1351  C CG  . ASN A 1 174 ? 292.360 -75.406 306.156 1.0 81.1463   ? 174 ASN A CG  174 ASN A CG  1 
ATOM 1352  O OD1 . ASN A 1 174 ? 292.619 -74.220 305.958 1.0 81.1463   ? 174 ASN A OD1 174 ASN A OD1 1 
ATOM 1353  N ND2 . ASN A 1 174 ? 291.816 -76.184 305.229 1.0 81.1463   ? 174 ASN A ND2 174 ASN A ND2 1 
ATOM 1354  N N   . TYR A 1 175 ? 293.568 -75.105 310.385 1.0 82.37517  ? 175 TYR A N   175 TYR A N   1 
ATOM 1355  C CA  . TYR A 1 175 ? 293.500 -75.251 311.845 1.0 82.37517  ? 175 TYR A CA  175 TYR A CA  1 
ATOM 1356  C C   . TYR A 1 175 ? 294.879 -75.328 312.485 1.0 82.37517  ? 175 TYR A C   175 TYR A C   1 
ATOM 1357  O O   . TYR A 1 175 ? 295.066 -75.986 313.510 1.0 82.37517  ? 175 TYR A O   175 TYR A O   1 
ATOM 1358  C CB  . TYR A 1 175 ? 292.657 -76.456 312.258 1.0 82.37517  ? 175 TYR A CB  175 TYR A CB  1 
ATOM 1359  C CG  . TYR A 1 175 ? 291.236 -76.334 311.824 1.0 82.37517  ? 175 TYR A CG  175 TYR A CG  1 
ATOM 1360  C CD1 . TYR A 1 175 ? 290.315 -75.673 312.612 1.0 82.37517  ? 175 TYR A CD1 175 TYR A CD1 1 
ATOM 1361  C CD2 . TYR A 1 175 ? 290.820 -76.846 310.604 1.0 82.37517  ? 175 TYR A CD2 175 TYR A CD2 1 
ATOM 1362  C CE1 . TYR A 1 175 ? 289.014 -75.554 312.216 1.0 82.37517  ? 175 TYR A CE1 175 TYR A CE1 1 
ATOM 1363  C CE2 . TYR A 1 175 ? 289.522 -76.726 310.195 1.0 82.37517  ? 175 TYR A CE2 175 TYR A CE2 1 
ATOM 1364  C CZ  . TYR A 1 175 ? 288.627 -76.077 311.004 1.0 82.37517  ? 175 TYR A CZ  175 TYR A CZ  1 
ATOM 1365  O OH  . TYR A 1 175 ? 287.331 -75.954 310.600 1.0 82.37517  ? 175 TYR A OH  175 TYR A OH  1 
ATOM 1366  N N   . ALA A 1 176 ? 295.853 -74.650 311.885 1.0 86.59083  ? 176 ALA A N   176 ALA A N   1 
ATOM 1367  C CA  . ALA A 1 176 ? 297.112 -74.420 312.572 1.0 86.59083  ? 176 ALA A CA  176 ALA A CA  1 
ATOM 1368  C C   . ALA A 1 176 ? 296.958 -73.396 313.687 1.0 86.59083  ? 176 ALA A C   176 ALA A C   1 
ATOM 1369  O O   . ALA A 1 176 ? 297.765 -73.388 314.622 1.0 86.59083  ? 176 ALA A O   176 ALA A O   1 
ATOM 1370  C CB  . ALA A 1 176 ? 298.176 -73.963 311.577 1.0 86.59083  ? 176 ALA A CB  176 ALA A CB  1 
ATOM 1371  N N   . GLY A 1 177 ? 295.937 -72.546 313.610 1.0 89.74633  ? 177 GLY A N   177 GLY A N   1 
ATOM 1372  C CA  . GLY A 1 177 ? 295.710 -71.522 314.595 1.0 89.74633  ? 177 GLY A CA  177 GLY A CA  1 
ATOM 1373  C C   . GLY A 1 177 ? 296.732 -70.412 314.489 1.0 89.74633  ? 177 GLY A C   177 GLY A C   1 
ATOM 1374  O O   . GLY A 1 177 ? 297.283 -70.144 313.418 1.0 89.74633  ? 177 GLY A O   177 GLY A O   1 
ATOM 1375  N N   . PRO A 1 178 ? 297.013 -69.744 315.604 1.0 89.21958  ? 178 PRO A N   178 PRO A N   1 
ATOM 1376  C CA  . PRO A 1 178 ? 298.086 -68.737 315.633 1.0 89.21958  ? 178 PRO A CA  178 PRO A CA  1 
ATOM 1377  C C   . PRO A 1 178 ? 299.453 -69.373 315.863 1.0 89.21958  ? 178 PRO A C   178 PRO A C   1 
ATOM 1378  O O   . PRO A 1 178 ? 300.128 -69.115 316.864 1.0 89.21958  ? 178 PRO A O   178 PRO A O   1 
ATOM 1379  C CB  . PRO A 1 178 ? 297.656 -67.840 316.798 1.0 89.21958  ? 178 PRO A CB  178 PRO A CB  1 
ATOM 1380  C CG  . PRO A 1 178 ? 296.975 -68.780 317.728 1.0 89.21958  ? 178 PRO A CG  178 PRO A CG  1 
ATOM 1381  C CD  . PRO A 1 178 ? 296.262 -69.785 316.870 1.0 89.21958  ? 178 PRO A CD  178 PRO A CD  1 
ATOM 1382  N N   . VAL A 1 179 ? 299.864 -70.229 314.928 1.0 90.35718  ? 179 VAL A N   179 VAL A N   1 
ATOM 1383  C CA  . VAL A 1 179 ? 301.072 -71.020 315.113 1.0 90.35718  ? 179 VAL A CA  179 VAL A CA  1 
ATOM 1384  C C   . VAL A 1 179 ? 302.301 -70.127 314.982 1.0 90.35718  ? 179 VAL A C   179 VAL A C   1 
ATOM 1385  O O   . VAL A 1 179 ? 302.386 -69.269 314.092 1.0 90.35718  ? 179 VAL A O   179 VAL A O   1 
ATOM 1386  C CB  . VAL A 1 179 ? 301.086 -72.213 314.138 1.0 90.35718  ? 179 VAL A CB  179 VAL A CB  1 
ATOM 1387  C CG1 . VAL A 1 179 ? 301.012 -71.772 312.678 1.0 90.35718  ? 179 VAL A CG1 179 VAL A CG1 1 
ATOM 1388  C CG2 . VAL A 1 179 ? 302.301 -73.101 314.375 1.0 90.35718  ? 179 VAL A CG2 179 VAL A CG2 1 
ATOM 1389  N N   . VAL A 1 180 ? 303.219 -70.261 315.929 1.0 91.62453  ? 180 VAL A N   180 VAL A N   1 
ATOM 1390  C CA  . VAL A 1 180 ? 304.485 -69.544 315.905 1.0 91.62453  ? 180 VAL A CA  180 VAL A CA  1 
ATOM 1391  C C   . VAL A 1 180 ? 305.516 -70.496 315.325 1.0 91.62453  ? 180 VAL A C   180 VAL A C   1 
ATOM 1392  O O   . VAL A 1 180 ? 305.889 -71.485 315.965 1.0 91.62453  ? 180 VAL A O   180 VAL A O   1 
ATOM 1393  C CB  . VAL A 1 180 ? 304.889 -69.057 317.301 1.0 91.62453  ? 180 VAL A CB  180 VAL A CB  1 
ATOM 1394  C CG1 . VAL A 1 180 ? 306.247 -68.383 317.250 1.0 91.62453  ? 180 VAL A CG1 180 VAL A CG1 1 
ATOM 1395  C CG2 . VAL A 1 180 ? 303.836 -68.113 317.851 1.0 91.62453  ? 180 VAL A CG2 180 VAL A CG2 1 
ATOM 1396  N N   . VAL A 1 181 ? 305.956 -70.218 314.101 1.0 92.67254  ? 181 VAL A N   181 VAL A N   1 
ATOM 1397  C CA  . VAL A 1 181 ? 306.940 -71.064 313.435 1.0 92.67254  ? 181 VAL A CA  181 VAL A CA  1 
ATOM 1398  C C   . VAL A 1 181 ? 308.285 -70.849 314.119 1.0 92.67254  ? 181 VAL A C   181 VAL A C   1 
ATOM 1399  O O   . VAL A 1 181 ? 308.883 -69.776 314.007 1.0 92.67254  ? 181 VAL A O   181 VAL A O   1 
ATOM 1400  C CB  . VAL A 1 181 ? 307.023 -70.764 311.935 1.0 92.67254  ? 181 VAL A CB  181 VAL A CB  1 
ATOM 1401  C CG1 . VAL A 1 181 ? 308.120 -71.593 311.293 1.0 92.67254  ? 181 VAL A CG1 181 VAL A CG1 1 
ATOM 1402  C CG2 . VAL A 1 181 ? 305.690 -71.037 311.264 1.0 92.67254  ? 181 VAL A CG2 181 VAL A CG2 1 
ATOM 1403  N N   . ASN A 1 182 ? 308.738 -71.858 314.861 1.0 95.50563  ? 182 ASN A N   182 ASN A N   1 
ATOM 1404  C CA  . ASN A 1 182 ? 310.059 -71.826 315.474 1.0 95.50563  ? 182 ASN A CA  182 ASN A CA  1 
ATOM 1405  C C   . ASN A 1 182 ? 311.108 -71.835 314.374 1.0 95.50563  ? 182 ASN A C   182 ASN A C   1 
ATOM 1406  O O   . ASN A 1 182 ? 311.146 -72.762 313.562 1.0 95.50563  ? 182 ASN A O   182 ASN A O   1 
ATOM 1407  C CB  . ASN A 1 182 ? 310.238 -73.028 316.399 1.0 95.50563  ? 182 ASN A CB  182 ASN A CB  1 
ATOM 1408  C CG  . ASN A 1 182 ? 311.466 -72.915 317.288 1.0 95.50563  ? 182 ASN A CG  182 ASN A CG  1 
ATOM 1409  O OD1 . ASN A 1 182 ? 312.187 -71.919 317.259 1.0 95.50563  ? 182 ASN A OD1 182 ASN A OD1 1 
ATOM 1410  N ND2 . ASN A 1 182 ? 311.712 -73.951 318.080 1.0 95.50563  ? 182 ASN A ND2 182 ASN A ND2 1 
ATOM 1411  N N   . THR A 1 183 ? 311.948 -70.799 314.338 1.0 95.2848   ? 183 THR A N   183 THR A N   1 
ATOM 1412  C CA  . THR A 1 183 ? 312.922 -70.679 313.259 1.0 95.2848   ? 183 THR A CA  183 THR A CA  1 
ATOM 1413  C C   . THR A 1 183 ? 313.995 -71.757 313.369 1.0 95.2848   ? 183 THR A C   183 THR A C   1 
ATOM 1414  O O   . THR A 1 183 ? 314.563 -72.179 312.356 1.0 95.2848   ? 183 THR A O   183 THR A O   1 
ATOM 1415  C CB  . THR A 1 183 ? 313.539 -69.282 313.279 1.0 95.2848   ? 183 THR A CB  183 THR A CB  1 
ATOM 1416  O OG1 . THR A 1 183 ? 312.497 -68.317 313.458 1.0 95.2848   ? 183 THR A OG1 183 THR A OG1 1 
ATOM 1417  C CG2 . THR A 1 183 ? 314.184 -68.979 311.946 1.0 95.2848   ? 183 THR A CG2 183 THR A CG2 1 
ATOM 1418  N N   . THR A 1 184 ? 314.258 -72.233 314.582 1.0 96.92218  ? 184 THR A N   184 THR A N   1 
ATOM 1419  C CA  . THR A 1 184 ? 314.988 -73.473 314.776 1.0 96.92218  ? 184 THR A CA  184 THR A CA  1 
ATOM 1420  C C   . THR A 1 184 ? 314.042 -74.646 314.535 1.0 96.92218  ? 184 THR A C   184 THR A C   1 
ATOM 1421  O O   . THR A 1 184 ? 312.881 -74.611 314.957 1.0 96.92218  ? 184 THR A O   184 THR A O   1 
ATOM 1422  C CB  . THR A 1 184 ? 315.567 -73.523 316.192 1.0 96.92218  ? 184 THR A CB  184 THR A CB  1 
ATOM 1423  O OG1 . THR A 1 184 ? 316.371 -72.359 316.418 1.0 96.92218  ? 184 THR A OG1 184 THR A OG1 1 
ATOM 1424  C CG2 . THR A 1 184 ? 316.435 -74.754 316.389 1.0 96.92218  ? 184 THR A CG2 184 THR A CG2 1 
ATOM 1425  N N   . ASN A 1 185 ? 314.531 -75.651 313.797 1.0 99.63102  ? 185 ASN A N   185 ASN A N   1 
ATOM 1426  C CA  . ASN A 1 185 ? 313.867 -76.901 313.408 1.0 99.63102  ? 185 ASN A CA  185 ASN A CA  1 
ATOM 1427  C C   . ASN A 1 185 ? 312.710 -76.716 312.431 1.0 99.63102  ? 185 ASN A C   185 ASN A C   1 
ATOM 1428  O O   . ASN A 1 185 ? 311.994 -77.685 312.148 1.0 99.63102  ? 185 ASN A O   185 ASN A O   1 
ATOM 1429  C CB  . ASN A 1 185 ? 313.373 -77.711 314.614 1.0 99.63102  ? 185 ASN A CB  185 ASN A CB  1 
ATOM 1430  C CG  . ASN A 1 185 ? 314.506 -78.287 315.425 1.0 99.63102  ? 185 ASN A CG  185 ASN A CG  1 
ATOM 1431  O OD1 . ASN A 1 185 ? 315.481 -78.798 314.876 1.0 99.63102  ? 185 ASN A OD1 185 ASN A OD1 1 
ATOM 1432  N ND2 . ASN A 1 185 ? 314.389 -78.202 316.743 1.0 99.63102  ? 185 ASN A ND2 185 ASN A ND2 1 
ATOM 1433  N N   . ASN A 1 186 ? 312.498 -75.510 311.909 1.0 96.99919  ? 186 ASN A N   186 ASN A N   1 
ATOM 1434  C CA  . ASN A 1 186 ? 311.590 -75.280 310.794 1.0 96.99919  ? 186 ASN A CA  186 ASN A CA  1 
ATOM 1435  C C   . ASN A 1 186 ? 312.230 -74.245 309.885 1.0 96.99919  ? 186 ASN A C   186 ASN A C   1 
ATOM 1436  O O   . ASN A 1 186 ? 313.243 -73.632 310.229 1.0 96.99919  ? 186 ASN A O   186 ASN A O   1 
ATOM 1437  C CB  . ASN A 1 186 ? 310.211 -74.784 311.246 1.0 96.99919  ? 186 ASN A CB  186 ASN A CB  1 
ATOM 1438  C CG  . ASN A 1 186 ? 309.517 -75.741 312.184 1.0 96.99919  ? 186 ASN A CG  186 ASN A CG  1 
ATOM 1439  O OD1 . ASN A 1 186 ? 309.343 -75.451 313.366 1.0 96.99919  ? 186 ASN A OD1 186 ASN A OD1 1 
ATOM 1440  N ND2 . ASN A 1 186 ? 309.093 -76.875 311.661 1.0 96.99919  ? 186 ASN A ND2 186 ASN A ND2 1 
ATOM 1441  N N   . ALA A 1 187 ? 311.620 -74.042 308.720 1.0 92.96233  ? 187 ALA A N   187 ALA A N   1 
ATOM 1442  C CA  . ALA A 1 187 ? 312.082 -73.036 307.775 1.0 92.96233  ? 187 ALA A CA  187 ALA A CA  1 
ATOM 1443  C C   . ALA A 1 187 ? 310.931 -72.681 306.846 1.0 92.96233  ? 187 ALA A C   187 ALA A C   1 
ATOM 1444  O O   . ALA A 1 187 ? 310.051 -73.505 306.594 1.0 92.96233  ? 187 ALA A O   187 ALA A O   1 
ATOM 1445  C CB  . ALA A 1 187 ? 313.292 -73.526 306.975 1.0 92.96233  ? 187 ALA A CB  187 ALA A CB  1 
ATOM 1446  N N   . GLY A 1 188 ? 310.947 -71.448 306.340 1.0 89.51242  ? 188 GLY A N   188 GLY A N   1 
ATOM 1447  C CA  . GLY A 1 188 ? 309.862 -70.984 305.503 1.0 89.51242  ? 188 GLY A CA  188 GLY A CA  1 
ATOM 1448  C C   . GLY A 1 188 ? 310.018 -71.383 304.048 1.0 89.51242  ? 188 GLY A C   188 GLY A C   1 
ATOM 1449  O O   . GLY A 1 188 ? 311.080 -71.788 303.592 1.0 89.51242  ? 188 GLY A O   188 GLY A O   1 
ATOM 1450  N N   . LEU A 1 189 ? 308.930 -71.248 303.297 1.0 85.74091  ? 189 LEU A N   189 LEU A N   1 
ATOM 1451  C CA  . LEU A 1 189 ? 308.893 -71.719 301.916 1.0 85.74091  ? 189 LEU A CA  189 LEU A CA  1 
ATOM 1452  C C   . LEU A 1 189 ? 307.840 -70.934 301.152 1.0 85.74091  ? 189 LEU A C   189 LEU A C   1 
ATOM 1453  O O   . LEU A 1 189 ? 306.651 -71.028 301.467 1.0 85.74091  ? 189 LEU A O   189 LEU A O   1 
ATOM 1454  C CB  . LEU A 1 189 ? 308.600 -73.218 301.876 1.0 85.74091  ? 189 LEU A CB  189 LEU A CB  1 
ATOM 1455  C CG  . LEU A 1 189 ? 308.368 -73.949 300.556 1.0 85.74091  ? 189 LEU A CG  189 LEU A CG  1 
ATOM 1456  C CD1 . LEU A 1 189 ? 309.535 -73.821 299.622 1.0 85.74091  ? 189 LEU A CD1 189 LEU A CD1 1 
ATOM 1457  C CD2 . LEU A 1 189 ? 308.109 -75.415 300.853 1.0 85.74091  ? 189 LEU A CD2 189 LEU A CD2 1 
ATOM 1458  N N   . GLY A 1 190 ? 308.274 -70.165 300.157 1.0 83.93667  ? 190 GLY A N   190 GLY A N   1 
ATOM 1459  C CA  . GLY A 1 190 ? 307.358 -69.344 299.388 1.0 83.93667  ? 190 GLY A CA  190 GLY A CA  1 
ATOM 1460  C C   . GLY A 1 190 ? 307.951 -68.792 298.108 1.0 83.93667  ? 190 GLY A C   190 GLY A C   1 
ATOM 1461  O O   . GLY A 1 190 ? 308.827 -69.417 297.504 1.0 83.93667  ? 190 GLY A O   190 GLY A O   1 
ATOM 1462  N N   . ARG A 1 191 ? 307.475 -67.625 297.677 1.0 80.6472   ? 191 ARG A N   191 ARG A N   1 
ATOM 1463  C CA  . ARG A 1 191 ? 307.958 -66.976 296.467 1.0 80.6472   ? 191 ARG A CA  191 ARG A CA  1 
ATOM 1464  C C   . ARG A 1 191 ? 308.273 -65.516 296.744 1.0 80.6472   ? 191 ARG A C   191 ARG A C   1 
ATOM 1465  O O   . ARG A 1 191 ? 307.681 -64.897 297.628 1.0 80.6472   ? 191 ARG A O   191 ARG A O   1 
ATOM 1466  C CB  . ARG A 1 191 ? 306.933 -67.030 295.333 1.0 80.6472   ? 191 ARG A CB  191 ARG A CB  1 
ATOM 1467  C CG  . ARG A 1 191 ? 306.646 -68.404 294.794 1.0 80.6472   ? 191 ARG A CG  191 ARG A CG  1 
ATOM 1468  C CD  . ARG A 1 191 ? 305.584 -68.342 293.717 1.0 80.6472   ? 191 ARG A CD  191 ARG A CD  1 
ATOM 1469  N NE  . ARG A 1 191 ? 306.043 -67.639 292.527 1.0 80.6472   ? 191 ARG A NE  191 ARG A NE  1 
ATOM 1470  C CZ  . ARG A 1 191 ? 306.666 -68.226 291.514 1.0 80.6472   ? 191 ARG A CZ  191 ARG A CZ  1 
ATOM 1471  N NH1 . ARG A 1 191 ? 306.903 -69.529 291.547 1.0 80.6472   ? 191 ARG A NH1 191 ARG A NH1 1 
ATOM 1472  N NH2 . ARG A 1 191 ? 307.050 -67.511 290.467 1.0 80.6472   ? 191 ARG A NH2 191 ARG A NH2 1 
ATOM 1473  N N   . ILE A 1 192 ? 309.215 -64.974 295.975 1.0 81.1923   ? 192 ILE A N   192 ILE A N   1 
ATOM 1474  C CA  . ILE A 1 192 ? 309.425 -63.534 295.871 1.0 81.1923   ? 192 ILE A CA  192 ILE A CA  1 
ATOM 1475  C C   . ILE A 1 192 ? 309.527 -63.197 294.395 1.0 81.1923   ? 192 ILE A C   192 ILE A C   1 
ATOM 1476  O O   . ILE A 1 192 ? 309.349 -64.067 293.539 1.0 81.1923   ? 192 ILE A O   192 ILE A O   1 
ATOM 1477  C CB  . ILE A 1 192 ? 310.684 -63.050 296.613 1.0 81.1923   ? 192 ILE A CB  192 ILE A CB  1 
ATOM 1478  C CG1 . ILE A 1 192 ? 311.929 -63.755 296.081 1.0 81.1923   ? 192 ILE A CG1 192 ILE A CG1 1 
ATOM 1479  C CG2 . ILE A 1 192 ? 310.544 -63.204 298.108 1.0 81.1923   ? 192 ILE A CG2 192 ILE A CG2 1 
ATOM 1480  C CD1 . ILE A 1 192 ? 313.212 -63.131 296.564 1.0 81.1923   ? 192 ILE A CD1 192 ILE A CD1 1 
ATOM 1481  N N   . VAL A 1 193 ? 309.812 -61.937 294.090 1.0 82.41084  ? 193 VAL A N   193 VAL A N   1 
ATOM 1482  C CA  . VAL A 1 193 ? 310.166 -61.506 292.745 1.0 82.41084  ? 193 VAL A CA  193 VAL A CA  1 
ATOM 1483  C C   . VAL A 1 193 ? 311.513 -60.795 292.813 1.0 82.41084  ? 193 VAL A C   193 VAL A C   1 
ATOM 1484  O O   . VAL A 1 193 ? 311.738 -59.968 293.704 1.0 82.41084  ? 193 VAL A O   193 VAL A O   1 
ATOM 1485  C CB  . VAL A 1 193 ? 309.063 -60.624 292.122 1.0 82.41084  ? 193 VAL A CB  193 VAL A CB  1 
ATOM 1486  C CG1 . VAL A 1 193 ? 308.599 -59.569 293.084 1.0 82.41084  ? 193 VAL A CG1 193 VAL A CG1 1 
ATOM 1487  C CG2 . VAL A 1 193 ? 309.566 -59.943 290.872 1.0 82.41084  ? 193 VAL A CG2 193 VAL A CG2 1 
ATOM 1488  N N   . SER A 1 194 ? 312.431 -61.178 291.922 1.0 85.41873  ? 194 SER A N   194 SER A N   1 
ATOM 1489  C CA  . SER A 1 194 ? 313.758 -60.582 291.889 1.0 85.41873  ? 194 SER A CA  194 SER A CA  1 
ATOM 1490  C C   . SER A 1 194 ? 313.688 -59.104 291.548 1.0 85.41873  ? 194 SER A C   194 SER A C   1 
ATOM 1491  O O   . SER A 1 194 ? 312.773 -58.640 290.863 1.0 85.41873  ? 194 SER A O   194 SER A O   1 
ATOM 1492  C CB  . SER A 1 194 ? 314.643 -61.274 290.855 1.0 85.41873  ? 194 SER A CB  194 SER A CB  1 
ATOM 1493  O OG  . SER A 1 194 ? 314.901 -62.613 291.206 1.0 85.41873  ? 194 SER A OG  194 SER A OG  1 
ATOM 1494  N N   . ALA A 1 195 ? 314.673 -58.366 292.040 1.0 86.08649  ? 195 ALA A N   195 ALA A N   1 
ATOM 1495  C CA  . ALA A 1 195 ? 314.894 -57.006 291.600 1.0 86.08649  ? 195 ALA A CA  195 ALA A CA  1 
ATOM 1496  C C   . ALA A 1 195 ? 315.551 -57.015 290.224 1.0 86.08649  ? 195 ALA A C   195 ALA A C   1 
ATOM 1497  O O   . ALA A 1 195 ? 315.987 -58.060 289.730 1.0 86.08649  ? 195 ALA A O   195 ALA A O   1 
ATOM 1498  C CB  . ALA A 1 195 ? 315.756 -56.258 292.610 1.0 86.08649  ? 195 ALA A CB  195 ALA A CB  1 
ATOM 1499  N N   . ASP A 1 196 ? 315.637 -55.820 289.628 1.0 88.55069  ? 196 ASP A N   196 ASP A N   1 
ATOM 1500  C CA  . ASP A 1 196 ? 316.068 -55.610 288.240 1.0 88.55069  ? 196 ASP A CA  196 ASP A CA  1 
ATOM 1501  C C   . ASP A 1 196 ? 315.250 -56.476 287.284 1.0 88.55069  ? 196 ASP A C   196 ASP A C   1 
ATOM 1502  O O   . ASP A 1 196 ? 315.782 -57.278 286.513 1.0 88.55069  ? 196 ASP A O   196 ASP A O   1 
ATOM 1503  C CB  . ASP A 1 196 ? 317.572 -55.859 288.070 1.0 88.55069  ? 196 ASP A CB  196 ASP A CB  1 
ATOM 1504  C CG  . ASP A 1 196 ? 318.420 -54.832 288.791 1.0 88.55069  ? 196 ASP A CG  196 ASP A CG  1 
ATOM 1505  O OD1 . ASP A 1 196 ? 317.973 -53.674 288.921 1.0 88.55069  ? 196 ASP A OD1 196 ASP A OD1 1 
ATOM 1506  O OD2 . ASP A 1 196 ? 319.532 -55.184 289.235 1.0 88.55069  ? 196 ASP A OD2 196 ASP A OD2 1 
ATOM 1507  N N   . SER A 1 197 ? 313.928 -56.320 287.360 1.0 84.71965  ? 197 SER A N   197 SER A N   1 
ATOM 1508  C CA  . SER A 1 197 ? 312.995 -57.173 286.632 1.0 84.71965  ? 197 SER A CA  197 SER A CA  1 
ATOM 1509  C C   . SER A 1 197 ? 312.005 -56.317 285.843 1.0 84.71965  ? 197 SER A C   197 SER A C   1 
ATOM 1510  O O   . SER A 1 197 ? 310.815 -56.618 285.793 1.0 84.71965  ? 197 SER A O   197 SER A O   1 
ATOM 1511  C CB  . SER A 1 197 ? 312.254 -58.114 287.576 1.0 84.71965  ? 197 SER A CB  197 SER A CB  1 
ATOM 1512  O OG  . SER A 1 197 ? 311.381 -57.393 288.425 1.0 84.71965  ? 197 SER A OG  197 SER A OG  1 
ATOM 1513  N N   . GLU A 1 198 ? 312.514 -55.233 285.250 1.0 86.93474  ? 198 GLU A N   198 GLU A N   1 
ATOM 1514  C CA  . GLU A 1 198 ? 311.874 -54.512 284.139 1.0 86.93474  ? 198 GLU A CA  198 GLU A CA  1 
ATOM 1515  C C   . GLU A 1 198 ? 310.499 -53.943 284.490 1.0 86.93474  ? 198 GLU A C   198 GLU A C   1 
ATOM 1516  O O   . GLU A 1 198 ? 309.472 -54.371 283.961 1.0 86.93474  ? 198 GLU A O   198 GLU A O   1 
ATOM 1517  C CB  . GLU A 1 198 ? 311.778 -55.411 282.904 1.0 86.93474  ? 198 GLU A CB  198 GLU A CB  1 
ATOM 1518  C CG  . GLU A 1 198 ? 313.119 -55.799 282.308 1.0 86.93474  ? 198 GLU A CG  198 GLU A CG  1 
ATOM 1519  C CD  . GLU A 1 198 ? 313.850 -54.622 281.691 1.0 86.93474  ? 198 GLU A CD  198 GLU A CD  1 
ATOM 1520  O OE1 . GLU A 1 198 ? 313.180 -53.715 281.152 1.0 86.93474  ? 198 GLU A OE1 198 GLU A OE1 1 
ATOM 1521  O OE2 . GLU A 1 198 ? 315.098 -54.601 281.750 1.0 86.93474  ? 198 GLU A OE2 198 GLU A OE2 1 
ATOM 1522  N N   . GLY A 1 199 ? 310.472 -52.976 285.402 1.0 84.35136  ? 199 GLY A N   199 GLY A N   1 
ATOM 1523  C CA  . GLY A 1 199 ? 309.233 -52.258 285.632 1.0 84.35136  ? 199 GLY A CA  199 GLY A CA  1 
ATOM 1524  C C   . GLY A 1 199 ? 309.206 -51.509 286.942 1.0 84.35136  ? 199 GLY A C   199 GLY A C   1 
ATOM 1525  O O   . GLY A 1 199 ? 310.145 -51.569 287.742 1.0 84.35136  ? 199 GLY A O   199 GLY A O   1 
ATOM 1526  N N   . GLN A 1 200 ? 308.100 -50.797 287.151 1.0 81.53524  ? 200 GLN A N   200 GLN A N   1 
ATOM 1527  C CA  . GLN A 1 200 ? 307.892 -50.015 288.363 1.0 81.53524  ? 200 GLN A CA  200 GLN A CA  1 
ATOM 1528  C C   . GLN A 1 200 ? 307.432 -50.925 289.493 1.0 81.53524  ? 200 GLN A C   200 GLN A C   1 
ATOM 1529  O O   . GLN A 1 200 ? 306.510 -51.728 289.313 1.0 81.53524  ? 200 GLN A O   200 GLN A O   1 
ATOM 1530  C CB  . GLN A 1 200 ? 306.860 -48.918 288.112 1.0 81.53524  ? 200 GLN A CB  200 GLN A CB  1 
ATOM 1531  C CG  . GLN A 1 200 ? 306.591 -48.035 289.314 1.0 81.53524  ? 200 GLN A CG  200 GLN A CG  1 
ATOM 1532  C CD  . GLN A 1 200 ? 307.816 -47.267 289.757 1.0 81.53524  ? 200 GLN A CD  200 GLN A CD  1 
ATOM 1533  O OE1 . GLN A 1 200 ? 308.452 -47.614 290.750 1.0 81.53524  ? 200 GLN A OE1 200 GLN A OE1 1 
ATOM 1534  N NE2 . GLN A 1 200 ? 308.151 -46.212 289.024 1.0 81.53524  ? 200 GLN A NE2 200 GLN A NE2 1 
ATOM 1535  N N   . GLN A 1 201 ? 308.074 -50.805 290.652 1.0 80.7854   ? 201 GLN A N   201 GLN A N   1 
ATOM 1536  C CA  . GLN A 1 201 ? 307.641 -51.549 291.826 1.0 80.7854   ? 201 GLN A CA  201 GLN A CA  1 
ATOM 1537  C C   . GLN A 1 201 ? 306.314 -50.995 292.324 1.0 80.7854   ? 201 GLN A C   201 GLN A C   1 
ATOM 1538  O O   . GLN A 1 201 ? 306.121 -49.778 292.391 1.0 80.7854   ? 201 GLN A O   201 GLN A O   1 
ATOM 1539  C CB  . GLN A 1 201 ? 308.706 -51.473 292.919 1.0 80.7854   ? 201 GLN A CB  201 GLN A CB  1 
ATOM 1540  C CG  . GLN A 1 201 ? 308.393 -52.294 294.157 1.0 80.7854   ? 201 GLN A CG  201 GLN A CG  1 
ATOM 1541  C CD  . GLN A 1 201 ? 308.367 -53.782 293.882 1.0 80.7854   ? 201 GLN A CD  201 GLN A CD  1 
ATOM 1542  O OE1 . GLN A 1 201 ? 309.204 -54.306 293.149 1.0 80.7854   ? 201 GLN A OE1 201 GLN A OE1 1 
ATOM 1543  N NE2 . GLN A 1 201 ? 307.402 -54.473 294.473 1.0 80.7854   ? 201 GLN A NE2 201 GLN A NE2 1 
ATOM 1544  N N   . PHE A 1 202 ? 305.399 -51.889 292.661 1.0 73.61545  ? 202 PHE A N   202 PHE A N   1 
ATOM 1545  C CA  . PHE A 1 202 ? 304.013 -51.558 292.938 1.0 73.61545  ? 202 PHE A CA  202 PHE A CA  1 
ATOM 1546  C C   . PHE A 1 202 ? 303.526 -52.390 294.114 1.0 73.61545  ? 202 PHE A C   202 PHE A C   1 
ATOM 1547  O O   . PHE A 1 202 ? 303.988 -53.519 294.309 1.0 73.61545  ? 202 PHE A O   202 PHE A O   1 
ATOM 1548  C CB  . PHE A 1 202 ? 303.165 -51.837 291.688 1.0 73.61545  ? 202 PHE A CB  202 PHE A CB  1 
ATOM 1549  C CG  . PHE A 1 202 ? 301.770 -51.334 291.777 1.0 73.61545  ? 202 PHE A CG  202 PHE A CG  1 
ATOM 1550  C CD1 . PHE A 1 202 ? 301.498 -49.994 291.606 1.0 73.61545  ? 202 PHE A CD1 202 PHE A CD1 1 
ATOM 1551  C CD2 . PHE A 1 202 ? 300.729 -52.195 292.034 1.0 73.61545  ? 202 PHE A CD2 202 PHE A CD2 1 
ATOM 1552  C CE1 . PHE A 1 202 ? 300.222 -49.519 291.697 1.0 73.61545  ? 202 PHE A CE1 202 PHE A CE1 1 
ATOM 1553  C CE2 . PHE A 1 202 ? 299.445 -51.726 292.127 1.0 73.61545  ? 202 PHE A CE2 202 PHE A CE2 1 
ATOM 1554  C CZ  . PHE A 1 202 ? 299.198 -50.388 291.955 1.0 73.61545  ? 202 PHE A CZ  202 PHE A CZ  1 
ATOM 1555  N N   . PRO A 1 203 ? 302.604 -51.865 294.925 1.0 72.46707  ? 203 PRO A N   203 PRO A N   1 
ATOM 1556  C CA  . PRO A 1 203 ? 302.098 -52.637 296.069 1.0 72.46707  ? 203 PRO A CA  203 PRO A CA  1 
ATOM 1557  C C   . PRO A 1 203 ? 301.227 -53.817 295.664 1.0 72.46707  ? 203 PRO A C   203 PRO A C   1 
ATOM 1558  O O   . PRO A 1 203 ? 301.063 -54.144 294.489 1.0 72.46707  ? 203 PRO A O   203 PRO A O   1 
ATOM 1559  C CB  . PRO A 1 203 ? 301.281 -51.610 296.856 1.0 72.46707  ? 203 PRO A CB  203 PRO A CB  1 
ATOM 1560  C CG  . PRO A 1 203 ? 301.859 -50.324 296.495 1.0 72.46707  ? 203 PRO A CG  203 PRO A CG  1 
ATOM 1561  C CD  . PRO A 1 203 ? 302.259 -50.441 295.062 1.0 72.46707  ? 203 PRO A CD  203 PRO A CD  1 
ATOM 1562  N N   . CYS A 1 204 ? 300.669 -54.474 296.683 1.0 70.95561  ? 204 CYS A N   204 CYS A N   1 
ATOM 1563  C CA  . CYS A 1 204 ? 299.892 -55.684 296.441 1.0 70.95561  ? 204 CYS A CA  204 CYS A CA  1 
ATOM 1564  C C   . CYS A 1 204 ? 298.551 -55.367 295.803 1.0 70.95561  ? 204 CYS A C   204 CYS A C   1 
ATOM 1565  O O   . CYS A 1 204 ? 298.108 -56.073 294.891 1.0 70.95561  ? 204 CYS A O   204 CYS A O   1 
ATOM 1566  C CB  . CYS A 1 204 ? 299.691 -56.450 297.745 1.0 70.95561  ? 204 CYS A CB  204 CYS A CB  1 
ATOM 1567  S SG  . CYS A 1 204 ? 298.797 -58.005 297.561 1.0 70.95561  ? 204 CYS A SG  204 CYS A SG  1 
ATOM 1568  N N   . TYR A 1 205 ? 297.905 -54.297 296.251 1.0 66.82536  ? 205 TYR A N   205 TYR A N   1 
ATOM 1569  C CA  . TYR A 1 205 ? 296.562 -53.938 295.809 1.0 66.82536  ? 205 TYR A CA  205 TYR A CA  1 
ATOM 1570  C C   . TYR A 1 205 ? 296.617 -53.430 294.375 1.0 66.82536  ? 205 TYR A C   205 TYR A C   1 
ATOM 1571  O O   . TYR A 1 205 ? 296.928 -52.262 294.134 1.0 66.82536  ? 205 TYR A O   205 TYR A O   1 
ATOM 1572  C CB  . TYR A 1 205 ? 295.990 -52.878 296.740 1.0 66.82536  ? 205 TYR A CB  205 TYR A CB  1 
ATOM 1573  C CG  . TYR A 1 205 ? 294.586 -52.432 296.436 1.0 66.82536  ? 205 TYR A CG  205 TYR A CG  1 
ATOM 1574  C CD1 . TYR A 1 205 ? 293.494 -53.179 296.843 1.0 66.82536  ? 205 TYR A CD1 205 TYR A CD1 1 
ATOM 1575  C CD2 . TYR A 1 205 ? 294.353 -51.251 295.752 1.0 66.82536  ? 205 TYR A CD2 205 TYR A CD2 1 
ATOM 1576  C CE1 . TYR A 1 205 ? 292.209 -52.756 296.575 1.0 66.82536  ? 205 TYR A CE1 205 TYR A CE1 1 
ATOM 1577  C CE2 . TYR A 1 205 ? 293.084 -50.825 295.478 1.0 66.82536  ? 205 TYR A CE2 205 TYR A CE2 1 
ATOM 1578  C CZ  . TYR A 1 205 ? 292.017 -51.575 295.890 1.0 66.82536  ? 205 TYR A CZ  205 TYR A CZ  1 
ATOM 1579  O OH  . TYR A 1 205 ? 290.753 -51.132 295.601 1.0 66.82536  ? 205 TYR A OH  205 TYR A OH  1 
ATOM 1580  N N   . GLY A 1 206 ? 296.321 -54.303 293.423 1.0 67.37306  ? 206 GLY A N   206 GLY A N   1 
ATOM 1581  C CA  . GLY A 1 206 ? 296.256 -53.916 292.034 1.0 67.37306  ? 206 GLY A CA  206 GLY A CA  1 
ATOM 1582  C C   . GLY A 1 206 ? 297.408 -54.369 291.173 1.0 67.37306  ? 206 GLY A C   206 GLY A C   1 
ATOM 1583  O O   . GLY A 1 206 ? 297.501 -53.930 290.024 1.0 67.37306  ? 206 GLY A O   206 GLY A O   1 
ATOM 1584  N N   . ALA A 1 207 ? 298.274 -55.239 291.677 1.0 66.59508  ? 207 ALA A N   207 ALA A N   1 
ATOM 1585  C CA  . ALA A 1 207 ? 299.457 -55.657 290.942 1.0 66.59508  ? 207 ALA A CA  207 ALA A CA  1 
ATOM 1586  C C   . ALA A 1 207 ? 299.105 -56.777 289.975 1.0 66.59508  ? 207 ALA A C   207 ALA A C   1 
ATOM 1587  O O   . ALA A 1 207 ? 298.501 -57.778 290.367 1.0 66.59508  ? 207 ALA A O   207 ALA A O   1 
ATOM 1588  C CB  . ALA A 1 207 ? 300.548 -56.114 291.903 1.0 66.59508  ? 207 ALA A CB  207 ALA A CB  1 
ATOM 1589  N N   . TYR A 1 208 ? 299.494 -56.609 288.716 1.0 67.61853  ? 208 TYR A N   208 TYR A N   1 
ATOM 1590  C CA  . TYR A 1 208 ? 299.188 -57.569 287.672 1.0 67.61853  ? 208 TYR A CA  208 TYR A CA  1 
ATOM 1591  C C   . TYR A 1 208 ? 300.473 -58.120 287.069 1.0 67.61853  ? 208 TYR A C   208 TYR A C   1 
ATOM 1592  O O   . TYR A 1 208 ? 301.497 -57.434 287.008 1.0 67.61853  ? 208 TYR A O   208 TYR A O   1 
ATOM 1593  C CB  . TYR A 1 208 ? 298.316 -56.934 286.587 1.0 67.61853  ? 208 TYR A CB  208 TYR A CB  1 
ATOM 1594  C CG  . TYR A 1 208 ? 297.973 -57.872 285.466 1.0 67.61853  ? 208 TYR A CG  208 TYR A CG  1 
ATOM 1595  C CD1 . TYR A 1 208 ? 297.101 -58.915 285.671 1.0 67.61853  ? 208 TYR A CD1 208 TYR A CD1 1 
ATOM 1596  C CD2 . TYR A 1 208 ? 298.540 -57.728 284.217 1.0 67.61853  ? 208 TYR A CD2 208 TYR A CD2 1 
ATOM 1597  C CE1 . TYR A 1 208 ? 296.783 -59.786 284.668 1.0 67.61853  ? 208 TYR A CE1 208 TYR A CE1 1 
ATOM 1598  C CE2 . TYR A 1 208 ? 298.233 -58.598 283.199 1.0 67.61853  ? 208 TYR A CE2 208 TYR A CE2 1 
ATOM 1599  C CZ  . TYR A 1 208 ? 297.352 -59.625 283.437 1.0 67.61853  ? 208 TYR A CZ  208 TYR A CZ  1 
ATOM 1600  O OH  . TYR A 1 208 ? 297.036 -60.497 282.438 1.0 67.61853  ? 208 TYR A OH  208 TYR A OH  1 
ATOM 1601  N N   . ALA A 1 209 ? 300.402 -59.373 286.633 1.0 68.77151  ? 209 ALA A N   209 ALA A N   1 
ATOM 1602  C CA  . ALA A 1 209 ? 301.507 -60.138 286.083 1.0 68.77151  ? 209 ALA A CA  209 ALA A CA  1 
ATOM 1603  C C   . ALA A 1 209 ? 300.978 -61.075 285.009 1.0 68.77151  ? 209 ALA A C   209 ALA A C   1 
ATOM 1604  O O   . ALA A 1 209 ? 300.265 -62.028 285.335 1.0 68.77151  ? 209 ALA A O   209 ALA A O   1 
ATOM 1605  C CB  . ALA A 1 209 ? 302.189 -60.934 287.187 1.0 68.77151  ? 209 ALA A CB  209 ALA A CB  1 
ATOM 1606  N N   . PRO A 1 210 ? 301.294 -60.852 283.738 1.0 70.06188  ? 210 PRO A N   210 PRO A N   1 
ATOM 1607  C CA  . PRO A 1 210 ? 300.700 -61.661 282.666 1.0 70.06188  ? 210 PRO A CA  210 PRO A CA  1 
ATOM 1608  C C   . PRO A 1 210 ? 301.239 -63.080 282.677 1.0 70.06188  ? 210 PRO A C   210 PRO A C   1 
ATOM 1609  O O   . PRO A 1 210 ? 302.452 -63.293 282.822 1.0 70.06188  ? 210 PRO A O   210 PRO A O   1 
ATOM 1610  C CB  . PRO A 1 210 ? 301.111 -60.913 281.392 1.0 70.06188  ? 210 PRO A CB  210 PRO A CB  1 
ATOM 1611  C CG  . PRO A 1 210 ? 302.339 -60.171 281.773 1.0 70.06188  ? 210 PRO A CG  210 PRO A CG  1 
ATOM 1612  C CD  . PRO A 1 210 ? 302.176 -59.797 283.214 1.0 70.06188  ? 210 PRO A CD  210 PRO A CD  1 
ATOM 1613  N N   . PRO A 1 211 ? 300.365 -64.075 282.554 1.0 70.82167  ? 211 PRO A N   211 PRO A N   1 
ATOM 1614  C CA  . PRO A 1 211 ? 300.805 -65.471 282.633 1.0 70.82167  ? 211 PRO A CA  211 PRO A CA  1 
ATOM 1615  C C   . PRO A 1 211 ? 301.552 -65.894 281.379 1.0 70.82167  ? 211 PRO A C   211 PRO A C   1 
ATOM 1616  O O   . PRO A 1 211 ? 301.567 -65.207 280.358 1.0 70.82167  ? 211 PRO A O   211 PRO A O   1 
ATOM 1617  C CB  . PRO A 1 211 ? 299.496 -66.243 282.784 1.0 70.82167  ? 211 PRO A CB  211 PRO A CB  1 
ATOM 1618  C CG  . PRO A 1 211 ? 298.494 -65.381 282.127 1.0 70.82167  ? 211 PRO A CG  211 PRO A CG  1 
ATOM 1619  C CD  . PRO A 1 211 ? 298.906 -63.971 282.402 1.0 70.82167  ? 211 PRO A CD  211 PRO A CD  1 
ATOM 1620  N N   . GLN A 1 212 ? 302.179 -67.062 281.471 1.0 75.8604   ? 212 GLN A N   212 GLN A N   1 
ATOM 1621  C CA  . GLN A 1 212 ? 303.015 -67.568 280.394 1.0 75.8604   ? 212 GLN A CA  212 GLN A CA  1 
ATOM 1622  C C   . GLN A 1 212 ? 302.554 -68.898 279.824 1.0 75.8604   ? 212 GLN A C   212 GLN A C   1 
ATOM 1623  O O   . GLN A 1 212 ? 302.833 -69.174 278.657 1.0 75.8604   ? 212 GLN A O   212 GLN A O   1 
ATOM 1624  C CB  . GLN A 1 212 ? 304.466 -67.700 280.870 1.0 75.8604   ? 212 GLN A CB  212 GLN A CB  1 
ATOM 1625  C CG  . GLN A 1 212 ? 305.087 -66.374 281.261 1.0 75.8604   ? 212 GLN A CG  212 GLN A CG  1 
ATOM 1626  C CD  . GLN A 1 212 ? 305.221 -65.432 280.086 1.0 75.8604   ? 212 GLN A CD  212 GLN A CD  1 
ATOM 1627  O OE1 . GLN A 1 212 ? 305.573 -65.845 278.983 1.0 75.8604   ? 212 GLN A OE1 212 GLN A OE1 1 
ATOM 1628  N NE2 . GLN A 1 212 ? 304.930 -64.158 280.311 1.0 75.8604   ? 212 GLN A NE2 212 GLN A NE2 1 
ATOM 1629  N N   . SER A 1 213 ? 301.863 -69.727 280.602 1.0 79.34382  ? 213 SER A N   213 SER A N   1 
ATOM 1630  C CA  . SER A 1 213 ? 301.302 -70.969 280.091 1.0 79.34382  ? 213 SER A CA  213 SER A CA  1 
ATOM 1631  C C   . SER A 1 213 ? 300.052 -71.306 280.892 1.0 79.34382  ? 213 SER A C   213 SER A C   1 
ATOM 1632  O O   . SER A 1 213 ? 299.654 -70.573 281.800 1.0 79.34382  ? 213 SER A O   213 SER A O   1 
ATOM 1633  C CB  . SER A 1 213 ? 302.318 -72.111 280.144 1.0 79.34382  ? 213 SER A CB  213 SER A CB  1 
ATOM 1634  O OG  . SER A 1 213 ? 301.728 -73.322 279.709 1.0 79.34382  ? 213 SER A OG  213 SER A OG  1 
ATOM 1635  N N   . ALA A 1 214 ? 299.431 -72.435 280.545 1.0 79.78184  ? 214 ALA A N   214 ALA A N   1 
ATOM 1636  C CA  . ALA A 1 214 ? 298.167 -72.825 281.156 1.0 79.78184  ? 214 ALA A CA  214 ALA A CA  1 
ATOM 1637  C C   . ALA A 1 214 ? 298.315 -73.269 282.603 1.0 79.78184  ? 214 ALA A C   214 ALA A C   1 
ATOM 1638  O O   . ALA A 1 214 ? 297.315 -73.301 283.325 1.0 79.78184  ? 214 ALA A O   214 ALA A O   1 
ATOM 1639  C CB  . ALA A 1 214 ? 297.512 -73.939 280.339 1.0 79.78184  ? 214 ALA A CB  214 ALA A CB  1 
ATOM 1640  N N   . GLY A 1 215 ? 299.523 -73.609 283.043 1.0 79.7839   ? 215 GLY A N   215 GLY A N   1 
ATOM 1641  C CA  . GLY A 1 215 ? 299.726 -73.938 284.438 1.0 79.7839   ? 215 GLY A CA  215 GLY A CA  1 
ATOM 1642  C C   . GLY A 1 215 ? 299.717 -72.756 285.376 1.0 79.7839   ? 215 GLY A C   215 GLY A C   1 
ATOM 1643  O O   . GLY A 1 215 ? 299.582 -72.945 286.587 1.0 79.7839   ? 215 GLY A O   215 GLY A O   1 
ATOM 1644  N N   . GLY A 1 216 ? 299.846 -71.544 284.849 1.0 80.08119  ? 216 GLY A N   216 GLY A N   1 
ATOM 1645  C CA  . GLY A 1 216 ? 299.873 -70.356 285.670 1.0 80.08119  ? 216 GLY A CA  216 GLY A CA  1 
ATOM 1646  C C   . GLY A 1 216 ? 301.247 -69.798 285.947 1.0 80.08119  ? 216 GLY A C   216 GLY A C   1 
ATOM 1647  O O   . GLY A 1 216 ? 301.380 -68.953 286.839 1.0 80.08119  ? 216 GLY A O   216 GLY A O   1 
ATOM 1648  N N   . ASP A 1 217 ? 302.270 -70.248 285.227 1.0 82.11161  ? 217 ASP A N   217 ASP A N   1 
ATOM 1649  C CA  . ASP A 1 217 ? 303.615 -69.745 285.458 1.0 82.11161  ? 217 ASP A CA  217 ASP A CA  1 
ATOM 1650  C C   . ASP A 1 217 ? 303.740 -68.311 284.961 1.0 82.11161  ? 217 ASP A C   217 ASP A C   1 
ATOM 1651  O O   . ASP A 1 217 ? 303.092 -67.910 283.991 1.0 82.11161  ? 217 ASP A O   217 ASP A O   1 
ATOM 1652  C CB  . ASP A 1 217 ? 304.652 -70.648 284.790 1.0 82.11161  ? 217 ASP A CB  217 ASP A CB  1 
ATOM 1653  C CG  . ASP A 1 217 ? 304.355 -70.899 283.330 1.0 82.11161  ? 217 ASP A CG  217 ASP A CG  1 
ATOM 1654  O OD1 . ASP A 1 217 ? 303.254 -70.540 282.880 1.0 82.11161  ? 217 ASP A OD1 217 ASP A OD1 1 
ATOM 1655  O OD2 . ASP A 1 217 ? 305.223 -71.436 282.618 1.0 82.11161  ? 217 ASP A OD2 217 ASP A OD2 1 
ATOM 1656  N N   . VAL A 1 218 ? 304.561 -67.530 285.655 1.0 80.83191  ? 218 VAL A N   218 VAL A N   1 
ATOM 1657  C CA  . VAL A 1 218 ? 304.631 -66.093 285.430 1.0 80.83191  ? 218 VAL A CA  218 VAL A CA  1 
ATOM 1658  C C   . VAL A 1 218 ? 306.026 -65.732 284.930 1.0 80.83191  ? 218 VAL A C   218 VAL A C   1 
ATOM 1659  O O   . VAL A 1 218 ? 306.191 -64.815 284.116 1.0 80.83191  ? 218 VAL A O   218 VAL A O   1 
ATOM 1660  C CB  . VAL A 1 218 ? 304.272 -65.343 286.727 1.0 80.83191  ? 218 VAL A CB  218 VAL A CB  1 
ATOM 1661  C CG1 . VAL A 1 218 ? 304.329 -63.865 286.534 1.0 80.83191  ? 218 VAL A CG1 218 VAL A CG1 1 
ATOM 1662  C CG2 . VAL A 1 218 ? 302.891 -65.747 287.219 1.0 80.83191  ? 218 VAL A CG2 218 VAL A CG2 1 
ATOM 1663  N N   . SER A 1 219 ? 307.028 -66.496 285.366 1.0 86.8058   ? 219 SER A N   219 SER A N   1 
ATOM 1664  C CA  . SER A 1 219 ? 308.433 -66.151 285.158 1.0 86.8058   ? 219 SER A CA  219 SER A CA  1 
ATOM 1665  C C   . SER A 1 219 ? 308.808 -66.275 283.690 1.0 86.8058   ? 219 SER A C   219 SER A C   1 
ATOM 1666  O O   . SER A 1 219 ? 308.900 -67.383 283.153 1.0 86.8058   ? 219 SER A O   219 SER A O   1 
ATOM 1667  C CB  . SER A 1 219 ? 309.321 -67.043 286.018 1.0 86.8058   ? 219 SER A CB  219 SER A CB  1 
ATOM 1668  O OG  . SER A 1 219 ? 309.260 -68.389 285.587 1.0 86.8058   ? 219 SER A OG  219 SER A OG  1 
ATOM 1669  N N   . THR A 1 220 ? 309.032 -65.132 283.040 1.0 87.85025  ? 220 THR A N   220 THR A N   1 
ATOM 1670  C CA  . THR A 1 220 ? 309.487 -65.143 281.657 1.0 87.85025  ? 220 THR A CA  220 THR A CA  1 
ATOM 1671  C C   . THR A 1 220 ? 310.942 -65.583 281.533 1.0 87.85025  ? 220 THR A C   220 THR A C   1 
ATOM 1672  O O   . THR A 1 220 ? 311.356 -66.010 280.451 1.0 87.85025  ? 220 THR A O   220 THR A O   1 
ATOM 1673  C CB  . THR A 1 220 ? 309.273 -63.764 281.024 1.0 87.85025  ? 220 THR A CB  220 THR A CB  1 
ATOM 1674  O OG1 . THR A 1 220 ? 309.629 -63.810 279.637 1.0 87.85025  ? 220 THR A OG1 220 THR A OG1 1 
ATOM 1675  C CG2 . THR A 1 220 ? 310.088 -62.691 281.732 1.0 87.85025  ? 220 THR A CG2 220 THR A CG2 1 
ATOM 1676  N N   . ALA A 1 221 ? 311.721 -65.491 282.605 1.0 89.05482  ? 221 ALA A N   221 ALA A N   1 
ATOM 1677  C CA  . ALA A 1 221 ? 313.033 -66.105 282.680 1.0 89.05482  ? 221 ALA A CA  221 ALA A CA  1 
ATOM 1678  C C   . ALA A 1 221 ? 312.939 -67.356 283.548 1.0 89.05482  ? 221 ALA A C   221 ALA A C   1 
ATOM 1679  O O   . ALA A 1 221 ? 311.850 -67.785 283.940 1.0 89.05482  ? 221 ALA A O   221 ALA A O   1 
ATOM 1680  C CB  . ALA A 1 221 ? 314.064 -65.109 283.211 1.0 89.05482  ? 221 ALA A CB  221 ALA A CB  1 
ATOM 1681  N N   . ALA A 1 222 ? 314.086 -67.954 283.854 1.0 90.63388  ? 222 ALA A N   222 ALA A N   1 
ATOM 1682  C CA  . ALA A 1 222 ? 314.105 -69.166 284.655 1.0 90.63388  ? 222 ALA A CA  222 ALA A CA  1 
ATOM 1683  C C   . ALA A 1 222 ? 313.845 -68.844 286.125 1.0 90.63388  ? 222 ALA A C   222 ALA A C   1 
ATOM 1684  O O   . ALA A 1 222 ? 313.807 -67.684 286.545 1.0 90.63388  ? 222 ALA A O   222 ALA A O   1 
ATOM 1685  C CB  . ALA A 1 222 ? 315.440 -69.890 284.498 1.0 90.63388  ? 222 ALA A CB  222 ALA A CB  1 
ATOM 1686  N N   . VAL A 1 223 ? 313.663 -69.895 286.913 1.0 90.30791  ? 223 VAL A N   223 VAL A N   1 
ATOM 1687  C CA  . VAL A 1 223 ? 313.369 -69.764 288.334 1.0 90.30791  ? 223 VAL A CA  223 VAL A CA  1 
ATOM 1688  C C   . VAL A 1 223 ? 314.636 -70.085 289.123 1.0 90.30791  ? 223 VAL A C   223 VAL A C   1 
ATOM 1689  O O   . VAL A 1 223 ? 315.486 -70.873 288.689 1.0 90.30791  ? 223 VAL A O   223 VAL A O   1 
ATOM 1690  C CB  . VAL A 1 223 ? 312.167 -70.660 288.723 1.0 90.30791  ? 223 VAL A CB  223 VAL A CB  1 
ATOM 1691  C CG1 . VAL A 1 223 ? 312.508 -72.147 288.640 1.0 90.30791  ? 223 VAL A CG1 223 VAL A CG1 1 
ATOM 1692  C CG2 . VAL A 1 223 ? 311.595 -70.282 290.084 1.0 90.30791  ? 223 VAL A CG2 223 VAL A CG2 1 
ATOM 1693  N N   . THR A 1 224 ? 314.799 -69.418 290.265 1.0 90.31063  ? 224 THR A N   224 THR A N   1 
ATOM 1694  C CA  . THR A 1 224 ? 316.019 -69.499 291.055 1.0 90.31063  ? 224 THR A CA  224 THR A CA  1 
ATOM 1695  C C   . THR A 1 224 ? 315.629 -69.416 292.527 1.0 90.31063  ? 224 THR A C   224 THR A C   1 
ATOM 1696  O O   . THR A 1 224 ? 314.663 -68.741 292.882 1.0 90.31063  ? 224 THR A O   224 THR A O   1 
ATOM 1697  C CB  . THR A 1 224 ? 316.992 -68.368 290.661 1.0 90.31063  ? 224 THR A CB  224 THR A CB  1 
ATOM 1698  O OG1 . THR A 1 224 ? 317.211 -68.391 289.245 1.0 90.31063  ? 224 THR A OG1 224 THR A OG1 1 
ATOM 1699  C CG2 . THR A 1 224 ? 318.346 -68.508 291.342 1.0 90.31063  ? 224 THR A CG2 224 THR A CG2 1 
ATOM 1700  N N   . LYS A 1 225 ? 316.351 -70.135 293.380 1.0 91.59871  ? 225 LYS A N   225 LYS A N   1 
ATOM 1701  C CA  . LYS A 1 225 ? 316.150 -70.019 294.816 1.0 91.59871  ? 225 LYS A CA  225 LYS A CA  1 
ATOM 1702  C C   . LYS A 1 225 ? 317.069 -68.944 295.386 1.0 91.59871  ? 225 LYS A C   225 LYS A C   1 
ATOM 1703  O O   . LYS A 1 225 ? 318.188 -68.743 294.908 1.0 91.59871  ? 225 LYS A O   225 LYS A O   1 
ATOM 1704  C CB  . LYS A 1 225 ? 316.412 -71.355 295.508 1.0 91.59871  ? 225 LYS A CB  225 LYS A CB  1 
ATOM 1705  C CG  . LYS A 1 225 ? 315.448 -72.453 295.107 1.0 91.59871  ? 225 LYS A CG  225 LYS A CG  1 
ATOM 1706  C CD  . LYS A 1 225 ? 315.736 -73.737 295.858 1.0 91.59871  ? 225 LYS A CD  225 LYS A CD  1 
ATOM 1707  C CE  . LYS A 1 225 ? 314.812 -74.856 295.426 1.0 91.59871  ? 225 LYS A CE  225 LYS A CE  1 
ATOM 1708  N NZ  . LYS A 1 225 ? 315.058 -76.120 296.169 1.0 91.59871  ? 225 LYS A NZ  225 LYS A NZ  1 
ATOM 1709  N N   . THR A 1 226 ? 316.588 -68.253 296.420 1.0 93.46876  ? 226 THR A N   226 THR A N   1 
ATOM 1710  C CA  . THR A 1 226 ? 317.322 -67.133 297.017 1.0 93.46876  ? 226 THR A CA  226 THR A CA  1 
ATOM 1711  C C   . THR A 1 226 ? 317.144 -67.210 298.532 1.0 93.46876  ? 226 THR A C   226 THR A C   1 
ATOM 1712  O O   . THR A 1 226 ? 316.150 -66.712 299.067 1.0 93.46876  ? 226 THR A O   226 THR A O   1 
ATOM 1713  C CB  . THR A 1 226 ? 316.824 -65.801 296.468 1.0 93.46876  ? 226 THR A CB  226 THR A CB  1 
ATOM 1714  O OG1 . THR A 1 226 ? 316.917 -65.809 295.039 1.0 93.46876  ? 226 THR A OG1 226 THR A OG1 1 
ATOM 1715  C CG2 . THR A 1 226 ? 317.669 -64.655 297.003 1.0 93.46876  ? 226 THR A CG2 226 THR A CG2 1 
ATOM 1716  N N   . TYR A 1 227 ? 318.117 -67.799 299.221 1.0 94.72911  ? 227 TYR A N   227 TYR A N   1 
ATOM 1717  C CA  . TYR A 1 227 ? 317.915 -68.223 300.599 1.0 94.72911  ? 227 TYR A CA  227 TYR A CA  1 
ATOM 1718  C C   . TYR A 1 227 ? 318.021 -67.051 301.577 1.0 94.72911  ? 227 TYR A C   227 TYR A C   1 
ATOM 1719  O O   . TYR A 1 227 ? 318.336 -65.919 301.206 1.0 94.72911  ? 227 TYR A O   227 TYR A O   1 
ATOM 1720  C CB  . TYR A 1 227 ? 318.911 -69.314 300.958 1.0 94.72911  ? 227 TYR A CB  227 TYR A CB  1 
ATOM 1721  C CG  . TYR A 1 227 ? 318.774 -70.536 300.084 1.0 94.72911  ? 227 TYR A CG  227 TYR A CG  1 
ATOM 1722  C CD1 . TYR A 1 227 ? 317.705 -71.404 300.235 1.0 94.72911  ? 227 TYR A CD1 227 TYR A CD1 1 
ATOM 1723  C CD2 . TYR A 1 227 ? 319.722 -70.828 299.121 1.0 94.72911  ? 227 TYR A CD2 227 TYR A CD2 1 
ATOM 1724  C CE1 . TYR A 1 227 ? 317.577 -72.520 299.444 1.0 94.72911  ? 227 TYR A CE1 227 TYR A CE1 1 
ATOM 1725  C CE2 . TYR A 1 227 ? 319.606 -71.952 298.327 1.0 94.72911  ? 227 TYR A CE2 227 TYR A CE2 1 
ATOM 1726  C CZ  . TYR A 1 227 ? 318.533 -72.794 298.498 1.0 94.72911  ? 227 TYR A CZ  227 TYR A CZ  1 
ATOM 1727  O OH  . TYR A 1 227 ? 318.411 -73.911 297.713 1.0 94.72911  ? 227 TYR A OH  227 TYR A OH  1 
ATOM 1728  N N   . ILE A 1 228 ? 317.753 -67.344 302.856 1.0 94.85399  ? 228 ILE A N   228 ILE A N   1 
ATOM 1729  C CA  . ILE A 1 228 ? 317.577 -66.317 303.878 1.0 94.85399  ? 228 ILE A CA  228 ILE A CA  1 
ATOM 1730  C C   . ILE A 1 228 ? 317.882 -66.925 305.248 1.0 94.85399  ? 228 ILE A C   228 ILE A C   1 
ATOM 1731  O O   . ILE A 1 228 ? 317.919 -68.146 305.414 1.0 94.85399  ? 228 ILE A O   228 ILE A O   1 
ATOM 1732  C CB  . ILE A 1 228 ? 316.134 -65.748 303.810 1.0 94.85399  ? 228 ILE A CB  228 ILE A CB  1 
ATOM 1733  C CG1 . ILE A 1 228 ? 316.022 -64.361 304.438 1.0 94.85399  ? 228 ILE A CG1 228 ILE A CG1 1 
ATOM 1734  C CG2 . ILE A 1 228 ? 315.153 -66.671 304.490 1.0 94.85399  ? 228 ILE A CG2 228 ILE A CG2 1 
ATOM 1735  C CD1 . ILE A 1 228 ? 314.693 -63.724 304.217 1.0 94.85399  ? 228 ILE A CD1 228 ILE A CD1 1 
ATOM 1736  N N   . ASN A 1 229 ? 318.123 -66.058 306.235 1.0 96.02526  ? 229 ASN A N   229 ASN A N   1 
ATOM 1737  C CA  . ASN A 1 229 ? 318.282 -66.463 307.627 1.0 96.02526  ? 229 ASN A CA  229 ASN A CA  1 
ATOM 1738  C C   . ASN A 1 229 ? 317.787 -65.353 308.536 1.0 96.02526  ? 229 ASN A C   229 ASN A C   1 
ATOM 1739  O O   . ASN A 1 229 ? 318.128 -64.186 308.327 1.0 96.02526  ? 229 ASN A O   229 ASN A O   1 
ATOM 1740  C CB  . ASN A 1 229 ? 319.742 -66.747 307.966 1.0 96.02526  ? 229 ASN A CB  229 ASN A CB  1 
ATOM 1741  C CG  . ASN A 1 229 ? 319.918 -67.408 309.312 1.0 96.02526  ? 229 ASN A CG  229 ASN A CG  1 
ATOM 1742  O OD1 . ASN A 1 229 ? 318.952 -67.755 309.992 1.0 96.02526  ? 229 ASN A OD1 229 ASN A OD1 1 
ATOM 1743  N ND2 . ASN A 1 229 ? 321.170 -67.582 309.712 1.0 96.02526  ? 229 ASN A ND2 229 ASN A ND2 1 
ATOM 1744  N N   . THR A 1 230 ? 316.995 -65.725 309.551 1.0 93.95155  ? 230 THR A N   230 THR A N   1 
ATOM 1745  C CA  . THR A 1 230 ? 316.737 -64.882 310.722 1.0 93.95155  ? 230 THR A CA  230 THR A CA  1 
ATOM 1746  C C   . THR A 1 230 ? 316.972 -65.744 311.966 1.0 93.95155  ? 230 THR A C   230 THR A C   1 
ATOM 1747  O O   . THR A 1 230 ? 316.019 -66.198 312.600 1.0 93.95155  ? 230 THR A O   230 THR A O   1 
ATOM 1748  C CB  . THR A 1 230 ? 315.310 -64.313 310.707 1.0 93.95155  ? 230 THR A CB  230 THR A CB  1 
ATOM 1749  O OG1 . THR A 1 230 ? 314.371 -65.393 310.733 1.0 93.95155  ? 230 THR A OG1 230 THR A OG1 1 
ATOM 1750  C CG2 . THR A 1 230 ? 315.055 -63.460 309.473 1.0 93.95155  ? 230 THR A CG2 230 THR A CG2 1 
ATOM 1751  N N   . THR A 1 231 ? 318.236 -65.912 312.342 1.0 98.51208  ? 231 THR A N   231 THR A N   1 
ATOM 1752  C CA  . THR A 1 231 ? 318.656 -66.630 313.550 1.0 98.51208  ? 231 THR A CA  231 THR A CA  1 
ATOM 1753  C C   . THR A 1 231 ? 319.912 -65.949 314.076 1.0 98.51208  ? 231 THR A C   231 THR A C   1 
ATOM 1754  O O   . THR A 1 231 ? 320.204 -64.798 313.734 1.0 98.51208  ? 231 THR A O   231 THR A O   1 
ATOM 1755  C CB  . THR A 1 231 ? 318.952 -68.128 313.311 1.0 98.51208  ? 231 THR A CB  231 THR A CB  1 
ATOM 1756  O OG1 . THR A 1 231 ? 319.930 -68.282 312.276 1.0 98.51208  ? 231 THR A OG1 231 THR A OG1 1 
ATOM 1757  C CG2 . THR A 1 231 ? 317.723 -68.949 313.002 1.0 98.51208  ? 231 THR A CG2 231 THR A CG2 1 
ATOM 1758  N N   . ASN A 1 232 ? 320.651 -66.664 314.923 1.0 101.67612 ? 232 ASN A N   232 ASN A N   1 
ATOM 1759  C CA  . ASN A 1 232 ? 322.005 -66.291 315.304 1.0 101.67612 ? 232 ASN A CA  232 ASN A CA  1 
ATOM 1760  C C   . ASN A 1 232 ? 322.987 -67.425 315.037 1.0 101.67612 ? 232 ASN A C   232 ASN A C   1 
ATOM 1761  O O   . ASN A 1 232 ? 324.041 -67.493 315.676 1.0 101.67612 ? 232 ASN A O   232 ASN A O   1 
ATOM 1762  C CB  . ASN A 1 232 ? 322.048 -65.881 316.775 1.0 101.67612 ? 232 ASN A CB  232 ASN A CB  1 
ATOM 1763  C CG  . ASN A 1 232 ? 321.268 -64.615 317.043 1.0 101.67612 ? 232 ASN A CG  232 ASN A CG  1 
ATOM 1764  O OD1 . ASN A 1 232 ? 321.330 -63.657 316.273 1.0 101.67612 ? 232 ASN A OD1 232 ASN A OD1 1 
ATOM 1765  N ND2 . ASN A 1 232 ? 320.520 -64.607 318.137 1.0 101.67612 ? 232 ASN A ND2 232 ASN A ND2 1 
ATOM 1766  N N   . ASN A 1 233 ? 322.659 -68.316 314.098 1.0 103.16013 ? 233 ASN A N   233 ASN A N   1 
ATOM 1767  C CA  . ASN A 1 233 ? 323.442 -69.527 313.882 1.0 103.16013 ? 233 ASN A CA  233 ASN A CA  1 
ATOM 1768  C C   . ASN A 1 233 ? 324.564 -69.356 312.869 1.0 103.16013 ? 233 ASN A C   233 ASN A C   1 
ATOM 1769  O O   . ASN A 1 233 ? 325.460 -70.207 312.828 1.0 103.16013 ? 233 ASN A O   233 ASN A O   1 
ATOM 1770  C CB  . ASN A 1 233 ? 322.532 -70.666 313.420 1.0 103.16013 ? 233 ASN A CB  233 ASN A CB  1 
ATOM 1771  C CG  . ASN A 1 233 ? 321.635 -71.176 314.525 1.0 103.16013 ? 233 ASN A CG  233 ASN A CG  1 
ATOM 1772  O OD1 . ASN A 1 233 ? 322.063 -71.312 315.669 1.0 103.16013 ? 233 ASN A OD1 233 ASN A OD1 1 
ATOM 1773  N ND2 . ASN A 1 233 ? 320.386 -71.470 314.187 1.0 103.16013 ? 233 ASN A ND2 233 ASN A ND2 1 
ATOM 1774  N N   . ASN A 1 234 ? 324.490 -68.330 312.014 1.0 103.35042 ? 234 ASN A N   234 ASN A N   1 
ATOM 1775  C CA  . ASN A 1 234 ? 325.459 -67.922 310.991 1.0 103.35042 ? 234 ASN A CA  234 ASN A CA  1 
ATOM 1776  C C   . ASN A 1 234 ? 325.580 -68.917 309.831 1.0 103.35042 ? 234 ASN A C   234 ASN A C   1 
ATOM 1777  O O   . ASN A 1 234 ? 326.299 -68.630 308.866 1.0 103.35042 ? 234 ASN A O   234 ASN A O   1 
ATOM 1778  C CB  . ASN A 1 234 ? 326.859 -67.664 311.577 1.0 103.35042 ? 234 ASN A CB  234 ASN A CB  1 
ATOM 1779  C CG  . ASN A 1 234 ? 327.644 -66.620 310.809 1.0 103.35042 ? 234 ASN A CG  234 ASN A CG  1 
ATOM 1780  O OD1 . ASN A 1 234 ? 328.693 -66.171 311.267 1.0 103.35042 ? 234 ASN A OD1 234 ASN A OD1 1 
ATOM 1781  N ND2 . ASN A 1 234 ? 327.127 -66.200 309.660 1.0 103.35042 ? 234 ASN A ND2 234 ASN A ND2 1 
ATOM 1782  N N   . GLY A 1 235 ? 324.902 -70.063 309.880 1.0 103.99428 ? 235 GLY A N   235 GLY A N   1 
ATOM 1783  C CA  . GLY A 1 235 ? 324.966 -71.035 308.808 1.0 103.99428 ? 235 GLY A CA  235 GLY A CA  1 
ATOM 1784  C C   . GLY A 1 235 ? 323.637 -71.714 308.551 1.0 103.99428 ? 235 GLY A C   235 GLY A C   1 
ATOM 1785  O O   . GLY A 1 235 ? 323.529 -72.571 307.670 1.0 103.99428 ? 235 GLY A O   235 GLY A O   1 
ATOM 1786  N N   . ARG A 1 236 ? 322.616 -71.341 309.313 1.0 100.5933  ? 236 ARG A N   236 ARG A N   1 
ATOM 1787  C CA  . ARG A 1 236 ? 321.287 -71.892 309.103 1.0 100.5933  ? 236 ARG A CA  236 ARG A CA  1 
ATOM 1788  C C   . ARG A 1 236 ? 320.603 -71.174 307.947 1.0 100.5933  ? 236 ARG A C   236 ARG A C   1 
ATOM 1789  O O   . ARG A 1 236 ? 320.724 -69.958 307.798 1.0 100.5933  ? 236 ARG A O   236 ARG A O   1 
ATOM 1790  C CB  . ARG A 1 236 ? 320.444 -71.772 310.375 1.0 100.5933  ? 236 ARG A CB  236 ARG A CB  1 
ATOM 1791  C CG  . ARG A 1 236 ? 319.068 -72.405 310.246 1.0 100.5933  ? 236 ARG A CG  236 ARG A CG  1 
ATOM 1792  C CD  . ARG A 1 236 ? 318.264 -72.416 311.525 1.0 100.5933  ? 236 ARG A CD  236 ARG A CD  1 
ATOM 1793  N NE  . ARG A 1 236 ? 316.927 -72.945 311.275 1.0 100.5933  ? 236 ARG A NE  236 ARG A NE  1 
ATOM 1794  C CZ  . ARG A 1 236 ? 316.623 -74.239 311.274 1.0 100.5933  ? 236 ARG A CZ  236 ARG A CZ  1 
ATOM 1795  N NH1 . ARG A 1 236 ? 317.558 -75.143 311.518 1.0 100.5933  ? 236 ARG A NH1 236 ARG A NH1 1 
ATOM 1796  N NH2 . ARG A 1 236 ? 315.379 -74.628 311.030 1.0 100.5933  ? 236 ARG A NH2 236 ARG A NH2 1 
ATOM 1797  N N   . VAL A 1 237 ? 319.911 -71.938 307.110 1.0 98.05112  ? 237 VAL A N   237 VAL A N   1 
ATOM 1798  C CA  . VAL A 1 237 ? 319.013 -71.399 306.097 1.0 98.05112  ? 237 VAL A CA  237 VAL A CA  1 
ATOM 1799  C C   . VAL A 1 237 ? 317.590 -71.559 306.609 1.0 98.05112  ? 237 VAL A C   237 VAL A C   1 
ATOM 1800  O O   . VAL A 1 237 ? 317.178 -72.664 306.980 1.0 98.05112  ? 237 VAL A O   237 VAL A O   1 
ATOM 1801  C CB  . VAL A 1 237 ? 319.197 -72.113 304.752 1.0 98.05112  ? 237 VAL A CB  237 VAL A CB  1 
ATOM 1802  C CG1 . VAL A 1 237 ? 318.146 -71.657 303.771 1.0 98.05112  ? 237 VAL A CG1 237 VAL A CG1 1 
ATOM 1803  C CG2 . VAL A 1 237 ? 320.593 -71.872 304.214 1.0 98.05112  ? 237 VAL A CG2 237 VAL A CG2 1 
ATOM 1804  N N   . SER A 1 238 ? 316.832 -70.466 306.629 1.0 94.02166  ? 238 SER A N   238 SER A N   1 
ATOM 1805  C CA  . SER A 1 238 ? 315.480 -70.481 307.166 1.0 94.02166  ? 238 SER A CA  238 SER A CA  1 
ATOM 1806  C C   . SER A 1 238 ? 314.403 -70.245 306.119 1.0 94.02166  ? 238 SER A C   238 SER A C   1 
ATOM 1807  O O   . SER A 1 238 ? 313.227 -70.146 306.478 1.0 94.02166  ? 238 SER A O   238 SER A O   1 
ATOM 1808  C CB  . SER A 1 238 ? 315.350 -69.441 308.278 1.0 94.02166  ? 238 SER A CB  238 SER A CB  1 
ATOM 1809  O OG  . SER A 1 238 ? 316.202 -69.763 309.358 1.0 94.02166  ? 238 SER A OG  238 SER A OG  1 
ATOM 1810  N N   . GLY A 1 239 ? 314.761 -70.152 304.845 1.0 93.46841  ? 239 GLY A N   239 GLY A N   1 
ATOM 1811  C CA  . GLY A 1 239 ? 313.769 -69.999 303.800 1.0 93.46841  ? 239 GLY A CA  239 GLY A CA  1 
ATOM 1812  C C   . GLY A 1 239 ? 314.416 -70.112 302.443 1.0 93.46841  ? 239 GLY A C   239 GLY A C   1 
ATOM 1813  O O   . GLY A 1 239 ? 315.628 -69.927 302.297 1.0 93.46841  ? 239 GLY A O   239 GLY A O   1 
ATOM 1814  N N   . THR A 1 240 ? 313.593 -70.418 301.443 1.0 91.93729  ? 240 THR A N   240 THR A N   1 
ATOM 1815  C CA  . THR A 1 240 ? 314.097 -70.644 300.094 1.0 91.93729  ? 240 THR A CA  240 THR A CA  1 
ATOM 1816  C C   . THR A 1 240 ? 313.701 -69.552 299.113 1.0 91.93729  ? 240 THR A C   240 THR A C   1 
ATOM 1817  O O   . THR A 1 240 ? 314.577 -69.004 298.440 1.0 91.93729  ? 240 THR A O   240 THR A O   1 
ATOM 1818  C CB  . THR A 1 240 ? 313.617 -71.994 299.565 1.0 91.93729  ? 240 THR A CB  240 THR A CB  1 
ATOM 1819  O OG1 . THR A 1 240 ? 312.198 -71.951 299.414 1.0 91.93729  ? 240 THR A OG1 240 THR A OG1 1 
ATOM 1820  C CG2 . THR A 1 240 ? 313.980 -73.094 300.536 1.0 91.93729  ? 240 THR A CG2 240 THR A CG2 1 
ATOM 1821  N N   . MET A 1 241 ? 312.399 -69.262 298.994 1.0 89.50372  ? 241 MET A N   241 MET A N   1 
ATOM 1822  C CA  . MET A 1 241 ? 311.842 -68.135 298.233 1.0 89.50372  ? 241 MET A CA  241 MET A CA  1 
ATOM 1823  C C   . MET A 1 241 ? 312.236 -68.192 296.753 1.0 89.50372  ? 241 MET A C   241 MET A C   1 
ATOM 1824  O O   . MET A 1 241 ? 313.082 -67.428 296.281 1.0 89.50372  ? 241 MET A O   241 MET A O   1 
ATOM 1825  C CB  . MET A 1 241 ? 312.253 -66.791 298.843 1.0 89.50372  ? 241 MET A CB  241 MET A CB  1 
ATOM 1826  C CG  . MET A 1 241 ? 311.825 -66.618 300.272 1.0 89.50372  ? 241 MET A CG  241 MET A CG  1 
ATOM 1827  S SD  . MET A 1 241 ? 312.165 -64.958 300.865 1.0 89.50372  ? 241 MET A SD  241 MET A SD  1 
ATOM 1828  C CE  . MET A 1 241 ? 313.947 -64.946 300.796 1.0 89.50372  ? 241 MET A CE  241 MET A CE  1 
ATOM 1829  N N   . ALA A 1 242 ? 311.655 -69.173 296.058 1.0 86.43696  ? 242 ALA A N   242 ALA A N   1 
ATOM 1830  C CA  . ALA A 1 242 ? 311.853 -69.337 294.620 1.0 86.43696  ? 242 ALA A CA  242 ALA A CA  1 
ATOM 1831  C C   . ALA A 1 242 ? 311.462 -68.080 293.853 1.0 86.43696  ? 242 ALA A C   242 ALA A C   1 
ATOM 1832  O O   . ALA A 1 242 ? 310.283 -67.723 293.792 1.0 86.43696  ? 242 ALA A O   242 ALA A O   1 
ATOM 1833  C CB  . ALA A 1 242 ? 311.048 -70.528 294.109 1.0 86.43696  ? 242 ALA A CB  242 ALA A CB  1 
ATOM 1834  N N   . THR A 1 243 ? 312.450 -67.406 293.265 1.0 85.67474  ? 243 THR A N   243 THR A N   1 
ATOM 1835  C CA  . THR A 1 243 ? 312.257 -66.044 292.794 1.0 85.67474  ? 243 THR A CA  243 THR A CA  1 
ATOM 1836  C C   . THR A 1 243 ? 311.518 -66.026 291.458 1.0 85.67474  ? 243 THR A C   243 THR A C   1 
ATOM 1837  O O   . THR A 1 243 ? 311.147 -67.061 290.899 1.0 85.67474  ? 243 THR A O   243 THR A O   1 
ATOM 1838  C CB  . THR A 1 243 ? 313.593 -65.314 292.689 1.0 85.67474  ? 243 THR A CB  243 THR A CB  1 
ATOM 1839  O OG1 . THR A 1 243 ? 313.348 -63.921 292.473 1.0 85.67474  ? 243 THR A OG1 243 THR A OG1 1 
ATOM 1840  C CG2 . THR A 1 243 ? 314.409 -65.835 291.524 1.0 85.67474  ? 243 THR A CG2 243 THR A CG2 1 
ATOM 1841  N N   . ASP A 1 244 ? 311.309 -64.820 290.938 1.0 84.17778  ? 244 ASP A N   244 ASP A N   1 
ATOM 1842  C CA  . ASP A 1 244 ? 310.406 -64.609 289.822 1.0 84.17778  ? 244 ASP A CA  244 ASP A CA  1 
ATOM 1843  C C   . ASP A 1 244 ? 310.812 -63.314 289.131 1.0 84.17778  ? 244 ASP A C   244 ASP A C   1 
ATOM 1844  O O   . ASP A 1 244 ? 311.481 -62.462 289.718 1.0 84.17778  ? 244 ASP A O   244 ASP A O   1 
ATOM 1845  C CB  . ASP A 1 244 ? 308.958 -64.566 290.328 1.0 84.17778  ? 244 ASP A CB  244 ASP A CB  1 
ATOM 1846  C CG  . ASP A 1 244 ? 307.935 -64.651 289.224 1.0 84.17778  ? 244 ASP A CG  244 ASP A CG  1 
ATOM 1847  O OD1 . ASP A 1 244 ? 308.314 -64.671 288.044 1.0 84.17778  ? 244 ASP A OD1 244 ASP A OD1 1 
ATOM 1848  O OD2 . ASP A 1 244 ? 306.733 -64.709 289.540 1.0 84.17778  ? 244 ASP A OD2 244 ASP A OD2 1 
ATOM 1849  N N   . THR A 1 245 ? 310.421 -63.190 287.863 1.0 84.29882  ? 245 THR A N   245 THR A N   1 
ATOM 1850  C CA  . THR A 1 245 ? 310.569 -61.947 287.119 1.0 84.29882  ? 245 THR A CA  245 THR A CA  1 
ATOM 1851  C C   . THR A 1 245 ? 309.257 -61.603 286.426 1.0 84.29882  ? 245 THR A C   245 THR A C   1 
ATOM 1852  O O   . THR A 1 245 ? 308.531 -62.487 285.962 1.0 84.29882  ? 245 THR A O   245 THR A O   1 
ATOM 1853  C CB  . THR A 1 245 ? 311.731 -62.024 286.116 1.0 84.29882  ? 245 THR A CB  245 THR A CB  1 
ATOM 1854  O OG1 . THR A 1 245 ? 311.797 -60.805 285.365 1.0 84.29882  ? 245 THR A OG1 245 THR A OG1 1 
ATOM 1855  C CG2 . THR A 1 245 ? 311.587 -63.204 285.188 1.0 84.29882  ? 245 THR A CG2 245 THR A CG2 1 
ATOM 1856  N N   . ILE A 1 246 ? 308.930 -60.311 286.418 1.0 81.32392  ? 246 ILE A N   246 ILE A N   1 
ATOM 1857  C CA  . ILE A 1 246 ? 307.652 -59.800 285.945 1.0 81.32392  ? 246 ILE A CA  246 ILE A CA  1 
ATOM 1858  C C   . ILE A 1 246 ? 307.979 -58.804 284.825 1.0 81.32392  ? 246 ILE A C   246 ILE A C   1 
ATOM 1859  O O   . ILE A 1 246 ? 309.143 -58.546 284.525 1.0 81.32392  ? 246 ILE A O   246 ILE A O   1 
ATOM 1860  C CB  . ILE A 1 246 ? 306.842 -59.134 287.092 1.0 81.32392  ? 246 ILE A CB  246 ILE A CB  1 
ATOM 1861  C CG1 . ILE A 1 246 ? 306.911 -59.951 288.382 1.0 81.32392  ? 246 ILE A CG1 246 ILE A CG1 1 
ATOM 1862  C CG2 . ILE A 1 246 ? 305.342 -59.065 286.819 1.0 81.32392  ? 246 ILE A CG2 246 ILE A CG2 1 
ATOM 1863  C CD1 . ILE A 1 246 ? 306.288 -61.320 288.330 1.0 81.32392  ? 246 ILE A CD1 246 ILE A CD1 1 
ATOM 1864  N N   . THR A 1 247 ? 306.945 -58.284 284.168 1.0 82.35401  ? 247 THR A N   247 THR A N   1 
ATOM 1865  C CA  . THR A 1 247 ? 307.065 -57.059 283.396 1.0 82.35401  ? 247 THR A CA  247 THR A CA  1 
ATOM 1866  C C   . THR A 1 247 ? 306.422 -55.867 284.089 1.0 82.35401  ? 247 THR A C   247 THR A C   1 
ATOM 1867  O O   . THR A 1 247 ? 306.529 -54.749 283.573 1.0 82.35401  ? 247 THR A O   247 THR A O   1 
ATOM 1868  C CB  . THR A 1 247 ? 306.444 -57.233 282.010 1.0 82.35401  ? 247 THR A CB  247 THR A CB  1 
ATOM 1869  O OG1 . THR A 1 247 ? 306.709 -56.069 281.219 1.0 82.35401  ? 247 THR A OG1 247 THR A OG1 1 
ATOM 1870  C CG2 . THR A 1 247 ? 304.945 -57.433 282.130 1.0 82.35401  ? 247 THR A CG2 247 THR A CG2 1 
ATOM 1871  N N   . TRP A 1 248 ? 305.749 -56.094 285.225 1.0 80.75882  ? 248 TRP A N   248 TRP A N   1 
ATOM 1872  C CA  . TRP A 1 248 ? 305.253 -55.071 286.154 1.0 80.75882  ? 248 TRP A CA  248 TRP A CA  1 
ATOM 1873  C C   . TRP A 1 248 ? 304.264 -54.110 285.490 1.0 80.75882  ? 248 TRP A C   248 TRP A C   1 
ATOM 1874  O O   . TRP A 1 248 ? 304.529 -52.925 285.297 1.0 80.75882  ? 248 TRP A O   248 TRP A O   1 
ATOM 1875  C CB  . TRP A 1 248 ? 306.404 -54.285 286.785 1.0 80.75882  ? 248 TRP A CB  248 TRP A CB  1 
ATOM 1876  C CG  . TRP A 1 248 ? 307.210 -55.071 287.727 1.0 80.75882  ? 248 TRP A CG  248 TRP A CG  1 
ATOM 1877  C CD1 . TRP A 1 248 ? 308.402 -55.668 287.478 1.0 80.75882  ? 248 TRP A CD1 248 TRP A CD1 1 
ATOM 1878  C CD2 . TRP A 1 248 ? 306.890 -55.355 289.086 1.0 80.75882  ? 248 TRP A CD2 248 TRP A CD2 1 
ATOM 1879  N NE1 . TRP A 1 248 ? 308.854 -56.309 288.602 1.0 80.75882  ? 248 TRP A NE1 248 TRP A NE1 1 
ATOM 1880  C CE2 . TRP A 1 248 ? 307.940 -56.131 289.605 1.0 80.75882  ? 248 TRP A CE2 248 TRP A CE2 1 
ATOM 1881  C CE3 . TRP A 1 248 ? 305.819 -55.029 289.916 1.0 80.75882  ? 248 TRP A CE3 248 TRP A CE3 1 
ATOM 1882  C CZ2 . TRP A 1 248 ? 307.950 -56.584 290.911 1.0 80.75882  ? 248 TRP A CZ2 248 TRP A CZ2 1 
ATOM 1883  C CZ3 . TRP A 1 248 ? 305.831 -55.480 291.212 1.0 80.75882  ? 248 TRP A CZ3 248 TRP A CZ3 1 
ATOM 1884  C CH2 . TRP A 1 248 ? 306.891 -56.247 291.698 1.0 80.75882  ? 248 TRP A CH2 248 TRP A CH2 1 
ATOM 1885  N N   . GLU A 1 249 ? 303.120 -54.661 285.129 1.0 77.23919  ? 249 GLU A N   249 GLU A N   1 
ATOM 1886  C CA  . GLU A 1 249 ? 301.997 -53.839 284.727 1.0 77.23919  ? 249 GLU A CA  249 GLU A CA  1 
ATOM 1887  C C   . GLU A 1 249 ? 301.174 -53.500 285.960 1.0 77.23919  ? 249 GLU A C   249 GLU A C   1 
ATOM 1888  O O   . GLU A 1 249 ? 300.951 -54.350 286.825 1.0 77.23919  ? 249 GLU A O   249 GLU A O   1 
ATOM 1889  C CB  . GLU A 1 249 ? 301.138 -54.561 283.697 1.0 77.23919  ? 249 GLU A CB  249 GLU A CB  1 
ATOM 1890  C CG  . GLU A 1 249 ? 301.829 -54.776 282.367 1.0 77.23919  ? 249 GLU A CG  249 GLU A CG  1 
ATOM 1891  C CD  . GLU A 1 249 ? 300.965 -55.544 281.400 1.0 77.23919  ? 249 GLU A CD  249 GLU A CD  1 
ATOM 1892  O OE1 . GLU A 1 249 ? 299.874 -55.987 281.810 1.0 77.23919  ? 249 GLU A OE1 249 GLU A OE1 1 
ATOM 1893  O OE2 . GLU A 1 249 ? 301.376 -55.717 280.236 1.0 77.23919  ? 249 GLU A OE2 249 GLU A OE2 1 
ATOM 1894  N N   . ASN A 1 250 ? 300.746 -52.247 286.050 1.0 74.21768  ? 250 ASN A N   250 ASN A N   1 
ATOM 1895  C CA  . ASN A 1 250 ? 299.837 -51.799 287.104 1.0 74.21768  ? 250 ASN A CA  250 ASN A CA  1 
ATOM 1896  C C   . ASN A 1 250 ? 298.608 -51.159 286.474 1.0 74.21768  ? 250 ASN A C   250 ASN A C   1 
ATOM 1897  O O   . ASN A 1 250 ? 298.537 -49.934 286.323 1.0 74.21768  ? 250 ASN A O   250 ASN A O   1 
ATOM 1898  C CB  . ASN A 1 250 ? 300.549 -50.862 288.093 1.0 74.21768  ? 250 ASN A CB  250 ASN A CB  1 
ATOM 1899  C CG  . ASN A 1 250 ? 301.385 -49.788 287.411 1.0 74.21768  ? 250 ASN A CG  250 ASN A CG  1 
ATOM 1900  O OD1 . ASN A 1 250 ? 301.459 -49.722 286.180 1.0 74.21768  ? 250 ASN A OD1 250 ASN A OD1 1 
ATOM 1901  N ND2 . ASN A 1 250 ? 302.007 -48.936 288.210 1.0 74.21768  ? 250 ASN A ND2 250 ASN A ND2 1 
ATOM 1902  N N   . PRO A 1 251 ? 297.610 -51.954 286.095 1.0 71.13301  ? 251 PRO A N   251 PRO A N   1 
ATOM 1903  C CA  . PRO A 1 251 ? 296.332 -51.366 285.701 1.0 71.13301  ? 251 PRO A CA  251 PRO A CA  1 
ATOM 1904  C C   . PRO A 1 251 ? 295.556 -50.947 286.939 1.0 71.13301  ? 251 PRO A C   251 PRO A C   1 
ATOM 1905  O O   . PRO A 1 251 ? 295.948 -51.232 288.072 1.0 71.13301  ? 251 PRO A O   251 PRO A O   1 
ATOM 1906  C CB  . PRO A 1 251 ? 295.628 -52.495 284.950 1.0 71.13301  ? 251 PRO A CB  251 PRO A CB  1 
ATOM 1907  C CG  . PRO A 1 251 ? 296.155 -53.706 285.572 1.0 71.13301  ? 251 PRO A CG  251 PRO A CG  1 
ATOM 1908  C CD  . PRO A 1 251 ? 297.593 -53.413 285.916 1.0 71.13301  ? 251 PRO A CD  251 PRO A CD  1 
ATOM 1909  N N   . ASP A 1 252 ? 294.502 -50.170 286.682 1.0 69.40913  ? 252 ASP A N   252 ASP A N   1 
ATOM 1910  C CA  . ASP A 1 252 ? 293.429 -49.702 287.563 1.0 69.40913  ? 252 ASP A CA  252 ASP A CA  1 
ATOM 1911  C C   . ASP A 1 252 ? 293.844 -49.282 288.978 1.0 69.40913  ? 252 ASP A C   252 ASP A C   1 
ATOM 1912  O O   . ASP A 1 252 ? 293.074 -49.461 289.925 1.0 69.40913  ? 252 ASP A O   252 ASP A O   1 
ATOM 1913  C CB  . ASP A 1 252 ? 292.267 -50.728 287.556 1.0 69.40913  ? 252 ASP A CB  252 ASP A CB  1 
ATOM 1914  C CG  . ASP A 1 252 ? 292.560 -52.064 288.247 1.0 69.40913  ? 252 ASP A CG  252 ASP A CG  1 
ATOM 1915  O OD1 . ASP A 1 252 ? 293.558 -52.272 288.946 1.0 69.40913  ? 252 ASP A OD1 252 ASP A OD1 1 
ATOM 1916  O OD2 . ASP A 1 252 ? 291.735 -52.975 288.056 1.0 69.40913  ? 252 ASP A OD2 252 ASP A OD2 1 
ATOM 1917  N N   . ALA A 1 253 ? 295.035 -48.689 289.119 1.0 68.4918   ? 253 ALA A N   253 ALA A N   1 
ATOM 1918  C CA  . ALA A 1 253 ? 295.512 -48.089 290.364 1.0 68.4918   ? 253 ALA A CA  253 ALA A CA  1 
ATOM 1919  C C   . ALA A 1 253 ? 296.667 -47.150 290.038 1.0 68.4918   ? 253 ALA A C   253 ALA A C   1 
ATOM 1920  O O   . ALA A 1 253 ? 297.411 -47.381 289.082 1.0 68.4918   ? 253 ALA A O   253 ALA A O   1 
ATOM 1921  C CB  . ALA A 1 253 ? 295.947 -49.143 291.381 1.0 68.4918   ? 253 ALA A CB  253 ALA A CB  1 
ATOM 1922  N N   . HIS A 1 254 ? 296.816 -46.080 290.836 1.0 70.01398  ? 254 HIS A N   254 HIS A N   1 
ATOM 1923  C CA  . HIS A 1 254 ? 297.595 -44.951 290.338 1.0 70.01398  ? 254 HIS A CA  254 HIS A CA  1 
ATOM 1924  C C   . HIS A 1 254 ? 298.480 -44.270 291.383 1.0 70.01398  ? 254 HIS A C   254 HIS A C   1 
ATOM 1925  O O   . HIS A 1 254 ? 298.739 -43.066 291.258 1.0 70.01398  ? 254 HIS A O   254 HIS A O   1 
ATOM 1926  C CB  . HIS A 1 254 ? 296.670 -43.903 289.727 1.0 70.01398  ? 254 HIS A CB  254 HIS A CB  1 
ATOM 1927  C CG  . HIS A 1 254 ? 295.733 -43.281 290.713 1.0 70.01398  ? 254 HIS A CG  254 HIS A CG  1 
ATOM 1928  N ND1 . HIS A 1 254 ? 294.574 -43.897 291.129 1.0 70.01398  ? 254 HIS A ND1 254 HIS A ND1 1 
ATOM 1929  C CD2 . HIS A 1 254 ? 295.791 -42.103 291.375 1.0 70.01398  ? 254 HIS A CD2 254 HIS A CD2 1 
ATOM 1930  C CE1 . HIS A 1 254 ? 293.954 -43.121 292.000 1.0 70.01398  ? 254 HIS A CE1 254 HIS A CE1 1 
ATOM 1931  N NE2 . HIS A 1 254 ? 294.673 -42.027 292.167 1.0 70.01398  ? 254 HIS A NE2 254 HIS A NE2 1 
ATOM 1932  N N   . PHE A 1 255 ? 298.981 -45.014 292.380 1.0 76.29733  ? 255 PHE A N   255 PHE A N   1 
ATOM 1933  C CA  . PHE A 1 255 ? 299.930 -44.517 293.392 1.0 76.29733  ? 255 PHE A CA  255 PHE A CA  1 
ATOM 1934  C C   . PHE A 1 255 ? 299.356 -43.326 294.169 1.0 76.29733  ? 255 PHE A C   255 PHE A C   1 
ATOM 1935  O O   . PHE A 1 255 ? 299.707 -42.174 293.912 1.0 76.29733  ? 255 PHE A O   255 PHE A O   1 
ATOM 1936  C CB  . PHE A 1 255 ? 301.291 -44.132 292.791 1.0 76.29733  ? 255 PHE A CB  255 PHE A CB  1 
ATOM 1937  C CG  . PHE A 1 255 ? 302.111 -45.286 292.307 1.0 76.29733  ? 255 PHE A CG  255 PHE A CG  1 
ATOM 1938  C CD1 . PHE A 1 255 ? 302.786 -46.093 293.205 1.0 76.29733  ? 255 PHE A CD1 255 PHE A CD1 1 
ATOM 1939  C CD2 . PHE A 1 255 ? 302.259 -45.524 290.951 1.0 76.29733  ? 255 PHE A CD2 255 PHE A CD2 1 
ATOM 1940  C CE1 . PHE A 1 255 ? 303.560 -47.143 292.763 1.0 76.29733  ? 255 PHE A CE1 255 PHE A CE1 1 
ATOM 1941  C CE2 . PHE A 1 255 ? 303.035 -46.574 290.501 1.0 76.29733  ? 255 PHE A CE2 255 PHE A CE2 1 
ATOM 1942  C CZ  . PHE A 1 255 ? 303.692 -47.378 291.409 1.0 76.29733  ? 255 PHE A CZ  255 PHE A CZ  1 
ATOM 1943  N N   . ALA A 1 256 ? 298.383 -43.634 295.039 1.0 79.09581  ? 256 ALA A N   256 ALA A N   1 
ATOM 1944  C CA  . ALA A 1 256 ? 297.759 -42.620 295.896 1.0 79.09581  ? 256 ALA A CA  256 ALA A CA  1 
ATOM 1945  C C   . ALA A 1 256 ? 298.785 -41.813 296.692 1.0 79.09581  ? 256 ALA A C   256 ALA A C   1 
ATOM 1946  O O   . ALA A 1 256 ? 298.717 -40.581 296.728 1.0 79.09581  ? 256 ALA A O   256 ALA A O   1 
ATOM 1947  C CB  . ALA A 1 256 ? 296.757 -43.280 296.841 1.0 79.09581  ? 256 ALA A CB  256 ALA A CB  1 
ATOM 1948  N N   . ASP A 1 257 ? 299.749 -42.485 297.320 1.0 82.6438   ? 257 ASP A N   257 ASP A N   1 
ATOM 1949  C CA  . ASP A 1 257 ? 300.979 -41.850 297.779 1.0 82.6438   ? 257 ASP A CA  257 ASP A CA  1 
ATOM 1950  C C   . ASP A 1 257 ? 302.158 -42.721 297.380 1.0 82.6438   ? 257 ASP A C   257 ASP A C   1 
ATOM 1951  O O   . ASP A 1 257 ? 301.994 -43.880 296.997 1.0 82.6438   ? 257 ASP A O   257 ASP A O   1 
ATOM 1952  C CB  . ASP A 1 257 ? 301.008 -41.605 299.292 1.0 82.6438   ? 257 ASP A CB  257 ASP A CB  1 
ATOM 1953  C CG  . ASP A 1 257 ? 300.299 -40.326 299.696 1.0 82.6438   ? 257 ASP A CG  257 ASP A CG  1 
ATOM 1954  O OD1 . ASP A 1 257 ? 300.234 -39.387 298.879 1.0 82.6438   ? 257 ASP A OD1 257 ASP A OD1 1 
ATOM 1955  O OD2 . ASP A 1 257 ? 299.843 -40.236 300.853 1.0 82.6438   ? 257 ASP A OD2 257 ASP A OD2 1 
ATOM 1956  N N   . PHE A 1 258 ? 303.357 -42.148 297.494 1.0 87.34247  ? 258 PHE A N   258 PHE A N   1 
ATOM 1957  C CA  . PHE A 1 258 ? 304.580 -42.799 297.040 1.0 87.34247  ? 258 PHE A CA  258 PHE A CA  1 
ATOM 1958  C C   . PHE A 1 258 ? 305.804 -42.109 297.622 1.0 87.34247  ? 258 PHE A C   258 PHE A C   1 
ATOM 1959  O O   . PHE A 1 258 ? 305.906 -40.880 297.570 1.0 87.34247  ? 258 PHE A O   258 PHE A O   1 
ATOM 1960  C CB  . PHE A 1 258 ? 304.651 -42.782 295.512 1.0 87.34247  ? 258 PHE A CB  258 PHE A CB  1 
ATOM 1961  C CG  . PHE A 1 258 ? 305.859 -43.461 294.952 1.0 87.34247  ? 258 PHE A CG  258 PHE A CG  1 
ATOM 1962  C CD1 . PHE A 1 258 ? 305.943 -44.840 294.929 1.0 87.34247  ? 258 PHE A CD1 258 PHE A CD1 1 
ATOM 1963  C CD2 . PHE A 1 258 ? 306.902 -42.719 294.427 1.0 87.34247  ? 258 PHE A CD2 258 PHE A CD2 1 
ATOM 1964  C CE1 . PHE A 1 258 ? 307.053 -45.470 294.405 1.0 87.34247  ? 258 PHE A CE1 258 PHE A CE1 1 
ATOM 1965  C CE2 . PHE A 1 258 ? 308.013 -43.341 293.902 1.0 87.34247  ? 258 PHE A CE2 258 PHE A CE2 1 
ATOM 1966  C CZ  . PHE A 1 258 ? 308.089 -44.719 293.891 1.0 87.34247  ? 258 PHE A CZ  258 PHE A CZ  1 
ATOM 1967  N N   . VAL A 1 259 ? 306.737 -42.877 298.178 1.0 91.86426  ? 259 VAL A N   259 VAL A N   1 
ATOM 1968  C CA  . VAL A 1 259 ? 308.011 -42.294 298.580 1.0 91.86426  ? 259 VAL A CA  259 VAL A CA  1 
ATOM 1969  C C   . VAL A 1 259 ? 309.191 -43.201 298.215 1.0 91.86426  ? 259 VAL A C   259 VAL A C   1 
ATOM 1970  O O   . VAL A 1 259 ? 309.461 -44.231 298.843 1.0 91.86426  ? 259 VAL A O   259 VAL A O   1 
ATOM 1971  C CB  . VAL A 1 259 ? 307.970 -41.866 300.066 1.0 91.86426  ? 259 VAL A CB  259 VAL A CB  1 
ATOM 1972  C CG1 . VAL A 1 259 ? 307.449 -42.951 300.962 1.0 91.86426  ? 259 VAL A CG1 259 VAL A CG1 1 
ATOM 1973  C CG2 . VAL A 1 259 ? 309.335 -41.407 300.529 1.0 91.86426  ? 259 VAL A CG2 259 VAL A CG2 1 
ATOM 1974  N N   . ASP A 1 260 ? 309.795 -42.861 297.081 1.0 98.16397  ? 260 ASP A N   260 ASP A N   1 
ATOM 1975  C CA  . ASP A 1 260 ? 311.175 -43.059 296.646 1.0 98.16397  ? 260 ASP A CA  260 ASP A CA  1 
ATOM 1976  C C   . ASP A 1 260 ? 311.623 -44.461 296.229 1.0 98.16397  ? 260 ASP A C   260 ASP A C   1 
ATOM 1977  O O   . ASP A 1 260 ? 312.485 -44.551 295.345 1.0 98.16397  ? 260 ASP A O   260 ASP A O   1 
ATOM 1978  C CB  . ASP A 1 260 ? 312.094 -42.558 297.775 1.0 98.16397  ? 260 ASP A CB  260 ASP A CB  1 
ATOM 1979  C CG  . ASP A 1 260 ? 313.571 -42.577 297.403 1.0 98.16397  ? 260 ASP A CG  260 ASP A CG  1 
ATOM 1980  O OD1 . ASP A 1 260 ? 314.005 -41.708 296.617 1.0 98.16397  ? 260 ASP A OD1 260 ASP A OD1 1 
ATOM 1981  O OD2 . ASP A 1 260 ? 314.296 -43.467 297.900 1.0 98.16397  ? 260 ASP A OD2 260 ASP A OD2 1 
ATOM 1982  N N   . ASP A 1 261 ? 311.058 -45.554 296.770 1.0 97.03475  ? 261 ASP A N   261 ASP A N   1 
ATOM 1983  C CA  . ASP A 1 261 ? 310.894 -46.785 295.993 1.0 97.03475  ? 261 ASP A CA  261 ASP A CA  1 
ATOM 1984  C C   . ASP A 1 261 ? 309.773 -47.686 296.497 1.0 97.03475  ? 261 ASP A C   261 ASP A C   1 
ATOM 1985  O O   . ASP A 1 261 ? 309.076 -48.331 295.708 1.0 97.03475  ? 261 ASP A O   261 ASP A O   1 
ATOM 1986  C CB  . ASP A 1 261 ? 312.181 -47.623 295.974 1.0 97.03475  ? 261 ASP A CB  261 ASP A CB  1 
ATOM 1987  C CG  . ASP A 1 261 ? 312.122 -48.746 294.958 1.0 97.03475  ? 261 ASP A CG  261 ASP A CG  1 
ATOM 1988  O OD1 . ASP A 1 261 ? 312.219 -48.454 293.750 1.0 97.03475  ? 261 ASP A OD1 261 ASP A OD1 1 
ATOM 1989  O OD2 . ASP A 1 261 ? 311.968 -49.916 295.359 1.0 97.03475  ? 261 ASP A OD2 261 ASP A OD2 1 
ATOM 1990  N N   . ARG A 1 262 ? 309.587 -47.718 297.818 1.0 94.63456  ? 262 ARG A N   262 ARG A N   1 
ATOM 1991  C CA  . ARG A 1 262 ? 309.144 -48.944 298.478 1.0 94.63456  ? 262 ARG A CA  262 ARG A CA  1 
ATOM 1992  C C   . ARG A 1 262 ? 307.801 -48.825 299.180 1.0 94.63456  ? 262 ARG A C   262 ARG A C   1 
ATOM 1993  O O   . ARG A 1 262 ? 306.884 -49.591 298.873 1.0 94.63456  ? 262 ARG A O   262 ARG A O   1 
ATOM 1994  C CB  . ARG A 1 262 ? 310.206 -49.397 299.486 1.0 94.63456  ? 262 ARG A CB  262 ARG A CB  1 
ATOM 1995  C CG  . ARG A 1 262 ? 309.810 -50.643 300.257 1.0 94.63456  ? 262 ARG A CG  262 ARG A CG  1 
ATOM 1996  C CD  . ARG A 1 262 ? 310.906 -51.110 301.200 1.0 94.63456  ? 262 ARG A CD  262 ARG A CD  1 
ATOM 1997  N NE  . ARG A 1 262 ? 310.555 -52.374 301.841 1.0 94.63456  ? 262 ARG A NE  262 ARG A NE  1 
ATOM 1998  C CZ  . ARG A 1 262 ? 309.879 -52.474 302.980 1.0 94.63456  ? 262 ARG A CZ  262 ARG A CZ  1 
ATOM 1999  N NH1 . ARG A 1 262 ? 309.478 -51.381 303.611 1.0 94.63456  ? 262 ARG A NH1 262 ARG A NH1 1 
ATOM 2000  N NH2 . ARG A 1 262 ? 309.602 -53.665 303.488 1.0 94.63456  ? 262 ARG A NH2 262 ARG A NH2 1 
ATOM 2001  N N   . ARG A 1 263 ? 307.663 -47.917 300.135 1.0 89.49908  ? 263 ARG A N   263 ARG A N   1 
ATOM 2002  C CA  . ARG A 1 263 ? 306.438 -47.832 300.911 1.0 89.49908  ? 263 ARG A CA  263 ARG A CA  1 
ATOM 2003  C C   . ARG A 1 263 ? 305.500 -46.841 300.228 1.0 89.49908  ? 263 ARG A C   263 ARG A C   1 
ATOM 2004  O O   . ARG A 1 263 ? 305.881 -45.702 299.936 1.0 89.49908  ? 263 ARG A O   263 ARG A O   1 
ATOM 2005  C CB  . ARG A 1 263 ? 306.732 -47.489 302.378 1.0 89.49908  ? 263 ARG A CB  263 ARG A CB  1 
ATOM 2006  C CG  . ARG A 1 263 ? 307.376 -46.148 302.692 1.0 89.49908  ? 263 ARG A CG  263 ARG A CG  1 
ATOM 2007  C CD  . ARG A 1 263 ? 308.888 -46.227 302.792 1.0 89.49908  ? 263 ARG A CD  263 ARG A CD  1 
ATOM 2008  N NE  . ARG A 1 263 ? 309.469 -44.938 303.160 1.0 89.49908  ? 263 ARG A NE  263 ARG A NE  1 
ATOM 2009  C CZ  . ARG A 1 263 ? 309.760 -44.580 304.405 1.0 89.49908  ? 263 ARG A CZ  263 ARG A CZ  1 
ATOM 2010  N NH1 . ARG A 1 263 ? 309.510 -45.411 305.407 1.0 89.49908  ? 263 ARG A NH1 263 ARG A NH1 1 
ATOM 2011  N NH2 . ARG A 1 263 ? 310.288 -43.387 304.651 1.0 89.49908  ? 263 ARG A NH2 263 ARG A NH2 1 
ATOM 2012  N N   . ALA A 1 264 ? 304.296 -47.313 299.910 1.0 82.31462  ? 264 ALA A N   264 ALA A N   1 
ATOM 2013  C CA  . ALA A 1 264 ? 303.346 -46.572 299.094 1.0 82.31462  ? 264 ALA A CA  264 ALA A CA  1 
ATOM 2014  C C   . ALA A 1 264 ? 301.961 -47.185 299.211 1.0 82.31462  ? 264 ALA A C   264 ALA A C   1 
ATOM 2015  O O   . ALA A 1 264 ? 301.826 -48.374 299.515 1.0 82.31462  ? 264 ALA A O   264 ALA A O   1 
ATOM 2016  C CB  . ALA A 1 264 ? 303.782 -46.564 297.627 1.0 82.31462  ? 264 ALA A CB  264 ALA A CB  1 
ATOM 2017  N N   . THR A 1 265 ? 300.928 -46.387 298.985 1.0 78.12892  ? 265 THR A N   265 THR A N   1 
ATOM 2018  C CA  . THR A 1 265 ? 299.590 -46.926 298.828 1.0 78.12892  ? 265 THR A CA  265 THR A CA  1 
ATOM 2019  C C   . THR A 1 265 ? 299.112 -46.720 297.400 1.0 78.12892  ? 265 THR A C   265 THR A C   1 
ATOM 2020  O O   . THR A 1 265 ? 299.634 -45.888 296.657 1.0 78.12892  ? 265 THR A O   265 THR A O   1 
ATOM 2021  C CB  . THR A 1 265 ? 298.606 -46.273 299.793 1.0 78.12892  ? 265 THR A CB  265 THR A CB  1 
ATOM 2022  O OG1 . THR A 1 265 ? 298.572 -44.863 299.555 1.0 78.12892  ? 265 THR A OG1 265 THR A OG1 1 
ATOM 2023  C CG2 . THR A 1 265 ? 299.003 -46.550 301.228 1.0 78.12892  ? 265 THR A CG2 265 THR A CG2 1 
ATOM 2024  N N   . ALA A 1 266 ? 298.100 -47.491 297.025 1.0 72.2483   ? 266 ALA A N   266 ALA A N   1 
ATOM 2025  C CA  . ALA A 1 266 ? 297.531 -47.429 295.689 1.0 72.2483   ? 266 ALA A CA  266 ALA A CA  1 
ATOM 2026  C C   . ALA A 1 266 ? 296.021 -47.365 295.807 1.0 72.2483   ? 266 ALA A C   266 ALA A C   1 
ATOM 2027  O O   . ALA A 1 266 ? 295.396 -48.316 296.279 1.0 72.2483   ? 266 ALA A O   266 ALA A O   1 
ATOM 2028  C CB  . ALA A 1 266 ? 297.948 -48.638 294.854 1.0 72.2483   ? 266 ALA A CB  266 ALA A CB  1 
ATOM 2029  N N   . ALA A 1 267 ? 295.442 -46.246 295.401 1.0 69.7954   ? 267 ALA A N   267 ALA A N   1 
ATOM 2030  C CA  . ALA A 1 267 ? 294.003 -46.162 295.246 1.0 69.7954   ? 267 ALA A CA  267 ALA A CA  1 
ATOM 2031  C C   . ALA A 1 267 ? 293.635 -46.545 293.824 1.0 69.7954   ? 267 ALA A C   267 ALA A C   1 
ATOM 2032  O O   . ALA A 1 267 ? 294.388 -46.287 292.883 1.0 69.7954   ? 267 ALA A O   267 ALA A O   1 
ATOM 2033  C CB  . ALA A 1 267 ? 293.497 -44.755 295.558 1.0 69.7954   ? 267 ALA A CB  267 ALA A CB  1 
ATOM 2034  N N   . GLY A 1 268 ? 292.472 -47.177 293.676 1.0 67.10087  ? 268 GLY A N   268 GLY A N   1 
ATOM 2035  C CA  . GLY A 1 268 ? 291.997 -47.548 292.361 1.0 67.10087  ? 268 GLY A CA  268 GLY A CA  1 
ATOM 2036  C C   . GLY A 1 268 ? 291.659 -46.341 291.511 1.0 67.10087  ? 268 GLY A C   268 GLY A C   1 
ATOM 2037  O O   . GLY A 1 268 ? 291.434 -45.239 292.008 1.0 67.10087  ? 268 GLY A O   268 GLY A O   1 
ATOM 2038  N N   . ASN A 1 269 ? 291.642 -46.551 290.198 1.0 65.23299  ? 269 ASN A N   269 ASN A N   1 
ATOM 2039  C CA  . ASN A 1 269 ? 291.374 -45.447 289.294 1.0 65.23299  ? 269 ASN A CA  269 ASN A CA  1 
ATOM 2040  C C   . ASN A 1 269 ? 289.904 -45.046 289.348 1.0 65.23299  ? 269 ASN A C   269 ASN A C   1 
ATOM 2041  O O   . ASN A 1 269 ? 289.038 -45.802 289.794 1.0 65.23299  ? 269 ASN A O   269 ASN A O   1 
ATOM 2042  C CB  . ASN A 1 269 ? 291.766 -45.794 287.858 1.0 65.23299  ? 269 ASN A CB  269 ASN A CB  1 
ATOM 2043  C CG  . ASN A 1 269 ? 293.258 -45.846 287.661 1.0 65.23299  ? 269 ASN A CG  269 ASN A CG  1 
ATOM 2044  O OD1 . ASN A 1 269 ? 293.999 -45.186 288.375 1.0 65.23299  ? 269 ASN A OD1 269 ASN A OD1 1 
ATOM 2045  N ND2 . ASN A 1 269 ? 293.698 -46.534 286.622 1.0 65.23299  ? 269 ASN A ND2 269 ASN A ND2 1 
ATOM 2046  N N   . ARG A 1 270 ? 289.641 -43.825 288.903 1.0 62.71252  ? 270 ARG A N   270 ARG A N   1 
ATOM 2047  C CA  . ARG A 1 270 ? 288.298 -43.273 288.951 1.0 62.71252  ? 270 ARG A CA  270 ARG A CA  1 
ATOM 2048  C C   . ARG A 1 270 ? 287.396 -44.002 287.960 1.0 62.71252  ? 270 ARG A C   270 ARG A C   1 
ATOM 2049  O O   . ARG A 1 270 ? 287.846 -44.370 286.872 1.0 62.71252  ? 270 ARG A O   270 ARG A O   1 
ATOM 2050  C CB  . ARG A 1 270 ? 288.347 -41.787 288.624 1.0 62.71252  ? 270 ARG A CB  270 ARG A CB  1 
ATOM 2051  C CG  . ARG A 1 270 ? 289.105 -40.978 289.649 1.0 62.71252  ? 270 ARG A CG  270 ARG A CG  1 
ATOM 2052  C CD  . ARG A 1 270 ? 289.404 -39.602 289.114 1.0 62.71252  ? 270 ARG A CD  270 ARG A CD  1 
ATOM 2053  N NE  . ARG A 1 270 ? 288.224 -38.788 288.886 1.0 62.71252  ? 270 ARG A NE  270 ARG A NE  1 
ATOM 2054  C CZ  . ARG A 1 270 ? 287.766 -37.886 289.747 1.0 62.71252  ? 270 ARG A CZ  270 ARG A CZ  1 
ATOM 2055  N NH1 . ARG A 1 270 ? 288.398 -37.669 290.886 1.0 62.71252  ? 270 ARG A NH1 270 ARG A NH1 1 
ATOM 2056  N NH2 . ARG A 1 270 ? 286.684 -37.171 289.459 1.0 62.71252  ? 270 ARG A NH2 270 ARG A NH2 1 
ATOM 2057  N N   . PRO A 1 271 ? 286.138 -44.261 288.319 1.0 58.11914  ? 271 PRO A N   271 PRO A N   1 
ATOM 2058  C CA  . PRO A 1 271 ? 285.213 -44.900 287.374 1.0 58.11914  ? 271 PRO A CA  271 PRO A CA  1 
ATOM 2059  C C   . PRO A 1 271 ? 284.897 -43.959 286.222 1.0 58.11914  ? 271 PRO A C   271 PRO A C   1 
ATOM 2060  O O   . PRO A 1 271 ? 284.395 -42.853 286.426 1.0 58.11914  ? 271 PRO A O   271 PRO A O   1 
ATOM 2061  C CB  . PRO A 1 271 ? 283.977 -45.195 288.230 1.0 58.11914  ? 271 PRO A CB  271 PRO A CB  1 
ATOM 2062  C CG  . PRO A 1 271 ? 284.070 -44.264 289.377 1.0 58.11914  ? 271 PRO A CG  271 PRO A CG  1 
ATOM 2063  C CD  . PRO A 1 271 ? 285.525 -44.058 289.641 1.0 58.11914  ? 271 PRO A CD  271 PRO A CD  1 
ATOM 2064  N N   . ASN A 1 272 ? 285.225 -44.396 285.010 1.0 57.34946  ? 272 ASN A N   272 ASN A N   1 
ATOM 2065  C CA  . ASN A 1 272 ? 285.049 -43.593 283.803 1.0 57.34946  ? 272 ASN A CA  272 ASN A CA  1 
ATOM 2066  C C   . ASN A 1 272 ? 284.287 -44.446 282.798 1.0 57.34946  ? 272 ASN A C   272 ASN A C   1 
ATOM 2067  O O   . ASN A 1 272 ? 284.871 -45.315 282.148 1.0 57.34946  ? 272 ASN A O   272 ASN A O   1 
ATOM 2068  C CB  . ASN A 1 272 ? 286.391 -43.145 283.242 1.0 57.34946  ? 272 ASN A CB  272 ASN A CB  1 
ATOM 2069  C CG  . ASN A 1 272 ? 286.253 -42.067 282.194 1.0 57.34946  ? 272 ASN A CG  272 ASN A CG  1 
ATOM 2070  O OD1 . ASN A 1 272 ? 285.154 -41.609 281.904 1.0 57.34946  ? 272 ASN A OD1 272 ASN A OD1 1 
ATOM 2071  N ND2 . ASN A 1 272 ? 287.371 -41.660 281.612 1.0 57.34946  ? 272 ASN A ND2 272 ASN A ND2 1 
ATOM 2072  N N   . TYR A 1 273 ? 282.988 -44.203 282.674 1.0 55.50975  ? 273 TYR A N   273 TYR A N   1 
ATOM 2073  C CA  . TYR A 1 273 ? 282.162 -44.901 281.703 1.0 55.50975  ? 273 TYR A CA  273 TYR A CA  1 
ATOM 2074  C C   . TYR A 1 273 ? 282.131 -44.102 280.411 1.0 55.50975  ? 273 TYR A C   273 TYR A C   1 
ATOM 2075  O O   . TYR A 1 273 ? 281.786 -42.917 280.420 1.0 55.50975  ? 273 TYR A O   273 TYR A O   1 
ATOM 2076  C CB  . TYR A 1 273 ? 280.744 -45.085 282.235 1.0 55.50975  ? 273 TYR A CB  273 TYR A CB  1 
ATOM 2077  C CG  . TYR A 1 273 ? 280.642 -45.988 283.432 1.0 55.50975  ? 273 TYR A CG  273 TYR A CG  1 
ATOM 2078  C CD1 . TYR A 1 273 ? 280.592 -47.362 283.281 1.0 55.50975  ? 273 TYR A CD1 273 TYR A CD1 1 
ATOM 2079  C CD2 . TYR A 1 273 ? 280.594 -45.466 284.713 1.0 55.50975  ? 273 TYR A CD2 273 TYR A CD2 1 
ATOM 2080  C CE1 . TYR A 1 273 ? 280.496 -48.189 284.370 1.0 55.50975  ? 273 TYR A CE1 273 TYR A CE1 1 
ATOM 2081  C CE2 . TYR A 1 273 ? 280.501 -46.288 285.810 1.0 55.50975  ? 273 TYR A CE2 273 TYR A CE2 1 
ATOM 2082  C CZ  . TYR A 1 273 ? 280.453 -47.647 285.631 1.0 55.50975  ? 273 TYR A CZ  273 TYR A CZ  1 
ATOM 2083  O OH  . TYR A 1 273 ? 280.359 -48.475 286.721 1.0 55.50975  ? 273 TYR A OH  273 TYR A OH  1 
ATOM 2084  N N   . ILE A 1 274 ? 282.490 -44.742 279.306 1.0 55.12655  ? 274 ILE A N   274 ILE A N   1 
ATOM 2085  C CA  . ILE A 1 274 ? 282.448 -44.110 277.994 1.0 55.12655  ? 274 ILE A CA  274 ILE A CA  1 
ATOM 2086  C C   . ILE A 1 274 ? 281.484 -44.891 277.119 1.0 55.12655  ? 274 ILE A C   274 ILE A C   1 
ATOM 2087  O O   . ILE A 1 274 ? 281.707 -46.074 276.839 1.0 55.12655  ? 274 ILE A O   274 ILE A O   1 
ATOM 2088  C CB  . ILE A 1 274 ? 283.833 -44.030 277.342 1.0 55.12655  ? 274 ILE A CB  274 ILE A CB  1 
ATOM 2089  C CG1 . ILE A 1 274 ? 284.750 -43.133 278.162 1.0 55.12655  ? 274 ILE A CG1 274 ILE A CG1 1 
ATOM 2090  C CG2 . ILE A 1 274 ? 283.717 -43.495 275.936 1.0 55.12655  ? 274 ILE A CG2 274 ILE A CG2 1 
ATOM 2091  C CD1 . ILE A 1 274 ? 286.177 -43.173 277.707 1.0 55.12655  ? 274 ILE A CD1 274 ILE A CD1 1 
ATOM 2092  N N   . GLY A 1 275 ? 280.415 -44.231 276.690 1.0 52.00673  ? 275 GLY A N   275 GLY A N   1 
ATOM 2093  C CA  . GLY A 1 275 ? 279.463 -44.830 275.779 1.0 52.00673  ? 275 GLY A CA  275 GLY A CA  1 
ATOM 2094  C C   . GLY A 1 275 ? 278.869 -43.781 274.870 1.0 52.00673  ? 275 GLY A C   275 GLY A C   1 
ATOM 2095  O O   . GLY A 1 275 ? 279.314 -42.632 274.888 1.0 52.00673  ? 275 GLY A O   275 GLY A O   1 
ATOM 2096  N N   . PHE A 1 276 ? 277.871 -44.145 274.073 1.0 50.07507  ? 276 PHE A N   276 PHE A N   1 
ATOM 2097  C CA  . PHE A 1 276 ? 277.231 -43.147 273.237 1.0 50.07507  ? 276 PHE A CA  276 PHE A CA  1 
ATOM 2098  C C   . PHE A 1 276 ? 276.319 -42.258 274.076 1.0 50.07507  ? 276 PHE A C   276 PHE A C   1 
ATOM 2099  O O   . PHE A 1 276 ? 276.036 -42.530 275.244 1.0 50.07507  ? 276 PHE A O   276 PHE A O   1 
ATOM 2100  C CB  . PHE A 1 276 ? 276.438 -43.803 272.110 1.0 50.07507  ? 276 PHE A CB  276 PHE A CB  1 
ATOM 2101  C CG  . PHE A 1 276 ? 277.292 -44.503 271.099 1.0 50.07507  ? 276 PHE A CG  276 PHE A CG  1 
ATOM 2102  C CD1 . PHE A 1 276 ? 278.024 -43.781 270.178 1.0 50.07507  ? 276 PHE A CD1 276 PHE A CD1 1 
ATOM 2103  C CD2 . PHE A 1 276 ? 277.342 -45.881 271.049 1.0 50.07507  ? 276 PHE A CD2 276 PHE A CD2 1 
ATOM 2104  C CE1 . PHE A 1 276 ? 278.810 -44.419 269.246 1.0 50.07507  ? 276 PHE A CE1 276 PHE A CE1 1 
ATOM 2105  C CE2 . PHE A 1 276 ? 278.119 -46.521 270.109 1.0 50.07507  ? 276 PHE A CE2 276 PHE A CE2 1 
ATOM 2106  C CZ  . PHE A 1 276 ? 278.855 -45.787 269.212 1.0 50.07507  ? 276 PHE A CZ  276 PHE A CZ  1 
ATOM 2107  N N   . ARG A 1 277 ? 275.859 -41.174 273.461 1.0 51.35061  ? 277 ARG A N   277 ARG A N   1 
ATOM 2108  C CA  . ARG A 1 277 ? 274.972 -40.249 274.140 1.0 51.35061  ? 277 ARG A CA  277 ARG A CA  1 
ATOM 2109  C C   . ARG A 1 277 ? 273.571 -40.837 274.255 1.0 51.35061  ? 277 ARG A C   277 ARG A C   1 
ATOM 2110  O O   . ARG A 1 277 ? 273.256 -41.892 273.699 1.0 51.35061  ? 277 ARG A O   277 ARG A O   1 
ATOM 2111  C CB  . ARG A 1 277 ? 274.910 -38.924 273.390 1.0 51.35061  ? 277 ARG A CB  277 ARG A CB  1 
ATOM 2112  C CG  . ARG A 1 277 ? 276.220 -38.198 273.334 1.0 51.35061  ? 277 ARG A CG  277 ARG A CG  1 
ATOM 2113  C CD  . ARG A 1 277 ? 276.544 -37.587 274.660 1.0 51.35061  ? 277 ARG A CD  277 ARG A CD  1 
ATOM 2114  N NE  . ARG A 1 277 ? 277.863 -36.975 274.648 1.0 51.35061  ? 277 ARG A NE  277 ARG A NE  1 
ATOM 2115  C CZ  . ARG A 1 277 ? 278.086 -35.708 274.338 1.0 51.35061  ? 277 ARG A CZ  277 ARG A CZ  1 
ATOM 2116  N NH1 . ARG A 1 277 ? 277.072 -34.923 274.022 1.0 51.35061  ? 277 ARG A NH1 277 ARG A NH1 1 
ATOM 2117  N NH2 . ARG A 1 277 ? 279.319 -35.228 274.347 1.0 51.35061  ? 277 ARG A NH2 277 ARG A NH2 1 
ATOM 2118  N N   . ASP A 1 278 ? 272.731 -40.142 275.016 1.0 50.97313  ? 278 ASP A N   278 ASP A N   1 
ATOM 2119  C CA  . ASP A 1 278 ? 271.302 -40.404 274.983 1.0 50.97313  ? 278 ASP A CA  278 ASP A CA  1 
ATOM 2120  C C   . ASP A 1 278 ? 270.776 -40.104 273.591 1.0 50.97313  ? 278 ASP A C   278 ASP A C   1 
ATOM 2121  O O   . ASP A 1 278 ? 271.159 -39.107 272.982 1.0 50.97313  ? 278 ASP A O   278 ASP A O   1 
ATOM 2122  C CB  . ASP A 1 278 ? 270.584 -39.526 275.998 1.0 50.97313  ? 278 ASP A CB  278 ASP A CB  1 
ATOM 2123  C CG  . ASP A 1 278 ? 269.127 -39.892 276.162 1.0 50.97313  ? 278 ASP A CG  278 ASP A CG  1 
ATOM 2124  O OD1 . ASP A 1 278 ? 268.677 -40.917 275.610 1.0 50.97313  ? 278 ASP A OD1 278 ASP A OD1 1 
ATOM 2125  O OD2 . ASP A 1 278 ? 268.413 -39.120 276.822 1.0 50.97313  ? 278 ASP A OD2 278 ASP A OD2 1 
ATOM 2126  N N   . ASN A 1 279 ? 269.938 -41.007 273.070 1.0 48.54159  ? 279 ASN A N   279 ASN A N   1 
ATOM 2127  C CA  . ASN A 1 279 ? 269.256 -40.889 271.775 1.0 48.54159  ? 279 ASN A CA  279 ASN A CA  1 
ATOM 2128  C C   . ASN A 1 279 ? 270.210 -40.731 270.592 1.0 48.54159  ? 279 ASN A C   279 ASN A C   1 
ATOM 2129  O O   . ASN A 1 279 ? 269.778 -40.300 269.518 1.0 48.54159  ? 279 ASN A O   279 ASN A O   1 
ATOM 2130  C CB  . ASN A 1 279 ? 268.245 -39.738 271.774 1.0 48.54159  ? 279 ASN A CB  279 ASN A CB  1 
ATOM 2131  C CG  . ASN A 1 279 ? 267.111 -39.964 272.736 1.0 48.54159  ? 279 ASN A CG  279 ASN A CG  1 
ATOM 2132  O OD1 . ASN A 1 279 ? 266.977 -39.256 273.731 1.0 48.54159  ? 279 ASN A OD1 279 ASN A OD1 1 
ATOM 2133  N ND2 . ASN A 1 279 ? 266.275 -40.947 272.441 1.0 48.54159  ? 279 ASN A ND2 279 ASN A ND2 1 
ATOM 2134  N N   . PHE A 1 280 ? 271.479 -41.108 270.777 1.0 47.10006  ? 280 PHE A N   280 PHE A N   1 
ATOM 2135  C CA  . PHE A 1 280 ? 272.580 -40.868 269.839 1.0 47.10006  ? 280 PHE A CA  280 PHE A CA  1 
ATOM 2136  C C   . PHE A 1 280 ? 272.648 -39.405 269.412 1.0 47.10006  ? 280 PHE A C   280 PHE A C   1 
ATOM 2137  O O   . PHE A 1 280 ? 272.733 -39.077 268.228 1.0 47.10006  ? 280 PHE A O   280 PHE A O   1 
ATOM 2138  C CB  . PHE A 1 280 ? 272.495 -41.802 268.635 1.0 47.10006  ? 280 PHE A CB  280 PHE A CB  1 
ATOM 2139  C CG  . PHE A 1 280 ? 272.626 -43.240 268.998 1.0 47.10006  ? 280 PHE A CG  280 PHE A CG  1 
ATOM 2140  C CD1 . PHE A 1 280 ? 273.851 -43.755 269.374 1.0 47.10006  ? 280 PHE A CD1 280 PHE A CD1 1 
ATOM 2141  C CD2 . PHE A 1 280 ? 271.531 -44.078 268.959 1.0 47.10006  ? 280 PHE A CD2 280 PHE A CD2 1 
ATOM 2142  C CE1 . PHE A 1 280 ? 273.977 -45.079 269.720 1.0 47.10006  ? 280 PHE A CE1 280 PHE A CE1 1 
ATOM 2143  C CE2 . PHE A 1 280 ? 271.655 -45.405 269.289 1.0 47.10006  ? 280 PHE A CE2 280 PHE A CE2 1 
ATOM 2144  C CZ  . PHE A 1 280 ? 272.874 -45.901 269.686 1.0 47.10006  ? 280 PHE A CZ  280 PHE A CZ  1 
ATOM 2145  N N   . ILE A 1 281 ? 272.575 -38.518 270.403 1.0 48.61933  ? 281 ILE A N   281 ILE A N   1 
ATOM 2146  C CA  . ILE A 1 281 ? 272.801 -37.099 270.173 1.0 48.61933  ? 281 ILE A CA  281 ILE A CA  1 
ATOM 2147  C C   . ILE A 1 281 ? 274.251 -36.888 269.766 1.0 48.61933  ? 281 ILE A C   281 ILE A C   1 
ATOM 2148  O O   . ILE A 1 281 ? 275.166 -37.470 270.355 1.0 48.61933  ? 281 ILE A O   281 ILE A O   1 
ATOM 2149  C CB  . ILE A 1 281 ? 272.438 -36.291 271.429 1.0 48.61933  ? 281 ILE A CB  281 ILE A CB  1 
ATOM 2150  C CG1 . ILE A 1 281 ? 270.926 -36.245 271.615 1.0 48.61933  ? 281 ILE A CG1 281 ILE A CG1 1 
ATOM 2151  C CG2 . ILE A 1 281 ? 272.986 -34.896 271.376 1.0 48.61933  ? 281 ILE A CG2 281 ILE A CG2 1 
ATOM 2152  C CD1 . ILE A 1 281 ? 270.504 -35.630 272.894 1.0 48.61933  ? 281 ILE A CD1 281 ILE A CD1 1 
ATOM 2153  N N   . GLY A 1 282 ? 274.466 -36.097 268.722 1.0 51.42997  ? 282 GLY A N   282 GLY A N   1 
ATOM 2154  C CA  . GLY A 1 282 ? 275.809 -35.726 268.349 1.0 51.42997  ? 282 GLY A CA  282 GLY A CA  1 
ATOM 2155  C C   . GLY A 1 282 ? 276.502 -36.696 267.430 1.0 51.42997  ? 282 GLY A C   282 GLY A C   1 
ATOM 2156  O O   . GLY A 1 282 ? 277.732 -36.679 267.353 1.0 51.42997  ? 282 GLY A O   282 GLY A O   1 
ATOM 2157  N N   . MET A 1 283 ? 275.760 -37.557 266.749 1.0 50.71614  ? 283 MET A N   283 MET A N   1 
ATOM 2158  C CA  . MET A 1 283 ? 276.324 -38.375 265.691 1.0 50.71614  ? 283 MET A CA  283 MET A CA  1 
ATOM 2159  C C   . MET A 1 283 ? 275.968 -37.839 264.317 1.0 50.71614  ? 283 MET A C   283 MET A C   1 
ATOM 2160  O O   . MET A 1 283 ? 276.718 -38.052 263.358 1.0 50.71614  ? 283 MET A O   283 MET A O   1 
ATOM 2161  C CB  . MET A 1 283 ? 275.831 -39.817 265.840 1.0 50.71614  ? 283 MET A CB  283 MET A CB  1 
ATOM 2162  C CG  . MET A 1 283 ? 276.484 -40.824 264.932 1.0 50.71614  ? 283 MET A CG  283 MET A CG  1 
ATOM 2163  S SD  . MET A 1 283 ? 275.916 -42.459 265.350 1.0 50.71614  ? 283 MET A SD  283 MET A SD  1 
ATOM 2164  C CE  . MET A 1 283 ? 276.722 -42.594 266.933 1.0 50.71614  ? 283 MET A CE  283 MET A CE  1 
ATOM 2165  N N   . MET A 1 284 ? 274.881 -37.089 264.228 1.0 50.90934  ? 284 MET A N   284 MET A N   1 
ATOM 2166  C CA  . MET A 1 284 ? 274.303 -36.651 262.973 1.0 50.90934  ? 284 MET A CA  284 MET A CA  1 
ATOM 2167  C C   . MET A 1 284 ? 274.257 -35.132 262.953 1.0 50.90934  ? 284 MET A C   284 MET A C   1 
ATOM 2168  O O   . MET A 1 284 ? 273.766 -34.513 263.902 1.0 50.90934  ? 284 MET A O   284 MET A O   1 
ATOM 2169  C CB  . MET A 1 284 ? 272.912 -37.255 262.826 1.0 50.90934  ? 284 MET A CB  284 MET A CB  1 
ATOM 2170  C CG  . MET A 1 284 ? 272.943 -38.753 262.605 1.0 50.90934  ? 284 MET A CG  284 MET A CG  1 
ATOM 2171  S SD  . MET A 1 284 ? 271.325 -39.545 262.618 1.0 50.90934  ? 284 MET A SD  284 MET A SD  1 
ATOM 2172  C CE  . MET A 1 284 ? 270.634 -39.004 261.066 1.0 50.90934  ? 284 MET A CE  284 MET A CE  1 
ATOM 2173  N N   . TYR A 1 285 ? 274.766 -34.538 261.878 1.0 51.99167  ? 285 TYR A N   285 TYR A N   1 
ATOM 2174  C CA  . TYR A 1 285 ? 274.895 -33.086 261.782 1.0 51.99167  ? 285 TYR A CA  285 TYR A CA  1 
ATOM 2175  C C   . TYR A 1 285 ? 273.519 -32.463 261.612 1.0 51.99167  ? 285 TYR A C   285 TYR A C   1 
ATOM 2176  O O   . TYR A 1 285 ? 273.024 -32.313 260.493 1.0 51.99167  ? 285 TYR A O   285 TYR A O   1 
ATOM 2177  C CB  . TYR A 1 285 ? 275.786 -32.701 260.609 1.0 51.99167  ? 285 TYR A CB  285 TYR A CB  1 
ATOM 2178  C CG  . TYR A 1 285 ? 277.264 -32.954 260.770 1.0 51.99167  ? 285 TYR A CG  285 TYR A CG  1 
ATOM 2179  C CD1 . TYR A 1 285 ? 278.081 -32.033 261.404 1.0 51.99167  ? 285 TYR A CD1 285 TYR A CD1 1 
ATOM 2180  C CD2 . TYR A 1 285 ? 277.847 -34.091 260.246 1.0 51.99167  ? 285 TYR A CD2 285 TYR A CD2 1 
ATOM 2181  C CE1 . TYR A 1 285 ? 279.438 -32.251 261.528 1.0 51.99167  ? 285 TYR A CE1 285 TYR A CE1 1 
ATOM 2182  C CE2 . TYR A 1 285 ? 279.198 -34.312 260.360 1.0 51.99167  ? 285 TYR A CE2 285 TYR A CE2 1 
ATOM 2183  C CZ  . TYR A 1 285 ? 279.987 -33.393 261.004 1.0 51.99167  ? 285 TYR A CZ  285 TYR A CZ  1 
ATOM 2184  O OH  . TYR A 1 285 ? 281.334 -33.624 261.127 1.0 51.99167  ? 285 TYR A OH  285 TYR A OH  1 
ATOM 2185  N N   . TYR A 1 286 ? 272.900 -32.088 262.723 1.0 50.36089  ? 286 TYR A N   286 TYR A N   1 
ATOM 2186  C CA  . TYR A 1 286 ? 271.700 -31.272 262.712 1.0 50.36089  ? 286 TYR A CA  286 TYR A CA  1 
ATOM 2187  C C   . TYR A 1 286 ? 272.088 -29.829 262.984 1.0 50.36089  ? 286 TYR A C   286 TYR A C   1 
ATOM 2188  O O   . TYR A 1 286 ? 272.922 -29.562 263.854 1.0 50.36089  ? 286 TYR A O   286 TYR A O   1 
ATOM 2189  C CB  . TYR A 1 286 ? 270.692 -31.739 263.760 1.0 50.36089  ? 286 TYR A CB  286 TYR A CB  1 
ATOM 2190  C CG  . TYR A 1 286 ? 270.056 -33.072 263.463 1.0 50.36089  ? 286 TYR A CG  286 TYR A CG  1 
ATOM 2191  C CD1 . TYR A 1 286 ? 268.982 -33.173 262.600 1.0 50.36089  ? 286 TYR A CD1 286 TYR A CD1 1 
ATOM 2192  C CD2 . TYR A 1 286 ? 270.532 -34.225 264.049 1.0 50.36089  ? 286 TYR A CD2 286 TYR A CD2 1 
ATOM 2193  C CE1 . TYR A 1 286 ? 268.399 -34.397 262.338 1.0 50.36089  ? 286 TYR A CE1 286 TYR A CE1 1 
ATOM 2194  C CE2 . TYR A 1 286 ? 269.958 -35.443 263.800 1.0 50.36089  ? 286 TYR A CE2 286 TYR A CE2 1 
ATOM 2195  C CZ  . TYR A 1 286 ? 268.899 -35.525 262.940 1.0 50.36089  ? 286 TYR A CZ  286 TYR A CZ  1 
ATOM 2196  O OH  . TYR A 1 286 ? 268.336 -36.748 262.688 1.0 50.36089  ? 286 TYR A OH  286 TYR A OH  1 
ATOM 2197  N N   . ASN A 1 287 ? 271.487 -28.919 262.210 1.0 53.98353  ? 287 ASN A N   287 ASN A N   1 
ATOM 2198  C CA  . ASN A 1 287 ? 271.629 -27.466 262.356 1.0 53.98353  ? 287 ASN A CA  287 ASN A CA  1 
ATOM 2199  C C   . ASN A 1 287 ? 273.082 -27.020 262.218 1.0 53.98353  ? 287 ASN A C   287 ASN A C   1 
ATOM 2200  O O   . ASN A 1 287 ? 273.677 -26.457 263.138 1.0 53.98353  ? 287 ASN A O   287 ASN A O   1 
ATOM 2201  C CB  . ASN A 1 287 ? 271.022 -26.985 263.670 1.0 53.98353  ? 287 ASN A CB  287 ASN A CB  1 
ATOM 2202  C CG  . ASN A 1 287 ? 269.567 -27.345 263.787 1.0 53.98353  ? 287 ASN A CG  287 ASN A CG  1 
ATOM 2203  O OD1 . ASN A 1 287 ? 269.174 -28.088 264.680 1.0 53.98353  ? 287 ASN A OD1 287 ASN A OD1 1 
ATOM 2204  N ND2 . ASN A 1 287 ? 268.758 -26.845 262.863 1.0 53.98353  ? 287 ASN A ND2 287 ASN A ND2 1 
ATOM 2205  N N   . SER A 1 288 ? 273.656 -27.291 261.052 1.0 61.59848  ? 288 SER A N   288 SER A N   1 
ATOM 2206  C CA  . SER A 1 288 ? 274.982 -26.810 260.697 1.0 61.59848  ? 288 SER A CA  288 SER A CA  1 
ATOM 2207  C C   . SER A 1 288 ? 274.943 -26.328 259.260 1.0 61.59848  ? 288 SER A C   288 SER A C   1 
ATOM 2208  O O   . SER A 1 288 ? 274.398 -27.014 258.390 1.0 61.59848  ? 288 SER A O   288 SER A O   1 
ATOM 2209  C CB  . SER A 1 288 ? 276.041 -27.901 260.859 1.0 61.59848  ? 288 SER A CB  288 SER A CB  1 
ATOM 2210  O OG  . SER A 1 288 ? 276.165 -28.288 262.213 1.0 61.59848  ? 288 SER A OG  288 SER A OG  1 
ATOM 2211  N N   . GLY A 1 289 ? 275.508 -25.146 259.013 1.0 62.18943  ? 289 GLY A N   289 GLY A N   1 
ATOM 2212  C CA  . GLY A 1 289 ? 275.607 -24.663 257.649 1.0 62.18943  ? 289 GLY A CA  289 GLY A CA  1 
ATOM 2213  C C   . GLY A 1 289 ? 276.642 -25.412 256.838 1.0 62.18943  ? 289 GLY A C   289 GLY A C   1 
ATOM 2214  O O   . GLY A 1 289 ? 276.555 -25.461 255.608 1.0 62.18943  ? 289 GLY A O   289 GLY A O   1 
ATOM 2215  N N   . SER A 1 290 ? 277.627 -26.007 257.512 1.0 63.35715  ? 290 SER A N   290 SER A N   1 
ATOM 2216  C CA  . SER A 1 290 ? 278.665 -26.761 256.821 1.0 63.35715  ? 290 SER A CA  290 SER A CA  1 
ATOM 2217  C C   . SER A 1 290 ? 278.118 -28.060 256.255 1.0 63.35715  ? 290 SER A C   290 SER A C   1 
ATOM 2218  O O   . SER A 1 290 ? 278.429 -28.434 255.119 1.0 63.35715  ? 290 SER A O   290 SER A O   1 
ATOM 2219  C CB  . SER A 1 290 ? 279.808 -27.076 257.784 1.0 63.35715  ? 290 SER A CB  290 SER A CB  1 
ATOM 2220  O OG  . SER A 1 290 ? 280.363 -25.907 258.355 1.0 63.35715  ? 290 SER A OG  290 SER A OG  1 
ATOM 2221  N N   . ASN A 1 291 ? 277.306 -28.763 257.041 1.0 59.50338  ? 291 ASN A N   291 ASN A N   1 
ATOM 2222  C CA  . ASN A 1 291 ? 277.020 -30.180 256.838 1.0 59.50338  ? 291 ASN A CA  291 ASN A CA  1 
ATOM 2223  C C   . ASN A 1 291 ? 275.514 -30.405 256.898 1.0 59.50338  ? 291 ASN A C   291 ASN A C   1 
ATOM 2224  O O   . ASN A 1 291 ? 274.967 -30.714 257.959 1.0 59.50338  ? 291 ASN A O   291 ASN A O   1 
ATOM 2225  C CB  . ASN A 1 291 ? 277.747 -30.994 257.886 1.0 59.50338  ? 291 ASN A CB  291 ASN A CB  1 
ATOM 2226  C CG  . ASN A 1 291 ? 279.239 -30.790 257.839 1.0 59.50338  ? 291 ASN A CG  291 ASN A CG  1 
ATOM 2227  O OD1 . ASN A 1 291 ? 279.844 -30.339 258.809 1.0 59.50338  ? 291 ASN A OD1 291 ASN A OD1 1 
ATOM 2228  N ND2 . ASN A 1 291 ? 279.839 -31.083 256.696 1.0 59.50338  ? 291 ASN A ND2 291 ASN A ND2 1 
ATOM 2229  N N   . THR A 1 292 ? 274.849 -30.275 255.757 1.0 57.72644  ? 292 THR A N   292 THR A N   1 
ATOM 2230  C CA  . THR A 1 292 ? 273.398 -30.352 255.682 1.0 57.72644  ? 292 THR A CA  292 THR A CA  1 
ATOM 2231  C C   . THR A 1 292 ? 272.995 -31.545 254.830 1.0 57.72644  ? 292 THR A C   292 THR A C   1 
ATOM 2232  O O   . THR A 1 292 ? 273.463 -31.690 253.697 1.0 57.72644  ? 292 THR A O   292 THR A O   1 
ATOM 2233  C CB  . THR A 1 292 ? 272.822 -29.060 255.098 1.0 57.72644  ? 292 THR A CB  292 THR A CB  1 
ATOM 2234  O OG1 . THR A 1 292 ? 273.224 -27.952 255.911 1.0 57.72644  ? 292 THR A OG1 292 THR A OG1 1 
ATOM 2235  C CG2 . THR A 1 292 ? 271.308 -29.115 255.054 1.0 57.72644  ? 292 THR A CG2 292 THR A CG2 1 
ATOM 2236  N N   . GLY A 1 293 ? 272.130 -32.394 255.374 1.0 50.46183  ? 293 GLY A N   293 GLY A N   1 
ATOM 2237  C CA  . GLY A 1 293 ? 271.587 -33.504 254.624 1.0 50.46183  ? 293 GLY A CA  293 GLY A CA  1 
ATOM 2238  C C   . GLY A 1 293 ? 270.557 -33.047 253.613 1.0 50.46183  ? 293 GLY A C   293 GLY A C   1 
ATOM 2239  O O   . GLY A 1 293 ? 270.227 -31.868 253.491 1.0 50.46183  ? 293 GLY A O   293 GLY A O   1 
ATOM 2240  N N   . SER A 1 294 ? 270.021 -34.012 252.875 1.0 45.56087  ? 294 SER A N   294 SER A N   1 
ATOM 2241  C CA  . SER A 1 294 ? 269.172 -33.671 251.740 1.0 45.56087  ? 294 SER A CA  294 SER A CA  1 
ATOM 2242  C C   . SER A 1 294 ? 268.217 -34.810 251.435 1.0 45.56087  ? 294 SER A C   294 SER A C   1 
ATOM 2243  O O   . SER A 1 294 ? 268.655 -35.883 251.018 1.0 45.56087  ? 294 SER A O   294 SER A O   1 
ATOM 2244  C CB  . SER A 1 294 ? 270.022 -33.353 250.518 1.0 45.56087  ? 294 SER A CB  294 SER A CB  1 
ATOM 2245  O OG  . SER A 1 294 ? 269.204 -33.171 249.379 1.0 45.56087  ? 294 SER A OG  294 SER A OG  1 
ATOM 2246  N N   . PHE A 1 295 ? 266.924 -34.573 251.613 1.0 41.22488  ? 295 PHE A N   295 PHE A N   1 
ATOM 2247  C CA  . PHE A 1 295 ? 265.898 -35.441 251.053 1.0 41.22488  ? 295 PHE A CA  295 PHE A CA  1 
ATOM 2248  C C   . PHE A 1 295 ? 265.299 -34.735 249.847 1.0 41.22488  ? 295 PHE A C   295 PHE A C   1 
ATOM 2249  O O   . PHE A 1 295 ? 264.768 -33.628 249.973 1.0 41.22488  ? 295 PHE A O   295 PHE A O   1 
ATOM 2250  C CB  . PHE A 1 295 ? 264.817 -35.782 252.074 1.0 41.22488  ? 295 PHE A CB  295 PHE A CB  1 
ATOM 2251  C CG  . PHE A 1 295 ? 263.776 -36.725 251.552 1.0 41.22488  ? 295 PHE A CG  295 PHE A CG  1 
ATOM 2252  C CD1 . PHE A 1 295 ? 264.047 -38.069 251.405 1.0 41.22488  ? 295 PHE A CD1 295 PHE A CD1 1 
ATOM 2253  C CD2 . PHE A 1 295 ? 262.530 -36.263 251.190 1.0 41.22488  ? 295 PHE A CD2 295 PHE A CD2 1 
ATOM 2254  C CE1 . PHE A 1 295 ? 263.095 -38.937 250.921 1.0 41.22488  ? 295 PHE A CE1 295 PHE A CE1 1 
ATOM 2255  C CE2 . PHE A 1 295 ? 261.571 -37.122 250.704 1.0 41.22488  ? 295 PHE A CE2 295 PHE A CE2 1 
ATOM 2256  C CZ  . PHE A 1 295 ? 261.855 -38.463 250.568 1.0 41.22488  ? 295 PHE A CZ  295 PHE A CZ  1 
ATOM 2257  N N   . SER A 1 296 ? 265.389 -35.365 248.681 1.0 41.42926  ? 296 SER A N   296 SER A N   1 
ATOM 2258  C CA  . SER A 1 296 ? 264.972 -34.713 247.452 1.0 41.42926  ? 296 SER A CA  296 SER A CA  1 
ATOM 2259  C C   . SER A 1 296 ? 264.428 -35.752 246.488 1.0 41.42926  ? 296 SER A C   296 SER A C   1 
ATOM 2260  O O   . SER A 1 296 ? 264.725 -36.944 246.589 1.0 41.42926  ? 296 SER A O   296 SER A O   1 
ATOM 2261  C CB  . SER A 1 296 ? 266.130 -33.952 246.813 1.0 41.42926  ? 296 SER A CB  296 SER A CB  1 
ATOM 2262  O OG  . SER A 1 296 ? 267.122 -34.853 246.366 1.0 41.42926  ? 296 SER A OG  296 SER A OG  1 
ATOM 2263  N N   . SER A 1 297 ? 263.631 -35.280 245.538 1.0 42.86285  ? 297 SER A N   297 SER A N   1 
ATOM 2264  C CA  . SER A 1 297 ? 263.063 -36.143 244.514 1.0 42.86285  ? 297 SER A CA  297 SER A CA  1 
ATOM 2265  C C   . SER A 1 297 ? 263.965 -36.198 243.292 1.0 42.86285  ? 297 SER A C   297 SER A C   1 
ATOM 2266  O O   . SER A 1 297 ? 265.137 -35.820 243.361 1.0 42.86285  ? 297 SER A O   297 SER A O   1 
ATOM 2267  C CB  . SER A 1 297 ? 261.677 -35.653 244.115 1.0 42.86285  ? 297 SER A CB  297 SER A CB  1 
ATOM 2268  O OG  . SER A 1 297 ? 261.768 -34.388 243.491 1.0 42.86285  ? 297 SER A OG  297 SER A OG  1 
ATOM 2269  N N   . GLN A 1 298 ? 263.434 -36.699 242.179 1.0 45.58629  ? 298 GLN A N   298 GLN A N   1 
ATOM 2270  C CA  . GLN A 1 298 ? 264.132 -36.653 240.904 1.0 45.58629  ? 298 GLN A CA  298 GLN A CA  1 
ATOM 2271  C C   . GLN A 1 298 ? 263.795 -35.413 240.086 1.0 45.58629  ? 298 GLN A C   298 GLN A C   1 
ATOM 2272  O O   . GLN A 1 298 ? 264.280 -35.278 238.958 1.0 45.58629  ? 298 GLN A O   298 GLN A O   1 
ATOM 2273  C CB  . GLN A 1 298 ? 263.848 -37.921 240.094 1.0 45.58629  ? 298 GLN A CB  298 GLN A CB  1 
ATOM 2274  C CG  . GLN A 1 298 ? 264.405 -39.160 240.767 1.0 45.58629  ? 298 GLN A CG  298 GLN A CG  1 
ATOM 2275  C CD  . GLN A 1 298 ? 265.915 -39.138 240.859 1.0 45.58629  ? 298 GLN A CD  298 GLN A CD  1 
ATOM 2276  O OE1 . GLN A 1 298 ? 266.596 -38.771 239.908 1.0 45.58629  ? 298 GLN A OE1 298 GLN A OE1 1 
ATOM 2277  N NE2 . GLN A 1 298 ? 266.445 -39.518 242.012 1.0 45.58629  ? 298 GLN A NE2 298 GLN A NE2 1 
ATOM 2278  N N   . THR A 1 299 ? 262.957 -34.524 240.611 1.0 45.70577  ? 299 THR A N   299 THR A N   1 
ATOM 2279  C CA  . THR A 1 299 ? 263.057 -33.100 240.313 1.0 45.70577  ? 299 THR A CA  299 THR A CA  1 
ATOM 2280  C C   . THR A 1 299 ? 264.162 -32.619 241.237 1.0 45.70577  ? 299 THR A C   299 THR A C   1 
ATOM 2281  O O   . THR A 1 299 ? 263.908 -32.271 242.392 1.0 45.70577  ? 299 THR A O   299 THR A O   1 
ATOM 2282  C CB  . THR A 1 299 ? 261.740 -32.380 240.564 1.0 45.70577  ? 299 THR A CB  299 THR A CB  1 
ATOM 2283  O OG1 . THR A 1 299 ? 261.386 -32.508 241.944 1.0 45.70577  ? 299 THR A OG1 299 THR A OG1 1 
ATOM 2284  C CG2 . THR A 1 299 ? 260.645 -32.987 239.715 1.0 45.70577  ? 299 THR A CG2 299 THR A CG2 1 
ATOM 2285  N N   . GLN A 1 300 ? 265.391 -32.618 240.710 1.0 48.60827  ? 300 GLN A N   300 GLN A N   1 
ATOM 2286  C CA  . GLN A 1 300 ? 266.598 -32.770 241.522 1.0 48.60827  ? 300 GLN A CA  300 GLN A CA  1 
ATOM 2287  C C   . GLN A 1 300 ? 266.805 -31.608 242.472 1.0 48.60827  ? 300 GLN A C   300 GLN A C   1 
ATOM 2288  O O   . GLN A 1 300 ? 267.302 -31.784 243.589 1.0 48.60827  ? 300 GLN A O   300 GLN A O   1 
ATOM 2289  C CB  . GLN A 1 300 ? 267.809 -32.890 240.607 1.0 48.60827  ? 300 GLN A CB  300 GLN A CB  1 
ATOM 2290  C CG  . GLN A 1 300 ? 267.854 -34.157 239.820 1.0 48.60827  ? 300 GLN A CG  300 GLN A CG  1 
ATOM 2291  C CD  . GLN A 1 300 ? 268.182 -35.337 240.690 1.0 48.60827  ? 300 GLN A CD  300 GLN A CD  1 
ATOM 2292  O OE1 . GLN A 1 300 ? 267.360 -36.222 240.894 1.0 48.60827  ? 300 GLN A OE1 300 GLN A OE1 1 
ATOM 2293  N NE2 . GLN A 1 300 ? 269.391 -35.349 241.228 1.0 48.60827  ? 300 GLN A NE2 300 GLN A NE2 1 
ATOM 2294  N N   . GLN A 1 301 ? 266.404 -30.418 242.052 1.0 54.49182  ? 301 GLN A N   301 GLN A N   1 
ATOM 2295  C CA  . GLN A 1 301 ? 266.839 -29.213 242.737 1.0 54.49182  ? 301 GLN A CA  301 GLN A CA  1 
ATOM 2296  C C   . GLN A 1 301 ? 266.032 -28.982 244.007 1.0 54.49182  ? 301 GLN A C   301 GLN A C   1 
ATOM 2297  O O   . GLN A 1 301 ? 266.482 -28.287 244.926 1.0 54.49182  ? 301 GLN A O   301 GLN A O   1 
ATOM 2298  C CB  . GLN A 1 301 ? 266.699 -28.039 241.781 1.0 54.49182  ? 301 GLN A CB  301 GLN A CB  1 
ATOM 2299  C CG  . GLN A 1 301 ? 267.351 -26.768 242.194 1.0 54.49182  ? 301 GLN A CG  301 GLN A CG  1 
ATOM 2300  C CD  . GLN A 1 301 ? 267.068 -25.683 241.195 1.0 54.49182  ? 301 GLN A CD  301 GLN A CD  1 
ATOM 2301  O OE1 . GLN A 1 301 ? 266.373 -25.915 240.206 1.0 54.49182  ? 301 GLN A OE1 301 GLN A OE1 1 
ATOM 2302  N NE2 . GLN A 1 301 ? 267.586 -24.487 241.444 1.0 54.49182  ? 301 GLN A NE2 301 GLN A NE2 1 
ATOM 2303  N N   . LEU A 1 302 ? 264.843 -29.567 244.078 1.0 48.44773  ? 302 LEU A N   302 LEU A N   1 
ATOM 2304  C CA  . LEU A 1 302 ? 263.975 -29.341 245.219 1.0 48.44773  ? 302 LEU A CA  302 LEU A CA  1 
ATOM 2305  C C   . LEU A 1 302 ? 264.485 -30.103 246.433 1.0 48.44773  ? 302 LEU A C   302 LEU A C   1 
ATOM 2306  O O   . LEU A 1 302 ? 264.215 -31.294 246.600 1.0 48.44773  ? 302 LEU A O   302 LEU A O   1 
ATOM 2307  C CB  . LEU A 1 302 ? 262.551 -29.753 244.864 1.0 48.44773  ? 302 LEU A CB  302 LEU A CB  1 
ATOM 2308  C CG  . LEU A 1 302 ? 261.979 -28.847 243.769 1.0 48.44773  ? 302 LEU A CG  302 LEU A CG  1 
ATOM 2309  C CD1 . LEU A 1 302 ? 260.674 -29.382 243.208 1.0 48.44773  ? 302 LEU A CD1 302 LEU A CD1 1 
ATOM 2310  C CD2 . LEU A 1 302 ? 261.786 -27.431 244.296 1.0 48.44773  ? 302 LEU A CD2 302 LEU A CD2 1 
ATOM 2311  N N   . ASN A 1 303 ? 265.240 -29.399 247.272 1.0 45.25912  ? 303 ASN A N   303 ASN A N   1 
ATOM 2312  C CA  . ASN A 1 303 ? 265.815 -29.940 248.502 1.0 45.25912  ? 303 ASN A CA  303 ASN A CA  1 
ATOM 2313  C C   . ASN A 1 303 ? 264.893 -29.495 249.630 1.0 45.25912  ? 303 ASN A C   303 ASN A C   1 
ATOM 2314  O O   . ASN A 1 303 ? 264.839 -28.307 249.958 1.0 45.25912  ? 303 ASN A O   303 ASN A O   1 
ATOM 2315  C CB  . ASN A 1 303 ? 267.233 -29.426 248.709 1.0 45.25912  ? 303 ASN A CB  303 ASN A CB  1 
ATOM 2316  C CG  . ASN A 1 303 ? 268.041 -30.278 249.661 1.0 45.25912  ? 303 ASN A CG  303 ASN A CG  1 
ATOM 2317  O OD1 . ASN A 1 303 ? 269.258 -30.138 249.743 1.0 45.25912  ? 303 ASN A OD1 303 ASN A OD1 1 
ATOM 2318  N ND2 . ASN A 1 303 ? 267.380 -31.176 250.370 1.0 45.25912  ? 303 ASN A ND2 303 ASN A ND2 1 
ATOM 2319  N N   . ILE A 1 304 ? 264.178 -30.446 250.231 1.0 41.20191  ? 304 ILE A N   304 ILE A N   1 
ATOM 2320  C CA  . ILE A 1 304 ? 263.167 -30.061 251.204 1.0 41.20191  ? 304 ILE A CA  304 ILE A CA  1 
ATOM 2321  C C   . ILE A 1 304 ? 263.701 -29.986 252.622 1.0 41.20191  ? 304 ILE A C   304 ILE A C   1 
ATOM 2322  O O   . ILE A 1 304 ? 262.941 -29.660 253.536 1.0 41.20191  ? 304 ILE A O   304 ILE A O   1 
ATOM 2323  C CB  . ILE A 1 304 ? 261.958 -31.011 251.175 1.0 41.20191  ? 304 ILE A CB  304 ILE A CB  1 
ATOM 2324  C CG1 . ILE A 1 304 ? 262.296 -32.365 251.770 1.0 41.20191  ? 304 ILE A CG1 304 ILE A CG1 1 
ATOM 2325  C CG2 . ILE A 1 304 ? 261.475 -31.195 249.759 1.0 41.20191  ? 304 ILE A CG2 304 ILE A CG2 1 
ATOM 2326  C CD1 . ILE A 1 304 ? 261.065 -33.152 252.085 1.0 41.20191  ? 304 ILE A CD1 304 ILE A CD1 1 
ATOM 2327  N N   . VAL A 1 305 ? 264.982 -30.270 252.839 1.0 45.28623  ? 305 VAL A N   305 VAL A N   1 
ATOM 2328  C CA  . VAL A 1 305 ? 265.581 -30.119 254.164 1.0 45.28623  ? 305 VAL A CA  305 VAL A CA  1 
ATOM 2329  C C   . VAL A 1 305 ? 266.422 -28.848 254.106 1.0 45.28623  ? 305 VAL A C   305 VAL A C   1 
ATOM 2330  O O   . VAL A 1 305 ? 267.578 -28.852 253.681 1.0 45.28623  ? 305 VAL A O   305 VAL A O   1 
ATOM 2331  C CB  . VAL A 1 305 ? 266.388 -31.346 254.575 1.0 45.28623  ? 305 VAL A CB  305 VAL A CB  1 
ATOM 2332  C CG1 . VAL A 1 305 ? 267.007 -31.141 255.943 1.0 45.28623  ? 305 VAL A CG1 305 VAL A CG1 1 
ATOM 2333  C CG2 . VAL A 1 305 ? 265.498 -32.568 254.587 1.0 45.28623  ? 305 VAL A CG2 305 VAL A CG2 1 
ATOM 2334  N N   . LEU A 1 306 ? 265.814 -27.737 254.511 1.0 50.13365  ? 306 LEU A N   306 LEU A N   1 
ATOM 2335  C CA  . LEU A 1 306 ? 266.503 -26.463 254.654 1.0 50.13365  ? 306 LEU A CA  306 LEU A CA  1 
ATOM 2336  C C   . LEU A 1 306 ? 266.815 -26.261 256.127 1.0 50.13365  ? 306 LEU A C   306 LEU A C   1 
ATOM 2337  O O   . LEU A 1 306 ? 265.902 -26.170 256.951 1.0 50.13365  ? 306 LEU A O   306 LEU A O   1 
ATOM 2338  C CB  . LEU A 1 306 ? 265.658 -25.309 254.122 1.0 50.13365  ? 306 LEU A CB  306 LEU A CB  1 
ATOM 2339  C CG  . LEU A 1 306 ? 266.324 -23.936 254.192 1.0 50.13365  ? 306 LEU A CG  306 LEU A CG  1 
ATOM 2340  C CD1 . LEU A 1 306 ? 267.583 -23.899 253.334 1.0 50.13365  ? 306 LEU A CD1 306 LEU A CD1 1 
ATOM 2341  C CD2 . LEU A 1 306 ? 265.350 -22.872 253.752 1.0 50.13365  ? 306 LEU A CD2 306 LEU A CD2 1 
ATOM 2342  N N   . ASP A 1 307 ? 268.097 -26.181 256.452 1.0 57.16637  ? 307 ASP A N   307 ASP A N   1 
ATOM 2343  C CA  . ASP A 1 307 ? 268.558 -26.305 257.824 1.0 57.16637  ? 307 ASP A CA  307 ASP A CA  1 
ATOM 2344  C C   . ASP A 1 307 ? 269.030 -24.943 258.315 1.0 57.16637  ? 307 ASP A C   307 ASP A C   1 
ATOM 2345  O O   . ASP A 1 307 ? 269.867 -24.302 257.670 1.0 57.16637  ? 307 ASP A O   307 ASP A O   1 
ATOM 2346  C CB  . ASP A 1 307 ? 269.677 -27.340 257.904 1.0 57.16637  ? 307 ASP A CB  307 ASP A CB  1 
ATOM 2347  C CG  . ASP A 1 307 ? 269.833 -27.920 259.283 1.0 57.16637  ? 307 ASP A CG  307 ASP A CG  1 
ATOM 2348  O OD1 . ASP A 1 307 ? 269.071 -27.508 260.184 1.0 57.16637  ? 307 ASP A OD1 307 ASP A OD1 1 
ATOM 2349  O OD2 . ASP A 1 307 ? 270.704 -28.799 259.460 1.0 57.16637  ? 307 ASP A OD2 307 ASP A OD2 1 
ATOM 2350  N N   . LEU A 1 308 ? 268.489 -24.502 259.445 1.0 55.38732  ? 308 LEU A N   308 LEU A N   1 
ATOM 2351  C CA  . LEU A 1 308 ? 268.824 -23.213 260.031 1.0 55.38732  ? 308 LEU A CA  308 LEU A CA  1 
ATOM 2352  C C   . LEU A 1 308 ? 269.739 -23.406 261.232 1.0 55.38732  ? 308 LEU A C   308 LEU A C   1 
ATOM 2353  O O   . LEU A 1 308 ? 269.849 -24.499 261.788 1.0 55.38732  ? 308 LEU A O   308 LEU A O   1 
ATOM 2354  C CB  . LEU A 1 308 ? 267.565 -22.452 260.458 1.0 55.38732  ? 308 LEU A CB  308 LEU A CB  1 
ATOM 2355  C CG  . LEU A 1 308 ? 266.733 -21.681 259.428 1.0 55.38732  ? 308 LEU A CG  308 LEU A CG  1 
ATOM 2356  C CD1 . LEU A 1 308 ? 265.894 -22.593 258.547 1.0 55.38732  ? 308 LEU A CD1 308 LEU A CD1 1 
ATOM 2357  C CD2 . LEU A 1 308 ? 265.851 -20.667 260.132 1.0 55.38732  ? 308 LEU A CD2 308 LEU A CD2 1 
ATOM 2358  N N   . ASN A 1 309 ? 270.399 -22.320 261.630 1.0 55.93984  ? 309 ASN A N   309 ASN A N   1 
ATOM 2359  C CA  . ASN A 1 309 ? 271.289 -22.352 262.782 1.0 55.93984  ? 309 ASN A CA  309 ASN A CA  1 
ATOM 2360  C C   . ASN A 1 309 ? 270.609 -21.930 264.073 1.0 55.93984  ? 309 ASN A C   309 ASN A C   1 
ATOM 2361  O O   . ASN A 1 309 ? 271.097 -22.275 265.154 1.0 55.93984  ? 309 ASN A O   309 ASN A O   1 
ATOM 2362  C CB  . ASN A 1 309 ? 272.501 -21.453 262.540 1.0 55.93984  ? 309 ASN A CB  309 ASN A CB  1 
ATOM 2363  C CG  . ASN A 1 309 ? 273.342 -21.923 261.383 1.0 55.93984  ? 309 ASN A CG  309 ASN A CG  1 
ATOM 2364  O OD1 . ASN A 1 309 ? 273.456 -21.240 260.367 1.0 55.93984  ? 309 ASN A OD1 309 ASN A OD1 1 
ATOM 2365  N ND2 . ASN A 1 309 ? 273.930 -23.103 261.523 1.0 55.93984  ? 309 ASN A ND2 309 ASN A ND2 1 
ATOM 2366  N N   . ASP A 1 310 ? 269.499 -21.199 263.989 1.0 54.72259  ? 310 ASP A N   310 ASP A N   1 
ATOM 2367  C CA  . ASP A 1 310 ? 268.744 -20.798 265.167 1.0 54.72259  ? 310 ASP A CA  310 ASP A CA  1 
ATOM 2368  C C   . ASP A 1 310 ? 267.880 -21.915 265.725 1.0 54.72259  ? 310 ASP A C   310 ASP A C   1 
ATOM 2369  O O   . ASP A 1 310 ? 267.250 -21.727 266.768 1.0 54.72259  ? 310 ASP A O   310 ASP A O   1 
ATOM 2370  C CB  . ASP A 1 310 ? 267.852 -19.607 264.834 1.0 54.72259  ? 310 ASP A CB  310 ASP A CB  1 
ATOM 2371  C CG  . ASP A 1 310 ? 268.639 -18.354 264.553 1.0 54.72259  ? 310 ASP A CG  310 ASP A CG  1 
ATOM 2372  O OD1 . ASP A 1 310 ? 269.749 -18.210 265.107 1.0 54.72259  ? 310 ASP A OD1 310 ASP A OD1 1 
ATOM 2373  O OD2 . ASP A 1 310 ? 268.145 -17.510 263.779 1.0 54.72259  ? 310 ASP A OD2 310 ASP A OD2 1 
ATOM 2374  N N   . ARG A 1 311 ? 267.820 -23.050 265.049 1.0 50.46413  ? 311 ARG A N   311 ARG A N   1 
ATOM 2375  C CA  . ARG A 1 311 ? 266.990 -24.178 265.428 1.0 50.46413  ? 311 ARG A CA  311 ARG A CA  1 
ATOM 2376  C C   . ARG A 1 311 ? 267.843 -25.184 266.190 1.0 50.46413  ? 311 ARG A C   311 ARG A C   1 
ATOM 2377  O O   . ARG A 1 311 ? 269.062 -25.233 266.022 1.0 50.46413  ? 311 ARG A O   311 ARG A O   1 
ATOM 2378  C CB  . ARG A 1 311 ? 266.388 -24.801 264.167 1.0 50.46413  ? 311 ARG A CB  311 ARG A CB  1 
ATOM 2379  C CG  . ARG A 1 311 ? 265.344 -25.871 264.348 1.0 50.46413  ? 311 ARG A CG  311 ARG A CG  1 
ATOM 2380  C CD  . ARG A 1 311 ? 264.845 -26.290 262.991 1.0 50.46413  ? 311 ARG A CD  311 ARG A CD  1 
ATOM 2381  N NE  . ARG A 1 311 ? 264.093 -25.219 262.353 1.0 50.46413  ? 311 ARG A NE  311 ARG A NE  1 
ATOM 2382  C CZ  . ARG A 1 311 ? 263.743 -25.215 261.074 1.0 50.46413  ? 311 ARG A CZ  311 ARG A CZ  1 
ATOM 2383  N NH1 . ARG A 1 311 ? 264.092 -26.222 260.290 1.0 50.46413  ? 311 ARG A NH1 311 ARG A NH1 1 
ATOM 2384  N NH2 . ARG A 1 311 ? 263.052 -24.202 260.575 1.0 50.46413  ? 311 ARG A NH2 311 ARG A NH2 1 
ATOM 2385  N N   . ASN A 1 312 ? 267.204 -25.961 267.063 1.0 50.60853  ? 312 ASN A N   312 ASN A N   1 
ATOM 2386  C CA  . ASN A 1 312 ? 267.873 -27.050 267.771 1.0 50.60853  ? 312 ASN A CA  312 ASN A CA  1 
ATOM 2387  C C   . ASN A 1 312 ? 267.001 -28.290 267.621 1.0 50.60853  ? 312 ASN A C   312 ASN A C   1 
ATOM 2388  O O   . ASN A 1 312 ? 266.064 -28.492 268.396 1.0 50.60853  ? 312 ASN A O   312 ASN A O   1 
ATOM 2389  C CB  . ASN A 1 312 ? 268.100 -26.709 269.237 1.0 50.60853  ? 312 ASN A CB  312 ASN A CB  1 
ATOM 2390  C CG  . ASN A 1 312 ? 269.118 -27.606 269.889 1.0 50.60853  ? 312 ASN A CG  312 ASN A CG  1 
ATOM 2391  O OD1 . ASN A 1 312 ? 269.641 -28.525 269.266 1.0 50.60853  ? 312 ASN A OD1 312 ASN A OD1 1 
ATOM 2392  N ND2 . ASN A 1 312 ? 269.426 -27.330 271.147 1.0 50.60853  ? 312 ASN A ND2 312 ASN A ND2 1 
ATOM 2393  N N   . SER A 1 313 ? 267.310 -29.118 266.625 1.0 50.54194  ? 313 SER A N   313 SER A N   1 
ATOM 2394  C CA  . SER A 1 313 ? 266.577 -30.360 266.430 1.0 50.54194  ? 313 SER A CA  313 SER A CA  1 
ATOM 2395  C C   . SER A 1 313 ? 266.963 -31.427 267.442 1.0 50.54194  ? 313 SER A C   313 SER A C   1 
ATOM 2396  O O   . SER A 1 313 ? 266.253 -32.428 267.567 1.0 50.54194  ? 313 SER A O   313 SER A O   1 
ATOM 2397  C CB  . SER A 1 313 ? 266.803 -30.883 265.012 1.0 50.54194  ? 313 SER A CB  313 SER A CB  1 
ATOM 2398  O OG  . SER A 1 313 ? 266.286 -29.979 264.053 1.0 50.54194  ? 313 SER A OG  313 SER A OG  1 
ATOM 2399  N N   . GLU A 1 314 ? 268.068 -31.239 268.160 1.0 49.84262  ? 314 GLU A N   314 GLU A N   1 
ATOM 2400  C CA  . GLU A 1 314 ? 268.463 -32.190 269.190 1.0 49.84262  ? 314 GLU A CA  314 GLU A CA  1 
ATOM 2401  C C   . GLU A 1 314 ? 267.627 -32.015 270.449 1.0 49.84262  ? 314 GLU A C   314 GLU A C   1 
ATOM 2402  O O   . GLU A 1 314 ? 267.080 -32.986 270.979 1.0 49.84262  ? 314 GLU A O   314 GLU A O   1 
ATOM 2403  C CB  . GLU A 1 314 ? 269.939 -32.014 269.524 1.0 49.84262  ? 314 GLU A CB  314 GLU A CB  1 
ATOM 2404  C CG  . GLU A 1 314 ? 270.923 -32.285 268.400 1.0 49.84262  ? 314 GLU A CG  314 GLU A CG  1 
ATOM 2405  C CD  . GLU A 1 314 ? 271.042 -33.746 268.046 1.0 49.84262  ? 314 GLU A CD  314 GLU A CD  1 
ATOM 2406  O OE1 . GLU A 1 314 ? 270.679 -34.597 268.872 1.0 49.84262  ? 314 GLU A OE1 314 GLU A OE1 1 
ATOM 2407  O OE2 . GLU A 1 314 ? 271.580 -34.052 266.968 1.0 49.84262  ? 314 GLU A OE2 314 GLU A OE2 1 
ATOM 2408  N N   . LEU A 1 315 ? 267.528 -30.781 270.946 1.0 47.45953  ? 315 LEU A N   315 LEU A N   1 
ATOM 2409  C CA  . LEU A 1 315 ? 266.773 -30.533 272.169 1.0 47.45953  ? 315 LEU A CA  315 LEU A CA  1 
ATOM 2410  C C   . LEU A 1 315 ? 265.275 -30.619 271.925 1.0 47.45953  ? 315 LEU A C   315 LEU A C   1 
ATOM 2411  O O   . LEU A 1 315 ? 264.521 -30.966 272.839 1.0 47.45953  ? 315 LEU A O   315 LEU A O   1 
ATOM 2412  C CB  . LEU A 1 315 ? 267.147 -29.169 272.748 1.0 47.45953  ? 315 LEU A CB  315 LEU A CB  1 
ATOM 2413  C CG  . LEU A 1 315 ? 266.549 -28.762 274.093 1.0 47.45953  ? 315 LEU A CG  315 LEU A CG  1 
ATOM 2414  C CD1 . LEU A 1 315 ? 266.967 -29.732 275.168 1.0 47.45953  ? 315 LEU A CD1 315 LEU A CD1 1 
ATOM 2415  C CD2 . LEU A 1 315 ? 266.960 -27.366 274.463 1.0 47.45953  ? 315 LEU A CD2 315 LEU A CD2 1 
ATOM 2416  N N   . SER A 1 316 ? 264.830 -30.336 270.700 1.0 45.6949   ? 316 SER A N   316 SER A N   1 
ATOM 2417  C CA  . SER A 1 316 ? 263.417 -30.480 270.376 1.0 45.6949   ? 316 SER A CA  316 SER A CA  1 
ATOM 2418  C C   . SER A 1 316 ? 262.979 -31.934 270.411 1.0 45.6949   ? 316 SER A C   316 SER A C   1 
ATOM 2419  O O   . SER A 1 316 ? 261.815 -32.224 270.695 1.0 45.6949   ? 316 SER A O   316 SER A O   1 
ATOM 2420  C CB  . SER A 1 316 ? 263.127 -29.884 269.003 1.0 45.6949   ? 316 SER A CB  316 SER A CB  1 
ATOM 2421  O OG  . SER A 1 316 ? 261.767 -30.067 268.656 1.0 45.6949   ? 316 SER A OG  316 SER A OG  1 
ATOM 2422  N N   . TYR A 1 317 ? 263.893 -32.860 270.126 1.0 46.4796   ? 317 TYR A N   317 TYR A N   1 
ATOM 2423  C CA  . TYR A 1 317 ? 263.575 -34.271 270.278 1.0 46.4796   ? 317 TYR A CA  317 TYR A CA  1 
ATOM 2424  C C   . TYR A 1 317 ? 263.565 -34.679 271.742 1.0 46.4796   ? 317 TYR A C   317 TYR A C   1 
ATOM 2425  O O   . TYR A 1 317 ? 262.825 -35.590 272.124 1.0 46.4796   ? 317 TYR A O   317 TYR A O   1 
ATOM 2426  C CB  . TYR A 1 317 ? 264.578 -35.114 269.498 1.0 46.4796   ? 317 TYR A CB  317 TYR A CB  1 
ATOM 2427  C CG  . TYR A 1 317 ? 264.301 -36.595 269.516 1.0 46.4796   ? 317 TYR A CG  317 TYR A CG  1 
ATOM 2428  C CD1 . TYR A 1 317 ? 263.296 -37.143 268.733 1.0 46.4796   ? 317 TYR A CD1 317 TYR A CD1 1 
ATOM 2429  C CD2 . TYR A 1 317 ? 265.051 -37.446 270.310 1.0 46.4796   ? 317 TYR A CD2 317 TYR A CD2 1 
ATOM 2430  C CE1 . TYR A 1 317 ? 263.045 -38.497 268.743 1.0 46.4796   ? 317 TYR A CE1 317 TYR A CE1 1 
ATOM 2431  C CE2 . TYR A 1 317 ? 264.807 -38.801 270.327 1.0 46.4796   ? 317 TYR A CE2 317 TYR A CE2 1 
ATOM 2432  C CZ  . TYR A 1 317 ? 263.805 -39.319 269.542 1.0 46.4796   ? 317 TYR A CZ  317 TYR A CZ  1 
ATOM 2433  O OH  . TYR A 1 317 ? 263.565 -40.671 269.563 1.0 46.4796   ? 317 TYR A OH  317 TYR A OH  1 
ATOM 2434  N N   . GLN A 1 318 ? 264.368 -34.018 272.573 1.0 45.858    ? 318 GLN A N   318 GLN A N   1 
ATOM 2435  C CA  . GLN A 1 318 ? 264.441 -34.382 273.981 1.0 45.858    ? 318 GLN A CA  318 GLN A CA  1 
ATOM 2436  C C   . GLN A 1 318 ? 263.227 -33.909 274.759 1.0 45.858    ? 318 GLN A C   318 GLN A C   1 
ATOM 2437  O O   . GLN A 1 318 ? 262.858 -34.534 275.757 1.0 45.858    ? 318 GLN A O   318 GLN A O   1 
ATOM 2438  C CB  . GLN A 1 318 ? 265.717 -33.820 274.596 1.0 45.858    ? 318 GLN A CB  318 GLN A CB  1 
ATOM 2439  C CG  . GLN A 1 318 ? 266.956 -34.441 274.009 1.0 45.858    ? 318 GLN A CG  318 GLN A CG  1 
ATOM 2440  C CD  . GLN A 1 318 ? 267.083 -35.892 274.386 1.0 45.858    ? 318 GLN A CD  318 GLN A CD  1 
ATOM 2441  O OE1 . GLN A 1 318 ? 266.876 -36.261 275.538 1.0 45.858    ? 318 GLN A OE1 318 GLN A OE1 1 
ATOM 2442  N NE2 . GLN A 1 318 ? 267.382 -36.735 273.410 1.0 45.858    ? 318 GLN A NE2 318 GLN A NE2 1 
ATOM 2443  N N   . TYR A 1 319 ? 262.598 -32.818 274.331 1.0 45.2511   ? 319 TYR A N   319 TYR A N   1 
ATOM 2444  C CA  . TYR A 1 319 ? 261.361 -32.396 274.972 1.0 45.2511   ? 319 TYR A CA  319 TYR A CA  1 
ATOM 2445  C C   . TYR A 1 319 ? 260.156 -33.114 274.387 1.0 45.2511   ? 319 TYR A C   319 TYR A C   1 
ATOM 2446  O O   . TYR A 1 319 ? 259.128 -33.234 275.059 1.0 45.2511   ? 319 TYR A O   319 TYR A O   1 
ATOM 2447  C CB  . TYR A 1 319 ? 261.185 -30.883 274.851 1.0 45.2511   ? 319 TYR A CB  319 TYR A CB  1 
ATOM 2448  C CG  . TYR A 1 319 ? 262.109 -30.067 275.727 1.0 45.2511   ? 319 TYR A CG  319 TYR A CG  1 
ATOM 2449  C CD1 . TYR A 1 319 ? 262.823 -30.652 276.759 1.0 45.2511   ? 319 TYR A CD1 319 TYR A CD1 1 
ATOM 2450  C CD2 . TYR A 1 319 ? 262.245 -28.704 275.532 1.0 45.2511   ? 319 TYR A CD2 319 TYR A CD2 1 
ATOM 2451  C CE1 . TYR A 1 319 ? 263.659 -29.906 277.559 1.0 45.2511   ? 319 TYR A CE1 319 TYR A CE1 1 
ATOM 2452  C CE2 . TYR A 1 319 ? 263.078 -27.949 276.329 1.0 45.2511   ? 319 TYR A CE2 319 TYR A CE2 1 
ATOM 2453  C CZ  . TYR A 1 319 ? 263.780 -28.555 277.340 1.0 45.2511   ? 319 TYR A CZ  319 TYR A CZ  1 
ATOM 2454  O OH  . TYR A 1 319 ? 264.613 -27.809 278.137 1.0 45.2511   ? 319 TYR A OH  319 TYR A OH  1 
ATOM 2455  N N   . LEU A 1 320 ? 260.266 -33.598 273.149 1.0 43.81519  ? 320 LEU A N   320 LEU A N   1 
ATOM 2456  C CA  . LEU A 1 320 ? 259.179 -34.358 272.545 1.0 43.81519  ? 320 LEU A CA  320 LEU A CA  1 
ATOM 2457  C C   . LEU A 1 320 ? 259.042 -35.725 273.192 1.0 43.81519  ? 320 LEU A C   320 LEU A C   1 
ATOM 2458  O O   . LEU A 1 320 ? 257.929 -36.232 273.362 1.0 43.81519  ? 320 LEU A O   320 LEU A O   1 
ATOM 2459  C CB  . LEU A 1 320 ? 259.416 -34.507 271.046 1.0 43.81519  ? 320 LEU A CB  320 LEU A CB  1 
ATOM 2460  C CG  . LEU A 1 320 ? 258.334 -35.224 270.245 1.0 43.81519  ? 320 LEU A CG  320 LEU A CG  1 
ATOM 2461  C CD1 . LEU A 1 320 ? 257.061 -34.416 270.269 1.0 43.81519  ? 320 LEU A CD1 320 LEU A CD1 1 
ATOM 2462  C CD2 . LEU A 1 320 ? 258.785 -35.471 268.827 1.0 43.81519  ? 320 LEU A CD2 320 LEU A CD2 1 
ATOM 2463  N N   . LEU A 1 321 ? 260.166 -36.330 273.566 1.0 45.80658  ? 321 LEU A N   321 LEU A N   1 
ATOM 2464  C CA  . LEU A 1 321 ? 260.125 -37.657 274.160 1.0 45.80658  ? 321 LEU A CA  321 LEU A CA  1 
ATOM 2465  C C   . LEU A 1 321 ? 259.619 -37.611 275.596 1.0 45.80658  ? 321 LEU A C   321 LEU A C   1 
ATOM 2466  O O   . LEU A 1 321 ? 259.000 -38.573 276.061 1.0 45.80658  ? 321 LEU A O   321 LEU A O   1 
ATOM 2467  C CB  . LEU A 1 321 ? 261.515 -38.281 274.062 1.0 45.80658  ? 321 LEU A CB  321 LEU A CB  1 
ATOM 2468  C CG  . LEU A 1 321 ? 261.783 -39.733 274.437 1.0 45.80658  ? 321 LEU A CG  321 LEU A CG  1 
ATOM 2469  C CD1 . LEU A 1 321 ? 262.854 -40.261 273.523 1.0 45.80658  ? 321 LEU A CD1 321 LEU A CD1 1 
ATOM 2470  C CD2 . LEU A 1 321 ? 262.263 -39.812 275.866 1.0 45.80658  ? 321 LEU A CD2 321 LEU A CD2 1 
ATOM 2471  N N   . ALA A 1 322 ? 259.862 -36.511 276.309 1.0 46.94513  ? 322 ALA A N   322 ALA A N   1 
ATOM 2472  C CA  . ALA A 1 322 ? 259.313 -36.363 277.650 1.0 46.94513  ? 322 ALA A CA  322 ALA A CA  1 
ATOM 2473  C C   . ALA A 1 322 ? 257.815 -36.096 277.629 1.0 46.94513  ? 322 ALA A C   322 ALA A C   1 
ATOM 2474  O O   . ALA A 1 322 ? 257.147 -36.294 278.648 1.0 46.94513  ? 322 ALA A O   322 ALA A O   1 
ATOM 2475  C CB  . ALA A 1 322 ? 260.034 -35.240 278.392 1.0 46.94513  ? 322 ALA A CB  322 ALA A CB  1 
ATOM 2476  N N   . ASP A 1 323 ? 257.277 -35.653 276.494 1.0 49.48475  ? 323 ASP A N   323 ASP A N   1 
ATOM 2477  C CA  . ASP A 1 323 ? 255.842 -35.435 276.370 1.0 49.48475  ? 323 ASP A CA  323 ASP A CA  1 
ATOM 2478  C C   . ASP A 1 323 ? 255.113 -36.743 276.085 1.0 49.48475  ? 323 ASP A C   323 ASP A C   1 
ATOM 2479  O O   . ASP A 1 323 ? 254.109 -37.054 276.735 1.0 49.48475  ? 323 ASP A O   323 ASP A O   1 
ATOM 2480  C CB  . ASP A 1 323 ? 255.567 -34.417 275.261 1.0 49.48475  ? 323 ASP A CB  323 ASP A CB  1 
ATOM 2481  C CG  . ASP A 1 323 ? 254.140 -33.890 275.277 1.0 49.48475  ? 323 ASP A CG  323 ASP A CG  1 
ATOM 2482  O OD1 . ASP A 1 323 ? 253.360 -34.245 276.185 1.0 49.48475  ? 323 ASP A OD1 323 ASP A OD1 1 
ATOM 2483  O OD2 . ASP A 1 323 ? 253.789 -33.124 274.358 1.0 49.48475  ? 323 ASP A OD2 323 ASP A OD2 1 
ATOM 2484  N N   . LEU A 1 324 ? 255.601 -37.514 275.112 1.0 49.38555  ? 324 LEU A N   324 LEU A N   1 
ATOM 2485  C CA  . LEU A 1 324 ? 254.893 -38.713 274.675 1.0 49.38555  ? 324 LEU A CA  324 LEU A CA  1 
ATOM 2486  C C   . LEU A 1 324 ? 255.014 -39.832 275.696 1.0 49.38555  ? 324 LEU A C   324 LEU A C   1 
ATOM 2487  O O   . LEU A 1 324 ? 254.016 -40.270 276.279 1.0 49.38555  ? 324 LEU A O   324 LEU A O   1 
ATOM 2488  C CB  . LEU A 1 324 ? 255.428 -39.176 273.320 1.0 49.38555  ? 324 LEU A CB  324 LEU A CB  1 
ATOM 2489  C CG  . LEU A 1 324 ? 254.816 -38.630 272.031 1.0 49.38555  ? 324 LEU A CG  324 LEU A CG  1 
ATOM 2490  C CD1 . LEU A 1 324 ? 255.102 -37.165 271.830 1.0 49.38555  ? 324 LEU A CD1 324 LEU A CD1 1 
ATOM 2491  C CD2 . LEU A 1 324 ? 255.340 -39.436 270.846 1.0 49.38555  ? 324 LEU A CD2 324 LEU A CD2 1 
ATOM 2492  N N   . THR A 1 325 ? 256.227 -40.301 275.934 1.0 50.94935  ? 325 THR A N   325 THR A N   1 
ATOM 2493  C CA  . THR A 1 325 ? 256.434 -41.455 276.789 1.0 50.94935  ? 325 THR A CA  325 THR A CA  1 
ATOM 2494  C C   . THR A 1 325 ? 257.006 -41.027 278.130 1.0 50.94935  ? 325 THR A C   325 THR A C   1 
ATOM 2495  O O   . THR A 1 325 ? 257.410 -39.882 278.332 1.0 50.94935  ? 325 THR A O   325 THR A O   1 
ATOM 2496  C CB  . THR A 1 325 ? 257.363 -42.470 276.118 1.0 50.94935  ? 325 THR A CB  325 THR A CB  1 
ATOM 2497  O OG1 . THR A 1 325 ? 257.395 -43.671 276.897 1.0 50.94935  ? 325 THR A OG1 325 THR A OG1 1 
ATOM 2498  C CG2 . THR A 1 325 ? 258.767 -41.914 276.015 1.0 50.94935  ? 325 THR A CG2 325 THR A CG2 1 
ATOM 2499  N N   . SER A 1 326 ? 257.023 -41.972 279.059 1.0 51.93431  ? 326 SER A N   326 SER A N   1 
ATOM 2500  C CA  . SER A 1 326 ? 257.687 -41.741 280.324 1.0 51.93431  ? 326 SER A CA  326 SER A CA  1 
ATOM 2501  C C   . SER A 1 326 ? 259.191 -41.828 280.133 1.0 51.93431  ? 326 SER A C   326 SER A C   1 
ATOM 2502  O O   . SER A 1 326 ? 259.688 -42.492 279.221 1.0 51.93431  ? 326 SER A O   326 SER A O   1 
ATOM 2503  C CB  . SER A 1 326 ? 257.239 -42.750 281.376 1.0 51.93431  ? 326 SER A CB  326 SER A CB  1 
ATOM 2504  O OG  . SER A 1 326 ? 257.901 -42.508 282.604 1.0 51.93431  ? 326 SER A OG  326 SER A OG  1 
ATOM 2505  N N   . ARG A 1 327 ? 259.913 -41.141 281.005 1.0 52.96231  ? 327 ARG A N   327 ARG A N   1 
ATOM 2506  C CA  . ARG A 1 327 ? 261.353 -41.012 280.896 1.0 52.96231  ? 327 ARG A CA  327 ARG A CA  1 
ATOM 2507  C C   . ARG A 1 327 ? 262.083 -42.008 281.790 1.0 52.96231  ? 327 ARG A C   327 ARG A C   1 
ATOM 2508  O O   . ARG A 1 327 ? 263.288 -42.223 281.619 1.0 52.96231  ? 327 ARG A O   327 ARG A O   1 
ATOM 2509  C CB  . ARG A 1 327 ? 261.723 -39.559 281.228 1.0 52.96231  ? 327 ARG A CB  327 ARG A CB  1 
ATOM 2510  C CG  . ARG A 1 327 ? 263.139 -39.127 280.992 1.0 52.96231  ? 327 ARG A CG  327 ARG A CG  1 
ATOM 2511  C CD  . ARG A 1 327 ? 263.547 -39.286 279.540 1.0 52.96231  ? 327 ARG A CD  327 ARG A CD  1 
ATOM 2512  N NE  . ARG A 1 327 ? 264.877 -38.695 279.363 1.0 52.96231  ? 327 ARG A NE  327 ARG A NE  1 
ATOM 2513  C CZ  . ARG A 1 327 ? 265.646 -38.841 278.293 1.0 52.96231  ? 327 ARG A CZ  327 ARG A CZ  1 
ATOM 2514  N NH1 . ARG A 1 327 ? 265.257 -39.584 277.273 1.0 52.96231  ? 327 ARG A NH1 327 ARG A NH1 1 
ATOM 2515  N NH2 . ARG A 1 327 ? 266.828 -38.248 278.267 1.0 52.96231  ? 327 ARG A NH2 327 ARG A NH2 1 
ATOM 2516  N N   . TRP A 1 328 ? 261.355 -42.667 282.693 1.0 57.10892  ? 328 TRP A N   328 TRP A N   1 
ATOM 2517  C CA  . TRP A 1 328 ? 261.955 -43.604 283.634 1.0 57.10892  ? 328 TRP A CA  328 TRP A CA  1 
ATOM 2518  C C   . TRP A 1 328 ? 262.463 -44.868 282.953 1.0 57.10892  ? 328 TRP A C   328 TRP A C   1 
ATOM 2519  O O   . TRP A 1 328 ? 263.465 -45.440 283.391 1.0 57.10892  ? 328 TRP A O   328 TRP A O   1 
ATOM 2520  C CB  . TRP A 1 328 ? 260.932 -43.965 284.708 1.0 57.10892  ? 328 TRP A CB  328 TRP A CB  1 
ATOM 2521  C CG  . TRP A 1 328 ? 261.446 -44.875 285.771 1.0 57.10892  ? 328 TRP A CG  328 TRP A CG  1 
ATOM 2522  C CD1 . TRP A 1 328 ? 261.228 -46.218 285.877 1.0 57.10892  ? 328 TRP A CD1 328 TRP A CD1 1 
ATOM 2523  C CD2 . TRP A 1 328 ? 262.247 -44.509 286.899 1.0 57.10892  ? 328 TRP A CD2 328 TRP A CD2 1 
ATOM 2524  N NE1 . TRP A 1 328 ? 261.853 -46.713 286.995 1.0 57.10892  ? 328 TRP A NE1 328 TRP A NE1 1 
ATOM 2525  C CE2 . TRP A 1 328 ? 262.486 -45.683 287.640 1.0 57.10892  ? 328 TRP A CE2 328 TRP A CE2 1 
ATOM 2526  C CE3 . TRP A 1 328 ? 262.790 -43.303 287.352 1.0 57.10892  ? 328 TRP A CE3 328 TRP A CE3 1 
ATOM 2527  C CZ2 . TRP A 1 328 ? 263.244 -45.687 288.808 1.0 57.10892  ? 328 TRP A CZ2 328 TRP A CZ2 1 
ATOM 2528  C CZ3 . TRP A 1 328 ? 263.543 -43.309 288.512 1.0 57.10892  ? 328 TRP A CZ3 328 TRP A CZ3 1 
ATOM 2529  C CH2 . TRP A 1 328 ? 263.763 -44.493 289.226 1.0 57.10892  ? 328 TRP A CH2 328 TRP A CH2 1 
ATOM 2530  N N   . HIS A 1 329 ? 261.805 -45.314 281.888 1.0 53.46773  ? 329 HIS A N   329 HIS A N   1 
ATOM 2531  C CA  . HIS A 1 329 ? 262.130 -46.607 281.307 1.0 53.46773  ? 329 HIS A CA  329 HIS A CA  1 
ATOM 2532  C C   . HIS A 1 329 ? 263.323 -46.518 280.365 1.0 53.46773  ? 329 HIS A C   329 HIS A C   1 
ATOM 2533  O O   . HIS A 1 329 ? 263.644 -45.456 279.826 1.0 53.46773  ? 329 HIS A O   329 HIS A O   1 
ATOM 2534  C CB  . HIS A 1 329 ? 260.932 -47.181 280.557 1.0 53.46773  ? 329 HIS A CB  329 HIS A CB  1 
ATOM 2535  C CG  . HIS A 1 329 ? 259.754 -47.463 281.433 1.0 53.46773  ? 329 HIS A CG  329 HIS A CG  1 
ATOM 2536  N ND1 . HIS A 1 329 ? 258.699 -46.588 281.565 1.0 53.46773  ? 329 HIS A ND1 329 HIS A ND1 1 
ATOM 2537  C CD2 . HIS A 1 329 ? 259.486 -48.504 282.256 1.0 53.46773  ? 329 HIS A CD2 329 HIS A CD2 1 
ATOM 2538  C CE1 . HIS A 1 329 ? 257.816 -47.092 282.407 1.0 53.46773  ? 329 HIS A CE1 329 HIS A CE1 1 
ATOM 2539  N NE2 . HIS A 1 329 ? 258.270 -48.254 282.842 1.0 53.46773  ? 329 HIS A NE2 329 HIS A NE2 1 
ATOM 2540  N N   . TYR A 1 330 ? 263.973 -47.662 280.167 1.0 53.3202   ? 330 TYR A N   330 TYR A N   1 
ATOM 2541  C CA  . TYR A 1 330 ? 265.157 -47.792 279.327 1.0 53.3202   ? 330 TYR A CA  330 TYR A CA  1 
ATOM 2542  C C   . TYR A 1 330 ? 264.790 -48.604 278.094 1.0 53.3202   ? 330 TYR A C   330 TYR A C   1 
ATOM 2543  O O   . TYR A 1 330 ? 264.418 -49.775 278.208 1.0 53.3202   ? 330 TYR A O   330 TYR A O   1 
ATOM 2544  C CB  . TYR A 1 330 ? 266.294 -48.472 280.088 1.0 53.3202   ? 330 TYR A CB  330 TYR A CB  1 
ATOM 2545  C CG  . TYR A 1 330 ? 266.904 -47.641 281.194 1.0 53.3202   ? 330 TYR A CG  330 TYR A CG  1 
ATOM 2546  C CD1 . TYR A 1 330 ? 266.719 -46.267 281.244 1.0 53.3202   ? 330 TYR A CD1 330 TYR A CD1 1 
ATOM 2547  C CD2 . TYR A 1 330 ? 267.664 -48.235 282.193 1.0 53.3202   ? 330 TYR A CD2 330 TYR A CD2 1 
ATOM 2548  C CE1 . TYR A 1 330 ? 267.274 -45.510 282.254 1.0 53.3202   ? 330 TYR A CE1 330 TYR A CE1 1 
ATOM 2549  C CE2 . TYR A 1 330 ? 268.221 -47.485 283.206 1.0 53.3202   ? 330 TYR A CE2 330 TYR A CE2 1 
ATOM 2550  C CZ  . TYR A 1 330 ? 268.021 -46.124 283.229 1.0 53.3202   ? 330 TYR A CZ  330 TYR A CZ  1 
ATOM 2551  O OH  . TYR A 1 330 ? 268.572 -45.372 284.234 1.0 53.3202   ? 330 TYR A OH  330 TYR A OH  1 
ATOM 2552  N N   . PHE A 1 331 ? 264.904 -47.989 276.925 1.0 49.268    ? 331 PHE A N   331 PHE A N   1 
ATOM 2553  C CA  . PHE A 1 331 ? 264.531 -48.614 275.659 1.0 49.268    ? 331 PHE A CA  331 PHE A CA  1 
ATOM 2554  C C   . PHE A 1 331 ? 265.794 -48.681 274.813 1.0 49.268    ? 331 PHE A C   331 PHE A C   1 
ATOM 2555  O O   . PHE A 1 331 ? 266.194 -47.685 274.206 1.0 49.268    ? 331 PHE A O   331 PHE A O   1 
ATOM 2556  C CB  . PHE A 1 331 ? 263.419 -47.820 274.985 1.0 49.268    ? 331 PHE A CB  331 PHE A CB  1 
ATOM 2557  C CG  . PHE A 1 331 ? 262.894 -48.438 273.728 1.0 49.268    ? 331 PHE A CG  331 PHE A CG  1 
ATOM 2558  C CD1 . PHE A 1 331 ? 262.148 -49.597 273.770 1.0 49.268    ? 331 PHE A CD1 331 PHE A CD1 1 
ATOM 2559  C CD2 . PHE A 1 331 ? 263.089 -47.822 272.509 1.0 49.268    ? 331 PHE A CD2 331 PHE A CD2 1 
ATOM 2560  C CE1 . PHE A 1 331 ? 261.646 -50.149 272.610 1.0 49.268    ? 331 PHE A CE1 331 PHE A CE1 1 
ATOM 2561  C CE2 . PHE A 1 331 ? 262.578 -48.370 271.353 1.0 49.268    ? 331 PHE A CE2 331 PHE A CE2 1 
ATOM 2562  C CZ  . PHE A 1 331 ? 261.862 -49.536 271.406 1.0 49.268    ? 331 PHE A CZ  331 PHE A CZ  1 
ATOM 2563  N N   . ALA A 1 332 ? 266.415 -49.859 274.766 1.0 49.90843  ? 332 ALA A N   332 ALA A N   1 
ATOM 2564  C CA  . ALA A 1 332 ? 267.765 -50.016 274.240 1.0 49.90843  ? 332 ALA A CA  332 ALA A CA  1 
ATOM 2565  C C   . ALA A 1 332 ? 267.863 -49.895 272.730 1.0 49.90843  ? 332 ALA A C   332 ALA A C   1 
ATOM 2566  O O   . ALA A 1 332 ? 268.981 -49.974 272.213 1.0 49.90843  ? 332 ALA A O   332 ALA A O   1 
ATOM 2567  C CB  . ALA A 1 332 ? 268.336 -51.366 274.665 1.0 49.90843  ? 332 ALA A CB  332 ALA A CB  1 
ATOM 2568  N N   . LEU A 1 333 ? 266.760 -49.727 272.000 1.0 47.53647  ? 333 LEU A N   333 LEU A N   1 
ATOM 2569  C CA  . LEU A 1 333 ? 266.872 -49.562 270.555 1.0 47.53647  ? 333 LEU A CA  333 LEU A CA  1 
ATOM 2570  C C   . LEU A 1 333 ? 267.400 -48.176 270.222 1.0 47.53647  ? 333 LEU A C   333 LEU A C   1 
ATOM 2571  O O   . LEU A 1 333 ? 268.458 -48.037 269.602 1.0 47.53647  ? 333 LEU A O   333 LEU A O   1 
ATOM 2572  C CB  . LEU A 1 333 ? 265.522 -49.811 269.881 1.0 47.53647  ? 333 LEU A CB  333 LEU A CB  1 
ATOM 2573  C CG  . LEU A 1 333 ? 265.469 -50.069 268.369 1.0 47.53647  ? 333 LEU A CG  333 LEU A CG  1 
ATOM 2574  C CD1 . LEU A 1 333 ? 264.332 -50.994 268.075 1.0 47.53647  ? 333 LEU A CD1 333 LEU A CD1 1 
ATOM 2575  C CD2 . LEU A 1 333 ? 265.290 -48.817 267.528 1.0 47.53647  ? 333 LEU A CD2 333 LEU A CD2 1 
ATOM 2576  N N   . TRP A 1 334 ? 266.695 -47.132 270.664 1.0 47.38003  ? 334 TRP A N   334 TRP A N   1 
ATOM 2577  C CA  . TRP A 1 334 ? 267.100 -45.765 270.383 1.0 47.38003  ? 334 TRP A CA  334 TRP A CA  1 
ATOM 2578  C C   . TRP A 1 334 ? 268.108 -45.227 271.376 1.0 47.38003  ? 334 TRP A C   334 TRP A C   1 
ATOM 2579  O O   . TRP A 1 334 ? 268.316 -44.011 271.399 1.0 47.38003  ? 334 TRP A O   334 TRP A O   1 
ATOM 2580  C CB  . TRP A 1 334 ? 265.894 -44.827 270.361 1.0 47.38003  ? 334 TRP A CB  334 TRP A CB  1 
ATOM 2581  C CG  . TRP A 1 334 ? 264.848 -45.200 269.367 1.0 47.38003  ? 334 TRP A CG  334 TRP A CG  1 
ATOM 2582  C CD1 . TRP A 1 334 ? 263.607 -45.630 269.649 1.0 47.38003  ? 334 TRP A CD1 334 TRP A CD1 1 
ATOM 2583  C CD2 . TRP A 1 334 ? 264.977 -45.241 267.949 1.0 47.38003  ? 334 TRP A CD2 334 TRP A CD2 1 
ATOM 2584  N NE1 . TRP A 1 334 ? 262.925 -45.907 268.511 1.0 47.38003  ? 334 TRP A NE1 334 TRP A NE1 1 
ATOM 2585  C CE2 . TRP A 1 334 ? 263.745 -45.679 267.442 1.0 47.38003  ? 334 TRP A CE2 334 TRP A CE2 1 
ATOM 2586  C CE3 . TRP A 1 334 ? 266.007 -44.943 267.055 1.0 47.38003  ? 334 TRP A CE3 334 TRP A CE3 1 
ATOM 2587  C CZ2 . TRP A 1 334 ? 263.509 -45.828 266.079 1.0 47.38003  ? 334 TRP A CZ2 334 TRP A CZ2 1 
ATOM 2588  C CZ3 . TRP A 1 334 ? 265.782 -45.096 265.703 1.0 47.38003  ? 334 TRP A CZ3 334 TRP A CZ3 1 
ATOM 2589  C CH2 . TRP A 1 334 ? 264.534 -45.522 265.227 1.0 47.38003  ? 334 TRP A CH2 334 TRP A CH2 1 
ATOM 2590  N N   . ASN A 1 335 ? 268.734 -46.101 272.172 1.0 47.75403  ? 335 ASN A N   335 ASN A N   1 
ATOM 2591  C CA  . ASN A 1 335 ? 269.643 -45.737 273.264 1.0 47.75403  ? 335 ASN A CA  335 ASN A CA  1 
ATOM 2592  C C   . ASN A 1 335 ? 268.955 -44.765 274.218 1.0 47.75403  ? 335 ASN A C   335 ASN A C   1 
ATOM 2593  O O   . ASN A 1 335 ? 269.507 -43.742 274.621 1.0 47.75403  ? 335 ASN A O   335 ASN A O   1 
ATOM 2594  C CB  . ASN A 1 335 ? 270.955 -45.160 272.736 1.0 47.75403  ? 335 ASN A CB  335 ASN A CB  1 
ATOM 2595  C CG  . ASN A 1 335 ? 272.130 -45.506 273.606 1.0 47.75403  ? 335 ASN A CG  335 ASN A CG  1 
ATOM 2596  O OD1 . ASN A 1 335 ? 273.278 -45.222 273.276 1.0 47.75403  ? 335 ASN A OD1 335 ASN A OD1 1 
ATOM 2597  N ND2 . ASN A 1 335 ? 271.857 -46.200 274.689 1.0 47.75403  ? 335 ASN A ND2 335 ASN A ND2 1 
ATOM 2598  N N   . GLN A 1 336 ? 267.712 -45.087 274.547 1.0 49.53777  ? 336 GLN A N   336 GLN A N   1 
ATOM 2599  C CA  . GLN A 1 336 ? 266.824 -44.189 275.275 1.0 49.53777  ? 336 GLN A CA  336 GLN A CA  1 
ATOM 2600  C C   . GLN A 1 336 ? 267.056 -44.418 276.762 1.0 49.53777  ? 336 GLN A C   336 GLN A C   1 
ATOM 2601  O O   . GLN A 1 336 ? 266.396 -45.237 277.399 1.0 49.53777  ? 336 GLN A O   336 GLN A O   1 
ATOM 2602  C CB  . GLN A 1 336 ? 265.386 -44.447 274.848 1.0 49.53777  ? 336 GLN A CB  336 GLN A CB  1 
ATOM 2603  C CG  . GLN A 1 336 ? 264.335 -43.562 275.468 1.0 49.53777  ? 336 GLN A CG  336 GLN A CG  1 
ATOM 2604  C CD  . GLN A 1 336 ? 262.966 -43.820 274.873 1.0 49.53777  ? 336 GLN A CD  336 GLN A CD  1 
ATOM 2605  O OE1 . GLN A 1 336 ? 262.820 -44.624 273.956 1.0 49.53777  ? 336 GLN A OE1 336 GLN A OE1 1 
ATOM 2606  N NE2 . GLN A 1 336 ? 261.952 -43.160 275.411 1.0 49.53777  ? 336 GLN A NE2 336 GLN A NE2 1 
ATOM 2607  N N   . ALA A 1 337 ? 268.024 -43.695 277.319 1.0 51.18819  ? 337 ALA A N   337 ALA A N   1 
ATOM 2608  C CA  . ALA A 1 337 ? 268.367 -43.808 278.732 1.0 51.18819  ? 337 ALA A CA  337 ALA A CA  1 
ATOM 2609  C C   . ALA A 1 337 ? 268.560 -42.411 279.296 1.0 51.18819  ? 337 ALA A C   337 ALA A C   1 
ATOM 2610  O O   . ALA A 1 337 ? 269.365 -41.641 278.770 1.0 51.18819  ? 337 ALA A O   337 ALA A O   1 
ATOM 2611  C CB  . ALA A 1 337 ? 269.631 -44.647 278.923 1.0 51.18819  ? 337 ALA A CB  337 ALA A CB  1 
ATOM 2612  N N   . VAL A 1 338 ? 267.843 -42.090 280.365 1.0 54.65828  ? 338 VAL A N   338 VAL A N   1 
ATOM 2613  C CA  . VAL A 1 338 ? 267.808 -40.728 280.890 1.0 54.65828  ? 338 VAL A CA  338 VAL A CA  1 
ATOM 2614  C C   . VAL A 1 338 ? 269.091 -40.413 281.654 1.0 54.65828  ? 338 VAL A C   338 VAL A C   1 
ATOM 2615  O O   . VAL A 1 338 ? 269.584 -41.220 282.451 1.0 54.65828  ? 338 VAL A O   338 VAL A O   1 
ATOM 2616  C CB  . VAL A 1 338 ? 266.544 -40.525 281.755 1.0 54.65828  ? 338 VAL A CB  338 VAL A CB  1 
ATOM 2617  C CG1 . VAL A 1 338 ? 266.418 -41.592 282.835 1.0 54.65828  ? 338 VAL A CG1 338 VAL A CG1 1 
ATOM 2618  C CG2 . VAL A 1 338 ? 266.534 -39.142 282.394 1.0 54.65828  ? 338 VAL A CG2 338 VAL A CG2 1 
ATOM 2619  N N   . ASP A 1 339 ? 269.664 -39.244 281.375 1.0 57.16712  ? 339 ASP A N   339 ASP A N   1 
ATOM 2620  C CA  . ASP A 1 339 ? 270.742 -38.702 282.194 1.0 57.16712  ? 339 ASP A CA  339 ASP A CA  1 
ATOM 2621  C C   . ASP A 1 339 ? 270.172 -38.244 283.527 1.0 57.16712  ? 339 ASP A C   339 ASP A C   1 
ATOM 2622  O O   . ASP A 1 339 ? 269.419 -37.269 283.581 1.0 57.16712  ? 339 ASP A O   339 ASP A O   1 
ATOM 2623  C CB  . ASP A 1 339 ? 271.413 -37.534 281.483 1.0 57.16712  ? 339 ASP A CB  339 ASP A CB  1 
ATOM 2624  C CG  . ASP A 1 339 ? 272.213 -37.962 280.282 1.0 57.16712  ? 339 ASP A CG  339 ASP A CG  1 
ATOM 2625  O OD1 . ASP A 1 339 ? 272.767 -39.079 280.297 1.0 57.16712  ? 339 ASP A OD1 339 ASP A OD1 1 
ATOM 2626  O OD2 . ASP A 1 339 ? 272.283 -37.178 279.315 1.0 57.16712  ? 339 ASP A OD2 339 ASP A OD2 1 
ATOM 2627  N N   . ASP A 1 340 ? 270.518 -38.934 284.606 1.0 57.96684  ? 340 ASP A N   340 ASP A N   1 
ATOM 2628  C CA  . ASP A 1 340 ? 270.079 -38.517 285.925 1.0 57.96684  ? 340 ASP A CA  340 ASP A CA  1 
ATOM 2629  C C   . ASP A 1 340 ? 271.279 -38.413 286.855 1.0 57.96684  ? 340 ASP A C   340 ASP A C   1 
ATOM 2630  O O   . ASP A 1 340 ? 272.432 -38.570 286.449 1.0 57.96684  ? 340 ASP A O   340 ASP A O   1 
ATOM 2631  C CB  . ASP A 1 340 ? 269.015 -39.468 286.493 1.0 57.96684  ? 340 ASP A CB  340 ASP A CB  1 
ATOM 2632  C CG  . ASP A 1 340 ? 269.467 -40.915 286.526 1.0 57.96684  ? 340 ASP A CG  340 ASP A CG  1 
ATOM 2633  O OD1 . ASP A 1 340 ? 270.531 -41.237 285.959 1.0 57.96684  ? 340 ASP A OD1 340 ASP A OD1 1 
ATOM 2634  O OD2 . ASP A 1 340 ? 268.757 -41.739 287.138 1.0 57.96684  ? 340 ASP A OD2 340 ASP A OD2 1 
ATOM 2635  N N   . TYR A 1 341 ? 270.990 -38.127 288.115 1.0 59.10236  ? 341 TYR A N   341 TYR A N   1 
ATOM 2636  C CA  . TYR A 1 341 ? 271.990 -38.081 289.159 1.0 59.10236  ? 341 TYR A CA  341 TYR A CA  1 
ATOM 2637  C C   . TYR A 1 341 ? 271.408 -38.785 290.371 1.0 59.10236  ? 341 TYR A C   341 TYR A C   1 
ATOM 2638  O O   . TYR A 1 341 ? 270.315 -39.355 290.317 1.0 59.10236  ? 341 TYR A O   341 TYR A O   1 
ATOM 2639  C CB  . TYR A 1 341 ? 272.419 -36.637 289.453 1.0 59.10236  ? 341 TYR A CB  341 TYR A CB  1 
ATOM 2640  C CG  . TYR A 1 341 ? 271.304 -35.708 289.887 1.0 59.10236  ? 341 TYR A CG  341 TYR A CG  1 
ATOM 2641  C CD1 . TYR A 1 341 ? 270.562 -35.000 288.955 1.0 59.10236  ? 341 TYR A CD1 341 TYR A CD1 1 
ATOM 2642  C CD2 . TYR A 1 341 ? 271.019 -35.515 291.228 1.0 59.10236  ? 341 TYR A CD2 341 TYR A CD2 1 
ATOM 2643  C CE1 . TYR A 1 341 ? 269.553 -34.147 289.348 1.0 59.10236  ? 341 TYR A CE1 341 TYR A CE1 1 
ATOM 2644  C CE2 . TYR A 1 341 ? 270.012 -34.663 291.630 1.0 59.10236  ? 341 TYR A CE2 341 TYR A CE2 1 
ATOM 2645  C CZ  . TYR A 1 341 ? 269.285 -33.982 290.687 1.0 59.10236  ? 341 TYR A CZ  341 TYR A CZ  1 
ATOM 2646  O OH  . TYR A 1 341 ? 268.282 -33.132 291.089 1.0 59.10236  ? 341 TYR A OH  341 TYR A OH  1 
ATOM 2647  N N   . ASP A 1 342 ? 272.146 -38.763 291.466 1.0 63.88859  ? 342 ASP A N   342 ASP A N   1 
ATOM 2648  C CA  . ASP A 1 342 ? 271.658 -39.339 292.702 1.0 63.88859  ? 342 ASP A CA  342 ASP A CA  1 
ATOM 2649  C C   . ASP A 1 342 ? 271.090 -38.220 293.560 1.0 63.88859  ? 342 ASP A C   342 ASP A C   1 
ATOM 2650  O O   . ASP A 1 342 ? 271.775 -37.229 293.833 1.0 63.88859  ? 342 ASP A O   342 ASP A O   1 
ATOM 2651  C CB  . ASP A 1 342 ? 272.773 -40.074 293.436 1.0 63.88859  ? 342 ASP A CB  342 ASP A CB  1 
ATOM 2652  C CG  . ASP A 1 342 ? 272.248 -41.036 294.480 1.0 63.88859  ? 342 ASP A CG  342 ASP A CG  1 
ATOM 2653  O OD1 . ASP A 1 342 ? 271.013 -41.140 294.624 1.0 63.88859  ? 342 ASP A OD1 342 ASP A OD1 1 
ATOM 2654  O OD2 . ASP A 1 342 ? 273.069 -41.695 295.153 1.0 63.88859  ? 342 ASP A OD2 342 ASP A OD2 1 
ATOM 2655  N N   . HIS A 1 343 ? 269.836 -38.385 293.973 1.0 66.9823   ? 343 HIS A N   343 HIS A N   1 
ATOM 2656  C CA  . HIS A 1 343 ? 269.144 -37.382 294.768 1.0 66.9823   ? 343 HIS A CA  343 HIS A CA  1 
ATOM 2657  C C   . HIS A 1 343 ? 269.764 -37.205 296.148 1.0 66.9823   ? 343 HIS A C   343 HIS A C   1 
ATOM 2658  O O   . HIS A 1 343 ? 269.639 -36.128 296.738 1.0 66.9823   ? 343 HIS A O   343 HIS A O   1 
ATOM 2659  C CB  . HIS A 1 343 ? 267.673 -37.783 294.880 1.0 66.9823   ? 343 HIS A CB  343 HIS A CB  1 
ATOM 2660  C CG  . HIS A 1 343 ? 266.829 -36.806 295.632 1.0 66.9823   ? 343 HIS A CG  343 HIS A CG  1 
ATOM 2661  N ND1 . HIS A 1 343 ? 266.434 -35.599 295.101 1.0 66.9823   ? 343 HIS A ND1 343 HIS A ND1 1 
ATOM 2662  C CD2 . HIS A 1 343 ? 266.299 -36.863 296.876 1.0 66.9823   ? 343 HIS A CD2 343 HIS A CD2 1 
ATOM 2663  C CE1 . HIS A 1 343 ? 265.697 -34.952 295.986 1.0 66.9823   ? 343 HIS A CE1 343 HIS A CE1 1 
ATOM 2664  N NE2 . HIS A 1 343 ? 265.601 -35.697 297.072 1.0 66.9823   ? 343 HIS A NE2 343 HIS A NE2 1 
ATOM 2665  N N   . HIS A 1 344 ? 270.449 -38.222 296.664 1.0 65.70298  ? 344 HIS A N   344 HIS A N   1 
ATOM 2666  C CA  . HIS A 1 344 ? 271.096 -38.148 297.964 1.0 65.70298  ? 344 HIS A CA  344 HIS A CA  1 
ATOM 2667  C C   . HIS A 1 344 ? 272.574 -37.803 297.871 1.0 65.70298  ? 344 HIS A C   344 HIS A C   1 
ATOM 2668  O O   . HIS A 1 344 ? 273.286 -37.922 298.869 1.0 65.70298  ? 344 HIS A O   344 HIS A O   1 
ATOM 2669  C CB  . HIS A 1 344 ? 270.919 -39.468 298.710 1.0 65.70298  ? 344 HIS A CB  344 HIS A CB  1 
ATOM 2670  C CG  . HIS A 1 344 ? 269.492 -39.797 299.009 1.0 65.70298  ? 344 HIS A CG  344 HIS A CG  1 
ATOM 2671  N ND1 . HIS A 1 344 ? 268.776 -39.162 299.999 1.0 65.70298  ? 344 HIS A ND1 344 HIS A ND1 1 
ATOM 2672  C CD2 . HIS A 1 344 ? 268.643 -40.682 298.438 1.0 65.70298  ? 344 HIS A CD2 344 HIS A CD2 1 
ATOM 2673  C CE1 . HIS A 1 344 ? 267.548 -39.647 300.030 1.0 65.70298  ? 344 HIS A CE1 344 HIS A CE1 1 
ATOM 2674  N NE2 . HIS A 1 344 ? 267.441 -40.571 299.093 1.0 65.70298  ? 344 HIS A NE2 344 HIS A NE2 1 
ATOM 2675  N N   . VAL A 1 345 ? 273.054 -37.388 296.704 1.0 61.56938  ? 345 VAL A N   345 VAL A N   1 
ATOM 2676  C CA  . VAL A 1 345 ? 274.442 -36.982 296.518 1.0 61.56938  ? 345 VAL A CA  345 VAL A CA  1 
ATOM 2677  C C   . VAL A 1 345 ? 274.543 -35.505 296.164 1.0 61.56938  ? 345 VAL A C   345 VAL A C   1 
ATOM 2678  O O   . VAL A 1 345 ? 275.299 -34.759 296.789 1.0 61.56938  ? 345 VAL A O   345 VAL A O   1 
ATOM 2679  C CB  . VAL A 1 345 ? 275.136 -37.857 295.452 1.0 61.56938  ? 345 VAL A CB  345 VAL A CB  1 
ATOM 2680  C CG1 . VAL A 1 345 ? 276.494 -37.293 295.100 1.0 61.56938  ? 345 VAL A CG1 345 VAL A CG1 1 
ATOM 2681  C CG2 . VAL A 1 345 ? 275.298 -39.260 295.970 1.0 61.56938  ? 345 VAL A CG2 345 VAL A CG2 1 
ATOM 2682  N N   . ARG A 1 346 ? 273.785 -35.071 295.156 1.0 60.81076  ? 346 ARG A N   346 ARG A N   1 
ATOM 2683  C CA  . ARG A 1 346 ? 273.761 -33.667 294.761 1.0 60.81076  ? 346 ARG A CA  346 ARG A CA  1 
ATOM 2684  C C   . ARG A 1 346 ? 273.211 -32.787 295.871 1.0 60.81076  ? 346 ARG A C   346 ARG A C   1 
ATOM 2685  O O   . ARG A 1 346 ? 273.804 -31.765 296.225 1.0 60.81076  ? 346 ARG A O   346 ARG A O   1 
ATOM 2686  C CB  . ARG A 1 346 ? 272.913 -33.510 293.507 1.0 60.81076  ? 346 ARG A CB  346 ARG A CB  1 
ATOM 2687  C CG  . ARG A 1 346 ? 272.732 -32.093 293.032 1.0 60.81076  ? 346 ARG A CG  346 ARG A CG  1 
ATOM 2688  C CD  . ARG A 1 346 ? 274.031 -31.528 292.545 1.0 60.81076  ? 346 ARG A CD  346 ARG A CD  1 
ATOM 2689  N NE  . ARG A 1 346 ? 273.849 -30.235 291.902 1.0 60.81076  ? 346 ARG A NE  346 ARG A NE  1 
ATOM 2690  C CZ  . ARG A 1 346 ? 274.852 -29.488 291.467 1.0 60.81076  ? 346 ARG A CZ  346 ARG A CZ  1 
ATOM 2691  N NH1 . ARG A 1 346 ? 276.096 -29.922 291.601 1.0 60.81076  ? 346 ARG A NH1 346 ARG A NH1 1 
ATOM 2692  N NH2 . ARG A 1 346 ? 274.618 -28.318 290.893 1.0 60.81076  ? 346 ARG A NH2 346 ARG A NH2 1 
ATOM 2693  N N   . ILE A 1 347 ? 272.091 -33.198 296.455 1.0 60.36281  ? 347 ILE A N   347 ILE A N   1 
ATOM 2694  C CA  . ILE A 1 347 ? 271.338 -32.424 297.432 1.0 60.36281  ? 347 ILE A CA  347 ILE A CA  1 
ATOM 2695  C C   . ILE A 1 347 ? 271.438 -33.217 298.730 1.0 60.36281  ? 347 ILE A C   347 ILE A C   1 
ATOM 2696  O O   . ILE A 1 347 ? 270.438 -33.439 299.421 1.0 60.36281  ? 347 ILE A O   347 ILE A O   1 
ATOM 2697  C CB  . ILE A 1 347 ? 269.884 -32.195 296.972 1.0 60.36281  ? 347 ILE A CB  347 ILE A CB  1 
ATOM 2698  C CG1 . ILE A 1 347 ? 269.864 -31.753 295.512 1.0 60.36281  ? 347 ILE A CG1 347 ILE A CG1 1 
ATOM 2699  C CG2 . ILE A 1 347 ? 269.235 -31.040 297.734 1.0 60.36281  ? 347 ILE A CG2 347 ILE A CG2 1 
ATOM 2700  C CD1 . ILE A 1 347 ? 268.492 -31.766 294.886 1.0 60.36281  ? 347 ILE A CD1 347 ILE A CD1 1 
ATOM 2701  N N   . LEU A 1 348 ? 272.639 -33.746 298.982 1.0 62.0582   ? 348 LEU A N   348 LEU A N   1 
ATOM 2702  C CA  . LEU A 1 348 ? 272.910 -34.700 300.054 1.0 62.0582   ? 348 LEU A CA  348 LEU A CA  1 
ATOM 2703  C C   . LEU A 1 348 ? 272.468 -34.196 301.423 1.0 62.0582   ? 348 LEU A C   348 LEU A C   1 
ATOM 2704  O O   . LEU A 1 348 ? 272.477 -32.997 301.711 1.0 62.0582   ? 348 LEU A O   348 LEU A O   1 
ATOM 2705  C CB  . LEU A 1 348 ? 274.404 -35.034 300.109 1.0 62.0582   ? 348 LEU A CB  348 LEU A CB  1 
ATOM 2706  C CG  . LEU A 1 348 ? 275.416 -34.045 300.698 1.0 62.0582   ? 348 LEU A CG  348 LEU A CG  1 
ATOM 2707  C CD1 . LEU A 1 348 ? 276.655 -34.801 301.095 1.0 62.0582   ? 348 LEU A CD1 348 LEU A CD1 1 
ATOM 2708  C CD2 . LEU A 1 348 ? 275.790 -32.941 299.726 1.0 62.0582   ? 348 LEU A CD2 348 LEU A CD2 1 
ATOM 2709  N N   . GLU A 1 349 ? 272.056 -35.142 302.258 1.0 63.84347  ? 349 GLU A N   349 GLU A N   1 
ATOM 2710  C CA  . GLU A 1 349 ? 271.491 -34.875 303.573 1.0 63.84347  ? 349 GLU A CA  349 GLU A CA  1 
ATOM 2711  C C   . GLU A 1 349 ? 272.329 -35.613 304.604 1.0 63.84347  ? 349 GLU A C   349 GLU A C   1 
ATOM 2712  O O   . GLU A 1 349 ? 272.357 -36.847 304.620 1.0 63.84347  ? 349 GLU A O   349 GLU A O   1 
ATOM 2713  C CB  . GLU A 1 349 ? 270.035 -35.319 303.630 1.0 63.84347  ? 349 GLU A CB  349 GLU A CB  1 
ATOM 2714  C CG  . GLU A 1 349 ? 269.383 -35.092 304.964 1.0 63.84347  ? 349 GLU A CG  349 GLU A CG  1 
ATOM 2715  C CD  . GLU A 1 349 ? 267.931 -35.516 304.978 1.0 63.84347  ? 349 GLU A CD  349 GLU A CD  1 
ATOM 2716  O OE1 . GLU A 1 349 ? 267.438 -36.000 303.938 1.0 63.84347  ? 349 GLU A OE1 349 GLU A OE1 1 
ATOM 2717  O OE2 . GLU A 1 349 ? 267.284 -35.364 306.035 1.0 63.84347  ? 349 GLU A OE2 349 GLU A OE2 1 
ATOM 2718  N N   . ASN A 1 350 ? 273.014 -34.863 305.458 1.0 64.62359  ? 350 ASN A N   350 ASN A N   1 
ATOM 2719  C CA  . ASN A 1 350 ? 273.897 -35.446 306.456 1.0 64.62359  ? 350 ASN A CA  350 ASN A CA  1 
ATOM 2720  C C   . ASN A 1 350 ? 273.075 -35.730 307.706 1.0 64.62359  ? 350 ASN A C   350 ASN A C   1 
ATOM 2721  O O   . ASN A 1 350 ? 272.722 -34.811 308.448 1.0 64.62359  ? 350 ASN A O   350 ASN A O   1 
ATOM 2722  C CB  . ASN A 1 350 ? 275.063 -34.509 306.749 1.0 64.62359  ? 350 ASN A CB  350 ASN A CB  1 
ATOM 2723  C CG  . ASN A 1 350 ? 276.169 -35.179 307.531 1.0 64.62359  ? 350 ASN A CG  350 ASN A CG  1 
ATOM 2724  O OD1 . ASN A 1 350 ? 276.083 -36.356 307.875 1.0 64.62359  ? 350 ASN A OD1 350 ASN A OD1 1 
ATOM 2725  N ND2 . ASN A 1 350 ? 277.224 -34.430 307.814 1.0 64.62359  ? 350 ASN A ND2 350 ASN A ND2 1 
ATOM 2726  N N   . ASP A 1 351 ? 272.764 -37.003 307.933 1.0 63.91691  ? 351 ASP A N   351 ASP A N   1 
ATOM 2727  C CA  . ASP A 1 351 ? 271.999 -37.428 309.095 1.0 63.91691  ? 351 ASP A CA  351 ASP A CA  1 
ATOM 2728  C C   . ASP A 1 351 ? 272.835 -38.223 310.082 1.0 63.91691  ? 351 ASP A C   351 ASP A C   1 
ATOM 2729  O O   . ASP A 1 351 ? 272.277 -38.850 310.987 1.0 63.91691  ? 351 ASP A O   351 ASP A O   1 
ATOM 2730  C CB  . ASP A 1 351 ? 270.792 -38.256 308.661 1.0 63.91691  ? 351 ASP A CB  351 ASP A CB  1 
ATOM 2731  C CG  . ASP A 1 351 ? 269.742 -37.427 307.969 1.0 63.91691  ? 351 ASP A CG  351 ASP A CG  1 
ATOM 2732  O OD1 . ASP A 1 351 ? 269.637 -36.225 308.286 1.0 63.91691  ? 351 ASP A OD1 351 ASP A OD1 1 
ATOM 2733  O OD2 . ASP A 1 351 ? 269.022 -37.975 307.109 1.0 63.91691  ? 351 ASP A OD2 351 ASP A OD2 1 
ATOM 2734  N N   . GLY A 1 352 ? 274.149 -38.217 309.934 1.0 65.51854  ? 352 GLY A N   352 GLY A N   1 
ATOM 2735  C CA  . GLY A 1 352 ? 274.988 -38.988 310.832 1.0 65.51854  ? 352 GLY A CA  352 GLY A CA  1 
ATOM 2736  C C   . GLY A 1 352 ? 274.937 -40.452 310.476 1.0 65.51854  ? 352 GLY A C   352 GLY A C   1 
ATOM 2737  O O   . GLY A 1 352 ? 275.177 -40.832 309.329 1.0 65.51854  ? 352 GLY A O   352 GLY A O   1 
ATOM 2738  N N   . TYR A 1 353 ? 274.603 -41.282 311.460 1.0 65.85073  ? 353 TYR A N   353 TYR A N   1 
ATOM 2739  C CA  . TYR A 1 353 ? 274.593 -42.725 311.280 1.0 65.85073  ? 353 TYR A CA  353 TYR A CA  1 
ATOM 2740  C C   . TYR A 1 353 ? 273.741 -43.350 312.372 1.0 65.85073  ? 353 TYR A C   353 TYR A C   1 
ATOM 2741  O O   . TYR A 1 353 ? 273.638 -42.815 313.477 1.0 65.85073  ? 353 TYR A O   353 TYR A O   1 
ATOM 2742  C CB  . TYR A 1 353 ? 276.016 -43.302 311.303 1.0 65.85073  ? 353 TYR A CB  353 TYR A CB  1 
ATOM 2743  C CG  . TYR A 1 353 ? 276.772 -43.076 312.595 1.0 65.85073  ? 353 TYR A CG  353 TYR A CG  1 
ATOM 2744  C CD1 . TYR A 1 353 ? 277.497 -41.910 312.802 1.0 65.85073  ? 353 TYR A CD1 353 TYR A CD1 1 
ATOM 2745  C CD2 . TYR A 1 353 ? 276.792 -44.044 313.591 1.0 65.85073  ? 353 TYR A CD2 353 TYR A CD2 1 
ATOM 2746  C CE1 . TYR A 1 353 ? 278.191 -41.702 313.973 1.0 65.85073  ? 353 TYR A CE1 353 TYR A CE1 1 
ATOM 2747  C CE2 . TYR A 1 353 ? 277.483 -43.844 314.765 1.0 65.85073  ? 353 TYR A CE2 353 TYR A CE2 1 
ATOM 2748  C CZ  . TYR A 1 353 ? 278.180 -42.673 314.950 1.0 65.85073  ? 353 TYR A CZ  353 TYR A CZ  1 
ATOM 2749  O OH  . TYR A 1 353 ? 278.872 -42.479 316.121 1.0 65.85073  ? 353 TYR A OH  353 TYR A OH  1 
ATOM 2750  N N   . GLU A 1 354 ? 273.138 -44.491 312.053 1.0 66.96497  ? 354 GLU A N   354 GLU A N   1 
ATOM 2751  C CA  . GLU A 1 354 ? 272.384 -45.257 313.036 1.0 66.96497  ? 354 GLU A CA  354 GLU A CA  1 
ATOM 2752  C C   . GLU A 1 354 ? 273.369 -46.034 313.896 1.0 66.96497  ? 354 GLU A C   354 GLU A C   1 
ATOM 2753  O O   . GLU A 1 354 ? 273.973 -47.006 313.434 1.0 66.96497  ? 354 GLU A O   354 GLU A O   1 
ATOM 2754  C CB  . GLU A 1 354 ? 271.403 -46.198 312.345 1.0 66.96497  ? 354 GLU A CB  354 GLU A CB  1 
ATOM 2755  C CG  . GLU A 1 354 ? 270.285 -45.494 311.604 1.0 66.96497  ? 354 GLU A CG  354 GLU A CG  1 
ATOM 2756  C CD  . GLU A 1 354 ? 269.360 -46.460 310.895 1.0 66.96497  ? 354 GLU A CD  354 GLU A CD  1 
ATOM 2757  O OE1 . GLU A 1 354 ? 269.664 -47.671 310.872 1.0 66.96497  ? 354 GLU A OE1 354 GLU A OE1 1 
ATOM 2758  O OE2 . GLU A 1 354 ? 268.329 -46.009 310.357 1.0 66.96497  ? 354 GLU A OE2 354 GLU A OE2 1 
ATOM 2759  N N   . GLU A 1 355 ? 273.546 -45.608 315.139 1.0 70.55401  ? 355 GLU A N   355 GLU A N   1 
ATOM 2760  C CA  . GLU A 1 355 ? 274.466 -46.292 316.033 1.0 70.55401  ? 355 GLU A CA  355 GLU A CA  1 
ATOM 2761  C C   . GLU A 1 355 ? 273.763 -47.439 316.744 1.0 70.55401  ? 355 GLU A C   355 GLU A C   1 
ATOM 2762  O O   . GLU A 1 355 ? 272.534 -47.498 316.822 1.0 70.55401  ? 355 GLU A O   355 GLU A O   1 
ATOM 2763  C CB  . GLU A 1 355 ? 275.050 -45.325 317.059 1.0 70.55401  ? 355 GLU A CB  355 GLU A CB  1 
ATOM 2764  C CG  . GLU A 1 355 ? 274.032 -44.771 318.029 1.0 70.55401  ? 355 GLU A CG  355 GLU A CG  1 
ATOM 2765  C CD  . GLU A 1 355 ? 274.645 -43.801 319.014 1.0 70.55401  ? 355 GLU A CD  355 GLU A CD  1 
ATOM 2766  O OE1 . GLU A 1 355 ? 275.867 -43.558 318.928 1.0 70.55401  ? 355 GLU A OE1 355 GLU A OE1 1 
ATOM 2767  O OE2 . GLU A 1 355 ? 273.906 -43.279 319.873 1.0 70.55401  ? 355 GLU A OE2 355 GLU A OE2 1 
ATOM 2768  N N   . GLY A 1 356 ? 274.565 -48.356 317.274 1.0 69.76438  ? 356 GLY A N   356 GLY A N   1 
ATOM 2769  C CA  . GLY A 1 356 ? 274.038 -49.512 317.953 1.0 69.76438  ? 356 GLY A CA  356 GLY A CA  1 
ATOM 2770  C C   . GLY A 1 356 ? 275.074 -50.224 318.796 1.0 69.76438  ? 356 GLY A C   356 GLY A C   1 
ATOM 2771  O O   . GLY A 1 356 ? 275.927 -49.598 319.431 1.0 69.76438  ? 356 GLY A O   356 GLY A O   1 
ATOM 2772  N N   . PRO A 1 357 ? 275.007 -51.552 318.825 1.0 68.40719  ? 357 PRO A N   357 PRO A N   1 
ATOM 2773  C CA  . PRO A 1 357 ? 275.974 -52.343 319.592 1.0 68.40719  ? 357 PRO A CA  357 PRO A CA  1 
ATOM 2774  C C   . PRO A 1 357 ? 277.356 -52.264 318.968 1.0 68.40719  ? 357 PRO A C   357 PRO A C   1 
ATOM 2775  O O   . PRO A 1 357 ? 277.483 -51.911 317.786 1.0 68.40719  ? 357 PRO A O   357 PRO A O   1 
ATOM 2776  C CB  . PRO A 1 357 ? 275.402 -53.768 319.504 1.0 68.40719  ? 357 PRO A CB  357 PRO A CB  1 
ATOM 2777  C CG  . PRO A 1 357 ? 273.966 -53.583 319.196 1.0 68.40719  ? 357 PRO A CG  357 PRO A CG  1 
ATOM 2778  C CD  . PRO A 1 357 ? 273.914 -52.389 318.306 1.0 68.40719  ? 357 PRO A CD  357 PRO A CD  1 
ATOM 2779  N N   . PRO A 1 358 ? 278.414 -52.557 319.726 1.0 68.92813  ? 358 PRO A N   358 PRO A N   1 
ATOM 2780  C CA  . PRO A 1 358 ? 279.759 -52.535 319.141 1.0 68.92813  ? 358 PRO A CA  358 PRO A CA  1 
ATOM 2781  C C   . PRO A 1 358 ? 279.956 -53.654 318.133 1.0 68.92813  ? 358 PRO A C   358 PRO A C   1 
ATOM 2782  O O   . PRO A 1 358 ? 279.591 -54.806 318.371 1.0 68.92813  ? 358 PRO A O   358 PRO A O   1 
ATOM 2783  C CB  . PRO A 1 358 ? 280.677 -52.710 320.355 1.0 68.92813  ? 358 PRO A CB  358 PRO A CB  1 
ATOM 2784  C CG  . PRO A 1 358 ? 279.838 -53.372 321.369 1.0 68.92813  ? 358 PRO A CG  358 PRO A CG  1 
ATOM 2785  C CD  . PRO A 1 358 ? 278.461 -52.828 321.173 1.0 68.92813  ? 358 PRO A CD  358 PRO A CD  1 
ATOM 2786  N N   . ASN A 1 359 ? 280.531 -53.292 316.987 1.0 69.6406   ? 359 ASN A N   359 ASN A N   1 
ATOM 2787  C CA  . ASN A 1 359 ? 280.739 -54.230 315.887 1.0 69.6406   ? 359 ASN A CA  359 ASN A CA  1 
ATOM 2788  C C   . ASN A 1 359 ? 282.095 -54.897 316.085 1.0 69.6406   ? 359 ASN A C   359 ASN A C   1 
ATOM 2789  O O   . ASN A 1 359 ? 283.098 -54.550 315.460 1.0 69.6406   ? 359 ASN A O   359 ASN A O   1 
ATOM 2790  C CB  . ASN A 1 359 ? 280.643 -53.508 314.552 1.0 69.6406   ? 359 ASN A CB  359 ASN A CB  1 
ATOM 2791  C CG  . ASN A 1 359 ? 279.293 -52.863 314.341 1.0 69.6406   ? 359 ASN A CG  359 ASN A CG  1 
ATOM 2792  O OD1 . ASN A 1 359 ? 279.179 -51.641 314.284 1.0 69.6406   ? 359 ASN A OD1 359 ASN A OD1 1 
ATOM 2793  N ND2 . ASN A 1 359 ? 278.257 -53.682 314.236 1.0 69.6406   ? 359 ASN A ND2 359 ASN A ND2 1 
ATOM 2794  N N   . LEU A 1 360 ? 282.116 -55.879 316.977 1.0 70.79628  ? 360 LEU A N   360 LEU A N   1 
ATOM 2795  C CA  . LEU A 1 360 ? 283.362 -56.515 317.367 1.0 70.79628  ? 360 LEU A CA  360 LEU A CA  1 
ATOM 2796  C C   . LEU A 1 360 ? 283.813 -57.527 316.322 1.0 70.79628  ? 360 LEU A C   360 LEU A C   1 
ATOM 2797  O O   . LEU A 1 360 ? 283.000 -58.145 315.631 1.0 70.79628  ? 360 LEU A O   360 LEU A O   1 
ATOM 2798  C CB  . LEU A 1 360 ? 283.206 -57.200 318.723 1.0 70.79628  ? 360 LEU A CB  360 LEU A CB  1 
ATOM 2799  C CG  . LEU A 1 360 ? 282.933 -56.253 319.891 1.0 70.79628  ? 360 LEU A CG  360 LEU A CG  1 
ATOM 2800  C CD1 . LEU A 1 360 ? 282.667 -57.034 321.159 1.0 70.79628  ? 360 LEU A CD1 360 LEU A CD1 1 
ATOM 2801  C CD2 . LEU A 1 360 ? 284.094 -55.299 320.086 1.0 70.79628  ? 360 LEU A CD2 360 LEU A CD2 1 
ATOM 2802  N N   . ALA A 1 361 ? 285.130 -57.687 316.210 1.0 70.82573  ? 361 ALA A N   361 ALA A N   1 
ATOM 2803  C CA  . ALA A 1 361 ? 285.745 -58.669 315.328 1.0 70.82573  ? 361 ALA A CA  361 ALA A CA  1 
ATOM 2804  C C   . ALA A 1 361 ? 286.692 -59.536 316.143 1.0 70.82573  ? 361 ALA A C   361 ALA A C   1 
ATOM 2805  O O   . ALA A 1 361 ? 287.455 -59.020 316.963 1.0 70.82573  ? 361 ALA A O   361 ALA A O   1 
ATOM 2806  C CB  . ALA A 1 361 ? 286.494 -57.993 314.180 1.0 70.82573  ? 361 ALA A CB  361 ALA A CB  1 
ATOM 2807  N N   . PHE A 1 362 ? 286.653 -60.840 315.907 1.0 73.45501  ? 362 PHE A N   362 PHE A N   1 
ATOM 2808  C CA  . PHE A 1 362 ? 287.299 -61.841 316.739 1.0 73.45501  ? 362 PHE A CA  362 PHE A CA  1 
ATOM 2809  C C   . PHE A 1 362 ? 288.286 -62.657 315.914 1.0 73.45501  ? 362 PHE A C   362 PHE A C   1 
ATOM 2810  O O   . PHE A 1 362 ? 288.184 -62.694 314.686 1.0 73.45501  ? 362 PHE A O   362 PHE A O   1 
ATOM 2811  C CB  . PHE A 1 362 ? 286.234 -62.762 317.353 1.0 73.45501  ? 362 PHE A CB  362 PHE A CB  1 
ATOM 2812  C CG  . PHE A 1 362 ? 285.318 -62.064 318.311 1.0 73.45501  ? 362 PHE A CG  362 PHE A CG  1 
ATOM 2813  C CD1 . PHE A 1 362 ? 285.679 -61.898 319.635 1.0 73.45501  ? 362 PHE A CD1 362 PHE A CD1 1 
ATOM 2814  C CD2 . PHE A 1 362 ? 284.105 -61.550 317.881 1.0 73.45501  ? 362 PHE A CD2 362 PHE A CD2 1 
ATOM 2815  C CE1 . PHE A 1 362 ? 284.839 -61.249 320.520 1.0 73.45501  ? 362 PHE A CE1 362 PHE A CE1 1 
ATOM 2816  C CE2 . PHE A 1 362 ? 283.264 -60.892 318.759 1.0 73.45501  ? 362 PHE A CE2 362 PHE A CE2 1 
ATOM 2817  C CZ  . PHE A 1 362 ? 283.630 -60.745 320.080 1.0 73.45501  ? 362 PHE A CZ  362 PHE A CZ  1 
ATOM 2818  N N   . PRO A 1 363 ? 289.271 -63.304 316.545 1.0 75.97855  ? 363 PRO A N   363 PRO A N   1 
ATOM 2819  C CA  . PRO A 1 363 ? 290.147 -64.198 315.790 1.0 75.97855  ? 363 PRO A CA  363 PRO A CA  1 
ATOM 2820  C C   . PRO A 1 363 ? 289.395 -65.439 315.344 1.0 75.97855  ? 363 PRO A C   363 PRO A C   1 
ATOM 2821  O O   . PRO A 1 363 ? 288.359 -65.794 315.932 1.0 75.97855  ? 363 PRO A O   363 PRO A O   1 
ATOM 2822  C CB  . PRO A 1 363 ? 291.256 -64.542 316.800 1.0 75.97855  ? 363 PRO A CB  363 PRO A CB  1 
ATOM 2823  C CG  . PRO A 1 363 ? 291.246 -63.425 317.754 1.0 75.97855  ? 363 PRO A CG  363 PRO A CG  1 
ATOM 2824  C CD  . PRO A 1 363 ? 289.813 -63.031 317.886 1.0 75.97855  ? 363 PRO A CD  363 PRO A CD  1 
ATOM 2825  N N   . PRO A 1 364 ? 289.857 -66.114 314.280 1.0 76.89196  ? 364 PRO A N   364 PRO A N   1 
ATOM 2826  C CA  . PRO A 1 364 ? 289.138 -67.312 313.803 1.0 76.89196  ? 364 PRO A CA  364 PRO A CA  1 
ATOM 2827  C C   . PRO A 1 364 ? 289.169 -68.466 314.787 1.0 76.89196  ? 364 PRO A C   364 PRO A C   1 
ATOM 2828  O O   . PRO A 1 364 ? 288.120 -69.050 315.081 1.0 76.89196  ? 364 PRO A O   364 PRO A O   1 
ATOM 2829  C CB  . PRO A 1 364 ? 289.868 -67.659 312.500 1.0 76.89196  ? 364 PRO A CB  364 PRO A CB  1 
ATOM 2830  C CG  . PRO A 1 364 ? 290.520 -66.393 312.079 1.0 76.89196  ? 364 PRO A CG  364 PRO A CG  1 
ATOM 2831  C CD  . PRO A 1 364 ? 290.922 -65.715 313.346 1.0 76.89196  ? 364 PRO A CD  364 PRO A CD  1 
ATOM 2832  N N   . HIS A 1 365 ? 290.347 -68.823 315.291 1.0 81.2386   ? 365 HIS A N   365 HIS A N   1 
ATOM 2833  C CA  . HIS A 1 365 ? 290.454 -69.606 316.518 1.0 81.2386   ? 365 HIS A CA  365 HIS A CA  1 
ATOM 2834  C C   . HIS A 1 365 ? 289.893 -68.698 317.603 1.0 81.2386   ? 365 HIS A C   365 HIS A C   1 
ATOM 2835  O O   . HIS A 1 365 ? 290.184 -67.504 317.652 1.0 81.2386   ? 365 HIS A O   365 HIS A O   1 
ATOM 2836  C CB  . HIS A 1 365 ? 291.899 -70.009 316.780 1.0 81.2386   ? 365 HIS A CB  365 HIS A CB  1 
ATOM 2837  C CG  . HIS A 1 365 ? 292.802 -68.842 317.024 1.0 81.2386   ? 365 HIS A CG  365 HIS A CG  1 
ATOM 2838  N ND1 . HIS A 1 365 ? 293.303 -68.064 316.003 1.0 81.2386   ? 365 HIS A ND1 365 HIS A ND1 1 
ATOM 2839  C CD2 . HIS A 1 365 ? 293.248 -68.287 318.175 1.0 81.2386   ? 365 HIS A CD2 365 HIS A CD2 1 
ATOM 2840  C CE1 . HIS A 1 365 ? 294.036 -67.091 316.515 1.0 81.2386   ? 365 HIS A CE1 365 HIS A CE1 1 
ATOM 2841  N NE2 . HIS A 1 365 ? 294.020 -67.205 317.830 1.0 81.2386   ? 365 HIS A NE2 365 HIS A NE2 1 
ATOM 2842  N N   . VAL A 1 366 ? 289.028 -69.234 318.458 1.0 79.90809  ? 366 VAL A N   366 VAL A N   1 
ATOM 2843  C CA  . VAL A 1 366 ? 288.362 -68.343 319.399 1.0 79.90809  ? 366 VAL A CA  366 VAL A CA  1 
ATOM 2844  C C   . VAL A 1 366 ? 289.104 -68.317 320.730 1.0 79.90809  ? 366 VAL A C   366 VAL A C   1 
ATOM 2845  O O   . VAL A 1 366 ? 289.105 -67.300 321.434 1.0 79.90809  ? 366 VAL A O   366 VAL A O   1 
ATOM 2846  C CB  . VAL A 1 366 ? 286.875 -68.722 319.548 1.0 79.90809  ? 366 VAL A CB  366 VAL A CB  1 
ATOM 2847  C CG1 . VAL A 1 366 ? 286.679 -70.062 320.259 1.0 79.90809  ? 366 VAL A CG1 366 VAL A CG1 1 
ATOM 2848  C CG2 . VAL A 1 366 ? 286.103 -67.603 320.224 1.0 79.90809  ? 366 VAL A CG2 366 VAL A CG2 1 
ATOM 2849  N N   . ILE A 1 367 ? 289.792 -69.401 321.075 1.0 82.72097  ? 367 ILE A N   367 ILE A N   1 
ATOM 2850  C CA  . ILE A 1 367 ? 290.496 -69.456 322.350 1.0 82.72097  ? 367 ILE A CA  367 ILE A CA  1 
ATOM 2851  C C   . ILE A 1 367 ? 291.942 -69.019 322.126 1.0 82.72097  ? 367 ILE A C   367 ILE A C   1 
ATOM 2852  O O   . ILE A 1 367 ? 292.603 -69.463 321.183 1.0 82.72097  ? 367 ILE A O   367 ILE A O   1 
ATOM 2853  C CB  . ILE A 1 367 ? 290.397 -70.842 323.001 1.0 82.72097  ? 367 ILE A CB  367 ILE A CB  1 
ATOM 2854  C CG1 . ILE A 1 367 ? 290.908 -71.959 322.097 1.0 82.72097  ? 367 ILE A CG1 367 ILE A CG1 1 
ATOM 2855  C CG2 . ILE A 1 367 ? 288.958 -71.148 323.351 1.0 82.72097  ? 367 ILE A CG2 367 ILE A CG2 1 
ATOM 2856  C CD1 . ILE A 1 367 ? 291.098 -73.243 322.822 1.0 82.72097  ? 367 ILE A CD1 367 ILE A CD1 1 
ATOM 2857  N N   . SER A 1 368 ? 292.410 -68.102 322.970 1.0 85.01443  ? 368 SER A N   368 SER A N   1 
ATOM 2858  C CA  . SER A 1 368 ? 293.749 -67.529 322.905 1.0 85.01443  ? 368 SER A CA  368 SER A CA  1 
ATOM 2859  C C   . SER A 1 368 ? 293.985 -66.711 324.161 1.0 85.01443  ? 368 SER A C   368 SER A C   1 
ATOM 2860  O O   . SER A 1 368 ? 293.055 -66.139 324.735 1.0 85.01443  ? 368 SER A O   368 SER A O   1 
ATOM 2861  C CB  . SER A 1 368 ? 293.941 -66.629 321.676 1.0 85.01443  ? 368 SER A CB  368 SER A CB  1 
ATOM 2862  O OG  . SER A 1 368 ? 293.123 -65.477 321.763 1.0 85.01443  ? 368 SER A OG  368 SER A OG  1 
ATOM 2863  N N   . ASN A 1 369 ? 295.232 -66.660 324.572 1.0 86.02251  ? 369 ASN A N   369 ASN A N   1 
ATOM 2864  C CA  . ASN A 1 369 ? 295.634 -65.575 325.441 1.0 86.02251  ? 369 ASN A CA  369 ASN A CA  1 
ATOM 2865  C C   . ASN A 1 369 ? 295.719 -64.296 324.609 1.0 86.02251  ? 369 ASN A C   369 ASN A C   1 
ATOM 2866  O O   . ASN A 1 369 ? 296.020 -64.354 323.415 1.0 86.02251  ? 369 ASN A O   369 ASN A O   1 
ATOM 2867  C CB  . ASN A 1 369 ? 296.979 -65.885 326.084 1.0 86.02251  ? 369 ASN A CB  369 ASN A CB  1 
ATOM 2868  C CG  . ASN A 1 369 ? 296.915 -67.082 327.001 1.0 86.02251  ? 369 ASN A CG  369 ASN A CG  1 
ATOM 2869  O OD1 . ASN A 1 369 ? 297.508 -68.122 326.724 1.0 86.02251  ? 369 ASN A OD1 369 ASN A OD1 1 
ATOM 2870  N ND2 . ASN A 1 369 ? 296.193 -66.942 328.104 1.0 86.02251  ? 369 ASN A ND2 369 ASN A ND2 1 
ATOM 2871  N N   . PRO A 1 370 ? 295.433 -63.130 325.200 1.0 83.52041  ? 370 PRO A N   370 PRO A N   1 
ATOM 2872  C CA  . PRO A 1 370 ? 295.387 -61.897 324.397 1.0 83.52041  ? 370 PRO A CA  370 PRO A CA  1 
ATOM 2873  C C   . PRO A 1 370 ? 296.740 -61.411 323.892 1.0 83.52041  ? 370 PRO A C   370 PRO A C   1 
ATOM 2874  O O   . PRO A 1 370 ? 296.765 -60.536 323.020 1.0 83.52041  ? 370 PRO A O   370 PRO A O   1 
ATOM 2875  C CB  . PRO A 1 370 ? 294.755 -60.880 325.353 1.0 83.52041  ? 370 PRO A CB  370 PRO A CB  1 
ATOM 2876  C CG  . PRO A 1 370 ? 295.042 -61.404 326.704 1.0 83.52041  ? 370 PRO A CG  370 PRO A CG  1 
ATOM 2877  C CD  . PRO A 1 370 ? 294.997 -62.892 326.587 1.0 83.52041  ? 370 PRO A CD  370 PRO A CD  1 
ATOM 2878  N N   . PHE A 1 371 ? 297.858 -61.939 324.397 1.0 84.84217  ? 371 PHE A N   371 PHE A N   1 
ATOM 2879  C CA  . PHE A 1 371 ? 299.167 -61.573 323.866 1.0 84.84217  ? 371 PHE A CA  371 PHE A CA  1 
ATOM 2880  C C   . PHE A 1 371 ? 300.091 -62.778 323.772 1.0 84.84217  ? 371 PHE A C   371 PHE A C   1 
ATOM 2881  O O   . PHE A 1 371 ? 301.313 -62.637 323.886 1.0 84.84217  ? 371 PHE A O   371 PHE A O   1 
ATOM 2882  C CB  . PHE A 1 371 ? 299.826 -60.488 324.714 1.0 84.84217  ? 371 PHE A CB  371 PHE A CB  1 
ATOM 2883  C CG  . PHE A 1 371 ? 299.116 -59.176 324.663 1.0 84.84217  ? 371 PHE A CG  371 PHE A CG  1 
ATOM 2884  C CD1 . PHE A 1 371 ? 299.271 -58.335 323.574 1.0 84.84217  ? 371 PHE A CD1 371 PHE A CD1 1 
ATOM 2885  C CD2 . PHE A 1 371 ? 298.288 -58.784 325.700 1.0 84.84217  ? 371 PHE A CD2 371 PHE A CD2 1 
ATOM 2886  C CE1 . PHE A 1 371 ? 298.613 -57.122 323.520 1.0 84.84217  ? 371 PHE A CE1 371 PHE A CE1 1 
ATOM 2887  C CE2 . PHE A 1 371 ? 297.629 -57.573 325.656 1.0 84.84217  ? 371 PHE A CE2 371 PHE A CE2 1 
ATOM 2888  C CZ  . PHE A 1 371 ? 297.791 -56.741 324.564 1.0 84.84217  ? 371 PHE A CZ  371 PHE A CZ  1 
ATOM 2889  N N   . ALA A 1 372 ? 299.530 -63.961 323.552 1.0 86.41094  ? 372 ALA A N   372 ALA A N   1 
ATOM 2890  C CA  . ALA A 1 372 ? 300.292 -65.199 323.570 1.0 86.41094  ? 372 ALA A CA  372 ALA A CA  1 
ATOM 2891  C C   . ALA A 1 372 ? 299.501 -66.253 322.811 1.0 86.41094  ? 372 ALA A C   372 ALA A C   1 
ATOM 2892  O O   . ALA A 1 372 ? 298.293 -66.091 322.604 1.0 86.41094  ? 372 ALA A O   372 ALA A O   1 
ATOM 2893  C CB  . ALA A 1 372 ? 300.566 -65.657 325.014 1.0 86.41094  ? 372 ALA A CB  372 ALA A CB  1 
ATOM 2894  N N   . PRO A 1 373 ? 300.147 -67.331 322.368 1.0 88.51444  ? 373 PRO A N   373 PRO A N   1 
ATOM 2895  C CA  . PRO A 1 373 ? 299.391 -68.482 321.861 1.0 88.51444  ? 373 PRO A CA  373 PRO A CA  1 
ATOM 2896  C C   . PRO A 1 373 ? 298.615 -69.172 322.973 1.0 88.51444  ? 373 PRO A C   373 PRO A C   1 
ATOM 2897  O O   . PRO A 1 373 ? 298.769 -68.883 324.162 1.0 88.51444  ? 373 PRO A O   373 PRO A O   1 
ATOM 2898  C CB  . PRO A 1 373 ? 300.474 -69.398 321.286 1.0 88.51444  ? 373 PRO A CB  373 PRO A CB  1 
ATOM 2899  C CG  . PRO A 1 373 ? 301.596 -68.486 320.959 1.0 88.51444  ? 373 PRO A CG  373 PRO A CG  1 
ATOM 2900  C CD  . PRO A 1 373 ? 301.578 -67.436 322.026 1.0 88.51444  ? 373 PRO A CD  373 PRO A CD  1 
ATOM 2901  N N   . ALA A 1 374 ? 297.762 -70.107 322.556 1.0 88.48094  ? 374 ALA A N   374 ALA A N   1 
ATOM 2902  C CA  . ALA A 1 374 ? 296.924 -70.852 323.489 1.0 88.48094  ? 374 ALA A CA  374 ALA A CA  1 
ATOM 2903  C C   . ALA A 1 374 ? 297.791 -71.737 324.373 1.0 88.48094  ? 374 ALA A C   374 ALA A C   1 
ATOM 2904  O O   . ALA A 1 374 ? 298.512 -72.608 323.877 1.0 88.48094  ? 374 ALA A O   374 ALA A O   1 
ATOM 2905  C CB  . ALA A 1 374 ? 295.900 -71.688 322.727 1.0 88.48094  ? 374 ALA A CB  374 ALA A CB  1 
ATOM 2906  N N   . ALA A 1 375 ? 297.732 -71.495 325.679 1.0 90.0969   ? 375 ALA A N   375 ALA A N   1 
ATOM 2907  C CA  . ALA A 1 375 ? 298.629 -72.152 326.619 1.0 90.0969   ? 375 ALA A CA  375 ALA A CA  1 
ATOM 2908  C C   . ALA A 1 375 ? 298.237 -73.613 326.790 1.0 90.0969   ? 375 ALA A C   375 ALA A C   1 
ATOM 2909  O O   . ALA A 1 375 ? 297.125 -73.918 327.232 1.0 90.0969   ? 375 ALA A O   375 ALA A O   1 
ATOM 2910  C CB  . ALA A 1 375 ? 298.602 -71.427 327.960 1.0 90.0969   ? 375 ALA A CB  375 ALA A CB  1 
ATOM 2911  N N   . VAL A 1 376 ? 299.153 -74.515 326.440 1.0 91.2356   ? 376 VAL A N   376 VAL A N   1 
ATOM 2912  C CA  . VAL A 1 376 ? 298.920 -75.949 326.569 1.0 91.2356   ? 376 VAL A CA  376 VAL A CA  1 
ATOM 2913  C C   . VAL A 1 376 ? 299.030 -76.346 328.032 1.0 91.2356   ? 376 VAL A C   376 VAL A C   1 
ATOM 2914  O O   . VAL A 1 376 ? 299.506 -75.568 328.866 1.0 91.2356   ? 376 VAL A O   376 VAL A O   1 
ATOM 2915  C CB  . VAL A 1 376 ? 299.909 -76.758 325.714 1.0 91.2356   ? 376 VAL A CB  376 VAL A CB  1 
ATOM 2916  C CG1 . VAL A 1 376 ? 299.753 -76.400 324.247 1.0 91.2356   ? 376 VAL A CG1 376 VAL A CG1 1 
ATOM 2917  C CG2 . VAL A 1 376 ? 301.332 -76.517 326.188 1.0 91.2356   ? 376 VAL A CG2 376 VAL A CG2 1 
ATOM 2918  N N   . GLY A 1 377 ? 298.594 -77.555 328.353 1.0 91.80875  ? 377 GLY A N   377 GLY A N   1 
ATOM 2919  C CA  . GLY A 1 377 ? 298.694 -78.021 329.718 1.0 91.80875  ? 377 GLY A CA  377 GLY A CA  1 
ATOM 2920  C C   . GLY A 1 377 ? 298.251 -79.457 329.848 1.0 91.80875  ? 377 GLY A C   377 GLY A C   1 
ATOM 2921  O O   . GLY A 1 377 ? 298.316 -80.232 328.894 1.0 91.80875  ? 377 GLY A O   377 GLY A O   1 
ATOM 2922  N N   . THR A 1 378 ? 297.804 -79.807 331.052 1.0 94.7314   ? 378 THR A N   378 THR A N   1 
ATOM 2923  C CA  . THR A 1 378 ? 297.428 -81.173 331.380 1.0 94.7314   ? 378 THR A CA  378 THR A CA  1 
ATOM 2924  C C   . THR A 1 378 ? 296.226 -81.124 332.312 1.0 94.7314   ? 378 THR A C   378 THR A C   1 
ATOM 2925  O O   . THR A 1 378 ? 296.121 -80.218 333.141 1.0 94.7314   ? 378 THR A O   378 THR A O   1 
ATOM 2926  C CB  . THR A 1 378 ? 298.603 -81.922 332.045 1.0 94.7314   ? 378 THR A CB  378 THR A CB  1 
ATOM 2927  O OG1 . THR A 1 378 ? 299.778 -81.784 331.238 1.0 94.7314   ? 378 THR A OG1 378 THR A OG1 1 
ATOM 2928  C CG2 . THR A 1 378 ? 298.314 -83.408 332.178 1.0 94.7314   ? 378 THR A CG2 378 THR A CG2 1 
ATOM 2929  N N   . GLY A 1 379 ? 295.310 -82.078 332.158 1.0 95.60198  ? 379 GLY A N   379 GLY A N   1 
ATOM 2930  C CA  . GLY A 1 379 ? 294.225 -82.214 333.109 1.0 95.60198  ? 379 GLY A CA  379 GLY A CA  1 
ATOM 2931  C C   . GLY A 1 379 ? 294.718 -82.657 334.473 1.0 95.60198  ? 379 GLY A C   379 GLY A C   1 
ATOM 2932  O O   . GLY A 1 379 ? 295.828 -83.163 334.630 1.0 95.60198  ? 379 GLY A O   379 GLY A O   1 
ATOM 2933  N N   . MET A 1 380 ? 293.880 -82.448 335.483 1.0 98.07138  ? 380 MET A N   380 MET A N   1 
ATOM 2934  C CA  . MET A 1 380 ? 294.228 -82.794 336.852 1.0 98.07138  ? 380 MET A CA  380 MET A CA  1 
ATOM 2935  C C   . MET A 1 380 ? 293.095 -83.580 337.492 1.0 98.07138  ? 380 MET A C   380 MET A C   1 
ATOM 2936  O O   . MET A 1 380 ? 291.921 -83.239 337.325 1.0 98.07138  ? 380 MET A O   380 MET A O   1 
ATOM 2937  C CB  . MET A 1 380 ? 294.516 -81.546 337.690 1.0 98.07138  ? 380 MET A CB  380 MET A CB  1 
ATOM 2938  C CG  . MET A 1 380 ? 295.716 -80.746 337.236 1.0 98.07138  ? 380 MET A CG  380 MET A CG  1 
ATOM 2939  S SD  . MET A 1 380 ? 297.231 -81.705 337.282 1.0 98.07138  ? 380 MET A SD  380 MET A SD  1 
ATOM 2940  C CE  . MET A 1 380 ? 297.406 -81.891 339.047 1.0 98.07138  ? 380 MET A CE  380 MET A CE  1 
ATOM 2941  N N   . THR A 1 381 ? 293.452 -84.632 338.220 1.0 101.10339 ? 381 THR A N   381 THR A N   1 
ATOM 2942  C CA  . THR A 1 381 ? 292.520 -85.345 339.082 1.0 101.10339 ? 381 THR A CA  381 THR A CA  1 
ATOM 2943  C C   . THR A 1 381 ? 292.844 -84.976 340.523 1.0 101.10339 ? 381 THR A C   381 THR A C   1 
ATOM 2944  O O   . THR A 1 381 ? 293.978 -84.593 340.830 1.0 101.10339 ? 381 THR A O   381 THR A O   1 
ATOM 2945  C CB  . THR A 1 381 ? 292.580 -86.859 338.857 1.0 101.10339 ? 381 THR A CB  381 THR A CB  1 
ATOM 2946  O OG1 . THR A 1 381 ? 291.589 -87.508 339.665 1.0 101.10339 ? 381 THR A OG1 381 THR A OG1 1 
ATOM 2947  C CG2 . THR A 1 381 ? 293.951 -87.421 339.182 1.0 101.10339 ? 381 THR A CG2 381 THR A CG2 1 
ATOM 2948  N N   . VAL A 1 382 ? 291.845 -85.044 341.391 1.0 105.17876 ? 382 VAL A N   382 VAL A N   1 
ATOM 2949  C CA  . VAL A 1 382 ? 291.954 -84.509 342.741 1.0 105.17876 ? 382 VAL A CA  382 VAL A CA  1 
ATOM 2950  C C   . VAL A 1 382 ? 291.589 -85.605 343.735 1.0 105.17876 ? 382 VAL A C   382 VAL A C   1 
ATOM 2951  O O   . VAL A 1 382 ? 290.801 -86.508 343.424 1.0 105.17876 ? 382 VAL A O   382 VAL A O   1 
ATOM 2952  C CB  . VAL A 1 382 ? 291.071 -83.253 342.900 1.0 105.17876 ? 382 VAL A CB  382 VAL A CB  1 
ATOM 2953  C CG1 . VAL A 1 382 ? 289.581 -83.586 342.829 1.0 105.17876 ? 382 VAL A CG1 382 VAL A CG1 1 
ATOM 2954  C CG2 . VAL A 1 382 ? 291.414 -82.459 344.155 1.0 105.17876 ? 382 VAL A CG2 382 VAL A CG2 1 
ATOM 2955  N N   . ASN A 1 383 ? 292.219 -85.569 344.904 1.0 111.30985 ? 383 ASN A N   383 ASN A N   1 
ATOM 2956  C CA  . ASN A 1 383 ? 291.864 -86.423 346.025 1.0 111.30985 ? 383 ASN A CA  383 ASN A CA  1 
ATOM 2957  C C   . ASN A 1 383 ? 291.229 -85.545 347.093 1.0 111.30985 ? 383 ASN A C   383 ASN A C   1 
ATOM 2958  O O   . ASN A 1 383 ? 291.719 -84.446 347.366 1.0 111.30985 ? 383 ASN A O   383 ASN A O   1 
ATOM 2959  C CB  . ASN A 1 383 ? 293.104 -87.129 346.578 1.0 111.30985 ? 383 ASN A CB  383 ASN A CB  1 
ATOM 2960  C CG  . ASN A 1 383 ? 292.783 -88.446 347.265 1.0 111.30985 ? 383 ASN A CG  383 ASN A CG  1 
ATOM 2961  O OD1 . ASN A 1 383 ? 293.680 -89.240 347.545 1.0 111.30985 ? 383 ASN A OD1 383 ASN A OD1 1 
ATOM 2962  N ND2 . ASN A 1 383 ? 291.507 -88.698 347.517 1.0 111.30985 ? 383 ASN A ND2 383 ASN A ND2 1 
ATOM 2963  N N   . GLU A 1 384 ? 290.124 -86.004 347.664 1.0 112.76349 ? 384 GLU A N   384 GLU A N   1 
ATOM 2964  C CA  . GLU A 1 384 ? 289.617 -85.344 348.851 1.0 112.76349 ? 384 GLU A CA  384 GLU A CA  1 
ATOM 2965  C C   . GLU A 1 384 ? 290.241 -85.980 350.088 1.0 112.76349 ? 384 GLU A C   384 GLU A C   1 
ATOM 2966  O O   . GLU A 1 384 ? 290.923 -87.006 350.003 1.0 112.76349 ? 384 GLU A O   384 GLU A O   1 
ATOM 2967  C CB  . GLU A 1 384 ? 288.092 -85.416 348.904 1.0 112.76349 ? 384 GLU A CB  384 GLU A CB  1 
ATOM 2968  C CG  . GLU A 1 384 ? 287.409 -84.660 347.771 1.0 112.76349 ? 384 GLU A CG  384 GLU A CG  1 
ATOM 2969  C CD  . GLU A 1 384 ? 287.614 -83.159 347.855 1.0 112.76349 ? 384 GLU A CD  384 GLU A CD  1 
ATOM 2970  O OE1 . GLU A 1 384 ? 287.690 -82.627 348.982 1.0 112.76349 ? 384 GLU A OE1 384 GLU A OE1 1 
ATOM 2971  O OE2 . GLU A 1 384 ? 287.702 -82.510 346.792 1.0 112.76349 ? 384 GLU A OE2 384 GLU A OE2 1 
ATOM 2972  N N   . GLN A 1 385 ? 290.055 -85.312 351.230 1.0 115.61263 ? 385 GLN A N   385 GLN A N   1 
ATOM 2973  C CA  . GLN A 1 385 ? 290.556 -85.600 352.586 1.0 115.61263 ? 385 GLN A CA  385 GLN A CA  1 
ATOM 2974  C C   . GLN A 1 385 ? 292.060 -85.351 352.718 1.0 115.61263 ? 385 GLN A C   385 GLN A C   1 
ATOM 2975  O O   . GLN A 1 385 ? 292.584 -85.432 353.837 1.0 115.61263 ? 385 GLN A O   385 GLN A O   1 
ATOM 2976  C CB  . GLN A 1 385 ? 290.241 -87.023 353.082 1.0 115.61263 ? 385 GLN A CB  385 GLN A CB  1 
ATOM 2977  C CG  . GLN A 1 385 ? 288.762 -87.295 353.291 1.0 115.61263 ? 385 GLN A CG  385 GLN A CG  1 
ATOM 2978  C CD  . GLN A 1 385 ? 288.495 -88.711 353.760 1.0 115.61263 ? 385 GLN A CD  385 GLN A CD  1 
ATOM 2979  O OE1 . GLN A 1 385 ? 289.415 -89.522 353.873 1.0 115.61263 ? 385 GLN A OE1 385 GLN A OE1 1 
ATOM 2980  N NE2 . GLN A 1 385 ? 287.232 -89.017 354.035 1.0 115.61263 ? 385 GLN A NE2 385 GLN A NE2 1 
ATOM 2981  N N   . GLN A 1 386 ? 292.765 -85.050 351.630 1.0 113.95994 ? 386 GLN A N   386 GLN A N   1 
ATOM 2982  C CA  . GLN A 1 386 ? 294.122 -84.524 351.649 1.0 113.95994 ? 386 GLN A CA  386 GLN A CA  1 
ATOM 2983  C C   . GLN A 1 386 ? 294.312 -83.718 350.374 1.0 113.95994 ? 386 GLN A C   386 GLN A C   1 
ATOM 2984  O O   . GLN A 1 386 ? 293.762 -84.066 349.328 1.0 113.95994 ? 386 GLN A O   386 GLN A O   1 
ATOM 2985  C CB  . GLN A 1 386 ? 295.181 -85.636 351.776 1.0 113.95994 ? 386 GLN A CB  386 GLN A CB  1 
ATOM 2986  C CG  . GLN A 1 386 ? 295.366 -86.559 350.576 1.0 113.95994 ? 386 GLN A CG  386 GLN A CG  1 
ATOM 2987  C CD  . GLN A 1 386 ? 294.449 -87.765 350.603 1.0 113.95994 ? 386 GLN A CD  386 GLN A CD  1 
ATOM 2988  O OE1 . GLN A 1 386 ? 293.452 -87.789 351.321 1.0 113.95994 ? 386 GLN A OE1 386 GLN A OE1 1 
ATOM 2989  N NE2 . GLN A 1 386 ? 294.792 -88.782 349.824 1.0 113.95994 ? 386 GLN A NE2 386 GLN A NE2 1 
ATOM 2990  N N   . GLN A 1 387 ? 295.064 -82.623 350.472 1.0 112.52357 ? 387 GLN A N   387 GLN A N   1 
ATOM 2991  C CA  . GLN A 1 387 ? 295.139 -81.643 349.387 1.0 112.52357 ? 387 GLN A CA  387 GLN A CA  1 
ATOM 2992  C C   . GLN A 1 387 ? 296.220 -82.060 348.389 1.0 112.52357 ? 387 GLN A C   387 GLN A C   1 
ATOM 2993  O O   . GLN A 1 387 ? 297.250 -81.405 348.212 1.0 112.52357 ? 387 GLN A O   387 GLN A O   1 
ATOM 2994  C CB  . GLN A 1 387 ? 295.392 -80.246 349.942 1.0 112.52357 ? 387 GLN A CB  387 GLN A CB  1 
ATOM 2995  C CG  . GLN A 1 387 ? 294.175 -79.568 350.575 1.0 112.52357 ? 387 GLN A CG  387 GLN A CG  1 
ATOM 2996  C CD  . GLN A 1 387 ? 293.778 -80.162 351.917 1.0 112.52357 ? 387 GLN A CD  387 GLN A CD  1 
ATOM 2997  O OE1 . GLN A 1 387 ? 292.672 -80.678 352.076 1.0 112.52357 ? 387 GLN A OE1 387 GLN A OE1 1 
ATOM 2998  N NE2 . GLN A 1 387 ? 294.684 -80.096 352.888 1.0 112.52357 ? 387 GLN A NE2 387 GLN A NE2 1 
ATOM 2999  N N   . THR A 1 388 ? 295.959 -83.176 347.717 1.0 109.67712 ? 388 THR A N   388 THR A N   1 
ATOM 3000  C CA  . THR A 1 388 ? 296.874 -83.745 346.738 1.0 109.67712 ? 388 THR A CA  388 THR A CA  1 
ATOM 3001  C C   . THR A 1 388 ? 296.263 -83.605 345.352 1.0 109.67712 ? 388 THR A C   388 THR A C   1 
ATOM 3002  O O   . THR A 1 388 ? 295.189 -84.155 345.085 1.0 109.67712 ? 388 THR A O   388 THR A O   1 
ATOM 3003  C CB  . THR A 1 388 ? 297.168 -85.214 347.043 1.0 109.67712 ? 388 THR A CB  388 THR A CB  1 
ATOM 3004  O OG1 . THR A 1 388 ? 297.788 -85.324 348.331 1.0 109.67712 ? 388 THR A OG1 388 THR A OG1 1 
ATOM 3005  C CG2 . THR A 1 388 ? 298.092 -85.797 345.989 1.0 109.67712 ? 388 THR A CG2 388 THR A CG2 1 
ATOM 3006  N N   . ALA A 1 389 ? 296.945 -82.874 344.479 1.0 103.87481 ? 389 ALA A N   389 ALA A N   1 
ATOM 3007  C CA  . ALA A 1 389 ? 296.503 -82.669 343.104 1.0 103.87481 ? 389 ALA A CA  389 ALA A CA  1 
ATOM 3008  C C   . ALA A 1 389 ? 297.342 -83.572 342.210 1.0 103.87481 ? 389 ALA A C   389 ALA A C   1 
ATOM 3009  O O   . ALA A 1 389 ? 298.497 -83.264 341.906 1.0 103.87481 ? 389 ALA A O   389 ALA A O   1 
ATOM 3010  C CB  . ALA A 1 389 ? 296.634 -81.204 342.708 1.0 103.87481 ? 389 ALA A CB  389 ALA A CB  1 
ATOM 3011  N N   . ALA A 1 390 ? 296.763 -84.692 341.793 1.0 101.99693 ? 390 ALA A N   390 ALA A N   1 
ATOM 3012  C CA  . ALA A 1 390 ? 297.485 -85.679 341.007 1.0 101.99693 ? 390 ALA A CA  390 ALA A CA  1 
ATOM 3013  C C   . ALA A 1 390 ? 297.317 -85.410 339.518 1.0 101.99693 ? 390 ALA A C   390 ALA A C   1 
ATOM 3014  O O   . ALA A 1 390 ? 296.244 -85.006 339.063 1.0 101.99693 ? 390 ALA A O   390 ALA A O   1 
ATOM 3015  C CB  . ALA A 1 390 ? 297.002 -87.090 341.343 1.0 101.99693 ? 390 ALA A CB  390 ALA A CB  1 
ATOM 3016  N N   . VAL A 1 391 ? 298.391 -85.634 338.762 1.0 100.48147 ? 391 VAL A N   391 VAL A N   1 
ATOM 3017  C CA  . VAL A 1 391 ? 298.333 -85.486 337.314 1.0 100.48147 ? 391 VAL A CA  391 VAL A CA  1 
ATOM 3018  C C   . VAL A 1 391 ? 297.592 -86.681 336.716 1.0 100.48147 ? 391 VAL A C   391 VAL A C   1 
ATOM 3019  O O   . VAL A 1 391 ? 297.671 -87.807 337.227 1.0 100.48147 ? 391 VAL A O   391 VAL A O   1 
ATOM 3020  C CB  . VAL A 1 391 ? 299.759 -85.314 336.751 1.0 100.48147 ? 391 VAL A CB  391 VAL A CB  1 
ATOM 3021  C CG1 . VAL A 1 391 ? 300.630 -86.547 337.001 1.0 100.48147 ? 391 VAL A CG1 391 VAL A CG1 1 
ATOM 3022  C CG2 . VAL A 1 391 ? 299.747 -84.934 335.275 1.0 100.48147 ? 391 VAL A CG2 391 VAL A CG2 1 
ATOM 3023  N N   . THR A 1 392 ? 296.812 -86.430 335.668 1.0 98.18292  ? 392 THR A N   392 THR A N   1 
ATOM 3024  C CA  . THR A 1 392 ? 296.036 -87.487 335.039 1.0 98.18292  ? 392 THR A CA  392 THR A CA  1 
ATOM 3025  C C   . THR A 1 392 ? 296.873 -88.208 333.982 1.0 98.18292  ? 392 THR A C   392 THR A C   1 
ATOM 3026  O O   . THR A 1 392 ? 298.019 -87.850 333.706 1.0 98.18292  ? 392 THR A O   392 THR A O   1 
ATOM 3027  C CB  . THR A 1 392 ? 294.755 -86.926 334.426 1.0 98.18292  ? 392 THR A CB  392 THR A CB  1 
ATOM 3028  O OG1 . THR A 1 392 ? 293.921 -88.007 333.994 1.0 98.18292  ? 392 THR A OG1 392 THR A OG1 1 
ATOM 3029  C CG2 . THR A 1 392 ? 295.079 -86.054 333.242 1.0 98.18292  ? 392 THR A CG2 392 THR A CG2 1 
ATOM 3030  N N   . ALA A 1 393 ? 296.275 -89.239 333.381 1.0 97.96158  ? 393 ALA A N   393 ALA A N   1 
ATOM 3031  C CA  . ALA A 1 393 ? 297.051 -90.191 332.585 1.0 97.96158  ? 393 ALA A CA  393 ALA A CA  1 
ATOM 3032  C C   . ALA A 1 393 ? 297.328 -89.685 331.171 1.0 97.96158  ? 393 ALA A C   393 ALA A C   1 
ATOM 3033  O O   . ALA A 1 393 ? 298.480 -89.436 330.803 1.0 97.96158  ? 393 ALA A O   393 ALA A O   1 
ATOM 3034  C CB  . ALA A 1 393 ? 296.325 -91.539 332.543 1.0 97.96158  ? 393 ALA A CB  393 ALA A CB  1 
ATOM 3035  N N   . ASN A 1 394 ? 296.281 -89.519 330.366 1.0 96.73912  ? 394 ASN A N   394 ASN A N   1 
ATOM 3036  C CA  . ASN A 1 394 ? 296.424 -89.244 328.935 1.0 96.73912  ? 394 ASN A CA  394 ASN A CA  1 
ATOM 3037  C C   . ASN A 1 394 ? 295.617 -87.996 328.603 1.0 96.73912  ? 394 ASN A C   394 ASN A C   1 
ATOM 3038  O O   . ASN A 1 394 ? 294.443 -88.095 328.240 1.0 96.73912  ? 394 ASN A O   394 ASN A O   1 
ATOM 3039  C CB  . ASN A 1 394 ? 295.967 -90.438 328.110 1.0 96.73912  ? 394 ASN A CB  394 ASN A CB  1 
ATOM 3040  C CG  . ASN A 1 394 ? 296.803 -91.668 328.357 1.0 96.73912  ? 394 ASN A CG  394 ASN A CG  1 
ATOM 3041  O OD1 . ASN A 1 394 ? 296.316 -92.666 328.886 1.0 96.73912  ? 394 ASN A OD1 394 ASN A OD1 1 
ATOM 3042  N ND2 . ASN A 1 394 ? 298.072 -91.607 327.974 1.0 96.73912  ? 394 ASN A ND2 394 ASN A ND2 1 
ATOM 3043  N N   . THR A 1 395 ? 296.243 -86.826 328.731 1.0 93.86778  ? 395 THR A N   395 THR A N   1 
ATOM 3044  C CA  . THR A 1 395 ? 295.560 -85.563 328.478 1.0 93.86778  ? 395 THR A CA  395 THR A CA  1 
ATOM 3045  C C   . THR A 1 395 ? 296.578 -84.474 328.182 1.0 93.86778  ? 395 THR A C   395 THR A C   1 
ATOM 3046  O O   . THR A 1 395 ? 297.492 -84.248 328.980 1.0 93.86778  ? 395 THR A O   395 THR A O   1 
ATOM 3047  C CB  . THR A 1 395 ? 294.703 -85.134 329.676 1.0 93.86778  ? 395 THR A CB  395 THR A CB  1 
ATOM 3048  O OG1 . THR A 1 395 ? 293.641 -86.070 329.894 1.0 93.86778  ? 395 THR A OG1 395 THR A OG1 1 
ATOM 3049  C CG2 . THR A 1 395 ? 294.122 -83.762 329.450 1.0 93.86778  ? 395 THR A CG2 395 THR A CG2 1 
ATOM 3050  N N   . VAL A 1 396 ? 296.418 -83.806 327.042 1.0 92.18253  ? 396 VAL A N   396 VAL A N   1 
ATOM 3051  C CA  . VAL A 1 396 ? 296.978 -82.480 326.823 1.0 92.18253  ? 396 VAL A CA  396 VAL A CA  1 
ATOM 3052  C C   . VAL A 1 396 ? 295.803 -81.533 326.600 1.0 92.18253  ? 396 VAL A C   396 VAL A C   1 
ATOM 3053  O O   . VAL A 1 396 ? 294.791 -81.916 326.003 1.0 92.18253  ? 396 VAL A O   396 VAL A O   1 
ATOM 3054  C CB  . VAL A 1 396 ? 298.000 -82.463 325.658 1.0 92.18253  ? 396 VAL A CB  396 VAL A CB  1 
ATOM 3055  C CG1 . VAL A 1 396 ? 297.370 -82.817 324.317 1.0 92.18253  ? 396 VAL A CG1 396 VAL A CG1 1 
ATOM 3056  C CG2 . VAL A 1 396 ? 298.747 -81.131 325.590 1.0 92.18253  ? 396 VAL A CG2 396 VAL A CG2 1 
ATOM 3057  N N   . ALA A 1 397 ? 295.899 -80.325 327.150 1.0 90.25029  ? 397 ALA A N   397 ALA A N   1 
ATOM 3058  C CA  . ALA A 1 397 ? 294.754 -79.425 327.204 1.0 90.25029  ? 397 ALA A CA  397 ALA A CA  1 
ATOM 3059  C C   . ALA A 1 397 ? 295.173 -78.029 326.782 1.0 90.25029  ? 397 ALA A C   397 ALA A C   1 
ATOM 3060  O O   . ALA A 1 397 ? 296.034 -77.419 327.421 1.0 90.25029  ? 397 ALA A O   397 ALA A O   1 
ATOM 3061  C CB  . ALA A 1 397 ? 294.148 -79.394 328.609 1.0 90.25029  ? 397 ALA A CB  397 ALA A CB  1 
ATOM 3062  N N   . LEU A 1 398 ? 294.557 -77.524 325.716 1.0 89.16045  ? 398 LEU A N   398 LEU A N   1 
ATOM 3063  C CA  . LEU A 1 398 ? 294.772 -76.155 325.266 1.0 89.16045  ? 398 LEU A CA  398 LEU A CA  1 
ATOM 3064  C C   . LEU A 1 398 ? 293.826 -75.240 326.030 1.0 89.16045  ? 398 LEU A C   398 LEU A C   1 
ATOM 3065  O O   . LEU A 1 398 ? 292.607 -75.303 325.841 1.0 89.16045  ? 398 LEU A O   398 LEU A O   1 
ATOM 3066  C CB  . LEU A 1 398 ? 294.540 -76.021 323.761 1.0 89.16045  ? 398 LEU A CB  398 LEU A CB  1 
ATOM 3067  C CG  . LEU A 1 398 ? 295.642 -76.450 322.784 1.0 89.16045  ? 398 LEU A CG  398 LEU A CG  1 
ATOM 3068  C CD1 . LEU A 1 398 ? 295.749 -77.968 322.628 1.0 89.16045  ? 398 LEU A CD1 398 LEU A CD1 1 
ATOM 3069  C CD2 . LEU A 1 398 ? 295.441 -75.782 321.430 1.0 89.16045  ? 398 LEU A CD2 398 LEU A CD2 1 
ATOM 3070  N N   . ILE A 1 399 ? 294.383 -74.389 326.884 1.0 87.91373  ? 399 ILE A N   399 ILE A N   1 
ATOM 3071  C CA  . ILE A 1 399 ? 293.596 -73.563 327.788 1.0 87.91373  ? 399 ILE A CA  399 ILE A CA  1 
ATOM 3072  C C   . ILE A 1 399 ? 293.755 -72.113 327.365 1.0 87.91373  ? 399 ILE A C   399 ILE A C   1 
ATOM 3073  O O   . ILE A 1 399 ? 294.881 -71.629 327.200 1.0 87.91373  ? 399 ILE A O   399 ILE A O   1 
ATOM 3074  C CB  . ILE A 1 399 ? 294.024 -73.754 329.249 1.0 87.91373  ? 399 ILE A CB  399 ILE A CB  1 
ATOM 3075  C CG1 . ILE A 1 399 ? 294.011 -75.238 329.613 1.0 87.91373  ? 399 ILE A CG1 399 ILE A CG1 1 
ATOM 3076  C CG2 . ILE A 1 399 ? 293.109 -72.979 330.171 1.0 87.91373  ? 399 ILE A CG2 399 ILE A CG2 1 
ATOM 3077  C CD1 . ILE A 1 399 ? 292.668 -75.895 329.456 1.0 87.91373  ? 399 ILE A CD1 399 ILE A CD1 1 
ATOM 3078  N N   . GLY A 1 400 ? 292.632 -71.425 327.179 1.0 86.16856  ? 400 GLY A N   400 GLY A N   1 
ATOM 3079  C CA  . GLY A 1 400 ? 292.633 -69.996 326.938 1.0 86.16856  ? 400 GLY A CA  400 GLY A CA  1 
ATOM 3080  C C   . GLY A 1 400 ? 292.185 -69.268 328.191 1.0 86.16856  ? 400 GLY A C   400 GLY A C   1 
ATOM 3081  O O   . GLY A 1 400 ? 291.159 -69.604 328.785 1.0 86.16856  ? 400 GLY A O   400 GLY A O   1 
ATOM 3082  N N   . TYR A 1 401 ? 292.966 -68.271 328.584 1.0 87.84305  ? 401 TYR A N   401 TYR A N   1 
ATOM 3083  C CA  . TYR A 1 401 ? 292.707 -67.532 329.807 1.0 87.84305  ? 401 TYR A CA  401 TYR A CA  1 
ATOM 3084  C C   . TYR A 1 401 ? 292.182 -66.140 329.501 1.0 87.84305  ? 401 TYR A C   401 TYR A C   1 
ATOM 3085  O O   . TYR A 1 401 ? 292.369 -65.602 328.407 1.0 87.84305  ? 401 TYR A O   401 TYR A O   1 
ATOM 3086  C CB  . TYR A 1 401 ? 293.969 -67.422 330.662 1.0 87.84305  ? 401 TYR A CB  401 TYR A CB  1 
ATOM 3087  C CG  . TYR A 1 401 ? 294.388 -68.719 331.292 1.0 87.84305  ? 401 TYR A CG  401 TYR A CG  1 
ATOM 3088  C CD1 . TYR A 1 401 ? 293.759 -69.185 332.436 1.0 87.84305  ? 401 TYR A CD1 401 TYR A CD1 1 
ATOM 3089  C CD2 . TYR A 1 401 ? 295.414 -69.476 330.747 1.0 87.84305  ? 401 TYR A CD2 401 TYR A CD2 1 
ATOM 3090  C CE1 . TYR A 1 401 ? 294.137 -70.370 333.019 1.0 87.84305  ? 401 TYR A CE1 401 TYR A CE1 1 
ATOM 3091  C CE2 . TYR A 1 401 ? 295.802 -70.665 331.325 1.0 87.84305  ? 401 TYR A CE2 401 TYR A CE2 1 
ATOM 3092  C CZ  . TYR A 1 401 ? 295.158 -71.104 332.462 1.0 87.84305  ? 401 TYR A CZ  401 TYR A CZ  1 
ATOM 3093  O OH  . TYR A 1 401 ? 295.531 -72.287 333.049 1.0 87.84305  ? 401 TYR A OH  401 TYR A OH  1 
ATOM 3094  N N   . GLY A 1 402 ? 291.531 -65.561 330.500 1.0 83.99095  ? 402 GLY A N   402 GLY A N   1 
ATOM 3095  C CA  . GLY A 1 402 ? 290.975 -64.241 330.360 1.0 83.99095  ? 402 GLY A CA  402 GLY A CA  1 
ATOM 3096  C C   . GLY A 1 402 ? 289.774 -64.234 329.433 1.0 83.99095  ? 402 GLY A C   402 GLY A C   1 
ATOM 3097  O O   . GLY A 1 402 ? 289.137 -65.251 329.171 1.0 83.99095  ? 402 GLY A O   402 GLY A O   1 
ATOM 3098  N N   . ASN A 1 403 ? 289.480 -63.043 328.930 1.0 81.61181  ? 403 ASN A N   403 ASN A N   1 
ATOM 3099  C CA  . ASN A 1 403 ? 288.376 -62.872 328.006 1.0 81.61181  ? 403 ASN A CA  403 ASN A CA  1 
ATOM 3100  C C   . ASN A 1 403 ? 288.909 -62.849 326.576 1.0 81.61181  ? 403 ASN A C   403 ASN A C   1 
ATOM 3101  O O   . ASN A 1 403 ? 290.106 -62.667 326.338 1.0 81.61181  ? 403 ASN A O   403 ASN A O   1 
ATOM 3102  C CB  . ASN A 1 403 ? 287.619 -61.587 328.338 1.0 81.61181  ? 403 ASN A CB  403 ASN A CB  1 
ATOM 3103  C CG  . ASN A 1 403 ? 286.206 -61.588 327.810 1.0 81.61181  ? 403 ASN A CG  403 ASN A CG  1 
ATOM 3104  O OD1 . ASN A 1 403 ? 285.782 -62.533 327.144 1.0 81.61181  ? 403 ASN A OD1 403 ASN A OD1 1 
ATOM 3105  N ND2 . ASN A 1 403 ? 285.455 -60.546 328.131 1.0 81.61181  ? 403 ASN A ND2 403 ASN A ND2 1 
ATOM 3106  N N   . ILE A 1 404 ? 288.006 -63.047 325.623 1.0 78.24447  ? 404 ILE A N   404 ILE A N   1 
ATOM 3107  C CA  . ILE A 1 404 ? 288.398 -63.218 324.218 1.0 78.24447  ? 404 ILE A CA  404 ILE A CA  1 
ATOM 3108  C C   . ILE A 1 404 ? 288.863 -61.880 323.655 1.0 78.24447  ? 404 ILE A C   404 ILE A C   1 
ATOM 3109  O O   . ILE A 1 404 ? 288.128 -60.883 323.757 1.0 78.24447  ? 404 ILE A O   404 ILE A O   1 
ATOM 3110  C CB  . ILE A 1 404 ? 287.229 -63.769 323.409 1.0 78.24447  ? 404 ILE A CB  404 ILE A CB  1 
ATOM 3111  C CG1 . ILE A 1 404 ? 286.747 -65.084 324.002 1.0 78.24447  ? 404 ILE A CG1 404 ILE A CG1 1 
ATOM 3112  C CG2 . ILE A 1 404 ? 287.632 -63.996 321.967 1.0 78.24447  ? 404 ILE A CG2 404 ILE A CG2 1 
ATOM 3113  C CD1 . ILE A 1 404 ? 285.465 -65.547 323.395 1.0 78.24447  ? 404 ILE A CD1 404 ILE A CD1 1 
ATOM 3114  N N   . PRO A 1 405 ? 290.052 -61.801 323.061 1.0 77.0145   ? 405 PRO A N   405 PRO A N   1 
ATOM 3115  C CA  . PRO A 1 405 ? 290.515 -60.528 322.498 1.0 77.0145   ? 405 PRO A CA  405 PRO A CA  1 
ATOM 3116  C C   . PRO A 1 405 ? 289.747 -60.165 321.239 1.0 77.0145   ? 405 PRO A C   405 PRO A C   1 
ATOM 3117  O O   . PRO A 1 405 ? 289.358 -61.027 320.450 1.0 77.0145   ? 405 PRO A O   405 PRO A O   1 
ATOM 3118  C CB  . PRO A 1 405 ? 291.990 -60.796 322.188 1.0 77.0145   ? 405 PRO A CB  405 PRO A CB  1 
ATOM 3119  C CG  . PRO A 1 405 ? 292.055 -62.269 321.966 1.0 77.0145   ? 405 PRO A CG  405 PRO A CG  1 
ATOM 3120  C CD  . PRO A 1 405 ? 291.048 -62.873 322.900 1.0 77.0145   ? 405 PRO A CD  405 PRO A CD  1 
ATOM 3121  N N   . ALA A 1 406 ? 289.525 -58.867 321.057 1.0 73.13889  ? 406 ALA A N   406 ALA A N   1 
ATOM 3122  C CA  . ALA A 1 406 ? 288.686 -58.412 319.959 1.0 73.13889  ? 406 ALA A CA  406 ALA A CA  1 
ATOM 3123  C C   . ALA A 1 406 ? 289.076 -56.996 319.573 1.0 73.13889  ? 406 ALA A C   406 ALA A C   1 
ATOM 3124  O O   . ALA A 1 406 ? 289.817 -56.314 320.283 1.0 73.13889  ? 406 ALA A O   406 ALA A O   1 
ATOM 3125  C CB  . ALA A 1 406 ? 287.202 -58.477 320.328 1.0 73.13889  ? 406 ALA A CB  406 ALA A CB  1 
ATOM 3126  N N   . VAL A 1 407 ? 288.568 -56.568 318.421 1.0 70.95506  ? 407 VAL A N   407 VAL A N   1 
ATOM 3127  C CA  . VAL A 1 407 ? 288.695 -55.195 317.956 1.0 70.95506  ? 407 VAL A CA  407 VAL A CA  1 
ATOM 3128  C C   . VAL A 1 407 ? 287.315 -54.682 317.571 1.0 70.95506  ? 407 VAL A C   407 VAL A C   1 
ATOM 3129  O O   . VAL A 1 407 ? 286.471 -55.429 317.068 1.0 70.95506  ? 407 VAL A O   407 VAL A O   1 
ATOM 3130  C CB  . VAL A 1 407 ? 289.690 -55.069 316.780 1.0 70.95506  ? 407 VAL A CB  407 VAL A CB  1 
ATOM 3131  C CG1 . VAL A 1 407 ? 291.107 -55.291 317.263 1.0 70.95506  ? 407 VAL A CG1 407 VAL A CG1 1 
ATOM 3132  C CG2 . VAL A 1 407 ? 289.367 -56.080 315.700 1.0 70.95506  ? 407 VAL A CG2 407 VAL A CG2 1 
ATOM 3133  N N   . GLU A 1 408 ? 287.079 -53.402 317.836 1.0 73.0749   ? 408 GLU A N   408 GLU A N   1 
ATOM 3134  C CA  . GLU A 1 408 ? 285.799 -52.753 317.588 1.0 73.0749   ? 408 GLU A CA  408 GLU A CA  1 
ATOM 3135  C C   . GLU A 1 408 ? 285.930 -51.837 316.379 1.0 73.0749   ? 408 GLU A C   408 GLU A C   1 
ATOM 3136  O O   . GLU A 1 408 ? 286.967 -51.198 316.186 1.0 73.0749   ? 408 GLU A O   408 GLU A O   1 
ATOM 3137  C CB  . GLU A 1 408 ? 285.352 -51.965 318.824 1.0 73.0749   ? 408 GLU A CB  408 GLU A CB  1 
ATOM 3138  C CG  . GLU A 1 408 ? 283.991 -51.297 318.711 1.0 73.0749   ? 408 GLU A CG  408 GLU A CG  1 
ATOM 3139  C CD  . GLU A 1 408 ? 283.559 -50.620 319.995 1.0 73.0749   ? 408 GLU A CD  408 GLU A CD  1 
ATOM 3140  O OE1 . GLU A 1 408 ? 284.295 -50.715 320.998 1.0 73.0749   ? 408 GLU A OE1 408 GLU A OE1 1 
ATOM 3141  O OE2 . GLU A 1 408 ? 282.490 -49.976 319.996 1.0 73.0749   ? 408 GLU A OE2 408 GLU A OE2 1 
ATOM 3142  N N   . MET A 1 409 ? 284.875 -51.773 315.564 1.0 71.45677  ? 409 MET A N   409 MET A N   1 
ATOM 3143  C CA  . MET A 1 409 ? 284.943 -51.130 314.263 1.0 71.45677  ? 409 MET A CA  409 MET A CA  1 
ATOM 3144  C C   . MET A 1 409 ? 284.249 -49.775 314.175 1.0 71.45677  ? 409 MET A C   409 MET A C   1 
ATOM 3145  O O   . MET A 1 409 ? 284.797 -48.876 313.526 1.0 71.45677  ? 409 MET A O   409 MET A O   1 
ATOM 3146  C CB  . MET A 1 409 ? 284.347 -52.057 313.191 1.0 71.45677  ? 409 MET A CB  409 MET A CB  1 
ATOM 3147  C CG  . MET A 1 409 ? 284.517 -51.571 311.770 1.0 71.45677  ? 409 MET A CG  409 MET A CG  1 
ATOM 3148  S SD  . MET A 1 409 ? 283.898 -52.718 310.537 1.0 71.45677  ? 409 MET A SD  409 MET A SD  1 
ATOM 3149  C CE  . MET A 1 409 ? 284.225 -51.771 309.059 1.0 71.45677  ? 409 MET A CE  409 MET A CE  1 
ATOM 3150  N N   . ASN A 1 410 ? 283.105 -49.591 314.845 1.0 67.35373  ? 410 ASN A N   410 ASN A N   1 
ATOM 3151  C CA  . ASN A 1 410 ? 282.122 -48.537 314.553 1.0 67.35373  ? 410 ASN A CA  410 ASN A CA  1 
ATOM 3152  C C   . ASN A 1 410 ? 281.766 -48.557 313.066 1.0 67.35373  ? 410 ASN A C   410 ASN A C   1 
ATOM 3153  O O   . ASN A 1 410 ? 282.075 -47.645 312.301 1.0 67.35373  ? 410 ASN A O   410 ASN A O   1 
ATOM 3154  C CB  . ASN A 1 410 ? 282.590 -47.146 315.005 1.0 67.35373  ? 410 ASN A CB  410 ASN A CB  1 
ATOM 3155  C CG  . ASN A 1 410 ? 281.466 -46.107 314.986 1.0 67.35373  ? 410 ASN A CG  410 ASN A CG  1 
ATOM 3156  O OD1 . ASN A 1 410 ? 280.315 -46.414 314.681 1.0 67.35373  ? 410 ASN A OD1 410 ASN A OD1 1 
ATOM 3157  N ND2 . ASN A 1 410 ? 281.808 -44.868 315.302 1.0 67.35373  ? 410 ASN A ND2 410 ASN A ND2 1 
ATOM 3158  N N   . LEU A 1 411 ? 281.110 -49.650 312.682 1.0 65.98929  ? 411 LEU A N   411 LEU A N   1 
ATOM 3159  C CA  . LEU A 1 411 ? 280.807 -49.915 311.277 1.0 65.98929  ? 411 LEU A CA  411 LEU A CA  1 
ATOM 3160  C C   . LEU A 1 411 ? 279.877 -48.913 310.581 1.0 65.98929  ? 411 LEU A C   411 LEU A C   1 
ATOM 3161  O O   . LEU A 1 411 ? 280.179 -48.572 309.424 1.0 65.98929  ? 411 LEU A O   411 LEU A O   1 
ATOM 3162  C CB  . LEU A 1 411 ? 280.277 -51.353 311.163 1.0 65.98929  ? 411 LEU A CB  411 LEU A CB  1 
ATOM 3163  C CG  . LEU A 1 411 ? 279.942 -51.997 309.826 1.0 65.98929  ? 411 LEU A CG  411 LEU A CG  1 
ATOM 3164  C CD1 . LEU A 1 411 ? 280.295 -53.455 309.917 1.0 65.98929  ? 411 LEU A CD1 411 LEU A CD1 1 
ATOM 3165  C CD2 . LEU A 1 411 ? 278.459 -51.866 309.550 1.0 65.98929  ? 411 LEU A CD2 411 LEU A CD2 1 
ATOM 3166  N N   . PRO A 1 412 ? 278.747 -48.440 311.152 1.0 65.07565  ? 412 PRO A N   412 PRO A N   1 
ATOM 3167  C CA  . PRO A 1 412 ? 277.912 -47.509 310.365 1.0 65.07565  ? 412 PRO A CA  412 PRO A CA  1 
ATOM 3168  C C   . PRO A 1 412 ? 278.544 -46.145 310.150 1.0 65.07565  ? 412 PRO A C   412 PRO A C   1 
ATOM 3169  O O   . PRO A 1 412 ? 278.136 -45.416 309.239 1.0 65.07565  ? 412 PRO A O   412 PRO A O   1 
ATOM 3170  C CB  . PRO A 1 412 ? 276.623 -47.404 311.190 1.0 65.07565  ? 412 PRO A CB  412 PRO A CB  1 
ATOM 3171  C CG  . PRO A 1 412 ? 276.605 -48.600 312.029 1.0 65.07565  ? 412 PRO A CG  412 PRO A CG  1 
ATOM 3172  C CD  . PRO A 1 412 ? 278.026 -48.831 312.381 1.0 65.07565  ? 412 PRO A CD  412 PRO A CD  1 
ATOM 3173  N N   . ALA A 1 413 ? 279.536 -45.778 310.962 1.0 65.35924  ? 413 ALA A N   413 ALA A N   1 
ATOM 3174  C CA  . ALA A 1 413 ? 280.291 -44.560 310.694 1.0 65.35924  ? 413 ALA A CA  413 ALA A CA  1 
ATOM 3175  C C   . ALA A 1 413 ? 281.234 -44.754 309.517 1.0 65.35924  ? 413 ALA A C   413 ALA A C   1 
ATOM 3176  O O   . ALA A 1 413 ? 281.581 -43.793 308.823 1.0 65.35924  ? 413 ALA A O   413 ALA A O   1 
ATOM 3177  C CB  . ALA A 1 413 ? 281.067 -44.139 311.939 1.0 65.35924  ? 413 ALA A CB  413 ALA A CB  1 
ATOM 3178  N N   . ASN A 1 414 ? 281.658 -45.995 309.274 1.0 65.39112  ? 414 ASN A N   414 ASN A N   1 
ATOM 3179  C CA  . ASN A 1 414 ? 282.573 -46.259 308.170 1.0 65.39112  ? 414 ASN A CA  414 ASN A CA  1 
ATOM 3180  C C   . ASN A 1 414 ? 281.834 -46.316 306.841 1.0 65.39112  ? 414 ASN A C   414 ASN A C   1 
ATOM 3181  O O   . ASN A 1 414 ? 282.409 -46.004 305.793 1.0 65.39112  ? 414 ASN A O   414 ASN A O   1 
ATOM 3182  C CB  . ASN A 1 414 ? 283.333 -47.558 308.419 1.0 65.39112  ? 414 ASN A CB  414 ASN A CB  1 
ATOM 3183  C CG  . ASN A 1 414 ? 284.350 -47.426 309.526 1.0 65.39112  ? 414 ASN A CG  414 ASN A CG  1 
ATOM 3184  O OD1 . ASN A 1 414 ? 285.057 -46.426 309.615 1.0 65.39112  ? 414 ASN A OD1 414 ASN A OD1 1 
ATOM 3185  N ND2 . ASN A 1 414 ? 284.429 -48.436 310.381 1.0 65.39112  ? 414 ASN A ND2 414 ASN A ND2 1 
ATOM 3186  N N   . LEU A 1 415 ? 280.562 -46.722 306.859 1.0 63.59951  ? 415 LEU A N   415 LEU A N   1 
ATOM 3187  C CA  . LEU A 1 415 ? 279.768 -46.699 305.634 1.0 63.59951  ? 415 LEU A CA  415 LEU A CA  1 
ATOM 3188  C C   . LEU A 1 415 ? 279.463 -45.275 305.196 1.0 63.59951  ? 415 LEU A C   415 LEU A C   1 
ATOM 3189  O O   . LEU A 1 415 ? 279.286 -45.017 304.001 1.0 63.59951  ? 415 LEU A O   415 LEU A O   1 
ATOM 3190  C CB  . LEU A 1 415 ? 278.460 -47.468 305.816 1.0 63.59951  ? 415 LEU A CB  415 LEU A CB  1 
ATOM 3191  C CG  . LEU A 1 415 ? 278.399 -48.970 305.527 1.0 63.59951  ? 415 LEU A CG  415 LEU A CG  1 
ATOM 3192  C CD1 . LEU A 1 415 ? 278.804 -49.250 304.087 1.0 63.59951  ? 415 LEU A CD1 415 LEU A CD1 1 
ATOM 3193  C CD2 . LEU A 1 415 ? 279.214 -49.798 306.496 1.0 63.59951  ? 415 LEU A CD2 415 LEU A CD2 1 
ATOM 3194  N N   . LYS A 1 416 ? 279.387 -44.344 306.145 1.0 63.9214   ? 416 LYS A N   416 LYS A N   1 
ATOM 3195  C CA  . LYS A 1 416 ? 279.135 -42.954 305.795 1.0 63.9214   ? 416 LYS A CA  416 LYS A CA  1 
ATOM 3196  C C   . LYS A 1 416 ? 280.379 -42.304 305.205 1.0 63.9214   ? 416 LYS A C   416 LYS A C   1 
ATOM 3197  O O   . LYS A 1 416 ? 280.281 -41.494 304.278 1.0 63.9214   ? 416 LYS A O   416 LYS A O   1 
ATOM 3198  C CB  . LYS A 1 416 ? 278.656 -42.191 307.028 1.0 63.9214   ? 416 LYS A CB  416 LYS A CB  1 
ATOM 3199  C CG  . LYS A 1 416 ? 278.232 -40.763 306.765 1.0 63.9214   ? 416 LYS A CG  416 LYS A CG  1 
ATOM 3200  C CD  . LYS A 1 416 ? 276.949 -40.717 305.963 1.0 63.9214   ? 416 LYS A CD  416 LYS A CD  1 
ATOM 3201  C CE  . LYS A 1 416 ? 276.524 -39.288 305.695 1.0 63.9214   ? 416 LYS A CE  416 LYS A CE  1 
ATOM 3202  N NZ  . LYS A 1 416 ? 276.160 -38.586 306.950 1.0 63.9214   ? 416 LYS A NZ  416 LYS A NZ  1 
ATOM 3203  N N   . ARG A 1 417 ? 281.560 -42.652 305.723 1.0 65.63885  ? 417 ARG A N   417 ARG A N   1 
ATOM 3204  C CA  . ARG A 1 417 ? 282.795 -42.066 305.211 1.0 65.63885  ? 417 ARG A CA  417 ARG A CA  1 
ATOM 3205  C C   . ARG A 1 417 ? 283.134 -42.584 303.825 1.0 65.63885  ? 417 ARG A C   417 ARG A C   1 
ATOM 3206  O O   . ARG A 1 417 ? 283.736 -41.859 303.026 1.0 65.63885  ? 417 ARG A O   417 ARG A O   1 
ATOM 3207  C CB  . ARG A 1 417 ? 283.951 -42.358 306.158 1.0 65.63885  ? 417 ARG A CB  417 ARG A CB  1 
ATOM 3208  C CG  . ARG A 1 417 ? 283.845 -41.677 307.493 1.0 65.63885  ? 417 ARG A CG  417 ARG A CG  1 
ATOM 3209  C CD  . ARG A 1 417 ? 285.004 -42.080 308.373 1.0 65.63885  ? 417 ARG A CD  417 ARG A CD  1 
ATOM 3210  N NE  . ARG A 1 417 ? 286.278 -41.638 307.822 1.0 65.63885  ? 417 ARG A NE  417 ARG A NE  1 
ATOM 3211  C CZ  . ARG A 1 417 ? 286.808 -40.443 308.049 1.0 65.63885  ? 417 ARG A CZ  417 ARG A CZ  1 
ATOM 3212  N NH1 . ARG A 1 417 ? 286.173 -39.571 308.818 1.0 65.63885  ? 417 ARG A NH1 417 ARG A NH1 1 
ATOM 3213  N NH2 . ARG A 1 417 ? 287.973 -40.118 307.509 1.0 65.63885  ? 417 ARG A NH2 417 ARG A NH2 1 
ATOM 3214  N N   . THR A 1 418 ? 282.779 -43.833 303.531 1.0 63.43409  ? 418 THR A N   418 THR A N   1 
ATOM 3215  C CA  . THR A 1 418 ? 282.999 -44.374 302.197 1.0 63.43409  ? 418 THR A CA  418 THR A CA  1 
ATOM 3216  C C   . THR A 1 418 ? 282.049 -43.739 301.192 1.0 63.43409  ? 418 THR A C   418 THR A C   1 
ATOM 3217  O O   . THR A 1 418 ? 282.445 -43.426 300.062 1.0 63.43409  ? 418 THR A O   418 THR A O   1 
ATOM 3218  C CB  . THR A 1 418 ? 282.831 -45.892 302.230 1.0 63.43409  ? 418 THR A CB  418 THR A CB  1 
ATOM 3219  O OG1 . THR A 1 418 ? 283.770 -46.452 303.155 1.0 63.43409  ? 418 THR A OG1 418 THR A OG1 1 
ATOM 3220  C CG2 . THR A 1 418 ? 283.075 -46.493 300.871 1.0 63.43409  ? 418 THR A CG2 418 THR A CG2 1 
ATOM 3221  N N   . PHE A 1 419 ? 280.801 -43.509 301.603 1.0 60.94662  ? 419 PHE A N   419 PHE A N   1 
ATOM 3222  C CA  . PHE A 1 419 ? 279.818 -42.889 300.723 1.0 60.94662  ? 419 PHE A CA  419 PHE A CA  1 
ATOM 3223  C C   . PHE A 1 419 ? 280.166 -41.437 300.427 1.0 60.94662  ? 419 PHE A C   419 PHE A C   1 
ATOM 3224  O O   . PHE A 1 419 ? 279.955 -40.963 299.308 1.0 60.94662  ? 419 PHE A O   419 PHE A O   1 
ATOM 3225  C CB  . PHE A 1 419 ? 278.431 -42.983 301.352 1.0 60.94662  ? 419 PHE A CB  419 PHE A CB  1 
ATOM 3226  C CG  . PHE A 1 419 ? 277.344 -42.378 300.518 1.0 60.94662  ? 419 PHE A CG  419 PHE A CG  1 
ATOM 3227  C CD1 . PHE A 1 419 ? 276.860 -43.041 299.406 1.0 60.94662  ? 419 PHE A CD1 419 PHE A CD1 1 
ATOM 3228  C CD2 . PHE A 1 419 ? 276.797 -41.149 300.852 1.0 60.94662  ? 419 PHE A CD2 419 PHE A CD2 1 
ATOM 3229  C CE1 . PHE A 1 419 ? 275.854 -42.488 298.638 1.0 60.94662  ? 419 PHE A CE1 419 PHE A CE1 1 
ATOM 3230  C CE2 . PHE A 1 419 ? 275.793 -40.590 300.087 1.0 60.94662  ? 419 PHE A CE2 419 PHE A CE2 1 
ATOM 3231  C CZ  . PHE A 1 419 ? 275.321 -41.262 298.982 1.0 60.94662  ? 419 PHE A CZ  419 PHE A CZ  1 
ATOM 3232  N N   . LEU A 1 420 ? 280.703 -40.717 301.407 1.0 62.88013  ? 420 LEU A N   420 LEU A N   1 
ATOM 3233  C CA  . LEU A 1 420 ? 281.015 -39.313 301.186 1.0 62.88013  ? 420 LEU A CA  420 LEU A CA  1 
ATOM 3234  C C   . LEU A 1 420 ? 282.324 -39.103 300.445 1.0 62.88013  ? 420 LEU A C   420 LEU A C   1 
ATOM 3235  O O   . LEU A 1 420 ? 282.487 -38.068 299.794 1.0 62.88013  ? 420 LEU A O   420 LEU A O   1 
ATOM 3236  C CB  . LEU A 1 420 ? 281.055 -38.564 302.514 1.0 62.88013  ? 420 LEU A CB  420 LEU A CB  1 
ATOM 3237  C CG  . LEU A 1 420 ? 279.690 -38.435 303.177 1.0 62.88013  ? 420 LEU A CG  420 LEU A CG  1 
ATOM 3238  C CD1 . LEU A 1 420 ? 279.829 -37.804 304.538 1.0 62.88013  ? 420 LEU A CD1 420 LEU A CD1 1 
ATOM 3239  C CD2 . LEU A 1 420 ? 278.765 -37.627 302.302 1.0 62.88013  ? 420 LEU A CD2 420 LEU A CD2 1 
ATOM 3240  N N   . TYR A 1 421 ? 283.256 -40.048 300.518 1.0 64.89655  ? 421 TYR A N   421 TYR A N   1 
ATOM 3241  C CA  . TYR A 1 421 ? 284.523 -39.849 299.827 1.0 64.89655  ? 421 TYR A CA  421 TYR A CA  1 
ATOM 3242  C C   . TYR A 1 421 ? 284.403 -40.139 298.340 1.0 64.89655  ? 421 TYR A C   421 TYR A C   1 
ATOM 3243  O O   . TYR A 1 421 ? 284.918 -39.378 297.515 1.0 64.89655  ? 421 TYR A O   421 TYR A O   1 
ATOM 3244  C CB  . TYR A 1 421 ? 285.613 -40.721 300.441 1.0 64.89655  ? 421 TYR A CB  421 TYR A CB  1 
ATOM 3245  C CG  . TYR A 1 421 ? 286.966 -40.510 299.805 1.0 64.89655  ? 421 TYR A CG  421 TYR A CG  1 
ATOM 3246  C CD1 . TYR A 1 421 ? 287.715 -39.379 300.092 1.0 64.89655  ? 421 TYR A CD1 421 TYR A CD1 1 
ATOM 3247  C CD2 . TYR A 1 421 ? 287.492 -41.436 298.916 1.0 64.89655  ? 421 TYR A CD2 421 TYR A CD2 1 
ATOM 3248  C CE1 . TYR A 1 421 ? 288.949 -39.177 299.514 1.0 64.89655  ? 421 TYR A CE1 421 TYR A CE1 1 
ATOM 3249  C CE2 . TYR A 1 421 ? 288.726 -41.243 298.335 1.0 64.89655  ? 421 TYR A CE2 421 TYR A CE2 1 
ATOM 3250  C CZ  . TYR A 1 421 ? 289.448 -40.111 298.636 1.0 64.89655  ? 421 TYR A CZ  421 TYR A CZ  1 
ATOM 3251  O OH  . TYR A 1 421 ? 290.679 -39.912 298.060 1.0 64.89655  ? 421 TYR A OH  421 TYR A OH  1 
ATOM 3252  N N   . SER A 1 422 ? 283.735 -41.231 297.976 1.0 62.84779  ? 422 SER A N   422 SER A N   1 
ATOM 3253  C CA  . SER A 1 422 ? 283.690 -41.630 296.578 1.0 62.84779  ? 422 SER A CA  422 SER A CA  1 
ATOM 3254  C C   . SER A 1 422 ? 282.680 -40.823 295.778 1.0 62.84779  ? 422 SER A C   422 SER A C   1 
ATOM 3255  O O   . SER A 1 422 ? 282.880 -40.611 294.579 1.0 62.84779  ? 422 SER A O   422 SER A O   1 
ATOM 3256  C CB  . SER A 1 422 ? 283.366 -43.117 296.469 1.0 62.84779  ? 422 SER A CB  422 SER A CB  1 
ATOM 3257  O OG  . SER A 1 422 ? 282.060 -43.383 296.943 1.0 62.84779  ? 422 SER A OG  422 SER A OG  1 
ATOM 3258  N N   . ASN A 1 423 ? 281.603 -40.365 296.410 1.0 60.3656   ? 423 ASN A N   423 ASN A N   1 
ATOM 3259  C CA  . ASN A 1 423 ? 280.528 -39.696 295.693 1.0 60.3656   ? 423 ASN A CA  423 ASN A CA  1 
ATOM 3260  C C   . ASN A 1 423 ? 280.584 -38.182 295.780 1.0 60.3656   ? 423 ASN A C   423 ASN A C   1 
ATOM 3261  O O   . ASN A 1 423 ? 280.148 -37.508 294.843 1.0 60.3656   ? 423 ASN A O   423 ASN A O   1 
ATOM 3262  C CB  . ASN A 1 423 ? 279.173 -40.163 296.221 1.0 60.3656   ? 423 ASN A CB  423 ASN A CB  1 
ATOM 3263  C CG  . ASN A 1 423 ? 278.956 -41.637 296.020 1.0 60.3656   ? 423 ASN A CG  423 ASN A CG  1 
ATOM 3264  O OD1 . ASN A 1 423 ? 278.880 -42.398 296.978 1.0 60.3656   ? 423 ASN A OD1 423 ASN A OD1 1 
ATOM 3265  N ND2 . ASN A 1 423 ? 278.855 -42.054 294.770 1.0 60.3656   ? 423 ASN A ND2 423 ASN A ND2 1 
ATOM 3266  N N   . VAL A 1 424 ? 281.099 -37.626 296.870 1.0 59.82769  ? 424 VAL A N   424 VAL A N   1 
ATOM 3267  C CA  . VAL A 1 424 ? 281.111 -36.187 297.091 1.0 59.82769  ? 424 VAL A CA  424 VAL A CA  1 
ATOM 3268  C C   . VAL A 1 424 ? 282.530 -35.628 297.064 1.0 59.82769  ? 424 VAL A C   424 VAL A C   1 
ATOM 3269  O O   . VAL A 1 424 ? 282.803 -34.643 296.379 1.0 59.82769  ? 424 VAL A O   424 VAL A O   1 
ATOM 3270  C CB  . VAL A 1 424 ? 280.396 -35.825 298.411 1.0 59.82769  ? 424 VAL A CB  424 VAL A CB  1 
ATOM 3271  C CG1 . VAL A 1 424 ? 280.489 -34.341 298.680 1.0 59.82769  ? 424 VAL A CG1 424 VAL A CG1 1 
ATOM 3272  C CG2 . VAL A 1 424 ? 278.946 -36.260 298.359 1.0 59.82769  ? 424 VAL A CG2 424 VAL A CG2 1 
ATOM 3273  N N   . ALA A 1 425 ? 283.452 -36.255 297.796 1.0 62.38287  ? 425 ALA A N   425 ALA A N   1 
ATOM 3274  C CA  . ALA A 1 425 ? 284.802 -35.713 297.901 1.0 62.38287  ? 425 ALA A CA  425 ALA A CA  1 
ATOM 3275  C C   . ALA A 1 425 ? 285.602 -35.941 296.632 1.0 62.38287  ? 425 ALA A C   425 ALA A C   1 
ATOM 3276  O O   . ALA A 1 425 ? 286.496 -35.154 296.313 1.0 62.38287  ? 425 ALA A O   425 ALA A O   1 
ATOM 3277  C CB  . ALA A 1 425 ? 285.528 -36.330 299.094 1.0 62.38287  ? 425 ALA A CB  425 ALA A CB  1 
ATOM 3278  N N   . MET A 1 426 ? 285.283 -36.998 295.896 1.0 63.78727  ? 426 MET A N   426 MET A N   1 
ATOM 3279  C CA  . MET A 1 426 ? 286.039 -37.339 294.703 1.0 63.78727  ? 426 MET A CA  426 MET A CA  1 
ATOM 3280  C C   . MET A 1 426 ? 285.767 -36.365 293.566 1.0 63.78727  ? 426 MET A C   426 MET A C   1 
ATOM 3281  O O   . MET A 1 426 ? 286.656 -36.104 292.749 1.0 63.78727  ? 426 MET A O   426 MET A O   1 
ATOM 3282  C CB  . MET A 1 426 ? 285.691 -38.773 294.307 1.0 63.78727  ? 426 MET A CB  426 MET A CB  1 
ATOM 3283  C CG  . MET A 1 426 ? 286.538 -39.345 293.212 1.0 63.78727  ? 426 MET A CG  426 MET A CG  1 
ATOM 3284  S SD  . MET A 1 426 ? 288.277 -39.416 293.678 1.0 63.78727  ? 426 MET A SD  426 MET A SD  1 
ATOM 3285  C CE  . MET A 1 426 ? 288.262 -40.820 294.787 1.0 63.78727  ? 426 MET A CE  426 MET A CE  1 
ATOM 3286  N N   . TYR A 1 427 ? 284.569 -35.787 293.526 1.0 62.75956  ? 427 TYR A N   427 TYR A N   1 
ATOM 3287  C CA  . TYR A 1 427 ? 284.116 -34.961 292.408 1.0 62.75956  ? 427 TYR A CA  427 TYR A CA  1 
ATOM 3288  C C   . TYR A 1 427 ? 284.226 -33.472 292.704 1.0 62.75956  ? 427 TYR A C   427 TYR A C   1 
ATOM 3289  O O   . TYR A 1 427 ? 283.405 -32.687 292.237 1.0 62.75956  ? 427 TYR A O   427 TYR A O   1 
ATOM 3290  C CB  . TYR A 1 427 ? 282.682 -35.332 292.028 1.0 62.75956  ? 427 TYR A CB  427 TYR A CB  1 
ATOM 3291  C CG  . TYR A 1 427 ? 282.558 -36.721 291.426 1.0 62.75956  ? 427 TYR A CG  427 TYR A CG  1 
ATOM 3292  C CD1 . TYR A 1 427 ? 283.662 -37.345 290.870 1.0 62.75956  ? 427 TYR A CD1 427 TYR A CD1 1 
ATOM 3293  C CD2 . TYR A 1 427 ? 281.362 -37.412 291.435 1.0 62.75956  ? 427 TYR A CD2 427 TYR A CD2 1 
ATOM 3294  C CE1 . TYR A 1 427 ? 283.581 -38.605 290.335 1.0 62.75956  ? 427 TYR A CE1 427 TYR A CE1 1 
ATOM 3295  C CE2 . TYR A 1 427 ? 281.270 -38.691 290.893 1.0 62.75956  ? 427 TYR A CE2 427 TYR A CE2 1 
ATOM 3296  C CZ  . TYR A 1 427 ? 282.381 -39.275 290.346 1.0 62.75956  ? 427 TYR A CZ  427 TYR A CZ  1 
ATOM 3297  O OH  . TYR A 1 427 ? 282.320 -40.535 289.804 1.0 62.75956  ? 427 TYR A OH  427 TYR A OH  1 
ATOM 3298  N N   . LEU A 1 428 ? 285.231 -33.049 293.461 1.0 65.54462  ? 428 LEU A N   428 LEU A N   1 
ATOM 3299  C CA  . LEU A 1 428 ? 285.450 -31.633 293.707 1.0 65.54462  ? 428 LEU A CA  428 LEU A CA  1 
ATOM 3300  C C   . LEU A 1 428 ? 285.987 -30.937 292.462 1.0 65.54462  ? 428 LEU A C   428 LEU A C   1 
ATOM 3301  O O   . LEU A 1 428 ? 286.481 -31.591 291.542 1.0 65.54462  ? 428 LEU A O   428 LEU A O   1 
ATOM 3302  C CB  . LEU A 1 428 ? 286.451 -31.442 294.833 1.0 65.54462  ? 428 LEU A CB  428 LEU A CB  1 
ATOM 3303  C CG  . LEU A 1 428 ? 286.085 -31.829 296.247 1.0 65.54462  ? 428 LEU A CG  428 LEU A CG  1 
ATOM 3304  C CD1 . LEU A 1 428 ? 287.331 -31.583 297.029 1.0 65.54462  ? 428 LEU A CD1 428 LEU A CD1 1 
ATOM 3305  C CD2 . LEU A 1 428 ? 284.944 -30.984 296.757 1.0 65.54462  ? 428 LEU A CD2 428 LEU A CD2 1 
ATOM 3306  N N   . PRO A 1 429 ? 285.920 -29.592 292.411 1.0 65.95549  ? 429 PRO A N   429 PRO A N   1 
ATOM 3307  C CA  . PRO A 1 429 ? 286.702 -28.870 291.398 1.0 65.95549  ? 429 PRO A CA  429 PRO A CA  1 
ATOM 3308  C C   . PRO A 1 429 ? 288.200 -28.889 291.672 1.0 65.95549  ? 429 PRO A C   429 PRO A C   1 
ATOM 3309  O O   . PRO A 1 429 ? 288.653 -29.412 292.694 1.0 65.95549  ? 429 PRO A O   429 PRO A O   1 
ATOM 3310  C CB  . PRO A 1 429 ? 286.136 -27.446 291.465 1.0 65.95549  ? 429 PRO A CB  429 PRO A CB  1 
ATOM 3311  C CG  . PRO A 1 429 ? 285.509 -27.339 292.796 1.0 65.95549  ? 429 PRO A CG  429 PRO A CG  1 
ATOM 3312  C CD  . PRO A 1 429 ? 284.963 -28.696 293.087 1.0 65.95549  ? 429 PRO A CD  429 PRO A CD  1 
ATOM 3313  N N   . ASP A 1 430 ? 288.973 -28.306 290.757 1.0 71.16466  ? 430 ASP A N   430 ASP A N   1 
ATOM 3314  C CA  . ASP A 1 430 ? 290.429 -28.341 290.802 1.0 71.16466  ? 430 ASP A CA  430 ASP A CA  1 
ATOM 3315  C C   . ASP A 1 430 ? 291.020 -27.540 291.957 1.0 71.16466  ? 430 ASP A C   430 ASP A C   1 
ATOM 3316  O O   . ASP A 1 430 ? 292.129 -27.851 292.401 1.0 71.16466  ? 430 ASP A O   430 ASP A O   1 
ATOM 3317  C CB  . ASP A 1 430 ? 290.985 -27.822 289.471 1.0 71.16466  ? 430 ASP A CB  430 ASP A CB  1 
ATOM 3318  C CG  . ASP A 1 430 ? 292.488 -27.987 289.352 1.0 71.16466  ? 430 ASP A CG  430 ASP A CG  1 
ATOM 3319  O OD1 . ASP A 1 430 ? 292.949 -29.129 289.144 1.0 71.16466  ? 430 ASP A OD1 430 ASP A OD1 1 
ATOM 3320  O OD2 . ASP A 1 430 ? 293.206 -26.972 289.468 1.0 71.16466  ? 430 ASP A OD2 430 ASP A OD2 1 
ATOM 3321  N N   . THR A 1 431 ? 290.306 -26.539 292.468 1.0 71.16713  ? 431 THR A N   431 THR A N   1 
ATOM 3322  C CA  . THR A 1 431 ? 290.871 -25.660 293.484 1.0 71.16713  ? 431 THR A CA  431 THR A CA  1 
ATOM 3323  C C   . THR A 1 431 ? 290.970 -26.312 294.855 1.0 71.16713  ? 431 THR A C   431 THR A C   1 
ATOM 3324  O O   . THR A 1 431 ? 291.758 -25.850 295.686 1.0 71.16713  ? 431 THR A O   431 THR A O   1 
ATOM 3325  C CB  . THR A 1 431 ? 290.039 -24.385 293.598 1.0 71.16713  ? 431 THR A CB  431 THR A CB  1 
ATOM 3326  O OG1 . THR A 1 431 ? 288.713 -24.720 294.026 1.0 71.16713  ? 431 THR A OG1 431 THR A OG1 1 
ATOM 3327  C CG2 . THR A 1 431 ? 289.967 -23.684 292.256 1.0 71.16713  ? 431 THR A CG2 431 THR A CG2 1 
ATOM 3328  N N   . TYR A 1 432 ? 290.197 -27.366 295.113 1.0 70.03794  ? 432 TYR A N   432 TYR A N   1 
ATOM 3329  C CA  . TYR A 1 432 ? 290.162 -27.995 296.427 1.0 70.03794  ? 432 TYR A CA  432 TYR A CA  1 
ATOM 3330  C C   . TYR A 1 432 ? 290.821 -29.367 296.433 1.0 70.03794  ? 432 TYR A C   432 TYR A C   1 
ATOM 3331  O O   . TYR A 1 432 ? 290.593 -30.155 297.354 1.0 70.03794  ? 432 TYR A O   432 TYR A O   1 
ATOM 3332  C CB  . TYR A 1 432 ? 288.724 -28.100 296.929 1.0 70.03794  ? 432 TYR A CB  432 TYR A CB  1 
ATOM 3333  C CG  . TYR A 1 432 ? 288.097 -26.778 297.300 1.0 70.03794  ? 432 TYR A CG  432 TYR A CG  1 
ATOM 3334  C CD1 . TYR A 1 432 ? 288.878 -25.649 297.521 1.0 70.03794  ? 432 TYR A CD1 432 TYR A CD1 1 
ATOM 3335  C CD2 . TYR A 1 432 ? 286.723 -26.657 297.423 1.0 70.03794  ? 432 TYR A CD2 432 TYR A CD2 1 
ATOM 3336  C CE1 . TYR A 1 432 ? 288.305 -24.440 297.854 1.0 70.03794  ? 432 TYR A CE1 432 TYR A CE1 1 
ATOM 3337  C CE2 . TYR A 1 432 ? 286.145 -25.456 297.758 1.0 70.03794  ? 432 TYR A CE2 432 TYR A CE2 1 
ATOM 3338  C CZ  . TYR A 1 432 ? 286.938 -24.351 297.971 1.0 70.03794  ? 432 TYR A CZ  432 TYR A CZ  1 
ATOM 3339  O OH  . TYR A 1 432 ? 286.359 -23.150 298.304 1.0 70.03794  ? 432 TYR A OH  432 TYR A OH  1 
ATOM 3340  N N   . LYS A 1 433 ? 291.623 -29.671 295.424 1.0 68.83261  ? 433 LYS A N   433 LYS A N   1 
ATOM 3341  C CA  . LYS A 1 433 ? 292.374 -30.913 295.369 1.0 68.83261  ? 433 LYS A CA  433 LYS A CA  1 
ATOM 3342  C C   . LYS A 1 433 ? 293.862 -30.613 295.477 1.0 68.83261  ? 433 LYS A C   433 LYS A C   1 
ATOM 3343  O O   . LYS A 1 433 ? 294.295 -29.463 295.396 1.0 68.83261  ? 433 LYS A O   433 LYS A O   1 
ATOM 3344  C CB  . LYS A 1 433 ? 292.074 -31.677 294.077 1.0 68.83261  ? 433 LYS A CB  433 LYS A CB  1 
ATOM 3345  C CG  . LYS A 1 433 ? 290.662 -32.214 293.988 1.0 68.83261  ? 433 LYS A CG  433 LYS A CG  1 
ATOM 3346  C CD  . LYS A 1 433 ? 290.465 -33.018 292.720 1.0 68.83261  ? 433 LYS A CD  433 LYS A CD  1 
ATOM 3347  C CE  . LYS A 1 433 ? 289.052 -33.556 292.626 1.0 68.83261  ? 433 LYS A CE  433 LYS A CE  1 
ATOM 3348  N NZ  . LYS A 1 433 ? 288.847 -34.356 291.392 1.0 68.83261  ? 433 LYS A NZ  433 LYS A NZ  1 
ATOM 3349  N N   . PHE A 1 434 ? 294.649 -31.669 295.656 1.0 74.35911  ? 434 PHE A N   434 PHE A N   1 
ATOM 3350  C CA  . PHE A 1 434 ? 296.096 -31.536 295.696 1.0 74.35911  ? 434 PHE A CA  434 PHE A CA  1 
ATOM 3351  C C   . PHE A 1 434 ? 296.726 -32.713 294.972 1.0 74.35911  ? 434 PHE A C   434 PHE A C   1 
ATOM 3352  O O   . PHE A 1 434 ? 296.200 -33.827 294.991 1.0 74.35911  ? 434 PHE A O   434 PHE A O   1 
ATOM 3353  C CB  . PHE A 1 434 ? 296.630 -31.448 297.140 1.0 74.35911  ? 434 PHE A CB  434 PHE A CB  1 
ATOM 3354  C CG  . PHE A 1 434 ? 296.445 -32.708 297.947 1.0 74.35911  ? 434 PHE A CG  434 PHE A CG  1 
ATOM 3355  C CD1 . PHE A 1 434 ? 295.257 -32.947 298.614 1.0 74.35911  ? 434 PHE A CD1 434 PHE A CD1 1 
ATOM 3356  C CD2 . PHE A 1 434 ? 297.478 -33.629 298.081 1.0 74.35911  ? 434 PHE A CD2 434 PHE A CD2 1 
ATOM 3357  C CE1 . PHE A 1 434 ? 295.086 -34.093 299.362 1.0 74.35911  ? 434 PHE A CE1 434 PHE A CE1 1 
ATOM 3358  C CE2 . PHE A 1 434 ? 297.309 -34.778 298.823 1.0 74.35911  ? 434 PHE A CE2 434 PHE A CE2 1 
ATOM 3359  C CZ  . PHE A 1 434 ? 296.112 -35.009 299.466 1.0 74.35911  ? 434 PHE A CZ  434 PHE A CZ  1 
ATOM 3360  N N   . THR A 1 435 ? 297.853 -32.456 294.337 1.0 78.1299   ? 435 THR A N   435 THR A N   1 
ATOM 3361  C CA  . THR A 1 435 ? 298.635 -33.559 293.817 1.0 78.1299   ? 435 THR A CA  435 THR A CA  1 
ATOM 3362  C C   . THR A 1 435 ? 299.477 -34.171 294.936 1.0 78.1299   ? 435 THR A C   435 THR A C   1 
ATOM 3363  O O   . THR A 1 435 ? 299.884 -33.475 295.870 1.0 78.1299   ? 435 THR A O   435 THR A O   1 
ATOM 3364  C CB  . THR A 1 435 ? 299.524 -33.093 292.661 1.0 78.1299   ? 435 THR A CB  435 THR A CB  1 
ATOM 3365  O OG1 . THR A 1 435 ? 300.282 -34.197 292.152 1.0 78.1299   ? 435 THR A OG1 435 THR A OG1 1 
ATOM 3366  C CG2 . THR A 1 435 ? 300.459 -31.962 293.078 1.0 78.1299   ? 435 THR A CG2 435 THR A CG2 1 
ATOM 3367  N N   . PRO A 1 436 ? 299.693 -35.482 294.908 1.0 80.51018  ? 436 PRO A N   436 PRO A N   1 
ATOM 3368  C CA  . PRO A 1 436 ? 300.534 -36.109 295.930 1.0 80.51018  ? 436 PRO A CA  436 PRO A CA  1 
ATOM 3369  C C   . PRO A 1 436 ? 302.001 -35.776 295.712 1.0 80.51018  ? 436 PRO A C   436 PRO A C   1 
ATOM 3370  O O   . PRO A 1 436 ? 302.405 -35.218 294.691 1.0 80.51018  ? 436 PRO A O   436 PRO A O   1 
ATOM 3371  C CB  . PRO A 1 436 ? 300.270 -37.604 295.742 1.0 80.51018  ? 436 PRO A CB  436 PRO A CB  1 
ATOM 3372  C CG  . PRO A 1 436 ? 298.959 -37.672 295.053 1.0 80.51018  ? 436 PRO A CG  436 PRO A CG  1 
ATOM 3373  C CD  . PRO A 1 436 ? 298.932 -36.484 294.149 1.0 80.51018  ? 436 PRO A CD  436 PRO A CD  1 
ATOM 3374  N N   . ALA A 1 437 ? 302.805 -36.123 296.707 1.0 83.71744  ? 437 ALA A N   437 ALA A N   1 
ATOM 3375  C CA  . ALA A 1 437 ? 304.242 -35.951 296.588 1.0 83.71744  ? 437 ALA A CA  437 ALA A CA  1 
ATOM 3376  C C   . ALA A 1 437 ? 304.833 -37.056 295.725 1.0 83.71744  ? 437 ALA A C   437 ALA A C   1 
ATOM 3377  O O   . ALA A 1 437 ? 304.302 -38.169 295.662 1.0 83.71744  ? 437 ALA A O   437 ALA A O   1 
ATOM 3378  C CB  . ALA A 1 437 ? 304.901 -35.952 297.966 1.0 83.71744  ? 437 ALA A CB  437 ALA A CB  1 
ATOM 3379  N N   . ASN A 1 438 ? 305.922 -36.716 295.029 1.0 85.30376  ? 438 ASN A N   438 ASN A N   1 
ATOM 3380  C CA  . ASN A 1 438 ? 306.758 -37.632 294.249 1.0 85.30376  ? 438 ASN A CA  438 ASN A CA  1 
ATOM 3381  C C   . ASN A 1 438 ? 306.008 -38.324 293.114 1.0 85.30376  ? 438 ASN A C   438 ASN A C   1 
ATOM 3382  O O   . ASN A 1 438 ? 306.395 -39.416 292.691 1.0 85.30376  ? 438 ASN A O   438 ASN A O   1 
ATOM 3383  C CB  . ASN A 1 438 ? 307.425 -38.681 295.146 1.0 85.30376  ? 438 ASN A CB  438 ASN A CB  1 
ATOM 3384  C CG  . ASN A 1 438 ? 308.368 -38.067 296.149 1.0 85.30376  ? 438 ASN A CG  438 ASN A CG  1 
ATOM 3385  O OD1 . ASN A 1 438 ? 308.121 -38.103 297.352 1.0 85.30376  ? 438 ASN A OD1 438 ASN A OD1 1 
ATOM 3386  N ND2 . ASN A 1 438 ? 309.464 -37.503 295.660 1.0 85.30376  ? 438 ASN A ND2 438 ASN A ND2 1 
ATOM 3387  N N   . VAL A 1 439 ? 304.937 -37.719 292.605 1.0 84.13173  ? 439 VAL A N   439 VAL A N   1 
ATOM 3388  C CA  . VAL A 1 439 ? 304.236 -38.247 291.443 1.0 84.13173  ? 439 VAL A CA  439 VAL A CA  1 
ATOM 3389  C C   . VAL A 1 439 ? 304.283 -37.199 290.340 1.0 84.13173  ? 439 VAL A C   439 VAL A C   1 
ATOM 3390  O O   . VAL A 1 439 ? 304.474 -36.006 290.585 1.0 84.13173  ? 439 VAL A O   439 VAL A O   1 
ATOM 3391  C CB  . VAL A 1 439 ? 302.781 -38.650 291.754 1.0 84.13173  ? 439 VAL A CB  439 VAL A CB  1 
ATOM 3392  C CG1 . VAL A 1 439 ? 302.747 -39.757 292.792 1.0 84.13173  ? 439 VAL A CG1 439 VAL A CG1 1 
ATOM 3393  C CG2 . VAL A 1 439 ? 301.989 -37.452 292.223 1.0 84.13173  ? 439 VAL A CG2 439 VAL A CG2 1 
ATOM 3394  N N   . ASP A 1 440 ? 304.112 -37.664 289.107 1.0 85.7808   ? 440 ASP A N   440 ASP A N   1 
ATOM 3395  C CA  . ASP A 1 440 ? 304.242 -36.817 287.929 1.0 85.7808   ? 440 ASP A CA  440 ASP A CA  1 
ATOM 3396  C C   . ASP A 1 440 ? 302.969 -36.902 287.104 1.0 85.7808   ? 440 ASP A C   440 ASP A C   1 
ATOM 3397  O O   . ASP A 1 440 ? 302.614 -37.977 286.609 1.0 85.7808   ? 440 ASP A O   440 ASP A O   1 
ATOM 3398  C CB  . ASP A 1 440 ? 305.456 -37.227 287.098 1.0 85.7808   ? 440 ASP A CB  440 ASP A CB  1 
ATOM 3399  C CG  . ASP A 1 440 ? 306.759 -36.939 287.806 1.0 85.7808   ? 440 ASP A CG  440 ASP A CG  1 
ATOM 3400  O OD1 . ASP A 1 440 ? 306.791 -35.991 288.619 1.0 85.7808   ? 440 ASP A OD1 440 ASP A OD1 1 
ATOM 3401  O OD2 . ASP A 1 440 ? 307.749 -37.658 287.554 1.0 85.7808   ? 440 ASP A OD2 440 ASP A OD2 1 
ATOM 3402  N N   . LEU A 1 441 ? 302.310 -35.798 286.958 1.0 83.53561  ? 441 LEU A N   441 LEU A N   1 
ATOM 3403  C CA  . LEU A 1 441 ? 301.078 -35.619 286.219 1.0 83.53561  ? 441 LEU A CA  441 LEU A CA  1 
ATOM 3404  C C   . LEU A 1 441 ? 301.367 -35.045 284.837 1.0 83.53561  ? 441 LEU A C   441 LEU A C   1 
ATOM 3405  O O   . LEU A 1 441 ? 302.390 -34.381 284.641 1.0 83.53561  ? 441 LEU A O   441 LEU A O   1 
ATOM 3406  C CB  . LEU A 1 441 ? 300.137 -34.681 286.982 1.0 83.53561  ? 441 LEU A CB  441 LEU A CB  1 
ATOM 3407  C CG  . LEU A 1 441 ? 299.683 -35.220 288.337 1.0 83.53561  ? 441 LEU A CG  441 LEU A CG  1 
ATOM 3408  C CD1 . LEU A 1 441 ? 298.793 -34.223 289.063 1.0 83.53561  ? 441 LEU A CD1 441 LEU A CD1 1 
ATOM 3409  C CD2 . LEU A 1 441 ? 298.986 -36.550 288.165 1.0 83.53561  ? 441 LEU A CD2 441 LEU A CD2 1 
ATOM 3410  N N   . PRO A 1 442 ? 300.510 -35.301 283.849 1.0 83.80519  ? 442 PRO A N   442 PRO A N   1 
ATOM 3411  C CA  . PRO A 1 442 ? 300.665 -34.637 282.551 1.0 83.80519  ? 442 PRO A CA  442 PRO A CA  1 
ATOM 3412  C C   . PRO A 1 442 ? 300.401 -33.142 282.650 1.0 83.80519  ? 442 PRO A C   442 PRO A C   1 
ATOM 3413  O O   . PRO A 1 442 ? 299.783 -32.647 283.594 1.0 83.80519  ? 442 PRO A O   442 PRO A O   1 
ATOM 3414  C CB  . PRO A 1 442 ? 299.628 -35.334 281.665 1.0 83.80519  ? 442 PRO A CB  442 PRO A CB  1 
ATOM 3415  C CG  . PRO A 1 442 ? 298.643 -35.907 282.611 1.0 83.80519  ? 442 PRO A CG  442 PRO A CG  1 
ATOM 3416  C CD  . PRO A 1 442 ? 299.426 -36.299 283.820 1.0 83.80519  ? 442 PRO A CD  442 PRO A CD  1 
ATOM 3417  N N   . GLU A 1 443 ? 300.896 -32.420 281.645 1.0 86.77898  ? 443 GLU A N   443 GLU A N   1 
ATOM 3418  C CA  . GLU A 1 443 ? 300.970 -30.967 281.737 1.0 86.77898  ? 443 GLU A CA  443 GLU A CA  1 
ATOM 3419  C C   . GLU A 1 443 ? 299.610 -30.307 281.563 1.0 86.77898  ? 443 GLU A C   443 GLU A C   1 
ATOM 3420  O O   . GLU A 1 443 ? 299.317 -29.308 282.228 1.0 86.77898  ? 443 GLU A O   443 GLU A O   1 
ATOM 3421  C CB  . GLU A 1 443 ? 301.954 -30.429 280.701 1.0 86.77898  ? 443 GLU A CB  443 GLU A CB  1 
ATOM 3422  C CG  . GLU A 1 443 ? 303.397 -30.810 280.970 1.0 86.77898  ? 443 GLU A CG  443 GLU A CG  1 
ATOM 3423  C CD  . GLU A 1 443 ? 304.345 -30.258 279.928 1.0 86.77898  ? 443 GLU A CD  443 GLU A CD  1 
ATOM 3424  O OE1 . GLU A 1 443 ? 303.861 -29.700 278.920 1.0 86.77898  ? 443 GLU A OE1 443 GLU A OE1 1 
ATOM 3425  O OE2 . GLU A 1 443 ? 305.573 -30.374 280.120 1.0 86.77898  ? 443 GLU A OE2 443 GLU A OE2 1 
ATOM 3426  N N   . ASN A 1 444 ? 298.772 -30.840 280.682 1.0 83.81501  ? 444 ASN A N   444 ASN A N   1 
ATOM 3427  C CA  . ASN A 1 444 ? 297.494 -30.206 280.411 1.0 83.81501  ? 444 ASN A CA  444 ASN A CA  1 
ATOM 3428  C C   . ASN A 1 444 ? 296.446 -30.600 281.441 1.0 83.81501  ? 444 ASN A C   444 ASN A C   1 
ATOM 3429  O O   . ASN A 1 444 ? 296.518 -31.658 282.070 1.0 83.81501  ? 444 ASN A O   444 ASN A O   1 
ATOM 3430  C CB  . ASN A 1 444 ? 296.995 -30.544 279.001 1.0 83.81501  ? 444 ASN A CB  444 ASN A CB  1 
ATOM 3431  C CG  . ASN A 1 444 ? 296.910 -32.040 278.732 1.0 83.81501  ? 444 ASN A CG  444 ASN A CG  1 
ATOM 3432  O OD1 . ASN A 1 444 ? 297.271 -32.870 279.566 1.0 83.81501  ? 444 ASN A OD1 444 ASN A OD1 1 
ATOM 3433  N ND2 . ASN A 1 444 ? 296.396 -32.389 277.558 1.0 83.81501  ? 444 ASN A ND2 444 ASN A ND2 1 
ATOM 3434  N N   . HIS A 1 445 ? 295.465 -29.724 281.610 1.0 79.35329  ? 445 HIS A N   445 HIS A N   1 
ATOM 3435  C CA  . HIS A 1 445 ? 294.245 -30.073 282.310 1.0 79.35329  ? 445 HIS A CA  445 HIS A CA  1 
ATOM 3436  C C   . HIS A 1 445 ? 293.332 -30.821 281.345 1.0 79.35329  ? 445 HIS A C   445 HIS A C   1 
ATOM 3437  O O   . HIS A 1 445 ? 293.681 -31.048 280.182 1.0 79.35329  ? 445 HIS A O   445 HIS A O   1 
ATOM 3438  C CB  . HIS A 1 445 ? 293.579 -28.813 282.850 1.0 79.35329  ? 445 HIS A CB  445 HIS A CB  1 
ATOM 3439  C CG  . HIS A 1 445 ? 294.452 -28.027 283.775 1.0 79.35329  ? 445 HIS A CG  445 HIS A CG  1 
ATOM 3440  N ND1 . HIS A 1 445 ? 294.643 -28.374 285.093 1.0 79.35329  ? 445 HIS A ND1 445 HIS A ND1 1 
ATOM 3441  C CD2 . HIS A 1 445 ? 295.210 -26.926 283.564 1.0 79.35329  ? 445 HIS A CD2 445 HIS A CD2 1 
ATOM 3442  C CE1 . HIS A 1 445 ? 295.468 -27.514 285.659 1.0 79.35329  ? 445 HIS A CE1 445 HIS A CE1 1 
ATOM 3443  N NE2 . HIS A 1 445 ? 295.829 -26.625 284.752 1.0 79.35329  ? 445 HIS A NE2 445 HIS A NE2 1 
ATOM 3444  N N   . LEU A 1 446 ? 292.152 -31.212 281.840 1.0 75.22577  ? 446 LEU A N   446 LEU A N   1 
ATOM 3445  C CA  . LEU A 1 446 ? 291.080 -31.837 281.048 1.0 75.22577  ? 446 LEU A CA  446 LEU A CA  1 
ATOM 3446  C C   . LEU A 1 446 ? 291.530 -33.137 280.382 1.0 75.22577  ? 446 LEU A C   446 LEU A C   1 
ATOM 3447  O O   . LEU A 1 446 ? 291.066 -33.482 279.294 1.0 75.22577  ? 446 LEU A O   446 LEU A O   1 
ATOM 3448  C CB  . LEU A 1 446 ? 290.505 -30.874 279.996 1.0 75.22577  ? 446 LEU A CB  446 LEU A CB  1 
ATOM 3449  C CG  . LEU A 1 446 ? 289.508 -29.785 280.410 1.0 75.22577  ? 446 LEU A CG  446 LEU A CG  1 
ATOM 3450  C CD1 . LEU A 1 446 ? 290.176 -28.620 281.128 1.0 75.22577  ? 446 LEU A CD1 446 LEU A CD1 1 
ATOM 3451  C CD2 . LEU A 1 446 ? 288.741 -29.283 279.204 1.0 75.22577  ? 446 LEU A CD2 446 LEU A CD2 1 
ATOM 3452  N N   . SER A 1 447 ? 292.446 -33.857 281.017 1.0 73.68457  ? 447 SER A N   447 SER A N   1 
ATOM 3453  C CA  . SER A 1 447 ? 292.920 -35.144 280.540 1.0 73.68457  ? 447 SER A CA  447 SER A CA  1 
ATOM 3454  C C   . SER A 1 447 ? 292.681 -36.186 281.620 1.0 73.68457  ? 447 SER A C   447 SER A C   1 
ATOM 3455  O O   . SER A 1 447 ? 292.346 -35.863 282.759 1.0 73.68457  ? 447 SER A O   447 SER A O   1 
ATOM 3456  C CB  . SER A 1 447 ? 294.404 -35.090 280.170 1.0 73.68457  ? 447 SER A CB  447 SER A CB  1 
ATOM 3457  O OG  . SER A 1 447 ? 295.196 -34.877 281.320 1.0 73.68457  ? 447 SER A OG  447 SER A OG  1 
ATOM 3458  N N   . TYR A 1 448 ? 292.859 -37.453 281.260 1.0 68.59596  ? 448 TYR A N   448 TYR A N   1 
ATOM 3459  C CA  . TYR A 1 448 ? 292.596 -38.501 282.236 1.0 68.59596  ? 448 TYR A CA  448 TYR A CA  1 
ATOM 3460  C C   . TYR A 1 448 ? 293.732 -38.662 283.227 1.0 68.59596  ? 448 TYR A C   448 TYR A C   1 
ATOM 3461  O O   . TYR A 1 448 ? 293.476 -38.912 284.406 1.0 68.59596  ? 448 TYR A O   448 TYR A O   1 
ATOM 3462  C CB  . TYR A 1 448 ? 292.339 -39.830 281.545 1.0 68.59596  ? 448 TYR A CB  448 TYR A CB  1 
ATOM 3463  C CG  . TYR A 1 448 ? 291.987 -40.939 282.507 1.0 68.59596  ? 448 TYR A CG  448 TYR A CG  1 
ATOM 3464  C CD1 . TYR A 1 448 ? 290.758 -40.958 283.150 1.0 68.59596  ? 448 TYR A CD1 448 TYR A CD1 1 
ATOM 3465  C CD2 . TYR A 1 448 ? 292.876 -41.974 282.759 1.0 68.59596  ? 448 TYR A CD2 448 TYR A CD2 1 
ATOM 3466  C CE1 . TYR A 1 448 ? 290.428 -41.968 284.025 1.0 68.59596  ? 448 TYR A CE1 448 TYR A CE1 1 
ATOM 3467  C CE2 . TYR A 1 448 ? 292.553 -42.990 283.632 1.0 68.59596  ? 448 TYR A CE2 448 TYR A CE2 1 
ATOM 3468  C CZ  . TYR A 1 448 ? 291.328 -42.979 284.259 1.0 68.59596  ? 448 TYR A CZ  448 TYR A CZ  1 
ATOM 3469  O OH  . TYR A 1 448 ? 291.002 -43.988 285.129 1.0 68.59596  ? 448 TYR A OH  448 TYR A OH  1 
ATOM 3470  N N   . GLY A 1 449 ? 294.980 -38.514 282.780 1.0 72.49397  ? 449 GLY A N   449 GLY A N   1 
ATOM 3471  C CA  . GLY A 1 449 ? 296.116 -38.675 283.670 1.0 72.49397  ? 449 GLY A CA  449 GLY A CA  1 
ATOM 3472  C C   . GLY A 1 449 ? 296.235 -37.596 284.723 1.0 72.49397  ? 449 GLY A C   449 GLY A C   1 
ATOM 3473  O O   . GLY A 1 449 ? 296.921 -37.800 285.729 1.0 72.49397  ? 449 GLY A O   449 GLY A O   1 
ATOM 3474  N N   . TYR A 1 450 ? 295.578 -36.459 284.520 1.0 73.93564  ? 450 TYR A N   450 TYR A N   1 
ATOM 3475  C CA  . TYR A 1 450 ? 295.586 -35.372 285.484 1.0 73.93564  ? 450 TYR A CA  450 TYR A CA  1 
ATOM 3476  C C   . TYR A 1 450 ? 294.465 -35.495 286.509 1.0 73.93564  ? 450 TYR A C   450 TYR A C   1 
ATOM 3477  O O   . TYR A 1 450 ? 294.698 -35.289 287.703 1.0 73.93564  ? 450 TYR A O   450 TYR A O   1 
ATOM 3478  C CB  . TYR A 1 450 ? 295.475 -34.036 284.751 1.0 73.93564  ? 450 TYR A CB  450 TYR A CB  1 
ATOM 3479  C CG  . TYR A 1 450 ? 295.523 -32.834 285.654 1.0 73.93564  ? 450 TYR A CG  450 TYR A CG  1 
ATOM 3480  C CD1 . TYR A 1 450 ? 296.727 -32.382 286.170 1.0 73.93564  ? 450 TYR A CD1 450 TYR A CD1 1 
ATOM 3481  C CD2 . TYR A 1 450 ? 294.365 -32.149 285.986 1.0 73.93564  ? 450 TYR A CD2 450 TYR A CD2 1 
ATOM 3482  C CE1 . TYR A 1 450 ? 296.778 -31.283 286.994 1.0 73.93564  ? 450 TYR A CE1 450 TYR A CE1 1 
ATOM 3483  C CE2 . TYR A 1 450 ? 294.403 -31.058 286.815 1.0 73.93564  ? 450 TYR A CE2 450 TYR A CE2 1 
ATOM 3484  C CZ  . TYR A 1 450 ? 295.614 -30.623 287.311 1.0 73.93564  ? 450 TYR A CZ  450 TYR A CZ  1 
ATOM 3485  O OH  . TYR A 1 450 ? 295.662 -29.529 288.139 1.0 73.93564  ? 450 TYR A OH  450 TYR A OH  1 
ATOM 3486  N N   . ILE A 1 451 ? 293.246 -35.807 286.062 1.0 69.46721  ? 451 ILE A N   451 ILE A N   1 
ATOM 3487  C CA  . ILE A 1 451 ? 292.112 -35.897 286.977 1.0 69.46721  ? 451 ILE A CA  451 ILE A CA  1 
ATOM 3488  C C   . ILE A 1 451 ? 292.232 -37.137 287.851 1.0 69.46721  ? 451 ILE A C   451 ILE A C   1 
ATOM 3489  O O   . ILE A 1 451 ? 291.836 -37.124 289.024 1.0 69.46721  ? 451 ILE A O   451 ILE A O   1 
ATOM 3490  C CB  . ILE A 1 451 ? 290.797 -35.880 286.177 1.0 69.46721  ? 451 ILE A CB  451 ILE A CB  1 
ATOM 3491  C CG1 . ILE A 1 451 ? 290.722 -34.625 285.320 1.0 69.46721  ? 451 ILE A CG1 451 ILE A CG1 1 
ATOM 3492  C CG2 . ILE A 1 451 ? 289.592 -35.858 287.092 1.0 69.46721  ? 451 ILE A CG2 451 ILE A CG2 1 
ATOM 3493  C CD1 . ILE A 1 451 ? 289.618 -34.671 284.300 1.0 69.46721  ? 451 ILE A CD1 451 ILE A CD1 1 
ATOM 3494  N N   . ASN A 1 452 ? 292.807 -38.213 287.312 1.0 69.88401  ? 452 ASN A N   452 ASN A N   1 
ATOM 3495  C CA  . ASN A 1 452 ? 293.012 -39.423 288.097 1.0 69.88401  ? 452 ASN A CA  452 ASN A CA  1 
ATOM 3496  C C   . ASN A 1 452 ? 294.054 -39.211 289.183 1.0 69.88401  ? 452 ASN A C   452 ASN A C   1 
ATOM 3497  O O   . ASN A 1 452 ? 293.943 -39.791 290.266 1.0 69.88401  ? 452 ASN A O   452 ASN A O   1 
ATOM 3498  C CB  . ASN A 1 452 ? 293.446 -40.559 287.182 1.0 69.88401  ? 452 ASN A CB  452 ASN A CB  1 
ATOM 3499  C CG  . ASN A 1 452 ? 293.044 -41.913 287.689 1.0 69.88401  ? 452 ASN A CG  452 ASN A CG  1 
ATOM 3500  O OD1 . ASN A 1 452 ? 293.097 -42.877 286.941 1.0 69.88401  ? 452 ASN A OD1 452 ASN A OD1 1 
ATOM 3501  N ND2 . ASN A 1 452 ? 292.605 -41.997 288.941 1.0 69.88401  ? 452 ASN A ND2 452 ASN A ND2 1 
ATOM 3502  N N   . GLY A 1 453 ? 295.059 -38.376 288.920 1.0 72.45479  ? 453 GLY A N   453 GLY A N   1 
ATOM 3503  C CA  . GLY A 1 453 ? 296.168 -38.248 289.843 1.0 72.45479  ? 453 GLY A CA  453 GLY A CA  1 
ATOM 3504  C C   . GLY A 1 453 ? 295.904 -37.374 291.045 1.0 72.45479  ? 453 GLY A C   453 GLY A C   1 
ATOM 3505  O O   . GLY A 1 453 ? 296.636 -37.472 292.032 1.0 72.45479  ? 453 GLY A O   453 GLY A O   1 
ATOM 3506  N N   . ARG A 1 454 ? 294.886 -36.524 290.993 1.0 71.41138  ? 454 ARG A N   454 ARG A N   1 
ATOM 3507  C CA  . ARG A 1 454 ? 294.642 -35.577 292.069 1.0 71.41138  ? 454 ARG A CA  454 ARG A CA  1 
ATOM 3508  C C   . ARG A 1 454 ? 293.697 -36.158 293.109 1.0 71.41138  ? 454 ARG A C   454 ARG A C   1 
ATOM 3509  O O   . ARG A 1 454 ? 292.817 -36.964 292.801 1.0 71.41138  ? 454 ARG A O   454 ARG A O   1 
ATOM 3510  C CB  . ARG A 1 454 ? 294.074 -34.271 291.523 1.0 71.41138  ? 454 ARG A CB  454 ARG A CB  1 
ATOM 3511  C CG  . ARG A 1 454 ? 295.055 -33.495 290.679 1.0 71.41138  ? 454 ARG A CG  454 ARG A CG  1 
ATOM 3512  C CD  . ARG A 1 454 ? 294.438 -32.216 290.174 1.0 71.41138  ? 454 ARG A CD  454 ARG A CD  1 
ATOM 3513  N NE  . ARG A 1 454 ? 294.159 -31.252 291.231 1.0 71.41138  ? 454 ARG A NE  454 ARG A NE  1 
ATOM 3514  C CZ  . ARG A 1 454 ? 295.030 -30.345 291.656 1.0 71.41138  ? 454 ARG A CZ  454 ARG A CZ  1 
ATOM 3515  N NH1 . ARG A 1 454 ? 296.236 -30.285 291.119 1.0 71.41138  ? 454 ARG A NH1 454 ARG A NH1 1 
ATOM 3516  N NH2 . ARG A 1 454 ? 294.694 -29.498 292.616 1.0 71.41138  ? 454 ARG A NH2 454 ARG A NH2 1 
ATOM 3517  N N   . LEU A 1 455 ? 293.896 -35.744 294.354 1.0 71.84446  ? 455 LEU A N   455 LEU A N   1 
ATOM 3518  C CA  . LEU A 1 455 ? 293.146 -36.254 295.487 1.0 71.84446  ? 455 LEU A CA  455 LEU A CA  1 
ATOM 3519  C C   . LEU A 1 455 ? 292.595 -35.091 296.297 1.0 71.84446  ? 455 LEU A C   455 LEU A C   1 
ATOM 3520  O O   . LEU A 1 455 ? 293.223 -34.032 296.368 1.0 71.84446  ? 455 LEU A O   455 LEU A O   1 
ATOM 3521  C CB  . LEU A 1 455 ? 294.024 -37.148 296.378 1.0 71.84446  ? 455 LEU A CB  455 LEU A CB  1 
ATOM 3522  C CG  . LEU A 1 455 ? 294.250 -38.586 295.891 1.0 71.84446  ? 455 LEU A CG  455 LEU A CG  1 
ATOM 3523  C CD1 . LEU A 1 455 ? 295.361 -38.723 294.858 1.0 71.84446  ? 455 LEU A CD1 455 LEU A CD1 1 
ATOM 3524  C CD2 . LEU A 1 455 ? 294.483 -39.527 297.045 1.0 71.84446  ? 455 LEU A CD2 455 LEU A CD2 1 
ATOM 3525  N N   . PRO A 1 456 ? 291.422 -35.248 296.905 1.0 68.90496  ? 456 PRO A N   456 PRO A N   1 
ATOM 3526  C CA  . PRO A 1 456 ? 290.800 -34.124 297.608 1.0 68.90496  ? 456 PRO A CA  456 PRO A CA  1 
ATOM 3527  C C   . PRO A 1 456 ? 291.400 -33.874 298.982 1.0 68.90496  ? 456 PRO A C   456 PRO A C   1 
ATOM 3528  O O   . PRO A 1 456 ? 291.976 -34.758 299.617 1.0 68.90496  ? 456 PRO A O   456 PRO A O   1 
ATOM 3529  C CB  . PRO A 1 456 ? 289.343 -34.563 297.740 1.0 68.90496  ? 456 PRO A CB  456 PRO A CB  1 
ATOM 3530  C CG  . PRO A 1 456 ? 289.401 -36.023 297.750 1.0 68.90496  ? 456 PRO A CG  456 PRO A CG  1 
ATOM 3531  C CD  . PRO A 1 456 ? 290.513 -36.405 296.832 1.0 68.90496  ? 456 PRO A CD  456 PRO A CD  1 
ATOM 3532  N N   . LEU A 1 457 ? 291.230 -32.633 299.436 1.0 71.60904  ? 457 LEU A N   457 LEU A N   1 
ATOM 3533  C CA  . LEU A 1 457 ? 291.634 -32.246 300.776 1.0 71.60904  ? 457 LEU A CA  457 LEU A CA  1 
ATOM 3534  C C   . LEU A 1 457 ? 290.765 -32.955 301.814 1.0 71.60904  ? 457 LEU A C   457 LEU A C   1 
ATOM 3535  O O   . LEU A 1 457 ? 289.598 -33.253 301.553 1.0 71.60904  ? 457 LEU A O   457 LEU A O   1 
ATOM 3536  C CB  . LEU A 1 457 ? 291.521 -30.734 300.942 1.0 71.60904  ? 457 LEU A CB  457 LEU A CB  1 
ATOM 3537  C CG  . LEU A 1 457 ? 292.494 -29.891 300.122 1.0 71.60904  ? 457 LEU A CG  457 LEU A CG  1 
ATOM 3538  C CD1 . LEU A 1 457 ? 292.155 -28.419 300.255 1.0 71.60904  ? 457 LEU A CD1 457 LEU A CD1 1 
ATOM 3539  C CD2 . LEU A 1 457 ? 293.918 -30.149 300.564 1.0 71.60904  ? 457 LEU A CD2 457 LEU A CD2 1 
ATOM 3540  N N   . PRO A 1 458 ? 291.318 -33.258 302.994 1.0 72.60886  ? 458 PRO A N   458 PRO A N   1 
ATOM 3541  C CA  . PRO A 1 458 ? 290.560 -34.085 303.947 1.0 72.60886  ? 458 PRO A CA  458 PRO A CA  1 
ATOM 3542  C C   . PRO A 1 458 ? 289.411 -33.367 304.637 1.0 72.60886  ? 458 PRO A C   458 PRO A C   1 
ATOM 3543  O O   . PRO A 1 458 ? 288.328 -33.949 304.768 1.0 72.60886  ? 458 PRO A O   458 PRO A O   1 
ATOM 3544  C CB  . PRO A 1 458 ? 291.633 -34.522 304.952 1.0 72.60886  ? 458 PRO A CB  458 PRO A CB  1 
ATOM 3545  C CG  . PRO A 1 458 ? 292.921 -34.378 304.223 1.0 72.60886  ? 458 PRO A CG  458 PRO A CG  1 
ATOM 3546  C CD  . PRO A 1 458 ? 292.741 -33.180 303.358 1.0 72.60886  ? 458 PRO A CD  458 PRO A CD  1 
ATOM 3547  N N   . ASN A 1 459 ? 289.600 -32.131 305.089 1.0 73.64962  ? 459 ASN A N   459 ASN A N   1 
ATOM 3548  C CA  . ASN A 1 459 ? 288.625 -31.505 305.975 1.0 73.64962  ? 459 ASN A CA  459 ASN A CA  1 
ATOM 3549  C C   . ASN A 1 459 ? 287.490 -30.795 305.255 1.0 73.64962  ? 459 ASN A C   459 ASN A C   1 
ATOM 3550  O O   . ASN A 1 459 ? 286.707 -30.108 305.918 1.0 73.64962  ? 459 ASN A O   459 ASN A O   1 
ATOM 3551  C CB  . ASN A 1 459 ? 289.300 -30.497 306.906 1.0 73.64962  ? 459 ASN A CB  459 ASN A CB  1 
ATOM 3552  C CG  . ASN A 1 459 ? 290.103 -31.156 307.996 1.0 73.64962  ? 459 ASN A CG  459 ASN A CG  1 
ATOM 3553  O OD1 . ASN A 1 459 ? 289.719 -32.197 308.525 1.0 73.64962  ? 459 ASN A OD1 459 ASN A OD1 1 
ATOM 3554  N ND2 . ASN A 1 459 ? 291.207 -30.526 308.372 1.0 73.64962  ? 459 ASN A ND2 459 ASN A ND2 1 
ATOM 3555  N N   . ILE A 1 460 ? 287.375 -30.915 303.933 1.0 72.47856  ? 460 ILE A N   460 ILE A N   1 
ATOM 3556  C CA  . ILE A 1 460 ? 286.288 -30.198 303.277 1.0 72.47856  ? 460 ILE A CA  460 ILE A CA  1 
ATOM 3557  C C   . ILE A 1 460 ? 284.960 -30.917 303.488 1.0 72.47856  ? 460 ILE A C   460 ILE A C   1 
ATOM 3558  O O   . ILE A 1 460 ? 283.919 -30.266 303.628 1.0 72.47856  ? 460 ILE A O   460 ILE A O   1 
ATOM 3559  C CB  . ILE A 1 460 ? 286.608 -29.950 301.788 1.0 72.47856  ? 460 ILE A CB  460 ILE A CB  1 
ATOM 3560  C CG1 . ILE A 1 460 ? 286.984 -31.235 301.045 1.0 72.47856  ? 460 ILE A CG1 460 ILE A CG1 1 
ATOM 3561  C CG2 . ILE A 1 460 ? 287.713 -28.916 301.638 1.0 72.47856  ? 460 ILE A CG2 460 ILE A CG2 1 
ATOM 3562  C CD1 . ILE A 1 460 ? 285.836 -31.906 300.317 1.0 72.47856  ? 460 ILE A CD1 460 ILE A CD1 1 
ATOM 3563  N N   . VAL A 1 461 ? 284.962 -32.252 303.513 1.0 71.10738  ? 461 VAL A N   461 VAL A N   1 
ATOM 3564  C CA  . VAL A 1 461 ? 283.796 -33.037 303.899 1.0 71.10738  ? 461 VAL A CA  461 VAL A CA  1 
ATOM 3565  C C   . VAL A 1 461 ? 284.247 -34.143 304.840 1.0 71.10738  ? 461 VAL A C   461 VAL A C   1 
ATOM 3566  O O   . VAL A 1 461 ? 285.397 -34.593 304.800 1.0 71.10738  ? 461 VAL A O   461 VAL A O   1 
ATOM 3567  C CB  . VAL A 1 461 ? 283.010 -33.658 302.708 1.0 71.10738  ? 461 VAL A CB  461 VAL A CB  1 
ATOM 3568  C CG1 . VAL A 1 461 ? 282.425 -32.601 301.797 1.0 71.10738  ? 461 VAL A CG1 461 VAL A CG1 1 
ATOM 3569  C CG2 . VAL A 1 461 ? 283.860 -34.626 301.924 1.0 71.10738  ? 461 VAL A CG2 461 VAL A CG2 1 
ATOM 3570  N N   . ASP A 1 462 ? 283.325 -34.559 305.699 1.0 71.46771  ? 462 ASP A N   462 ASP A N   1 
ATOM 3571  C CA  . ASP A 1 462 ? 283.465 -35.695 306.600 1.0 71.46771  ? 462 ASP A CA  462 ASP A CA  1 
ATOM 3572  C C   . ASP A 1 462 ? 282.048 -36.027 307.056 1.0 71.46771  ? 462 ASP A C   462 ASP A C   1 
ATOM 3573  O O   . ASP A 1 462 ? 281.077 -35.485 306.524 1.0 71.46771  ? 462 ASP A O   462 ASP A O   1 
ATOM 3574  C CB  . ASP A 1 462 ? 284.423 -35.360 307.751 1.0 71.46771  ? 462 ASP A CB  462 ASP A CB  1 
ATOM 3575  C CG  . ASP A 1 462 ? 284.957 -36.588 308.462 1.0 71.46771  ? 462 ASP A CG  462 ASP A CG  1 
ATOM 3576  O OD1 . ASP A 1 462 ? 284.568 -37.712 308.084 1.0 71.46771  ? 462 ASP A OD1 462 ASP A OD1 1 
ATOM 3577  O OD2 . ASP A 1 462 ? 285.760 -36.420 309.405 1.0 71.46771  ? 462 ASP A OD2 462 ASP A OD2 1 
ATOM 3578  N N   . THR A 1 463 ? 281.908 -36.889 308.056 1.0 68.98503  ? 463 THR A N   463 THR A N   1 
ATOM 3579  C CA  . THR A 1 463 ? 280.574 -37.187 308.558 1.0 68.98503  ? 463 THR A CA  463 THR A CA  1 
ATOM 3580  C C   . THR A 1 463 ? 280.010 -36.096 309.466 1.0 68.98503  ? 463 THR A C   463 THR A C   1 
ATOM 3581  O O   . THR A 1 463 ? 278.888 -36.251 309.959 1.0 68.98503  ? 463 THR A O   463 THR A O   1 
ATOM 3582  C CB  . THR A 1 463 ? 280.580 -38.530 309.289 1.0 68.98503  ? 463 THR A CB  463 THR A CB  1 
ATOM 3583  O OG1 . THR A 1 463 ? 279.248 -38.867 309.691 1.0 68.98503  ? 463 THR A OG1 463 THR A OG1 1 
ATOM 3584  C CG2 . THR A 1 463 ? 281.465 -38.466 310.496 1.0 68.98503  ? 463 THR A CG2 463 THR A CG2 1 
ATOM 3585  N N   . TRP A 1 464 ? 280.734 -34.994 309.686 1.0 67.27778  ? 464 TRP A N   464 TRP A N   1 
ATOM 3586  C CA  . TRP A 1 464 ? 280.242 -33.888 310.493 1.0 67.27778  ? 464 TRP A CA  464 TRP A CA  1 
ATOM 3587  C C   . TRP A 1 464 ? 279.807 -32.667 309.697 1.0 67.27778  ? 464 TRP A C   464 TRP A C   1 
ATOM 3588  O O   . TRP A 1 464 ? 279.265 -31.734 310.298 1.0 67.27778  ? 464 TRP A O   464 TRP A O   1 
ATOM 3589  C CB  . TRP A 1 464 ? 281.304 -33.434 311.509 1.0 67.27778  ? 464 TRP A CB  464 TRP A CB  1 
ATOM 3590  C CG  . TRP A 1 464 ? 282.623 -33.017 310.905 1.0 67.27778  ? 464 TRP A CG  464 TRP A CG  1 
ATOM 3591  C CD1 . TRP A 1 464 ? 283.715 -33.798 310.754 1.0 67.27778  ? 464 TRP A CD1 464 TRP A CD1 1 
ATOM 3592  C CD2 . TRP A 1 464 ? 282.979 -31.727 310.369 1.0 67.27778  ? 464 TRP A CD2 464 TRP A CD2 1 
ATOM 3593  N NE1 . TRP A 1 464 ? 284.734 -33.086 310.169 1.0 67.27778  ? 464 TRP A NE1 464 TRP A NE1 1 
ATOM 3594  C CE2 . TRP A 1 464 ? 284.303 -31.814 309.919 1.0 67.27778  ? 464 TRP A CE2 464 TRP A CE2 1 
ATOM 3595  C CE3 . TRP A 1 464 ? 282.304 -30.511 310.233 1.0 67.27778  ? 464 TRP A CE3 464 TRP A CE3 1 
ATOM 3596  C CZ2 . TRP A 1 464 ? 284.966 -30.740 309.340 1.0 67.27778  ? 464 TRP A CZ2 464 TRP A CZ2 1 
ATOM 3597  C CZ3 . TRP A 1 464 ? 282.963 -29.448 309.655 1.0 67.27778  ? 464 TRP A CZ3 464 TRP A CZ3 1 
ATOM 3598  C CH2 . TRP A 1 464 ? 284.275 -29.573 309.207 1.0 67.27778  ? 464 TRP A CH2 464 TRP A CH2 1 
ATOM 3599  N N   . THR A 1 465 ? 280.060 -32.608 308.390 1.0 66.00146  ? 465 THR A N   465 THR A N   1 
ATOM 3600  C CA  . THR A 1 465 ? 279.907 -31.341 307.684 1.0 66.00146  ? 465 THR A CA  465 THR A CA  1 
ATOM 3601  C C   . THR A 1 465 ? 278.437 -31.030 307.411 1.0 66.00146  ? 465 THR A C   465 THR A C   1 
ATOM 3602  O O   . THR A 1 465 ? 277.709 -31.838 306.819 1.0 66.00146  ? 465 THR A O   465 THR A O   1 
ATOM 3603  C CB  . THR A 1 465 ? 280.752 -31.308 306.401 1.0 66.00146  ? 465 THR A CB  465 THR A CB  1 
ATOM 3604  O OG1 . THR A 1 465 ? 280.555 -30.059 305.727 1.0 66.00146  ? 465 THR A OG1 465 THR A OG1 1 
ATOM 3605  C CG2 . THR A 1 465 ? 280.482 -32.469 305.460 1.0 66.00146  ? 465 THR A CG2 465 THR A CG2 1 
ATOM 3606  N N   . ASP A 1 466 ? 278.015 -29.850 307.884 1.0 63.98846  ? 466 ASP A N   466 ASP A N   1 
ATOM 3607  C CA  . ASP A 1 466 ? 276.618 -29.409 307.924 1.0 63.98846  ? 466 ASP A CA  466 ASP A CA  1 
ATOM 3608  C C   . ASP A 1 466 ? 275.728 -30.479 308.545 1.0 63.98846  ? 466 ASP A C   466 ASP A C   1 
ATOM 3609  O O   . ASP A 1 466 ? 274.799 -30.991 307.918 1.0 63.98846  ? 466 ASP A O   466 ASP A O   1 
ATOM 3610  C CB  . ASP A 1 466 ? 276.126 -29.011 306.534 1.0 63.98846  ? 466 ASP A CB  466 ASP A CB  1 
ATOM 3611  C CG  . ASP A 1 466 ? 276.795 -27.751 306.026 1.0 63.98846  ? 466 ASP A CG  466 ASP A CG  1 
ATOM 3612  O OD1 . ASP A 1 466 ? 277.171 -26.904 306.863 1.0 63.98846  ? 466 ASP A OD1 466 ASP A OD1 1 
ATOM 3613  O OD2 . ASP A 1 466 ? 276.955 -27.611 304.796 1.0 63.98846  ? 466 ASP A OD2 466 ASP A OD2 1 
ATOM 3614  N N   . ILE A 1 467 ? 276.060 -30.849 309.783 1.0 62.77293  ? 467 ILE A N   467 ILE A N   1 
ATOM 3615  C CA  . ILE A 1 467 ? 275.464 -32.027 310.394 1.0 62.77293  ? 467 ILE A CA  467 ILE A CA  1 
ATOM 3616  C C   . ILE A 1 467 ? 274.015 -31.738 310.757 1.0 62.77293  ? 467 ILE A C   467 ILE A C   1 
ATOM 3617  O O   . ILE A 1 467 ? 273.674 -30.658 311.256 1.0 62.77293  ? 467 ILE A O   467 ILE A O   1 
ATOM 3618  C CB  . ILE A 1 467 ? 276.315 -32.494 311.589 1.0 62.77293  ? 467 ILE A CB  467 ILE A CB  1 
ATOM 3619  C CG1 . ILE A 1 467 ? 275.812 -33.828 312.131 1.0 62.77293  ? 467 ILE A CG1 467 ILE A CG1 1 
ATOM 3620  C CG2 . ILE A 1 467 ? 276.444 -31.427 312.672 1.0 62.77293  ? 467 ILE A CG2 467 ILE A CG2 1 
ATOM 3621  C CD1 . ILE A 1 467 ? 275.957 -34.960 311.158 1.0 62.77293  ? 467 ILE A CD1 467 ILE A CD1 1 
ATOM 3622  N N   . GLY A 1 468 ? 273.139 -32.675 310.416 1.0 62.0846   ? 468 GLY A N   468 GLY A N   1 
ATOM 3623  C CA  . GLY A 1 468 ? 271.718 -32.483 310.566 1.0 62.0846   ? 468 GLY A CA  468 GLY A CA  1 
ATOM 3624  C C   . GLY A 1 468 ? 271.071 -31.616 309.513 1.0 62.0846   ? 468 GLY A C   468 GLY A C   1 
ATOM 3625  O O   . GLY A 1 468 ? 269.859 -31.385 309.591 1.0 62.0846   ? 468 GLY A O   468 GLY A O   1 
ATOM 3626  N N   . ALA A 1 469 ? 271.825 -31.133 308.531 1.0 61.15503  ? 469 ALA A N   469 ALA A N   1 
ATOM 3627  C CA  . ALA A 1 469 ? 271.326 -30.178 307.554 1.0 61.15503  ? 469 ALA A CA  469 ALA A CA  1 
ATOM 3628  C C   . ALA A 1 469 ? 271.268 -30.817 306.178 1.0 61.15503  ? 469 ALA A C   469 ALA A C   1 
ATOM 3629  O O   . ALA A 1 469 ? 272.267 -31.361 305.699 1.0 61.15503  ? 469 ALA A O   469 ALA A O   1 
ATOM 3630  C CB  . ALA A 1 469 ? 272.203 -28.927 307.502 1.0 61.15503  ? 469 ALA A CB  469 ALA A CB  1 
ATOM 3631  N N   . ARG A 1 470 ? 270.099 -30.746 305.547 1.0 60.40916  ? 470 ARG A N   470 ARG A N   1 
ATOM 3632  C CA  . ARG A 1 470 ? 269.959 -31.086 304.134 1.0 60.40916  ? 470 ARG A CA  470 ARG A CA  1 
ATOM 3633  C C   . ARG A 1 470 ? 270.425 -29.870 303.349 1.0 60.40916  ? 470 ARG A C   470 ARG A C   1 
ATOM 3634  O O   . ARG A 1 470 ? 269.710 -28.884 303.176 1.0 60.40916  ? 470 ARG A O   470 ARG A O   1 
ATOM 3635  C CB  . ARG A 1 470 ? 268.523 -31.486 303.821 1.0 60.40916  ? 470 ARG A CB  470 ARG A CB  1 
ATOM 3636  C CG  . ARG A 1 470 ? 268.217 -31.825 302.378 1.0 60.40916  ? 470 ARG A CG  470 ARG A CG  1 
ATOM 3637  C CD  . ARG A 1 470 ? 267.447 -30.705 301.716 1.0 60.40916  ? 470 ARG A CD  470 ARG A CD  1 
ATOM 3638  N NE  . ARG A 1 470 ? 267.085 -31.021 300.336 1.0 60.40916  ? 470 ARG A NE  470 ARG A NE  1 
ATOM 3639  C CZ  . ARG A 1 470 ? 265.990 -31.686 299.992 1.0 60.40916  ? 470 ARG A CZ  470 ARG A CZ  1 
ATOM 3640  N NH1 . ARG A 1 470 ? 265.155 -32.116 300.921 1.0 60.40916  ? 470 ARG A NH1 470 ARG A NH1 1 
ATOM 3641  N NH2 . ARG A 1 470 ? 265.735 -31.926 298.717 1.0 60.40916  ? 470 ARG A NH2 470 ARG A NH2 1 
ATOM 3642  N N   . TRP A 1 471 ? 271.671 -29.932 302.900 1.0 59.83612  ? 471 TRP A N   471 TRP A N   1 
ATOM 3643  C CA  . TRP A 1 471 ? 272.331 -28.774 302.321 1.0 59.83612  ? 471 TRP A CA  471 TRP A CA  1 
ATOM 3644  C C   . TRP A 1 471 ? 273.381 -29.224 301.322 1.0 59.83612  ? 471 TRP A C   471 TRP A C   1 
ATOM 3645  O O   . TRP A 1 471 ? 274.333 -29.920 301.687 1.0 59.83612  ? 471 TRP A O   471 TRP A O   1 
ATOM 3646  C CB  . TRP A 1 471 ? 272.976 -27.921 303.411 1.0 59.83612  ? 471 TRP A CB  471 TRP A CB  1 
ATOM 3647  C CG  . TRP A 1 471 ? 273.611 -26.686 302.890 1.0 59.83612  ? 471 TRP A CG  471 TRP A CG  1 
ATOM 3648  C CD1 . TRP A 1 471 ? 274.929 -26.499 302.633 1.0 59.83612  ? 471 TRP A CD1 471 TRP A CD1 1 
ATOM 3649  C CD2 . TRP A 1 471 ? 272.960 -25.450 302.577 1.0 59.83612  ? 471 TRP A CD2 471 TRP A CD2 1 
ATOM 3650  N NE1 . TRP A 1 471 ? 275.143 -25.231 302.159 1.0 59.83612  ? 471 TRP A NE1 471 TRP A NE1 1 
ATOM 3651  C CE2 . TRP A 1 471 ? 273.947 -24.569 302.109 1.0 59.83612  ? 471 TRP A CE2 471 TRP A CE2 1 
ATOM 3652  C CE3 . TRP A 1 471 ? 271.641 -25.005 302.649 1.0 59.83612  ? 471 TRP A CE3 471 TRP A CE3 1 
ATOM 3653  C CZ2 . TRP A 1 471 ? 273.662 -23.264 301.737 1.0 59.83612  ? 471 TRP A CZ2 471 TRP A CZ2 1 
ATOM 3654  C CZ3 . TRP A 1 471 ? 271.358 -23.719 302.258 1.0 59.83612  ? 471 TRP A CZ3 471 TRP A CZ3 1 
ATOM 3655  C CH2 . TRP A 1 471 ? 272.364 -22.860 301.816 1.0 59.83612  ? 471 TRP A CH2 471 TRP A CH2 1 
ATOM 3656  N N   . SER A 1 472 ? 273.206 -28.826 300.069 1.0 61.64656  ? 472 SER A N   472 SER A N   1 
ATOM 3657  C CA  . SER A 1 472 ? 274.221 -29.064 299.059 1.0 61.64656  ? 472 SER A CA  472 SER A CA  1 
ATOM 3658  C C   . SER A 1 472 ? 275.383 -28.103 299.248 1.0 61.64656  ? 472 SER A C   472 SER A C   1 
ATOM 3659  O O   . SER A 1 472 ? 275.198 -26.953 299.646 1.0 61.64656  ? 472 SER A O   472 SER A O   1 
ATOM 3660  C CB  . SER A 1 472 ? 273.640 -28.874 297.668 1.0 61.64656  ? 472 SER A CB  472 SER A CB  1 
ATOM 3661  O OG  . SER A 1 472 ? 273.324 -27.514 297.449 1.0 61.64656  ? 472 SER A OG  472 SER A OG  1 
ATOM 3662  N N   . LEU A 1 473 ? 276.585 -28.582 298.930 1.0 64.08096  ? 473 LEU A N   473 LEU A N   1 
ATOM 3663  C CA  . LEU A 1 473 ? 277.799 -27.805 299.146 1.0 64.08096  ? 473 LEU A CA  473 LEU A CA  1 
ATOM 3664  C C   . LEU A 1 473 ? 277.828 -26.563 298.265 1.0 64.08096  ? 473 LEU A C   473 LEU A C   1 
ATOM 3665  O O   . LEU A 1 473 ? 277.395 -26.590 297.111 1.0 64.08096  ? 473 LEU A O   473 LEU A O   1 
ATOM 3666  C CB  . LEU A 1 473 ? 279.029 -28.659 298.868 1.0 64.08096  ? 473 LEU A CB  473 LEU A CB  1 
ATOM 3667  C CG  . LEU A 1 473 ? 279.296 -29.808 299.830 1.0 64.08096  ? 473 LEU A CG  473 LEU A CG  1 
ATOM 3668  C CD1 . LEU A 1 473 ? 280.483 -30.602 299.337 1.0 64.08096  ? 473 LEU A CD1 473 LEU A CD1 1 
ATOM 3669  C CD2 . LEU A 1 473 ? 279.544 -29.266 301.220 1.0 64.08096  ? 473 LEU A CD2 473 LEU A CD2 1 
ATOM 3670  N N   . ASP A 1 474 ? 278.343 -25.468 298.829 1.0 67.62441  ? 474 ASP A N   474 ASP A N   1 
ATOM 3671  C CA  . ASP A 1 474 ? 278.315 -24.175 298.156 1.0 67.62441  ? 474 ASP A CA  474 ASP A CA  1 
ATOM 3672  C C   . ASP A 1 474 ? 279.229 -24.124 296.943 1.0 67.62441  ? 474 ASP A C   474 ASP A C   1 
ATOM 3673  O O   . ASP A 1 474 ? 279.018 -23.287 296.060 1.0 67.62441  ? 474 ASP A O   474 ASP A O   1 
ATOM 3674  C CB  . ASP A 1 474 ? 278.702 -23.070 299.137 1.0 67.62441  ? 474 ASP A CB  474 ASP A CB  1 
ATOM 3675  C CG  . ASP A 1 474 ? 277.651 -22.843 300.199 1.0 67.62441  ? 474 ASP A CG  474 ASP A CG  1 
ATOM 3676  O OD1 . ASP A 1 474 ? 276.458 -23.071 299.912 1.0 67.62441  ? 474 ASP A OD1 474 ASP A OD1 1 
ATOM 3677  O OD2 . ASP A 1 474 ? 278.016 -22.439 301.323 1.0 67.62441  ? 474 ASP A OD2 474 ASP A OD2 1 
ATOM 3678  N N   . VAL A 1 475 ? 280.227 -24.999 296.876 1.0 65.37244  ? 475 VAL A N   475 VAL A N   1 
ATOM 3679  C CA  . VAL A 1 475 ? 281.129 -25.037 295.735 1.0 65.37244  ? 475 VAL A CA  475 VAL A CA  1 
ATOM 3680  C C   . VAL A 1 475 ? 280.780 -26.142 294.746 1.0 65.37244  ? 475 VAL A C   475 VAL A C   1 
ATOM 3681  O O   . VAL A 1 475 ? 281.248 -26.098 293.598 1.0 65.37244  ? 475 VAL A O   475 VAL A O   1 
ATOM 3682  C CB  . VAL A 1 475 ? 282.584 -25.177 296.215 1.0 65.37244  ? 475 VAL A CB  475 VAL A CB  1 
ATOM 3683  C CG1 . VAL A 1 475 ? 282.952 -23.964 297.042 1.0 65.37244  ? 475 VAL A CG1 475 VAL A CG1 1 
ATOM 3684  C CG2 . VAL A 1 475 ? 282.737 -26.441 297.031 1.0 65.37244  ? 475 VAL A CG2 475 VAL A CG2 1 
ATOM 3685  N N   . MET A 1 476 ? 279.974 -27.119 295.146 1.0 64.84229  ? 476 MET A N   476 MET A N   1 
ATOM 3686  C CA  . MET A 1 476 ? 279.483 -28.152 294.247 1.0 64.84229  ? 476 MET A CA  476 MET A CA  1 
ATOM 3687  C C   . MET A 1 476 ? 278.228 -27.736 293.498 1.0 64.84229  ? 476 MET A C   476 MET A C   1 
ATOM 3688  O O   . MET A 1 476 ? 277.672 -28.553 292.760 1.0 64.84229  ? 476 MET A O   476 MET A O   1 
ATOM 3689  C CB  . MET A 1 476 ? 279.191 -29.434 295.028 1.0 64.84229  ? 476 MET A CB  476 MET A CB  1 
ATOM 3690  C CG  . MET A 1 476 ? 280.412 -30.110 295.593 1.0 64.84229  ? 476 MET A CG  476 MET A CG  1 
ATOM 3691  S SD  . MET A 1 476 ? 281.486 -30.675 294.275 1.0 64.84229  ? 476 MET A SD  476 MET A SD  1 
ATOM 3692  C CE  . MET A 1 476 ? 280.466 -31.974 293.594 1.0 64.84229  ? 476 MET A CE  476 MET A CE  1 
ATOM 3693  N N   . ASP A 1 477 ? 277.758 -26.502 293.684 1.0 64.68665  ? 477 ASP A N   477 ASP A N   1 
ATOM 3694  C CA  . ASP A 1 477 ? 276.528 -26.072 293.027 1.0 64.68665  ? 477 ASP A CA  477 ASP A CA  1 
ATOM 3695  C C   . ASP A 1 477 ? 276.750 -25.844 291.542 1.0 64.68665  ? 477 ASP A C   477 ASP A C   1 
ATOM 3696  O O   . ASP A 1 477 ? 275.983 -26.334 290.707 1.0 64.68665  ? 477 ASP A O   477 ASP A O   1 
ATOM 3697  C CB  . ASP A 1 477 ? 276.000 -24.804 293.686 1.0 64.68665  ? 477 ASP A CB  477 ASP A CB  1 
ATOM 3698  C CG  . ASP A 1 477 ? 275.484 -25.054 295.072 1.0 64.68665  ? 477 ASP A CG  477 ASP A CG  1 
ATOM 3699  O OD1 . ASP A 1 477 ? 274.996 -26.176 295.319 1.0 64.68665  ? 477 ASP A OD1 477 ASP A OD1 1 
ATOM 3700  O OD2 . ASP A 1 477 ? 275.577 -24.139 295.915 1.0 64.68665  ? 477 ASP A OD2 477 ASP A OD2 1 
ATOM 3701  N N   . THR A 1 478 ? 277.793 -25.102 291.193 1.0 62.94657  ? 478 THR A N   478 THR A N   1 
ATOM 3702  C CA  . THR A 1 478 ? 278.155 -24.884 289.796 1.0 62.94657  ? 478 THR A CA  478 THR A CA  1 
ATOM 3703  C C   . THR A 1 478 ? 279.149 -25.928 289.295 1.0 62.94657  ? 478 THR A C   478 THR A C   1 
ATOM 3704  O O   . THR A 1 478 ? 280.149 -25.635 288.644 1.0 62.94657  ? 478 THR A O   478 THR A O   1 
ATOM 3705  C CB  . THR A 1 478 ? 278.695 -23.471 289.635 1.0 62.94657  ? 478 THR A CB  478 THR A CB  1 
ATOM 3706  O OG1 . THR A 1 478 ? 279.216 -23.309 288.309 1.0 62.94657  ? 478 THR A OG1 478 THR A OG1 1 
ATOM 3707  C CG2 . THR A 1 478 ? 279.765 -23.162 290.684 1.0 62.94657  ? 478 THR A CG2 478 THR A CG2 1 
ATOM 3708  N N   . VAL A 1 479 ? 278.842 -27.186 289.587 1.0 59.19045  ? 479 VAL A N   479 VAL A N   1 
ATOM 3709  C CA  . VAL A 1 479 ? 279.570 -28.337 289.074 1.0 59.19045  ? 479 VAL A CA  479 VAL A CA  1 
ATOM 3710  C C   . VAL A 1 479 ? 278.525 -29.315 288.567 1.0 59.19045  ? 479 VAL A C   479 VAL A C   1 
ATOM 3711  O O   . VAL A 1 479 ? 277.559 -29.607 289.279 1.0 59.19045  ? 479 VAL A O   479 VAL A O   1 
ATOM 3712  C CB  . VAL A 1 479 ? 280.466 -28.986 290.148 1.0 59.19045  ? 479 VAL A CB  479 VAL A CB  1 
ATOM 3713  C CG1 . VAL A 1 479 ? 281.060 -30.284 289.647 1.0 59.19045  ? 479 VAL A CG1 479 VAL A CG1 1 
ATOM 3714  C CG2 . VAL A 1 479 ? 281.587 -28.045 290.549 1.0 59.19045  ? 479 VAL A CG2 479 VAL A CG2 1 
ATOM 3715  N N   . ASN A 1 480 ? 278.700 -29.782 287.329 1.0 56.22112  ? 480 ASN A N   480 ASN A N   1 
ATOM 3716  C CA  . ASN A 1 480 ? 277.766 -30.619 286.586 1.0 56.22112  ? 480 ASN A CA  480 ASN A CA  1 
ATOM 3717  C C   . ASN A 1 480 ? 277.456 -31.903 287.346 1.0 56.22112  ? 480 ASN A C   480 ASN A C   1 
ATOM 3718  O O   . ASN A 1 480 ? 278.342 -32.745 287.531 1.0 56.22112  ? 480 ASN A O   480 ASN A O   1 
ATOM 3719  C CB  . ASN A 1 480 ? 278.350 -30.938 285.211 1.0 56.22112  ? 480 ASN A CB  480 ASN A CB  1 
ATOM 3720  C CG  . ASN A 1 480 ? 277.323 -31.493 284.249 1.0 56.22112  ? 480 ASN A CG  480 ASN A CG  1 
ATOM 3721  O OD1 . ASN A 1 480 ? 276.144 -31.604 284.571 1.0 56.22112  ? 480 ASN A OD1 480 ASN A OD1 1 
ATOM 3722  N ND2 . ASN A 1 480 ? 277.773 -31.858 283.056 1.0 56.22112  ? 480 ASN A ND2 480 ASN A ND2 1 
ATOM 3723  N N   . PRO A 1 481 ? 276.218 -32.079 287.815 1.0 55.17162  ? 481 PRO A N   481 PRO A N   1 
ATOM 3724  C CA  . PRO A 1 481 ? 275.880 -33.275 288.595 1.0 55.17162  ? 481 PRO A CA  481 PRO A CA  1 
ATOM 3725  C C   . PRO A 1 481 ? 275.722 -34.530 287.770 1.0 55.17162  ? 481 PRO A C   481 PRO A C   1 
ATOM 3726  O O   . PRO A 1 481 ? 275.630 -35.620 288.349 1.0 55.17162  ? 481 PRO A O   481 PRO A O   1 
ATOM 3727  C CB  . PRO A 1 481 ? 274.546 -32.901 289.233 1.0 55.17162  ? 481 PRO A CB  481 PRO A CB  1 
ATOM 3728  C CG  . PRO A 1 481 ? 273.953 -31.936 288.298 1.0 55.17162  ? 481 PRO A CG  481 PRO A CG  1 
ATOM 3729  C CD  . PRO A 1 481 ? 275.086 -31.147 287.728 1.0 55.17162  ? 481 PRO A CD  481 PRO A CD  1 
ATOM 3730  N N   . PHE A 1 482 ? 275.658 -34.414 286.452 1.0 54.49868  ? 482 PHE A N   482 PHE A N   1 
ATOM 3731  C CA  . PHE A 1 482 ? 275.496 -35.564 285.581 1.0 54.49868  ? 482 PHE A CA  482 PHE A CA  1 
ATOM 3732  C C   . PHE A 1 482 ? 276.824 -36.213 285.231 1.0 54.49868  ? 482 PHE A C   482 PHE A C   1 
ATOM 3733  O O   . PHE A 1 482 ? 276.844 -37.190 284.477 1.0 54.49868  ? 482 PHE A O   482 PHE A O   1 
ATOM 3734  C CB  . PHE A 1 482 ? 274.760 -35.144 284.312 1.0 54.49868  ? 482 PHE A CB  482 PHE A CB  1 
ATOM 3735  C CG  . PHE A 1 482 ? 273.389 -34.609 284.573 1.0 54.49868  ? 482 PHE A CG  482 PHE A CG  1 
ATOM 3736  C CD1 . PHE A 1 482 ? 272.328 -35.463 284.786 1.0 54.49868  ? 482 PHE A CD1 482 PHE A CD1 1 
ATOM 3737  C CD2 . PHE A 1 482 ? 273.167 -33.247 284.627 1.0 54.49868  ? 482 PHE A CD2 482 PHE A CD2 1 
ATOM 3738  C CE1 . PHE A 1 482 ? 271.069 -34.969 285.042 1.0 54.49868  ? 482 PHE A CE1 482 PHE A CE1 1 
ATOM 3739  C CE2 . PHE A 1 482 ? 271.911 -32.751 284.879 1.0 54.49868  ? 482 PHE A CE2 482 PHE A CE2 1 
ATOM 3740  C CZ  . PHE A 1 482 ? 270.863 -33.611 285.081 1.0 54.49868  ? 482 PHE A CZ  482 PHE A CZ  1 
ATOM 3741  N N   . ASN A 1 483 ? 277.928 -35.685 285.755 1.0 57.02009  ? 483 ASN A N   483 ASN A N   1 
ATOM 3742  C CA  . ASN A 1 483 ? 279.242 -36.302 285.608 1.0 57.02009  ? 483 ASN A CA  483 ASN A CA  1 
ATOM 3743  C C   . ASN A 1 483 ? 279.517 -37.118 286.862 1.0 57.02009  ? 483 ASN A C   483 ASN A C   1 
ATOM 3744  O O   . ASN A 1 483 ? 280.376 -36.799 287.687 1.0 57.02009  ? 483 ASN A O   483 ASN A O   1 
ATOM 3745  C CB  . ASN A 1 483 ? 280.300 -35.239 285.367 1.0 57.02009  ? 483 ASN A CB  483 ASN A CB  1 
ATOM 3746  C CG  . ASN A 1 483 ? 280.154 -34.594 284.018 1.0 57.02009  ? 483 ASN A CG  483 ASN A CG  1 
ATOM 3747  O OD1 . ASN A 1 483 ? 279.804 -35.255 283.046 1.0 57.02009  ? 483 ASN A OD1 483 ASN A OD1 1 
ATOM 3748  N ND2 . ASN A 1 483 ? 280.443 -33.304 283.938 1.0 57.02009  ? 483 ASN A ND2 483 ASN A ND2 1 
ATOM 3749  N N   . HIS A 1 484 ? 278.769 -38.206 286.991 1.0 61.0087   ? 484 HIS A N   484 HIS A N   1 
ATOM 3750  C CA  . HIS A 1 484 ? 278.771 -39.005 288.197 1.0 61.0087   ? 484 HIS A CA  484 HIS A CA  1 
ATOM 3751  C C   . HIS A 1 484 ? 278.758 -40.461 287.759 1.0 61.0087   ? 484 HIS A C   484 HIS A C   1 
ATOM 3752  O O   . HIS A 1 484 ? 278.426 -40.770 286.612 1.0 61.0087   ? 484 HIS A O   484 HIS A O   1 
ATOM 3753  C CB  . HIS A 1 484 ? 277.553 -38.653 289.059 1.0 61.0087   ? 484 HIS A CB  484 HIS A CB  1 
ATOM 3754  C CG  . HIS A 1 484 ? 277.728 -38.965 290.508 1.0 61.0087   ? 484 HIS A CG  484 HIS A CG  1 
ATOM 3755  N ND1 . HIS A 1 484 ? 277.549 -40.231 291.021 1.0 61.0087   ? 484 HIS A ND1 484 HIS A ND1 1 
ATOM 3756  C CD2 . HIS A 1 484 ? 278.046 -38.167 291.556 1.0 61.0087   ? 484 HIS A CD2 484 HIS A CD2 1 
ATOM 3757  C CE1 . HIS A 1 484 ? 277.783 -40.207 292.320 1.0 61.0087   ? 484 HIS A CE1 484 HIS A CE1 1 
ATOM 3758  N NE2 . HIS A 1 484 ? 278.078 -38.968 292.669 1.0 61.0087   ? 484 HIS A NE2 484 HIS A NE2 1 
ATOM 3759  N N   . HIS A 1 485 ? 279.139 -41.362 288.656 1.0 62.21988  ? 485 HIS A N   485 HIS A N   1 
ATOM 3760  C CA  . HIS A 1 485 ? 279.058 -42.764 288.273 1.0 62.21988  ? 485 HIS A CA  485 HIS A CA  1 
ATOM 3761  C C   . HIS A 1 485 ? 277.762 -43.418 288.727 1.0 62.21988  ? 485 HIS A C   485 HIS A C   1 
ATOM 3762  O O   . HIS A 1 485 ? 277.511 -44.576 288.375 1.0 62.21988  ? 485 HIS A O   485 HIS A O   1 
ATOM 3763  C CB  . HIS A 1 485 ? 280.243 -43.557 288.811 1.0 62.21988  ? 485 HIS A CB  485 HIS A CB  1 
ATOM 3764  C CG  . HIS A 1 485 ? 280.329 -43.571 290.300 1.0 62.21988  ? 485 HIS A CG  485 HIS A CG  1 
ATOM 3765  N ND1 . HIS A 1 485 ? 280.865 -42.527 291.018 1.0 62.21988  ? 485 HIS A ND1 485 HIS A ND1 1 
ATOM 3766  C CD2 . HIS A 1 485 ? 279.975 -44.511 291.207 1.0 62.21988  ? 485 HIS A CD2 485 HIS A CD2 1 
ATOM 3767  C CE1 . HIS A 1 485 ? 280.826 -42.816 292.306 1.0 62.21988  ? 485 HIS A CE1 485 HIS A CE1 1 
ATOM 3768  N NE2 . HIS A 1 485 ? 280.290 -44.014 292.448 1.0 62.21988  ? 485 HIS A NE2 485 HIS A NE2 1 
ATOM 3769  N N   . ARG A 1 486 ? 276.940 -42.712 289.496 1.0 63.83432  ? 486 ARG A N   486 ARG A N   1 
ATOM 3770  C CA  . ARG A 1 486 ? 275.562 -43.085 289.762 1.0 63.83432  ? 486 ARG A CA  486 ARG A CA  1 
ATOM 3771  C C   . ARG A 1 486 ? 274.638 -42.545 288.670 1.0 63.83432  ? 486 ARG A C   486 ARG A C   1 
ATOM 3772  O O   . ARG A 1 486 ? 273.420 -42.747 288.724 1.0 63.83432  ? 486 ARG A O   486 ARG A O   1 
ATOM 3773  C CB  . ARG A 1 486 ? 275.166 -42.593 291.174 1.0 63.83432  ? 486 ARG A CB  486 ARG A CB  1 
ATOM 3774  C CG  . ARG A 1 486 ? 273.865 -43.132 291.786 1.0 63.83432  ? 486 ARG A CG  486 ARG A CG  1 
ATOM 3775  C CD  . ARG A 1 486 ? 273.856 -44.638 292.035 1.0 63.83432  ? 486 ARG A CD  486 ARG A CD  1 
ATOM 3776  N NE  . ARG A 1 486 ? 274.780 -45.061 293.085 1.0 63.83432  ? 486 ARG A NE  486 ARG A NE  1 
ATOM 3777  C CZ  . ARG A 1 486 ? 274.506 -45.002 294.386 1.0 63.83432  ? 486 ARG A CZ  486 ARG A CZ  1 
ATOM 3778  N NH1 . ARG A 1 486 ? 273.341 -44.528 294.806 1.0 63.83432  ? 486 ARG A NH1 486 ARG A NH1 1 
ATOM 3779  N NH2 . ARG A 1 486 ? 275.397 -45.415 295.275 1.0 63.83432  ? 486 ARG A NH2 486 ARG A NH2 1 
ATOM 3780  N N   . ASN A 1 487 ? 275.204 -41.906 287.645 1.0 57.68922  ? 487 ASN A N   487 ASN A N   1 
ATOM 3781  C CA  . ASN A 1 487 ? 274.443 -41.530 286.463 1.0 57.68922  ? 487 ASN A CA  487 ASN A CA  1 
ATOM 3782  C C   . ASN A 1 487 ? 274.039 -42.813 285.758 1.0 57.68922  ? 487 ASN A C   487 ASN A C   1 
ATOM 3783  O O   . ASN A 1 487 ? 274.799 -43.369 284.960 1.0 57.68922  ? 487 ASN A O   487 ASN A O   1 
ATOM 3784  C CB  . ASN A 1 487 ? 275.281 -40.637 285.549 1.0 57.68922  ? 487 ASN A CB  487 ASN A CB  1 
ATOM 3785  C CG  . ASN A 1 487 ? 274.482 -40.033 284.415 1.0 57.68922  ? 487 ASN A CG  487 ASN A CG  1 
ATOM 3786  O OD1 . ASN A 1 487 ? 273.282 -40.261 284.287 1.0 57.68922  ? 487 ASN A OD1 487 ASN A OD1 1 
ATOM 3787  N ND2 . ASN A 1 487 ? 275.152 -39.254 283.577 1.0 57.68922  ? 487 ASN A ND2 487 ASN A ND2 1 
ATOM 3788  N N   . THR A 1 488 ? 272.819 -43.264 286.048 1.0 56.26154  ? 488 THR A N   488 THR A N   1 
ATOM 3789  C CA  . THR A 1 488 ? 272.396 -44.612 285.705 1.0 56.26154  ? 488 THR A CA  488 THR A CA  1 
ATOM 3790  C C   . THR A 1 488 ? 272.172 -44.750 284.210 1.0 56.26154  ? 488 THR A C   488 THR A C   1 
ATOM 3791  O O   . THR A 1 488 ? 272.306 -45.847 283.664 1.0 56.26154  ? 488 THR A O   488 THR A O   1 
ATOM 3792  C CB  . THR A 1 488 ? 271.126 -44.952 286.485 1.0 56.26154  ? 488 THR A CB  488 THR A CB  1 
ATOM 3793  O OG1 . THR A 1 488 ? 271.314 -44.580 287.853 1.0 56.26154  ? 488 THR A OG1 488 THR A OG1 1 
ATOM 3794  C CG2 . THR A 1 488 ? 270.851 -46.443 286.468 1.0 56.26154  ? 488 THR A CG2 488 THR A CG2 1 
ATOM 3795  N N   . GLY A 1 489 ? 271.877 -43.643 283.532 1.0 55.32815  ? 489 GLY A N   489 GLY A N   1 
ATOM 3796  C CA  . GLY A 1 489 ? 271.764 -43.686 282.087 1.0 55.32815  ? 489 GLY A CA  489 GLY A CA  1 
ATOM 3797  C C   . GLY A 1 489 ? 273.105 -43.892 281.413 1.0 55.32815  ? 489 GLY A C   489 GLY A C   1 
ATOM 3798  O O   . GLY A 1 489 ? 273.245 -44.757 280.549 1.0 55.32815  ? 489 GLY A O   489 GLY A O   1 
ATOM 3799  N N   . LEU A 1 490 ? 274.115 -43.117 281.818 1.0 53.8178   ? 490 LEU A N   490 LEU A N   1 
ATOM 3800  C CA  . LEU A 1 490 ? 275.443 -43.253 281.227 1.0 53.8178   ? 490 LEU A CA  490 LEU A CA  1 
ATOM 3801  C C   . LEU A 1 490 ? 276.093 -44.576 281.598 1.0 53.8178   ? 490 LEU A C   490 LEU A C   1 
ATOM 3802  O O   . LEU A 1 490 ? 276.833 -45.149 280.792 1.0 53.8178   ? 490 LEU A O   490 LEU A O   1 
ATOM 3803  C CB  . LEU A 1 490 ? 276.327 -42.086 281.657 1.0 53.8178   ? 490 LEU A CB  490 LEU A CB  1 
ATOM 3804  C CG  . LEU A 1 490 ? 277.752 -42.042 281.115 1.0 53.8178   ? 490 LEU A CG  490 LEU A CG  1 
ATOM 3805  C CD1 . LEU A 1 490 ? 277.724 -41.993 279.610 1.0 53.8178   ? 490 LEU A CD1 490 LEU A CD1 1 
ATOM 3806  C CD2 . LEU A 1 490 ? 278.481 -40.844 281.673 1.0 53.8178   ? 490 LEU A CD2 490 LEU A CD2 1 
ATOM 3807  N N   . LYS A 1 491 ? 275.814 -45.085 282.796 1.0 54.53951  ? 491 LYS A N   491 LYS A N   1 
ATOM 3808  C CA  . LYS A 1 491 ? 276.281 -46.416 283.153 1.0 54.53951  ? 491 LYS A CA  491 LYS A CA  1 
ATOM 3809  C C   . LYS A 1 491 ? 275.562 -47.487 282.346 1.0 54.53951  ? 491 LYS A C   491 LYS A C   1 
ATOM 3810  O O   . LYS A 1 491 ? 276.165 -48.503 281.990 1.0 54.53951  ? 491 LYS A O   491 LYS A O   1 
ATOM 3811  C CB  . LYS A 1 491 ? 276.090 -46.642 284.651 1.0 54.53951  ? 491 LYS A CB  491 LYS A CB  1 
ATOM 3812  C CG  . LYS A 1 491 ? 276.624 -47.953 285.173 1.0 54.53951  ? 491 LYS A CG  491 LYS A CG  1 
ATOM 3813  C CD  . LYS A 1 491 ? 276.526 -47.997 286.679 1.0 54.53951  ? 491 LYS A CD  491 LYS A CD  1 
ATOM 3814  C CE  . LYS A 1 491 ? 275.084 -48.113 287.117 1.0 54.53951  ? 491 LYS A CE  491 LYS A CE  1 
ATOM 3815  N NZ  . LYS A 1 491 ? 274.503 -49.425 286.735 1.0 54.53951  ? 491 LYS A NZ  491 LYS A NZ  1 
ATOM 3816  N N   . TYR A 1 492 ? 274.289 -47.268 282.018 1.0 53.43096  ? 492 TYR A N   492 TYR A N   1 
ATOM 3817  C CA  . TYR A 1 492 ? 273.576 -48.225 281.181 1.0 53.43096  ? 492 TYR A CA  492 TYR A CA  1 
ATOM 3818  C C   . TYR A 1 492 ? 273.956 -48.075 279.717 1.0 53.43096  ? 492 TYR A C   492 TYR A C   1 
ATOM 3819  O O   . TYR A 1 492 ? 274.006 -49.070 278.993 1.0 53.43096  ? 492 TYR A O   492 TYR A O   1 
ATOM 3820  C CB  . TYR A 1 492 ? 272.069 -48.069 281.356 1.0 53.43096  ? 492 TYR A CB  492 TYR A CB  1 
ATOM 3821  C CG  . TYR A 1 492 ? 271.235 -49.040 280.560 1.0 53.43096  ? 492 TYR A CG  492 TYR A CG  1 
ATOM 3822  C CD1 . TYR A 1 492 ? 271.125 -50.368 280.943 1.0 53.43096  ? 492 TYR A CD1 492 TYR A CD1 1 
ATOM 3823  C CD2 . TYR A 1 492 ? 270.537 -48.620 279.437 1.0 53.43096  ? 492 TYR A CD2 492 TYR A CD2 1 
ATOM 3824  C CE1 . TYR A 1 492 ? 270.353 -51.256 280.218 1.0 53.43096  ? 492 TYR A CE1 492 TYR A CE1 1 
ATOM 3825  C CE2 . TYR A 1 492 ? 269.764 -49.499 278.707 1.0 53.43096  ? 492 TYR A CE2 492 TYR A CE2 1 
ATOM 3826  C CZ  . TYR A 1 492 ? 269.676 -50.814 279.102 1.0 53.43096  ? 492 TYR A CZ  492 TYR A CZ  1 
ATOM 3827  O OH  . TYR A 1 492 ? 268.907 -51.695 278.379 1.0 53.43096  ? 492 TYR A OH  492 TYR A OH  1 
ATOM 3828  N N   . ARG A 1 493 ? 274.231 -46.852 279.258 1.0 51.64722  ? 493 ARG A N   493 ARG A N   1 
ATOM 3829  C CA  . ARG A 1 493 ? 274.624 -46.666 277.865 1.0 51.64722  ? 493 ARG A CA  493 ARG A CA  1 
ATOM 3830  C C   . ARG A 1 493 ? 276.045 -47.130 277.599 1.0 51.64722  ? 493 ARG A C   493 ARG A C   1 
ATOM 3831  O O   . ARG A 1 493 ? 276.388 -47.391 276.444 1.0 51.64722  ? 493 ARG A O   493 ARG A O   1 
ATOM 3832  C CB  . ARG A 1 493 ? 274.495 -45.203 277.446 1.0 51.64722  ? 493 ARG A CB  493 ARG A CB  1 
ATOM 3833  C CG  . ARG A 1 493 ? 273.080 -44.693 277.354 1.0 51.64722  ? 493 ARG A CG  493 ARG A CG  1 
ATOM 3834  C CD  . ARG A 1 493 ? 273.041 -43.339 276.696 1.0 51.64722  ? 493 ARG A CD  493 ARG A CD  1 
ATOM 3835  N NE  . ARG A 1 493 ? 273.822 -42.350 277.431 1.0 51.64722  ? 493 ARG A NE  493 ARG A NE  1 
ATOM 3836  C CZ  . ARG A 1 493 ? 273.342 -41.602 278.414 1.0 51.64722  ? 493 ARG A CZ  493 ARG A CZ  1 
ATOM 3837  N NH1 . ARG A 1 493 ? 272.077 -41.724 278.786 1.0 51.64722  ? 493 ARG A NH1 493 ARG A NH1 1 
ATOM 3838  N NH2 . ARG A 1 493 ? 274.129 -40.734 279.024 1.0 51.64722  ? 493 ARG A NH2 493 ARG A NH2 1 
ATOM 3839  N N   . SER A 1 494 ? 276.880 -47.228 278.627 1.0 54.02455  ? 494 SER A N   494 SER A N   1 
ATOM 3840  C CA  . SER A 1 494 ? 278.234 -47.723 278.435 1.0 54.02455  ? 494 SER A CA  494 SER A CA  1 
ATOM 3841  C C   . SER A 1 494 ? 278.309 -49.236 278.533 1.0 54.02455  ? 494 SER A C   494 SER A C   1 
ATOM 3842  O O   . SER A 1 494 ? 279.033 -49.870 277.761 1.0 54.02455  ? 494 SER A O   494 SER A O   1 
ATOM 3843  C CB  . SER A 1 494 ? 279.177 -47.099 279.458 1.0 54.02455  ? 494 SER A CB  494 SER A CB  1 
ATOM 3844  O OG  . SER A 1 494 ? 280.479 -47.625 279.307 1.0 54.02455  ? 494 SER A OG  494 SER A OG  1 
ATOM 3845  N N   . GLN A 1 495 ? 277.567 -49.828 279.467 1.0 55.57343  ? 495 GLN A N   495 GLN A N   1 
ATOM 3846  C CA  . GLN A 1 495 ? 277.541 -51.276 279.607 1.0 55.57343  ? 495 GLN A CA  495 GLN A CA  1 
ATOM 3847  C C   . GLN A 1 495 ? 276.715 -51.957 278.531 1.0 55.57343  ? 495 GLN A C   495 GLN A C   1 
ATOM 3848  O O   . GLN A 1 495 ? 276.800 -53.180 278.393 1.0 55.57343  ? 495 GLN A O   495 GLN A O   1 
ATOM 3849  C CB  . GLN A 1 495 ? 277.003 -51.655 280.982 1.0 55.57343  ? 495 GLN A CB  495 GLN A CB  1 
ATOM 3850  C CG  . GLN A 1 495 ? 277.926 -51.277 282.108 1.0 55.57343  ? 495 GLN A CG  495 GLN A CG  1 
ATOM 3851  C CD  . GLN A 1 495 ? 277.352 -51.612 283.455 1.0 55.57343  ? 495 GLN A CD  495 GLN A CD  1 
ATOM 3852  O OE1 . GLN A 1 495 ? 276.221 -52.080 283.560 1.0 55.57343  ? 495 GLN A OE1 495 GLN A OE1 1 
ATOM 3853  N NE2 . GLN A 1 495 ? 278.127 -51.372 284.500 1.0 55.57343  ? 495 GLN A NE2 495 GLN A NE2 1 
ATOM 3854  N N   . LEU A 1 496 ? 275.921 -51.200 277.776 1.0 53.38728  ? 496 LEU A N   496 LEU A N   1 
ATOM 3855  C CA  . LEU A 1 496 ? 275.133 -51.791 276.704 1.0 53.38728  ? 496 LEU A CA  496 LEU A CA  1 
ATOM 3856  C C   . LEU A 1 496 ? 276.008 -52.145 275.512 1.0 53.38728  ? 496 LEU A C   496 LEU A C   1 
ATOM 3857  O O   . LEU A 1 496 ? 275.666 -53.042 274.735 1.0 53.38728  ? 496 LEU A O   496 LEU A O   1 
ATOM 3858  C CB  . LEU A 1 496 ? 274.030 -50.823 276.293 1.0 53.38728  ? 496 LEU A CB  496 LEU A CB  1 
ATOM 3859  C CG  . LEU A 1 496 ? 272.902 -51.283 275.387 1.0 53.38728  ? 496 LEU A CG  496 LEU A CG  1 
ATOM 3860  C CD1 . LEU A 1 496 ? 272.094 -52.353 276.083 1.0 53.38728  ? 496 LEU A CD1 496 LEU A CD1 1 
ATOM 3861  C CD2 . LEU A 1 496 ? 272.031 -50.098 275.036 1.0 53.38728  ? 496 LEU A CD2 496 LEU A CD2 1 
ATOM 3862  N N   . LEU A 1 497 ? 277.139 -51.465 275.360 1.0 54.52338  ? 497 LEU A N   497 LEU A N   1 
ATOM 3863  C CA  . LEU A 1 497 ? 278.093 -51.766 274.302 1.0 54.52338  ? 497 LEU A CA  497 LEU A CA  1 
ATOM 3864  C C   . LEU A 1 497 ? 279.046 -52.887 274.683 1.0 54.52338  ? 497 LEU A C   497 LEU A C   1 
ATOM 3865  O O   . LEU A 1 497 ? 279.365 -53.738 273.847 1.0 54.52338  ? 497 LEU A O   497 LEU A O   1 
ATOM 3866  C CB  . LEU A 1 497 ? 278.906 -50.525 273.952 1.0 54.52338  ? 497 LEU A CB  497 LEU A CB  1 
ATOM 3867  C CG  . LEU A 1 497 ? 278.411 -49.494 272.950 1.0 54.52338  ? 497 LEU A CG  497 LEU A CG  1 
ATOM 3868  C CD1 . LEU A 1 497 ? 277.246 -48.675 273.461 1.0 54.52338  ? 497 LEU A CD1 497 LEU A CD1 1 
ATOM 3869  C CD2 . LEU A 1 497 ? 279.577 -48.604 272.646 1.0 54.52338  ? 497 LEU A CD2 497 LEU A CD2 1 
ATOM 3870  N N   . GLY A 1 498 ? 279.514 -52.890 275.919 1.0 56.23823  ? 498 GLY A N   498 GLY A N   1 
ATOM 3871  C CA  . GLY A 1 498 ? 280.456 -53.891 276.371 1.0 56.23823  ? 498 GLY A CA  498 GLY A CA  1 
ATOM 3872  C C   . GLY A 1 498 ? 281.226 -53.392 277.573 1.0 56.23823  ? 498 GLY A C   498 GLY A C   1 
ATOM 3873  O O   . GLY A 1 498 ? 280.911 -52.359 278.159 1.0 56.23823  ? 498 GLY A O   498 GLY A O   1 
ATOM 3874  N N   . ASN A 1 499 ? 282.259 -54.162 277.924 1.0 59.0594   ? 499 ASN A N   499 ASN A N   1 
ATOM 3875  C CA  . ASN A 1 499 ? 283.117 -53.855 279.057 1.0 59.0594   ? 499 ASN A CA  499 ASN A CA  1 
ATOM 3876  C C   . ASN A 1 499 ? 284.559 -53.553 278.687 1.0 59.0594   ? 499 ASN A C   499 ASN A C   1 
ATOM 3877  O O   . ASN A 1 499 ? 285.242 -52.862 279.447 1.0 59.0594   ? 499 ASN A O   499 ASN A O   1 
ATOM 3878  C CB  . ASN A 1 499 ? 283.106 -55.013 280.061 1.0 59.0594   ? 499 ASN A CB  499 ASN A CB  1 
ATOM 3879  C CG  . ASN A 1 499 ? 283.515 -56.336 279.444 1.0 59.0594   ? 499 ASN A CG  499 ASN A CG  1 
ATOM 3880  O OD1 . ASN A 1 499 ? 283.775 -56.433 278.247 1.0 59.0594   ? 499 ASN A OD1 499 ASN A OD1 1 
ATOM 3881  N ND2 . ASN A 1 499 ? 283.593 -57.366 280.272 1.0 59.0594   ? 499 ASN A ND2 499 ASN A ND2 1 
ATOM 3882  N N   . GLY A 1 500 ? 285.044 -54.073 277.566 1.0 59.20993  ? 500 GLY A N   500 GLY A N   1 
ATOM 3883  C CA  . GLY A 1 500 ? 286.408 -53.855 277.146 1.0 59.20993  ? 500 GLY A CA  500 GLY A CA  1 
ATOM 3884  C C   . GLY A 1 500 ? 286.602 -52.521 276.458 1.0 59.20993  ? 500 GLY A C   500 GLY A C   1 
ATOM 3885  O O   . GLY A 1 500 ? 285.715 -51.669 276.394 1.0 59.20993  ? 500 GLY A O   500 GLY A O   1 
ATOM 3886  N N   . ARG A 1 501 ? 287.808 -52.350 275.929 1.0 62.65931  ? 501 ARG A N   501 ARG A N   1 
ATOM 3887  C CA  . ARG A 1 501 ? 288.209 -51.130 275.247 1.0 62.65931  ? 501 ARG A CA  501 ARG A CA  1 
ATOM 3888  C C   . ARG A 1 501 ? 287.859 -51.189 273.764 1.0 62.65931  ? 501 ARG A C   501 ARG A C   1 
ATOM 3889  O O   . ARG A 1 501 ? 287.073 -50.373 273.276 1.0 62.65931  ? 501 ARG A O   501 ARG A O   1 
ATOM 3890  C CB  . ARG A 1 501 ? 289.710 -50.906 275.478 1.0 62.65931  ? 501 ARG A CB  501 ARG A CB  1 
ATOM 3891  C CG  . ARG A 1 501 ? 290.267 -49.576 275.033 1.0 62.65931  ? 501 ARG A CG  501 ARG A CG  1 
ATOM 3892  C CD  . ARG A 1 501 ? 290.956 -49.646 273.704 1.0 62.65931  ? 501 ARG A CD  501 ARG A CD  1 
ATOM 3893  N NE  . ARG A 1 501 ? 292.091 -50.571 273.721 1.0 62.65931  ? 501 ARG A NE  501 ARG A NE  1 
ATOM 3894  C CZ  . ARG A 1 501 ? 293.308 -50.259 274.151 1.0 62.65931  ? 501 ARG A CZ  501 ARG A CZ  1 
ATOM 3895  N NH1 . ARG A 1 501 ? 293.551 -49.045 274.622 1.0 62.65931  ? 501 ARG A NH1 501 ARG A NH1 1 
ATOM 3896  N NH2 . ARG A 1 501 ? 294.281 -51.151 274.112 1.0 62.65931  ? 501 ARG A NH2 501 ARG A NH2 1 
ATOM 3897  N N   . TYR A 1 502 ? 288.411 -52.161 273.045 1.0 61.99967  ? 502 TYR A N   502 TYR A N   1 
ATOM 3898  C CA  . TYR A 1 502 ? 288.079 -52.369 271.639 1.0 61.99967  ? 502 TYR A CA  502 TYR A CA  1 
ATOM 3899  C C   . TYR A 1 502 ? 286.750 -53.104 271.580 1.0 61.99967  ? 502 TYR A C   502 TYR A C   1 
ATOM 3900  O O   . TYR A 1 502 ? 286.662 -54.277 271.946 1.0 61.99967  ? 502 TYR A O   502 TYR A O   1 
ATOM 3901  C CB  . TYR A 1 502 ? 289.154 -53.175 270.924 1.0 61.99967  ? 502 TYR A CB  502 TYR A CB  1 
ATOM 3902  C CG  . TYR A 1 502 ? 290.491 -52.512 270.773 1.0 61.99967  ? 502 TYR A CG  502 TYR A CG  1 
ATOM 3903  C CD1 . TYR A 1 502 ? 290.675 -51.470 269.876 1.0 61.99967  ? 502 TYR A CD1 502 TYR A CD1 1 
ATOM 3904  C CD2 . TYR A 1 502 ? 291.602 -52.976 271.472 1.0 61.99967  ? 502 TYR A CD2 502 TYR A CD2 1 
ATOM 3905  C CE1 . TYR A 1 502 ? 291.917 -50.883 269.724 1.0 61.99967  ? 502 TYR A CE1 502 TYR A CE1 1 
ATOM 3906  C CE2 . TYR A 1 502 ? 292.839 -52.396 271.312 1.0 61.99967  ? 502 TYR A CE2 502 TYR A CE2 1 
ATOM 3907  C CZ  . TYR A 1 502 ? 292.984 -51.345 270.444 1.0 61.99967  ? 502 TYR A CZ  502 TYR A CZ  1 
ATOM 3908  O OH  . TYR A 1 502 ? 294.219 -50.768 270.288 1.0 61.99967  ? 502 TYR A OH  502 TYR A OH  1 
ATOM 3909  N N   . CYS A 1 503 ? 285.716 -52.433 271.089 1.0 57.94093  ? 503 CYS A N   503 CYS A N   1 
ATOM 3910  C CA  . CYS A 1 503 ? 284.404 -53.042 270.952 1.0 57.94093  ? 503 CYS A CA  503 CYS A CA  1 
ATOM 3911  C C   . CYS A 1 503 ? 283.846 -52.798 269.558 1.0 57.94093  ? 503 CYS A C   503 CYS A C   1 
ATOM 3912  O O   . CYS A 1 503 ? 284.092 -51.752 268.950 1.0 57.94093  ? 503 CYS A O   503 CYS A O   1 
ATOM 3913  C CB  . CYS A 1 503 ? 283.432 -52.500 271.999 1.0 57.94093  ? 503 CYS A CB  503 CYS A CB  1 
ATOM 3914  S SG  . CYS A 1 503 ? 283.002 -50.762 271.817 1.0 57.94093  ? 503 CYS A SG  503 CYS A SG  1 
ATOM 3915  N N   . ASP A 1 504 ? 283.119 -53.783 269.048 1.0 58.36841  ? 504 ASP A N   504 ASP A N   1 
ATOM 3916  C CA  . ASP A 1 504 ? 282.256 -53.548 267.909 1.0 58.36841  ? 504 ASP A CA  504 ASP A CA  1 
ATOM 3917  C C   . ASP A 1 504 ? 280.905 -53.052 268.400 1.0 58.36841  ? 504 ASP A C   504 ASP A C   1 
ATOM 3918  O O   . ASP A 1 504 ? 280.487 -53.324 269.526 1.0 58.36841  ? 504 ASP A O   504 ASP A O   1 
ATOM 3919  C CB  . ASP A 1 504 ? 282.069 -54.820 267.088 1.0 58.36841  ? 504 ASP A CB  504 ASP A CB  1 
ATOM 3920  C CG  . ASP A 1 504 ? 283.344 -55.276 266.422 1.0 58.36841  ? 504 ASP A CG  504 ASP A CG  1 
ATOM 3921  O OD1 . ASP A 1 504 ? 284.213 -54.423 266.155 1.0 58.36841  ? 504 ASP A OD1 504 ASP A OD1 1 
ATOM 3922  O OD2 . ASP A 1 504 ? 283.474 -56.488 266.150 1.0 58.36841  ? 504 ASP A OD2 504 ASP A OD2 1 
ATOM 3923  N N   . PHE A 1 505 ? 280.214 -52.317 267.540 1.0 51.13747  ? 505 PHE A N   505 PHE A N   1 
ATOM 3924  C CA  . PHE A 1 505 ? 278.903 -51.808 267.892 1.0 51.13747  ? 505 PHE A CA  505 PHE A CA  1 
ATOM 3925  C C   . PHE A 1 505 ? 277.978 -51.992 266.704 1.0 51.13747  ? 505 PHE A C   505 PHE A C   1 
ATOM 3926  O O   . PHE A 1 505 ? 278.416 -52.153 265.565 1.0 51.13747  ? 505 PHE A O   505 PHE A O   1 
ATOM 3927  C CB  . PHE A 1 505 ? 278.964 -50.338 268.344 1.0 51.13747  ? 505 PHE A CB  505 PHE A CB  1 
ATOM 3928  C CG  . PHE A 1 505 ? 279.396 -49.379 267.275 1.0 51.13747  ? 505 PHE A CG  505 PHE A CG  1 
ATOM 3929  C CD1 . PHE A 1 505 ? 280.735 -49.141 267.046 1.0 51.13747  ? 505 PHE A CD1 505 PHE A CD1 1 
ATOM 3930  C CD2 . PHE A 1 505 ? 278.461 -48.675 266.533 1.0 51.13747  ? 505 PHE A CD2 505 PHE A CD2 1 
ATOM 3931  C CE1 . PHE A 1 505 ? 281.130 -48.258 266.074 1.0 51.13747  ? 505 PHE A CE1 505 PHE A CE1 1 
ATOM 3932  C CE2 . PHE A 1 505 ? 278.854 -47.789 265.559 1.0 51.13747  ? 505 PHE A CE2 505 PHE A CE2 1 
ATOM 3933  C CZ  . PHE A 1 505 ? 280.187 -47.580 265.330 1.0 51.13747  ? 505 PHE A CZ  505 PHE A CZ  1 
ATOM 3934  N N   . HIS A 1 506 ? 276.684 -51.986 266.992 1.0 48.11318  ? 506 HIS A N   506 HIS A N   1 
ATOM 3935  C CA  . HIS A 1 506 ? 275.673 -52.169 265.961 1.0 48.11318  ? 506 HIS A CA  506 HIS A CA  1 
ATOM 3936  C C   . HIS A 1 506 ? 274.439 -51.416 266.441 1.0 48.11318  ? 506 HIS A C   506 HIS A C   1 
ATOM 3937  O O   . HIS A 1 506 ? 273.653 -51.950 267.224 1.0 48.11318  ? 506 HIS A O   506 HIS A O   1 
ATOM 3938  C CB  . HIS A 1 506 ? 275.384 -53.641 265.737 1.0 48.11318  ? 506 HIS A CB  506 HIS A CB  1 
ATOM 3939  C CG  . HIS A 1 506 ? 274.386 -53.899 264.658 1.0 48.11318  ? 506 HIS A CG  506 HIS A CG  1 
ATOM 3940  N ND1 . HIS A 1 506 ? 274.685 -53.762 263.322 1.0 48.11318  ? 506 HIS A ND1 506 HIS A ND1 1 
ATOM 3941  C CD2 . HIS A 1 506 ? 273.091 -54.277 264.718 1.0 48.11318  ? 506 HIS A CD2 506 HIS A CD2 1 
ATOM 3942  C CE1 . HIS A 1 506 ? 273.616 -54.048 262.604 1.0 48.11318  ? 506 HIS A CE1 506 HIS A CE1 1 
ATOM 3943  N NE2 . HIS A 1 506 ? 272.634 -54.364 263.426 1.0 48.11318  ? 506 HIS A NE2 506 HIS A NE2 1 
ATOM 3944  N N   . ILE A 1 507 ? 274.277 -50.186 265.970 1.0 45.30572  ? 507 ILE A N   507 ILE A N   1 
ATOM 3945  C CA  . ILE A 1 507 ? 273.352 -49.247 266.576 1.0 45.30572  ? 507 ILE A CA  507 ILE A CA  1 
ATOM 3946  C C   . ILE A 1 507 ? 272.278 -48.863 265.564 1.0 45.30572  ? 507 ILE A C   507 ILE A C   1 
ATOM 3947  O O   . ILE A 1 507 ? 272.364 -49.183 264.382 1.0 45.30572  ? 507 ILE A O   507 ILE A O   1 
ATOM 3948  C CB  . ILE A 1 507 ? 274.077 -48.003 267.102 1.0 45.30572  ? 507 ILE A CB  507 ILE A CB  1 
ATOM 3949  C CG1 . ILE A 1 507 ? 274.765 -47.278 265.959 1.0 45.30572  ? 507 ILE A CG1 507 ILE A CG1 1 
ATOM 3950  C CG2 . ILE A 1 507 ? 275.105 -48.390 268.139 1.0 45.30572  ? 507 ILE A CG2 507 ILE A CG2 1 
ATOM 3951  C CD1 . ILE A 1 507 ? 275.323 -45.963 266.354 1.0 45.30572  ? 507 ILE A CD1 507 ILE A CD1 1 
ATOM 3952  N N   . GLN A 1 508 ? 271.250 -48.173 266.059 1.0 45.51769  ? 508 GLN A N   508 GLN A N   1 
ATOM 3953  C CA  . GLN A 1 508 ? 270.132 -47.693 265.251 1.0 45.51769  ? 508 GLN A CA  508 GLN A CA  1 
ATOM 3954  C C   . GLN A 1 508 ? 269.863 -46.249 265.652 1.0 45.51769  ? 508 GLN A C   508 GLN A C   1 
ATOM 3955  O O   . GLN A 1 508 ? 269.476 -45.988 266.793 1.0 45.51769  ? 508 GLN A O   508 GLN A O   1 
ATOM 3956  C CB  . GLN A 1 508 ? 268.878 -48.542 265.461 1.0 45.51769  ? 508 GLN A CB  508 GLN A CB  1 
ATOM 3957  C CG  . GLN A 1 508 ? 268.960 -49.976 264.974 1.0 45.51769  ? 508 GLN A CG  508 GLN A CG  1 
ATOM 3958  C CD  . GLN A 1 508 ? 269.636 -50.890 265.965 1.0 45.51769  ? 508 GLN A CD  508 GLN A CD  1 
ATOM 3959  O OE1 . GLN A 1 508 ? 269.792 -50.549 267.134 1.0 45.51769  ? 508 GLN A OE1 508 GLN A OE1 1 
ATOM 3960  N NE2 . GLN A 1 508 ? 270.059 -52.054 265.499 1.0 45.51769  ? 508 GLN A NE2 508 GLN A NE2 1 
ATOM 3961  N N   . VAL A 1 509 ? 270.059 -45.315 264.729 1.0 45.16515  ? 509 VAL A N   509 VAL A N   1 
ATOM 3962  C CA  . VAL A 1 509 ? 269.922 -43.901 265.064 1.0 45.16515  ? 509 VAL A CA  509 VAL A CA  1 
ATOM 3963  C C   . VAL A 1 509 ? 268.669 -43.343 264.396 1.0 45.16515  ? 509 VAL A C   509 VAL A C   1 
ATOM 3964  O O   . VAL A 1 509 ? 268.267 -43.831 263.326 1.0 45.16515  ? 509 VAL A O   509 VAL A O   1 
ATOM 3965  C CB  . VAL A 1 509 ? 271.186 -43.114 264.680 1.0 45.16515  ? 509 VAL A CB  509 VAL A CB  1 
ATOM 3966  C CG1 . VAL A 1 509 ? 272.394 -43.686 265.394 1.0 45.16515  ? 509 VAL A CG1 509 VAL A CG1 1 
ATOM 3967  C CG2 . VAL A 1 509 ? 271.421 -43.155 263.208 1.0 45.16515  ? 509 VAL A CG2 509 VAL A CG2 1 
ATOM 3968  N N   . PRO A 1 510 ? 267.988 -42.357 264.999 1.0 46.98944  ? 510 PRO A N   510 PRO A N   1 
ATOM 3969  C CA  . PRO A 1 510 ? 266.751 -41.860 264.393 1.0 46.98944  ? 510 PRO A CA  510 PRO A CA  1 
ATOM 3970  C C   . PRO A 1 510 ? 266.967 -40.741 263.396 1.0 46.98944  ? 510 PRO A C   510 PRO A C   1 
ATOM 3971  O O   . PRO A 1 510 ? 268.108 -40.355 263.141 1.0 46.98944  ? 510 PRO A O   510 PRO A O   1 
ATOM 3972  C CB  . PRO A 1 510 ? 265.948 -41.399 265.612 1.0 46.98944  ? 510 PRO A CB  510 PRO A CB  1 
ATOM 3973  C CG  . PRO A 1 510 ? 266.988 -40.903 266.540 1.0 46.98944  ? 510 PRO A CG  510 PRO A CG  1 
ATOM 3974  C CD  . PRO A 1 510 ? 268.183 -41.798 266.343 1.0 46.98944  ? 510 PRO A CD  510 PRO A CD  1 
ATOM 3975  N N   . GLN A 1 511 ? 265.884 -40.198 262.853 1.0 47.69786  ? 511 GLN A N   511 GLN A N   1 
ATOM 3976  C CA  . GLN A 1 511 ? 265.909 -38.964 262.078 1.0 47.69786  ? 511 GLN A CA  511 GLN A CA  1 
ATOM 3977  C C   . GLN A 1 511 ? 265.123 -37.907 262.841 1.0 47.69786  ? 511 GLN A C   511 GLN A C   1 
ATOM 3978  O O   . GLN A 1 511 ? 263.889 -37.942 262.880 1.0 47.69786  ? 511 GLN A O   511 GLN A O   1 
ATOM 3979  C CB  . GLN A 1 511 ? 265.336 -39.173 260.680 1.0 47.69786  ? 511 GLN A CB  511 GLN A CB  1 
ATOM 3980  C CG  . GLN A 1 511 ? 265.275 -37.929 259.810 1.0 47.69786  ? 511 GLN A CG  511 GLN A CG  1 
ATOM 3981  C CD  . GLN A 1 511 ? 266.629 -37.336 259.483 1.0 47.69786  ? 511 GLN A CD  511 GLN A CD  1 
ATOM 3982  O OE1 . GLN A 1 511 ? 266.986 -36.266 259.973 1.0 47.69786  ? 511 GLN A OE1 511 GLN A OE1 1 
ATOM 3983  N NE2 . GLN A 1 511 ? 267.385 -38.021 258.639 1.0 47.69786  ? 511 GLN A NE2 511 GLN A NE2 1 
ATOM 3984  N N   . LYS A 1 512 ? 265.836 -36.956 263.445 1.0 47.25807  ? 512 LYS A N   512 LYS A N   1 
ATOM 3985  C CA  . LYS A 1 512 ? 265.233 -36.038 264.395 1.0 47.25807  ? 512 LYS A CA  512 LYS A CA  1 
ATOM 3986  C C   . LYS A 1 512 ? 264.832 -34.706 263.782 1.0 47.25807  ? 512 LYS A C   512 LYS A C   1 
ATOM 3987  O O   . LYS A 1 512 ? 264.312 -33.848 264.498 1.0 47.25807  ? 512 LYS A O   512 LYS A O   1 
ATOM 3988  C CB  . LYS A 1 512 ? 266.194 -35.823 265.561 1.0 47.25807  ? 512 LYS A CB  512 LYS A CB  1 
ATOM 3989  C CG  . LYS A 1 512 ? 266.423 -37.082 266.374 1.0 47.25807  ? 512 LYS A CG  512 LYS A CG  1 
ATOM 3990  C CD  . LYS A 1 512 ? 267.325 -36.832 267.565 1.0 47.25807  ? 512 LYS A CD  512 LYS A CD  1 
ATOM 3991  C CE  . LYS A 1 512 ? 268.756 -36.666 267.130 1.0 47.25807  ? 512 LYS A CE  512 LYS A CE  1 
ATOM 3992  N NZ  . LYS A 1 512 ? 269.258 -37.935 266.546 1.0 47.25807  ? 512 LYS A NZ  512 LYS A NZ  1 
ATOM 3993  N N   . PHE A 1 513 ? 265.051 -34.507 262.486 1.0 46.10255  ? 513 PHE A N   513 PHE A N   1 
ATOM 3994  C CA  . PHE A 1 513 ? 264.583 -33.297 261.828 1.0 46.10255  ? 513 PHE A CA  513 PHE A CA  1 
ATOM 3995  C C   . PHE A 1 513 ? 263.086 -33.422 261.594 1.0 46.10255  ? 513 PHE A C   513 PHE A C   1 
ATOM 3996  O O   . PHE A 1 513 ? 262.619 -34.427 261.053 1.0 46.10255  ? 513 PHE A O   513 PHE A O   1 
ATOM 3997  C CB  . PHE A 1 513 ? 265.333 -33.070 260.518 1.0 46.10255  ? 513 PHE A CB  513 PHE A CB  1 
ATOM 3998  C CG  . PHE A 1 513 ? 264.984 -31.784 259.831 1.0 46.10255  ? 513 PHE A CG  513 PHE A CG  1 
ATOM 3999  C CD1 . PHE A 1 513 ? 265.422 -30.573 260.337 1.0 46.10255  ? 513 PHE A CD1 513 PHE A CD1 1 
ATOM 4000  C CD2 . PHE A 1 513 ? 264.237 -31.785 258.671 1.0 46.10255  ? 513 PHE A CD2 513 PHE A CD2 1 
ATOM 4001  C CE1 . PHE A 1 513 ? 265.103 -29.384 259.703 1.0 46.10255  ? 513 PHE A CE1 513 PHE A CE1 1 
ATOM 4002  C CE2 . PHE A 1 513 ? 263.922 -30.601 258.031 1.0 46.10255  ? 513 PHE A CE2 513 PHE A CE2 1 
ATOM 4003  C CZ  . PHE A 1 513 ? 264.352 -29.401 258.551 1.0 46.10255  ? 513 PHE A CZ  513 PHE A CZ  1 
ATOM 4004  N N   . PHE A 1 514 ? 262.337 -32.397 262.003 1.0 44.73396  ? 514 PHE A N   514 PHE A N   1 
ATOM 4005  C CA  . PHE A 1 514 ? 260.897 -32.529 262.199 1.0 44.73396  ? 514 PHE A CA  514 PHE A CA  1 
ATOM 4006  C C   . PHE A 1 514 ? 260.106 -32.628 260.904 1.0 44.73396  ? 514 PHE A C   514 PHE A C   1 
ATOM 4007  O O   . PHE A 1 514 ? 259.002 -33.179 260.921 1.0 44.73396  ? 514 PHE A O   514 PHE A O   1 
ATOM 4008  C CB  . PHE A 1 514 ? 260.371 -31.360 263.036 1.0 44.73396  ? 514 PHE A CB  514 PHE A CB  1 
ATOM 4009  C CG  . PHE A 1 514 ? 260.536 -30.010 262.391 1.0 44.73396  ? 514 PHE A CG  514 PHE A CG  1 
ATOM 4010  C CD1 . PHE A 1 514 ? 261.711 -29.295 262.542 1.0 44.73396  ? 514 PHE A CD1 514 PHE A CD1 1 
ATOM 4011  C CD2 . PHE A 1 514 ? 259.496 -29.426 261.689 1.0 44.73396  ? 514 PHE A CD2 514 PHE A CD2 1 
ATOM 4012  C CE1 . PHE A 1 514 ? 261.859 -28.056 261.966 1.0 44.73396  ? 514 PHE A CE1 514 PHE A CE1 1 
ATOM 4013  C CE2 . PHE A 1 514 ? 259.645 -28.187 261.119 1.0 44.73396  ? 514 PHE A CE2 514 PHE A CE2 1 
ATOM 4014  C CZ  . PHE A 1 514 ? 260.824 -27.503 261.254 1.0 44.73396  ? 514 PHE A CZ  514 PHE A CZ  1 
ATOM 4015  N N   . ALA A 1 515 ? 260.617 -32.100 259.792 1.0 43.75085  ? 515 ALA A N   515 ALA A N   1 
ATOM 4016  C CA  . ALA A 1 515 ? 259.857 -32.171 258.547 1.0 43.75085  ? 515 ALA A CA  515 ALA A CA  1 
ATOM 4017  C C   . ALA A 1 515 ? 259.868 -33.579 257.968 1.0 43.75085  ? 515 ALA A C   515 ALA A C   1 
ATOM 4018  O O   . ALA A 1 515 ? 258.867 -34.030 257.402 1.0 43.75085  ? 515 ALA A O   515 ALA A O   1 
ATOM 4019  C CB  . ALA A 1 515 ? 260.406 -31.176 257.530 1.0 43.75085  ? 515 ALA A CB  515 ALA A CB  1 
ATOM 4020  N N   . ILE A 1 516 ? 260.983 -34.285 258.097 1.0 44.09341  ? 516 ILE A N   516 ILE A N   1 
ATOM 4021  C CA  . ILE A 1 516 ? 261.099 -35.647 257.606 1.0 44.09341  ? 516 ILE A CA  516 ILE A CA  1 
ATOM 4022  C C   . ILE A 1 516 ? 261.150 -36.645 258.760 1.0 44.09341  ? 516 ILE A C   516 ILE A C   1 
ATOM 4023  O O   . ILE A 1 516 ? 261.633 -37.762 258.594 1.0 44.09341  ? 516 ILE A O   516 ILE A O   1 
ATOM 4024  C CB  . ILE A 1 516 ? 262.309 -35.796 256.673 1.0 44.09341  ? 516 ILE A CB  516 ILE A CB  1 
ATOM 4025  C CG1 . ILE A 1 516 ? 263.590 -35.400 257.397 1.0 44.09341  ? 516 ILE A CG1 516 ILE A CG1 1 
ATOM 4026  C CG2 . ILE A 1 516 ? 262.131 -34.942 255.441 1.0 44.09341  ? 516 ILE A CG2 516 ILE A CG2 1 
ATOM 4027  C CD1 . ILE A 1 516 ? 264.834 -35.712 256.617 1.0 44.09341  ? 516 ILE A CD1 516 ILE A CD1 1 
ATOM 4028  N N   . LYS A 1 517 ? 260.658 -36.246 259.933 1.0 44.28421  ? 517 LYS A N   517 LYS A N   1 
ATOM 4029  C CA  . LYS A 1 517 ? 260.621 -37.152 261.075 1.0 44.28421  ? 517 LYS A CA  517 LYS A CA  1 
ATOM 4030  C C   . LYS A 1 517 ? 259.584 -38.242 260.867 1.0 44.28421  ? 517 LYS A C   517 LYS A C   1 
ATOM 4031  O O   . LYS A 1 517 ? 259.889 -39.433 260.987 1.0 44.28421  ? 517 LYS A O   517 LYS A O   1 
ATOM 4032  C CB  . LYS A 1 517 ? 260.328 -36.367 262.351 1.0 44.28421  ? 517 LYS A CB  517 LYS A CB  1 
ATOM 4033  C CG  . LYS A 1 517 ? 260.393 -37.181 263.622 1.0 44.28421  ? 517 LYS A CG  517 LYS A CG  1 
ATOM 4034  C CD  . LYS A 1 517 ? 260.036 -36.317 264.811 1.0 44.28421  ? 517 LYS A CD  517 LYS A CD  1 
ATOM 4035  C CE  . LYS A 1 517 ? 261.148 -35.331 265.095 1.0 44.28421  ? 517 LYS A CE  517 LYS A CE  1 
ATOM 4036  N NZ  . LYS A 1 517 ? 260.901 -34.526 266.317 1.0 44.28421  ? 517 LYS A NZ  517 LYS A NZ  1 
ATOM 4037  N N   . ASN A 1 518 ? 258.352 -37.852 260.557 1.0 42.06646  ? 518 ASN A N   518 ASN A N   1 
ATOM 4038  C CA  . ASN A 1 518 ? 257.274 -38.790 260.276 1.0 42.06646  ? 518 ASN A CA  518 ASN A CA  1 
ATOM 4039  C C   . ASN A 1 518 ? 256.493 -38.338 259.046 1.0 42.06646  ? 518 ASN A C   518 ASN A C   1 
ATOM 4040  O O   . ASN A 1 518 ? 255.266 -38.256 259.047 1.0 42.06646  ? 518 ASN A O   518 ASN A O   1 
ATOM 4041  C CB  . ASN A 1 518 ? 256.388 -38.982 261.508 1.0 42.06646  ? 518 ASN A CB  518 ASN A CB  1 
ATOM 4042  C CG  . ASN A 1 518 ? 255.912 -37.680 262.100 1.0 42.06646  ? 518 ASN A CG  518 ASN A CG  1 
ATOM 4043  O OD1 . ASN A 1 518 ? 256.205 -36.607 261.583 1.0 42.06646  ? 518 ASN A OD1 518 ASN A OD1 1 
ATOM 4044  N ND2 . ASN A 1 518 ? 255.169 -37.767 263.193 1.0 42.06646  ? 518 ASN A ND2 518 ASN A ND2 1 
ATOM 4045  N N   . LEU A 1 519 ? 257.216 -38.016 257.982 1.0 40.17601  ? 519 LEU A N   519 LEU A N   1 
ATOM 4046  C CA  . LEU A 1 519 ? 256.595 -37.713 256.703 1.0 40.17601  ? 519 LEU A CA  519 LEU A CA  1 
ATOM 4047  C C   . LEU A 1 519 ? 256.071 -38.985 256.047 1.0 40.17601  ? 519 LEU A C   519 LEU A C   1 
ATOM 4048  O O   . LEU A 1 519 ? 256.709 -40.036 256.106 1.0 40.17601  ? 519 LEU A O   519 LEU A O   1 
ATOM 4049  C CB  . LEU A 1 519 ? 257.615 -37.035 255.790 1.0 40.17601  ? 519 LEU A CB  519 LEU A CB  1 
ATOM 4050  C CG  . LEU A 1 519 ? 257.193 -36.645 254.379 1.0 40.17601  ? 519 LEU A CG  519 LEU A CG  1 
ATOM 4051  C CD1 . LEU A 1 519 ? 256.105 -35.606 254.427 1.0 40.17601  ? 519 LEU A CD1 519 LEU A CD1 1 
ATOM 4052  C CD2 . LEU A 1 519 ? 258.386 -36.154 253.596 1.0 40.17601  ? 519 LEU A CD2 519 LEU A CD2 1 
ATOM 4053  N N   . LEU A 1 520 ? 254.903 -38.892 255.418 1.0 39.24719  ? 520 LEU A N   520 LEU A N   1 
ATOM 4054  C CA  . LEU A 1 520 ? 254.332 -39.999 254.662 1.0 39.24719  ? 520 LEU A CA  520 LEU A CA  1 
ATOM 4055  C C   . LEU A 1 520 ? 254.620 -39.787 253.181 1.0 39.24719  ? 520 LEU A C   520 LEU A C   1 
ATOM 4056  O O   . LEU A 1 520 ? 254.246 -38.754 252.618 1.0 39.24719  ? 520 LEU A O   520 LEU A O   1 
ATOM 4057  C CB  . LEU A 1 520 ? 252.830 -40.107 254.904 1.0 39.24719  ? 520 LEU A CB  520 LEU A CB  1 
ATOM 4058  C CG  . LEU A 1 520 ? 252.145 -41.276 254.206 1.0 39.24719  ? 520 LEU A CG  520 LEU A CG  1 
ATOM 4059  C CD1 . LEU A 1 520 ? 252.619 -42.596 254.771 1.0 39.24719  ? 520 LEU A CD1 520 LEU A CD1 1 
ATOM 4060  C CD2 . LEU A 1 520 ? 250.648 -41.152 254.319 1.0 39.24719  ? 520 LEU A CD2 520 LEU A CD2 1 
ATOM 4061  N N   . LEU A 1 521 ? 255.275 -40.757 252.554 1.0 39.08383  ? 521 LEU A N   521 LEU A N   1 
ATOM 4062  C CA  . LEU A 1 521 ? 255.689 -40.600 251.168 1.0 39.08383  ? 521 LEU A CA  521 LEU A CA  1 
ATOM 4063  C C   . LEU A 1 521 ? 254.725 -41.286 250.211 1.0 39.08383  ? 521 LEU A C   521 LEU A C   1 
ATOM 4064  O O   . LEU A 1 521 ? 254.182 -42.356 250.483 1.0 39.08383  ? 521 LEU A O   521 LEU A O   1 
ATOM 4065  C CB  . LEU A 1 521 ? 257.093 -41.154 250.934 1.0 39.08383  ? 521 LEU A CB  521 LEU A CB  1 
ATOM 4066  C CG  . LEU A 1 521 ? 258.292 -40.231 251.114 1.0 39.08383  ? 521 LEU A CG  521 LEU A CG  1 
ATOM 4067  C CD1 . LEU A 1 521 ? 258.149 -39.038 250.204 1.0 39.08383  ? 521 LEU A CD1 521 LEU A CD1 1 
ATOM 4068  C CD2 . LEU A 1 521 ? 258.457 -39.793 252.531 1.0 39.08383  ? 521 LEU A CD2 521 LEU A CD2 1 
ATOM 4069  N N   . LEU A 1 522 ? 254.539 -40.655 249.070 1.0 41.41396  ? 522 LEU A N   522 LEU A N   1 
ATOM 4070  C CA  . LEU A 1 522 ? 253.833 -41.186 247.923 1.0 41.41396  ? 522 LEU A CA  522 LEU A CA  1 
ATOM 4071  C C   . LEU A 1 522 ? 254.858 -41.769 246.950 1.0 41.41396  ? 522 LEU A C   522 LEU A C   1 
ATOM 4072  O O   . LEU A 1 522 ? 256.064 -41.575 247.133 1.0 41.41396  ? 522 LEU A O   522 LEU A O   1 
ATOM 4073  C CB  . LEU A 1 522 ? 253.004 -40.064 247.285 1.0 41.41396  ? 522 LEU A CB  522 LEU A CB  1 
ATOM 4074  C CG  . LEU A 1 522 ? 251.867 -39.594 248.196 1.0 41.41396  ? 522 LEU A CG  522 LEU A CG  1 
ATOM 4075  C CD1 . LEU A 1 522 ? 251.142 -38.432 247.565 1.0 41.41396  ? 522 LEU A CD1 522 LEU A CD1 1 
ATOM 4076  C CD2 . LEU A 1 522 ? 250.916 -40.719 248.515 1.0 41.41396  ? 522 LEU A CD2 522 LEU A CD2 1 
ATOM 4077  N N   . PRO A 1 523 ? 254.424 -42.556 245.947 1.0 41.84558  ? 523 PRO A N   523 PRO A N   1 
ATOM 4078  C CA  . PRO A 1 523 ? 255.379 -43.126 244.986 1.0 41.84558  ? 523 PRO A CA  523 PRO A CA  1 
ATOM 4079  C C   . PRO A 1 523 ? 256.242 -42.115 244.242 1.0 41.84558  ? 523 PRO A C   523 PRO A C   1 
ATOM 4080  O O   . PRO A 1 523 ? 255.831 -40.989 243.964 1.0 41.84558  ? 523 PRO A O   523 PRO A O   1 
ATOM 4081  C CB  . PRO A 1 523 ? 254.473 -43.882 244.017 1.0 41.84558  ? 523 PRO A CB  523 PRO A CB  1 
ATOM 4082  C CG  . PRO A 1 523 ? 253.390 -44.346 244.868 1.0 41.84558  ? 523 PRO A CG  523 PRO A CG  1 
ATOM 4083  C CD  . PRO A 1 523 ? 253.130 -43.259 245.848 1.0 41.84558  ? 523 PRO A CD  523 PRO A CD  1 
ATOM 4084  N N   . GLY A 1 524 ? 257.455 -42.543 243.944 1.0 43.08241  ? 524 GLY A N   524 GLY A N   1 
ATOM 4085  C CA  . GLY A 1 524 ? 258.475 -41.732 243.311 1.0 43.08241  ? 524 GLY A CA  524 GLY A CA  1 
ATOM 4086  C C   . GLY A 1 524 ? 259.850 -42.155 243.787 1.0 43.08241  ? 524 GLY A C   524 GLY A C   1 
ATOM 4087  O O   . GLY A 1 524 ? 260.027 -42.719 244.860 1.0 43.08241  ? 524 GLY A O   524 GLY A O   1 
ATOM 4088  N N   . THR A 1 525 ? 260.853 -41.881 242.959 1.0 42.49625  ? 525 THR A N   525 THR A N   1 
ATOM 4089  C CA  . THR A 1 525 ? 262.241 -42.173 243.305 1.0 42.49625  ? 525 THR A CA  525 THR A CA  1 
ATOM 4090  C C   . THR A 1 525 ? 262.800 -40.991 244.084 1.0 42.49625  ? 525 THR A C   525 THR A C   1 
ATOM 4091  O O   . THR A 1 525 ? 262.790 -39.861 243.592 1.0 42.49625  ? 525 THR A O   525 THR A O   1 
ATOM 4092  C CB  . THR A 1 525 ? 263.075 -42.440 242.058 1.0 42.49625  ? 525 THR A CB  525 THR A CB  1 
ATOM 4093  O OG1 . THR A 1 525 ? 262.559 -43.585 241.371 1.0 42.49625  ? 525 THR A OG1 525 THR A OG1 1 
ATOM 4094  C CG2 . THR A 1 525 ? 264.520 -42.695 242.437 1.0 42.49625  ? 525 THR A CG2 525 THR A CG2 1 
ATOM 4095  N N   . TYR A 1 526 ? 263.291 -41.244 245.292 1.0 40.46252  ? 526 TYR A N   526 TYR A N   1 
ATOM 4096  C CA  . TYR A 1 526 ? 263.761 -40.182 246.166 1.0 40.46252  ? 526 TYR A CA  526 TYR A CA  1 
ATOM 4097  C C   . TYR A 1 526 ? 265.242 -40.341 246.476 1.0 40.46252  ? 526 TYR A C   526 TYR A C   1 
ATOM 4098  O O   . TYR A 1 526 ? 265.816 -41.424 246.356 1.0 40.46252  ? 526 TYR A O   526 TYR A O   1 
ATOM 4099  C CB  . TYR A 1 526 ? 262.946 -40.143 247.459 1.0 40.46252  ? 526 TYR A CB  526 TYR A CB  1 
ATOM 4100  C CG  . TYR A 1 526 ? 261.515 -39.755 247.212 1.0 40.46252  ? 526 TYR A CG  526 TYR A CG  1 
ATOM 4101  C CD1 . TYR A 1 526 ? 261.174 -38.439 246.964 1.0 40.46252  ? 526 TYR A CD1 526 TYR A CD1 1 
ATOM 4102  C CD2 . TYR A 1 526 ? 260.509 -40.702 247.220 1.0 40.46252  ? 526 TYR A CD2 526 TYR A CD2 1 
ATOM 4103  C CE1 . TYR A 1 526 ? 259.872 -38.078 246.725 1.0 40.46252  ? 526 TYR A CE1 526 TYR A CE1 1 
ATOM 4104  C CE2 . TYR A 1 526 ? 259.203 -40.351 246.980 1.0 40.46252  ? 526 TYR A CE2 526 TYR A CE2 1 
ATOM 4105  C CZ  . TYR A 1 526 ? 258.892 -39.037 246.735 1.0 40.46252  ? 526 TYR A CZ  526 TYR A CZ  1 
ATOM 4106  O OH  . TYR A 1 526 ? 257.589 -38.676 246.501 1.0 40.46252  ? 526 TYR A OH  526 TYR A OH  1 
ATOM 4107  N N   . ASN A 1 527 ? 265.850 -39.232 246.887 1.0 41.85954  ? 527 ASN A N   527 ASN A N   1 
ATOM 4108  C CA  . ASN A 1 527 ? 267.291 -39.119 247.070 1.0 41.85954  ? 527 ASN A CA  527 ASN A CA  1 
ATOM 4109  C C   . ASN A 1 527 ? 267.535 -38.610 248.481 1.0 41.85954  ? 527 ASN A C   527 ASN A C   1 
ATOM 4110  O O   . ASN A 1 527 ? 267.146 -37.486 248.803 1.0 41.85954  ? 527 ASN A O   527 ASN A O   1 
ATOM 4111  C CB  . ASN A 1 527 ? 267.877 -38.154 246.037 1.0 41.85954  ? 527 ASN A CB  527 ASN A CB  1 
ATOM 4112  C CG  . ASN A 1 527 ? 269.323 -38.426 245.727 1.0 41.85954  ? 527 ASN A CG  527 ASN A CG  1 
ATOM 4113  O OD1 . ASN A 1 527 ? 269.861 -37.902 244.756 1.0 41.85954  ? 527 ASN A OD1 527 ASN A OD1 1 
ATOM 4114  N ND2 . ASN A 1 527 ? 269.959 -39.264 246.529 1.0 41.85954  ? 527 ASN A ND2 527 ASN A ND2 1 
ATOM 4115  N N   . TYR A 1 528 ? 268.185 -39.417 249.316 1.0 42.98176  ? 528 TYR A N   528 TYR A N   1 
ATOM 4116  C CA  . TYR A 1 528 ? 268.211 -39.160 250.758 1.0 42.98176  ? 528 TYR A CA  528 TYR A CA  1 
ATOM 4117  C C   . TYR A 1 528 ? 269.623 -39.352 251.302 1.0 42.98176  ? 528 TYR A C   528 TYR A C   1 
ATOM 4118  O O   . TYR A 1 528 ? 269.994 -40.461 251.694 1.0 42.98176  ? 528 TYR A O   528 TYR A O   1 
ATOM 4119  C CB  . TYR A 1 528 ? 267.200 -40.065 251.449 1.0 42.98176  ? 528 TYR A CB  528 TYR A CB  1 
ATOM 4120  C CG  . TYR A 1 528 ? 267.080 -39.934 252.946 1.0 42.98176  ? 528 TYR A CG  528 TYR A CG  1 
ATOM 4121  C CD1 . TYR A 1 528 ? 266.652 -38.755 253.532 1.0 42.98176  ? 528 TYR A CD1 528 TYR A CD1 1 
ATOM 4122  C CD2 . TYR A 1 528 ? 267.292 -41.024 253.763 1.0 42.98176  ? 528 TYR A CD2 528 TYR A CD2 1 
ATOM 4123  C CE1 . TYR A 1 528 ? 266.506 -38.650 254.893 1.0 42.98176  ? 528 TYR A CE1 528 TYR A CE1 1 
ATOM 4124  C CE2 . TYR A 1 528 ? 267.141 -40.932 255.122 1.0 42.98176  ? 528 TYR A CE2 528 TYR A CE2 1 
ATOM 4125  C CZ  . TYR A 1 528 ? 266.751 -39.743 255.682 1.0 42.98176  ? 528 TYR A CZ  528 TYR A CZ  1 
ATOM 4126  O OH  . TYR A 1 528 ? 266.604 -39.653 257.042 1.0 42.98176  ? 528 TYR A OH  528 TYR A OH  1 
ATOM 4127  N N   . GLU A 1 529 ? 270.395 -38.267 251.345 1.0 48.26932  ? 529 GLU A N   529 GLU A N   1 
ATOM 4128  C CA  . GLU A 1 529 ? 271.762 -38.281 251.844 1.0 48.26932  ? 529 GLU A CA  529 GLU A CA  1 
ATOM 4129  C C   . GLU A 1 529 ? 271.856 -37.529 253.163 1.0 48.26932  ? 529 GLU A C   529 GLU A C   1 
ATOM 4130  O O   . GLU A 1 529 ? 271.014 -36.684 253.480 1.0 48.26932  ? 529 GLU A O   529 GLU A O   1 
ATOM 4131  C CB  . GLU A 1 529 ? 272.742 -37.655 250.848 1.0 48.26932  ? 529 GLU A CB  529 GLU A CB  1 
ATOM 4132  C CG  . GLU A 1 529 ? 272.568 -36.167 250.628 1.0 48.26932  ? 529 GLU A CG  529 GLU A CG  1 
ATOM 4133  C CD  . GLU A 1 529 ? 273.581 -35.607 249.651 1.0 48.26932  ? 529 GLU A CD  529 GLU A CD  1 
ATOM 4134  O OE1 . GLU A 1 529 ? 274.418 -36.386 249.151 1.0 48.26932  ? 529 GLU A OE1 529 GLU A OE1 1 
ATOM 4135  O OE2 . GLU A 1 529 ? 273.543 -34.388 249.383 1.0 48.26932  ? 529 GLU A OE2 529 GLU A OE2 1 
ATOM 4136  N N   . TRP A 1 530 ? 272.915 -37.825 253.914 1.0 49.67911  ? 530 TRP A N   530 TRP A N   1 
ATOM 4137  C CA  . TRP A 1 530 ? 273.091 -37.277 255.250 1.0 49.67911  ? 530 TRP A CA  530 TRP A CA  1 
ATOM 4138  C C   . TRP A 1 530 ? 274.539 -37.474 255.685 1.0 49.67911  ? 530 TRP A C   530 TRP A C   1 
ATOM 4139  O O   . TRP A 1 530 ? 275.177 -38.455 255.301 1.0 49.67911  ? 530 TRP A O   530 TRP A O   1 
ATOM 4140  C CB  . TRP A 1 530 ? 272.143 -37.951 256.244 1.0 49.67911  ? 530 TRP A CB  530 TRP A CB  1 
ATOM 4141  C CG  . TRP A 1 530 ? 272.175 -37.295 257.545 1.0 49.67911  ? 530 TRP A CG  530 TRP A CG  1 
ATOM 4142  C CD1 . TRP A 1 530 ? 272.956 -37.633 258.585 1.0 49.67911  ? 530 TRP A CD1 530 TRP A CD1 1 
ATOM 4143  C CD2 . TRP A 1 530 ? 271.386 -36.185 257.973 1.0 49.67911  ? 530 TRP A CD2 530 TRP A CD2 1 
ATOM 4144  N NE1 . TRP A 1 530 ? 272.744 -36.785 259.628 1.0 49.67911  ? 530 TRP A NE1 530 TRP A NE1 1 
ATOM 4145  C CE2 . TRP A 1 530 ? 271.765 -35.895 259.287 1.0 49.67911  ? 530 TRP A CE2 530 TRP A CE2 1 
ATOM 4146  C CE3 . TRP A 1 530 ? 270.395 -35.412 257.374 1.0 49.67911  ? 530 TRP A CE3 530 TRP A CE3 1 
ATOM 4147  C CZ2 . TRP A 1 530 ? 271.194 -34.867 260.016 1.0 49.67911  ? 530 TRP A CZ2 530 TRP A CZ2 1 
ATOM 4148  C CZ3 . TRP A 1 530 ? 269.835 -34.382 258.093 1.0 49.67911  ? 530 TRP A CZ3 530 TRP A CZ3 1 
ATOM 4149  C CH2 . TRP A 1 530 ? 270.232 -34.121 259.401 1.0 49.67911  ? 530 TRP A CH2 530 TRP A CH2 1 
ATOM 4150  N N   . TYR A 1 531 ? 275.050 -36.545 256.502 1.0 51.49314  ? 531 TYR A N   531 TYR A N   1 
ATOM 4151  C CA  . TYR A 1 531 ? 276.428 -36.585 256.986 1.0 51.49314  ? 531 TYR A CA  531 TYR A CA  1 
ATOM 4152  C C   . TYR A 1 531 ? 276.483 -37.019 258.445 1.0 51.49314  ? 531 TYR A C   531 TYR A C   1 
ATOM 4153  O O   . TYR A 1 531 ? 275.752 -36.489 259.283 1.0 51.49314  ? 531 TYR A O   531 TYR A O   1 
ATOM 4154  C CB  . TYR A 1 531 ? 277.117 -35.221 256.890 1.0 51.49314  ? 531 TYR A CB  531 TYR A CB  1 
ATOM 4155  C CG  . TYR A 1 531 ? 277.365 -34.666 255.511 1.0 51.49314  ? 531 TYR A CG  531 TYR A CG  1 
ATOM 4156  C CD1 . TYR A 1 531 ? 277.123 -35.403 254.369 1.0 51.49314  ? 531 TYR A CD1 531 TYR A CD1 1 
ATOM 4157  C CD2 . TYR A 1 531 ? 277.897 -33.404 255.361 1.0 51.49314  ? 531 TYR A CD2 531 TYR A CD2 1 
ATOM 4158  C CE1 . TYR A 1 531 ? 277.357 -34.870 253.127 1.0 51.49314  ? 531 TYR A CE1 531 TYR A CE1 1 
ATOM 4159  C CE2 . TYR A 1 531 ? 278.144 -32.873 254.129 1.0 51.49314  ? 531 TYR A CE2 531 TYR A CE2 1 
ATOM 4160  C CZ  . TYR A 1 531 ? 277.878 -33.609 253.015 1.0 51.49314  ? 531 TYR A CZ  531 TYR A CZ  1 
ATOM 4161  O OH  . TYR A 1 531 ? 278.129 -33.071 251.778 1.0 51.49314  ? 531 TYR A OH  531 TYR A OH  1 
ATOM 4162  N N   . PHE A 1 532 ? 277.394 -37.938 258.757 1.0 48.91003  ? 532 PHE A N   532 PHE A N   1 
ATOM 4163  C CA  . PHE A 1 532 ? 277.609 -38.416 260.116 1.0 48.91003  ? 532 PHE A CA  532 PHE A CA  1 
ATOM 4164  C C   . PHE A 1 532 ? 278.872 -37.809 260.711 1.0 48.91003  ? 532 PHE A C   532 PHE A C   1 
ATOM 4165  O O   . PHE A 1 532 ? 279.803 -37.446 259.994 1.0 48.91003  ? 532 PHE A O   532 PHE A O   1 
ATOM 4166  C CB  . PHE A 1 532 ? 277.725 -39.939 260.150 1.0 48.91003  ? 532 PHE A CB  532 PHE A CB  1 
ATOM 4167  C CG  . PHE A 1 532 ? 276.441 -40.652 259.891 1.0 48.91003  ? 532 PHE A CG  532 PHE A CG  1 
ATOM 4168  C CD1 . PHE A 1 532 ? 275.230 -40.001 259.989 1.0 48.91003  ? 532 PHE A CD1 532 PHE A CD1 1 
ATOM 4169  C CD2 . PHE A 1 532 ? 276.447 -41.981 259.550 1.0 48.91003  ? 532 PHE A CD2 532 PHE A CD2 1 
ATOM 4170  C CE1 . PHE A 1 532 ? 274.053 -40.667 259.751 1.0 48.91003  ? 532 PHE A CE1 532 PHE A CE1 1 
ATOM 4171  C CE2 . PHE A 1 532 ? 275.276 -42.643 259.320 1.0 48.91003  ? 532 PHE A CE2 532 PHE A CE2 1 
ATOM 4172  C CZ  . PHE A 1 532 ? 274.080 -41.985 259.412 1.0 48.91003  ? 532 PHE A CZ  532 PHE A CZ  1 
ATOM 4173  N N   . ARG A 1 533 ? 278.911 -37.731 262.037 1.0 51.80318  ? 533 ARG A N   533 ARG A N   1 
ATOM 4174  C CA  . ARG A 1 533 ? 280.045 -37.147 262.740 1.0 51.80318  ? 533 ARG A CA  533 ARG A CA  1 
ATOM 4175  C C   . ARG A 1 533 ? 281.095 -38.199 263.072 1.0 51.80318  ? 533 ARG A C   533 ARG A C   1 
ATOM 4176  O O   . ARG A 1 533 ? 280.821 -39.399 263.120 1.0 51.80318  ? 533 ARG A O   533 ARG A O   1 
ATOM 4177  C CB  . ARG A 1 533 ? 279.598 -36.452 264.028 1.0 51.80318  ? 533 ARG A CB  533 ARG A CB  1 
ATOM 4178  C CG  . ARG A 1 533 ? 278.841 -35.172 263.783 1.0 51.80318  ? 533 ARG A CG  533 ARG A CG  1 
ATOM 4179  C CD  . ARG A 1 533 ? 278.371 -34.458 265.028 1.0 51.80318  ? 533 ARG A CD  533 ARG A CD  1 
ATOM 4180  N NE  . ARG A 1 533 ? 277.636 -33.263 264.636 1.0 51.80318  ? 533 ARG A NE  533 ARG A NE  1 
ATOM 4181  C CZ  . ARG A 1 533 ? 276.935 -32.498 265.460 1.0 51.80318  ? 533 ARG A CZ  533 ARG A CZ  1 
ATOM 4182  N NH1 . ARG A 1 533 ? 276.844 -32.802 266.743 1.0 51.80318  ? 533 ARG A NH1 533 ARG A NH1 1 
ATOM 4183  N NH2 . ARG A 1 533 ? 276.305 -31.435 264.991 1.0 51.80318  ? 533 ARG A NH2 533 ARG A NH2 1 
ATOM 4184  N N   . LYS A 1 534 ? 282.318 -37.721 263.302 1.0 53.65835  ? 534 LYS A N   534 LYS A N   1 
ATOM 4185  C CA  . LYS A 1 534 ? 283.410 -38.553 263.781 1.0 53.65835  ? 534 LYS A CA  534 LYS A CA  1 
ATOM 4186  C C   . LYS A 1 534 ? 284.135 -37.967 264.980 1.0 53.65835  ? 534 LYS A C   534 LYS A C   1 
ATOM 4187  O O   . LYS A 1 534 ? 285.176 -38.503 265.370 1.0 53.65835  ? 534 LYS A O   534 LYS A O   1 
ATOM 4188  C CB  . LYS A 1 534 ? 284.441 -38.801 262.676 1.0 53.65835  ? 534 LYS A CB  534 LYS A CB  1 
ATOM 4189  C CG  . LYS A 1 534 ? 283.996 -39.740 261.598 1.0 53.65835  ? 534 LYS A CG  534 LYS A CG  1 
ATOM 4190  C CD  . LYS A 1 534 ? 285.128 -39.960 260.629 1.0 53.65835  ? 534 LYS A CD  534 LYS A CD  1 
ATOM 4191  C CE  . LYS A 1 534 ? 284.701 -40.860 259.512 1.0 53.65835  ? 534 LYS A CE  534 LYS A CE  1 
ATOM 4192  N NZ  . LYS A 1 534 ? 284.472 -42.235 259.992 1.0 53.65835  ? 534 LYS A NZ  534 LYS A NZ  1 
ATOM 4193  N N   . ASP A 1 535 ? 283.637 -36.888 265.557 1.0 59.79246  ? 535 ASP A N   535 ASP A N   1 
ATOM 4194  C CA  . ASP A 1 535 ? 284.312 -36.241 266.672 1.0 59.79246  ? 535 ASP A CA  535 ASP A CA  1 
ATOM 4195  C C   . ASP A 1 535 ? 284.122 -37.059 267.942 1.0 59.79246  ? 535 ASP A C   535 ASP A C   1 
ATOM 4196  O O   . ASP A 1 535 ? 282.977 -37.300 268.342 1.0 59.79246  ? 535 ASP A O   535 ASP A O   1 
ATOM 4197  C CB  . ASP A 1 535 ? 283.762 -34.834 266.855 1.0 59.79246  ? 535 ASP A CB  535 ASP A CB  1 
ATOM 4198  C CG  . ASP A 1 535 ? 284.520 -34.047 267.890 1.0 59.79246  ? 535 ASP A CG  535 ASP A CG  1 
ATOM 4199  O OD1 . ASP A 1 535 ? 285.658 -33.631 267.599 1.0 59.79246  ? 535 ASP A OD1 535 ASP A OD1 1 
ATOM 4200  O OD2 . ASP A 1 535 ? 283.978 -33.838 268.993 1.0 59.79246  ? 535 ASP A OD2 535 ASP A OD2 1 
ATOM 4201  N N   . PRO A 1 536 ? 285.196 -37.513 268.596 1.0 58.66055  ? 536 PRO A N   536 PRO A N   1 
ATOM 4202  C CA  . PRO A 1 536 ? 285.017 -38.360 269.784 1.0 58.66055  ? 536 PRO A CA  536 PRO A CA  1 
ATOM 4203  C C   . PRO A 1 536 ? 284.476 -37.611 270.987 1.0 58.66055  ? 536 PRO A C   536 PRO A C   1 
ATOM 4204  O O   . PRO A 1 536 ? 283.845 -38.234 271.849 1.0 58.66055  ? 536 PRO A O   536 PRO A O   1 
ATOM 4205  C CB  . PRO A 1 536 ? 286.431 -38.892 270.047 1.0 58.66055  ? 536 PRO A CB  536 PRO A CB  1 
ATOM 4206  C CG  . PRO A 1 536 ? 287.153 -38.723 268.759 1.0 58.66055  ? 536 PRO A CG  536 PRO A CG  1 
ATOM 4207  C CD  . PRO A 1 536 ? 286.600 -37.472 268.166 1.0 58.66055  ? 536 PRO A CD  536 PRO A CD  1 
ATOM 4208  N N   . ASN A 1 537 ? 284.705 -36.299 271.076 1.0 60.21272  ? 537 ASN A N   537 ASN A N   1 
ATOM 4209  C CA  . ASN A 1 537 ? 284.121 -35.517 272.160 1.0 60.21272  ? 537 ASN A CA  537 ASN A CA  1 
ATOM 4210  C C   . ASN A 1 537 ? 282.613 -35.402 272.016 1.0 60.21272  ? 537 ASN A C   537 ASN A C   1 
ATOM 4211  O O   . ASN A 1 537 ? 281.895 -35.351 273.019 1.0 60.21272  ? 537 ASN A O   537 ASN A O   1 
ATOM 4212  C CB  . ASN A 1 537 ? 284.734 -34.122 272.194 1.0 60.21272  ? 537 ASN A CB  537 ASN A CB  1 
ATOM 4213  C CG  . ASN A 1 537 ? 286.199 -34.142 272.512 1.0 60.21272  ? 537 ASN A CG  537 ASN A CG  1 
ATOM 4214  O OD1 . ASN A 1 537 ? 287.034 -33.827 271.668 1.0 60.21272  ? 537 ASN A OD1 537 ASN A OD1 1 
ATOM 4215  N ND2 . ASN A 1 537 ? 286.525 -34.494 273.743 1.0 60.21272  ? 537 ASN A ND2 537 ASN A ND2 1 
ATOM 4216  N N   . MET A 1 538 ? 282.120 -35.366 270.785 1.0 56.58329  ? 538 MET A N   538 MET A N   1 
ATOM 4217  C CA  . MET A 1 538 ? 280.707 -35.154 270.520 1.0 56.58329  ? 538 MET A CA  538 MET A CA  1 
ATOM 4218  C C   . MET A 1 538 ? 279.918 -36.457 270.542 1.0 56.58329  ? 538 MET A C   538 MET A C   1 
ATOM 4219  O O   . MET A 1 538 ? 278.839 -36.523 271.137 1.0 56.58329  ? 538 MET A O   538 MET A O   1 
ATOM 4220  C CB  . MET A 1 538 ? 280.541 -34.467 269.167 1.0 56.58329  ? 538 MET A CB  538 MET A CB  1 
ATOM 4221  C CG  . MET A 1 538 ? 279.128 -34.068 268.857 1.0 56.58329  ? 538 MET A CG  538 MET A CG  1 
ATOM 4222  S SD  . MET A 1 538 ? 278.545 -32.764 269.940 1.0 56.58329  ? 538 MET A SD  538 MET A SD  1 
ATOM 4223  C CE  . MET A 1 538 ? 279.473 -31.393 269.273 1.0 56.58329  ? 538 MET A CE  538 MET A CE  1 
ATOM 4224  N N   . VAL A 1 539 ? 280.450 -37.497 269.901 1.0 53.16008  ? 539 VAL A N   539 VAL A N   1 
ATOM 4225  C CA  . VAL A 1 539 ? 279.725 -38.756 269.769 1.0 53.16008  ? 539 VAL A CA  539 VAL A CA  1 
ATOM 4226  C C   . VAL A 1 539 ? 279.685 -39.498 271.100 1.0 53.16008  ? 539 VAL A C   539 VAL A C   1 
ATOM 4227  O O   . VAL A 1 539 ? 278.621 -39.935 271.552 1.0 53.16008  ? 539 VAL A O   539 VAL A O   1 
ATOM 4228  C CB  . VAL A 1 539 ? 280.360 -39.613 268.662 1.0 53.16008  ? 539 VAL A CB  539 VAL A CB  1 
ATOM 4229  C CG1 . VAL A 1 539 ? 279.706 -40.963 268.600 1.0 53.16008  ? 539 VAL A CG1 539 VAL A CG1 1 
ATOM 4230  C CG2 . VAL A 1 539 ? 280.238 -38.917 267.328 1.0 53.16008  ? 539 VAL A CG2 539 VAL A CG2 1 
ATOM 4231  N N   . LEU A 1 540 ? 280.833 -39.638 271.751 1.0 52.52366  ? 540 LEU A N   540 LEU A N   1 
ATOM 4232  C CA  . LEU A 1 540 ? 280.945 -40.394 272.988 1.0 52.52366  ? 540 LEU A CA  540 LEU A CA  1 
ATOM 4233  C C   . LEU A 1 540 ? 280.820 -39.475 274.197 1.0 52.52366  ? 540 LEU A C   540 LEU A C   1 
ATOM 4234  O O   . LEU A 1 540 ? 281.205 -38.306 274.154 1.0 52.52366  ? 540 LEU A O   540 LEU A O   1 
ATOM 4235  C CB  . LEU A 1 540 ? 282.276 -41.139 273.046 1.0 52.52366  ? 540 LEU A CB  540 LEU A CB  1 
ATOM 4236  C CG  . LEU A 1 540 ? 282.490 -42.213 271.985 1.0 52.52366  ? 540 LEU A CG  540 LEU A CG  1 
ATOM 4237  C CD1 . LEU A 1 540 ? 283.893 -42.770 272.078 1.0 52.52366  ? 540 LEU A CD1 540 LEU A CD1 1 
ATOM 4238  C CD2 . LEU A 1 540 ? 281.464 -43.312 272.138 1.0 52.52366  ? 540 LEU A CD2 540 LEU A CD2 1 
ATOM 4239  N N   . GLN A 1 541 ? 280.274 -40.020 275.277 1.0 52.25402  ? 541 GLN A N   541 GLN A N   1 
ATOM 4240  C CA  . GLN A 1 541 ? 280.127 -39.315 276.541 1.0 52.25402  ? 541 GLN A CA  541 GLN A CA  1 
ATOM 4241  C C   . GLN A 1 541 ? 280.991 -39.982 277.595 1.0 52.25402  ? 541 GLN A C   541 GLN A C   1 
ATOM 4242  O O   . GLN A 1 541 ? 280.948 -41.202 277.756 1.0 52.25402  ? 541 GLN A O   541 GLN A O   1 
ATOM 4243  C CB  . GLN A 1 541 ? 278.675 -39.324 277.008 1.0 52.25402  ? 541 GLN A CB  541 GLN A CB  1 
ATOM 4244  C CG  . GLN A 1 541 ? 278.410 -38.520 278.257 1.0 52.25402  ? 541 GLN A CG  541 GLN A CG  1 
ATOM 4245  C CD  . GLN A 1 541 ? 276.948 -38.520 278.639 1.0 52.25402  ? 541 GLN A CD  541 GLN A CD  1 
ATOM 4246  O OE1 . GLN A 1 541 ? 276.130 -39.176 278.001 1.0 52.25402  ? 541 GLN A OE1 541 GLN A OE1 1 
ATOM 4247  N NE2 . GLN A 1 541 ? 276.610 -37.777 279.683 1.0 52.25402  ? 541 GLN A NE2 541 GLN A NE2 1 
ATOM 4248  N N   . SER A 1 542 ? 281.760 -39.187 278.324 1.0 55.60347  ? 542 SER A N   542 SER A N   1 
ATOM 4249  C CA  . SER A 1 542 ? 282.598 -39.706 279.389 1.0 55.60347  ? 542 SER A CA  542 SER A CA  1 
ATOM 4250  C C   . SER A 1 542 ? 282.039 -39.291 280.741 1.0 55.60347  ? 542 SER A C   542 SER A C   1 
ATOM 4251  O O   . SER A 1 542 ? 281.360 -38.271 280.863 1.0 55.60347  ? 542 SER A O   542 SER A O   1 
ATOM 4252  C CB  . SER A 1 542 ? 284.036 -39.211 279.251 1.0 55.60347  ? 542 SER A CB  542 SER A CB  1 
ATOM 4253  O OG  . SER A 1 542 ? 284.841 -39.715 280.299 1.0 55.60347  ? 542 SER A OG  542 SER A OG  1 
ATOM 4254  N N   . THR A 1 543 ? 282.327 -40.100 281.758 1.0 55.85945  ? 543 THR A N   543 THR A N   1 
ATOM 4255  C CA  . THR A 1 543 ? 281.882 -39.770 283.106 1.0 55.85945  ? 543 THR A CA  543 THR A CA  1 
ATOM 4256  C C   . THR A 1 543 ? 282.694 -38.616 283.677 1.0 55.85945  ? 543 THR A C   543 THR A C   1 
ATOM 4257  O O   . THR A 1 543 ? 282.135 -37.660 284.220 1.0 55.85945  ? 543 THR A O   543 THR A O   1 
ATOM 4258  C CB  . THR A 1 543 ? 281.979 -40.998 284.005 1.0 55.85945  ? 543 THR A CB  543 THR A CB  1 
ATOM 4259  O OG1 . THR A 1 543 ? 281.158 -42.042 283.473 1.0 55.85945  ? 543 THR A OG1 543 THR A OG1 1 
ATOM 4260  C CG2 . THR A 1 543 ? 281.505 -40.672 285.399 1.0 55.85945  ? 543 THR A CG2 543 THR A CG2 1 
ATOM 4261  N N   . LEU A 1 544 ? 284.017 -38.681 283.550 1.0 60.31032  ? 544 LEU A N   544 LEU A N   1 
ATOM 4262  C CA  . LEU A 1 544 ? 284.863 -37.598 284.031 1.0 60.31032  ? 544 LEU A CA  544 LEU A CA  1 
ATOM 4263  C C   . LEU A 1 544 ? 284.793 -36.368 283.140 1.0 60.31032  ? 544 LEU A C   544 LEU A C   1 
ATOM 4264  O O   . LEU A 1 544 ? 285.094 -35.266 283.607 1.0 60.31032  ? 544 LEU A O   544 LEU A O   1 
ATOM 4265  C CB  . LEU A 1 544 ? 286.313 -38.063 284.145 1.0 60.31032  ? 544 LEU A CB  544 LEU A CB  1 
ATOM 4266  C CG  . LEU A 1 544 ? 286.803 -38.770 285.409 1.0 60.31032  ? 544 LEU A CG  544 LEU A CG  1 
ATOM 4267  C CD1 . LEU A 1 544 ? 286.205 -40.148 285.584 1.0 60.31032  ? 544 LEU A CD1 544 LEU A CD1 1 
ATOM 4268  C CD2 . LEU A 1 544 ? 288.309 -38.877 285.345 1.0 60.31032  ? 544 LEU A CD2 544 LEU A CD2 1 
ATOM 4269  N N   . GLY A 1 545 ? 284.405 -36.525 281.879 1.0 60.91892  ? 545 GLY A N   545 GLY A N   1 
ATOM 4270  C CA  . GLY A 1 545 ? 284.300 -35.382 280.995 1.0 60.91892  ? 545 GLY A CA  545 GLY A CA  1 
ATOM 4271  C C   . GLY A 1 545 ? 285.628 -34.834 280.538 1.0 60.91892  ? 545 GLY A C   545 GLY A C   1 
ATOM 4272  O O   . GLY A 1 545 ? 285.772 -33.619 280.389 1.0 60.91892  ? 545 GLY A O   545 GLY A O   1 
ATOM 4273  N N   . ASN A 1 546 ? 286.608 -35.702 280.313 1.0 63.49364  ? 546 ASN A N   546 ASN A N   1 
ATOM 4274  C CA  . ASN A 1 546 ? 287.931 -35.290 279.871 1.0 63.49364  ? 546 ASN A CA  546 ASN A CA  1 
ATOM 4275  C C   . ASN A 1 546 ? 287.931 -35.036 278.365 1.0 63.49364  ? 546 ASN A C   546 ASN A C   1 
ATOM 4276  O O   . ASN A 1 546 ? 286.885 -34.942 277.720 1.0 63.49364  ? 546 ASN A O   546 ASN A O   1 
ATOM 4277  C CB  . ASN A 1 546 ? 288.962 -36.336 280.277 1.0 63.49364  ? 546 ASN A CB  546 ASN A CB  1 
ATOM 4278  C CG  . ASN A 1 546 ? 288.592 -37.733 279.822 1.0 63.49364  ? 546 ASN A CG  546 ASN A CG  1 
ATOM 4279  O OD1 . ASN A 1 546 ? 287.550 -37.949 279.207 1.0 63.49364  ? 546 ASN A OD1 546 ASN A OD1 1 
ATOM 4280  N ND2 . ASN A 1 546 ? 289.457 -38.690 280.111 1.0 63.49364  ? 546 ASN A ND2 546 ASN A ND2 1 
ATOM 4281  N N   . ASP A 1 547 ? 289.118 -34.911 277.785 1.0 66.65998  ? 547 ASP A N   547 ASP A N   1 
ATOM 4282  C CA  . ASP A 1 547 ? 289.260 -34.776 276.342 1.0 66.65998  ? 547 ASP A CA  547 ASP A CA  1 
ATOM 4283  C C   . ASP A 1 547 ? 289.385 -36.173 275.749 1.0 66.65998  ? 547 ASP A C   547 ASP A C   1 
ATOM 4284  O O   . ASP A 1 547 ? 290.370 -36.875 275.996 1.0 66.65998  ? 547 ASP A O   547 ASP A O   1 
ATOM 4285  C CB  . ASP A 1 547 ? 290.478 -33.929 275.992 1.0 66.65998  ? 547 ASP A CB  547 ASP A CB  1 
ATOM 4286  C CG  . ASP A 1 547 ? 290.490 -33.506 274.541 1.0 66.65998  ? 547 ASP A CG  547 ASP A CG  1 
ATOM 4287  O OD1 . ASP A 1 547 ? 289.488 -33.744 273.840 1.0 66.65998  ? 547 ASP A OD1 547 ASP A OD1 1 
ATOM 4288  O OD2 . ASP A 1 547 ? 291.519 -32.972 274.083 1.0 66.65998  ? 547 ASP A OD2 547 ASP A OD2 1 
ATOM 4289  N N   . LEU A 1 548 ? 288.386 -36.580 274.971 1.0 63.67684  ? 548 LEU A N   548 LEU A N   1 
ATOM 4290  C CA  . LEU A 1 548 ? 288.496 -37.827 274.232 1.0 63.67684  ? 548 LEU A CA  548 LEU A CA  1 
ATOM 4291  C C   . LEU A 1 548 ? 289.268 -37.661 272.933 1.0 63.67684  ? 548 LEU A C   548 LEU A C   1 
ATOM 4292  O O   . LEU A 1 548 ? 289.679 -38.661 272.339 1.0 63.67684  ? 548 LEU A O   548 LEU A O   1 
ATOM 4293  C CB  . LEU A 1 548 ? 287.111 -38.405 273.953 1.0 63.67684  ? 548 LEU A CB  548 LEU A CB  1 
ATOM 4294  C CG  . LEU A 1 548 ? 286.381 -38.879 275.206 1.0 63.67684  ? 548 LEU A CG  548 LEU A CG  1 
ATOM 4295  C CD1 . LEU A 1 548 ? 284.983 -39.332 274.868 1.0 63.67684  ? 548 LEU A CD1 548 LEU A CD1 1 
ATOM 4296  C CD2 . LEU A 1 548 ? 287.154 -39.997 275.868 1.0 63.67684  ? 548 LEU A CD2 548 LEU A CD2 1 
ATOM 4297  N N   . ARG A 1 549 ? 289.479 -36.426 272.478 1.0 66.63226  ? 549 ARG A N   549 ARG A N   1 
ATOM 4298  C CA  . ARG A 1 549 ? 290.326 -36.214 271.312 1.0 66.63226  ? 549 ARG A CA  549 ARG A CA  1 
ATOM 4299  C C   . ARG A 1 549 ? 291.799 -36.368 271.668 1.0 66.63226  ? 549 ARG A C   549 ARG A C   1 
ATOM 4300  O O   . ARG A 1 549 ? 292.608 -36.741 270.811 1.0 66.63226  ? 549 ARG A O   549 ARG A O   1 
ATOM 4301  C CB  . ARG A 1 549 ? 290.052 -34.831 270.714 1.0 66.63226  ? 549 ARG A CB  549 ARG A CB  1 
ATOM 4302  C CG  . ARG A 1 549 ? 290.709 -34.565 269.364 1.0 66.63226  ? 549 ARG A CG  549 ARG A CG  1 
ATOM 4303  C CD  . ARG A 1 549 ? 290.399 -33.172 268.849 1.0 66.63226  ? 549 ARG A CD  549 ARG A CD  1 
ATOM 4304  N NE  . ARG A 1 549 ? 288.979 -32.981 268.573 1.0 66.63226  ? 549 ARG A NE  549 ARG A NE  1 
ATOM 4305  C CZ  . ARG A 1 549 ? 288.195 -32.152 269.253 1.0 66.63226  ? 549 ARG A CZ  549 ARG A CZ  1 
ATOM 4306  N NH1 . ARG A 1 549 ? 288.688 -31.441 270.253 1.0 66.63226  ? 549 ARG A NH1 549 ARG A NH1 1 
ATOM 4307  N NH2 . ARG A 1 549 ? 286.915 -32.034 268.936 1.0 66.63226  ? 549 ARG A NH2 549 ARG A NH2 1 
ATOM 4308  N N   . ALA A 1 550 ? 292.158 -36.114 272.930 1.0 67.1975   ? 550 ALA A N   550 ALA A N   1 
ATOM 4309  C CA  . ALA A 1 550 ? 293.561 -36.133 273.333 1.0 67.1975   ? 550 ALA A CA  550 ALA A CA  1 
ATOM 4310  C C   . ALA A 1 550 ? 294.116 -37.551 273.358 1.0 67.1975   ? 550 ALA A C   550 ALA A C   1 
ATOM 4311  O O   . ALA A 1 550 ? 295.157 -37.830 272.753 1.0 67.1975   ? 550 ALA A O   550 ALA A O   1 
ATOM 4312  C CB  . ALA A 1 550 ? 293.720 -35.472 274.700 1.0 67.1975   ? 550 ALA A CB  550 ALA A CB  1 
ATOM 4313  N N   . ASP A 1 551 ? 293.434 -38.462 274.047 1.0 67.8711   ? 551 ASP A N   551 ASP A N   1 
ATOM 4314  C CA  . ASP A 1 551 ? 293.854 -39.853 274.091 1.0 67.8711   ? 551 ASP A CA  551 ASP A CA  1 
ATOM 4315  C C   . ASP A 1 551 ? 293.438 -40.583 272.813 1.0 67.8711   ? 551 ASP A C   551 ASP A C   1 
ATOM 4316  O O   . ASP A 1 551 ? 292.913 -39.994 271.865 1.0 67.8711   ? 551 ASP A O   551 ASP A O   1 
ATOM 4317  C CB  . ASP A 1 551 ? 293.289 -40.535 275.335 1.0 67.8711   ? 551 ASP A CB  551 ASP A CB  1 
ATOM 4318  C CG  . ASP A 1 551 ? 291.786 -40.390 275.449 1.0 67.8711   ? 551 ASP A CG  551 ASP A CG  1 
ATOM 4319  O OD1 . ASP A 1 551 ? 291.205 -39.619 274.667 1.0 67.8711   ? 551 ASP A OD1 551 ASP A OD1 1 
ATOM 4320  O OD2 . ASP A 1 551 ? 291.177 -41.058 276.306 1.0 67.8711   ? 551 ASP A OD2 551 ASP A OD2 1 
ATOM 4321  N N   . GLY A 1 552 ? 293.659 -41.895 272.795 1.0 66.23646  ? 552 GLY A N   552 GLY A N   1 
ATOM 4322  C CA  . GLY A 1 552 ? 293.397 -42.687 271.610 1.0 66.23646  ? 552 GLY A CA  552 GLY A CA  1 
ATOM 4323  C C   . GLY A 1 552 ? 291.968 -43.164 271.467 1.0 66.23646  ? 552 GLY A C   552 GLY A C   1 
ATOM 4324  O O   . GLY A 1 552 ? 291.728 -44.353 271.239 1.0 66.23646  ? 552 GLY A O   552 GLY A O   1 
ATOM 4325  N N   . ALA A 1 553 ? 291.008 -42.254 271.595 1.0 61.82297  ? 553 ALA A N   553 ALA A N   1 
ATOM 4326  C CA  . ALA A 1 553 ? 289.610 -42.576 271.361 1.0 61.82297  ? 553 ALA A CA  553 ALA A CA  1 
ATOM 4327  C C   . ALA A 1 553 ? 289.250 -42.215 269.930 1.0 61.82297  ? 553 ALA A C   553 ALA A C   1 
ATOM 4328  O O   . ALA A 1 553 ? 289.511 -41.095 269.484 1.0 61.82297  ? 553 ALA A O   553 ALA A O   1 
ATOM 4329  C CB  . ALA A 1 553 ? 288.702 -41.833 272.338 1.0 61.82297  ? 553 ALA A CB  553 ALA A CB  1 
ATOM 4330  N N   . SER A 1 554 ? 288.655 -43.162 269.213 1.0 58.38918  ? 554 SER A N   554 SER A N   1 
ATOM 4331  C CA  . SER A 1 554 ? 288.369 -42.949 267.804 1.0 58.38918  ? 554 SER A CA  554 SER A CA  1 
ATOM 4332  C C   . SER A 1 554 ? 287.172 -43.785 267.394 1.0 58.38918  ? 554 SER A C   554 SER A C   1 
ATOM 4333  O O   . SER A 1 554 ? 287.066 -44.953 267.773 1.0 58.38918  ? 554 SER A O   554 SER A O   1 
ATOM 4334  C CB  . SER A 1 554 ? 289.578 -43.306 266.938 1.0 58.38918  ? 554 SER A CB  554 SER A CB  1 
ATOM 4335  O OG  . SER A 1 554 ? 289.818 -44.699 266.960 1.0 58.38918  ? 554 SER A OG  554 SER A OG  1 
ATOM 4336  N N   . ILE A 1 555 ? 286.284 -43.175 266.624 1.0 54.10469  ? 555 ILE A N   555 ILE A N   1 
ATOM 4337  C CA  . ILE A 1 555 ? 285.116 -43.827 266.050 1.0 54.10469  ? 555 ILE A CA  555 ILE A CA  1 
ATOM 4338  C C   . ILE A 1 555 ? 285.347 -43.996 264.553 1.0 54.10469  ? 555 ILE A C   555 ILE A C   1 
ATOM 4339  O O   . ILE A 1 555 ? 285.961 -43.137 263.906 1.0 54.10469  ? 555 ILE A O   555 ILE A O   1 
ATOM 4340  C CB  . ILE A 1 555 ? 283.841 -43.012 266.370 1.0 54.10469  ? 555 ILE A CB  555 ILE A CB  1 
ATOM 4341  C CG1 . ILE A 1 555 ? 282.579 -43.690 265.852 1.0 54.10469  ? 555 ILE A CG1 555 ILE A CG1 1 
ATOM 4342  C CG2 . ILE A 1 555 ? 283.934 -41.594 265.877 1.0 54.10469  ? 555 ILE A CG2 555 ILE A CG2 1 
ATOM 4343  C CD1 . ILE A 1 555 ? 282.238 -44.919 266.567 1.0 54.10469  ? 555 ILE A CD1 555 ILE A CD1 1 
ATOM 4344  N N   . THR A 1 556 ? 284.926 -45.137 264.007 1.0 51.94419  ? 556 THR A N   556 THR A N   1 
ATOM 4345  C CA  . THR A 1 556 ? 284.997 -45.345 262.568 1.0 51.94419  ? 556 THR A CA  556 THR A CA  1 
ATOM 4346  C C   . THR A 1 556 ? 283.855 -46.245 262.122 1.0 51.94419  ? 556 THR A C   556 THR A C   1 
ATOM 4347  O O   . THR A 1 556 ? 283.334 -47.052 262.895 1.0 51.94419  ? 556 THR A O   556 THR A O   1 
ATOM 4348  C CB  . THR A 1 556 ? 286.345 -45.928 262.126 1.0 51.94419  ? 556 THR A CB  556 THR A CB  1 
ATOM 4349  O OG1 . THR A 1 556 ? 286.364 -46.061 260.699 1.0 51.94419  ? 556 THR A OG1 556 THR A OG1 1 
ATOM 4350  C CG2 . THR A 1 556 ? 286.597 -47.265 262.762 1.0 51.94419  ? 556 THR A CG2 556 THR A CG2 1 
ATOM 4351  N N   . TYR A 1 557 ? 283.469 -46.086 260.863 1.0 50.11437  ? 557 TYR A N   557 TYR A N   1 
ATOM 4352  C CA  . TYR A 1 557 ? 282.266 -46.693 260.317 1.0 50.11437  ? 557 TYR A CA  557 TYR A CA  1 
ATOM 4353  C C   . TYR A 1 557 ? 282.664 -47.662 259.214 1.0 50.11437  ? 557 TYR A C   557 TYR A C   1 
ATOM 4354  O O   . TYR A 1 557 ? 283.366 -47.274 258.275 1.0 50.11437  ? 557 TYR A O   557 TYR A O   1 
ATOM 4355  C CB  . TYR A 1 557 ? 281.335 -45.616 259.768 1.0 50.11437  ? 557 TYR A CB  557 TYR A CB  1 
ATOM 4356  C CG  . TYR A 1 557 ? 280.859 -44.624 260.799 1.0 50.11437  ? 557 TYR A CG  557 TYR A CG  1 
ATOM 4357  C CD1 . TYR A 1 557 ? 279.829 -44.939 261.656 1.0 50.11437  ? 557 TYR A CD1 557 TYR A CD1 1 
ATOM 4358  C CD2 . TYR A 1 557 ? 281.433 -43.369 260.904 1.0 50.11437  ? 557 TYR A CD2 557 TYR A CD2 1 
ATOM 4359  C CE1 . TYR A 1 557 ? 279.379 -44.040 262.598 1.0 50.11437  ? 557 TYR A CE1 557 TYR A CE1 1 
ATOM 4360  C CE2 . TYR A 1 557 ? 280.988 -42.460 261.846 1.0 50.11437  ? 557 TYR A CE2 557 TYR A CE2 1 
ATOM 4361  C CZ  . TYR A 1 557 ? 279.962 -42.805 262.687 1.0 50.11437  ? 557 TYR A CZ  557 TYR A CZ  1 
ATOM 4362  O OH  . TYR A 1 557 ? 279.508 -41.916 263.627 1.0 50.11437  ? 557 TYR A OH  557 TYR A OH  1 
ATOM 4363  N N   . THR A 1 558 ? 282.219 -48.915 259.319 1.0 50.41303  ? 558 THR A N   558 THR A N   1 
ATOM 4364  C CA  . THR A 1 558 ? 282.574 -49.870 258.277 1.0 50.41303  ? 558 THR A CA  558 THR A CA  1 
ATOM 4365  C C   . THR A 1 558 ? 281.496 -50.002 257.200 1.0 50.41303  ? 558 THR A C   558 THR A C   1 
ATOM 4366  O O   . THR A 1 558 ? 281.837 -50.117 256.018 1.0 50.41303  ? 558 THR A O   558 THR A O   1 
ATOM 4367  C CB  . THR A 1 558 ? 282.928 -51.235 258.891 1.0 50.41303  ? 558 THR A CB  558 THR A CB  1 
ATOM 4368  O OG1 . THR A 1 558 ? 283.290 -52.153 257.852 1.0 50.41303  ? 558 THR A OG1 558 THR A OG1 1 
ATOM 4369  C CG2 . THR A 1 558 ? 281.806 -51.822 259.730 1.0 50.41303  ? 558 THR A CG2 558 THR A CG2 1 
ATOM 4370  N N   . GLN A 1 559 ? 280.213 -49.950 257.568 1.0 49.99098  ? 559 GLN A N   559 GLN A N   1 
ATOM 4371  C CA  . GLN A 1 559 ? 279.100 -49.950 256.625 1.0 49.99098  ? 559 GLN A CA  559 GLN A CA  1 
ATOM 4372  C C   . GLN A 1 559 ? 277.851 -49.504 257.365 1.0 49.99098  ? 559 GLN A C   559 GLN A C   1 
ATOM 4373  O O   . GLN A 1 559 ? 277.685 -49.802 258.548 1.0 49.99098  ? 559 GLN A O   559 GLN A O   1 
ATOM 4374  C CB  . GLN A 1 559 ? 278.865 -51.327 255.971 1.0 49.99098  ? 559 GLN A CB  559 GLN A CB  1 
ATOM 4375  C CG  . GLN A 1 559 ? 278.441 -52.457 256.903 1.0 49.99098  ? 559 GLN A CG  559 GLN A CG  1 
ATOM 4376  C CD  . GLN A 1 559 ? 278.266 -53.781 256.182 1.0 49.99098  ? 559 GLN A CD  559 GLN A CD  1 
ATOM 4377  O OE1 . GLN A 1 559 ? 278.418 -53.862 254.965 1.0 49.99098  ? 559 GLN A OE1 559 GLN A OE1 1 
ATOM 4378  N NE2 . GLN A 1 559 ? 277.940 -54.825 256.933 1.0 49.99098  ? 559 GLN A NE2 559 GLN A NE2 1 
ATOM 4379  N N   . ILE A 1 560 ? 277.000 -48.743 256.682 1.0 46.06086  ? 560 ILE A N   560 ILE A N   1 
ATOM 4380  C CA  . ILE A 1 560 ? 275.674 -48.417 257.184 1.0 46.06086  ? 560 ILE A CA  560 ILE A CA  1 
ATOM 4381  C C   . ILE A 1 560 ? 274.664 -48.792 256.105 1.0 46.06086  ? 560 ILE A C   560 ILE A C   1 
ATOM 4382  O O   . ILE A 1 560 ? 275.031 -49.134 254.981 1.0 46.06086  ? 560 ILE A O   560 ILE A O   1 
ATOM 4383  C CB  . ILE A 1 560 ? 275.513 -46.935 257.559 1.0 46.06086  ? 560 ILE A CB  560 ILE A CB  1 
ATOM 4384  C CG1 . ILE A 1 560 ? 275.497 -46.095 256.306 1.0 46.06086  ? 560 ILE A CG1 560 ILE A CG1 1 
ATOM 4385  C CG2 . ILE A 1 560 ? 276.647 -46.444 258.436 1.0 46.06086  ? 560 ILE A CG2 560 ILE A CG2 1 
ATOM 4386  C CD1 . ILE A 1 560 ? 274.956 -44.782 256.565 1.0 46.06086  ? 560 ILE A CD1 560 ILE A CD1 1 
ATOM 4387  N N   . ASN A 1 561 ? 273.382 -48.705 256.464 1.0 44.60668  ? 561 ASN A N   561 ASN A N   1 
ATOM 4388  C CA  . ASN A 1 561 ? 272.272 -48.913 255.544 1.0 44.60668  ? 561 ASN A CA  561 ASN A CA  1 
ATOM 4389  C C   . ASN A 1 561 ? 270.988 -48.389 256.169 1.0 44.60668  ? 561 ASN A C   561 ASN A C   1 
ATOM 4390  O O   . ASN A 1 561 ? 270.849 -48.371 257.391 1.0 44.60668  ? 561 ASN A O   561 ASN A O   1 
ATOM 4391  C CB  . ASN A 1 561 ? 272.124 -50.389 255.150 1.0 44.60668  ? 561 ASN A CB  561 ASN A CB  1 
ATOM 4392  C CG  . ASN A 1 561 ? 272.181 -51.318 256.333 1.0 44.60668  ? 561 ASN A CG  561 ASN A CG  1 
ATOM 4393  O OD1 . ASN A 1 561 ? 272.326 -50.886 257.474 1.0 44.60668  ? 561 ASN A OD1 561 ASN A OD1 1 
ATOM 4394  N ND2 . ASN A 1 561 ? 272.061 -52.611 256.069 1.0 44.60668  ? 561 ASN A ND2 561 ASN A ND2 1 
ATOM 4395  N N   . LEU A 1 562 ? 270.062 -47.961 255.319 1.0 42.28179  ? 562 LEU A N   562 LEU A N   1 
ATOM 4396  C CA  . LEU A 1 562 ? 268.793 -47.397 255.748 1.0 42.28179  ? 562 LEU A CA  562 LEU A CA  1 
ATOM 4397  C C   . LEU A 1 562 ? 267.707 -48.459 255.698 1.0 42.28179  ? 562 LEU A C   562 LEU A C   1 
ATOM 4398  O O   . LEU A 1 562 ? 267.630 -49.236 254.746 1.0 42.28179  ? 562 LEU A O   562 LEU A O   1 
ATOM 4399  C CB  . LEU A 1 562 ? 268.401 -46.231 254.847 1.0 42.28179  ? 562 LEU A CB  562 LEU A CB  1 
ATOM 4400  C CG  . LEU A 1 562 ? 267.098 -45.505 255.159 1.0 42.28179  ? 562 LEU A CG  562 LEU A CG  1 
ATOM 4401  C CD1 . LEU A 1 562 ? 267.209 -44.765 256.464 1.0 42.28179  ? 562 LEU A CD1 562 LEU A CD1 1 
ATOM 4402  C CD2 . LEU A 1 562 ? 266.747 -44.574 254.032 1.0 42.28179  ? 562 LEU A CD2 562 LEU A CD2 1 
ATOM 4403  N N   . TYR A 1 563 ? 266.864 -48.493 256.721 1.0 44.23863  ? 563 TYR A N   563 TYR A N   1 
ATOM 4404  C CA  . TYR A 1 563 ? 265.767 -49.447 256.781 1.0 44.23863  ? 563 TYR A CA  563 TYR A CA  1 
ATOM 4405  C C   . TYR A 1 563 ? 264.448 -48.693 256.755 1.0 44.23863  ? 563 TYR A C   563 TYR A C   1 
ATOM 4406  O O   . TYR A 1 563 ? 264.275 -47.726 257.497 1.0 44.23863  ? 563 TYR A O   563 TYR A O   1 
ATOM 4407  C CB  . TYR A 1 563 ? 265.847 -50.307 258.037 1.0 44.23863  ? 563 TYR A CB  563 TYR A CB  1 
ATOM 4408  C CG  . TYR A 1 563 ? 266.988 -51.286 258.081 1.0 44.23863  ? 563 TYR A CG  563 TYR A CG  1 
ATOM 4409  C CD1 . TYR A 1 563 ? 267.754 -51.578 256.961 1.0 44.23863  ? 563 TYR A CD1 563 TYR A CD1 1 
ATOM 4410  C CD2 . TYR A 1 563 ? 267.279 -51.954 259.246 1.0 44.23863  ? 563 TYR A CD2 563 TYR A CD2 1 
ATOM 4411  C CE1 . TYR A 1 563 ? 268.790 -52.483 257.031 1.0 44.23863  ? 563 TYR A CE1 563 TYR A CE1 1 
ATOM 4412  C CE2 . TYR A 1 563 ? 268.297 -52.859 259.303 1.0 44.23863  ? 563 TYR A CE2 563 TYR A CE2 1 
ATOM 4413  C CZ  . TYR A 1 563 ? 269.052 -53.118 258.197 1.0 44.23863  ? 563 TYR A CZ  563 TYR A CZ  1 
ATOM 4414  O OH  . TYR A 1 563 ? 270.074 -54.031 258.281 1.0 44.23863  ? 563 TYR A OH  563 TYR A OH  1 
ATOM 4415  N N   . VAL A 1 564 ? 263.522 -49.129 255.902 1.0 44.1336   ? 564 VAL A N   564 VAL A N   1 
ATOM 4416  C CA  . VAL A 1 564 ? 262.167 -48.598 255.870 1.0 44.1336   ? 564 VAL A CA  564 VAL A CA  1 
ATOM 4417  C C   . VAL A 1 564 ? 261.186 -49.756 255.982 1.0 44.1336   ? 564 VAL A C   564 VAL A C   1 
ATOM 4418  O O   . VAL A 1 564 ? 261.554 -50.925 255.877 1.0 44.1336   ? 564 VAL A O   564 VAL A O   1 
ATOM 4419  C CB  . VAL A 1 564 ? 261.875 -47.779 254.601 1.0 44.1336   ? 564 VAL A CB  564 VAL A CB  1 
ATOM 4420  C CG1 . VAL A 1 564 ? 262.716 -46.523 254.569 1.0 44.1336   ? 564 VAL A CG1 564 VAL A CG1 1 
ATOM 4421  C CG2 . VAL A 1 564 ? 262.130 -48.620 253.382 1.0 44.1336   ? 564 VAL A CG2 564 VAL A CG2 1 
ATOM 4422  N N   . SER A 1 565 ? 259.919 -49.413 256.192 1.0 45.63892  ? 565 SER A N   565 SER A N   1 
ATOM 4423  C CA  . SER A 1 565 ? 258.863 -50.398 256.367 1.0 45.63892  ? 565 SER A CA  565 SER A CA  1 
ATOM 4424  C C   . SER A 1 565 ? 257.697 -50.028 255.472 1.0 45.63892  ? 565 SER A C   565 SER A C   1 
ATOM 4425  O O   . SER A 1 565 ? 256.946 -49.097 255.779 1.0 45.63892  ? 565 SER A O   565 SER A O   1 
ATOM 4426  C CB  . SER A 1 565 ? 258.407 -50.468 257.819 1.0 45.63892  ? 565 SER A CB  565 SER A CB  1 
ATOM 4427  O OG  . SER A 1 565 ? 259.452 -50.932 258.645 1.0 45.63892  ? 565 SER A OG  565 SER A OG  1 
ATOM 4428  N N   . PHE A 1 566 ? 257.538 -50.762 254.382 1.0 46.78176  ? 566 PHE A N   566 PHE A N   1 
ATOM 4429  C CA  . PHE A 1 566 ? 256.453 -50.536 253.444 1.0 46.78176  ? 566 PHE A CA  566 PHE A CA  1 
ATOM 4430  C C   . PHE A 1 566 ? 255.221 -51.247 253.973 1.0 46.78176  ? 566 PHE A C   566 PHE A C   1 
ATOM 4431  O O   . PHE A 1 566 ? 255.280 -52.443 254.288 1.0 46.78176  ? 566 PHE A O   566 PHE A O   1 
ATOM 4432  C CB  . PHE A 1 566 ? 256.839 -51.040 252.057 1.0 46.78176  ? 566 PHE A CB  566 PHE A CB  1 
ATOM 4433  C CG  . PHE A 1 566 ? 257.924 -50.237 251.419 1.0 46.78176  ? 566 PHE A CG  566 PHE A CG  1 
ATOM 4434  C CD1 . PHE A 1 566 ? 258.133 -48.925 251.792 1.0 46.78176  ? 566 PHE A CD1 566 PHE A CD1 1 
ATOM 4435  C CD2 . PHE A 1 566 ? 258.766 -50.802 250.488 1.0 46.78176  ? 566 PHE A CD2 566 PHE A CD2 1 
ATOM 4436  C CE1 . PHE A 1 566 ? 259.133 -48.188 251.226 1.0 46.78176  ? 566 PHE A CE1 566 PHE A CE1 1 
ATOM 4437  C CE2 . PHE A 1 566 ? 259.773 -50.059 249.913 1.0 46.78176  ? 566 PHE A CE2 566 PHE A CE2 1 
ATOM 4438  C CZ  . PHE A 1 566 ? 259.957 -48.751 250.289 1.0 46.78176  ? 566 PHE A CZ  566 PHE A CZ  1 
ATOM 4439  N N   . PHE A 1 567 ? 254.122 -50.514 254.116 1.0 49.0939   ? 567 PHE A N   567 PHE A N   1 
ATOM 4440  C CA  . PHE A 1 567 ? 252.885 -51.130 254.571 1.0 49.0939   ? 567 PHE A CA  567 PHE A CA  1 
ATOM 4441  C C   . PHE A 1 567 ? 252.238 -51.867 253.400 1.0 49.0939   ? 567 PHE A C   567 PHE A C   1 
ATOM 4442  O O   . PHE A 1 567 ? 252.068 -51.279 252.322 1.0 49.0939   ? 567 PHE A O   567 PHE A O   1 
ATOM 4443  C CB  . PHE A 1 567 ? 251.940 -50.078 255.135 1.0 49.0939   ? 567 PHE A CB  567 PHE A CB  1 
ATOM 4444  C CG  . PHE A 1 567 ? 250.654 -50.638 255.665 1.0 49.0939   ? 567 PHE A CG  567 PHE A CG  1 
ATOM 4445  C CD1 . PHE A 1 567 ? 250.594 -51.231 256.918 1.0 49.0939   ? 567 PHE A CD1 567 PHE A CD1 1 
ATOM 4446  C CD2 . PHE A 1 567 ? 249.503 -50.571 254.917 1.0 49.0939   ? 567 PHE A CD2 567 PHE A CD2 1 
ATOM 4447  C CE1 . PHE A 1 567 ? 249.398 -51.732 257.403 1.0 49.0939   ? 567 PHE A CE1 567 PHE A CE1 1 
ATOM 4448  C CE2 . PHE A 1 567 ? 248.309 -51.075 255.389 1.0 49.0939   ? 567 PHE A CE2 567 PHE A CE2 1 
ATOM 4449  C CZ  . PHE A 1 567 ? 248.255 -51.657 256.635 1.0 49.0939   ? 567 PHE A CZ  567 PHE A CZ  1 
ATOM 4450  N N   . PRO A 1 568 ? 251.871 -53.127 253.559 1.0 49.46538  ? 568 PRO A N   568 PRO A N   1 
ATOM 4451  C CA  . PRO A 1 568 ? 251.329 -53.913 252.437 1.0 49.46538  ? 568 PRO A CA  568 PRO A CA  1 
ATOM 4452  C C   . PRO A 1 568 ? 249.873 -53.575 252.129 1.0 49.46538  ? 568 PRO A C   568 PRO A C   1 
ATOM 4453  O O   . PRO A 1 568 ? 248.988 -54.416 252.227 1.0 49.46538  ? 568 PRO A O   568 PRO A O   1 
ATOM 4454  C CB  . PRO A 1 568 ? 251.485 -55.343 252.955 1.0 49.46538  ? 568 PRO A CB  568 PRO A CB  1 
ATOM 4455  C CG  . PRO A 1 568 ? 251.335 -55.216 254.409 1.0 49.46538  ? 568 PRO A CG  568 PRO A CG  1 
ATOM 4456  C CD  . PRO A 1 568 ? 251.997 -53.934 254.784 1.0 49.46538  ? 568 PRO A CD  568 PRO A CD  1 
ATOM 4457  N N   . MET A 1 569 ? 249.627 -52.336 251.728 1.0 51.43397  ? 569 MET A N   569 MET A N   1 
ATOM 4458  C CA  . MET A 1 569 ? 248.266 -51.904 251.455 1.0 51.43397  ? 569 MET A CA  569 MET A CA  1 
ATOM 4459  C C   . MET A 1 569 ? 247.784 -52.503 250.136 1.0 51.43397  ? 569 MET A C   569 MET A C   1 
ATOM 4460  O O   . MET A 1 569 ? 248.583 -52.830 249.255 1.0 51.43397  ? 569 MET A O   569 MET A O   1 
ATOM 4461  C CB  . MET A 1 569 ? 248.207 -50.375 251.427 1.0 51.43397  ? 569 MET A CB  569 MET A CB  1 
ATOM 4462  C CG  . MET A 1 569 ? 246.815 -49.773 251.438 1.0 51.43397  ? 569 MET A CG  569 MET A CG  1 
ATOM 4463  S SD  . MET A 1 569 ? 246.834 -47.984 251.541 1.0 51.43397  ? 569 MET A SD  569 MET A SD  1 
ATOM 4464  C CE  . MET A 1 569 ? 247.368 -47.782 253.233 1.0 51.43397  ? 569 MET A CE  569 MET A CE  1 
ATOM 4465  N N   . ASN A 1 570 ? 246.469 -52.701 250.041 1.0 51.49832  ? 570 ASN A N   570 ASN A N   1 
ATOM 4466  C CA  . ASN A 1 570 ? 245.834 -53.177 248.820 1.0 51.49832  ? 570 ASN A CA  570 ASN A CA  1 
ATOM 4467  C C   . ASN A 1 570 ? 246.091 -52.205 247.676 1.0 51.49832  ? 570 ASN A C   570 ASN A C   1 
ATOM 4468  O O   . ASN A 1 570 ? 246.113 -50.987 247.870 1.0 51.49832  ? 570 ASN A O   570 ASN A O   1 
ATOM 4469  C CB  . ASN A 1 570 ? 244.333 -53.330 249.060 1.0 51.49832  ? 570 ASN A CB  570 ASN A CB  1 
ATOM 4470  C CG  . ASN A 1 570 ? 243.645 -54.154 248.001 1.0 51.49832  ? 570 ASN A CG  570 ASN A CG  1 
ATOM 4471  O OD1 . ASN A 1 570 ? 244.267 -54.626 247.053 1.0 51.49832  ? 570 ASN A OD1 570 ASN A OD1 1 
ATOM 4472  N ND2 . ASN A 1 570 ? 242.347 -54.345 248.166 1.0 51.49832  ? 570 ASN A ND2 570 ASN A ND2 1 
ATOM 4473  N N   . TYR A 1 571 ? 246.287 -52.750 246.475 1.0 50.58362  ? 571 TYR A N   571 TYR A N   1 
ATOM 4474  C CA  . TYR A 1 571 ? 246.732 -51.924 245.357 1.0 50.58362  ? 571 TYR A CA  571 TYR A CA  1 
ATOM 4475  C C   . TYR A 1 571 ? 245.631 -51.018 244.829 1.0 50.58362  ? 571 TYR A C   571 TYR A C   1 
ATOM 4476  O O   . TYR A 1 571 ? 245.928 -50.053 244.121 1.0 50.58362  ? 571 TYR A O   571 TYR A O   1 
ATOM 4477  C CB  . TYR A 1 571 ? 247.270 -52.791 244.218 1.0 50.58362  ? 571 TYR A CB  571 TYR A CB  1 
ATOM 4478  C CG  . TYR A 1 571 ? 248.586 -53.487 244.498 1.0 50.58362  ? 571 TYR A CG  571 TYR A CG  1 
ATOM 4479  C CD1 . TYR A 1 571 ? 249.336 -53.189 245.627 1.0 50.58362  ? 571 TYR A CD1 571 TYR A CD1 1 
ATOM 4480  C CD2 . TYR A 1 571 ? 249.093 -54.420 243.609 1.0 50.58362  ? 571 TYR A CD2 571 TYR A CD2 1 
ATOM 4481  C CE1 . TYR A 1 571 ? 250.533 -53.818 245.874 1.0 50.58362  ? 571 TYR A CE1 571 TYR A CE1 1 
ATOM 4482  C CE2 . TYR A 1 571 ? 250.294 -55.050 243.846 1.0 50.58362  ? 571 TYR A CE2 571 TYR A CE2 1 
ATOM 4483  C CZ  . TYR A 1 571 ? 251.006 -54.746 244.979 1.0 50.58362  ? 571 TYR A CZ  571 TYR A CZ  1 
ATOM 4484  O OH  . TYR A 1 571 ? 252.202 -55.375 245.217 1.0 50.58362  ? 571 TYR A OH  571 TYR A OH  1 
ATOM 4485  N N   . ASP A 1 572 ? 244.376 -51.301 245.158 1.0 54.6017   ? 572 ASP A N   572 ASP A N   1 
ATOM 4486  C CA  . ASP A 1 572 ? 243.282 -50.414 244.803 1.0 54.6017   ? 572 ASP A CA  572 ASP A CA  1 
ATOM 4487  C C   . ASP A 1 572 ? 242.796 -49.580 245.975 1.0 54.6017   ? 572 ASP A C   572 ASP A C   1 
ATOM 4488  O O   . ASP A 1 572 ? 242.033 -48.633 245.766 1.0 54.6017   ? 572 ASP A O   572 ASP A O   1 
ATOM 4489  C CB  . ASP A 1 572 ? 242.122 -51.225 244.226 1.0 54.6017   ? 572 ASP A CB  572 ASP A CB  1 
ATOM 4490  C CG  . ASP A 1 572 ? 242.475 -51.871 242.905 1.0 54.6017   ? 572 ASP A CG  572 ASP A CG  1 
ATOM 4491  O OD1 . ASP A 1 572 ? 243.275 -51.285 242.147 1.0 54.6017   ? 572 ASP A OD1 572 ASP A OD1 1 
ATOM 4492  O OD2 . ASP A 1 572 ? 241.975 -52.979 242.632 1.0 54.6017   ? 572 ASP A OD2 572 ASP A OD2 1 
ATOM 4493  N N   . THR A 1 573 ? 243.208 -49.916 247.196 1.0 51.04954  ? 573 THR A N   573 THR A N   1 
ATOM 4494  C CA  . THR A 1 573 ? 243.015 -49.016 248.325 1.0 51.04954  ? 573 THR A CA  573 THR A CA  1 
ATOM 4495  C C   . THR A 1 573 ? 244.077 -47.925 248.325 1.0 51.04954  ? 573 THR A C   573 THR A C   1 
ATOM 4496  O O   . THR A 1 573 ? 243.780 -46.761 248.613 1.0 51.04954  ? 573 THR A O   573 THR A O   1 
ATOM 4497  C CB  . THR A 1 573 ? 243.049 -49.807 249.631 1.0 51.04954  ? 573 THR A CB  573 THR A CB  1 
ATOM 4498  O OG1 . THR A 1 573 ? 242.053 -50.834 249.587 1.0 51.04954  ? 573 THR A OG1 573 THR A OG1 1 
ATOM 4499  C CG2 . THR A 1 573 ? 242.764 -48.914 250.818 1.0 51.04954  ? 573 THR A CG2 573 THR A CG2 1 
ATOM 4500  N N   . GLN A 1 574 ? 245.316 -48.289 247.983 1.0 49.62773  ? 574 GLN A N   574 GLN A N   1 
ATOM 4501  C CA  . GLN A 1 574 ? 246.379 -47.305 247.813 1.0 49.62773  ? 574 GLN A CA  574 GLN A CA  1 
ATOM 4502  C C   . GLN A 1 574 ? 246.089 -46.374 246.648 1.0 49.62773  ? 574 GLN A C   574 GLN A C   1 
ATOM 4503  O O   . GLN A 1 574 ? 246.466 -45.199 246.688 1.0 49.62773  ? 574 GLN A O   574 GLN A O   1 
ATOM 4504  C CB  . GLN A 1 574 ? 247.713 -48.019 247.602 1.0 49.62773  ? 574 GLN A CB  574 GLN A CB  1 
ATOM 4505  C CG  . GLN A 1 574 ? 248.963 -47.148 247.667 1.0 49.62773  ? 574 GLN A CG  574 GLN A CG  1 
ATOM 4506  C CD  . GLN A 1 574 ? 249.314 -46.501 246.341 1.0 49.62773  ? 574 GLN A CD  574 GLN A CD  1 
ATOM 4507  O OE1 . GLN A 1 574 ? 248.920 -46.982 245.281 1.0 49.62773  ? 574 GLN A OE1 574 GLN A OE1 1 
ATOM 4508  N NE2 . GLN A 1 574 ? 250.062 -45.408 246.395 1.0 49.62773  ? 574 GLN A NE2 574 GLN A NE2 1 
ATOM 4509  N N   . SER A 1 575 ? 245.422 -46.875 245.608 1.0 50.32896  ? 575 SER A N   575 SER A N   1 
ATOM 4510  C CA  . SER A 1 575 ? 245.080 -46.046 244.461 1.0 50.32896  ? 575 SER A CA  575 SER A CA  1 
ATOM 4511  C C   . SER A 1 575 ? 244.025 -45.004 244.789 1.0 50.32896  ? 575 SER A C   575 SER A C   1 
ATOM 4512  O O   . SER A 1 575 ? 243.864 -44.047 244.029 1.0 50.32896  ? 575 SER A O   575 SER A O   1 
ATOM 4513  C CB  . SER A 1 575 ? 244.597 -46.923 243.311 1.0 50.32896  ? 575 SER A CB  575 SER A CB  1 
ATOM 4514  O OG  . SER A 1 575 ? 244.193 -46.131 242.212 1.0 50.32896  ? 575 SER A OG  575 SER A OG  1 
ATOM 4515  N N   . GLU A 1 576 ? 243.296 -45.170 245.889 1.0 52.5319   ? 576 GLU A N   576 GLU A N   1 
ATOM 4516  C CA  . GLU A 1 576 ? 242.397 -44.136 246.374 1.0 52.5319   ? 576 GLU A CA  576 GLU A CA  1 
ATOM 4517  C C   . GLU A 1 576 ? 243.088 -43.215 247.367 1.0 52.5319   ? 576 GLU A C   576 GLU A C   1 
ATOM 4518  O O   . GLU A 1 576 ? 242.804 -42.014 247.397 1.0 52.5319   ? 576 GLU A O   576 GLU A O   1 
ATOM 4519  C CB  . GLU A 1 576 ? 241.167 -44.770 247.022 1.0 52.5319   ? 576 GLU A CB  576 GLU A CB  1 
ATOM 4520  C CG  . GLU A 1 576 ? 240.294 -45.541 246.059 1.0 52.5319   ? 576 GLU A CG  576 GLU A CG  1 
ATOM 4521  C CD  . GLU A 1 576 ? 239.127 -46.207 246.749 1.0 52.5319   ? 576 GLU A CD  576 GLU A CD  1 
ATOM 4522  O OE1 . GLU A 1 576 ? 239.067 -46.157 247.995 1.0 52.5319   ? 576 GLU A OE1 576 GLU A OE1 1 
ATOM 4523  O OE2 . GLU A 1 576 ? 238.272 -46.786 246.048 1.0 52.5319   ? 576 GLU A OE2 576 GLU A OE2 1 
ATOM 4524  N N   . LEU A 1 577 ? 244.002 -43.753 248.174 1.0 46.21807  ? 577 LEU A N   577 LEU A N   1 
ATOM 4525  C CA  . LEU A 1 577 ? 244.699 -42.945 249.163 1.0 46.21807  ? 577 LEU A CA  577 LEU A CA  1 
ATOM 4526  C C   . LEU A 1 577 ? 245.809 -42.114 248.546 1.0 46.21807  ? 577 LEU A C   577 LEU A C   1 
ATOM 4527  O O   . LEU A 1 577 ? 246.153 -41.065 249.096 1.0 46.21807  ? 577 LEU A O   577 LEU A O   1 
ATOM 4528  C CB  . LEU A 1 577 ? 245.235 -43.844 250.283 1.0 46.21807  ? 577 LEU A CB  577 LEU A CB  1 
ATOM 4529  C CG  . LEU A 1 577 ? 245.740 -43.280 251.618 1.0 46.21807  ? 577 LEU A CG  577 LEU A CG  1 
ATOM 4530  C CD1 . LEU A 1 577 ? 247.208 -42.945 251.621 1.0 46.21807  ? 577 LEU A CD1 577 LEU A CD1 1 
ATOM 4531  C CD2 . LEU A 1 577 ? 244.946 -42.040 252.000 1.0 46.21807  ? 577 LEU A CD2 577 LEU A CD2 1 
ATOM 4532  N N   . GLU A 1 578 ? 246.373 -42.544 247.420 1.0 46.83633  ? 578 GLU A N   578 GLU A N   1 
ATOM 4533  C CA  . GLU A 1 578 ? 247.334 -41.695 246.731 1.0 46.83633  ? 578 GLU A CA  578 GLU A CA  1 
ATOM 4534  C C   . GLU A 1 578 ? 246.645 -40.478 246.135 1.0 46.83633  ? 578 GLU A C   578 GLU A C   1 
ATOM 4535  O O   . GLU A 1 578 ? 247.134 -39.354 246.276 1.0 46.83633  ? 578 GLU A O   578 GLU A O   1 
ATOM 4536  C CB  . GLU A 1 578 ? 248.068 -42.479 245.649 1.0 46.83633  ? 578 GLU A CB  578 GLU A CB  1 
ATOM 4537  C CG  . GLU A 1 578 ? 249.130 -41.655 244.962 1.0 46.83633  ? 578 GLU A CG  578 GLU A CG  1 
ATOM 4538  C CD  . GLU A 1 578 ? 249.892 -42.422 243.909 1.0 46.83633  ? 578 GLU A CD  578 GLU A CD  1 
ATOM 4539  O OE1 . GLU A 1 578 ? 249.587 -43.613 243.697 1.0 46.83633  ? 578 GLU A OE1 578 GLU A OE1 1 
ATOM 4540  O OE2 . GLU A 1 578 ? 250.797 -41.823 243.291 1.0 46.83633  ? 578 GLU A OE2 578 GLU A OE2 1 
ATOM 4541  N N   . LEU A 1 579 ? 245.481 -40.683 245.505 1.0 46.66756  ? 579 LEU A N   579 LEU A N   1 
ATOM 4542  C CA  . LEU A 1 579 ? 244.731 -39.587 244.892 1.0 46.66756  ? 579 LEU A CA  579 LEU A CA  1 
ATOM 4543  C C   . LEU A 1 579 ? 244.261 -38.563 245.914 1.0 46.66756  ? 579 LEU A C   579 LEU A C   1 
ATOM 4544  O O   . LEU A 1 579 ? 244.148 -37.377 245.592 1.0 46.66756  ? 579 LEU A O   579 LEU A O   1 
ATOM 4545  C CB  . LEU A 1 579 ? 243.525 -40.133 244.135 1.0 46.66756  ? 579 LEU A CB  579 LEU A CB  1 
ATOM 4546  C CG  . LEU A 1 579 ? 243.768 -40.899 242.845 1.0 46.66756  ? 579 LEU A CG  579 LEU A CG  1 
ATOM 4547  C CD1 . LEU A 1 579 ? 242.476 -41.498 242.342 1.0 46.66756  ? 579 LEU A CD1 579 LEU A CD1 1 
ATOM 4548  C CD2 . LEU A 1 579 ? 244.308 -39.950 241.831 1.0 46.66756  ? 579 LEU A CD2 579 LEU A CD2 1 
ATOM 4549  N N   . MET A 1 580 ? 243.981 -38.991 247.140 1.0 45.12662  ? 580 MET A N   580 MET A N   1 
ATOM 4550  C CA  . MET A 1 580 ? 243.609 -38.040 248.174 1.0 45.12662  ? 580 MET A CA  580 MET A CA  1 
ATOM 4551  C C   . MET A 1 580 ? 244.797 -37.249 248.692 1.0 45.12662  ? 580 MET A C   580 MET A C   1 
ATOM 4552  O O   . MET A 1 580 ? 244.606 -36.142 249.200 1.0 45.12662  ? 580 MET A O   580 MET A O   1 
ATOM 4553  C CB  . MET A 1 580 ? 242.921 -38.756 249.332 1.0 45.12662  ? 580 MET A CB  580 MET A CB  1 
ATOM 4554  C CG  . MET A 1 580 ? 241.553 -39.285 248.981 1.0 45.12662  ? 580 MET A CG  580 MET A CG  1 
ATOM 4555  S SD  . MET A 1 580 ? 240.698 -40.023 250.378 1.0 45.12662  ? 580 MET A SD  580 MET A SD  1 
ATOM 4556  C CE  . MET A 1 580 ? 241.516 -41.600 250.491 1.0 45.12662  ? 580 MET A CE  580 MET A CE  1 
ATOM 4557  N N   . LEU A 1 581 ? 246.011 -37.774 248.572 1.0 41.26822  ? 581 LEU A N   581 LEU A N   1 
ATOM 4558  C CA  . LEU A 1 581 ? 247.187 -37.053 249.032 1.0 41.26822  ? 581 LEU A CA  581 LEU A CA  1 
ATOM 4559  C C   . LEU A 1 581 ? 247.942 -36.345 247.917 1.0 41.26822  ? 581 LEU A C   581 LEU A C   1 
ATOM 4560  O O   . LEU A 1 581 ? 248.806 -35.517 248.214 1.0 41.26822  ? 581 LEU A O   581 LEU A O   1 
ATOM 4561  C CB  . LEU A 1 581 ? 248.138 -37.994 249.768 1.0 41.26822  ? 581 LEU A CB  581 LEU A CB  1 
ATOM 4562  C CG  . LEU A 1 581 ? 247.619 -38.512 251.101 1.0 41.26822  ? 581 LEU A CG  581 LEU A CG  1 
ATOM 4563  C CD1 . LEU A 1 581 ? 248.605 -39.493 251.662 1.0 41.26822  ? 581 LEU A CD1 581 LEU A CD1 1 
ATOM 4564  C CD2 . LEU A 1 581 ? 247.409 -37.364 252.061 1.0 41.26822  ? 581 LEU A CD2 581 LEU A CD2 1 
ATOM 4565  N N   . ARG A 1 582 ? 247.644 -36.638 246.649 1.0 42.74216  ? 582 ARG A N   582 ARG A N   1 
ATOM 4566  C CA  . ARG A 1 582 ? 248.133 -35.786 245.573 1.0 42.74216  ? 582 ARG A CA  582 ARG A CA  1 
ATOM 4567  C C   . ARG A 1 582 ? 247.389 -34.461 245.511 1.0 42.74216  ? 582 ARG A C   582 ARG A C   1 
ATOM 4568  O O   . ARG A 1 582 ? 247.835 -33.553 244.803 1.0 42.74216  ? 582 ARG A O   582 ARG A O   1 
ATOM 4569  C CB  . ARG A 1 582 ? 248.005 -36.475 244.211 1.0 42.74216  ? 582 ARG A CB  582 ARG A CB  1 
ATOM 4570  C CG  . ARG A 1 582 ? 248.772 -37.770 244.035 1.0 42.74216  ? 582 ARG A CG  582 ARG A CG  1 
ATOM 4571  C CD  . ARG A 1 582 ? 250.248 -37.563 244.034 1.0 42.74216  ? 582 ARG A CD  582 ARG A CD  1 
ATOM 4572  N NE  . ARG A 1 582 ? 250.978 -38.803 243.833 1.0 42.74216  ? 582 ARG A NE  582 ARG A NE  1 
ATOM 4573  C CZ  . ARG A 1 582 ? 252.296 -38.901 243.922 1.0 42.74216  ? 582 ARG A CZ  582 ARG A CZ  1 
ATOM 4574  N NH1 . ARG A 1 582 ? 253.020 -37.834 244.216 1.0 42.74216  ? 582 ARG A NH1 582 ARG A NH1 1 
ATOM 4575  N NH2 . ARG A 1 582 ? 252.890 -40.064 243.722 1.0 42.74216  ? 582 ARG A NH2 582 ARG A NH2 1 
ATOM 4576  N N   . ASN A 1 583 ? 246.269 -34.341 246.218 1.0 43.04828  ? 583 ASN A N   583 ASN A N   1 
ATOM 4577  C CA  . ASN A 1 583 ? 245.456 -33.138 246.194 1.0 43.04828  ? 583 ASN A CA  583 ASN A CA  1 
ATOM 4578  C C   . ASN A 1 583 ? 246.168 -32.005 246.924 1.0 43.04828  ? 583 ASN A C   583 ASN A C   1 
ATOM 4579  O O   . ASN A 1 583 ? 246.971 -32.228 247.831 1.0 43.04828  ? 583 ASN A O   583 ASN A O   1 
ATOM 4580  C CB  . ASN A 1 583 ? 244.101 -33.422 246.836 1.0 43.04828  ? 583 ASN A CB  583 ASN A CB  1 
ATOM 4581  C CG  . ASN A 1 583 ? 243.063 -32.389 246.490 1.0 43.04828  ? 583 ASN A CG  583 ASN A CG  1 
ATOM 4582  O OD1 . ASN A 1 583 ? 243.339 -31.428 245.778 1.0 43.04828  ? 583 ASN A OD1 583 ASN A OD1 1 
ATOM 4583  N ND2 . ASN A 1 583 ? 241.850 -32.587 246.984 1.0 43.04828  ? 583 ASN A ND2 583 ASN A ND2 1 
ATOM 4584  N N   . ALA A 1 584 ? 245.873 -30.775 246.508 1.0 40.78429  ? 584 ALA A N   584 ALA A N   1 
ATOM 4585  C CA  . ALA A 1 584 ? 246.558 -29.618 247.067 1.0 40.78429  ? 584 ALA A CA  584 ALA A CA  1 
ATOM 4586  C C   . ALA A 1 584 ? 246.014 -29.208 248.426 1.0 40.78429  ? 584 ALA A C   584 ALA A C   1 
ATOM 4587  O O   . ALA A 1 584 ? 246.725 -28.543 249.184 1.0 40.78429  ? 584 ALA A O   584 ALA A O   1 
ATOM 4588  C CB  . ALA A 1 584 ? 246.466 -28.436 246.103 1.0 40.78429  ? 584 ALA A CB  584 ALA A CB  1 
ATOM 4589  N N   . THR A 1 585 ? 244.781 -29.578 248.750 1.0 40.82644  ? 585 THR A N   585 THR A N   1 
ATOM 4590  C CA  . THR A 1 585 ? 244.181 -29.210 250.023 1.0 40.82644  ? 585 THR A CA  585 THR A CA  1 
ATOM 4591  C C   . THR A 1 585 ? 244.465 -30.215 251.126 1.0 40.82644  ? 585 THR A C   585 THR A C   1 
ATOM 4592  O O   . THR A 1 585 ? 244.029 -30.003 252.260 1.0 40.82644  ? 585 THR A O   585 THR A O   1 
ATOM 4593  C CB  . THR A 1 585 ? 242.670 -29.045 249.872 1.0 40.82644  ? 585 THR A CB  585 THR A CB  1 
ATOM 4594  O OG1 . THR A 1 585 ? 242.124 -28.551 251.099 1.0 40.82644  ? 585 THR A OG1 585 THR A OG1 1 
ATOM 4595  C CG2 . THR A 1 585 ? 242.027 -30.370 249.549 1.0 40.82644  ? 585 THR A CG2 585 THR A CG2 1 
ATOM 4596  N N   . ASN A 1 586 ? 245.178 -31.294 250.826 1.0 40.53935  ? 586 ASN A N   586 ASN A N   1 
ATOM 4597  C CA  . ASN A 1 586 ? 245.532 -32.312 251.806 1.0 40.53935  ? 586 ASN A CA  586 ASN A CA  1 
ATOM 4598  C C   . ASN A 1 586 ? 247.033 -32.330 252.067 1.0 40.53935  ? 586 ASN A C   586 ASN A C   1 
ATOM 4599  O O   . ASN A 1 586 ? 247.633 -33.391 252.241 1.0 40.53935  ? 586 ASN A O   586 ASN A O   1 
ATOM 4600  C CB  . ASN A 1 586 ? 245.065 -33.687 251.349 1.0 40.53935  ? 586 ASN A CB  586 ASN A CB  1 
ATOM 4601  C CG  . ASN A 1 586 ? 243.571 -33.835 251.389 1.0 40.53935  ? 586 ASN A CG  586 ASN A CG  1 
ATOM 4602  O OD1 . ASN A 1 586 ? 242.921 -33.399 252.331 1.0 40.53935  ? 586 ASN A OD1 586 ASN A OD1 1 
ATOM 4603  N ND2 . ASN A 1 586 ? 243.012 -34.465 250.368 1.0 40.53935  ? 586 ASN A ND2 586 ASN A ND2 1 
ATOM 4604  N N   . ASP A 1 587 ? 247.657 -31.157 252.085 1.0 41.01273  ? 587 ASP A N   587 ASP A N   1 
ATOM 4605  C CA  . ASP A 1 587 ? 249.090 -31.085 252.320 1.0 41.01273  ? 587 ASP A CA  587 ASP A CA  1 
ATOM 4606  C C   . ASP A 1 587 ? 249.394 -31.337 253.786 1.0 41.01273  ? 587 ASP A C   587 ASP A C   1 
ATOM 4607  O O   . ASP A 1 587 ? 248.694 -30.848 254.674 1.0 41.01273  ? 587 ASP A O   587 ASP A O   1 
ATOM 4608  C CB  . ASP A 1 587 ? 249.636 -29.726 251.903 1.0 41.01273  ? 587 ASP A CB  587 ASP A CB  1 
ATOM 4609  C CG  . ASP A 1 587 ? 249.525 -29.497 250.423 1.0 41.01273  ? 587 ASP A CG  587 ASP A CG  1 
ATOM 4610  O OD1 . ASP A 1 587 ? 249.446 -30.500 249.687 1.0 41.01273  ? 587 ASP A OD1 587 ASP A OD1 1 
ATOM 4611  O OD2 . ASP A 1 587 ? 249.529 -28.324 249.993 1.0 41.01273  ? 587 ASP A OD2 587 ASP A OD2 1 
ATOM 4612  N N   . GLN A 1 588 ? 250.447 -32.103 254.035 1.0 38.23395  ? 588 GLN A N   588 GLN A N   1 
ATOM 4613  C CA  . GLN A 1 588 ? 250.779 -32.511 255.388 1.0 38.23395  ? 588 GLN A CA  588 GLN A CA  1 
ATOM 4614  C C   . GLN A 1 588 ? 251.493 -31.382 256.111 1.0 38.23395  ? 588 GLN A C   588 GLN A C   1 
ATOM 4615  O O   . GLN A 1 588 ? 252.445 -30.801 255.591 1.0 38.23395  ? 588 GLN A O   588 GLN A O   1 
ATOM 4616  C CB  . GLN A 1 588 ? 251.642 -33.765 255.357 1.0 38.23395  ? 588 GLN A CB  588 GLN A CB  1 
ATOM 4617  C CG  . GLN A 1 588 ? 250.914 -34.934 254.750 1.0 38.23395  ? 588 GLN A CG  588 GLN A CG  1 
ATOM 4618  C CD  . GLN A 1 588 ? 251.753 -36.178 254.669 1.0 38.23395  ? 588 GLN A CD  588 GLN A CD  1 
ATOM 4619  O OE1 . GLN A 1 588 ? 252.922 -36.177 255.032 1.0 38.23395  ? 588 GLN A OE1 588 GLN A OE1 1 
ATOM 4620  N NE2 . GLN A 1 588 ? 251.159 -37.253 254.182 1.0 38.23395  ? 588 GLN A NE2 588 GLN A NE2 1 
ATOM 4621  N N   . ASN A 1 589 ? 251.023 -31.062 257.303 1.0 39.4209   ? 589 ASN A N   589 ASN A N   1 
ATOM 4622  C CA  . ASN A 1 589 ? 251.615 -30.015 258.113 1.0 39.4209   ? 589 ASN A CA  589 ASN A CA  1 
ATOM 4623  C C   . ASN A 1 589 ? 252.433 -30.650 259.223 1.0 39.4209   ? 589 ASN A C   589 ASN A C   1 
ATOM 4624  O O   . ASN A 1 589 ? 252.020 -31.652 259.810 1.0 39.4209   ? 589 ASN A O   589 ASN A O   1 
ATOM 4625  C CB  . ASN A 1 589 ? 250.529 -29.132 258.711 1.0 39.4209   ? 589 ASN A CB  589 ASN A CB  1 
ATOM 4626  C CG  . ASN A 1 589 ? 249.732 -28.412 257.666 1.0 39.4209   ? 589 ASN A CG  589 ASN A CG  1 
ATOM 4627  O OD1 . ASN A 1 589 ? 250.286 -27.884 256.713 1.0 39.4209   ? 589 ASN A OD1 589 ASN A OD1 1 
ATOM 4628  N ND2 . ASN A 1 589 ? 248.420 -28.404 257.824 1.0 39.4209   ? 589 ASN A ND2 589 ASN A ND2 1 
ATOM 4629  N N   . PHE A 1 590 ? 253.599 -30.080 259.502 1.0 39.91527  ? 590 PHE A N   590 PHE A N   1 
ATOM 4630  C CA  . PHE A 1 590 ? 254.402 -30.525 260.627 1.0 39.91527  ? 590 PHE A CA  590 PHE A CA  1 
ATOM 4631  C C   . PHE A 1 590 ? 254.967 -29.304 261.327 1.0 39.91527  ? 590 PHE A C   590 PHE A C   1 
ATOM 4632  O O   . PHE A 1 590 ? 255.124 -28.239 260.730 1.0 39.91527  ? 590 PHE A O   590 PHE A O   1 
ATOM 4633  C CB  . PHE A 1 590 ? 255.539 -31.460 260.204 1.0 39.91527  ? 590 PHE A CB  590 PHE A CB  1 
ATOM 4634  C CG  . PHE A 1 590 ? 255.071 -32.740 259.597 1.0 39.91527  ? 590 PHE A CG  590 PHE A CG  1 
ATOM 4635  C CD1 . PHE A 1 590 ? 254.573 -33.748 260.390 1.0 39.91527  ? 590 PHE A CD1 590 PHE A CD1 1 
ATOM 4636  C CD2 . PHE A 1 590 ? 255.141 -32.935 258.233 1.0 39.91527  ? 590 PHE A CD2 590 PHE A CD2 1 
ATOM 4637  C CE1 . PHE A 1 590 ? 254.128 -34.928 259.838 1.0 39.91527  ? 590 PHE A CE1 590 PHE A CE1 1 
ATOM 4638  C CE2 . PHE A 1 590 ? 254.713 -34.118 257.670 1.0 39.91527  ? 590 PHE A CE2 590 PHE A CE2 1 
ATOM 4639  C CZ  . PHE A 1 590 ? 254.213 -35.115 258.478 1.0 39.91527  ? 590 PHE A CZ  590 PHE A CZ  1 
ATOM 4640  N N   . SER A 1 591 ? 255.272 -29.470 262.606 1.0 43.31619  ? 591 SER A N   591 SER A N   1 
ATOM 4641  C CA  . SER A 1 591 ? 255.783 -28.383 263.417 1.0 43.31619  ? 591 SER A CA  591 SER A CA  1 
ATOM 4642  C C   . SER A 1 591 ? 256.864 -28.913 264.339 1.0 43.31619  ? 591 SER A C   591 SER A C   1 
ATOM 4643  O O   . SER A 1 591 ? 256.792 -30.049 264.811 1.0 43.31619  ? 591 SER A O   591 SER A O   1 
ATOM 4644  C CB  . SER A 1 591 ? 254.677 -27.734 264.247 1.0 43.31619  ? 591 SER A CB  591 SER A CB  1 
ATOM 4645  O OG  . SER A 1 591 ? 255.199 -26.687 265.044 1.0 43.31619  ? 591 SER A OG  591 SER A OG  1 
ATOM 4646  N N   . ASP A 1 592 ? 257.873 -28.084 264.582 1.0 46.16328  ? 592 ASP A N   592 ASP A N   1 
ATOM 4647  C CA  . ASP A 1 592 ? 258.872 -28.414 265.582 1.0 46.16328  ? 592 ASP A CA  592 ASP A CA  1 
ATOM 4648  C C   . ASP A 1 592 ? 258.238 -28.341 266.962 1.0 46.16328  ? 592 ASP A C   592 ASP A C   1 
ATOM 4649  O O   . ASP A 1 592 ? 257.437 -27.446 267.240 1.0 46.16328  ? 592 ASP A O   592 ASP A O   1 
ATOM 4650  C CB  . ASP A 1 592 ? 260.057 -27.460 265.486 1.0 46.16328  ? 592 ASP A CB  592 ASP A CB  1 
ATOM 4651  C CG  . ASP A 1 592 ? 261.207 -27.868 266.377 1.0 46.16328  ? 592 ASP A CG  592 ASP A CG  1 
ATOM 4652  O OD1 . ASP A 1 592 ? 261.900 -28.849 266.037 1.0 46.16328  ? 592 ASP A OD1 592 ASP A OD1 1 
ATOM 4653  O OD2 . ASP A 1 592 ? 261.424 -27.208 267.413 1.0 46.16328  ? 592 ASP A OD2 592 ASP A OD2 1 
ATOM 4654  N N   . TYR A 1 593 ? 258.571 -29.307 267.819 1.0 42.77267  ? 593 TYR A N   593 TYR A N   1 
ATOM 4655  C CA  . TYR A 1 593 ? 257.932 -29.358 269.128 1.0 42.77267  ? 593 TYR A CA  593 TYR A CA  1 
ATOM 4656  C C   . TYR A 1 593 ? 258.441 -28.250 270.035 1.0 42.77267  ? 593 TYR A C   593 TYR A C   1 
ATOM 4657  O O   . TYR A 1 593 ? 257.679 -27.702 270.838 1.0 42.77267  ? 593 TYR A O   593 TYR A O   1 
ATOM 4658  C CB  . TYR A 1 593 ? 258.150 -30.717 269.786 1.0 42.77267  ? 593 TYR A CB  593 TYR A CB  1 
ATOM 4659  C CG  . TYR A 1 593 ? 257.488 -30.808 271.137 1.0 42.77267  ? 593 TYR A CG  593 TYR A CG  1 
ATOM 4660  C CD1 . TYR A 1 593 ? 256.113 -30.939 271.243 1.0 42.77267  ? 593 TYR A CD1 593 TYR A CD1 1 
ATOM 4661  C CD2 . TYR A 1 593 ? 258.233 -30.743 272.305 1.0 42.77267  ? 593 TYR A CD2 593 TYR A CD2 1 
ATOM 4662  C CE1 . TYR A 1 593 ? 255.498 -31.010 272.473 1.0 42.77267  ? 593 TYR A CE1 593 TYR A CE1 1 
ATOM 4663  C CE2 . TYR A 1 593 ? 257.627 -30.809 273.538 1.0 42.77267  ? 593 TYR A CE2 593 TYR A CE2 1 
ATOM 4664  C CZ  . TYR A 1 593 ? 256.261 -30.944 273.616 1.0 42.77267  ? 593 TYR A CZ  593 TYR A CZ  1 
ATOM 4665  O OH  . TYR A 1 593 ? 255.654 -31.017 274.845 1.0 42.77267  ? 593 TYR A OH  593 TYR A OH  1 
ATOM 4666  N N   . LEU A 1 594 ? 259.725 -27.917 269.930 1.0 42.58692  ? 594 LEU A N   594 LEU A N   1 
ATOM 4667  C CA  . LEU A 1 594 ? 260.277 -26.855 270.760 1.0 42.58692  ? 594 LEU A CA  594 LEU A CA  1 
ATOM 4668  C C   . LEU A 1 594 ? 259.760 -25.496 270.314 1.0 42.58692  ? 594 LEU A C   594 LEU A C   1 
ATOM 4669  O O   . LEU A 1 594 ? 259.182 -24.750 271.112 1.0 42.58692  ? 594 LEU A O   594 LEU A O   1 
ATOM 4670  C CB  . LEU A 1 594 ? 261.800 -26.903 270.714 1.0 42.58692  ? 594 LEU A CB  594 LEU A CB  1 
ATOM 4671  C CG  . LEU A 1 594 ? 262.535 -25.896 271.586 1.0 42.58692  ? 594 LEU A CG  594 LEU A CG  1 
ATOM 4672  C CD1 . LEU A 1 594 ? 262.193 -26.117 273.036 1.0 42.58692  ? 594 LEU A CD1 594 LEU A CD1 1 
ATOM 4673  C CD2 . LEU A 1 594 ? 264.027 -26.001 271.361 1.0 42.58692  ? 594 LEU A CD2 594 LEU A CD2 1 
ATOM 4674  N N   . GLY A 1 595 ? 259.931 -25.174 269.035 1.0 43.0962   ? 595 GLY A N   595 GLY A N   1 
ATOM 4675  C CA  . GLY A 1 595 ? 259.480 -23.910 268.489 1.0 43.0962   ? 595 GLY A CA  595 GLY A CA  1 
ATOM 4676  C C   . GLY A 1 595 ? 260.228 -22.736 269.077 1.0 43.0962   ? 595 GLY A C   595 GLY A C   1 
ATOM 4677  O O   . GLY A 1 595 ? 259.617 -21.809 269.614 1.0 43.0962   ? 595 GLY A O   595 GLY A O   1 
ATOM 4678  N N   . ALA A 1 596 ? 261.552 -22.770 269.001 1.0 44.47301  ? 596 ALA A N   596 ALA A N   1 
ATOM 4679  C CA  . ALA A 1 596 ? 262.360 -21.758 269.652 1.0 44.47301  ? 596 ALA A CA  596 ALA A CA  1 
ATOM 4680  C C   . ALA A 1 596 ? 263.447 -21.279 268.709 1.0 44.47301  ? 596 ALA A C   596 ALA A C   1 
ATOM 4681  O O   . ALA A 1 596 ? 263.735 -21.895 267.682 1.0 44.47301  ? 596 ALA A O   596 ALA A O   1 
ATOM 4682  C CB  . ALA A 1 596 ? 262.979 -22.275 270.951 1.0 44.47301  ? 596 ALA A CB  596 ALA A CB  1 
ATOM 4683  N N   . VAL A 1 597 ? 264.044 -20.154 269.078 1.0 48.20414  ? 597 VAL A N   597 VAL A N   1 
ATOM 4684  C CA  . VAL A 1 597 ? 265.156 -19.560 268.358 1.0 48.20414  ? 597 VAL A CA  597 VAL A CA  1 
ATOM 4685  C C   . VAL A 1 597 ? 266.330 -19.524 269.323 1.0 48.20414  ? 597 VAL A C   597 VAL A C   1 
ATOM 4686  O O   . VAL A 1 597 ? 266.300 -18.793 270.321 1.0 48.20414  ? 597 VAL A O   597 VAL A O   1 
ATOM 4687  C CB  . VAL A 1 597 ? 264.815 -18.161 267.833 1.0 48.20414  ? 597 VAL A CB  597 VAL A CB  1 
ATOM 4688  C CG1 . VAL A 1 597 ? 266.041 -17.492 267.266 1.0 48.20414  ? 597 VAL A CG1 597 VAL A CG1 1 
ATOM 4689  C CG2 . VAL A 1 597 ? 263.746 -18.259 266.771 1.0 48.20414  ? 597 VAL A CG2 597 VAL A CG2 1 
ATOM 4690  N N   . ASN A 1 598 ? 267.347 -20.330 269.045 1.0 52.54028  ? 598 ASN A N   598 ASN A N   1 
ATOM 4691  C CA  . ASN A 1 598 ? 268.518 -20.391 269.906 1.0 52.54028  ? 598 ASN A CA  598 ASN A CA  1 
ATOM 4692  C C   . ASN A 1 598 ? 269.361 -19.137 269.748 1.0 52.54028  ? 598 ASN A C   598 ASN A C   1 
ATOM 4693  O O   . ASN A 1 598 ? 269.679 -18.724 268.630 1.0 52.54028  ? 598 ASN A O   598 ASN A O   1 
ATOM 4694  C CB  . ASN A 1 598 ? 269.351 -21.616 269.563 1.0 52.54028  ? 598 ASN A CB  598 ASN A CB  1 
ATOM 4695  C CG  . ASN A 1 598 ? 268.604 -22.897 269.788 1.0 52.54028  ? 598 ASN A CG  598 ASN A CG  1 
ATOM 4696  O OD1 . ASN A 1 598 ? 268.157 -23.526 268.838 1.0 52.54028  ? 598 ASN A OD1 598 ASN A OD1 1 
ATOM 4697  N ND2 . ASN A 1 598 ? 268.506 -23.321 271.036 1.0 52.54028  ? 598 ASN A ND2 598 ASN A ND2 1 
ATOM 4698  N N   . ASN A 1 599 ? 269.719 -18.528 270.870 1.0 53.24972  ? 599 ASN A N   599 ASN A N   1 
ATOM 4699  C CA  . ASN A 1 599 ? 270.633 -17.400 270.877 1.0 53.24972  ? 599 ASN A CA  599 ASN A CA  1 
ATOM 4700  C C   . ASN A 1 599 ? 271.549 -17.547 272.076 1.0 53.24972  ? 599 ASN A C   599 ASN A C   1 
ATOM 4701  O O   . ASN A 1 599 ? 271.076 -17.661 273.209 1.0 53.24972  ? 599 ASN A O   599 ASN A O   1 
ATOM 4702  C CB  . ASN A 1 599 ? 269.882 -16.068 270.936 1.0 53.24972  ? 599 ASN A CB  599 ASN A CB  1 
ATOM 4703  C CG  . ASN A 1 599 ? 269.058 -15.810 269.698 1.0 53.24972  ? 599 ASN A CG  599 ASN A CG  1 
ATOM 4704  O OD1 . ASN A 1 599 ? 267.832 -15.739 269.758 1.0 53.24972  ? 599 ASN A OD1 599 ASN A OD1 1 
ATOM 4705  N ND2 . ASN A 1 599 ? 269.727 -15.677 268.561 1.0 53.24972  ? 599 ASN A ND2 599 ASN A ND2 1 
ATOM 4706  N N   . LEU A 1 600 ? 272.849 -17.551 271.828 1.0 54.42589  ? 600 LEU A N   600 LEU A N   1 
ATOM 4707  C CA  . LEU A 1 600 ? 273.845 -17.777 272.867 1.0 54.42589  ? 600 LEU A CA  600 LEU A CA  1 
ATOM 4708  C C   . LEU A 1 600 ? 274.585 -16.466 273.105 1.0 54.42589  ? 600 LEU A C   600 LEU A C   1 
ATOM 4709  O O   . LEU A 1 600 ? 275.623 -16.202 272.497 1.0 54.42589  ? 600 LEU A O   600 LEU A O   1 
ATOM 4710  C CB  . LEU A 1 600 ? 274.797 -18.891 272.464 1.0 54.42589  ? 600 LEU A CB  600 LEU A CB  1 
ATOM 4711  C CG  . LEU A 1 600 ? 274.172 -20.275 272.318 1.0 54.42589  ? 600 LEU A CG  600 LEU A CG  1 
ATOM 4712  C CD1 . LEU A 1 600 ? 275.188 -21.259 271.773 1.0 54.42589  ? 600 LEU A CD1 600 LEU A CD1 1 
ATOM 4713  C CD2 . LEU A 1 600 ? 273.630 -20.745 273.650 1.0 54.42589  ? 600 LEU A CD2 600 LEU A CD2 1 
ATOM 4714  N N   . TYR A 1 601 ? 274.043 -15.641 273.992 1.0 54.35137  ? 601 TYR A N   601 TYR A N   1 
ATOM 4715  C CA  . TYR A 1 601 ? 274.727 -14.427 274.400 1.0 54.35137  ? 601 TYR A CA  601 TYR A CA  1 
ATOM 4716  C C   . TYR A 1 601 ? 275.740 -14.755 275.483 1.0 54.35137  ? 601 TYR A C   601 TYR A C   1 
ATOM 4717  O O   . TYR A 1 601 ? 275.485 -15.585 276.358 1.0 54.35137  ? 601 TYR A O   601 TYR A O   1 
ATOM 4718  C CB  . TYR A 1 601 ? 273.723 -13.395 274.897 1.0 54.35137  ? 601 TYR A CB  601 TYR A CB  1 
ATOM 4719  C CG  . TYR A 1 601 ? 272.799 -12.927 273.808 1.0 54.35137  ? 601 TYR A CG  601 TYR A CG  1 
ATOM 4720  C CD1 . TYR A 1 601 ? 273.212 -11.972 272.891 1.0 54.35137  ? 601 TYR A CD1 601 TYR A CD1 1 
ATOM 4721  C CD2 . TYR A 1 601 ? 271.524 -13.457 273.678 1.0 54.35137  ? 601 TYR A CD2 601 TYR A CD2 1 
ATOM 4722  C CE1 . TYR A 1 601 ? 272.374 -11.545 271.885 1.0 54.35137  ? 601 TYR A CE1 601 TYR A CE1 1 
ATOM 4723  C CE2 . TYR A 1 601 ? 270.675 -13.030 272.681 1.0 54.35137  ? 601 TYR A CE2 601 TYR A CE2 1 
ATOM 4724  C CZ  . TYR A 1 601 ? 271.108 -12.079 271.786 1.0 54.35137  ? 601 TYR A CZ  601 TYR A CZ  1 
ATOM 4725  O OH  . TYR A 1 601 ? 270.269 -11.656 270.784 1.0 54.35137  ? 601 TYR A OH  601 TYR A OH  1 
ATOM 4726  N N   . GLN A 1 602 ? 276.893 -14.105 275.421 1.0 59.12387  ? 602 GLN A N   602 GLN A N   1 
ATOM 4727  C CA  . GLN A 1 602 ? 278.037 -14.482 276.236 1.0 59.12387  ? 602 GLN A CA  602 GLN A CA  1 
ATOM 4728  C C   . GLN A 1 602 ? 278.134 -13.598 277.470 1.0 59.12387  ? 602 GLN A C   602 GLN A C   1 
ATOM 4729  O O   . GLN A 1 602 ? 278.060 -12.370 277.368 1.0 59.12387  ? 602 GLN A O   602 GLN A O   1 
ATOM 4730  C CB  . GLN A 1 602 ? 279.329 -14.390 275.428 1.0 59.12387  ? 602 GLN A CB  602 GLN A CB  1 
ATOM 4731  C CG  . GLN A 1 602 ? 280.547 -14.880 276.179 1.0 59.12387  ? 602 GLN A CG  602 GLN A CG  1 
ATOM 4732  C CD  . GLN A 1 602 ? 281.802 -14.826 275.347 1.0 59.12387  ? 602 GLN A CD  602 GLN A CD  1 
ATOM 4733  O OE1 . GLN A 1 602 ? 281.783 -14.368 274.205 1.0 59.12387  ? 602 GLN A OE1 602 GLN A OE1 1 
ATOM 4734  N NE2 . GLN A 1 602 ? 282.907 -15.297 275.912 1.0 59.12387  ? 602 GLN A NE2 602 GLN A NE2 1 
ATOM 4735  N N   . ILE A 1 603 ? 278.299 -14.225 278.624 1.0 60.30988  ? 603 ILE A N   603 ILE A N   1 
ATOM 4736  C CA  . ILE A 1 603 ? 278.638 -13.536 279.865 1.0 60.30988  ? 603 ILE A CA  603 ILE A CA  1 
ATOM 4737  C C   . ILE A 1 603 ? 280.148 -13.627 280.032 1.0 60.30988  ? 603 ILE A C   603 ILE A C   1 
ATOM 4738  O O   . ILE A 1 603 ? 280.698 -14.733 279.946 1.0 60.30988  ? 603 ILE A O   603 ILE A O   1 
ATOM 4739  C CB  . ILE A 1 603 ? 277.934 -14.167 281.078 1.0 60.30988  ? 603 ILE A CB  603 ILE A CB  1 
ATOM 4740  C CG1 . ILE A 1 603 ? 276.433 -14.274 280.840 1.0 60.30988  ? 603 ILE A CG1 603 ILE A CG1 1 
ATOM 4741  C CG2 . ILE A 1 603 ? 278.213 -13.356 282.326 1.0 60.30988  ? 603 ILE A CG2 603 ILE A CG2 1 
ATOM 4742  C CD1 . ILE A 1 603 ? 275.726 -15.119 281.850 1.0 60.30988  ? 603 ILE A CD1 603 ILE A CD1 1 
ATOM 4743  N N   . PRO A 1 604 ? 280.846 -12.521 280.253 1.0 63.74633  ? 604 PRO A N   604 PRO A N   1 
ATOM 4744  C CA  . PRO A 1 604 ? 282.281 -12.603 280.532 1.0 63.74633  ? 604 PRO A CA  604 PRO A CA  1 
ATOM 4745  C C   . PRO A 1 604 ? 282.540 -13.206 281.903 1.0 63.74633  ? 604 PRO A C   604 PRO A C   1 
ATOM 4746  O O   . PRO A 1 604 ? 281.654 -13.292 282.755 1.0 63.74633  ? 604 PRO A O   604 PRO A O   1 
ATOM 4747  C CB  . PRO A 1 604 ? 282.740 -11.143 280.471 1.0 63.74633  ? 604 PRO A CB  604 PRO A CB  1 
ATOM 4748  C CG  . PRO A 1 604 ? 281.697 -10.454 279.658 1.0 63.74633  ? 604 PRO A CG  604 PRO A CG  1 
ATOM 4749  C CD  . PRO A 1 604 ? 280.414 -11.137 280.011 1.0 63.74633  ? 604 PRO A CD  604 PRO A CD  1 
ATOM 4750  N N   . ALA A 1 605 ? 283.783 -13.634 282.105 1.0 66.3427   ? 605 ALA A N   605 ALA A N   1 
ATOM 4751  C CA  . ALA A 1 605 ? 284.160 -14.295 283.348 1.0 66.3427   ? 605 ALA A CA  605 ALA A CA  1 
ATOM 4752  C C   . ALA A 1 605 ? 284.226 -13.283 284.483 1.0 66.3427   ? 605 ALA A C   605 ALA A C   1 
ATOM 4753  O O   . ALA A 1 605 ? 285.027 -12.345 284.444 1.0 66.3427   ? 605 ALA A O   605 ALA A O   1 
ATOM 4754  C CB  . ALA A 1 605 ? 285.500 -15.004 283.184 1.0 66.3427   ? 605 ALA A CB  605 ALA A CB  1 
ATOM 4755  N N   . GLY A 1 606 ? 283.385 -13.475 285.494 1.0 66.41127  ? 606 GLY A N   606 GLY A N   1 
ATOM 4756  C CA  . GLY A 1 606 ? 283.335 -12.583 286.631 1.0 66.41127  ? 606 GLY A CA  606 GLY A CA  1 
ATOM 4757  C C   . GLY A 1 606 ? 282.386 -11.417 286.496 1.0 66.41127  ? 606 GLY A C   606 GLY A C   1 
ATOM 4758  O O   . GLY A 1 606 ? 282.403 -10.527 287.354 1.0 66.41127  ? 606 GLY A O   606 GLY A O   1 
ATOM 4759  N N   . SER A 1 607 ? 281.563 -11.389 285.455 1.0 65.50013  ? 607 SER A N   607 SER A N   1 
ATOM 4760  C CA  . SER A 1 607 ? 280.607 -10.316 285.236 1.0 65.50013  ? 607 SER A CA  607 SER A CA  1 
ATOM 4761  C C   . SER A 1 607 ? 279.219 -10.752 285.688 1.0 65.50013  ? 607 SER A C   607 SER A C   1 
ATOM 4762  O O   . SER A 1 607 ? 278.972 -11.923 285.979 1.0 65.50013  ? 607 SER A O   607 SER A O   1 
ATOM 4763  C CB  . SER A 1 607 ? 280.590 -9.906  283.762 1.0 65.50013  ? 607 SER A CB  607 SER A CB  1 
ATOM 4764  O OG  . SER A 1 607 ? 279.657 -8.867  283.536 1.0 65.50013  ? 607 SER A OG  607 SER A OG  1 
ATOM 4765  N N   . SER A 1 608 ? 278.304 -9.787  285.751 1.0 63.42487  ? 608 SER A N   608 SER A N   1 
ATOM 4766  C CA  . SER A 1 608 ? 276.961 -10.051 286.247 1.0 63.42487  ? 608 SER A CA  608 SER A CA  1 
ATOM 4767  C C   . SER A 1 608 ? 275.839 -9.536  285.362 1.0 63.42487  ? 608 SER A C   608 SER A C   1 
ATOM 4768  O O   . SER A 1 608 ? 274.758 -10.133 285.377 1.0 63.42487  ? 608 SER A O   608 SER A O   1 
ATOM 4769  C CB  . SER A 1 608 ? 276.781 -9.448  287.647 1.0 63.42487  ? 608 SER A CB  608 SER A CB  1 
ATOM 4770  O OG  . SER A 1 608 ? 276.825 -8.034  287.597 1.0 63.42487  ? 608 SER A OG  608 SER A OG  1 
ATOM 4771  N N   . THR A 1 609 ? 276.044 -8.470  284.596 1.0 63.95773  ? 609 THR A N   609 THR A N   1 
ATOM 4772  C CA  . THR A 1 609 ? 274.976 -7.837  283.834 1.0 63.95773  ? 609 THR A CA  609 THR A CA  1 
ATOM 4773  C C   . THR A 1 609 ? 275.223 -8.036  282.348 1.0 63.95773  ? 609 THR A C   609 THR A C   1 
ATOM 4774  O O   . THR A 1 609 ? 276.305 -7.715  281.846 1.0 63.95773  ? 609 THR A O   609 THR A O   1 
ATOM 4775  C CB  . THR A 1 609 ? 274.882 -6.344  284.157 1.0 63.95773  ? 609 THR A CB  609 THR A CB  1 
ATOM 4776  O OG1 . THR A 1 609 ? 274.655 -6.173  285.560 1.0 63.95773  ? 609 THR A OG1 609 THR A OG1 1 
ATOM 4777  C CG2 . THR A 1 609 ? 273.733 -5.698  283.393 1.0 63.95773  ? 609 THR A CG2 609 THR A CG2 1 
ATOM 4778  N N   . VAL A 1 610 ? 274.224 -8.570  281.650 1.0 60.79034  ? 610 VAL A N   610 VAL A N   1 
ATOM 4779  C CA  . VAL A 1 610 ? 274.290 -8.789  280.210 1.0 60.79034  ? 610 VAL A CA  610 VAL A CA  1 
ATOM 4780  C C   . VAL A 1 610 ? 273.046 -8.195  279.573 1.0 60.79034  ? 610 VAL A C   610 VAL A C   1 
ATOM 4781  O O   . VAL A 1 610 ? 271.923 -8.573  279.926 1.0 60.79034  ? 610 VAL A O   610 VAL A O   1 
ATOM 4782  C CB  . VAL A 1 610 ? 274.422 -10.277 279.860 1.0 60.79034  ? 610 VAL A CB  610 VAL A CB  1 
ATOM 4783  C CG1 . VAL A 1 610 ? 274.176 -10.501 278.382 1.0 60.79034  ? 610 VAL A CG1 610 VAL A CG1 1 
ATOM 4784  C CG2 . VAL A 1 610 ? 275.807 -10.740 280.209 1.0 60.79034  ? 610 VAL A CG2 610 VAL A CG2 1 
ATOM 4785  N N   . VAL A 1 611 ? 273.247 -7.272  278.640 1.0 58.31554  ? 611 VAL A N   611 VAL A N   1 
ATOM 4786  C CA  . VAL A 1 611 ? 272.167 -6.623  277.912 1.0 58.31554  ? 611 VAL A CA  611 VAL A CA  1 
ATOM 4787  C C   . VAL A 1 611 ? 272.055 -7.278  276.546 1.0 58.31554  ? 611 VAL A C   611 VAL A C   1 
ATOM 4788  O O   . VAL A 1 611 ? 273.059 -7.419  275.838 1.0 58.31554  ? 611 VAL A O   611 VAL A O   1 
ATOM 4789  C CB  . VAL A 1 611 ? 272.428 -5.114  277.773 1.0 58.31554  ? 611 VAL A CB  611 VAL A CB  1 
ATOM 4790  C CG1 . VAL A 1 611 ? 271.322 -4.442  276.977 1.0 58.31554  ? 611 VAL A CG1 611 VAL A CG1 1 
ATOM 4791  C CG2 . VAL A 1 611 ? 272.589 -4.476  279.140 1.0 58.31554  ? 611 VAL A CG2 611 VAL A CG2 1 
ATOM 4792  N N   . VAL A 1 612 ? 270.848 -7.685  276.172 1.0 55.72533  ? 612 VAL A N   612 VAL A N   1 
ATOM 4793  C CA  . VAL A 1 612 ? 270.593 -8.133  274.811 1.0 55.72533  ? 612 VAL A CA  612 VAL A CA  1 
ATOM 4794  C C   . VAL A 1 612 ? 269.710 -7.090  274.141 1.0 55.72533  ? 612 VAL A C   612 VAL A C   1 
ATOM 4795  O O   . VAL A 1 612 ? 268.950 -6.371  274.799 1.0 55.72533  ? 612 VAL A O   612 VAL A O   1 
ATOM 4796  C CB  . VAL A 1 612 ? 269.965 -9.543  274.749 1.0 55.72533  ? 612 VAL A CB  612 VAL A CB  1 
ATOM 4797  C CG1 . VAL A 1 612 ? 270.777 -10.509 275.585 1.0 55.72533  ? 612 VAL A CG1 612 VAL A CG1 1 
ATOM 4798  C CG2 . VAL A 1 612 ? 268.505 -9.554  275.152 1.0 55.72533  ? 612 VAL A CG2 612 VAL A CG2 1 
ATOM 4799  N N   . ASN A 1 613 ? 269.852 -6.971  272.826 1.0 53.99924  ? 613 ASN A N   613 ASN A N   1 
ATOM 4800  C CA  . ASN A 1 613 ? 269.175 -5.920  272.073 1.0 53.99924  ? 613 ASN A CA  613 ASN A CA  1 
ATOM 4801  C C   . ASN A 1 613 ? 268.669 -6.511  270.768 1.0 53.99924  ? 613 ASN A C   613 ASN A C   1 
ATOM 4802  O O   . ASN A 1 613 ? 269.458 -7.019  269.967 1.0 53.99924  ? 613 ASN A O   613 ASN A O   1 
ATOM 4803  C CB  . ASN A 1 613 ? 270.108 -4.743  271.803 1.0 53.99924  ? 613 ASN A CB  613 ASN A CB  1 
ATOM 4804  C CG  . ASN A 1 613 ? 270.437 -3.966  273.052 1.0 53.99924  ? 613 ASN A CG  613 ASN A CG  1 
ATOM 4805  O OD1 . ASN A 1 613 ? 269.570 -3.703  273.880 1.0 53.99924  ? 613 ASN A OD1 613 ASN A OD1 1 
ATOM 4806  N ND2 . ASN A 1 613 ? 271.700 -3.590  273.196 1.0 53.99924  ? 613 ASN A ND2 613 ASN A ND2 1 
ATOM 4807  N N   . ILE A 1 614 ? 267.363 -6.446  270.561 1.0 50.53913  ? 614 ILE A N   614 ILE A N   1 
ATOM 4808  C CA  . ILE A 1 614 ? 266.723 -6.880  269.326 1.0 50.53913  ? 614 ILE A CA  614 ILE A CA  1 
ATOM 4809  C C   . ILE A 1 614 ? 266.182 -5.636  268.631 1.0 50.53913  ? 614 ILE A C   614 ILE A C   1 
ATOM 4810  O O   . ILE A 1 614 ? 265.413 -4.885  269.243 1.0 50.53913  ? 614 ILE A O   614 ILE A O   1 
ATOM 4811  C CB  . ILE A 1 614 ? 265.597 -7.888  269.594 1.0 50.53913  ? 614 ILE A CB  614 ILE A CB  1 
ATOM 4812  C CG1 . ILE A 1 614 ? 266.125 -9.082  270.385 1.0 50.53913  ? 614 ILE A CG1 614 ILE A CG1 1 
ATOM 4813  C CG2 . ILE A 1 614 ? 264.987 -8.353  268.293 1.0 50.53913  ? 614 ILE A CG2 614 ILE A CG2 1 
ATOM 4814  C CD1 . ILE A 1 614 ? 267.200 -9.851  269.675 1.0 50.53913  ? 614 ILE A CD1 614 ILE A CD1 1 
ATOM 4815  N N   . PRO A 1 615 ? 266.558 -5.367  267.384 1.0 50.79561  ? 615 PRO A N   615 PRO A N   1 
ATOM 4816  C CA  . PRO A 1 615 ? 265.933 -4.268  266.640 1.0 50.79561  ? 615 PRO A CA  615 PRO A CA  1 
ATOM 4817  C C   . PRO A 1 615 ? 264.486 -4.597  266.305 1.0 50.79561  ? 615 PRO A C   615 PRO A C   1 
ATOM 4818  O O   . PRO A 1 615 ? 264.033 -5.732  266.455 1.0 50.79561  ? 615 PRO A O   615 PRO A O   1 
ATOM 4819  C CB  . PRO A 1 615 ? 266.794 -4.160  265.384 1.0 50.79561  ? 615 PRO A CB  615 PRO A CB  1 
ATOM 4820  C CG  . PRO A 1 615 ? 267.364 -5.516  265.215 1.0 50.79561  ? 615 PRO A CG  615 PRO A CG  1 
ATOM 4821  C CD  . PRO A 1 615 ? 267.593 -6.048  266.592 1.0 50.79561  ? 615 PRO A CD  615 PRO A CD  1 
ATOM 4822  N N   . ASP A 1 616 ? 263.761 -3.579  265.836 1.0 51.01936  ? 616 ASP A N   616 ASP A N   1 
ATOM 4823  C CA  . ASP A 1 616 ? 262.304 -3.660  265.775 1.0 51.01936  ? 616 ASP A CA  616 ASP A CA  1 
ATOM 4824  C C   . ASP A 1 616 ? 261.817 -4.662  264.733 1.0 51.01936  ? 616 ASP A C   616 ASP A C   1 
ATOM 4825  O O   . ASP A 1 616 ? 262.206 -4.614  263.565 1.0 51.01936  ? 616 ASP A O   616 ASP A O   1 
ATOM 4826  C CB  . ASP A 1 616 ? 261.698 -2.278  265.528 1.0 51.01936  ? 616 ASP A CB  616 ASP A CB  1 
ATOM 4827  C CG  . ASP A 1 616 ? 262.341 -1.549  264.374 1.0 51.01936  ? 616 ASP A CG  616 ASP A CG  1 
ATOM 4828  O OD1 . ASP A 1 616 ? 263.391 -2.005  263.888 1.0 51.01936  ? 616 ASP A OD1 616 ASP A OD1 1 
ATOM 4829  O OD2 . ASP A 1 616 ? 261.783 -0.524  263.936 1.0 51.01936  ? 616 ASP A OD2 616 ASP A OD2 1 
ATOM 4830  N N   . ARG A 1 617 ? 260.975 -5.591  265.182 1.0 48.40895  ? 617 ARG A N   617 ARG A N   1 
ATOM 4831  C CA  . ARG A 1 617 ? 260.493 -6.686  264.352 1.0 48.40895  ? 617 ARG A CA  617 ARG A CA  1 
ATOM 4832  C C   . ARG A 1 617 ? 258.976 -6.749  264.365 1.0 48.40895  ? 617 ARG A C   617 ARG A C   1 
ATOM 4833  O O   . ARG A 1 617 ? 258.313 -5.808  264.803 1.0 48.40895  ? 617 ARG A O   617 ARG A O   1 
ATOM 4834  C CB  . ARG A 1 617 ? 261.054 -8.021  264.827 1.0 48.40895  ? 617 ARG A CB  617 ARG A CB  1 
ATOM 4835  C CG  . ARG A 1 617 ? 262.547 -8.111  264.743 1.0 48.40895  ? 617 ARG A CG  617 ARG A CG  1 
ATOM 4836  C CD  . ARG A 1 617 ? 263.003 -9.479  265.123 1.0 48.40895  ? 617 ARG A CD  617 ARG A CD  1 
ATOM 4837  N NE  . ARG A 1 617 ? 262.497 -10.440 264.159 1.0 48.40895  ? 617 ARG A NE  617 ARG A NE  1 
ATOM 4838  C CZ  . ARG A 1 617 ? 263.116 -10.750 263.029 1.0 48.40895  ? 617 ARG A CZ  617 ARG A CZ  1 
ATOM 4839  N NH1 . ARG A 1 617 ? 264.268 -10.178 262.717 1.0 48.40895  ? 617 ARG A NH1 617 ARG A NH1 1 
ATOM 4840  N NH2 . ARG A 1 617 ? 262.582 -11.636 262.206 1.0 48.40895  ? 617 ARG A NH2 617 ARG A NH2 1 
ATOM 4841  N N   . SER A 1 618 ? 258.421 -7.855  263.873 1.0 47.56486  ? 618 SER A N   618 SER A N   1 
ATOM 4842  C CA  . SER A 1 618 ? 256.974 -8.014  263.816 1.0 47.56486  ? 618 SER A CA  618 SER A CA  1 
ATOM 4843  C C   . SER A 1 618 ? 256.379 -8.237  265.196 1.0 47.56486  ? 618 SER A C   618 SER A C   1 
ATOM 4844  O O   . SER A 1 618 ? 255.440 -7.540  265.585 1.0 47.56486  ? 618 SER A O   618 SER A O   1 
ATOM 4845  C CB  . SER A 1 618 ? 256.609 -9.184  262.907 1.0 47.56486  ? 618 SER A CB  618 SER A CB  1 
ATOM 4846  O OG  . SER A 1 618 ? 255.208 -9.357  262.847 1.0 47.56486  ? 618 SER A OG  618 SER A OG  1 
ATOM 4847  N N   . TRP A 1 619 ? 256.898 -9.233  265.923 1.0 45.97094  ? 619 TRP A N   619 TRP A N   1 
ATOM 4848  C CA  . TRP A 1 619 ? 256.413 -9.704  267.224 1.0 45.97094  ? 619 TRP A CA  619 TRP A CA  1 
ATOM 4849  C C   . TRP A 1 619 ? 254.962 -10.172 267.185 1.0 45.97094  ? 619 TRP A C   619 TRP A C   1 
ATOM 4850  O O   . TRP A 1 619 ? 254.293 -10.198 268.218 1.0 45.97094  ? 619 TRP A O   619 TRP A O   1 
ATOM 4851  C CB  . TRP A 1 619 ? 256.601 -8.649  268.322 1.0 45.97094  ? 619 TRP A CB  619 TRP A CB  1 
ATOM 4852  C CG  . TRP A 1 619 ? 258.025 -8.364  268.578 1.0 45.97094  ? 619 TRP A CG  619 TRP A CG  1 
ATOM 4853  C CD1 . TRP A 1 619 ? 258.744 -7.313  268.109 1.0 45.97094  ? 619 TRP A CD1 619 TRP A CD1 1 
ATOM 4854  C CD2 . TRP A 1 619 ? 258.928 -9.163  269.335 1.0 45.97094  ? 619 TRP A CD2 619 TRP A CD2 1 
ATOM 4855  N NE1 . TRP A 1 619 ? 260.040 -7.397  268.541 1.0 45.97094  ? 619 TRP A NE1 619 TRP A NE1 1 
ATOM 4856  C CE2 . TRP A 1 619 ? 260.179 -8.529  269.296 1.0 45.97094  ? 619 TRP A CE2 619 TRP A CE2 1 
ATOM 4857  C CE3 . TRP A 1 619 ? 258.798 -10.352 270.050 1.0 45.97094  ? 619 TRP A CE3 619 TRP A CE3 1 
ATOM 4858  C CZ2 . TRP A 1 619 ? 261.290 -9.041  269.944 1.0 45.97094  ? 619 TRP A CZ2 619 TRP A CZ2 1 
ATOM 4859  C CZ3 . TRP A 1 619 ? 259.901 -10.858 270.692 1.0 45.97094  ? 619 TRP A CZ3 619 TRP A CZ3 1 
ATOM 4860  C CH2 . TRP A 1 619 ? 261.132 -10.206 270.635 1.0 45.97094  ? 619 TRP A CH2 619 TRP A CH2 1 
ATOM 4861  N N   . GLY A 1 620 ? 254.461 -10.561 266.016 1.0 45.32036  ? 620 GLY A N   620 GLY A N   1 
ATOM 4862  C CA  . GLY A 1 620 ? 253.132 -11.134 265.934 1.0 45.32036  ? 620 GLY A CA  620 GLY A CA  1 
ATOM 4863  C C   . GLY A 1 620 ? 253.196 -12.642 266.103 1.0 45.32036  ? 620 GLY A C   620 GLY A C   1 
ATOM 4864  O O   . GLY A 1 620 ? 254.118 -13.299 265.623 1.0 45.32036  ? 620 GLY A O   620 GLY A O   1 
ATOM 4865  N N   . ALA A 1 621 ? 252.204 -13.176 266.825 1.0 43.39083  ? 621 ALA A N   621 ALA A N   1 
ATOM 4866  C CA  . ALA A 1 621 ? 252.112 -14.588 267.221 1.0 43.39083  ? 621 ALA A CA  621 ALA A CA  1 
ATOM 4867  C C   . ALA A 1 621 ? 253.340 -15.058 267.999 1.0 43.39083  ? 621 ALA A C   621 ALA A C   1 
ATOM 4868  O O   . ALA A 1 621 ? 253.705 -16.232 267.949 1.0 43.39083  ? 621 ALA A O   621 ALA A O   1 
ATOM 4869  C CB  . ALA A 1 621 ? 251.853 -15.507 266.021 1.0 43.39083  ? 621 ALA A CB  621 ALA A CB  1 
ATOM 4870  N N   . PHE A 1 622 ? 253.982 -14.146 268.722 1.0 43.84279  ? 622 PHE A N   622 PHE A N   1 
ATOM 4871  C CA  . PHE A 1 622 ? 255.110 -14.499 269.566 1.0 43.84279  ? 622 PHE A CA  622 PHE A CA  1 
ATOM 4872  C C   . PHE A 1 622 ? 254.615 -15.244 270.795 1.0 43.84279  ? 622 PHE A C   622 PHE A C   1 
ATOM 4873  O O   . PHE A 1 622 ? 253.537 -14.963 271.318 1.0 43.84279  ? 622 PHE A O   622 PHE A O   1 
ATOM 4874  C CB  . PHE A 1 622 ? 255.870 -13.236 269.960 1.0 43.84279  ? 622 PHE A CB  622 PHE A CB  1 
ATOM 4875  C CG  . PHE A 1 622 ? 257.069 -13.486 270.813 1.0 43.84279  ? 622 PHE A CG  622 PHE A CG  1 
ATOM 4876  C CD1 . PHE A 1 622 ? 258.187 -14.100 270.288 1.0 43.84279  ? 622 PHE A CD1 622 PHE A CD1 1 
ATOM 4877  C CD2 . PHE A 1 622 ? 257.095 -13.065 272.127 1.0 43.84279  ? 622 PHE A CD2 622 PHE A CD2 1 
ATOM 4878  C CE1 . PHE A 1 622 ? 259.296 -14.323 271.071 1.0 43.84279  ? 622 PHE A CE1 622 PHE A CE1 1 
ATOM 4879  C CE2 . PHE A 1 622 ? 258.201 -13.280 272.911 1.0 43.84279  ? 622 PHE A CE2 622 PHE A CE2 1 
ATOM 4880  C CZ  . PHE A 1 622 ? 259.302 -13.909 272.384 1.0 43.84279  ? 622 PHE A CZ  622 PHE A CZ  1 
ATOM 4881  N N   . ARG A 1 623 ? 255.402 -16.211 271.254 1.0 44.51416  ? 623 ARG A N   623 ARG A N   1 
ATOM 4882  C CA  . ARG A 1 623 ? 254.929 -17.149 272.264 1.0 44.51416  ? 623 ARG A CA  623 ARG A CA  1 
ATOM 4883  C C   . ARG A 1 623 ? 255.519 -16.923 273.647 1.0 44.51416  ? 623 ARG A C   623 ARG A C   1 
ATOM 4884  O O   . ARG A 1 623 ? 254.782 -16.983 274.631 1.0 44.51416  ? 623 ARG A O   623 ARG A O   1 
ATOM 4885  C CB  . ARG A 1 623 ? 255.204 -18.585 271.808 1.0 44.51416  ? 623 ARG A CB  623 ARG A CB  1 
ATOM 4886  C CG  . ARG A 1 623 ? 254.554 -19.658 272.662 1.0 44.51416  ? 623 ARG A CG  623 ARG A CG  1 
ATOM 4887  C CD  . ARG A 1 623 ? 254.838 -21.038 272.102 1.0 44.51416  ? 623 ARG A CD  623 ARG A CD  1 
ATOM 4888  N NE  . ARG A 1 623 ? 256.256 -21.355 272.167 1.0 44.51416  ? 623 ARG A NE  623 ARG A NE  1 
ATOM 4889  C CZ  . ARG A 1 623 ? 256.813 -22.393 271.559 1.0 44.51416  ? 623 ARG A CZ  623 ARG A CZ  1 
ATOM 4890  N NH1 . ARG A 1 623 ? 256.065 -23.211 270.836 1.0 44.51416  ? 623 ARG A NH1 623 ARG A NH1 1 
ATOM 4891  N NH2 . ARG A 1 623 ? 258.116 -22.609 271.670 1.0 44.51416  ? 623 ARG A NH2 623 ARG A NH2 1 
ATOM 4892  N N   . GLY A 1 624 ? 256.811 -16.661 273.772 1.0 45.039    ? 624 GLY A N   624 GLY A N   1 
ATOM 4893  C CA  . GLY A 1 624 ? 257.377 -16.395 275.080 1.0 45.039    ? 624 GLY A CA  624 GLY A CA  1 
ATOM 4894  C C   . GLY A 1 624 ? 258.884 -16.520 275.080 1.0 45.039    ? 624 GLY A C   624 GLY A C   1 
ATOM 4895  O O   . GLY A 1 624 ? 259.516 -16.712 274.045 1.0 45.039    ? 624 GLY A O   624 GLY A O   1 
ATOM 4896  N N   . TRP A 1 625 ? 259.446 -16.405 276.281 1.0 45.59054  ? 625 TRP A N   625 TRP A N   1 
ATOM 4897  C CA  . TRP A 1 625 ? 260.882 -16.462 276.504 1.0 45.59054  ? 625 TRP A CA  625 TRP A CA  1 
ATOM 4898  C C   . TRP A 1 625 ? 261.262 -17.708 277.291 1.0 45.59054  ? 625 TRP A C   625 TRP A C   1 
ATOM 4899  O O   . TRP A 1 625 ? 260.427 -18.337 277.943 1.0 45.59054  ? 625 TRP A O   625 TRP A O   1 
ATOM 4900  C CB  . TRP A 1 625 ? 261.371 -15.227 277.260 1.0 45.59054  ? 625 TRP A CB  625 TRP A CB  1 
ATOM 4901  C CG  . TRP A 1 625 ? 261.322 -13.970 276.478 1.0 45.59054  ? 625 TRP A CG  625 TRP A CG  1 
ATOM 4902  C CD1 . TRP A 1 625 ? 262.306 -13.467 275.692 1.0 45.59054  ? 625 TRP A CD1 625 TRP A CD1 1 
ATOM 4903  C CD2 . TRP A 1 625 ? 260.239 -13.040 276.410 1.0 45.59054  ? 625 TRP A CD2 625 TRP A CD2 1 
ATOM 4904  N NE1 . TRP A 1 625 ? 261.907 -12.284 275.133 1.0 45.59054  ? 625 TRP A NE1 625 TRP A NE1 1 
ATOM 4905  C CE2 . TRP A 1 625 ? 260.638 -11.999 275.559 1.0 45.59054  ? 625 TRP A CE2 625 TRP A CE2 1 
ATOM 4906  C CE3 . TRP A 1 625 ? 258.970 -12.988 276.985 1.0 45.59054  ? 625 TRP A CE3 625 TRP A CE3 1 
ATOM 4907  C CZ2 . TRP A 1 625 ? 259.813 -10.921 275.267 1.0 45.59054  ? 625 TRP A CZ2 625 TRP A CZ2 1 
ATOM 4908  C CZ3 . TRP A 1 625 ? 258.153 -11.924 276.689 1.0 45.59054  ? 625 TRP A CZ3 625 TRP A CZ3 1 
ATOM 4909  C CH2 . TRP A 1 625 ? 258.578 -10.899 275.847 1.0 45.59054  ? 625 TRP A CH2 625 TRP A CH2 1 
ATOM 4910  N N   . SER A 1 626 ? 262.547 -18.054 277.224 1.0 45.86394  ? 626 SER A N   626 SER A N   1 
ATOM 4911  C CA  . SER A 1 626 ? 263.118 -19.155 277.990 1.0 45.86394  ? 626 SER A CA  626 SER A CA  1 
ATOM 4912  C C   . SER A 1 626 ? 264.624 -18.957 278.073 1.0 45.86394  ? 626 SER A C   626 SER A C   1 
ATOM 4913  O O   . SER A 1 626 ? 265.255 -18.615 277.071 1.0 45.86394  ? 626 SER A O   626 SER A O   1 
ATOM 4914  C CB  . SER A 1 626 ? 262.800 -20.515 277.362 1.0 45.86394  ? 626 SER A CB  626 SER A CB  1 
ATOM 4915  O OG  . SER A 1 626 ? 261.415 -20.796 277.427 1.0 45.86394  ? 626 SER A OG  626 SER A OG  1 
ATOM 4916  N N   . PHE A 1 627 ? 265.201 -19.184 279.255 1.0 47.20417  ? 627 PHE A N   627 PHE A N   1 
ATOM 4917  C CA  . PHE A 1 627 ? 266.610 -18.857 279.429 1.0 47.20417  ? 627 PHE A CA  627 PHE A CA  1 
ATOM 4918  C C   . PHE A 1 627 ? 267.257 -19.666 280.548 1.0 47.20417  ? 627 PHE A C   627 PHE A C   1 
ATOM 4919  O O   . PHE A 1 627 ? 266.642 -19.905 281.588 1.0 47.20417  ? 627 PHE A O   627 PHE A O   1 
ATOM 4920  C CB  . PHE A 1 627 ? 266.796 -17.352 279.678 1.0 47.20417  ? 627 PHE A CB  627 PHE A CB  1 
ATOM 4921  C CG  . PHE A 1 627 ? 266.119 -16.831 280.915 1.0 47.20417  ? 627 PHE A CG  627 PHE A CG  1 
ATOM 4922  C CD1 . PHE A 1 627 ? 264.801 -16.414 280.874 1.0 47.20417  ? 627 PHE A CD1 627 PHE A CD1 1 
ATOM 4923  C CD2 . PHE A 1 627 ? 266.821 -16.693 282.100 1.0 47.20417  ? 627 PHE A CD2 627 PHE A CD2 1 
ATOM 4924  C CE1 . PHE A 1 627 ? 264.183 -15.918 281.997 1.0 47.20417  ? 627 PHE A CE1 627 PHE A CE1 1 
ATOM 4925  C CE2 . PHE A 1 627 ? 266.207 -16.197 283.227 1.0 47.20417  ? 627 PHE A CE2 627 PHE A CE2 1 
ATOM 4926  C CZ  . PHE A 1 627 ? 264.887 -15.808 283.174 1.0 47.20417  ? 627 PHE A CZ  627 PHE A CZ  1 
ATOM 4927  N N   . THR A 1 628 ? 268.503 -20.081 280.311 1.0 52.4599   ? 628 THR A N   628 THR A N   1 
ATOM 4928  C CA  . THR A 1 628 ? 269.407 -20.618 281.328 1.0 52.4599   ? 628 THR A CA  628 THR A CA  1 
ATOM 4929  C C   . THR A 1 628 ? 270.786 -20.007 281.132 1.0 52.4599   ? 628 THR A C   628 THR A C   1 
ATOM 4930  O O   . THR A 1 628 ? 270.956 -19.022 280.410 1.0 52.4599   ? 628 THR A O   628 THR A O   1 
ATOM 4931  C CB  . THR A 1 628 ? 269.538 -22.145 281.295 1.0 52.4599   ? 628 THR A CB  628 THR A CB  1 
ATOM 4932  O OG1 . THR A 1 628 ? 269.717 -22.598 279.948 1.0 52.4599   ? 628 THR A OG1 628 THR A OG1 1 
ATOM 4933  C CG2 . THR A 1 628 ? 268.390 -22.817 281.961 1.0 52.4599   ? 628 THR A CG2 628 THR A CG2 1 
ATOM 4934  N N   . ARG A 1 629 ? 271.768 -20.591 281.810 1.0 54.09549  ? 629 ARG A N   629 ARG A N   1 
ATOM 4935  C CA  . ARG A 1 629 ? 273.177 -20.325 281.577 1.0 54.09549  ? 629 ARG A CA  629 ARG A CA  1 
ATOM 4936  C C   . ARG A 1 629 ? 273.866 -21.611 281.151 1.0 54.09549  ? 629 ARG A C   629 ARG A C   1 
ATOM 4937  O O   . ARG A 1 629 ? 273.512 -22.702 281.601 1.0 54.09549  ? 629 ARG A O   629 ARG A O   1 
ATOM 4938  C CB  . ARG A 1 629 ? 273.865 -19.772 282.825 1.0 54.09549  ? 629 ARG A CB  629 ARG A CB  1 
ATOM 4939  C CG  . ARG A 1 629 ? 273.396 -18.406 283.227 1.0 54.09549  ? 629 ARG A CG  629 ARG A CG  1 
ATOM 4940  C CD  . ARG A 1 629 ? 274.082 -17.917 284.483 1.0 54.09549  ? 629 ARG A CD  629 ARG A CD  1 
ATOM 4941  N NE  . ARG A 1 629 ? 275.479 -17.590 284.242 1.0 54.09549  ? 629 ARG A NE  629 ARG A NE  1 
ATOM 4942  C CZ  . ARG A 1 629 ? 276.340 -17.253 285.193 1.0 54.09549  ? 629 ARG A CZ  629 ARG A CZ  1 
ATOM 4943  N NH1 . ARG A 1 629 ? 275.949 -17.201 286.455 1.0 54.09549  ? 629 ARG A NH1 629 ARG A NH1 1 
ATOM 4944  N NH2 . ARG A 1 629 ? 277.593 -16.966 284.879 1.0 54.09549  ? 629 ARG A NH2 629 ARG A NH2 1 
ATOM 4945  N N   . LEU A 1 630 ? 274.859 -21.475 280.280 1.0 55.00027  ? 630 LEU A N   630 LEU A N   1 
ATOM 4946  C CA  . LEU A 1 630 ? 275.616 -22.618 279.798 1.0 55.00027  ? 630 LEU A CA  630 LEU A CA  1 
ATOM 4947  C C   . LEU A 1 630 ? 277.089 -22.261 279.836 1.0 55.00027  ? 630 LEU A C   630 LEU A C   1 
ATOM 4948  O O   . LEU A 1 630 ? 277.468 -21.176 279.392 1.0 55.00027  ? 630 LEU A O   630 LEU A O   1 
ATOM 4949  C CB  . LEU A 1 630 ? 275.218 -22.991 278.370 1.0 55.00027  ? 630 LEU A CB  630 LEU A CB  1 
ATOM 4950  C CG  . LEU A 1 630 ? 273.779 -23.390 278.060 1.0 55.00027  ? 630 LEU A CG  630 LEU A CG  1 
ATOM 4951  C CD1 . LEU A 1 630 ? 273.644 -23.643 276.573 1.0 55.00027  ? 630 LEU A CD1 630 LEU A CD1 1 
ATOM 4952  C CD2 . LEU A 1 630 ? 273.356 -24.596 278.853 1.0 55.00027  ? 630 LEU A CD2 630 LEU A CD2 1 
ATOM 4953  N N   . LYS A 1 631 ? 277.912 -23.164 280.359 1.0 59.06788  ? 631 LYS A N   631 LYS A N   1 
ATOM 4954  C CA  . LYS A 1 631 ? 279.353 -22.954 280.342 1.0 59.06788  ? 631 LYS A CA  631 LYS A CA  1 
ATOM 4955  C C   . LYS A 1 631 ? 279.873 -22.965 278.910 1.0 59.06788  ? 631 LYS A C   631 LYS A C   1 
ATOM 4956  O O   . LYS A 1 631 ? 279.373 -23.707 278.062 1.0 59.06788  ? 631 LYS A O   631 LYS A O   1 
ATOM 4957  C CB  . LYS A 1 631 ? 280.055 -24.032 281.161 1.0 59.06788  ? 631 LYS A CB  631 LYS A CB  1 
ATOM 4958  C CG  . LYS A 1 631 ? 279.811 -23.964 282.655 1.0 59.06788  ? 631 LYS A CG  631 LYS A CG  1 
ATOM 4959  C CD  . LYS A 1 631 ? 280.535 -25.101 283.354 1.0 59.06788  ? 631 LYS A CD  631 LYS A CD  1 
ATOM 4960  C CE  . LYS A 1 631 ? 280.457 -24.983 284.858 1.0 59.06788  ? 631 LYS A CE  631 LYS A CE  1 
ATOM 4961  N NZ  . LYS A 1 631 ? 279.073 -25.094 285.341 1.0 59.06788  ? 631 LYS A NZ  631 LYS A NZ  1 
ATOM 4962  N N   . VAL A 1 632 ? 280.863 -22.113 278.636 1.0 60.60734  ? 632 VAL A N   632 VAL A N   1 
ATOM 4963  C CA  . VAL A 1 632 ? 281.437 -22.042 277.294 1.0 60.60734  ? 632 VAL A CA  632 VAL A CA  1 
ATOM 4964  C C   . VAL A 1 632 ? 282.232 -23.304 276.991 1.0 60.60734  ? 632 VAL A C   632 VAL A C   1 
ATOM 4965  O O   . VAL A 1 632 ? 282.174 -23.841 275.877 1.0 60.60734  ? 632 VAL A O   632 VAL A O   1 
ATOM 4966  C CB  . VAL A 1 632 ? 282.296 -20.771 277.153 1.0 60.60734  ? 632 VAL A CB  632 VAL A CB  1 
ATOM 4967  C CG1 . VAL A 1 632 ? 283.028 -20.733 275.820 1.0 60.60734  ? 632 VAL A CG1 632 VAL A CG1 1 
ATOM 4968  C CG2 . VAL A 1 632 ? 281.428 -19.545 277.280 1.0 60.60734  ? 632 VAL A CG2 632 VAL A CG2 1 
ATOM 4969  N N   . SER A 1 633 ? 282.950 -23.822 277.989 1.0 62.6699   ? 633 SER A N   633 SER A N   1 
ATOM 4970  C CA  . SER A 1 633 ? 283.727 -25.040 277.811 1.0 62.6699   ? 633 SER A CA  633 SER A CA  1 
ATOM 4971  C C   . SER A 1 633 ? 282.854 -26.266 277.593 1.0 62.6699   ? 633 SER A C   633 SER A C   1 
ATOM 4972  O O   . SER A 1 633 ? 283.305 -27.223 276.960 1.0 62.6699   ? 633 SER A O   633 SER A O   1 
ATOM 4973  C CB  . SER A 1 633 ? 284.628 -25.265 279.022 1.0 62.6699   ? 633 SER A CB  633 SER A CB  1 
ATOM 4974  O OG  . SER A 1 633 ? 283.858 -25.543 280.176 1.0 62.6699   ? 633 SER A OG  633 SER A OG  1 
ATOM 4975  N N   . GLU A 1 634 ? 281.617 -26.253 278.081 1.0 61.76269  ? 634 GLU A N   634 GLU A N   1 
ATOM 4976  C CA  . GLU A 1 634 ? 280.715 -27.387 277.946 1.0 61.76269  ? 634 GLU A CA  634 GLU A CA  1 
ATOM 4977  C C   . GLU A 1 634 ? 279.749 -27.251 276.781 1.0 61.76269  ? 634 GLU A C   634 GLU A C   1 
ATOM 4978  O O   . GLU A 1 634 ? 278.950 -28.162 276.552 1.0 61.76269  ? 634 GLU A O   634 GLU A O   1 
ATOM 4979  C CB  . GLU A 1 634 ? 279.924 -27.588 279.240 1.0 61.76269  ? 634 GLU A CB  634 GLU A CB  1 
ATOM 4980  C CG  . GLU A 1 634 ? 280.770 -28.011 280.423 1.0 61.76269  ? 634 GLU A CG  634 GLU A CG  1 
ATOM 4981  C CD  . GLU A 1 634 ? 279.949 -28.240 281.674 1.0 61.76269  ? 634 GLU A CD  634 GLU A CD  1 
ATOM 4982  O OE1 . GLU A 1 634 ? 278.734 -27.956 281.651 1.0 61.76269  ? 634 GLU A OE1 634 GLU A OE1 1 
ATOM 4983  O OE2 . GLU A 1 634 ? 280.520 -28.705 282.682 1.0 61.76269  ? 634 GLU A OE2 634 GLU A OE2 1 
ATOM 4984  N N   . THR A 1 635 ? 279.792 -26.146 276.044 1.0 63.26515  ? 635 THR A N   635 THR A N   1 
ATOM 4985  C CA  . THR A 1 635 ? 278.889 -25.928 274.920 1.0 63.26515  ? 635 THR A CA  635 THR A CA  1 
ATOM 4986  C C   . THR A 1 635 ? 279.695 -25.827 273.634 1.0 63.26515  ? 635 THR A C   635 THR A C   1 
ATOM 4987  O O   . THR A 1 635 ? 280.564 -24.946 273.521 1.0 63.26515  ? 635 THR A O   635 THR A O   1 
ATOM 4988  C CB  . THR A 1 635 ? 278.054 -24.664 275.120 1.0 63.26515  ? 635 THR A CB  635 THR A CB  1 
ATOM 4989  O OG1 . THR A 1 635 ? 277.230 -24.816 276.279 1.0 63.26515  ? 635 THR A OG1 635 THR A OG1 1 
ATOM 4990  C CG2 . THR A 1 635 ? 277.175 -24.415 273.911 1.0 63.26515  ? 635 THR A CG2 635 THR A CG2 1 
ATOM 4991  N N   . PRO A 1 636 ? 279.446 -26.675 272.648 1.0 65.49697  ? 636 PRO A N   636 PRO A N   1 
ATOM 4992  C CA  . PRO A 1 636 ? 280.235 -26.658 271.418 1.0 65.49697  ? 636 PRO A CA  636 PRO A CA  1 
ATOM 4993  C C   . PRO A 1 636 ? 279.740 -25.567 270.478 1.0 65.49697  ? 636 PRO A C   636 PRO A C   1 
ATOM 4994  O O   . PRO A 1 636 ? 278.860 -24.774 270.803 1.0 65.49697  ? 636 PRO A O   636 PRO A O   1 
ATOM 4995  C CB  . PRO A 1 636 ? 279.980 -28.040 270.834 1.0 65.49697  ? 636 PRO A CB  636 PRO A CB  1 
ATOM 4996  C CG  . PRO A 1 636 ? 278.592 -28.341 271.260 1.0 65.49697  ? 636 PRO A CG  636 PRO A CG  1 
ATOM 4997  C CD  . PRO A 1 636 ? 278.436 -27.744 272.628 1.0 65.49697  ? 636 PRO A CD  636 PRO A CD  1 
ATOM 4998  N N   . ARG A 1 637 ? 280.320 -25.548 269.286 1.0 70.51936  ? 637 ARG A N   637 ARG A N   1 
ATOM 4999  C CA  . ARG A 1 637 ? 279.834 -24.727 268.187 1.0 70.51936  ? 637 ARG A CA  637 ARG A CA  1 
ATOM 5000  C C   . ARG A 1 637 ? 279.403 -25.673 267.076 1.0 70.51936  ? 637 ARG A C   637 ARG A C   1 
ATOM 5001  O O   . ARG A 1 637 ? 280.243 -26.302 266.425 1.0 70.51936  ? 637 ARG A O   637 ARG A O   1 
ATOM 5002  C CB  . ARG A 1 637 ? 280.900 -23.748 267.708 1.0 70.51936  ? 637 ARG A CB  637 ARG A CB  1 
ATOM 5003  C CG  . ARG A 1 637 ? 280.469 -22.862 266.545 1.0 70.51936  ? 637 ARG A CG  637 ARG A CG  1 
ATOM 5004  C CD  . ARG A 1 637 ? 279.445 -21.806 266.960 1.0 70.51936  ? 637 ARG A CD  637 ARG A CD  1 
ATOM 5005  N NE  . ARG A 1 637 ? 278.062 -22.251 266.796 1.0 70.51936  ? 637 ARG A NE  637 ARG A NE  1 
ATOM 5006  C CZ  . ARG A 1 637 ? 277.004 -21.591 267.257 1.0 70.51936  ? 637 ARG A CZ  637 ARG A CZ  1 
ATOM 5007  N NH1 . ARG A 1 637 ? 277.167 -20.455 267.920 1.0 70.51936  ? 637 ARG A NH1 637 ARG A NH1 1 
ATOM 5008  N NH2 . ARG A 1 637 ? 275.783 -22.070 267.061 1.0 70.51936  ? 637 ARG A NH2 637 ARG A NH2 1 
ATOM 5009  N N   . ILE A 1 638 ? 278.095 -25.776 266.868 1.0 67.00025  ? 638 ILE A N   638 ILE A N   1 
ATOM 5010  C CA  . ILE A 1 638 ? 277.553 -26.760 265.942 1.0 67.00025  ? 638 ILE A CA  638 ILE A CA  1 
ATOM 5011  C C   . ILE A 1 638 ? 277.591 -26.266 264.495 1.0 67.00025  ? 638 ILE A C   638 ILE A C   1 
ATOM 5012  O O   . ILE A 1 638 ? 277.755 -27.070 263.572 1.0 67.00025  ? 638 ILE A O   638 ILE A O   1 
ATOM 5013  C CB  . ILE A 1 638 ? 276.129 -27.120 266.398 1.0 67.00025  ? 638 ILE A CB  638 ILE A CB  1 
ATOM 5014  C CG1 . ILE A 1 638 ? 276.182 -27.655 267.821 1.0 67.00025  ? 638 ILE A CG1 638 ILE A CG1 1 
ATOM 5015  C CG2 . ILE A 1 638 ? 275.495 -28.189 265.533 1.0 67.00025  ? 638 ILE A CG2 638 ILE A CG2 1 
ATOM 5016  C CD1 . ILE A 1 638 ? 274.836 -27.823 268.428 1.0 67.00025  ? 638 ILE A CD1 638 ILE A CD1 1 
ATOM 5017  N N   . GLY A 1 639 ? 277.514 -24.950 264.281 1.0 67.77621  ? 639 GLY A N   639 GLY A N   1 
ATOM 5018  C CA  . GLY A 1 639 ? 277.491 -24.369 262.944 1.0 67.77621  ? 639 GLY A CA  639 GLY A CA  1 
ATOM 5019  C C   . GLY A 1 639 ? 278.753 -24.585 262.125 1.0 67.77621  ? 639 GLY A C   639 GLY A C   1 
ATOM 5020  O O   . GLY A 1 639 ? 278.717 -24.385 260.906 1.0 67.77621  ? 639 GLY A O   639 GLY A O   1 
ATOM 5021  N N   . ALA A 1 640 ? 279.854 -24.982 262.753 1.0 67.84333  ? 640 ALA A N   640 ALA A N   1 
ATOM 5022  C CA  . ALA A 1 640 ? 281.056 -25.362 262.032 1.0 67.84333  ? 640 ALA A CA  640 ALA A CA  1 
ATOM 5023  C C   . ALA A 1 640 ? 281.098 -26.875 261.839 1.0 67.84333  ? 640 ALA A C   640 ALA A C   1 
ATOM 5024  O O   . ALA A 1 640 ? 280.372 -27.633 262.484 1.0 67.84333  ? 640 ALA A O   640 ALA A O   1 
ATOM 5025  C CB  . ALA A 1 640 ? 282.301 -24.880 262.775 1.0 67.84333  ? 640 ALA A CB  640 ALA A CB  1 
ATOM 5026  N N   . THR A 1 641 ? 281.971 -27.315 260.933 1.0 68.35653  ? 641 THR A N   641 THR A N   1 
ATOM 5027  C CA  . THR A 1 641 ? 282.142 -28.742 260.690 1.0 68.35653  ? 641 THR A CA  641 THR A CA  1 
ATOM 5028  C C   . THR A 1 641 ? 282.911 -29.439 261.802 1.0 68.35653  ? 641 THR A C   641 THR A C   1 
ATOM 5029  O O   . THR A 1 641 ? 282.819 -30.665 261.921 1.0 68.35653  ? 641 THR A O   641 THR A O   1 
ATOM 5030  C CB  . THR A 1 641 ? 282.843 -28.973 259.348 1.0 68.35653  ? 641 THR A CB  641 THR A CB  1 
ATOM 5031  O OG1 . THR A 1 641 ? 282.941 -30.379 259.094 1.0 68.35653  ? 641 THR A OG1 641 THR A OG1 1 
ATOM 5032  C CG2 . THR A 1 641 ? 284.232 -28.355 259.337 1.0 68.35653  ? 641 THR A CG2 641 THR A CG2 1 
ATOM 5033  N N   . GLN A 1 642 ? 283.643 -28.686 262.621 1.0 72.22325  ? 642 GLN A N   642 GLN A N   1 
ATOM 5034  C CA  . GLN A 1 642 ? 284.419 -29.224 263.727 1.0 72.22325  ? 642 GLN A CA  642 GLN A CA  1 
ATOM 5035  C C   . GLN A 1 642 ? 284.775 -28.064 264.641 1.0 72.22325  ? 642 GLN A C   642 GLN A C   1 
ATOM 5036  O O   . GLN A 1 642 ? 285.069 -26.965 264.165 1.0 72.22325  ? 642 GLN A O   642 GLN A O   1 
ATOM 5037  C CB  . GLN A 1 642 ? 285.683 -29.939 263.230 1.0 72.22325  ? 642 GLN A CB  642 GLN A CB  1 
ATOM 5038  C CG  . GLN A 1 642 ? 286.419 -30.760 264.274 1.0 72.22325  ? 642 GLN A CG  642 GLN A CG  1 
ATOM 5039  C CD  . GLN A 1 642 ? 287.479 -29.965 265.001 1.0 72.22325  ? 642 GLN A CD  642 GLN A CD  1 
ATOM 5040  O OE1 . GLN A 1 642 ? 288.049 -29.025 264.451 1.0 72.22325  ? 642 GLN A OE1 642 GLN A OE1 1 
ATOM 5041  N NE2 . GLN A 1 642 ? 287.750 -30.338 266.244 1.0 72.22325  ? 642 GLN A NE2 642 GLN A NE2 1 
ATOM 5042  N N   . ASP A 1 643 ? 284.738 -28.308 265.945 1.0 73.29205  ? 643 ASP A N   643 ASP A N   1 
ATOM 5043  C CA  . ASP A 1 643 ? 285.054 -27.266 266.912 1.0 73.29205  ? 643 ASP A CA  643 ASP A CA  1 
ATOM 5044  C C   . ASP A 1 643 ? 286.412 -27.564 267.529 1.0 73.29205  ? 643 ASP A C   643 ASP A C   1 
ATOM 5045  O O   . ASP A 1 643 ? 286.523 -28.490 268.348 1.0 73.29205  ? 643 ASP A O   643 ASP A O   1 
ATOM 5046  C CB  . ASP A 1 643 ? 283.976 -27.189 267.994 1.0 73.29205  ? 643 ASP A CB  643 ASP A CB  1 
ATOM 5047  C CG  . ASP A 1 643 ? 284.040 -25.901 268.798 1.0 73.29205  ? 643 ASP A CG  643 ASP A CG  1 
ATOM 5048  O OD1 . ASP A 1 643 ? 284.893 -25.039 268.497 1.0 73.29205  ? 643 ASP A OD1 643 ASP A OD1 1 
ATOM 5049  O OD2 . ASP A 1 643 ? 283.233 -25.751 269.741 1.0 73.29205  ? 643 ASP A OD2 643 ASP A OD2 1 
ATOM 5050  N N   . PRO A 1 644 ? 287.467 -26.827 267.171 1.0 72.44485  ? 644 PRO A N   644 PRO A N   1 
ATOM 5051  C CA  . PRO A 1 644 ? 288.786 -27.108 267.753 1.0 72.44485  ? 644 PRO A CA  644 PRO A CA  1 
ATOM 5052  C C   . PRO A 1 644 ? 288.947 -26.600 269.171 1.0 72.44485  ? 644 PRO A C   644 PRO A C   1 
ATOM 5053  O O   . PRO A 1 644 ? 289.880 -27.031 269.859 1.0 72.44485  ? 644 PRO A O   644 PRO A O   1 
ATOM 5054  C CB  . PRO A 1 644 ? 289.746 -26.388 266.801 1.0 72.44485  ? 644 PRO A CB  644 PRO A CB  1 
ATOM 5055  C CG  . PRO A 1 644 ? 288.939 -25.263 266.264 1.0 72.44485  ? 644 PRO A CG  644 PRO A CG  1 
ATOM 5056  C CD  . PRO A 1 644 ? 287.529 -25.769 266.149 1.0 72.44485  ? 644 PRO A CD  644 PRO A CD  1 
ATOM 5057  N N   . ASN A 1 645 ? 288.083 -25.700 269.627 1.0 72.84891  ? 645 ASN A N   645 ASN A N   1 
ATOM 5058  C CA  . ASN A 1 645 ? 288.124 -25.206 270.994 1.0 72.84891  ? 645 ASN A CA  645 ASN A CA  1 
ATOM 5059  C C   . ASN A 1 645 ? 287.255 -26.020 271.936 1.0 72.84891  ? 645 ASN A C   645 ASN A C   1 
ATOM 5060  O O   . ASN A 1 645 ? 287.041 -25.600 273.077 1.0 72.84891  ? 645 ASN A O   645 ASN A O   1 
ATOM 5061  C CB  . ASN A 1 645 ? 287.684 -23.744 271.041 1.0 72.84891  ? 645 ASN A CB  645 ASN A CB  1 
ATOM 5062  C CG  . ASN A 1 645 ? 288.669 -22.822 270.366 1.0 72.84891  ? 645 ASN A CG  645 ASN A CG  1 
ATOM 5063  O OD1 . ASN A 1 645 ? 289.881 -22.975 270.514 1.0 72.84891  ? 645 ASN A OD1 645 ASN A OD1 1 
ATOM 5064  N ND2 . ASN A 1 645 ? 288.154 -21.856 269.617 1.0 72.84891  ? 645 ASN A ND2 645 ASN A ND2 1 
ATOM 5065  N N   . PHE A 1 646 ? 286.743 -27.158 271.489 1.0 66.33803  ? 646 PHE A N   646 PHE A N   1 
ATOM 5066  C CA  . PHE A 1 646 ? 285.830 -27.979 272.275 1.0 66.33803  ? 646 PHE A CA  646 PHE A CA  1 
ATOM 5067  C C   . PHE A 1 646 ? 286.634 -29.123 272.878 1.0 66.33803  ? 646 PHE A C   646 PHE A C   1 
ATOM 5068  O O   . PHE A 1 646 ? 286.961 -30.097 272.197 1.0 66.33803  ? 646 PHE A O   646 PHE A O   1 
ATOM 5069  C CB  . PHE A 1 646 ? 284.684 -28.469 271.402 1.0 66.33803  ? 646 PHE A CB  646 PHE A CB  1 
ATOM 5070  C CG  . PHE A 1 646 ? 283.648 -29.247 272.140 1.0 66.33803  ? 646 PHE A CG  646 PHE A CG  1 
ATOM 5071  C CD1 . PHE A 1 646 ? 282.860 -28.633 273.095 1.0 66.33803  ? 646 PHE A CD1 646 PHE A CD1 1 
ATOM 5072  C CD2 . PHE A 1 646 ? 283.416 -30.574 271.834 1.0 66.33803  ? 646 PHE A CD2 646 PHE A CD2 1 
ATOM 5073  C CE1 . PHE A 1 646 ? 281.890 -29.341 273.764 1.0 66.33803  ? 646 PHE A CE1 646 PHE A CE1 1 
ATOM 5074  C CE2 . PHE A 1 646 ? 282.440 -31.283 272.491 1.0 66.33803  ? 646 PHE A CE2 646 PHE A CE2 1 
ATOM 5075  C CZ  . PHE A 1 646 ? 281.681 -30.667 273.462 1.0 66.33803  ? 646 PHE A CZ  646 PHE A CZ  1 
ATOM 5076  N N   . GLN A 1 647 ? 286.950 -29.000 274.165 1.0 66.62169  ? 647 GLN A N   647 GLN A N   1 
ATOM 5077  C CA  . GLN A 1 647 ? 287.850 -29.913 274.851 1.0 66.62169  ? 647 GLN A CA  647 GLN A CA  1 
ATOM 5078  C C   . GLN A 1 647 ? 287.132 -30.745 275.907 1.0 66.62169  ? 647 GLN A C   647 GLN A C   1 
ATOM 5079  O O   . GLN A 1 647 ? 287.781 -31.342 276.769 1.0 66.62169  ? 647 GLN A O   647 GLN A O   1 
ATOM 5080  C CB  . GLN A 1 647 ? 288.991 -29.118 275.483 1.0 66.62169  ? 647 GLN A CB  647 GLN A CB  1 
ATOM 5081  C CG  . GLN A 1 647 ? 289.794 -28.298 274.486 1.0 66.62169  ? 647 GLN A CG  647 GLN A CG  1 
ATOM 5082  C CD  . GLN A 1 647 ? 290.634 -29.153 273.573 1.0 66.62169  ? 647 GLN A CD  647 GLN A CD  1 
ATOM 5083  O OE1 . GLN A 1 647 ? 291.238 -30.126 274.012 1.0 66.62169  ? 647 GLN A OE1 647 GLN A OE1 1 
ATOM 5084  N NE2 . GLN A 1 647 ? 290.679 -28.798 272.297 1.0 66.62169  ? 647 GLN A NE2 647 GLN A NE2 1 
ATOM 5085  N N   . TYR A 1 648 ? 285.807 -30.807 275.851 1.0 61.79309  ? 648 TYR A N   648 TYR A N   1 
ATOM 5086  C CA  . TYR A 1 648 ? 284.993 -31.429 276.882 1.0 61.79309  ? 648 TYR A CA  648 TYR A CA  1 
ATOM 5087  C C   . TYR A 1 648 ? 284.189 -32.571 276.279 1.0 61.79309  ? 648 TYR A C   648 TYR A C   1 
ATOM 5088  O O   . TYR A 1 648 ? 283.775 -32.509 275.121 1.0 61.79309  ? 648 TYR A O   648 TYR A O   1 
ATOM 5089  C CB  . TYR A 1 648 ? 284.064 -30.392 277.515 1.0 61.79309  ? 648 TYR A CB  648 TYR A CB  1 
ATOM 5090  C CG  . TYR A 1 648 ? 283.166 -30.895 278.615 1.0 61.79309  ? 648 TYR A CG  648 TYR A CG  1 
ATOM 5091  C CD1 . TYR A 1 648 ? 283.672 -31.188 279.871 1.0 61.79309  ? 648 TYR A CD1 648 TYR A CD1 1 
ATOM 5092  C CD2 . TYR A 1 648 ? 281.801 -31.035 278.408 1.0 61.79309  ? 648 TYR A CD2 648 TYR A CD2 1 
ATOM 5093  C CE1 . TYR A 1 648 ? 282.848 -31.635 280.884 1.0 61.79309  ? 648 TYR A CE1 648 TYR A CE1 1 
ATOM 5094  C CE2 . TYR A 1 648 ? 280.968 -31.474 279.413 1.0 61.79309  ? 648 TYR A CE2 648 TYR A CE2 1 
ATOM 5095  C CZ  . TYR A 1 648 ? 281.496 -31.776 280.648 1.0 61.79309  ? 648 TYR A CZ  648 TYR A CZ  1 
ATOM 5096  O OH  . TYR A 1 648 ? 280.669 -32.220 281.654 1.0 61.79309  ? 648 TYR A OH  648 TYR A OH  1 
ATOM 5097  N N   . SER A 1 649 ? 283.983 -33.629 277.064 1.0 59.70234  ? 649 SER A N   649 SER A N   1 
ATOM 5098  C CA  . SER A 1 649 ? 283.258 -34.787 276.556 1.0 59.70234  ? 649 SER A CA  649 SER A CA  1 
ATOM 5099  C C   . SER A 1 649 ? 282.323 -35.382 277.597 1.0 59.70234  ? 649 SER A C   649 SER A C   1 
ATOM 5100  O O   . SER A 1 649 ? 282.104 -36.596 277.612 1.0 59.70234  ? 649 SER A O   649 SER A O   1 
ATOM 5101  C CB  . SER A 1 649 ? 284.214 -35.869 276.072 1.0 59.70234  ? 649 SER A CB  649 SER A CB  1 
ATOM 5102  O OG  . SER A 1 649 ? 284.919 -36.426 277.165 1.0 59.70234  ? 649 SER A OG  649 SER A OG  1 
ATOM 5103  N N   . GLY A 1 650 ? 281.778 -34.557 278.481 1.0 57.51559  ? 650 GLY A N   650 GLY A N   1 
ATOM 5104  C CA  . GLY A 1 650 ? 280.773 -35.032 279.408 1.0 57.51559  ? 650 GLY A CA  650 GLY A CA  1 
ATOM 5105  C C   . GLY A 1 650 ? 279.393 -34.839 278.825 1.0 57.51559  ? 650 GLY A C   650 GLY A C   1 
ATOM 5106  O O   . GLY A 1 650 ? 279.195 -35.035 277.624 1.0 57.51559  ? 650 GLY A O   650 GLY A O   1 
ATOM 5107  N N   . SER A 1 651 ? 278.431 -34.446 279.650 1.0 57.89866  ? 651 SER A N   651 SER A N   1 
ATOM 5108  C CA  . SER A 1 651 ? 277.083 -34.178 279.173 1.0 57.89866  ? 651 SER A CA  651 SER A CA  1 
ATOM 5109  C C   . SER A 1 651 ? 277.011 -32.735 278.698 1.0 57.89866  ? 651 SER A C   651 SER A C   1 
ATOM 5110  O O   . SER A 1 651 ? 277.390 -31.818 279.433 1.0 57.89866  ? 651 SER A O   651 SER A O   1 
ATOM 5111  C CB  . SER A 1 651 ? 276.054 -34.432 280.270 1.0 57.89866  ? 651 SER A CB  651 SER A CB  1 
ATOM 5112  O OG  . SER A 1 651 ? 276.188 -33.477 281.303 1.0 57.89866  ? 651 SER A OG  651 SER A OG  1 
ATOM 5113  N N   . ILE A 1 652 ? 276.539 -32.536 277.474 1.0 55.1137   ? 652 ILE A N   652 ILE A N   1 
ATOM 5114  C CA  . ILE A 1 652 ? 276.359 -31.203 276.910 1.0 55.1137   ? 652 ILE A CA  652 ILE A CA  1 
ATOM 5115  C C   . ILE A 1 652 ? 274.950 -30.734 277.255 1.0 55.1137   ? 652 ILE A C   652 ILE A C   1 
ATOM 5116  O O   . ILE A 1 652 ? 273.980 -31.329 276.766 1.0 55.1137   ? 652 ILE A O   652 ILE A O   1 
ATOM 5117  C CB  . ILE A 1 652 ? 276.577 -31.194 275.395 1.0 55.1137   ? 652 ILE A CB  652 ILE A CB  1 
ATOM 5118  C CG1 . ILE A 1 652 ? 278.021 -31.549 275.060 1.0 55.1137   ? 652 ILE A CG1 652 ILE A CG1 1 
ATOM 5119  C CG2 . ILE A 1 652 ? 276.223 -29.837 274.825 1.0 55.1137   ? 652 ILE A CG2 652 ILE A CG2 1 
ATOM 5120  C CD1 . ILE A 1 652 ? 278.247 -31.768 273.595 1.0 55.1137   ? 652 ILE A CD1 652 ILE A CD1 1 
ATOM 5121  N N   . PRO A 1 653 ? 274.792 -29.689 278.068 1.0 53.9685   ? 653 PRO A N   653 PRO A N   1 
ATOM 5122  C CA  . PRO A 1 653 ? 273.441 -29.230 278.409 1.0 53.9685   ? 653 PRO A CA  653 PRO A CA  1 
ATOM 5123  C C   . PRO A 1 653 ? 272.741 -28.502 277.280 1.0 53.9685   ? 653 PRO A C   653 PRO A C   1 
ATOM 5124  O O   . PRO A 1 653 ? 271.518 -28.337 277.339 1.0 53.9685   ? 653 PRO A O   653 PRO A O   1 
ATOM 5125  C CB  . PRO A 1 653 ? 273.680 -28.312 279.611 1.0 53.9685   ? 653 PRO A CB  653 PRO A CB  1 
ATOM 5126  C CG  . PRO A 1 653 ? 275.067 -27.833 279.434 1.0 53.9685   ? 653 PRO A CG  653 PRO A CG  1 
ATOM 5127  C CD  . PRO A 1 653 ? 275.831 -28.946 278.795 1.0 53.9685   ? 653 PRO A CD  653 PRO A CD  1 
ATOM 5128  N N   . TYR A 1 654 ? 273.466 -28.071 276.252 1.0 53.87922  ? 654 TYR A N   654 TYR A N   1 
ATOM 5129  C CA  . TYR A 1 654 ? 272.828 -27.442 275.105 1.0 53.87922  ? 654 TYR A CA  654 TYR A CA  1 
ATOM 5130  C C   . TYR A 1 654 ? 272.129 -28.464 274.222 1.0 53.87922  ? 654 TYR A C   654 TYR A C   1 
ATOM 5131  O O   . TYR A 1 654 ? 271.141 -28.133 273.560 1.0 53.87922  ? 654 TYR A O   654 TYR A O   1 
ATOM 5132  C CB  . TYR A 1 654 ? 273.869 -26.659 274.307 1.0 53.87922  ? 654 TYR A CB  654 TYR A CB  1 
ATOM 5133  C CG  . TYR A 1 654 ? 273.327 -25.916 273.113 1.0 53.87922  ? 654 TYR A CG  654 TYR A CG  1 
ATOM 5134  C CD1 . TYR A 1 654 ? 272.566 -24.769 273.273 1.0 53.87922  ? 654 TYR A CD1 654 TYR A CD1 1 
ATOM 5135  C CD2 . TYR A 1 654 ? 273.603 -26.345 271.825 1.0 53.87922  ? 654 TYR A CD2 654 TYR A CD2 1 
ATOM 5136  C CE1 . TYR A 1 654 ? 272.077 -24.081 272.182 1.0 53.87922  ? 654 TYR A CE1 654 TYR A CE1 1 
ATOM 5137  C CE2 . TYR A 1 654 ? 273.119 -25.665 270.731 1.0 53.87922  ? 654 TYR A CE2 654 TYR A CE2 1 
ATOM 5138  C CZ  . TYR A 1 654 ? 272.359 -24.535 270.914 1.0 53.87922  ? 654 TYR A CZ  654 TYR A CZ  1 
ATOM 5139  O OH  . TYR A 1 654 ? 271.880 -23.860 269.817 1.0 53.87922  ? 654 TYR A OH  654 TYR A OH  1 
ATOM 5140  N N   . LEU A 1 655 ? 272.608 -29.706 274.216 1.0 52.42525  ? 655 LEU A N   655 LEU A N   1 
ATOM 5141  C CA  . LEU A 1 655 ? 272.051 -30.765 273.384 1.0 52.42525  ? 655 LEU A CA  655 LEU A CA  1 
ATOM 5142  C C   . LEU A 1 655 ? 271.201 -31.748 274.176 1.0 52.42525  ? 655 LEU A C   655 LEU A C   1 
ATOM 5143  O O   . LEU A 1 655 ? 270.082 -32.065 273.771 1.0 52.42525  ? 655 LEU A O   655 LEU A O   1 
ATOM 5144  C CB  . LEU A 1 655 ? 273.177 -31.511 272.675 1.0 52.42525  ? 655 LEU A CB  655 LEU A CB  1 
ATOM 5145  C CG  . LEU A 1 655 ? 273.969 -30.713 271.653 1.0 52.42525  ? 655 LEU A CG  655 LEU A CG  1 
ATOM 5146  C CD1 . LEU A 1 655 ? 275.062 -31.573 271.051 1.0 52.42525  ? 655 LEU A CD1 655 LEU A CD1 1 
ATOM 5147  C CD2 . LEU A 1 655 ? 273.035 -30.204 270.597 1.0 52.42525  ? 655 LEU A CD2 655 LEU A CD2 1 
ATOM 5148  N N   . ASP A 1 656 ? 271.708 -32.233 275.307 1.0 53.75793  ? 656 ASP A N   656 ASP A N   1 
ATOM 5149  C CA  . ASP A 1 656 ? 270.889 -32.984 276.245 1.0 53.75793  ? 656 ASP A CA  656 ASP A CA  1 
ATOM 5150  C C   . ASP A 1 656 ? 269.929 -32.030 276.953 1.0 53.75793  ? 656 ASP A C   656 ASP A C   1 
ATOM 5151  O O   . ASP A 1 656 ? 269.952 -30.813 276.747 1.0 53.75793  ? 656 ASP A O   656 ASP A O   1 
ATOM 5152  C CB  . ASP A 1 656 ? 271.768 -33.705 277.265 1.0 53.75793  ? 656 ASP A CB  656 ASP A CB  1 
ATOM 5153  C CG  . ASP A 1 656 ? 272.637 -34.784 276.648 1.0 53.75793  ? 656 ASP A CG  656 ASP A CG  1 
ATOM 5154  O OD1 . ASP A 1 656 ? 272.221 -35.396 275.653 1.0 53.75793  ? 656 ASP A OD1 656 ASP A OD1 1 
ATOM 5155  O OD2 . ASP A 1 656 ? 273.749 -35.024 277.162 1.0 53.75793  ? 656 ASP A OD2 656 ASP A OD2 1 
ATOM 5156  N N   . GLY A 1 657 ? 269.065 -32.572 277.803 1.0 53.91562  ? 657 GLY A N   657 GLY A N   1 
ATOM 5157  C CA  . GLY A 1 657 ? 268.282 -31.663 278.614 1.0 53.91562  ? 657 GLY A CA  657 GLY A CA  1 
ATOM 5158  C C   . GLY A 1 657 ? 269.140 -31.010 279.677 1.0 53.91562  ? 657 GLY A C   657 GLY A C   1 
ATOM 5159  O O   . GLY A 1 657 ? 269.508 -29.845 279.523 1.0 53.91562  ? 657 GLY A O   657 GLY A O   1 
ATOM 5160  N N   . THR A 1 658 ? 269.453 -31.766 280.738 1.0 54.14437  ? 658 THR A N   658 THR A N   1 
ATOM 5161  C CA  . THR A 1 658 ? 270.557 -31.615 281.692 1.0 54.14437  ? 658 THR A CA  658 THR A CA  1 
ATOM 5162  C C   . THR A 1 658 ? 270.993 -30.197 282.050 1.0 54.14437  ? 658 THR A C   658 THR A C   1 
ATOM 5163  O O   . THR A 1 658 ? 272.193 -29.935 282.166 1.0 54.14437  ? 658 THR A O   658 THR A O   1 
ATOM 5164  C CB  . THR A 1 658 ? 271.778 -32.388 281.193 1.0 54.14437  ? 658 THR A CB  658 THR A CB  1 
ATOM 5165  O OG1 . THR A 1 658 ? 272.216 -31.845 279.948 1.0 54.14437  ? 658 THR A OG1 658 THR A OG1 1 
ATOM 5166  C CG2 . THR A 1 658 ? 271.430 -33.841 280.998 1.0 54.14437  ? 658 THR A CG2 658 THR A CG2 1 
ATOM 5167  N N   . PHE A 1 659 ? 270.054 -29.275 282.223 1.0 53.18791  ? 659 PHE A N   659 PHE A N   1 
ATOM 5168  C CA  . PHE A 1 659 ? 270.416 -27.951 282.701 1.0 53.18791  ? 659 PHE A CA  659 PHE A CA  1 
ATOM 5169  C C   . PHE A 1 659 ? 270.635 -28.013 284.201 1.0 53.18791  ? 659 PHE A C   659 PHE A C   1 
ATOM 5170  O O   . PHE A 1 659 ? 269.885 -28.674 284.920 1.0 53.18791  ? 659 PHE A O   659 PHE A O   1 
ATOM 5171  C CB  . PHE A 1 659 ? 269.331 -26.926 282.377 1.0 53.18791  ? 659 PHE A CB  659 PHE A CB  1 
ATOM 5172  C CG  . PHE A 1 659 ? 269.147 -26.679 280.912 1.0 53.18791  ? 659 PHE A CG  659 PHE A CG  1 
ATOM 5173  C CD1 . PHE A 1 659 ? 270.062 -25.919 280.209 1.0 53.18791  ? 659 PHE A CD1 659 PHE A CD1 1 
ATOM 5174  C CD2 . PHE A 1 659 ? 268.038 -27.172 280.248 1.0 53.18791  ? 659 PHE A CD2 659 PHE A CD2 1 
ATOM 5175  C CE1 . PHE A 1 659 ? 269.893 -25.683 278.862 1.0 53.18791  ? 659 PHE A CE1 659 PHE A CE1 1 
ATOM 5176  C CE2 . PHE A 1 659 ? 267.865 -26.943 278.901 1.0 53.18791  ? 659 PHE A CE2 659 PHE A CE2 1 
ATOM 5177  C CZ  . PHE A 1 659 ? 268.793 -26.195 278.208 1.0 53.18791  ? 659 PHE A CZ  659 PHE A CZ  1 
ATOM 5178  N N   . TYR A 1 660 ? 271.679 -27.343 284.675 1.0 54.95389  ? 660 TYR A N   660 TYR A N   1 
ATOM 5179  C CA  . TYR A 1 660 ? 271.931 -27.322 286.109 1.0 54.95389  ? 660 TYR A CA  660 TYR A CA  1 
ATOM 5180  C C   . TYR A 1 660 ? 272.275 -25.948 286.652 1.0 54.95389  ? 660 TYR A C   660 TYR A C   1 
ATOM 5181  O O   . TYR A 1 660 ? 272.349 -25.797 287.874 1.0 54.95389  ? 660 TYR A O   660 TYR A O   1 
ATOM 5182  C CB  . TYR A 1 660 ? 273.046 -28.313 286.475 1.0 54.95389  ? 660 TYR A CB  660 TYR A CB  1 
ATOM 5183  C CG  . TYR A 1 660 ? 274.388 -28.025 285.855 1.0 54.95389  ? 660 TYR A CG  660 TYR A CG  1 
ATOM 5184  C CD1 . TYR A 1 660 ? 274.715 -28.520 284.601 1.0 54.95389  ? 660 TYR A CD1 660 TYR A CD1 1 
ATOM 5185  C CD2 . TYR A 1 660 ? 275.346 -27.294 286.538 1.0 54.95389  ? 660 TYR A CD2 660 TYR A CD2 1 
ATOM 5186  C CE1 . TYR A 1 660 ? 275.946 -28.267 284.032 1.0 54.95389  ? 660 TYR A CE1 660 TYR A CE1 1 
ATOM 5187  C CE2 . TYR A 1 660 ? 276.571 -27.039 285.981 1.0 54.95389  ? 660 TYR A CE2 660 TYR A CE2 1 
ATOM 5188  C CZ  . TYR A 1 660 ? 276.869 -27.526 284.729 1.0 54.95389  ? 660 TYR A CZ  660 TYR A CZ  1 
ATOM 5189  O OH  . TYR A 1 660 ? 278.099 -27.272 284.176 1.0 54.95389  ? 660 TYR A OH  660 TYR A OH  1 
ATOM 5190  N N   . LEU A 1 661 ? 272.486 -24.947 285.802 1.0 53.13995  ? 661 LEU A N   661 LEU A N   1 
ATOM 5191  C CA  . LEU A 1 661 ? 272.694 -23.576 286.234 1.0 53.13995  ? 661 LEU A CA  661 LEU A CA  1 
ATOM 5192  C C   . LEU A 1 661 ? 271.421 -22.755 286.140 1.0 53.13995  ? 661 LEU A C   661 LEU A C   1 
ATOM 5193  O O   . LEU A 1 661 ? 271.472 -21.580 285.771 1.0 53.13995  ? 661 LEU A O   661 LEU A O   1 
ATOM 5194  C CB  . LEU A 1 661 ? 273.799 -22.918 285.414 1.0 53.13995  ? 661 LEU A CB  661 LEU A CB  1 
ATOM 5195  C CG  . LEU A 1 661 ? 275.196 -23.484 285.609 1.0 53.13995  ? 661 LEU A CG  661 LEU A CG  1 
ATOM 5196  C CD1 . LEU A 1 661 ? 276.159 -22.792 284.676 1.0 53.13995  ? 661 LEU A CD1 661 LEU A CD1 1 
ATOM 5197  C CD2 . LEU A 1 661 ? 275.618 -23.303 287.042 1.0 53.13995  ? 661 LEU A CD2 661 LEU A CD2 1 
ATOM 5198  N N   . SER A 1 662 ? 270.274 -23.360 286.446 1.0 54.42273  ? 662 SER A N   662 SER A N   1 
ATOM 5199  C CA  . SER A 1 662 ? 269.015 -22.631 286.364 1.0 54.42273  ? 662 SER A CA  662 SER A CA  1 
ATOM 5200  C C   . SER A 1 662 ? 268.832 -21.702 287.556 1.0 54.42273  ? 662 SER A C   662 SER A C   1 
ATOM 5201  O O   . SER A 1 662 ? 267.925 -20.870 287.561 1.0 54.42273  ? 662 SER A O   662 SER A O   1 
ATOM 5202  C CB  . SER A 1 662 ? 267.847 -23.607 286.264 1.0 54.42273  ? 662 SER A CB  662 SER A CB  1 
ATOM 5203  O OG  . SER A 1 662 ? 267.902 -24.348 285.061 1.0 54.42273  ? 662 SER A OG  662 SER A OG  1 
ATOM 5204  N N   . HIS A 1 663 ? 269.655 -21.839 288.587 1.0 55.22647  ? 663 HIS A N   663 HIS A N   1 
ATOM 5205  C CA  . HIS A 1 663 ? 269.740 -20.775 289.572 1.0 55.22647  ? 663 HIS A CA  663 HIS A CA  1 
ATOM 5206  C C   . HIS A 1 663 ? 270.759 -19.743 289.099 1.0 55.22647  ? 663 HIS A C   663 HIS A C   1 
ATOM 5207  O O   . HIS A 1 663 ? 271.177 -19.762 287.939 1.0 55.22647  ? 663 HIS A O   663 HIS A O   1 
ATOM 5208  C CB  . HIS A 1 663 ? 270.053 -21.350 290.955 1.0 55.22647  ? 663 HIS A CB  663 HIS A CB  1 
ATOM 5209  C CG  . HIS A 1 663 ? 271.294 -22.184 291.016 1.0 55.22647  ? 663 HIS A CG  663 HIS A CG  1 
ATOM 5210  N ND1 . HIS A 1 663 ? 272.512 -21.679 291.414 1.0 55.22647  ? 663 HIS A ND1 663 HIS A ND1 1 
ATOM 5211  C CD2 . HIS A 1 663 ? 271.504 -23.492 290.738 1.0 55.22647  ? 663 HIS A CD2 663 HIS A CD2 1 
ATOM 5212  C CE1 . HIS A 1 663 ? 273.418 -22.638 291.376 1.0 55.22647  ? 663 HIS A CE1 663 HIS A CE1 1 
ATOM 5213  N NE2 . HIS A 1 663 ? 272.833 -23.749 290.967 1.0 55.22647  ? 663 HIS A NE2 663 HIS A NE2 1 
ATOM 5214  N N   . THR A 1 664 ? 271.144 -18.830 289.998 1.0 56.47361  ? 664 THR A N   664 THR A N   1 
ATOM 5215  C CA  . THR A 1 664 ? 271.958 -17.643 289.704 1.0 56.47361  ? 664 THR A CA  664 THR A CA  1 
ATOM 5216  C C   . THR A 1 664 ? 271.325 -16.766 288.625 1.0 56.47361  ? 664 THR A C   664 THR A C   1 
ATOM 5217  O O   . THR A 1 664 ? 271.886 -16.627 287.534 1.0 56.47361  ? 664 THR A O   664 THR A O   1 
ATOM 5218  C CB  . THR A 1 664 ? 273.399 -18.003 289.281 1.0 56.47361  ? 664 THR A CB  664 THR A CB  1 
ATOM 5219  O OG1 . THR A 1 664 ? 273.388 -18.671 288.015 1.0 56.47361  ? 664 THR A OG1 664 THR A OG1 1 
ATOM 5220  C CG2 . THR A 1 664 ? 274.056 -18.903 290.302 1.0 56.47361  ? 664 THR A CG2 664 THR A CG2 1 
ATOM 5221  N N   . PHE A 1 665 ? 270.151 -16.199 288.896 1.0 54.85219  ? 665 PHE A N   665 PHE A N   1 
ATOM 5222  C CA  . PHE A 1 665 ? 269.471 -15.303 287.959 1.0 54.85219  ? 665 PHE A CA  665 PHE A CA  1 
ATOM 5223  C C   . PHE A 1 665 ? 268.820 -14.122 288.663 1.0 54.85219  ? 665 PHE A C   665 PHE A C   1 
ATOM 5224  O O   . PHE A 1 665 ? 267.632 -13.872 288.466 1.0 54.85219  ? 665 PHE A O   665 PHE A O   1 
ATOM 5225  C CB  . PHE A 1 665 ? 268.409 -16.018 287.136 1.0 54.85219  ? 665 PHE A CB  665 PHE A CB  1 
ATOM 5226  C CG  . PHE A 1 665 ? 268.962 -16.872 286.067 1.0 54.85219  ? 665 PHE A CG  665 PHE A CG  1 
ATOM 5227  C CD1 . PHE A 1 665 ? 269.457 -16.313 284.907 1.0 54.85219  ? 665 PHE A CD1 665 PHE A CD1 1 
ATOM 5228  C CD2 . PHE A 1 665 ? 268.962 -18.236 286.206 1.0 54.85219  ? 665 PHE A CD2 665 PHE A CD2 1 
ATOM 5229  C CE1 . PHE A 1 665 ? 269.966 -17.109 283.918 1.0 54.85219  ? 665 PHE A CE1 665 PHE A CE1 1 
ATOM 5230  C CE2 . PHE A 1 665 ? 269.462 -19.040 285.223 1.0 54.85219  ? 665 PHE A CE2 665 PHE A CE2 1 
ATOM 5231  C CZ  . PHE A 1 665 ? 269.965 -18.471 284.084 1.0 54.85219  ? 665 PHE A CZ  665 PHE A CZ  1 
ATOM 5232  N N   . GLN A 1 666 ? 269.603 -13.396 289.479 1.0 58.22023  ? 666 GLN A N   666 GLN A N   1 
ATOM 5233  C CA  . GLN A 1 666 ? 269.139 -12.370 290.426 1.0 58.22023  ? 666 GLN A CA  666 GLN A CA  1 
ATOM 5234  C C   . GLN A 1 666 ? 268.019 -11.440 289.951 1.0 58.22023  ? 666 GLN A C   666 GLN A C   1 
ATOM 5235  O O   . GLN A 1 666 ? 267.023 -11.253 290.654 1.0 58.22023  ? 666 GLN A O   666 GLN A O   1 
ATOM 5236  C CB  . GLN A 1 666 ? 270.333 -11.516 290.848 1.0 58.22023  ? 666 GLN A CB  666 GLN A CB  1 
ATOM 5237  C CG  . GLN A 1 666 ? 271.341 -12.220 291.714 1.0 58.22023  ? 666 GLN A CG  666 GLN A CG  1 
ATOM 5238  C CD  . GLN A 1 666 ? 272.492 -11.315 292.066 1.0 58.22023  ? 666 GLN A CD  666 GLN A CD  1 
ATOM 5239  O OE1 . GLN A 1 666 ? 272.565 -10.183 291.594 1.0 58.22023  ? 666 GLN A OE1 666 GLN A OE1 1 
ATOM 5240  N NE2 . GLN A 1 666 ? 273.400 -11.803 292.901 1.0 58.22023  ? 666 GLN A NE2 666 GLN A NE2 1 
ATOM 5241  N N   . ARG A 1 667 ? 268.146 -10.869 288.754 1.0 58.87877  ? 667 ARG A N   667 ARG A N   1 
ATOM 5242  C CA  . ARG A 1 667 ? 267.114 -9.988  288.219 1.0 58.87877  ? 667 ARG A CA  667 ARG A CA  1 
ATOM 5243  C C   . ARG A 1 667 ? 266.902 -10.271 286.740 1.0 58.87877  ? 667 ARG A C   667 ARG A C   1 
ATOM 5244  O O   . ARG A 1 667 ? 267.661 -11.009 286.109 1.0 58.87877  ? 667 ARG A O   667 ARG A O   1 
ATOM 5245  C CB  . ARG A 1 667 ? 267.458 -8.504  288.418 1.0 58.87877  ? 667 ARG A CB  667 ARG A CB  1 
ATOM 5246  C CG  . ARG A 1 667 ? 267.431 -8.031  289.862 1.0 58.87877  ? 667 ARG A CG  667 ARG A CG  1 
ATOM 5247  C CD  . ARG A 1 667 ? 267.850 -6.583  290.004 1.0 58.87877  ? 667 ARG A CD  667 ARG A CD  1 
ATOM 5248  N NE  . ARG A 1 667 ? 266.877 -5.659  289.435 1.0 58.87877  ? 667 ARG A NE  667 ARG A NE  1 
ATOM 5249  C CZ  . ARG A 1 667 ? 267.081 -4.953  288.329 1.0 58.87877  ? 667 ARG A CZ  667 ARG A CZ  1 
ATOM 5250  N NH1 . ARG A 1 667 ? 268.222 -5.073  287.666 1.0 58.87877  ? 667 ARG A NH1 667 ARG A NH1 1 
ATOM 5251  N NH2 . ARG A 1 667 ? 266.146 -4.128  287.883 1.0 58.87877  ? 667 ARG A NH2 667 ARG A NH2 1 
ATOM 5252  N N   . CYS A 1 668 ? 265.853 -9.653  286.196 1.0 57.36978  ? 668 CYS A N   668 CYS A N   1 
ATOM 5253  C CA  . CYS A 1 668 ? 265.475 -9.739  284.788 1.0 57.36978  ? 668 CYS A CA  668 CYS A CA  1 
ATOM 5254  C C   . CYS A 1 668 ? 264.477 -8.639  284.451 1.0 57.36978  ? 668 CYS A C   668 CYS A C   1 
ATOM 5255  O O   . CYS A 1 668 ? 263.470 -8.493  285.147 1.0 57.36978  ? 668 CYS A O   668 CYS A O   1 
ATOM 5256  C CB  . CYS A 1 668 ? 264.863 -11.102 284.469 1.0 57.36978  ? 668 CYS A CB  668 CYS A CB  1 
ATOM 5257  S SG  . CYS A 1 668 ? 264.236 -11.247 282.794 1.0 57.36978  ? 668 CYS A SG  668 CYS A SG  1 
ATOM 5258  N N   . SER A 1 669 ? 264.720 -7.868  283.393 1.0 54.01807  ? 669 SER A N   669 SER A N   1 
ATOM 5259  C CA  . SER A 1 669 ? 263.814 -6.780  283.043 1.0 54.01807  ? 669 SER A CA  669 SER A CA  1 
ATOM 5260  C C   . SER A 1 669 ? 263.612 -6.735  281.538 1.0 54.01807  ? 669 SER A C   669 SER A C   1 
ATOM 5261  O O   . SER A 1 669 ? 264.582 -6.752  280.780 1.0 54.01807  ? 669 SER A O   669 SER A O   1 
ATOM 5262  C CB  . SER A 1 669 ? 264.345 -5.431  283.536 1.0 54.01807  ? 669 SER A CB  669 SER A CB  1 
ATOM 5263  O OG  . SER A 1 669 ? 265.503 -5.047  282.824 1.0 54.01807  ? 669 SER A OG  669 SER A OG  1 
ATOM 5264  N N   . ILE A 1 670 ? 262.355 -6.661  281.114 1.0 51.71754  ? 670 ILE A N   670 ILE A N   1 
ATOM 5265  C CA  . ILE A 1 670 ? 261.989 -6.616  279.705 1.0 51.71754  ? 670 ILE A CA  670 ILE A CA  1 
ATOM 5266  C C   . ILE A 1 670 ? 261.420 -5.238  279.405 1.0 51.71754  ? 670 ILE A C   670 ILE A C   1 
ATOM 5267  O O   . ILE A 1 670 ? 260.580 -4.726  280.153 1.0 51.71754  ? 670 ILE A O   670 ILE A O   1 
ATOM 5268  C CB  . ILE A 1 670 ? 260.978 -7.728  279.368 1.0 51.71754  ? 670 ILE A CB  670 ILE A CB  1 
ATOM 5269  C CG1 . ILE A 1 670 ? 261.574 -9.086  279.717 1.0 51.71754  ? 670 ILE A CG1 670 ILE A CG1 1 
ATOM 5270  C CG2 . ILE A 1 670 ? 260.609 -7.708  277.901 1.0 51.71754  ? 670 ILE A CG2 670 ILE A CG2 1 
ATOM 5271  C CD1 . ILE A 1 670 ? 260.592 -10.210 279.656 1.0 51.71754  ? 670 ILE A CD1 670 ILE A CD1 1 
ATOM 5272  N N   . GLN A 1 671 ? 261.867 -4.644  278.302 1.0 54.64598  ? 671 GLN A N   671 GLN A N   1 
ATOM 5273  C CA  . GLN A 1 671 ? 261.608 -3.242  278.015 1.0 54.64598  ? 671 GLN A CA  671 GLN A CA  1 
ATOM 5274  C C   . GLN A 1 671 ? 261.567 -3.076  276.505 1.0 54.64598  ? 671 GLN A C   671 GLN A C   1 
ATOM 5275  O O   . GLN A 1 671 ? 262.501 -3.499  275.821 1.0 54.64598  ? 671 GLN A O   671 GLN A O   1 
ATOM 5276  C CB  . GLN A 1 671 ? 262.710 -2.389  278.642 1.0 54.64598  ? 671 GLN A CB  671 GLN A CB  1 
ATOM 5277  C CG  . GLN A 1 671 ? 262.513 -0.905  278.620 1.0 54.64598  ? 671 GLN A CG  671 GLN A CG  1 
ATOM 5278  C CD  . GLN A 1 671 ? 263.645 -0.202  279.338 1.0 54.64598  ? 671 GLN A CD  671 GLN A CD  1 
ATOM 5279  O OE1 . GLN A 1 671 ? 264.593 -0.843  279.789 1.0 54.64598  ? 671 GLN A OE1 671 GLN A OE1 1 
ATOM 5280  N NE2 . GLN A 1 671 ? 263.550 1.114   279.457 1.0 54.64598  ? 671 GLN A NE2 671 GLN A NE2 1 
ATOM 5281  N N   . TRP A 1 672 ? 260.498 -2.473  275.981 1.0 53.05395  ? 672 TRP A N   672 TRP A N   1 
ATOM 5282  C CA  . TRP A 1 672 ? 260.269 -2.560  274.540 1.0 53.05395  ? 672 TRP A CA  672 TRP A CA  1 
ATOM 5283  C C   . TRP A 1 672 ? 261.114 -1.566  273.750 1.0 53.05395  ? 672 TRP A C   672 TRP A C   1 
ATOM 5284  O O   . TRP A 1 672 ? 262.005 -1.961  272.995 1.0 53.05395  ? 672 TRP A O   672 TRP A O   1 
ATOM 5285  C CB  . TRP A 1 672 ? 258.788 -2.363  274.217 1.0 53.05395  ? 672 TRP A CB  672 TRP A CB  1 
ATOM 5286  C CG  . TRP A 1 672 ? 257.931 -3.500  274.648 1.0 53.05395  ? 672 TRP A CG  672 TRP A CG  1 
ATOM 5287  C CD1 . TRP A 1 672 ? 257.115 -3.539  275.732 1.0 53.05395  ? 672 TRP A CD1 672 TRP A CD1 1 
ATOM 5288  C CD2 . TRP A 1 672 ? 257.827 -4.782  274.021 1.0 53.05395  ? 672 TRP A CD2 672 TRP A CD2 1 
ATOM 5289  N NE1 . TRP A 1 672 ? 256.492 -4.758  275.814 1.0 53.05395  ? 672 TRP A NE1 672 TRP A NE1 1 
ATOM 5290  C CE2 . TRP A 1 672 ? 256.917 -5.540  274.775 1.0 53.05395  ? 672 TRP A CE2 672 TRP A CE2 1 
ATOM 5291  C CE3 . TRP A 1 672 ? 258.412 -5.359  272.894 1.0 53.05395  ? 672 TRP A CE3 672 TRP A CE3 1 
ATOM 5292  C CZ2 . TRP A 1 672 ? 256.577 -6.845  274.438 1.0 53.05395  ? 672 TRP A CZ2 672 TRP A CZ2 1 
ATOM 5293  C CZ3 . TRP A 1 672 ? 258.073 -6.654  272.561 1.0 53.05395  ? 672 TRP A CZ3 672 TRP A CZ3 1 
ATOM 5294  C CH2 . TRP A 1 672 ? 257.165 -7.382  273.330 1.0 53.05395  ? 672 TRP A CH2 672 TRP A CH2 1 
ATOM 5295  N N   . ASP A 1 673 ? 260.874 -0.275  273.916 1.0 55.58705  ? 673 ASP A N   673 ASP A N   1 
ATOM 5296  C CA  . ASP A 1 673 ? 261.519 0.726   273.074 1.0 55.58705  ? 673 ASP A CA  673 ASP A CA  1 
ATOM 5297  C C   . ASP A 1 673 ? 262.408 1.646   273.894 1.0 55.58705  ? 673 ASP A C   673 ASP A C   1 
ATOM 5298  O O   . ASP A 1 673 ? 262.400 2.865   273.705 1.0 55.58705  ? 673 ASP A O   673 ASP A O   1 
ATOM 5299  C CB  . ASP A 1 673 ? 260.482 1.533   272.301 1.0 55.58705  ? 673 ASP A CB  673 ASP A CB  1 
ATOM 5300  C CG  . ASP A 1 673 ? 259.789 0.716   271.236 1.0 55.58705  ? 673 ASP A CG  673 ASP A CG  1 
ATOM 5301  O OD1 . ASP A 1 673 ? 260.413 -0.231  270.713 1.0 55.58705  ? 673 ASP A OD1 673 ASP A OD1 1 
ATOM 5302  O OD2 . ASP A 1 673 ? 258.620 1.020   270.919 1.0 55.58705  ? 673 ASP A OD2 673 ASP A OD2 1 
ATOM 5303  N N   . SER A 1 674 ? 263.189 1.052   274.808 1.0 57.55517  ? 674 SER A N   674 SER A N   1 
ATOM 5304  C CA  . SER A 1 674 ? 263.889 1.753   275.897 1.0 57.55517  ? 674 SER A CA  674 SER A CA  1 
ATOM 5305  C C   . SER A 1 674 ? 262.917 2.612   276.705 1.0 57.55517  ? 674 SER A C   674 SER A C   1 
ATOM 5306  O O   . SER A 1 674 ? 263.250 3.699   277.181 1.0 57.55517  ? 674 SER A O   674 SER A O   1 
ATOM 5307  C CB  . SER A 1 674 ? 265.079 2.576   275.388 1.0 57.55517  ? 674 SER A CB  674 SER A CB  1 
ATOM 5308  O OG  . SER A 1 674 ? 264.660 3.674   274.596 1.0 57.55517  ? 674 SER A OG  674 SER A OG  1 
ATOM 5309  N N   . SER A 1 675 ? 261.711 2.082   276.873 1.0 56.28418  ? 675 SER A N   675 SER A N   1 
ATOM 5310  C CA  . SER A 1 675 ? 260.538 2.663   277.507 1.0 56.28418  ? 675 SER A CA  675 SER A CA  1 
ATOM 5311  C C   . SER A 1 675 ? 259.488 1.567   277.435 1.0 56.28418  ? 675 SER A C   675 SER A C   1 
ATOM 5312  O O   . SER A 1 675 ? 259.671 0.572   276.726 1.0 56.28418  ? 675 SER A O   675 SER A O   1 
ATOM 5313  C CB  . SER A 1 675 ? 260.039 3.934   276.819 1.0 56.28418  ? 675 SER A CB  675 SER A CB  1 
ATOM 5314  O OG  . SER A 1 675 ? 258.862 4.422   277.440 1.0 56.28418  ? 675 SER A OG  675 SER A OG  1 
ATOM 5315  N N   . VAL A 1 676 ? 258.383 1.776   278.151 1.0 54.42705  ? 676 VAL A N   676 VAL A N   1 
ATOM 5316  C CA  . VAL A 1 676 ? 257.236 0.865   278.244 1.0 54.42705  ? 676 VAL A CA  676 VAL A CA  1 
ATOM 5317  C C   . VAL A 1 676 ? 257.724 -0.491  278.744 1.0 54.42705  ? 676 VAL A C   676 VAL A C   1 
ATOM 5318  O O   . VAL A 1 676 ? 257.943 -1.401  277.931 1.0 54.42705  ? 676 VAL A O   676 VAL A O   1 
ATOM 5319  C CB  . VAL A 1 676 ? 256.473 0.745   276.907 1.0 54.42705  ? 676 VAL A CB  676 VAL A CB  1 
ATOM 5320  C CG1 . VAL A 1 676 ? 255.172 -0.053  277.079 1.0 54.42705  ? 676 VAL A CG1 676 VAL A CG1 1 
ATOM 5321  C CG2 . VAL A 1 676 ? 256.184 2.110   276.313 1.0 54.42705  ? 676 VAL A CG2 676 VAL A CG2 1 
ATOM 5322  N N   . PRO A 1 677 ? 258.024 -0.642  280.031 1.0 54.18859  ? 677 PRO A N   677 PRO A N   1 
ATOM 5323  C CA  . PRO A 1 677 ? 258.458 -1.949  280.527 1.0 54.18859  ? 677 PRO A CA  677 PRO A CA  1 
ATOM 5324  C C   . PRO A 1 677 ? 257.332 -2.964  280.449 1.0 54.18859  ? 677 PRO A C   677 PRO A C   1 
ATOM 5325  O O   . PRO A 1 677 ? 256.150 -2.621  280.500 1.0 54.18859  ? 677 PRO A O   677 PRO A O   1 
ATOM 5326  C CB  . PRO A 1 677 ? 258.850 -1.665  281.978 1.0 54.18859  ? 677 PRO A CB  677 PRO A CB  1 
ATOM 5327  C CG  . PRO A 1 677 ? 258.014 -0.513  282.356 1.0 54.18859  ? 677 PRO A CG  677 PRO A CG  1 
ATOM 5328  C CD  . PRO A 1 677 ? 257.886 0.333   281.124 1.0 54.18859  ? 677 PRO A CD  677 PRO A CD  1 
ATOM 5329  N N   . TRP A 1 678 ? 257.712 -4.222  280.289 1.0 52.6415   ? 678 TRP A N   678 TRP A N   1 
ATOM 5330  C CA  . TRP A 1 678 ? 256.732 -5.282  280.170 1.0 52.6415   ? 678 TRP A CA  678 TRP A CA  1 
ATOM 5331  C C   . TRP A 1 678 ? 256.741 -6.126  281.431 1.0 52.6415   ? 678 TRP A C   678 TRP A C   1 
ATOM 5332  O O   . TRP A 1 678 ? 257.825 -6.498  281.897 1.0 52.6415   ? 678 TRP A O   678 TRP A O   1 
ATOM 5333  C CB  . TRP A 1 678 ? 257.029 -6.161  278.961 1.0 52.6415   ? 678 TRP A CB  678 TRP A CB  1 
ATOM 5334  C CG  . TRP A 1 678 ? 255.996 -7.198  278.750 1.0 52.6415   ? 678 TRP A CG  678 TRP A CG  1 
ATOM 5335  C CD1 . TRP A 1 678 ? 254.757 -7.024  278.222 1.0 52.6415   ? 678 TRP A CD1 678 TRP A CD1 1 
ATOM 5336  C CD2 . TRP A 1 678 ? 256.077 -8.566  279.141 1.0 52.6415   ? 678 TRP A CD2 678 TRP A CD2 1 
ATOM 5337  N NE1 . TRP A 1 678 ? 254.074 -8.213  278.217 1.0 52.6415   ? 678 TRP A NE1 678 TRP A NE1 1 
ATOM 5338  C CE2 . TRP A 1 678 ? 254.865 -9.177  278.781 1.0 52.6415   ? 678 TRP A CE2 678 TRP A CE2 1 
ATOM 5339  C CE3 . TRP A 1 678 ? 257.068 -9.339  279.742 1.0 52.6415   ? 678 TRP A CE3 678 TRP A CE3 1 
ATOM 5340  C CZ2 . TRP A 1 678 ? 254.619 -10.525 279.004 1.0 52.6415   ? 678 TRP A CZ2 678 TRP A CZ2 1 
ATOM 5341  C CZ3 . TRP A 1 678 ? 256.823 -10.669 279.963 1.0 52.6415   ? 678 TRP A CZ3 678 TRP A CZ3 1 
ATOM 5342  C CH2 . TRP A 1 678 ? 255.610 -11.252 279.597 1.0 52.6415   ? 678 TRP A CH2 678 TRP A CH2 1 
ATOM 5343  N N   . PRO A 1 679 ? 255.581 -6.460  282.022 1.0 54.44681  ? 679 PRO A N   679 PRO A N   1 
ATOM 5344  C CA  . PRO A 1 679 ? 254.208 -6.106  281.644 1.0 54.44681  ? 679 PRO A CA  679 PRO A CA  1 
ATOM 5345  C C   . PRO A 1 679 ? 253.847 -4.662  281.979 1.0 54.44681  ? 679 PRO A C   679 PRO A C   1 
ATOM 5346  O O   . PRO A 1 679 ? 253.040 -4.059  281.276 1.0 54.44681  ? 679 PRO A O   679 PRO A O   1 
ATOM 5347  C CB  . PRO A 1 679 ? 253.362 -7.084  282.459 1.0 54.44681  ? 679 PRO A CB  679 PRO A CB  1 
ATOM 5348  C CG  . PRO A 1 679 ? 254.190 -7.406  283.633 1.0 54.44681  ? 679 PRO A CG  679 PRO A CG  1 
ATOM 5349  C CD  . PRO A 1 679 ? 255.608 -7.388  283.163 1.0 54.44681  ? 679 PRO A CD  679 PRO A CD  1 
ATOM 5350  N N   . GLY A 1 680 ? 254.436 -4.124  283.045 1.0 57.5261   ? 680 GLY A N   680 GLY A N   1 
ATOM 5351  C CA  . GLY A 1 680 ? 254.421 -2.701  283.312 1.0 57.5261   ? 680 GLY A CA  680 GLY A CA  1 
ATOM 5352  C C   . GLY A 1 680 ? 253.092 -2.094  283.697 1.0 57.5261   ? 680 GLY A C   680 GLY A C   1 
ATOM 5353  O O   . GLY A 1 680 ? 253.036 -0.882  283.926 1.0 57.5261   ? 680 GLY A O   680 GLY A O   1 
ATOM 5354  N N   . ASN A 1 681 ? 252.022 -2.880  283.787 1.0 57.24112  ? 681 ASN A N   681 ASN A N   1 
ATOM 5355  C CA  . ASN A 1 681 ? 250.731 -2.374  284.229 1.0 57.24112  ? 681 ASN A CA  681 ASN A CA  1 
ATOM 5356  C C   . ASN A 1 681 ? 250.519 -2.588  285.714 1.0 57.24112  ? 681 ASN A C   681 ASN A C   1 
ATOM 5357  O O   . ASN A 1 681 ? 249.385 -2.846  286.138 1.0 57.24112  ? 681 ASN A O   681 ASN A O   1 
ATOM 5358  C CB  . ASN A 1 681 ? 249.605 -3.025  283.428 1.0 57.24112  ? 681 ASN A CB  681 ASN A CB  1 
ATOM 5359  C CG  . ASN A 1 681 ? 249.569 -2.556  281.994 1.0 57.24112  ? 681 ASN A CG  681 ASN A CG  1 
ATOM 5360  O OD1 . ASN A 1 681 ? 249.761 -1.377  281.712 1.0 57.24112  ? 681 ASN A OD1 681 ASN A OD1 1 
ATOM 5361  N ND2 . ASN A 1 681 ? 249.311 -3.477  281.077 1.0 57.24112  ? 681 ASN A ND2 681 ASN A ND2 1 
ATOM 5362  N N   . ASP A 1 682 ? 251.596 -2.490  286.498 1.0 60.31973  ? 682 ASP A N   682 ASP A N   1 
ATOM 5363  C CA  . ASP A 1 682 ? 251.640 -2.829  287.920 1.0 60.31973  ? 682 ASP A CA  682 ASP A CA  1 
ATOM 5364  C C   . ASP A 1 682 ? 251.140 -4.249  288.164 1.0 60.31973  ? 682 ASP A C   682 ASP A C   1 
ATOM 5365  O O   . ASP A 1 682 ? 250.348 -4.505  289.065 1.0 60.31973  ? 682 ASP A O   682 ASP A O   1 
ATOM 5366  C CB  . ASP A 1 682 ? 250.865 -1.817  288.768 1.0 60.31973  ? 682 ASP A CB  682 ASP A CB  1 
ATOM 5367  C CG  . ASP A 1 682 ? 251.558 -0.475  288.847 1.0 60.31973  ? 682 ASP A CG  682 ASP A CG  1 
ATOM 5368  O OD1 . ASP A 1 682 ? 252.801 -0.445  288.748 1.0 60.31973  ? 682 ASP A OD1 682 ASP A OD1 1 
ATOM 5369  O OD2 . ASP A 1 682 ? 250.863 0.551   289.011 1.0 60.31973  ? 682 ASP A OD2 682 ASP A OD2 1 
ATOM 5370  N N   . ARG A 1 683 ? 251.616 -5.183  287.346 1.0 56.58333  ? 683 ARG A N   683 ARG A N   1 
ATOM 5371  C CA  . ARG A 1 683 ? 251.179 -6.566  287.478 1.0 56.58333  ? 683 ARG A CA  683 ARG A CA  1 
ATOM 5372  C C   . ARG A 1 683 ? 251.922 -7.308  288.577 1.0 56.58333  ? 683 ARG A C   683 ARG A C   1 
ATOM 5373  O O   . ARG A 1 683 ? 251.303 -8.034  289.360 1.0 56.58333  ? 683 ARG A O   683 ARG A O   1 
ATOM 5374  C CB  . ARG A 1 683 ? 251.361 -7.310  286.156 1.0 56.58333  ? 683 ARG A CB  683 ARG A CB  1 
ATOM 5375  C CG  . ARG A 1 683 ? 250.567 -6.741  285.012 1.0 56.58333  ? 683 ARG A CG  683 ARG A CG  1 
ATOM 5376  C CD  . ARG A 1 683 ? 249.091 -6.922  285.231 1.0 56.58333  ? 683 ARG A CD  683 ARG A CD  1 
ATOM 5377  N NE  . ARG A 1 683 ? 248.330 -6.468  284.078 1.0 56.58333  ? 683 ARG A NE  683 ARG A NE  1 
ATOM 5378  C CZ  . ARG A 1 683 ? 247.008 -6.404  284.045 1.0 56.58333  ? 683 ARG A CZ  683 ARG A CZ  1 
ATOM 5379  N NH1 . ARG A 1 683 ? 246.307 -6.758  285.109 1.0 56.58333  ? 683 ARG A NH1 683 ARG A NH1 1 
ATOM 5380  N NH2 . ARG A 1 683 ? 246.387 -5.983  282.955 1.0 56.58333  ? 683 ARG A NH2 683 ARG A NH2 1 
ATOM 5381  N N   . MET A 1 684 ? 253.238 -7.141  288.650 1.0 61.27138  ? 684 MET A N   684 MET A N   1 
ATOM 5382  C CA  . MET A 1 684 ? 254.070 -7.904  289.563 1.0 61.27138  ? 684 MET A CA  684 MET A CA  1 
ATOM 5383  C C   . MET A 1 684 ? 254.109 -7.212  290.924 1.0 61.27138  ? 684 MET A C   684 MET A C   1 
ATOM 5384  O O   . MET A 1 684 ? 253.506 -6.157  291.127 1.0 61.27138  ? 684 MET A O   684 MET A O   1 
ATOM 5385  C CB  . MET A 1 684 ? 255.472 -8.052  288.979 1.0 61.27138  ? 684 MET A CB  684 MET A CB  1 
ATOM 5386  C CG  . MET A 1 684 ? 255.488 -8.637  287.574 1.0 61.27138  ? 684 MET A CG  684 MET A CG  1 
ATOM 5387  S SD  . MET A 1 684 ? 254.891 -10.328 287.451 1.0 61.27138  ? 684 MET A SD  684 MET A SD  1 
ATOM 5388  C CE  . MET A 1 684 ? 256.280 -11.191 288.139 1.0 61.27138  ? 684 MET A CE  684 MET A CE  1 
ATOM 5389  N N   . LEU A 1 685 ? 254.827 -7.811  291.875 1.0 61.48445  ? 685 LEU A N   685 LEU A N   1 
ATOM 5390  C CA  . LEU A 1 685 ? 255.048 -7.151  293.159 1.0 61.48445  ? 685 LEU A CA  685 LEU A CA  1 
ATOM 5391  C C   . LEU A 1 685 ? 255.998 -5.971  293.001 1.0 61.48445  ? 685 LEU A C   685 LEU A C   1 
ATOM 5392  O O   . LEU A 1 685 ? 255.684 -4.844  293.399 1.0 61.48445  ? 685 LEU A O   685 LEU A O   1 
ATOM 5393  C CB  . LEU A 1 685 ? 255.590 -8.144  294.187 1.0 61.48445  ? 685 LEU A CB  685 LEU A CB  1 
ATOM 5394  C CG  . LEU A 1 685 ? 254.611 -8.927  295.069 1.0 61.48445  ? 685 LEU A CG  685 LEU A CG  1 
ATOM 5395  C CD1 . LEU A 1 685 ? 253.769 -7.967  295.900 1.0 61.48445  ? 685 LEU A CD1 685 LEU A CD1 1 
ATOM 5396  C CD2 . LEU A 1 685 ? 253.741 -9.899  294.291 1.0 61.48445  ? 685 LEU A CD2 685 LEU A CD2 1 
ATOM 5397  N N   . THR A 1 686 ? 257.179 -6.218  292.436 1.0 64.92447  ? 686 THR A N   686 THR A N   1 
ATOM 5398  C CA  . THR A 1 686 ? 258.053 -5.158  291.959 1.0 64.92447  ? 686 THR A CA  686 THR A CA  1 
ATOM 5399  C C   . THR A 1 686 ? 257.750 -4.970  290.483 1.0 64.92447  ? 686 THR A C   686 THR A C   1 
ATOM 5400  O O   . THR A 1 686 ? 258.216 -5.765  289.655 1.0 64.92447  ? 686 THR A O   686 THR A O   1 
ATOM 5401  C CB  . THR A 1 686 ? 259.524 -5.518  292.169 1.0 64.92447  ? 686 THR A CB  686 THR A CB  1 
ATOM 5402  O OG1 . THR A 1 686 ? 259.829 -6.711  291.439 1.0 64.92447  ? 686 THR A OG1 686 THR A OG1 1 
ATOM 5403  C CG2 . THR A 1 686 ? 259.805 -5.751  293.640 1.0 64.92447  ? 686 THR A CG2 686 THR A CG2 1 
ATOM 5404  N N   . PRO A 1 687 ? 256.982 -3.947  290.097 1.0 65.71325  ? 687 PRO A N   687 PRO A N   1 
ATOM 5405  C CA  . PRO A 1 687 ? 256.325 -3.964  288.782 1.0 65.71325  ? 687 PRO A CA  687 PRO A CA  1 
ATOM 5406  C C   . PRO A 1 687 ? 257.223 -3.649  287.600 1.0 65.71325  ? 687 PRO A C   687 PRO A C   1 
ATOM 5407  O O   . PRO A 1 687 ? 256.761 -3.765  286.458 1.0 65.71325  ? 687 PRO A O   687 PRO A O   1 
ATOM 5408  C CB  . PRO A 1 687 ? 255.240 -2.893  288.930 1.0 65.71325  ? 687 PRO A CB  687 PRO A CB  1 
ATOM 5409  C CG  . PRO A 1 687 ? 255.790 -1.952  289.928 1.0 65.71325  ? 687 PRO A CG  687 PRO A CG  1 
ATOM 5410  C CD  . PRO A 1 687 ? 256.586 -2.778  290.898 1.0 65.71325  ? 687 PRO A CD  687 PRO A CD  1 
ATOM 5411  N N   . ASN A 1 688 ? 258.475 -3.260  287.819 1.0 65.36901  ? 688 ASN A N   688 ASN A N   1 
ATOM 5412  C CA  . ASN A 1 688 ? 259.329 -2.911  286.693 1.0 65.36901  ? 688 ASN A CA  688 ASN A CA  1 
ATOM 5413  C C   . ASN A 1 688 ? 260.105 -4.104  286.152 1.0 65.36901  ? 688 ASN A C   688 ASN A C   1 
ATOM 5414  O O   . ASN A 1 688 ? 260.197 -4.276  284.933 1.0 65.36901  ? 688 ASN A O   688 ASN A O   1 
ATOM 5415  C CB  . ASN A 1 688 ? 260.296 -1.799  287.095 1.0 65.36901  ? 688 ASN A CB  688 ASN A CB  1 
ATOM 5416  C CG  . ASN A 1 688 ? 259.586 -0.513  287.440 1.0 65.36901  ? 688 ASN A CG  688 ASN A CG  1 
ATOM 5417  O OD1 . ASN A 1 688 ? 259.603 -0.069  288.587 1.0 65.36901  ? 688 ASN A OD1 688 ASN A OD1 1 
ATOM 5418  N ND2 . ASN A 1 688 ? 258.955 0.097   286.445 1.0 65.36901  ? 688 ASN A ND2 688 ASN A ND2 1 
ATOM 5419  N N   . TRP A 1 689 ? 260.663 -4.937  287.026 1.0 61.59695  ? 689 TRP A N   689 TRP A N   1 
ATOM 5420  C CA  . TRP A 1 689 ? 261.509 -6.042  286.606 1.0 61.59695  ? 689 TRP A CA  689 TRP A CA  1 
ATOM 5421  C C   . TRP A 1 689 ? 261.008 -7.347  287.207 1.0 61.59695  ? 689 TRP A C   689 TRP A C   1 
ATOM 5422  O O   . TRP A 1 689 ? 260.255 -7.360  288.181 1.0 61.59695  ? 689 TRP A O   689 TRP A O   1 
ATOM 5423  C CB  . TRP A 1 689 ? 262.973 -5.804  287.002 1.0 61.59695  ? 689 TRP A CB  689 TRP A CB  1 
ATOM 5424  C CG  . TRP A 1 689 ? 263.196 -5.658  288.468 1.0 61.59695  ? 689 TRP A CG  689 TRP A CG  1 
ATOM 5425  C CD1 . TRP A 1 689 ? 263.420 -6.656  289.364 1.0 61.59695  ? 689 TRP A CD1 689 TRP A CD1 1 
ATOM 5426  C CD2 . TRP A 1 689 ? 263.235 -4.438  289.210 1.0 61.59695  ? 689 TRP A CD2 689 TRP A CD2 1 
ATOM 5427  N NE1 . TRP A 1 689 ? 263.584 -6.136  290.622 1.0 61.59695  ? 689 TRP A NE1 689 TRP A NE1 1 
ATOM 5428  C CE2 . TRP A 1 689 ? 263.478 -4.774  290.554 1.0 61.59695  ? 689 TRP A CE2 689 TRP A CE2 1 
ATOM 5429  C CE3 . TRP A 1 689 ? 263.092 -3.093  288.868 1.0 61.59695  ? 689 TRP A CE3 689 TRP A CE3 1 
ATOM 5430  C CZ2 . TRP A 1 689 ? 263.573 -3.815  291.556 1.0 61.59695  ? 689 TRP A CZ2 689 TRP A CZ2 1 
ATOM 5431  C CZ3 . TRP A 1 689 ? 263.183 -2.143  289.863 1.0 61.59695  ? 689 TRP A CZ3 689 TRP A CZ3 1 
ATOM 5432  C CH2 . TRP A 1 689 ? 263.424 -2.507  291.191 1.0 61.59695  ? 689 TRP A CH2 689 TRP A CH2 1 
ATOM 5433  N N   . PHE A 1 690 ? 261.436 -8.454  286.604 1.0 57.28405  ? 690 PHE A N   690 PHE A N   1 
ATOM 5434  C CA  . PHE A 1 690 ? 261.151 -9.792  287.119 1.0 57.28405  ? 690 PHE A CA  690 PHE A CA  1 
ATOM 5435  C C   . PHE A 1 690 ? 262.262 -10.157 288.088 1.0 57.28405  ? 690 PHE A C   690 PHE A C   1 
ATOM 5436  O O   . PHE A 1 690 ? 263.281 -10.726 287.705 1.0 57.28405  ? 690 PHE A O   690 PHE A O   1 
ATOM 5437  C CB  . PHE A 1 690 ? 261.073 -10.809 285.989 1.0 57.28405  ? 690 PHE A CB  690 PHE A CB  1 
ATOM 5438  C CG  . PHE A 1 690 ? 259.900 -10.629 285.083 1.0 57.28405  ? 690 PHE A CG  690 PHE A CG  1 
ATOM 5439  C CD1 . PHE A 1 690 ? 258.669 -11.159 285.414 1.0 57.28405  ? 690 PHE A CD1 690 PHE A CD1 1 
ATOM 5440  C CD2 . PHE A 1 690 ? 260.032 -9.936  283.893 1.0 57.28405  ? 690 PHE A CD2 690 PHE A CD2 1 
ATOM 5441  C CE1 . PHE A 1 690 ? 257.588 -10.999 284.578 1.0 57.28405  ? 690 PHE A CE1 690 PHE A CE1 1 
ATOM 5442  C CE2 . PHE A 1 690 ? 258.955 -9.770  283.052 1.0 57.28405  ? 690 PHE A CE2 690 PHE A CE2 1 
ATOM 5443  C CZ  . PHE A 1 690 ? 257.732 -10.304 283.395 1.0 57.28405  ? 690 PHE A CZ  690 PHE A CZ  1 
ATOM 5444  N N   . GLU A 1 691 ? 262.075 -9.830  289.359 1.0 59.72424  ? 691 GLU A N   691 GLU A N   1 
ATOM 5445  C CA  . GLU A 1 691 ? 263.058 -10.204 290.365 1.0 59.72424  ? 691 GLU A CA  691 GLU A CA  1 
ATOM 5446  C C   . GLU A 1 691 ? 262.901 -11.687 290.670 1.0 59.72424  ? 691 GLU A C   691 GLU A C   1 
ATOM 5447  O O   . GLU A 1 691 ? 261.805 -12.140 291.012 1.0 59.72424  ? 691 GLU A O   691 GLU A O   1 
ATOM 5448  C CB  . GLU A 1 691 ? 262.885 -9.365  291.626 1.0 59.72424  ? 691 GLU A CB  691 GLU A CB  1 
ATOM 5449  C CG  . GLU A 1 691 ? 263.986 -9.568  292.638 1.0 59.72424  ? 691 GLU A CG  691 GLU A CG  1 
ATOM 5450  C CD  . GLU A 1 691 ? 263.835 -8.672  293.845 1.0 59.72424  ? 691 GLU A CD  691 GLU A CD  1 
ATOM 5451  O OE1 . GLU A 1 691 ? 262.842 -7.919  293.908 1.0 59.72424  ? 691 GLU A OE1 691 GLU A OE1 1 
ATOM 5452  O OE2 . GLU A 1 691 ? 264.713 -8.716  294.732 1.0 59.72424  ? 691 GLU A OE2 691 GLU A OE2 1 
ATOM 5453  N N   . ILE A 1 692 ? 263.985 -12.448 290.534 1.0 55.47014  ? 692 ILE A N   692 ILE A N   1 
ATOM 5454  C CA  . ILE A 1 692 ? 263.900 -13.897 290.676 1.0 55.47014  ? 692 ILE A CA  692 ILE A CA  1 
ATOM 5455  C C   . ILE A 1 692 ? 264.405 -14.335 292.044 1.0 55.47014  ? 692 ILE A C   692 ILE A C   1 
ATOM 5456  O O   . ILE A 1 692 ? 263.686 -15.009 292.788 1.0 55.47014  ? 692 ILE A O   692 ILE A O   1 
ATOM 5457  C CB  . ILE A 1 692 ? 264.663 -14.607 289.548 1.0 55.47014  ? 692 ILE A CB  692 ILE A CB  1 
ATOM 5458  C CG1 . ILE A 1 692 ? 264.019 -14.263 288.204 1.0 55.47014  ? 692 ILE A CG1 692 ILE A CG1 1 
ATOM 5459  C CG2 . ILE A 1 692 ? 264.695 -16.102 289.792 1.0 55.47014  ? 692 ILE A CG2 692 ILE A CG2 1 
ATOM 5460  C CD1 . ILE A 1 692 ? 264.798 -14.704 286.987 1.0 55.47014  ? 692 ILE A CD1 692 ILE A CD1 1 
ATOM 5461  N N   . LYS A 1 693 ? 265.636 -13.975 292.386 1.0 56.95223  ? 693 LYS A N   693 LYS A N   1 
ATOM 5462  C CA  . LYS A 1 693 ? 266.165 -14.239 293.714 1.0 56.95223  ? 693 LYS A CA  693 LYS A CA  1 
ATOM 5463  C C   . LYS A 1 693 ? 266.291 -12.942 294.495 1.0 56.95223  ? 693 LYS A C   693 LYS A C   1 
ATOM 5464  O O   . LYS A 1 693 ? 266.673 -11.904 293.950 1.0 56.95223  ? 693 LYS A O   693 LYS A O   1 
ATOM 5465  C CB  . LYS A 1 693 ? 267.543 -14.899 293.671 1.0 56.95223  ? 693 LYS A CB  693 LYS A CB  1 
ATOM 5466  C CG  . LYS A 1 693 ? 267.609 -16.259 293.040 1.0 56.95223  ? 693 LYS A CG  693 LYS A CG  1 
ATOM 5467  C CD  . LYS A 1 693 ? 268.934 -16.900 293.393 1.0 56.95223  ? 693 LYS A CD  693 LYS A CD  1 
ATOM 5468  C CE  . LYS A 1 693 ? 270.092 -16.188 292.734 1.0 56.95223  ? 693 LYS A CE  693 LYS A CE  1 
ATOM 5469  N NZ  . LYS A 1 693 ? 271.366 -16.892 293.022 1.0 56.95223  ? 693 LYS A NZ  693 LYS A NZ  1 
ATOM 5470  N N   . ARG A 1 694 ? 265.980 -13.012 295.776 1.0 64.23968  ? 694 ARG A N   694 ARG A N   1 
ATOM 5471  C CA  . ARG A 1 694 ? 266.352 -11.948 296.693 1.0 64.23968  ? 694 ARG A CA  694 ARG A CA  1 
ATOM 5472  C C   . ARG A 1 694 ? 266.992 -12.608 297.904 1.0 64.23968  ? 694 ARG A C   694 ARG A C   1 
ATOM 5473  O O   . ARG A 1 694 ? 266.323 -13.375 298.607 1.0 64.23968  ? 694 ARG A O   694 ARG A O   1 
ATOM 5474  C CB  . ARG A 1 694 ? 265.148 -11.100 297.099 1.0 64.23968  ? 694 ARG A CB  694 ARG A CB  1 
ATOM 5475  C CG  . ARG A 1 694 ? 265.514 -9.925  297.984 1.0 64.23968  ? 694 ARG A CG  694 ARG A CG  1 
ATOM 5476  C CD  . ARG A 1 694 ? 264.310 -9.071  298.322 1.0 64.23968  ? 694 ARG A CD  694 ARG A CD  1 
ATOM 5477  N NE  . ARG A 1 694 ? 263.803 -8.332  297.173 1.0 64.23968  ? 694 ARG A NE  694 ARG A NE  1 
ATOM 5478  C CZ  . ARG A 1 694 ? 262.662 -7.653  297.178 1.0 64.23968  ? 694 ARG A CZ  694 ARG A CZ  1 
ATOM 5479  N NH1 . ARG A 1 694 ? 261.914 -7.626  298.272 1.0 64.23968  ? 694 ARG A NH1 694 ARG A NH1 1 
ATOM 5480  N NH2 . ARG A 1 694 ? 262.264 -7.002  296.095 1.0 64.23968  ? 694 ARG A NH2 694 ARG A NH2 1 
ATOM 5481  N N   . PRO A 1 695 ? 268.278 -12.368 298.162 1.0 68.67259  ? 695 PRO A N   695 PRO A N   1 
ATOM 5482  C CA  . PRO A 1 695 ? 268.950 -13.068 299.264 1.0 68.67259  ? 695 PRO A CA  695 PRO A CA  1 
ATOM 5483  C C   . PRO A 1 695 ? 268.447 -12.586 300.616 1.0 68.67259  ? 695 PRO A C   695 PRO A C   1 
ATOM 5484  O O   . PRO A 1 695 ? 268.360 -11.386 300.874 1.0 68.67259  ? 695 PRO A O   695 PRO A O   1 
ATOM 5485  C CB  . PRO A 1 695 ? 270.428 -12.727 299.053 1.0 68.67259  ? 695 PRO A CB  695 PRO A CB  1 
ATOM 5486  C CG  . PRO A 1 695 ? 270.412 -11.449 298.307 1.0 68.67259  ? 695 PRO A CG  695 PRO A CG  1 
ATOM 5487  C CD  . PRO A 1 695 ? 269.202 -11.493 297.422 1.0 68.67259  ? 695 PRO A CD  695 PRO A CD  1 
ATOM 5488  N N   . ILE A 1 696 ? 268.089 -13.533 301.459 1.0 70.42852  ? 696 ILE A N   696 ILE A N   1 
ATOM 5489  C CA  . ILE A 1 696 ? 267.566 -13.234 302.783 1.0 70.42852  ? 696 ILE A CA  696 ILE A CA  1 
ATOM 5490  C C   . ILE A 1 696 ? 268.722 -12.794 303.668 1.0 70.42852  ? 696 ILE A C   696 ILE A C   1 
ATOM 5491  O O   . ILE A 1 696 ? 269.774 -13.442 303.674 1.0 70.42852  ? 696 ILE A O   696 ILE A O   1 
ATOM 5492  C CB  . ILE A 1 696 ? 266.841 -14.474 303.333 1.0 70.42852  ? 696 ILE A CB  696 ILE A CB  1 
ATOM 5493  C CG1 . ILE A 1 696 ? 265.749 -14.871 302.346 1.0 70.42852  ? 696 ILE A CG1 696 ILE A CG1 1 
ATOM 5494  C CG2 . ILE A 1 696 ? 266.208 -14.211 304.689 1.0 70.42852  ? 696 ILE A CG2 696 ILE A CG2 1 
ATOM 5495  C CD1 . ILE A 1 696 ? 265.171 -16.228 302.579 1.0 70.42852  ? 696 ILE A CD1 696 ILE A CD1 1 
ATOM 5496  N N   . ASN A 1 697 ? 268.451 -11.802 304.529 1.0 74.41214  ? 697 ASN A N   697 ASN A N   1 
ATOM 5497  C CA  . ASN A 1 697 ? 269.236 -10.715 305.174 1.0 74.41214  ? 697 ASN A CA  697 ASN A CA  1 
ATOM 5498  C C   . ASN A 1 697 ? 269.305 -9.455  304.311 1.0 74.41214  ? 697 ASN A C   697 ASN A C   1 
ATOM 5499  O O   . ASN A 1 697 ? 269.916 -8.473  304.741 1.0 74.41214  ? 697 ASN A O   697 ASN A O   1 
ATOM 5500  C CB  . ASN A 1 697 ? 270.668 -11.088 305.642 1.0 74.41214  ? 697 ASN A CB  697 ASN A CB  1 
ATOM 5501  C CG  . ASN A 1 697 ? 271.708 -11.316 304.502 1.0 74.41214  ? 697 ASN A CG  697 ASN A CG  1 
ATOM 5502  O OD1 . ASN A 1 697 ? 271.447 -11.199 303.302 1.0 74.41214  ? 697 ASN A OD1 697 ASN A OD1 1 
ATOM 5503  N ND2 . ASN A 1 697 ? 272.922 -11.647 304.925 1.0 74.41214  ? 697 ASN A ND2 697 ASN A ND2 1 
ATOM 5504  N N   . GLN A 1 698 ? 268.712 -9.451  303.120 1.0 75.37626  ? 698 GLN A N   698 GLN A N   1 
ATOM 5505  C CA  . GLN A 1 698 ? 268.442 -8.228  302.373 1.0 75.37626  ? 698 GLN A CA  698 GLN A CA  1 
ATOM 5506  C C   . GLN A 1 698 ? 266.955 -8.007  302.158 1.0 75.37626  ? 698 GLN A C   698 GLN A C   1 
ATOM 5507  O O   . GLN A 1 698 ? 266.510 -6.861  302.062 1.0 75.37626  ? 698 GLN A O   698 GLN A O   1 
ATOM 5508  C CB  . GLN A 1 698 ? 269.162 -8.263  301.017 1.0 75.37626  ? 698 GLN A CB  698 GLN A CB  1 
ATOM 5509  C CG  . GLN A 1 698 ? 269.079 -6.999  300.184 1.0 75.37626  ? 698 GLN A CG  698 GLN A CG  1 
ATOM 5510  C CD  . GLN A 1 698 ? 269.825 -7.123  298.882 1.0 75.37626  ? 698 GLN A CD  698 GLN A CD  1 
ATOM 5511  O OE1 . GLN A 1 698 ? 270.409 -8.164  298.589 1.0 75.37626  ? 698 GLN A OE1 698 GLN A OE1 1 
ATOM 5512  N NE2 . GLN A 1 698 ? 269.803 -6.064  298.084 1.0 75.37626  ? 698 GLN A NE2 698 GLN A NE2 1 
ATOM 5513  N N   . ASP A 1 699 ? 266.184 -9.090  302.120 1.0 70.38606  ? 699 ASP A N   699 ASP A N   1 
ATOM 5514  C CA  . ASP A 1 699 ? 264.735 -9.014  302.018 1.0 70.38606  ? 699 ASP A CA  699 ASP A CA  1 
ATOM 5515  C C   . ASP A 1 699 ? 264.118 -8.348  303.242 1.0 70.38606  ? 699 ASP A C   699 ASP A C   1 
ATOM 5516  O O   . ASP A 1 699 ? 264.556 -8.559  304.376 1.0 70.38606  ? 699 ASP A O   699 ASP A O   1 
ATOM 5517  C CB  . ASP A 1 699 ? 264.167 -10.419 301.857 1.0 70.38606  ? 699 ASP A CB  699 ASP A CB  1 
ATOM 5518  C CG  . ASP A 1 699 ? 262.672 -10.427 301.793 1.0 70.38606  ? 699 ASP A CG  699 ASP A CG  1 
ATOM 5519  O OD1 . ASP A 1 699 ? 262.114 -10.124 300.719 1.0 70.38606  ? 699 ASP A OD1 699 ASP A OD1 1 
ATOM 5520  O OD2 . ASP A 1 699 ? 262.057 -10.693 302.845 1.0 70.38606  ? 699 ASP A OD2 699 ASP A OD2 1 
ATOM 5521  N N   . ALA A 1 700 ? 263.082 -7.547  303.003 1.0 71.54806  ? 700 ALA A N   700 ALA A N   1 
ATOM 5522  C CA  . ALA A 1 700 ? 262.367 -6.861  304.065 1.0 71.54806  ? 700 ALA A CA  700 ALA A CA  1 
ATOM 5523  C C   . ALA A 1 700 ? 260.930 -7.326  304.248 1.0 71.54806  ? 700 ALA A C   700 ALA A C   1 
ATOM 5524  O O   . ALA A 1 700 ? 260.510 -7.521  305.389 1.0 71.54806  ? 700 ALA A O   700 ALA A O   1 
ATOM 5525  C CB  . ALA A 1 700 ? 262.372 -5.346  303.812 1.0 71.54806  ? 700 ALA A CB  700 ALA A CB  1 
ATOM 5526  N N   . GLU A 1 701 ? 260.171 -7.532  303.166 1.0 69.69089  ? 701 GLU A N   701 GLU A N   1 
ATOM 5527  C CA  . GLU A 1 701 ? 258.727 -7.768  303.285 1.0 69.69089  ? 701 GLU A CA  701 GLU A CA  1 
ATOM 5528  C C   . GLU A 1 701 ? 258.307 -8.971  302.426 1.0 69.69089  ? 701 GLU A C   701 GLU A C   1 
ATOM 5529  O O   . GLU A 1 701 ? 257.841 -8.826  301.294 1.0 69.69089  ? 701 GLU A O   701 GLU A O   1 
ATOM 5530  C CB  . GLU A 1 701 ? 257.957 -6.493  302.944 1.0 69.69089  ? 701 GLU A CB  701 GLU A CB  1 
ATOM 5531  C CG  . GLU A 1 701 ? 258.411 -5.739  301.673 1.0 69.69089  ? 701 GLU A CG  701 GLU A CG  1 
ATOM 5532  C CD  . GLU A 1 701 ? 257.620 -4.463  301.427 1.0 69.69089  ? 701 GLU A CD  701 GLU A CD  1 
ATOM 5533  O OE1 . GLU A 1 701 ? 256.730 -4.157  302.241 1.0 69.69089  ? 701 GLU A OE1 701 GLU A OE1 1 
ATOM 5534  O OE2 . GLU A 1 701 ? 257.890 -3.772  300.420 1.0 69.69089  ? 701 GLU A OE2 701 GLU A OE2 1 
ATOM 5535  N N   . GLY A 1 702 ? 258.417 -10.160 303.007 1.0 64.65431  ? 702 GLY A N   702 GLY A N   1 
ATOM 5536  C CA  . GLY A 1 702 ? 257.928 -11.342 302.316 1.0 64.65431  ? 702 GLY A CA  702 GLY A CA  1 
ATOM 5537  C C   . GLY A 1 702 ? 258.849 -11.731 301.181 1.0 64.65431  ? 702 GLY A C   702 GLY A C   1 
ATOM 5538  O O   . GLY A 1 702 ? 260.035 -11.990 301.393 1.0 64.65431  ? 702 GLY A O   702 GLY A O   1 
ATOM 5539  N N   . ASN A 1 703 ? 258.282 -11.805 299.970 1.0 62.55209  ? 703 ASN A N   703 ASN A N   1 
ATOM 5540  C CA  . ASN A 1 703 ? 259.011 -11.981 298.705 1.0 62.55209  ? 703 ASN A CA  703 ASN A CA  1 
ATOM 5541  C C   . ASN A 1 703 ? 259.907 -13.218 298.689 1.0 62.55209  ? 703 ASN A C   703 ASN A C   1 
ATOM 5542  O O   . ASN A 1 703 ? 260.947 -13.225 298.033 1.0 62.55209  ? 703 ASN A O   703 ASN A O   1 
ATOM 5543  C CB  . ASN A 1 703 ? 259.829 -10.737 298.354 1.0 62.55209  ? 703 ASN A CB  703 ASN A CB  1 
ATOM 5544  C CG  . ASN A 1 703 ? 258.957 -9.537  298.050 1.0 62.55209  ? 703 ASN A CG  703 ASN A CG  1 
ATOM 5545  O OD1 . ASN A 1 703 ? 259.045 -8.504  298.711 1.0 62.55209  ? 703 ASN A OD1 703 ASN A OD1 1 
ATOM 5546  N ND2 . ASN A 1 703 ? 258.093 -9.675  297.054 1.0 62.55209  ? 703 ASN A ND2 703 ASN A ND2 1 
ATOM 5547  N N   . ASP A 1 704 ? 259.517 -14.270 299.409 1.0 61.17042  ? 704 ASP A N   704 ASP A N   1 
ATOM 5548  C CA  . ASP A 1 704 ? 260.365 -15.449 299.574 1.0 61.17042  ? 704 ASP A CA  704 ASP A CA  1 
ATOM 5549  C C   . ASP A 1 704 ? 259.447 -16.662 299.687 1.0 61.17042  ? 704 ASP A C   704 ASP A C   1 
ATOM 5550  O O   . ASP A 1 704 ? 258.953 -16.964 300.775 1.0 61.17042  ? 704 ASP A O   704 ASP A O   1 
ATOM 5551  C CB  . ASP A 1 704 ? 261.249 -15.312 300.807 1.0 61.17042  ? 704 ASP A CB  704 ASP A CB  1 
ATOM 5552  C CG  . ASP A 1 704 ? 262.427 -14.380 300.596 1.0 61.17042  ? 704 ASP A CG  704 ASP A CG  1 
ATOM 5553  O OD1 . ASP A 1 704 ? 263.042 -14.410 299.512 1.0 61.17042  ? 704 ASP A OD1 704 ASP A OD1 1 
ATOM 5554  O OD2 . ASP A 1 704 ? 262.730 -13.599 301.521 1.0 61.17042  ? 704 ASP A OD2 704 ASP A OD2 1 
ATOM 5555  N N   . THR A 1 705 ? 259.225 -17.349 298.573 1.0 57.42552  ? 705 THR A N   705 THR A N   1 
ATOM 5556  C CA  . THR A 1 705 ? 258.427 -18.561 298.617 1.0 57.42552  ? 705 THR A CA  705 THR A CA  1 
ATOM 5557  C C   . THR A 1 705 ? 259.256 -19.737 299.106 1.0 57.42552  ? 705 THR A C   705 THR A C   1 
ATOM 5558  O O   . THR A 1 705 ? 260.483 -19.667 299.220 1.0 57.42552  ? 705 THR A O   705 THR A O   1 
ATOM 5559  C CB  . THR A 1 705 ? 257.879 -18.927 297.244 1.0 57.42552  ? 705 THR A CB  705 THR A CB  1 
ATOM 5560  O OG1 . THR A 1 705 ? 258.971 -19.171 296.351 1.0 57.42552  ? 705 THR A OG1 705 THR A OG1 1 
ATOM 5561  C CG2 . THR A 1 705 ? 257.034 -17.840 296.701 1.0 57.42552  ? 705 THR A CG2 705 THR A CG2 1 
ATOM 5562  N N   . MET A 1 706 ? 258.547 -20.822 299.425 1.0 55.80728  ? 706 MET A N   706 MET A N   1 
ATOM 5563  C CA  . MET A 1 706 ? 259.066 -22.189 299.442 1.0 55.80728  ? 706 MET A CA  706 MET A CA  1 
ATOM 5564  C C   . MET A 1 706 ? 260.165 -22.423 300.474 1.0 55.80728  ? 706 MET A C   706 MET A C   1 
ATOM 5565  O O   . MET A 1 706 ? 260.861 -23.439 300.389 1.0 55.80728  ? 706 MET A O   706 MET A O   1 
ATOM 5566  C CB  . MET A 1 706 ? 259.583 -22.583 298.057 1.0 55.80728  ? 706 MET A CB  706 MET A CB  1 
ATOM 5567  C CG  . MET A 1 706 ? 258.539 -22.622 296.960 1.0 55.80728  ? 706 MET A CG  706 MET A CG  1 
ATOM 5568  S SD  . MET A 1 706 ? 257.304 -23.910 297.148 1.0 55.80728  ? 706 MET A SD  706 MET A SD  1 
ATOM 5569  C CE  . MET A 1 706 ? 258.259 -25.381 296.798 1.0 55.80728  ? 706 MET A CE  706 MET A CE  1 
ATOM 5570  N N   . GLN A 1 707 ? 260.313 -21.512 301.441 1.0 56.22971  ? 707 GLN A N   707 GLN A N   1 
ATOM 5571  C CA  . GLN A 1 707 ? 261.461 -21.446 302.350 1.0 56.22971  ? 707 GLN A CA  707 GLN A CA  1 
ATOM 5572  C C   . GLN A 1 707 ? 262.773 -21.418 301.564 1.0 56.22971  ? 707 GLN A C   707 GLN A C   1 
ATOM 5573  O O   . GLN A 1 707 ? 263.677 -22.225 301.783 1.0 56.22971  ? 707 GLN A O   707 GLN A O   1 
ATOM 5574  C CB  . GLN A 1 707 ? 261.452 -22.590 303.375 1.0 56.22971  ? 707 GLN A CB  707 GLN A CB  1 
ATOM 5575  C CG  . GLN A 1 707 ? 260.383 -22.495 304.462 1.0 56.22971  ? 707 GLN A CG  707 GLN A CG  1 
ATOM 5576  C CD  . GLN A 1 707 ? 258.997 -22.845 303.961 1.0 56.22971  ? 707 GLN A CD  707 GLN A CD  1 
ATOM 5577  O OE1 . GLN A 1 707 ? 258.094 -22.014 303.979 1.0 56.22971  ? 707 GLN A OE1 707 GLN A OE1 1 
ATOM 5578  N NE2 . GLN A 1 707 ? 258.823 -24.075 303.508 1.0 56.22971  ? 707 GLN A NE2 707 GLN A NE2 1 
ATOM 5579  N N   . SER A 1 708 ? 262.862 -20.479 300.625 1.0 56.97209  ? 708 SER A N   708 SER A N   1 
ATOM 5580  C CA  . SER A 1 708 ? 264.019 -20.360 299.747 1.0 56.97209  ? 708 SER A CA  708 SER A CA  1 
ATOM 5581  C C   . SER A 1 708 ? 264.150 -18.906 299.307 1.0 56.97209  ? 708 SER A C   708 SER A C   1 
ATOM 5582  O O   . SER A 1 708 ? 263.507 -18.012 299.861 1.0 56.97209  ? 708 SER A O   708 SER A O   1 
ATOM 5583  C CB  . SER A 1 708 ? 263.882 -21.303 298.550 1.0 56.97209  ? 708 SER A CB  708 SER A CB  1 
ATOM 5584  O OG  . SER A 1 708 ? 262.812 -20.891 297.725 1.0 56.97209  ? 708 SER A OG  708 SER A OG  1 
ATOM 5585  N N   . ASN A 1 709 ? 264.991 -18.670 298.300 1.0 57.14788  ? 709 ASN A N   709 ASN A N   1 
ATOM 5586  C CA  . ASN A 1 709 ? 265.226 -17.330 297.779 1.0 57.14788  ? 709 ASN A CA  709 ASN A CA  1 
ATOM 5587  C C   . ASN A 1 709 ? 264.265 -16.934 296.669 1.0 57.14788  ? 709 ASN A C   709 ASN A C   1 
ATOM 5588  O O   . ASN A 1 709 ? 264.273 -15.768 296.261 1.0 57.14788  ? 709 ASN A O   709 ASN A O   1 
ATOM 5589  C CB  . ASN A 1 709 ? 266.653 -17.205 297.246 1.0 57.14788  ? 709 ASN A CB  709 ASN A CB  1 
ATOM 5590  C CG  . ASN A 1 709 ? 267.683 -17.233 298.337 1.0 57.14788  ? 709 ASN A CG  709 ASN A CG  1 
ATOM 5591  O OD1 . ASN A 1 709 ? 267.484 -16.665 299.407 1.0 57.14788  ? 709 ASN A OD1 709 ASN A OD1 1 
ATOM 5592  N ND2 . ASN A 1 709 ? 268.806 -17.881 298.069 1.0 57.14788  ? 709 ASN A ND2 709 ASN A ND2 1 
ATOM 5593  N N   . LEU A 1 710 ? 263.461 -17.865 296.163 1.0 54.50582  ? 710 LEU A N   710 LEU A N   1 
ATOM 5594  C CA  . LEU A 1 710 ? 262.589 -17.578 295.034 1.0 54.50582  ? 710 LEU A CA  710 LEU A CA  1 
ATOM 5595  C C   . LEU A 1 710 ? 261.437 -16.691 295.482 1.0 54.50582  ? 710 LEU A C   710 LEU A C   1 
ATOM 5596  O O   . LEU A 1 710 ? 260.829 -16.927 296.531 1.0 54.50582  ? 710 LEU A O   710 LEU A O   1 
ATOM 5597  C CB  . LEU A 1 710 ? 262.070 -18.879 294.433 1.0 54.50582  ? 710 LEU A CB  710 LEU A CB  1 
ATOM 5598  C CG  . LEU A 1 710 ? 261.291 -18.816 293.125 1.0 54.50582  ? 710 LEU A CG  710 LEU A CG  1 
ATOM 5599  C CD1 . LEU A 1 710 ? 262.168 -18.270 292.026 1.0 54.50582  ? 710 LEU A CD1 710 LEU A CD1 1 
ATOM 5600  C CD2 . LEU A 1 710 ? 260.794 -20.194 292.758 1.0 54.50582  ? 710 LEU A CD2 710 LEU A CD2 1 
ATOM 5601  N N   . THR A 1 711 ? 261.143 -15.666 294.689 1.0 55.44396  ? 711 THR A N   711 THR A N   1 
ATOM 5602  C CA  . THR A 1 711 ? 260.256 -14.604 295.129 1.0 55.44396  ? 711 THR A CA  711 THR A CA  1 
ATOM 5603  C C   . THR A 1 711 ? 258.792 -14.963 294.889 1.0 55.44396  ? 711 THR A C   711 THR A C   1 
ATOM 5604  O O   . THR A 1 711 ? 258.462 -15.905 294.172 1.0 55.44396  ? 711 THR A O   711 THR A O   1 
ATOM 5605  C CB  . THR A 1 711 ? 260.607 -13.300 294.426 1.0 55.44396  ? 711 THR A CB  711 THR A CB  1 
ATOM 5606  O OG1 . THR A 1 711 ? 260.474 -13.474 293.013 1.0 55.44396  ? 711 THR A OG1 711 THR A OG1 1 
ATOM 5607  C CG2 . THR A 1 711 ? 262.031 -12.900 294.738 1.0 55.44396  ? 711 THR A CG2 711 THR A CG2 1 
ATOM 5608  N N   . LYS A 1 712 ? 257.909 -14.181 295.513 1.0 56.469    ? 712 LYS A N   712 LYS A N   1 
ATOM 5609  C CA  . LYS A 1 712 ? 256.476 -14.441 295.447 1.0 56.469    ? 712 LYS A CA  712 LYS A CA  1 
ATOM 5610  C C   . LYS A 1 712 ? 255.919 -14.143 294.067 1.0 56.469    ? 712 LYS A C   712 LYS A C   1 
ATOM 5611  O O   . LYS A 1 712 ? 255.041 -14.861 293.579 1.0 56.469    ? 712 LYS A O   712 LYS A O   1 
ATOM 5612  C CB  . LYS A 1 712 ? 255.762 -13.610 296.507 1.0 56.469    ? 712 LYS A CB  712 LYS A CB  1 
ATOM 5613  C CG  . LYS A 1 712 ? 256.088 -14.029 297.914 1.0 56.469    ? 712 LYS A CG  712 LYS A CG  1 
ATOM 5614  C CD  . LYS A 1 712 ? 255.249 -15.186 298.393 1.0 56.469    ? 712 LYS A CD  712 LYS A CD  1 
ATOM 5615  C CE  . LYS A 1 712 ? 255.808 -15.729 299.688 1.0 56.469    ? 712 LYS A CE  712 LYS A CE  1 
ATOM 5616  N NZ  . LYS A 1 712 ? 255.905 -14.713 300.745 1.0 56.469    ? 712 LYS A NZ  712 LYS A NZ  1 
ATOM 5617  N N   . ASP A 1 713 ? 256.418 -13.086 293.429 1.0 58.85775  ? 713 ASP A N   713 ASP A N   1 
ATOM 5618  C CA  . ASP A 1 713 ? 255.895 -12.690 292.131 1.0 58.85775  ? 713 ASP A CA  713 ASP A CA  1 
ATOM 5619  C C   . ASP A 1 713 ? 256.369 -13.621 291.024 1.0 58.85775  ? 713 ASP A C   713 ASP A C   1 
ATOM 5620  O O   . ASP A 1 713 ? 255.618 -13.889 290.078 1.0 58.85775  ? 713 ASP A O   713 ASP A O   1 
ATOM 5621  C CB  . ASP A 1 713 ? 256.279 -11.232 291.840 1.0 58.85775  ? 713 ASP A CB  713 ASP A CB  1 
ATOM 5622  C CG  . ASP A 1 713 ? 257.777 -10.979 291.915 1.0 58.85775  ? 713 ASP A CG  713 ASP A CG  1 
ATOM 5623  O OD1 . ASP A 1 713 ? 258.521 -11.895 292.317 1.0 58.85775  ? 713 ASP A OD1 713 ASP A OD1 1 
ATOM 5624  O OD2 . ASP A 1 713 ? 258.223 -9.860  291.575 1.0 58.85775  ? 713 ASP A OD2 713 ASP A OD2 1 
ATOM 5625  N N   . PHE A 1 714 ? 257.586 -14.147 291.139 1.0 53.04983  ? 714 PHE A N   714 PHE A N   1 
ATOM 5626  C CA  . PHE A 1 714 ? 258.161 -14.954 290.079 1.0 53.04983  ? 714 PHE A CA  714 PHE A CA  1 
ATOM 5627  C C   . PHE A 1 714 ? 257.865 -16.436 290.233 1.0 53.04983  ? 714 PHE A C   714 PHE A C   1 
ATOM 5628  O O   . PHE A 1 714 ? 257.896 -17.163 289.238 1.0 53.04983  ? 714 PHE A O   714 PHE A O   1 
ATOM 5629  C CB  . PHE A 1 714 ? 259.665 -14.723 290.036 1.0 53.04983  ? 714 PHE A CB  714 PHE A CB  1 
ATOM 5630  C CG  . PHE A 1 714 ? 260.336 -15.314 288.852 1.0 53.04983  ? 714 PHE A CG  714 PHE A CG  1 
ATOM 5631  C CD1 . PHE A 1 714 ? 260.228 -14.719 287.612 1.0 53.04983  ? 714 PHE A CD1 714 PHE A CD1 1 
ATOM 5632  C CD2 . PHE A 1 714 ? 261.087 -16.449 288.983 1.0 53.04983  ? 714 PHE A CD2 714 PHE A CD2 1 
ATOM 5633  C CE1 . PHE A 1 714 ? 260.870 -15.264 286.514 1.0 53.04983  ? 714 PHE A CE1 714 PHE A CE1 1 
ATOM 5634  C CE2 . PHE A 1 714 ? 261.716 -16.990 287.902 1.0 53.04983  ? 714 PHE A CE2 714 PHE A CE2 1 
ATOM 5635  C CZ  . PHE A 1 714 ? 261.604 -16.406 286.672 1.0 53.04983  ? 714 PHE A CZ  714 PHE A CZ  1 
ATOM 5636  N N   . PHE A 1 715 ? 257.576 -16.902 291.449 1.0 52.59697  ? 715 PHE A N   715 PHE A N   1 
ATOM 5637  C CA  . PHE A 1 715 ? 257.071 -18.261 291.618 1.0 52.59697  ? 715 PHE A CA  715 PHE A CA  1 
ATOM 5638  C C   . PHE A 1 715 ? 255.691 -18.415 290.997 1.0 52.59697  ? 715 PHE A C   715 PHE A C   1 
ATOM 5639  O O   . PHE A 1 715 ? 255.320 -19.512 290.568 1.0 52.59697  ? 715 PHE A O   715 PHE A O   1 
ATOM 5640  C CB  . PHE A 1 715 ? 257.032 -18.622 293.103 1.0 52.59697  ? 715 PHE A CB  715 PHE A CB  1 
ATOM 5641  C CG  . PHE A 1 715 ? 256.509 -19.995 293.393 1.0 52.59697  ? 715 PHE A CG  715 PHE A CG  1 
ATOM 5642  C CD1 . PHE A 1 715 ? 257.307 -21.106 293.214 1.0 52.59697  ? 715 PHE A CD1 715 PHE A CD1 1 
ATOM 5643  C CD2 . PHE A 1 715 ? 255.216 -20.173 293.852 1.0 52.59697  ? 715 PHE A CD2 715 PHE A CD2 1 
ATOM 5644  C CE1 . PHE A 1 715 ? 256.823 -22.373 293.484 1.0 52.59697  ? 715 PHE A CE1 715 PHE A CE1 1 
ATOM 5645  C CE2 . PHE A 1 715 ? 254.727 -21.435 294.113 1.0 52.59697  ? 715 PHE A CE2 715 PHE A CE2 1 
ATOM 5646  C CZ  . PHE A 1 715 ? 255.532 -22.536 293.932 1.0 52.59697  ? 715 PHE A CZ  715 PHE A CZ  1 
ATOM 5647  N N   . MET A 1 716 ? 254.925 -17.325 290.938 1.0 53.90414  ? 716 MET A N   716 MET A N   1 
ATOM 5648  C CA  . MET A 1 716 ? 253.606 -17.364 290.323 1.0 53.90414  ? 716 MET A CA  716 MET A CA  1 
ATOM 5649  C C   . MET A 1 716 ? 253.699 -17.576 288.820 1.0 53.90414  ? 716 MET A C   716 MET A C   1 
ATOM 5650  O O   . MET A 1 716 ? 253.029 -18.455 288.270 1.0 53.90414  ? 716 MET A O   716 MET A O   1 
ATOM 5651  C CB  . MET A 1 716 ? 252.854 -16.075 290.621 1.0 53.90414  ? 716 MET A CB  716 MET A CB  1 
ATOM 5652  C CG  . MET A 1 716 ? 251.461 -16.078 290.059 1.0 53.90414  ? 716 MET A CG  716 MET A CG  1 
ATOM 5653  S SD  . MET A 1 716 ? 250.547 -14.583 290.418 1.0 53.90414  ? 716 MET A SD  716 MET A SD  1 
ATOM 5654  C CE  . MET A 1 716 ? 249.040 -14.965 289.550 1.0 53.90414  ? 716 MET A CE  716 MET A CE  1 
ATOM 5655  N N   . VAL A 1 717 ? 254.547 -16.800 288.137 1.0 50.69058  ? 717 VAL A N   717 VAL A N   1 
ATOM 5656  C CA  . VAL A 1 717 ? 254.617 -16.869 286.680 1.0 50.69058  ? 717 VAL A CA  717 VAL A CA  1 
ATOM 5657  C C   . VAL A 1 717 ? 255.306 -18.121 286.169 1.0 50.69058  ? 717 VAL A C   717 VAL A C   1 
ATOM 5658  O O   . VAL A 1 717 ? 255.365 -18.325 284.954 1.0 50.69058  ? 717 VAL A O   717 VAL A O   1 
ATOM 5659  C CB  . VAL A 1 717 ? 255.343 -15.649 286.081 1.0 50.69058  ? 717 VAL A CB  717 VAL A CB  1 
ATOM 5660  C CG1 . VAL A 1 717 ? 254.649 -14.370 286.492 1.0 50.69058  ? 717 VAL A CG1 717 VAL A CG1 1 
ATOM 5661  C CG2 . VAL A 1 717 ? 256.793 -15.640 286.489 1.0 50.69058  ? 717 VAL A CG2 717 VAL A CG2 1 
ATOM 5662  N N   . GLN A 1 718 ? 255.846 -18.955 287.054 1.0 48.74365  ? 718 GLN A N   718 GLN A N   1 
ATOM 5663  C CA  . GLN A 1 718 ? 256.317 -20.270 286.654 1.0 48.74365  ? 718 GLN A CA  718 GLN A CA  1 
ATOM 5664  C C   . GLN A 1 718 ? 255.249 -21.333 286.855 1.0 48.74365  ? 718 GLN A C   718 GLN A C   1 
ATOM 5665  O O   . GLN A 1 718 ? 255.149 -22.268 286.056 1.0 48.74365  ? 718 GLN A O   718 GLN A O   1 
ATOM 5666  C CB  . GLN A 1 718 ? 257.576 -20.640 287.432 1.0 48.74365  ? 718 GLN A CB  718 GLN A CB  1 
ATOM 5667  C CG  . GLN A 1 718 ? 258.710 -19.683 287.206 1.0 48.74365  ? 718 GLN A CG  718 GLN A CG  1 
ATOM 5668  C CD  . GLN A 1 718 ? 259.162 -19.670 285.774 1.0 48.74365  ? 718 GLN A CD  718 GLN A CD  1 
ATOM 5669  O OE1 . GLN A 1 718 ? 259.238 -20.708 285.128 1.0 48.74365  ? 718 GLN A OE1 718 GLN A OE1 1 
ATOM 5670  N NE2 . GLN A 1 718 ? 259.454 -18.487 285.259 1.0 48.74365  ? 718 GLN A NE2 718 GLN A NE2 1 
ATOM 5671  N N   . MET A 1 719 ? 254.449 -21.211 287.915 1.0 49.81459  ? 719 MET A N   719 MET A N   1 
ATOM 5672  C CA  . MET A 1 719 ? 253.339 -22.137 288.095 1.0 49.81459  ? 719 MET A CA  719 MET A CA  1 
ATOM 5673  C C   . MET A 1 719 ? 252.197 -21.817 287.147 1.0 49.81459  ? 719 MET A C   719 MET A C   1 
ATOM 5674  O O   . MET A 1 719 ? 251.454 -22.719 286.748 1.0 49.81459  ? 719 MET A O   719 MET A O   1 
ATOM 5675  C CB  . MET A 1 719 ? 252.852 -22.107 289.541 1.0 49.81459  ? 719 MET A CB  719 MET A CB  1 
ATOM 5676  C CG  . MET A 1 719 ? 253.859 -22.637 290.532 1.0 49.81459  ? 719 MET A CG  719 MET A CG  1 
ATOM 5677  S SD  . MET A 1 719 ? 254.279 -24.360 290.249 1.0 49.81459  ? 719 MET A SD  719 MET A SD  1 
ATOM 5678  C CE  . MET A 1 719 ? 252.780 -25.163 290.789 1.0 49.81459  ? 719 MET A CE  719 MET A CE  1 
ATOM 5679  N N   . ALA A 1 720 ? 252.049 -20.550 286.770 1.0 48.85468  ? 720 ALA A N   720 ALA A N   1 
ATOM 5680  C CA  . ALA A 1 720 ? 251.008 -20.174 285.826 1.0 48.85468  ? 720 ALA A CA  720 ALA A CA  1 
ATOM 5681  C C   . ALA A 1 720 ? 251.375 -20.551 284.403 1.0 48.85468  ? 720 ALA A C   720 ALA A C   1 
ATOM 5682  O O   . ALA A 1 720 ? 250.491 -20.871 283.603 1.0 48.85468  ? 720 ALA A O   720 ALA A O   1 
ATOM 5683  C CB  . ALA A 1 720 ? 250.731 -18.676 285.921 1.0 48.85468  ? 720 ALA A CB  720 ALA A CB  1 
ATOM 5684  N N   . ALA A 1 721 ? 252.661 -20.520 284.068 1.0 48.54821  ? 721 ALA A N   721 ALA A N   1 
ATOM 5685  C CA  . ALA A 1 721 ? 253.081 -20.926 282.735 1.0 48.54821  ? 721 ALA A CA  721 ALA A CA  1 
ATOM 5686  C C   . ALA A 1 721 ? 253.027 -22.438 282.586 1.0 48.54821  ? 721 ALA A C   721 ALA A C   1 
ATOM 5687  O O   . ALA A 1 721 ? 252.468 -22.958 281.615 1.0 48.54821  ? 721 ALA A O   721 ALA A O   1 
ATOM 5688  C CB  . ALA A 1 721 ? 254.489 -20.411 282.450 1.0 48.54821  ? 721 ALA A CB  721 ALA A CB  1 
ATOM 5689  N N   . SER A 1 722 ? 253.590 -23.161 283.551 1.0 48.11952  ? 722 SER A N   722 SER A N   1 
ATOM 5690  C CA  . SER A 1 722 ? 253.718 -24.605 283.413 1.0 48.11952  ? 722 SER A CA  722 SER A CA  1 
ATOM 5691  C C   . SER A 1 722 ? 252.429 -25.327 283.777 1.0 48.11952  ? 722 SER A C   722 SER A C   1 
ATOM 5692  O O   . SER A 1 722 ? 251.979 -26.211 283.042 1.0 48.11952  ? 722 SER A O   722 SER A O   1 
ATOM 5693  C CB  . SER A 1 722 ? 254.870 -25.113 284.279 1.0 48.11952  ? 722 SER A CB  722 SER A CB  1 
ATOM 5694  O OG  . SER A 1 722 ? 256.110 -24.604 283.829 1.0 48.11952  ? 722 SER A OG  722 SER A OG  1 
ATOM 5695  N N   . TYR A 1 723 ? 251.821 -24.973 284.907 1.0 49.28324  ? 723 TYR A N   723 TYR A N   1 
ATOM 5696  C CA  . TYR A 1 723 ? 250.763 -25.795 285.476 1.0 49.28324  ? 723 TYR A CA  723 TYR A CA  1 
ATOM 5697  C C   . TYR A 1 723 ? 249.433 -25.075 285.635 1.0 49.28324  ? 723 TYR A C   723 TYR A C   1 
ATOM 5698  O O   . TYR A 1 723 ? 248.553 -25.604 286.324 1.0 49.28324  ? 723 TYR A O   723 TYR A O   1 
ATOM 5699  C CB  . TYR A 1 723 ? 251.207 -26.362 286.824 1.0 49.28324  ? 723 TYR A CB  723 TYR A CB  1 
ATOM 5700  C CG  . TYR A 1 723 ? 252.379 -27.293 286.691 1.0 49.28324  ? 723 TYR A CG  723 TYR A CG  1 
ATOM 5701  C CD1 . TYR A 1 723 ? 252.223 -28.536 286.105 1.0 49.28324  ? 723 TYR A CD1 723 TYR A CD1 1 
ATOM 5702  C CD2 . TYR A 1 723 ? 253.634 -26.941 287.162 1.0 49.28324  ? 723 TYR A CD2 723 TYR A CD2 1 
ATOM 5703  C CE1 . TYR A 1 723 ? 253.286 -29.401 285.970 1.0 49.28324  ? 723 TYR A CE1 723 TYR A CE1 1 
ATOM 5704  C CE2 . TYR A 1 723 ? 254.708 -27.802 287.034 1.0 49.28324  ? 723 TYR A CE2 723 TYR A CE2 1 
ATOM 5705  C CZ  . TYR A 1 723 ? 254.523 -29.031 286.438 1.0 49.28324  ? 723 TYR A CZ  723 TYR A CZ  1 
ATOM 5706  O OH  . TYR A 1 723 ? 255.576 -29.902 286.305 1.0 49.28324  ? 723 TYR A OH  723 TYR A OH  1 
ATOM 5707  N N   . ASN A 1 724 ? 249.279 -23.885 285.041 1.0 48.55713  ? 724 ASN A N   724 ASN A N   1 
ATOM 5708  C CA  . ASN A 1 724 ? 247.994 -23.186 284.899 1.0 48.55713  ? 724 ASN A CA  724 ASN A CA  1 
ATOM 5709  C C   . ASN A 1 724 ? 247.369 -22.849 286.255 1.0 48.55713  ? 724 ASN A C   724 ASN A C   1 
ATOM 5710  O O   . ASN A 1 724 ? 246.147 -22.858 286.405 1.0 48.55713  ? 724 ASN A O   724 ASN A O   1 
ATOM 5711  C CB  . ASN A 1 724 ? 247.030 -24.005 284.030 1.0 48.55713  ? 724 ASN A CB  724 ASN A CB  1 
ATOM 5712  C CG  . ASN A 1 724 ? 246.036 -23.155 283.260 1.0 48.55713  ? 724 ASN A CG  724 ASN A CG  1 
ATOM 5713  O OD1 . ASN A 1 724 ? 245.411 -23.635 282.315 1.0 48.55713  ? 724 ASN A OD1 724 ASN A OD1 1 
ATOM 5714  N ND2 . ASN A 1 724 ? 245.883 -21.903 283.651 1.0 48.55713  ? 724 ASN A ND2 724 ASN A ND2 1 
ATOM 5715  N N   . GLN A 1 725 ? 248.200 -22.558 287.253 1.0 49.56842  ? 725 GLN A N   725 GLN A N   1 
ATOM 5716  C CA  . GLN A 1 725 ? 247.763 -22.242 288.604 1.0 49.56842  ? 725 GLN A CA  725 GLN A CA  1 
ATOM 5717  C C   . GLN A 1 725 ? 248.112 -20.795 288.929 1.0 49.56842  ? 725 GLN A C   725 GLN A C   1 
ATOM 5718  O O   . GLN A 1 725 ? 248.589 -20.043 288.079 1.0 49.56842  ? 725 GLN A O   725 GLN A O   1 
ATOM 5719  C CB  . GLN A 1 725 ? 248.398 -23.207 289.602 1.0 49.56842  ? 725 GLN A CB  725 GLN A CB  1 
ATOM 5720  C CG  . GLN A 1 725 ? 247.925 -24.628 289.455 1.0 49.56842  ? 725 GLN A CG  725 GLN A CG  1 
ATOM 5721  C CD  . GLN A 1 725 ? 248.589 -25.566 290.427 1.0 49.56842  ? 725 GLN A CD  725 GLN A CD  1 
ATOM 5722  O OE1 . GLN A 1 725 ? 249.482 -25.179 291.175 1.0 49.56842  ? 725 GLN A OE1 725 GLN A OE1 1 
ATOM 5723  N NE2 . GLN A 1 725 ? 248.146 -26.813 290.431 1.0 49.56842  ? 725 GLN A NE2 725 GLN A NE2 1 
ATOM 5724  N N   . GLY A 1 726 ? 247.864 -20.395 290.177 1.0 51.38902  ? 726 GLY A N   726 GLY A N   1 
ATOM 5725  C CA  . GLY A 1 726 ? 248.253 -19.089 290.677 1.0 51.38902  ? 726 GLY A CA  726 GLY A CA  1 
ATOM 5726  C C   . GLY A 1 726 ? 247.087 -18.229 291.119 1.0 51.38902  ? 726 GLY A C   726 GLY A C   1 
ATOM 5727  O O   . GLY A 1 726 ? 247.223 -17.452 292.069 1.0 51.38902  ? 726 GLY A O   726 GLY A O   1 
ATOM 5728  N N   . TYR A 1 727 ? 245.946 -18.351 290.450 1.0 51.14158  ? 727 TYR A N   727 TYR A N   1 
ATOM 5729  C CA  . TYR A 1 727 ? 244.801 -17.507 290.748 1.0 51.14158  ? 727 TYR A CA  727 TYR A CA  1 
ATOM 5730  C C   . TYR A 1 727 ? 243.779 -18.175 291.652 1.0 51.14158  ? 727 TYR A C   727 TYR A C   1 
ATOM 5731  O O   . TYR A 1 727 ? 242.918 -17.482 292.199 1.0 51.14158  ? 727 TYR A O   727 TYR A O   1 
ATOM 5732  C CB  . TYR A 1 727 ? 244.117 -17.074 289.451 1.0 51.14158  ? 727 TYR A CB  727 TYR A CB  1 
ATOM 5733  C CG  . TYR A 1 727 ? 244.984 -16.203 288.584 1.0 51.14158  ? 727 TYR A CG  727 TYR A CG  1 
ATOM 5734  C CD1 . TYR A 1 727 ? 245.109 -14.848 288.835 1.0 51.14158  ? 727 TYR A CD1 727 TYR A CD1 1 
ATOM 5735  C CD2 . TYR A 1 727 ? 245.685 -16.739 287.519 1.0 51.14158  ? 727 TYR A CD2 727 TYR A CD2 1 
ATOM 5736  C CE1 . TYR A 1 727 ? 245.902 -14.052 288.046 1.0 51.14158  ? 727 TYR A CE1 727 TYR A CE1 1 
ATOM 5737  C CE2 . TYR A 1 727 ? 246.482 -15.951 286.724 1.0 51.14158  ? 727 TYR A CE2 727 TYR A CE2 1 
ATOM 5738  C CZ  . TYR A 1 727 ? 246.586 -14.610 286.991 1.0 51.14158  ? 727 TYR A CZ  727 TYR A CZ  1 
ATOM 5739  O OH  . TYR A 1 727 ? 247.384 -13.828 286.195 1.0 51.14158  ? 727 TYR A OH  727 TYR A OH  1 
ATOM 5740  N N   . GLN A 1 728 ? 243.842 -19.494 291.817 1.0 49.88726  ? 728 GLN A N   728 GLN A N   1 
ATOM 5741  C CA  . GLN A 1 728 ? 242.866 -20.215 292.624 1.0 49.88726  ? 728 GLN A CA  728 GLN A CA  1 
ATOM 5742  C C   . GLN A 1 728 ? 243.548 -21.121 293.637 1.0 49.88726  ? 728 GLN A C   728 GLN A C   1 
ATOM 5743  O O   . GLN A 1 728 ? 242.985 -22.138 294.044 1.0 49.88726  ? 728 GLN A O   728 GLN A O   1 
ATOM 5744  C CB  . GLN A 1 728 ? 241.918 -21.022 291.742 1.0 49.88726  ? 728 GLN A CB  728 GLN A CB  1 
ATOM 5745  C CG  . GLN A 1 728 ? 241.014 -20.163 290.886 1.0 49.88726  ? 728 GLN A CG  728 GLN A CG  1 
ATOM 5746  C CD  . GLN A 1 728 ? 240.070 -20.970 290.036 1.0 49.88726  ? 728 GLN A CD  728 GLN A CD  1 
ATOM 5747  O OE1 . GLN A 1 728 ? 240.134 -22.197 290.005 1.0 49.88726  ? 728 GLN A OE1 728 GLN A OE1 1 
ATOM 5748  N NE2 . GLN A 1 728 ? 239.174 -20.283 289.344 1.0 49.88726  ? 728 GLN A NE2 728 GLN A NE2 1 
ATOM 5749  N N   . GLY A 1 729 ? 244.758 -20.770 294.052 1.0 50.71907  ? 729 GLY A N   729 GLY A N   1 
ATOM 5750  C CA  . GLY A 1 729 ? 245.454 -21.552 295.050 1.0 50.71907  ? 729 GLY A CA  729 GLY A CA  1 
ATOM 5751  C C   . GLY A 1 729 ? 246.392 -22.573 294.448 1.0 50.71907  ? 729 GLY A C   729 GLY A C   1 
ATOM 5752  O O   . GLY A 1 729 ? 246.080 -23.183 293.422 1.0 50.71907  ? 729 GLY A O   729 GLY A O   1 
ATOM 5753  N N   . PHE A 1 730 ? 247.543 -22.768 295.079 1.0 52.2028   ? 730 PHE A N   730 PHE A N   1 
ATOM 5754  C CA  . PHE A 1 730 ? 248.540 -23.705 294.593 1.0 52.2028   ? 730 PHE A CA  730 PHE A CA  1 
ATOM 5755  C C   . PHE A 1 730 ? 248.331 -25.077 295.213 1.0 52.2028   ? 730 PHE A C   730 PHE A C   1 
ATOM 5756  O O   . PHE A 1 730 ? 247.888 -25.205 296.356 1.0 52.2028   ? 730 PHE A O   730 PHE A O   1 
ATOM 5757  C CB  . PHE A 1 730 ? 249.949 -23.218 294.918 1.0 52.2028   ? 730 PHE A CB  730 PHE A CB  1 
ATOM 5758  C CG  . PHE A 1 730 ? 250.305 -21.918 294.272 1.0 52.2028   ? 730 PHE A CG  730 PHE A CG  1 
ATOM 5759  C CD1 . PHE A 1 730 ? 250.703 -21.868 292.950 1.0 52.2028   ? 730 PHE A CD1 730 PHE A CD1 1 
ATOM 5760  C CD2 . PHE A 1 730 ? 250.247 -20.742 294.995 1.0 52.2028   ? 730 PHE A CD2 730 PHE A CD2 1 
ATOM 5761  C CE1 . PHE A 1 730 ? 251.033 -20.665 292.361 1.0 52.2028   ? 730 PHE A CE1 730 PHE A CE1 1 
ATOM 5762  C CE2 . PHE A 1 730 ? 250.575 -19.538 294.413 1.0 52.2028   ? 730 PHE A CE2 730 PHE A CE2 1 
ATOM 5763  C CZ  . PHE A 1 730 ? 250.968 -19.499 293.095 1.0 52.2028   ? 730 PHE A CZ  730 PHE A CZ  1 
ATOM 5764  N N   . ASN A 1 731 ? 248.657 -26.105 294.439 1.0 52.76093  ? 731 ASN A N   731 ASN A N   1 
ATOM 5765  C CA  . ASN A 1 731 ? 248.700 -27.472 294.925 1.0 52.76093  ? 731 ASN A CA  731 ASN A CA  1 
ATOM 5766  C C   . ASN A 1 731 ? 249.682 -28.247 294.063 1.0 52.76093  ? 731 ASN A C   731 ASN A C   1 
ATOM 5767  O O   . ASN A 1 731 ? 250.226 -27.726 293.089 1.0 52.76093  ? 731 ASN A O   731 ASN A O   1 
ATOM 5768  C CB  . ASN A 1 731 ? 247.308 -28.123 294.925 1.0 52.76093  ? 731 ASN A CB  731 ASN A CB  1 
ATOM 5769  C CG  . ASN A 1 731 ? 246.614 -28.053 293.572 1.0 52.76093  ? 731 ASN A CG  731 ASN A CG  1 
ATOM 5770  O OD1 . ASN A 1 731 ? 247.138 -27.501 292.605 1.0 52.76093  ? 731 ASN A OD1 731 ASN A OD1 1 
ATOM 5771  N ND2 . ASN A 1 731 ? 245.426 -28.637 293.498 1.0 52.76093  ? 731 ASN A ND2 731 ASN A ND2 1 
ATOM 5772  N N   . TRP A 1 732 ? 249.906 -29.494 294.433 1.0 51.98048  ? 732 TRP A N   732 TRP A N   1 
ATOM 5773  C CA  . TRP A 1 732 ? 250.703 -30.374 293.597 1.0 51.98048  ? 732 TRP A CA  732 TRP A CA  1 
ATOM 5774  C C   . TRP A 1 732 ? 249.899 -30.729 292.355 1.0 51.98048  ? 732 TRP A C   732 TRP A C   1 
ATOM 5775  O O   . TRP A 1 732 ? 248.760 -31.191 292.480 1.0 51.98048  ? 732 TRP A O   732 TRP A O   1 
ATOM 5776  C CB  . TRP A 1 732 ? 251.091 -31.629 294.359 1.0 51.98048  ? 732 TRP A CB  732 TRP A CB  1 
ATOM 5777  C CG  . TRP A 1 732 ? 251.960 -32.516 293.568 1.0 51.98048  ? 732 TRP A CG  732 TRP A CG  1 
ATOM 5778  C CD1 . TRP A 1 732 ? 251.578 -33.610 292.865 1.0 51.98048  ? 732 TRP A CD1 732 TRP A CD1 1 
ATOM 5779  C CD2 . TRP A 1 732 ? 253.370 -32.398 293.396 1.0 51.98048  ? 732 TRP A CD2 732 TRP A CD2 1 
ATOM 5780  N NE1 . TRP A 1 732 ? 252.659 -34.180 292.250 1.0 51.98048  ? 732 TRP A NE1 732 TRP A NE1 1 
ATOM 5781  C CE2 . TRP A 1 732 ? 253.776 -33.454 292.566 1.0 51.98048  ? 732 TRP A CE2 732 TRP A CE2 1 
ATOM 5782  C CE3 . TRP A 1 732 ? 254.330 -31.502 293.863 1.0 51.98048  ? 732 TRP A CE3 732 TRP A CE3 1 
ATOM 5783  C CZ2 . TRP A 1 732 ? 255.098 -33.639 292.191 1.0 51.98048  ? 732 TRP A CZ2 732 TRP A CZ2 1 
ATOM 5784  C CZ3 . TRP A 1 732 ? 255.641 -31.693 293.498 1.0 51.98048  ? 732 TRP A CZ3 732 TRP A CZ3 1 
ATOM 5785  C CH2 . TRP A 1 732 ? 256.015 -32.748 292.667 1.0 51.98048  ? 732 TRP A CH2 732 TRP A CH2 1 
ATOM 5786  N N   . PRO A 1 733 ? 250.430 -30.521 291.155 1.0 52.55954  ? 733 PRO A N   733 PRO A N   1 
ATOM 5787  C CA  . PRO A 1 733 ? 249.641 -30.759 289.944 1.0 52.55954  ? 733 PRO A CA  733 PRO A CA  1 
ATOM 5788  C C   . PRO A 1 733 ? 249.512 -32.239 289.627 1.0 52.55954  ? 733 PRO A C   733 PRO A C   1 
ATOM 5789  O O   . PRO A 1 733 ? 250.260 -33.080 290.123 1.0 52.55954  ? 733 PRO A O   733 PRO A O   1 
ATOM 5790  C CB  . PRO A 1 733 ? 250.439 -30.034 288.861 1.0 52.55954  ? 733 PRO A CB  733 PRO A CB  1 
ATOM 5791  C CG  . PRO A 1 733 ? 251.828 -30.056 289.367 1.0 52.55954  ? 733 PRO A CG  733 PRO A CG  1 
ATOM 5792  C CD  . PRO A 1 733 ? 251.743 -29.936 290.850 1.0 52.55954  ? 733 PRO A CD  733 PRO A CD  1 
ATOM 5793  N N   . ASN A 1 734 ? 248.539 -32.546 288.771 1.0 57.29812  ? 734 ASN A N   734 ASN A N   1 
ATOM 5794  C CA  . ASN A 1 734 ? 248.262 -33.935 288.423 1.0 57.29812  ? 734 ASN A CA  734 ASN A CA  1 
ATOM 5795  C C   . ASN A 1 734 ? 249.319 -34.488 287.477 1.0 57.29812  ? 734 ASN A C   734 ASN A C   1 
ATOM 5796  O O   . ASN A 1 734 ? 250.031 -35.443 287.807 1.0 57.29812  ? 734 ASN A O   734 ASN A O   1 
ATOM 5797  C CB  . ASN A 1 734 ? 246.873 -34.044 287.797 1.0 57.29812  ? 734 ASN A CB  734 ASN A CB  1 
ATOM 5798  C CG  . ASN A 1 734 ? 245.769 -33.811 288.797 1.0 57.29812  ? 734 ASN A CG  734 ASN A CG  1 
ATOM 5799  O OD1 . ASN A 1 734 ? 245.823 -34.307 289.921 1.0 57.29812  ? 734 ASN A OD1 734 ASN A OD1 1 
ATOM 5800  N ND2 . ASN A 1 734 ? 244.760 -33.044 288.399 1.0 57.29812  ? 734 ASN A ND2 734 ASN A ND2 1 
ATOM 5801  N N   . CYS A 1 735 ? 249.435 -33.897 286.293 1.0 56.23638  ? 735 CYS A N   735 CYS A N   1 
ATOM 5802  C CA  . CYS A 1 735 ? 250.349 -34.369 285.260 1.0 56.23638  ? 735 CYS A CA  735 CYS A CA  1 
ATOM 5803  C C   . CYS A 1 735 ? 251.622 -33.539 285.334 1.0 56.23638  ? 735 CYS A C   735 CYS A C   1 
ATOM 5804  O O   . CYS A 1 735 ? 251.598 -32.329 285.089 1.0 56.23638  ? 735 CYS A O   735 CYS A O   1 
ATOM 5805  C CB  . CYS A 1 735 ? 249.703 -34.270 283.880 1.0 56.23638  ? 735 CYS A CB  735 CYS A CB  1 
ATOM 5806  S SG  . CYS A 1 735 ? 250.713 -34.907 282.527 1.0 56.23638  ? 735 CYS A SG  735 CYS A SG  1 
ATOM 5807  N N   . THR A 1 736 ? 252.729 -34.190 285.675 1.0 53.35916  ? 736 THR A N   736 THR A N   1 
ATOM 5808  C CA  . THR A 1 736 ? 254.020 -33.536 285.839 1.0 53.35916  ? 736 THR A CA  736 THR A CA  1 
ATOM 5809  C C   . THR A 1 736 ? 255.001 -34.132 284.842 1.0 53.35916  ? 736 THR A C   736 THR A C   1 
ATOM 5810  O O   . THR A 1 736 ? 255.206 -35.349 284.824 1.0 53.35916  ? 736 THR A O   736 THR A O   1 
ATOM 5811  C CB  . THR A 1 736 ? 254.545 -33.711 287.260 1.0 53.35916  ? 736 THR A CB  736 THR A CB  1 
ATOM 5812  O OG1 . THR A 1 736 ? 254.751 -35.104 287.520 1.0 53.35916  ? 736 THR A OG1 736 THR A OG1 1 
ATOM 5813  C CG2 . THR A 1 736 ? 253.564 -33.160 288.269 1.0 53.35916  ? 736 THR A CG2 736 THR A CG2 1 
ATOM 5814  N N   . LYS A 1 737 ? 255.611 -33.278 284.027 1.0 50.57248  ? 737 LYS A N   737 LYS A N   1 
ATOM 5815  C CA  . LYS A 1 737 ? 256.539 -33.737 283.008 1.0 50.57248  ? 737 LYS A CA  737 LYS A CA  1 
ATOM 5816  C C   . LYS A 1 737 ? 257.929 -33.934 283.607 1.0 50.57248  ? 737 LYS A C   737 LYS A C   1 
ATOM 5817  O O   . LYS A 1 737 ? 258.172 -33.667 284.785 1.0 50.57248  ? 737 LYS A O   737 LYS A O   1 
ATOM 5818  C CB  . LYS A 1 737 ? 256.566 -32.755 281.843 1.0 50.57248  ? 737 LYS A CB  737 LYS A CB  1 
ATOM 5819  C CG  . LYS A 1 737 ? 255.215 -32.581 281.180 1.0 50.57248  ? 737 LYS A CG  737 LYS A CG  1 
ATOM 5820  C CD  . LYS A 1 737 ? 254.759 -33.882 280.545 1.0 50.57248  ? 737 LYS A CD  737 LYS A CD  1 
ATOM 5821  C CE  . LYS A 1 737 ? 253.483 -33.697 279.748 1.0 50.57248  ? 737 LYS A CE  737 LYS A CE  1 
ATOM 5822  N NZ  . LYS A 1 737 ? 252.315 -33.440 280.631 1.0 50.57248  ? 737 LYS A NZ  737 LYS A NZ  1 
ATOM 5823  N N   . HIS A 1 738 ? 258.857 -34.417 282.780 1.0 47.32096  ? 738 HIS A N   738 HIS A N   1 
ATOM 5824  C CA  . HIS A 1 738 ? 260.208 -34.687 283.257 1.0 47.32096  ? 738 HIS A CA  738 HIS A CA  1 
ATOM 5825  C C   . HIS A 1 738 ? 261.026 -33.415 283.410 1.0 47.32096  ? 738 HIS A C   738 HIS A C   1 
ATOM 5826  O O   . HIS A 1 738 ? 261.867 -33.329 284.310 1.0 47.32096  ? 738 HIS A O   738 HIS A O   1 
ATOM 5827  C CB  . HIS A 1 738 ? 260.916 -35.650 282.307 1.0 47.32096  ? 738 HIS A CB  738 HIS A CB  1 
ATOM 5828  C CG  . HIS A 1 738 ? 262.304 -36.004 282.735 1.0 47.32096  ? 738 HIS A CG  738 HIS A CG  1 
ATOM 5829  N ND1 . HIS A 1 738 ? 262.563 -36.836 283.801 1.0 47.32096  ? 738 HIS A ND1 738 HIS A ND1 1 
ATOM 5830  C CD2 . HIS A 1 738 ? 263.509 -35.641 282.239 1.0 47.32096  ? 738 HIS A CD2 738 HIS A CD2 1 
ATOM 5831  C CE1 . HIS A 1 738 ? 263.869 -36.968 283.946 1.0 47.32096  ? 738 HIS A CE1 738 HIS A CE1 1 
ATOM 5832  N NE2 . HIS A 1 738 ? 264.466 -36.254 283.010 1.0 47.32096  ? 738 HIS A NE2 738 HIS A NE2 1 
ATOM 5833  N N   . TYR A 1 739 ? 260.799 -32.427 282.550 1.0 46.27166  ? 739 TYR A N   739 TYR A N   1 
ATOM 5834  C CA  . TYR A 1 739 ? 261.468 -31.138 282.637 1.0 46.27166  ? 739 TYR A CA  739 TYR A CA  1 
ATOM 5835  C C   . TYR A 1 739 ? 260.594 -30.088 283.308 1.0 46.27166  ? 739 TYR A C   739 TYR A C   1 
ATOM 5836  O O   . TYR A 1 739 ? 260.745 -28.892 283.042 1.0 46.27166  ? 739 TYR A O   739 TYR A O   1 
ATOM 5837  C CB  . TYR A 1 739 ? 261.884 -30.672 281.246 1.0 46.27166  ? 739 TYR A CB  739 TYR A CB  1 
ATOM 5838  C CG  . TYR A 1 739 ? 262.917 -31.565 280.618 1.0 46.27166  ? 739 TYR A CG  739 TYR A CG  1 
ATOM 5839  C CD1 . TYR A 1 739 ? 264.253 -31.435 280.942 1.0 46.27166  ? 739 TYR A CD1 739 TYR A CD1 1 
ATOM 5840  C CD2 . TYR A 1 739 ? 262.554 -32.552 279.719 1.0 46.27166  ? 739 TYR A CD2 739 TYR A CD2 1 
ATOM 5841  C CE1 . TYR A 1 739 ? 265.201 -32.248 280.385 1.0 46.27166  ? 739 TYR A CE1 739 TYR A CE1 1 
ATOM 5842  C CE2 . TYR A 1 739 ? 263.499 -33.373 279.152 1.0 46.27166  ? 739 TYR A CE2 739 TYR A CE2 1 
ATOM 5843  C CZ  . TYR A 1 739 ? 264.820 -33.214 279.491 1.0 46.27166  ? 739 TYR A CZ  739 TYR A CZ  1 
ATOM 5844  O OH  . TYR A 1 739 ? 265.772 -34.028 278.937 1.0 46.27166  ? 739 TYR A OH  739 TYR A OH  1 
ATOM 5845  N N   . GLY A 1 740 ? 259.686 -30.514 284.178 1.0 49.84036  ? 740 GLY A N   740 GLY A N   1 
ATOM 5846  C CA  . GLY A 1 740 ? 258.774 -29.607 284.840 1.0 49.84036  ? 740 GLY A CA  740 GLY A CA  1 
ATOM 5847  C C   . GLY A 1 740 ? 259.452 -28.798 285.930 1.0 49.84036  ? 740 GLY A C   740 GLY A C   1 
ATOM 5848  O O   . GLY A 1 740 ? 260.662 -28.860 286.146 1.0 49.84036  ? 740 GLY A O   740 GLY A O   1 
ATOM 5849  N N   . PHE A 1 741 ? 258.639 -28.018 286.640 1.0 49.48529  ? 741 PHE A N   741 PHE A N   1 
ATOM 5850  C CA  . PHE A 1 741 ? 259.175 -27.106 287.645 1.0 49.48529  ? 741 PHE A CA  741 PHE A CA  1 
ATOM 5851  C C   . PHE A 1 741 ? 259.153 -27.710 289.039 1.0 49.48529  ? 741 PHE A C   741 PHE A C   1 
ATOM 5852  O O   . PHE A 1 741 ? 260.189 -27.814 289.701 1.0 49.48529  ? 741 PHE A O   741 PHE A O   1 
ATOM 5853  C CB  . PHE A 1 741 ? 258.394 -25.793 287.648 1.0 49.48529  ? 741 PHE A CB  741 PHE A CB  1 
ATOM 5854  C CG  . PHE A 1 741 ? 258.877 -24.819 288.676 1.0 49.48529  ? 741 PHE A CG  741 PHE A CG  1 
ATOM 5855  C CD1 . PHE A 1 741 ? 260.131 -24.239 288.567 1.0 49.48529  ? 741 PHE A CD1 741 PHE A CD1 1 
ATOM 5856  C CD2 . PHE A 1 741 ? 258.070 -24.459 289.733 1.0 49.48529  ? 741 PHE A CD2 741 PHE A CD2 1 
ATOM 5857  C CE1 . PHE A 1 741 ? 260.571 -23.340 289.509 1.0 49.48529  ? 741 PHE A CE1 741 PHE A CE1 1 
ATOM 5858  C CE2 . PHE A 1 741 ? 258.505 -23.557 290.675 1.0 49.48529  ? 741 PHE A CE2 741 PHE A CE2 1 
ATOM 5859  C CZ  . PHE A 1 741 ? 259.756 -22.997 290.562 1.0 49.48529  ? 741 PHE A CZ  741 PHE A CZ  1 
ATOM 5860  N N   . ILE A 1 742 ? 257.968 -28.106 289.510 1.0 51.44762  ? 742 ILE A N   742 ILE A N   1 
ATOM 5861  C CA  . ILE A 1 742 ? 257.820 -28.501 290.903 1.0 51.44762  ? 742 ILE A CA  742 ILE A CA  1 
ATOM 5862  C C   . ILE A 1 742 ? 258.332 -29.910 291.154 1.0 51.44762  ? 742 ILE A C   742 ILE A C   1 
ATOM 5863  O O   . ILE A 1 742 ? 258.420 -30.333 292.311 1.0 51.44762  ? 742 ILE A O   742 ILE A O   1 
ATOM 5864  C CB  . ILE A 1 742 ? 256.338 -28.288 291.264 1.0 51.44762  ? 742 ILE A CB  742 ILE A CB  1 
ATOM 5865  C CG1 . ILE A 1 742 ? 256.165 -28.104 292.769 1.0 51.44762  ? 742 ILE A CG1 742 ILE A CG1 1 
ATOM 5866  C CG2 . ILE A 1 742 ? 255.500 -29.425 290.734 1.0 51.44762  ? 742 ILE A CG2 742 ILE A CG2 1 
ATOM 5867  C CD1 . ILE A 1 742 ? 256.854 -26.865 293.291 1.0 51.44762  ? 742 ILE A CD1 742 ILE A CD1 1 
ATOM 5868  N N   . ASN A 1 743 ? 258.706 -30.643 290.099 1.0 53.27525  ? 743 ASN A N   743 ASN A N   1 
ATOM 5869  C CA  . ASN A 1 743 ? 259.312 -31.957 290.282 1.0 53.27525  ? 743 ASN A CA  743 ASN A CA  1 
ATOM 5870  C C   . ASN A 1 743 ? 260.705 -31.850 290.880 1.0 53.27525  ? 743 ASN A C   743 ASN A C   1 
ATOM 5871  O O   . ASN A 1 743 ? 261.063 -32.616 291.778 1.0 53.27525  ? 743 ASN A O   743 ASN A O   1 
ATOM 5872  C CB  . ASN A 1 743 ? 259.390 -32.689 288.950 1.0 53.27525  ? 743 ASN A CB  743 ASN A CB  1 
ATOM 5873  C CG  . ASN A 1 743 ? 258.044 -33.036 288.409 1.0 53.27525  ? 743 ASN A CG  743 ASN A CG  1 
ATOM 5874  O OD1 . ASN A 1 743 ? 257.612 -32.490 287.399 1.0 53.27525  ? 743 ASN A OD1 743 ASN A OD1 1 
ATOM 5875  N ND2 . ASN A 1 743 ? 257.367 -33.964 289.070 1.0 53.27525  ? 743 ASN A ND2 743 ASN A ND2 1 
ATOM 5876  N N   . ASN A 1 744 ? 261.502 -30.905 290.390 1.0 54.65914  ? 744 ASN A N   744 ASN A N   1 
ATOM 5877  C CA  . ASN A 1 744 ? 262.922 -30.838 290.699 1.0 54.65914  ? 744 ASN A CA  744 ASN A CA  1 
ATOM 5878  C C   . ASN A 1 744 ? 263.328 -29.548 291.404 1.0 54.65914  ? 744 ASN A C   744 ASN A C   1 
ATOM 5879  O O   . ASN A 1 744 ? 264.519 -29.346 291.661 1.0 54.65914  ? 744 ASN A O   744 ASN A O   1 
ATOM 5880  C CB  . ASN A 1 744 ? 263.713 -31.047 289.407 1.0 54.65914  ? 744 ASN A CB  744 ASN A CB  1 
ATOM 5881  C CG  . ASN A 1 744 ? 263.195 -30.197 288.274 1.0 54.65914  ? 744 ASN A CG  744 ASN A CG  1 
ATOM 5882  O OD1 . ASN A 1 744 ? 262.351 -29.332 288.476 1.0 54.65914  ? 744 ASN A OD1 744 ASN A OD1 1 
ATOM 5883  N ND2 . ASN A 1 744 ? 263.665 -30.466 287.066 1.0 54.65914  ? 744 ASN A ND2 744 ASN A ND2 1 
ATOM 5884  N N   . PHE A 1 745 ? 262.375 -28.682 291.735 1.0 54.36562  ? 745 PHE A N   745 PHE A N   1 
ATOM 5885  C CA  . PHE A 1 745 ? 262.653 -27.552 292.610 1.0 54.36562  ? 745 PHE A CA  745 PHE A CA  1 
ATOM 5886  C C   . PHE A 1 745 ? 262.882 -28.062 294.028 1.0 54.36562  ? 745 PHE A C   745 PHE A C   1 
ATOM 5887  O O   . PHE A 1 745 ? 261.977 -28.643 294.633 1.0 54.36562  ? 745 PHE A O   745 PHE A O   1 
ATOM 5888  C CB  . PHE A 1 745 ? 261.489 -26.566 292.577 1.0 54.36562  ? 745 PHE A CB  745 PHE A CB  1 
ATOM 5889  C CG  . PHE A 1 745 ? 261.715 -25.335 293.396 1.0 54.36562  ? 745 PHE A CG  745 PHE A CG  1 
ATOM 5890  C CD1 . PHE A 1 745 ? 262.472 -24.296 292.905 1.0 54.36562  ? 745 PHE A CD1 745 PHE A CD1 1 
ATOM 5891  C CD2 . PHE A 1 745 ? 261.181 -25.225 294.661 1.0 54.36562  ? 745 PHE A CD2 745 PHE A CD2 1 
ATOM 5892  C CE1 . PHE A 1 745 ? 262.691 -23.169 293.658 1.0 54.36562  ? 745 PHE A CE1 745 PHE A CE1 1 
ATOM 5893  C CE2 . PHE A 1 745 ? 261.403 -24.107 295.417 1.0 54.36562  ? 745 PHE A CE2 745 PHE A CE2 1 
ATOM 5894  C CZ  . PHE A 1 745 ? 262.152 -23.074 294.915 1.0 54.36562  ? 745 PHE A CZ  745 PHE A CZ  1 
ATOM 5895  N N   . GLU A 1 746 ? 264.081 -27.845 294.564 1.0 58.66917  ? 746 GLU A N   746 GLU A N   1 
ATOM 5896  C CA  . GLU A 1 746 ? 264.448 -28.357 295.884 1.0 58.66917  ? 746 GLU A CA  746 GLU A CA  1 
ATOM 5897  C C   . GLU A 1 746 ? 265.011 -27.243 296.758 1.0 58.66917  ? 746 GLU A C   746 GLU A C   1 
ATOM 5898  O O   . GLU A 1 746 ? 266.180 -26.855 296.594 1.0 58.66917  ? 746 GLU A O   746 GLU A O   1 
ATOM 5899  C CB  . GLU A 1 746 ? 265.455 -29.492 295.762 1.0 58.66917  ? 746 GLU A CB  746 GLU A CB  1 
ATOM 5900  C CG  . GLU A 1 746 ? 264.909 -30.743 295.099 1.0 58.66917  ? 746 GLU A CG  746 GLU A CG  1 
ATOM 5901  C CD  . GLU A 1 746 ? 263.871 -31.450 295.945 1.0 58.66917  ? 746 GLU A CD  746 GLU A CD  1 
ATOM 5902  O OE1 . GLU A 1 746 ? 263.979 -31.400 297.188 1.0 58.66917  ? 746 GLU A OE1 746 GLU A OE1 1 
ATOM 5903  O OE2 . GLU A 1 746 ? 262.947 -32.060 295.367 1.0 58.66917  ? 746 GLU A OE2 746 GLU A OE2 1 
ATOM 5904  N N   . PRO A 1 747 ? 264.228 -26.713 297.691 1.0 55.88074  ? 747 PRO A N   747 PRO A N   1 
ATOM 5905  C CA  . PRO A 1 747 ? 264.756 -25.717 298.626 1.0 55.88074  ? 747 PRO A CA  747 PRO A CA  1 
ATOM 5906  C C   . PRO A 1 747 ? 265.509 -26.370 299.776 1.0 55.88074  ? 747 PRO A C   747 PRO A C   1 
ATOM 5907  O O   . PRO A 1 747 ? 265.383 -27.567 300.036 1.0 55.88074  ? 747 PRO A O   747 PRO A O   1 
ATOM 5908  C CB  . PRO A 1 747 ? 263.495 -25.015 299.130 1.0 55.88074  ? 747 PRO A CB  747 PRO A CB  1 
ATOM 5909  C CG  . PRO A 1 747 ? 262.449 -26.056 299.035 1.0 55.88074  ? 747 PRO A CG  747 PRO A CG  1 
ATOM 5910  C CD  . PRO A 1 747 ? 262.772 -26.872 297.823 1.0 55.88074  ? 747 PRO A CD  747 PRO A CD  1 
ATOM 5911  N N   . MET A 1 748 ? 266.285 -25.548 300.484 1.0 58.97103  ? 748 MET A N   748 MET A N   1 
ATOM 5912  C CA  . MET A 1 748 ? 267.168 -26.042 301.534 1.0 58.97103  ? 748 MET A CA  748 MET A CA  1 
ATOM 5913  C C   . MET A 1 748 ? 267.562 -24.893 302.452 1.0 58.97103  ? 748 MET A C   748 MET A C   1 
ATOM 5914  O O   . MET A 1 748 ? 267.453 -23.722 302.087 1.0 58.97103  ? 748 MET A O   748 MET A O   1 
ATOM 5915  C CB  . MET A 1 748 ? 268.407 -26.701 300.933 1.0 58.97103  ? 748 MET A CB  748 MET A CB  1 
ATOM 5916  C CG  . MET A 1 748 ? 269.233 -25.754 300.108 1.0 58.97103  ? 748 MET A CG  748 MET A CG  1 
ATOM 5917  S SD  . MET A 1 748 ? 270.556 -26.601 299.244 1.0 58.97103  ? 748 MET A SD  748 MET A SD  1 
ATOM 5918  C CE  . MET A 1 748 ? 269.613 -27.368 297.940 1.0 58.97103  ? 748 MET A CE  748 MET A CE  1 
ATOM 5919  N N   . SER A 1 749 ? 268.031 -25.243 303.650 1.0 58.38007  ? 749 SER A N   749 SER A N   1 
ATOM 5920  C CA  . SER A 1 749 ? 268.371 -24.246 304.659 1.0 58.38007  ? 749 SER A CA  749 SER A CA  1 
ATOM 5921  C C   . SER A 1 749 ? 269.374 -24.836 305.640 1.0 58.38007  ? 749 SER A C   749 SER A C   1 
ATOM 5922  O O   . SER A 1 749 ? 269.472 -26.054 305.792 1.0 58.38007  ? 749 SER A O   749 SER A O   1 
ATOM 5923  C CB  . SER A 1 749 ? 267.129 -23.762 305.414 1.0 58.38007  ? 749 SER A CB  749 SER A CB  1 
ATOM 5924  O OG  . SER A 1 749 ? 266.233 -23.075 304.563 1.0 58.38007  ? 749 SER A OG  749 SER A OG  1 
ATOM 5925  N N   . ARG A 1 750 ? 270.113 -23.951 306.312 1.0 59.52597  ? 750 ARG A N   750 ARG A N   1 
ATOM 5926  C CA  . ARG A 1 750 ? 271.041 -24.350 307.366 1.0 59.52597  ? 750 ARG A CA  750 ARG A CA  1 
ATOM 5927  C C   . ARG A 1 750 ? 271.280 -23.153 308.278 1.0 59.52597  ? 750 ARG A C   750 ARG A C   1 
ATOM 5928  O O   . ARG A 1 750 ? 270.728 -22.071 308.071 1.0 59.52597  ? 750 ARG A O   750 ARG A O   1 
ATOM 5929  C CB  . ARG A 1 750 ? 272.365 -24.873 306.794 1.0 59.52597  ? 750 ARG A CB  750 ARG A CB  1 
ATOM 5930  C CG  . ARG A 1 750 ? 273.255 -23.811 306.175 1.0 59.52597  ? 750 ARG A CG  750 ARG A CG  1 
ATOM 5931  C CD  . ARG A 1 750 ? 274.465 -24.415 305.493 1.0 59.52597  ? 750 ARG A CD  750 ARG A CD  1 
ATOM 5932  N NE  . ARG A 1 750 ? 275.176 -23.403 304.717 1.0 59.52597  ? 750 ARG A NE  750 ARG A NE  1 
ATOM 5933  C CZ  . ARG A 1 750 ? 276.378 -22.932 305.012 1.0 59.52597  ? 750 ARG A CZ  750 ARG A CZ  1 
ATOM 5934  N NH1 . ARG A 1 750 ? 276.935 -21.994 304.263 1.0 59.52597  ? 750 ARG A NH1 750 ARG A NH1 1 
ATOM 5935  N NH2 . ARG A 1 750 ? 277.062 -23.484 305.998 1.0 59.52597  ? 750 ARG A NH2 750 ARG A NH2 1 
ATOM 5936  N N   . GLN A 1 751 ? 272.104 -23.354 309.304 1.0 61.07622  ? 751 GLN A N   751 GLN A N   1 
ATOM 5937  C CA  . GLN A 1 751 ? 272.552 -22.267 310.160 1.0 61.07622  ? 751 GLN A CA  751 GLN A CA  1 
ATOM 5938  C C   . GLN A 1 751 ? 274.059 -22.337 310.322 1.0 61.07622  ? 751 GLN A C   751 GLN A C   1 
ATOM 5939  O O   . GLN A 1 751 ? 274.652 -23.415 310.248 1.0 61.07622  ? 751 GLN A O   751 GLN A O   1 
ATOM 5940  C CB  . GLN A 1 751 ? 271.891 -22.294 311.540 1.0 61.07622  ? 751 GLN A CB  751 GLN A CB  1 
ATOM 5941  C CG  . GLN A 1 751 ? 270.435 -21.908 311.543 1.0 61.07622  ? 751 GLN A CG  751 GLN A CG  1 
ATOM 5942  C CD  . GLN A 1 751 ? 269.546 -23.064 311.188 1.0 61.07622  ? 751 GLN A CD  751 GLN A CD  1 
ATOM 5943  O OE1 . GLN A 1 751 ? 269.955 -24.219 311.275 1.0 61.07622  ? 751 GLN A OE1 751 GLN A OE1 1 
ATOM 5944  N NE2 . GLN A 1 751 ? 268.330 -22.766 310.762 1.0 61.07622  ? 751 GLN A NE2 751 GLN A NE2 1 
ATOM 5945  N N   . VAL A 1 752 ? 274.671 -21.176 310.512 1.0 64.64546  ? 752 VAL A N   752 VAL A N   1 
ATOM 5946  C CA  . VAL A 1 752 ? 276.096 -21.067 310.808 1.0 64.64546  ? 752 VAL A CA  752 VAL A CA  1 
ATOM 5947  C C   . VAL A 1 752 ? 276.279 -20.177 312.024 1.0 64.64546  ? 752 VAL A C   752 VAL A C   1 
ATOM 5948  O O   . VAL A 1 752 ? 275.507 -19.229 312.217 1.0 64.64546  ? 752 VAL A O   752 VAL A O   1 
ATOM 5949  C CB  . VAL A 1 752 ? 276.892 -20.507 309.623 1.0 64.64546  ? 752 VAL A CB  752 VAL A CB  1 
ATOM 5950  C CG1 . VAL A 1 752 ? 277.018 -21.529 308.596 1.0 64.64546  ? 752 VAL A CG1 752 VAL A CG1 1 
ATOM 5951  C CG2 . VAL A 1 752 ? 276.195 -19.302 309.023 1.0 64.64546  ? 752 VAL A CG2 752 VAL A CG2 1 
ATOM 5952  N N   . PRO A 1 753 ? 277.264 -20.438 312.869 1.0 67.64872  ? 753 PRO A N   753 PRO A N   1 
ATOM 5953  C CA  . PRO A 1 753 ? 277.538 -19.498 313.951 1.0 67.64872  ? 753 PRO A CA  753 PRO A CA  1 
ATOM 5954  C C   . PRO A 1 753 ? 278.203 -18.253 313.394 1.0 67.64872  ? 753 PRO A C   753 PRO A C   1 
ATOM 5955  O O   . PRO A 1 753 ? 278.838 -18.288 312.338 1.0 67.64872  ? 753 PRO A O   753 PRO A O   1 
ATOM 5956  C CB  . PRO A 1 753 ? 278.470 -20.283 314.873 1.0 67.64872  ? 753 PRO A CB  753 PRO A CB  1 
ATOM 5957  C CG  . PRO A 1 753 ? 279.146 -21.243 313.967 1.0 67.64872  ? 753 PRO A CG  753 PRO A CG  1 
ATOM 5958  C CD  . PRO A 1 753 ? 278.144 -21.618 312.927 1.0 67.64872  ? 753 PRO A CD  753 PRO A CD  1 
ATOM 5959  N N   . GLU A 1 754 ? 278.013 -17.139 314.092 1.0 73.80109  ? 754 GLU A N   754 GLU A N   1 
ATOM 5960  C CA  . GLU A 1 754 ? 278.716 -15.915 313.740 1.0 73.80109  ? 754 GLU A CA  754 GLU A CA  1 
ATOM 5961  C C   . GLU A 1 754 ? 280.209 -16.106 313.969 1.0 73.80109  ? 754 GLU A C   754 GLU A C   1 
ATOM 5962  O O   . GLU A 1 754 ? 280.622 -16.854 314.859 1.0 73.80109  ? 754 GLU A O   754 GLU A O   1 
ATOM 5963  C CB  . GLU A 1 754 ? 278.166 -14.742 314.557 1.0 73.80109  ? 754 GLU A CB  754 GLU A CB  1 
ATOM 5964  C CG  . GLU A 1 754 ? 278.466 -14.766 316.059 1.0 73.80109  ? 754 GLU A CG  754 GLU A CG  1 
ATOM 5965  C CD  . GLU A 1 754 ? 277.472 -15.586 316.878 1.0 73.80109  ? 754 GLU A CD  754 GLU A CD  1 
ATOM 5966  O OE1 . GLU A 1 754 ? 276.721 -16.399 316.301 1.0 73.80109  ? 754 GLU A OE1 754 GLU A OE1 1 
ATOM 5967  O OE2 . GLU A 1 754 ? 277.448 -15.419 318.115 1.0 73.80109  ? 754 GLU A OE2 754 GLU A OE2 1 
ATOM 5968  N N   . TYR A 1 755 ? 281.015 -15.491 313.126 1.0 72.70551  ? 755 TYR A N   755 TYR A N   1 
ATOM 5969  C CA  . TYR A 1 755 ? 282.452 -15.704 313.169 1.0 72.70551  ? 755 TYR A CA  755 TYR A CA  1 
ATOM 5970  C C   . TYR A 1 755 ? 283.132 -14.444 313.706 1.0 72.70551  ? 755 TYR A C   755 TYR A C   1 
ATOM 5971  O O   . TYR A 1 755 ? 282.467 -13.478 314.088 1.0 72.70551  ? 755 TYR A O   755 TYR A O   1 
ATOM 5972  C CB  . TYR A 1 755 ? 282.944 -16.109 311.777 1.0 72.70551  ? 755 TYR A CB  755 TYR A CB  1 
ATOM 5973  C CG  . TYR A 1 755 ? 282.552 -17.510 311.357 1.0 72.70551  ? 755 TYR A CG  755 TYR A CG  1 
ATOM 5974  C CD1 . TYR A 1 755 ? 282.206 -18.471 312.297 1.0 72.70551  ? 755 TYR A CD1 755 TYR A CD1 1 
ATOM 5975  C CD2 . TYR A 1 755 ? 282.514 -17.866 310.016 1.0 72.70551  ? 755 TYR A CD2 755 TYR A CD2 1 
ATOM 5976  C CE1 . TYR A 1 755 ? 281.851 -19.752 311.913 1.0 72.70551  ? 755 TYR A CE1 755 TYR A CE1 1 
ATOM 5977  C CE2 . TYR A 1 755 ? 282.153 -19.143 309.624 1.0 72.70551  ? 755 TYR A CE2 755 TYR A CE2 1 
ATOM 5978  C CZ  . TYR A 1 755 ? 281.823 -20.079 310.577 1.0 72.70551  ? 755 TYR A CZ  755 TYR A CZ  1 
ATOM 5979  O OH  . TYR A 1 755 ? 281.465 -21.349 310.193 1.0 72.70551  ? 755 TYR A OH  755 TYR A OH  1 
ATOM 5980  N N   . GLY A 1 756 ? 284.459 -14.443 313.749 1.0 76.64171  ? 756 GLY A N   756 GLY A N   1 
ATOM 5981  C CA  . GLY A 1 756 ? 285.208 -13.246 314.069 1.0 76.64171  ? 756 GLY A CA  756 GLY A CA  1 
ATOM 5982  C C   . GLY A 1 756 ? 285.550 -13.049 315.530 1.0 76.64171  ? 756 GLY A C   756 GLY A C   1 
ATOM 5983  O O   . GLY A 1 756 ? 286.706 -13.222 315.925 1.0 76.64171  ? 756 GLY A O   756 GLY A O   1 
ATOM 5984  N N   . ALA A 1 757 ? 284.563 -12.694 316.348 1.0 80.5371   ? 757 ALA A N   757 ALA A N   1 
ATOM 5985  C CA  . ALA A 1 757 ? 284.791 -12.342 317.745 1.0 80.5371   ? 757 ALA A CA  757 ALA A CA  1 
ATOM 5986  C C   . ALA A 1 757 ? 284.561 -13.572 318.608 1.0 80.5371   ? 757 ALA A C   757 ALA A C   1 
ATOM 5987  O O   . ALA A 1 757 ? 283.423 -14.041 318.728 1.0 80.5371   ? 757 ALA A O   757 ALA A O   1 
ATOM 5988  C CB  . ALA A 1 757 ? 283.874 -11.198 318.180 1.0 80.5371   ? 757 ALA A CB  757 ALA A CB  1 
ATOM 5989  N N   . ASN A 1 758 ? 285.654 -14.118 319.155 1.0 78.52842  ? 758 ASN A N   758 ASN A N   1 
ATOM 5990  C CA  . ASN A 1 758 ? 285.736 -15.276 320.053 1.0 78.52842  ? 758 ASN A CA  758 ASN A CA  1 
ATOM 5991  C C   . ASN A 1 758 ? 285.333 -16.595 319.402 1.0 78.52842  ? 758 ASN A C   758 ASN A C   1 
ATOM 5992  O O   . ASN A 1 758 ? 285.412 -17.642 320.054 1.0 78.52842  ? 758 ASN A O   758 ASN A O   1 
ATOM 5993  C CB  . ASN A 1 758 ? 284.917 -15.083 321.336 1.0 78.52842  ? 758 ASN A CB  758 ASN A CB  1 
ATOM 5994  C CG  . ASN A 1 758 ? 285.511 -14.039 322.251 1.0 78.52842  ? 758 ASN A CG  758 ASN A CG  1 
ATOM 5995  O OD1 . ASN A 1 758 ? 286.727 -13.965 322.418 1.0 78.52842  ? 758 ASN A OD1 758 ASN A OD1 1 
ATOM 5996  N ND2 . ASN A 1 758 ? 284.655 -13.226 322.856 1.0 78.52842  ? 758 ASN A ND2 758 ASN A ND2 1 
ATOM 5997  N N   . TYR A 1 759 ? 284.929 -16.583 318.134 1.0 74.61891  ? 759 TYR A N   759 TYR A N   1 
ATOM 5998  C CA  . TYR A 1 759 ? 284.542 -17.786 317.400 1.0 74.61891  ? 759 TYR A CA  759 TYR A CA  1 
ATOM 5999  C C   . TYR A 1 759 ? 285.428 -17.873 316.167 1.0 74.61891  ? 759 TYR A C   759 TYR A C   1 
ATOM 6000  O O   . TYR A 1 759 ? 285.048 -17.427 315.080 1.0 74.61891  ? 759 TYR A O   759 TYR A O   1 
ATOM 6001  C CB  . TYR A 1 759 ? 283.064 -17.731 317.006 1.0 74.61891  ? 759 TYR A CB  759 TYR A CB  1 
ATOM 6002  C CG  . TYR A 1 759 ? 282.073 -17.827 318.147 1.0 74.61891  ? 759 TYR A CG  759 TYR A CG  1 
ATOM 6003  C CD1 . TYR A 1 759 ? 282.416 -18.420 319.355 1.0 74.61891  ? 759 TYR A CD1 759 TYR A CD1 1 
ATOM 6004  C CD2 . TYR A 1 759 ? 280.799 -17.292 318.022 1.0 74.61891  ? 759 TYR A CD2 759 TYR A CD2 1 
ATOM 6005  C CE1 . TYR A 1 759 ? 281.508 -18.497 320.397 1.0 74.61891  ? 759 TYR A CE1 759 TYR A CE1 1 
ATOM 6006  C CE2 . TYR A 1 759 ? 279.890 -17.358 319.057 1.0 74.61891  ? 759 TYR A CE2 759 TYR A CE2 1 
ATOM 6007  C CZ  . TYR A 1 759 ? 280.247 -17.965 320.240 1.0 74.61891  ? 759 TYR A CZ  759 TYR A CZ  1 
ATOM 6008  O OH  . TYR A 1 759 ? 279.340 -18.034 321.272 1.0 74.61891  ? 759 TYR A OH  759 TYR A OH  1 
ATOM 6009  N N   . PRO A 1 760 ? 286.636 -18.418 316.307 1.0 72.22569  ? 760 PRO A N   760 PRO A N   1 
ATOM 6010  C CA  . PRO A 1 760 ? 287.562 -18.439 315.168 1.0 72.22569  ? 760 PRO A CA  760 PRO A CA  1 
ATOM 6011  C C   . PRO A 1 760 ? 287.139 -19.450 314.113 1.0 72.22569  ? 760 PRO A C   760 PRO A C   1 
ATOM 6012  O O   . PRO A 1 760 ? 286.924 -20.628 314.402 1.0 72.22569  ? 760 PRO A O   760 PRO A O   1 
ATOM 6013  C CB  . PRO A 1 760 ? 288.903 -18.808 315.810 1.0 72.22569  ? 760 PRO A CB  760 PRO A CB  1 
ATOM 6014  C CG  . PRO A 1 760 ? 288.540 -19.542 317.038 1.0 72.22569  ? 760 PRO A CG  760 PRO A CG  1 
ATOM 6015  C CD  . PRO A 1 760 ? 287.273 -18.923 317.536 1.0 72.22569  ? 760 PRO A CD  760 PRO A CD  1 
ATOM 6016  N N   . ASN A 1 761 ? 287.006 -18.967 312.883 1.0 71.65527  ? 761 ASN A N   761 ASN A N   1 
ATOM 6017  C CA  . ASN A 1 761 ? 286.640 -19.805 311.746 1.0 71.65527  ? 761 ASN A CA  761 ASN A CA  1 
ATOM 6018  C C   . ASN A 1 761 ? 287.848 -20.655 311.386 1.0 71.65527  ? 761 ASN A C   761 ASN A C   1 
ATOM 6019  O O   . ASN A 1 761 ? 288.748 -20.209 310.672 1.0 71.65527  ? 761 ASN A O   761 ASN A O   1 
ATOM 6020  C CB  . ASN A 1 761 ? 286.195 -18.941 310.573 1.0 71.65527  ? 761 ASN A CB  761 ASN A CB  1 
ATOM 6021  C CG  . ASN A 1 761 ? 285.561 -19.741 309.455 1.0 71.65527  ? 761 ASN A CG  761 ASN A CG  1 
ATOM 6022  O OD1 . ASN A 1 761 ? 285.412 -20.958 309.544 1.0 71.65527  ? 761 ASN A OD1 761 ASN A OD1 1 
ATOM 6023  N ND2 . ASN A 1 761 ? 285.192 -19.055 308.383 1.0 71.65527  ? 761 ASN A ND2 761 ASN A ND2 1 
ATOM 6024  N N   . LEU A 1 762 ? 287.870 -21.892 311.880 1.0 70.91823  ? 762 LEU A N   762 LEU A N   1 
ATOM 6025  C CA  . LEU A 1 762 ? 288.991 -22.779 311.605 1.0 70.91823  ? 762 LEU A CA  762 LEU A CA  1 
ATOM 6026  C C   . LEU A 1 762 ? 288.965 -23.314 310.184 1.0 70.91823  ? 762 LEU A C   762 LEU A C   1 
ATOM 6027  O O   . LEU A 1 762 ? 290.007 -23.736 309.675 1.0 70.91823  ? 762 LEU A O   762 LEU A O   1 
ATOM 6028  C CB  . LEU A 1 762 ? 288.990 -23.941 312.593 1.0 70.91823  ? 762 LEU A CB  762 LEU A CB  1 
ATOM 6029  C CG  . LEU A 1 762 ? 289.143 -23.537 314.055 1.0 70.91823  ? 762 LEU A CG  762 LEU A CG  1 
ATOM 6030  C CD1 . LEU A 1 762 ? 289.028 -24.748 314.954 1.0 70.91823  ? 762 LEU A CD1 762 LEU A CD1 1 
ATOM 6031  C CD2 . LEU A 1 762 ? 290.459 -22.828 314.273 1.0 70.91823  ? 762 LEU A CD2 762 LEU A CD2 1 
ATOM 6032  N N   . MET A 1 763 ? 287.801 -23.305 309.533 1.0 73.1154   ? 763 MET A N   763 MET A N   1 
ATOM 6033  C CA  . MET A 1 763 ? 287.708 -23.830 308.177 1.0 73.1154   ? 763 MET A CA  763 MET A CA  1 
ATOM 6034  C C   . MET A 1 763 ? 288.333 -22.874 307.171 1.0 73.1154   ? 763 MET A C   763 MET A C   1 
ATOM 6035  O O   . MET A 1 763 ? 289.000 -23.309 306.226 1.0 73.1154   ? 763 MET A O   763 MET A O   1 
ATOM 6036  C CB  . MET A 1 763 ? 286.249 -24.104 307.824 1.0 73.1154   ? 763 MET A CB  763 MET A CB  1 
ATOM 6037  C CG  . MET A 1 763 ? 286.063 -24.827 306.509 1.0 73.1154   ? 763 MET A CG  763 MET A CG  1 
ATOM 6038  S SD  . MET A 1 763 ? 286.753 -26.487 306.547 1.0 73.1154   ? 763 MET A SD  763 MET A SD  1 
ATOM 6039  C CE  . MET A 1 763 ? 287.032 -26.765 304.804 1.0 73.1154   ? 763 MET A CE  763 MET A CE  1 
ATOM 6040  N N   . ALA A 1 764 ? 288.134 -21.569 307.357 1.0 72.16595  ? 764 ALA A N   764 ALA A N   1 
ATOM 6041  C CA  . ALA A 1 764 ? 288.795 -20.602 306.489 1.0 72.16595  ? 764 ALA A CA  764 ALA A CA  1 
ATOM 6042  C C   . ALA A 1 764 ? 290.280 -20.505 306.797 1.0 72.16595  ? 764 ALA A C   764 ALA A C   1 
ATOM 6043  O O   . ALA A 1 764 ? 291.074 -20.168 305.913 1.0 72.16595  ? 764 ALA A O   764 ALA A O   1 
ATOM 6044  C CB  . ALA A 1 764 ? 288.135 -19.231 306.624 1.0 72.16595  ? 764 ALA A CB  764 ALA A CB  1 
ATOM 6045  N N   . ALA A 1 765 ? 290.674 -20.794 308.038 1.0 73.28165  ? 765 ALA A N   765 ALA A N   1 
ATOM 6046  C CA  . ALA A 1 765 ? 292.093 -20.839 308.363 1.0 73.28165  ? 765 ALA A CA  765 ALA A CA  1 
ATOM 6047  C C   . ALA A 1 765 ? 292.744 -22.103 307.825 1.0 73.28165  ? 765 ALA A C   765 ALA A C   1 
ATOM 6048  O O   . ALA A 1 765 ? 293.954 -22.117 307.576 1.0 73.28165  ? 765 ALA A O   765 ALA A O   1 
ATOM 6049  C CB  . ALA A 1 765 ? 292.291 -20.739 309.874 1.0 73.28165  ? 765 ALA A CB  765 ALA A CB  1 
ATOM 6050  N N   . TYR A 1 766 ? 291.966 -23.169 307.640 1.0 74.57882  ? 766 TYR A N   766 TYR A N   1 
ATOM 6051  C CA  . TYR A 1 766 ? 292.521 -24.394 307.080 1.0 74.57882  ? 766 TYR A CA  766 TYR A CA  1 
ATOM 6052  C C   . TYR A 1 766 ? 292.755 -24.258 305.584 1.0 74.57882  ? 766 TYR A C   766 TYR A C   1 
ATOM 6053  O O   . TYR A 1 766 ? 293.716 -24.819 305.046 1.0 74.57882  ? 766 TYR A O   766 TYR A O   1 
ATOM 6054  C CB  . TYR A 1 766 ? 291.597 -25.573 307.370 1.0 74.57882  ? 766 TYR A CB  766 TYR A CB  1 
ATOM 6055  C CG  . TYR A 1 766 ? 292.110 -26.880 306.824 1.0 74.57882  ? 766 TYR A CG  766 TYR A CG  1 
ATOM 6056  C CD1 . TYR A 1 766 ? 293.186 -27.523 307.416 1.0 74.57882  ? 766 TYR A CD1 766 TYR A CD1 1 
ATOM 6057  C CD2 . TYR A 1 766 ? 291.517 -27.472 305.718 1.0 74.57882  ? 766 TYR A CD2 766 TYR A CD2 1 
ATOM 6058  C CE1 . TYR A 1 766 ? 293.662 -28.716 306.920 1.0 74.57882  ? 766 TYR A CE1 766 TYR A CE1 1 
ATOM 6059  C CE2 . TYR A 1 766 ? 291.985 -28.665 305.214 1.0 74.57882  ? 766 TYR A CE2 766 TYR A CE2 1 
ATOM 6060  C CZ  . TYR A 1 766 ? 293.057 -29.282 305.820 1.0 74.57882  ? 766 TYR A CZ  766 TYR A CZ  1 
ATOM 6061  O OH  . TYR A 1 766 ? 293.526 -30.473 305.321 1.0 74.57882  ? 766 TYR A OH  766 TYR A OH  1 
ATOM 6062  N N   . LEU A 1 767 ? 291.890 -23.516 304.895 1.0 74.63551  ? 767 LEU A N   767 LEU A N   1 
ATOM 6063  C CA  . LEU A 1 767 ? 292.020 -23.353 303.454 1.0 74.63551  ? 767 LEU A CA  767 LEU A CA  1 
ATOM 6064  C C   . LEU A 1 767 ? 293.126 -22.385 303.066 1.0 74.63551  ? 767 LEU A C   767 LEU A C   1 
ATOM 6065  O O   . LEU A 1 767 ? 293.505 -22.348 301.891 1.0 74.63551  ? 767 LEU A O   767 LEU A O   1 
ATOM 6066  C CB  . LEU A 1 767 ? 290.699 -22.878 302.855 1.0 74.63551  ? 767 LEU A CB  767 LEU A CB  1 
ATOM 6067  C CG  . LEU A 1 767 ? 289.549 -23.878 302.932 1.0 74.63551  ? 767 LEU A CG  767 LEU A CG  1 
ATOM 6068  C CD1 . LEU A 1 767 ? 288.265 -23.241 302.439 1.0 74.63551  ? 767 LEU A CD1 767 LEU A CD1 1 
ATOM 6069  C CD2 . LEU A 1 767 ? 289.875 -25.119 302.129 1.0 74.63551  ? 767 LEU A CD2 767 LEU A CD2 1 
ATOM 6070  N N   . ALA A 1 768 ? 293.630 -21.591 304.013 1.0 77.25971  ? 768 ALA A N   768 ALA A N   1 
ATOM 6071  C CA  . ALA A 1 768 ? 294.801 -20.763 303.750 1.0 77.25971  ? 768 ALA A CA  768 ALA A CA  1 
ATOM 6072  C C   . ALA A 1 768 ? 296.021 -21.639 303.484 1.0 77.25971  ? 768 ALA A C   768 ALA A C   1 
ATOM 6073  O O   . ALA A 1 768 ? 296.630 -21.571 302.412 1.0 77.25971  ? 768 ALA A O   768 ALA A O   1 
ATOM 6074  C CB  . ALA A 1 768 ? 295.054 -19.821 304.928 1.0 77.25971  ? 768 ALA A CB  768 ALA A CB  1 
ATOM 6075  N N   . ASN A 1 769 ? 296.385 -22.475 304.449 1.0 79.06329  ? 769 ASN A N   769 ASN A N   1 
ATOM 6076  C CA  . ASN A 1 769 ? 297.388 -23.520 304.251 1.0 79.06329  ? 769 ASN A CA  769 ASN A CA  1 
ATOM 6077  C C   . ASN A 1 769 ? 296.931 -24.795 304.947 1.0 79.06329  ? 769 ASN A C   769 ASN A C   1 
ATOM 6078  O O   . ASN A 1 769 ? 296.750 -24.793 306.181 1.0 79.06329  ? 769 ASN A O   769 ASN A O   1 
ATOM 6079  C CB  . ASN A 1 769 ? 298.778 -23.078 304.720 1.0 79.06329  ? 769 ASN A CB  769 ASN A CB  1 
ATOM 6080  C CG  . ASN A 1 769 ? 298.782 -22.422 306.094 1.0 79.06329  ? 769 ASN A CG  769 ASN A CG  1 
ATOM 6081  O OD1 . ASN A 1 769 ? 297.738 -22.191 306.700 1.0 79.06329  ? 769 ASN A OD1 769 ASN A OD1 1 
ATOM 6082  N ND2 . ASN A 1 769 ? 299.981 -22.133 306.598 1.0 79.06329  ? 769 ASN A ND2 769 ASN A ND2 1 
ATOM 6083  N N   . PRO A 1 770 ? 296.708 -25.894 304.218 1.0 78.75475  ? 770 PRO A N   770 PRO A N   1 
ATOM 6084  C CA  . PRO A 1 770 ? 296.294 -27.135 304.884 1.0 78.75475  ? 770 PRO A CA  770 PRO A CA  1 
ATOM 6085  C C   . PRO A 1 770 ? 297.431 -27.871 305.572 1.0 78.75475  ? 770 PRO A C   770 PRO A C   1 
ATOM 6086  O O   . PRO A 1 770 ? 297.174 -28.890 306.229 1.0 78.75475  ? 770 PRO A O   770 PRO A O   1 
ATOM 6087  C CB  . PRO A 1 770 ? 295.714 -27.969 303.735 1.0 78.75475  ? 770 PRO A CB  770 PRO A CB  1 
ATOM 6088  C CG  . PRO A 1 770 ? 296.457 -27.517 302.542 1.0 78.75475  ? 770 PRO A CG  770 PRO A CG  1 
ATOM 6089  C CD  . PRO A 1 770 ? 296.732 -26.043 302.752 1.0 78.75475  ? 770 PRO A CD  770 PRO A CD  1 
ATOM 6090  N N   . GLN A 1 771 ? 298.669 -27.390 305.448 1.0 81.97377  ? 771 GLN A N   771 GLN A N   1 
ATOM 6091  C CA  . GLN A 1 771 ? 299.800 -28.086 306.048 1.0 81.97377  ? 771 GLN A CA  771 GLN A CA  1 
ATOM 6092  C C   . GLN A 1 771 ? 299.805 -27.929 307.563 1.0 81.97377  ? 771 GLN A C   771 GLN A C   1 
ATOM 6093  O O   . GLN A 1 771 ? 300.325 -28.794 308.276 1.0 81.97377  ? 771 GLN A O   771 GLN A O   1 
ATOM 6094  C CB  . GLN A 1 771 ? 301.104 -27.590 305.419 1.0 81.97377  ? 771 GLN A CB  771 GLN A CB  1 
ATOM 6095  C CG  . GLN A 1 771 ? 301.388 -26.101 305.565 1.0 81.97377  ? 771 GLN A CG  771 GLN A CG  1 
ATOM 6096  C CD  . GLN A 1 771 ? 302.194 -25.778 306.801 1.0 81.97377  ? 771 GLN A CD  771 GLN A CD  1 
ATOM 6097  O OE1 . GLN A 1 771 ? 302.981 -26.600 307.268 1.0 81.97377  ? 771 GLN A OE1 771 GLN A OE1 1 
ATOM 6098  N NE2 . GLN A 1 771 ? 302.007 -24.579 307.338 1.0 81.97377  ? 771 GLN A NE2 771 GLN A NE2 1 
ATOM 6099  N N   . THR A 1 772 ? 299.237 -26.837 308.068 1.0 79.67111  ? 772 THR A N   772 THR A N   1 
ATOM 6100  C CA  . THR A 1 772 ? 298.944 -26.739 309.490 1.0 79.67111  ? 772 THR A CA  772 THR A CA  1 
ATOM 6101  C C   . THR A 1 772 ? 297.544 -27.285 309.751 1.0 79.67111  ? 772 THR A C   772 THR A C   1 
ATOM 6102  O O   . THR A 1 772 ? 296.719 -27.382 308.838 1.0 79.67111  ? 772 THR A O   772 THR A O   1 
ATOM 6103  C CB  . THR A 1 772 ? 299.066 -25.290 309.974 1.0 79.67111  ? 772 THR A CB  772 THR A CB  1 
ATOM 6104  O OG1 . THR A 1 772 ? 298.956 -25.249 311.400 1.0 79.67111  ? 772 THR A OG1 772 THR A OG1 1 
ATOM 6105  C CG2 . THR A 1 772 ? 297.976 -24.420 309.391 1.0 79.67111  ? 772 THR A CG2 772 THR A CG2 1 
ATOM 6106  N N   . MET A 1 773 ? 297.288 -27.692 310.991 1.0 77.95491  ? 773 MET A N   773 MET A N   1 
ATOM 6107  C CA  . MET A 1 773 ? 296.028 -28.353 311.292 1.0 77.95491  ? 773 MET A CA  773 MET A CA  1 
ATOM 6108  C C   . MET A 1 773 ? 295.272 -27.556 312.339 1.0 77.95491  ? 773 MET A C   773 MET A C   1 
ATOM 6109  O O   . MET A 1 773 ? 295.537 -27.725 313.539 1.0 77.95491  ? 773 MET A O   773 MET A O   1 
ATOM 6110  C CB  . MET A 1 773 ? 296.267 -29.774 311.789 1.0 77.95491  ? 773 MET A CB  773 MET A CB  1 
ATOM 6111  C CG  . MET A 1 773 ? 296.914 -30.721 310.792 1.0 77.95491  ? 773 MET A CG  773 MET A CG  1 
ATOM 6112  S SD  . MET A 1 773 ? 298.674 -30.399 310.580 1.0 77.95491  ? 773 MET A SD  773 MET A SD  1 
ATOM 6113  C CE  . MET A 1 773 ? 299.228 -31.952 309.910 1.0 77.95491  ? 773 MET A CE  773 MET A CE  1 
ATOM 6114  N N   . PRO A 1 774 ? 294.348 -26.693 311.959 1.0 74.30056  ? 774 PRO A N   774 PRO A N   1 
ATOM 6115  C CA  . PRO A 1 774 ? 293.507 -26.041 312.966 1.0 74.30056  ? 774 PRO A CA  774 PRO A CA  1 
ATOM 6116  C C   . PRO A 1 774 ? 292.341 -26.916 313.394 1.0 74.30056  ? 774 PRO A C   774 PRO A C   1 
ATOM 6117  O O   . PRO A 1 774 ? 291.813 -26.759 314.498 1.0 74.30056  ? 774 PRO A O   774 PRO A O   1 
ATOM 6118  C CB  . PRO A 1 774 ? 293.029 -24.774 312.250 1.0 74.30056  ? 774 PRO A CB  774 PRO A CB  1 
ATOM 6119  C CG  . PRO A 1 774 ? 293.041 -25.140 310.815 1.0 74.30056  ? 774 PRO A CG  774 PRO A CG  1 
ATOM 6120  C CD  . PRO A 1 774 ? 294.193 -26.082 310.629 1.0 74.30056  ? 774 PRO A CD  774 PRO A CD  1 
ATOM 6121  N N   . ILE A 1 775 ? 291.936 -27.849 312.539 1.0 72.11085  ? 775 ILE A N   775 ILE A N   1 
ATOM 6122  C CA  . ILE A 1 775 ? 290.750 -28.665 312.766 1.0 72.11085  ? 775 ILE A CA  775 ILE A CA  1 
ATOM 6123  C C   . ILE A 1 775 ? 291.190 -29.997 313.348 1.0 72.11085  ? 775 ILE A C   775 ILE A C   1 
ATOM 6124  O O   . ILE A 1 775 ? 291.953 -30.737 312.716 1.0 72.11085  ? 775 ILE A O   775 ILE A O   1 
ATOM 6125  C CB  . ILE A 1 775 ? 289.944 -28.865 311.475 1.0 72.11085  ? 775 ILE A CB  775 ILE A CB  1 
ATOM 6126  C CG1 . ILE A 1 775 ? 289.397 -27.528 310.984 1.0 72.11085  ? 775 ILE A CG1 775 ILE A CG1 1 
ATOM 6127  C CG2 . ILE A 1 775 ? 288.811 -29.838 311.702 1.0 72.11085  ? 775 ILE A CG2 775 ILE A CG2 1 
ATOM 6128  C CD1 . ILE A 1 775 ? 288.792 -27.593 309.610 1.0 72.11085  ? 775 ILE A CD1 775 ILE A CD1 1 
ATOM 6129  N N   . TRP A 1 776 ? 290.717 -30.299 314.551 1.0 72.70844  ? 776 TRP A N   776 TRP A N   1 
ATOM 6130  C CA  . TRP A 1 776 ? 291.011 -31.556 315.232 1.0 72.70844  ? 776 TRP A CA  776 TRP A CA  1 
ATOM 6131  C C   . TRP A 1 776 ? 289.684 -32.282 315.396 1.0 72.70844  ? 776 TRP A C   776 TRP A C   1 
ATOM 6132  O O   . TRP A 1 776 ? 288.842 -31.870 316.193 1.0 72.70844  ? 776 TRP A O   776 TRP A O   1 
ATOM 6133  C CB  . TRP A 1 776 ? 291.674 -31.319 316.586 1.0 72.70844  ? 776 TRP A CB  776 TRP A CB  1 
ATOM 6134  C CG  . TRP A 1 776 ? 292.999 -30.655 316.513 1.0 72.70844  ? 776 TRP A CG  776 TRP A CG  1 
ATOM 6135  C CD1 . TRP A 1 776 ? 293.761 -30.463 315.401 1.0 72.70844  ? 776 TRP A CD1 776 TRP A CD1 1 
ATOM 6136  C CD2 . TRP A 1 776 ? 293.713 -30.056 317.595 1.0 72.70844  ? 776 TRP A CD2 776 TRP A CD2 1 
ATOM 6137  N NE1 . TRP A 1 776 ? 294.910 -29.793 315.724 1.0 72.70844  ? 776 TRP A NE1 776 TRP A NE1 1 
ATOM 6138  C CE2 . TRP A 1 776 ? 294.907 -29.534 317.068 1.0 72.70844  ? 776 TRP A CE2 776 TRP A CE2 1 
ATOM 6139  C CE3 . TRP A 1 776 ? 293.462 -29.917 318.961 1.0 72.70844  ? 776 TRP A CE3 776 TRP A CE3 1 
ATOM 6140  C CZ2 . TRP A 1 776 ? 295.844 -28.879 317.855 1.0 72.70844  ? 776 TRP A CZ2 776 TRP A CZ2 1 
ATOM 6141  C CZ3 . TRP A 1 776 ? 294.396 -29.272 319.742 1.0 72.70844  ? 776 TRP A CZ3 776 TRP A CZ3 1 
ATOM 6142  C CH2 . TRP A 1 776 ? 295.572 -28.760 319.188 1.0 72.70844  ? 776 TRP A CH2 776 TRP A CH2 1 
ATOM 6143  N N   . ASN A 1 777 ? 289.485 -33.341 314.622 1.0 69.31695  ? 777 ASN A N   777 ASN A N   1 
ATOM 6144  C CA  . ASN A 1 777 ? 288.326 -34.203 314.785 1.0 69.31695  ? 777 ASN A CA  777 ASN A CA  1 
ATOM 6145  C C   . ASN A 1 777 ? 288.766 -35.589 314.355 1.0 69.31695  ? 777 ASN A C   777 ASN A C   1 
ATOM 6146  O O   . ASN A 1 777 ? 289.601 -35.706 313.455 1.0 69.31695  ? 777 ASN A O   777 ASN A O   1 
ATOM 6147  C CB  . ASN A 1 777 ? 287.124 -33.710 313.973 1.0 69.31695  ? 777 ASN A CB  777 ASN A CB  1 
ATOM 6148  C CG  . ASN A 1 777 ? 285.829 -34.366 314.396 1.0 69.31695  ? 777 ASN A CG  777 ASN A CG  1 
ATOM 6149  O OD1 . ASN A 1 777 ? 285.812 -35.228 315.269 1.0 69.31695  ? 777 ASN A OD1 777 ASN A OD1 1 
ATOM 6150  N ND2 . ASN A 1 777 ? 284.730 -33.947 313.789 1.0 69.31695  ? 777 ASN A ND2 777 ASN A ND2 1 
ATOM 6151  N N   . ASN A 1 778 ? 288.266 -36.604 315.081 1.0 70.35899  ? 778 ASN A N   778 ASN A N   1 
ATOM 6152  C CA  . ASN A 1 778 ? 288.642 -38.026 315.127 1.0 70.35899  ? 778 ASN A CA  778 ASN A CA  1 
ATOM 6153  C C   . ASN A 1 778 ? 290.124 -38.260 314.860 1.0 70.35899  ? 778 ASN A C   778 ASN A C   1 
ATOM 6154  O O   . ASN A 1 778 ? 290.509 -39.123 314.066 1.0 70.35899  ? 778 ASN A O   778 ASN A O   1 
ATOM 6155  C CB  . ASN A 1 778 ? 287.716 -38.922 314.268 1.0 70.35899  ? 778 ASN A CB  778 ASN A CB  1 
ATOM 6156  C CG  . ASN A 1 778 ? 287.722 -38.630 312.781 1.0 70.35899  ? 778 ASN A CG  778 ASN A CG  1 
ATOM 6157  O OD1 . ASN A 1 778 ? 288.569 -37.939 312.250 1.0 70.35899  ? 778 ASN A OD1 778 ASN A OD1 1 
ATOM 6158  N ND2 . ASN A 1 778 ? 286.729 -39.180 312.096 1.0 70.35899  ? 778 ASN A ND2 778 ASN A ND2 1 
ATOM 6159  N N   . CYS A 1 779 ? 290.954 -37.482 315.546 1.0 71.76393  ? 779 CYS A N   779 CYS A N   1 
ATOM 6160  C CA  . CYS A 1 779 ? 292.391 -37.655 315.469 1.0 71.76393  ? 779 CYS A CA  779 CYS A CA  1 
ATOM 6161  C C   . CYS A 1 779 ? 292.803 -38.843 316.319 1.0 71.76393  ? 779 CYS A C   779 CYS A C   1 
ATOM 6162  O O   . CYS A 1 779 ? 292.201 -39.127 317.357 1.0 71.76393  ? 779 CYS A O   779 CYS A O   1 
ATOM 6163  C CB  . CYS A 1 779 ? 293.096 -36.384 315.928 1.0 71.76393  ? 779 CYS A CB  779 CYS A CB  1 
ATOM 6164  S SG  . CYS A 1 779 ? 292.740 -35.907 317.624 1.0 71.76393  ? 779 CYS A SG  779 CYS A SG  1 
ATOM 6165  N N   . GLY A 1 780 ? 293.819 -39.556 315.861 1.0 73.13988  ? 780 GLY A N   780 GLY A N   1 
ATOM 6166  C CA  . GLY A 1 780 ? 294.211 -40.804 316.456 1.0 73.13988  ? 780 GLY A CA  780 GLY A CA  1 
ATOM 6167  C C   . GLY A 1 780 ? 293.639 -42.013 315.761 1.0 73.13988  ? 780 GLY A C   780 GLY A C   1 
ATOM 6168  O O   . GLY A 1 780 ? 294.177 -43.114 315.908 1.0 73.13988  ? 780 GLY A O   780 GLY A O   1 
ATOM 6169  N N   . PHE A 1 781 ? 292.566 -41.833 315.001 1.0 71.46092  ? 781 PHE A N   781 PHE A N   1 
ATOM 6170  C CA  . PHE A 1 781 ? 291.943 -42.932 314.287 1.0 71.46092  ? 781 PHE A CA  781 PHE A CA  1 
ATOM 6171  C C   . PHE A 1 781 ? 291.915 -42.686 312.783 1.0 71.46092  ? 781 PHE A C   781 PHE A C   1 
ATOM 6172  O O   . PHE A 1 781 ? 291.233 -43.418 312.056 1.0 71.46092  ? 781 PHE A O   781 PHE A O   1 
ATOM 6173  C CB  . PHE A 1 781 ? 290.533 -43.157 314.835 1.0 71.46092  ? 781 PHE A CB  781 PHE A CB  1 
ATOM 6174  C CG  . PHE A 1 781 ? 290.494 -43.441 316.310 1.0 71.46092  ? 781 PHE A CG  781 PHE A CG  1 
ATOM 6175  C CD1 . PHE A 1 781 ? 290.847 -44.690 316.792 1.0 71.46092  ? 781 PHE A CD1 781 PHE A CD1 1 
ATOM 6176  C CD2 . PHE A 1 781 ? 290.097 -42.474 317.215 1.0 71.46092  ? 781 PHE A CD2 781 PHE A CD2 1 
ATOM 6177  C CE1 . PHE A 1 781 ? 290.782 -44.973 318.124 1.0 71.46092  ? 781 PHE A CE1 781 PHE A CE1 1 
ATOM 6178  C CE2 . PHE A 1 781 ? 290.054 -42.764 318.569 1.0 71.46092  ? 781 PHE A CE2 781 PHE A CE2 1 
ATOM 6179  C CZ  . PHE A 1 781 ? 290.406 -44.018 319.023 1.0 71.46092  ? 781 PHE A CZ  781 PHE A CZ  1 
ATOM 6180  N N   . GLN A 1 782 ? 292.624 -41.667 312.305 1.0 72.50002  ? 782 GLN A N   782 GLN A N   1 
ATOM 6181  C CA  . GLN A 1 782 ? 292.851 -41.465 310.880 1.0 72.50002  ? 782 GLN A CA  782 GLN A CA  1 
ATOM 6182  C C   . GLN A 1 782 ? 294.149 -40.684 310.711 1.0 72.50002  ? 782 GLN A C   782 GLN A C   1 
ATOM 6183  O O   . GLN A 1 782 ? 294.794 -40.288 311.686 1.0 72.50002  ? 782 GLN A O   782 GLN A O   1 
ATOM 6184  C CB  . GLN A 1 782 ? 291.688 -40.733 310.211 1.0 72.50002  ? 782 GLN A CB  782 GLN A CB  1 
ATOM 6185  C CG  . GLN A 1 782 ? 291.531 -39.293 310.640 1.0 72.50002  ? 782 GLN A CG  782 GLN A CG  1 
ATOM 6186  C CD  . GLN A 1 782 ? 290.419 -38.604 309.887 1.0 72.50002  ? 782 GLN A CD  782 GLN A CD  1 
ATOM 6187  O OE1 . GLN A 1 782 ? 289.776 -39.202 309.023 1.0 72.50002  ? 782 GLN A OE1 782 GLN A OE1 1 
ATOM 6188  N NE2 . GLN A 1 782 ? 290.191 -37.339 310.199 1.0 72.50002  ? 782 GLN A NE2 782 GLN A NE2 1 
ATOM 6189  N N   . GLN A 1 783 ? 294.521 -40.460 309.456 1.0 76.13702  ? 783 GLN A N   783 GLN A N   1 
ATOM 6190  C CA  . GLN A 1 783 ? 295.714 -39.705 309.115 1.0 76.13702  ? 783 GLN A CA  783 GLN A CA  1 
ATOM 6191  C C   . GLN A 1 783 ? 295.504 -38.226 309.438 1.0 76.13702  ? 783 GLN A C   783 GLN A C   1 
ATOM 6192  O O   . GLN A 1 783 ? 294.373 -37.740 309.541 1.0 76.13702  ? 783 GLN A O   783 GLN A O   1 
ATOM 6193  C CB  . GLN A 1 783 ? 296.034 -39.920 307.632 1.0 76.13702  ? 783 GLN A CB  783 GLN A CB  1 
ATOM 6194  C CG  . GLN A 1 783 ? 297.356 -39.370 307.082 1.0 76.13702  ? 783 GLN A CG  783 GLN A CG  1 
ATOM 6195  C CD  . GLN A 1 783 ? 298.570 -39.898 307.803 1.0 76.13702  ? 783 GLN A CD  783 GLN A CD  1 
ATOM 6196  O OE1 . GLN A 1 783 ? 299.240 -39.167 308.528 1.0 76.13702  ? 783 GLN A OE1 783 GLN A OE1 1 
ATOM 6197  N NE2 . GLN A 1 783 ? 298.858 -41.177 307.614 1.0 76.13702  ? 783 GLN A NE2 783 GLN A NE2 1 
ATOM 6198  N N   . LYS A 1 784 ? 296.617 -37.520 309.637 1.0 76.92224  ? 784 LYS A N   784 LYS A N   1 
ATOM 6199  C CA  . LYS A 1 784 ? 296.600 -36.067 309.725 1.0 76.92224  ? 784 LYS A CA  784 LYS A CA  1 
ATOM 6200  C C   . LYS A 1 784 ? 296.068 -35.450 308.436 1.0 76.92224  ? 784 LYS A C   784 LYS A C   1 
ATOM 6201  O O   . LYS A 1 784 ? 296.141 -36.040 307.356 1.0 76.92224  ? 784 LYS A O   784 LYS A O   1 
ATOM 6202  C CB  . LYS A 1 784 ? 298.004 -35.543 310.011 1.0 76.92224  ? 784 LYS A CB  784 LYS A CB  1 
ATOM 6203  C CG  . LYS A 1 784 ? 299.015 -35.860 308.933 1.0 76.92224  ? 784 LYS A CG  784 LYS A CG  1 
ATOM 6204  C CD  . LYS A 1 784 ? 300.405 -35.444 309.357 1.0 76.92224  ? 784 LYS A CD  784 LYS A CD  1 
ATOM 6205  C CE  . LYS A 1 784 ? 301.409 -35.684 308.248 1.0 76.92224  ? 784 LYS A CE  784 LYS A CE  1 
ATOM 6206  N NZ  . LYS A 1 784 ? 301.582 -37.133 307.954 1.0 76.92224  ? 784 LYS A NZ  784 LYS A NZ  1 
ATOM 6207  N N   . THR A 1 785 ? 295.536 -34.242 308.559 1.0 76.81183  ? 785 THR A N   785 THR A N   1 
ATOM 6208  C CA  . THR A 1 785 ? 294.771 -33.642 307.478 1.0 76.81183  ? 785 THR A CA  785 THR A CA  1 
ATOM 6209  C C   . THR A 1 785 ? 295.618 -32.848 306.494 1.0 76.81183  ? 785 THR A C   785 THR A C   1 
ATOM 6210  O O   . THR A 1 785 ? 295.055 -32.219 305.592 1.0 76.81183  ? 785 THR A O   785 THR A O   1 
ATOM 6211  C CB  . THR A 1 785 ? 293.684 -32.745 308.056 1.0 76.81183  ? 785 THR A CB  785 THR A CB  1 
ATOM 6212  O OG1 . THR A 1 785 ? 294.286 -31.703 308.831 1.0 76.81183  ? 785 THR A OG1 785 THR A OG1 1 
ATOM 6213  C CG2 . THR A 1 785 ? 292.763 -33.553 308.946 1.0 76.81183  ? 785 THR A CG2 785 THR A CG2 1 
ATOM 6214  N N   . ALA A 1 786 ? 296.942 -32.851 306.630 1.0 78.86565  ? 786 ALA A N   786 ALA A N   1 
ATOM 6215  C CA  . ALA A 1 786 ? 297.765 -32.203 305.616 1.0 78.86565  ? 786 ALA A CA  786 ALA A CA  1 
ATOM 6216  C C   . ALA A 1 786 ? 297.955 -33.114 304.412 1.0 78.86565  ? 786 ALA A C   786 ALA A C   1 
ATOM 6217  O O   . ALA A 1 786 ? 297.842 -32.677 303.261 1.0 78.86565  ? 786 ALA A O   786 ALA A O   1 
ATOM 6218  C CB  . ALA A 1 786 ? 299.115 -31.801 306.204 1.0 78.86565  ? 786 ALA A CB  786 ALA A CB  1 
ATOM 6219  N N   . THR A 1 787 ? 298.224 -34.387 304.663 1.0 79.03457  ? 787 THR A N   787 THR A N   1 
ATOM 6220  C CA  . THR A 1 787 ? 298.506 -35.356 303.616 1.0 79.03457  ? 787 THR A CA  787 THR A CA  1 
ATOM 6221  C C   . THR A 1 787 ? 297.205 -36.025 303.172 1.0 79.03457  ? 787 THR A C   787 THR A C   1 
ATOM 6222  O O   . THR A 1 787 ? 296.109 -35.520 303.430 1.0 79.03457  ? 787 THR A O   787 THR A O   1 
ATOM 6223  C CB  . THR A 1 787 ? 299.542 -36.369 304.109 1.0 79.03457  ? 787 THR A CB  787 THR A CB  1 
ATOM 6224  O OG1 . THR A 1 787 ? 299.028 -37.066 305.250 1.0 79.03457  ? 787 THR A OG1 787 THR A OG1 1 
ATOM 6225  C CG2 . THR A 1 787 ? 300.824 -35.663 304.490 1.0 79.03457  ? 787 THR A CG2 787 THR A CG2 1 
ATOM 6226  N N   . ASN A 1 788 ? 297.334 -37.144 302.464 1.0 78.69094  ? 788 ASN A N   788 ASN A N   1 
ATOM 6227  C CA  . ASN A 1 788 ? 296.208 -37.935 301.987 1.0 78.69094  ? 788 ASN A CA  788 ASN A CA  1 
ATOM 6228  C C   . ASN A 1 788 ? 295.365 -38.455 303.150 1.0 78.69094  ? 788 ASN A C   788 ASN A C   1 
ATOM 6229  O O   . ASN A 1 788 ? 295.860 -38.674 304.256 1.0 78.69094  ? 788 ASN A O   788 ASN A O   1 
ATOM 6230  C CB  . ASN A 1 788 ? 296.746 -39.105 301.165 1.0 78.69094  ? 788 ASN A CB  788 ASN A CB  1 
ATOM 6231  C CG  . ASN A 1 788 ? 295.680 -39.820 300.376 1.0 78.69094  ? 788 ASN A CG  788 ASN A CG  1 
ATOM 6232  O OD1 . ASN A 1 788 ? 294.507 -39.448 300.390 1.0 78.69094  ? 788 ASN A OD1 788 ASN A OD1 1 
ATOM 6233  N ND2 . ASN A 1 788 ? 296.087 -40.871 299.677 1.0 78.69094  ? 788 ASN A ND2 788 ASN A ND2 1 
ATOM 6234  N N   . VAL A 1 789 ? 294.071 -38.663 302.884 1.0 75.3164   ? 789 VAL A N   789 VAL A N   1 
ATOM 6235  C CA  . VAL A 1 789 ? 293.154 -39.168 303.900 1.0 75.3164   ? 789 VAL A CA  789 VAL A CA  1 
ATOM 6236  C C   . VAL A 1 789 ? 293.000 -40.683 303.811 1.0 75.3164   ? 789 VAL A C   789 VAL A C   1 
ATOM 6237  O O   . VAL A 1 789 ? 292.190 -41.275 304.539 1.0 75.3164   ? 789 VAL A O   789 VAL A O   1 
ATOM 6238  C CB  . VAL A 1 789 ? 291.804 -38.420 303.761 1.0 75.3164   ? 789 VAL A CB  789 VAL A CB  1 
ATOM 6239  C CG1 . VAL A 1 789 ? 290.960 -38.964 302.594 1.0 75.3164   ? 789 VAL A CG1 789 VAL A CG1 1 
ATOM 6240  C CG2 . VAL A 1 789 ? 291.033 -38.333 305.090 1.0 75.3164   ? 789 VAL A CG2 789 VAL A CG2 1 
ATOM 6241  N N   . LEU A 1 790 ? 293.801 -41.342 302.977 1.0 76.59946  ? 790 LEU A N   790 LEU A N   1 
ATOM 6242  C CA  . LEU A 1 790 ? 293.514 -42.691 302.519 1.0 76.59946  ? 790 LEU A CA  790 LEU A CA  1 
ATOM 6243  C C   . LEU A 1 790 ? 294.432 -43.744 303.150 1.0 76.59946  ? 790 LEU A C   790 LEU A C   1 
ATOM 6244  O O   . LEU A 1 790 ? 294.390 -44.910 302.748 1.0 76.59946  ? 790 LEU A O   790 LEU A O   1 
ATOM 6245  C CB  . LEU A 1 790 ? 293.577 -42.698 300.985 1.0 76.59946  ? 790 LEU A CB  790 LEU A CB  1 
ATOM 6246  C CG  . LEU A 1 790 ? 293.065 -43.759 300.004 1.0 76.59946  ? 790 LEU A CG  790 LEU A CG  1 
ATOM 6247  C CD1 . LEU A 1 790 ? 292.453 -43.051 298.818 1.0 76.59946  ? 790 LEU A CD1 790 LEU A CD1 1 
ATOM 6248  C CD2 . LEU A 1 790 ? 294.191 -44.654 299.508 1.0 76.59946  ? 790 LEU A CD2 790 LEU A CD2 1 
ATOM 6249  N N   . LEU A 1 791 ? 295.194 -43.392 304.187 1.0 79.74487  ? 791 LEU A N   791 LEU A N   1 
ATOM 6250  C CA  . LEU A 1 791 ? 296.132 -44.364 304.739 1.0 79.74487  ? 791 LEU A CA  791 LEU A CA  1 
ATOM 6251  C C   . LEU A 1 791 ? 296.449 -44.086 306.204 1.0 79.74487  ? 791 LEU A C   791 LEU A C   1 
ATOM 6252  O O   . LEU A 1 791 ? 296.597 -42.929 306.596 1.0 79.74487  ? 791 LEU A O   791 LEU A O   1 
ATOM 6253  C CB  . LEU A 1 791 ? 297.426 -44.376 303.908 1.0 79.74487  ? 791 LEU A CB  791 LEU A CB  1 
ATOM 6254  C CG  . LEU A 1 791 ? 298.237 -43.083 303.716 1.0 79.74487  ? 791 LEU A CG  791 LEU A CG  1 
ATOM 6255  C CD1 . LEU A 1 791 ? 299.390 -42.918 304.711 1.0 79.74487  ? 791 LEU A CD1 791 LEU A CD1 1 
ATOM 6256  C CD2 . LEU A 1 791 ? 298.739 -42.973 302.297 1.0 79.74487  ? 791 LEU A CD2 791 LEU A CD2 1 
ATOM 6257  N N   . GLU A 1 792 ? 296.522 -45.161 307.001 1.0 82.27936  ? 792 GLU A N   792 GLU A N   1 
ATOM 6258  C CA  . GLU A 1 792 ? 297.444 -45.262 308.134 1.0 82.27936  ? 792 GLU A CA  792 GLU A CA  1 
ATOM 6259  C C   . GLU A 1 792 ? 297.322 -44.207 309.228 1.0 82.27936  ? 792 GLU A C   792 GLU A C   1 
ATOM 6260  O O   . GLU A 1 792 ? 298.074 -43.227 309.215 1.0 82.27936  ? 792 GLU A O   792 GLU A O   1 
ATOM 6261  C CB  . GLU A 1 792 ? 298.876 -45.299 307.606 1.0 82.27936  ? 792 GLU A CB  792 GLU A CB  1 
ATOM 6262  C CG  . GLU A 1 792 ? 299.157 -46.601 306.882 1.0 82.27936  ? 792 GLU A CG  792 GLU A CG  1 
ATOM 6263  C CD  . GLU A 1 792 ? 300.555 -46.690 306.326 1.0 82.27936  ? 792 GLU A CD  792 GLU A CD  1 
ATOM 6264  O OE1 . GLU A 1 792 ? 301.286 -45.682 306.376 1.0 82.27936  ? 792 GLU A OE1 792 GLU A OE1 1 
ATOM 6265  O OE2 . GLU A 1 792 ? 300.923 -47.777 305.836 1.0 82.27936  ? 792 GLU A OE2 792 GLU A OE2 1 
ATOM 6266  N N   . ARG A 1 793 ? 296.305 -44.356 310.089 1.0 76.51289  ? 793 ARG A N   793 ARG A N   1 
ATOM 6267  C CA  . ARG A 1 793 ? 296.120 -43.596 311.332 1.0 76.51289  ? 793 ARG A CA  793 ARG A CA  1 
ATOM 6268  C C   . ARG A 1 793 ? 297.425 -43.349 312.093 1.0 76.51289  ? 793 ARG A C   793 ARG A C   1 
ATOM 6269  O O   . ARG A 1 793 ? 298.342 -44.178 312.096 1.0 76.51289  ? 793 ARG A O   793 ARG A O   1 
ATOM 6270  C CB  . ARG A 1 793 ? 295.110 -44.329 312.239 1.0 76.51289  ? 793 ARG A CB  793 ARG A CB  1 
ATOM 6271  C CG  . ARG A 1 793 ? 295.657 -45.502 313.087 1.0 76.51289  ? 793 ARG A CG  793 ARG A CG  1 
ATOM 6272  C CD  . ARG A 1 793 ? 295.955 -46.746 312.260 1.0 76.51289  ? 793 ARG A CD  793 ARG A CD  1 
ATOM 6273  N NE  . ARG A 1 793 ? 296.660 -47.774 313.010 1.0 76.51289  ? 793 ARG A NE  793 ARG A NE  1 
ATOM 6274  C CZ  . ARG A 1 793 ? 297.983 -47.860 313.086 1.0 76.51289  ? 793 ARG A CZ  793 ARG A CZ  1 
ATOM 6275  N NH1 . ARG A 1 793 ? 298.548 -48.821 313.792 1.0 76.51289  ? 793 ARG A NH1 793 ARG A NH1 1 
ATOM 6276  N NH2 . ARG A 1 793 ? 298.744 -46.978 312.454 1.0 76.51289  ? 793 ARG A NH2 793 ARG A NH2 1 
ATOM 6277  N N   . CYS A 1 794 ? 297.534 -42.151 312.672 1.0 79.27022  ? 794 CYS A N   794 CYS A N   1 
ATOM 6278  C CA  . CYS A 1 794 ? 298.836 -41.667 313.105 1.0 79.27022  ? 794 CYS A CA  794 CYS A CA  1 
ATOM 6279  C C   . CYS A 1 794 ? 298.880 -40.928 314.438 1.0 79.27022  ? 794 CYS A C   794 CYS A C   1 
ATOM 6280  O O   . CYS A 1 794 ? 299.979 -40.714 314.955 1.0 79.27022  ? 794 CYS A O   794 CYS A O   1 
ATOM 6281  C CB  . CYS A 1 794 ? 299.416 -40.760 312.015 1.0 79.27022  ? 794 CYS A CB  794 CYS A CB  1 
ATOM 6282  S SG  . CYS A 1 794 ? 298.398 -39.322 311.675 1.0 79.27022  ? 794 CYS A SG  794 CYS A SG  1 
ATOM 6283  N N   . GLY A 1 795 ? 297.750 -40.514 315.010 1.0 77.02511  ? 795 GLY A N   795 GLY A N   1 
ATOM 6284  C CA  . GLY A 1 795 ? 297.754 -39.659 316.169 1.0 77.02511  ? 795 GLY A CA  795 GLY A CA  1 
ATOM 6285  C C   . GLY A 1 795 ? 297.504 -40.401 317.466 1.0 77.02511  ? 795 GLY A C   795 GLY A C   1 
ATOM 6286  O O   . GLY A 1 795 ? 297.809 -41.591 317.609 1.0 77.02511  ? 795 GLY A O   795 GLY A O   1 
ATOM 6287  N N   . HIS A 1 796 ? 296.942 -39.679 318.429 1.0 76.10004  ? 796 HIS A N   796 HIS A N   1 
ATOM 6288  C CA  . HIS A 1 796 ? 296.488 -40.208 319.703 1.0 76.10004  ? 796 HIS A CA  796 HIS A CA  1 
ATOM 6289  C C   . HIS A 1 796 ? 295.134 -39.594 320.026 1.0 76.10004  ? 796 HIS A C   796 HIS A C   1 
ATOM 6290  O O   . HIS A 1 796 ? 294.874 -38.453 319.634 1.0 76.10004  ? 796 HIS A O   796 HIS A O   1 
ATOM 6291  C CB  . HIS A 1 796 ? 297.506 -39.909 320.817 1.0 76.10004  ? 796 HIS A CB  796 HIS A CB  1 
ATOM 6292  C CG  . HIS A 1 796 ? 297.702 -38.455 321.105 1.0 76.10004  ? 796 HIS A CG  796 HIS A CG  1 
ATOM 6293  N ND1 . HIS A 1 796 ? 296.916 -37.761 321.997 1.0 76.10004  ? 796 HIS A ND1 796 HIS A ND1 1 
ATOM 6294  C CD2 . HIS A 1 796 ? 298.618 -37.570 320.647 1.0 76.10004  ? 796 HIS A CD2 796 HIS A CD2 1 
ATOM 6295  C CE1 . HIS A 1 796 ? 297.330 -36.510 322.066 1.0 76.10004  ? 796 HIS A CE1 796 HIS A CE1 1 
ATOM 6296  N NE2 . HIS A 1 796 ? 298.364 -36.369 321.259 1.0 76.10004  ? 796 HIS A NE2 796 HIS A NE2 1 
ATOM 6297  N N   . PRO A 1 797 ? 294.241 -40.327 320.705 1.0 74.47793  ? 797 PRO A N   797 PRO A N   1 
ATOM 6298  C CA  . PRO A 1 797 ? 292.845 -39.872 320.815 1.0 74.47793  ? 797 PRO A CA  797 PRO A CA  1 
ATOM 6299  C C   . PRO A 1 797 ? 292.705 -38.659 321.723 1.0 74.47793  ? 797 PRO A C   797 PRO A C   1 
ATOM 6300  O O   . PRO A 1 797 ? 293.247 -38.624 322.828 1.0 74.47793  ? 797 PRO A O   797 PRO A O   1 
ATOM 6301  C CB  . PRO A 1 797 ? 292.119 -41.091 321.392 1.0 74.47793  ? 797 PRO A CB  797 PRO A CB  1 
ATOM 6302  C CG  . PRO A 1 797 ? 293.154 -41.823 322.131 1.0 74.47793  ? 797 PRO A CG  797 PRO A CG  1 
ATOM 6303  C CD  . PRO A 1 797 ? 294.424 -41.636 321.360 1.0 74.47793  ? 797 PRO A CD  797 PRO A CD  1 
ATOM 6304  N N   . TYR A 1 798 ? 291.962 -37.664 321.251 1.0 73.07433  ? 798 TYR A N   798 TYR A N   1 
ATOM 6305  C CA  . TYR A 1 798 ? 291.980 -36.368 321.902 1.0 73.07433  ? 798 TYR A CA  798 TYR A CA  1 
ATOM 6306  C C   . TYR A 1 798 ? 290.652 -35.664 321.657 1.0 73.07433  ? 798 TYR A C   798 TYR A C   1 
ATOM 6307  O O   . TYR A 1 798 ? 289.879 -36.040 320.773 1.0 73.07433  ? 798 TYR A O   798 TYR A O   1 
ATOM 6308  C CB  . TYR A 1 798 ? 293.174 -35.549 321.393 1.0 73.07433  ? 798 TYR A CB  798 TYR A CB  1 
ATOM 6309  C CG  . TYR A 1 798 ? 293.445 -34.257 322.121 1.0 73.07433  ? 798 TYR A CG  798 TYR A CG  1 
ATOM 6310  C CD1 . TYR A 1 798 ? 294.019 -34.255 323.383 1.0 73.07433  ? 798 TYR A CD1 798 TYR A CD1 1 
ATOM 6311  C CD2 . TYR A 1 798 ? 293.132 -33.040 321.539 1.0 73.07433  ? 798 TYR A CD2 798 TYR A CD2 1 
ATOM 6312  C CE1 . TYR A 1 798 ? 294.270 -33.071 324.046 1.0 73.07433  ? 798 TYR A CE1 798 TYR A CE1 1 
ATOM 6313  C CE2 . TYR A 1 798 ? 293.378 -31.854 322.191 1.0 73.07433  ? 798 TYR A CE2 798 TYR A CE2 1 
ATOM 6314  C CZ  . TYR A 1 798 ? 293.950 -31.874 323.442 1.0 73.07433  ? 798 TYR A CZ  798 TYR A CZ  1 
ATOM 6315  O OH  . TYR A 1 798 ? 294.195 -30.685 324.084 1.0 73.07433  ? 798 TYR A OH  798 TYR A OH  1 
ATOM 6316  N N   . VAL A 1 799 ? 290.394 -34.644 322.477 1.0 70.41705  ? 799 VAL A N   799 VAL A N   1 
ATOM 6317  C CA  . VAL A 1 799 ? 289.146 -33.897 322.425 1.0 70.41705  ? 799 VAL A CA  799 VAL A CA  1 
ATOM 6318  C C   . VAL A 1 799 ? 289.076 -33.087 321.139 1.0 70.41705  ? 799 VAL A C   799 VAL A C   1 
ATOM 6319  O O   . VAL A 1 799 ? 290.008 -32.348 320.799 1.0 70.41705  ? 799 VAL A O   799 VAL A O   1 
ATOM 6320  C CB  . VAL A 1 799 ? 289.032 -32.988 323.655 1.0 70.41705  ? 799 VAL A CB  799 VAL A CB  1 
ATOM 6321  C CG1 . VAL A 1 799 ? 287.815 -32.129 323.562 1.0 70.41705  ? 799 VAL A CG1 799 VAL A CG1 1 
ATOM 6322  C CG2 . VAL A 1 799 ? 288.962 -33.820 324.899 1.0 70.41705  ? 799 VAL A CG2 799 VAL A CG2 1 
ATOM 6323  N N   . ALA A 1 800 ? 287.966 -33.224 320.420 1.0 67.74845  ? 800 ALA A N   800 ALA A N   1 
ATOM 6324  C CA  . ALA A 1 800 ? 287.756 -32.477 319.193 1.0 67.74845  ? 800 ALA A CA  800 ALA A CA  1 
ATOM 6325  C C   . ALA A 1 800 ? 287.457 -31.011 319.488 1.0 67.74845  ? 800 ALA A C   800 ALA A C   1 
ATOM 6326  O O   . ALA A 1 800 ? 287.102 -30.632 320.605 1.0 67.74845  ? 800 ALA A O   800 ALA A O   1 
ATOM 6327  C CB  . ALA A 1 800 ? 286.613 -33.088 318.389 1.0 67.74845  ? 800 ALA A CB  800 ALA A CB  1 
ATOM 6328  N N   . ASN A 1 801 ? 287.602 -30.177 318.454 1.0 68.31198  ? 801 ASN A N   801 ASN A N   1 
ATOM 6329  C CA  . ASN A 1 801 ? 287.353 -28.749 318.604 1.0 68.31198  ? 801 ASN A CA  801 ASN A CA  1 
ATOM 6330  C C   . ASN A 1 801 ? 286.597 -28.132 317.435 1.0 68.31198  ? 801 ASN A C   801 ASN A C   1 
ATOM 6331  O O   . ASN A 1 801 ? 286.548 -26.901 317.337 1.0 68.31198  ? 801 ASN A O   801 ASN A O   1 
ATOM 6332  C CB  . ASN A 1 801 ? 288.666 -27.986 318.808 1.0 68.31198  ? 801 ASN A CB  801 ASN A CB  1 
ATOM 6333  C CG  . ASN A 1 801 ? 289.663 -28.218 317.694 1.0 68.31198  ? 801 ASN A CG  801 ASN A CG  1 
ATOM 6334  O OD1 . ASN A 1 801 ? 289.415 -28.974 316.760 1.0 68.31198  ? 801 ASN A OD1 801 ASN A OD1 1 
ATOM 6335  N ND2 . ASN A 1 801 ? 290.796 -27.539 317.775 1.0 68.31198  ? 801 ASN A ND2 801 ASN A ND2 1 
ATOM 6336  N N   . TRP A 1 802 ? 286.023 -28.932 316.543 1.0 67.77315  ? 802 TRP A N   802 TRP A N   1 
ATOM 6337  C CA  . TRP A 1 802 ? 285.408 -28.375 315.353 1.0 67.77315  ? 802 TRP A CA  802 TRP A CA  1 
ATOM 6338  C C   . TRP A 1 802 ? 284.425 -29.406 314.842 1.0 67.77315  ? 802 TRP A C   802 TRP A C   1 
ATOM 6339  O O   . TRP A 1 802 ? 284.759 -30.597 314.829 1.0 67.77315  ? 802 TRP A O   802 TRP A O   1 
ATOM 6340  C CB  . TRP A 1 802 ? 286.463 -28.050 314.292 1.0 67.77315  ? 802 TRP A CB  802 TRP A CB  1 
ATOM 6341  C CG  . TRP A 1 802 ? 285.933 -27.379 313.085 1.0 67.77315  ? 802 TRP A CG  802 TRP A CG  1 
ATOM 6342  C CD1 . TRP A 1 802 ? 285.697 -27.956 311.886 1.0 67.77315  ? 802 TRP A CD1 802 TRP A CD1 1 
ATOM 6343  C CD2 . TRP A 1 802 ? 285.572 -25.999 312.951 1.0 67.77315  ? 802 TRP A CD2 802 TRP A CD2 1 
ATOM 6344  N NE1 . TRP A 1 802 ? 285.210 -27.024 311.002 1.0 67.77315  ? 802 TRP A NE1 802 TRP A NE1 1 
ATOM 6345  C CE2 . TRP A 1 802 ? 285.120 -25.814 311.635 1.0 67.77315  ? 802 TRP A CE2 802 TRP A CE2 1 
ATOM 6346  C CE3 . TRP A 1 802 ? 285.586 -24.906 313.818 1.0 67.77315  ? 802 TRP A CE3 802 TRP A CE3 1 
ATOM 6347  C CZ2 . TRP A 1 802 ? 284.690 -24.586 311.160 1.0 67.77315  ? 802 TRP A CZ2 802 TRP A CZ2 1 
ATOM 6348  C CZ3 . TRP A 1 802 ? 285.159 -23.685 313.345 1.0 67.77315  ? 802 TRP A CZ3 802 TRP A CZ3 1 
ATOM 6349  C CH2 . TRP A 1 802 ? 284.715 -23.535 312.029 1.0 67.77315  ? 802 TRP A CH2 802 TRP A CH2 1 
ATOM 6350  N N   . PRO A 1 803 ? 283.220 -29.010 314.421 1.0 67.90075  ? 803 PRO A N   803 PRO A N   1 
ATOM 6351  C CA  . PRO A 1 803 ? 282.662 -27.659 314.316 1.0 67.90075  ? 803 PRO A CA  803 PRO A CA  1 
ATOM 6352  C C   . PRO A 1 803 ? 282.042 -27.164 315.609 1.0 67.90075  ? 803 PRO A C   803 PRO A C   1 
ATOM 6353  O O   . PRO A 1 803 ? 282.323 -27.708 316.668 1.0 67.90075  ? 803 PRO A O   803 PRO A O   1 
ATOM 6354  C CB  . PRO A 1 803 ? 281.585 -27.821 313.250 1.0 67.90075  ? 803 PRO A CB  803 PRO A CB  1 
ATOM 6355  C CG  . PRO A 1 803 ? 281.127 -29.211 313.428 1.0 67.90075  ? 803 PRO A CG  803 PRO A CG  1 
ATOM 6356  C CD  . PRO A 1 803 ? 282.327 -30.012 313.818 1.0 67.90075  ? 803 PRO A CD  803 PRO A CD  1 
ATOM 6357  N N   . TYR A 1 804 ? 281.233 -26.167 315.516 1.0 67.82982  ? 804 TYR A N   804 TYR A N   1 
ATOM 6358  C CA  . TYR A 1 804 ? 280.548 -25.752 316.725 1.0 67.82982  ? 804 TYR A CA  804 TYR A CA  1 
ATOM 6359  C C   . TYR A 1 804 ? 279.235 -26.509 316.870 1.0 67.82982  ? 804 TYR A C   804 TYR A C   1 
ATOM 6360  O O   . TYR A 1 804 ? 278.619 -26.883 315.870 1.0 67.82982  ? 804 TYR A O   804 TYR A O   1 
ATOM 6361  C CB  . TYR A 1 804 ? 280.272 -24.257 316.691 1.0 67.82982  ? 804 TYR A CB  804 TYR A CB  1 
ATOM 6362  C CG  . TYR A 1 804 ? 281.515 -23.422 316.771 1.0 67.82982  ? 804 TYR A CG  804 TYR A CG  1 
ATOM 6363  C CD1 . TYR A 1 804 ? 282.160 -23.229 317.981 1.0 67.82982  ? 804 TYR A CD1 804 TYR A CD1 1 
ATOM 6364  C CD2 . TYR A 1 804 ? 282.040 -22.820 315.640 1.0 67.82982  ? 804 TYR A CD2 804 TYR A CD2 1 
ATOM 6365  C CE1 . TYR A 1 804 ? 283.296 -22.465 318.063 1.0 67.82982  ? 804 TYR A CE1 804 TYR A CE1 1 
ATOM 6366  C CE2 . TYR A 1 804 ? 283.174 -22.053 315.712 1.0 67.82982  ? 804 TYR A CE2 804 TYR A CE2 1 
ATOM 6367  C CZ  . TYR A 1 804 ? 283.797 -21.881 316.925 1.0 67.82982  ? 804 TYR A CZ  804 TYR A CZ  1 
ATOM 6368  O OH  . TYR A 1 804 ? 284.929 -21.117 317.001 1.0 67.82982  ? 804 TYR A OH  804 TYR A OH  1 
ATOM 6369  N N   . PRO A 1 805 ? 278.785 -26.774 318.096 1.0 67.19759  ? 805 PRO A N   805 PRO A N   1 
ATOM 6370  C CA  . PRO A 1 805 ? 277.471 -27.404 318.275 1.0 67.19759  ? 805 PRO A CA  805 PRO A CA  1 
ATOM 6371  C C   . PRO A 1 805 ? 276.355 -26.428 317.929 1.0 67.19759  ? 805 PRO A C   805 PRO A C   1 
ATOM 6372  O O   . PRO A 1 805 ? 276.186 -25.396 318.579 1.0 67.19759  ? 805 PRO A O   805 PRO A O   1 
ATOM 6373  C CB  . PRO A 1 805 ? 277.459 -27.785 319.759 1.0 67.19759  ? 805 PRO A CB  805 PRO A CB  1 
ATOM 6374  C CG  . PRO A 1 805 ? 278.440 -26.877 320.394 1.0 67.19759  ? 805 PRO A CG  805 PRO A CG  1 
ATOM 6375  C CD  . PRO A 1 805 ? 279.506 -26.641 319.373 1.0 67.19759  ? 805 PRO A CD  805 PRO A CD  1 
ATOM 6376  N N   . LEU A 1 806 ? 275.606 -26.751 316.883 1.0 65.23572  ? 806 LEU A N   806 LEU A N   1 
ATOM 6377  C CA  . LEU A 1 806 ? 274.479 -25.926 316.487 1.0 65.23572  ? 806 LEU A CA  806 LEU A CA  1 
ATOM 6378  C C   . LEU A 1 806 ? 273.203 -26.297 317.221 1.0 65.23572  ? 806 LEU A C   806 LEU A C   1 
ATOM 6379  O O   . LEU A 1 806 ? 272.257 -25.503 317.230 1.0 65.23572  ? 806 LEU A O   806 LEU A O   1 
ATOM 6380  C CB  . LEU A 1 806 ? 274.250 -26.036 314.982 1.0 65.23572  ? 806 LEU A CB  806 LEU A CB  1 
ATOM 6381  C CG  . LEU A 1 806 ? 275.435 -25.563 314.144 1.0 65.23572  ? 806 LEU A CG  806 LEU A CG  1 
ATOM 6382  C CD1 . LEU A 1 806 ? 275.166 -25.776 312.664 1.0 65.23572  ? 806 LEU A CD1 806 LEU A CD1 1 
ATOM 6383  C CD2 . LEU A 1 806 ? 275.771 -24.117 314.441 1.0 65.23572  ? 806 LEU A CD2 806 LEU A CD2 1 
ATOM 6384  N N   . SER A 1 807 ? 273.158 -27.472 317.836 1.0 66.05892  ? 807 SER A N   807 SER A N   1 
ATOM 6385  C CA  . SER A 1 807 ? 271.988 -27.933 318.559 1.0 66.05892  ? 807 SER A CA  807 SER A CA  1 
ATOM 6386  C C   . SER A 1 807 ? 272.451 -28.456 319.910 1.0 66.05892  ? 807 SER A C   807 SER A C   1 
ATOM 6387  O O   . SER A 1 807 ? 273.619 -28.322 320.283 1.0 66.05892  ? 807 SER A O   807 SER A O   1 
ATOM 6388  C CB  . SER A 1 807 ? 271.248 -29.002 317.752 1.0 66.05892  ? 807 SER A CB  807 SER A CB  1 
ATOM 6389  O OG  . SER A 1 807 ? 272.047 -30.163 317.630 1.0 66.05892  ? 807 SER A OG  807 SER A OG  1 
ATOM 6390  N N   . GLY A 1 808 ? 271.533 -29.060 320.647 1.0 68.70391  ? 808 GLY A N   808 GLY A N   1 
ATOM 6391  C CA  . GLY A 1 808 ? 271.880 -29.669 321.910 1.0 68.70391  ? 808 GLY A CA  808 GLY A CA  1 
ATOM 6392  C C   . GLY A 1 808 ? 271.686 -28.736 323.088 1.0 68.70391  ? 808 GLY A C   808 GLY A C   1 
ATOM 6393  O O   . GLY A 1 808 ? 270.998 -27.714 323.022 1.0 68.70391  ? 808 GLY A O   808 GLY A O   1 
ATOM 6394  N N   . ARG A 1 809 ? 272.324 -29.110 324.197 1.0 72.58188  ? 809 ARG A N   809 ARG A N   1 
ATOM 6395  C CA  . ARG A 1 809 ? 272.148 -28.391 325.451 1.0 72.58188  ? 809 ARG A CA  809 ARG A CA  1 
ATOM 6396  C C   . ARG A 1 809 ? 272.985 -27.120 325.500 1.0 72.58188  ? 809 ARG A C   809 ARG A C   1 
ATOM 6397  O O   . ARG A 1 809 ? 272.586 -26.141 326.140 1.0 72.58188  ? 809 ARG A O   809 ARG A O   1 
ATOM 6398  C CB  . ARG A 1 809 ? 272.498 -29.319 326.616 1.0 72.58188  ? 809 ARG A CB  809 ARG A CB  1 
ATOM 6399  C CG  . ARG A 1 809 ? 272.177 -28.779 327.997 1.0 72.58188  ? 809 ARG A CG  809 ARG A CG  1 
ATOM 6400  C CD  . ARG A 1 809 ? 272.484 -29.806 329.073 1.0 72.58188  ? 809 ARG A CD  809 ARG A CD  1 
ATOM 6401  N NE  . ARG A 1 809 ? 273.906 -30.131 329.136 1.0 72.58188  ? 809 ARG A NE  809 ARG A NE  1 
ATOM 6402  C CZ  . ARG A 1 809 ? 274.409 -31.321 328.828 1.0 72.58188  ? 809 ARG A CZ  809 ARG A CZ  1 
ATOM 6403  N NH1 . ARG A 1 809 ? 273.606 -32.296 328.433 1.0 72.58188  ? 809 ARG A NH1 809 ARG A NH1 1 
ATOM 6404  N NH2 . ARG A 1 809 ? 275.714 -31.533 328.912 1.0 72.58188  ? 809 ARG A NH2 809 ARG A NH2 1 
ATOM 6405  N N   . ASN A 1 810 ? 274.117 -27.099 324.804 1.0 70.90378  ? 810 ASN A N   810 ASN A N   1 
ATOM 6406  C CA  . ASN A 1 810 ? 274.998 -25.940 324.809 1.0 70.90378  ? 810 ASN A CA  810 ASN A CA  1 
ATOM 6407  C C   . ASN A 1 810 ? 275.244 -25.431 323.394 1.0 70.90378  ? 810 ASN A C   810 ASN A C   1 
ATOM 6408  O O   . ASN A 1 810 ? 276.392 -25.225 322.990 1.0 70.90378  ? 810 ASN A O   810 ASN A O   1 
ATOM 6409  C CB  . ASN A 1 810 ? 276.308 -26.281 325.522 1.0 70.90378  ? 810 ASN A CB  810 ASN A CB  1 
ATOM 6410  C CG  . ASN A 1 810 ? 276.940 -27.552 325.003 1.0 70.90378  ? 810 ASN A CG  810 ASN A CG  1 
ATOM 6411  O OD1 . ASN A 1 810 ? 276.445 -28.171 324.065 1.0 70.90378  ? 810 ASN A OD1 810 ASN A OD1 1 
ATOM 6412  N ND2 . ASN A 1 810 ? 278.042 -27.954 325.617 1.0 70.90378  ? 810 ASN A ND2 810 ASN A ND2 1 
ATOM 6413  N N   . ALA A 1 811 ? 274.165 -25.249 322.636 1.0 69.80737  ? 811 ALA A N   811 ALA A N   1 
ATOM 6414  C CA  . ALA A 1 811 ? 274.259 -24.764 321.269 1.0 69.80737  ? 811 ALA A CA  811 ALA A CA  1 
ATOM 6415  C C   . ALA A 1 811 ? 274.730 -23.318 321.237 1.0 69.80737  ? 811 ALA A C   811 ALA A C   1 
ATOM 6416  O O   . ALA A 1 811 ? 274.457 -22.530 322.144 1.0 69.80737  ? 811 ALA A O   811 ALA A O   1 
ATOM 6417  C CB  . ALA A 1 811 ? 272.909 -24.881 320.567 1.0 69.80737  ? 811 ALA A CB  811 ALA A CB  1 
ATOM 6418  N N   . VAL A 1 812 ? 275.448 -22.978 320.176 1.0 68.79085  ? 812 VAL A N   812 VAL A N   1 
ATOM 6419  C CA  . VAL A 1 812 ? 276.028 -21.638 320.054 1.0 68.79085  ? 812 VAL A CA  812 VAL A CA  1 
ATOM 6420  C C   . VAL A 1 812 ? 274.921 -20.632 319.739 1.0 68.79085  ? 812 VAL A C   812 VAL A C   1 
ATOM 6421  O O   . VAL A 1 812 ? 274.035 -20.919 318.913 1.0 68.79085  ? 812 VAL A O   812 VAL A O   1 
ATOM 6422  C CB  . VAL A 1 812 ? 277.145 -21.639 318.995 1.0 68.79085  ? 812 VAL A CB  812 VAL A CB  1 
ATOM 6423  C CG1 . VAL A 1 812 ? 276.673 -22.202 317.661 1.0 68.79085  ? 812 VAL A CG1 812 VAL A CG1 1 
ATOM 6424  C CG2 . VAL A 1 812 ? 277.730 -20.254 318.809 1.0 68.79085  ? 812 VAL A CG2 812 VAL A CG2 1 
ATOM 6425  N N   . PRO A 1 813 ? 274.862 -19.494 320.431 1.0 70.29649  ? 813 PRO A N   813 PRO A N   1 
ATOM 6426  C CA  . PRO A 1 813 ? 273.778 -18.539 320.176 1.0 70.29649  ? 813 PRO A CA  813 PRO A CA  1 
ATOM 6427  C C   . PRO A 1 813 ? 274.080 -17.596 319.026 1.0 70.29649  ? 813 PRO A C   813 PRO A C   1 
ATOM 6428  O O   . PRO A 1 813 ? 275.157 -17.666 318.425 1.0 70.29649  ? 813 PRO A O   813 PRO A O   1 
ATOM 6429  C CB  . PRO A 1 813 ? 273.670 -17.780 321.500 1.0 70.29649  ? 813 PRO A CB  813 PRO A CB  1 
ATOM 6430  C CG  . PRO A 1 813 ? 275.045 -17.827 322.049 1.0 70.29649  ? 813 PRO A CG  813 PRO A CG  1 
ATOM 6431  C CD  . PRO A 1 813 ? 275.611 -19.159 321.653 1.0 70.29649  ? 813 PRO A CD  813 PRO A CD  1 
ATOM 6432  N N   . ASN A 1 814 ? 273.107 -16.727 318.719 1.0 73.14904  ? 814 ASN A N   814 ASN A N   1 
ATOM 6433  C CA  . ASN A 1 814 ? 273.218 -15.641 317.735 1.0 73.14904  ? 814 ASN A CA  814 ASN A CA  1 
ATOM 6434  C C   . ASN A 1 814 ? 273.537 -16.145 316.328 1.0 73.14904  ? 814 ASN A C   814 ASN A C   1 
ATOM 6435  O O   . ASN A 1 814 ? 274.139 -15.428 315.527 1.0 73.14904  ? 814 ASN A O   814 ASN A O   1 
ATOM 6436  C CB  . ASN A 1 814 ? 274.247 -14.591 318.171 1.0 73.14904  ? 814 ASN A CB  814 ASN A CB  1 
ATOM 6437  C CG  . ASN A 1 814 ? 273.794 -13.789 319.375 1.0 73.14904  ? 814 ASN A CG  814 ASN A CG  1 
ATOM 6438  O OD1 . ASN A 1 814 ? 272.638 -13.374 319.461 1.0 73.14904  ? 814 ASN A OD1 814 ASN A OD1 1 
ATOM 6439  N ND2 . ASN A 1 814 ? 274.705 -13.570 320.315 1.0 73.14904  ? 814 ASN A ND2 814 ASN A ND2 1 
ATOM 6440  N N   . GLN A 1 815 ? 273.122 -17.363 315.999 1.0 66.56973  ? 815 GLN A N   815 GLN A N   1 
ATOM 6441  C CA  . GLN A 1 815 ? 273.419 -17.944 314.700 1.0 66.56973  ? 815 GLN A CA  815 GLN A CA  1 
ATOM 6442  C C   . GLN A 1 815 ? 272.424 -17.465 313.649 1.0 66.56973  ? 815 GLN A C   815 GLN A C   1 
ATOM 6443  O O   . GLN A 1 815 ? 271.295 -17.081 313.964 1.0 66.56973  ? 815 GLN A O   815 GLN A O   1 
ATOM 6444  C CB  . GLN A 1 815 ? 273.421 -19.467 314.794 1.0 66.56973  ? 815 GLN A CB  815 GLN A CB  1 
ATOM 6445  C CG  . GLN A 1 815 ? 272.105 -20.077 315.204 1.0 66.56973  ? 815 GLN A CG  815 GLN A CG  1 
ATOM 6446  C CD  . GLN A 1 815 ? 272.239 -21.552 315.464 1.0 66.56973  ? 815 GLN A CD  815 GLN A CD  1 
ATOM 6447  O OE1 . GLN A 1 815 ? 273.322 -22.109 315.343 1.0 66.56973  ? 815 GLN A OE1 815 GLN A OE1 1 
ATOM 6448  N NE2 . GLN A 1 815 ? 271.144 -22.195 315.808 1.0 66.56973  ? 815 GLN A NE2 815 GLN A NE2 1 
ATOM 6449  N N   . VAL A 1 816 ? 272.860 -17.483 312.391 1.0 63.15537  ? 816 VAL A N   816 VAL A N   1 
ATOM 6450  C CA  . VAL A 1 816 ? 272.144 -16.853 311.289 1.0 63.15537  ? 816 VAL A CA  816 VAL A CA  1 
ATOM 6451  C C   . VAL A 1 816 ? 271.780 -17.922 310.263 1.0 63.15537  ? 816 VAL A C   816 VAL A C   1 
ATOM 6452  O O   . VAL A 1 816 ? 272.505 -18.909 310.094 1.0 63.15537  ? 816 VAL A O   816 VAL A O   1 
ATOM 6453  C CB  . VAL A 1 816 ? 272.984 -15.700 310.679 1.0 63.15537  ? 816 VAL A CB  816 VAL A CB  1 
ATOM 6454  C CG1 . VAL A 1 816 ? 274.252 -16.200 310.002 1.0 63.15537  ? 816 VAL A CG1 816 VAL A CG1 1 
ATOM 6455  C CG2 . VAL A 1 816 ? 272.165 -14.824 309.735 1.0 63.15537  ? 816 VAL A CG2 816 VAL A CG2 1 
ATOM 6456  N N   . THR A 1 817 ? 270.627 -17.751 309.619 1.0 61.25283  ? 817 THR A N   817 THR A N   1 
ATOM 6457  C CA  . THR A 1 817 ? 270.059 -18.743 308.717 1.0 61.25283  ? 817 THR A CA  817 THR A CA  1 
ATOM 6458  C C   . THR A 1 817 ? 270.366 -18.369 307.270 1.0 61.25283  ? 817 THR A C   817 THR A C   1 
ATOM 6459  O O   . THR A 1 817 ? 270.354 -17.194 306.900 1.0 61.25283  ? 817 THR A O   817 THR A O   1 
ATOM 6460  C CB  . THR A 1 817 ? 268.546 -18.830 308.938 1.0 61.25283  ? 817 THR A CB  817 THR A CB  1 
ATOM 6461  O OG1 . THR A 1 817 ? 268.289 -18.978 310.337 1.0 61.25283  ? 817 THR A OG1 817 THR A OG1 1 
ATOM 6462  C CG2 . THR A 1 817 ? 267.937 -20.029 308.223 1.0 61.25283  ? 817 THR A CG2 817 THR A CG2 1 
ATOM 6463  N N   . GLU A 1 818 ? 270.649 -19.383 306.451 1.0 61.97508  ? 818 GLU A N   818 GLU A N   1 
ATOM 6464  C CA  . GLU A 1 818 ? 271.028 -19.181 305.057 1.0 61.97508  ? 818 GLU A CA  818 GLU A CA  1 
ATOM 6465  C C   . GLU A 1 818 ? 270.176 -20.074 304.167 1.0 61.97508  ? 818 GLU A C   818 GLU A C   1 
ATOM 6466  O O   . GLU A 1 818 ? 270.145 -21.291 304.361 1.0 61.97508  ? 818 GLU A O   818 GLU A O   1 
ATOM 6467  C CB  . GLU A 1 818 ? 272.515 -19.479 304.860 1.0 61.97508  ? 818 GLU A CB  818 GLU A CB  1 
ATOM 6468  C CG  . GLU A 1 818 ? 273.032 -19.234 303.459 1.0 61.97508  ? 818 GLU A CG  818 GLU A CG  1 
ATOM 6469  C CD  . GLU A 1 818 ? 274.528 -19.450 303.361 1.0 61.97508  ? 818 GLU A CD  818 GLU A CD  1 
ATOM 6470  O OE1 . GLU A 1 818 ? 275.144 -19.770 304.398 1.0 61.97508  ? 818 GLU A OE1 818 GLU A OE1 1 
ATOM 6471  O OE2 . GLU A 1 818 ? 275.086 -19.313 302.252 1.0 61.97508  ? 818 GLU A OE2 818 GLU A OE2 1 
ATOM 6472  N N   . ARG A 1 819 ? 269.494 -19.475 303.194 1.0 60.41598  ? 819 ARG A N   819 ARG A N   1 
ATOM 6473  C CA  . ARG A 1 819 ? 268.612 -20.184 302.278 1.0 60.41598  ? 819 ARG A CA  819 ARG A CA  1 
ATOM 6474  C C   . ARG A 1 819 ? 269.162 -20.144 300.860 1.0 60.41598  ? 819 ARG A C   819 ARG A C   1 
ATOM 6475  O O   . ARG A 1 819 ? 269.760 -19.150 300.440 1.0 60.41598  ? 819 ARG A O   819 ARG A O   1 
ATOM 6476  C CB  . ARG A 1 819 ? 267.205 -19.574 302.259 1.0 60.41598  ? 819 ARG A CB  819 ARG A CB  1 
ATOM 6477  C CG  . ARG A 1 819 ? 266.253 -20.024 303.351 1.0 60.41598  ? 819 ARG A CG  819 ARG A CG  1 
ATOM 6478  C CD  . ARG A 1 819 ? 266.509 -19.323 304.667 1.0 60.41598  ? 819 ARG A CD  819 ARG A CD  1 
ATOM 6479  N NE  . ARG A 1 819 ? 265.545 -19.713 305.689 1.0 60.41598  ? 819 ARG A NE  819 ARG A NE  1 
ATOM 6480  C CZ  . ARG A 1 819 ? 264.388 -19.099 305.897 1.0 60.41598  ? 819 ARG A CZ  819 ARG A CZ  1 
ATOM 6481  N NH1 . ARG A 1 819 ? 264.042 -18.058 305.160 1.0 60.41598  ? 819 ARG A NH1 819 ARG A NH1 1 
ATOM 6482  N NH2 . ARG A 1 819 ? 263.576 -19.525 306.850 1.0 60.41598  ? 819 ARG A NH2 819 ARG A NH2 1 
ATOM 6483  N N   . LYS A 1 820 ? 268.940 -21.229 300.121 1.0 57.01947  ? 820 LYS A N   820 LYS A N   1 
ATOM 6484  C CA  . LYS A 1 820 ? 269.117 -21.239 298.673 1.0 57.01947  ? 820 LYS A CA  820 LYS A CA  1 
ATOM 6485  C C   . LYS A 1 820 ? 268.263 -22.360 298.100 1.0 57.01947  ? 820 LYS A C   820 LYS A C   1 
ATOM 6486  O O   . LYS A 1 820 ? 267.607 -23.105 298.831 1.0 57.01947  ? 820 LYS A O   820 LYS A O   1 
ATOM 6487  C CB  . LYS A 1 820 ? 270.582 -21.405 298.263 1.0 57.01947  ? 820 LYS A CB  820 LYS A CB  1 
ATOM 6488  C CG  . LYS A 1 820 ? 271.145 -22.786 298.479 1.0 57.01947  ? 820 LYS A CG  820 LYS A CG  1 
ATOM 6489  C CD  . LYS A 1 820 ? 272.585 -22.860 298.004 1.0 57.01947  ? 820 LYS A CD  820 LYS A CD  1 
ATOM 6490  C CE  . LYS A 1 820 ? 273.170 -24.225 298.263 1.0 57.01947  ? 820 LYS A CE  820 LYS A CE  1 
ATOM 6491  N NZ  . LYS A 1 820 ? 272.456 -25.240 297.463 1.0 57.01947  ? 820 LYS A NZ  820 LYS A NZ  1 
ATOM 6492  N N   . PHE A 1 821 ? 268.275 -22.474 296.776 1.0 53.9076   ? 821 PHE A N   821 PHE A N   1 
ATOM 6493  C CA  . PHE A 1 821 ? 267.503 -23.494 296.088 1.0 53.9076   ? 821 PHE A CA  821 PHE A CA  1 
ATOM 6494  C C   . PHE A 1 821 ? 268.292 -23.968 294.880 1.0 53.9076   ? 821 PHE A C   821 PHE A C   1 
ATOM 6495  O O   . PHE A 1 821 ? 269.009 -23.190 294.249 1.0 53.9076   ? 821 PHE A O   821 PHE A O   1 
ATOM 6496  C CB  . PHE A 1 821 ? 266.121 -22.966 295.671 1.0 53.9076   ? 821 PHE A CB  821 PHE A CB  1 
ATOM 6497  C CG  . PHE A 1 821 ? 266.162 -21.829 294.680 1.0 53.9076   ? 821 PHE A CG  821 PHE A CG  1 
ATOM 6498  C CD1 . PHE A 1 821 ? 266.295 -20.521 295.108 1.0 53.9076   ? 821 PHE A CD1 821 PHE A CD1 1 
ATOM 6499  C CD2 . PHE A 1 821 ? 266.013 -22.065 293.327 1.0 53.9076   ? 821 PHE A CD2 821 PHE A CD2 1 
ATOM 6500  C CE1 . PHE A 1 821 ? 266.319 -19.482 294.202 1.0 53.9076   ? 821 PHE A CE1 821 PHE A CE1 1 
ATOM 6501  C CE2 . PHE A 1 821 ? 266.037 -21.033 292.420 1.0 53.9076   ? 821 PHE A CE2 821 PHE A CE2 1 
ATOM 6502  C CZ  . PHE A 1 821 ? 266.188 -19.742 292.858 1.0 53.9076   ? 821 PHE A CZ  821 PHE A CZ  1 
ATOM 6503  N N   . LEU A 1 822 ? 268.159 -25.251 294.565 1.0 55.49983  ? 822 LEU A N   822 LEU A N   1 
ATOM 6504  C CA  . LEU A 1 822 ? 268.750 -25.827 293.367 1.0 55.49983  ? 822 LEU A CA  822 LEU A CA  1 
ATOM 6505  C C   . LEU A 1 822 ? 267.649 -26.230 292.404 1.0 55.49983  ? 822 LEU A C   822 LEU A C   1 
ATOM 6506  O O   . LEU A 1 822 ? 266.739 -26.977 292.772 1.0 55.49983  ? 822 LEU A O   822 LEU A O   1 
ATOM 6507  C CB  . LEU A 1 822 ? 269.618 -27.041 293.682 1.0 55.49983  ? 822 LEU A CB  822 LEU A CB  1 
ATOM 6508  C CG  . LEU A 1 822 ? 270.910 -26.791 294.441 1.0 55.49983  ? 822 LEU A CG  822 LEU A CG  1 
ATOM 6509  C CD1 . LEU A 1 822 ? 271.597 -28.110 294.674 1.0 55.49983  ? 822 LEU A CD1 822 LEU A CD1 1 
ATOM 6510  C CD2 . LEU A 1 822 ? 271.796 -25.847 293.667 1.0 55.49983  ? 822 LEU A CD2 822 LEU A CD2 1 
ATOM 6511  N N   . VAL A 1 823 ? 267.741 -25.738 291.177 1.0 54.18209  ? 823 VAL A N   823 VAL A N   1 
ATOM 6512  C CA  . VAL A 1 823 ? 266.815 -26.080 290.110 1.0 54.18209  ? 823 VAL A CA  823 VAL A CA  1 
ATOM 6513  C C   . VAL A 1 823 ? 267.617 -26.737 289.001 1.0 54.18209  ? 823 VAL A C   823 VAL A C   1 
ATOM 6514  O O   . VAL A 1 823 ? 268.555 -26.133 288.466 1.0 54.18209  ? 823 VAL A O   823 VAL A O   1 
ATOM 6515  C CB  . VAL A 1 823 ? 266.073 -24.848 289.583 1.0 54.18209  ? 823 VAL A CB  823 VAL A CB  1 
ATOM 6516  C CG1 . VAL A 1 823 ? 265.227 -25.224 288.437 1.0 54.18209  ? 823 VAL A CG1 823 VAL A CG1 1 
ATOM 6517  C CG2 . VAL A 1 823 ? 265.209 -24.275 290.645 1.0 54.18209  ? 823 VAL A CG2 823 VAL A CG2 1 
ATOM 6518  N N   . ASP A 1 824 ? 267.256 -27.966 288.658 1.0 56.63478  ? 824 ASP A N   824 ASP A N   1 
ATOM 6519  C CA  . ASP A 1 824 ? 267.912 -28.690 287.586 1.0 56.63478  ? 824 ASP A CA  824 ASP A CA  1 
ATOM 6520  C C   . ASP A 1 824 ? 266.919 -28.965 286.468 1.0 56.63478  ? 824 ASP A C   824 ASP A C   1 
ATOM 6521  O O   . ASP A 1 824 ? 265.723 -29.138 286.715 1.0 56.63478  ? 824 ASP A O   824 ASP A O   1 
ATOM 6522  C CB  . ASP A 1 824 ? 268.507 -30.001 288.088 1.0 56.63478  ? 824 ASP A CB  824 ASP A CB  1 
ATOM 6523  C CG  . ASP A 1 824 ? 269.653 -29.783 289.044 1.0 56.63478  ? 824 ASP A CG  824 ASP A CG  1 
ATOM 6524  O OD1 . ASP A 1 824 ? 270.303 -28.722 288.948 1.0 56.63478  ? 824 ASP A OD1 824 ASP A OD1 1 
ATOM 6525  O OD2 . ASP A 1 824 ? 269.913 -30.668 289.884 1.0 56.63478  ? 824 ASP A OD2 824 ASP A OD2 1 
ATOM 6526  N N   . ARG A 1 825 ? 267.433 -28.953 285.237 1.0 51.89354  ? 825 ARG A N   825 ARG A N   1 
ATOM 6527  C CA  . ARG A 1 825 ? 266.743 -29.395 284.024 1.0 51.89354  ? 825 ARG A CA  825 ARG A CA  1 
ATOM 6528  C C   . ARG A 1 825 ? 265.506 -28.571 283.682 1.0 51.89354  ? 825 ARG A C   825 ARG A C   1 
ATOM 6529  O O   . ARG A 1 825 ? 264.621 -29.067 282.983 1.0 51.89354  ? 825 ARG A O   825 ARG A O   1 
ATOM 6530  C CB  . ARG A 1 825 ? 266.339 -30.873 284.112 1.0 51.89354  ? 825 ARG A CB  825 ARG A CB  1 
ATOM 6531  C CG  . ARG A 1 825 ? 267.471 -31.865 284.174 1.0 51.89354  ? 825 ARG A CG  825 ARG A CG  1 
ATOM 6532  C CD  . ARG A 1 825 ? 266.916 -33.273 284.068 1.0 51.89354  ? 825 ARG A CD  825 ARG A CD  1 
ATOM 6533  N NE  . ARG A 1 825 ? 266.061 -33.598 285.204 1.0 51.89354  ? 825 ARG A NE  825 ARG A NE  1 
ATOM 6534  C CZ  . ARG A 1 825 ? 266.499 -34.159 286.324 1.0 51.89354  ? 825 ARG A CZ  825 ARG A CZ  1 
ATOM 6535  N NH1 . ARG A 1 825 ? 267.778 -34.466 286.450 1.0 51.89354  ? 825 ARG A NH1 825 ARG A NH1 1 
ATOM 6536  N NH2 . ARG A 1 825 ? 265.659 -34.420 287.313 1.0 51.89354  ? 825 ARG A NH2 825 ARG A NH2 1 
ATOM 6537  N N   . TYR A 1 826 ? 265.385 -27.321 284.131 1.0 49.61901  ? 826 TYR A N   826 TYR A N   1 
ATOM 6538  C CA  . TYR A 1 826 ? 264.077 -26.687 284.007 1.0 49.61901  ? 826 TYR A CA  826 TYR A CA  1 
ATOM 6539  C C   . TYR A 1 826 ? 263.951 -25.684 282.866 1.0 49.61901  ? 826 TYR A C   826 TYR A C   1 
ATOM 6540  O O   . TYR A 1 826 ? 262.923 -25.713 282.177 1.0 49.61901  ? 826 TYR A O   826 TYR A O   1 
ATOM 6541  C CB  . TYR A 1 826 ? 263.653 -26.014 285.308 1.0 49.61901  ? 826 TYR A CB  826 TYR A CB  1 
ATOM 6542  C CG  . TYR A 1 826 ? 262.345 -25.305 285.126 1.0 49.61901  ? 826 TYR A CG  826 TYR A CG  1 
ATOM 6543  C CD1 . TYR A 1 826 ? 261.206 -26.017 284.807 1.0 49.61901  ? 826 TYR A CD1 826 TYR A CD1 1 
ATOM 6544  C CD2 . TYR A 1 826 ? 262.241 -23.938 285.247 1.0 49.61901  ? 826 TYR A CD2 826 TYR A CD2 1 
ATOM 6545  C CE1 . TYR A 1 826 ? 260.014 -25.390 284.585 1.0 49.61901  ? 826 TYR A CE1 826 TYR A CE1 1 
ATOM 6546  C CE2 . TYR A 1 826 ? 261.034 -23.308 285.050 1.0 49.61901  ? 826 TYR A CE2 826 TYR A CE2 1 
ATOM 6547  C CZ  . TYR A 1 826 ? 259.925 -24.040 284.734 1.0 49.61901  ? 826 TYR A CZ  826 TYR A CZ  1 
ATOM 6548  O OH  . TYR A 1 826 ? 258.716 -23.432 284.531 1.0 49.61901  ? 826 TYR A OH  826 TYR A OH  1 
ATOM 6549  N N   . LEU A 1 827 ? 264.943 -24.799 282.670 1.0 48.16682  ? 827 LEU A N   827 LEU A N   1 
ATOM 6550  C CA  . LEU A 1 827 ? 264.898 -23.730 281.665 1.0 48.16682  ? 827 LEU A CA  827 LEU A CA  1 
ATOM 6551  C C   . LEU A 1 827 ? 263.730 -22.775 281.901 1.0 48.16682  ? 827 LEU A C   827 LEU A C   1 
ATOM 6552  O O   . LEU A 1 827 ? 262.664 -22.969 281.307 1.0 48.16682  ? 827 LEU A O   827 LEU A O   1 
ATOM 6553  C CB  . LEU A 1 827 ? 264.890 -24.308 280.242 1.0 48.16682  ? 827 LEU A CB  827 LEU A CB  1 
ATOM 6554  C CG  . LEU A 1 827 ? 264.903 -23.451 278.984 1.0 48.16682  ? 827 LEU A CG  827 LEU A CG  1 
ATOM 6555  C CD1 . LEU A 1 827 ? 266.194 -22.670 278.829 1.0 48.16682  ? 827 LEU A CD1 827 LEU A CD1 1 
ATOM 6556  C CD2 . LEU A 1 827 ? 264.667 -24.369 277.811 1.0 48.16682  ? 827 LEU A CD2 827 LEU A CD2 1 
ATOM 6557  N N   . TRP A 1 828 ? 263.894 -21.870 282.892 1.0 47.70374  ? 828 TRP A N   828 TRP A N   1 
ATOM 6558  C CA  . TRP A 1 828 ? 262.935 -20.824 283.285 1.0 47.70374  ? 828 TRP A CA  828 TRP A CA  1 
ATOM 6559  C C   . TRP A 1 828 ? 262.205 -20.216 282.103 1.0 47.70374  ? 828 TRP A C   828 TRP A C   1 
ATOM 6560  O O   . TRP A 1 828 ? 262.830 -19.789 281.137 1.0 47.70374  ? 828 TRP A O   828 TRP A O   1 
ATOM 6561  C CB  . TRP A 1 828 ? 263.632 -19.655 283.979 1.0 47.70374  ? 828 TRP A CB  828 TRP A CB  1 
ATOM 6562  C CG  . TRP A 1 828 ? 264.322 -19.897 285.241 1.0 47.70374  ? 828 TRP A CG  828 TRP A CG  1 
ATOM 6563  C CD1 . TRP A 1 828 ? 265.656 -19.938 285.428 1.0 47.70374  ? 828 TRP A CD1 828 TRP A CD1 1 
ATOM 6564  C CD2 . TRP A 1 828 ? 263.726 -20.109 286.522 1.0 47.70374  ? 828 TRP A CD2 828 TRP A CD2 1 
ATOM 6565  N NE1 . TRP A 1 828 ? 265.939 -20.156 286.744 1.0 47.70374  ? 828 TRP A NE1 828 TRP A NE1 1 
ATOM 6566  C CE2 . TRP A 1 828 ? 264.769 -20.274 287.440 1.0 47.70374  ? 828 TRP A CE2 828 TRP A CE2 1 
ATOM 6567  C CE3 . TRP A 1 828 ? 262.412 -20.191 286.977 1.0 47.70374  ? 828 TRP A CE3 828 TRP A CE3 1 
ATOM 6568  C CZ2 . TRP A 1 828 ? 264.546 -20.507 288.788 1.0 47.70374  ? 828 TRP A CZ2 828 TRP A CZ2 1 
ATOM 6569  C CZ3 . TRP A 1 828 ? 262.189 -20.417 288.312 1.0 47.70374  ? 828 TRP A CZ3 828 TRP A CZ3 1 
ATOM 6570  C CH2 . TRP A 1 828 ? 263.250 -20.575 289.204 1.0 47.70374  ? 828 TRP A CH2 828 TRP A CH2 1 
ATOM 6571  N N   . GLN A 1 829 ? 260.882 -20.154 282.193 1.0 47.19405  ? 829 GLN A N   829 GLN A N   1 
ATOM 6572  C CA  . GLN A 1 829 ? 260.075 -19.672 281.085 1.0 47.19405  ? 829 GLN A CA  829 GLN A CA  1 
ATOM 6573  C C   . GLN A 1 829 ? 259.255 -18.463 281.503 1.0 47.19405  ? 829 GLN A C   829 GLN A C   1 
ATOM 6574  O O   . GLN A 1 829 ? 258.763 -18.385 282.631 1.0 47.19405  ? 829 GLN A O   829 GLN A O   1 
ATOM 6575  C CB  . GLN A 1 829 ? 259.166 -20.780 280.534 1.0 47.19405  ? 829 GLN A CB  829 GLN A CB  1 
ATOM 6576  C CG  . GLN A 1 829 ? 258.160 -21.355 281.511 1.0 47.19405  ? 829 GLN A CG  829 GLN A CG  1 
ATOM 6577  C CD  . GLN A 1 829 ? 257.351 -22.474 280.900 1.0 47.19405  ? 829 GLN A CD  829 GLN A CD  1 
ATOM 6578  O OE1 . GLN A 1 829 ? 257.507 -22.793 279.723 1.0 47.19405  ? 829 GLN A OE1 829 GLN A OE1 1 
ATOM 6579  N NE2 . GLN A 1 829 ? 256.480 -23.077 281.695 1.0 47.19405  ? 829 GLN A NE2 829 GLN A NE2 1 
ATOM 6580  N N   . ILE A 1 830 ? 259.148 -17.511 280.587 1.0 47.22116  ? 830 ILE A N   830 ILE A N   1 
ATOM 6581  C CA  . ILE A 1 830 ? 258.331 -16.319 280.747 1.0 47.22116  ? 830 ILE A CA  830 ILE A CA  1 
ATOM 6582  C C   . ILE A 1 830 ? 257.320 -16.295 279.610 1.0 47.22116  ? 830 ILE A C   830 ILE A C   1 
ATOM 6583  O O   . ILE A 1 830 ? 257.670 -16.015 278.464 1.0 47.22116  ? 830 ILE A O   830 ILE A O   1 
ATOM 6584  C CB  . ILE A 1 830 ? 259.191 -15.043 280.742 1.0 47.22116  ? 830 ILE A CB  830 ILE A CB  1 
ATOM 6585  C CG1 . ILE A 1 830 ? 260.247 -15.098 281.836 1.0 47.22116  ? 830 ILE A CG1 830 ILE A CG1 1 
ATOM 6586  C CG2 . ILE A 1 830 ? 258.326 -13.828 280.930 1.0 47.22116  ? 830 ILE A CG2 830 ILE A CG2 1 
ATOM 6587  C CD1 . ILE A 1 830 ? 259.663 -15.206 283.190 1.0 47.22116  ? 830 ILE A CD1 830 ILE A CD1 1 
ATOM 6588  N N   . PRO A 1 831 ? 256.057 -16.608 279.882 1.0 46.96817  ? 831 PRO A N   831 PRO A N   1 
ATOM 6589  C CA  . PRO A 1 831 ? 255.068 -16.653 278.803 1.0 46.96817  ? 831 PRO A CA  831 PRO A CA  1 
ATOM 6590  C C   . PRO A 1 831 ? 254.662 -15.255 278.374 1.0 46.96817  ? 831 PRO A C   831 PRO A C   1 
ATOM 6591  O O   . PRO A 1 831 ? 254.601 -14.327 279.182 1.0 46.96817  ? 831 PRO A O   831 PRO A O   1 
ATOM 6592  C CB  . PRO A 1 831 ? 253.895 -17.407 279.436 1.0 46.96817  ? 831 PRO A CB  831 PRO A CB  1 
ATOM 6593  C CG  . PRO A 1 831 ? 254.005 -17.092 280.869 1.0 46.96817  ? 831 PRO A CG  831 PRO A CG  1 
ATOM 6594  C CD  . PRO A 1 831 ? 255.471 -16.986 281.176 1.0 46.96817  ? 831 PRO A CD  831 PRO A CD  1 
ATOM 6595  N N   . PHE A 1 832 ? 254.398 -15.106 277.081 1.0 46.41974  ? 832 PHE A N   832 PHE A N   1 
ATOM 6596  C CA  . PHE A 1 832 ? 254.003 -13.814 276.525 1.0 46.41974  ? 832 PHE A CA  832 PHE A CA  1 
ATOM 6597  C C   . PHE A 1 832 ? 252.477 -13.716 276.501 1.0 46.41974  ? 832 PHE A C   832 PHE A C   1 
ATOM 6598  O O   . PHE A 1 832 ? 251.827 -13.601 275.469 1.0 46.41974  ? 832 PHE A O   832 PHE A O   1 
ATOM 6599  C CB  . PHE A 1 832 ? 254.627 -13.630 275.146 1.0 46.41974  ? 832 PHE A CB  832 PHE A CB  1 
ATOM 6600  C CG  . PHE A 1 832 ? 254.394 -12.278 274.537 1.0 46.41974  ? 832 PHE A CG  832 PHE A CG  1 
ATOM 6601  C CD1 . PHE A 1 832 ? 254.952 -11.146 275.096 1.0 46.41974  ? 832 PHE A CD1 832 PHE A CD1 1 
ATOM 6602  C CD2 . PHE A 1 832 ? 253.664 -12.152 273.371 1.0 46.41974  ? 832 PHE A CD2 832 PHE A CD2 1 
ATOM 6603  C CE1 . PHE A 1 832 ? 254.745 -9.909  274.527 1.0 46.41974  ? 832 PHE A CE1 832 PHE A CE1 1 
ATOM 6604  C CE2 . PHE A 1 832 ? 253.458 -10.923 272.798 1.0 46.41974  ? 832 PHE A CE2 832 PHE A CE2 1 
ATOM 6605  C CZ  . PHE A 1 832 ? 253.998 -9.800  273.377 1.0 46.41974  ? 832 PHE A CZ  832 PHE A CZ  1 
ATOM 6606  N N   . SER A 1 833 ? 251.901 -13.794 277.692 1.0 48.7578   ? 833 SER A N   833 SER A N   1 
ATOM 6607  C CA  . SER A 1 833 ? 250.461 -13.766 277.856 1.0 48.7578   ? 833 SER A CA  833 SER A CA  1 
ATOM 6608  C C   . SER A 1 833 ? 250.099 -12.651 278.821 1.0 48.7578   ? 833 SER A C   833 SER A C   1 
ATOM 6609  O O   . SER A 1 833 ? 250.954 -12.092 279.511 1.0 48.7578   ? 833 SER A O   833 SER A O   1 
ATOM 6610  C CB  . SER A 1 833 ? 249.928 -15.112 278.354 1.0 48.7578   ? 833 SER A CB  833 SER A CB  1 
ATOM 6611  O OG  . SER A 1 833 ? 248.528 -15.059 278.535 1.0 48.7578   ? 833 SER A OG  833 SER A OG  1 
ATOM 6612  N N   . SER A 1 834 ? 248.810 -12.327 278.859 1.0 50.41258  ? 834 SER A N   834 SER A N   1 
ATOM 6613  C CA  . SER A 1 834 ? 248.359 -11.195 279.656 1.0 50.41258  ? 834 SER A CA  834 SER A CA  1 
ATOM 6614  C C   . SER A 1 834 ? 248.247 -11.557 281.130 1.0 50.41258  ? 834 SER A C   834 SER A C   1 
ATOM 6615  O O   . SER A 1 834 ? 248.613 -10.759 281.999 1.0 50.41258  ? 834 SER A O   834 SER A O   1 
ATOM 6616  C CB  . SER A 1 834 ? 247.020 -10.697 279.123 1.0 50.41258  ? 834 SER A CB  834 SER A CB  1 
ATOM 6617  O OG  . SER A 1 834 ? 247.142 -10.218 277.798 1.0 50.41258  ? 834 SER A OG  834 SER A OG  1 
ATOM 6618  N N   . ASN A 1 835 ? 247.741 -12.751 281.425 1.0 49.97373  ? 835 ASN A N   835 ASN A N   1 
ATOM 6619  C CA  . ASN A 1 835 ? 247.611 -13.251 282.784 1.0 49.97373  ? 835 ASN A CA  835 ASN A CA  1 
ATOM 6620  C C   . ASN A 1 835 ? 248.573 -14.396 283.070 1.0 49.97373  ? 835 ASN A C   835 ASN A C   1 
ATOM 6621  O O   . ASN A 1 835 ? 248.375 -15.134 284.039 1.0 49.97373  ? 835 ASN A O   835 ASN A O   1 
ATOM 6622  C CB  . ASN A 1 835 ? 246.166 -13.679 283.038 1.0 49.97373  ? 835 ASN A CB  835 ASN A CB  1 
ATOM 6623  C CG  . ASN A 1 835 ? 245.641 -14.629 281.975 1.0 49.97373  ? 835 ASN A CG  835 ASN A CG  1 
ATOM 6624  O OD1 . ASN A 1 835 ? 246.358 -15.012 281.055 1.0 49.97373  ? 835 ASN A OD1 835 ASN A OD1 1 
ATOM 6625  N ND2 . ASN A 1 835 ? 244.380 -15.015 282.101 1.0 49.97373  ? 835 ASN A ND2 835 ASN A ND2 1 
ATOM 6626  N N   . PHE A 1 836 ? 249.578 -14.578 282.208 1.0 49.31764  ? 836 PHE A N   836 PHE A N   1 
ATOM 6627  C CA  . PHE A 1 836 ? 250.626 -15.598 282.300 1.0 49.31764  ? 836 PHE A CA  836 PHE A CA  1 
ATOM 6628  C C   . PHE A 1 836 ? 250.084 -17.024 282.282 1.0 49.31764  ? 836 PHE A C   836 PHE A C   1 
ATOM 6629  O O   . PHE A 1 836 ? 250.773 -17.951 282.705 1.0 49.31764  ? 836 PHE A O   836 PHE A O   1 
ATOM 6630  C CB  . PHE A 1 836 ? 251.513 -15.391 283.534 1.0 49.31764  ? 836 PHE A CB  836 PHE A CB  1 
ATOM 6631  C CG  . PHE A 1 836 ? 252.304 -14.124 283.497 1.0 49.31764  ? 836 PHE A CG  836 PHE A CG  1 
ATOM 6632  C CD1 . PHE A 1 836 ? 253.444 -14.034 282.723 1.0 49.31764  ? 836 PHE A CD1 836 PHE A CD1 1 
ATOM 6633  C CD2 . PHE A 1 836 ? 251.913 -13.026 284.238 1.0 49.31764  ? 836 PHE A CD2 836 PHE A CD2 1 
ATOM 6634  C CE1 . PHE A 1 836 ? 254.179 -12.872 282.680 1.0 49.31764  ? 836 PHE A CE1 836 PHE A CE1 1 
ATOM 6635  C CE2 . PHE A 1 836 ? 252.645 -11.859 284.202 1.0 49.31764  ? 836 PHE A CE2 836 PHE A CE2 1 
ATOM 6636  C CZ  . PHE A 1 836 ? 253.780 -11.784 283.421 1.0 49.31764  ? 836 PHE A CZ  836 PHE A CZ  1 
ATOM 6637  N N   . LEU A 1 837 ? 248.874 -17.238 281.783 1.0 49.17174  ? 837 LEU A N   837 LEU A N   1 
ATOM 6638  C CA  . LEU A 1 837 ? 248.278 -18.563 281.758 1.0 49.17174  ? 837 LEU A CA  837 LEU A CA  1 
ATOM 6639  C C   . LEU A 1 837 ? 248.358 -19.155 280.358 1.0 49.17174  ? 837 LEU A C   837 LEU A C   1 
ATOM 6640  O O   . LEU A 1 837 ? 248.746 -18.496 279.393 1.0 49.17174  ? 837 LEU A O   837 LEU A O   1 
ATOM 6641  C CB  . LEU A 1 837 ? 246.823 -18.511 282.223 1.0 49.17174  ? 837 LEU A CB  837 LEU A CB  1 
ATOM 6642  C CG  . LEU A 1 837 ? 246.574 -18.061 283.658 1.0 49.17174  ? 837 LEU A CG  837 LEU A CG  1 
ATOM 6643  C CD1 . LEU A 1 837 ? 245.089 -17.992 283.932 1.0 49.17174  ? 837 LEU A CD1 837 LEU A CD1 1 
ATOM 6644  C CD2 . LEU A 1 837 ? 247.249 -18.987 284.632 1.0 49.17174  ? 837 LEU A CD2 837 LEU A CD2 1 
ATOM 6645  N N   . ASN A 1 838 ? 247.984 -20.429 280.260 1.0 50.66827  ? 838 ASN A N   838 ASN A N   1 
ATOM 6646  C CA  . ASN A 1 838 ? 247.935 -21.133 278.982 1.0 50.66827  ? 838 ASN A CA  838 ASN A CA  1 
ATOM 6647  C C   . ASN A 1 838 ? 246.479 -21.176 278.525 1.0 50.66827  ? 838 ASN A C   838 ASN A C   1 
ATOM 6648  O O   . ASN A 1 838 ? 245.782 -22.180 278.656 1.0 50.66827  ? 838 ASN A O   838 ASN A O   1 
ATOM 6649  C CB  . ASN A 1 838 ? 248.533 -22.530 279.118 1.0 50.66827  ? 838 ASN A CB  838 ASN A CB  1 
ATOM 6650  C CG  . ASN A 1 838 ? 249.037 -23.092 277.797 1.0 50.66827  ? 838 ASN A CG  838 ASN A CG  1 
ATOM 6651  O OD1 . ASN A 1 838 ? 249.770 -24.079 277.779 1.0 50.66827  ? 838 ASN A OD1 838 ASN A OD1 1 
ATOM 6652  N ND2 . ASN A 1 838 ? 248.664 -22.462 276.691 1.0 50.66827  ? 838 ASN A ND2 838 ASN A ND2 1 
ATOM 6653  N N   . MET A 1 839 ? 246.019 -20.059 277.973 1.0 49.95218  ? 839 MET A N   839 MET A N   1 
ATOM 6654  C CA  . MET A 1 839 ? 244.713 -20.044 277.336 1.0 49.95218  ? 839 MET A CA  839 MET A CA  1 
ATOM 6655  C C   . MET A 1 839 ? 244.767 -20.514 275.891 1.0 49.95218  ? 839 MET A C   839 MET A C   1 
ATOM 6656  O O   . MET A 1 839 ? 243.712 -20.749 275.295 1.0 49.95218  ? 839 MET A O   839 MET A O   1 
ATOM 6657  C CB  . MET A 1 839 ? 244.108 -18.643 277.398 1.0 49.95218  ? 839 MET A CB  839 MET A CB  1 
ATOM 6658  C CG  . MET A 1 839 ? 243.761 -18.189 278.798 1.0 49.95218  ? 839 MET A CG  839 MET A CG  1 
ATOM 6659  S SD  . MET A 1 839 ? 242.975 -16.572 278.812 1.0 49.95218  ? 839 MET A SD  839 MET A SD  1 
ATOM 6660  C CE  . MET A 1 839 ? 244.376 -15.531 278.437 1.0 49.95218  ? 839 MET A CE  839 MET A CE  1 
ATOM 6661  N N   . GLY A 1 840 ? 245.956 -20.658 275.324 1.0 45.70016  ? 840 GLY A N   840 GLY A N   1 
ATOM 6662  C CA  . GLY A 1 840 ? 246.083 -21.123 273.958 1.0 45.70016  ? 840 GLY A CA  840 GLY A CA  1 
ATOM 6663  C C   . GLY A 1 840 ? 247.541 -21.188 273.562 1.0 45.70016  ? 840 GLY A C   840 GLY A C   1 
ATOM 6664  O O   . GLY A 1 840 ? 248.402 -20.550 274.176 1.0 45.70016  ? 840 GLY A O   840 GLY A O   1 
ATOM 6665  N N   . THR A 1 841 ? 247.803 -21.991 272.529 1.0 42.57906  ? 841 THR A N   841 THR A N   1 
ATOM 6666  C CA  . THR A 1 841 ? 249.144 -22.055 271.957 1.0 42.57906  ? 841 THR A CA  841 THR A CA  1 
ATOM 6667  C C   . THR A 1 841 ? 249.506 -20.727 271.313 1.0 42.57906  ? 841 THR A C   841 THR A C   1 
ATOM 6668  O O   . THR A 1 841 ? 250.527 -20.116 271.645 1.0 42.57906  ? 841 THR A O   841 THR A O   1 
ATOM 6669  C CB  . THR A 1 841 ? 249.236 -23.191 270.939 1.0 42.57906  ? 841 THR A CB  841 THR A CB  1 
ATOM 6670  O OG1 . THR A 1 841 ? 248.948 -24.437 271.583 1.0 42.57906  ? 841 THR A OG1 841 THR A OG1 1 
ATOM 6671  C CG2 . THR A 1 841 ? 250.623 -23.255 270.348 1.0 42.57906  ? 841 THR A CG2 841 THR A CG2 1 
ATOM 6672  N N   . LEU A 1 842 ? 248.673 -20.262 270.390 1.0 44.12401  ? 842 LEU A N   842 LEU A N   1 
ATOM 6673  C CA  . LEU A 1 842 ? 248.697 -18.863 269.991 1.0 44.12401  ? 842 LEU A CA  842 LEU A CA  1 
ATOM 6674  C C   . LEU A 1 842 ? 248.147 -18.051 271.151 1.0 44.12401  ? 842 LEU A C   842 LEU A C   1 
ATOM 6675  O O   . LEU A 1 842 ? 246.947 -18.102 271.430 1.0 44.12401  ? 842 LEU A O   842 LEU A O   1 
ATOM 6676  C CB  . LEU A 1 842 ? 247.870 -18.655 268.726 1.0 44.12401  ? 842 LEU A CB  842 LEU A CB  1 
ATOM 6677  C CG  . LEU A 1 842 ? 247.940 -17.334 267.954 1.0 44.12401  ? 842 LEU A CG  842 LEU A CG  1 
ATOM 6678  C CD1 . LEU A 1 842 ? 247.626 -17.589 266.526 1.0 44.12401  ? 842 LEU A CD1 842 LEU A CD1 1 
ATOM 6679  C CD2 . LEU A 1 842 ? 246.946 -16.344 268.449 1.0 44.12401  ? 842 LEU A CD2 842 LEU A CD2 1 
ATOM 6680  N N   . THR A 1 843 ? 249.011 -17.296 271.817 1.0 45.68202  ? 843 THR A N   843 THR A N   1 
ATOM 6681  C CA  . THR A 1 843 ? 248.606 -16.550 272.996 1.0 45.68202  ? 843 THR A CA  843 THR A CA  1 
ATOM 6682  C C   . THR A 1 843 ? 247.739 -15.351 272.615 1.0 45.68202  ? 843 THR A C   843 THR A C   1 
ATOM 6683  O O   . THR A 1 843 ? 247.567 -15.019 271.441 1.0 45.68202  ? 843 THR A O   843 THR A O   1 
ATOM 6684  C CB  . THR A 1 843 ? 249.835 -16.093 273.765 1.0 45.68202  ? 843 THR A CB  843 THR A CB  1 
ATOM 6685  O OG1 . THR A 1 843 ? 249.430 -15.369 274.931 1.0 45.68202  ? 843 THR A OG1 843 THR A OG1 1 
ATOM 6686  C CG2 . THR A 1 843 ? 250.675 -15.224 272.885 1.0 45.68202  ? 843 THR A CG2 843 THR A CG2 1 
ATOM 6687  N N   . ASP A 1 844 ? 247.183 -14.692 273.633 1.0 49.04705  ? 844 ASP A N   844 ASP A N   1 
ATOM 6688  C CA  . ASP A 1 844 ? 246.271 -13.585 273.369 1.0 49.04705  ? 844 ASP A CA  844 ASP A CA  1 
ATOM 6689  C C   . ASP A 1 844 ? 247.001 -12.311 272.967 1.0 49.04705  ? 844 ASP A C   844 ASP A C   1 
ATOM 6690  O O   . ASP A 1 844 ? 246.475 -11.529 272.170 1.0 49.04705  ? 844 ASP A O   844 ASP A O   1 
ATOM 6691  C CB  . ASP A 1 844 ? 245.371 -13.323 274.582 1.0 49.04705  ? 844 ASP A CB  844 ASP A CB  1 
ATOM 6692  C CG  . ASP A 1 844 ? 246.147 -13.014 275.851 1.0 49.04705  ? 844 ASP A CG  844 ASP A CG  1 
ATOM 6693  O OD1 . ASP A 1 844 ? 247.386 -13.157 275.871 1.0 49.04705  ? 844 ASP A OD1 844 ASP A OD1 1 
ATOM 6694  O OD2 . ASP A 1 844 ? 245.503 -12.605 276.839 1.0 49.04705  ? 844 ASP A OD2 844 ASP A OD2 1 
ATOM 6695  N N   . LEU A 1 845 ? 248.198 -12.080 273.503 1.0 46.57658  ? 845 LEU A N   845 LEU A N   1 
ATOM 6696  C CA  . LEU A 1 845 ? 248.998 -10.946 273.065 1.0 46.57658  ? 845 LEU A CA  845 LEU A CA  1 
ATOM 6697  C C   . LEU A 1 845 ? 249.642 -11.181 271.708 1.0 46.57658  ? 845 LEU A C   845 LEU A C   1 
ATOM 6698  O O   . LEU A 1 845 ? 250.077 -10.219 271.070 1.0 46.57658  ? 845 LEU A O   845 LEU A O   1 
ATOM 6699  C CB  . LEU A 1 845 ? 250.076 -10.631 274.098 1.0 46.57658  ? 845 LEU A CB  845 LEU A CB  1 
ATOM 6700  C CG  . LEU A 1 845 ? 249.589 -10.084 275.434 1.0 46.57658  ? 845 LEU A CG  845 LEU A CG  1 
ATOM 6701  C CD1 . LEU A 1 845 ? 250.742 -9.978  276.399 1.0 46.57658  ? 845 LEU A CD1 845 LEU A CD1 1 
ATOM 6702  C CD2 . LEU A 1 845 ? 248.953 -8.732  275.232 1.0 46.57658  ? 845 LEU A CD2 845 LEU A CD2 1 
ATOM 6703  N N   . GLY A 1 846 ? 249.712 -12.431 271.254 1.0 45.4119   ? 846 GLY A N   846 GLY A N   1 
ATOM 6704  C CA  . GLY A 1 846 ? 250.274 -12.706 269.946 1.0 45.4119   ? 846 GLY A CA  846 GLY A CA  1 
ATOM 6705  C C   . GLY A 1 846 ? 249.367 -12.286 268.810 1.0 45.4119   ? 846 GLY A C   846 GLY A C   1 
ATOM 6706  O O   . GLY A 1 846 ? 249.845 -11.950 267.725 1.0 45.4119   ? 846 GLY A O   846 GLY A O   1 
ATOM 6707  N N   . GLN A 1 847 ? 248.056 -12.303 269.034 1.0 45.88774  ? 847 GLN A N   847 GLN A N   1 
ATOM 6708  C CA  . GLN A 1 847 ? 247.102 -11.797 268.058 1.0 45.88774  ? 847 GLN A CA  847 GLN A CA  1 
ATOM 6709  C C   . GLN A 1 847 ? 246.512 -10.460 268.479 1.0 45.88774  ? 847 GLN A C   847 GLN A C   1 
ATOM 6710  O O   . GLN A 1 847 ? 245.460 -10.059 267.973 1.0 45.88774  ? 847 GLN A O   847 GLN A O   1 
ATOM 6711  C CB  . GLN A 1 847 ? 245.998 -12.822 267.808 1.0 45.88774  ? 847 GLN A CB  847 GLN A CB  1 
ATOM 6712  C CG  . GLN A 1 847 ? 245.156 -13.181 269.012 1.0 45.88774  ? 847 GLN A CG  847 GLN A CG  1 
ATOM 6713  C CD  . GLN A 1 847 ? 244.157 -14.268 268.684 1.0 45.88774  ? 847 GLN A CD  847 GLN A CD  1 
ATOM 6714  O OE1 . GLN A 1 847 ? 244.048 -14.691 267.537 1.0 45.88774  ? 847 GLN A OE1 847 GLN A OE1 1 
ATOM 6715  N NE2 . GLN A 1 847 ? 243.444 -14.746 269.689 1.0 45.88774  ? 847 GLN A NE2 847 GLN A NE2 1 
ATOM 6716  N N   . ASN A 1 848 ? 247.171 -9.765  269.400 1.0 49.11009  ? 848 ASN A N   848 ASN A N   1 
ATOM 6717  C CA  . ASN A 1 848 ? 246.766 -8.413  269.743 1.0 49.11009  ? 848 ASN A CA  848 ASN A CA  1 
ATOM 6718  C C   . ASN A 1 848 ? 247.147 -7.476  268.608 1.0 49.11009  ? 848 ASN A C   848 ASN A C   1 
ATOM 6719  O O   . ASN A 1 848 ? 248.193 -7.635  267.976 1.0 49.11009  ? 848 ASN A O   848 ASN A O   1 
ATOM 6720  C CB  . ASN A 1 848 ? 247.432 -7.971  271.044 1.0 49.11009  ? 848 ASN A CB  848 ASN A CB  1 
ATOM 6721  C CG  . ASN A 1 848 ? 246.812 -6.714  271.625 1.0 49.11009  ? 848 ASN A CG  848 ASN A CG  1 
ATOM 6722  O OD1 . ASN A 1 848 ? 245.850 -6.169  271.086 1.0 49.11009  ? 848 ASN A OD1 848 ASN A OD1 1 
ATOM 6723  N ND2 . ASN A 1 848 ? 247.369 -6.244  272.733 1.0 49.11009  ? 848 ASN A ND2 848 ASN A ND2 1 
ATOM 6724  N N   . VAL A 1 849 ? 246.288 -6.489  268.352 1.0 50.06068  ? 849 VAL A N   849 VAL A N   1 
ATOM 6725  C CA  . VAL A 1 849 ? 246.521 -5.567  267.253 1.0 50.06068  ? 849 VAL A CA  849 VAL A CA  1 
ATOM 6726  C C   . VAL A 1 849 ? 247.645 -4.588  267.584 1.0 50.06068  ? 849 VAL A C   849 VAL A C   1 
ATOM 6727  O O   . VAL A 1 849 ? 248.262 -4.020  266.676 1.0 50.06068  ? 849 VAL A O   849 VAL A O   1 
ATOM 6728  C CB  . VAL A 1 849 ? 245.189 -4.866  266.909 1.0 50.06068  ? 849 VAL A CB  849 VAL A CB  1 
ATOM 6729  C CG1 . VAL A 1 849 ? 244.760 -3.911  268.017 1.0 50.06068  ? 849 VAL A CG1 849 VAL A CG1 1 
ATOM 6730  C CG2 . VAL A 1 849 ? 245.238 -4.175  265.559 1.0 50.06068  ? 849 VAL A CG2 849 VAL A CG2 1 
ATOM 6731  N N   . MET A 1 850 ? 247.964 -4.419  268.869 1.0 50.11082  ? 850 MET A N   850 MET A N   1 
ATOM 6732  C CA  . MET A 1 850 ? 249.012 -3.483  269.257 1.0 50.11082  ? 850 MET A CA  850 MET A CA  1 
ATOM 6733  C C   . MET A 1 850 ? 250.390 -4.044  268.940 1.0 50.11082  ? 850 MET A C   850 MET A C   1 
ATOM 6734  O O   . MET A 1 850 ? 251.308 -3.292  268.597 1.0 50.11082  ? 850 MET A O   850 MET A O   1 
ATOM 6735  C CB  . MET A 1 850 ? 248.875 -3.151  270.745 1.0 50.11082  ? 850 MET A CB  850 MET A CB  1 
ATOM 6736  C CG  . MET A 1 850 ? 249.828 -2.086  271.280 1.0 50.11082  ? 850 MET A CG  850 MET A CG  1 
ATOM 6737  S SD  . MET A 1 850 ? 251.379 -2.722  271.948 1.0 50.11082  ? 850 MET A SD  850 MET A SD  1 
ATOM 6738  C CE  . MET A 1 850 ? 252.246 -1.197  272.295 1.0 50.11082  ? 850 MET A CE  850 MET A CE  1 
ATOM 6739  N N   . TYR A 1 851 ? 250.552 -5.360  269.033 1.0 47.71364  ? 851 TYR A N   851 TYR A N   1 
ATOM 6740  C CA  . TYR A 1 851 ? 251.857 -5.965  268.816 1.0 47.71364  ? 851 TYR A CA  851 TYR A CA  1 
ATOM 6741  C C   . TYR A 1 851 ? 252.022 -6.535  267.421 1.0 47.71364  ? 851 TYR A C   851 TYR A C   1 
ATOM 6742  O O   . TYR A 1 851 ? 253.146 -6.586  266.920 1.0 47.71364  ? 851 TYR A O   851 TYR A O   1 
ATOM 6743  C CB  . TYR A 1 851 ? 252.107 -7.067  269.844 1.0 47.71364  ? 851 TYR A CB  851 TYR A CB  1 
ATOM 6744  C CG  . TYR A 1 851 ? 252.244 -6.542  271.246 1.0 47.71364  ? 851 TYR A CG  851 TYR A CG  1 
ATOM 6745  C CD1 . TYR A 1 851 ? 253.437 -5.992  271.683 1.0 47.71364  ? 851 TYR A CD1 851 TYR A CD1 1 
ATOM 6746  C CD2 . TYR A 1 851 ? 251.177 -6.584  272.129 1.0 47.71364  ? 851 TYR A CD2 851 TYR A CD2 1 
ATOM 6747  C CE1 . TYR A 1 851 ? 253.567 -5.503  272.964 1.0 47.71364  ? 851 TYR A CE1 851 TYR A CE1 1 
ATOM 6748  C CE2 . TYR A 1 851 ? 251.296 -6.098  273.413 1.0 47.71364  ? 851 TYR A CE2 851 TYR A CE2 1 
ATOM 6749  C CZ  . TYR A 1 851 ? 252.493 -5.559  273.824 1.0 47.71364  ? 851 TYR A CZ  851 TYR A CZ  1 
ATOM 6750  O OH  . TYR A 1 851 ? 252.617 -5.074  275.103 1.0 47.71364  ? 851 TYR A OH  851 TYR A OH  1 
ATOM 6751  N N   . ALA A 1 852 ? 250.936 -6.956  266.774 1.0 46.7466   ? 852 ALA A N   852 ALA A N   1 
ATOM 6752  C CA  . ALA A 1 852 ? 251.057 -7.582  265.462 1.0 46.7466   ? 852 ALA A CA  852 ALA A CA  1 
ATOM 6753  C C   . ALA A 1 852 ? 251.278 -6.542  264.371 1.0 46.7466   ? 852 ALA A C   852 ALA A C   1 
ATOM 6754  O O   . ALA A 1 852 ? 252.208 -6.657  263.565 1.0 46.7466   ? 852 ALA A O   852 ALA A O   1 
ATOM 6755  C CB  . ALA A 1 852 ? 249.815 -8.421  265.165 1.0 46.7466   ? 852 ALA A CB  852 ALA A CB  1 
ATOM 6756  N N   . ASN A 1 853 ? 250.437 -5.508  264.333 1.0 47.6042   ? 853 ASN A N   853 ASN A N   1 
ATOM 6757  C CA  . ASN A 1 853 ? 250.474 -4.515  263.267 1.0 47.6042   ? 853 ASN A CA  853 ASN A CA  1 
ATOM 6758  C C   . ASN A 1 853 ? 251.424 -3.361  263.556 1.0 47.6042   ? 853 ASN A C   853 ASN A C   1 
ATOM 6759  O O   . ASN A 1 853 ? 251.270 -2.281  262.976 1.0 47.6042   ? 853 ASN A O   853 ASN A O   1 
ATOM 6760  C CB  . ASN A 1 853 ? 249.069 -3.981  262.998 1.0 47.6042   ? 853 ASN A CB  853 ASN A CB  1 
ATOM 6761  C CG  . ASN A 1 853 ? 248.168 -5.019  262.378 1.0 47.6042   ? 853 ASN A CG  853 ASN A CG  1 
ATOM 6762  O OD1 . ASN A 1 853 ? 248.610 -5.834  261.576 1.0 47.6042   ? 853 ASN A OD1 853 ASN A OD1 1 
ATOM 6763  N ND2 . ASN A 1 853 ? 246.891 -4.977  262.721 1.0 47.6042   ? 853 ASN A ND2 853 ASN A ND2 1 
ATOM 6764  N N   . SER A 1 854 ? 252.404 -3.553  264.432 1.0 50.30341  ? 854 SER A N   854 SER A N   1 
ATOM 6765  C CA  . SER A 1 854 ? 253.349 -2.496  264.752 1.0 50.30341  ? 854 SER A CA  854 SER A CA  1 
ATOM 6766  C C   . SER A 1 854 ? 254.712 -3.118  265.004 1.0 50.30341  ? 854 SER A C   854 SER A C   1 
ATOM 6767  O O   . SER A 1 854 ? 254.831 -4.318  265.260 1.0 50.30341  ? 854 SER A O   854 SER A O   1 
ATOM 6768  C CB  . SER A 1 854 ? 252.890 -1.682  265.965 1.0 50.30341  ? 854 SER A CB  854 SER A CB  1 
ATOM 6769  O OG  . SER A 1 854 ? 253.834 -0.679  266.291 1.0 50.30341  ? 854 SER A OG  854 SER A OG  1 
ATOM 6770  N N   . SER A 1 855 ? 255.744 -2.287  264.927 1.0 51.31054  ? 855 SER A N   855 SER A N   1 
ATOM 6771  C CA  . SER A 1 855 ? 257.119 -2.728  265.096 1.0 51.31054  ? 855 SER A CA  855 SER A CA  1 
ATOM 6772  C C   . SER A 1 855 ? 257.674 -2.185  266.403 1.0 51.31054  ? 855 SER A C   855 SER A C   1 
ATOM 6773  O O   . SER A 1 855 ? 257.623 -0.976  266.647 1.0 51.31054  ? 855 SER A O   855 SER A O   1 
ATOM 6774  C CB  . SER A 1 855 ? 257.987 -2.266  263.928 1.0 51.31054  ? 855 SER A CB  855 SER A CB  1 
ATOM 6775  O OG  . SER A 1 855 ? 258.114 -0.858  263.930 1.0 51.31054  ? 855 SER A OG  855 SER A OG  1 
ATOM 6776  N N   . HIS A 1 856 ? 258.210 -3.076  267.231 1.0 50.58227  ? 856 HIS A N   856 HIS A N   1 
ATOM 6777  C CA  . HIS A 1 856 ? 258.819 -2.704  268.497 1.0 50.58227  ? 856 HIS A CA  856 HIS A CA  1 
ATOM 6778  C C   . HIS A 1 856 ? 260.161 -3.398  268.635 1.0 50.58227  ? 856 HIS A C   856 HIS A C   1 
ATOM 6779  O O   . HIS A 1 856 ? 260.307 -4.559  268.248 1.0 50.58227  ? 856 HIS A O   856 HIS A O   1 
ATOM 6780  C CB  . HIS A 1 856 ? 257.944 -3.092  269.683 1.0 50.58227  ? 856 HIS A CB  856 HIS A CB  1 
ATOM 6781  C CG  . HIS A 1 856 ? 256.641 -2.366  269.737 1.0 50.58227  ? 856 HIS A CG  856 HIS A CG  1 
ATOM 6782  N ND1 . HIS A 1 856 ? 255.498 -2.846  269.140 1.0 50.58227  ? 856 HIS A ND1 856 HIS A ND1 1 
ATOM 6783  C CD2 . HIS A 1 856 ? 256.298 -1.195  270.322 1.0 50.58227  ? 856 HIS A CD2 856 HIS A CD2 1 
ATOM 6784  C CE1 . HIS A 1 856 ? 254.505 -2.003  269.353 1.0 50.58227  ? 856 HIS A CE1 856 HIS A CE1 1 
ATOM 6785  N NE2 . HIS A 1 856 ? 254.964 -0.992  270.069 1.0 50.58227  ? 856 HIS A NE2 856 HIS A NE2 1 
ATOM 6786  N N   . SER A 1 857 ? 261.127 -2.698  269.219 1.0 50.25954  ? 857 SER A N   857 SER A N   1 
ATOM 6787  C CA  . SER A 1 857 ? 262.430 -3.279  269.507 1.0 50.25954  ? 857 SER A CA  857 SER A CA  1 
ATOM 6788  C C   . SER A 1 857 ? 262.350 -4.068  270.810 1.0 50.25954  ? 857 SER A C   857 SER A C   1 
ATOM 6789  O O   . SER A 1 857 ? 261.270 -4.303  271.355 1.0 50.25954  ? 857 SER A O   857 SER A O   1 
ATOM 6790  C CB  . SER A 1 857 ? 263.491 -2.189  269.565 1.0 50.25954  ? 857 SER A CB  857 SER A CB  1 
ATOM 6791  O OG  . SER A 1 857 ? 263.260 -1.331  270.663 1.0 50.25954  ? 857 SER A OG  857 SER A OG  1 
ATOM 6792  N N   . LEU A 1 858 ? 263.496 -4.473  271.348 1.0 50.9615   ? 858 LEU A N   858 LEU A N   1 
ATOM 6793  C CA  . LEU A 1 858 ? 263.496 -5.199  272.615 1.0 50.9615   ? 858 LEU A CA  858 LEU A CA  1 
ATOM 6794  C C   . LEU A 1 858 ? 264.822 -4.974  273.315 1.0 50.9615   ? 858 LEU A C   858 LEU A C   1 
ATOM 6795  O O   . LEU A 1 858 ? 265.869 -5.370  272.796 1.0 50.9615   ? 858 LEU A O   858 LEU A O   1 
ATOM 6796  C CB  . LEU A 1 858 ? 263.263 -6.689  272.396 1.0 50.9615   ? 858 LEU A CB  858 LEU A CB  1 
ATOM 6797  C CG  . LEU A 1 858 ? 263.101 -7.489  273.683 1.0 50.9615   ? 858 LEU A CG  858 LEU A CG  1 
ATOM 6798  C CD1 . LEU A 1 858 ? 261.830 -7.075  274.383 1.0 50.9615   ? 858 LEU A CD1 858 LEU A CD1 1 
ATOM 6799  C CD2 . LEU A 1 858 ? 263.100 -8.970  273.401 1.0 50.9615   ? 858 LEU A CD2 858 LEU A CD2 1 
ATOM 6800  N N   . ASN A 1 859 ? 264.782 -4.347  274.482 1.0 54.81443  ? 859 ASN A N   859 ASN A N   1 
ATOM 6801  C CA  . ASN A 1 859 ? 265.935 -4.237  275.361 1.0 54.81443  ? 859 ASN A CA  859 ASN A CA  1 
ATOM 6802  C C   . ASN A 1 859 ? 265.648 -5.074  276.596 1.0 54.81443  ? 859 ASN A C   859 ASN A C   1 
ATOM 6803  O O   . ASN A 1 859 ? 264.655 -4.836  277.289 1.0 54.81443  ? 859 ASN A O   859 ASN A O   1 
ATOM 6804  C CB  . ASN A 1 859 ? 266.205 -2.783  275.733 1.0 54.81443  ? 859 ASN A CB  859 ASN A CB  1 
ATOM 6805  C CG  . ASN A 1 859 ? 266.545 -1.935  274.530 1.0 54.81443  ? 859 ASN A CG  859 ASN A CG  1 
ATOM 6806  O OD1 . ASN A 1 859 ? 265.779 -1.056  274.140 1.0 54.81443  ? 859 ASN A OD1 859 ASN A OD1 1 
ATOM 6807  N ND2 . ASN A 1 859 ? 267.702 -2.191  273.934 1.0 54.81443  ? 859 ASN A ND2 859 ASN A ND2 1 
ATOM 6808  N N   . MET A 1 860 ? 266.503 -6.054  276.866 1.0 53.70579  ? 860 MET A N   860 MET A N   1 
ATOM 6809  C CA  . MET A 1 860 ? 266.188 -7.040  277.898 1.0 53.70579  ? 860 MET A CA  860 MET A CA  1 
ATOM 6810  C C   . MET A 1 860 ? 267.488 -7.422  278.607 1.0 53.70579  ? 860 MET A C   860 MET A C   1 
ATOM 6811  O O   . MET A 1 860 ? 268.213 -8.312  278.163 1.0 53.70579  ? 860 MET A O   860 MET A O   1 
ATOM 6812  C CB  . MET A 1 860 ? 265.493 -8.242  277.279 1.0 53.70579  ? 860 MET A CB  860 MET A CB  1 
ATOM 6813  C CG  . MET A 1 860 ? 265.055 -9.309  278.248 1.0 53.70579  ? 860 MET A CG  860 MET A CG  1 
ATOM 6814  S SD  . MET A 1 860 ? 264.048 -10.545 277.412 1.0 53.70579  ? 860 MET A SD  860 MET A SD  1 
ATOM 6815  C CE  . MET A 1 860 ? 265.255 -11.251 276.311 1.0 53.70579  ? 860 MET A CE  860 MET A CE  1 
ATOM 6816  N N   . GLN A 1 861 ? 267.767 -6.749  279.715 1.0 55.85708  ? 861 GLN A N   861 GLN A N   1 
ATOM 6817  C CA  . GLN A 1 861 ? 268.995 -6.989  280.454 1.0 55.85708  ? 861 GLN A CA  861 GLN A CA  1 
ATOM 6818  C C   . GLN A 1 861 ? 268.752 -7.960  281.601 1.0 55.85708  ? 861 GLN A C   861 GLN A C   1 
ATOM 6819  O O   . GLN A 1 861 ? 267.669 -8.005  282.187 1.0 55.85708  ? 861 GLN A O   861 GLN A O   1 
ATOM 6820  C CB  . GLN A 1 861 ? 269.585 -5.678  280.979 1.0 55.85708  ? 861 GLN A CB  861 GLN A CB  1 
ATOM 6821  C CG  . GLN A 1 861 ? 268.705 -4.920  281.942 1.0 55.85708  ? 861 GLN A CG  861 GLN A CG  1 
ATOM 6822  C CD  . GLN A 1 861 ? 269.336 -3.628  282.409 1.0 55.85708  ? 861 GLN A CD  861 GLN A CD  1 
ATOM 6823  O OE1 . GLN A 1 861 ? 270.474 -3.318  282.063 1.0 55.85708  ? 861 GLN A OE1 861 GLN A OE1 1 
ATOM 6824  N NE2 . GLN A 1 861 ? 268.596 -2.863  283.200 1.0 55.85708  ? 861 GLN A NE2 861 GLN A NE2 1 
ATOM 6825  N N   . PHE A 1 862 ? 269.770 -8.757  281.901 1.0 56.1001   ? 862 PHE A N   862 PHE A N   1 
ATOM 6826  C CA  . PHE A 1 862 ? 269.714 -9.761  282.952 1.0 56.1001   ? 862 PHE A CA  862 PHE A CA  1 
ATOM 6827  C C   . PHE A 1 862 ? 270.656 -9.374  284.081 1.0 56.1001   ? 862 PHE A C   862 PHE A C   1 
ATOM 6828  O O   . PHE A 1 862 ? 271.402 -8.397  283.997 1.0 56.1001   ? 862 PHE A O   862 PHE A O   1 
ATOM 6829  C CB  . PHE A 1 862 ? 270.089 -11.144 282.408 1.0 56.1001   ? 862 PHE A CB  862 PHE A CB  1 
ATOM 6830  C CG  . PHE A 1 862 ? 269.084 -11.720 281.453 1.0 56.1001   ? 862 PHE A CG  862 PHE A CG  1 
ATOM 6831  C CD1 . PHE A 1 862 ? 267.776 -11.279 281.439 1.0 56.1001   ? 862 PHE A CD1 862 PHE A CD1 1 
ATOM 6832  C CD2 . PHE A 1 862 ? 269.462 -12.688 280.544 1.0 56.1001   ? 862 PHE A CD2 862 PHE A CD2 1 
ATOM 6833  C CE1 . PHE A 1 862 ? 266.866 -11.802 280.547 1.0 56.1001   ? 862 PHE A CE1 862 PHE A CE1 1 
ATOM 6834  C CE2 . PHE A 1 862 ? 268.549 -13.211 279.655 1.0 56.1001   ? 862 PHE A CE2 862 PHE A CE2 1 
ATOM 6835  C CZ  . PHE A 1 862 ? 267.252 -12.768 279.660 1.0 56.1001   ? 862 PHE A CZ  862 PHE A CZ  1 
ATOM 6836  N N   . THR A 1 863 ? 270.610 -10.156 285.154 1.0 57.46371  ? 863 THR A N   863 THR A N   1 
ATOM 6837  C CA  . THR A 1 863 ? 271.544 -9.989  286.263 1.0 57.46371  ? 863 THR A CA  863 THR A CA  1 
ATOM 6838  C C   . THR A 1 863 ? 271.764 -11.360 286.880 1.0 57.46371  ? 863 THR A C   863 THR A C   1 
ATOM 6839  O O   . THR A 1 863 ? 270.853 -11.914 287.499 1.0 57.46371  ? 863 THR A O   863 THR A O   1 
ATOM 6840  C CB  . THR A 1 863 ? 271.023 -8.998  287.297 1.0 57.46371  ? 863 THR A CB  863 THR A CB  1 
ATOM 6841  O OG1 . THR A 1 863 ? 270.889 -7.704  286.699 1.0 57.46371  ? 863 THR A OG1 863 THR A OG1 1 
ATOM 6842  C CG2 . THR A 1 863 ? 271.979 -8.903  288.468 1.0 57.46371  ? 863 THR A CG2 863 THR A CG2 1 
ATOM 6843  N N   . VAL A 1 864 ? 272.965 -11.904 286.711 1.0 58.3208   ? 864 VAL A N   864 VAL A N   1 
ATOM 6844  C CA  . VAL A 1 864 ? 273.289 -13.242 287.175 1.0 58.3208   ? 864 VAL A CA  864 VAL A CA  1 
ATOM 6845  C C   . VAL A 1 864 ? 274.361 -13.143 288.251 1.0 58.3208   ? 864 VAL A C   864 VAL A C   1 
ATOM 6846  O O   . VAL A 1 864 ? 274.925 -12.080 288.503 1.0 58.3208   ? 864 VAL A O   864 VAL A O   1 
ATOM 6847  C CB  . VAL A 1 864 ? 273.754 -14.153 286.030 1.0 58.3208   ? 864 VAL A CB  864 VAL A CB  1 
ATOM 6848  C CG1 . VAL A 1 864 ? 272.672 -14.266 284.977 1.0 58.3208   ? 864 VAL A CG1 864 VAL A CG1 1 
ATOM 6849  C CG2 . VAL A 1 864 ? 275.032 -13.615 285.430 1.0 58.3208   ? 864 VAL A CG2 864 VAL A CG2 1 
ATOM 6850  N N   . ASP A 1 865 ? 274.632 -14.272 288.887 1.0 62.03491  ? 865 ASP A N   865 ASP A N   1 
ATOM 6851  C CA  . ASP A 1 865 ? 275.717 -14.303 289.852 1.0 62.03491  ? 865 ASP A CA  865 ASP A CA  1 
ATOM 6852  C C   . ASP A 1 865 ? 277.051 -14.452 289.127 1.0 62.03491  ? 865 ASP A C   865 ASP A C   1 
ATOM 6853  O O   . ASP A 1 865 ? 277.125 -15.130 288.101 1.0 62.03491  ? 865 ASP A O   865 ASP A O   1 
ATOM 6854  C CB  . ASP A 1 865 ? 275.538 -15.450 290.837 1.0 62.03491  ? 865 ASP A CB  865 ASP A CB  1 
ATOM 6855  C CG  . ASP A 1 865 ? 274.379 -15.227 291.780 1.0 62.03491  ? 865 ASP A CG  865 ASP A CG  1 
ATOM 6856  O OD1 . ASP A 1 865 ? 274.067 -14.052 292.053 1.0 62.03491  ? 865 ASP A OD1 865 ASP A OD1 1 
ATOM 6857  O OD2 . ASP A 1 865 ? 273.787 -16.218 292.259 1.0 62.03491  ? 865 ASP A OD2 865 ASP A OD2 1 
ATOM 6858  N N   . PRO A 1 866 ? 278.109 -13.819 289.627 1.0 64.18288  ? 866 PRO A N   866 PRO A N   1 
ATOM 6859  C CA  . PRO A 1 866 ? 279.412 -13.938 288.969 1.0 64.18288  ? 866 PRO A CA  866 PRO A CA  1 
ATOM 6860  C C   . PRO A 1 866 ? 280.014 -15.316 289.183 1.0 64.18288  ? 866 PRO A C   866 PRO A C   1 
ATOM 6861  O O   . PRO A 1 866 ? 279.990 -15.861 290.288 1.0 64.18288  ? 866 PRO A O   866 PRO A O   1 
ATOM 6862  C CB  . PRO A 1 866 ? 280.254 -12.855 289.653 1.0 64.18288  ? 866 PRO A CB  866 PRO A CB  1 
ATOM 6863  C CG  . PRO A 1 866 ? 279.264 -11.914 290.239 1.0 64.18288  ? 866 PRO A CG  866 PRO A CG  1 
ATOM 6864  C CD  . PRO A 1 866 ? 278.114 -12.768 290.656 1.0 64.18288  ? 866 PRO A CD  866 PRO A CD  1 
ATOM 6865  N N   . MET A 1 867 ? 280.549 -15.877 288.108 1.0 65.8969   ? 867 MET A N   867 MET A N   1 
ATOM 6866  C CA  . MET A 1 867 ? 281.267 -17.140 288.138 1.0 65.8969   ? 867 MET A CA  867 MET A CA  1 
ATOM 6867  C C   . MET A 1 867 ? 282.749 -16.901 287.882 1.0 65.8969   ? 867 MET A C   867 MET A C   1 
ATOM 6868  O O   . MET A 1 867 ? 283.214 -15.764 287.776 1.0 65.8969   ? 867 MET A O   867 MET A O   1 
ATOM 6869  C CB  . MET A 1 867 ? 280.688 -18.117 287.118 1.0 65.8969   ? 867 MET A CB  867 MET A CB  1 
ATOM 6870  C CG  . MET A 1 867 ? 279.367 -18.739 287.516 1.0 65.8969   ? 867 MET A CG  867 MET A CG  1 
ATOM 6871  S SD  . MET A 1 867 ? 278.703 -19.732 286.169 1.0 65.8969   ? 867 MET A SD  867 MET A SD  1 
ATOM 6872  C CE  . MET A 1 867 ? 279.953 -21.003 286.038 1.0 65.8969   ? 867 MET A CE  867 MET A CE  1 
ATOM 6873  N N   . THR A 1 868 ? 283.494 -17.998 287.779 1.0 68.49239  ? 868 THR A N   868 THR A N   1 
ATOM 6874  C CA  . THR A 1 868 ? 284.942 -17.958 287.647 1.0 68.49239  ? 868 THR A CA  868 THR A CA  1 
ATOM 6875  C C   . THR A 1 868 ? 285.421 -18.227 286.227 1.0 68.49239  ? 868 THR A C   868 THR A C   1 
ATOM 6876  O O   . THR A 1 868 ? 286.632 -18.315 286.001 1.0 68.49239  ? 868 THR A O   868 THR A O   1 
ATOM 6877  C CB  . THR A 1 868 ? 285.578 -18.968 288.601 1.0 68.49239  ? 868 THR A CB  868 THR A CB  1 
ATOM 6878  O OG1 . THR A 1 868 ? 287.002 -18.827 288.564 1.0 68.49239  ? 868 THR A OG1 868 THR A OG1 1 
ATOM 6879  C CG2 . THR A 1 868 ? 285.204 -20.384 288.197 1.0 68.49239  ? 868 THR A CG2 868 THR A CG2 1 
ATOM 6880  N N   . GLU A 1 869 ? 284.509 -18.350 285.269 1.0 67.82772  ? 869 GLU A N   869 GLU A N   1 
ATOM 6881  C CA  . GLU A 1 869 ? 284.851 -18.736 283.908 1.0 67.82772  ? 869 GLU A CA  869 GLU A CA  1 
ATOM 6882  C C   . GLU A 1 869 ? 283.741 -18.247 282.984 1.0 67.82772  ? 869 GLU A C   869 GLU A C   1 
ATOM 6883  O O   . GLU A 1 869 ? 282.627 -17.986 283.452 1.0 67.82772  ? 869 GLU A O   869 GLU A O   1 
ATOM 6884  C CB  . GLU A 1 869 ? 285.046 -20.262 283.810 1.0 67.82772  ? 869 GLU A CB  869 GLU A CB  1 
ATOM 6885  C CG  . GLU A 1 869 ? 283.822 -21.094 284.085 1.0 67.82772  ? 869 GLU A CG  869 GLU A CG  1 
ATOM 6886  C CD  . GLU A 1 869 ? 284.138 -22.574 284.050 1.0 67.82772  ? 869 GLU A CD  869 GLU A CD  1 
ATOM 6887  O OE1 . GLU A 1 869 ? 285.315 -22.928 283.832 1.0 67.82772  ? 869 GLU A OE1 869 GLU A OE1 1 
ATOM 6888  O OE2 . GLU A 1 869 ? 283.217 -23.385 284.242 1.0 67.82772  ? 869 GLU A OE2 869 GLU A OE2 1 
ATOM 6889  N N   . PRO A 1 870 ? 284.024 -18.059 281.684 1.0 63.92335  ? 870 PRO A N   870 PRO A N   1 
ATOM 6890  C CA  . PRO A 1 870 ? 282.990 -17.548 280.773 1.0 63.92335  ? 870 PRO A CA  870 PRO A CA  1 
ATOM 6891  C C   . PRO A 1 870 ? 281.815 -18.497 280.612 1.0 63.92335  ? 870 PRO A C   870 PRO A C   1 
ATOM 6892  O O   . PRO A 1 870 ? 281.920 -19.708 280.807 1.0 63.92335  ? 870 PRO A O   870 PRO A O   1 
ATOM 6893  C CB  . PRO A 1 870 ? 283.738 -17.368 279.447 1.0 63.92335  ? 870 PRO A CB  870 PRO A CB  1 
ATOM 6894  C CG  . PRO A 1 870 ? 284.930 -18.222 279.555 1.0 63.92335  ? 870 PRO A CG  870 PRO A CG  1 
ATOM 6895  C CD  . PRO A 1 870 ? 285.323 -18.145 280.991 1.0 63.92335  ? 870 PRO A CD  870 PRO A CD  1 
ATOM 6896  N N   . THR A 1 871 ? 280.676 -17.912 280.250 1.0 58.02389  ? 871 THR A N   871 THR A N   1 
ATOM 6897  C CA  . THR A 1 871 ? 279.384 -18.581 280.340 1.0 58.02389  ? 871 THR A CA  871 THR A CA  1 
ATOM 6898  C C   . THR A 1 871 ? 278.471 -18.022 279.261 1.0 58.02389  ? 871 THR A C   871 THR A C   1 
ATOM 6899  O O   . THR A 1 871 ? 278.312 -16.805 279.165 1.0 58.02389  ? 871 THR A O   871 THR A O   1 
ATOM 6900  C CB  . THR A 1 871 ? 278.773 -18.361 281.730 1.0 58.02389  ? 871 THR A CB  871 THR A CB  1 
ATOM 6901  O OG1 . THR A 1 871 ? 279.632 -18.908 282.735 1.0 58.02389  ? 871 THR A OG1 871 THR A OG1 1 
ATOM 6902  C CG2 . THR A 1 871 ? 277.429 -19.016 281.847 1.0 58.02389  ? 871 THR A CG2 871 THR A CG2 1 
ATOM 6903  N N   . TYR A 1 872 ? 277.888 -18.891 278.441 1.0 56.53271  ? 872 TYR A N   872 TYR A N   1 
ATOM 6904  C CA  . TYR A 1 872 ? 276.800 -18.468 277.572 1.0 56.53271  ? 872 TYR A CA  872 TYR A CA  1 
ATOM 6905  C C   . TYR A 1 872 ? 275.503 -18.434 278.361 1.0 56.53271  ? 872 TYR A C   872 TYR A C   1 
ATOM 6906  O O   . TYR A 1 872 ? 275.329 -19.174 279.329 1.0 56.53271  ? 872 TYR A O   872 TYR A O   1 
ATOM 6907  C CB  . TYR A 1 872 ? 276.607 -19.422 276.394 1.0 56.53271  ? 872 TYR A CB  872 TYR A CB  1 
ATOM 6908  C CG  . TYR A 1 872 ? 277.712 -19.456 275.376 1.0 56.53271  ? 872 TYR A CG  872 TYR A CG  1 
ATOM 6909  C CD1 . TYR A 1 872 ? 277.870 -18.426 274.464 1.0 56.53271  ? 872 TYR A CD1 872 TYR A CD1 1 
ATOM 6910  C CD2 . TYR A 1 872 ? 278.555 -20.550 275.283 1.0 56.53271  ? 872 TYR A CD2 872 TYR A CD2 1 
ATOM 6911  C CE1 . TYR A 1 872 ? 278.869 -18.463 273.516 1.0 56.53271  ? 872 TYR A CE1 872 TYR A CE1 1 
ATOM 6912  C CE2 . TYR A 1 872 ? 279.555 -20.599 274.339 1.0 56.53271  ? 872 TYR A CE2 872 TYR A CE2 1 
ATOM 6913  C CZ  . TYR A 1 872 ? 279.707 -19.554 273.459 1.0 56.53271  ? 872 TYR A CZ  872 TYR A CZ  1 
ATOM 6914  O OH  . TYR A 1 872 ? 280.705 -19.604 272.515 1.0 56.53271  ? 872 TYR A OH  872 TYR A OH  1 
ATOM 6915  N N   . LEU A 1 873 ? 274.573 -17.593 277.928 1.0 53.4078   ? 873 LEU A N   873 LEU A N   1 
ATOM 6916  C CA  . LEU A 1 873 ? 273.200 -17.684 278.398 1.0 53.4078   ? 873 LEU A CA  873 LEU A CA  1 
ATOM 6917  C C   . LEU A 1 873 ? 272.325 -18.118 277.231 1.0 53.4078   ? 873 LEU A C   873 LEU A C   1 
ATOM 6918  O O   . LEU A 1 873 ? 272.350 -17.500 276.164 1.0 53.4078   ? 873 LEU A O   873 LEU A O   1 
ATOM 6919  C CB  . LEU A 1 873 ? 272.718 -16.369 279.022 1.0 53.4078   ? 873 LEU A CB  873 LEU A CB  1 
ATOM 6920  C CG  . LEU A 1 873 ? 272.509 -15.032 278.314 1.0 53.4078   ? 873 LEU A CG  873 LEU A CG  1 
ATOM 6921  C CD1 . LEU A 1 873 ? 271.088 -14.907 277.795 1.0 53.4078   ? 873 LEU A CD1 873 LEU A CD1 1 
ATOM 6922  C CD2 . LEU A 1 873 ? 272.841 -13.891 279.258 1.0 53.4078   ? 873 LEU A CD2 873 LEU A CD2 1 
ATOM 6923  N N   . MET A 1 874 ? 271.582 -19.202 277.426 1.0 53.97563  ? 874 MET A N   874 MET A N   1 
ATOM 6924  C CA  . MET A 1 874 ? 270.823 -19.824 276.346 1.0 53.97563  ? 874 MET A CA  874 MET A CA  1 
ATOM 6925  C C   . MET A 1 874 ? 269.440 -19.200 276.320 1.0 53.97563  ? 874 MET A C   874 MET A C   1 
ATOM 6926  O O   . MET A 1 874 ? 268.502 -19.693 276.937 1.0 53.97563  ? 874 MET A O   874 MET A O   1 
ATOM 6927  C CB  . MET A 1 874 ? 270.743 -21.330 276.538 1.0 53.97563  ? 874 MET A CB  874 MET A CB  1 
ATOM 6928  C CG  . MET A 1 874 ? 270.082 -22.058 275.392 1.0 53.97563  ? 874 MET A CG  874 MET A CG  1 
ATOM 6929  S SD  . MET A 1 874 ? 269.999 -23.823 275.685 1.0 53.97563  ? 874 MET A SD  874 MET A SD  1 
ATOM 6930  C CE  . MET A 1 874 ? 269.074 -24.328 274.247 1.0 53.97563  ? 874 MET A CE  874 MET A CE  1 
ATOM 6931  N N   . LEU A 1 875 ? 269.309 -18.107 275.587 1.0 49.93404  ? 875 LEU A N   875 LEU A N   1 
ATOM 6932  C CA  . LEU A 1 875 ? 268.040 -17.410 275.469 1.0 49.93404  ? 875 LEU A CA  875 LEU A CA  1 
ATOM 6933  C C   . LEU A 1 875 ? 267.220 -18.024 274.345 1.0 49.93404  ? 875 LEU A C   875 LEU A C   1 
ATOM 6934  O O   . LEU A 1 875 ? 267.708 -18.166 273.221 1.0 49.93404  ? 875 LEU A O   875 LEU A O   1 
ATOM 6935  C CB  . LEU A 1 875 ? 268.284 -15.930 275.204 1.0 49.93404  ? 875 LEU A CB  875 LEU A CB  1 
ATOM 6936  C CG  . LEU A 1 875 ? 267.076 -15.019 275.059 1.0 49.93404  ? 875 LEU A CG  875 LEU A CG  1 
ATOM 6937  C CD1 . LEU A 1 875 ? 266.272 -14.974 276.332 1.0 49.93404  ? 875 LEU A CD1 875 LEU A CD1 1 
ATOM 6938  C CD2 . LEU A 1 875 ? 267.585 -13.653 274.709 1.0 49.93404  ? 875 LEU A CD2 875 LEU A CD2 1 
ATOM 6939  N N   . LEU A 1 876 ? 265.981 -18.394 274.652 1.0 46.50274  ? 876 LEU A N   876 LEU A N   1 
ATOM 6940  C CA  . LEU A 1 876 ? 265.066 -18.960 273.673 1.0 46.50274  ? 876 LEU A CA  876 LEU A CA  1 
ATOM 6941  C C   . LEU A 1 876 ? 263.870 -18.041 273.497 1.0 46.50274  ? 876 LEU A C   876 LEU A C   1 
ATOM 6942  O O   . LEU A 1 876 ? 263.328 -17.529 274.479 1.0 46.50274  ? 876 LEU A O   876 LEU A O   1 
ATOM 6943  C CB  . LEU A 1 876 ? 264.591 -20.350 274.088 1.0 46.50274  ? 876 LEU A CB  876 LEU A CB  1 
ATOM 6944  C CG  . LEU A 1 876 ? 265.674 -21.417 274.059 1.0 46.50274  ? 876 LEU A CG  876 LEU A CG  1 
ATOM 6945  C CD1 . LEU A 1 876 ? 265.127 -22.758 274.490 1.0 46.50274  ? 876 LEU A CD1 876 LEU A CD1 1 
ATOM 6946  C CD2 . LEU A 1 876 ? 266.249 -21.488 272.673 1.0 46.50274  ? 876 LEU A CD2 876 LEU A CD2 1 
ATOM 6947  N N   . PHE A 1 877 ? 263.463 -17.838 272.252 1.0 45.19808  ? 877 PHE A N   877 PHE A N   1 
ATOM 6948  C CA  . PHE A 1 877 ? 262.270 -17.075 271.922 1.0 45.19808  ? 877 PHE A CA  877 PHE A CA  1 
ATOM 6949  C C   . PHE A 1 877 ? 261.218 -18.037 271.402 1.0 45.19808  ? 877 PHE A C   877 PHE A C   1 
ATOM 6950  O O   . PHE A 1 877 ? 261.466 -18.750 270.430 1.0 45.19808  ? 877 PHE A O   877 PHE A O   1 
ATOM 6951  C CB  . PHE A 1 877 ? 262.562 -16.022 270.861 1.0 45.19808  ? 877 PHE A CB  877 PHE A CB  1 
ATOM 6952  C CG  . PHE A 1 877 ? 263.468 -14.934 271.318 1.0 45.19808  ? 877 PHE A CG  877 PHE A CG  1 
ATOM 6953  C CD1 . PHE A 1 877 ? 262.979 -13.883 272.068 1.0 45.19808  ? 877 PHE A CD1 877 PHE A CD1 1 
ATOM 6954  C CD2 . PHE A 1 877 ? 264.806 -14.948 270.975 1.0 45.19808  ? 877 PHE A CD2 877 PHE A CD2 1 
ATOM 6955  C CE1 . PHE A 1 877 ? 263.812 -12.873 272.482 1.0 45.19808  ? 877 PHE A CE1 877 PHE A CE1 1 
ATOM 6956  C CE2 . PHE A 1 877 ? 265.644 -13.943 271.387 1.0 45.19808  ? 877 PHE A CE2 877 PHE A CE2 1 
ATOM 6957  C CZ  . PHE A 1 877 ? 265.146 -12.902 272.139 1.0 45.19808  ? 877 PHE A CZ  877 PHE A CZ  1 
ATOM 6958  N N   . GLY A 1 878 ? 260.050 -18.045 272.029 1.0 45.41619  ? 878 GLY A N   878 GLY A N   1 
ATOM 6959  C CA  . GLY A 1 878 ? 258.979 -18.893 271.553 1.0 45.41619  ? 878 GLY A CA  878 GLY A CA  1 
ATOM 6960  C C   . GLY A 1 878 ? 258.427 -18.436 270.221 1.0 45.41619  ? 878 GLY A C   878 GLY A C   1 
ATOM 6961  O O   . GLY A 1 878 ? 257.775 -17.393 270.133 1.0 45.41619  ? 878 GLY A O   878 GLY A O   1 
ATOM 6962  N N   . VAL A 1 879 ? 258.704 -19.196 269.167 1.0 43.01355  ? 879 VAL A N   879 VAL A N   1 
ATOM 6963  C CA  . VAL A 1 879 ? 258.176 -18.894 267.844 1.0 43.01355  ? 879 VAL A CA  879 VAL A CA  1 
ATOM 6964  C C   . VAL A 1 879 ? 257.311 -20.064 267.405 1.0 43.01355  ? 879 VAL A C   879 VAL A C   1 
ATOM 6965  O O   . VAL A 1 879 ? 257.193 -21.061 268.124 1.0 43.01355  ? 879 VAL A O   879 VAL A O   1 
ATOM 6966  C CB  . VAL A 1 879 ? 259.303 -18.621 266.836 1.0 43.01355  ? 879 VAL A CB  879 VAL A CB  1 
ATOM 6967  C CG1 . VAL A 1 879 ? 260.126 -17.434 267.280 1.0 43.01355  ? 879 VAL A CG1 879 VAL A CG1 1 
ATOM 6968  C CG2 . VAL A 1 879 ? 260.174 -19.838 266.688 1.0 43.01355  ? 879 VAL A CG2 879 VAL A CG2 1 
ATOM 6969  N N   . PHE A 1 880 ? 256.700 -19.956 266.231 1.0 43.44673  ? 880 PHE A N   880 PHE A N   1 
ATOM 6970  C CA  . PHE A 1 880 ? 255.804 -20.981 265.701 1.0 43.44673  ? 880 PHE A CA  880 PHE A CA  1 
ATOM 6971  C C   . PHE A 1 880 ? 256.411 -21.531 264.419 1.0 43.44673  ? 880 PHE A C   880 PHE A C   1 
ATOM 6972  O O   . PHE A 1 880 ? 256.166 -21.003 263.335 1.0 43.44673  ? 880 PHE A O   880 PHE A O   1 
ATOM 6973  C CB  . PHE A 1 880 ? 254.437 -20.417 265.438 1.0 43.44673  ? 880 PHE A CB  880 PHE A CB  1 
ATOM 6974  C CG  . PHE A 1 880 ? 253.648 -20.110 266.670 1.0 43.44673  ? 880 PHE A CG  880 PHE A CG  1 
ATOM 6975  C CD1 . PHE A 1 880 ? 253.950 -20.695 267.885 1.0 43.44673  ? 880 PHE A CD1 880 PHE A CD1 1 
ATOM 6976  C CD2 . PHE A 1 880 ? 252.604 -19.215 266.609 1.0 43.44673  ? 880 PHE A CD2 880 PHE A CD2 1 
ATOM 6977  C CE1 . PHE A 1 880 ? 253.209 -20.393 269.009 1.0 43.44673  ? 880 PHE A CE1 880 PHE A CE1 1 
ATOM 6978  C CE2 . PHE A 1 880 ? 251.864 -18.911 267.721 1.0 43.44673  ? 880 PHE A CE2 880 PHE A CE2 1 
ATOM 6979  C CZ  . PHE A 1 880 ? 252.167 -19.499 268.924 1.0 43.44673  ? 880 PHE A CZ  880 PHE A CZ  1 
ATOM 6980  N N   . ASP A 1 881 ? 257.182 -22.603 264.538 1.0 44.94734  ? 881 ASP A N   881 ASP A N   1 
ATOM 6981  C CA  . ASP A 1 881 ? 257.871 -23.185 263.395 1.0 44.94734  ? 881 ASP A CA  881 ASP A CA  1 
ATOM 6982  C C   . ASP A 1 881 ? 256.929 -24.162 262.703 1.0 44.94734  ? 881 ASP A C   881 ASP A C   1 
ATOM 6983  O O   . ASP A 1 881 ? 256.444 -25.109 263.328 1.0 44.94734  ? 881 ASP A O   881 ASP A O   1 
ATOM 6984  C CB  . ASP A 1 881 ? 259.152 -23.876 263.851 1.0 44.94734  ? 881 ASP A CB  881 ASP A CB  1 
ATOM 6985  C CG  . ASP A 1 881 ? 260.103 -24.148 262.713 1.0 44.94734  ? 881 ASP A CG  881 ASP A CG  1 
ATOM 6986  O OD1 . ASP A 1 881 ? 259.763 -23.837 261.554 1.0 44.94734  ? 881 ASP A OD1 881 ASP A OD1 1 
ATOM 6987  O OD2 . ASP A 1 881 ? 261.207 -24.659 262.982 1.0 44.94734  ? 881 ASP A OD2 881 ASP A OD2 1 
ATOM 6988  N N   . GLN A 1 882 ? 256.657 -23.921 261.421 1.0 40.3433   ? 882 GLN A N   882 GLN A N   1 
ATOM 6989  C CA  . GLN A 1 882 ? 255.679 -24.694 260.670 1.0 40.3433   ? 882 GLN A CA  882 GLN A CA  1 
ATOM 6990  C C   . GLN A 1 882 ? 256.228 -25.018 259.294 1.0 40.3433   ? 882 GLN A C   882 GLN A C   1 
ATOM 6991  O O   . GLN A 1 882 ? 257.090 -24.309 258.772 1.0 40.3433   ? 882 GLN A O   882 GLN A O   1 
ATOM 6992  C CB  . GLN A 1 882 ? 254.363 -23.942 260.484 1.0 40.3433   ? 882 GLN A CB  882 GLN A CB  1 
ATOM 6993  C CG  . GLN A 1 882 ? 253.625 -23.624 261.745 1.0 40.3433   ? 882 GLN A CG  882 GLN A CG  1 
ATOM 6994  C CD  . GLN A 1 882 ? 253.063 -24.836 262.428 1.0 40.3433   ? 882 GLN A CD  882 GLN A CD  1 
ATOM 6995  O OE1 . GLN A 1 882 ? 252.611 -25.772 261.777 1.0 40.3433   ? 882 GLN A OE1 882 GLN A OE1 1 
ATOM 6996  N NE2 . GLN A 1 882 ? 253.063 -24.818 263.753 1.0 40.3433   ? 882 GLN A NE2 882 GLN A NE2 1 
ATOM 6997  N N   . VAL A 1 883 ? 255.728 -26.115 258.718 1.0 37.40904  ? 883 VAL A N   883 VAL A N   1 
ATOM 6998  C CA  . VAL A 1 883 ? 255.981 -26.483 257.333 1.0 37.40904  ? 883 VAL A CA  883 VAL A CA  1 
ATOM 6999  C C   . VAL A 1 883 ? 254.643 -26.811 256.686 1.0 37.40904  ? 883 VAL A C   883 VAL A C   1 
ATOM 7000  O O   . VAL A 1 883 ? 253.639 -27.047 257.360 1.0 37.40904  ? 883 VAL A O   883 VAL A O   1 
ATOM 7001  C CB  . VAL A 1 883 ? 256.934 -27.693 257.183 1.0 37.40904  ? 883 VAL A CB  883 VAL A CB  1 
ATOM 7002  C CG1 . VAL A 1 883 ? 258.186 -27.492 257.958 1.0 37.40904  ? 883 VAL A CG1 883 VAL A CG1 1 
ATOM 7003  C CG2 . VAL A 1 883 ? 256.272 -28.969 257.611 1.0 37.40904  ? 883 VAL A CG2 883 VAL A CG2 1 
ATOM 7004  N N   . VAL A 1 884 ? 254.630 -26.787 255.357 1.0 36.06873  ? 884 VAL A N   884 VAL A N   1 
ATOM 7005  C CA  . VAL A 1 884 ? 253.664 -27.540 254.574 1.0 36.06873  ? 884 VAL A CA  884 VAL A CA  1 
ATOM 7006  C C   . VAL A 1 884 ? 254.489 -28.350 253.594 1.0 36.06873  ? 884 VAL A C   884 VAL A C   1 
ATOM 7007  O O   . VAL A 1 884 ? 255.667 -28.072 253.371 1.0 36.06873  ? 884 VAL A O   884 VAL A O   1 
ATOM 7008  C CB  . VAL A 1 884 ? 252.633 -26.673 253.814 1.0 36.06873  ? 884 VAL A CB  884 VAL A CB  1 
ATOM 7009  C CG1 . VAL A 1 884 ? 251.869 -25.765 254.755 1.0 36.06873  ? 884 VAL A CG1 884 VAL A CG1 1 
ATOM 7010  C CG2 . VAL A 1 884 ? 253.290 -25.886 252.695 1.0 36.06873  ? 884 VAL A CG2 884 VAL A CG2 1 
ATOM 7011  N N   . ILE A 1 885 ? 253.864 -29.369 253.016 1.0 37.63558  ? 885 ILE A N   885 ILE A N   1 
ATOM 7012  C CA  . ILE A 1 885 ? 254.521 -30.157 251.980 1.0 37.63558  ? 885 ILE A CA  885 ILE A CA  1 
ATOM 7013  C C   . ILE A 1 885 ? 253.494 -30.749 251.023 1.0 37.63558  ? 885 ILE A C   885 ILE A C   1 
ATOM 7014  O O   . ILE A 1 885 ? 252.527 -31.394 251.440 1.0 37.63558  ? 885 ILE A O   885 ILE A O   1 
ATOM 7015  C CB  . ILE A 1 885 ? 255.437 -31.232 252.604 1.0 37.63558  ? 885 ILE A CB  885 ILE A CB  1 
ATOM 7016  C CG1 . ILE A 1 885 ? 256.096 -32.086 251.533 1.0 37.63558  ? 885 ILE A CG1 885 ILE A CG1 1 
ATOM 7017  C CG2 . ILE A 1 885 ? 254.753 -32.060 253.671 1.0 37.63558  ? 885 ILE A CG2 885 ILE A CG2 1 
ATOM 7018  C CD1 . ILE A 1 885 ? 257.193 -32.919 252.093 1.0 37.63558  ? 885 ILE A CD1 885 ILE A CD1 1 
ATOM 7019  N N   . ASN A 1 886 ? 253.671 -30.499 249.731 1.0 41.178    ? 886 ASN A N   886 ASN A N   1 
ATOM 7020  C CA  . ASN A 1 886 ? 252.815 -31.086 248.716 1.0 41.178    ? 886 ASN A CA  886 ASN A CA  1 
ATOM 7021  C C   . ASN A 1 886 ? 253.609 -32.030 247.828 1.0 41.178    ? 886 ASN A C   886 ASN A C   1 
ATOM 7022  O O   . ASN A 1 886 ? 254.812 -31.861 247.621 1.0 41.178    ? 886 ASN A O   886 ASN A O   1 
ATOM 7023  C CB  . ASN A 1 886 ? 252.113 -30.020 247.864 1.0 41.178    ? 886 ASN A CB  886 ASN A CB  1 
ATOM 7024  C CG  . ASN A 1 886 ? 253.063 -29.024 247.242 1.0 41.178    ? 886 ASN A CG  886 ASN A CG  1 
ATOM 7025  O OD1 . ASN A 1 886 ? 254.273 -29.067 247.450 1.0 41.178    ? 886 ASN A OD1 886 ASN A OD1 1 
ATOM 7026  N ND2 . ASN A 1 886 ? 252.510 -28.116 246.450 1.0 41.178    ? 886 ASN A ND2 886 ASN A ND2 1 
ATOM 7027  N N   . GLN A 1 887 ? 252.923 -33.053 247.337 1.0 42.25134  ? 887 GLN A N   887 GLN A N   1 
ATOM 7028  C CA  . GLN A 1 887 ? 253.501 -34.042 246.436 1.0 42.25134  ? 887 GLN A CA  887 GLN A CA  1 
ATOM 7029  C C   . GLN A 1 887 ? 252.474 -34.182 245.325 1.0 42.25134  ? 887 GLN A C   887 GLN A C   1 
ATOM 7030  O O   . GLN A 1 887 ? 251.573 -35.020 245.414 1.0 42.25134  ? 887 GLN A O   887 GLN A O   1 
ATOM 7031  C CB  . GLN A 1 887 ? 253.762 -35.359 247.159 1.0 42.25134  ? 887 GLN A CB  887 GLN A CB  1 
ATOM 7032  C CG  . GLN A 1 887 ? 254.795 -35.241 248.267 1.0 42.25134  ? 887 GLN A CG  887 GLN A CG  1 
ATOM 7033  C CD  . GLN A 1 887 ? 254.923 -36.485 249.101 1.0 42.25134  ? 887 GLN A CD  887 GLN A CD  1 
ATOM 7034  O OE1 . GLN A 1 887 ? 254.202 -37.448 248.905 1.0 42.25134  ? 887 GLN A OE1 887 GLN A OE1 1 
ATOM 7035  N NE2 . GLN A 1 887 ? 255.839 -36.465 250.051 1.0 42.25134  ? 887 GLN A NE2 887 GLN A NE2 1 
ATOM 7036  N N   . PRO A 1 888 ? 252.536 -33.337 244.296 1.0 42.26569  ? 888 PRO A N   888 PRO A N   1 
ATOM 7037  C CA  . PRO A 1 888 ? 251.452 -33.311 243.309 1.0 42.26569  ? 888 PRO A CA  888 PRO A CA  1 
ATOM 7038  C C   . PRO A 1 888 ? 251.651 -34.290 242.165 1.0 42.26569  ? 888 PRO A C   888 PRO A C   1 
ATOM 7039  O O   . PRO A 1 888 ? 250.701 -34.622 241.452 1.0 42.26569  ? 888 PRO A O   888 PRO A O   1 
ATOM 7040  C CB  . PRO A 1 888 ? 251.486 -31.866 242.809 1.0 42.26569  ? 888 PRO A CB  888 PRO A CB  1 
ATOM 7041  C CG  . PRO A 1 888 ? 252.914 -31.494 242.919 1.0 42.26569  ? 888 PRO A CG  888 PRO A CG  1 
ATOM 7042  C CD  . PRO A 1 888 ? 253.450 -32.194 244.133 1.0 42.26569  ? 888 PRO A CD  888 PRO A CD  1 
ATOM 7043  N N   . THR A 1 889 ? 252.882 -34.748 241.973 1.0 45.10889  ? 889 THR A N   889 THR A N   1 
ATOM 7044  C CA  . THR A 1 889 ? 253.239 -35.593 240.846 1.0 45.10889  ? 889 THR A CA  889 THR A CA  1 
ATOM 7045  C C   . THR A 1 889 ? 254.184 -36.664 241.369 1.0 45.10889  ? 889 THR A C   889 THR A C   1 
ATOM 7046  O O   . THR A 1 889 ? 254.883 -36.446 242.362 1.0 45.10889  ? 889 THR A O   889 THR A O   1 
ATOM 7047  C CB  . THR A 1 889 ? 253.899 -34.758 239.729 1.0 45.10889  ? 889 THR A CB  889 THR A CB  1 
ATOM 7048  O OG1 . THR A 1 889 ? 253.117 -33.585 239.487 1.0 45.10889  ? 889 THR A OG1 889 THR A OG1 1 
ATOM 7049  C CG2 . THR A 1 889 ? 253.965 -35.522 238.416 1.0 45.10889  ? 889 THR A CG2 889 THR A CG2 1 
ATOM 7050  N N   . ARG A 1 890 ? 254.164 -37.836 240.733 1.0 46.67111  ? 890 ARG A N   890 ARG A N   1 
ATOM 7051  C CA  . ARG A 1 890 ? 255.099 -38.898 241.080 1.0 46.67111  ? 890 ARG A CA  890 ARG A CA  1 
ATOM 7052  C C   . ARG A 1 890 ? 256.532 -38.436 240.841 1.0 46.67111  ? 890 ARG A C   890 ARG A C   1 
ATOM 7053  O O   . ARG A 1 890 ? 256.824 -37.787 239.833 1.0 46.67111  ? 890 ARG A O   890 ARG A O   1 
ATOM 7054  C CB  . ARG A 1 890 ? 254.793 -40.150 240.260 1.0 46.67111  ? 890 ARG A CB  890 ARG A CB  1 
ATOM 7055  C CG  . ARG A 1 890 ? 255.646 -41.343 240.617 1.0 46.67111  ? 890 ARG A CG  890 ARG A CG  1 
ATOM 7056  C CD  . ARG A 1 890 ? 255.287 -42.551 239.783 1.0 46.67111  ? 890 ARG A CD  890 ARG A CD  1 
ATOM 7057  N NE  . ARG A 1 890 ? 255.504 -42.318 238.361 1.0 46.67111  ? 890 ARG A NE  890 ARG A NE  1 
ATOM 7058  C CZ  . ARG A 1 890 ? 256.680 -42.434 237.753 1.0 46.67111  ? 890 ARG A CZ  890 ARG A CZ  1 
ATOM 7059  N NH1 . ARG A 1 890 ? 257.758 -42.778 238.443 1.0 46.67111  ? 890 ARG A NH1 890 ARG A NH1 1 
ATOM 7060  N NH2 . ARG A 1 890 ? 256.779 -42.203 236.453 1.0 46.67111  ? 890 ARG A NH2 890 ARG A NH2 1 
ATOM 7061  N N   . SER A 1 891 ? 257.410 -38.757 241.802 1.0 45.10303  ? 891 SER A N   891 SER A N   1 
ATOM 7062  C CA  . SER A 1 891 ? 258.761 -38.195 241.932 1.0 45.10303  ? 891 SER A CA  891 SER A CA  1 
ATOM 7063  C C   . SER A 1 891 ? 258.734 -36.673 241.999 1.0 45.10303  ? 891 SER A C   891 SER A C   1 
ATOM 7064  O O   . SER A 1 891 ? 259.577 -36.001 241.403 1.0 45.10303  ? 891 SER A O   891 SER A O   1 
ATOM 7065  C CB  . SER A 1 891 ? 259.703 -38.662 240.816 1.0 45.10303  ? 891 SER A CB  891 SER A CB  1 
ATOM 7066  O OG  . SER A 1 891 ? 259.921 -40.057 240.867 1.0 45.10303  ? 891 SER A OG  891 SER A OG  1 
ATOM 7067  N N   . GLY A 1 892 ? 257.774 -36.122 242.719 1.0 43.32393  ? 892 GLY A N   892 GLY A N   1 
ATOM 7068  C CA  . GLY A 1 892 ? 257.676 -34.681 242.885 1.0 43.32393  ? 892 GLY A CA  892 GLY A CA  1 
ATOM 7069  C C   . GLY A 1 892 ? 257.328 -34.331 244.312 1.0 43.32393  ? 892 GLY A C   892 GLY A C   1 
ATOM 7070  O O   . GLY A 1 892 ? 256.442 -34.936 244.912 1.0 43.32393  ? 892 GLY A O   892 GLY A O   1 
ATOM 7071  N N   . ILE A 1 893 ? 258.034 -33.341 244.849 1.0 40.42374  ? 893 ILE A N   893 ILE A N   1 
ATOM 7072  C CA  . ILE A 1 893 ? 257.885 -32.960 246.247 1.0 40.42374  ? 893 ILE A CA  893 ILE A CA  1 
ATOM 7073  C C   . ILE A 1 893 ? 258.340 -31.512 246.381 1.0 40.42374  ? 893 ILE A C   893 ILE A C   1 
ATOM 7074  O O   . ILE A 1 893 ? 259.210 -31.051 245.639 1.0 40.42374  ? 893 ILE A O   893 ILE A O   1 
ATOM 7075  C CB  . ILE A 1 893 ? 258.668 -33.937 247.160 1.0 40.42374  ? 893 ILE A CB  893 ILE A CB  1 
ATOM 7076  C CG1 . ILE A 1 893 ? 258.284 -33.791 248.624 1.0 40.42374  ? 893 ILE A CG1 893 ILE A CG1 1 
ATOM 7077  C CG2 . ILE A 1 893 ? 260.168 -33.796 246.993 1.0 40.42374  ? 893 ILE A CG2 893 ILE A CG2 1 
ATOM 7078  C CD1 . ILE A 1 893 ? 258.822 -34.919 249.454 1.0 40.42374  ? 893 ILE A CD1 893 ILE A CD1 1 
ATOM 7079  N N   . SER A 1 894 ? 257.698 -30.777 247.287 1.0 38.73154  ? 894 SER A N   894 SER A N   1 
ATOM 7080  C CA  . SER A 1 894 ? 258.018 -29.376 247.525 1.0 38.73154  ? 894 SER A CA  894 SER A CA  1 
ATOM 7081  C C   . SER A 1 894 ? 257.493 -28.984 248.892 1.0 38.73154  ? 894 SER A C   894 SER A C   1 
ATOM 7082  O O   . SER A 1 894 ? 256.484 -29.517 249.356 1.0 38.73154  ? 894 SER A O   894 SER A O   1 
ATOM 7083  C CB  . SER A 1 894 ? 257.413 -28.447 246.468 1.0 38.73154  ? 894 SER A CB  894 SER A CB  1 
ATOM 7084  O OG  . SER A 1 894 ? 257.988 -28.667 245.196 1.0 38.73154  ? 894 SER A OG  894 SER A OG  1 
ATOM 7085  N N   . VAL A 1 895 ? 258.178 -28.040 249.530 1.0 35.25389  ? 895 VAL A N   895 VAL A N   1 
ATOM 7086  C CA  . VAL A 1 895 ? 257.826 -27.585 250.860 1.0 35.25389  ? 895 VAL A CA  895 VAL A CA  1 
ATOM 7087  C C   . VAL A 1 895 ? 257.710 -26.069 250.863 1.0 35.25389  ? 895 VAL A C   895 VAL A C   1 
ATOM 7088  O O   . VAL A 1 895 ? 257.867 -25.405 249.842 1.0 35.25389  ? 895 VAL A O   895 VAL A O   1 
ATOM 7089  C CB  . VAL A 1 895 ? 258.840 -28.034 251.925 1.0 35.25389  ? 895 VAL A CB  895 VAL A CB  1 
ATOM 7090  C CG1 . VAL A 1 895 ? 258.739 -29.511 252.169 1.0 35.25389  ? 895 VAL A CG1 895 VAL A CG1 1 
ATOM 7091  C CG2 . VAL A 1 895 ? 260.222 -27.667 251.478 1.0 35.25389  ? 895 VAL A CG2 895 VAL A CG2 1 
ATOM 7092  N N   . ALA A 1 896 ? 257.426 -25.535 252.048 1.0 35.54582  ? 896 ALA A N   896 ALA A N   1 
ATOM 7093  C CA  . ALA A 1 896 ? 257.421 -24.097 252.278 1.0 35.54582  ? 896 ALA A CA  896 ALA A CA  1 
ATOM 7094  C C   . ALA A 1 896 ? 257.702 -23.893 253.758 1.0 35.54582  ? 896 ALA A C   896 ALA A C   1 
ATOM 7095  O O   . ALA A 1 896 ? 256.832 -24.163 254.586 1.0 35.54582  ? 896 ALA A O   896 ALA A O   1 
ATOM 7096  C CB  . ALA A 1 896 ? 256.088 -23.484 251.878 1.0 35.54582  ? 896 ALA A CB  896 ALA A CB  1 
ATOM 7097  N N   . TYR A 1 897 ? 258.904 -23.443 254.090 1.0 40.824    ? 897 TYR A N   897 TYR A N   1 
ATOM 7098  C CA  . TYR A 1 897 ? 259.252 -23.215 255.483 1.0 40.824    ? 897 TYR A CA  897 TYR A CA  1 
ATOM 7099  C C   . TYR A 1 897 ? 258.963 -21.771 255.853 1.0 40.824    ? 897 TYR A C   897 TYR A C   1 
ATOM 7100  O O   . TYR A 1 897 ? 259.384 -20.842 255.161 1.0 40.824    ? 897 TYR A O   897 TYR A O   1 
ATOM 7101  C CB  . TYR A 1 897 ? 260.726 -23.505 255.770 1.0 40.824    ? 897 TYR A CB  897 TYR A CB  1 
ATOM 7102  C CG  . TYR A 1 897 ? 261.162 -24.948 255.716 1.0 40.824    ? 897 TYR A CG  897 TYR A CG  1 
ATOM 7103  C CD1 . TYR A 1 897 ? 260.268 -25.967 255.469 1.0 40.824    ? 897 TYR A CD1 897 TYR A CD1 1 
ATOM 7104  C CD2 . TYR A 1 897 ? 262.470 -25.291 255.993 1.0 40.824    ? 897 TYR A CD2 897 TYR A CD2 1 
ATOM 7105  C CE1 . TYR A 1 897 ? 260.679 -27.282 255.434 1.0 40.824    ? 897 TYR A CE1 897 TYR A CE1 1 
ATOM 7106  C CE2 . TYR A 1 897 ? 262.881 -26.601 255.978 1.0 40.824    ? 897 TYR A CE2 897 TYR A CE2 1 
ATOM 7107  C CZ  . TYR A 1 897 ? 261.982 -27.588 255.702 1.0 40.824    ? 897 TYR A CZ  897 TYR A CZ  1 
ATOM 7108  O OH  . TYR A 1 897 ? 262.393 -28.895 255.681 1.0 40.824    ? 897 TYR A OH  897 TYR A OH  1 
ATOM 7109  N N   . LEU A 1 898 ? 258.268 -21.589 256.973 1.0 39.88481  ? 898 LEU A N   898 LEU A N   1 
ATOM 7110  C CA  . LEU A 1 898 ? 257.866 -20.258 257.404 1.0 39.88481  ? 898 LEU A CA  898 LEU A CA  1 
ATOM 7111  C C   . LEU A 1 898 ? 257.540 -20.269 258.888 1.0 39.88481  ? 898 LEU A C   898 LEU A C   1 
ATOM 7112  O O   . LEU A 1 898 ? 256.717 -21.072 259.333 1.0 39.88481  ? 898 LEU A O   898 LEU A O   1 
ATOM 7113  C CB  . LEU A 1 898 ? 256.669 -19.791 256.572 1.0 39.88481  ? 898 LEU A CB  898 LEU A CB  1 
ATOM 7114  C CG  . LEU A 1 898 ? 256.136 -18.359 256.521 1.0 39.88481  ? 898 LEU A CG  898 LEU A CG  1 
ATOM 7115  C CD1 . LEU A 1 898 ? 255.168 -18.074 257.626 1.0 39.88481  ? 898 LEU A CD1 898 LEU A CD1 1 
ATOM 7116  C CD2 . LEU A 1 898 ? 257.286 -17.372 256.557 1.0 39.88481  ? 898 LEU A CD2 898 LEU A CD2 1 
ATOM 7117  N N   . ARG A 1 899 ? 258.163 -19.387 259.662 1.0 44.65613  ? 899 ARG A N   899 ARG A N   1 
ATOM 7118  C CA  . ARG A 1 899 ? 257.918 -19.307 261.094 1.0 44.65613  ? 899 ARG A CA  899 ARG A CA  1 
ATOM 7119  C C   . ARG A 1 899 ? 257.550 -17.884 261.492 1.0 44.65613  ? 899 ARG A C   899 ARG A C   1 
ATOM 7120  O O   . ARG A 1 899 ? 258.055 -16.919 260.912 1.0 44.65613  ? 899 ARG A O   899 ARG A O   1 
ATOM 7121  C CB  . ARG A 1 899 ? 259.132 -19.803 261.886 1.0 44.65613  ? 899 ARG A CB  899 ARG A CB  1 
ATOM 7122  C CG  . ARG A 1 899 ? 260.391 -18.994 261.722 1.0 44.65613  ? 899 ARG A CG  899 ARG A CG  1 
ATOM 7123  C CD  . ARG A 1 899 ? 261.535 -19.614 262.484 1.0 44.65613  ? 899 ARG A CD  899 ARG A CD  1 
ATOM 7124  N NE  . ARG A 1 899 ? 262.747 -18.821 262.345 1.0 44.65613  ? 899 ARG A NE  899 ARG A NE  1 
ATOM 7125  C CZ  . ARG A 1 899 ? 263.911 -19.140 262.894 1.0 44.65613  ? 899 ARG A CZ  899 ARG A CZ  1 
ATOM 7126  N NH1 . ARG A 1 899 ? 264.021 -20.244 263.617 1.0 44.65613  ? 899 ARG A NH1 899 ARG A NH1 1 
ATOM 7127  N NH2 . ARG A 1 899 ? 264.964 -18.357 262.717 1.0 44.65613  ? 899 ARG A NH2 899 ARG A NH2 1 
ATOM 7128  N N   . LEU A 1 900 ? 256.641 -17.761 262.458 1.0 44.57585  ? 900 LEU A N   900 LEU A N   1 
ATOM 7129  C CA  . LEU A 1 900 ? 256.268 -16.480 263.030 1.0 44.57585  ? 900 LEU A CA  900 LEU A CA  1 
ATOM 7130  C C   . LEU A 1 900 ? 256.812 -16.393 264.441 1.0 44.57585  ? 900 LEU A C   900 LEU A C   1 
ATOM 7131  O O   . LEU A 1 900 ? 256.679 -17.359 265.199 1.0 44.57585  ? 900 LEU A O   900 LEU A O   1 
ATOM 7132  C CB  . LEU A 1 900 ? 254.749 -16.295 263.069 1.0 44.57585  ? 900 LEU A CB  900 LEU A CB  1 
ATOM 7133  C CG  . LEU A 1 900 ? 253.961 -15.753 261.875 1.0 44.57585  ? 900 LEU A CG  900 LEU A CG  1 
ATOM 7134  C CD1 . LEU A 1 900 ? 254.488 -14.397 261.413 1.0 44.57585  ? 900 LEU A CD1 900 LEU A CD1 1 
ATOM 7135  C CD2 . LEU A 1 900 ? 253.915 -16.743 260.760 1.0 44.57585  ? 900 LEU A CD2 900 LEU A CD2 1 
ATOM 7136  N N   . PRO A 1 901 ? 257.393 -15.260 264.855 1.0 45.56247  ? 901 PRO A N   901 PRO A N   1 
ATOM 7137  C CA  . PRO A 1 901 ? 257.608 -14.053 264.064 1.0 45.56247  ? 901 PRO A CA  901 PRO A CA  1 
ATOM 7138  C C   . PRO A 1 901 ? 259.011 -13.932 263.494 1.0 45.56247  ? 901 PRO A C   901 PRO A C   1 
ATOM 7139  O O   . PRO A 1 901 ? 259.248 -13.049 262.669 1.0 45.56247  ? 901 PRO A O   901 PRO A O   1 
ATOM 7140  C CB  . PRO A 1 901 ? 257.374 -12.944 265.079 1.0 45.56247  ? 901 PRO A CB  901 PRO A CB  1 
ATOM 7141  C CG  . PRO A 1 901 ? 257.857 -13.531 266.339 1.0 45.56247  ? 901 PRO A CG  901 PRO A CG  1 
ATOM 7142  C CD  . PRO A 1 901 ? 257.498 -14.985 266.292 1.0 45.56247  ? 901 PRO A CD  901 PRO A CD  1 
ATOM 7143  N N   . PHE A 1 902 ? 259.936 -14.789 263.919 1.0 47.37092  ? 902 PHE A N   902 PHE A N   1 
ATOM 7144  C CA  . PHE A 1 902 ? 261.346 -14.579 263.597 1.0 47.37092  ? 902 PHE A CA  902 PHE A CA  1 
ATOM 7145  C C   . PHE A 1 902 ? 261.697 -15.295 262.295 1.0 47.37092  ? 902 PHE A C   902 PHE A C   1 
ATOM 7146  O O   . PHE A 1 902 ? 262.364 -16.330 262.266 1.0 47.37092  ? 902 PHE A O   902 PHE A O   1 
ATOM 7147  C CB  . PHE A 1 902 ? 262.246 -15.034 264.740 1.0 47.37092  ? 902 PHE A CB  902 PHE A CB  1 
ATOM 7148  C CG  . PHE A 1 902 ? 262.211 -14.137 265.953 1.0 47.37092  ? 902 PHE A CG  902 PHE A CG  1 
ATOM 7149  C CD1 . PHE A 1 902 ? 261.526 -12.935 265.945 1.0 47.37092  ? 902 PHE A CD1 902 PHE A CD1 1 
ATOM 7150  C CD2 . PHE A 1 902 ? 262.912 -14.481 267.090 1.0 47.37092  ? 902 PHE A CD2 902 PHE A CD2 1 
ATOM 7151  C CE1 . PHE A 1 902 ? 261.509 -12.119 267.056 1.0 47.37092  ? 902 PHE A CE1 902 PHE A CE1 1 
ATOM 7152  C CE2 . PHE A 1 902 ? 262.905 -13.661 268.198 1.0 47.37092  ? 902 PHE A CE2 902 PHE A CE2 1 
ATOM 7153  C CZ  . PHE A 1 902 ? 262.200 -12.483 268.181 1.0 47.37092  ? 902 PHE A CZ  902 PHE A CZ  1 
ATOM 7154  N N   . ALA A 1 903 ? 261.237 -14.704 261.192 1.0 47.10418  ? 903 ALA A N   903 ALA A N   1 
ATOM 7155  C CA  . ALA A 1 903 ? 261.629 -15.156 259.859 1.0 47.10418  ? 903 ALA A CA  903 ALA A CA  1 
ATOM 7156  C C   . ALA A 1 903 ? 263.000 -14.562 259.553 1.0 47.10418  ? 903 ALA A C   903 ALA A C   1 
ATOM 7157  O O   . ALA A 1 903 ? 263.143 -13.383 259.219 1.0 47.10418  ? 903 ALA A O   903 ALA A O   1 
ATOM 7158  C CB  . ALA A 1 903 ? 260.587 -14.762 258.821 1.0 47.10418  ? 903 ALA A CB  903 ALA A CB  1 
ATOM 7159  N N   . SER A 1 904 ? 264.022 -15.413 259.701 1.0 51.37494  ? 904 SER A N   904 SER A N   1 
ATOM 7160  C CA  . SER A 1 904 ? 265.436 -15.110 259.476 1.0 51.37494  ? 904 SER A CA  904 SER A CA  1 
ATOM 7161  C C   . SER A 1 904 ? 265.926 -13.940 260.323 1.0 51.37494  ? 904 SER A C   904 SER A C   1 
ATOM 7162  O O   . SER A 1 904 ? 266.326 -12.904 259.788 1.0 51.37494  ? 904 SER A O   904 SER A O   1 
ATOM 7163  C CB  . SER A 1 904 ? 265.710 -14.844 257.991 1.0 51.37494  ? 904 SER A CB  904 SER A CB  1 
ATOM 7164  O OG  . SER A 1 904 ? 267.076 -14.536 257.778 1.0 51.37494  ? 904 SER A OG  904 SER A OG  1 
ATOM 7165  N N   . GLY A 1 905 ? 265.883 -14.091 261.641 1.0 50.40921  ? 905 GLY A N   905 GLY A N   1 
ATOM 7166  C CA  . GLY A 1 905 ? 266.400 -13.077 262.539 1.0 50.40921  ? 905 GLY A CA  905 GLY A CA  1 
ATOM 7167  C C   . GLY A 1 905 ? 267.746 -13.456 263.126 1.0 50.40921  ? 905 GLY A C   905 GLY A C   1 
ATOM 7168  O O   . GLY A 1 905 ? 268.343 -12.694 263.884 1.0 50.40921  ? 905 GLY A O   905 GLY A O   1 
ATOM 7169  N N   . MET B 2 1   ? 249.939 -18.553 249.142 1.0 43.84628  ? 1   MET B N   1   MET B N   1 
ATOM 7170  C CA  . MET B 2 1   ? 250.702 -18.595 250.383 1.0 43.84628  ? 1   MET B CA  1   MET B CA  1 
ATOM 7171  C C   . MET B 2 1   ? 250.081 -17.691 251.434 1.0 43.84628  ? 1   MET B C   1   MET B C   1 
ATOM 7172  O O   . MET B 2 1   ? 249.882 -18.102 252.572 1.0 43.84628  ? 1   MET B O   1   MET B O   1 
ATOM 7173  C CB  . MET B 2 1   ? 252.149 -18.189 250.136 1.0 43.84628  ? 1   MET B CB  1   MET B CB  1 
ATOM 7174  C CG  . MET B 2 1   ? 252.899 -19.129 249.221 1.0 43.84628  ? 1   MET B CG  1   MET B CG  1 
ATOM 7175  S SD  . MET B 2 1   ? 253.083 -20.774 249.919 1.0 43.84628  ? 1   MET B SD  1   MET B SD  1 
ATOM 7176  C CE  . MET B 2 1   ? 253.771 -21.649 248.523 1.0 43.84628  ? 1   MET B CE  1   MET B CE  1 
ATOM 7177  N N   . GLU B 2 2   ? 249.796 -16.453 251.048 1.0 44.94846  ? 2   GLU B N   2   GLU B N   1 
ATOM 7178  C CA  . GLU B 2 2   ? 249.062 -15.551 251.921 1.0 44.94846  ? 2   GLU B CA  2   GLU B CA  1 
ATOM 7179  C C   . GLU B 2 2   ? 247.618 -16.034 252.052 1.0 44.94846  ? 2   GLU B C   2   GLU B C   1 
ATOM 7180  O O   . GLU B 2 2   ? 247.089 -16.647 251.121 1.0 44.94846  ? 2   GLU B O   2   GLU B O   1 
ATOM 7181  C CB  . GLU B 2 2   ? 249.105 -14.124 251.368 1.0 44.94846  ? 2   GLU B CB  2   GLU B CB  1 
ATOM 7182  C CG  . GLU B 2 2   ? 250.461 -13.459 251.456 1.0 44.94846  ? 2   GLU B CG  2   GLU B CG  1 
ATOM 7183  C CD  . GLU B 2 2   ? 251.334 -13.754 250.262 1.0 44.94846  ? 2   GLU B CD  2   GLU B CD  1 
ATOM 7184  O OE1 . GLU B 2 2   ? 250.843 -14.392 249.309 1.0 44.94846  ? 2   GLU B OE1 2   GLU B OE1 1 
ATOM 7185  O OE2 . GLU B 2 2   ? 252.514 -13.353 250.278 1.0 44.94846  ? 2   GLU B OE2 2   GLU B OE2 1 
ATOM 7186  N N   . PRO B 2 3   ? 246.942 -15.768 253.186 1.0 43.70962  ? 3   PRO B N   3   PRO B N   1 
ATOM 7187  C CA  . PRO B 2 3   ? 247.255 -14.943 254.358 1.0 43.70962  ? 3   PRO B CA  3   PRO B CA  1 
ATOM 7188  C C   . PRO B 2 3   ? 248.157 -15.527 255.451 1.0 43.70962  ? 3   PRO B C   3   PRO B C   1 
ATOM 7189  O O   . PRO B 2 3   ? 248.018 -15.060 256.568 1.0 43.70962  ? 3   PRO B O   3   PRO B O   1 
ATOM 7190  C CB  . PRO B 2 3   ? 245.876 -14.664 254.948 1.0 43.70962  ? 3   PRO B CB  3   PRO B CB  1 
ATOM 7191  C CG  . PRO B 2 3   ? 245.085 -15.823 254.578 1.0 43.70962  ? 3   PRO B CG  3   PRO B CG  1 
ATOM 7192  C CD  . PRO B 2 3   ? 245.551 -16.243 253.230 1.0 43.70962  ? 3   PRO B CD  3   PRO B CD  1 
ATOM 7193  N N   . GLN B 2 4   ? 248.961 -16.560 255.188 1.0 42.04206  ? 4   GLN B N   4   GLN B N   1 
ATOM 7194  C CA  . GLN B 2 4   ? 250.154 -16.940 255.963 1.0 42.04206  ? 4   GLN B CA  4   GLN B CA  1 
ATOM 7195  C C   . GLN B 2 4   ? 249.906 -17.331 257.419 1.0 42.04206  ? 4   GLN B C   4   GLN B C   1 
ATOM 7196  O O   . GLN B 2 4   ? 250.849 -17.698 258.119 1.0 42.04206  ? 4   GLN B O   4   GLN B O   1 
ATOM 7197  C CB  . GLN B 2 4   ? 251.218 -15.843 255.944 1.0 42.04206  ? 4   GLN B CB  4   GLN B CB  1 
ATOM 7198  C CG  . GLN B 2 4   ? 251.938 -15.708 254.636 1.0 42.04206  ? 4   GLN B CG  4   GLN B CG  1 
ATOM 7199  C CD  . GLN B 2 4   ? 253.068 -14.722 254.722 1.0 42.04206  ? 4   GLN B CD  4   GLN B CD  1 
ATOM 7200  O OE1 . GLN B 2 4   ? 253.275 -14.097 255.756 1.0 42.04206  ? 4   GLN B OE1 4   GLN B OE1 1 
ATOM 7201  N NE2 . GLN B 2 4   ? 253.814 -14.579 253.638 1.0 42.04206  ? 4   GLN B NE2 4   GLN B NE2 1 
ATOM 7202  N N   . ARG B 2 5   ? 248.683 -17.258 257.914 1.0 41.2801   ? 5   ARG B N   5   ARG B N   1 
ATOM 7203  C CA  . ARG B 2 5   ? 248.347 -17.791 259.222 1.0 41.2801   ? 5   ARG B CA  5   ARG B CA  1 
ATOM 7204  C C   . ARG B 2 5   ? 247.324 -18.906 259.125 1.0 41.2801   ? 5   ARG B C   5   ARG B C   1 
ATOM 7205  O O   . ARG B 2 5   ? 247.369 -19.840 259.934 1.0 41.2801   ? 5   ARG B O   5   ARG B O   1 
ATOM 7206  C CB  . ARG B 2 5   ? 247.834 -16.665 260.143 1.0 41.2801   ? 5   ARG B CB  5   ARG B CB  1 
ATOM 7207  C CG  . ARG B 2 5   ? 247.528 -17.095 261.562 1.0 41.2801   ? 5   ARG B CG  5   ARG B CG  1 
ATOM 7208  C CD  . ARG B 2 5   ? 247.184 -15.989 262.542 1.0 41.2801   ? 5   ARG B CD  5   ARG B CD  1 
ATOM 7209  N NE  . ARG B 2 5   ? 248.325 -15.155 262.900 1.0 41.2801   ? 5   ARG B NE  5   ARG B NE  1 
ATOM 7210  C CZ  . ARG B 2 5   ? 248.246 -14.120 263.728 1.0 41.2801   ? 5   ARG B CZ  5   ARG B CZ  1 
ATOM 7211  N NH1 . ARG B 2 5   ? 249.324 -13.401 264.003 1.0 41.2801   ? 5   ARG B NH1 5   ARG B NH1 1 
ATOM 7212  N NH2 . ARG B 2 5   ? 247.093 -13.818 264.304 1.0 41.2801   ? 5   ARG B NH2 5   ARG B NH2 1 
ATOM 7213  N N   . GLU B 2 6   ? 246.456 -18.881 258.119 1.0 43.45776  ? 6   GLU B N   6   GLU B N   1 
ATOM 7214  C CA  . GLU B 2 6   ? 245.592 -20.001 257.802 1.0 43.45776  ? 6   GLU B CA  6   GLU B CA  1 
ATOM 7215  C C   . GLU B 2 6   ? 246.214 -20.974 256.817 1.0 43.45776  ? 6   GLU B C   6   GLU B C   1 
ATOM 7216  O O   . GLU B 2 6   ? 245.701 -22.086 256.673 1.0 43.45776  ? 6   GLU B O   6   GLU B O   1 
ATOM 7217  C CB  . GLU B 2 6   ? 244.257 -19.499 257.234 1.0 43.45776  ? 6   GLU B CB  6   GLU B CB  1 
ATOM 7218  C CG  . GLU B 2 6   ? 243.374 -18.801 258.254 1.0 43.45776  ? 6   GLU B CG  6   GLU B CG  1 
ATOM 7219  C CD  . GLU B 2 6   ? 243.732 -17.343 258.451 1.0 43.45776  ? 6   GLU B CD  6   GLU B CD  1 
ATOM 7220  O OE1 . GLU B 2 6   ? 244.606 -16.841 257.716 1.0 43.45776  ? 6   GLU B OE1 6   GLU B OE1 1 
ATOM 7221  O OE2 . GLU B 2 6   ? 243.156 -16.705 259.356 1.0 43.45776  ? 6   GLU B OE2 6   GLU B OE2 1 
ATOM 7222  N N   . PHE B 2 7   ? 247.295 -20.590 256.137 1.0 38.79465  ? 7   PHE B N   7   PHE B N   1 
ATOM 7223  C CA  . PHE B 2 7   ? 247.964 -21.531 255.250 1.0 38.79465  ? 7   PHE B CA  7   PHE B CA  1 
ATOM 7224  C C   . PHE B 2 7   ? 248.904 -22.451 256.006 1.0 38.79465  ? 7   PHE B C   7   PHE B C   1 
ATOM 7225  O O   . PHE B 2 7   ? 248.987 -23.640 255.685 1.0 38.79465  ? 7   PHE B O   7   PHE B O   1 
ATOM 7226  C CB  . PHE B 2 7   ? 248.738 -20.795 254.160 1.0 38.79465  ? 7   PHE B CB  7   PHE B CB  1 
ATOM 7227  C CG  . PHE B 2 7   ? 249.392 -21.711 253.169 1.0 38.79465  ? 7   PHE B CG  7   PHE B CG  1 
ATOM 7228  C CD1 . PHE B 2 7   ? 248.639 -22.352 252.202 1.0 38.79465  ? 7   PHE B CD1 7   PHE B CD1 1 
ATOM 7229  C CD2 . PHE B 2 7   ? 250.756 -21.937 253.205 1.0 38.79465  ? 7   PHE B CD2 7   PHE B CD2 1 
ATOM 7230  C CE1 . PHE B 2 7   ? 249.234 -23.200 251.290 1.0 38.79465  ? 7   PHE B CE1 7   PHE B CE1 1 
ATOM 7231  C CE2 . PHE B 2 7   ? 251.355 -22.786 252.298 1.0 38.79465  ? 7   PHE B CE2 7   PHE B CE2 1 
ATOM 7232  C CZ  . PHE B 2 7   ? 250.593 -23.416 251.340 1.0 38.79465  ? 7   PHE B CZ  7   PHE B CZ  1 
ATOM 7233  N N   . PHE B 2 8   ? 249.625 -21.931 256.994 1.0 38.04466  ? 8   PHE B N   8   PHE B N   1 
ATOM 7234  C CA  . PHE B 2 8   ? 250.507 -22.746 257.812 1.0 38.04466  ? 8   PHE B CA  8   PHE B CA  1 
ATOM 7235  C C   . PHE B 2 8   ? 249.853 -23.183 259.107 1.0 38.04466  ? 8   PHE B C   8   PHE B C   1 
ATOM 7236  O O   . PHE B 2 8   ? 250.516 -23.817 259.933 1.0 38.04466  ? 8   PHE B O   8   PHE B O   1 
ATOM 7237  C CB  . PHE B 2 8   ? 251.803 -21.991 258.098 1.0 38.04466  ? 8   PHE B CB  8   PHE B CB  1 
ATOM 7238  C CG  . PHE B 2 8   ? 252.623 -21.757 256.879 1.0 38.04466  ? 8   PHE B CG  8   PHE B CG  1 
ATOM 7239  C CD1 . PHE B 2 8   ? 253.391 -22.773 256.348 1.0 38.04466  ? 8   PHE B CD1 8   PHE B CD1 1 
ATOM 7240  C CD2 . PHE B 2 8   ? 252.606 -20.532 256.242 1.0 38.04466  ? 8   PHE B CD2 8   PHE B CD2 1 
ATOM 7241  C CE1 . PHE B 2 8   ? 254.135 -22.568 255.215 1.0 38.04466  ? 8   PHE B CE1 8   PHE B CE1 1 
ATOM 7242  C CE2 . PHE B 2 8   ? 253.352 -20.322 255.106 1.0 38.04466  ? 8   PHE B CE2 8   PHE B CE2 1 
ATOM 7243  C CZ  . PHE B 2 8   ? 254.114 -21.342 254.592 1.0 38.04466  ? 8   PHE B CZ  8   PHE B CZ  1 
ATOM 7244  N N   . HIS B 2 9   ? 248.575 -22.840 259.294 1.0 39.4978   ? 9   HIS B N   9   HIS B N   1 
ATOM 7245  C CA  . HIS B 2 9   ? 247.724 -23.312 260.388 1.0 39.4978   ? 9   HIS B CA  9   HIS B CA  1 
ATOM 7246  C C   . HIS B 2 9   ? 248.273 -22.912 261.751 1.0 39.4978   ? 9   HIS B C   9   HIS B C   1 
ATOM 7247  O O   . HIS B 2 9   ? 248.277 -23.696 262.700 1.0 39.4978   ? 9   HIS B O   9   HIS B O   1 
ATOM 7248  C CB  . HIS B 2 9   ? 247.486 -24.815 260.291 1.0 39.4978   ? 9   HIS B CB  9   HIS B CB  1 
ATOM 7249  C CG  . HIS B 2 9   ? 246.766 -25.209 259.044 1.0 39.4978   ? 9   HIS B CG  9   HIS B CG  1 
ATOM 7250  N ND1 . HIS B 2 9   ? 247.425 -25.547 257.883 1.0 39.4978   ? 9   HIS B ND1 9   HIS B ND1 1 
ATOM 7251  C CD2 . HIS B 2 9   ? 245.446 -25.265 258.756 1.0 39.4978   ? 9   HIS B CD2 9   HIS B CD2 1 
ATOM 7252  C CE1 . HIS B 2 9   ? 246.542 -25.830 256.944 1.0 39.4978   ? 9   HIS B CE1 9   HIS B CE1 1 
ATOM 7253  N NE2 . HIS B 2 9   ? 245.333 -25.664 257.448 1.0 39.4978   ? 9   HIS B NE2 9   HIS B NE2 1 
ATOM 7254  N N   . ILE B 2 10  ? 248.767 -21.679 261.828 1.0 39.98374  ? 10  ILE B N   10  ILE B N   1 
ATOM 7255  C CA  . ILE B 2 10  ? 248.965 -21.025 263.113 1.0 39.98374  ? 10  ILE B CA  10  ILE B CA  1 
ATOM 7256  C C   . ILE B 2 10  ? 247.621 -20.851 263.806 1.0 39.98374  ? 10  ILE B C   10  ILE B C   1 
ATOM 7257  O O   . ILE B 2 10  ? 247.483 -21.099 265.009 1.0 39.98374  ? 10  ILE B O   10  ILE B O   1 
ATOM 7258  C CB  . ILE B 2 10  ? 249.662 -19.671 262.902 1.0 39.98374  ? 10  ILE B CB  10  ILE B CB  1 
ATOM 7259  C CG1 . ILE B 2 10  ? 250.926 -19.811 262.067 1.0 39.98374  ? 10  ILE B CG1 10  ILE B CG1 1 
ATOM 7260  C CG2 . ILE B 2 10  ? 250.001 -19.041 264.204 1.0 39.98374  ? 10  ILE B CG2 10  ILE B CG2 1 
ATOM 7261  C CD1 . ILE B 2 10  ? 251.979 -20.571 262.726 1.0 39.98374  ? 10  ILE B CD1 10  ILE B CD1 1 
ATOM 7262  N N   . ALA B 2 11  ? 246.611 -20.430 263.049 1.0 39.85406  ? 11  ALA B N   11  ALA B N   1 
ATOM 7263  C CA  . ALA B 2 11  ? 245.243 -20.293 263.521 1.0 39.85406  ? 11  ALA B CA  11  ALA B CA  1 
ATOM 7264  C C   . ALA B 2 11  ? 244.322 -20.749 262.399 1.0 39.85406  ? 11  ALA B C   11  ALA B C   1 
ATOM 7265  O O   . ALA B 2 11  ? 244.774 -21.238 261.361 1.0 39.85406  ? 11  ALA B O   11  ALA B O   1 
ATOM 7266  C CB  . ALA B 2 11  ? 244.956 -18.850 263.951 1.0 39.85406  ? 11  ALA B CB  11  ALA B CB  1 
ATOM 7267  N N   . GLY B 2 12  ? 243.024 -20.588 262.595 1.0 41.81317  ? 12  GLY B N   12  GLY B N   1 
ATOM 7268  C CA  . GLY B 2 12  ? 242.053 -20.876 261.553 1.0 41.81317  ? 12  GLY B CA  12  GLY B CA  1 
ATOM 7269  C C   . GLY B 2 12  ? 241.305 -22.176 261.814 1.0 41.81317  ? 12  GLY B C   12  GLY B C   1 
ATOM 7270  O O   . GLY B 2 12  ? 240.772 -22.386 262.901 1.0 41.81317  ? 12  GLY B O   12  GLY B O   1 
ATOM 7271  N N   . ARG B 2 13  ? 241.268 -23.042 260.809 1.0 40.39968  ? 13  ARG B N   13  ARG B N   1 
ATOM 7272  C CA  . ARG B 2 13  ? 240.450 -24.242 260.845 1.0 40.39968  ? 13  ARG B CA  13  ARG B CA  1 
ATOM 7273  C C   . ARG B 2 13  ? 241.191 -25.389 261.515 1.0 40.39968  ? 13  ARG B C   13  ARG B C   1 
ATOM 7274  O O   . ARG B 2 13  ? 242.411 -25.520 261.401 1.0 40.39968  ? 13  ARG B O   13  ARG B O   1 
ATOM 7275  C CB  . ARG B 2 13  ? 240.047 -24.645 259.430 1.0 40.39968  ? 13  ARG B CB  13  ARG B CB  1 
ATOM 7276  C CG  . ARG B 2 13  ? 239.118 -23.666 258.762 1.0 40.39968  ? 13  ARG B CG  13  ARG B CG  1 
ATOM 7277  C CD  . ARG B 2 13  ? 238.900 -24.033 257.322 1.0 40.39968  ? 13  ARG B CD  13  ARG B CD  1 
ATOM 7278  N NE  . ARG B 2 13  ? 240.110 -23.826 256.537 1.0 40.39968  ? 13  ARG B NE  13  ARG B NE  1 
ATOM 7279  C CZ  . ARG B 2 13  ? 240.235 -24.172 255.262 1.0 40.39968  ? 13  ARG B CZ  13  ARG B CZ  1 
ATOM 7280  N NH1 . ARG B 2 13  ? 239.224 -24.741 254.626 1.0 40.39968  ? 13  ARG B NH1 13  ARG B NH1 1 
ATOM 7281  N NH2 . ARG B 2 13  ? 241.369 -23.947 254.620 1.0 40.39968  ? 13  ARG B NH2 13  ARG B NH2 1 
ATOM 7282  N N   . SER B 2 14  ? 240.433 -26.229 262.212 1.0 40.82901  ? 14  SER B N   14  SER B N   1 
ATOM 7283  C CA  . SER B 2 14  ? 241.004 -27.394 262.861 1.0 40.82901  ? 14  SER B CA  14  SER B CA  1 
ATOM 7284  C C   . SER B 2 14  ? 241.270 -28.485 261.834 1.0 40.82901  ? 14  SER B C   14  SER B C   1 
ATOM 7285  O O   . SER B 2 14  ? 240.872 -28.388 260.674 1.0 40.82901  ? 14  SER B O   14  SER B O   1 
ATOM 7286  C CB  . SER B 2 14  ? 240.077 -27.905 263.960 1.0 40.82901  ? 14  SER B CB  14  SER B CB  1 
ATOM 7287  O OG  . SER B 2 14  ? 238.881 -28.430 263.419 1.0 40.82901  ? 14  SER B OG  14  SER B OG  1 
ATOM 7288  N N   . ALA B 2 15  ? 241.934 -29.552 262.288 1.0 40.69758  ? 15  ALA B N   15  ALA B N   1 
ATOM 7289  C CA  . ALA B 2 15  ? 242.399 -30.609 261.393 1.0 40.69758  ? 15  ALA B CA  15  ALA B CA  1 
ATOM 7290  C C   . ALA B 2 15  ? 241.263 -31.396 260.760 1.0 40.69758  ? 15  ALA B C   15  ALA B C   1 
ATOM 7291  O O   . ALA B 2 15  ? 241.454 -31.979 259.690 1.0 40.69758  ? 15  ALA B O   15  ALA B O   1 
ATOM 7292  C CB  . ALA B 2 15  ? 243.322 -31.564 262.147 1.0 40.69758  ? 15  ALA B CB  15  ALA B CB  1 
ATOM 7293  N N   . LYS B 2 16  ? 240.091 -31.415 261.384 1.0 42.12383  ? 16  LYS B N   16  LYS B N   1 
ATOM 7294  C CA  . LYS B 2 16  ? 238.926 -32.079 260.822 1.0 42.12383  ? 16  LYS B CA  16  LYS B CA  1 
ATOM 7295  C C   . LYS B 2 16  ? 238.177 -31.214 259.822 1.0 42.12383  ? 16  LYS B C   16  LYS B C   1 
ATOM 7296  O O   . LYS B 2 16  ? 237.117 -31.629 259.354 1.0 42.12383  ? 16  LYS B O   16  LYS B O   1 
ATOM 7297  C CB  . LYS B 2 16  ? 237.965 -32.489 261.938 1.0 42.12383  ? 16  LYS B CB  16  LYS B CB  1 
ATOM 7298  C CG  . LYS B 2 16  ? 238.489 -33.565 262.860 1.0 42.12383  ? 16  LYS B CG  16  LYS B CG  1 
ATOM 7299  C CD  . LYS B 2 16  ? 237.447 -33.921 263.911 1.0 42.12383  ? 16  LYS B CD  16  LYS B CD  1 
ATOM 7300  C CE  . LYS B 2 16  ? 237.950 -34.994 264.865 1.0 42.12383  ? 16  LYS B CE  16  LYS B CE  1 
ATOM 7301  N NZ  . LYS B 2 16  ? 236.941 -35.326 265.907 1.0 42.12383  ? 16  LYS B NZ  16  LYS B NZ  1 
ATOM 7302  N N   . GLU B 2 17  ? 238.685 -30.035 259.489 1.0 42.82549  ? 17  GLU B N   17  GLU B N   1 
ATOM 7303  C CA  . GLU B 2 17  ? 237.930 -29.083 258.686 1.0 42.82549  ? 17  GLU B CA  17  GLU B CA  1 
ATOM 7304  C C   . GLU B 2 17  ? 238.601 -28.712 257.377 1.0 42.82549  ? 17  GLU B C   17  GLU B C   1 
ATOM 7305  O O   . GLU B 2 17  ? 237.917 -28.607 256.361 1.0 42.82549  ? 17  GLU B O   17  GLU B O   1 
ATOM 7306  C CB  . GLU B 2 17  ? 237.668 -27.813 259.493 1.0 42.82549  ? 17  GLU B CB  17  GLU B CB  1 
ATOM 7307  C CG  . GLU B 2 17  ? 236.758 -28.025 260.678 1.0 42.82549  ? 17  GLU B CG  17  GLU B CG  1 
ATOM 7308  C CD  . GLU B 2 17  ? 236.550 -26.761 261.479 1.0 42.82549  ? 17  GLU B CD  17  GLU B CD  1 
ATOM 7309  O OE1 . GLU B 2 17  ? 237.197 -25.743 261.162 1.0 42.82549  ? 17  GLU B OE1 17  GLU B OE1 1 
ATOM 7310  O OE2 . GLU B 2 17  ? 235.745 -26.786 262.432 1.0 42.82549  ? 17  GLU B OE2 17  GLU B OE2 1 
ATOM 7311  N N   . TYR B 2 18  ? 239.913 -28.502 257.356 1.0 38.9101   ? 18  TYR B N   18  TYR B N   1 
ATOM 7312  C CA  . TYR B 2 18  ? 240.563 -28.101 256.118 1.0 38.9101   ? 18  TYR B CA  18  TYR B CA  1 
ATOM 7313  C C   . TYR B 2 18  ? 240.951 -29.281 255.242 1.0 38.9101   ? 18  TYR B C   18  TYR B C   1 
ATOM 7314  O O   . TYR B 2 18  ? 241.640 -29.085 254.239 1.0 38.9101   ? 18  TYR B O   18  TYR B O   1 
ATOM 7315  C CB  . TYR B 2 18  ? 241.796 -27.228 256.393 1.0 38.9101   ? 18  TYR B CB  18  TYR B CB  1 
ATOM 7316  C CG  . TYR B 2 18  ? 242.950 -27.881 257.127 1.0 38.9101   ? 18  TYR B CG  18  TYR B CG  1 
ATOM 7317  C CD1 . TYR B 2 18  ? 243.049 -27.798 258.500 1.0 38.9101   ? 18  TYR B CD1 18  TYR B CD1 1 
ATOM 7318  C CD2 . TYR B 2 18  ? 243.961 -28.543 256.441 1.0 38.9101   ? 18  TYR B CD2 18  TYR B CD2 1 
ATOM 7319  C CE1 . TYR B 2 18  ? 244.098 -28.374 259.173 1.0 38.9101   ? 18  TYR B CE1 18  TYR B CE1 1 
ATOM 7320  C CE2 . TYR B 2 18  ? 245.010 -29.128 257.109 1.0 38.9101   ? 18  TYR B CE2 18  TYR B CE2 1 
ATOM 7321  C CZ  . TYR B 2 18  ? 245.071 -29.037 258.474 1.0 38.9101   ? 18  TYR B CZ  18  TYR B CZ  1 
ATOM 7322  O OH  . TYR B 2 18  ? 246.116 -29.613 259.149 1.0 38.9101   ? 18  TYR B OH  18  TYR B OH  1 
ATOM 7323  N N   . LEU B 2 19  ? 240.548 -30.492 255.596 1.0 39.84632  ? 19  LEU B N   19  LEU B N   1 
ATOM 7324  C CA  . LEU B 2 19  ? 240.871 -31.662 254.799 1.0 39.84632  ? 19  LEU B CA  19  LEU B CA  1 
ATOM 7325  C C   . LEU B 2 19  ? 239.716 -32.024 253.881 1.0 39.84632  ? 19  LEU B C   19  LEU B C   1 
ATOM 7326  O O   . LEU B 2 19  ? 238.610 -31.494 253.982 1.0 39.84632  ? 19  LEU B O   19  LEU B O   1 
ATOM 7327  C CB  . LEU B 2 19  ? 241.220 -32.852 255.691 1.0 39.84632  ? 19  LEU B CB  19  LEU B CB  1 
ATOM 7328  C CG  . LEU B 2 19  ? 242.531 -32.769 256.453 1.0 39.84632  ? 19  LEU B CG  19  LEU B CG  1 
ATOM 7329  C CD1 . LEU B 2 19  ? 242.699 -33.995 257.315 1.0 39.84632  ? 19  LEU B CD1 19  LEU B CD1 1 
ATOM 7330  C CD2 . LEU B 2 19  ? 243.670 -32.637 255.481 1.0 39.84632  ? 19  LEU B CD2 19  LEU B CD2 1 
ATOM 7331  N N   . SER B 2 20  ? 240.003 -32.934 252.960 1.0 45.80393  ? 20  SER B N   20  SER B N   1 
ATOM 7332  C CA  . SER B 2 20  ? 238.970 -33.524 252.129 1.0 45.80393  ? 20  SER B CA  20  SER B CA  1 
ATOM 7333  C C   . SER B 2 20  ? 238.014 -34.346 252.982 1.0 45.80393  ? 20  SER B C   20  SER B C   1 
ATOM 7334  O O   . SER B 2 20  ? 238.405 -34.949 253.982 1.0 45.80393  ? 20  SER B O   20  SER B O   1 
ATOM 7335  C CB  . SER B 2 20  ? 239.611 -34.402 251.059 1.0 45.80393  ? 20  SER B CB  20  SER B CB  1 
ATOM 7336  O OG  . SER B 2 20  ? 238.640 -35.133 250.342 1.0 45.80393  ? 20  SER B OG  20  SER B OG  1 
ATOM 7337  N N   . GLU B 2 21  ? 236.739 -34.345 252.589 1.0 49.81075  ? 21  GLU B N   21  GLU B N   1 
ATOM 7338  C CA  . GLU B 2 21  ? 235.752 -35.177 253.270 1.0 49.81075  ? 21  GLU B CA  21  GLU B CA  1 
ATOM 7339  C C   . GLU B 2 21  ? 236.047 -36.654 253.055 1.0 49.81075  ? 21  GLU B C   21  GLU B C   1 
ATOM 7340  O O   . GLU B 2 21  ? 235.808 -37.477 253.944 1.0 49.81075  ? 21  GLU B O   21  GLU B O   1 
ATOM 7341  C CB  . GLU B 2 21  ? 234.344 -34.820 252.787 1.0 49.81075  ? 21  GLU B CB  21  GLU B CB  1 
ATOM 7342  C CG  . GLU B 2 21  ? 233.208 -35.646 253.389 1.0 49.81075  ? 21  GLU B CG  21  GLU B CG  1 
ATOM 7343  C CD  . GLU B 2 21  ? 233.014 -35.430 254.874 1.0 49.81075  ? 21  GLU B CD  21  GLU B CD  1 
ATOM 7344  O OE1 . GLU B 2 21  ? 233.308 -34.325 255.367 1.0 49.81075  ? 21  GLU B OE1 21  GLU B OE1 1 
ATOM 7345  O OE2 . GLU B 2 21  ? 232.554 -36.366 255.554 1.0 49.81075  ? 21  GLU B OE2 21  GLU B OE2 1 
ATOM 7346  N N   . ASN B 2 22  ? 236.605 -37.001 251.894 1.0 48.82501  ? 22  ASN B N   22  ASN B N   1 
ATOM 7347  C CA  . ASN B 2 22  ? 237.013 -38.377 251.644 1.0 48.82501  ? 22  ASN B CA  22  ASN B CA  1 
ATOM 7348  C C   . ASN B 2 22  ? 238.200 -38.789 252.498 1.0 48.82501  ? 22  ASN B C   22  ASN B C   1 
ATOM 7349  O O   . ASN B 2 22  ? 238.340 -39.972 252.819 1.0 48.82501  ? 22  ASN B O   22  ASN B O   1 
ATOM 7350  C CB  . ASN B 2 22  ? 237.345 -38.570 250.169 1.0 48.82501  ? 22  ASN B CB  22  ASN B CB  1 
ATOM 7351  C CG  . ASN B 2 22  ? 236.126 -38.553 249.296 1.0 48.82501  ? 22  ASN B CG  22  ASN B CG  1 
ATOM 7352  O OD1 . ASN B 2 22  ? 235.947 -37.666 248.467 1.0 48.82501  ? 22  ASN B OD1 22  ASN B OD1 1 
ATOM 7353  N ND2 . ASN B 2 22  ? 235.278 -39.551 249.465 1.0 48.82501  ? 22  ASN B ND2 22  ASN B ND2 1 
ATOM 7354  N N   . LEU B 2 23  ? 239.063 -37.850 252.878 1.0 43.22361  ? 23  LEU B N   23  LEU B N   1 
ATOM 7355  C CA  . LEU B 2 23  ? 240.223 -38.225 253.673 1.0 43.22361  ? 23  LEU B CA  23  LEU B CA  1 
ATOM 7356  C C   . LEU B 2 23  ? 239.902 -38.296 255.155 1.0 43.22361  ? 23  LEU B C   23  LEU B C   1 
ATOM 7357  O O   . LEU B 2 23  ? 240.502 -39.108 255.866 1.0 43.22361  ? 23  LEU B O   23  LEU B O   1 
ATOM 7358  C CB  . LEU B 2 23  ? 241.377 -37.249 253.422 1.0 43.22361  ? 23  LEU B CB  23  LEU B CB  1 
ATOM 7359  C CG  . LEU B 2 23  ? 242.790 -37.635 253.870 1.0 43.22361  ? 23  LEU B CG  23  LEU B CG  1 
ATOM 7360  C CD1 . LEU B 2 23  ? 243.763 -37.087 252.871 1.0 43.22361  ? 23  LEU B CD1 23  LEU B CD1 1 
ATOM 7361  C CD2 . LEU B 2 23  ? 243.156 -37.108 255.246 1.0 43.22361  ? 23  LEU B CD2 23  LEU B CD2 1 
ATOM 7362  N N   . VAL B 2 24  ? 238.977 -37.464 255.636 1.0 43.6652   ? 24  VAL B N   24  VAL B N   1 
ATOM 7363  C CA  . VAL B 2 24  ? 238.550 -37.543 257.029 1.0 43.6652   ? 24  VAL B CA  24  VAL B CA  1 
ATOM 7364  C C   . VAL B 2 24  ? 237.802 -38.847 257.278 1.0 43.6652   ? 24  VAL B C   24  VAL B C   1 
ATOM 7365  O O   . VAL B 2 24  ? 237.973 -39.488 258.321 1.0 43.6652   ? 24  VAL B O   24  VAL B O   1 
ATOM 7366  C CB  . VAL B 2 24  ? 237.708 -36.306 257.391 1.0 43.6652   ? 24  VAL B CB  24  VAL B CB  1 
ATOM 7367  C CG1 . VAL B 2 24  ? 237.156 -36.404 258.792 1.0 43.6652   ? 24  VAL B CG1 24  VAL B CG1 1 
ATOM 7368  C CG2 . VAL B 2 24  ? 238.549 -35.061 257.274 1.0 43.6652   ? 24  VAL B CG2 24  VAL B CG2 1 
ATOM 7369  N N   . GLN B 2 25  ? 237.015 -39.296 256.301 1.0 46.49256  ? 25  GLN B N   25  GLN B N   1 
ATOM 7370  C CA  . GLN B 2 25  ? 236.380 -40.603 256.408 1.0 46.49256  ? 25  GLN B CA  25  GLN B CA  1 
ATOM 7371  C C   . GLN B 2 25  ? 237.378 -41.745 256.282 1.0 46.49256  ? 25  GLN B C   25  GLN B C   1 
ATOM 7372  O O   . GLN B 2 25  ? 237.060 -42.869 256.677 1.0 46.49256  ? 25  GLN B O   25  GLN B O   1 
ATOM 7373  C CB  . GLN B 2 25  ? 235.293 -40.756 255.349 1.0 46.49256  ? 25  GLN B CB  25  GLN B CB  1 
ATOM 7374  C CG  . GLN B 2 25  ? 234.115 -39.834 255.542 1.0 46.49256  ? 25  GLN B CG  25  GLN B CG  1 
ATOM 7375  C CD  . GLN B 2 25  ? 233.060 -40.035 254.484 1.0 46.49256  ? 25  GLN B CD  25  GLN B CD  1 
ATOM 7376  O OE1 . GLN B 2 25  ? 233.226 -40.845 253.574 1.0 46.49256  ? 25  GLN B OE1 25  GLN B OE1 1 
ATOM 7377  N NE2 . GLN B 2 25  ? 231.966 -39.294 254.590 1.0 46.49256  ? 25  GLN B NE2 25  GLN B NE2 1 
ATOM 7378  N N   . PHE B 2 26  ? 238.570 -41.487 255.743 1.0 45.05899  ? 26  PHE B N   26  PHE B N   1 
ATOM 7379  C CA  . PHE B 2 26  ? 239.594 -42.521 255.690 1.0 45.05899  ? 26  PHE B CA  26  PHE B CA  1 
ATOM 7380  C C   . PHE B 2 26  ? 240.352 -42.613 257.007 1.0 45.05899  ? 26  PHE B C   26  PHE B C   1 
ATOM 7381  O O   . PHE B 2 26  ? 240.562 -43.711 257.530 1.0 45.05899  ? 26  PHE B O   26  PHE B O   1 
ATOM 7382  C CB  . PHE B 2 26  ? 240.564 -42.252 254.541 1.0 45.05899  ? 26  PHE B CB  26  PHE B CB  1 
ATOM 7383  C CG  . PHE B 2 26  ? 241.599 -43.322 254.363 1.0 45.05899  ? 26  PHE B CG  26  PHE B CG  1 
ATOM 7384  C CD1 . PHE B 2 26  ? 241.288 -44.499 253.708 1.0 45.05899  ? 26  PHE B CD1 26  PHE B CD1 1 
ATOM 7385  C CD2 . PHE B 2 26  ? 242.881 -43.157 254.863 1.0 45.05899  ? 26  PHE B CD2 26  PHE B CD2 1 
ATOM 7386  C CE1 . PHE B 2 26  ? 242.237 -45.488 253.547 1.0 45.05899  ? 26  PHE B CE1 26  PHE B CE1 1 
ATOM 7387  C CE2 . PHE B 2 26  ? 243.830 -44.146 254.715 1.0 45.05899  ? 26  PHE B CE2 26  PHE B CE2 1 
ATOM 7388  C CZ  . PHE B 2 26  ? 243.510 -45.309 254.050 1.0 45.05899  ? 26  PHE B CZ  26  PHE B CZ  1 
ATOM 7389  N N   . ILE B 2 27  ? 240.773 -41.472 257.562 1.0 44.68863  ? 27  ILE B N   27  ILE B N   1 
ATOM 7390  C CA  . ILE B 2 27  ? 241.609 -41.496 258.758 1.0 44.68863  ? 27  ILE B CA  27  ILE B CA  1 
ATOM 7391  C C   . ILE B 2 27  ? 240.832 -41.862 260.010 1.0 44.68863  ? 27  ILE B C   27  ILE B C   1 
ATOM 7392  O O   . ILE B 2 27  ? 241.443 -42.121 261.050 1.0 44.68863  ? 27  ILE B O   27  ILE B O   1 
ATOM 7393  C CB  . ILE B 2 27  ? 242.352 -40.152 258.938 1.0 44.68863  ? 27  ILE B CB  27  ILE B CB  1 
ATOM 7394  C CG1 . ILE B 2 27  ? 241.406 -38.954 259.078 1.0 44.68863  ? 27  ILE B CG1 27  ILE B CG1 1 
ATOM 7395  C CG2 . ILE B 2 27  ? 243.264 -39.903 257.765 1.0 44.68863  ? 27  ILE B CG2 27  ILE B CG2 1 
ATOM 7396  C CD1 . ILE B 2 27  ? 241.115 -38.486 260.513 1.0 44.68863  ? 27  ILE B CD1 27  ILE B CD1 1 
ATOM 7397  N N   . GLN B 2 28  ? 239.504 -41.861 259.950 1.0 46.01895  ? 28  GLN B N   28  GLN B N   1 
ATOM 7398  C CA  . GLN B 2 28  ? 238.702 -42.388 261.041 1.0 46.01895  ? 28  GLN B CA  28  GLN B CA  1 
ATOM 7399  C C   . GLN B 2 28  ? 238.521 -43.889 260.942 1.0 46.01895  ? 28  GLN B C   28  GLN B C   1 
ATOM 7400  O O   . GLN B 2 28  ? 238.466 -44.568 261.972 1.0 46.01895  ? 28  GLN B O   28  GLN B O   1 
ATOM 7401  C CB  . GLN B 2 28  ? 237.331 -41.714 261.069 1.0 46.01895  ? 28  GLN B CB  28  GLN B CB  1 
ATOM 7402  C CG  . GLN B 2 28  ? 237.372 -40.258 261.461 1.0 46.01895  ? 28  GLN B CG  28  GLN B CG  1 
ATOM 7403  C CD  . GLN B 2 28  ? 236.008 -39.616 261.414 1.0 46.01895  ? 28  GLN B CD  28  GLN B CD  1 
ATOM 7404  O OE1 . GLN B 2 28  ? 235.026 -40.249 261.030 1.0 46.01895  ? 28  GLN B OE1 28  GLN B OE1 1 
ATOM 7405  N NE2 . GLN B 2 28  ? 235.939 -38.349 261.799 1.0 46.01895  ? 28  GLN B NE2 28  GLN B NE2 1 
ATOM 7406  N N   . ALA B 2 29  ? 238.425 -44.422 259.725 1.0 45.17878  ? 29  ALA B N   29  ALA B N   1 
ATOM 7407  C CA  . ALA B 2 29  ? 238.279 -45.861 259.556 1.0 45.17878  ? 29  ALA B CA  29  ALA B CA  1 
ATOM 7408  C C   . ALA B 2 29  ? 239.599 -46.572 259.810 1.0 45.17878  ? 29  ALA B C   29  ALA B C   1 
ATOM 7409  O O   . ALA B 2 29  ? 239.709 -47.404 260.716 1.0 45.17878  ? 29  ALA B O   29  ALA B O   1 
ATOM 7410  C CB  . ALA B 2 29  ? 237.756 -46.173 258.154 1.0 45.17878  ? 29  ALA B CB  29  ALA B CB  1 
ATOM 7411  N N   . THR B 2 30  ? 240.622 -46.248 259.023 1.0 46.20807  ? 30  THR B N   30  THR B N   1 
ATOM 7412  C CA  . THR B 2 30  ? 241.937 -46.861 259.186 1.0 46.20807  ? 30  THR B CA  30  THR B CA  1 
ATOM 7413  C C   . THR B 2 30  ? 242.713 -46.025 260.194 1.0 46.20807  ? 30  THR B C   30  THR B C   1 
ATOM 7414  O O   . THR B 2 30  ? 243.563 -45.206 259.850 1.0 46.20807  ? 30  THR B O   30  THR B O   1 
ATOM 7415  C CB  . THR B 2 30  ? 242.666 -46.937 257.855 1.0 46.20807  ? 30  THR B CB  30  THR B CB  1 
ATOM 7416  O OG1 . THR B 2 30  ? 243.025 -45.616 257.446 1.0 46.20807  ? 30  THR B OG1 30  THR B OG1 1 
ATOM 7417  C CG2 . THR B 2 30  ? 241.761 -47.526 256.800 1.0 46.20807  ? 30  THR B CG2 30  THR B CG2 1 
ATOM 7418  N N   . GLN B 2 31  ? 242.398 -46.229 261.462 1.0 48.52365  ? 31  GLN B N   31  GLN B N   1 
ATOM 7419  C CA  . GLN B 2 31  ? 243.034 -45.484 262.538 1.0 48.52365  ? 31  GLN B CA  31  GLN B CA  1 
ATOM 7420  C C   . GLN B 2 31  ? 243.692 -46.381 263.567 1.0 48.52365  ? 31  GLN B C   31  GLN B C   1 
ATOM 7421  O O   . GLN B 2 31  ? 244.778 -46.064 264.056 1.0 48.52365  ? 31  GLN B O   31  GLN B O   1 
ATOM 7422  C CB  . GLN B 2 31  ? 242.005 -44.587 263.235 1.0 48.52365  ? 31  GLN B CB  31  GLN B CB  1 
ATOM 7423  C CG  . GLN B 2 31  ? 242.580 -43.666 264.289 1.0 48.52365  ? 31  GLN B CG  31  GLN B CG  1 
ATOM 7424  C CD  . GLN B 2 31  ? 241.521 -42.815 264.946 1.0 48.52365  ? 31  GLN B CD  31  GLN B CD  1 
ATOM 7425  O OE1 . GLN B 2 31  ? 240.334 -42.945 264.650 1.0 48.52365  ? 31  GLN B OE1 31  GLN B OE1 1 
ATOM 7426  N NE2 . GLN B 2 31  ? 241.942 -41.935 265.845 1.0 48.52365  ? 31  GLN B NE2 31  GLN B NE2 1 
ATOM 7427  N N   . ASN B 2 32  ? 243.077 -47.513 263.887 1.0 49.54013  ? 32  ASN B N   32  ASN B N   1 
ATOM 7428  C CA  . ASN B 2 32  ? 243.583 -48.396 264.926 1.0 49.54013  ? 32  ASN B CA  32  ASN B CA  1 
ATOM 7429  C C   . ASN B 2 32  ? 244.768 -49.237 264.475 1.0 49.54013  ? 32  ASN B C   32  ASN B C   1 
ATOM 7430  O O   . ASN B 2 32  ? 245.324 -49.978 265.291 1.0 49.54013  ? 32  ASN B O   32  ASN B O   1 
ATOM 7431  C CB  . ASN B 2 32  ? 242.455 -49.300 265.420 1.0 49.54013  ? 32  ASN B CB  32  ASN B CB  1 
ATOM 7432  C CG  . ASN B 2 32  ? 241.331 -48.516 266.061 1.0 49.54013  ? 32  ASN B CG  32  ASN B CG  1 
ATOM 7433  O OD1 . ASN B 2 32  ? 240.213 -48.479 265.550 1.0 49.54013  ? 32  ASN B OD1 32  ASN B OD1 1 
ATOM 7434  N ND2 . ASN B 2 32  ? 241.624 -47.875 267.183 1.0 49.54013  ? 32  ASN B ND2 32  ASN B ND2 1 
ATOM 7435  N N   . TYR B 2 33  ? 245.164 -49.156 263.208 1.0 48.50792  ? 33  TYR B N   33  TYR B N   1 
ATOM 7436  C CA  . TYR B 2 33  ? 246.373 -49.837 262.760 1.0 48.50792  ? 33  TYR B CA  33  TYR B CA  1 
ATOM 7437  C C   . TYR B 2 33  ? 247.283 -48.998 261.879 1.0 48.50792  ? 33  TYR B C   33  TYR B C   1 
ATOM 7438  O O   . TYR B 2 33  ? 248.476 -49.306 261.803 1.0 48.50792  ? 33  TYR B O   33  TYR B O   1 
ATOM 7439  C CB  . TYR B 2 33  ? 246.014 -51.130 262.021 1.0 48.50792  ? 33  TYR B CB  33  TYR B CB  1 
ATOM 7440  C CG  . TYR B 2 33  ? 245.186 -50.960 260.766 1.0 48.50792  ? 33  TYR B CG  33  TYR B CG  1 
ATOM 7441  C CD1 . TYR B 2 33  ? 243.799 -50.909 260.825 1.0 48.50792  ? 33  TYR B CD1 33  TYR B CD1 1 
ATOM 7442  C CD2 . TYR B 2 33  ? 245.788 -50.900 259.518 1.0 48.50792  ? 33  TYR B CD2 33  TYR B CD2 1 
ATOM 7443  C CE1 . TYR B 2 33  ? 243.040 -50.774 259.681 1.0 48.50792  ? 33  TYR B CE1 33  TYR B CE1 1 
ATOM 7444  C CE2 . TYR B 2 33  ? 245.037 -50.763 258.371 1.0 48.50792  ? 33  TYR B CE2 33  TYR B CE2 1 
ATOM 7445  C CZ  . TYR B 2 33  ? 243.667 -50.702 258.460 1.0 48.50792  ? 33  TYR B CZ  33  TYR B CZ  1 
ATOM 7446  O OH  . TYR B 2 33  ? 242.921 -50.572 257.317 1.0 48.50792  ? 33  TYR B OH  33  TYR B OH  1 
ATOM 7447  N N   . PHE B 2 34  ? 246.791 -47.954 261.217 1.0 48.6502   ? 34  PHE B N   34  PHE B N   1 
ATOM 7448  C CA  . PHE B 2 34  ? 247.610 -47.172 260.290 1.0 48.6502   ? 34  PHE B CA  34  PHE B CA  1 
ATOM 7449  C C   . PHE B 2 34  ? 247.281 -45.699 260.520 1.0 48.6502   ? 34  PHE B C   34  PHE B C   1 
ATOM 7450  O O   . PHE B 2 34  ? 246.423 -45.129 259.846 1.0 48.6502   ? 34  PHE B O   34  PHE B O   1 
ATOM 7451  C CB  . PHE B 2 34  ? 247.347 -47.616 258.860 1.0 48.6502   ? 34  PHE B CB  34  PHE B CB  1 
ATOM 7452  C CG  . PHE B 2 34  ? 248.199 -46.932 257.841 1.0 48.6502   ? 34  PHE B CG  34  PHE B CG  1 
ATOM 7453  C CD1 . PHE B 2 34  ? 249.566 -47.150 257.805 1.0 48.6502   ? 34  PHE B CD1 34  PHE B CD1 1 
ATOM 7454  C CD2 . PHE B 2 34  ? 247.628 -46.117 256.882 1.0 48.6502   ? 34  PHE B CD2 34  PHE B CD2 1 
ATOM 7455  C CE1 . PHE B 2 34  ? 250.355 -46.531 256.855 1.0 48.6502   ? 34  PHE B CE1 34  PHE B CE1 1 
ATOM 7456  C CE2 . PHE B 2 34  ? 248.406 -45.508 255.923 1.0 48.6502   ? 34  PHE B CE2 34  PHE B CE2 1 
ATOM 7457  C CZ  . PHE B 2 34  ? 249.773 -45.708 255.914 1.0 48.6502   ? 34  PHE B CZ  34  PHE B CZ  1 
ATOM 7458  N N   . ASN B 2 35  ? 247.995 -45.081 261.456 1.0 48.19526  ? 35  ASN B N   35  ASN B N   1 
ATOM 7459  C CA  . ASN B 2 35  ? 247.636 -43.756 261.941 1.0 48.19526  ? 35  ASN B CA  35  ASN B CA  1 
ATOM 7460  C C   . ASN B 2 35  ? 248.154 -42.697 260.977 1.0 48.19526  ? 35  ASN B C   35  ASN B C   1 
ATOM 7461  O O   . ASN B 2 35  ? 249.348 -42.661 260.664 1.0 48.19526  ? 35  ASN B O   35  ASN B O   1 
ATOM 7462  C CB  . ASN B 2 35  ? 248.202 -43.529 263.340 1.0 48.19526  ? 35  ASN B CB  35  ASN B CB  1 
ATOM 7463  C CG  . ASN B 2 35  ? 247.386 -42.540 264.153 1.0 48.19526  ? 35  ASN B CG  35  ASN B CG  1 
ATOM 7464  O OD1 . ASN B 2 35  ? 247.592 -42.392 265.356 1.0 48.19526  ? 35  ASN B OD1 35  ASN B OD1 1 
ATOM 7465  N ND2 . ASN B 2 35  ? 246.428 -41.887 263.510 1.0 48.19526  ? 35  ASN B ND2 35  ASN B ND2 1 
ATOM 7466  N N   . ILE B 2 36  ? 247.255 -41.835 260.511 1.0 45.19937  ? 36  ILE B N   36  ILE B N   1 
ATOM 7467  C CA  . ILE B 2 36  ? 247.621 -40.732 259.642 1.0 45.19937  ? 36  ILE B CA  36  ILE B CA  1 
ATOM 7468  C C   . ILE B 2 36  ? 247.386 -39.377 260.299 1.0 45.19937  ? 36  ILE B C   36  ILE B C   1 
ATOM 7469  O O   . ILE B 2 36  ? 248.222 -38.478 260.148 1.0 45.19937  ? 36  ILE B O   36  ILE B O   1 
ATOM 7470  C CB  . ILE B 2 36  ? 246.864 -40.836 258.300 1.0 45.19937  ? 36  ILE B CB  36  ILE B CB  1 
ATOM 7471  C CG1 . ILE B 2 36  ? 247.230 -42.136 257.606 1.0 45.19937  ? 36  ILE B CG1 36  ILE B CG1 1 
ATOM 7472  C CG2 . ILE B 2 36  ? 247.201 -39.692 257.364 1.0 45.19937  ? 36  ILE B CG2 36  ILE B CG2 1 
ATOM 7473  C CD1 . ILE B 2 36  ? 248.701 -42.232 257.321 1.0 45.19937  ? 36  ILE B CD1 36  ILE B CD1 1 
ATOM 7474  N N   . GLY B 2 37  ? 246.321 -39.226 261.085 1.0 45.39611  ? 37  GLY B N   37  GLY B N   1 
ATOM 7475  C CA  . GLY B 2 37  ? 245.849 -37.961 261.626 1.0 45.39611  ? 37  GLY B CA  37  GLY B CA  1 
ATOM 7476  C C   . GLY B 2 37  ? 246.804 -37.202 262.526 1.0 45.39611  ? 37  GLY B C   37  GLY B C   1 
ATOM 7477  O O   . GLY B 2 37  ? 246.494 -36.066 262.893 1.0 45.39611  ? 37  GLY B O   37  GLY B O   1 
ATOM 7478  N N   . GLU B 2 38  ? 247.945 -37.778 262.896 1.0 47.34133  ? 38  GLU B N   38  GLU B N   1 
ATOM 7479  C CA  . GLU B 2 38  ? 248.979 -37.031 263.595 1.0 47.34133  ? 38  GLU B CA  38  GLU B CA  1 
ATOM 7480  C C   . GLU B 2 38  ? 249.895 -36.272 262.649 1.0 47.34133  ? 38  GLU B C   38  GLU B C   1 
ATOM 7481  O O   . GLU B 2 38  ? 250.835 -35.620 263.113 1.0 47.34133  ? 38  GLU B O   38  GLU B O   1 
ATOM 7482  C CB  . GLU B 2 38  ? 249.809 -37.974 264.465 1.0 47.34133  ? 38  GLU B CB  38  GLU B CB  1 
ATOM 7483  C CG  . GLU B 2 38  ? 249.029 -38.593 265.606 1.0 47.34133  ? 38  GLU B CG  38  GLU B CG  1 
ATOM 7484  C CD  . GLU B 2 38  ? 248.626 -37.578 266.654 1.0 47.34133  ? 38  GLU B CD  38  GLU B CD  1 
ATOM 7485  O OE1 . GLU B 2 38  ? 249.398 -36.625 266.888 1.0 47.34133  ? 38  GLU B OE1 38  GLU B OE1 1 
ATOM 7486  O OE2 . GLU B 2 38  ? 247.534 -37.729 267.240 1.0 47.34133  ? 38  GLU B OE2 38  GLU B OE2 1 
ATOM 7487  N N   . LYS B 2 39  ? 249.650 -36.344 261.341 1.0 40.98463  ? 39  LYS B N   39  LYS B N   1 
ATOM 7488  C CA  . LYS B 2 39  ? 250.458 -35.667 260.340 1.0 40.98463  ? 39  LYS B CA  39  LYS B CA  1 
ATOM 7489  C C   . LYS B 2 39  ? 249.822 -34.369 259.873 1.0 40.98463  ? 39  LYS B C   39  LYS B C   1 
ATOM 7490  O O   . LYS B 2 39  ? 250.166 -33.867 258.800 1.0 40.98463  ? 39  LYS B O   39  LYS B O   1 
ATOM 7491  C CB  . LYS B 2 39  ? 250.694 -36.592 259.148 1.0 40.98463  ? 39  LYS B CB  39  LYS B CB  1 
ATOM 7492  C CG  . LYS B 2 39  ? 251.470 -37.838 259.497 1.0 40.98463  ? 39  LYS B CG  39  LYS B CG  1 
ATOM 7493  C CD  . LYS B 2 39  ? 251.588 -38.772 258.319 1.0 40.98463  ? 39  LYS B CD  39  LYS B CD  1 
ATOM 7494  C CE  . LYS B 2 39  ? 252.478 -39.941 258.666 1.0 40.98463  ? 39  LYS B CE  39  LYS B CE  1 
ATOM 7495  N NZ  . LYS B 2 39  ? 251.898 -40.765 259.747 1.0 40.98463  ? 39  LYS B NZ  39  LYS B NZ  1 
ATOM 7496  N N   . PHE B 2 40  ? 248.891 -33.823 260.645 1.0 39.2602   ? 40  PHE B N   40  PHE B N   1 
ATOM 7497  C CA  . PHE B 2 40  ? 248.194 -32.605 260.265 1.0 39.2602   ? 40  PHE B CA  40  PHE B CA  1 
ATOM 7498  C C   . PHE B 2 40  ? 248.091 -31.707 261.483 1.0 39.2602   ? 40  PHE B C   40  PHE B C   1 
ATOM 7499  O O   . PHE B 2 40  ? 247.634 -32.144 262.541 1.0 39.2602   ? 40  PHE B O   40  PHE B O   1 
ATOM 7500  C CB  . PHE B 2 40  ? 246.806 -32.917 259.705 1.0 39.2602   ? 40  PHE B CB  40  PHE B CB  1 
ATOM 7501  C CG  . PHE B 2 40  ? 246.836 -33.693 258.426 1.0 39.2602   ? 40  PHE B CG  40  PHE B CG  1 
ATOM 7502  C CD1 . PHE B 2 40  ? 247.110 -33.063 257.232 1.0 39.2602   ? 40  PHE B CD1 40  PHE B CD1 1 
ATOM 7503  C CD2 . PHE B 2 40  ? 246.587 -35.052 258.418 1.0 39.2602   ? 40  PHE B CD2 40  PHE B CD2 1 
ATOM 7504  C CE1 . PHE B 2 40  ? 247.141 -33.772 256.055 1.0 39.2602   ? 40  PHE B CE1 40  PHE B CE1 1 
ATOM 7505  C CE2 . PHE B 2 40  ? 246.614 -35.766 257.241 1.0 39.2602   ? 40  PHE B CE2 40  PHE B CE2 1 
ATOM 7506  C CZ  . PHE B 2 40  ? 246.892 -35.124 256.061 1.0 39.2602   ? 40  PHE B CZ  40  PHE B CZ  1 
ATOM 7507  N N   . ARG B 2 41  ? 248.520 -30.462 261.332 1.0 41.74358  ? 41  ARG B N   41  ARG B N   1 
ATOM 7508  C CA  . ARG B 2 41  ? 248.602 -29.549 262.458 1.0 41.74358  ? 41  ARG B CA  41  ARG B CA  1 
ATOM 7509  C C   . ARG B 2 41  ? 247.223 -29.016 262.818 1.0 41.74358  ? 41  ARG B C   41  ARG B C   1 
ATOM 7510  O O   . ARG B 2 41  ? 246.436 -28.646 261.945 1.0 41.74358  ? 41  ARG B O   41  ARG B O   1 
ATOM 7511  C CB  . ARG B 2 41  ? 249.543 -28.396 262.128 1.0 41.74358  ? 41  ARG B CB  41  ARG B CB  1 
ATOM 7512  C CG  . ARG B 2 41  ? 249.781 -27.445 263.255 1.0 41.74358  ? 41  ARG B CG  41  ARG B CG  1 
ATOM 7513  C CD  . ARG B 2 41  ? 250.546 -28.114 264.364 1.0 41.74358  ? 41  ARG B CD  41  ARG B CD  1 
ATOM 7514  N NE  . ARG B 2 41  ? 250.750 -27.185 265.463 1.0 41.74358  ? 41  ARG B NE  41  ARG B NE  1 
ATOM 7515  C CZ  . ARG B 2 41  ? 251.231 -27.530 266.648 1.0 41.74358  ? 41  ARG B CZ  41  ARG B CZ  1 
ATOM 7516  N NH1 . ARG B 2 41  ? 251.564 -28.789 266.888 1.0 41.74358  ? 41  ARG B NH1 41  ARG B NH1 1 
ATOM 7517  N NH2 . ARG B 2 41  ? 251.377 -26.613 267.593 1.0 41.74358  ? 41  ARG B NH2 41  ARG B NH2 1 
ATOM 7518  N N   . ASP B 2 42  ? 246.938 -28.981 264.116 1.0 43.97274  ? 42  ASP B N   42  ASP B N   1 
ATOM 7519  C CA  . ASP B 2 42  ? 245.664 -28.522 264.648 1.0 43.97274  ? 42  ASP B CA  42  ASP B CA  1 
ATOM 7520  C C   . ASP B 2 42  ? 245.919 -27.288 265.503 1.0 43.97274  ? 42  ASP B C   42  ASP B C   1 
ATOM 7521  O O   . ASP B 2 42  ? 246.642 -27.382 266.509 1.0 43.97274  ? 42  ASP B O   42  ASP B O   1 
ATOM 7522  C CB  . ASP B 2 42  ? 245.015 -29.637 265.473 1.0 43.97274  ? 42  ASP B CB  42  ASP B CB  1 
ATOM 7523  C CG  . ASP B 2 42  ? 243.557 -29.378 265.780 1.0 43.97274  ? 42  ASP B CG  42  ASP B CG  1 
ATOM 7524  O OD1 . ASP B 2 42  ? 243.024 -28.342 265.351 1.0 43.97274  ? 42  ASP B OD1 42  ASP B OD1 1 
ATOM 7525  O OD2 . ASP B 2 42  ? 242.936 -30.218 266.462 1.0 43.97274  ? 42  ASP B OD2 42  ASP B OD2 1 
ATOM 7526  N N   . PRO B 2 43  ? 245.379 -26.123 265.155 1.0 42.32605  ? 43  PRO B N   43  PRO B N   1 
ATOM 7527  C CA  . PRO B 2 43  ? 245.646 -24.917 265.944 1.0 42.32605  ? 43  PRO B CA  43  PRO B CA  1 
ATOM 7528  C C   . PRO B 2 43  ? 244.881 -24.923 267.256 1.0 42.32605  ? 43  PRO B C   43  PRO B C   1 
ATOM 7529  O O   . PRO B 2 43  ? 243.921 -25.667 267.454 1.0 42.32605  ? 43  PRO B O   43  PRO B O   1 
ATOM 7530  C CB  . PRO B 2 43  ? 245.168 -23.788 265.033 1.0 42.32605  ? 43  PRO B CB  43  PRO B CB  1 
ATOM 7531  C CG  . PRO B 2 43  ? 244.128 -24.415 264.199 1.0 42.32605  ? 43  PRO B CG  43  PRO B CG  1 
ATOM 7532  C CD  . PRO B 2 43  ? 244.579 -25.822 263.959 1.0 42.32605  ? 43  PRO B CD  43  PRO B CD  1 
ATOM 7533  N N   . TYR B 2 44  ? 245.331 -24.062 268.167 1.0 43.25352  ? 44  TYR B N   44  TYR B N   1 
ATOM 7534  C CA  . TYR B 2 44  ? 244.738 -23.955 269.497 1.0 43.25352  ? 44  TYR B CA  44  TYR B CA  1 
ATOM 7535  C C   . TYR B 2 44  ? 244.987 -22.529 269.975 1.0 43.25352  ? 44  TYR B C   44  TYR B C   1 
ATOM 7536  O O   . TYR B 2 44  ? 246.063 -22.232 270.496 1.0 43.25352  ? 44  TYR B O   44  TYR B O   1 
ATOM 7537  C CB  . TYR B 2 44  ? 245.348 -24.985 270.435 1.0 43.25352  ? 44  TYR B CB  44  TYR B CB  1 
ATOM 7538  C CG  . TYR B 2 44  ? 244.786 -24.998 271.834 1.0 43.25352  ? 44  TYR B CG  44  TYR B CG  1 
ATOM 7539  C CD1 . TYR B 2 44  ? 243.522 -25.505 272.090 1.0 43.25352  ? 44  TYR B CD1 44  TYR B CD1 1 
ATOM 7540  C CD2 . TYR B 2 44  ? 245.537 -24.540 272.904 1.0 43.25352  ? 44  TYR B CD2 44  TYR B CD2 1 
ATOM 7541  C CE1 . TYR B 2 44  ? 243.012 -25.530 273.370 1.0 43.25352  ? 44  TYR B CE1 44  TYR B CE1 1 
ATOM 7542  C CE2 . TYR B 2 44  ? 245.038 -24.564 274.187 1.0 43.25352  ? 44  TYR B CE2 44  TYR B CE2 1 
ATOM 7543  C CZ  . TYR B 2 44  ? 243.776 -25.058 274.414 1.0 43.25352  ? 44  TYR B CZ  44  TYR B CZ  1 
ATOM 7544  O OH  . TYR B 2 44  ? 243.277 -25.082 275.694 1.0 43.25352  ? 44  TYR B OH  44  TYR B OH  1 
ATOM 7545  N N   . VAL B 2 45  ? 243.999 -21.661 269.801 1.0 43.22708  ? 45  VAL B N   45  VAL B N   1 
ATOM 7546  C CA  . VAL B 2 45  ? 244.207 -20.229 269.965 1.0 43.22708  ? 45  VAL B CA  45  VAL B CA  1 
ATOM 7547  C C   . VAL B 2 45  ? 243.588 -19.742 271.266 1.0 43.22708  ? 45  VAL B C   45  VAL B C   1 
ATOM 7548  O O   . VAL B 2 45  ? 242.634 -20.322 271.792 1.0 43.22708  ? 45  VAL B O   45  VAL B O   1 
ATOM 7549  C CB  . VAL B 2 45  ? 243.647 -19.450 268.759 1.0 43.22708  ? 45  VAL B CB  45  VAL B CB  1 
ATOM 7550  C CG1 . VAL B 2 45  ? 244.378 -19.851 267.506 1.0 43.22708  ? 45  VAL B CG1 45  VAL B CG1 1 
ATOM 7551  C CG2 . VAL B 2 45  ? 242.168 -19.708 268.598 1.0 43.22708  ? 45  VAL B CG2 45  VAL B CG2 1 
ATOM 7552  N N   . ALA B 2 46  ? 244.159 -18.664 271.795 1.0 45.77135  ? 46  ALA B N   46  ALA B N   1 
ATOM 7553  C CA  . ALA B 2 46  ? 243.604 -17.976 272.944 1.0 45.77135  ? 46  ALA B CA  46  ALA B CA  1 
ATOM 7554  C C   . ALA B 2 46  ? 242.385 -17.168 272.509 1.0 45.77135  ? 46  ALA B C   46  ALA B C   1 
ATOM 7555  O O   . ALA B 2 46  ? 242.195 -16.923 271.317 1.0 45.77135  ? 46  ALA B O   46  ALA B O   1 
ATOM 7556  C CB  . ALA B 2 46  ? 244.663 -17.065 273.562 1.0 45.77135  ? 46  ALA B CB  46  ALA B CB  1 
ATOM 7557  N N   . PRO B 2 47  ? 241.510 -16.771 273.458 1.0 46.23639  ? 47  PRO B N   47  PRO B N   1 
ATOM 7558  C CA  . PRO B 2 47  ? 240.390 -15.894 273.088 1.0 46.23639  ? 47  PRO B CA  47  PRO B CA  1 
ATOM 7559  C C   . PRO B 2 47  ? 240.798 -14.527 272.561 1.0 46.23639  ? 47  PRO B C   47  PRO B C   1 
ATOM 7560  O O   . PRO B 2 47  ? 240.441 -14.182 271.429 1.0 46.23639  ? 47  PRO B O   47  PRO B O   1 
ATOM 7561  C CB  . PRO B 2 47  ? 239.612 -15.762 274.401 1.0 46.23639  ? 47  PRO B CB  47  PRO B CB  1 
ATOM 7562  C CG  . PRO B 2 47  ? 239.895 -17.009 275.111 1.0 46.23639  ? 47  PRO B CG  47  PRO B CG  1 
ATOM 7563  C CD  . PRO B 2 47  ? 241.310 -17.348 274.799 1.0 46.23639  ? 47  PRO B CD  47  PRO B CD  1 
ATOM 7564  N N   . SER B 2 48  ? 241.551 -13.768 273.367 1.0 51.67368  ? 48  SER B N   48  SER B N   1 
ATOM 7565  C CA  . SER B 2 48  ? 241.951 -12.381 273.079 1.0 51.67368  ? 48  SER B CA  48  SER B CA  1 
ATOM 7566  C C   . SER B 2 48  ? 240.752 -11.484 272.774 1.0 51.67368  ? 48  SER B C   48  SER B C   1 
ATOM 7567  O O   . SER B 2 48  ? 240.816 -10.593 271.925 1.0 51.67368  ? 48  SER B O   48  SER B O   1 
ATOM 7568  C CB  . SER B 2 48  ? 242.974 -12.309 271.945 1.0 51.67368  ? 48  SER B CB  48  SER B CB  1 
ATOM 7569  O OG  . SER B 2 48  ? 243.288 -10.964 271.640 1.0 51.67368  ? 48  SER B OG  48  SER B OG  1 
ATOM 7570  N N   . ALA B 2 49  ? 239.644 -11.727 273.471 1.0 54.23199  ? 49  ALA B N   49  ALA B N   1 
ATOM 7571  C CA  . ALA B 2 49  ? 238.438 -10.924 273.294 1.0 54.23199  ? 49  ALA B CA  49  ALA B CA  1 
ATOM 7572  C C   . ALA B 2 49  ? 237.671 -10.958 274.611 1.0 54.23199  ? 49  ALA B C   49  ALA B C   1 
ATOM 7573  O O   . ALA B 2 49  ? 236.908 -11.894 274.861 1.0 54.23199  ? 49  ALA B O   49  ALA B O   1 
ATOM 7574  C CB  . ALA B 2 49  ? 237.592 -11.447 272.142 1.0 54.23199  ? 49  ALA B CB  49  ALA B CB  1 
ATOM 7575  N N   . GLY B 2 50  ? 237.872 -9.939  275.435 1.0 55.89836  ? 50  GLY B N   50  GLY B N   1 
ATOM 7576  C CA  . GLY B 2 50  ? 237.121 -9.832  276.670 1.0 55.89836  ? 50  GLY B CA  50  GLY B CA  1 
ATOM 7577  C C   . GLY B 2 50  ? 237.488 -10.837 277.738 1.0 55.89836  ? 50  GLY B C   50  GLY B C   1 
ATOM 7578  O O   . GLY B 2 50  ? 236.599 -11.353 278.424 1.0 55.89836  ? 50  GLY B O   50  GLY B O   1 
ATOM 7579  N N   . VAL B 2 51  ? 238.773 -11.140 277.893 1.0 55.05442  ? 51  VAL B N   51  VAL B N   1 
ATOM 7580  C CA  . VAL B 2 51  ? 239.224 -11.989 278.987 1.0 55.05442  ? 51  VAL B CA  51  VAL B CA  1 
ATOM 7581  C C   . VAL B 2 51  ? 240.257 -11.318 279.877 1.0 55.05442  ? 51  VAL B C   51  VAL B C   1 
ATOM 7582  O O   . VAL B 2 51  ? 240.412 -11.735 281.035 1.0 55.05442  ? 51  VAL B O   51  VAL B O   1 
ATOM 7583  C CB  . VAL B 2 51  ? 239.770 -13.336 278.469 1.0 55.05442  ? 51  VAL B CB  51  VAL B CB  1 
ATOM 7584  C CG1 . VAL B 2 51  ? 238.662 -14.158 277.852 1.0 55.05442  ? 51  VAL B CG1 51  VAL B CG1 1 
ATOM 7585  C CG2 . VAL B 2 51  ? 240.881 -13.105 277.460 1.0 55.05442  ? 51  VAL B CG2 51  VAL B CG2 1 
ATOM 7586  N N   . THR B 2 52  ? 240.985 -10.312 279.398 1.0 56.9568   ? 52  THR B N   52  THR B N   1 
ATOM 7587  C CA  . THR B 2 52  ? 241.948 -9.610  280.233 1.0 56.9568   ? 52  THR B CA  52  THR B CA  1 
ATOM 7588  C C   . THR B 2 52  ? 241.994 -8.155  279.790 1.0 56.9568   ? 52  THR B C   52  THR B C   1 
ATOM 7589  O O   . THR B 2 52  ? 242.032 -7.871  278.591 1.0 56.9568   ? 52  THR B O   52  THR B O   1 
ATOM 7590  C CB  . THR B 2 52  ? 243.345 -10.241 280.159 1.0 56.9568   ? 52  THR B CB  52  THR B CB  1 
ATOM 7591  O OG1 . THR B 2 52  ? 243.259 -11.640 280.447 1.0 56.9568   ? 52  THR B OG1 52  THR B OG1 1 
ATOM 7592  C CG2 . THR B 2 52  ? 244.253 -9.617  281.203 1.0 56.9568   ? 52  THR B CG2 52  THR B CG2 1 
ATOM 7593  N N   . THR B 2 53  ? 241.990 -7.243  280.757 1.0 60.89442  ? 53  THR B N   53  THR B N   1 
ATOM 7594  C CA  . THR B 2 53  ? 241.822 -5.826  280.487 1.0 60.89442  ? 53  THR B CA  53  THR B CA  1 
ATOM 7595  C C   . THR B 2 53  ? 243.159 -5.110  280.297 1.0 60.89442  ? 53  THR B C   53  THR B C   1 
ATOM 7596  O O   . THR B 2 53  ? 244.231 -5.626  280.618 1.0 60.89442  ? 53  THR B O   53  THR B O   1 
ATOM 7597  C CB  . THR B 2 53  ? 241.042 -5.167  281.619 1.0 60.89442  ? 53  THR B CB  53  THR B CB  1 
ATOM 7598  O OG1 . THR B 2 53  ? 240.770 -3.804  281.276 1.0 60.89442  ? 53  THR B OG1 53  THR B OG1 1 
ATOM 7599  C CG2 . THR B 2 53  ? 241.844 -5.212  282.903 1.0 60.89442  ? 53  THR B CG2 53  THR B CG2 1 
ATOM 7600  N N   . ASP B 2 54  ? 243.070 -3.894  279.751 1.0 64.83305  ? 54  ASP B N   54  ASP B N   1 
ATOM 7601  C CA  . ASP B 2 54  ? 244.203 -2.981  279.668 1.0 64.83305  ? 54  ASP B CA  54  ASP B CA  1 
ATOM 7602  C C   . ASP B 2 54  ? 244.443 -2.257  280.987 1.0 64.83305  ? 54  ASP B C   54  ASP B C   1 
ATOM 7603  O O   . ASP B 2 54  ? 245.565 -1.809  281.242 1.0 64.83305  ? 54  ASP B O   54  ASP B O   1 
ATOM 7604  C CB  . ASP B 2 54  ? 243.954 -1.947  278.560 1.0 64.83305  ? 54  ASP B CB  54  ASP B CB  1 
ATOM 7605  C CG  . ASP B 2 54  ? 245.224 -1.223  278.108 1.0 64.83305  ? 54  ASP B CG  54  ASP B CG  1 
ATOM 7606  O OD1 . ASP B 2 54  ? 246.337 -1.610  278.515 1.0 64.83305  ? 54  ASP B OD1 54  ASP B OD1 1 
ATOM 7607  O OD2 . ASP B 2 54  ? 245.105 -0.235  277.358 1.0 64.83305  ? 54  ASP B OD2 54  ASP B OD2 1 
ATOM 7608  N N   . ARG B 2 55  ? 243.415 -2.155  281.825 1.0 62.85319  ? 55  ARG B N   55  ARG B N   1 
ATOM 7609  C CA  . ARG B 2 55  ? 243.459 -1.317  283.015 1.0 62.85319  ? 55  ARG B CA  55  ARG B CA  1 
ATOM 7610  C C   . ARG B 2 55  ? 244.425 -1.894  284.040 1.0 62.85319  ? 55  ARG B C   55  ARG B C   1 
ATOM 7611  O O   . ARG B 2 55  ? 244.446 -3.101  284.287 1.0 62.85319  ? 55  ARG B O   55  ARG B O   1 
ATOM 7612  C CB  . ARG B 2 55  ? 242.057 -1.185  283.621 1.0 62.85319  ? 55  ARG B CB  55  ARG B CB  1 
ATOM 7613  C CG  . ARG B 2 55  ? 241.149 -0.105  283.000 1.0 62.85319  ? 55  ARG B CG  55  ARG B CG  1 
ATOM 7614  C CD  . ARG B 2 55  ? 240.615 -0.486  281.620 1.0 62.85319  ? 55  ARG B CD  55  ARG B CD  1 
ATOM 7615  N NE  . ARG B 2 55  ? 239.719 0.519   281.061 1.0 62.85319  ? 55  ARG B NE  55  ARG B NE  1 
ATOM 7616  C CZ  . ARG B 2 55  ? 238.395 0.485   281.169 1.0 62.85319  ? 55  ARG B CZ  55  ARG B CZ  1 
ATOM 7617  N NH1 . ARG B 2 55  ? 237.802 -0.517  281.797 1.0 62.85319  ? 55  ARG B NH1 55  ARG B NH1 1 
ATOM 7618  N NH2 . ARG B 2 55  ? 237.660 1.446   280.633 1.0 62.85319  ? 55  ARG B NH2 55  ARG B NH2 1 
ATOM 7619  N N   . SER B 2 56  ? 245.236 -1.023  284.629 1.0 60.9471   ? 56  SER B N   56  SER B N   1 
ATOM 7620  C CA  . SER B 2 56  ? 246.355 -1.456  285.453 1.0 60.9471   ? 56  SER B CA  56  SER B CA  1 
ATOM 7621  C C   . SER B 2 56  ? 245.865 -1.885  286.829 1.0 60.9471   ? 56  SER B C   56  SER B C   1 
ATOM 7622  O O   . SER B 2 56  ? 245.235 -1.098  287.540 1.0 60.9471   ? 56  SER B O   56  SER B O   1 
ATOM 7623  C CB  . SER B 2 56  ? 247.372 -0.329  285.584 1.0 60.9471   ? 56  SER B CB  56  SER B CB  1 
ATOM 7624  O OG  . SER B 2 56  ? 246.837 0.735   286.347 1.0 60.9471   ? 56  SER B OG  56  SER B OG  1 
ATOM 7625  N N   . GLN B 2 57  ? 246.163 -3.124  287.205 1.0 58.7063   ? 57  GLN B N   57  GLN B N   1 
ATOM 7626  C CA  . GLN B 2 57  ? 245.898 -3.606  288.553 1.0 58.7063   ? 57  GLN B CA  57  GLN B CA  1 
ATOM 7627  C C   . GLN B 2 57  ? 246.875 -4.731  288.851 1.0 58.7063   ? 57  GLN B C   57  GLN B C   1 
ATOM 7628  O O   . GLN B 2 57  ? 247.561 -5.232  287.959 1.0 58.7063   ? 57  GLN B O   57  GLN B O   1 
ATOM 7629  C CB  . GLN B 2 57  ? 244.452 -4.070  288.717 1.0 58.7063   ? 57  GLN B CB  57  GLN B CB  1 
ATOM 7630  C CG  . GLN B 2 57  ? 244.087 -5.269  287.881 1.0 58.7063   ? 57  GLN B CG  57  GLN B CG  1 
ATOM 7631  C CD  . GLN B 2 57  ? 242.637 -5.646  288.047 1.0 58.7063   ? 57  GLN B CD  57  GLN B CD  1 
ATOM 7632  O OE1 . GLN B 2 57  ? 241.916 -5.040  288.836 1.0 58.7063   ? 57  GLN B OE1 57  GLN B OE1 1 
ATOM 7633  N NE2 . GLN B 2 57  ? 242.198 -6.647  287.304 1.0 58.7063   ? 57  GLN B NE2 57  GLN B NE2 1 
ATOM 7634  N N   . LYS B 2 58  ? 246.925 -5.128  290.117 1.0 55.57972  ? 58  LYS B N   58  LYS B N   1 
ATOM 7635  C CA  . LYS B 2 58  ? 247.936 -6.066  290.574 1.0 55.57972  ? 58  LYS B CA  58  LYS B CA  1 
ATOM 7636  C C   . LYS B 2 58  ? 247.426 -7.496  290.521 1.0 55.57972  ? 58  LYS B C   58  LYS B C   1 
ATOM 7637  O O   . LYS B 2 58  ? 246.241 -7.763  290.726 1.0 55.57972  ? 58  LYS B O   58  LYS B O   1 
ATOM 7638  C CB  . LYS B 2 58  ? 248.383 -5.724  291.993 1.0 55.57972  ? 58  LYS B CB  58  LYS B CB  1 
ATOM 7639  C CG  . LYS B 2 58  ? 249.106 -4.395  292.090 1.0 55.57972  ? 58  LYS B CG  58  LYS B CG  1 
ATOM 7640  C CD  . LYS B 2 58  ? 249.534 -4.094  293.502 1.0 55.57972  ? 58  LYS B CD  58  LYS B CD  1 
ATOM 7641  C CE  . LYS B 2 58  ? 250.683 -4.987  293.909 1.0 55.57972  ? 58  LYS B CE  58  LYS B CE  1 
ATOM 7642  N NZ  . LYS B 2 58  ? 251.909 -4.661  293.135 1.0 55.57972  ? 58  LYS B NZ  58  LYS B NZ  1 
ATOM 7643  N N   . LEU B 2 59  ? 248.342 -8.421  290.236 1.0 54.89614  ? 59  LEU B N   59  LEU B N   1 
ATOM 7644  C CA  . LEU B 2 59  ? 247.998 -9.837  290.249 1.0 54.89614  ? 59  LEU B CA  59  LEU B CA  1 
ATOM 7645  C C   . LEU B 2 59  ? 247.954 -10.364 291.676 1.0 54.89614  ? 59  LEU B C   59  LEU B C   1 
ATOM 7646  O O   . LEU B 2 59  ? 246.904 -10.798 292.154 1.0 54.89614  ? 59  LEU B O   59  LEU B O   1 
ATOM 7647  C CB  . LEU B 2 59  ? 248.997 -10.633 289.411 1.0 54.89614  ? 59  LEU B CB  59  LEU B CB  1 
ATOM 7648  C CG  . LEU B 2 59  ? 249.031 -10.312 287.920 1.0 54.89614  ? 59  LEU B CG  59  LEU B CG  1 
ATOM 7649  C CD1 . LEU B 2 59  ? 250.120 -11.113 287.231 1.0 54.89614  ? 59  LEU B CD1 59  LEU B CD1 1 
ATOM 7650  C CD2 . LEU B 2 59  ? 247.684 -10.573 287.284 1.0 54.89614  ? 59  LEU B CD2 59  LEU B CD2 1 
ATOM 7651  N N   . GLN B 2 60  ? 249.082 -10.319 292.376 1.0 55.3101   ? 60  GLN B N   60  GLN B N   1 
ATOM 7652  C CA  . GLN B 2 60  ? 249.132 -10.627 293.796 1.0 55.3101   ? 60  GLN B CA  60  GLN B CA  1 
ATOM 7653  C C   . GLN B 2 60  ? 249.129 -9.339  294.602 1.0 55.3101   ? 60  GLN B C   60  GLN B C   1 
ATOM 7654  O O   . GLN B 2 60  ? 249.649 -8.312  294.163 1.0 55.3101   ? 60  GLN B O   60  GLN B O   1 
ATOM 7655  C CB  . GLN B 2 60  ? 250.366 -11.452 294.144 1.0 55.3101   ? 60  GLN B CB  60  GLN B CB  1 
ATOM 7656  C CG  . GLN B 2 60  ? 250.314 -12.857 293.624 1.0 55.3101   ? 60  GLN B CG  60  GLN B CG  1 
ATOM 7657  C CD  . GLN B 2 60  ? 251.540 -13.646 293.995 1.0 55.3101   ? 60  GLN B CD  60  GLN B CD  1 
ATOM 7658  O OE1 . GLN B 2 60  ? 252.478 -13.111 294.579 1.0 55.3101   ? 60  GLN B OE1 60  GLN B OE1 1 
ATOM 7659  N NE2 . GLN B 2 60  ? 251.538 -14.930 293.668 1.0 55.3101   ? 60  GLN B NE2 60  GLN B NE2 1 
ATOM 7660  N N   . LEU B 2 61  ? 248.547 -9.402  295.796 1.0 53.57671  ? 61  LEU B N   61  LEU B N   1 
ATOM 7661  C CA  . LEU B 2 61  ? 248.209 -8.192  296.541 1.0 53.57671  ? 61  LEU B CA  61  LEU B CA  1 
ATOM 7662  C C   . LEU B 2 61  ? 248.543 -8.408  298.013 1.0 53.57671  ? 61  LEU B C   61  LEU B C   1 
ATOM 7663  O O   . LEU B 2 61  ? 247.799 -9.077  298.734 1.0 53.57671  ? 61  LEU B O   61  LEU B O   1 
ATOM 7664  C CB  . LEU B 2 61  ? 246.738 -7.847  296.328 1.0 53.57671  ? 61  LEU B CB  61  LEU B CB  1 
ATOM 7665  C CG  . LEU B 2 61  ? 246.148 -6.471  296.651 1.0 53.57671  ? 61  LEU B CG  61  LEU B CG  1 
ATOM 7666  C CD1 . LEU B 2 61  ? 245.768 -6.289  298.111 1.0 53.57671  ? 61  LEU B CD1 61  LEU B CD1 1 
ATOM 7667  C CD2 . LEU B 2 61  ? 247.126 -5.395  296.218 1.0 53.57671  ? 61  LEU B CD2 61  LEU B CD2 1 
ATOM 7668  N N   . ARG B 2 62  ? 249.660 -7.835  298.447 1.0 56.45385  ? 62  ARG B N   62  ARG B N   1 
ATOM 7669  C CA  . ARG B 2 62  ? 250.016 -7.816  299.858 1.0 56.45385  ? 62  ARG B CA  62  ARG B CA  1 
ATOM 7670  C C   . ARG B 2 62  ? 249.059 -6.913  300.625 1.0 56.45385  ? 62  ARG B C   62  ARG B C   1 
ATOM 7671  O O   . ARG B 2 62  ? 248.628 -5.874  300.121 1.0 56.45385  ? 62  ARG B O   62  ARG B O   1 
ATOM 7672  C CB  . ARG B 2 62  ? 251.460 -7.319  300.012 1.0 56.45385  ? 62  ARG B CB  62  ARG B CB  1 
ATOM 7673  C CG  . ARG B 2 62  ? 252.107 -7.409  301.402 1.0 56.45385  ? 62  ARG B CG  62  ARG B CG  1 
ATOM 7674  C CD  . ARG B 2 62  ? 251.927 -6.165  302.260 1.0 56.45385  ? 62  ARG B CD  62  ARG B CD  1 
ATOM 7675  N NE  . ARG B 2 62  ? 252.362 -4.953  301.580 1.0 56.45385  ? 62  ARG B NE  62  ARG B NE  1 
ATOM 7676  C CZ  . ARG B 2 62  ? 253.612 -4.510  301.583 1.0 56.45385  ? 62  ARG B CZ  62  ARG B CZ  1 
ATOM 7677  N NH1 . ARG B 2 62  ? 254.545 -5.178  302.245 1.0 56.45385  ? 62  ARG B NH1 62  ARG B NH1 1 
ATOM 7678  N NH2 . ARG B 2 62  ? 253.924 -3.398  300.937 1.0 56.45385  ? 62  ARG B NH2 62  ARG B NH2 1 
ATOM 7679  N N   . VAL B 2 63  ? 248.734 -7.304  301.859 1.0 54.27046  ? 63  VAL B N   63  VAL B N   1 
ATOM 7680  C CA  . VAL B 2 63  ? 248.137 -6.394  302.827 1.0 54.27046  ? 63  VAL B CA  63  VAL B CA  1 
ATOM 7681  C C   . VAL B 2 63  ? 248.906 -6.505  304.136 1.0 54.27046  ? 63  VAL B C   63  VAL B C   1 
ATOM 7682  O O   . VAL B 2 63  ? 249.492 -7.540  304.460 1.0 54.27046  ? 63  VAL B O   63  VAL B O   1 
ATOM 7683  C CB  . VAL B 2 63  ? 246.630 -6.643  303.078 1.0 54.27046  ? 63  VAL B CB  63  VAL B CB  1 
ATOM 7684  C CG1 . VAL B 2 63  ? 245.809 -6.365  301.843 1.0 54.27046  ? 63  VAL B CG1 63  VAL B CG1 1 
ATOM 7685  C CG2 . VAL B 2 63  ? 246.394 -8.038  303.529 1.0 54.27046  ? 63  VAL B CG2 63  VAL B CG2 1 
ATOM 7686  N N   . VAL B 2 64  ? 248.907 -5.408  304.884 1.0 57.01264  ? 64  VAL B N   64  VAL B N   1 
ATOM 7687  C CA  . VAL B 2 64  ? 249.552 -5.334  306.190 1.0 57.01264  ? 64  VAL B CA  64  VAL B CA  1 
ATOM 7688  C C   . VAL B 2 64  ? 248.453 -5.425  307.244 1.0 57.01264  ? 64  VAL B C   64  VAL B C   1 
ATOM 7689  O O   . VAL B 2 64  ? 247.297 -5.094  306.943 1.0 57.01264  ? 64  VAL B O   64  VAL B O   1 
ATOM 7690  C CB  . VAL B 2 64  ? 250.384 -4.047  306.313 1.0 57.01264  ? 64  VAL B CB  64  VAL B CB  1 
ATOM 7691  C CG1 . VAL B 2 64  ? 251.519 -4.069  305.318 1.0 57.01264  ? 64  VAL B CG1 64  VAL B CG1 1 
ATOM 7692  C CG2 . VAL B 2 64  ? 249.515 -2.822  306.084 1.0 57.01264  ? 64  VAL B CG2 64  VAL B CG2 1 
ATOM 7693  N N   . PRO B 2 65  ? 248.729 -5.893  308.460 1.0 59.85643  ? 65  PRO B N   65  PRO B N   1 
ATOM 7694  C CA  . PRO B 2 65  ? 247.664 -5.963  309.462 1.0 59.85643  ? 65  PRO B CA  65  PRO B CA  1 
ATOM 7695  C C   . PRO B 2 65  ? 247.326 -4.589  310.008 1.0 59.85643  ? 65  PRO B C   65  PRO B C   1 
ATOM 7696  O O   . PRO B 2 65  ? 248.181 -3.707  310.111 1.0 59.85643  ? 65  PRO B O   65  PRO B O   1 
ATOM 7697  C CB  . PRO B 2 65  ? 248.257 -6.863  310.548 1.0 59.85643  ? 65  PRO B CB  65  PRO B CB  1 
ATOM 7698  C CG  . PRO B 2 65  ? 249.703 -6.677  310.424 1.0 59.85643  ? 65  PRO B CG  65  PRO B CG  1 
ATOM 7699  C CD  . PRO B 2 65  ? 249.979 -6.484  308.966 1.0 59.85643  ? 65  PRO B CD  65  PRO B CD  1 
ATOM 7700  N N   . ILE B 2 66  ? 246.049 -4.411  310.348 1.0 65.31039  ? 66  ILE B N   66  ILE B N   1 
ATOM 7701  C CA  . ILE B 2 66  ? 245.585 -3.127  310.866 1.0 65.31039  ? 66  ILE B CA  66  ILE B CA  1 
ATOM 7702  C C   . ILE B 2 66  ? 246.130 -2.895  312.268 1.0 65.31039  ? 66  ILE B C   66  ILE B C   1 
ATOM 7703  O O   . ILE B 2 66  ? 246.874 -1.939  312.513 1.0 65.31039  ? 66  ILE B O   66  ILE B O   1 
ATOM 7704  C CB  . ILE B 2 66  ? 244.050 -3.056  310.841 1.0 65.31039  ? 66  ILE B CB  66  ILE B CB  1 
ATOM 7705  C CG1 . ILE B 2 66  ? 243.543 -3.217  309.413 1.0 65.31039  ? 66  ILE B CG1 66  ILE B CG1 1 
ATOM 7706  C CG2 . ILE B 2 66  ? 243.572 -1.742  311.418 1.0 65.31039  ? 66  ILE B CG2 66  ILE B CG2 1 
ATOM 7707  C CD1 . ILE B 2 66  ? 244.029 -2.146  308.475 1.0 65.31039  ? 66  ILE B CD1 66  ILE B CD1 1 
ATOM 7708  N N   . GLN B 2 67  ? 245.777 -3.769  313.205 1.0 70.82852  ? 67  GLN B N   67  GLN B N   1 
ATOM 7709  C CA  . GLN B 2 67  ? 246.354 -3.712  314.538 1.0 70.82852  ? 67  GLN B CA  67  GLN B CA  1 
ATOM 7710  C C   . GLN B 2 67  ? 246.420 -5.117  315.115 1.0 70.82852  ? 67  GLN B C   67  GLN B C   1 
ATOM 7711  O O   . GLN B 2 67  ? 245.493 -5.912  314.951 1.0 70.82852  ? 67  GLN B O   67  GLN B O   1 
ATOM 7712  C CB  . GLN B 2 67  ? 245.579 -2.746  315.449 1.0 70.82852  ? 67  GLN B CB  67  GLN B CB  1 
ATOM 7713  C CG  . GLN B 2 67  ? 244.093 -3.009  315.659 1.0 70.82852  ? 67  GLN B CG  67  GLN B CG  1 
ATOM 7714  C CD  . GLN B 2 67  ? 243.806 -3.897  316.853 1.0 70.82852  ? 67  GLN B CD  67  GLN B CD  1 
ATOM 7715  O OE1 . GLN B 2 67  ? 244.628 -4.022  317.761 1.0 70.82852  ? 67  GLN B OE1 67  GLN B OE1 1 
ATOM 7716  N NE2 . GLN B 2 67  ? 242.608 -4.466  316.887 1.0 70.82852  ? 67  GLN B NE2 67  GLN B NE2 1 
ATOM 7717  N N   . THR B 2 68  ? 247.537 -5.412  315.773 1.0 72.67943  ? 68  THR B N   68  THR B N   1 
ATOM 7718  C CA  . THR B 2 68  ? 247.864 -6.746  316.249 1.0 72.67943  ? 68  THR B CA  68  THR B CA  1 
ATOM 7719  C C   . THR B 2 68  ? 247.905 -6.764  317.768 1.0 72.67943  ? 68  THR B C   68  THR B C   1 
ATOM 7720  O O   . THR B 2 68  ? 248.080 -5.722  318.407 1.0 72.67943  ? 68  THR B O   68  THR B O   1 
ATOM 7721  C CB  . THR B 2 68  ? 249.214 -7.204  315.697 1.0 72.67943  ? 68  THR B CB  68  THR B CB  1 
ATOM 7722  O OG1 . THR B 2 68  ? 250.241 -6.324  316.167 1.0 72.67943  ? 68  THR B OG1 68  THR B OG1 1 
ATOM 7723  C CG2 . THR B 2 68  ? 249.197 -7.178  314.184 1.0 72.67943  ? 68  THR B CG2 68  THR B CG2 1 
ATOM 7724  N N   . GLU B 2 69  ? 247.742 -7.952  318.341 1.0 77.49103  ? 69  GLU B N   69  GLU B N   1 
ATOM 7725  C CA  . GLU B 2 69  ? 247.811 -8.154  319.779 1.0 77.49103  ? 69  GLU B CA  69  GLU B CA  1 
ATOM 7726  C C   . GLU B 2 69  ? 248.688 -9.359  320.075 1.0 77.49103  ? 69  GLU B C   69  GLU B C   1 
ATOM 7727  O O   . GLU B 2 69  ? 248.584 -10.391 319.407 1.0 77.49103  ? 69  GLU B O   69  GLU B O   1 
ATOM 7728  C CB  . GLU B 2 69  ? 246.421 -8.365  320.374 1.0 77.49103  ? 69  GLU B CB  69  GLU B CB  1 
ATOM 7729  C CG  . GLU B 2 69  ? 246.391 -8.481  321.881 1.0 77.49103  ? 69  GLU B CG  69  GLU B CG  1 
ATOM 7730  C CD  . GLU B 2 69  ? 244.993 -8.680  322.414 1.0 77.49103  ? 69  GLU B CD  69  GLU B CD  1 
ATOM 7731  O OE1 . GLU B 2 69  ? 244.051 -8.757  321.598 1.0 77.49103  ? 69  GLU B OE1 69  GLU B OE1 1 
ATOM 7732  O OE2 . GLU B 2 69  ? 244.837 -8.761  323.650 1.0 77.49103  ? 69  GLU B OE2 69  GLU B OE2 1 
ATOM 7733  N N   . ASP B 2 70  ? 249.551 -9.229  321.077 1.0 75.2464   ? 70  ASP B N   70  ASP B N   1 
ATOM 7734  C CA  . ASP B 2 70  ? 250.432 -10.310 321.492 1.0 75.2464   ? 70  ASP B CA  70  ASP B CA  1 
ATOM 7735  C C   . ASP B 2 70  ? 250.043 -10.731 322.900 1.0 75.2464   ? 70  ASP B C   70  ASP B C   1 
ATOM 7736  O O   . ASP B 2 70  ? 250.027 -9.903  323.817 1.0 75.2464   ? 70  ASP B O   70  ASP B O   1 
ATOM 7737  C CB  . ASP B 2 70  ? 251.896 -9.875  321.445 1.0 75.2464   ? 70  ASP B CB  70  ASP B CB  1 
ATOM 7738  C CG  . ASP B 2 70  ? 252.858 -11.048 321.500 1.0 75.2464   ? 70  ASP B CG  70  ASP B CG  1 
ATOM 7739  O OD1 . ASP B 2 70  ? 252.397 -12.208 321.533 1.0 75.2464   ? 70  ASP B OD1 70  ASP B OD1 1 
ATOM 7740  O OD2 . ASP B 2 70  ? 254.084 -10.808 321.516 1.0 75.2464   ? 70  ASP B OD2 70  ASP B OD2 1 
ATOM 7741  N N   . ASN B 2 71  ? 249.725 -12.006 323.066 1.0 74.67396  ? 71  ASN B N   71  ASN B N   1 
ATOM 7742  C CA  . ASN B 2 71  ? 249.477 -12.600 324.369 1.0 74.67396  ? 71  ASN B CA  71  ASN B CA  1 
ATOM 7743  C C   . ASN B 2 71  ? 250.546 -13.663 324.614 1.0 74.67396  ? 71  ASN B C   71  ASN B C   1 
ATOM 7744  O O   . ASN B 2 71  ? 251.347 -13.977 323.730 1.0 74.67396  ? 71  ASN B O   71  ASN B O   1 
ATOM 7745  C CB  . ASN B 2 71  ? 248.056 -13.173 324.437 1.0 74.67396  ? 71  ASN B CB  71  ASN B CB  1 
ATOM 7746  C CG  . ASN B 2 71  ? 247.586 -13.420 325.862 1.0 74.67396  ? 71  ASN B CG  71  ASN B CG  1 
ATOM 7747  O OD1 . ASN B 2 71  ? 248.336 -13.214 326.814 1.0 74.67396  ? 71  ASN B OD1 71  ASN B OD1 1 
ATOM 7748  N ND2 . ASN B 2 71  ? 246.344 -13.856 326.014 1.0 74.67396  ? 71  ASN B ND2 71  ASN B ND2 1 
ATOM 7749  N N   . VAL B 2 72  ? 250.578 -14.193 325.838 1.0 74.24522  ? 72  VAL B N   72  VAL B N   1 
ATOM 7750  C CA  . VAL B 2 72  ? 251.454 -15.315 326.147 1.0 74.24522  ? 72  VAL B CA  72  VAL B CA  1 
ATOM 7751  C C   . VAL B 2 72  ? 251.032 -16.549 325.358 1.0 74.24522  ? 72  VAL B C   72  VAL B C   1 
ATOM 7752  O O   . VAL B 2 72  ? 251.878 -17.327 324.902 1.0 74.24522  ? 72  VAL B O   72  VAL B O   1 
ATOM 7753  C CB  . VAL B 2 72  ? 251.442 -15.571 327.667 1.0 74.24522  ? 72  VAL B CB  72  VAL B CB  1 
ATOM 7754  C CG1 . VAL B 2 72  ? 252.374 -16.718 328.048 1.0 74.24522  ? 72  VAL B CG1 72  VAL B CG1 1 
ATOM 7755  C CG2 . VAL B 2 72  ? 251.804 -14.301 328.422 1.0 74.24522  ? 72  VAL B CG2 72  VAL B CG2 1 
ATOM 7756  N N   . ASN B 2 73  ? 249.732 -16.718 325.134 1.0 74.35063  ? 73  ASN B N   73  ASN B N   1 
ATOM 7757  C CA  . ASN B 2 73  ? 249.215 -17.902 324.465 1.0 74.35063  ? 73  ASN B CA  73  ASN B CA  1 
ATOM 7758  C C   . ASN B 2 73  ? 249.044 -17.740 322.963 1.0 74.35063  ? 73  ASN B C   73  ASN B C   1 
ATOM 7759  O O   . ASN B 2 73  ? 249.263 -18.706 322.227 1.0 74.35063  ? 73  ASN B O   73  ASN B O   1 
ATOM 7760  C CB  . ASN B 2 73  ? 247.870 -18.301 325.075 1.0 74.35063  ? 73  ASN B CB  73  ASN B CB  1 
ATOM 7761  C CG  . ASN B 2 73  ? 248.008 -18.813 326.486 1.0 74.35063  ? 73  ASN B CG  73  ASN B CG  1 
ATOM 7762  O OD1 . ASN B 2 73  ? 248.942 -19.548 326.802 1.0 74.35063  ? 73  ASN B OD1 73  ASN B OD1 1 
ATOM 7763  N ND2 . ASN B 2 73  ? 247.077 -18.430 327.348 1.0 74.35063  ? 73  ASN B ND2 73  ASN B ND2 1 
ATOM 7764  N N   . TYR B 2 74  ? 248.657 -16.562 322.476 1.0 70.30179  ? 74  TYR B N   74  TYR B N   1 
ATOM 7765  C CA  . TYR B 2 74  ? 248.329 -16.408 321.066 1.0 70.30179  ? 74  TYR B CA  74  TYR B CA  1 
ATOM 7766  C C   . TYR B 2 74  ? 248.893 -15.101 320.527 1.0 70.30179  ? 74  TYR B C   74  TYR B C   1 
ATOM 7767  O O   . TYR B 2 74  ? 249.492 -14.306 321.255 1.0 70.30179  ? 74  TYR B O   74  TYR B O   1 
ATOM 7768  C CB  . TYR B 2 74  ? 246.814 -16.491 320.837 1.0 70.30179  ? 74  TYR B CB  74  TYR B CB  1 
ATOM 7769  C CG  . TYR B 2 74  ? 245.972 -15.412 321.482 1.0 70.30179  ? 74  TYR B CG  74  TYR B CG  1 
ATOM 7770  C CD1 . TYR B 2 74  ? 245.456 -15.579 322.758 1.0 70.30179  ? 74  TYR B CD1 74  TYR B CD1 1 
ATOM 7771  C CD2 . TYR B 2 74  ? 245.653 -14.248 320.796 1.0 70.30179  ? 74  TYR B CD2 74  TYR B CD2 1 
ATOM 7772  C CE1 . TYR B 2 74  ? 244.672 -14.607 323.340 1.0 70.30179  ? 74  TYR B CE1 74  TYR B CE1 1 
ATOM 7773  C CE2 . TYR B 2 74  ? 244.878 -13.269 321.373 1.0 70.30179  ? 74  TYR B CE2 74  TYR B CE2 1 
ATOM 7774  C CZ  . TYR B 2 74  ? 244.390 -13.454 322.644 1.0 70.30179  ? 74  TYR B CZ  74  TYR B CZ  1 
ATOM 7775  O OH  . TYR B 2 74  ? 243.612 -12.479 323.218 1.0 70.30179  ? 74  TYR B OH  74  TYR B OH  1 
ATOM 7776  N N   . TYR B 2 75  ? 248.694 -14.894 319.226 1.0 68.74127  ? 75  TYR B N   75  TYR B N   1 
ATOM 7777  C CA  . TYR B 2 75  ? 249.048 -13.655 318.542 1.0 68.74127  ? 75  TYR B CA  75  TYR B CA  1 
ATOM 7778  C C   . TYR B 2 75  ? 247.916 -13.313 317.587 1.0 68.74127  ? 75  TYR B C   75  TYR B C   1 
ATOM 7779  O O   . TYR B 2 75  ? 247.514 -14.154 316.780 1.0 68.74127  ? 75  TYR B O   75  TYR B O   1 
ATOM 7780  C CB  . TYR B 2 75  ? 250.366 -13.796 317.778 1.0 68.74127  ? 75  TYR B CB  75  TYR B CB  1 
ATOM 7781  C CG  . TYR B 2 75  ? 250.826 -12.523 317.108 1.0 68.74127  ? 75  TYR B CG  75  TYR B CG  1 
ATOM 7782  C CD1 . TYR B 2 75  ? 251.450 -11.520 317.832 1.0 68.74127  ? 75  TYR B CD1 75  TYR B CD1 1 
ATOM 7783  C CD2 . TYR B 2 75  ? 250.629 -12.320 315.753 1.0 68.74127  ? 75  TYR B CD2 75  TYR B CD2 1 
ATOM 7784  C CE1 . TYR B 2 75  ? 251.872 -10.356 317.221 1.0 68.74127  ? 75  TYR B CE1 75  TYR B CE1 1 
ATOM 7785  C CE2 . TYR B 2 75  ? 251.042 -11.155 315.139 1.0 68.74127  ? 75  TYR B CE2 75  TYR B CE2 1 
ATOM 7786  C CZ  . TYR B 2 75  ? 251.665 -10.183 315.875 1.0 68.74127  ? 75  TYR B CZ  75  TYR B CZ  1 
ATOM 7787  O OH  . TYR B 2 75  ? 252.075 -9.028  315.255 1.0 68.74127  ? 75  TYR B OH  75  TYR B OH  1 
ATOM 7788  N N   . LYS B 2 76  ? 247.403 -12.090 317.675 1.0 70.51479  ? 76  LYS B N   76  LYS B N   1 
ATOM 7789  C CA  . LYS B 2 76  ? 246.269 -11.663 316.865 1.0 70.51479  ? 76  LYS B CA  76  LYS B CA  1 
ATOM 7790  C C   . LYS B 2 76  ? 246.743 -10.979 315.591 1.0 70.51479  ? 76  LYS B C   76  LYS B C   1 
ATOM 7791  O O   . LYS B 2 76  ? 247.573 -10.069 315.642 1.0 70.51479  ? 76  LYS B O   76  LYS B O   1 
ATOM 7792  C CB  . LYS B 2 76  ? 245.373 -10.705 317.651 1.0 70.51479  ? 76  LYS B CB  76  LYS B CB  1 
ATOM 7793  C CG  . LYS B 2 76  ? 244.188 -10.194 316.855 1.0 70.51479  ? 76  LYS B CG  76  LYS B CG  1 
ATOM 7794  C CD  . LYS B 2 76  ? 243.243 -9.348  317.685 1.0 70.51479  ? 76  LYS B CD  76  LYS B CD  1 
ATOM 7795  C CE  . LYS B 2 76  ? 243.779 -7.952  317.872 1.0 70.51479  ? 76  LYS B CE  76  LYS B CE  1 
ATOM 7796  N NZ  . LYS B 2 76  ? 243.847 -7.235  316.579 1.0 70.51479  ? 76  LYS B NZ  76  LYS B NZ  1 
ATOM 7797  N N   . ALA B 2 77  ? 246.208 -11.412 314.455 1.0 67.54298  ? 77  ALA B N   77  ALA B N   1 
ATOM 7798  C CA  . ALA B 2 77  ? 246.364 -10.708 313.192 1.0 67.54298  ? 77  ALA B CA  77  ALA B CA  1 
ATOM 7799  C C   . ALA B 2 77  ? 244.992 -10.257 312.715 1.0 67.54298  ? 77  ALA B C   77  ALA B C   1 
ATOM 7800  O O   . ALA B 2 77  ? 244.022 -11.016 312.790 1.0 67.54298  ? 77  ALA B O   77  ALA B O   1 
ATOM 7801  C CB  . ALA B 2 77  ? 247.027 -11.587 312.134 1.0 67.54298  ? 77  ALA B CB  77  ALA B CB  1 
ATOM 7802  N N   . ARG B 2 78  ? 244.912 -9.021  312.229 1.0 67.37832  ? 78  ARG B N   78  ARG B N   1 
ATOM 7803  C CA  . ARG B 2 78  ? 243.644 -8.422  311.826 1.0 67.37832  ? 78  ARG B CA  78  ARG B CA  1 
ATOM 7804  C C   . ARG B 2 78  ? 243.839 -7.649  310.535 1.0 67.37832  ? 78  ARG B C   78  ARG B C   1 
ATOM 7805  O O   . ARG B 2 78  ? 244.590 -6.672  310.507 1.0 67.37832  ? 78  ARG B O   78  ARG B O   1 
ATOM 7806  C CB  . ARG B 2 78  ? 243.108 -7.497  312.914 1.0 67.37832  ? 78  ARG B CB  78  ARG B CB  1 
ATOM 7807  C CG  . ARG B 2 78  ? 241.825 -6.802  312.533 1.0 67.37832  ? 78  ARG B CG  78  ARG B CG  1 
ATOM 7808  C CD  . ARG B 2 78  ? 241.292 -5.989  313.690 1.0 67.37832  ? 78  ARG B CD  78  ARG B CD  1 
ATOM 7809  N NE  . ARG B 2 78  ? 240.111 -5.230  313.310 1.0 67.37832  ? 78  ARG B NE  78  ARG B NE  1 
ATOM 7810  C CZ  . ARG B 2 78  ? 238.879 -5.719  313.337 1.0 67.37832  ? 78  ARG B CZ  78  ARG B CZ  1 
ATOM 7811  N NH1 . ARG B 2 78  ? 238.665 -6.965  313.732 1.0 67.37832  ? 78  ARG B NH1 78  ARG B NH1 1 
ATOM 7812  N NH2 . ARG B 2 78  ? 237.856 -4.963  312.978 1.0 67.37832  ? 78  ARG B NH2 78  ARG B NH2 1 
ATOM 7813  N N   . PHE B 2 79  ? 243.140 -8.059  309.483 1.0 57.80242  ? 79  PHE B N   79  PHE B N   1 
ATOM 7814  C CA  . PHE B 2 79  ? 243.343 -7.516  308.151 1.0 57.80242  ? 79  PHE B CA  79  PHE B CA  1 
ATOM 7815  C C   . PHE B 2 79  ? 242.060 -6.897  307.622 1.0 57.80242  ? 79  PHE B C   79  PHE B C   1 
ATOM 7816  O O   . PHE B 2 79  ? 240.956 -7.330  307.961 1.0 57.80242  ? 79  PHE B O   79  PHE B O   1 
ATOM 7817  C CB  . PHE B 2 79  ? 243.814 -8.601  307.191 1.0 57.80242  ? 79  PHE B CB  79  PHE B CB  1 
ATOM 7818  C CG  . PHE B 2 79  ? 245.146 -9.167  307.541 1.0 57.80242  ? 79  PHE B CG  79  PHE B CG  1 
ATOM 7819  C CD1 . PHE B 2 79  ? 246.304 -8.527  307.154 1.0 57.80242  ? 79  PHE B CD1 79  PHE B CD1 1 
ATOM 7820  C CD2 . PHE B 2 79  ? 245.240 -10.331 308.277 1.0 57.80242  ? 79  PHE B CD2 79  PHE B CD2 1 
ATOM 7821  C CE1 . PHE B 2 79  ? 247.533 -9.047  307.481 1.0 57.80242  ? 79  PHE B CE1 79  PHE B CE1 1 
ATOM 7822  C CE2 . PHE B 2 79  ? 246.464 -10.855 308.609 1.0 57.80242  ? 79  PHE B CE2 79  PHE B CE2 1 
ATOM 7823  C CZ  . PHE B 2 79  ? 247.613 -10.212 308.212 1.0 57.80242  ? 79  PHE B CZ  79  PHE B CZ  1 
ATOM 7824  N N   . THR B 2 80  ? 242.217 -5.875  306.788 1.0 55.59657  ? 80  THR B N   80  THR B N   1 
ATOM 7825  C CA  . THR B 2 80  ? 241.108 -5.257  306.068 1.0 55.59657  ? 80  THR B CA  80  THR B CA  1 
ATOM 7826  C C   . THR B 2 80  ? 241.340 -5.498  304.582 1.0 55.59657  ? 80  THR B C   80  THR B C   1 
ATOM 7827  O O   . THR B 2 80  ? 242.234 -4.898  303.978 1.0 55.59657  ? 80  THR B O   80  THR B O   1 
ATOM 7828  C CB  . THR B 2 80  ? 240.991 -3.771  306.384 1.0 55.59657  ? 80  THR B CB  80  THR B CB  1 
ATOM 7829  O OG1 . THR B 2 80  ? 240.687 -3.604  307.773 1.0 55.59657  ? 80  THR B OG1 80  THR B OG1 1 
ATOM 7830  C CG2 . THR B 2 80  ? 239.890 -3.133  305.553 1.0 55.59657  ? 80  THR B CG2 80  THR B CG2 1 
ATOM 7831  N N   . LEU B 2 81  ? 240.544 -6.384  304.000 1.0 55.03397  ? 81  LEU B N   81  LEU B N   1 
ATOM 7832  C CA  . LEU B 2 81  ? 240.668 -6.729  302.594 1.0 55.03397  ? 81  LEU B CA  81  LEU B CA  1 
ATOM 7833  C C   . LEU B 2 81  ? 239.806 -5.792  301.763 1.0 55.03397  ? 81  LEU B C   81  LEU B C   1 
ATOM 7834  O O   . LEU B 2 81  ? 238.644 -5.546  302.100 1.0 55.03397  ? 81  LEU B O   81  LEU B O   1 
ATOM 7835  C CB  . LEU B 2 81  ? 240.260 -8.183  302.370 1.0 55.03397  ? 81  LEU B CB  81  LEU B CB  1 
ATOM 7836  C CG  . LEU B 2 81  ? 240.372 -8.720  300.950 1.0 55.03397  ? 81  LEU B CG  81  LEU B CG  1 
ATOM 7837  C CD1 . LEU B 2 81  ? 241.803 -8.632  300.465 1.0 55.03397  ? 81  LEU B CD1 81  LEU B CD1 1 
ATOM 7838  C CD2 . LEU B 2 81  ? 239.892 -10.152 300.917 1.0 55.03397  ? 81  LEU B CD2 81  LEU B CD2 1 
ATOM 7839  N N   . ASN B 2 82  ? 240.376 -5.262  300.687 1.0 55.34588  ? 82  ASN B N   82  ASN B N   1 
ATOM 7840  C CA  . ASN B 2 82  ? 239.682 -4.325  299.816 1.0 55.34588  ? 82  ASN B CA  82  ASN B CA  1 
ATOM 7841  C C   . ASN B 2 82  ? 239.601 -4.933  298.427 1.0 55.34588  ? 82  ASN B C   82  ASN B C   1 
ATOM 7842  O O   . ASN B 2 82  ? 240.631 -5.163  297.786 1.0 55.34588  ? 82  ASN B O   82  ASN B O   1 
ATOM 7843  C CB  . ASN B 2 82  ? 240.403 -2.977  299.770 1.0 55.34588  ? 82  ASN B CB  82  ASN B CB  1 
ATOM 7844  C CG  . ASN B 2 82  ? 239.486 -1.825  299.385 1.0 55.34588  ? 82  ASN B CG  82  ASN B CG  1 
ATOM 7845  O OD1 . ASN B 2 82  ? 239.850 -0.660  299.533 1.0 55.34588  ? 82  ASN B OD1 82  ASN B OD1 1 
ATOM 7846  N ND2 . ASN B 2 82  ? 238.290 -2.142  298.909 1.0 55.34588  ? 82  ASN B ND2 82  ASN B ND2 1 
ATOM 7847  N N   . VAL B 2 83  ? 238.385 -5.183  297.966 1.0 53.90325  ? 83  VAL B N   83  VAL B N   1 
ATOM 7848  C CA  . VAL B 2 83  ? 238.142 -5.672  296.618 1.0 53.90325  ? 83  VAL B CA  83  VAL B CA  1 
ATOM 7849  C C   . VAL B 2 83  ? 237.461 -4.538  295.875 1.0 53.90325  ? 83  VAL B C   83  VAL B C   1 
ATOM 7850  O O   . VAL B 2 83  ? 236.272 -4.273  296.093 1.0 53.90325  ? 83  VAL B O   83  VAL B O   1 
ATOM 7851  C CB  . VAL B 2 83  ? 237.279 -6.937  296.617 1.0 53.90325  ? 83  VAL B CB  83  VAL B CB  1 
ATOM 7852  C CG1 . VAL B 2 83  ? 237.179 -7.498  295.215 1.0 53.90325  ? 83  VAL B CG1 83  VAL B CG1 1 
ATOM 7853  C CG2 . VAL B 2 83  ? 237.831 -7.953  297.591 1.0 53.90325  ? 83  VAL B CG2 83  VAL B CG2 1 
ATOM 7854  N N   . GLY B 2 84  ? 238.206 -3.863  295.006 1.0 54.86004  ? 84  GLY B N   84  GLY B N   1 
ATOM 7855  C CA  . GLY B 2 84  ? 237.736 -2.647  294.380 1.0 54.86004  ? 84  GLY B CA  84  GLY B CA  1 
ATOM 7856  C C   . GLY B 2 84  ? 236.606 -2.879  293.396 1.0 54.86004  ? 84  GLY B C   84  GLY B C   1 
ATOM 7857  O O   . GLY B 2 84  ? 236.154 -3.998  293.157 1.0 54.86004  ? 84  GLY B O   84  GLY B O   1 
ATOM 7858  N N   . ASP B 2 85  ? 236.129 -1.775  292.828 1.0 58.08165  ? 85  ASP B N   85  ASP B N   1 
ATOM 7859  C CA  . ASP B 2 85  ? 235.065 -1.845  291.839 1.0 58.08165  ? 85  ASP B CA  85  ASP B CA  1 
ATOM 7860  C C   . ASP B 2 85  ? 235.579 -2.497  290.567 1.0 58.08165  ? 85  ASP B C   85  ASP B C   1 
ATOM 7861  O O   . ASP B 2 85  ? 236.647 -2.134  290.067 1.0 58.08165  ? 85  ASP B O   85  ASP B O   1 
ATOM 7862  C CB  . ASP B 2 85  ? 234.525 -0.452  291.533 1.0 58.08165  ? 85  ASP B CB  85  ASP B CB  1 
ATOM 7863  C CG  . ASP B 2 85  ? 233.741 0.132   292.682 1.0 58.08165  ? 85  ASP B CG  85  ASP B CG  1 
ATOM 7864  O OD1 . ASP B 2 85  ? 233.140 -0.653  293.444 1.0 58.08165  ? 85  ASP B OD1 85  ASP B OD1 1 
ATOM 7865  O OD2 . ASP B 2 85  ? 233.727 1.373   292.822 1.0 58.08165  ? 85  ASP B OD2 85  ASP B OD2 1 
ATOM 7866  N N   . ASN B 2 86  ? 234.800 -3.456  290.060 1.0 57.45611  ? 86  ASN B N   86  ASN B N   1 
ATOM 7867  C CA  . ASN B 2 86  ? 235.146 -4.329  288.932 1.0 57.45611  ? 86  ASN B CA  86  ASN B CA  1 
ATOM 7868  C C   . ASN B 2 86  ? 236.400 -5.161  289.191 1.0 57.45611  ? 86  ASN B C   86  ASN B C   1 
ATOM 7869  O O   . ASN B 2 86  ? 237.166 -5.440  288.271 1.0 57.45611  ? 86  ASN B O   86  ASN B O   1 
ATOM 7870  C CB  . ASN B 2 86  ? 235.279 -3.557  287.614 1.0 57.45611  ? 86  ASN B CB  86  ASN B CB  1 
ATOM 7871  C CG  . ASN B 2 86  ? 233.951 -3.063  287.097 1.0 57.45611  ? 86  ASN B CG  86  ASN B CG  1 
ATOM 7872  O OD1 . ASN B 2 86  ? 232.951 -3.774  287.156 1.0 57.45611  ? 86  ASN B OD1 86  ASN B OD1 1 
ATOM 7873  N ND2 . ASN B 2 86  ? 233.931 -1.839  286.586 1.0 57.45611  ? 86  ASN B ND2 86  ASN B ND2 1 
ATOM 7874  N N   . ARG B 2 87  ? 236.606 -5.601  290.426 1.0 55.51615  ? 87  ARG B N   87  ARG B N   1 
ATOM 7875  C CA  . ARG B 2 87  ? 237.632 -6.584  290.750 1.0 55.51615  ? 87  ARG B CA  87  ARG B CA  1 
ATOM 7876  C C   . ARG B 2 87  ? 236.954 -7.884  291.165 1.0 55.51615  ? 87  ARG B C   87  ARG B C   1 
ATOM 7877  O O   . ARG B 2 87  ? 235.730 -7.958  291.287 1.0 55.51615  ? 87  ARG B O   87  ARG B O   1 
ATOM 7878  C CB  . ARG B 2 87  ? 238.572 -6.073  291.846 1.0 55.51615  ? 87  ARG B CB  87  ARG B CB  1 
ATOM 7879  C CG  . ARG B 2 87  ? 239.735 -5.200  291.367 1.0 55.51615  ? 87  ARG B CG  87  ARG B CG  1 
ATOM 7880  C CD  . ARG B 2 87  ? 239.293 -3.788  291.037 1.0 55.51615  ? 87  ARG B CD  87  ARG B CD  1 
ATOM 7881  N NE  . ARG B 2 87  ? 240.391 -2.915  290.642 1.0 55.51615  ? 87  ARG B NE  87  ARG B NE  1 
ATOM 7882  C CZ  . ARG B 2 87  ? 241.084 -2.165  291.489 1.0 55.51615  ? 87  ARG B CZ  87  ARG B CZ  1 
ATOM 7883  N NH1 . ARG B 2 87  ? 240.796 -2.178  292.783 1.0 55.51615  ? 87  ARG B NH1 87  ARG B NH1 1 
ATOM 7884  N NH2 . ARG B 2 87  ? 242.063 -1.394  291.042 1.0 55.51615  ? 87  ARG B NH2 87  ARG B NH2 1 
ATOM 7885  N N   . LEU B 2 88  ? 237.762 -8.918  291.391 1.0 52.27756  ? 88  LEU B N   88  LEU B N   1 
ATOM 7886  C CA  . LEU B 2 88  ? 237.223 -10.244 291.664 1.0 52.27756  ? 88  LEU B CA  88  LEU B CA  1 
ATOM 7887  C C   . LEU B 2 88  ? 238.288 -11.072 292.365 1.0 52.27756  ? 88  LEU B C   88  LEU B C   1 
ATOM 7888  O O   . LEU B 2 88  ? 239.425 -11.143 291.891 1.0 52.27756  ? 88  LEU B O   88  LEU B O   1 
ATOM 7889  C CB  . LEU B 2 88  ? 236.792 -10.922 290.363 1.0 52.27756  ? 88  LEU B CB  88  LEU B CB  1 
ATOM 7890  C CG  . LEU B 2 88  ? 235.999 -12.214 290.471 1.0 52.27756  ? 88  LEU B CG  88  LEU B CG  1 
ATOM 7891  C CD1 . LEU B 2 88  ? 234.659 -11.921 291.095 1.0 52.27756  ? 88  LEU B CD1 88  LEU B CD1 1 
ATOM 7892  C CD2 . LEU B 2 88  ? 235.830 -12.819 289.097 1.0 52.27756  ? 88  LEU B CD2 88  LEU B CD2 1 
ATOM 7893  N N   . VAL B 2 89  ? 237.928 -11.689 293.488 1.0 49.57489  ? 89  VAL B N   89  VAL B N   1 
ATOM 7894  C CA  . VAL B 2 89  ? 238.864 -12.450 294.311 1.0 49.57489  ? 89  VAL B CA  89  VAL B CA  1 
ATOM 7895  C C   . VAL B 2 89  ? 238.314 -13.850 294.512 1.0 49.57489  ? 89  VAL B C   89  VAL B C   1 
ATOM 7896  O O   . VAL B 2 89  ? 237.158 -14.012 294.914 1.0 49.57489  ? 89  VAL B O   89  VAL B O   1 
ATOM 7897  C CB  . VAL B 2 89  ? 239.091 -11.782 295.679 1.0 49.57489  ? 89  VAL B CB  89  VAL B CB  1 
ATOM 7898  C CG1 . VAL B 2 89  ? 240.005 -12.624 296.551 1.0 49.57489  ? 89  VAL B CG1 89  VAL B CG1 1 
ATOM 7899  C CG2 . VAL B 2 89  ? 239.655 -10.414 295.512 1.0 49.57489  ? 89  VAL B CG2 89  VAL B CG2 1 
ATOM 7900  N N   . ASP B 2 90  ? 239.138 -14.859 294.248 1.0 49.78442  ? 90  ASP B N   90  ASP B N   1 
ATOM 7901  C CA  . ASP B 2 90  ? 238.899 -16.199 294.764 1.0 49.78442  ? 90  ASP B CA  90  ASP B CA  1 
ATOM 7902  C C   . ASP B 2 90  ? 239.745 -16.354 296.021 1.0 49.78442  ? 90  ASP B C   90  ASP B C   1 
ATOM 7903  O O   . ASP B 2 90  ? 240.963 -16.158 295.980 1.0 49.78442  ? 90  ASP B O   90  ASP B O   1 
ATOM 7904  C CB  . ASP B 2 90  ? 239.249 -17.271 293.734 1.0 49.78442  ? 90  ASP B CB  90  ASP B CB  1 
ATOM 7905  C CG  . ASP B 2 90  ? 238.705 -18.640 294.108 1.0 49.78442  ? 90  ASP B CG  90  ASP B CG  1 
ATOM 7906  O OD1 . ASP B 2 90  ? 238.030 -18.759 295.148 1.0 49.78442  ? 90  ASP B OD1 90  ASP B OD1 1 
ATOM 7907  O OD2 . ASP B 2 90  ? 238.953 -19.607 293.364 1.0 49.78442  ? 90  ASP B OD2 90  ASP B OD2 1 
ATOM 7908  N N   . LEU B 2 91  ? 239.104 -16.704 297.134 1.0 48.99106  ? 91  LEU B N   91  LEU B N   1 
ATOM 7909  C CA  . LEU B 2 91  ? 239.816 -16.808 298.400 1.0 48.99106  ? 91  LEU B CA  91  LEU B CA  1 
ATOM 7910  C C   . LEU B 2 91  ? 240.595 -18.105 298.553 1.0 48.99106  ? 91  LEU B C   91  LEU B C   1 
ATOM 7911  O O   . LEU B 2 91  ? 241.212 -18.310 299.602 1.0 48.99106  ? 91  LEU B O   91  LEU B O   1 
ATOM 7912  C CB  . LEU B 2 91  ? 238.849 -16.659 299.572 1.0 48.99106  ? 91  LEU B CB  91  LEU B CB  1 
ATOM 7913  C CG  . LEU B 2 91  ? 238.235 -15.283 299.790 1.0 48.99106  ? 91  LEU B CG  91  LEU B CG  1 
ATOM 7914  C CD1 . LEU B 2 91  ? 237.218 -15.356 300.900 1.0 48.99106  ? 91  LEU B CD1 91  LEU B CD1 1 
ATOM 7915  C CD2 . LEU B 2 91  ? 239.316 -14.280 300.124 1.0 48.99106  ? 91  LEU B CD2 91  LEU B CD2 1 
ATOM 7916  N N   . GLY B 2 92  ? 240.582 -18.983 297.549 1.0 49.26558  ? 92  GLY B N   92  GLY B N   1 
ATOM 7917  C CA  . GLY B 2 92  ? 241.433 -20.156 297.594 1.0 49.26558  ? 92  GLY B CA  92  GLY B CA  1 
ATOM 7918  C C   . GLY B 2 92  ? 242.900 -19.817 297.463 1.0 49.26558  ? 92  GLY B C   92  GLY B C   1 
ATOM 7919  O O   . GLY B 2 92  ? 243.759 -20.562 297.940 1.0 49.26558  ? 92  GLY B O   92  GLY B O   1 
ATOM 7920  N N   . SER B 2 93  ? 243.208 -18.689 296.832 1.0 49.67553  ? 93  SER B N   93  SER B N   1 
ATOM 7921  C CA  . SER B 2 93  ? 244.575 -18.214 296.709 1.0 49.67553  ? 93  SER B CA  93  SER B CA  1 
ATOM 7922  C C   . SER B 2 93  ? 245.050 -17.446 297.932 1.0 49.67553  ? 93  SER B C   93  SER B C   1 
ATOM 7923  O O   . SER B 2 93  ? 246.190 -16.974 297.940 1.0 49.67553  ? 93  SER B O   93  SER B O   1 
ATOM 7924  C CB  . SER B 2 93  ? 244.699 -17.331 295.474 1.0 49.67553  ? 93  SER B CB  93  SER B CB  1 
ATOM 7925  O OG  . SER B 2 93  ? 243.899 -16.173 295.616 1.0 49.67553  ? 93  SER B OG  93  SER B OG  1 
ATOM 7926  N N   . SER B 2 94  ? 244.215 -17.309 298.956 1.0 50.12317  ? 94  SER B N   94  SER B N   1 
ATOM 7927  C CA  . SER B 2 94  ? 244.589 -16.557 300.142 1.0 50.12317  ? 94  SER B CA  94  SER B CA  1 
ATOM 7928  C C   . SER B 2 94  ? 245.425 -17.409 301.086 1.0 50.12317  ? 94  SER B C   94  SER B C   1 
ATOM 7929  O O   . SER B 2 94  ? 245.087 -18.560 301.370 1.0 50.12317  ? 94  SER B O   94  SER B O   1 
ATOM 7930  C CB  . SER B 2 94  ? 243.344 -16.050 300.862 1.0 50.12317  ? 94  SER B CB  94  SER B CB  1 
ATOM 7931  O OG  . SER B 2 94  ? 242.577 -17.128 301.362 1.0 50.12317  ? 94  SER B OG  94  SER B OG  1 
ATOM 7932  N N   . TYR B 2 95  ? 246.522 -16.834 301.570 1.0 50.25285  ? 95  TYR B N   95  TYR B N   1 
ATOM 7933  C CA  . TYR B 2 95  ? 247.356 -17.493 302.563 1.0 50.25285  ? 95  TYR B CA  95  TYR B CA  1 
ATOM 7934  C C   . TYR B 2 95  ? 248.076 -16.435 303.378 1.0 50.25285  ? 95  TYR B C   95  TYR B C   1 
ATOM 7935  O O   . TYR B 2 95  ? 248.305 -15.318 302.912 1.0 50.25285  ? 95  TYR B O   95  TYR B O   1 
ATOM 7936  C CB  . TYR B 2 95  ? 248.355 -18.460 301.921 1.0 50.25285  ? 95  TYR B CB  95  TYR B CB  1 
ATOM 7937  C CG  . TYR B 2 95  ? 249.345 -17.845 300.959 1.0 50.25285  ? 95  TYR B CG  95  TYR B CG  1 
ATOM 7938  C CD1 . TYR B 2 95  ? 249.037 -17.712 299.616 1.0 50.25285  ? 95  TYR B CD1 95  TYR B CD1 1 
ATOM 7939  C CD2 . TYR B 2 95  ? 250.603 -17.439 301.383 1.0 50.25285  ? 95  TYR B CD2 95  TYR B CD2 1 
ATOM 7940  C CE1 . TYR B 2 95  ? 249.936 -17.165 298.730 1.0 50.25285  ? 95  TYR B CE1 95  TYR B CE1 1 
ATOM 7941  C CE2 . TYR B 2 95  ? 251.506 -16.888 300.503 1.0 50.25285  ? 95  TYR B CE2 95  TYR B CE2 1 
ATOM 7942  C CZ  . TYR B 2 95  ? 251.167 -16.758 299.178 1.0 50.25285  ? 95  TYR B CZ  95  TYR B CZ  1 
ATOM 7943  O OH  . TYR B 2 95  ? 252.062 -16.215 298.291 1.0 50.25285  ? 95  TYR B OH  95  TYR B OH  1 
ATOM 7944  N N   . PHE B 2 96  ? 248.437 -16.806 304.600 1.0 52.85824  ? 96  PHE B N   96  PHE B N   1 
ATOM 7945  C CA  . PHE B 2 96  ? 249.156 -15.912 305.494 1.0 52.85824  ? 96  PHE B CA  96  PHE B CA  1 
ATOM 7946  C C   . PHE B 2 96  ? 250.653 -16.068 305.282 1.0 52.85824  ? 96  PHE B C   96  PHE B C   1 
ATOM 7947  O O   . PHE B 2 96  ? 251.171 -17.186 305.269 1.0 52.85824  ? 96  PHE B O   96  PHE B O   1 
ATOM 7948  C CB  . PHE B 2 96  ? 248.807 -16.204 306.949 1.0 52.85824  ? 96  PHE B CB  96  PHE B CB  1 
ATOM 7949  C CG  . PHE B 2 96  ? 247.389 -15.900 307.307 1.0 52.85824  ? 96  PHE B CG  96  PHE B CG  1 
ATOM 7950  C CD1 . PHE B 2 96  ? 246.999 -14.606 307.588 1.0 52.85824  ? 96  PHE B CD1 96  PHE B CD1 1 
ATOM 7951  C CD2 . PHE B 2 96  ? 246.447 -16.909 307.377 1.0 52.85824  ? 96  PHE B CD2 96  PHE B CD2 1 
ATOM 7952  C CE1 . PHE B 2 96  ? 245.696 -14.321 307.921 1.0 52.85824  ? 96  PHE B CE1 96  PHE B CE1 1 
ATOM 7953  C CE2 . PHE B 2 96  ? 245.142 -16.628 307.712 1.0 52.85824  ? 96  PHE B CE2 96  PHE B CE2 1 
ATOM 7954  C CZ  . PHE B 2 96  ? 244.772 -15.334 307.988 1.0 52.85824  ? 96  PHE B CZ  96  PHE B CZ  1 
ATOM 7955  N N   . ASP B 2 97  ? 251.344 -14.943 305.118 1.0 56.45757  ? 97  ASP B N   97  ASP B N   1 
ATOM 7956  C CA  . ASP B 2 97  ? 252.799 -14.928 305.006 1.0 56.45757  ? 97  ASP B CA  97  ASP B CA  1 
ATOM 7957  C C   . ASP B 2 97  ? 253.363 -14.567 306.376 1.0 56.45757  ? 97  ASP B C   97  ASP B C   1 
ATOM 7958  O O   . ASP B 2 97  ? 253.761 -13.433 306.635 1.0 56.45757  ? 97  ASP B O   97  ASP B O   1 
ATOM 7959  C CB  . ASP B 2 97  ? 253.243 -13.935 303.937 1.0 56.45757  ? 97  ASP B CB  97  ASP B CB  1 
ATOM 7960  C CG  . ASP B 2 97  ? 254.705 -14.075 303.582 1.0 56.45757  ? 97  ASP B CG  97  ASP B CG  1 
ATOM 7961  O OD1 . ASP B 2 97  ? 255.362 -15.007 304.082 1.0 56.45757  ? 97  ASP B OD1 97  ASP B OD1 1 
ATOM 7962  O OD2 . ASP B 2 97  ? 255.211 -13.237 302.811 1.0 56.45757  ? 97  ASP B OD2 97  ASP B OD2 1 
ATOM 7963  N N   . ILE B 2 98  ? 253.408 -15.553 307.262 1.0 56.04944  ? 98  ILE B N   98  ILE B N   1 
ATOM 7964  C CA  . ILE B 2 98  ? 253.840 -15.297 308.630 1.0 56.04944  ? 98  ILE B CA  98  ILE B CA  1 
ATOM 7965  C C   . ILE B 2 98  ? 255.347 -15.492 308.698 1.0 56.04944  ? 98  ILE B C   98  ILE B C   1 
ATOM 7966  O O   . ILE B 2 98  ? 255.930 -16.272 307.941 1.0 56.04944  ? 98  ILE B O   98  ILE B O   1 
ATOM 7967  C CB  . ILE B 2 98  ? 253.063 -16.170 309.648 1.0 56.04944  ? 98  ILE B CB  98  ILE B CB  1 
ATOM 7968  C CG1 . ILE B 2 98  ? 253.391 -17.654 309.602 1.0 56.04944  ? 98  ILE B CG1 98  ILE B CG1 1 
ATOM 7969  C CG2 . ILE B 2 98  ? 251.590 -16.053 309.424 1.0 56.04944  ? 98  ILE B CG2 98  ILE B CG2 1 
ATOM 7970  C CD1 . ILE B 2 98  ? 254.215 -18.052 310.753 1.0 56.04944  ? 98  ILE B CD1 98  ILE B CD1 1 
ATOM 7971  N N   . LYS B 2 99  ? 255.994 -14.751 309.593 1.0 57.40499  ? 99  LYS B N   99  LYS B N   1 
ATOM 7972  C CA  . LYS B 2 99  ? 257.448 -14.689 309.606 1.0 57.40499  ? 99  LYS B CA  99  LYS B CA  1 
ATOM 7973  C C   . LYS B 2 99  ? 257.914 -14.327 311.002 1.0 57.40499  ? 99  LYS B C   99  LYS B C   1 
ATOM 7974  O O   . LYS B 2 99  ? 257.419 -13.361 311.588 1.0 57.40499  ? 99  LYS B O   99  LYS B O   1 
ATOM 7975  C CB  . LYS B 2 99  ? 257.951 -13.661 308.595 1.0 57.40499  ? 99  LYS B CB  99  LYS B CB  1 
ATOM 7976  C CG  . LYS B 2 99  ? 259.452 -13.568 308.493 1.0 57.40499  ? 99  LYS B CG  99  LYS B CG  1 
ATOM 7977  C CD  . LYS B 2 99  ? 259.839 -12.584 307.409 1.0 57.40499  ? 99  LYS B CD  99  LYS B CD  1 
ATOM 7978  C CE  . LYS B 2 99  ? 261.341 -12.446 307.303 1.0 57.40499  ? 99  LYS B CE  99  LYS B CE  1 
ATOM 7979  N NZ  . LYS B 2 99  ? 261.743 -11.486 306.239 1.0 57.40499  ? 99  LYS B NZ  99  LYS B NZ  1 
ATOM 7980  N N   . GLY B 2 100 ? 258.856 -15.094 311.524 1.0 59.55302  ? 100 GLY B N   100 GLY B N   1 
ATOM 7981  C CA  . GLY B 2 100 ? 259.411 -14.796 312.824 1.0 59.55302  ? 100 GLY B CA  100 GLY B CA  1 
ATOM 7982  C C   . GLY B 2 100 ? 260.607 -15.666 313.124 1.0 59.55302  ? 100 GLY B C   100 GLY B C   1 
ATOM 7983  O O   . GLY B 2 100 ? 261.138 -16.341 312.243 1.0 59.55302  ? 100 GLY B O   100 GLY B O   1 
ATOM 7984  N N   . THR B 2 101 ? 261.030 -15.643 314.384 1.0 62.0001   ? 101 THR B N   101 THR B N   1 
ATOM 7985  C CA  . THR B 2 101 ? 262.140 -16.461 314.842 1.0 62.0001   ? 101 THR B CA  101 THR B CA  1 
ATOM 7986  C C   . THR B 2 101 ? 261.621 -17.579 315.735 1.0 62.0001   ? 101 THR B C   101 THR B C   1 
ATOM 7987  O O   . THR B 2 101 ? 260.503 -17.523 316.253 1.0 62.0001   ? 101 THR B O   101 THR B O   1 
ATOM 7988  C CB  . THR B 2 101 ? 263.194 -15.627 315.586 1.0 62.0001   ? 101 THR B CB  101 THR B CB  1 
ATOM 7989  O OG1 . THR B 2 101 ? 264.333 -16.444 315.880 1.0 62.0001   ? 101 THR B OG1 101 THR B OG1 1 
ATOM 7990  C CG2 . THR B 2 101 ? 262.638 -15.073 316.874 1.0 62.0001   ? 101 THR B CG2 101 THR B CG2 1 
ATOM 7991  N N   . LEU B 2 102 ? 262.445 -18.609 315.902 1.0 61.52169  ? 102 LEU B N   102 LEU B N   1 
ATOM 7992  C CA  . LEU B 2 102 ? 262.026 -19.830 316.571 1.0 61.52169  ? 102 LEU B CA  102 LEU B CA  1 
ATOM 7993  C C   . LEU B 2 102 ? 263.154 -20.374 317.430 1.0 61.52169  ? 102 LEU B C   102 LEU B C   1 
ATOM 7994  O O   . LEU B 2 102 ? 264.314 -20.384 317.013 1.0 61.52169  ? 102 LEU B O   102 LEU B O   1 
ATOM 7995  C CB  . LEU B 2 102 ? 261.591 -20.885 315.550 1.0 61.52169  ? 102 LEU B CB  102 LEU B CB  1 
ATOM 7996  C CG  . LEU B 2 102 ? 261.149 -22.257 316.050 1.0 61.52169  ? 102 LEU B CG  102 LEU B CG  1 
ATOM 7997  C CD1 . LEU B 2 102 ? 259.954 -22.134 316.946 1.0 61.52169  ? 102 LEU B CD1 102 LEU B CD1 1 
ATOM 7998  C CD2 . LEU B 2 102 ? 260.823 -23.153 314.884 1.0 61.52169  ? 102 LEU B CD2 102 LEU B CD2 1 
ATOM 7999  N N   . ASP B 2 103 ? 262.804 -20.816 318.632 1.0 64.0148   ? 103 ASP B N   103 ASP B N   1 
ATOM 8000  C CA  . ASP B 2 103 ? 263.716 -21.515 319.524 1.0 64.0148   ? 103 ASP B CA  103 ASP B CA  1 
ATOM 8001  C C   . ASP B 2 103 ? 263.195 -22.933 319.695 1.0 64.0148   ? 103 ASP B C   103 ASP B C   1 
ATOM 8002  O O   . ASP B 2 103 ? 262.082 -23.131 320.191 1.0 64.0148   ? 103 ASP B O   103 ASP B O   1 
ATOM 8003  C CB  . ASP B 2 103 ? 263.809 -20.809 320.875 1.0 64.0148   ? 103 ASP B CB  103 ASP B CB  1 
ATOM 8004  C CG  . ASP B 2 103 ? 264.937 -21.336 321.741 1.0 64.0148   ? 103 ASP B CG  103 ASP B CG  1 
ATOM 8005  O OD1 . ASP B 2 103 ? 265.699 -22.214 321.287 1.0 64.0148   ? 103 ASP B OD1 103 ASP B OD1 1 
ATOM 8006  O OD2 . ASP B 2 103 ? 265.059 -20.874 322.893 1.0 64.0148   ? 103 ASP B OD2 103 ASP B OD2 1 
ATOM 8007  N N   . ARG B 2 104 ? 263.997 -23.912 319.292 1.0 61.99396  ? 104 ARG B N   104 ARG B N   1 
ATOM 8008  C CA  . ARG B 2 104 ? 263.573 -25.301 319.369 1.0 61.99396  ? 104 ARG B CA  104 ARG B CA  1 
ATOM 8009  C C   . ARG B 2 104 ? 263.814 -25.932 320.730 1.0 61.99396  ? 104 ARG B C   104 ARG B C   1 
ATOM 8010  O O   . ARG B 2 104 ? 263.248 -26.993 321.010 1.0 61.99396  ? 104 ARG B O   104 ARG B O   1 
ATOM 8011  C CB  . ARG B 2 104 ? 264.291 -26.138 318.319 1.0 61.99396  ? 104 ARG B CB  104 ARG B CB  1 
ATOM 8012  C CG  . ARG B 2 104 ? 263.907 -25.868 316.886 1.0 61.99396  ? 104 ARG B CG  104 ARG B CG  1 
ATOM 8013  C CD  . ARG B 2 104 ? 264.722 -26.817 316.064 1.0 61.99396  ? 104 ARG B CD  104 ARG B CD  1 
ATOM 8014  N NE  . ARG B 2 104 ? 264.556 -26.735 314.624 1.0 61.99396  ? 104 ARG B NE  104 ARG B NE  1 
ATOM 8015  C CZ  . ARG B 2 104 ? 265.277 -25.938 313.852 1.0 61.99396  ? 104 ARG B CZ  104 ARG B CZ  1 
ATOM 8016  N NH1 . ARG B 2 104 ? 265.101 -25.942 312.551 1.0 61.99396  ? 104 ARG B NH1 104 ARG B NH1 1 
ATOM 8017  N NH2 . ARG B 2 104 ? 266.165 -25.120 314.387 1.0 61.99396  ? 104 ARG B NH2 104 ARG B NH2 1 
ATOM 8018  N N   . GLY B 2 105 ? 264.645 -25.327 321.570 1.0 64.06549  ? 105 GLY B N   105 GLY B N   1 
ATOM 8019  C CA  . GLY B 2 105 ? 264.921 -25.867 322.879 1.0 64.06549  ? 105 GLY B CA  105 GLY B CA  1 
ATOM 8020  C C   . GLY B 2 105 ? 266.084 -26.835 322.858 1.0 64.06549  ? 105 GLY B C   105 GLY B C   1 
ATOM 8021  O O   . GLY B 2 105 ? 266.530 -27.274 321.796 1.0 64.06549  ? 105 GLY B O   105 GLY B O   1 
ATOM 8022  N N   . PRO B 2 106 ? 266.599 -27.194 324.037 1.0 64.03894  ? 106 PRO B N   106 PRO B N   1 
ATOM 8023  C CA  . PRO B 2 106 ? 267.775 -28.070 324.102 1.0 64.03894  ? 106 PRO B CA  106 PRO B CA  1 
ATOM 8024  C C   . PRO B 2 106 ? 267.485 -29.537 323.836 1.0 64.03894  ? 106 PRO B C   106 PRO B C   1 
ATOM 8025  O O   . PRO B 2 106 ? 268.412 -30.351 323.898 1.0 64.03894  ? 106 PRO B O   106 PRO B O   1 
ATOM 8026  C CB  . PRO B 2 106 ? 268.267 -27.867 325.540 1.0 64.03894  ? 106 PRO B CB  106 PRO B CB  1 
ATOM 8027  C CG  . PRO B 2 106 ? 267.046 -27.544 326.296 1.0 64.03894  ? 106 PRO B CG  106 PRO B CG  1 
ATOM 8028  C CD  . PRO B 2 106 ? 266.181 -26.740 325.372 1.0 64.03894  ? 106 PRO B CD  106 PRO B CD  1 
ATOM 8029  N N   . SER B 2 107 ? 266.241 -29.900 323.547 1.0 63.68027  ? 107 SER B N   107 SER B N   1 
ATOM 8030  C CA  . SER B 2 107 ? 265.869 -31.268 323.225 1.0 63.68027  ? 107 SER B CA  107 SER B CA  1 
ATOM 8031  C C   . SER B 2 107 ? 266.021 -31.588 321.748 1.0 63.68027  ? 107 SER B C   107 SER B C   1 
ATOM 8032  O O   . SER B 2 107 ? 265.492 -32.604 321.292 1.0 63.68027  ? 107 SER B O   107 SER B O   1 
ATOM 8033  C CB  . SER B 2 107 ? 264.425 -31.527 323.649 1.0 63.68027  ? 107 SER B CB  107 SER B CB  1 
ATOM 8034  O OG  . SER B 2 107 ? 263.526 -30.758 322.872 1.0 63.68027  ? 107 SER B OG  107 SER B OG  1 
ATOM 8035  N N   . PHE B 2 108 ? 266.715 -30.750 320.993 1.0 60.69651  ? 108 PHE B N   108 PHE B N   1 
ATOM 8036  C CA  . PHE B 2 108 ? 266.780 -30.871 319.545 1.0 60.69651  ? 108 PHE B CA  108 PHE B CA  1 
ATOM 8037  C C   . PHE B 2 108 ? 268.133 -31.431 319.138 1.0 60.69651  ? 108 PHE B C   108 PHE B C   1 
ATOM 8038  O O   . PHE B 2 108 ? 269.174 -30.891 319.522 1.0 60.69651  ? 108 PHE B O   108 PHE B O   1 
ATOM 8039  C CB  . PHE B 2 108 ? 266.533 -29.518 318.886 1.0 60.69651  ? 108 PHE B CB  108 PHE B CB  1 
ATOM 8040  C CG  . PHE B 2 108 ? 266.598 -29.552 317.396 1.0 60.69651  ? 108 PHE B CG  108 PHE B CG  1 
ATOM 8041  C CD1 . PHE B 2 108 ? 265.622 -30.199 316.666 1.0 60.69651  ? 108 PHE B CD1 108 PHE B CD1 1 
ATOM 8042  C CD2 . PHE B 2 108 ? 267.620 -28.913 316.723 1.0 60.69651  ? 108 PHE B CD2 108 PHE B CD2 1 
ATOM 8043  C CE1 . PHE B 2 108 ? 265.671 -30.219 315.288 1.0 60.69651  ? 108 PHE B CE1 108 PHE B CE1 1 
ATOM 8044  C CE2 . PHE B 2 108 ? 267.669 -28.926 315.348 1.0 60.69651  ? 108 PHE B CE2 108 PHE B CE2 1 
ATOM 8045  C CZ  . PHE B 2 108 ? 266.694 -29.580 314.632 1.0 60.69651  ? 108 PHE B CZ  108 PHE B CZ  1 
ATOM 8046  N N   . LYS B 2 109 ? 268.112 -32.516 318.367 1.0 61.04599  ? 109 LYS B N   109 LYS B N   1 
ATOM 8047  C CA  . LYS B 2 109 ? 269.323 -33.126 317.826 1.0 61.04599  ? 109 LYS B CA  109 LYS B CA  1 
ATOM 8048  C C   . LYS B 2 109 ? 268.964 -33.727 316.476 1.0 61.04599  ? 109 LYS B C   109 LYS B C   1 
ATOM 8049  O O   . LYS B 2 109 ? 268.393 -34.827 316.413 1.0 61.04599  ? 109 LYS B O   109 LYS B O   1 
ATOM 8050  C CB  . LYS B 2 109 ? 269.890 -34.188 318.761 1.0 61.04599  ? 109 LYS B CB  109 LYS B CB  1 
ATOM 8051  C CG  . LYS B 2 109 ? 271.168 -34.797 318.253 1.0 61.04599  ? 109 LYS B CG  109 LYS B CG  1 
ATOM 8052  C CD  . LYS B 2 109 ? 271.681 -35.820 319.216 1.0 61.04599  ? 109 LYS B CD  109 LYS B CD  1 
ATOM 8053  C CE  . LYS B 2 109 ? 273.009 -36.364 318.773 1.0 61.04599  ? 109 LYS B CE  109 LYS B CE  1 
ATOM 8054  N NZ  . LYS B 2 109 ? 272.880 -37.170 317.532 1.0 61.04599  ? 109 LYS B NZ  109 LYS B NZ  1 
ATOM 8055  N N   . PRO B 2 110 ? 269.264 -33.039 315.384 1.0 60.1719   ? 110 PRO B N   110 PRO B N   1 
ATOM 8056  C CA  . PRO B 2 110 ? 268.725 -33.463 314.088 1.0 60.1719   ? 110 PRO B CA  110 PRO B CA  1 
ATOM 8057  C C   . PRO B 2 110 ? 269.533 -34.519 313.357 1.0 60.1719   ? 110 PRO B C   110 PRO B C   1 
ATOM 8058  O O   . PRO B 2 110 ? 269.594 -34.457 312.126 1.0 60.1719   ? 110 PRO B O   110 PRO B O   1 
ATOM 8059  C CB  . PRO B 2 110 ? 268.726 -32.162 313.285 1.0 60.1719   ? 110 PRO B CB  110 PRO B CB  1 
ATOM 8060  C CG  . PRO B 2 110 ? 269.869 -31.403 313.844 1.0 60.1719   ? 110 PRO B CG  110 PRO B CG  1 
ATOM 8061  C CD  . PRO B 2 110 ? 269.924 -31.727 315.305 1.0 60.1719   ? 110 PRO B CD  110 PRO B CD  1 
ATOM 8062  N N   . TYR B 2 111 ? 270.046 -35.528 314.060 1.0 61.80903  ? 111 TYR B N   111 TYR B N   1 
ATOM 8063  C CA  . TYR B 2 111 ? 270.855 -36.590 313.467 1.0 61.80903  ? 111 TYR B CA  111 TYR B CA  1 
ATOM 8064  C C   . TYR B 2 111 ? 271.127 -37.653 314.515 1.0 61.80903  ? 111 TYR B C   111 TYR B C   1 
ATOM 8065  O O   . TYR B 2 111 ? 271.194 -37.361 315.710 1.0 61.80903  ? 111 TYR B O   111 TYR B O   1 
ATOM 8066  C CB  . TYR B 2 111 ? 272.185 -36.063 312.905 1.0 61.80903  ? 111 TYR B CB  111 TYR B CB  1 
ATOM 8067  C CG  . TYR B 2 111 ? 273.088 -35.396 313.911 1.0 61.80903  ? 111 TYR B CG  111 TYR B CG  1 
ATOM 8068  C CD1 . TYR B 2 111 ? 272.916 -34.061 314.247 1.0 61.80903  ? 111 TYR B CD1 111 TYR B CD1 1 
ATOM 8069  C CD2 . TYR B 2 111 ? 274.147 -36.081 314.482 1.0 61.80903  ? 111 TYR B CD2 111 TYR B CD2 1 
ATOM 8070  C CE1 . TYR B 2 111 ? 273.746 -33.442 315.151 1.0 61.80903  ? 111 TYR B CE1 111 TYR B CE1 1 
ATOM 8071  C CE2 . TYR B 2 111 ? 274.984 -35.468 315.387 1.0 61.80903  ? 111 TYR B CE2 111 TYR B CE2 1 
ATOM 8072  C CZ  . TYR B 2 111 ? 274.777 -34.151 315.715 1.0 61.80903  ? 111 TYR B CZ  111 TYR B CZ  1 
ATOM 8073  O OH  . TYR B 2 111 ? 275.608 -33.532 316.611 1.0 61.80903  ? 111 TYR B OH  111 TYR B OH  1 
ATOM 8074  N N   . GLY B 2 112 ? 271.290 -38.884 314.048 1.0 62.92262  ? 112 GLY B N   112 GLY B N   1 
ATOM 8075  C CA  . GLY B 2 112 ? 271.729 -39.945 314.923 1.0 62.92262  ? 112 GLY B CA  112 GLY B CA  1 
ATOM 8076  C C   . GLY B 2 112 ? 273.237 -39.993 315.042 1.0 62.92262  ? 112 GLY B C   112 GLY B C   1 
ATOM 8077  O O   . GLY B 2 112 ? 273.971 -39.492 314.194 1.0 62.92262  ? 112 GLY B O   112 GLY B O   1 
ATOM 8078  N N   . GLY B 2 113 ? 273.703 -40.610 316.121 1.0 65.51124  ? 113 GLY B N   113 GLY B N   1 
ATOM 8079  C CA  . GLY B 2 113 ? 275.132 -40.680 316.330 1.0 65.51124  ? 113 GLY B CA  113 GLY B CA  1 
ATOM 8080  C C   . GLY B 2 113 ? 275.694 -39.349 316.802 1.0 65.51124  ? 113 GLY B C   113 GLY B C   1 
ATOM 8081  O O   . GLY B 2 113 ? 274.970 -38.429 317.174 1.0 65.51124  ? 113 GLY B O   113 GLY B O   1 
ATOM 8082  N N   . THR B 2 114 ? 277.017 -39.257 316.773 1.0 66.27785  ? 114 THR B N   114 THR B N   1 
ATOM 8083  C CA  . THR B 2 114 ? 277.731 -38.076 317.229 1.0 66.27785  ? 114 THR B CA  114 THR B CA  1 
ATOM 8084  C C   . THR B 2 114 ? 278.516 -37.462 316.080 1.0 66.27785  ? 114 THR B C   114 THR B C   1 
ATOM 8085  O O   . THR B 2 114 ? 278.562 -37.993 314.969 1.0 66.27785  ? 114 THR B O   114 THR B O   1 
ATOM 8086  C CB  . THR B 2 114 ? 278.673 -38.416 318.384 1.0 66.27785  ? 114 THR B CB  114 THR B CB  1 
ATOM 8087  O OG1 . THR B 2 114 ? 279.286 -37.217 318.866 1.0 66.27785  ? 114 THR B OG1 114 THR B OG1 1 
ATOM 8088  C CG2 . THR B 2 114 ? 279.742 -39.371 317.913 1.0 66.27785  ? 114 THR B CG2 114 THR B CG2 1 
ATOM 8089  N N   . ALA B 2 115 ? 279.140 -36.322 316.361 1.0 66.24322  ? 115 ALA B N   115 ALA B N   1 
ATOM 8090  C CA  . ALA B 2 115 ? 279.906 -35.597 315.363 1.0 66.24322  ? 115 ALA B CA  115 ALA B CA  1 
ATOM 8091  C C   . ALA B 2 115 ? 281.322 -35.266 315.800 1.0 66.24322  ? 115 ALA B C   115 ALA B C   1 
ATOM 8092  O O   . ALA B 2 115 ? 282.071 -34.686 315.007 1.0 66.24322  ? 115 ALA B O   115 ALA B O   1 
ATOM 8093  C CB  . ALA B 2 115 ? 279.189 -34.294 314.982 1.0 66.24322  ? 115 ALA B CB  115 ALA B CB  1 
ATOM 8094  N N   . TYR B 2 116 ? 281.711 -35.607 317.026 1.0 66.55     ? 116 TYR B N   116 TYR B N   1 
ATOM 8095  C CA  . TYR B 2 116 ? 283.026 -35.275 317.555 1.0 66.55     ? 116 TYR B CA  116 TYR B CA  1 
ATOM 8096  C C   . TYR B 2 116 ? 283.728 -36.563 317.948 1.0 66.55     ? 116 TYR B C   116 TYR B C   1 
ATOM 8097  O O   . TYR B 2 116 ? 283.289 -37.250 318.873 1.0 66.55     ? 116 TYR B O   116 TYR B O   1 
ATOM 8098  C CB  . TYR B 2 116 ? 282.911 -34.332 318.746 1.0 66.55     ? 116 TYR B CB  116 TYR B CB  1 
ATOM 8099  C CG  . TYR B 2 116 ? 282.258 -33.032 318.381 1.0 66.55     ? 116 TYR B CG  116 TYR B CG  1 
ATOM 8100  C CD1 . TYR B 2 116 ? 282.946 -32.061 317.678 1.0 66.55     ? 116 TYR B CD1 116 TYR B CD1 1 
ATOM 8101  C CD2 . TYR B 2 116 ? 280.951 -32.775 318.740 1.0 66.55     ? 116 TYR B CD2 116 TYR B CD2 1 
ATOM 8102  C CE1 . TYR B 2 116 ? 282.339 -30.871 317.335 1.0 66.55     ? 116 TYR B CE1 116 TYR B CE1 1 
ATOM 8103  C CE2 . TYR B 2 116 ? 280.339 -31.589 318.409 1.0 66.55     ? 116 TYR B CE2 116 TYR B CE2 1 
ATOM 8104  C CZ  . TYR B 2 116 ? 281.038 -30.638 317.712 1.0 66.55     ? 116 TYR B CZ  116 TYR B CZ  1 
ATOM 8105  O OH  . TYR B 2 116 ? 280.430 -29.451 317.377 1.0 66.55     ? 116 TYR B OH  116 TYR B OH  1 
ATOM 8106  N N   . ASN B 2 117 ? 284.826 -36.860 317.260 1.0 67.7411   ? 117 ASN B N   117 ASN B N   1 
ATOM 8107  C CA  . ASN B 2 117 ? 285.545 -38.129 317.233 1.0 67.7411   ? 117 ASN B CA  117 ASN B CA  1 
ATOM 8108  C C   . ASN B 2 117 ? 284.586 -39.288 316.969 1.0 67.7411   ? 117 ASN B C   117 ASN B C   1 
ATOM 8109  O O   . ASN B 2 117 ? 284.390 -40.125 317.859 1.0 67.7411   ? 117 ASN B O   117 ASN B O   1 
ATOM 8110  C CB  . ASN B 2 117 ? 286.293 -38.371 318.549 1.0 67.7411   ? 117 ASN B CB  117 ASN B CB  1 
ATOM 8111  C CG  . ASN B 2 117 ? 287.259 -37.256 318.899 1.0 67.7411   ? 117 ASN B CG  117 ASN B CG  1 
ATOM 8112  O OD1 . ASN B 2 117 ? 287.922 -36.689 318.037 1.0 67.7411   ? 117 ASN B OD1 117 ASN B OD1 1 
ATOM 8113  N ND2 . ASN B 2 117 ? 287.350 -36.947 320.184 1.0 67.7411   ? 117 ASN B ND2 117 ASN B ND2 1 
ATOM 8114  N N   . PRO B 2 118 ? 283.968 -39.386 315.784 1.0 67.22958  ? 118 PRO B N   118 PRO B N   1 
ATOM 8115  C CA  . PRO B 2 118 ? 282.964 -40.442 315.589 1.0 67.22958  ? 118 PRO B CA  118 PRO B CA  1 
ATOM 8116  C C   . PRO B 2 118 ? 283.558 -41.825 315.414 1.0 67.22958  ? 118 PRO B C   118 PRO B C   1 
ATOM 8117  O O   . PRO B 2 118 ? 282.886 -42.812 315.729 1.0 67.22958  ? 118 PRO B O   118 PRO B O   1 
ATOM 8118  C CB  . PRO B 2 118 ? 282.228 -39.993 314.323 1.0 67.22958  ? 118 PRO B CB  118 PRO B CB  1 
ATOM 8119  C CG  . PRO B 2 118 ? 283.248 -39.247 313.578 1.0 67.22958  ? 118 PRO B CG  118 PRO B CG  1 
ATOM 8120  C CD  . PRO B 2 118 ? 284.088 -38.542 314.583 1.0 67.22958  ? 118 PRO B CD  118 PRO B CD  1 
ATOM 8121  N N   . LEU B 2 119 ? 284.794 -41.934 314.934 1.0 67.84023  ? 119 LEU B N   119 LEU B N   1 
ATOM 8122  C CA  . LEU B 2 119 ? 285.397 -43.236 314.680 1.0 67.84023  ? 119 LEU B CA  119 LEU B CA  1 
ATOM 8123  C C   . LEU B 2 119 ? 285.955 -43.894 315.929 1.0 67.84023  ? 119 LEU B C   119 LEU B C   1 
ATOM 8124  O O   . LEU B 2 119 ? 286.451 -45.021 315.841 1.0 67.84023  ? 119 LEU B O   119 LEU B O   1 
ATOM 8125  C CB  . LEU B 2 119 ? 286.511 -43.111 313.644 1.0 67.84023  ? 119 LEU B CB  119 LEU B CB  1 
ATOM 8126  C CG  . LEU B 2 119 ? 286.053 -42.724 312.244 1.0 67.84023  ? 119 LEU B CG  119 LEU B CG  1 
ATOM 8127  C CD1 . LEU B 2 119 ? 287.250 -42.550 311.333 1.0 67.84023  ? 119 LEU B CD1 119 LEU B CD1 1 
ATOM 8128  C CD2 . LEU B 2 119 ? 285.108 -43.777 311.709 1.0 67.84023  ? 119 LEU B CD2 119 LEU B CD2 1 
ATOM 8129  N N   . ALA B 2 120 ? 285.899 -43.227 317.074 1.0 70.48162  ? 120 ALA B N   120 ALA B N   1 
ATOM 8130  C CA  . ALA B 2 120 ? 286.418 -43.808 318.295 1.0 70.48162  ? 120 ALA B CA  120 ALA B CA  1 
ATOM 8131  C C   . ALA B 2 120 ? 285.493 -44.913 318.795 1.0 70.48162  ? 120 ALA B C   120 ALA B C   1 
ATOM 8132  O O   . ALA B 2 120 ? 284.275 -44.838 318.619 1.0 70.48162  ? 120 ALA B O   120 ALA B O   1 
ATOM 8133  C CB  . ALA B 2 120 ? 286.558 -42.738 319.370 1.0 70.48162  ? 120 ALA B CB  120 ALA B CB  1 
ATOM 8134  N N   . PRO B 2 121 ? 286.048 -45.963 319.396 1.0 71.9792   ? 121 PRO B N   121 PRO B N   1 
ATOM 8135  C CA  . PRO B 2 121 ? 285.209 -46.897 320.152 1.0 71.9792   ? 121 PRO B CA  121 PRO B CA  1 
ATOM 8136  C C   . PRO B 2 121 ? 284.607 -46.211 321.366 1.0 71.9792   ? 121 PRO B C   121 PRO B C   1 
ATOM 8137  O O   . PRO B 2 121 ? 285.169 -45.262 321.916 1.0 71.9792   ? 121 PRO B O   121 PRO B O   1 
ATOM 8138  C CB  . PRO B 2 121 ? 286.184 -48.009 320.552 1.0 71.9792   ? 121 PRO B CB  121 PRO B CB  1 
ATOM 8139  C CG  . PRO B 2 121 ? 287.520 -47.381 320.494 1.0 71.9792   ? 121 PRO B CG  121 PRO B CG  1 
ATOM 8140  C CD  . PRO B 2 121 ? 287.459 -46.377 319.387 1.0 71.9792   ? 121 PRO B CD  121 PRO B CD  1 
ATOM 8141  N N   . LYS B 2 122 ? 283.435 -46.698 321.772 1.0 71.70971  ? 122 LYS B N   122 LYS B N   1 
ATOM 8142  C CA  . LYS B 2 122 ? 282.604 -45.964 322.718 1.0 71.70971  ? 122 LYS B CA  122 LYS B CA  1 
ATOM 8143  C C   . LYS B 2 122 ? 283.153 -45.984 324.138 1.0 71.70971  ? 122 LYS B C   122 LYS B C   1 
ATOM 8144  O O   . LYS B 2 122 ? 282.831 -45.086 324.923 1.0 71.70971  ? 122 LYS B O   122 LYS B O   1 
ATOM 8145  C CB  . LYS B 2 122 ? 281.187 -46.529 322.690 1.0 71.70971  ? 122 LYS B CB  122 LYS B CB  1 
ATOM 8146  C CG  . LYS B 2 122 ? 280.483 -46.304 321.365 1.0 71.70971  ? 122 LYS B CG  122 LYS B CG  1 
ATOM 8147  C CD  . LYS B 2 122 ? 279.088 -46.893 321.364 1.0 71.70971  ? 122 LYS B CD  122 LYS B CD  1 
ATOM 8148  C CE  . LYS B 2 122 ? 278.368 -46.572 320.068 1.0 71.70971  ? 122 LYS B CE  122 LYS B CE  1 
ATOM 8149  N NZ  . LYS B 2 122 ? 279.017 -47.229 318.902 1.0 71.70971  ? 122 LYS B NZ  122 LYS B NZ  1 
ATOM 8150  N N   . SER B 2 123 ? 283.971 -46.971 324.486 1.0 74.22162  ? 123 SER B N   123 SER B N   1 
ATOM 8151  C CA  . SER B 2 123 ? 284.554 -47.063 325.815 1.0 74.22162  ? 123 SER B CA  123 SER B CA  1 
ATOM 8152  C C   . SER B 2 123 ? 285.969 -46.507 325.872 1.0 74.22162  ? 123 SER B C   123 SER B C   1 
ATOM 8153  O O   . SER B 2 123 ? 286.676 -46.741 326.855 1.0 74.22162  ? 123 SER B O   123 SER B O   1 
ATOM 8154  C CB  . SER B 2 123 ? 284.548 -48.515 326.290 1.0 74.22162  ? 123 SER B CB  123 SER B CB  1 
ATOM 8155  O OG  . SER B 2 123 ? 285.163 -48.632 327.559 1.0 74.22162  ? 123 SER B OG  123 SER B OG  1 
ATOM 8156  N N   . ALA B 2 124 ? 286.391 -45.779 324.853 1.0 75.28331  ? 124 ALA B N   124 ALA B N   1 
ATOM 8157  C CA  . ALA B 2 124 ? 287.782 -45.355 324.769 1.0 75.28331  ? 124 ALA B CA  124 ALA B CA  1 
ATOM 8158  C C   . ALA B 2 124 ? 288.019 -44.127 325.638 1.0 75.28331  ? 124 ALA B C   124 ALA B C   1 
ATOM 8159  O O   . ALA B 2 124 ? 287.285 -43.142 325.521 1.0 75.28331  ? 124 ALA B O   124 ALA B O   1 
ATOM 8160  C CB  . ALA B 2 124 ? 288.162 -45.043 323.329 1.0 75.28331  ? 124 ALA B CB  124 ALA B CB  1 
ATOM 8161  N N   . PRO B 2 125 ? 289.020 -44.143 326.504 1.0 75.59387  ? 125 PRO B N   125 PRO B N   1 
ATOM 8162  C CA  . PRO B 2 125 ? 289.411 -42.934 327.227 1.0 75.59387  ? 125 PRO B CA  125 PRO B CA  1 
ATOM 8163  C C   . PRO B 2 125 ? 290.283 -42.064 326.332 1.0 75.59387  ? 125 PRO B C   125 PRO B C   1 
ATOM 8164  O O   . PRO B 2 125 ? 290.576 -42.400 325.189 1.0 75.59387  ? 125 PRO B O   125 PRO B O   1 
ATOM 8165  C CB  . PRO B 2 125 ? 290.199 -43.479 328.414 1.0 75.59387  ? 125 PRO B CB  125 PRO B CB  1 
ATOM 8166  C CG  . PRO B 2 125 ? 290.797 -44.734 327.892 1.0 75.59387  ? 125 PRO B CG  125 PRO B CG  1 
ATOM 8167  C CD  . PRO B 2 125 ? 289.787 -45.318 326.947 1.0 75.59387  ? 125 PRO B CD  125 PRO B CD  1 
ATOM 8168  N N   . ILE B 2 126 ? 290.709 -40.931 326.880 1.0 78.31252  ? 126 ILE B N   126 ILE B N   1 
ATOM 8169  C CA  . ILE B 2 126 ? 291.618 -40.044 326.167 1.0 78.31252  ? 126 ILE B CA  126 ILE B CA  1 
ATOM 8170  C C   . ILE B 2 126 ? 292.885 -39.862 326.981 1.0 78.31252  ? 126 ILE B C   126 ILE B C   1 
ATOM 8171  O O   . ILE B 2 126 ? 293.050 -40.461 328.048 1.0 78.31252  ? 126 ILE B O   126 ILE B O   1 
ATOM 8172  C CB  . ILE B 2 126 ? 290.987 -38.671 325.883 1.0 78.31252  ? 126 ILE B CB  126 ILE B CB  1 
ATOM 8173  C CG1 . ILE B 2 126 ? 290.627 -37.984 327.189 1.0 78.31252  ? 126 ILE B CG1 126 ILE B CG1 1 
ATOM 8174  C CG2 . ILE B 2 126 ? 289.775 -38.796 325.021 1.0 78.31252  ? 126 ILE B CG2 126 ILE B CG2 1 
ATOM 8175  C CD1 . ILE B 2 126 ? 290.270 -36.566 326.996 1.0 78.31252  ? 126 ILE B CD1 126 ILE B CD1 1 
ATOM 8176  N N   . ASN B 2 127 ? 293.784 -39.036 326.468 1.0 80.08165  ? 127 ASN B N   127 ASN B N   1 
ATOM 8177  C CA  . ASN B 2 127 ? 294.942 -38.564 327.213 1.0 80.08165  ? 127 ASN B CA  127 ASN B CA  1 
ATOM 8178  C C   . ASN B 2 127 ? 294.447 -37.675 328.340 1.0 80.08165  ? 127 ASN B C   127 ASN B C   1 
ATOM 8179  O O   . ASN B 2 127 ? 294.066 -36.527 328.112 1.0 80.08165  ? 127 ASN B O   127 ASN B O   1 
ATOM 8180  C CB  . ASN B 2 127 ? 295.852 -37.785 326.282 1.0 80.08165  ? 127 ASN B CB  127 ASN B CB  1 
ATOM 8181  C CG  . ASN B 2 127 ? 296.320 -38.600 325.117 1.0 80.08165  ? 127 ASN B CG  127 ASN B CG  1 
ATOM 8182  O OD1 . ASN B 2 127 ? 295.872 -38.410 323.998 1.0 80.08165  ? 127 ASN B OD1 127 ASN B OD1 1 
ATOM 8183  N ND2 . ASN B 2 127 ? 297.256 -39.480 325.361 1.0 80.08165  ? 127 ASN B ND2 127 ASN B ND2 1 
ATOM 8184  N N   . SER B 2 128 ? 294.457 -38.186 329.566 1.0 83.75107  ? 128 SER B N   128 SER B N   1 
ATOM 8185  C CA  . SER B 2 128 ? 293.857 -37.446 330.663 1.0 83.75107  ? 128 SER B CA  128 SER B CA  1 
ATOM 8186  C C   . SER B 2 128 ? 294.503 -37.848 331.977 1.0 83.75107  ? 128 SER B C   128 SER B C   1 
ATOM 8187  O O   . SER B 2 128 ? 295.238 -38.835 332.058 1.0 83.75107  ? 128 SER B O   128 SER B O   1 
ATOM 8188  C CB  . SER B 2 128 ? 292.345 -37.677 330.727 1.0 83.75107  ? 128 SER B CB  128 SER B CB  1 
ATOM 8189  O OG  . SER B 2 128 ? 292.050 -39.028 331.029 1.0 83.75107  ? 128 SER B OG  128 SER B OG  1 
ATOM 8190  N N   . ALA B 2 129 ? 294.214 -37.060 333.008 1.0 87.98994  ? 129 ALA B N   129 ALA B N   1 
ATOM 8191  C CA  . ALA B 2 129 ? 294.652 -37.335 334.369 1.0 87.98994  ? 129 ALA B CA  129 ALA B CA  1 
ATOM 8192  C C   . ALA B 2 129 ? 293.451 -37.179 335.286 1.0 87.98994  ? 129 ALA B C   129 ALA B C   1 
ATOM 8193  O O   . ALA B 2 129 ? 292.892 -36.085 335.398 1.0 87.98994  ? 129 ALA B O   129 ALA B O   1 
ATOM 8194  C CB  . ALA B 2 129 ? 295.781 -36.394 334.791 1.0 87.98994  ? 129 ALA B CB  129 ALA B CB  1 
ATOM 8195  N N   . PHE B 2 130 ? 293.060 -38.266 335.939 1.0 95.60308  ? 130 PHE B N   130 PHE B N   1 
ATOM 8196  C CA  . PHE B 2 130 ? 291.852 -38.303 336.747 1.0 95.60308  ? 130 PHE B CA  130 PHE B CA  1 
ATOM 8197  C C   . PHE B 2 130 ? 292.214 -38.688 338.174 1.0 95.60308  ? 130 PHE B C   130 PHE B C   1 
ATOM 8198  O O   . PHE B 2 130 ? 293.009 -39.604 338.396 1.0 95.60308  ? 130 PHE B O   130 PHE B O   1 
ATOM 8199  C CB  . PHE B 2 130 ? 290.816 -39.279 336.141 1.0 95.60308  ? 130 PHE B CB  130 PHE B CB  1 
ATOM 8200  C CG  . PHE B 2 130 ? 291.278 -40.714 336.076 1.0 95.60308  ? 130 PHE B CG  130 PHE B CG  1 
ATOM 8201  C CD1 . PHE B 2 130 ? 292.026 -41.172 335.001 1.0 95.60308  ? 130 PHE B CD1 130 PHE B CD1 1 
ATOM 8202  C CD2 . PHE B 2 130 ? 290.926 -41.616 337.071 1.0 95.60308  ? 130 PHE B CD2 130 PHE B CD2 1 
ATOM 8203  C CE1 . PHE B 2 130 ? 292.445 -42.490 334.940 1.0 95.60308  ? 130 PHE B CE1 130 PHE B CE1 1 
ATOM 8204  C CE2 . PHE B 2 130 ? 291.342 -42.934 337.015 1.0 95.60308  ? 130 PHE B CE2 130 PHE B CE2 1 
ATOM 8205  C CZ  . PHE B 2 130 ? 292.105 -43.370 335.952 1.0 95.60308  ? 130 PHE B CZ  130 PHE B CZ  1 
ATOM 8206  N N   . THR B 2 131 ? 291.634 -37.980 339.138 1.0 99.31896  ? 131 THR B N   131 THR B N   1 
ATOM 8207  C CA  . THR B 2 131 ? 291.973 -38.146 340.544 1.0 99.31896  ? 131 THR B CA  131 THR B CA  1 
ATOM 8208  C C   . THR B 2 131 ? 290.986 -39.098 341.204 1.0 99.31896  ? 131 THR B C   131 THR B C   1 
ATOM 8209  O O   . THR B 2 131 ? 289.788 -38.804 341.274 1.0 99.31896  ? 131 THR B O   131 THR B O   1 
ATOM 8210  C CB  . THR B 2 131 ? 291.969 -36.803 341.271 1.0 99.31896  ? 131 THR B CB  131 THR B CB  1 
ATOM 8211  O OG1 . THR B 2 131 ? 290.669 -36.209 341.173 1.0 99.31896  ? 131 THR B OG1 131 THR B OG1 1 
ATOM 8212  C CG2 . THR B 2 131 ? 292.994 -35.868 340.669 1.0 99.31896  ? 131 THR B CG2 131 THR B CG2 1 
ATOM 8213  N N   . VAL B 2 132 ? 291.485 -40.232 341.682 1.0 103.03622 ? 132 VAL B N   132 VAL B N   1 
ATOM 8214  C CA  . VAL B 2 132 ? 290.687 -41.160 342.478 1.0 103.03622 ? 132 VAL B CA  132 VAL B CA  1 
ATOM 8215  C C   . VAL B 2 132 ? 291.104 -40.938 343.928 1.0 103.03622 ? 132 VAL B C   132 VAL B C   1 
ATOM 8216  O O   . VAL B 2 132 ? 292.048 -41.550 344.434 1.0 103.03622 ? 132 VAL B O   132 VAL B O   1 
ATOM 8217  C CB  . VAL B 2 132 ? 290.872 -42.609 342.031 1.0 103.03622 ? 132 VAL B CB  132 VAL B CB  1 
ATOM 8218  C CG1 . VAL B 2 132 ? 289.998 -43.542 342.864 1.0 103.03622 ? 132 VAL B CG1 132 VAL B CG1 1 
ATOM 8219  C CG2 . VAL B 2 132 ? 290.545 -42.752 340.560 1.0 103.03622 ? 132 VAL B CG2 132 VAL B CG2 1 
ATOM 8220  N N   . GLY B 2 133 ? 290.413 -40.017 344.595 1.0 106.54533 ? 133 GLY B N   133 GLY B N   1 
ATOM 8221  C CA  . GLY B 2 133 ? 290.542 -39.853 346.030 1.0 106.54533 ? 133 GLY B CA  133 GLY B CA  1 
ATOM 8222  C C   . GLY B 2 133 ? 291.844 -39.241 346.505 1.0 106.54533 ? 133 GLY B C   133 GLY B C   1 
ATOM 8223  O O   . GLY B 2 133 ? 291.869 -38.102 346.983 1.0 106.54533 ? 133 GLY B O   133 GLY B O   1 
ATOM 8224  N N   . ASN B 2 134 ? 292.938 -39.992 346.376 1.0 108.65005 ? 134 ASN B N   134 ASN B N   1 
ATOM 8225  C CA  . ASN B 2 134 ? 294.218 -39.579 346.940 1.0 108.65005 ? 134 ASN B CA  134 ASN B CA  1 
ATOM 8226  C C   . ASN B 2 134 ? 295.063 -38.825 345.915 1.0 108.65005 ? 134 ASN B C   134 ASN B C   1 
ATOM 8227  O O   . ASN B 2 134 ? 295.381 -37.649 346.111 1.0 108.65005 ? 134 ASN B O   134 ASN B O   1 
ATOM 8228  C CB  . ASN B 2 134 ? 294.974 -40.806 347.465 1.0 108.65005 ? 134 ASN B CB  134 ASN B CB  1 
ATOM 8229  C CG  . ASN B 2 134 ? 296.127 -40.437 348.385 1.0 108.65005 ? 134 ASN B CG  134 ASN B CG  1 
ATOM 8230  O OD1 . ASN B 2 134 ? 296.345 -39.265 348.690 1.0 108.65005 ? 134 ASN B OD1 134 ASN B OD1 1 
ATOM 8231  N ND2 . ASN B 2 134 ? 296.877 -41.441 348.823 1.0 108.65005 ? 134 ASN B ND2 134 ASN B ND2 1 
ATOM 8232  N N   . ASP B 2 135 ? 295.422 -39.486 344.817 1.0 105.72211 ? 135 ASP B N   135 ASP B N   1 
ATOM 8233  C CA  . ASP B 2 135 ? 296.268 -38.878 343.802 1.0 105.72211 ? 135 ASP B CA  135 ASP B CA  1 
ATOM 8234  C C   . ASP B 2 135 ? 295.709 -39.234 342.432 1.0 105.72211 ? 135 ASP B C   135 ASP B C   1 
ATOM 8235  O O   . ASP B 2 135 ? 294.900 -40.154 342.288 1.0 105.72211 ? 135 ASP B O   135 ASP B O   1 
ATOM 8236  C CB  . ASP B 2 135 ? 297.731 -39.338 343.940 1.0 105.72211 ? 135 ASP B CB  135 ASP B CB  1 
ATOM 8237  C CG  . ASP B 2 135 ? 298.711 -38.432 343.202 1.0 105.72211 ? 135 ASP B CG  135 ASP B CG  1 
ATOM 8238  O OD1 . ASP B 2 135 ? 298.266 -37.442 342.585 1.0 105.72211 ? 135 ASP B OD1 135 ASP B OD1 1 
ATOM 8239  O OD2 . ASP B 2 135 ? 299.926 -38.707 343.233 1.0 105.72211 ? 135 ASP B OD2 135 ASP B OD2 1 
ATOM 8240  N N   . THR B 2 136 ? 296.155 -38.491 341.423 1.0 100.56793 ? 136 THR B N   136 THR B N   1 
ATOM 8241  C CA  . THR B 2 136 ? 295.669 -38.660 340.066 1.0 100.56793 ? 136 THR B CA  136 THR B CA  1 
ATOM 8242  C C   . THR B 2 136 ? 296.215 -39.943 339.441 1.0 100.56793 ? 136 THR B C   136 THR B C   1 
ATOM 8243  O O   . THR B 2 136 ? 297.060 -40.640 340.005 1.0 100.56793 ? 136 THR B O   136 THR B O   1 
ATOM 8244  C CB  . THR B 2 136 ? 296.060 -37.463 339.208 1.0 100.56793 ? 136 THR B CB  136 THR B CB  1 
ATOM 8245  O OG1 . THR B 2 136 ? 295.449 -37.583 337.919 1.0 100.56793 ? 136 THR B OG1 136 THR B OG1 1 
ATOM 8246  C CG2 . THR B 2 136 ? 297.564 -37.405 339.052 1.0 100.56793 ? 136 THR B CG2 136 THR B CG2 1 
ATOM 8247  N N   . HIS B 2 137 ? 295.704 -40.254 338.254 1.0 97.21192  ? 137 HIS B N   137 HIS B N   1 
ATOM 8248  C CA  . HIS B 2 137 ? 296.171 -41.384 337.464 1.0 97.21192  ? 137 HIS B CA  137 HIS B CA  1 
ATOM 8249  C C   . HIS B 2 137 ? 296.336 -40.916 336.030 1.0 97.21192  ? 137 HIS B C   137 HIS B C   1 
ATOM 8250  O O   . HIS B 2 137 ? 295.359 -40.512 335.393 1.0 97.21192  ? 137 HIS B O   137 HIS B O   1 
ATOM 8251  C CB  . HIS B 2 137 ? 295.193 -42.559 337.520 1.0 97.21192  ? 137 HIS B CB  137 HIS B CB  1 
ATOM 8252  C CG  . HIS B 2 137 ? 295.024 -43.149 338.883 1.0 97.21192  ? 137 HIS B CG  137 HIS B CG  1 
ATOM 8253  N ND1 . HIS B 2 137 ? 295.984 -43.940 339.475 1.0 97.21192  ? 137 HIS B ND1 137 HIS B ND1 1 
ATOM 8254  C CD2 . HIS B 2 137 ? 294.000 -43.077 339.764 1.0 97.21192  ? 137 HIS B CD2 137 HIS B CD2 1 
ATOM 8255  C CE1 . HIS B 2 137 ? 295.563 -44.322 340.666 1.0 97.21192  ? 137 HIS B CE1 137 HIS B CE1 1 
ATOM 8256  N NE2 . HIS B 2 137 ? 294.361 -43.812 340.866 1.0 97.21192  ? 137 HIS B NE2 137 HIS B NE2 1 
ATOM 8257  N N   . PHE B 2 138 ? 297.560 -40.969 335.525 1.0 91.55398  ? 138 PHE B N   138 PHE B N   1 
ATOM 8258  C CA  . PHE B 2 138 ? 297.824 -40.601 334.144 1.0 91.55398  ? 138 PHE B CA  138 PHE B CA  1 
ATOM 8259  C C   . PHE B 2 138 ? 297.520 -41.782 333.237 1.0 91.55398  ? 138 PHE B C   138 PHE B C   1 
ATOM 8260  O O   . PHE B 2 138 ? 298.024 -42.886 333.453 1.0 91.55398  ? 138 PHE B O   138 PHE B O   1 
ATOM 8261  C CB  . PHE B 2 138 ? 299.276 -40.165 333.963 1.0 91.55398  ? 138 PHE B CB  138 PHE B CB  1 
ATOM 8262  C CG  . PHE B 2 138 ? 299.619 -38.893 334.673 1.0 91.55398  ? 138 PHE B CG  138 PHE B CG  1 
ATOM 8263  C CD1 . PHE B 2 138 ? 299.246 -37.671 334.146 1.0 91.55398  ? 138 PHE B CD1 138 PHE B CD1 1 
ATOM 8264  C CD2 . PHE B 2 138 ? 300.328 -38.920 335.860 1.0 91.55398  ? 138 PHE B CD2 138 PHE B CD2 1 
ATOM 8265  C CE1 . PHE B 2 138 ? 299.563 -36.497 334.796 1.0 91.55398  ? 138 PHE B CE1 138 PHE B CE1 1 
ATOM 8266  C CE2 . PHE B 2 138 ? 300.651 -37.748 336.516 1.0 91.55398  ? 138 PHE B CE2 138 PHE B CE2 1 
ATOM 8267  C CZ  . PHE B 2 138 ? 300.267 -36.535 335.982 1.0 91.55398  ? 138 PHE B CZ  138 PHE B CZ  1 
ATOM 8268  N N   . VAL B 2 139 ? 296.686 -41.550 332.232 1.0 85.12204  ? 139 VAL B N   139 VAL B N   1 
ATOM 8269  C CA  . VAL B 2 139 ? 296.485 -42.496 331.144 1.0 85.12204  ? 139 VAL B CA  139 VAL B CA  1 
ATOM 8270  C C   . VAL B 2 139 ? 296.732 -41.749 329.838 1.0 85.12204  ? 139 VAL B C   139 VAL B C   1 
ATOM 8271  O O   . VAL B 2 139 ? 296.243 -40.627 329.655 1.0 85.12204  ? 139 VAL B O   139 VAL B O   1 
ATOM 8272  C CB  . VAL B 2 139 ? 295.091 -43.162 331.206 1.0 85.12204  ? 139 VAL B CB  139 VAL B CB  1 
ATOM 8273  C CG1 . VAL B 2 139 ? 293.958 -42.148 331.285 1.0 85.12204  ? 139 VAL B CG1 139 VAL B CG1 1 
ATOM 8274  C CG2 . VAL B 2 139 ? 294.882 -44.087 330.029 1.0 85.12204  ? 139 VAL B CG2 139 VAL B CG2 1 
ATOM 8275  N N   . ALA B 2 140 ? 297.556 -42.327 328.966 1.0 83.67798  ? 140 ALA B N   140 ALA B N   1 
ATOM 8276  C CA  . ALA B 2 140 ? 298.026 -41.587 327.807 1.0 83.67798  ? 140 ALA B CA  140 ALA B CA  1 
ATOM 8277  C C   . ALA B 2 140 ? 298.425 -42.535 326.682 1.0 83.67798  ? 140 ALA B C   140 ALA B C   1 
ATOM 8278  O O   . ALA B 2 140 ? 298.305 -43.756 326.787 1.0 83.67798  ? 140 ALA B O   140 ALA B O   1 
ATOM 8279  C CB  . ALA B 2 140 ? 299.199 -40.676 328.174 1.0 83.67798  ? 140 ALA B CB  140 ALA B CB  1 
ATOM 8280  N N   . GLN B 2 141 ? 298.915 -41.933 325.602 1.0 81.69092  ? 141 GLN B N   141 GLN B N   1 
ATOM 8281  C CA  . GLN B 2 141 ? 299.291 -42.600 324.358 1.0 81.69092  ? 141 GLN B CA  141 GLN B CA  1 
ATOM 8282  C C   . GLN B 2 141 ? 300.167 -41.612 323.609 1.0 81.69092  ? 141 GLN B C   141 GLN B C   1 
ATOM 8283  O O   . GLN B 2 141 ? 299.691 -40.534 323.246 1.0 81.69092  ? 141 GLN B O   141 GLN B O   1 
ATOM 8284  C CB  . GLN B 2 141 ? 298.051 -42.966 323.538 1.0 81.69092  ? 141 GLN B CB  141 GLN B CB  1 
ATOM 8285  C CG  . GLN B 2 141 ? 298.316 -43.643 322.202 1.0 81.69092  ? 141 GLN B CG  141 GLN B CG  1 
ATOM 8286  C CD  . GLN B 2 141 ? 298.946 -45.005 322.340 1.0 81.69092  ? 141 GLN B CD  141 GLN B CD  1 
ATOM 8287  O OE1 . GLN B 2 141 ? 300.135 -45.173 322.092 1.0 81.69092  ? 141 GLN B OE1 141 GLN B OE1 1 
ATOM 8288  N NE2 . GLN B 2 141 ? 298.148 -45.992 322.720 1.0 81.69092  ? 141 GLN B NE2 141 GLN B NE2 1 
ATOM 8289  N N   . LEU B 2 142 ? 301.439 -41.951 323.396 1.0 82.87254  ? 142 LEU B N   142 LEU B N   1 
ATOM 8290  C CA  . LEU B 2 142 ? 302.435 -40.990 322.922 1.0 82.87254  ? 142 LEU B CA  142 LEU B CA  1 
ATOM 8291  C C   . LEU B 2 142 ? 302.929 -41.387 321.537 1.0 82.87254  ? 142 LEU B C   142 LEU B C   1 
ATOM 8292  O O   . LEU B 2 142 ? 303.841 -42.218 321.409 1.0 82.87254  ? 142 LEU B O   142 LEU B O   1 
ATOM 8293  C CB  . LEU B 2 142 ? 303.596 -40.895 323.905 1.0 82.87254  ? 142 LEU B CB  142 LEU B CB  1 
ATOM 8294  C CG  . LEU B 2 142 ? 303.210 -40.474 325.323 1.0 82.87254  ? 142 LEU B CG  142 LEU B CG  1 
ATOM 8295  C CD1 . LEU B 2 142 ? 304.436 -40.477 326.218 1.0 82.87254  ? 142 LEU B CD1 142 LEU B CD1 1 
ATOM 8296  C CD2 . LEU B 2 142 ? 302.520 -39.126 325.338 1.0 82.87254  ? 142 LEU B CD2 142 LEU B CD2 1 
ATOM 8297  N N   . PRO B 2 143 ? 302.358 -40.824 320.471 1.0 82.34823  ? 143 PRO B N   143 PRO B N   1 
ATOM 8298  C CA  . PRO B 2 143 ? 302.754 -41.240 319.120 1.0 82.34823  ? 143 PRO B CA  143 PRO B CA  1 
ATOM 8299  C C   . PRO B 2 143 ? 304.041 -40.608 318.614 1.0 82.34823  ? 143 PRO B C   143 PRO B C   1 
ATOM 8300  O O   . PRO B 2 143 ? 304.827 -41.278 317.939 1.0 82.34823  ? 143 PRO B O   143 PRO B O   1 
ATOM 8301  C CB  . PRO B 2 143 ? 301.554 -40.814 318.268 1.0 82.34823  ? 143 PRO B CB  143 PRO B CB  1 
ATOM 8302  C CG  . PRO B 2 143 ? 300.979 -39.662 318.993 1.0 82.34823  ? 143 PRO B CG  143 PRO B CG  1 
ATOM 8303  C CD  . PRO B 2 143 ? 301.201 -39.917 320.450 1.0 82.34823  ? 143 PRO B CD  143 PRO B CD  1 
ATOM 8304  N N   . GLN B 2 144 ? 304.287 -39.338 318.926 1.0 86.69644  ? 144 GLN B N   144 GLN B N   1 
ATOM 8305  C CA  . GLN B 2 144 ? 305.474 -38.653 318.430 1.0 86.69644  ? 144 GLN B CA  144 GLN B CA  1 
ATOM 8306  C C   . GLN B 2 144 ? 306.606 -38.881 319.418 1.0 86.69644  ? 144 GLN B C   144 GLN B C   1 
ATOM 8307  O O   . GLN B 2 144 ? 306.563 -38.382 320.546 1.0 86.69644  ? 144 GLN B O   144 GLN B O   1 
ATOM 8308  C CB  . GLN B 2 144 ? 305.230 -37.161 318.231 1.0 86.69644  ? 144 GLN B CB  144 GLN B CB  1 
ATOM 8309  C CG  . GLN B 2 144 ? 306.434 -36.473 317.605 1.0 86.69644  ? 144 GLN B CG  144 GLN B CG  1 
ATOM 8310  C CD  . GLN B 2 144 ? 306.253 -34.984 317.417 1.0 86.69644  ? 144 GLN B CD  144 GLN B CD  1 
ATOM 8311  O OE1 . GLN B 2 144 ? 305.245 -34.411 317.820 1.0 86.69644  ? 144 GLN B OE1 144 GLN B OE1 1 
ATOM 8312  N NE2 . GLN B 2 144 ? 307.239 -34.346 316.798 1.0 86.69644  ? 144 GLN B NE2 144 GLN B NE2 1 
ATOM 8313  N N   . THR B 2 145 ? 307.621 -39.622 318.994 1.0 90.0917   ? 145 THR B N   145 THR B N   1 
ATOM 8314  C CA  . THR B 2 145 ? 308.759 -39.940 319.837 1.0 90.0917   ? 145 THR B CA  145 THR B CA  1 
ATOM 8315  C C   . THR B 2 145 ? 309.993 -39.189 319.359 1.0 90.0917   ? 145 THR B C   145 THR B C   1 
ATOM 8316  O O   . THR B 2 145 ? 310.320 -39.206 318.169 1.0 90.0917   ? 145 THR B O   145 THR B O   1 
ATOM 8317  C CB  . THR B 2 145 ? 309.042 -41.443 319.837 1.0 90.0917   ? 145 THR B CB  145 THR B CB  1 
ATOM 8318  O OG1 . THR B 2 145 ? 309.388 -41.865 318.513 1.0 90.0917   ? 145 THR B OG1 145 THR B OG1 1 
ATOM 8319  C CG2 . THR B 2 145 ? 307.814 -42.210 320.302 1.0 90.0917   ? 145 THR B CG2 145 THR B CG2 1 
ATOM 8320  N N   . TYR B 2 146 ? 310.666 -38.526 320.291 1.0 93.14133  ? 146 TYR B N   146 TYR B N   1 
ATOM 8321  C CA  . TYR B 2 146 ? 311.967 -37.927 320.051 1.0 93.14133  ? 146 TYR B CA  146 TYR B CA  1 
ATOM 8322  C C   . TYR B 2 146 ? 313.048 -38.846 320.597 1.0 93.14133  ? 146 TYR B C   146 TYR B C   1 
ATOM 8323  O O   . TYR B 2 146 ? 312.791 -39.712 321.438 1.0 93.14133  ? 146 TYR B O   146 TYR B O   1 
ATOM 8324  C CB  . TYR B 2 146 ? 312.075 -36.535 320.690 1.0 93.14133  ? 146 TYR B CB  146 TYR B CB  1 
ATOM 8325  C CG  . TYR B 2 146 ? 311.949 -36.511 322.200 1.0 93.14133  ? 146 TYR B CG  146 TYR B CG  1 
ATOM 8326  C CD1 . TYR B 2 146 ? 310.703 -36.431 322.802 1.0 93.14133  ? 146 TYR B CD1 146 TYR B CD1 1 
ATOM 8327  C CD2 . TYR B 2 146 ? 313.072 -36.526 323.021 1.0 93.14133  ? 146 TYR B CD2 146 TYR B CD2 1 
ATOM 8328  C CE1 . TYR B 2 146 ? 310.569 -36.404 324.170 1.0 93.14133  ? 146 TYR B CE1 146 TYR B CE1 1 
ATOM 8329  C CE2 . TYR B 2 146 ? 312.949 -36.500 324.396 1.0 93.14133  ? 146 TYR B CE2 146 TYR B CE2 1 
ATOM 8330  C CZ  . TYR B 2 146 ? 311.693 -36.436 324.962 1.0 93.14133  ? 146 TYR B CZ  146 TYR B CZ  1 
ATOM 8331  O OH  . TYR B 2 146 ? 311.555 -36.407 326.327 1.0 93.14133  ? 146 TYR B OH  146 TYR B OH  1 
ATOM 8332  N N   . ALA B 2 147 ? 314.267 -38.647 320.113 1.0 94.74159  ? 147 ALA B N   147 ALA B N   1 
ATOM 8333  C CA  . ALA B 2 147 ? 315.395 -39.443 320.569 1.0 94.74159  ? 147 ALA B CA  147 ALA B CA  1 
ATOM 8334  C C   . ALA B 2 147 ? 315.853 -38.957 321.937 1.0 94.74159  ? 147 ALA B C   147 ALA B C   1 
ATOM 8335  O O   . ALA B 2 147 ? 316.053 -37.757 322.144 1.0 94.74159  ? 147 ALA B O   147 ALA B O   1 
ATOM 8336  C CB  . ALA B 2 147 ? 316.544 -39.370 319.566 1.0 94.74159  ? 147 ALA B CB  147 ALA B CB  1 
ATOM 8337  N N   . ALA B 2 148 ? 316.001 -39.892 322.873 1.0 97.70784  ? 148 ALA B N   148 ALA B N   1 
ATOM 8338  C CA  . ALA B 2 148 ? 316.509 -39.602 324.214 1.0 97.70784  ? 148 ALA B CA  148 ALA B CA  1 
ATOM 8339  C C   . ALA B 2 148 ? 317.435 -40.752 324.590 1.0 97.70784  ? 148 ALA B C   148 ALA B C   1 
ATOM 8340  O O   . ALA B 2 148 ? 316.965 -41.797 325.049 1.0 97.70784  ? 148 ALA B O   148 ALA B O   1 
ATOM 8341  C CB  . ALA B 2 148 ? 315.379 -39.439 325.220 1.0 97.70784  ? 148 ALA B CB  148 ALA B CB  1 
ATOM 8342  N N   . GLY B 2 149 ? 318.743 -40.541 324.414 1.0 100.17888 ? 149 GLY B N   149 GLY B N   1 
ATOM 8343  C CA  . GLY B 2 149 ? 319.685 -41.652 324.428 1.0 100.17888 ? 149 GLY B CA  149 GLY B CA  1 
ATOM 8344  C C   . GLY B 2 149 ? 319.860 -42.299 325.789 1.0 100.17888 ? 149 GLY B C   149 GLY B C   1 
ATOM 8345  O O   . GLY B 2 149 ? 319.943 -43.525 325.894 1.0 100.17888 ? 149 GLY B O   149 GLY B O   1 
ATOM 8346  N N   . GLY B 2 150 ? 319.920 -41.496 326.844 1.0 102.371   ? 150 GLY B N   150 GLY B N   1 
ATOM 8347  C CA  . GLY B 2 150 ? 320.024 -42.058 328.175 1.0 102.371   ? 150 GLY B CA  150 GLY B CA  1 
ATOM 8348  C C   . GLY B 2 150 ? 319.856 -41.023 329.263 1.0 102.371   ? 150 GLY B C   150 GLY B C   1 
ATOM 8349  O O   . GLY B 2 150 ? 320.548 -39.998 329.245 1.0 102.371   ? 150 GLY B O   150 GLY B O   1 
ATOM 8350  N N   . THR B 2 151 ? 318.976 -41.320 330.228 1.0 103.57175 ? 151 THR B N   151 THR B N   1 
ATOM 8351  C CA  . THR B 2 151 ? 318.555 -40.409 331.302 1.0 103.57175 ? 151 THR B CA  151 THR B CA  1 
ATOM 8352  C C   . THR B 2 151 ? 318.124 -39.059 330.736 1.0 103.57175 ? 151 THR B C   151 THR B C   1 
ATOM 8353  O O   . THR B 2 151 ? 318.605 -38.000 331.141 1.0 103.57175 ? 151 THR B O   151 THR B O   1 
ATOM 8354  C CB  . THR B 2 151 ? 319.647 -40.239 332.363 1.0 103.57175 ? 151 THR B CB  151 THR B CB  1 
ATOM 8355  O OG1 . THR B 2 151 ? 320.774 -39.552 331.805 1.0 103.57175 ? 151 THR B OG1 151 THR B OG1 1 
ATOM 8356  C CG2 . THR B 2 151 ? 320.096 -41.597 332.875 1.0 103.57175 ? 151 THR B CG2 151 THR B CG2 1 
ATOM 8357  N N   . GLY B 2 152 ? 317.197 -39.112 329.783 1.0 103.08675 ? 152 GLY B N   152 GLY B N   1 
ATOM 8358  C CA  . GLY B 2 152 ? 316.875 -37.966 328.956 1.0 103.08675 ? 152 GLY B CA  152 GLY B CA  1 
ATOM 8359  C C   . GLY B 2 152 ? 316.098 -36.870 329.649 1.0 103.08675 ? 152 GLY B C   152 GLY B C   1 
ATOM 8360  O O   . GLY B 2 152 ? 314.930 -36.627 329.337 1.0 103.08675 ? 152 GLY B O   152 GLY B O   1 
ATOM 8361  N N   . VAL B 2 153 ? 316.746 -36.198 330.597 1.0 103.72073 ? 153 VAL B N   153 VAL B N   1 
ATOM 8362  C CA  . VAL B 2 153 ? 316.152 -35.046 331.260 1.0 103.72073 ? 153 VAL B CA  153 VAL B CA  1 
ATOM 8363  C C   . VAL B 2 153 ? 316.612 -33.728 330.648 1.0 103.72073 ? 153 VAL B C   153 VAL B C   1 
ATOM 8364  O O   . VAL B 2 153 ? 315.925 -32.710 330.816 1.0 103.72073 ? 153 VAL B O   153 VAL B O   1 
ATOM 8365  C CB  . VAL B 2 153 ? 316.454 -35.070 332.771 1.0 103.72073 ? 153 VAL B CB  153 VAL B CB  1 
ATOM 8366  C CG1 . VAL B 2 153 ? 315.767 -36.252 333.420 1.0 103.72073 ? 153 VAL B CG1 153 VAL B CG1 1 
ATOM 8367  C CG2 . VAL B 2 153 ? 317.949 -35.154 333.005 1.0 103.72073 ? 153 VAL B CG2 153 VAL B CG2 1 
ATOM 8368  N N   . THR B 2 154 ? 317.744 -33.715 329.947 1.0 102.53521 ? 154 THR B N   154 THR B N   1 
ATOM 8369  C CA  . THR B 2 154 ? 318.215 -32.518 329.269 1.0 102.53521 ? 154 THR B CA  154 THR B CA  1 
ATOM 8370  C C   . THR B 2 154 ? 317.649 -32.379 327.866 1.0 102.53521 ? 154 THR B C   154 THR B C   1 
ATOM 8371  O O   . THR B 2 154 ? 317.792 -31.314 327.258 1.0 102.53521 ? 154 THR B O   154 THR B O   1 
ATOM 8372  C CB  . THR B 2 154 ? 319.744 -32.511 329.204 1.0 102.53521 ? 154 THR B CB  154 THR B CB  1 
ATOM 8373  O OG1 . THR B 2 154 ? 320.195 -31.264 328.662 1.0 102.53521 ? 154 THR B OG1 154 THR B OG1 1 
ATOM 8374  C CG2 . THR B 2 154 ? 320.250 -33.655 328.337 1.0 102.53521 ? 154 THR B CG2 154 THR B CG2 1 
ATOM 8375  N N   . GLU B 2 155 ? 317.017 -33.428 327.344 1.0 100.08607 ? 155 GLU B N   155 GLU B N   1 
ATOM 8376  C CA  . GLU B 2 155 ? 316.350 -33.382 326.055 1.0 100.08607 ? 155 GLU B CA  155 GLU B CA  1 
ATOM 8377  C C   . GLU B 2 155 ? 314.836 -33.389 326.181 1.0 100.08607 ? 155 GLU B C   155 GLU B C   1 
ATOM 8378  O O   . GLU B 2 155 ? 314.145 -33.158 325.184 1.0 100.08607 ? 155 GLU B O   155 GLU B O   1 
ATOM 8379  C CB  . GLU B 2 155 ? 316.809 -34.559 325.187 1.0 100.08607 ? 155 GLU B CB  155 GLU B CB  1 
ATOM 8380  C CG  . GLU B 2 155 ? 318.269 -34.453 324.779 1.0 100.08607 ? 155 GLU B CG  155 GLU B CG  1 
ATOM 8381  C CD  . GLU B 2 155 ? 318.764 -35.675 324.043 1.0 100.08607 ? 155 GLU B CD  155 GLU B CD  1 
ATOM 8382  O OE1 . GLU B 2 155 ? 318.023 -36.674 323.992 1.0 100.08607 ? 155 GLU B OE1 155 GLU B OE1 1 
ATOM 8383  O OE2 . GLU B 2 155 ? 319.895 -35.640 323.515 1.0 100.08607 ? 155 GLU B OE2 155 GLU B OE2 1 
ATOM 8384  N N   . ALA B 2 156 ? 314.309 -33.653 327.374 1.0 99.16808  ? 156 ALA B N   156 ALA B N   1 
ATOM 8385  C CA  . ALA B 2 156 ? 312.896 -33.461 327.655 1.0 99.16808  ? 156 ALA B CA  156 ALA B CA  1 
ATOM 8386  C C   . ALA B 2 156 ? 312.572 -32.026 328.032 1.0 99.16808  ? 156 ALA B C   156 ALA B C   1 
ATOM 8387  O O   . ALA B 2 156 ? 311.392 -31.665 328.080 1.0 99.16808  ? 156 ALA B O   156 ALA B O   1 
ATOM 8388  C CB  . ALA B 2 156 ? 312.449 -34.393 328.783 1.0 99.16808  ? 156 ALA B CB  156 ALA B CB  1 
ATOM 8389  N N   . ILE B 2 157 ? 313.585 -31.207 328.305 1.0 99.10387  ? 157 ILE B N   157 ILE B N   1 
ATOM 8390  C CA  . ILE B 2 157 ? 313.349 -29.828 328.709 1.0 99.10387  ? 157 ILE B CA  157 ILE B CA  1 
ATOM 8391  C C   . ILE B 2 157 ? 313.368 -28.875 327.516 1.0 99.10387  ? 157 ILE B C   157 ILE B C   1 
ATOM 8392  O O   . ILE B 2 157 ? 312.729 -27.814 327.568 1.0 99.10387  ? 157 ILE B O   157 ILE B O   1 
ATOM 8393  C CB  . ILE B 2 157 ? 314.371 -29.439 329.799 1.0 99.10387  ? 157 ILE B CB  157 ILE B CB  1 
ATOM 8394  C CG1 . ILE B 2 157 ? 313.973 -28.147 330.515 1.0 99.10387  ? 157 ILE B CG1 157 ILE B CG1 1 
ATOM 8395  C CG2 . ILE B 2 157 ? 315.786 -29.348 329.238 1.0 99.10387  ? 157 ILE B CG2 157 ILE B CG2 1 
ATOM 8396  C CD1 . ILE B 2 157 ? 314.744 -27.903 331.784 1.0 99.10387  ? 157 ILE B CD1 157 ILE B CD1 1 
ATOM 8397  N N   . GLN B 2 158 ? 314.030 -29.244 326.422 1.0 97.69714  ? 158 GLN B N   158 GLN B N   1 
ATOM 8398  C CA  . GLN B 2 158 ? 314.078 -28.412 325.229 1.0 97.69714  ? 158 GLN B CA  158 GLN B CA  1 
ATOM 8399  C C   . GLN B 2 158 ? 312.908 -28.661 324.289 1.0 97.69714  ? 158 GLN B C   158 GLN B C   1 
ATOM 8400  O O   . GLN B 2 158 ? 312.821 -28.005 323.246 1.0 97.69714  ? 158 GLN B O   158 GLN B O   1 
ATOM 8401  C CB  . GLN B 2 158 ? 315.393 -28.635 324.482 1.0 97.69714  ? 158 GLN B CB  158 GLN B CB  1 
ATOM 8402  C CG  . GLN B 2 158 ? 315.557 -30.038 323.941 1.0 97.69714  ? 158 GLN B CG  158 GLN B CG  1 
ATOM 8403  C CD  . GLN B 2 158 ? 316.895 -30.245 323.270 1.0 97.69714  ? 158 GLN B CD  158 GLN B CD  1 
ATOM 8404  O OE1 . GLN B 2 158 ? 317.691 -29.315 323.147 1.0 97.69714  ? 158 GLN B OE1 158 GLN B OE1 1 
ATOM 8405  N NE2 . GLN B 2 158 ? 317.155 -31.472 322.834 1.0 97.69714  ? 158 GLN B NE2 158 GLN B NE2 1 
ATOM 8406  N N   . GLN B 2 159 ? 312.017 -29.589 324.623 1.0 94.25962  ? 159 GLN B N   159 GLN B N   1 
ATOM 8407  C CA  . GLN B 2 159 ? 310.816 -29.832 323.828 1.0 94.25962  ? 159 GLN B CA  159 GLN B CA  1 
ATOM 8408  C C   . GLN B 2 159 ? 309.823 -28.721 324.131 1.0 94.25962  ? 159 GLN B C   159 GLN B C   1 
ATOM 8409  O O   . GLN B 2 159 ? 309.017 -28.812 325.057 1.0 94.25962  ? 159 GLN B O   159 GLN B O   1 
ATOM 8410  C CB  . GLN B 2 159 ? 310.232 -31.203 324.135 1.0 94.25962  ? 159 GLN B CB  159 GLN B CB  1 
ATOM 8411  C CG  . GLN B 2 159 ? 311.137 -32.357 323.757 1.0 94.25962  ? 159 GLN B CG  159 GLN B CG  1 
ATOM 8412  C CD  . GLN B 2 159 ? 311.334 -32.472 322.262 1.0 94.25962  ? 159 GLN B CD  159 GLN B CD  1 
ATOM 8413  O OE1 . GLN B 2 159 ? 310.401 -32.269 321.486 1.0 94.25962  ? 159 GLN B OE1 159 GLN B OE1 1 
ATOM 8414  N NE2 . GLN B 2 159 ? 312.552 -32.798 321.849 1.0 94.25962  ? 159 GLN B NE2 159 GLN B NE2 1 
ATOM 8415  N N   . GLN B 2 160 ? 309.887 -27.653 323.344 1.0 91.54531  ? 160 GLN B N   160 GLN B N   1 
ATOM 8416  C CA  . GLN B 2 160 ? 309.012 -26.510 323.549 1.0 91.54531  ? 160 GLN B CA  160 GLN B CA  1 
ATOM 8417  C C   . GLN B 2 160 ? 307.603 -26.825 323.066 1.0 91.54531  ? 160 GLN B C   160 GLN B C   1 
ATOM 8418  O O   . GLN B 2 160 ? 307.411 -27.389 321.986 1.0 91.54531  ? 160 GLN B O   160 GLN B O   1 
ATOM 8419  C CB  . GLN B 2 160 ? 309.559 -25.285 322.819 1.0 91.54531  ? 160 GLN B CB  160 GLN B CB  1 
ATOM 8420  C CG  . GLN B 2 160 ? 310.874 -24.779 323.383 1.0 91.54531  ? 160 GLN B CG  160 GLN B CG  1 
ATOM 8421  C CD  . GLN B 2 160 ? 311.413 -23.590 322.619 1.0 91.54531  ? 160 GLN B CD  160 GLN B CD  1 
ATOM 8422  O OE1 . GLN B 2 160 ? 310.836 -23.170 321.617 1.0 91.54531  ? 160 GLN B OE1 160 GLN B OE1 1 
ATOM 8423  N NE2 . GLN B 2 160 ? 312.527 -23.040 323.088 1.0 91.54531  ? 160 GLN B NE2 160 GLN B NE2 1 
ATOM 8424  N N   . VAL B 2 161 ? 306.616 -26.464 323.882 1.0 85.85363  ? 161 VAL B N   161 VAL B N   1 
ATOM 8425  C CA  . VAL B 2 161 ? 305.218 -26.743 323.596 1.0 85.85363  ? 161 VAL B CA  161 VAL B CA  1 
ATOM 8426  C C   . VAL B 2 161 ? 304.450 -25.427 323.556 1.0 85.85363  ? 161 VAL B C   161 VAL B C   1 
ATOM 8427  O O   . VAL B 2 161 ? 304.932 -24.385 323.999 1.0 85.85363  ? 161 VAL B O   161 VAL B O   1 
ATOM 8428  C CB  . VAL B 2 161 ? 304.592 -27.699 324.626 1.0 85.85363  ? 161 VAL B CB  161 VAL B CB  1 
ATOM 8429  C CG1 . VAL B 2 161 ? 305.323 -29.029 324.635 1.0 85.85363  ? 161 VAL B CG1 161 VAL B CG1 1 
ATOM 8430  C CG2 . VAL B 2 161 ? 304.601 -27.067 326.003 1.0 85.85363  ? 161 VAL B CG2 161 VAL B CG2 1 
ATOM 8431  N N   . SER B 2 162 ? 303.236 -25.494 323.019 1.0 82.81612  ? 162 SER B N   162 SER B N   1 
ATOM 8432  C CA  . SER B 2 162 ? 302.348 -24.342 322.954 1.0 82.81612  ? 162 SER B CA  162 SER B CA  1 
ATOM 8433  C C   . SER B 2 162 ? 300.917 -24.854 322.882 1.0 82.81612  ? 162 SER B C   162 SER B C   1 
ATOM 8434  O O   . SER B 2 162 ? 300.635 -26.015 323.193 1.0 82.81612  ? 162 SER B O   162 SER B O   1 
ATOM 8435  C CB  . SER B 2 162 ? 302.674 -23.439 321.763 1.0 82.81612  ? 162 SER B CB  162 SER B CB  1 
ATOM 8436  O OG  . SER B 2 162 ? 302.319 -24.058 320.544 1.0 82.81612  ? 162 SER B OG  162 SER B OG  1 
ATOM 8437  N N   . GLY B 2 163 ? 300.006 -23.967 322.480 1.0 81.44948  ? 163 GLY B N   163 GLY B N   1 
ATOM 8438  C CA  . GLY B 2 163 ? 298.602 -24.339 322.413 1.0 81.44948  ? 163 GLY B CA  163 GLY B CA  1 
ATOM 8439  C C   . GLY B 2 163 ? 298.294 -25.302 321.282 1.0 81.44948  ? 163 GLY B C   163 GLY B C   1 
ATOM 8440  O O   . GLY B 2 163 ? 297.362 -26.103 321.377 1.0 81.44948  ? 163 GLY B O   163 GLY B O   1 
ATOM 8441  N N   . VAL B 2 164 ? 299.067 -25.239 320.200 1.0 80.69631  ? 164 VAL B N   164 VAL B N   1 
ATOM 8442  C CA  . VAL B 2 164 ? 298.878 -26.116 319.050 1.0 80.69631  ? 164 VAL B CA  164 VAL B CA  1 
ATOM 8443  C C   . VAL B 2 164 ? 300.070 -27.038 318.840 1.0 80.69631  ? 164 VAL B C   164 VAL B C   1 
ATOM 8444  O O   . VAL B 2 164 ? 300.036 -27.898 317.955 1.0 80.69631  ? 164 VAL B O   164 VAL B O   1 
ATOM 8445  C CB  . VAL B 2 164 ? 298.587 -25.311 317.775 1.0 80.69631  ? 164 VAL B CB  164 VAL B CB  1 
ATOM 8446  C CG1 . VAL B 2 164 ? 297.303 -24.514 317.931 1.0 80.69631  ? 164 VAL B CG1 164 VAL B CG1 1 
ATOM 8447  C CG2 . VAL B 2 164 ? 299.753 -24.399 317.455 1.0 80.69631  ? 164 VAL B CG2 164 VAL B CG2 1 
ATOM 8448  N N   . ASP B 2 165 ? 301.124 -26.882 319.632 1.0 83.65899  ? 165 ASP B N   165 ASP B N   1 
ATOM 8449  C CA  . ASP B 2 165 ? 302.313 -27.705 319.546 1.0 83.65899  ? 165 ASP B CA  165 ASP B CA  1 
ATOM 8450  C C   . ASP B 2 165 ? 302.442 -28.492 320.843 1.0 83.65899  ? 165 ASP B C   165 ASP B C   1 
ATOM 8451  O O   . ASP B 2 165 ? 302.556 -27.882 321.915 1.0 83.65899  ? 165 ASP B O   165 ASP B O   1 
ATOM 8452  C CB  . ASP B 2 165 ? 303.559 -26.818 319.322 1.0 83.65899  ? 165 ASP B CB  165 ASP B CB  1 
ATOM 8453  C CG  . ASP B 2 165 ? 304.795 -27.598 318.898 1.0 83.65899  ? 165 ASP B CG  165 ASP B CG  1 
ATOM 8454  O OD1 . ASP B 2 165 ? 304.745 -28.833 318.766 1.0 83.65899  ? 165 ASP B OD1 165 ASP B OD1 1 
ATOM 8455  O OD2 . ASP B 2 165 ? 305.842 -26.952 318.692 1.0 83.65899  ? 165 ASP B OD2 165 ASP B OD2 1 
ATOM 8456  N N   . PRO B 2 166 ? 302.406 -29.832 320.808 1.0 79.48263  ? 166 PRO B N   166 PRO B N   1 
ATOM 8457  C CA  . PRO B 2 166 ? 302.270 -30.722 319.650 1.0 79.48263  ? 166 PRO B CA  166 PRO B CA  1 
ATOM 8458  C C   . PRO B 2 166 ? 300.857 -30.905 319.117 1.0 79.48263  ? 166 PRO B C   166 PRO B C   1 
ATOM 8459  O O   . PRO B 2 166 ? 299.877 -30.769 319.838 1.0 79.48263  ? 166 PRO B O   166 PRO B O   1 
ATOM 8460  C CB  . PRO B 2 166 ? 302.791 -32.051 320.181 1.0 79.48263  ? 166 PRO B CB  166 PRO B CB  1 
ATOM 8461  C CG  . PRO B 2 166 ? 302.502 -32.007 321.627 1.0 79.48263  ? 166 PRO B CG  166 PRO B CG  1 
ATOM 8462  C CD  . PRO B 2 166 ? 302.670 -30.583 322.045 1.0 79.48263  ? 166 PRO B CD  166 PRO B CD  1 
ATOM 8463  N N   . ASN B 2 167 ? 300.785 -31.204 317.830 1.0 77.87946  ? 167 ASN B N   167 ASN B N   1 
ATOM 8464  C CA  . ASN B 2 167 ? 299.539 -31.610 317.207 1.0 77.87946  ? 167 ASN B CA  167 ASN B CA  1 
ATOM 8465  C C   . ASN B 2 167 ? 299.161 -33.003 317.707 1.0 77.87946  ? 167 ASN B C   167 ASN B C   1 
ATOM 8466  O O   . ASN B 2 167 ? 300.004 -33.906 317.703 1.0 77.87946  ? 167 ASN B O   167 ASN B O   1 
ATOM 8467  C CB  . ASN B 2 167 ? 299.735 -31.628 315.690 1.0 77.87946  ? 167 ASN B CB  167 ASN B CB  1 
ATOM 8468  C CG  . ASN B 2 167 ? 298.454 -31.433 314.908 1.0 77.87946  ? 167 ASN B CG  167 ASN B CG  1 
ATOM 8469  O OD1 . ASN B 2 167 ? 298.502 -31.110 313.727 1.0 77.87946  ? 167 ASN B OD1 167 ASN B OD1 1 
ATOM 8470  N ND2 . ASN B 2 167 ? 297.317 -31.636 315.540 1.0 77.87946  ? 167 ASN B ND2 167 ASN B ND2 1 
ATOM 8471  N N   . PRO B 2 168 ? 297.905 -33.228 318.140 1.0 75.74399  ? 168 PRO B N   168 PRO B N   1 
ATOM 8472  C CA  . PRO B 2 168 ? 297.491 -34.608 318.430 1.0 75.74399  ? 168 PRO B CA  168 PRO B CA  1 
ATOM 8473  C C   . PRO B 2 168 ? 297.023 -35.385 317.212 1.0 75.74399  ? 168 PRO B C   168 PRO B C   1 
ATOM 8474  O O   . PRO B 2 168 ? 296.095 -36.192 317.308 1.0 75.74399  ? 168 PRO B O   168 PRO B O   1 
ATOM 8475  C CB  . PRO B 2 168 ? 296.335 -34.418 319.417 1.0 75.74399  ? 168 PRO B CB  168 PRO B CB  1 
ATOM 8476  C CG  . PRO B 2 168 ? 295.804 -33.085 319.110 1.0 75.74399  ? 168 PRO B CG  168 PRO B CG  1 
ATOM 8477  C CD  . PRO B 2 168 ? 296.985 -32.251 318.743 1.0 75.74399  ? 168 PRO B CD  168 PRO B CD  1 
ATOM 8478  N N   . GLN B 2 169 ? 297.666 -35.158 316.068 1.0 77.65416  ? 169 GLN B N   169 GLN B N   1 
ATOM 8479  C CA  . GLN B 2 169 ? 297.631 -36.122 314.966 1.0 77.65416  ? 169 GLN B CA  169 GLN B CA  1 
ATOM 8480  C C   . GLN B 2 169 ? 298.943 -36.121 314.190 1.0 77.65416  ? 169 GLN B C   169 GLN B C   1 
ATOM 8481  O O   . GLN B 2 169 ? 298.922 -36.419 312.993 1.0 77.65416  ? 169 GLN B O   169 GLN B O   1 
ATOM 8482  C CB  . GLN B 2 169 ? 296.420 -35.848 314.064 1.0 77.65416  ? 169 GLN B CB  169 GLN B CB  1 
ATOM 8483  C CG  . GLN B 2 169 ? 296.344 -34.455 313.482 1.0 77.65416  ? 169 GLN B CG  169 GLN B CG  1 
ATOM 8484  C CD  . GLN B 2 169 ? 295.043 -34.215 312.747 1.0 77.65416  ? 169 GLN B CD  169 GLN B CD  1 
ATOM 8485  O OE1 . GLN B 2 169 ? 294.231 -35.124 312.577 1.0 77.65416  ? 169 GLN B OE1 169 GLN B OE1 1 
ATOM 8486  N NE2 . GLN B 2 169 ? 294.826 -32.979 312.328 1.0 77.65416  ? 169 GLN B NE2 169 GLN B NE2 1 
ATOM 8487  N N   . VAL B 2 170 ? 300.075 -35.805 314.823 1.0 81.25133  ? 170 VAL B N   170 VAL B N   1 
ATOM 8488  C CA  . VAL B 2 170 ? 301.268 -35.408 314.080 1.0 81.25133  ? 170 VAL B CA  170 VAL B CA  1 
ATOM 8489  C C   . VAL B 2 170 ? 301.946 -36.616 313.433 1.0 81.25133  ? 170 VAL B C   170 VAL B C   1 
ATOM 8490  O O   . VAL B 2 170 ? 302.506 -36.513 312.334 1.0 81.25133  ? 170 VAL B O   170 VAL B O   1 
ATOM 8491  C CB  . VAL B 2 170 ? 302.209 -34.603 315.003 1.0 81.25133  ? 170 VAL B CB  170 VAL B CB  1 
ATOM 8492  C CG1 . VAL B 2 170 ? 302.613 -35.413 316.216 1.0 81.25133  ? 170 VAL B CG1 170 VAL B CG1 1 
ATOM 8493  C CG2 . VAL B 2 170 ? 303.434 -34.075 314.254 1.0 81.25133  ? 170 VAL B CG2 170 VAL B CG2 1 
ATOM 8494  N N   . GLY B 2 171 ? 301.868 -37.785 314.064 1.0 82.97285  ? 171 GLY B N   171 GLY B N   1 
ATOM 8495  C CA  . GLY B 2 171 ? 302.309 -39.003 313.423 1.0 82.97285  ? 171 GLY B CA  171 GLY B CA  1 
ATOM 8496  C C   . GLY B 2 171 ? 303.485 -39.684 314.097 1.0 82.97285  ? 171 GLY B C   171 GLY B C   1 
ATOM 8497  O O   . GLY B 2 171 ? 304.241 -39.098 314.874 1.0 82.97285  ? 171 GLY B O   171 GLY B O   1 
ATOM 8498  N N   . GLN B 2 172 ? 303.618 -40.972 313.782 1.0 85.03876  ? 172 GLN B N   172 GLN B N   1 
ATOM 8499  C CA  . GLN B 2 172 ? 304.777 -41.750 314.217 1.0 85.03876  ? 172 GLN B CA  172 GLN B CA  1 
ATOM 8500  C C   . GLN B 2 172 ? 306.097 -41.362 313.547 1.0 85.03876  ? 172 GLN B C   172 GLN B C   1 
ATOM 8501  O O   . GLN B 2 172 ? 307.102 -41.245 314.271 1.0 85.03876  ? 172 GLN B O   172 GLN B O   1 
ATOM 8502  C CB  . GLN B 2 172 ? 304.481 -43.240 314.027 1.0 85.03876  ? 172 GLN B CB  172 GLN B CB  1 
ATOM 8503  C CG  . GLN B 2 172 ? 305.594 -44.156 314.493 1.0 85.03876  ? 172 GLN B CG  172 GLN B CG  1 
ATOM 8504  C CD  . GLN B 2 172 ? 305.830 -44.053 315.979 1.0 85.03876  ? 172 GLN B CD  172 GLN B CD  1 
ATOM 8505  O OE1 . GLN B 2 172 ? 304.887 -43.989 316.764 1.0 85.03876  ? 172 GLN B OE1 172 GLN B OE1 1 
ATOM 8506  N NE2 . GLN B 2 172 ? 307.096 -44.021 316.376 1.0 85.03876  ? 172 GLN B NE2 172 GLN B NE2 1 
ATOM 8507  N N   . PRO B 2 173 ? 306.195 -41.142 312.207 1.0 84.71612  ? 173 PRO B N   173 PRO B N   1 
ATOM 8508  C CA  . PRO B 2 173 ? 305.307 -41.041 311.037 1.0 84.71612  ? 173 PRO B CA  173 PRO B CA  1 
ATOM 8509  C C   . PRO B 2 173 ? 304.913 -42.363 310.396 1.0 84.71612  ? 173 PRO B C   173 PRO B C   1 
ATOM 8510  O O   . PRO B 2 173 ? 305.263 -43.431 310.886 1.0 84.71612  ? 173 PRO B O   173 PRO B O   1 
ATOM 8511  C CB  . PRO B 2 173 ? 306.130 -40.225 310.050 1.0 84.71612  ? 173 PRO B CB  173 PRO B CB  1 
ATOM 8512  C CG  . PRO B 2 173 ? 307.500 -40.626 310.335 1.0 84.71612  ? 173 PRO B CG  173 PRO B CG  1 
ATOM 8513  C CD  . PRO B 2 173 ? 307.581 -40.826 311.818 1.0 84.71612  ? 173 PRO B CD  173 PRO B CD  1 
ATOM 8514  N N   . ASN B 2 174 ? 304.226 -42.258 309.262 1.0 84.88451  ? 174 ASN B N   174 ASN B N   1 
ATOM 8515  C CA  . ASN B 2 174 ? 303.548 -43.386 308.641 1.0 84.88451  ? 174 ASN B CA  174 ASN B CA  1 
ATOM 8516  C C   . ASN B 2 174 ? 304.526 -44.392 308.034 1.0 84.88451  ? 174 ASN B C   174 ASN B C   1 
ATOM 8517  O O   . ASN B 2 174 ? 305.735 -44.158 307.941 1.0 84.88451  ? 174 ASN B O   174 ASN B O   1 
ATOM 8518  C CB  . ASN B 2 174 ? 302.567 -42.885 307.580 1.0 84.88451  ? 174 ASN B CB  174 ASN B CB  1 
ATOM 8519  C CG  . ASN B 2 174 ? 303.212 -41.948 306.572 1.0 84.88451  ? 174 ASN B CG  174 ASN B CG  1 
ATOM 8520  O OD1 . ASN B 2 174 ? 304.413 -41.683 306.618 1.0 84.88451  ? 174 ASN B OD1 174 ASN B OD1 1 
ATOM 8521  N ND2 . ASN B 2 174 ? 302.404 -41.438 305.653 1.0 84.88451  ? 174 ASN B ND2 174 ASN B ND2 1 
ATOM 8522  N N   . TYR B 2 175 ? 303.964 -45.539 307.639 1.0 84.37376  ? 175 TYR B N   175 TYR B N   1 
ATOM 8523  C CA  . TYR B 2 175 ? 304.600 -46.716 307.030 1.0 84.37376  ? 175 TYR B CA  175 TYR B CA  1 
ATOM 8524  C C   . TYR B 2 175 ? 305.628 -47.385 307.929 1.0 84.37376  ? 175 TYR B C   175 TYR B C   1 
ATOM 8525  O O   . TYR B 2 175 ? 306.430 -48.193 307.438 1.0 84.37376  ? 175 TYR B O   175 TYR B O   1 
ATOM 8526  C CB  . TYR B 2 175 ? 305.273 -46.409 305.692 1.0 84.37376  ? 175 TYR B CB  175 TYR B CB  1 
ATOM 8527  C CG  . TYR B 2 175 ? 304.323 -45.994 304.603 1.0 84.37376  ? 175 TYR B CG  175 TYR B CG  1 
ATOM 8528  C CD1 . TYR B 2 175 ? 303.540 -46.931 303.943 1.0 84.37376  ? 175 TYR B CD1 175 TYR B CD1 1 
ATOM 8529  C CD2 . TYR B 2 175 ? 304.229 -44.667 304.217 1.0 84.37376  ? 175 TYR B CD2 175 TYR B CD2 1 
ATOM 8530  C CE1 . TYR B 2 175 ? 302.678 -46.551 302.934 1.0 84.37376  ? 175 TYR B CE1 175 TYR B CE1 1 
ATOM 8531  C CE2 . TYR B 2 175 ? 303.373 -44.278 303.213 1.0 84.37376  ? 175 TYR B CE2 175 TYR B CE2 1 
ATOM 8532  C CZ  . TYR B 2 175 ? 302.602 -45.220 302.577 1.0 84.37376  ? 175 TYR B CZ  175 TYR B CZ  1 
ATOM 8533  O OH  . TYR B 2 175 ? 301.755 -44.815 301.576 1.0 84.37376  ? 175 TYR B OH  175 TYR B OH  1 
ATOM 8534  N N   . ALA B 2 176 ? 305.631 -47.090 309.225 1.0 85.86424  ? 176 ALA B N   176 ALA B N   1 
ATOM 8535  C CA  . ALA B 2 176 ? 306.575 -47.739 310.121 1.0 85.86424  ? 176 ALA B CA  176 ALA B CA  1 
ATOM 8536  C C   . ALA B 2 176 ? 306.079 -49.115 310.535 1.0 85.86424  ? 176 ALA B C   176 ALA B C   1 
ATOM 8537  O O   . ALA B 2 176 ? 306.881 -50.001 310.844 1.0 85.86424  ? 176 ALA B O   176 ALA B O   1 
ATOM 8538  C CB  . ALA B 2 176 ? 306.820 -46.859 311.344 1.0 85.86424  ? 176 ALA B CB  176 ALA B CB  1 
ATOM 8539  N N   . GLY B 2 177 ? 304.767 -49.316 310.538 1.0 86.40233  ? 177 GLY B N   177 GLY B N   1 
ATOM 8540  C CA  . GLY B 2 177 ? 304.204 -50.590 310.900 1.0 86.40233  ? 177 GLY B CA  177 GLY B CA  1 
ATOM 8541  C C   . GLY B 2 177 ? 303.914 -50.681 312.382 1.0 86.40233  ? 177 GLY B C   177 GLY B C   1 
ATOM 8542  O O   . GLY B 2 177 ? 303.271 -49.806 312.969 1.0 86.40233  ? 177 GLY B O   177 GLY B O   1 
ATOM 8543  N N   . PRO B 2 178 ? 304.392 -51.749 313.022 1.0 87.04331  ? 178 PRO B N   178 PRO B N   1 
ATOM 8544  C CA  . PRO B 2 178 ? 304.048 -51.966 314.431 1.0 87.04331  ? 178 PRO B CA  178 PRO B CA  1 
ATOM 8545  C C   . PRO B 2 178 ? 304.844 -51.118 315.398 1.0 87.04331  ? 178 PRO B C   178 PRO B C   1 
ATOM 8546  O O   . PRO B 2 178 ? 304.348 -50.889 316.507 1.0 87.04331  ? 178 PRO B O   178 PRO B O   1 
ATOM 8547  C CB  . PRO B 2 178 ? 304.382 -53.451 314.651 1.0 87.04331  ? 178 PRO B CB  178 PRO B CB  1 
ATOM 8548  C CG  . PRO B 2 178 ? 304.545 -54.031 313.288 1.0 87.04331  ? 178 PRO B CG  178 PRO B CG  1 
ATOM 8549  C CD  . PRO B 2 178 ? 305.081 -52.917 312.452 1.0 87.04331  ? 178 PRO B CD  178 PRO B CD  1 
ATOM 8550  N N   . VAL B 2 179 ? 305.961 -50.531 314.955 1.0 87.17771  ? 179 VAL B N   179 VAL B N   1 
ATOM 8551  C CA  . VAL B 2 179 ? 307.239 -50.469 315.668 1.0 87.17771  ? 179 VAL B CA  179 VAL B CA  1 
ATOM 8552  C C   . VAL B 2 179 ? 307.156 -50.233 317.173 1.0 87.17771  ? 179 VAL B C   179 VAL B C   1 
ATOM 8553  O O   . VAL B 2 179 ? 306.489 -49.308 317.652 1.0 87.17771  ? 179 VAL B O   179 VAL B O   1 
ATOM 8554  C CB  . VAL B 2 179 ? 308.146 -49.411 315.009 1.0 87.17771  ? 179 VAL B CB  179 VAL B CB  1 
ATOM 8555  C CG1 . VAL B 2 179 ? 308.621 -49.911 313.657 1.0 87.17771  ? 179 VAL B CG1 179 VAL B CG1 1 
ATOM 8556  C CG2 . VAL B 2 179 ? 307.403 -48.094 314.823 1.0 87.17771  ? 179 VAL B CG2 179 VAL B CG2 1 
ATOM 8557  N N   . VAL B 2 180 ? 307.814 -51.106 317.926 1.0 88.13691  ? 180 VAL B N   180 VAL B N   1 
ATOM 8558  C CA  . VAL B 2 180 ? 307.839 -51.012 319.379 1.0 88.13691  ? 180 VAL B CA  180 VAL B CA  1 
ATOM 8559  C C   . VAL B 2 180 ? 308.829 -49.924 319.762 1.0 88.13691  ? 180 VAL B C   180 VAL B C   1 
ATOM 8560  O O   . VAL B 2 180 ? 310.000 -49.973 319.371 1.0 88.13691  ? 180 VAL B O   180 VAL B O   1 
ATOM 8561  C CB  . VAL B 2 180 ? 308.216 -52.357 320.014 1.0 88.13691  ? 180 VAL B CB  180 VAL B CB  1 
ATOM 8562  C CG1 . VAL B 2 180 ? 308.351 -52.213 321.517 1.0 88.13691  ? 180 VAL B CG1 180 VAL B CG1 1 
ATOM 8563  C CG2 . VAL B 2 180 ? 307.175 -53.408 319.669 1.0 88.13691  ? 180 VAL B CG2 180 VAL B CG2 1 
ATOM 8564  N N   . VAL B 2 181 ? 308.355 -48.928 320.505 1.0 90.09533  ? 181 VAL B N   181 VAL B N   1 
ATOM 8565  C CA  . VAL B 2 181 ? 309.207 -47.816 320.903 1.0 90.09533  ? 181 VAL B CA  181 VAL B CA  1 
ATOM 8566  C C   . VAL B 2 181 ? 310.199 -48.307 321.948 1.0 90.09533  ? 181 VAL B C   181 VAL B C   1 
ATOM 8567  O O   . VAL B 2 181 ? 309.811 -48.871 322.977 1.0 90.09533  ? 181 VAL B O   181 VAL B O   1 
ATOM 8568  C CB  . VAL B 2 181 ? 308.369 -46.645 321.429 1.0 90.09533  ? 181 VAL B CB  181 VAL B CB  1 
ATOM 8569  C CG1 . VAL B 2 181 ? 309.268 -45.545 321.959 1.0 90.09533  ? 181 VAL B CG1 181 VAL B CG1 1 
ATOM 8570  C CG2 . VAL B 2 181 ? 307.470 -46.108 320.328 1.0 90.09533  ? 181 VAL B CG2 181 VAL B CG2 1 
ATOM 8571  N N   . ASN B 2 182 ? 311.486 -48.126 321.665 1.0 93.99185  ? 182 ASN B N   182 ASN B N   1 
ATOM 8572  C CA  . ASN B 2 182 ? 312.544 -48.478 322.603 1.0 93.99185  ? 182 ASN B CA  182 ASN B CA  1 
ATOM 8573  C C   . ASN B 2 182 ? 312.471 -47.537 323.796 1.0 93.99185  ? 182 ASN B C   182 ASN B C   1 
ATOM 8574  O O   . ASN B 2 182 ? 312.829 -46.361 323.690 1.0 93.99185  ? 182 ASN B O   182 ASN B O   1 
ATOM 8575  C CB  . ASN B 2 182 ? 313.903 -48.384 321.918 1.0 93.99185  ? 182 ASN B CB  182 ASN B CB  1 
ATOM 8576  C CG  . ASN B 2 182 ? 315.021 -49.000 322.736 1.0 93.99185  ? 182 ASN B CG  182 ASN B CG  1 
ATOM 8577  O OD1 . ASN B 2 182 ? 314.798 -49.546 323.816 1.0 93.99185  ? 182 ASN B OD1 182 ASN B OD1 1 
ATOM 8578  N ND2 . ASN B 2 182 ? 316.241 -48.907 322.222 1.0 93.99185  ? 182 ASN B ND2 182 ASN B ND2 1 
ATOM 8579  N N   . THR B 2 183 ? 312.028 -48.052 324.940 1.0 95.59754  ? 183 THR B N   183 THR B N   1 
ATOM 8580  C CA  . THR B 2 183 ? 311.926 -47.214 326.127 1.0 95.59754  ? 183 THR B CA  183 THR B CA  1 
ATOM 8581  C C   . THR B 2 183 ? 313.276 -46.919 326.768 1.0 95.59754  ? 183 THR B C   183 THR B C   1 
ATOM 8582  O O   . THR B 2 183 ? 313.319 -46.182 327.754 1.0 95.59754  ? 183 THR B O   183 THR B O   1 
ATOM 8583  C CB  . THR B 2 183 ? 310.998 -47.863 327.150 1.0 95.59754  ? 183 THR B CB  183 THR B CB  1 
ATOM 8584  O OG1 . THR B 2 183 ? 311.499 -49.160 327.494 1.0 95.59754  ? 183 THR B OG1 183 THR B OG1 1 
ATOM 8585  C CG2 . THR B 2 183 ? 309.598 -47.993 326.582 1.0 95.59754  ? 183 THR B CG2 183 THR B CG2 1 
ATOM 8586  N N   . THR B 2 184 ? 314.369 -47.483 326.252 1.0 94.72003  ? 184 THR B N   184 THR B N   1 
ATOM 8587  C CA  . THR B 2 184 ? 315.698 -47.098 326.710 1.0 94.72003  ? 184 THR B CA  184 THR B CA  1 
ATOM 8588  C C   . THR B 2 184 ? 316.215 -45.883 325.946 1.0 94.72003  ? 184 THR B C   184 THR B C   1 
ATOM 8589  O O   . THR B 2 184 ? 316.745 -44.945 326.551 1.0 94.72003  ? 184 THR B O   184 THR B O   1 
ATOM 8590  C CB  . THR B 2 184 ? 316.662 -48.276 326.555 1.0 94.72003  ? 184 THR B CB  184 THR B CB  1 
ATOM 8591  O OG1 . THR B 2 184 ? 316.159 -49.404 327.279 1.0 94.72003  ? 184 THR B OG1 184 THR B OG1 1 
ATOM 8592  C CG2 . THR B 2 184 ? 318.037 -47.922 327.097 1.0 94.72003  ? 184 THR B CG2 184 THR B CG2 1 
ATOM 8593  N N   . ASN B 2 185 ? 316.049 -45.870 324.625 1.0 94.92186  ? 185 ASN B N   185 ASN B N   1 
ATOM 8594  C CA  . ASN B 2 185 ? 316.660 -44.858 323.775 1.0 94.92186  ? 185 ASN B CA  185 ASN B CA  1 
ATOM 8595  C C   . ASN B 2 185 ? 315.666 -43.888 323.152 1.0 94.92186  ? 185 ASN B C   185 ASN B C   1 
ATOM 8596  O O   . ASN B 2 185 ? 316.080 -43.024 322.372 1.0 94.92186  ? 185 ASN B O   185 ASN B O   1 
ATOM 8597  C CB  . ASN B 2 185 ? 317.472 -45.530 322.663 1.0 94.92186  ? 185 ASN B CB  185 ASN B CB  1 
ATOM 8598  C CG  . ASN B 2 185 ? 318.686 -46.260 323.190 1.0 94.92186  ? 185 ASN B CG  185 ASN B CG  1 
ATOM 8599  O OD1 . ASN B 2 185 ? 319.370 -45.777 324.090 1.0 94.92186  ? 185 ASN B OD1 185 ASN B OD1 1 
ATOM 8600  N ND2 . ASN B 2 185 ? 318.964 -47.429 322.629 1.0 94.92186  ? 185 ASN B ND2 185 ASN B ND2 1 
ATOM 8601  N N   . ASN B 2 186 ? 314.377 -43.993 323.464 1.0 94.87061  ? 186 ASN B N   186 ASN B N   1 
ATOM 8602  C CA  . ASN B 2 186 ? 313.388 -43.090 322.896 1.0 94.87061  ? 186 ASN B CA  186 ASN B CA  1 
ATOM 8603  C C   . ASN B 2 186 ? 312.401 -42.663 323.970 1.0 94.87061  ? 186 ASN B C   186 ASN B C   1 
ATOM 8604  O O   . ASN B 2 186 ? 312.205 -43.357 324.970 1.0 94.87061  ? 186 ASN B O   186 ASN B O   1 
ATOM 8605  C CB  . ASN B 2 186 ? 312.629 -43.731 321.729 1.0 94.87061  ? 186 ASN B CB  186 ASN B CB  1 
ATOM 8606  C CG  . ASN B 2 186 ? 313.523 -44.029 320.548 1.0 94.87061  ? 186 ASN B CG  186 ASN B CG  1 
ATOM 8607  O OD1 . ASN B 2 186 ? 313.755 -45.188 320.208 1.0 94.87061  ? 186 ASN B OD1 186 ASN B OD1 1 
ATOM 8608  N ND2 . ASN B 2 186 ? 314.027 -42.982 319.910 1.0 94.87061  ? 186 ASN B ND2 186 ASN B ND2 1 
ATOM 8609  N N   . ALA B 2 187 ? 311.780 -41.508 323.748 1.0 92.08539  ? 187 ALA B N   187 ALA B N   1 
ATOM 8610  C CA  . ALA B 2 187 ? 310.753 -40.981 324.630 1.0 92.08539  ? 187 ALA B CA  187 ALA B CA  1 
ATOM 8611  C C   . ALA B 2 187 ? 309.702 -40.280 323.786 1.0 92.08539  ? 187 ALA B C   187 ALA B C   1 
ATOM 8612  O O   . ALA B 2 187 ? 310.041 -39.539 322.862 1.0 92.08539  ? 187 ALA B O   187 ALA B O   1 
ATOM 8613  C CB  . ALA B 2 187 ? 311.339 -40.010 325.657 1.0 92.08539  ? 187 ALA B CB  187 ALA B CB  1 
ATOM 8614  N N   . GLY B 2 188 ? 308.428 -40.515 324.104 1.0 88.82648  ? 188 GLY B N   188 GLY B N   1 
ATOM 8615  C CA  . GLY B 2 188 ? 307.337 -39.953 323.338 1.0 88.82648  ? 188 GLY B CA  188 GLY B CA  1 
ATOM 8616  C C   . GLY B 2 188 ? 306.876 -38.604 323.863 1.0 88.82648  ? 188 GLY B C   188 GLY B C   1 
ATOM 8617  O O   . GLY B 2 188 ? 307.395 -38.073 324.842 1.0 88.82648  ? 188 GLY B O   188 GLY B O   1 
ATOM 8618  N N   . LEU B 2 189 ? 305.879 -38.045 323.176 1.0 85.93373  ? 189 LEU B N   189 LEU B N   1 
ATOM 8619  C CA  . LEU B 2 189 ? 305.234 -36.806 323.596 1.0 85.93373  ? 189 LEU B CA  189 LEU B CA  1 
ATOM 8620  C C   . LEU B 2 189 ? 303.849 -36.728 322.970 1.0 85.93373  ? 189 LEU B C   189 LEU B C   1 
ATOM 8621  O O   . LEU B 2 189 ? 303.567 -37.378 321.962 1.0 85.93373  ? 189 LEU B O   189 LEU B O   1 
ATOM 8622  C CB  . LEU B 2 189 ? 306.079 -35.574 323.235 1.0 85.93373  ? 189 LEU B CB  189 LEU B CB  1 
ATOM 8623  C CG  . LEU B 2 189 ? 306.504 -35.203 321.811 1.0 85.93373  ? 189 LEU B CG  189 LEU B CG  1 
ATOM 8624  C CD1 . LEU B 2 189 ? 305.509 -34.310 321.122 1.0 85.93373  ? 189 LEU B CD1 189 LEU B CD1 1 
ATOM 8625  C CD2 . LEU B 2 189 ? 307.843 -34.513 321.851 1.0 85.93373  ? 189 LEU B CD2 189 LEU B CD2 1 
ATOM 8626  N N   . GLY B 2 190 ? 302.996 -35.917 323.582 1.0 82.82852  ? 190 GLY B N   190 GLY B N   1 
ATOM 8627  C CA  . GLY B 2 190 ? 301.632 -35.743 323.118 1.0 82.82852  ? 190 GLY B CA  190 GLY B CA  1 
ATOM 8628  C C   . GLY B 2 190 ? 300.858 -34.899 324.102 1.0 82.82852  ? 190 GLY B C   190 GLY B C   1 
ATOM 8629  O O   . GLY B 2 190 ? 301.274 -34.691 325.240 1.0 82.82852  ? 190 GLY B O   190 GLY B O   1 
ATOM 8630  N N   . ARG B 2 191 ? 299.713 -34.407 323.642 1.0 79.59531  ? 191 ARG B N   191 ARG B N   1 
ATOM 8631  C CA  . ARG B 2 191 ? 298.887 -33.537 324.468 1.0 79.59531  ? 191 ARG B CA  191 ARG B CA  1 
ATOM 8632  C C   . ARG B 2 191 ? 298.210 -34.333 325.580 1.0 79.59531  ? 191 ARG B C   191 ARG B C   1 
ATOM 8633  O O   . ARG B 2 191 ? 297.956 -35.527 325.440 1.0 79.59531  ? 191 ARG B O   191 ARG B O   1 
ATOM 8634  C CB  . ARG B 2 191 ? 297.834 -32.843 323.609 1.0 79.59531  ? 191 ARG B CB  191 ARG B CB  1 
ATOM 8635  C CG  . ARG B 2 191 ? 298.418 -31.979 322.513 1.0 79.59531  ? 191 ARG B CG  191 ARG B CG  1 
ATOM 8636  C CD  . ARG B 2 191 ? 299.100 -30.757 323.075 1.0 79.59531  ? 191 ARG B CD  191 ARG B CD  1 
ATOM 8637  N NE  . ARG B 2 191 ? 298.153 -29.853 323.707 1.0 79.59531  ? 191 ARG B NE  191 ARG B NE  1 
ATOM 8638  C CZ  . ARG B 2 191 ? 297.538 -28.864 323.071 1.0 79.59531  ? 191 ARG B CZ  191 ARG B CZ  1 
ATOM 8639  N NH1 . ARG B 2 191 ? 297.784 -28.638 321.794 1.0 79.59531  ? 191 ARG B NH1 191 ARG B NH1 1 
ATOM 8640  N NH2 . ARG B 2 191 ? 296.686 -28.083 323.719 1.0 79.59531  ? 191 ARG B NH2 191 ARG B NH2 1 
ATOM 8641  N N   . ILE B 2 192 ? 297.953 -33.659 326.707 1.0 81.11396  ? 192 ILE B N   192 ILE B N   1 
ATOM 8642  C CA  . ILE B 2 192 ? 297.270 -34.201 327.880 1.0 81.11396  ? 192 ILE B CA  192 ILE B CA  1 
ATOM 8643  C C   . ILE B 2 192 ? 296.259 -33.139 328.308 1.0 81.11396  ? 192 ILE B C   192 ILE B C   1 
ATOM 8644  O O   . ILE B 2 192 ? 296.430 -31.953 328.029 1.0 81.11396  ? 192 ILE B O   192 ILE B O   1 
ATOM 8645  C CB  . ILE B 2 192 ? 298.268 -34.533 329.038 1.0 81.11396  ? 192 ILE B CB  192 ILE B CB  1 
ATOM 8646  C CG1 . ILE B 2 192 ? 299.342 -35.525 328.602 1.0 81.11396  ? 192 ILE B CG1 192 ILE B CG1 1 
ATOM 8647  C CG2 . ILE B 2 192 ? 297.617 -35.176 330.265 1.0 81.11396  ? 192 ILE B CG2 192 ILE B CG2 1 
ATOM 8648  C CD1 . ILE B 2 192 ? 298.844 -36.915 328.295 1.0 81.11396  ? 192 ILE B CD1 192 ILE B CD1 1 
ATOM 8649  N N   . VAL B 2 193 ? 295.166 -33.567 328.940 1.0 81.01526  ? 193 VAL B N   193 VAL B N   1 
ATOM 8650  C CA  . VAL B 2 193 ? 294.333 -32.651 329.711 1.0 81.01526  ? 193 VAL B CA  193 VAL B CA  1 
ATOM 8651  C C   . VAL B 2 193 ? 294.550 -32.936 331.192 1.0 81.01526  ? 193 VAL B C   193 VAL B C   1 
ATOM 8652  O O   . VAL B 2 193 ? 294.806 -34.075 331.600 1.0 81.01526  ? 193 VAL B O   193 VAL B O   1 
ATOM 8653  C CB  . VAL B 2 193 ? 292.841 -32.737 329.329 1.0 81.01526  ? 193 VAL B CB  193 VAL B CB  1 
ATOM 8654  C CG1 . VAL B 2 193 ? 292.656 -32.333 327.884 1.0 81.01526  ? 193 VAL B CG1 193 VAL B CG1 1 
ATOM 8655  C CG2 . VAL B 2 193 ? 292.298 -34.127 329.551 1.0 81.01526  ? 193 VAL B CG2 193 VAL B CG2 1 
ATOM 8656  N N   . SER B 2 194 ? 294.479 -31.885 332.001 1.0 82.27587  ? 194 SER B N   194 SER B N   1 
ATOM 8657  C CA  . SER B 2 194 ? 294.799 -32.020 333.412 1.0 82.27587  ? 194 SER B CA  194 SER B CA  1 
ATOM 8658  C C   . SER B 2 194 ? 293.548 -32.279 334.241 1.0 82.27587  ? 194 SER B C   194 SER B C   1 
ATOM 8659  O O   . SER B 2 194 ? 292.416 -32.157 333.773 1.0 82.27587  ? 194 SER B O   194 SER B O   1 
ATOM 8660  C CB  . SER B 2 194 ? 295.512 -30.776 333.931 1.0 82.27587  ? 194 SER B CB  194 SER B CB  1 
ATOM 8661  O OG  . SER B 2 194 ? 295.763 -30.886 335.321 1.0 82.27587  ? 194 SER B OG  194 SER B OG  1 
ATOM 8662  N N   . ALA B 2 195 ? 293.776 -32.637 335.504 1.0 84.35974  ? 195 ALA B N   195 ALA B N   1 
ATOM 8663  C CA  . ALA B 2 195 ? 292.688 -32.850 336.446 1.0 84.35974  ? 195 ALA B CA  195 ALA B CA  1 
ATOM 8664  C C   . ALA B 2 195 ? 292.061 -31.548 336.916 1.0 84.35974  ? 195 ALA B C   195 ALA B C   1 
ATOM 8665  O O   . ALA B 2 195 ? 290.894 -31.551 337.321 1.0 84.35974  ? 195 ALA B O   195 ALA B O   1 
ATOM 8666  C CB  . ALA B 2 195 ? 293.188 -33.639 337.654 1.0 84.35974  ? 195 ALA B CB  195 ALA B CB  1 
ATOM 8667  N N   . ASP B 2 196 ? 292.803 -30.442 336.874 1.0 84.49026  ? 196 ASP B N   196 ASP B N   1 
ATOM 8668  C CA  . ASP B 2 196 ? 292.275 -29.134 337.261 1.0 84.49026  ? 196 ASP B CA  196 ASP B CA  1 
ATOM 8669  C C   . ASP B 2 196 ? 291.515 -28.560 336.070 1.0 84.49026  ? 196 ASP B C   196 ASP B C   1 
ATOM 8670  O O   . ASP B 2 196 ? 291.973 -27.660 335.364 1.0 84.49026  ? 196 ASP B O   196 ASP B O   1 
ATOM 8671  C CB  . ASP B 2 196 ? 293.396 -28.210 337.717 1.0 84.49026  ? 196 ASP B CB  196 ASP B CB  1 
ATOM 8672  C CG  . ASP B 2 196 ? 294.000 -28.637 339.041 1.0 84.49026  ? 196 ASP B CG  196 ASP B CG  1 
ATOM 8673  O OD1 . ASP B 2 196 ? 293.275 -29.239 339.860 1.0 84.49026  ? 196 ASP B OD1 196 ASP B OD1 1 
ATOM 8674  O OD2 . ASP B 2 196 ? 295.199 -28.369 339.263 1.0 84.49026  ? 196 ASP B OD2 196 ASP B OD2 1 
ATOM 8675  N N   . SER B 2 197 ? 290.321 -29.102 335.853 1.0 81.19788  ? 197 SER B N   197 SER B N   1 
ATOM 8676  C CA  . SER B 2 197 ? 289.510 -28.762 334.692 1.0 81.19788  ? 197 SER B CA  197 SER B CA  1 
ATOM 8677  C C   . SER B 2 197 ? 288.049 -28.915 335.076 1.0 81.19788  ? 197 SER B C   197 SER B C   1 
ATOM 8678  O O   . SER B 2 197 ? 287.641 -29.985 335.535 1.0 81.19788  ? 197 SER B O   197 SER B O   1 
ATOM 8679  C CB  . SER B 2 197 ? 289.852 -29.664 333.507 1.0 81.19788  ? 197 SER B CB  197 SER B CB  1 
ATOM 8680  O OG  . SER B 2 197 ? 291.175 -29.444 333.058 1.0 81.19788  ? 197 SER B OG  197 SER B OG  1 
ATOM 8681  N N   . GLU B 2 198 ? 287.268 -27.856 334.894 1.0 82.57384  ? 198 GLU B N   198 GLU B N   1 
ATOM 8682  C CA  . GLU B 2 198 ? 285.861 -27.909 335.251 1.0 82.57384  ? 198 GLU B CA  198 GLU B CA  1 
ATOM 8683  C C   . GLU B 2 198 ? 285.073 -28.684 334.204 1.0 82.57384  ? 198 GLU B C   198 GLU B C   1 
ATOM 8684  O O   . GLU B 2 198 ? 285.457 -28.761 333.034 1.0 82.57384  ? 198 GLU B O   198 GLU B O   1 
ATOM 8685  C CB  . GLU B 2 198 ? 285.290 -26.498 335.414 1.0 82.57384  ? 198 GLU B CB  198 GLU B CB  1 
ATOM 8686  C CG  . GLU B 2 198 ? 285.191 -25.682 334.132 1.0 82.57384  ? 198 GLU B CG  198 GLU B CG  1 
ATOM 8687  C CD  . GLU B 2 198 ? 286.454 -24.896 333.822 1.0 82.57384  ? 198 GLU B CD  198 GLU B CD  1 
ATOM 8688  O OE1 . GLU B 2 198 ? 287.516 -25.191 334.412 1.0 82.57384  ? 198 GLU B OE1 198 GLU B OE1 1 
ATOM 8689  O OE2 . GLU B 2 198 ? 286.383 -23.973 332.984 1.0 82.57384  ? 198 GLU B OE2 198 GLU B OE2 1 
ATOM 8690  N N   . GLY B 2 199 ? 283.971 -29.271 334.641 1.0 79.71785  ? 199 GLY B N   199 GLY B N   1 
ATOM 8691  C CA  . GLY B 2 199 ? 283.124 -30.072 333.786 1.0 79.71785  ? 199 GLY B CA  199 GLY B CA  1 
ATOM 8692  C C   . GLY B 2 199 ? 283.296 -31.560 334.050 1.0 79.71785  ? 199 GLY B C   199 GLY B C   1 
ATOM 8693  O O   . GLY B 2 199 ? 284.301 -32.019 334.598 1.0 79.71785  ? 199 GLY B O   199 GLY B O   1 
ATOM 8694  N N   . GLN B 2 200 ? 282.279 -32.317 333.650 1.0 80.56884  ? 200 GLN B N   200 GLN B N   1 
ATOM 8695  C CA  . GLN B 2 200 ? 282.276 -33.764 333.825 1.0 80.56884  ? 200 GLN B CA  200 GLN B CA  1 
ATOM 8696  C C   . GLN B 2 200 ? 283.212 -34.401 332.809 1.0 80.56884  ? 200 GLN B C   200 GLN B C   1 
ATOM 8697  O O   . GLN B 2 200 ? 283.036 -34.215 331.601 1.0 80.56884  ? 200 GLN B O   200 GLN B O   1 
ATOM 8698  C CB  . GLN B 2 200 ? 280.861 -34.313 333.668 1.0 80.56884  ? 200 GLN B CB  200 GLN B CB  1 
ATOM 8699  C CG  . GLN B 2 200 ? 280.756 -35.806 333.878 1.0 80.56884  ? 200 GLN B CG  200 GLN B CG  1 
ATOM 8700  C CD  . GLN B 2 200 ? 281.048 -36.211 335.304 1.0 80.56884  ? 200 GLN B CD  200 GLN B CD  1 
ATOM 8701  O OE1 . GLN B 2 200 ? 280.608 -35.559 336.249 1.0 80.56884  ? 200 GLN B OE1 200 GLN B OE1 1 
ATOM 8702  N NE2 . GLN B 2 200 ? 281.799 -37.292 335.468 1.0 80.56884  ? 200 GLN B NE2 200 GLN B NE2 1 
ATOM 8703  N N   . GLN B 2 201 ? 284.201 -35.145 333.300 1.0 78.10604  ? 201 GLN B N   201 GLN B N   1 
ATOM 8704  C CA  . GLN B 2 201 ? 285.181 -35.779 332.427 1.0 78.10604  ? 201 GLN B CA  201 GLN B CA  1 
ATOM 8705  C C   . GLN B 2 201 ? 284.500 -36.863 331.603 1.0 78.10604  ? 201 GLN B C   201 GLN B C   1 
ATOM 8706  O O   . GLN B 2 201 ? 283.744 -37.681 332.135 1.0 78.10604  ? 201 GLN B O   201 GLN B O   1 
ATOM 8707  C CB  . GLN B 2 201 ? 286.330 -36.352 333.260 1.0 78.10604  ? 201 GLN B CB  201 GLN B CB  1 
ATOM 8708  C CG  . GLN B 2 201 ? 287.610 -36.674 332.492 1.0 78.10604  ? 201 GLN B CG  201 GLN B CG  1 
ATOM 8709  C CD  . GLN B 2 201 ? 287.586 -38.019 331.800 1.0 78.10604  ? 201 GLN B CD  201 GLN B CD  1 
ATOM 8710  O OE1 . GLN B 2 201 ? 287.830 -38.116 330.599 1.0 78.10604  ? 201 GLN B OE1 201 GLN B OE1 1 
ATOM 8711  N NE2 . GLN B 2 201 ? 287.302 -39.068 332.559 1.0 78.10604  ? 201 GLN B NE2 201 GLN B NE2 1 
ATOM 8712  N N   . PHE B 2 202 ? 284.754 -36.852 330.301 1.0 72.34303  ? 202 PHE B N   202 PHE B N   1 
ATOM 8713  C CA  . PHE B 2 202 ? 283.964 -37.586 329.330 1.0 72.34303  ? 202 PHE B CA  202 PHE B CA  1 
ATOM 8714  C C   . PHE B 2 202 ? 284.885 -38.396 328.429 1.0 72.34303  ? 202 PHE B C   202 PHE B C   1 
ATOM 8715  O O   . PHE B 2 202 ? 286.013 -37.973 328.161 1.0 72.34303  ? 202 PHE B O   202 PHE B O   1 
ATOM 8716  C CB  . PHE B 2 202 ? 283.130 -36.600 328.497 1.0 72.34303  ? 202 PHE B CB  202 PHE B CB  1 
ATOM 8717  C CG  . PHE B 2 202 ? 282.106 -37.246 327.623 1.0 72.34303  ? 202 PHE B CG  202 PHE B CG  1 
ATOM 8718  C CD1 . PHE B 2 202 ? 280.924 -37.725 328.161 1.0 72.34303  ? 202 PHE B CD1 202 PHE B CD1 1 
ATOM 8719  C CD2 . PHE B 2 202 ? 282.314 -37.362 326.266 1.0 72.34303  ? 202 PHE B CD2 202 PHE B CD2 1 
ATOM 8720  C CE1 . PHE B 2 202 ? 279.977 -38.322 327.359 1.0 72.34303  ? 202 PHE B CE1 202 PHE B CE1 1 
ATOM 8721  C CE2 . PHE B 2 202 ? 281.374 -37.960 325.457 1.0 72.34303  ? 202 PHE B CE2 202 PHE B CE2 1 
ATOM 8722  C CZ  . PHE B 2 202 ? 280.204 -38.435 326.006 1.0 72.34303  ? 202 PHE B CZ  202 PHE B CZ  1 
ATOM 8723  N N   . PRO B 2 203 ? 284.439 -39.576 327.953 1.0 71.3259   ? 203 PRO B N   203 PRO B N   1 
ATOM 8724  C CA  . PRO B 2 203 ? 285.289 -40.386 327.064 1.0 71.3259   ? 203 PRO B CA  203 PRO B CA  1 
ATOM 8725  C C   . PRO B 2 203 ? 285.520 -39.799 325.681 1.0 71.3259   ? 203 PRO B C   203 PRO B C   1 
ATOM 8726  O O   . PRO B 2 203 ? 285.104 -38.679 325.378 1.0 71.3259   ? 203 PRO B O   203 PRO B O   1 
ATOM 8727  C CB  . PRO B 2 203 ? 284.522 -41.708 326.961 1.0 71.3259   ? 203 PRO B CB  203 PRO B CB  1 
ATOM 8728  C CG  . PRO B 2 203 ? 283.729 -41.771 328.184 1.0 71.3259   ? 203 PRO B CG  203 PRO B CG  1 
ATOM 8729  C CD  . PRO B 2 203 ? 283.320 -40.369 328.485 1.0 71.3259   ? 203 PRO B CD  203 PRO B CD  1 
ATOM 8730  N N   . CYS B 2 204 ? 286.195 -40.570 324.829 1.0 70.59012  ? 204 CYS B N   204 CYS B N   1 
ATOM 8731  C CA  . CYS B 2 204 ? 286.626 -40.067 323.531 1.0 70.59012  ? 204 CYS B CA  204 CYS B CA  1 
ATOM 8732  C C   . CYS B 2 204 ? 285.477 -39.910 322.547 1.0 70.59012  ? 204 CYS B C   204 CYS B C   1 
ATOM 8733  O O   . CYS B 2 204 ? 285.581 -39.086 321.635 1.0 70.59012  ? 204 CYS B O   204 CYS B O   1 
ATOM 8734  C CB  . CYS B 2 204 ? 287.684 -41.002 322.941 1.0 70.59012  ? 204 CYS B CB  204 CYS B CB  1 
ATOM 8735  S SG  . CYS B 2 204 ? 288.497 -40.406 321.441 1.0 70.59012  ? 204 CYS B SG  204 CYS B SG  1 
ATOM 8736  N N   . TYR B 2 205 ? 284.375 -40.643 322.743 1.0 69.56512  ? 205 TYR B N   205 TYR B N   1 
ATOM 8737  C CA  . TYR B 2 205 ? 283.352 -40.809 321.714 1.0 69.56512  ? 205 TYR B CA  205 TYR B CA  1 
ATOM 8738  C C   . TYR B 2 205 ? 282.613 -39.520 321.374 1.0 69.56512  ? 205 TYR B C   205 TYR B C   1 
ATOM 8739  O O   . TYR B 2 205 ? 282.093 -39.403 320.263 1.0 69.56512  ? 205 TYR B O   205 TYR B O   1 
ATOM 8740  C CB  . TYR B 2 205 ? 282.348 -41.880 322.150 1.0 69.56512  ? 205 TYR B CB  205 TYR B CB  1 
ATOM 8741  C CG  . TYR B 2 205 ? 281.261 -42.168 321.138 1.0 69.56512  ? 205 TYR B CG  205 TYR B CG  1 
ATOM 8742  C CD1 . TYR B 2 205 ? 281.530 -42.903 319.993 1.0 69.56512  ? 205 TYR B CD1 205 TYR B CD1 1 
ATOM 8743  C CD2 . TYR B 2 205 ? 279.972 -41.687 321.321 1.0 69.56512  ? 205 TYR B CD2 205 TYR B CD2 1 
ATOM 8744  C CE1 . TYR B 2 205 ? 280.543 -43.159 319.064 1.0 69.56512  ? 205 TYR B CE1 205 TYR B CE1 1 
ATOM 8745  C CE2 . TYR B 2 205 ? 278.980 -41.937 320.397 1.0 69.56512  ? 205 TYR B CE2 205 TYR B CE2 1 
ATOM 8746  C CZ  . TYR B 2 205 ? 279.271 -42.673 319.272 1.0 69.56512  ? 205 TYR B CZ  205 TYR B CZ  1 
ATOM 8747  O OH  . TYR B 2 205 ? 278.281 -42.924 318.351 1.0 69.56512  ? 205 TYR B OH  205 TYR B OH  1 
ATOM 8748  N N   . GLY B 2 206 ? 282.550 -38.554 322.283 1.0 68.24905  ? 206 GLY B N   206 GLY B N   1 
ATOM 8749  C CA  . GLY B 2 206 ? 281.844 -37.328 321.966 1.0 68.24905  ? 206 GLY B CA  206 GLY B CA  1 
ATOM 8750  C C   . GLY B 2 206 ? 282.401 -36.065 322.587 1.0 68.24905  ? 206 GLY B C   206 GLY B C   1 
ATOM 8751  O O   . GLY B 2 206 ? 281.689 -35.063 322.679 1.0 68.24905  ? 206 GLY B O   206 GLY B O   1 
ATOM 8752  N N   . ALA B 2 207 ? 283.661 -36.089 323.013 1.0 67.0877   ? 207 ALA B N   207 ALA B N   1 
ATOM 8753  C CA  . ALA B 2 207 ? 284.222 -34.990 323.789 1.0 67.0877   ? 207 ALA B CA  207 ALA B CA  1 
ATOM 8754  C C   . ALA B 2 207 ? 284.486 -33.767 322.922 1.0 67.0877   ? 207 ALA B C   207 ALA B C   1 
ATOM 8755  O O   . ALA B 2 207 ? 285.004 -33.876 321.809 1.0 67.0877   ? 207 ALA B O   207 ALA B O   1 
ATOM 8756  C CB  . ALA B 2 207 ? 285.515 -35.429 324.468 1.0 67.0877   ? 207 ALA B CB  207 ALA B CB  1 
ATOM 8757  N N   . TYR B 2 208 ? 284.139 -32.593 323.450 1.0 66.99616  ? 208 TYR B N   208 TYR B N   1 
ATOM 8758  C CA  . TYR B 2 208 ? 284.277 -31.344 322.719 1.0 66.99616  ? 208 TYR B CA  208 TYR B CA  1 
ATOM 8759  C C   . TYR B 2 208 ? 284.812 -30.247 323.624 1.0 66.99616  ? 208 TYR B C   208 TYR B C   1 
ATOM 8760  O O   . TYR B 2 208 ? 284.411 -30.134 324.785 1.0 66.99616  ? 208 TYR B O   208 TYR B O   1 
ATOM 8761  C CB  . TYR B 2 208 ? 282.945 -30.905 322.120 1.0 66.99616  ? 208 TYR B CB  208 TYR B CB  1 
ATOM 8762  C CG  . TYR B 2 208 ? 283.026 -29.588 321.393 1.0 66.99616  ? 208 TYR B CG  208 TYR B CG  1 
ATOM 8763  C CD1 . TYR B 2 208 ? 283.692 -29.489 320.189 1.0 66.99616  ? 208 TYR B CD1 208 TYR B CD1 1 
ATOM 8764  C CD2 . TYR B 2 208 ? 282.429 -28.452 321.903 1.0 66.99616  ? 208 TYR B CD2 208 TYR B CD2 1 
ATOM 8765  C CE1 . TYR B 2 208 ? 283.767 -28.295 319.510 1.0 66.99616  ? 208 TYR B CE1 208 TYR B CE1 1 
ATOM 8766  C CE2 . TYR B 2 208 ? 282.501 -27.250 321.234 1.0 66.99616  ? 208 TYR B CE2 208 TYR B CE2 1 
ATOM 8767  C CZ  . TYR B 2 208 ? 283.166 -27.181 320.036 1.0 66.99616  ? 208 TYR B CZ  208 TYR B CZ  1 
ATOM 8768  O OH  . TYR B 2 208 ? 283.242 -25.993 319.360 1.0 66.99616  ? 208 TYR B OH  208 TYR B OH  1 
ATOM 8769  N N   . ALA B 2 209 ? 285.725 -29.442 323.076 1.0 68.25976  ? 209 ALA B N   209 ALA B N   1 
ATOM 8770  C CA  . ALA B 2 209 ? 286.263 -28.268 323.731 1.0 68.25976  ? 209 ALA B CA  209 ALA B CA  1 
ATOM 8771  C C   . ALA B 2 209 ? 286.274 -27.161 322.684 1.0 68.25976  ? 209 ALA B C   209 ALA B C   1 
ATOM 8772  O O   . ALA B 2 209 ? 286.811 -27.367 321.584 1.0 68.25976  ? 209 ALA B O   209 ALA B O   1 
ATOM 8773  C CB  . ALA B 2 209 ? 287.668 -28.495 324.277 1.0 68.25976  ? 209 ALA B CB  209 ALA B CB  1 
ATOM 8774  N N   . PRO B 2 210 ? 285.695 -25.996 322.979 1.0 68.95314  ? 210 PRO B N   210 PRO B N   1 
ATOM 8775  C CA  . PRO B 2 210 ? 285.629 -24.942 321.971 1.0 68.95314  ? 210 PRO B CA  210 PRO B CA  1 
ATOM 8776  C C   . PRO B 2 210 ? 286.997 -24.328 321.742 1.0 68.95314  ? 210 PRO B C   210 PRO B C   1 
ATOM 8777  O O   . PRO B 2 210 ? 287.801 -24.203 322.681 1.0 68.95314  ? 210 PRO B O   210 PRO B O   1 
ATOM 8778  C CB  . PRO B 2 210 ? 284.656 -23.923 322.590 1.0 68.95314  ? 210 PRO B CB  210 PRO B CB  1 
ATOM 8779  C CG  . PRO B 2 210 ? 283.895 -24.694 323.614 1.0 68.95314  ? 210 PRO B CG  210 PRO B CG  1 
ATOM 8780  C CD  . PRO B 2 210 ? 284.877 -25.678 324.159 1.0 68.95314  ? 210 PRO B CD  210 PRO B CD  1 
ATOM 8781  N N   . PRO B 2 211 ? 287.312 -23.941 320.511 1.0 70.42486  ? 211 PRO B N   211 PRO B N   1 
ATOM 8782  C CA  . PRO B 2 211 ? 288.632 -23.376 320.227 1.0 70.42486  ? 211 PRO B CA  211 PRO B CA  1 
ATOM 8783  C C   . PRO B 2 211 ? 288.757 -21.950 320.735 1.0 70.42486  ? 211 PRO B C   211 PRO B C   1 
ATOM 8784  O O   . PRO B 2 211 ? 287.774 -21.227 320.900 1.0 70.42486  ? 211 PRO B O   211 PRO B O   1 
ATOM 8785  C CB  . PRO B 2 211 ? 288.712 -23.419 318.700 1.0 70.42486  ? 211 PRO B CB  211 PRO B CB  1 
ATOM 8786  C CG  . PRO B 2 211 ? 287.303 -23.321 318.266 1.0 70.42486  ? 211 PRO B CG  211 PRO B CG  1 
ATOM 8787  C CD  . PRO B 2 211 ? 286.491 -24.052 319.295 1.0 70.42486  ? 211 PRO B CD  211 PRO B CD  1 
ATOM 8788  N N   . GLN B 2 212 ? 290.002 -21.551 320.983 1.0 74.44164  ? 212 GLN B N   212 GLN B N   1 
ATOM 8789  C CA  . GLN B 2 212 ? 290.300 -20.230 321.516 1.0 74.44164  ? 212 GLN B CA  212 GLN B CA  1 
ATOM 8790  C C   . GLN B 2 212 ? 290.893 -19.306 320.462 1.0 74.44164  ? 212 GLN B C   212 GLN B C   1 
ATOM 8791  O O   . GLN B 2 212 ? 290.366 -18.214 320.233 1.0 74.44164  ? 212 GLN B O   212 GLN B O   1 
ATOM 8792  C CB  . GLN B 2 212 ? 291.243 -20.357 322.716 1.0 74.44164  ? 212 GLN B CB  212 GLN B CB  1 
ATOM 8793  C CG  . GLN B 2 212 ? 290.635 -21.131 323.862 1.0 74.44164  ? 212 GLN B CG  212 GLN B CG  1 
ATOM 8794  C CD  . GLN B 2 212 ? 289.444 -20.423 324.464 1.0 74.44164  ? 212 GLN B CD  212 GLN B CD  1 
ATOM 8795  O OE1 . GLN B 2 212 ? 289.453 -19.205 324.636 1.0 74.44164  ? 212 GLN B OE1 212 GLN B OE1 1 
ATOM 8796  N NE2 . GLN B 2 212 ? 288.402 -21.182 324.778 1.0 74.44164  ? 212 GLN B NE2 212 GLN B NE2 1 
ATOM 8797  N N   . SER B 2 213 ? 291.974 -19.711 319.808 1.0 76.25307  ? 213 SER B N   213 SER B N   1 
ATOM 8798  C CA  . SER B 2 213 ? 292.603 -18.908 318.772 1.0 76.25307  ? 213 SER B CA  213 SER B CA  1 
ATOM 8799  C C   . SER B 2 213 ? 292.341 -19.520 317.403 1.0 76.25307  ? 213 SER B C   213 SER B C   1 
ATOM 8800  O O   . SER B 2 213 ? 291.802 -20.621 317.276 1.0 76.25307  ? 213 SER B O   213 SER B O   1 
ATOM 8801  C CB  . SER B 2 213 ? 294.110 -18.778 319.015 1.0 76.25307  ? 213 SER B CB  213 SER B CB  1 
ATOM 8802  O OG  . SER B 2 213 ? 294.377 -18.105 320.232 1.0 76.25307  ? 213 SER B OG  213 SER B OG  1 
ATOM 8803  N N   . ALA B 2 214 ? 292.743 -18.783 316.368 1.0 76.1444   ? 214 ALA B N   214 ALA B N   1 
ATOM 8804  C CA  . ALA B 2 214 ? 292.566 -19.254 315.002 1.0 76.1444   ? 214 ALA B CA  214 ALA B CA  1 
ATOM 8805  C C   . ALA B 2 214 ? 293.538 -20.368 314.643 1.0 76.1444   ? 214 ALA B C   214 ALA B C   1 
ATOM 8806  O O   . ALA B 2 214 ? 293.305 -21.081 313.662 1.0 76.1444   ? 214 ALA B O   214 ALA B O   1 
ATOM 8807  C CB  . ALA B 2 214 ? 292.718 -18.093 314.022 1.0 76.1444   ? 214 ALA B CB  214 ALA B CB  1 
ATOM 8808  N N   . GLY B 2 215 ? 294.625 -20.522 315.400 1.0 76.39394  ? 215 GLY B N   215 GLY B N   1 
ATOM 8809  C CA  . GLY B 2 215 ? 295.533 -21.632 315.182 1.0 76.39394  ? 215 GLY B CA  215 GLY B CA  1 
ATOM 8810  C C   . GLY B 2 215 ? 294.952 -22.977 315.558 1.0 76.39394  ? 215 GLY B C   215 GLY B C   1 
ATOM 8811  O O   . GLY B 2 215 ? 295.309 -23.987 314.946 1.0 76.39394  ? 215 GLY B O   215 GLY B O   1 
ATOM 8812  N N   . GLY B 2 216 ? 294.068 -23.014 316.551 1.0 75.87166  ? 216 GLY B N   216 GLY B N   1 
ATOM 8813  C CA  . GLY B 2 216 ? 293.379 -24.241 316.891 1.0 75.87166  ? 216 GLY B CA  216 GLY B CA  1 
ATOM 8814  C C   . GLY B 2 216 ? 293.675 -24.776 318.276 1.0 75.87166  ? 216 GLY B C   216 GLY B C   1 
ATOM 8815  O O   . GLY B 2 216 ? 293.580 -25.985 318.506 1.0 75.87166  ? 216 GLY B O   216 GLY B O   1 
ATOM 8816  N N   . ASP B 2 217 ? 294.036 -23.900 319.208 1.0 78.35341  ? 217 ASP B N   217 ASP B N   1 
ATOM 8817  C CA  . ASP B 2 217 ? 294.231 -24.336 320.580 1.0 78.35341  ? 217 ASP B CA  217 ASP B CA  1 
ATOM 8818  C C   . ASP B 2 217 ? 292.885 -24.486 321.286 1.0 78.35341  ? 217 ASP B C   217 ASP B C   1 
ATOM 8819  O O   . ASP B 2 217 ? 291.857 -23.977 320.836 1.0 78.35341  ? 217 ASP B O   217 ASP B O   1 
ATOM 8820  C CB  . ASP B 2 217 ? 295.139 -23.364 321.336 1.0 78.35341  ? 217 ASP B CB  217 ASP B CB  1 
ATOM 8821  C CG  . ASP B 2 217 ? 294.628 -21.930 321.313 1.0 78.35341  ? 217 ASP B CG  217 ASP B CG  1 
ATOM 8822  O OD1 . ASP B 2 217 ? 293.665 -21.636 320.579 1.0 78.35341  ? 217 ASP B OD1 217 ASP B OD1 1 
ATOM 8823  O OD2 . ASP B 2 217 ? 295.185 -21.088 322.047 1.0 78.35341  ? 217 ASP B OD2 217 ASP B OD2 1 
ATOM 8824  N N   . VAL B 2 218 ? 292.899 -25.199 322.409 1.0 77.29276  ? 218 VAL B N   218 VAL B N   1 
ATOM 8825  C CA  . VAL B 2 218 ? 291.695 -25.399 323.207 1.0 77.29276  ? 218 VAL B CA  218 VAL B CA  1 
ATOM 8826  C C   . VAL B 2 218 ? 291.952 -24.977 324.643 1.0 77.29276  ? 218 VAL B C   218 VAL B C   1 
ATOM 8827  O O   . VAL B 2 218 ? 291.016 -24.846 325.438 1.0 77.29276  ? 218 VAL B O   218 VAL B O   1 
ATOM 8828  C CB  . VAL B 2 218 ? 291.219 -26.860 323.154 1.0 77.29276  ? 218 VAL B CB  218 VAL B CB  1 
ATOM 8829  C CG1 . VAL B 2 218 ? 290.691 -27.191 321.786 1.0 77.29276  ? 218 VAL B CG1 218 VAL B CG1 1 
ATOM 8830  C CG2 . VAL B 2 218 ? 292.364 -27.790 323.499 1.0 77.29276  ? 218 VAL B CG2 218 VAL B CG2 1 
ATOM 8831  N N   . SER B 2 219 ? 293.218 -24.765 324.987 1.0 79.69094  ? 219 SER B N   219 SER B N   1 
ATOM 8832  C CA  . SER B 2 219 ? 293.588 -24.458 326.361 1.0 79.69094  ? 219 SER B CA  219 SER B CA  1 
ATOM 8833  C C   . SER B 2 219 ? 293.201 -23.023 326.690 1.0 79.69094  ? 219 SER B C   219 SER B C   1 
ATOM 8834  O O   . SER B 2 219 ? 293.722 -22.078 326.090 1.0 79.69094  ? 219 SER B O   219 SER B O   1 
ATOM 8835  C CB  . SER B 2 219 ? 295.083 -24.671 326.571 1.0 79.69094  ? 219 SER B CB  219 SER B CB  1 
ATOM 8836  O OG  . SER B 2 219 ? 295.835 -23.725 325.838 1.0 79.69094  ? 219 SER B OG  219 SER B OG  1 
ATOM 8837  N N   . THR B 2 220 ? 292.291 -22.862 327.649 1.0 81.76805  ? 220 THR B N   220 THR B N   1 
ATOM 8838  C CA  . THR B 2 220 ? 291.874 -21.539 328.089 1.0 81.76805  ? 220 THR B CA  220 THR B CA  1 
ATOM 8839  C C   . THR B 2 220 ? 292.919 -20.839 328.950 1.0 81.76805  ? 220 THR B C   220 THR B C   1 
ATOM 8840  O O   . THR B 2 220 ? 292.798 -19.632 329.179 1.0 81.76805  ? 220 THR B O   220 THR B O   1 
ATOM 8841  C CB  . THR B 2 220 ? 290.551 -21.629 328.853 1.0 81.76805  ? 220 THR B CB  220 THR B CB  1 
ATOM 8842  O OG1 . THR B 2 220 ? 290.097 -20.311 329.182 1.0 81.76805  ? 220 THR B OG1 220 THR B OG1 1 
ATOM 8843  C CG2 . THR B 2 220 ? 290.717 -22.438 330.125 1.0 81.76805  ? 220 THR B CG2 220 THR B CG2 1 
ATOM 8844  N N   . ALA B 2 221 ? 293.932 -21.558 329.429 1.0 82.44772  ? 221 ALA B N   221 ALA B N   1 
ATOM 8845  C CA  . ALA B 2 221 ? 295.042 -20.939 330.139 1.0 82.44772  ? 221 ALA B CA  221 ALA B CA  1 
ATOM 8846  C C   . ALA B 2 221 ? 296.352 -21.351 329.487 1.0 82.44772  ? 221 ALA B C   221 ALA B C   1 
ATOM 8847  O O   . ALA B 2 221 ? 296.348 -21.926 328.395 1.0 82.44772  ? 221 ALA B O   221 ALA B O   1 
ATOM 8848  C CB  . ALA B 2 221 ? 295.032 -21.321 331.618 1.0 82.44772  ? 221 ALA B CB  221 ALA B CB  1 
ATOM 8849  N N   . ALA B 2 222 ? 297.473 -21.051 330.138 1.0 83.43763  ? 222 ALA B N   222 ALA B N   1 
ATOM 8850  C CA  . ALA B 2 222 ? 298.775 -21.379 329.583 1.0 83.43763  ? 222 ALA B CA  222 ALA B CA  1 
ATOM 8851  C C   . ALA B 2 222 ? 299.021 -22.884 329.630 1.0 83.43763  ? 222 ALA B C   222 ALA B C   1 
ATOM 8852  O O   . ALA B 2 222 ? 298.384 -23.625 330.383 1.0 83.43763  ? 222 ALA B O   222 ALA B O   1 
ATOM 8853  C CB  . ALA B 2 222 ? 299.879 -20.642 330.337 1.0 83.43763  ? 222 ALA B CB  222 ALA B CB  1 
ATOM 8854  N N   . VAL B 2 223 ? 299.961 -23.331 328.805 1.0 84.2454   ? 223 VAL B N   223 VAL B N   1 
ATOM 8855  C CA  . VAL B 2 223 ? 300.267 -24.747 328.647 1.0 84.2454   ? 223 VAL B CA  223 VAL B CA  1 
ATOM 8856  C C   . VAL B 2 223 ? 301.561 -25.050 329.387 1.0 84.2454   ? 223 VAL B C   223 VAL B C   1 
ATOM 8857  O O   . VAL B 2 223 ? 302.606 -24.456 329.095 1.0 84.2454   ? 223 VAL B O   223 VAL B O   1 
ATOM 8858  C CB  . VAL B 2 223 ? 300.381 -25.131 327.164 1.0 84.2454   ? 223 VAL B CB  223 VAL B CB  1 
ATOM 8859  C CG1 . VAL B 2 223 ? 300.811 -26.574 327.027 1.0 84.2454   ? 223 VAL B CG1 223 VAL B CG1 1 
ATOM 8860  C CG2 . VAL B 2 223 ? 299.063 -24.900 326.454 1.0 84.2454   ? 223 VAL B CG2 223 VAL B CG2 1 
ATOM 8861  N N   . THR B 2 224 ? 301.496 -25.970 330.342 1.0 87.35597  ? 224 THR B N   224 THR B N   1 
ATOM 8862  C CA  . THR B 2 224 ? 302.665 -26.444 331.066 1.0 87.35597  ? 224 THR B CA  224 THR B CA  1 
ATOM 8863  C C   . THR B 2 224 ? 302.956 -27.890 330.684 1.0 87.35597  ? 224 THR B C   224 THR B C   1 
ATOM 8864  O O   . THR B 2 224 ? 302.197 -28.529 329.954 1.0 87.35597  ? 224 THR B O   224 THR B O   1 
ATOM 8865  C CB  . THR B 2 224 ? 302.462 -26.313 332.579 1.0 87.35597  ? 224 THR B CB  224 THR B CB  1 
ATOM 8866  O OG1 . THR B 2 224 ? 301.339 -27.101 332.984 1.0 87.35597  ? 224 THR B OG1 224 THR B OG1 1 
ATOM 8867  C CG2 . THR B 2 224 ? 302.211 -24.864 332.956 1.0 87.35597  ? 224 THR B CG2 224 THR B CG2 1 
ATOM 8868  N N   . LYS B 2 225 ? 304.075 -28.405 331.185 1.0 89.95926  ? 225 LYS B N   225 LYS B N   1 
ATOM 8869  C CA  . LYS B 2 225 ? 304.549 -29.735 330.831 1.0 89.95926  ? 225 LYS B CA  225 LYS B CA  1 
ATOM 8870  C C   . LYS B 2 225 ? 304.434 -30.690 332.011 1.0 89.95926  ? 225 LYS B C   225 LYS B C   1 
ATOM 8871  O O   . LYS B 2 225 ? 304.470 -30.272 333.172 1.0 89.95926  ? 225 LYS B O   225 LYS B O   1 
ATOM 8872  C CB  . LYS B 2 225 ? 305.996 -29.689 330.335 1.0 89.95926  ? 225 LYS B CB  225 LYS B CB  1 
ATOM 8873  C CG  . LYS B 2 225 ? 306.148 -29.060 328.966 1.0 89.95926  ? 225 LYS B CG  225 LYS B CG  1 
ATOM 8874  C CD  . LYS B 2 225 ? 307.576 -29.138 328.468 1.0 89.95926  ? 225 LYS B CD  225 LYS B CD  1 
ATOM 8875  C CE  . LYS B 2 225 ? 308.448 -28.111 329.167 1.0 89.95926  ? 225 LYS B CE  225 LYS B CE  1 
ATOM 8876  N NZ  . LYS B 2 225 ? 309.830 -28.080 328.614 1.0 89.95926  ? 225 LYS B NZ  225 LYS B NZ  1 
ATOM 8877  N N   . THR B 2 226 ? 304.292 -31.976 331.694 1.0 92.23091  ? 226 THR B N   226 THR B N   1 
ATOM 8878  C CA  . THR B 2 226 ? 304.143 -33.044 332.674 1.0 92.23091  ? 226 THR B CA  226 THR B CA  1 
ATOM 8879  C C   . THR B 2 226 ? 305.111 -34.167 332.329 1.0 92.23091  ? 226 THR B C   226 THR B C   1 
ATOM 8880  O O   . THR B 2 226 ? 305.110 -34.665 331.204 1.0 92.23091  ? 226 THR B O   226 THR B O   1 
ATOM 8881  C CB  . THR B 2 226 ? 302.708 -33.572 332.689 1.0 92.23091  ? 226 THR B CB  226 THR B CB  1 
ATOM 8882  O OG1 . THR B 2 226 ? 301.812 -32.499 332.998 1.0 92.23091  ? 226 THR B OG1 226 THR B OG1 1 
ATOM 8883  C CG2 . THR B 2 226 ? 302.551 -34.660 333.732 1.0 92.23091  ? 226 THR B CG2 226 THR B CG2 1 
ATOM 8884  N N   . TYR B 2 227 ? 305.927 -34.578 333.286 1.0 97.10769  ? 227 TYR B N   227 TYR B N   1 
ATOM 8885  C CA  . TYR B 2 227 ? 306.989 -35.526 333.004 1.0 97.10769  ? 227 TYR B CA  227 TYR B CA  1 
ATOM 8886  C C   . TYR B 2 227 ? 306.614 -36.909 333.521 1.0 97.10769  ? 227 TYR B C   227 TYR B C   1 
ATOM 8887  O O   . TYR B 2 227 ? 306.017 -37.050 334.590 1.0 97.10769  ? 227 TYR B O   227 TYR B O   1 
ATOM 8888  C CB  . TYR B 2 227 ? 308.300 -35.036 333.611 1.0 97.10769  ? 227 TYR B CB  227 TYR B CB  1 
ATOM 8889  C CG  . TYR B 2 227 ? 308.768 -33.752 332.961 1.0 97.10769  ? 227 TYR B CG  227 TYR B CG  1 
ATOM 8890  C CD1 . TYR B 2 227 ? 309.443 -33.776 331.752 1.0 97.10769  ? 227 TYR B CD1 227 TYR B CD1 1 
ATOM 8891  C CD2 . TYR B 2 227 ? 308.503 -32.517 333.536 1.0 97.10769  ? 227 TYR B CD2 227 TYR B CD2 1 
ATOM 8892  C CE1 . TYR B 2 227 ? 309.864 -32.621 331.143 1.0 97.10769  ? 227 TYR B CE1 227 TYR B CE1 1 
ATOM 8893  C CE2 . TYR B 2 227 ? 308.918 -31.347 332.928 1.0 97.10769  ? 227 TYR B CE2 227 TYR B CE2 1 
ATOM 8894  C CZ  . TYR B 2 227 ? 309.600 -31.412 331.732 1.0 97.10769  ? 227 TYR B CZ  227 TYR B CZ  1 
ATOM 8895  O OH  . TYR B 2 227 ? 310.025 -30.265 331.112 1.0 97.10769  ? 227 TYR B OH  227 TYR B OH  1 
ATOM 8896  N N   . ILE B 2 228 ? 306.965 -37.935 332.742 1.0 97.02204  ? 228 ILE B N   228 ILE B N   1 
ATOM 8897  C CA  . ILE B 2 228 ? 306.489 -39.293 332.962 1.0 97.02204  ? 228 ILE B CA  228 ILE B CA  1 
ATOM 8898  C C   . ILE B 2 228 ? 307.653 -40.263 332.764 1.0 97.02204  ? 228 ILE B C   228 ILE B C   1 
ATOM 8899  O O   . ILE B 2 228 ? 308.679 -39.929 332.161 1.0 97.02204  ? 228 ILE B O   228 ILE B O   1 
ATOM 8900  C CB  . ILE B 2 228 ? 305.318 -39.621 332.001 1.0 97.02204  ? 228 ILE B CB  228 ILE B CB  1 
ATOM 8901  C CG1 . ILE B 2 228 ? 304.388 -40.699 332.564 1.0 97.02204  ? 228 ILE B CG1 228 ILE B CG1 1 
ATOM 8902  C CG2 . ILE B 2 228 ? 305.843 -40.061 330.650 1.0 97.02204  ? 228 ILE B CG2 228 ILE B CG2 1 
ATOM 8903  C CD1 . ILE B 2 228 ? 303.571 -40.232 333.739 1.0 97.02204  ? 228 ILE B CD1 228 ILE B CD1 1 
ATOM 8904  N N   . ASN B 2 229 ? 307.491 -41.471 333.309 1.0 97.94067  ? 229 ASN B N   229 ASN B N   1 
ATOM 8905  C CA  . ASN B 2 229 ? 308.450 -42.547 333.105 1.0 97.94067  ? 229 ASN B CA  229 ASN B CA  1 
ATOM 8906  C C   . ASN B 2 229 ? 307.750 -43.875 333.332 1.0 97.94067  ? 229 ASN B C   229 ASN B C   1 
ATOM 8907  O O   . ASN B 2 229 ? 307.085 -44.059 334.356 1.0 97.94067  ? 229 ASN B O   229 ASN B O   1 
ATOM 8908  C CB  . ASN B 2 229 ? 309.635 -42.433 334.060 1.0 97.94067  ? 229 ASN B CB  229 ASN B CB  1 
ATOM 8909  C CG  . ASN B 2 229 ? 310.774 -43.366 333.690 1.0 97.94067  ? 229 ASN B CG  229 ASN B CG  1 
ATOM 8910  O OD1 . ASN B 2 229 ? 310.726 -44.067 332.679 1.0 97.94067  ? 229 ASN B OD1 229 ASN B OD1 1 
ATOM 8911  N ND2 . ASN B 2 229 ? 311.811 -43.384 334.520 1.0 97.94067  ? 229 ASN B ND2 229 ASN B ND2 1 
ATOM 8912  N N   . THR B 2 230 ? 307.901 -44.791 332.373 1.0 96.16306  ? 230 THR B N   230 THR B N   1 
ATOM 8913  C CA  . THR B 2 230 ? 307.556 -46.203 332.540 1.0 96.16306  ? 230 THR B CA  230 THR B CA  1 
ATOM 8914  C C   . THR B 2 230 ? 308.758 -47.014 332.069 1.0 96.16306  ? 230 THR B C   230 THR B C   1 
ATOM 8915  O O   . THR B 2 230 ? 308.765 -47.530 330.952 1.0 96.16306  ? 230 THR B O   230 THR B O   1 
ATOM 8916  C CB  . THR B 2 230 ? 306.302 -46.572 331.757 1.0 96.16306  ? 230 THR B CB  230 THR B CB  1 
ATOM 8917  O OG1 . THR B 2 230 ? 306.504 -46.260 330.374 1.0 96.16306  ? 230 THR B OG1 230 THR B OG1 1 
ATOM 8918  C CG2 . THR B 2 230 ? 305.075 -45.843 332.286 1.0 96.16306  ? 230 THR B CG2 230 THR B CG2 1 
ATOM 8919  N N   . THR B 2 231 ? 309.759 -47.145 332.937 1.0 99.2776   ? 231 THR B N   231 THR B N   1 
ATOM 8920  C CA  . THR B 2 231 ? 310.955 -47.944 332.683 1.0 99.2776   ? 231 THR B CA  231 THR B CA  1 
ATOM 8921  C C   . THR B 2 231 ? 311.365 -48.602 333.992 1.0 99.2776   ? 231 THR B C   231 THR B C   1 
ATOM 8922  O O   . THR B 2 231 ? 310.605 -48.630 334.965 1.0 99.2776   ? 231 THR B O   231 THR B O   1 
ATOM 8923  C CB  . THR B 2 231 ? 312.128 -47.110 332.140 1.0 99.2776   ? 231 THR B CB  231 THR B CB  1 
ATOM 8924  O OG1 . THR B 2 231 ? 312.375 -46.000 333.011 1.0 99.2776   ? 231 THR B OG1 231 THR B OG1 1 
ATOM 8925  C CG2 . THR B 2 231 ? 311.908 -46.625 330.716 1.0 99.2776   ? 231 THR B CG2 231 THR B CG2 1 
ATOM 8926  N N   . ASN B 2 232 ? 312.586 -49.129 334.014 1.0 101.67814 ? 232 ASN B N   232 ASN B N   1 
ATOM 8927  C CA  . ASN B 2 232 ? 313.205 -49.572 335.253 1.0 101.67814 ? 232 ASN B CA  232 ASN B CA  1 
ATOM 8928  C C   . ASN B 2 232 ? 314.137 -48.528 335.841 1.0 101.67814 ? 232 ASN B C   232 ASN B C   1 
ATOM 8929  O O   . ASN B 2 232 ? 314.553 -48.667 336.997 1.0 101.67814 ? 232 ASN B O   232 ASN B O   1 
ATOM 8930  C CB  . ASN B 2 232 ? 313.989 -50.863 335.021 1.0 101.67814 ? 232 ASN B CB  232 ASN B CB  1 
ATOM 8931  C CG  . ASN B 2 232 ? 313.108 -52.002 334.581 1.0 101.67814 ? 232 ASN B CG  232 ASN B CG  1 
ATOM 8932  O OD1 . ASN B 2 232 ? 313.212 -52.478 333.452 1.0 101.67814 ? 232 ASN B OD1 232 ASN B OD1 1 
ATOM 8933  N ND2 . ASN B 2 232 ? 312.232 -52.451 335.471 1.0 101.67814 ? 232 ASN B ND2 232 ASN B ND2 1 
ATOM 8934  N N   . ASN B 2 233 ? 314.480 -47.500 335.074 1.0 101.00353 ? 233 ASN B N   233 ASN B N   1 
ATOM 8935  C CA  . ASN B 2 233 ? 315.398 -46.480 335.550 1.0 101.00353 ? 233 ASN B CA  233 ASN B CA  1 
ATOM 8936  C C   . ASN B 2 233 ? 314.676 -45.530 336.497 1.0 101.00353 ? 233 ASN B C   233 ASN B C   1 
ATOM 8937  O O   . ASN B 2 233 ? 313.457 -45.356 336.431 1.0 101.00353 ? 233 ASN B O   233 ASN B O   1 
ATOM 8938  C CB  . ASN B 2 233 ? 315.991 -45.711 334.367 1.0 101.00353 ? 233 ASN B CB  233 ASN B CB  1 
ATOM 8939  C CG  . ASN B 2 233 ? 317.205 -44.878 334.746 1.0 101.00353 ? 233 ASN B CG  233 ASN B CG  1 
ATOM 8940  O OD1 . ASN B 2 233 ? 317.627 -44.854 335.903 1.0 101.00353 ? 233 ASN B OD1 233 ASN B OD1 1 
ATOM 8941  N ND2 . ASN B 2 233 ? 317.776 -44.191 333.765 1.0 101.00353 ? 233 ASN B ND2 233 ASN B ND2 1 
ATOM 8942  N N   . ASN B 2 234 ? 315.444 -44.924 337.398 1.0 102.21304 ? 234 ASN B N   234 ASN B N   1 
ATOM 8943  C CA  . ASN B 2 234 ? 314.897 -43.938 338.318 1.0 102.21304 ? 234 ASN B CA  234 ASN B CA  1 
ATOM 8944  C C   . ASN B 2 234 ? 315.092 -42.521 337.790 1.0 102.21304 ? 234 ASN B C   234 ASN B C   1 
ATOM 8945  O O   . ASN B 2 234 ? 314.177 -41.699 337.855 1.0 102.21304 ? 234 ASN B O   234 ASN B O   1 
ATOM 8946  C CB  . ASN B 2 234 ? 315.551 -44.086 339.695 1.0 102.21304 ? 234 ASN B CB  234 ASN B CB  1 
ATOM 8947  C CG  . ASN B 2 234 ? 314.804 -43.341 340.785 1.0 102.21304 ? 234 ASN B CG  234 ASN B CG  1 
ATOM 8948  O OD1 . ASN B 2 234 ? 313.744 -42.762 340.551 1.0 102.21304 ? 234 ASN B OD1 234 ASN B OD1 1 
ATOM 8949  N ND2 . ASN B 2 234 ? 315.367 -43.338 341.986 1.0 102.21304 ? 234 ASN B ND2 234 ASN B ND2 1 
ATOM 8950  N N   . GLY B 2 235 ? 316.281 -42.214 337.284 1.0 102.48514 ? 235 GLY B N   235 GLY B N   1 
ATOM 8951  C CA  . GLY B 2 235 ? 316.548 -40.880 336.787 1.0 102.48514 ? 235 GLY B CA  235 GLY B CA  1 
ATOM 8952  C C   . GLY B 2 235 ? 316.345 -40.713 335.296 1.0 102.48514 ? 235 GLY B C   235 GLY B C   1 
ATOM 8953  O O   . GLY B 2 235 ? 317.220 -40.178 334.611 1.0 102.48514 ? 235 GLY B O   235 GLY B O   1 
ATOM 8954  N N   . ARG B 2 236 ? 315.203 -41.152 334.777 1.0 99.3139   ? 236 ARG B N   236 ARG B N   1 
ATOM 8955  C CA  . ARG B 2 236 ? 314.909 -41.003 333.360 1.0 99.3139   ? 236 ARG B CA  236 ARG B CA  1 
ATOM 8956  C C   . ARG B 2 236 ? 313.472 -40.528 333.204 1.0 99.3139   ? 236 ARG B C   236 ARG B C   1 
ATOM 8957  O O   . ARG B 2 236 ? 312.603 -40.890 333.999 1.0 99.3139   ? 236 ARG B O   236 ARG B O   1 
ATOM 8958  C CB  . ARG B 2 236 ? 315.126 -42.320 332.598 1.0 99.3139   ? 236 ARG B CB  236 ARG B CB  1 
ATOM 8959  C CG  . ARG B 2 236 ? 315.063 -42.170 331.090 1.0 99.3139   ? 236 ARG B CG  236 ARG B CG  1 
ATOM 8960  C CD  . ARG B 2 236 ? 315.260 -43.466 330.354 1.0 99.3139   ? 236 ARG B CD  236 ARG B CD  1 
ATOM 8961  N NE  . ARG B 2 236 ? 315.175 -43.240 328.917 1.0 99.3139   ? 236 ARG B NE  236 ARG B NE  1 
ATOM 8962  C CZ  . ARG B 2 236 ? 314.038 -43.255 328.231 1.0 99.3139   ? 236 ARG B CZ  236 ARG B CZ  1 
ATOM 8963  N NH1 . ARG B 2 236 ? 312.890 -43.499 328.850 1.0 99.3139   ? 236 ARG B NH1 236 ARG B NH1 1 
ATOM 8964  N NH2 . ARG B 2 236 ? 314.047 -43.045 326.924 1.0 99.3139   ? 236 ARG B NH2 236 ARG B NH2 1 
ATOM 8965  N N   . VAL B 2 237 ? 313.236 -39.694 332.196 1.0 98.03747  ? 237 VAL B N   237 VAL B N   1 
ATOM 8966  C CA  . VAL B 2 237 ? 311.911 -39.194 331.859 1.0 98.03747  ? 237 VAL B CA  237 VAL B CA  1 
ATOM 8967  C C   . VAL B 2 237 ? 311.563 -39.696 330.464 1.0 98.03747  ? 237 VAL B C   237 VAL B C   1 
ATOM 8968  O O   . VAL B 2 237 ? 312.390 -39.616 329.550 1.0 98.03747  ? 237 VAL B O   237 VAL B O   1 
ATOM 8969  C CB  . VAL B 2 237 ? 311.863 -37.658 331.931 1.0 98.03747  ? 237 VAL B CB  237 VAL B CB  1 
ATOM 8970  C CG1 . VAL B 2 237 ? 310.527 -37.140 331.465 1.0 98.03747  ? 237 VAL B CG1 237 VAL B CG1 1 
ATOM 8971  C CG2 . VAL B 2 237 ? 312.139 -37.198 333.347 1.0 98.03747  ? 237 VAL B CG2 237 VAL B CG2 1 
ATOM 8972  N N   . SER B 2 238 ? 310.348 -40.224 330.305 1.0 93.85211  ? 238 SER B N   238 SER B N   1 
ATOM 8973  C CA  . SER B 2 238 ? 309.907 -40.801 329.042 1.0 93.85211  ? 238 SER B CA  238 SER B CA  1 
ATOM 8974  C C   . SER B 2 238 ? 308.767 -40.010 328.406 1.0 93.85211  ? 238 SER B C   238 SER B C   1 
ATOM 8975  O O   . SER B 2 238 ? 307.985 -40.563 327.633 1.0 93.85211  ? 238 SER B O   238 SER B O   1 
ATOM 8976  C CB  . SER B 2 238 ? 309.492 -42.257 329.240 1.0 93.85211  ? 238 SER B CB  238 SER B CB  1 
ATOM 8977  O OG  . SER B 2 238 ? 310.591 -43.037 329.667 1.0 93.85211  ? 238 SER B OG  238 SER B OG  1 
ATOM 8978  N N   . GLY B 2 239 ? 308.654 -38.718 328.709 1.0 93.72216  ? 239 GLY B N   239 GLY B N   1 
ATOM 8979  C CA  . GLY B 2 239 ? 307.596 -37.927 328.107 1.0 93.72216  ? 239 GLY B CA  239 GLY B CA  1 
ATOM 8980  C C   . GLY B 2 239 ? 307.542 -36.478 328.541 1.0 93.72216  ? 239 GLY B C   239 GLY B C   1 
ATOM 8981  O O   . GLY B 2 239 ? 307.880 -36.156 329.682 1.0 93.72216  ? 239 GLY B O   239 GLY B O   1 
ATOM 8982  N N   . THR B 2 240 ? 307.109 -35.591 327.645 1.0 93.20276  ? 240 THR B N   240 THR B N   1 
ATOM 8983  C CA  . THR B 2 240 ? 307.028 -34.171 327.961 1.0 93.20276  ? 240 THR B CA  240 THR B CA  1 
ATOM 8984  C C   . THR B 2 240 ? 305.612 -33.676 328.211 1.0 93.20276  ? 240 THR B C   240 THR B C   1 
ATOM 8985  O O   . THR B 2 240 ? 305.434 -32.819 329.078 1.0 93.20276  ? 240 THR B O   240 THR B O   1 
ATOM 8986  C CB  . THR B 2 240 ? 307.658 -33.334 326.844 1.0 93.20276  ? 240 THR B CB  240 THR B CB  1 
ATOM 8987  O OG1 . THR B 2 240 ? 306.919 -33.513 325.632 1.0 93.20276  ? 240 THR B OG1 240 THR B OG1 1 
ATOM 8988  C CG2 . THR B 2 240 ? 309.091 -33.765 326.621 1.0 93.20276  ? 240 THR B CG2 240 THR B CG2 1 
ATOM 8989  N N   . MET B 2 241 ? 304.631 -34.155 327.438 1.0 89.97432  ? 241 MET B N   241 MET B N   1 
ATOM 8990  C CA  . MET B 2 241 ? 303.202 -34.160 327.780 1.0 89.97432  ? 241 MET B CA  241 MET B CA  1 
ATOM 8991  C C   . MET B 2 241 ? 302.637 -32.772 328.101 1.0 89.97432  ? 241 MET B C   241 MET B C   1 
ATOM 8992  O O   . MET B 2 241 ? 302.373 -32.435 329.254 1.0 89.97432  ? 241 MET B O   241 MET B O   1 
ATOM 8993  C CB  . MET B 2 241 ? 302.916 -35.120 328.931 1.0 89.97432  ? 241 MET B CB  241 MET B CB  1 
ATOM 8994  C CG  . MET B 2 241 ? 302.959 -36.569 328.557 1.0 89.97432  ? 241 MET B CG  241 MET B CG  1 
ATOM 8995  S SD  . MET B 2 241 ? 302.373 -37.568 329.928 1.0 89.97432  ? 241 MET B SD  241 MET B SD  1 
ATOM 8996  C CE  . MET B 2 241 ? 302.496 -39.182 329.190 1.0 89.97432  ? 241 MET B CE  241 MET B CE  1 
ATOM 8997  N N   . ALA B 2 242 ? 302.524 -31.955 327.053 1.0 84.4902   ? 242 ALA B N   242 ALA B N   1 
ATOM 8998  C CA  . ALA B 2 242 ? 301.868 -30.653 327.148 1.0 84.4902   ? 242 ALA B CA  242 ALA B CA  1 
ATOM 8999  C C   . ALA B 2 242 ? 300.437 -30.768 327.662 1.0 84.4902   ? 242 ALA B C   242 ALA B C   1 
ATOM 9000  O O   . ALA B 2 242 ? 299.577 -31.340 326.987 1.0 84.4902   ? 242 ALA B O   242 ALA B O   1 
ATOM 9001  C CB  . ALA B 2 242 ? 301.867 -29.967 325.784 1.0 84.4902   ? 242 ALA B CB  242 ALA B CB  1 
ATOM 9002  N N   . THR B 2 243 ? 300.174 -30.241 328.854 1.0 83.502    ? 243 THR B N   243 THR B N   1 
ATOM 9003  C CA  . THR B 2 243 ? 298.873 -30.379 329.493 1.0 83.502    ? 243 THR B CA  243 THR B CA  1 
ATOM 9004  C C   . THR B 2 243 ? 298.059 -29.094 329.358 1.0 83.502    ? 243 THR B C   243 THR B C   1 
ATOM 9005  O O   . THR B 2 243 ? 298.593 -28.016 329.092 1.0 83.502    ? 243 THR B O   243 THR B O   1 
ATOM 9006  C CB  . THR B 2 243 ? 299.029 -30.767 330.966 1.0 83.502    ? 243 THR B CB  243 THR B CB  1 
ATOM 9007  O OG1 . THR B 2 243 ? 297.747 -31.088 331.516 1.0 83.502    ? 243 THR B OG1 243 THR B OG1 1 
ATOM 9008  C CG2 . THR B 2 243 ? 299.635 -29.640 331.760 1.0 83.502    ? 243 THR B CG2 243 THR B CG2 1 
ATOM 9009  N N   . ASP B 2 244 ? 296.746 -29.223 329.538 1.0 81.90503  ? 244 ASP B N   244 ASP B N   1 
ATOM 9010  C CA  . ASP B 2 244 ? 295.806 -28.134 329.300 1.0 81.90503  ? 244 ASP B CA  244 ASP B CA  1 
ATOM 9011  C C   . ASP B 2 244 ? 294.884 -27.960 330.501 1.0 81.90503  ? 244 ASP B C   244 ASP B C   1 
ATOM 9012  O O   . ASP B 2 244 ? 295.032 -28.625 331.527 1.0 81.90503  ? 244 ASP B O   244 ASP B O   1 
ATOM 9013  C CB  . ASP B 2 244 ? 294.976 -28.399 328.040 1.0 81.90503  ? 244 ASP B CB  244 ASP B CB  1 
ATOM 9014  C CG  . ASP B 2 244 ? 295.818 -28.389 326.789 1.0 81.90503  ? 244 ASP B CG  244 ASP B CG  1 
ATOM 9015  O OD1 . ASP B 2 244 ? 296.842 -27.687 326.793 1.0 81.90503  ? 244 ASP B OD1 244 ASP B OD1 1 
ATOM 9016  O OD2 . ASP B 2 244 ? 295.457 -29.077 325.818 1.0 81.90503  ? 244 ASP B OD2 244 ASP B OD2 1 
ATOM 9017  N N   . THR B 2 245 ? 293.933 -27.037 330.369 1.0 80.68809  ? 245 THR B N   245 THR B N   1 
ATOM 9018  C CA  . THR B 2 245 ? 292.757 -26.990 331.230 1.0 80.68809  ? 245 THR B CA  245 THR B CA  1 
ATOM 9019  C C   . THR B 2 245 ? 291.534 -26.707 330.366 1.0 80.68809  ? 245 THR B C   245 THR B C   1 
ATOM 9020  O O   . THR B 2 245 ? 291.550 -25.812 329.517 1.0 80.68809  ? 245 THR B O   245 THR B O   1 
ATOM 9021  C CB  . THR B 2 245 ? 292.907 -25.968 332.373 1.0 80.68809  ? 245 THR B CB  245 THR B CB  1 
ATOM 9022  O OG1 . THR B 2 245 ? 291.685 -25.893 333.123 1.0 80.68809  ? 245 THR B OG1 245 THR B OG1 1 
ATOM 9023  C CG2 . THR B 2 245 ? 293.323 -24.593 331.882 1.0 80.68809  ? 245 THR B CG2 245 THR B CG2 1 
ATOM 9024  N N   . ILE B 2 246 ? 290.498 -27.521 330.541 1.0 78.09725  ? 246 ILE B N   246 ILE B N   1 
ATOM 9025  C CA  . ILE B 2 246 ? 289.399 -27.624 329.590 1.0 78.09725  ? 246 ILE B CA  246 ILE B CA  1 
ATOM 9026  C C   . ILE B 2 246 ? 288.084 -27.522 330.349 1.0 78.09725  ? 246 ILE B C   246 ILE B C   1 
ATOM 9027  O O   . ILE B 2 246 ? 287.920 -28.153 331.397 1.0 78.09725  ? 246 ILE B O   246 ILE B O   1 
ATOM 9028  C CB  . ILE B 2 246 ? 289.467 -28.953 328.805 1.0 78.09725  ? 246 ILE B CB  246 ILE B CB  1 
ATOM 9029  C CG1 . ILE B 2 246 ? 290.762 -29.058 327.998 1.0 78.09725  ? 246 ILE B CG1 246 ILE B CG1 1 
ATOM 9030  C CG2 . ILE B 2 246 ? 288.288 -29.122 327.876 1.0 78.09725  ? 246 ILE B CG2 246 ILE B CG2 1 
ATOM 9031  C CD1 . ILE B 2 246 ? 290.928 -27.948 326.995 1.0 78.09725  ? 246 ILE B CD1 246 ILE B CD1 1 
ATOM 9032  N N   . THR B 2 247 ? 287.152 -26.723 329.836 1.0 78.01443  ? 247 THR B N   247 THR B N   1 
ATOM 9033  C CA  . THR B 2 247 ? 285.759 -26.866 330.242 1.0 78.01443  ? 247 THR B CA  247 THR B CA  1 
ATOM 9034  C C   . THR B 2 247 ? 285.145 -28.014 329.441 1.0 78.01443  ? 247 THR B C   247 THR B C   1 
ATOM 9035  O O   . THR B 2 247 ? 285.117 -27.990 328.207 1.0 78.01443  ? 247 THR B O   247 THR B O   1 
ATOM 9036  C CB  . THR B 2 247 ? 284.997 -25.545 330.100 1.0 78.01443  ? 247 THR B CB  247 THR B CB  1 
ATOM 9037  O OG1 . THR B 2 247 ? 283.601 -25.755 330.355 1.0 78.01443  ? 247 THR B OG1 247 THR B OG1 1 
ATOM 9038  C CG2 . THR B 2 247 ? 285.220 -24.851 328.751 1.0 78.01443  ? 247 THR B CG2 247 THR B CG2 1 
ATOM 9039  N N   . TRP B 2 248 ? 284.709 -29.054 330.140 1.0 76.57616  ? 248 TRP B N   248 TRP B N   1 
ATOM 9040  C CA  . TRP B 2 248 ? 284.251 -30.264 329.475 1.0 76.57616  ? 248 TRP B CA  248 TRP B CA  1 
ATOM 9041  C C   . TRP B 2 248 ? 282.836 -30.092 328.946 1.0 76.57616  ? 248 TRP B C   248 TRP B C   1 
ATOM 9042  O O   . TRP B 2 248 ? 281.960 -29.565 329.635 1.0 76.57616  ? 248 TRP B O   248 TRP B O   1 
ATOM 9043  C CB  . TRP B 2 248 ? 284.298 -31.447 330.435 1.0 76.57616  ? 248 TRP B CB  248 TRP B CB  1 
ATOM 9044  C CG  . TRP B 2 248 ? 285.672 -31.866 330.813 1.0 76.57616  ? 248 TRP B CG  248 TRP B CG  1 
ATOM 9045  C CD1 . TRP B 2 248 ? 286.344 -31.530 331.945 1.0 76.57616  ? 248 TRP B CD1 248 TRP B CD1 1 
ATOM 9046  C CD2 . TRP B 2 248 ? 286.547 -32.707 330.060 1.0 76.57616  ? 248 TRP B CD2 248 TRP B CD2 1 
ATOM 9047  N NE1 . TRP B 2 248 ? 287.587 -32.105 331.946 1.0 76.57616  ? 248 TRP B NE1 248 TRP B NE1 1 
ATOM 9048  C CE2 . TRP B 2 248 ? 287.735 -32.835 330.798 1.0 76.57616  ? 248 TRP B CE2 248 TRP B CE2 1 
ATOM 9049  C CE3 . TRP B 2 248 ? 286.442 -33.364 328.833 1.0 76.57616  ? 248 TRP B CE3 248 TRP B CE3 1 
ATOM 9050  C CZ2 . TRP B 2 248 ? 288.807 -33.589 330.353 1.0 76.57616  ? 248 TRP B CZ2 248 TRP B CZ2 1 
ATOM 9051  C CZ3 . TRP B 2 248 ? 287.507 -34.113 328.394 1.0 76.57616  ? 248 TRP B CZ3 248 TRP B CZ3 1 
ATOM 9052  C CH2 . TRP B 2 248 ? 288.674 -34.219 329.151 1.0 76.57616  ? 248 TRP B CH2 248 TRP B CH2 1 
ATOM 9053  N N   . GLU B 2 249 ? 282.614 -30.540 327.715 1.0 71.55372  ? 249 GLU B N   249 GLU B N   1 
ATOM 9054  C CA  . GLU B 2 249 ? 281.293 -30.506 327.108 1.0 71.55372  ? 249 GLU B CA  249 GLU B CA  1 
ATOM 9055  C C   . GLU B 2 249 ? 281.030 -31.823 326.396 1.0 71.55372  ? 249 GLU B C   249 GLU B C   1 
ATOM 9056  O O   . GLU B 2 249 ? 281.930 -32.396 325.777 1.0 71.55372  ? 249 GLU B O   249 GLU B O   1 
ATOM 9057  C CB  . GLU B 2 249 ? 281.157 -29.347 326.118 1.0 71.55372  ? 249 GLU B CB  249 GLU B CB  1 
ATOM 9058  C CG  . GLU B 2 249 ? 281.203 -27.968 326.751 1.0 71.55372  ? 249 GLU B CG  249 GLU B CG  1 
ATOM 9059  C CD  . GLU B 2 249 ? 281.104 -26.864 325.728 1.0 71.55372  ? 249 GLU B CD  249 GLU B CD  1 
ATOM 9060  O OE1 . GLU B 2 249 ? 281.085 -27.179 324.524 1.0 71.55372  ? 249 GLU B OE1 249 GLU B OE1 1 
ATOM 9061  O OE2 . GLU B 2 249 ? 281.060 -25.683 326.122 1.0 71.55372  ? 249 GLU B OE2 249 GLU B OE2 1 
ATOM 9062  N N   . ASN B 2 250 ? 279.789 -32.303 326.499 1.0 69.23329  ? 250 ASN B N   250 ASN B N   1 
ATOM 9063  C CA  . ASN B 2 250 ? 279.303 -33.463 325.752 1.0 69.23329  ? 250 ASN B CA  250 ASN B CA  1 
ATOM 9064  C C   . ASN B 2 250 ? 278.050 -33.054 324.980 1.0 69.23329  ? 250 ASN B C   250 ASN B C   1 
ATOM 9065  O O   . ASN B 2 250 ? 276.926 -33.397 325.370 1.0 69.23329  ? 250 ASN B O   250 ASN B O   1 
ATOM 9066  C CB  . ASN B 2 250 ? 279.065 -34.663 326.676 1.0 69.23329  ? 250 ASN B CB  250 ASN B CB  1 
ATOM 9067  C CG  . ASN B 2 250 ? 278.288 -34.307 327.939 1.0 69.23329  ? 250 ASN B CG  250 ASN B CG  1 
ATOM 9068  O OD1 . ASN B 2 250 ? 277.892 -33.157 328.143 1.0 69.23329  ? 250 ASN B OD1 250 ASN B OD1 1 
ATOM 9069  N ND2 . ASN B 2 250 ? 278.057 -35.301 328.785 1.0 69.23329  ? 250 ASN B ND2 250 ASN B ND2 1 
ATOM 9070  N N   . PRO B 2 251 ? 278.201 -32.332 323.863 1.0 68.04259  ? 251 PRO B N   251 PRO B N   1 
ATOM 9071  C CA  . PRO B 2 251 ? 277.021 -31.765 323.199 1.0 68.04259  ? 251 PRO B CA  251 PRO B CA  1 
ATOM 9072  C C   . PRO B 2 251 ? 276.209 -32.764 322.397 1.0 68.04259  ? 251 PRO B C   251 PRO B C   1 
ATOM 9073  O O   . PRO B 2 251 ? 275.141 -32.395 321.894 1.0 68.04259  ? 251 PRO B O   251 PRO B O   1 
ATOM 9074  C CB  . PRO B 2 251 ? 277.623 -30.698 322.282 1.0 68.04259  ? 251 PRO B CB  251 PRO B CB  1 
ATOM 9075  C CG  . PRO B 2 251 ? 278.950 -31.234 321.945 1.0 68.04259  ? 251 PRO B CG  251 PRO B CG  1 
ATOM 9076  C CD  . PRO B 2 251 ? 279.443 -31.963 323.164 1.0 68.04259  ? 251 PRO B CD  251 PRO B CD  1 
ATOM 9077  N N   . ASP B 2 252 ? 276.662 -34.011 322.270 1.0 69.14992  ? 252 ASP B N   252 ASP B N   1 
ATOM 9078  C CA  . ASP B 2 252 ? 275.985 -34.977 321.417 1.0 69.14992  ? 252 ASP B CA  252 ASP B CA  1 
ATOM 9079  C C   . ASP B 2 252 ? 275.673 -36.270 322.149 1.0 69.14992  ? 252 ASP B C   252 ASP B C   1 
ATOM 9080  O O   . ASP B 2 252 ? 274.697 -36.949 321.822 1.0 69.14992  ? 252 ASP B O   252 ASP B O   1 
ATOM 9081  C CB  . ASP B 2 252 ? 276.844 -35.293 320.199 1.0 69.14992  ? 252 ASP B CB  252 ASP B CB  1 
ATOM 9082  C CG  . ASP B 2 252 ? 277.000 -34.115 319.287 1.0 69.14992  ? 252 ASP B CG  252 ASP B CG  1 
ATOM 9083  O OD1 . ASP B 2 252 ? 276.077 -33.281 319.236 1.0 69.14992  ? 252 ASP B OD1 252 ASP B OD1 1 
ATOM 9084  O OD2 . ASP B 2 252 ? 278.044 -34.020 318.617 1.0 69.14992  ? 252 ASP B OD2 252 ASP B OD2 1 
ATOM 9085  N N   . ALA B 2 253 ? 276.495 -36.628 323.127 1.0 68.67633  ? 253 ALA B N   253 ALA B N   1 
ATOM 9086  C CA  . ALA B 2 253 ? 276.452 -37.954 323.714 1.0 68.67633  ? 253 ALA B CA  253 ALA B CA  1 
ATOM 9087  C C   . ALA B 2 253 ? 276.266 -37.885 325.222 1.0 68.67633  ? 253 ALA B C   253 ALA B C   1 
ATOM 9088  O O   . ALA B 2 253 ? 276.670 -36.920 325.875 1.0 68.67633  ? 253 ALA B O   253 ALA B O   1 
ATOM 9089  C CB  . ALA B 2 253 ? 277.724 -38.733 323.383 1.0 68.67633  ? 253 ALA B CB  253 ALA B CB  1 
ATOM 9090  N N   . HIS B 2 254 ? 275.641 -38.925 325.763 1.0 70.17083  ? 254 HIS B N   254 HIS B N   1 
ATOM 9091  C CA  . HIS B 2 254 ? 275.401 -39.098 327.184 1.0 70.17083  ? 254 HIS B CA  254 HIS B CA  1 
ATOM 9092  C C   . HIS B 2 254 ? 276.161 -40.327 327.672 1.0 70.17083  ? 254 HIS B C   254 HIS B C   1 
ATOM 9093  O O   . HIS B 2 254 ? 276.925 -40.947 326.926 1.0 70.17083  ? 254 HIS B O   254 HIS B O   1 
ATOM 9094  C CB  . HIS B 2 254 ? 273.900 -39.215 327.450 1.0 70.17083  ? 254 HIS B CB  254 HIS B CB  1 
ATOM 9095  C CG  . HIS B 2 254 ? 273.270 -40.428 326.837 1.0 70.17083  ? 254 HIS B CG  254 HIS B CG  1 
ATOM 9096  N ND1 . HIS B 2 254 ? 273.198 -41.639 327.489 1.0 70.17083  ? 254 HIS B ND1 254 HIS B ND1 1 
ATOM 9097  C CD2 . HIS B 2 254 ? 272.692 -40.618 325.628 1.0 70.17083  ? 254 HIS B CD2 254 HIS B CD2 1 
ATOM 9098  C CE1 . HIS B 2 254 ? 272.597 -42.521 326.711 1.0 70.17083  ? 254 HIS B CE1 254 HIS B CE1 1 
ATOM 9099  N NE2 . HIS B 2 254 ? 272.277 -41.926 325.577 1.0 70.17083  ? 254 HIS B NE2 254 HIS B NE2 1 
ATOM 9100  N N   . PHE B 2 255 ? 275.952 -40.682 328.935 1.0 73.24386  ? 255 PHE B N   255 PHE B N   1 
ATOM 9101  C CA  . PHE B 2 255 ? 276.514 -41.907 329.485 1.0 73.24386  ? 255 PHE B CA  255 PHE B CA  1 
ATOM 9102  C C   . PHE B 2 255 ? 275.519 -43.044 329.310 1.0 73.24386  ? 255 PHE B C   255 PHE B C   1 
ATOM 9103  O O   . PHE B 2 255 ? 274.330 -42.887 329.604 1.0 73.24386  ? 255 PHE B O   255 PHE B O   1 
ATOM 9104  C CB  . PHE B 2 255 ? 276.852 -41.745 330.965 1.0 73.24386  ? 255 PHE B CB  255 PHE B CB  1 
ATOM 9105  C CG  . PHE B 2 255 ? 277.972 -40.793 331.232 1.0 73.24386  ? 255 PHE B CG  255 PHE B CG  1 
ATOM 9106  C CD1 . PHE B 2 255 ? 279.288 -41.192 331.077 1.0 73.24386  ? 255 PHE B CD1 255 PHE B CD1 1 
ATOM 9107  C CD2 . PHE B 2 255 ? 277.711 -39.503 331.657 1.0 73.24386  ? 255 PHE B CD2 255 PHE B CD2 1 
ATOM 9108  C CE1 . PHE B 2 255 ? 280.323 -40.318 331.329 1.0 73.24386  ? 255 PHE B CE1 255 PHE B CE1 1 
ATOM 9109  C CE2 . PHE B 2 255 ? 278.741 -38.623 331.910 1.0 73.24386  ? 255 PHE B CE2 255 PHE B CE2 1 
ATOM 9110  C CZ  . PHE B 2 255 ? 280.049 -39.032 331.745 1.0 73.24386  ? 255 PHE B CZ  255 PHE B CZ  1 
ATOM 9111  N N   . ALA B 2 256 ? 276.004 -44.183 328.825 1.0 76.45288  ? 256 ALA B N   256 ALA B N   1 
ATOM 9112  C CA  . ALA B 2 256 ? 275.195 -45.393 328.813 1.0 76.45288  ? 256 ALA B CA  256 ALA B CA  1 
ATOM 9113  C C   . ALA B 2 256 ? 275.539 -46.318 329.970 1.0 76.45288  ? 256 ALA B C   256 ALA B C   1 
ATOM 9114  O O   . ALA B 2 256 ? 274.696 -47.121 330.384 1.0 76.45288  ? 256 ALA B O   256 ALA B O   1 
ATOM 9115  C CB  . ALA B 2 256 ? 275.358 -46.133 327.484 1.0 76.45288  ? 256 ALA B CB  256 ALA B CB  1 
ATOM 9116  N N   . ASP B 2 257 ? 276.756 -46.217 330.497 1.0 80.84661  ? 257 ASP B N   257 ASP B N   1 
ATOM 9117  C CA  . ASP B 2 257 ? 277.141 -46.909 331.719 1.0 80.84661  ? 257 ASP B CA  257 ASP B CA  1 
ATOM 9118  C C   . ASP B 2 257 ? 278.288 -46.144 332.355 1.0 80.84661  ? 257 ASP B C   257 ASP B C   1 
ATOM 9119  O O   . ASP B 2 257 ? 279.284 -45.854 331.687 1.0 80.84661  ? 257 ASP B O   257 ASP B O   1 
ATOM 9120  C CB  . ASP B 2 257 ? 277.555 -48.357 331.447 1.0 80.84661  ? 257 ASP B CB  257 ASP B CB  1 
ATOM 9121  C CG  . ASP B 2 257 ? 277.788 -49.137 332.723 1.0 80.84661  ? 257 ASP B CG  257 ASP B CG  1 
ATOM 9122  O OD1 . ASP B 2 257 ? 276.797 -49.476 333.402 1.0 80.84661  ? 257 ASP B OD1 257 ASP B OD1 1 
ATOM 9123  O OD2 . ASP B 2 257 ? 278.961 -49.409 333.051 1.0 80.84661  ? 257 ASP B OD2 257 ASP B OD2 1 
ATOM 9124  N N   . PHE B 2 258 ? 278.149 -45.825 333.637 1.0 82.29908  ? 258 PHE B N   258 PHE B N   1 
ATOM 9125  C CA  . PHE B 2 258 ? 279.121 -45.008 334.348 1.0 82.29908  ? 258 PHE B CA  258 PHE B CA  1 
ATOM 9126  C C   . PHE B 2 258 ? 279.488 -45.683 335.658 1.0 82.29908  ? 258 PHE B C   258 PHE B C   1 
ATOM 9127  O O   . PHE B 2 258 ? 278.609 -46.005 336.462 1.0 82.29908  ? 258 PHE B O   258 PHE B O   1 
ATOM 9128  C CB  . PHE B 2 258 ? 278.568 -43.607 334.610 1.0 82.29908  ? 258 PHE B CB  258 PHE B CB  1 
ATOM 9129  C CG  . PHE B 2 258 ? 279.532 -42.691 335.304 1.0 82.29908  ? 258 PHE B CG  258 PHE B CG  1 
ATOM 9130  C CD1 . PHE B 2 258 ? 280.588 -42.124 334.612 1.0 82.29908  ? 258 PHE B CD1 258 PHE B CD1 1 
ATOM 9131  C CD2 . PHE B 2 258 ? 279.374 -42.387 336.644 1.0 82.29908  ? 258 PHE B CD2 258 PHE B CD2 1 
ATOM 9132  C CE1 . PHE B 2 258 ? 281.473 -41.276 335.247 1.0 82.29908  ? 258 PHE B CE1 258 PHE B CE1 1 
ATOM 9133  C CE2 . PHE B 2 258 ? 280.255 -41.541 337.285 1.0 82.29908  ? 258 PHE B CE2 258 PHE B CE2 1 
ATOM 9134  C CZ  . PHE B 2 258 ? 281.306 -40.986 336.585 1.0 82.29908  ? 258 PHE B CZ  258 PHE B CZ  1 
ATOM 9135  N N   . VAL B 2 259 ? 280.785 -45.901 335.866 1.0 84.17528  ? 259 VAL B N   259 VAL B N   1 
ATOM 9136  C CA  . VAL B 2 259 ? 281.316 -46.442 337.111 1.0 84.17528  ? 259 VAL B CA  259 VAL B CA  1 
ATOM 9137  C C   . VAL B 2 259 ? 282.316 -45.485 337.747 1.0 84.17528  ? 259 VAL B C   259 VAL B C   1 
ATOM 9138  O O   . VAL B 2 259 ? 282.148 -45.059 338.893 1.0 84.17528  ? 259 VAL B O   259 VAL B O   1 
ATOM 9139  C CB  . VAL B 2 259 ? 281.958 -47.830 336.891 1.0 84.17528  ? 259 VAL B CB  259 VAL B CB  1 
ATOM 9140  C CG1 . VAL B 2 259 ? 282.625 -48.316 338.166 1.0 84.17528  ? 259 VAL B CG1 259 VAL B CG1 1 
ATOM 9141  C CG2 . VAL B 2 259 ? 280.917 -48.832 336.419 1.0 84.17528  ? 259 VAL B CG2 259 VAL B CG2 1 
ATOM 9142  N N   . ASP B 2 260 ? 283.365 -45.134 337.011 1.0 87.03692  ? 260 ASP B N   260 ASP B N   1 
ATOM 9143  C CA  . ASP B 2 260 ? 284.382 -44.183 337.426 1.0 87.03692  ? 260 ASP B CA  260 ASP B CA  1 
ATOM 9144  C C   . ASP B 2 260 ? 284.531 -43.170 336.295 1.0 87.03692  ? 260 ASP B C   260 ASP B C   1 
ATOM 9145  O O   . ASP B 2 260 ? 283.970 -43.349 335.211 1.0 87.03692  ? 260 ASP B O   260 ASP B O   1 
ATOM 9146  C CB  . ASP B 2 260 ? 285.702 -44.914 337.739 1.0 87.03692  ? 260 ASP B CB  260 ASP B CB  1 
ATOM 9147  C CG  . ASP B 2 260 ? 286.731 -44.036 338.431 1.0 87.03692  ? 260 ASP B CG  260 ASP B CG  1 
ATOM 9148  O OD1 . ASP B 2 260 ? 286.561 -43.744 339.632 1.0 87.03692  ? 260 ASP B OD1 260 ASP B OD1 1 
ATOM 9149  O OD2 . ASP B 2 260 ? 287.712 -43.642 337.767 1.0 87.03692  ? 260 ASP B OD2 260 ASP B OD2 1 
ATOM 9150  N N   . ASP B 2 261 ? 285.265 -42.083 336.556 1.0 85.87004  ? 261 ASP B N   261 ASP B N   1 
ATOM 9151  C CA  . ASP B 2 261 ? 285.515 -41.083 335.522 1.0 85.87004  ? 261 ASP B CA  261 ASP B CA  1 
ATOM 9152  C C   . ASP B 2 261 ? 286.358 -41.639 334.381 1.0 85.87004  ? 261 ASP B C   261 ASP B C   1 
ATOM 9153  O O   . ASP B 2 261 ? 286.247 -41.164 333.246 1.0 85.87004  ? 261 ASP B O   261 ASP B O   1 
ATOM 9154  C CB  . ASP B 2 261 ? 286.199 -39.857 336.124 1.0 85.87004  ? 261 ASP B CB  261 ASP B CB  1 
ATOM 9155  C CG  . ASP B 2 261 ? 285.277 -39.053 337.019 1.0 85.87004  ? 261 ASP B CG  261 ASP B CG  1 
ATOM 9156  O OD1 . ASP B 2 261 ? 284.051 -39.068 336.783 1.0 85.87004  ? 261 ASP B OD1 261 ASP B OD1 1 
ATOM 9157  O OD2 . ASP B 2 261 ? 285.783 -38.399 337.956 1.0 85.87004  ? 261 ASP B OD2 261 ASP B OD2 1 
ATOM 9158  N N   . ARG B 2 262 ? 287.198 -42.637 334.652 1.0 86.65466  ? 262 ARG B N   262 ARG B N   1 
ATOM 9159  C CA  . ARG B 2 262 ? 287.963 -43.258 333.577 1.0 86.65466  ? 262 ARG B CA  262 ARG B CA  1 
ATOM 9160  C C   . ARG B 2 262 ? 287.094 -44.210 332.769 1.0 86.65466  ? 262 ARG B C   262 ARG B C   1 
ATOM 9161  O O   . ARG B 2 262 ? 286.848 -43.989 331.579 1.0 86.65466  ? 262 ARG B O   262 ARG B O   1 
ATOM 9162  C CB  . ARG B 2 262 ? 289.173 -43.998 334.152 1.0 86.65466  ? 262 ARG B CB  262 ARG B CB  1 
ATOM 9163  C CG  . ARG B 2 262 ? 290.109 -44.658 333.126 1.0 86.65466  ? 262 ARG B CG  262 ARG B CG  1 
ATOM 9164  C CD  . ARG B 2 262 ? 289.876 -46.169 333.004 1.0 86.65466  ? 262 ARG B CD  262 ARG B CD  1 
ATOM 9165  N NE  . ARG B 2 262 ? 290.756 -46.810 332.034 1.0 86.65466  ? 262 ARG B NE  262 ARG B NE  1 
ATOM 9166  C CZ  . ARG B 2 262 ? 291.931 -47.350 332.331 1.0 86.65466  ? 262 ARG B CZ  262 ARG B CZ  1 
ATOM 9167  N NH1 . ARG B 2 262 ? 292.657 -47.912 331.377 1.0 86.65466  ? 262 ARG B NH1 262 ARG B NH1 1 
ATOM 9168  N NH2 . ARG B 2 262 ? 292.375 -47.341 333.580 1.0 86.65466  ? 262 ARG B NH2 262 ARG B NH2 1 
ATOM 9169  N N   . ARG B 2 263 ? 286.618 -45.278 333.402 1.0 85.17236  ? 263 ARG B N   263 ARG B N   1 
ATOM 9170  C CA  . ARG B 2 263 ? 285.903 -46.325 332.690 1.0 85.17236  ? 263 ARG B CA  263 ARG B CA  1 
ATOM 9171  C C   . ARG B 2 263 ? 284.418 -45.965 332.651 1.0 85.17236  ? 263 ARG B C   263 ARG B C   1 
ATOM 9172  O O   . ARG B 2 263 ? 283.753 -45.861 333.688 1.0 85.17236  ? 263 ARG B O   263 ARG B O   1 
ATOM 9173  C CB  . ARG B 2 263 ? 286.202 -47.703 333.294 1.0 85.17236  ? 263 ARG B CB  263 ARG B CB  1 
ATOM 9174  C CG  . ARG B 2 263 ? 285.761 -48.015 334.727 1.0 85.17236  ? 263 ARG B CG  263 ARG B CG  1 
ATOM 9175  C CD  . ARG B 2 263 ? 286.848 -47.806 335.760 1.0 85.17236  ? 263 ARG B CD  263 ARG B CD  1 
ATOM 9176  N NE  . ARG B 2 263 ? 286.360 -48.189 337.082 1.0 85.17236  ? 263 ARG B NE  263 ARG B NE  1 
ATOM 9177  C CZ  . ARG B 2 263 ? 286.564 -49.374 337.648 1.0 85.17236  ? 263 ARG B CZ  263 ARG B CZ  1 
ATOM 9178  N NH1 . ARG B 2 263 ? 286.067 -49.627 338.851 1.0 85.17236  ? 263 ARG B NH1 263 ARG B NH1 1 
ATOM 9179  N NH2 . ARG B 2 263 ? 287.261 -50.308 337.013 1.0 85.17236  ? 263 ARG B NH2 263 ARG B NH2 1 
ATOM 9180  N N   . ALA B 2 264 ? 283.929 -45.696 331.444 1.0 79.33094  ? 264 ALA B N   264 ALA B N   1 
ATOM 9181  C CA  . ALA B 2 264 ? 282.550 -45.336 331.153 1.0 79.33094  ? 264 ALA B CA  264 ALA B CA  1 
ATOM 9182  C C   . ALA B 2 264 ? 282.374 -45.413 329.652 1.0 79.33094  ? 264 ALA B C   264 ALA B C   1 
ATOM 9183  O O   . ALA B 2 264 ? 283.247 -44.970 328.905 1.0 79.33094  ? 264 ALA B O   264 ALA B O   1 
ATOM 9184  C CB  . ALA B 2 264 ? 282.198 -43.924 331.641 1.0 79.33094  ? 264 ALA B CB  264 ALA B CB  1 
ATOM 9185  N N   . THR B 2 265 ? 281.264 -45.980 329.214 1.0 75.57487  ? 265 THR B N   265 THR B N   1 
ATOM 9186  C CA  . THR B 2 265 ? 280.944 -45.979 327.800 1.0 75.57487  ? 265 THR B CA  265 THR B CA  1 
ATOM 9187  C C   . THR B 2 265 ? 280.089 -44.762 327.480 1.0 75.57487  ? 265 THR B C   265 THR B C   1 
ATOM 9188  O O   . THR B 2 265 ? 279.474 -44.157 328.362 1.0 75.57487  ? 265 THR B O   265 THR B O   1 
ATOM 9189  C CB  . THR B 2 265 ? 280.223 -47.261 327.384 1.0 75.57487  ? 265 THR B CB  265 THR B CB  1 
ATOM 9190  O OG1 . THR B 2 265 ? 280.083 -47.286 325.960 1.0 75.57487  ? 265 THR B OG1 265 THR B OG1 1 
ATOM 9191  C CG2 . THR B 2 265 ? 278.854 -47.334 328.016 1.0 75.57487  ? 265 THR B CG2 265 THR B CG2 1 
ATOM 9192  N N   . ALA B 2 266 ? 280.090 -44.383 326.213 1.0 72.08852  ? 266 ALA B N   266 ALA B N   1 
ATOM 9193  C CA  . ALA B 2 266 ? 279.309 -43.255 325.748 1.0 72.08852  ? 266 ALA B CA  266 ALA B CA  1 
ATOM 9194  C C   . ALA B 2 266 ? 278.430 -43.692 324.590 1.0 72.08852  ? 266 ALA B C   266 ALA B C   1 
ATOM 9195  O O   . ALA B 2 266 ? 278.752 -44.625 323.851 1.0 72.08852  ? 266 ALA B O   266 ALA B O   1 
ATOM 9196  C CB  . ALA B 2 266 ? 280.206 -42.092 325.317 1.0 72.08852  ? 266 ALA B CB  266 ALA B CB  1 
ATOM 9197  N N   . ALA B 2 267 ? 277.304 -43.010 324.449 1.0 70.15144  ? 267 ALA B N   267 ALA B N   1 
ATOM 9198  C CA  . ALA B 2 267 ? 276.415 -43.233 323.325 1.0 70.15144  ? 267 ALA B CA  267 ALA B CA  1 
ATOM 9199  C C   . ALA B 2 267 ? 275.786 -41.900 322.977 1.0 70.15144  ? 267 ALA B C   267 ALA B C   1 
ATOM 9200  O O   . ALA B 2 267 ? 275.446 -41.125 323.874 1.0 70.15144  ? 267 ALA B O   267 ALA B O   1 
ATOM 9201  C CB  . ALA B 2 267 ? 275.339 -44.273 323.647 1.0 70.15144  ? 267 ALA B CB  267 ALA B CB  1 
ATOM 9202  N N   . GLY B 2 268 ? 275.662 -41.631 321.677 1.0 69.70161  ? 268 GLY B N   268 GLY B N   1 
ATOM 9203  C CA  . GLY B 2 268 ? 275.050 -40.397 321.233 1.0 69.70161  ? 268 GLY B CA  268 GLY B CA  1 
ATOM 9204  C C   . GLY B 2 268 ? 273.588 -40.314 321.620 1.0 69.70161  ? 268 GLY B C   268 GLY B C   1 
ATOM 9205  O O   . GLY B 2 268 ? 272.917 -41.319 321.845 1.0 69.70161  ? 268 GLY B O   268 GLY B O   1 
ATOM 9206  N N   . ASN B 2 269 ? 273.102 -39.083 321.737 1.0 67.31602  ? 269 ASN B N   269 ASN B N   1 
ATOM 9207  C CA  . ASN B 2 269 ? 271.716 -38.871 322.117 1.0 67.31602  ? 269 ASN B CA  269 ASN B CA  1 
ATOM 9208  C C   . ASN B 2 269 ? 270.787 -39.306 320.987 1.0 67.31602  ? 269 ASN B C   269 ASN B C   1 
ATOM 9209  O O   . ASN B 2 269 ? 271.177 -39.382 319.818 1.0 67.31602  ? 269 ASN B O   269 ASN B O   1 
ATOM 9210  C CB  . ASN B 2 269 ? 271.475 -37.405 322.469 1.0 67.31602  ? 269 ASN B CB  269 ASN B CB  1 
ATOM 9211  C CG  . ASN B 2 269 ? 272.212 -36.975 323.717 1.0 67.31602  ? 269 ASN B CG  269 ASN B CG  1 
ATOM 9212  O OD1 . ASN B 2 269 ? 272.231 -37.691 324.711 1.0 67.31602  ? 269 ASN B OD1 269 ASN B OD1 1 
ATOM 9213  N ND2 . ASN B 2 269 ? 272.819 -35.797 323.674 1.0 67.31602  ? 269 ASN B ND2 269 ASN B ND2 1 
ATOM 9214  N N   . ARG B 2 270 ? 269.556 -39.622 321.363 1.0 65.0905   ? 270 ARG B N   270 ARG B N   1 
ATOM 9215  C CA  . ARG B 2 270 ? 268.566 -40.079 320.406 1.0 65.0905   ? 270 ARG B CA  270 ARG B CA  1 
ATOM 9216  C C   . ARG B 2 270 ? 268.228 -38.953 319.432 1.0 65.0905   ? 270 ARG B C   270 ARG B C   1 
ATOM 9217  O O   . ARG B 2 270 ? 268.153 -37.789 319.838 1.0 65.0905   ? 270 ARG B O   270 ARG B O   1 
ATOM 9218  C CB  . ARG B 2 270 ? 267.316 -40.521 321.156 1.0 65.0905   ? 270 ARG B CB  270 ARG B CB  1 
ATOM 9219  C CG  . ARG B 2 270 ? 267.570 -41.648 322.130 1.0 65.0905   ? 270 ARG B CG  270 ARG B CG  1 
ATOM 9220  C CD  . ARG B 2 270 ? 266.430 -41.749 323.107 1.0 65.0905   ? 270 ARG B CD  270 ARG B CD  1 
ATOM 9221  N NE  . ARG B 2 270 ? 265.167 -42.116 322.494 1.0 65.0905   ? 270 ARG B NE  270 ARG B NE  1 
ATOM 9222  C CZ  . ARG B 2 270 ? 264.676 -43.353 322.492 1.0 65.0905   ? 270 ARG B CZ  270 ARG B CZ  1 
ATOM 9223  N NH1 . ARG B 2 270 ? 265.324 -44.338 323.091 1.0 65.0905   ? 270 ARG B NH1 270 ARG B NH1 1 
ATOM 9224  N NH2 . ARG B 2 270 ? 263.499 -43.607 321.919 1.0 65.0905   ? 270 ARG B NH2 270 ARG B NH2 1 
ATOM 9225  N N   . PRO B 2 271 ? 268.069 -39.251 318.142 1.0 61.54584  ? 271 PRO B N   271 PRO B N   1 
ATOM 9226  C CA  . PRO B 2 271 ? 267.725 -38.200 317.175 1.0 61.54584  ? 271 PRO B CA  271 PRO B CA  1 
ATOM 9227  C C   . PRO B 2 271 ? 266.311 -37.695 317.403 1.0 61.54584  ? 271 PRO B C   271 PRO B C   1 
ATOM 9228  O O   . PRO B 2 271 ? 265.361 -38.475 317.473 1.0 61.54584  ? 271 PRO B O   271 PRO B O   1 
ATOM 9229  C CB  . PRO B 2 271 ? 267.874 -38.900 315.820 1.0 61.54584  ? 271 PRO B CB  271 PRO B CB  1 
ATOM 9230  C CG  . PRO B 2 271 ? 267.735 -40.349 316.123 1.0 61.54584  ? 271 PRO B CG  271 PRO B CG  1 
ATOM 9231  C CD  . PRO B 2 271 ? 268.293 -40.552 317.492 1.0 61.54584  ? 271 PRO B CD  271 PRO B CD  1 
ATOM 9232  N N   . ASN B 2 272 ? 266.185 -36.377 317.544 1.0 59.04492  ? 272 ASN B N   272 ASN B N   1 
ATOM 9233  C CA  . ASN B 2 272 ? 264.929 -35.728 317.905 1.0 59.04492  ? 272 ASN B CA  272 ASN B CA  1 
ATOM 9234  C C   . ASN B 2 272 ? 264.681 -34.624 316.884 1.0 59.04492  ? 272 ASN B C   272 ASN B C   1 
ATOM 9235  O O   . ASN B 2 272 ? 265.056 -33.470 317.098 1.0 59.04492  ? 272 ASN B O   272 ASN B O   1 
ATOM 9236  C CB  . ASN B 2 272 ? 264.997 -35.186 319.319 1.0 59.04492  ? 272 ASN B CB  272 ASN B CB  1 
ATOM 9237  C CG  . ASN B 2 272 ? 263.647 -34.810 319.864 1.0 59.04492  ? 272 ASN B CG  272 ASN B CG  1 
ATOM 9238  O OD1 . ASN B 2 272 ? 262.629 -34.989 319.204 1.0 59.04492  ? 272 ASN B OD1 272 ASN B OD1 1 
ATOM 9239  N ND2 . ASN B 2 272 ? 263.627 -34.276 321.075 1.0 59.04492  ? 272 ASN B ND2 272 ASN B ND2 1 
ATOM 9240  N N   . TYR B 2 273 ? 264.054 -34.987 315.771 1.0 57.89953  ? 273 TYR B N   273 TYR B N   1 
ATOM 9241  C CA  . TYR B 2 273 ? 263.684 -34.017 314.750 1.0 57.89953  ? 273 TYR B CA  273 TYR B CA  1 
ATOM 9242  C C   . TYR B 2 273 ? 262.536 -33.162 315.264 1.0 57.89953  ? 273 TYR B C   273 TYR B C   1 
ATOM 9243  O O   . TYR B 2 273 ? 261.478 -33.691 315.612 1.0 57.89953  ? 273 TYR B O   273 TYR B O   1 
ATOM 9244  C CB  . TYR B 2 273 ? 263.262 -34.745 313.480 1.0 57.89953  ? 273 TYR B CB  273 TYR B CB  1 
ATOM 9245  C CG  . TYR B 2 273 ? 264.355 -35.515 312.792 1.0 57.89953  ? 273 TYR B CG  273 TYR B CG  1 
ATOM 9246  C CD1 . TYR B 2 273 ? 265.677 -35.144 312.912 1.0 57.89953  ? 273 TYR B CD1 273 TYR B CD1 1 
ATOM 9247  C CD2 . TYR B 2 273 ? 264.061 -36.653 312.064 1.0 57.89953  ? 273 TYR B CD2 273 TYR B CD2 1 
ATOM 9248  C CE1 . TYR B 2 273 ? 266.669 -35.860 312.286 1.0 57.89953  ? 273 TYR B CE1 273 TYR B CE1 1 
ATOM 9249  C CE2 . TYR B 2 273 ? 265.053 -37.377 311.444 1.0 57.89953  ? 273 TYR B CE2 273 TYR B CE2 1 
ATOM 9250  C CZ  . TYR B 2 273 ? 266.355 -36.972 311.558 1.0 57.89953  ? 273 TYR B CZ  273 TYR B CZ  1 
ATOM 9251  O OH  . TYR B 2 273 ? 267.352 -37.689 310.942 1.0 57.89953  ? 273 TYR B OH  273 TYR B OH  1 
ATOM 9252  N N   . ILE B 2 274 ? 262.729 -31.849 315.311 1.0 57.46429  ? 274 ILE B N   274 ILE B N   1 
ATOM 9253  C CA  . ILE B 2 274 ? 261.676 -30.928 315.723 1.0 57.46429  ? 274 ILE B CA  274 ILE B CA  1 
ATOM 9254  C C   . ILE B 2 274 ? 261.416 -29.961 314.580 1.0 57.46429  ? 274 ILE B C   274 ILE B C   1 
ATOM 9255  O O   . ILE B 2 274 ? 262.300 -29.183 314.204 1.0 57.46429  ? 274 ILE B O   274 ILE B O   1 
ATOM 9256  C CB  . ILE B 2 274 ? 262.037 -30.165 317.004 1.0 57.46429  ? 274 ILE B CB  274 ILE B CB  1 
ATOM 9257  C CG1 . ILE B 2 274 ? 262.225 -31.129 318.166 1.0 57.46429  ? 274 ILE B CG1 274 ILE B CG1 1 
ATOM 9258  C CG2 . ILE B 2 274 ? 260.953 -29.176 317.339 1.0 57.46429  ? 274 ILE B CG2 274 ILE B CG2 1 
ATOM 9259  C CD1 . ILE B 2 274 ? 262.800 -30.475 319.392 1.0 57.46429  ? 274 ILE B CD1 274 ILE B CD1 1 
ATOM 9260  N N   . GLY B 2 275 ? 260.206 -30.007 314.033 1.0 57.1938   ? 275 GLY B N   275 GLY B N   1 
ATOM 9261  C CA  . GLY B 2 275 ? 259.798 -29.082 312.996 1.0 57.1938   ? 275 GLY B CA  275 GLY B CA  1 
ATOM 9262  C C   . GLY B 2 275 ? 258.315 -28.795 313.079 1.0 57.1938   ? 275 GLY B C   275 GLY B C   1 
ATOM 9263  O O   . GLY B 2 275 ? 257.665 -29.198 314.045 1.0 57.1938   ? 275 GLY B O   275 GLY B O   1 
ATOM 9264  N N   . PHE B 2 276 ? 257.762 -28.110 312.084 1.0 55.07985  ? 276 PHE B N   276 PHE B N   1 
ATOM 9265  C CA  . PHE B 2 276 ? 256.331 -27.863 312.075 1.0 55.07985  ? 276 PHE B CA  276 PHE B CA  1 
ATOM 9266  C C   . PHE B 2 276 ? 255.574 -29.128 311.683 1.0 55.07985  ? 276 PHE B C   276 PHE B C   1 
ATOM 9267  O O   . PHE B 2 276 ? 256.156 -30.149 311.311 1.0 55.07985  ? 276 PHE B O   276 PHE B O   1 
ATOM 9268  C CB  . PHE B 2 276 ? 255.976 -26.728 311.119 1.0 55.07985  ? 276 PHE B CB  276 PHE B CB  1 
ATOM 9269  C CG  . PHE B 2 276 ? 256.487 -25.389 311.550 1.0 55.07985  ? 276 PHE B CG  276 PHE B CG  1 
ATOM 9270  C CD1 . PHE B 2 276 ? 255.876 -24.703 312.579 1.0 55.07985  ? 276 PHE B CD1 276 PHE B CD1 1 
ATOM 9271  C CD2 . PHE B 2 276 ? 257.557 -24.801 310.904 1.0 55.07985  ? 276 PHE B CD2 276 PHE B CD2 1 
ATOM 9272  C CE1 . PHE B 2 276 ? 256.339 -23.472 312.977 1.0 55.07985  ? 276 PHE B CE1 276 PHE B CE1 1 
ATOM 9273  C CE2 . PHE B 2 276 ? 258.017 -23.563 311.293 1.0 55.07985  ? 276 PHE B CE2 276 PHE B CE2 1 
ATOM 9274  C CZ  . PHE B 2 276 ? 257.407 -22.901 312.332 1.0 55.07985  ? 276 PHE B CZ  276 PHE B CZ  1 
ATOM 9275  N N   . ARG B 2 277 ? 254.252 -29.051 311.763 1.0 56.28266  ? 277 ARG B N   277 ARG B N   1 
ATOM 9276  C CA  . ARG B 2 277 ? 253.413 -30.185 311.423 1.0 56.28266  ? 277 ARG B CA  277 ARG B CA  1 
ATOM 9277  C C   . ARG B 2 277 ? 253.272 -30.324 309.911 1.0 56.28266  ? 277 ARG B C   277 ARG B C   1 
ATOM 9278  O O   . ARG B 2 277 ? 253.689 -29.461 309.136 1.0 56.28266  ? 277 ARG B O   277 ARG B O   1 
ATOM 9279  C CB  . ARG B 2 277 ? 252.037 -30.035 312.060 1.0 56.28266  ? 277 ARG B CB  277 ARG B CB  1 
ATOM 9280  C CG  . ARG B 2 277 ? 252.073 -30.046 313.558 1.0 56.28266  ? 277 ARG B CG  277 ARG B CG  1 
ATOM 9281  C CD  . ARG B 2 277 ? 252.364 -31.433 314.050 1.0 56.28266  ? 277 ARG B CD  277 ARG B CD  1 
ATOM 9282  N NE  . ARG B 2 277 ? 252.553 -31.466 315.493 1.0 56.28266  ? 277 ARG B NE  277 ARG B NE  1 
ATOM 9283  C CZ  . ARG B 2 277 ? 251.578 -31.669 316.364 1.0 56.28266  ? 277 ARG B CZ  277 ARG B CZ  1 
ATOM 9284  N NH1 . ARG B 2 277 ? 250.343 -31.855 315.932 1.0 56.28266  ? 277 ARG B NH1 277 ARG B NH1 1 
ATOM 9285  N NH2 . ARG B 2 277 ? 251.840 -31.685 317.661 1.0 56.28266  ? 277 ARG B NH2 277 ARG B NH2 1 
ATOM 9286  N N   . ASP B 2 278 ? 252.710 -31.457 309.498 1.0 56.97201  ? 278 ASP B N   278 ASP B N   1 
ATOM 9287  C CA  . ASP B 2 278 ? 252.172 -31.584 308.152 1.0 56.97201  ? 278 ASP B CA  278 ASP B CA  1 
ATOM 9288  C C   . ASP B 2 278 ? 251.087 -30.538 307.962 1.0 56.97201  ? 278 ASP B C   278 ASP B C   1 
ATOM 9289  O O   . ASP B 2 278 ? 250.268 -30.332 308.850 1.0 56.97201  ? 278 ASP B O   278 ASP B O   1 
ATOM 9290  C CB  . ASP B 2 278 ? 251.589 -32.985 307.956 1.0 56.97201  ? 278 ASP B CB  278 ASP B CB  1 
ATOM 9291  C CG  . ASP B 2 278 ? 251.175 -33.267 306.521 1.0 56.97201  ? 278 ASP B CG  278 ASP B CG  1 
ATOM 9292  O OD1 . ASP B 2 278 ? 251.435 -32.439 305.623 1.0 56.97201  ? 278 ASP B OD1 278 ASP B OD1 1 
ATOM 9293  O OD2 . ASP B 2 278 ? 250.557 -34.327 306.294 1.0 56.97201  ? 278 ASP B OD2 278 ASP B OD2 1 
ATOM 9294  N N   . ASN B 2 279 ? 251.130 -29.832 306.827 1.0 53.74602  ? 279 ASN B N   279 ASN B N   1 
ATOM 9295  C CA  . ASN B 2 279 ? 250.141 -28.828 306.406 1.0 53.74602  ? 279 ASN B CA  279 ASN B CA  1 
ATOM 9296  C C   . ASN B 2 279 ? 249.992 -27.660 307.387 1.0 53.74602  ? 279 ASN B C   279 ASN B C   1 
ATOM 9297  O O   . ASN B 2 279 ? 249.006 -26.920 307.313 1.0 53.74602  ? 279 ASN B O   279 ASN B O   1 
ATOM 9298  C CB  . ASN B 2 279 ? 248.776 -29.471 306.129 1.0 53.74602  ? 279 ASN B CB  279 ASN B CB  1 
ATOM 9299  C CG  . ASN B 2 279 ? 248.767 -30.287 304.854 1.0 53.74602  ? 279 ASN B CG  279 ASN B CG  1 
ATOM 9300  O OD1 . ASN B 2 279 ? 249.321 -29.874 303.838 1.0 53.74602  ? 279 ASN B OD1 279 ASN B OD1 1 
ATOM 9301  N ND2 . ASN B 2 279 ? 248.136 -31.453 304.900 1.0 53.74602  ? 279 ASN B ND2 279 ASN B ND2 1 
ATOM 9302  N N   . PHE B 2 280 ? 250.992 -27.464 308.252 1.0 54.13912  ? 280 PHE B N   280 PHE B N   1 
ATOM 9303  C CA  . PHE B 2 280 ? 250.986 -26.506 309.360 1.0 54.13912  ? 280 PHE B CA  280 PHE B CA  1 
ATOM 9304  C C   . PHE B 2 280 ? 249.719 -26.611 310.205 1.0 54.13912  ? 280 PHE B C   280 PHE B C   1 
ATOM 9305  O O   . PHE B 2 280 ? 249.001 -25.635 310.414 1.0 54.13912  ? 280 PHE B O   280 PHE B O   1 
ATOM 9306  C CB  . PHE B 2 280 ? 251.191 -25.077 308.869 1.0 54.13912  ? 280 PHE B CB  280 PHE B CB  1 
ATOM 9307  C CG  . PHE B 2 280 ? 252.483 -24.868 308.156 1.0 54.13912  ? 280 PHE B CG  280 PHE B CG  1 
ATOM 9308  C CD1 . PHE B 2 280 ? 253.684 -24.996 308.823 1.0 54.13912  ? 280 PHE B CD1 280 PHE B CD1 1 
ATOM 9309  C CD2 . PHE B 2 280 ? 252.496 -24.482 306.832 1.0 54.13912  ? 280 PHE B CD2 280 PHE B CD2 1 
ATOM 9310  C CE1 . PHE B 2 280 ? 254.879 -24.798 308.165 1.0 54.13912  ? 280 PHE B CE1 280 PHE B CE1 1 
ATOM 9311  C CE2 . PHE B 2 280 ? 253.685 -24.260 306.177 1.0 54.13912  ? 280 PHE B CE2 280 PHE B CE2 1 
ATOM 9312  C CZ  . PHE B 2 280 ? 254.875 -24.412 306.849 1.0 54.13912  ? 280 PHE B CZ  280 PHE B CZ  1 
ATOM 9313  N N   . ILE B 2 281 ? 249.435 -27.822 310.677 1.0 55.31802  ? 281 ILE B N   281 ILE B N   1 
ATOM 9314  C CA  . ILE B 2 281 ? 248.360 -28.024 311.637 1.0 55.31802  ? 281 ILE B CA  281 ILE B CA  1 
ATOM 9315  C C   . ILE B 2 281 ? 248.789 -27.455 312.982 1.0 55.31802  ? 281 ILE B C   281 ILE B C   1 
ATOM 9316  O O   . ILE B 2 281 ? 249.957 -27.558 313.373 1.0 55.31802  ? 281 ILE B O   281 ILE B O   1 
ATOM 9317  C CB  . ILE B 2 281 ? 248.024 -29.523 311.737 1.0 55.31802  ? 281 ILE B CB  281 ILE B CB  1 
ATOM 9318  C CG1 . ILE B 2 281 ? 247.561 -30.082 310.398 1.0 55.31802  ? 281 ILE B CG1 281 ILE B CG1 1 
ATOM 9319  C CG2 . ILE B 2 281 ? 246.875 -29.773 312.642 1.0 55.31802  ? 281 ILE B CG2 281 ILE B CG2 1 
ATOM 9320  C CD1 . ILE B 2 281 ? 247.499 -31.582 310.372 1.0 55.31802  ? 281 ILE B CD1 281 ILE B CD1 1 
ATOM 9321  N N   . GLY B 2 282 ? 247.857 -26.826 313.687 1.0 59.19314  ? 282 GLY B N   282 GLY B N   1 
ATOM 9322  C CA  . GLY B 2 282 ? 248.128 -26.323 315.007 1.0 59.19314  ? 282 GLY B CA  282 GLY B CA  1 
ATOM 9323  C C   . GLY B 2 282 ? 248.721 -24.940 315.034 1.0 59.19314  ? 282 GLY B C   282 GLY B C   1 
ATOM 9324  O O   . GLY B 2 282 ? 248.963 -24.409 316.122 1.0 59.19314  ? 282 GLY B O   282 GLY B O   1 
ATOM 9325  N N   . MET B 2 283 ? 248.984 -24.347 313.872 1.0 60.32038  ? 283 MET B N   283 MET B N   1 
ATOM 9326  C CA  . MET B 2 283 ? 249.378 -22.948 313.832 1.0 60.32038  ? 283 MET B CA  283 MET B CA  1 
ATOM 9327  C C   . MET B 2 283 ? 248.208 -22.046 314.185 1.0 60.32038  ? 283 MET B C   283 MET B C   1 
ATOM 9328  O O   . MET B 2 283 ? 248.396 -20.993 314.802 1.0 60.32038  ? 283 MET B O   283 MET B O   1 
ATOM 9329  C CB  . MET B 2 283 ? 249.916 -22.608 312.442 1.0 60.32038  ? 283 MET B CB  283 MET B CB  1 
ATOM 9330  C CG  . MET B 2 283 ? 250.474 -21.212 312.280 1.0 60.32038  ? 283 MET B CG  283 MET B CG  1 
ATOM 9331  S SD  . MET B 2 283 ? 251.944 -20.992 313.283 1.0 60.32038  ? 283 MET B SD  283 MET B SD  1 
ATOM 9332  C CE  . MET B 2 283 ? 253.096 -22.012 312.378 1.0 60.32038  ? 283 MET B CE  283 MET B CE  1 
ATOM 9333  N N   . MET B 2 284 ? 246.995 -22.473 313.858 1.0 62.04732  ? 284 MET B N   284 MET B N   1 
ATOM 9334  C CA  . MET B 2 284 ? 245.825 -21.613 313.838 1.0 62.04732  ? 284 MET B CA  284 MET B CA  1 
ATOM 9335  C C   . MET B 2 284 ? 244.703 -22.203 314.678 1.0 62.04732  ? 284 MET B C   284 MET B C   1 
ATOM 9336  O O   . MET B 2 284 ? 244.528 -23.422 314.728 1.0 62.04732  ? 284 MET B O   284 MET B O   1 
ATOM 9337  C CB  . MET B 2 284 ? 245.361 -21.432 312.412 1.0 62.04732  ? 284 MET B CB  284 MET B CB  1 
ATOM 9338  C CG  . MET B 2 284 ? 246.334 -20.654 311.563 1.0 62.04732  ? 284 MET B CG  284 MET B CG  1 
ATOM 9339  S SD  . MET B 2 284 ? 245.789 -20.525 309.861 1.0 62.04732  ? 284 MET B SD  284 MET B SD  1 
ATOM 9340  C CE  . MET B 2 284 ? 246.062 -22.217 309.353 1.0 62.04732  ? 284 MET B CE  284 MET B CE  1 
ATOM 9341  N N   . TYR B 2 285 ? 243.938 -21.330 315.326 1.0 66.26316  ? 285 TYR B N   285 TYR B N   1 
ATOM 9342  C CA  . TYR B 2 285 ? 242.814 -21.755 316.155 1.0 66.26316  ? 285 TYR B CA  285 TYR B CA  1 
ATOM 9343  C C   . TYR B 2 285 ? 241.625 -22.068 315.260 1.0 66.26316  ? 285 TYR B C   285 TYR B C   1 
ATOM 9344  O O   . TYR B 2 285 ? 240.866 -21.174 314.885 1.0 66.26316  ? 285 TYR B O   285 TYR B O   1 
ATOM 9345  C CB  . TYR B 2 285 ? 242.438 -20.678 317.164 1.0 66.26316  ? 285 TYR B CB  285 TYR B CB  1 
ATOM 9346  C CG  . TYR B 2 285 ? 243.406 -20.478 318.301 1.0 66.26316  ? 285 TYR B CG  285 TYR B CG  1 
ATOM 9347  C CD1 . TYR B 2 285 ? 243.356 -21.276 319.430 1.0 66.26316  ? 285 TYR B CD1 285 TYR B CD1 1 
ATOM 9348  C CD2 . TYR B 2 285 ? 244.356 -19.477 318.252 1.0 66.26316  ? 285 TYR B CD2 285 TYR B CD2 1 
ATOM 9349  C CE1 . TYR B 2 285 ? 244.232 -21.083 320.474 1.0 66.26316  ? 285 TYR B CE1 285 TYR B CE1 1 
ATOM 9350  C CE2 . TYR B 2 285 ? 245.230 -19.275 319.288 1.0 66.26316  ? 285 TYR B CE2 285 TYR B CE2 1 
ATOM 9351  C CZ  . TYR B 2 285 ? 245.166 -20.081 320.397 1.0 66.26316  ? 285 TYR B CZ  285 TYR B CZ  1 
ATOM 9352  O OH  . TYR B 2 285 ? 246.046 -19.890 321.436 1.0 66.26316  ? 285 TYR B OH  285 TYR B OH  1 
ATOM 9353  N N   . TYR B 2 286 ? 241.455 -23.334 314.912 1.0 62.72146  ? 286 TYR B N   286 TYR B N   1 
ATOM 9354  C CA  . TYR B 2 286 ? 240.191 -23.805 314.375 1.0 62.72146  ? 286 TYR B CA  286 TYR B CA  1 
ATOM 9355  C C   . TYR B 2 286 ? 239.372 -24.409 315.503 1.0 62.72146  ? 286 TYR B C   286 TYR B C   1 
ATOM 9356  O O   . TYR B 2 286 ? 239.908 -24.761 316.556 1.0 62.72146  ? 286 TYR B O   286 TYR B O   1 
ATOM 9357  C CB  . TYR B 2 286 ? 240.400 -24.846 313.277 1.0 62.72146  ? 286 TYR B CB  286 TYR B CB  1 
ATOM 9358  C CG  . TYR B 2 286 ? 241.047 -24.305 312.035 1.0 62.72146  ? 286 TYR B CG  286 TYR B CG  1 
ATOM 9359  C CD1 . TYR B 2 286 ? 240.311 -23.605 311.095 1.0 62.72146  ? 286 TYR B CD1 286 TYR B CD1 1 
ATOM 9360  C CD2 . TYR B 2 286 ? 242.394 -24.497 311.802 1.0 62.72146  ? 286 TYR B CD2 286 TYR B CD2 1 
ATOM 9361  C CE1 . TYR B 2 286 ? 240.904 -23.113 309.954 1.0 62.72146  ? 286 TYR B CE1 286 TYR B CE1 1 
ATOM 9362  C CE2 . TYR B 2 286 ? 242.997 -24.010 310.667 1.0 62.72146  ? 286 TYR B CE2 286 TYR B CE2 1 
ATOM 9363  C CZ  . TYR B 2 286 ? 242.248 -23.317 309.749 1.0 62.72146  ? 286 TYR B CZ  286 TYR B CZ  1 
ATOM 9364  O OH  . TYR B 2 286 ? 242.847 -22.828 308.616 1.0 62.72146  ? 286 TYR B OH  286 TYR B OH  1 
ATOM 9365  N N   . ASN B 2 287 ? 238.059 -24.504 315.265 1.0 69.02834  ? 287 ASN B N   287 ASN B N   1 
ATOM 9366  C CA  . ASN B 2 287 ? 237.090 -25.191 316.128 1.0 69.02834  ? 287 ASN B CA  287 ASN B CA  1 
ATOM 9367  C C   . ASN B 2 287 ? 237.073 -24.594 317.534 1.0 69.02834  ? 287 ASN B C   287 ASN B C   1 
ATOM 9368  O O   . ASN B 2 287 ? 237.340 -25.265 318.529 1.0 69.02834  ? 287 ASN B O   287 ASN B O   1 
ATOM 9369  C CB  . ASN B 2 287 ? 237.371 -26.695 316.174 1.0 69.02834  ? 287 ASN B CB  287 ASN B CB  1 
ATOM 9370  C CG  . ASN B 2 287 ? 237.242 -27.343 314.825 1.0 69.02834  ? 287 ASN B CG  287 ASN B CG  1 
ATOM 9371  O OD1 . ASN B 2 287 ? 236.319 -27.048 314.065 1.0 69.02834  ? 287 ASN B OD1 287 ASN B OD1 1 
ATOM 9372  N ND2 . ASN B 2 287 ? 238.177 -28.225 314.507 1.0 69.02834  ? 287 ASN B ND2 287 ASN B ND2 1 
ATOM 9373  N N   . SER B 2 288 ? 236.766 -23.306 317.600 1.0 75.48047  ? 288 SER B N   288 SER B N   1 
ATOM 9374  C CA  . SER B 2 288 ? 236.848 -22.606 318.866 1.0 75.48047  ? 288 SER B CA  288 SER B CA  1 
ATOM 9375  C C   . SER B 2 288 ? 235.699 -21.626 319.005 1.0 75.48047  ? 288 SER B C   288 SER B C   1 
ATOM 9376  O O   . SER B 2 288 ? 235.311 -20.966 318.038 1.0 75.48047  ? 288 SER B O   288 SER B O   1 
ATOM 9377  C CB  . SER B 2 288 ? 238.180 -21.866 318.994 1.0 75.48047  ? 288 SER B CB  288 SER B CB  1 
ATOM 9378  O OG  . SER B 2 288 ? 239.265 -22.772 318.959 1.0 75.48047  ? 288 SER B OG  288 SER B OG  1 
ATOM 9379  N N   . GLY B 2 289 ? 235.151 -21.551 320.211 1.0 84.01323  ? 289 GLY B N   289 GLY B N   1 
ATOM 9380  C CA  . GLY B 2 289 ? 234.314 -20.434 320.588 1.0 84.01323  ? 289 GLY B CA  289 GLY B CA  1 
ATOM 9381  C C   . GLY B 2 289 ? 235.144 -19.461 321.396 1.0 84.01323  ? 289 GLY B C   289 GLY B C   1 
ATOM 9382  O O   . GLY B 2 289 ? 234.780 -18.294 321.565 1.0 84.01323  ? 289 GLY B O   289 GLY B O   1 
ATOM 9383  N N   . SER B 2 290 ? 236.282 -19.947 321.895 1.0 86.96222  ? 290 SER B N   290 SER B N   1 
ATOM 9384  C CA  . SER B 2 290 ? 237.179 -19.116 322.689 1.0 86.96222  ? 290 SER B CA  290 SER B CA  1 
ATOM 9385  C C   . SER B 2 290 ? 238.006 -18.196 321.807 1.0 86.96222  ? 290 SER B C   290 SER B C   1 
ATOM 9386  O O   . SER B 2 290 ? 238.080 -16.987 322.050 1.0 86.96222  ? 290 SER B O   290 SER B O   1 
ATOM 9387  C CB  . SER B 2 290 ? 238.095 -19.995 323.538 1.0 86.96222  ? 290 SER B CB  290 SER B CB  1 
ATOM 9388  O OG  . SER B 2 290 ? 238.995 -20.716 322.717 1.0 86.96222  ? 290 SER B OG  290 SER B OG  1 
ATOM 9389  N N   . ASN B 2 291 ? 238.639 -18.757 320.784 1.0 77.24473  ? 291 ASN B N   291 ASN B N   1 
ATOM 9390  C CA  . ASN B 2 291 ? 239.495 -18.016 319.867 1.0 77.24473  ? 291 ASN B CA  291 ASN B CA  1 
ATOM 9391  C C   . ASN B 2 291 ? 238.931 -18.211 318.469 1.0 77.24473  ? 291 ASN B C   291 ASN B C   1 
ATOM 9392  O O   . ASN B 2 291 ? 239.396 -19.055 317.703 1.0 77.24473  ? 291 ASN B O   291 ASN B O   1 
ATOM 9393  C CB  . ASN B 2 291 ? 240.897 -18.502 319.987 1.0 77.24473  ? 291 ASN B CB  291 ASN B CB  1 
ATOM 9394  C CG  . ASN B 2 291 ? 241.473 -18.249 321.355 1.0 77.24473  ? 291 ASN B CG  291 ASN B CG  1 
ATOM 9395  O OD1 . ASN B 2 291 ? 241.804 -19.180 322.080 1.0 77.24473  ? 291 ASN B OD1 291 ASN B OD1 1 
ATOM 9396  N ND2 . ASN B 2 291 ? 241.573 -16.981 321.727 1.0 77.24473  ? 291 ASN B ND2 291 ASN B ND2 1 
ATOM 9397  N N   . THR B 2 292 ? 237.932 -17.406 318.132 1.0 74.2816   ? 292 THR B N   292 THR B N   1 
ATOM 9398  C CA  . THR B 2 292 ? 237.211 -17.542 316.875 1.0 74.2816   ? 292 THR B CA  292 THR B CA  1 
ATOM 9399  C C   . THR B 2 292 ? 237.605 -16.389 315.968 1.0 74.2816   ? 292 THR B C   292 THR B C   1 
ATOM 9400  O O   . THR B 2 292 ? 237.260 -15.233 316.234 1.0 74.2816   ? 292 THR B O   292 THR B O   1 
ATOM 9401  C CB  . THR B 2 292 ? 235.703 -17.560 317.100 1.0 74.2816   ? 292 THR B CB  292 THR B CB  1 
ATOM 9402  O OG1 . THR B 2 292 ? 235.367 -18.639 317.976 1.0 74.2816   ? 292 THR B OG1 292 THR B OG1 1 
ATOM 9403  C CG2 . THR B 2 292 ? 234.979 -17.759 315.781 1.0 74.2816   ? 292 THR B CG2 292 THR B CG2 1 
ATOM 9404  N N   . GLY B 2 293 ? 238.333 -16.703 314.906 1.0 66.64222  ? 293 GLY B N   293 GLY B N   1 
ATOM 9405  C CA  . GLY B 2 293 ? 238.613 -15.707 313.901 1.0 66.64222  ? 293 GLY B CA  293 GLY B CA  1 
ATOM 9406  C C   . GLY B 2 293 ? 237.381 -15.400 313.075 1.0 66.64222  ? 293 GLY B C   293 GLY B C   1 
ATOM 9407  O O   . GLY B 2 293 ? 236.443 -16.190 312.993 1.0 66.64222  ? 293 GLY B O   293 GLY B O   1 
ATOM 9408  N N   . SER B 2 294 ? 237.388 -14.230 312.450 1.0 62.55828  ? 294 SER B N   294 SER B N   1 
ATOM 9409  C CA  . SER B 2 294 ? 236.209 -13.721 311.772 1.0 62.55828  ? 294 SER B CA  294 SER B CA  1 
ATOM 9410  C C   . SER B 2 294 ? 236.542 -13.239 310.373 1.0 62.55828  ? 294 SER B C   294 SER B C   1 
ATOM 9411  O O   . SER B 2 294 ? 237.572 -12.596 310.155 1.0 62.55828  ? 294 SER B O   294 SER B O   1 
ATOM 9412  C CB  . SER B 2 294 ? 235.587 -12.574 312.553 1.0 62.55828  ? 294 SER B CB  294 SER B CB  1 
ATOM 9413  O OG  . SER B 2 294 ? 234.530 -11.997 311.813 1.0 62.55828  ? 294 SER B OG  294 SER B OG  1 
ATOM 9414  N N   . PHE B 2 295 ? 235.656 -13.547 309.433 1.0 56.92759  ? 295 PHE B N   295 PHE B N   1 
ATOM 9415  C CA  . PHE B 2 295 ? 235.629 -12.905 308.126 1.0 56.92759  ? 295 PHE B CA  295 PHE B CA  1 
ATOM 9416  C C   . PHE B 2 295 ? 234.285 -12.192 308.044 1.0 56.92759  ? 295 PHE B C   295 PHE B C   1 
ATOM 9417  O O   . PHE B 2 295 ? 233.302 -12.728 307.535 1.0 56.92759  ? 295 PHE B O   295 PHE B O   1 
ATOM 9418  C CB  . PHE B 2 295 ? 235.821 -13.899 307.000 1.0 56.92759  ? 295 PHE B CB  295 PHE B CB  1 
ATOM 9419  C CG  . PHE B 2 295 ? 235.737 -13.286 305.637 1.0 56.92759  ? 295 PHE B CG  295 PHE B CG  1 
ATOM 9420  C CD1 . PHE B 2 295 ? 236.737 -12.453 305.170 1.0 56.92759  ? 295 PHE B CD1 295 PHE B CD1 1 
ATOM 9421  C CD2 . PHE B 2 295 ? 234.661 -13.553 304.818 1.0 56.92759  ? 295 PHE B CD2 295 PHE B CD2 1 
ATOM 9422  C CE1 . PHE B 2 295 ? 236.654 -11.895 303.919 1.0 56.92759  ? 295 PHE B CE1 295 PHE B CE1 1 
ATOM 9423  C CE2 . PHE B 2 295 ? 234.570 -12.995 303.571 1.0 56.92759  ? 295 PHE B CE2 295 PHE B CE2 1 
ATOM 9424  C CZ  . PHE B 2 295 ? 235.569 -12.164 303.117 1.0 56.92759  ? 295 PHE B CZ  295 PHE B CZ  1 
ATOM 9425  N N   . SER B 2 296 ? 234.243 -10.977 308.567 1.0 60.60506  ? 296 SER B N   296 SER B N   1 
ATOM 9426  C CA  . SER B 2 296 ? 233.031 -10.183 308.595 1.0 60.60506  ? 296 SER B CA  296 SER B CA  1 
ATOM 9427  C C   . SER B 2 296 ? 233.157 -9.034  307.612 1.0 60.60506  ? 296 SER B C   296 SER B C   1 
ATOM 9428  O O   . SER B 2 296 ? 234.231 -8.451  307.449 1.0 60.60506  ? 296 SER B O   296 SER B O   1 
ATOM 9429  C CB  . SER B 2 296 ? 232.771 -9.634  309.994 1.0 60.60506  ? 296 SER B CB  296 SER B CB  1 
ATOM 9430  O OG  . SER B 2 296 ? 233.776 -8.703  310.349 1.0 60.60506  ? 296 SER B OG  296 SER B OG  1 
ATOM 9431  N N   . SER B 2 297 ? 232.053 -8.716  306.953 1.0 59.61401  ? 297 SER B N   297 SER B N   1 
ATOM 9432  C CA  . SER B 2 297 ? 232.035 -7.550  306.092 1.0 59.61401  ? 297 SER B CA  297 SER B CA  1 
ATOM 9433  C C   . SER B 2 297 ? 231.983 -6.285  306.935 1.0 59.61401  ? 297 SER B C   297 SER B C   1 
ATOM 9434  O O   . SER B 2 297 ? 231.567 -6.301  308.092 1.0 59.61401  ? 297 SER B O   297 SER B O   1 
ATOM 9435  C CB  . SER B 2 297 ? 230.841 -7.599  305.146 1.0 59.61401  ? 297 SER B CB  297 SER B CB  1 
ATOM 9436  O OG  . SER B 2 297 ? 229.628 -7.520  305.867 1.0 59.61401  ? 297 SER B OG  297 SER B OG  1 
ATOM 9437  N N   . GLN B 2 298 ? 232.451 -5.191  306.356 1.0 61.634    ? 298 GLN B N   298 GLN B N   1 
ATOM 9438  C CA  . GLN B 2 298 ? 232.261 -3.887  306.962 1.0 61.634    ? 298 GLN B CA  298 GLN B CA  1 
ATOM 9439  C C   . GLN B 2 298 ? 230.928 -3.327  306.486 1.0 61.634    ? 298 GLN B C   298 GLN B C   1 
ATOM 9440  O O   . GLN B 2 298 ? 230.525 -3.579  305.347 1.0 61.634    ? 298 GLN B O   298 GLN B O   1 
ATOM 9441  C CB  . GLN B 2 298 ? 233.417 -2.963  306.579 1.0 61.634    ? 298 GLN B CB  298 GLN B CB  1 
ATOM 9442  C CG  . GLN B 2 298 ? 233.424 -1.612  307.255 1.0 61.634    ? 298 GLN B CG  298 GLN B CG  1 
ATOM 9443  C CD  . GLN B 2 298 ? 234.650 -0.803  306.897 1.0 61.634    ? 298 GLN B CD  298 GLN B CD  1 
ATOM 9444  O OE1 . GLN B 2 298 ? 235.499 -1.252  306.131 1.0 61.634    ? 298 GLN B OE1 298 GLN B OE1 1 
ATOM 9445  N NE2 . GLN B 2 298 ? 234.745 0.403   307.446 1.0 61.634    ? 298 GLN B NE2 298 GLN B NE2 1 
ATOM 9446  N N   . THR B 2 299 ? 230.240 -2.586  307.377 1.0 63.37964  ? 299 THR B N   299 THR B N   1 
ATOM 9447  C CA  . THR B 2 299 ? 228.939 -1.964  307.102 1.0 63.37964  ? 299 THR B CA  299 THR B CA  1 
ATOM 9448  C C   . THR B 2 299 ? 227.898 -3.024  306.749 1.0 63.37964  ? 299 THR B C   299 THR B C   1 
ATOM 9449  O O   . THR B 2 299 ? 227.661 -3.262  305.558 1.0 63.37964  ? 299 THR B O   299 THR B O   1 
ATOM 9450  C CB  . THR B 2 299 ? 229.014 -0.886  306.009 1.0 63.37964  ? 299 THR B CB  299 THR B CB  1 
ATOM 9451  O OG1 . THR B 2 299 ? 230.103 -0.002  306.287 1.0 63.37964  ? 299 THR B OG1 299 THR B OG1 1 
ATOM 9452  C CG2 . THR B 2 299 ? 227.736 -0.055  306.006 1.0 63.37964  ? 299 THR B CG2 299 THR B CG2 1 
ATOM 9453  N N   . GLN B 2 300 ? 227.247 -3.608  307.777 1.0 64.795    ? 300 GLN B N   300 GLN B N   1 
ATOM 9454  C CA  . GLN B 2 300 ? 226.885 -5.013  308.022 1.0 64.795    ? 300 GLN B CA  300 GLN B CA  1 
ATOM 9455  C C   . GLN B 2 300 ? 228.105 -5.783  308.514 1.0 64.795    ? 300 GLN B C   300 GLN B C   1 
ATOM 9456  O O   . GLN B 2 300 ? 228.708 -6.580  307.789 1.0 64.795    ? 300 GLN B O   300 GLN B O   1 
ATOM 9457  C CB  . GLN B 2 300 ? 226.260 -5.717  306.803 1.0 64.795    ? 300 GLN B CB  300 GLN B CB  1 
ATOM 9458  C CG  . GLN B 2 300 ? 225.616 -7.077  307.078 1.0 64.795    ? 300 GLN B CG  300 GLN B CG  1 
ATOM 9459  C CD  . GLN B 2 300 ? 225.000 -7.685  305.835 1.0 64.795    ? 300 GLN B CD  300 GLN B CD  1 
ATOM 9460  O OE1 . GLN B 2 300 ? 225.062 -7.104  304.753 1.0 64.795    ? 300 GLN B OE1 300 GLN B OE1 1 
ATOM 9461  N NE2 . GLN B 2 300 ? 224.411 -8.865  305.980 1.0 64.795    ? 300 GLN B NE2 300 GLN B NE2 1 
ATOM 9462  N N   . GLN B 2 301 ? 228.491 -5.491  309.762 1.0 68.91769  ? 301 GLN B N   301 GLN B N   1 
ATOM 9463  C CA  . GLN B 2 301 ? 229.540 -6.008  310.642 1.0 68.91769  ? 301 GLN B CA  301 GLN B CA  1 
ATOM 9464  C C   . GLN B 2 301 ? 229.329 -7.471  311.065 1.0 68.91769  ? 301 GLN B C   301 GLN B C   1 
ATOM 9465  O O   . GLN B 2 301 ? 230.091 -7.908  311.934 1.0 68.91769  ? 301 GLN B O   301 GLN B O   1 
ATOM 9466  C CB  . GLN B 2 301 ? 229.613 -5.141  311.900 1.0 68.91769  ? 301 GLN B CB  301 GLN B CB  1 
ATOM 9467  C CG  . GLN B 2 301 ? 229.915 -3.663  311.682 1.0 68.91769  ? 301 GLN B CG  301 GLN B CG  1 
ATOM 9468  C CD  . GLN B 2 301 ? 231.323 -3.392  311.204 1.0 68.91769  ? 301 GLN B CD  301 GLN B CD  1 
ATOM 9469  O OE1 . GLN B 2 301 ? 231.537 -2.989  310.064 1.0 68.91769  ? 301 GLN B OE1 301 GLN B OE1 1 
ATOM 9470  N NE2 . GLN B 2 301 ? 232.295 -3.596  312.084 1.0 68.91769  ? 301 GLN B NE2 301 GLN B NE2 1 
ATOM 9471  N N   . LEU B 2 302 ? 228.355 -8.209  310.532 1.0 63.90648  ? 302 LEU B N   302 LEU B N   1 
ATOM 9472  C CA  . LEU B 2 302 ? 228.029 -9.537  311.042 1.0 63.90648  ? 302 LEU B CA  302 LEU B CA  1 
ATOM 9473  C C   . LEU B 2 302 ? 229.102 -10.555 310.677 1.0 63.90648  ? 302 LEU B C   302 LEU B C   1 
ATOM 9474  O O   . LEU B 2 302 ? 229.613 -10.562 309.555 1.0 63.90648  ? 302 LEU B O   302 LEU B O   1 
ATOM 9475  C CB  . LEU B 2 302 ? 226.679 -10.006 310.500 1.0 63.90648  ? 302 LEU B CB  302 LEU B CB  1 
ATOM 9476  C CG  . LEU B 2 302 ? 225.372 -9.538  311.150 1.0 63.90648  ? 302 LEU B CG  302 LEU B CG  1 
ATOM 9477  C CD1 . LEU B 2 302 ? 225.019 -8.099  310.786 1.0 63.90648  ? 302 LEU B CD1 302 LEU B CD1 1 
ATOM 9478  C CD2 . LEU B 2 302 ? 224.239 -10.480 310.777 1.0 63.90648  ? 302 LEU B CD2 302 LEU B CD2 1 
ATOM 9479  N N   . ASN B 2 303 ? 229.422 -11.427 311.629 1.0 58.48104  ? 303 ASN B N   303 ASN B N   1 
ATOM 9480  C CA  . ASN B 2 303 ? 230.441 -12.446 311.434 1.0 58.48104  ? 303 ASN B CA  303 ASN B CA  1 
ATOM 9481  C C   . ASN B 2 303 ? 229.905 -13.576 310.568 1.0 58.48104  ? 303 ASN B C   303 ASN B C   1 
ATOM 9482  O O   . ASN B 2 303 ? 228.721 -13.916 310.625 1.0 58.48104  ? 303 ASN B O   303 ASN B O   1 
ATOM 9483  C CB  . ASN B 2 303 ? 230.897 -12.998 312.784 1.0 58.48104  ? 303 ASN B CB  303 ASN B CB  1 
ATOM 9484  C CG  . ASN B 2 303 ? 232.159 -13.834 312.685 1.0 58.48104  ? 303 ASN B CG  303 ASN B CG  1 
ATOM 9485  O OD1 . ASN B 2 303 ? 232.741 -13.985 311.614 1.0 58.48104  ? 303 ASN B OD1 303 ASN B OD1 1 
ATOM 9486  N ND2 . ASN B 2 303 ? 232.588 -14.386 313.811 1.0 58.48104  ? 303 ASN B ND2 303 ASN B ND2 1 
ATOM 9487  N N   . ILE B 2 304 ? 230.789 -14.158 309.766 1.0 56.47415  ? 304 ILE B N   304 ILE B N   1 
ATOM 9488  C CA  . ILE B 2 304 ? 230.451 -15.331 308.969 1.0 56.47415  ? 304 ILE B CA  304 ILE B CA  1 
ATOM 9489  C C   . ILE B 2 304 ? 230.875 -16.613 309.665 1.0 56.47415  ? 304 ILE B C   304 ILE B C   1 
ATOM 9490  O O   . ILE B 2 304 ? 230.083 -17.549 309.799 1.0 56.47415  ? 304 ILE B O   304 ILE B O   1 
ATOM 9491  C CB  . ILE B 2 304 ? 231.089 -15.216 307.569 1.0 56.47415  ? 304 ILE B CB  304 ILE B CB  1 
ATOM 9492  C CG1 . ILE B 2 304 ? 230.369 -14.170 306.729 1.0 56.47415  ? 304 ILE B CG1 304 ILE B CG1 1 
ATOM 9493  C CG2 . ILE B 2 304 ? 231.149 -16.557 306.863 1.0 56.47415  ? 304 ILE B CG2 304 ILE B CG2 1 
ATOM 9494  C CD1 . ILE B 2 304 ? 231.062 -13.923 305.431 1.0 56.47415  ? 304 ILE B CD1 304 ILE B CD1 1 
ATOM 9495  N N   . VAL B 2 305 ? 232.117 -16.668 310.138 1.0 58.80212  ? 305 VAL B N   305 VAL B N   1 
ATOM 9496  C CA  . VAL B 2 305 ? 232.685 -17.903 310.661 1.0 58.80212  ? 305 VAL B CA  305 VAL B CA  1 
ATOM 9497  C C   . VAL B 2 305 ? 232.082 -18.213 312.021 1.0 58.80212  ? 305 VAL B C   305 VAL B C   1 
ATOM 9498  O O   . VAL B 2 305 ? 232.472 -17.634 313.041 1.0 58.80212  ? 305 VAL B O   305 VAL B O   1 
ATOM 9499  C CB  . VAL B 2 305 ? 234.215 -17.813 310.752 1.0 58.80212  ? 305 VAL B CB  305 VAL B CB  1 
ATOM 9500  C CG1 . VAL B 2 305 ? 234.796 -19.122 311.255 1.0 58.80212  ? 305 VAL B CG1 305 VAL B CG1 1 
ATOM 9501  C CG2 . VAL B 2 305 ? 234.778 -17.458 309.415 1.0 58.80212  ? 305 VAL B CG2 305 VAL B CG2 1 
ATOM 9502  N N   . LEU B 2 306 ? 231.110 -19.113 312.034 1.0 61.73605  ? 306 LEU B N   306 LEU B N   1 
ATOM 9503  C CA  . LEU B 2 306 ? 230.535 -19.648 313.259 1.0 61.73605  ? 306 LEU B CA  306 LEU B CA  1 
ATOM 9504  C C   . LEU B 2 306 ? 231.030 -21.086 313.342 1.0 61.73605  ? 306 LEU B C   306 LEU B C   1 
ATOM 9505  O O   . LEU B 2 306 ? 230.370 -22.017 312.880 1.0 61.73605  ? 306 LEU B O   306 LEU B O   1 
ATOM 9506  C CB  . LEU B 2 306 ? 229.018 -19.559 313.245 1.0 61.73605  ? 306 LEU B CB  306 LEU B CB  1 
ATOM 9507  C CG  . LEU B 2 306 ? 228.465 -18.135 313.209 1.0 61.73605  ? 306 LEU B CG  306 LEU B CG  1 
ATOM 9508  C CD1 . LEU B 2 306 ? 226.960 -18.154 313.028 1.0 61.73605  ? 306 LEU B CD1 306 LEU B CD1 1 
ATOM 9509  C CD2 . LEU B 2 306 ? 228.849 -17.381 314.473 1.0 61.73605  ? 306 LEU B CD2 306 LEU B CD2 1 
ATOM 9510  N N   . ASP B 2 307 ? 232.213 -21.254 313.918 1.0 67.02216  ? 307 ASP B N   307 ASP B N   1 
ATOM 9511  C CA  . ASP B 2 307 ? 232.859 -22.551 313.969 1.0 67.02216  ? 307 ASP B CA  307 ASP B CA  1 
ATOM 9512  C C   . ASP B 2 307 ? 232.441 -23.270 315.242 1.0 67.02216  ? 307 ASP B C   307 ASP B C   1 
ATOM 9513  O O   . ASP B 2 307 ? 232.267 -22.650 316.294 1.0 67.02216  ? 307 ASP B O   307 ASP B O   1 
ATOM 9514  C CB  . ASP B 2 307 ? 234.378 -22.394 313.907 1.0 67.02216  ? 307 ASP B CB  307 ASP B CB  1 
ATOM 9515  C CG  . ASP B 2 307 ? 235.084 -23.676 313.518 1.0 67.02216  ? 307 ASP B CG  307 ASP B CG  1 
ATOM 9516  O OD1 . ASP B 2 307 ? 234.410 -24.711 313.347 1.0 67.02216  ? 307 ASP B OD1 307 ASP B OD1 1 
ATOM 9517  O OD2 . ASP B 2 307 ? 236.319 -23.640 313.352 1.0 67.02216  ? 307 ASP B OD2 307 ASP B OD2 1 
ATOM 9518  N N   . LEU B 2 308 ? 232.279 -24.582 315.135 1.0 68.79222  ? 308 LEU B N   308 LEU B N   1 
ATOM 9519  C CA  . LEU B 2 308 ? 231.705 -25.397 316.191 1.0 68.79222  ? 308 LEU B CA  308 LEU B CA  1 
ATOM 9520  C C   . LEU B 2 308 ? 232.729 -26.420 316.659 1.0 68.79222  ? 308 LEU B C   308 LEU B C   1 
ATOM 9521  O O   . LEU B 2 308 ? 233.594 -26.850 315.891 1.0 68.79222  ? 308 LEU B O   308 LEU B O   1 
ATOM 9522  C CB  . LEU B 2 308 ? 230.446 -26.098 315.689 1.0 68.79222  ? 308 LEU B CB  308 LEU B CB  1 
ATOM 9523  C CG  . LEU B 2 308 ? 229.388 -25.116 315.187 1.0 68.79222  ? 308 LEU B CG  308 LEU B CG  1 
ATOM 9524  C CD1 . LEU B 2 308 ? 228.252 -25.839 314.495 1.0 68.79222  ? 308 LEU B CD1 308 LEU B CD1 1 
ATOM 9525  C CD2 . LEU B 2 308 ? 228.874 -24.242 316.318 1.0 68.79222  ? 308 LEU B CD2 308 LEU B CD2 1 
ATOM 9526  N N   . ASN B 2 309 ? 232.624 -26.811 317.930 1.0 70.46697  ? 309 ASN B N   309 ASN B N   1 
ATOM 9527  C CA  . ASN B 2 309 ? 233.580 -27.758 318.493 1.0 70.46697  ? 309 ASN B CA  309 ASN B CA  1 
ATOM 9528  C C   . ASN B 2 309 ? 233.352 -29.171 317.973 1.0 70.46697  ? 309 ASN B C   309 ASN B C   1 
ATOM 9529  O O   . ASN B 2 309 ? 234.288 -29.978 317.947 1.0 70.46697  ? 309 ASN B O   309 ASN B O   1 
ATOM 9530  C CB  . ASN B 2 309 ? 233.499 -27.733 320.016 1.0 70.46697  ? 309 ASN B CB  309 ASN B CB  1 
ATOM 9531  C CG  . ASN B 2 309 ? 234.000 -26.433 320.595 1.0 70.46697  ? 309 ASN B CG  309 ASN B CG  1 
ATOM 9532  O OD1 . ASN B 2 309 ? 234.993 -25.881 320.133 1.0 70.46697  ? 309 ASN B OD1 309 ASN B OD1 1 
ATOM 9533  N ND2 . ASN B 2 309 ? 233.314 -25.934 321.613 1.0 70.46697  ? 309 ASN B ND2 309 ASN B ND2 1 
ATOM 9534  N N   . ASP B 2 310 ? 232.120 -29.486 317.565 1.0 68.92779  ? 310 ASP B N   310 ASP B N   1 
ATOM 9535  C CA  . ASP B 2 310 ? 231.824 -30.790 316.981 1.0 68.92779  ? 310 ASP B CA  310 ASP B CA  1 
ATOM 9536  C C   . ASP B 2 310 ? 232.470 -30.957 315.615 1.0 68.92779  ? 310 ASP B C   310 ASP B C   1 
ATOM 9537  O O   . ASP B 2 310 ? 232.855 -32.071 315.245 1.0 68.92779  ? 310 ASP B O   310 ASP B O   1 
ATOM 9538  C CB  . ASP B 2 310 ? 230.315 -30.975 316.856 1.0 68.92779  ? 310 ASP B CB  310 ASP B CB  1 
ATOM 9539  C CG  . ASP B 2 310 ? 229.637 -31.165 318.191 1.0 68.92779  ? 310 ASP B CG  310 ASP B CG  1 
ATOM 9540  O OD1 . ASP B 2 310 ? 230.284 -31.688 319.121 1.0 68.92779  ? 310 ASP B OD1 310 ASP B OD1 1 
ATOM 9541  O OD2 . ASP B 2 310 ? 228.449 -30.800 318.307 1.0 68.92779  ? 310 ASP B OD2 310 ASP B OD2 1 
ATOM 9542  N N   . ARG B 2 311 ? 232.571 -29.875 314.852 1.0 64.52413  ? 311 ARG B N   311 ARG B N   1 
ATOM 9543  C CA  . ARG B 2 311 ? 233.234 -29.907 313.559 1.0 64.52413  ? 311 ARG B CA  311 ARG B CA  1 
ATOM 9544  C C   . ARG B 2 311 ? 234.734 -30.101 313.757 1.0 64.52413  ? 311 ARG B C   311 ARG B C   1 
ATOM 9545  O O   . ARG B 2 311 ? 235.290 -29.747 314.797 1.0 64.52413  ? 311 ARG B O   311 ARG B O   1 
ATOM 9546  C CB  . ARG B 2 311 ? 232.942 -28.607 312.802 1.0 64.52413  ? 311 ARG B CB  311 ARG B CB  1 
ATOM 9547  C CG  . ARG B 2 311 ? 233.404 -28.556 311.360 1.0 64.52413  ? 311 ARG B CG  311 ARG B CG  1 
ATOM 9548  C CD  . ARG B 2 311 ? 233.039 -27.251 310.702 1.0 64.52413  ? 311 ARG B CD  311 ARG B CD  1 
ATOM 9549  N NE  . ARG B 2 311 ? 231.600 -27.114 310.522 1.0 64.52413  ? 311 ARG B NE  311 ARG B NE  1 
ATOM 9550  C CZ  . ARG B 2 311 ? 230.855 -26.206 311.139 1.0 64.52413  ? 311 ARG B CZ  311 ARG B CZ  1 
ATOM 9551  N NH1 . ARG B 2 311 ? 231.413 -25.349 311.982 1.0 64.52413  ? 311 ARG B NH1 311 ARG B NH1 1 
ATOM 9552  N NH2 . ARG B 2 311 ? 229.551 -26.154 310.911 1.0 64.52413  ? 311 ARG B NH2 311 ARG B NH2 1 
ATOM 9553  N N   . ASN B 2 312 ? 235.383 -30.717 312.772 1.0 61.45952  ? 312 ASN B N   312 ASN B N   1 
ATOM 9554  C CA  . ASN B 2 312 ? 236.839 -30.813 312.739 1.0 61.45952  ? 312 ASN B CA  312 ASN B CA  1 
ATOM 9555  C C   . ASN B 2 312 ? 237.292 -30.144 311.445 1.0 61.45952  ? 312 ASN B C   312 ASN B C   1 
ATOM 9556  O O   . ASN B 2 312 ? 237.149 -30.714 310.360 1.0 61.45952  ? 312 ASN B O   312 ASN B O   1 
ATOM 9557  C CB  . ASN B 2 312 ? 237.305 -32.261 312.821 1.0 61.45952  ? 312 ASN B CB  312 ASN B CB  1 
ATOM 9558  C CG  . ASN B 2 312 ? 238.711 -32.388 313.349 1.0 61.45952  ? 312 ASN B CG  312 ASN B CG  1 
ATOM 9559  O OD1 . ASN B 2 312 ? 239.363 -31.389 313.640 1.0 61.45952  ? 312 ASN B OD1 312 ASN B OD1 1 
ATOM 9560  N ND2 . ASN B 2 312 ? 239.183 -33.619 313.496 1.0 61.45952  ? 312 ASN B ND2 312 ASN B ND2 1 
ATOM 9561  N N   . SER B 2 313 ? 237.804 -28.918 311.556 1.0 60.03934  ? 313 SER B N   313 SER B N   1 
ATOM 9562  C CA  . SER B 2 313 ? 238.306 -28.220 310.378 1.0 60.03934  ? 313 SER B CA  313 SER B CA  1 
ATOM 9563  C C   . SER B 2 313 ? 239.631 -28.808 309.929 1.0 60.03934  ? 313 SER B C   313 SER B C   1 
ATOM 9564  O O   . SER B 2 313 ? 239.937 -28.834 308.733 1.0 60.03934  ? 313 SER B O   313 SER B O   1 
ATOM 9565  C CB  . SER B 2 313 ? 238.440 -26.730 310.672 1.0 60.03934  ? 313 SER B CB  313 SER B CB  1 
ATOM 9566  O OG  . SER B 2 313 ? 237.161 -26.154 310.854 1.0 60.03934  ? 313 SER B OG  313 SER B OG  1 
ATOM 9567  N N   . GLU B 2 314 ? 240.426 -29.291 310.877 1.0 60.10568  ? 314 GLU B N   314 GLU B N   1 
ATOM 9568  C CA  . GLU B 2 314 ? 241.528 -30.183 310.561 1.0 60.10568  ? 314 GLU B CA  314 GLU B CA  1 
ATOM 9569  C C   . GLU B 2 314 ? 240.963 -31.562 310.276 1.0 60.10568  ? 314 GLU B C   314 GLU B C   1 
ATOM 9570  O O   . GLU B 2 314 ? 239.782 -31.813 310.517 1.0 60.10568  ? 314 GLU B O   314 GLU B O   1 
ATOM 9571  C CB  . GLU B 2 314 ? 242.506 -30.264 311.725 1.0 60.10568  ? 314 GLU B CB  314 GLU B CB  1 
ATOM 9572  C CG  . GLU B 2 314 ? 243.069 -28.949 312.210 1.0 60.10568  ? 314 GLU B CG  314 GLU B CG  1 
ATOM 9573  C CD  . GLU B 2 314 ? 243.962 -28.279 311.210 1.0 60.10568  ? 314 GLU B CD  314 GLU B CD  1 
ATOM 9574  O OE1 . GLU B 2 314 ? 244.516 -28.971 310.334 1.0 60.10568  ? 314 GLU B OE1 314 GLU B OE1 1 
ATOM 9575  O OE2 . GLU B 2 314 ? 244.167 -27.056 311.326 1.0 60.10568  ? 314 GLU B OE2 314 GLU B OE2 1 
ATOM 9576  N N   . LEU B 2 315 ? 241.766 -32.423 309.653 1.0 54.33865  ? 315 LEU B N   315 LEU B N   1 
ATOM 9577  C CA  . LEU B 2 315 ? 241.499 -33.845 309.360 1.0 54.33865  ? 315 LEU B CA  315 LEU B CA  1 
ATOM 9578  C C   . LEU B 2 315 ? 240.402 -34.010 308.300 1.0 54.33865  ? 315 LEU B C   315 LEU B C   1 
ATOM 9579  O O   . LEU B 2 315 ? 240.262 -35.097 307.745 1.0 54.33865  ? 315 LEU B O   315 LEU B O   1 
ATOM 9580  C CB  . LEU B 2 315 ? 241.168 -34.659 310.632 1.0 54.33865  ? 315 LEU B CB  315 LEU B CB  1 
ATOM 9581  C CG  . LEU B 2 315 ? 241.019 -36.184 310.772 1.0 54.33865  ? 315 LEU B CG  315 LEU B CG  1 
ATOM 9582  C CD1 . LEU B 2 315 ? 239.621 -36.710 310.498 1.0 54.33865  ? 315 LEU B CD1 315 LEU B CD1 1 
ATOM 9583  C CD2 . LEU B 2 315 ? 242.007 -36.894 309.871 1.0 54.33865  ? 315 LEU B CD2 315 LEU B CD2 1 
ATOM 9584  N N   . SER B 2 316 ? 239.676 -32.951 307.953 1.0 52.71824  ? 316 SER B N   316 SER B N   1 
ATOM 9585  C CA  . SER B 2 316 ? 238.915 -32.845 306.725 1.0 52.71824  ? 316 SER B CA  316 SER B CA  1 
ATOM 9586  C C   . SER B 2 316 ? 239.750 -32.315 305.585 1.0 52.71824  ? 316 SER B C   316 SER B C   1 
ATOM 9587  O O   . SER B 2 316 ? 239.489 -32.653 304.432 1.0 52.71824  ? 316 SER B O   316 SER B O   1 
ATOM 9588  C CB  . SER B 2 316 ? 237.716 -31.914 306.917 1.0 52.71824  ? 316 SER B CB  316 SER B CB  1 
ATOM 9589  O OG  . SER B 2 316 ? 237.031 -31.729 305.694 1.0 52.71824  ? 316 SER B OG  316 SER B OG  1 
ATOM 9590  N N   . TYR B 2 317 ? 240.742 -31.480 305.890 1.0 52.25455  ? 317 TYR B N   317 TYR B N   1 
ATOM 9591  C CA  . TYR B 2 317 ? 241.719 -31.090 304.887 1.0 52.25455  ? 317 TYR B CA  317 TYR B CA  1 
ATOM 9592  C C   . TYR B 2 317 ? 242.693 -32.225 304.620 1.0 52.25455  ? 317 TYR B C   317 TYR B C   1 
ATOM 9593  O O   . TYR B 2 317 ? 243.265 -32.318 303.529 1.0 52.25455  ? 317 TYR B O   317 TYR B O   1 
ATOM 9594  C CB  . TYR B 2 317 ? 242.464 -29.842 305.347 1.0 52.25455  ? 317 TYR B CB  317 TYR B CB  1 
ATOM 9595  C CG  . TYR B 2 317 ? 243.451 -29.297 304.345 1.0 52.25455  ? 317 TYR B CG  317 TYR B CG  1 
ATOM 9596  C CD1 . TYR B 2 317 ? 243.028 -28.521 303.280 1.0 52.25455  ? 317 TYR B CD1 317 TYR B CD1 1 
ATOM 9597  C CD2 . TYR B 2 317 ? 244.808 -29.560 304.467 1.0 52.25455  ? 317 TYR B CD2 317 TYR B CD2 1 
ATOM 9598  C CE1 . TYR B 2 317 ? 243.929 -28.017 302.364 1.0 52.25455  ? 317 TYR B CE1 317 TYR B CE1 1 
ATOM 9599  C CE2 . TYR B 2 317 ? 245.714 -29.064 303.556 1.0 52.25455  ? 317 TYR B CE2 317 TYR B CE2 1 
ATOM 9600  C CZ  . TYR B 2 317 ? 245.269 -28.293 302.508 1.0 52.25455  ? 317 TYR B CZ  317 TYR B CZ  1 
ATOM 9601  O OH  . TYR B 2 317 ? 246.170 -27.797 301.599 1.0 52.25455  ? 317 TYR B OH  317 TYR B OH  1 
ATOM 9602  N N   . GLN B 2 318 ? 242.903 -33.093 305.610 1.0 52.05682  ? 318 GLN B N   318 GLN B N   1 
ATOM 9603  C CA  . GLN B 2 318 ? 243.773 -34.242 305.403 1.0 52.05682  ? 318 GLN B CA  318 GLN B CA  1 
ATOM 9604  C C   . GLN B 2 318 ? 243.125 -35.256 304.474 1.0 52.05682  ? 318 GLN B C   318 GLN B C   1 
ATOM 9605  O O   . GLN B 2 318 ? 243.806 -35.887 303.660 1.0 52.05682  ? 318 GLN B O   318 GLN B O   1 
ATOM 9606  C CB  . GLN B 2 318 ? 244.114 -34.888 306.742 1.0 52.05682  ? 318 GLN B CB  318 GLN B CB  1 
ATOM 9607  C CG  . GLN B 2 318 ? 244.902 -34.000 307.672 1.0 52.05682  ? 318 GLN B CG  318 GLN B CG  1 
ATOM 9608  C CD  . GLN B 2 318 ? 246.264 -33.665 307.132 1.0 52.05682  ? 318 GLN B CD  318 GLN B CD  1 
ATOM 9609  O OE1 . GLN B 2 318 ? 246.531 -32.527 306.755 1.0 52.05682  ? 318 GLN B OE1 318 GLN B OE1 1 
ATOM 9610  N NE2 . GLN B 2 318 ? 247.141 -34.656 307.090 1.0 52.05682  ? 318 GLN B NE2 318 GLN B NE2 1 
ATOM 9611  N N   . TYR B 2 319 ? 241.806 -35.421 304.573 1.0 51.60565  ? 319 TYR B N   319 TYR B N   1 
ATOM 9612  C CA  . TYR B 2 319 ? 241.127 -36.369 303.701 1.0 51.60565  ? 319 TYR B CA  319 TYR B CA  1 
ATOM 9613  C C   . TYR B 2 319 ? 240.791 -35.759 302.351 1.0 51.60565  ? 319 TYR B C   319 TYR B C   1 
ATOM 9614  O O   . TYR B 2 319 ? 240.677 -36.490 301.363 1.0 51.60565  ? 319 TYR B O   319 TYR B O   1 
ATOM 9615  C CB  . TYR B 2 319 ? 239.853 -36.901 304.359 1.0 51.60565  ? 319 TYR B CB  319 TYR B CB  1 
ATOM 9616  C CG  . TYR B 2 319 ? 240.083 -37.858 305.509 1.0 51.60565  ? 319 TYR B CG  319 TYR B CG  1 
ATOM 9617  C CD1 . TYR B 2 319 ? 241.338 -38.376 305.773 1.0 51.60565  ? 319 TYR B CD1 319 TYR B CD1 1 
ATOM 9618  C CD2 . TYR B 2 319 ? 239.031 -38.268 306.307 1.0 51.60565  ? 319 TYR B CD2 319 TYR B CD2 1 
ATOM 9619  C CE1 . TYR B 2 319 ? 241.543 -39.247 306.818 1.0 51.60565  ? 319 TYR B CE1 319 TYR B CE1 1 
ATOM 9620  C CE2 . TYR B 2 319 ? 239.227 -39.145 307.351 1.0 51.60565  ? 319 TYR B CE2 319 TYR B CE2 1 
ATOM 9621  C CZ  . TYR B 2 319 ? 240.485 -39.631 307.598 1.0 51.60565  ? 319 TYR B CZ  319 TYR B CZ  1 
ATOM 9622  O OH  . TYR B 2 319 ? 240.694 -40.504 308.636 1.0 51.60565  ? 319 TYR B OH  319 TYR B OH  1 
ATOM 9623  N N   . LEU B 2 320 ? 240.619 -34.435 302.292 1.0 49.65199  ? 320 LEU B N   320 LEU B N   1 
ATOM 9624  C CA  . LEU B 2 320 ? 240.405 -33.769 301.011 1.0 49.65199  ? 320 LEU B CA  320 LEU B CA  1 
ATOM 9625  C C   . LEU B 2 320 ? 241.642 -33.861 300.135 1.0 49.65199  ? 320 LEU B C   320 LEU B C   1 
ATOM 9626  O O   . LEU B 2 320 ? 241.539 -34.069 298.922 1.0 49.65199  ? 320 LEU B O   320 LEU B O   1 
ATOM 9627  C CB  . LEU B 2 320 ? 240.030 -32.307 301.233 1.0 49.65199  ? 320 LEU B CB  320 LEU B CB  1 
ATOM 9628  C CG  . LEU B 2 320 ? 239.793 -31.467 299.983 1.0 49.65199  ? 320 LEU B CG  320 LEU B CG  1 
ATOM 9629  C CD1 . LEU B 2 320 ? 238.604 -31.995 299.203 1.0 49.65199  ? 320 LEU B CD1 320 LEU B CD1 1 
ATOM 9630  C CD2 . LEU B 2 320 ? 239.604 -30.012 300.350 1.0 49.65199  ? 320 LEU B CD2 320 LEU B CD2 1 
ATOM 9631  N N   . LEU B 2 321 ? 242.817 -33.743 300.739 1.0 49.78784  ? 321 LEU B N   321 LEU B N   1 
ATOM 9632  C CA  . LEU B 2 321 ? 244.049 -33.740 299.972 1.0 49.78784  ? 321 LEU B CA  321 LEU B CA  1 
ATOM 9633  C C   . LEU B 2 321 ? 244.403 -35.140 299.486 1.0 49.78784  ? 321 LEU B C   321 LEU B C   1 
ATOM 9634  O O   . LEU B 2 321 ? 245.000 -35.287 298.415 1.0 49.78784  ? 321 LEU B O   321 LEU B O   1 
ATOM 9635  C CB  . LEU B 2 321 ? 245.163 -33.149 300.831 1.0 49.78784  ? 321 LEU B CB  321 LEU B CB  1 
ATOM 9636  C CG  . LEU B 2 321 ? 246.371 -32.524 300.139 1.0 49.78784  ? 321 LEU B CG  321 LEU B CG  1 
ATOM 9637  C CD1 . LEU B 2 321 ? 246.948 -31.451 301.053 1.0 49.78784  ? 321 LEU B CD1 321 LEU B CD1 1 
ATOM 9638  C CD2 . LEU B 2 321 ? 247.440 -33.530 299.747 1.0 49.78784  ? 321 LEU B CD2 321 LEU B CD2 1 
ATOM 9639  N N   . ALA B 2 322 ? 244.040 -36.173 300.245 1.0 50.89586  ? 322 ALA B N   322 ALA B N   1 
ATOM 9640  C CA  . ALA B 2 322 ? 244.253 -37.537 299.784 1.0 50.89586  ? 322 ALA B CA  322 ALA B CA  1 
ATOM 9641  C C   . ALA B 2 322 ? 243.319 -37.907 298.643 1.0 50.89586  ? 322 ALA B C   322 ALA B C   1 
ATOM 9642  O O   . ALA B 2 322 ? 243.635 -38.815 297.869 1.0 50.89586  ? 322 ALA B O   322 ALA B O   1 
ATOM 9643  C CB  . ALA B 2 322 ? 244.082 -38.514 300.942 1.0 50.89586  ? 322 ALA B CB  322 ALA B CB  1 
ATOM 9644  N N   . ASP B 2 323 ? 242.182 -37.221 298.517 1.0 52.50549  ? 323 ASP B N   323 ASP B N   1 
ATOM 9645  C CA  . ASP B 2 323 ? 241.304 -37.436 297.374 1.0 52.50549  ? 323 ASP B CA  323 ASP B CA  1 
ATOM 9646  C C   . ASP B 2 323 ? 241.878 -36.799 296.117 1.0 52.50549  ? 323 ASP B C   323 ASP B C   1 
ATOM 9647  O O   . ASP B 2 323 ? 241.807 -37.387 295.034 1.0 52.50549  ? 323 ASP B O   323 ASP B O   1 
ATOM 9648  C CB  . ASP B 2 323 ? 239.917 -36.864 297.667 1.0 52.50549  ? 323 ASP B CB  323 ASP B CB  1 
ATOM 9649  C CG  . ASP B 2 323 ? 238.851 -37.357 296.697 1.0 52.50549  ? 323 ASP B CG  323 ASP B CG  1 
ATOM 9650  O OD1 . ASP B 2 323 ? 239.148 -38.204 295.831 1.0 52.50549  ? 323 ASP B OD1 323 ASP B OD1 1 
ATOM 9651  O OD2 . ASP B 2 323 ? 237.701 -36.882 296.799 1.0 52.50549  ? 323 ASP B OD2 323 ASP B OD2 1 
ATOM 9652  N N   . LEU B 2 324 ? 242.457 -35.605 296.243 1.0 49.65514  ? 324 LEU B N   324 LEU B N   1 
ATOM 9653  C CA  . LEU B 2 324 ? 242.927 -34.881 295.068 1.0 49.65514  ? 324 LEU B CA  324 LEU B CA  1 
ATOM 9654  C C   . LEU B 2 324 ? 244.221 -35.476 294.529 1.0 49.65514  ? 324 LEU B C   324 LEU B C   1 
ATOM 9655  O O   . LEU B 2 324 ? 244.270 -35.962 293.394 1.0 49.65514  ? 324 LEU B O   324 LEU B O   1 
ATOM 9656  C CB  . LEU B 2 324 ? 243.123 -33.406 295.405 1.0 49.65514  ? 324 LEU B CB  324 LEU B CB  1 
ATOM 9657  C CG  . LEU B 2 324 ? 241.856 -32.634 295.749 1.0 49.65514  ? 324 LEU B CG  324 LEU B CG  1 
ATOM 9658  C CD1 . LEU B 2 324 ? 242.215 -31.224 296.169 1.0 49.65514  ? 324 LEU B CD1 324 LEU B CD1 1 
ATOM 9659  C CD2 . LEU B 2 324 ? 240.901 -32.623 294.573 1.0 49.65514  ? 324 LEU B CD2 324 LEU B CD2 1 
ATOM 9660  N N   . THR B 2 325 ? 245.280 -35.443 295.325 1.0 51.63988  ? 325 THR B N   325 THR B N   1 
ATOM 9661  C CA  . THR B 2 325 ? 246.601 -35.847 294.874 1.0 51.63988  ? 325 THR B CA  325 THR B CA  1 
ATOM 9662  C C   . THR B 2 325 ? 247.085 -37.041 295.684 1.0 51.63988  ? 325 THR B C   325 THR B C   1 
ATOM 9663  O O   . THR B 2 325 ? 246.426 -37.500 296.618 1.0 51.63988  ? 325 THR B O   325 THR B O   1 
ATOM 9664  C CB  . THR B 2 325 ? 247.599 -34.694 294.991 1.0 51.63988  ? 325 THR B CB  325 THR B CB  1 
ATOM 9665  O OG1 . THR B 2 325 ? 247.743 -34.327 296.367 1.0 51.63988  ? 325 THR B OG1 325 THR B OG1 1 
ATOM 9666  C CG2 . THR B 2 325 ? 247.116 -33.491 294.208 1.0 51.63988  ? 325 THR B CG2 325 THR B CG2 1 
ATOM 9667  N N   . SER B 2 326 ? 248.254 -37.540 295.309 1.0 53.737    ? 326 SER B N   326 SER B N   1 
ATOM 9668  C CA  . SER B 2 326 ? 248.900 -38.593 296.066 1.0 53.737    ? 326 SER B CA  326 SER B CA  1 
ATOM 9669  C C   . SER B 2 326 ? 249.639 -38.002 297.258 1.0 53.737    ? 326 SER B C   326 SER B C   1 
ATOM 9670  O O   . SER B 2 326 ? 249.830 -36.789 297.368 1.0 53.737    ? 326 SER B O   326 SER B O   1 
ATOM 9671  C CB  . SER B 2 326 ? 249.868 -39.376 295.183 1.0 53.737    ? 326 SER B CB  326 SER B CB  1 
ATOM 9672  O OG  . SER B 2 326 ? 250.534 -40.379 295.925 1.0 53.737    ? 326 SER B OG  326 SER B OG  1 
ATOM 9673  N N   . ARG B 2 327 ? 250.056 -38.880 298.159 1.0 55.7062   ? 327 ARG B N   327 ARG B N   1 
ATOM 9674  C CA  . ARG B 2 327 ? 250.776 -38.494 299.363 1.0 55.7062   ? 327 ARG B CA  327 ARG B CA  1 
ATOM 9675  C C   . ARG B 2 327 ? 252.193 -39.058 299.344 1.0 55.7062   ? 327 ARG B C   327 ARG B C   1 
ATOM 9676  O O   . ARG B 2 327 ? 252.702 -39.561 300.345 1.0 55.7062   ? 327 ARG B O   327 ARG B O   1 
ATOM 9677  C CB  . ARG B 2 327 ? 250.005 -38.940 300.600 1.0 55.7062   ? 327 ARG B CB  327 ARG B CB  1 
ATOM 9678  C CG  . ARG B 2 327 ? 248.625 -38.306 300.681 1.0 55.7062   ? 327 ARG B CG  327 ARG B CG  1 
ATOM 9679  C CD  . ARG B 2 327 ? 248.710 -36.819 300.955 1.0 55.7062   ? 327 ARG B CD  327 ARG B CD  1 
ATOM 9680  N NE  . ARG B 2 327 ? 249.095 -36.530 302.341 1.0 55.7062   ? 327 ARG B NE  327 ARG B NE  1 
ATOM 9681  C CZ  . ARG B 2 327 ? 249.597 -35.371 302.763 1.0 55.7062   ? 327 ARG B CZ  327 ARG B CZ  1 
ATOM 9682  N NH1 . ARG B 2 327 ? 249.823 -34.385 301.915 1.0 55.7062   ? 327 ARG B NH1 327 ARG B NH1 1 
ATOM 9683  N NH2 . ARG B 2 327 ? 249.912 -35.212 304.032 1.0 55.7062   ? 327 ARG B NH2 327 ARG B NH2 1 
ATOM 9684  N N   . TRP B 2 328 ? 252.829 -39.006 298.172 1.0 60.25604  ? 328 TRP B N   328 TRP B N   1 
ATOM 9685  C CA  . TRP B 2 328 ? 254.227 -39.372 298.008 1.0 60.25604  ? 328 TRP B CA  328 TRP B CA  1 
ATOM 9686  C C   . TRP B 2 328 ? 255.107 -38.192 297.639 1.0 60.25604  ? 328 TRP B C   328 TRP B C   1 
ATOM 9687  O O   . TRP B 2 328 ? 256.333 -38.323 297.666 1.0 60.25604  ? 328 TRP B O   328 TRP B O   1 
ATOM 9688  C CB  . TRP B 2 328 ? 254.383 -40.449 296.923 1.0 60.25604  ? 328 TRP B CB  328 TRP B CB  1 
ATOM 9689  C CG  . TRP B 2 328 ? 253.808 -41.779 297.291 1.0 60.25604  ? 328 TRP B CG  328 TRP B CG  1 
ATOM 9690  C CD1 . TRP B 2 328 ? 253.335 -42.157 298.511 1.0 60.25604  ? 328 TRP B CD1 328 TRP B CD1 1 
ATOM 9691  C CD2 . TRP B 2 328 ? 253.635 -42.911 296.427 1.0 60.25604  ? 328 TRP B CD2 328 TRP B CD2 1 
ATOM 9692  N NE1 . TRP B 2 328 ? 252.880 -43.451 298.465 1.0 60.25604  ? 328 TRP B NE1 328 TRP B NE1 1 
ATOM 9693  C CE2 . TRP B 2 328 ? 253.053 -43.937 297.196 1.0 60.25604  ? 328 TRP B CE2 328 TRP B CE2 1 
ATOM 9694  C CE3 . TRP B 2 328 ? 253.917 -43.155 295.078 1.0 60.25604  ? 328 TRP B CE3 328 TRP B CE3 1 
ATOM 9695  C CZ2 . TRP B 2 328 ? 252.747 -45.189 296.662 1.0 60.25604  ? 328 TRP B CZ2 328 TRP B CZ2 1 
ATOM 9696  C CZ3 . TRP B 2 328 ? 253.613 -44.400 294.550 1.0 60.25604  ? 328 TRP B CZ3 328 TRP B CZ3 1 
ATOM 9697  C CH2 . TRP B 2 328 ? 253.034 -45.400 295.341 1.0 60.25604  ? 328 TRP B CH2 328 TRP B CH2 1 
ATOM 9698  N N   . HIS B 2 329 ? 254.515 -37.056 297.295 1.0 54.96642  ? 329 HIS B N   329 HIS B N   1 
ATOM 9699  C CA  . HIS B 2 329 ? 255.255 -35.895 296.834 1.0 54.96642  ? 329 HIS B CA  329 HIS B CA  1 
ATOM 9700  C C   . HIS B 2 329 ? 255.379 -34.882 297.960 1.0 54.96642  ? 329 HIS B C   329 HIS B C   1 
ATOM 9701  O O   . HIS B 2 329 ? 254.459 -34.714 298.764 1.0 54.96642  ? 329 HIS B O   329 HIS B O   1 
ATOM 9702  C CB  . HIS B 2 329 ? 254.567 -35.265 295.628 1.0 54.96642  ? 329 HIS B CB  329 HIS B CB  1 
ATOM 9703  C CG  . HIS B 2 329 ? 254.477 -36.176 294.445 1.0 54.96642  ? 329 HIS B CG  329 HIS B CG  1 
ATOM 9704  N ND1 . HIS B 2 329 ? 255.573 -36.511 293.680 1.0 54.96642  ? 329 HIS B ND1 329 HIS B ND1 1 
ATOM 9705  C CD2 . HIS B 2 329 ? 253.421 -36.814 293.890 1.0 54.96642  ? 329 HIS B CD2 329 HIS B CD2 1 
ATOM 9706  C CE1 . HIS B 2 329 ? 255.196 -37.320 292.706 1.0 54.96642  ? 329 HIS B CE1 329 HIS B CE1 1 
ATOM 9707  N NE2 . HIS B 2 329 ? 253.894 -37.519 292.811 1.0 54.96642  ? 329 HIS B NE2 329 HIS B NE2 1 
ATOM 9708  N N   . TYR B 2 330 ? 256.518 -34.205 298.008 1.0 56.15412  ? 330 TYR B N   330 TYR B N   1 
ATOM 9709  C CA  . TYR B 2 330 ? 256.867 -33.304 299.100 1.0 56.15412  ? 330 TYR B CA  330 TYR B CA  1 
ATOM 9710  C C   . TYR B 2 330 ? 256.802 -31.875 298.571 1.0 56.15412  ? 330 TYR B C   330 TYR B C   1 
ATOM 9711  O O   . TYR B 2 330 ? 257.781 -31.344 298.050 1.0 56.15412  ? 330 TYR B O   330 TYR B O   1 
ATOM 9712  C CB  . TYR B 2 330 ? 258.246 -33.646 299.649 1.0 56.15412  ? 330 TYR B CB  330 TYR B CB  1 
ATOM 9713  C CG  . TYR B 2 330 ? 258.306 -34.954 300.408 1.0 56.15412  ? 330 TYR B CG  330 TYR B CG  1 
ATOM 9714  C CD1 . TYR B 2 330 ? 257.153 -35.547 300.905 1.0 56.15412  ? 330 TYR B CD1 330 TYR B CD1 1 
ATOM 9715  C CD2 . TYR B 2 330 ? 259.516 -35.603 300.617 1.0 56.15412  ? 330 TYR B CD2 330 TYR B CD2 1 
ATOM 9716  C CE1 . TYR B 2 330 ? 257.202 -36.742 301.595 1.0 56.15412  ? 330 TYR B CE1 330 TYR B CE1 1 
ATOM 9717  C CE2 . TYR B 2 330 ? 259.575 -36.801 301.307 1.0 56.15412  ? 330 TYR B CE2 330 TYR B CE2 1 
ATOM 9718  C CZ  . TYR B 2 330 ? 258.413 -37.363 301.792 1.0 56.15412  ? 330 TYR B CZ  330 TYR B CZ  1 
ATOM 9719  O OH  . TYR B 2 330 ? 258.457 -38.552 302.477 1.0 56.15412  ? 330 TYR B OH  330 TYR B OH  1 
ATOM 9720  N N   . PHE B 2 331 ? 255.636 -31.257 298.708 1.0 51.99456  ? 331 PHE B N   331 PHE B N   1 
ATOM 9721  C CA  . PHE B 2 331 ? 255.400 -29.905 298.218 1.0 51.99456  ? 331 PHE B CA  331 PHE B CA  1 
ATOM 9722  C C   . PHE B 2 331 ? 255.710 -28.935 299.350 1.0 51.99456  ? 331 PHE B C   331 PHE B C   1 
ATOM 9723  O O   . PHE B 2 331 ? 254.963 -28.850 300.327 1.0 51.99456  ? 331 PHE B O   331 PHE B O   1 
ATOM 9724  C CB  . PHE B 2 331 ? 253.963 -29.781 297.724 1.0 51.99456  ? 331 PHE B CB  331 PHE B CB  1 
ATOM 9725  C CG  . PHE B 2 331 ? 253.632 -28.464 297.094 1.0 51.99456  ? 331 PHE B CG  331 PHE B CG  1 
ATOM 9726  C CD1 . PHE B 2 331 ? 254.175 -28.103 295.876 1.0 51.99456  ? 331 PHE B CD1 331 PHE B CD1 1 
ATOM 9727  C CD2 . PHE B 2 331 ? 252.711 -27.622 297.683 1.0 51.99456  ? 331 PHE B CD2 331 PHE B CD2 1 
ATOM 9728  C CE1 . PHE B 2 331 ? 253.841 -26.898 295.288 1.0 51.99456  ? 331 PHE B CE1 331 PHE B CE1 1 
ATOM 9729  C CE2 . PHE B 2 331 ? 252.372 -26.426 297.093 1.0 51.99456  ? 331 PHE B CE2 331 PHE B CE2 1 
ATOM 9730  C CZ  . PHE B 2 331 ? 252.943 -26.062 295.898 1.0 51.99456  ? 331 PHE B CZ  331 PHE B CZ  1 
ATOM 9731  N N   . ALA B 2 332 ? 256.812 -28.203 299.219 1.0 53.16772  ? 332 ALA B N   332 ALA B N   1 
ATOM 9732  C CA  . ALA B 2 332 ? 257.386 -27.463 300.332 1.0 53.16772  ? 332 ALA B CA  332 ALA B CA  1 
ATOM 9733  C C   . ALA B 2 332 ? 256.686 -26.148 300.635 1.0 53.16772  ? 332 ALA B C   332 ALA B C   1 
ATOM 9734  O O   . ALA B 2 332 ? 257.092 -25.474 301.585 1.0 53.16772  ? 332 ALA B O   332 ALA B O   1 
ATOM 9735  C CB  . ALA B 2 332 ? 258.866 -27.184 300.069 1.0 53.16772  ? 332 ALA B CB  332 ALA B CB  1 
ATOM 9736  N N   . LEU B 2 333 ? 255.678 -25.741 299.863 1.0 52.43243  ? 333 LEU B N   333 LEU B N   1 
ATOM 9737  C CA  . LEU B 2 333 ? 255.008 -24.479 300.168 1.0 52.43243  ? 333 LEU B CA  333 LEU B CA  1 
ATOM 9738  C C   . LEU B 2 333 ? 254.105 -24.640 301.378 1.0 52.43243  ? 333 LEU B C   333 LEU B C   1 
ATOM 9739  O O   . LEU B 2 333 ? 254.274 -23.952 302.389 1.0 52.43243  ? 333 LEU B O   333 LEU B O   1 
ATOM 9740  C CB  . LEU B 2 333 ? 254.211 -23.977 298.960 1.0 52.43243  ? 333 LEU B CB  333 LEU B CB  1 
ATOM 9741  C CG  . LEU B 2 333 ? 253.723 -22.519 298.934 1.0 52.43243  ? 333 LEU B CG  333 LEU B CG  1 
ATOM 9742  C CD1 . LEU B 2 333 ? 253.743 -22.003 297.525 1.0 52.43243  ? 333 LEU B CD1 333 LEU B CD1 1 
ATOM 9743  C CD2 . LEU B 2 333 ? 252.320 -22.316 299.494 1.0 52.43243  ? 333 LEU B CD2 333 LEU B CD2 1 
ATOM 9744  N N   . TRP B 2 334 ? 253.162 -25.576 301.307 1.0 53.67793  ? 334 TRP B N   334 TRP B N   1 
ATOM 9745  C CA  . TRP B 2 334 ? 252.230 -25.812 302.393 1.0 53.67793  ? 334 TRP B CA  334 TRP B CA  1 
ATOM 9746  C C   . TRP B 2 334 ? 252.784 -26.729 303.462 1.0 53.67793  ? 334 TRP B C   334 TRP B C   1 
ATOM 9747  O O   . TRP B 2 334 ? 252.015 -27.136 304.335 1.0 53.67793  ? 334 TRP B O   334 TRP B O   1 
ATOM 9748  C CB  . TRP B 2 334 ? 250.927 -26.407 301.875 1.0 53.67793  ? 334 TRP B CB  334 TRP B CB  1 
ATOM 9749  C CG  . TRP B 2 334 ? 250.238 -25.567 300.841 1.0 53.67793  ? 334 TRP B CG  334 TRP B CG  1 
ATOM 9750  C CD1 . TRP B 2 334 ? 250.068 -25.884 299.548 1.0 53.67793  ? 334 TRP B CD1 334 TRP B CD1 1 
ATOM 9751  C CD2 . TRP B 2 334 ? 249.697 -24.262 301.013 1.0 53.67793  ? 334 TRP B CD2 334 TRP B CD2 1 
ATOM 9752  N NE1 . TRP B 2 334 ? 249.426 -24.889 298.891 1.0 53.67793  ? 334 TRP B NE1 334 TRP B NE1 1 
ATOM 9753  C CE2 . TRP B 2 334 ? 249.184 -23.871 299.769 1.0 53.67793  ? 334 TRP B CE2 334 TRP B CE2 1 
ATOM 9754  C CE3 . TRP B 2 334 ? 249.587 -23.387 302.094 1.0 53.67793  ? 334 TRP B CE3 334 TRP B CE3 1 
ATOM 9755  C CZ2 . TRP B 2 334 ? 248.569 -22.638 299.569 1.0 53.67793  ? 334 TRP B CZ2 334 TRP B CZ2 1 
ATOM 9756  C CZ3 . TRP B 2 334 ? 248.991 -22.155 301.898 1.0 53.67793  ? 334 TRP B CZ3 334 TRP B CZ3 1 
ATOM 9757  C CH2 . TRP B 2 334 ? 248.468 -21.803 300.649 1.0 53.67793  ? 334 TRP B CH2 334 TRP B CH2 1 
ATOM 9758  N N   . ASN B 2 335 ? 254.087 -27.043 303.413 1.0 53.20469  ? 335 ASN B N   335 ASN B N   1 
ATOM 9759  C CA  . ASN B 2 335 ? 254.727 -28.073 304.235 1.0 53.20469  ? 335 ASN B CA  335 ASN B CA  1 
ATOM 9760  C C   . ASN B 2 335 ? 253.999 -29.401 304.064 1.0 53.20469  ? 335 ASN B C   335 ASN B C   1 
ATOM 9761  O O   . ASN B 2 335 ? 253.693 -30.102 305.028 1.0 53.20469  ? 335 ASN B O   335 ASN B O   1 
ATOM 9762  C CB  . ASN B 2 335 ? 254.802 -27.674 305.705 1.0 53.20469  ? 335 ASN B CB  335 ASN B CB  1 
ATOM 9763  C CG  . ASN B 2 335 ? 255.912 -28.366 306.435 1.0 53.20469  ? 335 ASN B CG  335 ASN B CG  1 
ATOM 9764  O OD1 . ASN B 2 335 ? 256.697 -29.078 305.828 1.0 53.20469  ? 335 ASN B OD1 335 ASN B OD1 1 
ATOM 9765  N ND2 . ASN B 2 335 ? 255.984 -28.169 307.746 1.0 53.20469  ? 335 ASN B ND2 335 ASN B ND2 1 
ATOM 9766  N N   . GLN B 2 336 ? 253.674 -29.709 302.813 1.0 53.12403  ? 336 GLN B N   336 GLN B N   1 
ATOM 9767  C CA  . GLN B 2 336 ? 252.927 -30.898 302.424 1.0 53.12403  ? 336 GLN B CA  336 GLN B CA  1 
ATOM 9768  C C   . GLN B 2 336 ? 253.902 -32.073 302.424 1.0 53.12403  ? 336 GLN B C   336 GLN B C   1 
ATOM 9769  O O   . GLN B 2 336 ? 254.419 -32.508 301.393 1.0 53.12403  ? 336 GLN B O   336 GLN B O   1 
ATOM 9770  C CB  . GLN B 2 336 ? 252.273 -30.642 301.071 1.0 53.12403  ? 336 GLN B CB  336 GLN B CB  1 
ATOM 9771  C CG  . GLN B 2 336 ? 251.443 -31.738 300.448 1.0 53.12403  ? 336 GLN B CG  336 GLN B CG  1 
ATOM 9772  C CD  . GLN B 2 336 ? 250.797 -31.270 299.164 1.0 53.12403  ? 336 GLN B CD  336 GLN B CD  1 
ATOM 9773  O OE1 . GLN B 2 336 ? 250.847 -30.089 298.833 1.0 53.12403  ? 336 GLN B OE1 336 GLN B OE1 1 
ATOM 9774  N NE2 . GLN B 2 336 ? 250.246 -32.201 298.402 1.0 53.12403  ? 336 GLN B NE2 336 GLN B NE2 1 
ATOM 9775  N N   . ALA B 2 337 ? 254.187 -32.577 303.623 1.0 54.41799  ? 337 ALA B N   337 ALA B N   1 
ATOM 9776  C CA  . ALA B 2 337 ? 255.104 -33.696 303.797 1.0 54.41799  ? 337 ALA B CA  337 ALA B CA  1 
ATOM 9777  C C   . ALA B 2 337 ? 254.444 -34.739 304.682 1.0 54.41799  ? 337 ALA B C   337 ALA B C   1 
ATOM 9778  O O   . ALA B 2 337 ? 253.958 -34.414 305.767 1.0 54.41799  ? 337 ALA B O   337 ALA B O   1 
ATOM 9779  C CB  . ALA B 2 337 ? 256.430 -33.237 304.403 1.0 54.41799  ? 337 ALA B CB  337 ALA B CB  1 
ATOM 9780  N N   . VAL B 2 338 ? 254.453 -35.988 304.234 1.0 56.50019  ? 338 VAL B N   338 VAL B N   1 
ATOM 9781  C CA  . VAL B 2 338 ? 253.528 -37.006 304.715 1.0 56.50019  ? 338 VAL B CA  338 VAL B CA  1 
ATOM 9782  C C   . VAL B 2 338 ? 254.203 -37.843 305.791 1.0 56.50019  ? 338 VAL B C   338 VAL B C   1 
ATOM 9783  O O   . VAL B 2 338 ? 255.301 -38.369 305.580 1.0 56.50019  ? 338 VAL B O   338 VAL B O   1 
ATOM 9784  C CB  . VAL B 2 338 ? 253.055 -37.895 303.555 1.0 56.50019  ? 338 VAL B CB  338 VAL B CB  1 
ATOM 9785  C CG1 . VAL B 2 338 ? 251.959 -38.845 304.013 1.0 56.50019  ? 338 VAL B CG1 338 VAL B CG1 1 
ATOM 9786  C CG2 . VAL B 2 338 ? 252.626 -37.033 302.390 1.0 56.50019  ? 338 VAL B CG2 338 VAL B CG2 1 
ATOM 9787  N N   . ASP B 2 339 ? 253.532 -37.989 306.932 1.0 58.6527   ? 339 ASP B N   339 ASP B N   1 
ATOM 9788  C CA  . ASP B 2 339 ? 253.999 -38.870 307.996 1.0 58.6527   ? 339 ASP B CA  339 ASP B CA  1 
ATOM 9789  C C   . ASP B 2 339 ? 253.874 -40.324 307.566 1.0 58.6527   ? 339 ASP B C   339 ASP B C   1 
ATOM 9790  O O   . ASP B 2 339 ? 252.790 -40.772 307.181 1.0 58.6527   ? 339 ASP B O   339 ASP B O   1 
ATOM 9791  C CB  . ASP B 2 339 ? 253.189 -38.632 309.267 1.0 58.6527   ? 339 ASP B CB  339 ASP B CB  1 
ATOM 9792  C CG  . ASP B 2 339 ? 253.512 -37.315 309.926 1.0 58.6527   ? 339 ASP B CG  339 ASP B CG  1 
ATOM 9793  O OD1 . ASP B 2 339 ? 254.670 -36.874 309.825 1.0 58.6527   ? 339 ASP B OD1 339 ASP B OD1 1 
ATOM 9794  O OD2 . ASP B 2 339 ? 252.609 -36.712 310.538 1.0 58.6527   ? 339 ASP B OD2 339 ASP B OD2 1 
ATOM 9795  N N   . ASP B 2 340 ? 254.973 -41.068 307.641 1.0 59.49675  ? 340 ASP B N   340 ASP B N   1 
ATOM 9796  C CA  . ASP B 2 340 ? 254.927 -42.490 307.345 1.0 59.49675  ? 340 ASP B CA  340 ASP B CA  1 
ATOM 9797  C C   . ASP B 2 340 ? 255.964 -43.228 308.178 1.0 59.49675  ? 340 ASP B C   340 ASP B C   1 
ATOM 9798  O O   . ASP B 2 340 ? 257.071 -42.734 308.395 1.0 59.49675  ? 340 ASP B O   340 ASP B O   1 
ATOM 9799  C CB  . ASP B 2 340 ? 255.129 -42.771 305.847 1.0 59.49675  ? 340 ASP B CB  340 ASP B CB  1 
ATOM 9800  C CG  . ASP B 2 340 ? 256.390 -42.141 305.287 1.0 59.49675  ? 340 ASP B CG  340 ASP B CG  1 
ATOM 9801  O OD1 . ASP B 2 340 ? 257.005 -41.299 305.965 1.0 59.49675  ? 340 ASP B OD1 340 ASP B OD1 1 
ATOM 9802  O OD2 . ASP B 2 340 ? 256.785 -42.504 304.165 1.0 59.49675  ? 340 ASP B OD2 340 ASP B OD2 1 
ATOM 9803  N N   . TYR B 2 341 ? 255.582 -44.398 308.669 1.0 59.64598  ? 341 TYR B N   341 TYR B N   1 
ATOM 9804  C CA  . TYR B 2 341 ? 256.540 -45.257 309.335 1.0 59.64598  ? 341 TYR B CA  341 TYR B CA  1 
ATOM 9805  C C   . TYR B 2 341 ? 257.364 -46.011 308.299 1.0 59.64598  ? 341 TYR B C   341 TYR B C   1 
ATOM 9806  O O   . TYR B 2 341 ? 256.983 -46.132 307.133 1.0 59.64598  ? 341 TYR B O   341 TYR B O   1 
ATOM 9807  C CB  . TYR B 2 341 ? 255.827 -46.224 310.288 1.0 59.64598  ? 341 TYR B CB  341 TYR B CB  1 
ATOM 9808  C CG  . TYR B 2 341 ? 254.823 -47.155 309.638 1.0 59.64598  ? 341 TYR B CG  341 TYR B CG  1 
ATOM 9809  C CD1 . TYR B 2 341 ? 253.499 -46.774 309.473 1.0 59.64598  ? 341 TYR B CD1 341 TYR B CD1 1 
ATOM 9810  C CD2 . TYR B 2 341 ? 255.193 -48.427 309.221 1.0 59.64598  ? 341 TYR B CD2 341 TYR B CD2 1 
ATOM 9811  C CE1 . TYR B 2 341 ? 252.582 -47.621 308.887 1.0 59.64598  ? 341 TYR B CE1 341 TYR B CE1 1 
ATOM 9812  C CE2 . TYR B 2 341 ? 254.284 -49.279 308.635 1.0 59.64598  ? 341 TYR B CE2 341 TYR B CE2 1 
ATOM 9813  C CZ  . TYR B 2 341 ? 252.981 -48.871 308.472 1.0 59.64598  ? 341 TYR B CZ  341 TYR B CZ  1 
ATOM 9814  O OH  . TYR B 2 341 ? 252.072 -49.720 307.890 1.0 59.64598  ? 341 TYR B OH  341 TYR B OH  1 
ATOM 9815  N N   . ASP B 2 342 ? 258.518 -46.503 308.731 1.0 64.47686  ? 342 ASP B N   342 ASP B N   1 
ATOM 9816  C CA  . ASP B 2 342 ? 259.310 -47.380 307.886 1.0 64.47686  ? 342 ASP B CA  342 ASP B CA  1 
ATOM 9817  C C   . ASP B 2 342 ? 258.653 -48.753 307.896 1.0 64.47686  ? 342 ASP B C   342 ASP B C   1 
ATOM 9818  O O   . ASP B 2 342 ? 258.325 -49.282 308.962 1.0 64.47686  ? 342 ASP B O   342 ASP B O   1 
ATOM 9819  C CB  . ASP B 2 342 ? 260.750 -47.449 308.387 1.0 64.47686  ? 342 ASP B CB  342 ASP B CB  1 
ATOM 9820  C CG  . ASP B 2 342 ? 261.701 -48.062 307.375 1.0 64.47686  ? 342 ASP B CG  342 ASP B CG  1 
ATOM 9821  O OD1 . ASP B 2 342 ? 261.257 -48.419 306.267 1.0 64.47686  ? 342 ASP B OD1 342 ASP B OD1 1 
ATOM 9822  O OD2 . ASP B 2 342 ? 262.902 -48.190 307.694 1.0 64.47686  ? 342 ASP B OD2 342 ASP B OD2 1 
ATOM 9823  N N   . HIS B 2 343 ? 258.449 -49.317 306.706 1.0 66.89086  ? 343 HIS B N   343 HIS B N   1 
ATOM 9824  C CA  . HIS B 2 343 ? 257.579 -50.481 306.566 1.0 66.89086  ? 343 HIS B CA  343 HIS B CA  1 
ATOM 9825  C C   . HIS B 2 343 ? 258.210 -51.738 307.149 1.0 66.89086  ? 343 HIS B C   343 HIS B C   1 
ATOM 9826  O O   . HIS B 2 343 ? 257.501 -52.620 307.644 1.0 66.89086  ? 343 HIS B O   343 HIS B O   1 
ATOM 9827  C CB  . HIS B 2 343 ? 257.236 -50.684 305.094 1.0 66.89086  ? 343 HIS B CB  343 HIS B CB  1 
ATOM 9828  C CG  . HIS B 2 343 ? 256.333 -51.846 304.839 1.0 66.89086  ? 343 HIS B CG  343 HIS B CG  1 
ATOM 9829  N ND1 . HIS B 2 343 ? 254.992 -51.828 305.153 1.0 66.89086  ? 343 HIS B ND1 343 HIS B ND1 1 
ATOM 9830  C CD2 . HIS B 2 343 ? 256.578 -53.061 304.297 1.0 66.89086  ? 343 HIS B CD2 343 HIS B CD2 1 
ATOM 9831  C CE1 . HIS B 2 343 ? 254.449 -52.983 304.814 1.0 66.89086  ? 343 HIS B CE1 343 HIS B CE1 1 
ATOM 9832  N NE2 . HIS B 2 343 ? 255.390 -53.750 304.294 1.0 66.89086  ? 343 HIS B NE2 343 HIS B NE2 1 
ATOM 9833  N N   . HIS B 2 344 ? 259.532 -51.839 307.109 1.0 65.24728  ? 344 HIS B N   344 HIS B N   1 
ATOM 9834  C CA  . HIS B 2 344 ? 260.216 -52.999 307.659 1.0 65.24728  ? 344 HIS B CA  344 HIS B CA  1 
ATOM 9835  C C   . HIS B 2 344 ? 260.595 -52.822 309.118 1.0 65.24728  ? 344 HIS B C   344 HIS B C   1 
ATOM 9836  O O   . HIS B 2 344 ? 261.323 -53.658 309.659 1.0 65.24728  ? 344 HIS B O   344 HIS B O   1 
ATOM 9837  C CB  . HIS B 2 344 ? 261.462 -53.314 306.836 1.0 65.24728  ? 344 HIS B CB  344 HIS B CB  1 
ATOM 9838  C CG  . HIS B 2 344 ? 261.156 -53.715 305.429 1.0 65.24728  ? 344 HIS B CG  344 HIS B CG  1 
ATOM 9839  N ND1 . HIS B 2 344 ? 260.639 -54.950 305.105 1.0 65.24728  ? 344 HIS B ND1 344 HIS B ND1 1 
ATOM 9840  C CD2 . HIS B 2 344 ? 261.279 -53.039 304.263 1.0 65.24728  ? 344 HIS B CD2 344 HIS B CD2 1 
ATOM 9841  C CE1 . HIS B 2 344 ? 260.463 -55.021 303.798 1.0 65.24728  ? 344 HIS B CE1 344 HIS B CE1 1 
ATOM 9842  N NE2 . HIS B 2 344 ? 260.844 -53.875 303.264 1.0 65.24728  ? 344 HIS B NE2 344 HIS B NE2 1 
ATOM 9843  N N   . VAL B 2 345 ? 260.130 -51.753 309.765 1.0 62.51373  ? 345 VAL B N   345 VAL B N   1 
ATOM 9844  C CA  . VAL B 2 345 ? 260.333 -51.575 311.193 1.0 62.51373  ? 345 VAL B CA  345 VAL B CA  1 
ATOM 9845  C C   . VAL B 2 345 ? 259.075 -51.887 311.986 1.0 62.51373  ? 345 VAL B C   345 VAL B C   1 
ATOM 9846  O O   . VAL B 2 345 ? 259.163 -52.471 313.074 1.0 62.51373  ? 345 VAL B O   345 VAL B O   1 
ATOM 9847  C CB  . VAL B 2 345 ? 260.848 -50.149 311.478 1.0 62.51373  ? 345 VAL B CB  345 VAL B CB  1 
ATOM 9848  C CG1 . VAL B 2 345 ? 261.062 -49.915 312.961 1.0 62.51373  ? 345 VAL B CG1 345 VAL B CG1 1 
ATOM 9849  C CG2 . VAL B 2 345 ? 262.145 -49.926 310.737 1.0 62.51373  ? 345 VAL B CG2 345 VAL B CG2 1 
ATOM 9850  N N   . ARG B 2 346 ? 257.899 -51.585 311.445 1.0 59.83801  ? 346 ARG B N   346 ARG B N   1 
ATOM 9851  C CA  . ARG B 2 346 ? 256.664 -51.932 312.130 1.0 59.83801  ? 346 ARG B CA  346 ARG B CA  1 
ATOM 9852  C C   . ARG B 2 346 ? 256.416 -53.432 312.042 1.0 59.83801  ? 346 ARG B C   346 ARG B C   1 
ATOM 9853  O O   . ARG B 2 346 ? 256.265 -54.104 313.065 1.0 59.83801  ? 346 ARG B O   346 ARG B O   1 
ATOM 9854  C CB  . ARG B 2 346 ? 255.482 -51.171 311.538 1.0 59.83801  ? 346 ARG B CB  346 ARG B CB  1 
ATOM 9855  C CG  . ARG B 2 346 ? 254.181 -51.456 312.242 1.0 59.83801  ? 346 ARG B CG  346 ARG B CG  1 
ATOM 9856  C CD  . ARG B 2 346 ? 254.162 -50.821 313.616 1.0 59.83801  ? 346 ARG B CD  346 ARG B CD  1 
ATOM 9857  N NE  . ARG B 2 346 ? 252.964 -51.175 314.366 1.0 59.83801  ? 346 ARG B NE  346 ARG B NE  1 
ATOM 9858  C CZ  . ARG B 2 346 ? 251.798 -50.550 314.255 1.0 59.83801  ? 346 ARG B CZ  346 ARG B CZ  1 
ATOM 9859  N NH1 . ARG B 2 346 ? 251.656 -49.547 313.407 1.0 59.83801  ? 346 ARG B NH1 346 ARG B NH1 1 
ATOM 9860  N NH2 . ARG B 2 346 ? 250.765 -50.941 314.983 1.0 59.83801  ? 346 ARG B NH2 346 ARG B NH2 1 
ATOM 9861  N N   . ILE B 2 347 ? 256.400 -53.967 310.821 1.0 61.20699  ? 347 ILE B N   347 ILE B N   1 
ATOM 9862  C CA  . ILE B 2 347 ? 256.065 -55.375 310.626 1.0 61.20699  ? 347 ILE B CA  347 ILE B CA  1 
ATOM 9863  C C   . ILE B 2 347 ? 257.270 -56.258 310.938 1.0 61.20699  ? 347 ILE B C   347 ILE B C   1 
ATOM 9864  O O   . ILE B 2 347 ? 257.149 -57.274 311.633 1.0 61.20699  ? 347 ILE B O   347 ILE B O   1 
ATOM 9865  C CB  . ILE B 2 347 ? 255.527 -55.607 309.200 1.0 61.20699  ? 347 ILE B CB  347 ILE B CB  1 
ATOM 9866  C CG1 . ILE B 2 347 ? 254.177 -54.907 308.999 1.0 61.20699  ? 347 ILE B CG1 347 ILE B CG1 1 
ATOM 9867  C CG2 . ILE B 2 347 ? 255.365 -57.083 308.915 1.0 61.20699  ? 347 ILE B CG2 347 ILE B CG2 1 
ATOM 9868  C CD1 . ILE B 2 347 ? 254.244 -53.526 308.361 1.0 61.20699  ? 347 ILE B CD1 347 ILE B CD1 1 
ATOM 9869  N N   . LEU B 2 348 ? 258.450 -55.873 310.439 1.0 62.09586  ? 348 LEU B N   348 LEU B N   1 
ATOM 9870  C CA  . LEU B 2 348 ? 259.752 -56.478 310.744 1.0 62.09586  ? 348 LEU B CA  348 LEU B CA  1 
ATOM 9871  C C   . LEU B 2 348 ? 259.846 -57.971 310.417 1.0 62.09586  ? 348 LEU B C   348 LEU B C   1 
ATOM 9872  O O   . LEU B 2 348 ? 259.747 -58.824 311.301 1.0 62.09586  ? 348 LEU B O   348 LEU B O   1 
ATOM 9873  C CB  . LEU B 2 348 ? 260.182 -56.172 312.199 1.0 62.09586  ? 348 LEU B CB  348 LEU B CB  1 
ATOM 9874  C CG  . LEU B 2 348 ? 259.651 -56.510 313.603 1.0 62.09586  ? 348 LEU B CG  348 LEU B CG  1 
ATOM 9875  C CD1 . LEU B 2 348 ? 260.310 -57.725 314.243 1.0 62.09586  ? 348 LEU B CD1 348 LEU B CD1 1 
ATOM 9876  C CD2 . LEU B 2 348 ? 259.826 -55.321 314.508 1.0 62.09586  ? 348 LEU B CD2 348 LEU B CD2 1 
ATOM 9877  N N   . GLU B 2 349 ? 259.926 -58.301 309.129 1.0 64.53755  ? 349 GLU B N   349 GLU B N   1 
ATOM 9878  C CA  . GLU B 2 349 ? 260.363 -59.635 308.742 1.0 64.53755  ? 349 GLU B CA  349 GLU B CA  1 
ATOM 9879  C C   . GLU B 2 349 ? 261.758 -59.925 309.303 1.0 64.53755  ? 349 GLU B C   349 GLU B C   1 
ATOM 9880  O O   . GLU B 2 349 ? 262.598 -59.034 309.460 1.0 64.53755  ? 349 GLU B O   349 GLU B O   1 
ATOM 9881  C CB  . GLU B 2 349 ? 260.351 -59.783 307.221 1.0 64.53755  ? 349 GLU B CB  349 GLU B CB  1 
ATOM 9882  C CG  . GLU B 2 349 ? 261.305 -58.860 306.488 1.0 64.53755  ? 349 GLU B CG  349 GLU B CG  1 
ATOM 9883  C CD  . GLU B 2 349 ? 261.250 -59.034 304.986 1.0 64.53755  ? 349 GLU B CD  349 GLU B CD  1 
ATOM 9884  O OE1 . GLU B 2 349 ? 260.454 -59.871 304.510 1.0 64.53755  ? 349 GLU B OE1 349 GLU B OE1 1 
ATOM 9885  O OE2 . GLU B 2 349 ? 262.005 -58.333 304.281 1.0 64.53755  ? 349 GLU B OE2 349 GLU B OE2 1 
ATOM 9886  N N   . ASN B 2 350 ? 261.996 -61.196 309.626 1.0 63.24992  ? 350 ASN B N   350 ASN B N   1 
ATOM 9887  C CA  . ASN B 2 350 ? 263.191 -61.614 310.359 1.0 63.24992  ? 350 ASN B CA  350 ASN B CA  1 
ATOM 9888  C C   . ASN B 2 350 ? 263.891 -62.707 309.552 1.0 63.24992  ? 350 ASN B C   350 ASN B C   1 
ATOM 9889  O O   . ASN B 2 350 ? 264.220 -63.774 310.070 1.0 63.24992  ? 350 ASN B O   350 ASN B O   1 
ATOM 9890  C CB  . ASN B 2 350 ? 262.844 -62.087 311.771 1.0 63.24992  ? 350 ASN B CB  350 ASN B CB  1 
ATOM 9891  C CG  . ASN B 2 350 ? 264.009 -61.947 312.743 1.0 63.24992  ? 350 ASN B CG  350 ASN B CG  1 
ATOM 9892  O OD1 . ASN B 2 350 ? 263.825 -62.022 313.954 1.0 63.24992  ? 350 ASN B OD1 350 ASN B OD1 1 
ATOM 9893  N ND2 . ASN B 2 350 ? 265.206 -61.725 312.218 1.0 63.24992  ? 350 ASN B ND2 350 ASN B ND2 1 
ATOM 9894  N N   . ASP B 2 351 ? 264.131 -62.419 308.273 1.0 62.76943  ? 351 ASP B N   351 ASP B N   1 
ATOM 9895  C CA  . ASP B 2 351 ? 264.666 -63.424 307.359 1.0 62.76943  ? 351 ASP B CA  351 ASP B CA  1 
ATOM 9896  C C   . ASP B 2 351 ? 266.143 -63.713 307.611 1.0 62.76943  ? 351 ASP B C   351 ASP B C   1 
ATOM 9897  O O   . ASP B 2 351 ? 266.718 -64.609 306.986 1.0 62.76943  ? 351 ASP B O   351 ASP B O   1 
ATOM 9898  C CB  . ASP B 2 351 ? 264.452 -62.962 305.923 1.0 62.76943  ? 351 ASP B CB  351 ASP B CB  1 
ATOM 9899  C CG  . ASP B 2 351 ? 262.994 -62.914 305.554 1.0 62.76943  ? 351 ASP B CG  351 ASP B CG  1 
ATOM 9900  O OD1 . ASP B 2 351 ? 262.232 -63.760 306.061 1.0 62.76943  ? 351 ASP B OD1 351 ASP B OD1 1 
ATOM 9901  O OD2 . ASP B 2 351 ? 262.601 -62.010 304.791 1.0 62.76943  ? 351 ASP B OD2 351 ASP B OD2 1 
ATOM 9902  N N   . GLY B 2 352 ? 266.788 -62.951 308.485 1.0 62.3398   ? 352 GLY B N   352 GLY B N   1 
ATOM 9903  C CA  . GLY B 2 352 ? 268.143 -63.288 308.861 1.0 62.3398   ? 352 GLY B CA  352 GLY B CA  1 
ATOM 9904  C C   . GLY B 2 352 ? 269.186 -62.860 307.854 1.0 62.3398   ? 352 GLY B C   352 GLY B C   1 
ATOM 9905  O O   . GLY B 2 352 ? 268.886 -62.631 306.679 1.0 62.3398   ? 352 GLY B O   352 GLY B O   1 
ATOM 9906  N N   . TYR B 2 353 ? 270.422 -62.734 308.320 1.0 64.83788  ? 353 TYR B N   353 TYR B N   1 
ATOM 9907  C CA  . TYR B 2 353 ? 271.548 -62.340 307.488 1.0 64.83788  ? 353 TYR B CA  353 TYR B CA  1 
ATOM 9908  C C   . TYR B 2 353 ? 271.891 -63.385 306.435 1.0 64.83788  ? 353 TYR B C   353 TYR B C   1 
ATOM 9909  O O   . TYR B 2 353 ? 271.713 -64.584 306.662 1.0 64.83788  ? 353 TYR B O   353 TYR B O   1 
ATOM 9910  C CB  . TYR B 2 353 ? 272.763 -62.063 308.371 1.0 64.83788  ? 353 TYR B CB  353 TYR B CB  1 
ATOM 9911  C CG  . TYR B 2 353 ? 273.270 -63.256 309.151 1.0 64.83788  ? 353 TYR B CG  353 TYR B CG  1 
ATOM 9912  C CD1 . TYR B 2 353 ? 272.740 -63.573 310.394 1.0 64.83788  ? 353 TYR B CD1 353 TYR B CD1 1 
ATOM 9913  C CD2 . TYR B 2 353 ? 274.310 -64.037 308.664 1.0 64.83788  ? 353 TYR B CD2 353 TYR B CD2 1 
ATOM 9914  C CE1 . TYR B 2 353 ? 273.205 -64.648 311.107 1.0 64.83788  ? 353 TYR B CE1 353 TYR B CE1 1 
ATOM 9915  C CE2 . TYR B 2 353 ? 274.780 -65.111 309.369 1.0 64.83788  ? 353 TYR B CE2 353 TYR B CE2 1 
ATOM 9916  C CZ  . TYR B 2 353 ? 274.227 -65.410 310.588 1.0 64.83788  ? 353 TYR B CZ  353 TYR B CZ  1 
ATOM 9917  O OH  . TYR B 2 353 ? 274.709 -66.485 311.289 1.0 64.83788  ? 353 TYR B OH  353 TYR B OH  1 
ATOM 9918  N N   . GLU B 2 354 ? 272.392 -62.940 305.286 1.0 64.34726  ? 354 GLU B N   354 GLU B N   1 
ATOM 9919  C CA  . GLU B 2 354 ? 272.916 -63.833 304.265 1.0 64.34726  ? 354 GLU B CA  354 GLU B CA  1 
ATOM 9920  C C   . GLU B 2 354 ? 274.317 -64.268 304.666 1.0 64.34726  ? 354 GLU B C   354 GLU B C   1 
ATOM 9921  O O   . GLU B 2 354 ? 274.995 -63.587 305.437 1.0 64.34726  ? 354 GLU B O   354 GLU B O   1 
ATOM 9922  C CB  . GLU B 2 354 ? 272.933 -63.157 302.891 1.0 64.34726  ? 354 GLU B CB  354 GLU B CB  1 
ATOM 9923  C CG  . GLU B 2 354 ? 271.548 -62.854 302.352 1.0 64.34726  ? 354 GLU B CG  354 GLU B CG  1 
ATOM 9924  C CD  . GLU B 2 354 ? 271.580 -62.140 301.018 1.0 64.34726  ? 354 GLU B CD  354 GLU B CD  1 
ATOM 9925  O OE1 . GLU B 2 354 ? 272.681 -61.753 300.577 1.0 64.34726  ? 354 GLU B OE1 354 GLU B OE1 1 
ATOM 9926  O OE2 . GLU B 2 354 ? 270.503 -61.968 300.408 1.0 64.34726  ? 354 GLU B OE2 354 GLU B OE2 1 
ATOM 9927  N N   . GLU B 2 355 ? 274.745 -65.413 304.148 1.0 65.54557  ? 355 GLU B N   355 GLU B N   1 
ATOM 9928  C CA  . GLU B 2 355 ? 276.041 -65.988 304.482 1.0 65.54557  ? 355 GLU B CA  355 GLU B CA  1 
ATOM 9929  C C   . GLU B 2 355 ? 276.990 -65.873 303.302 1.0 65.54557  ? 355 GLU B C   355 GLU B C   1 
ATOM 9930  O O   . GLU B 2 355 ? 276.612 -66.167 302.165 1.0 65.54557  ? 355 GLU B O   355 GLU B O   1 
ATOM 9931  C CB  . GLU B 2 355 ? 275.910 -67.455 304.880 1.0 65.54557  ? 355 GLU B CB  355 GLU B CB  1 
ATOM 9932  C CG  . GLU B 2 355 ? 275.229 -67.689 306.196 1.0 65.54557  ? 355 GLU B CG  355 GLU B CG  1 
ATOM 9933  C CD  . GLU B 2 355 ? 275.117 -69.159 306.508 1.0 65.54557  ? 355 GLU B CD  355 GLU B CD  1 
ATOM 9934  O OE1 . GLU B 2 355 ? 275.437 -69.977 305.622 1.0 65.54557  ? 355 GLU B OE1 355 GLU B OE1 1 
ATOM 9935  O OE2 . GLU B 2 355 ? 274.717 -69.496 307.638 1.0 65.54557  ? 355 GLU B OE2 355 GLU B OE2 1 
ATOM 9936  N N   . GLY B 2 356 ? 278.223 -65.471 303.581 1.0 66.67474  ? 356 GLY B N   356 GLY B N   1 
ATOM 9937  C CA  . GLY B 2 356 ? 279.251 -65.422 302.575 1.0 66.67474  ? 356 GLY B CA  356 GLY B CA  1 
ATOM 9938  C C   . GLY B 2 356 ? 280.554 -65.987 303.096 1.0 66.67474  ? 356 GLY B C   356 GLY B C   1 
ATOM 9939  O O   . GLY B 2 356 ? 280.585 -66.707 304.097 1.0 66.67474  ? 356 GLY B O   356 GLY B O   1 
ATOM 9940  N N   . PRO B 2 357 ? 281.655 -65.674 302.419 1.0 66.8529   ? 357 PRO B N   357 PRO B N   1 
ATOM 9941  C CA  . PRO B 2 357 ? 282.979 -66.029 302.933 1.0 66.8529   ? 357 PRO B CA  357 PRO B CA  1 
ATOM 9942  C C   . PRO B 2 357 ? 283.283 -65.250 304.200 1.0 66.8529   ? 357 PRO B C   357 PRO B C   1 
ATOM 9943  O O   . PRO B 2 357 ? 282.664 -64.203 304.442 1.0 66.8529   ? 357 PRO B O   357 PRO B O   1 
ATOM 9944  C CB  . PRO B 2 357 ? 283.915 -65.619 301.784 1.0 66.8529   ? 357 PRO B CB  357 PRO B CB  1 
ATOM 9945  C CG  . PRO B 2 357 ? 283.053 -65.606 300.579 1.0 66.8529   ? 357 PRO B CG  357 PRO B CG  1 
ATOM 9946  C CD  . PRO B 2 357 ? 281.727 -65.124 301.057 1.0 66.8529   ? 357 PRO B CD  357 PRO B CD  1 
ATOM 9947  N N   . PRO B 2 358 ? 284.201 -65.730 305.044 1.0 67.88428  ? 358 PRO B N   358 PRO B N   1 
ATOM 9948  C CA  . PRO B 2 358 ? 284.499 -65.008 306.288 1.0 67.88428  ? 358 PRO B CA  358 PRO B CA  1 
ATOM 9949  C C   . PRO B 2 358 ? 285.179 -63.678 306.006 1.0 67.88428  ? 358 PRO B C   358 PRO B C   1 
ATOM 9950  O O   . PRO B 2 358 ? 286.163 -63.605 305.269 1.0 67.88428  ? 358 PRO B O   358 PRO B O   1 
ATOM 9951  C CB  . PRO B 2 358 ? 285.419 -65.967 307.048 1.0 67.88428  ? 358 PRO B CB  358 PRO B CB  1 
ATOM 9952  C CG  . PRO B 2 358 ? 286.016 -66.813 306.007 1.0 67.88428  ? 358 PRO B CG  358 PRO B CG  1 
ATOM 9953  C CD  . PRO B 2 358 ? 284.967 -66.984 304.957 1.0 67.88428  ? 358 PRO B CD  358 PRO B CD  1 
ATOM 9954  N N   . ASN B 2 359 ? 284.621 -62.621 306.588 1.0 67.93693  ? 359 ASN B N   359 ASN B N   1 
ATOM 9955  C CA  . ASN B 2 359 ? 285.020 -61.253 306.280 1.0 67.93693  ? 359 ASN B CA  359 ASN B CA  1 
ATOM 9956  C C   . ASN B 2 359 ? 286.201 -60.891 307.171 1.0 67.93693  ? 359 ASN B C   359 ASN B C   1 
ATOM 9957  O O   . ASN B 2 359 ? 286.067 -60.267 308.225 1.0 67.93693  ? 359 ASN B O   359 ASN B O   1 
ATOM 9958  C CB  . ASN B 2 359 ? 283.837 -60.318 306.467 1.0 67.93693  ? 359 ASN B CB  359 ASN B CB  1 
ATOM 9959  C CG  . ASN B 2 359 ? 282.667 -60.700 305.587 1.0 67.93693  ? 359 ASN B CG  359 ASN B CG  1 
ATOM 9960  O OD1 . ASN B 2 359 ? 281.637 -61.162 306.073 1.0 67.93693  ? 359 ASN B OD1 359 ASN B OD1 1 
ATOM 9961  N ND2 . ASN B 2 359 ? 282.823 -60.520 304.283 1.0 67.93693  ? 359 ASN B ND2 359 ASN B ND2 1 
ATOM 9962  N N   . LEU B 2 360 ? 287.383 -61.299 306.728 1.0 69.74385  ? 360 LEU B N   360 LEU B N   1 
ATOM 9963  C CA  . LEU B 2 360 ? 288.589 -61.142 307.520 1.0 69.74385  ? 360 LEU B CA  360 LEU B CA  1 
ATOM 9964  C C   . LEU B 2 360 ? 289.111 -59.714 307.444 1.0 69.74385  ? 360 LEU B C   360 LEU B C   1 
ATOM 9965  O O   . LEU B 2 360 ? 288.923 -59.013 306.447 1.0 69.74385  ? 360 LEU B O   360 LEU B O   1 
ATOM 9966  C CB  . LEU B 2 360 ? 289.668 -62.108 307.037 1.0 69.74385  ? 360 LEU B CB  360 LEU B CB  1 
ATOM 9967  C CG  . LEU B 2 360 ? 289.347 -63.593 307.171 1.0 69.74385  ? 360 LEU B CG  360 LEU B CG  1 
ATOM 9968  C CD1 . LEU B 2 360 ? 290.426 -64.412 306.505 1.0 69.74385  ? 360 LEU B CD1 360 LEU B CD1 1 
ATOM 9969  C CD2 . LEU B 2 360 ? 289.201 -63.988 308.625 1.0 69.74385  ? 360 LEU B CD2 360 LEU B CD2 1 
ATOM 9970  N N   . ALA B 2 361 ? 289.774 -59.288 308.517 1.0 71.95619  ? 361 ALA B N   361 ALA B N   1 
ATOM 9971  C CA  . ALA B 2 361 ? 290.473 -58.012 308.569 1.0 71.95619  ? 361 ALA B CA  361 ALA B CA  1 
ATOM 9972  C C   . ALA B 2 361 ? 291.943 -58.272 308.847 1.0 71.95619  ? 361 ALA B C   361 ALA B C   1 
ATOM 9973  O O   . ALA B 2 361 ? 292.289 -59.227 309.547 1.0 71.95619  ? 361 ALA B O   361 ALA B O   1 
ATOM 9974  C CB  . ALA B 2 361 ? 289.894 -57.091 309.639 1.0 71.95619  ? 361 ALA B CB  361 ALA B CB  1 
ATOM 9975  N N   . PHE B 2 362 ? 292.804 -57.418 308.306 1.0 72.90825  ? 362 PHE B N   362 PHE B N   1 
ATOM 9976  C CA  . PHE B 2 362 ? 294.234 -57.665 308.296 1.0 72.90825  ? 362 PHE B CA  362 PHE B CA  1 
ATOM 9977  C C   . PHE B 2 362 ? 294.991 -56.428 308.760 1.0 72.90825  ? 362 PHE B C   362 PHE B C   1 
ATOM 9978  O O   . PHE B 2 362 ? 294.508 -55.309 308.581 1.0 72.90825  ? 362 PHE B O   362 PHE B O   1 
ATOM 9979  C CB  . PHE B 2 362 ? 294.693 -58.044 306.883 1.0 72.90825  ? 362 PHE B CB  362 PHE B CB  1 
ATOM 9980  C CG  . PHE B 2 362 ? 294.112 -59.331 306.386 1.0 72.90825  ? 362 PHE B CG  362 PHE B CG  1 
ATOM 9981  C CD1 . PHE B 2 362 ? 294.703 -60.539 306.701 1.0 72.90825  ? 362 PHE B CD1 362 PHE B CD1 1 
ATOM 9982  C CD2 . PHE B 2 362 ? 292.958 -59.331 305.622 1.0 72.90825  ? 362 PHE B CD2 362 PHE B CD2 1 
ATOM 9983  C CE1 . PHE B 2 362 ? 294.167 -61.723 306.246 1.0 72.90825  ? 362 PHE B CE1 362 PHE B CE1 1 
ATOM 9984  C CE2 . PHE B 2 362 ? 292.407 -60.513 305.177 1.0 72.90825  ? 362 PHE B CE2 362 PHE B CE2 1 
ATOM 9985  C CZ  . PHE B 2 362 ? 293.016 -61.710 305.483 1.0 72.90825  ? 362 PHE B CZ  362 PHE B CZ  1 
ATOM 9986  N N   . PRO B 2 363 ? 296.169 -56.588 309.368 1.0 76.06747  ? 363 PRO B N   363 PRO B N   1 
ATOM 9987  C CA  . PRO B 2 363 ? 296.996 -55.421 309.656 1.0 76.06747  ? 363 PRO B CA  363 PRO B CA  1 
ATOM 9988  C C   . PRO B 2 363 ? 297.535 -54.824 308.370 1.0 76.06747  ? 363 PRO B C   363 PRO B C   1 
ATOM 9989  O O   . PRO B 2 363 ? 297.733 -55.543 307.375 1.0 76.06747  ? 363 PRO B O   363 PRO B O   1 
ATOM 9990  C CB  . PRO B 2 363 ? 298.126 -55.995 310.530 1.0 76.06747  ? 363 PRO B CB  363 PRO B CB  1 
ATOM 9991  C CG  . PRO B 2 363 ? 298.188 -57.425 310.164 1.0 76.06747  ? 363 PRO B CG  363 PRO B CG  1 
ATOM 9992  C CD  . PRO B 2 363 ? 296.777 -57.830 309.875 1.0 76.06747  ? 363 PRO B CD  363 PRO B CD  1 
ATOM 9993  N N   . PRO B 2 364 ? 297.755 -53.505 308.327 1.0 78.11216  ? 364 PRO B N   364 PRO B N   1 
ATOM 9994  C CA  . PRO B 2 364 ? 298.254 -52.884 307.088 1.0 78.11216  ? 364 PRO B CA  364 PRO B CA  1 
ATOM 9995  C C   . PRO B 2 364 ? 299.674 -53.286 306.741 1.0 78.11216  ? 364 PRO B C   364 PRO B C   1 
ATOM 9996  O O   . PRO B 2 364 ? 300.010 -53.348 305.552 1.0 78.11216  ? 364 PRO B O   364 PRO B O   1 
ATOM 9997  C CB  . PRO B 2 364 ? 298.149 -51.384 307.380 1.0 78.11216  ? 364 PRO B CB  364 PRO B CB  1 
ATOM 9998  C CG  . PRO B 2 364 ? 298.202 -51.287 308.864 1.0 78.11216  ? 364 PRO B CG  364 PRO B CG  1 
ATOM 9999  C CD  . PRO B 2 364 ? 297.517 -52.511 309.386 1.0 78.11216  ? 364 PRO B CD  364 PRO B CD  1 
ATOM 10000 N N   . HIS B 2 365 ? 300.513 -53.569 307.732 1.0 82.11921  ? 365 HIS B N   365 HIS B N   1 
ATOM 10001 C CA  . HIS B 2 365 ? 301.753 -54.302 307.495 1.0 82.11921  ? 365 HIS B CA  365 HIS B CA  1 
ATOM 10002 C C   . HIS B 2 365 ? 301.395 -55.781 307.307 1.0 82.11921  ? 365 HIS B C   365 HIS B C   1 
ATOM 10003 O O   . HIS B 2 365 ? 301.025 -56.514 308.226 1.0 82.11921  ? 365 HIS B O   365 HIS B O   1 
ATOM 10004 C CB  . HIS B 2 365 ? 302.748 -54.044 308.625 1.0 82.11921  ? 365 HIS B CB  365 HIS B CB  1 
ATOM 10005 C CG  . HIS B 2 365 ? 302.251 -54.440 309.980 1.0 82.11921  ? 365 HIS B CG  365 HIS B CG  1 
ATOM 10006 N ND1 . HIS B 2 365 ? 301.333 -53.694 310.686 1.0 82.11921  ? 365 HIS B ND1 365 HIS B ND1 1 
ATOM 10007 C CD2 . HIS B 2 365 ? 302.543 -55.509 310.755 1.0 82.11921  ? 365 HIS B CD2 365 HIS B CD2 1 
ATOM 10008 C CE1 . HIS B 2 365 ? 301.078 -54.291 311.837 1.0 82.11921  ? 365 HIS B CE1 365 HIS B CE1 1 
ATOM 10009 N NE2 . HIS B 2 365 ? 301.796 -55.397 311.901 1.0 82.11921  ? 365 HIS B NE2 365 HIS B NE2 1 
ATOM 10010 N N   . VAL B 2 366 ? 301.445 -56.204 306.044 1.0 79.40507  ? 366 VAL B N   366 VAL B N   1 
ATOM 10011 C CA  . VAL B 2 366 ? 300.911 -57.510 305.681 1.0 79.40507  ? 366 VAL B CA  366 VAL B CA  1 
ATOM 10012 C C   . VAL B 2 366 ? 301.868 -58.648 306.010 1.0 79.40507  ? 366 VAL B C   366 VAL B C   1 
ATOM 10013 O O   . VAL B 2 366 ? 301.460 -59.812 306.016 1.0 79.40507  ? 366 VAL B O   366 VAL B O   1 
ATOM 10014 C CB  . VAL B 2 366 ? 300.553 -57.492 304.180 1.0 79.40507  ? 366 VAL B CB  366 VAL B CB  1 
ATOM 10015 C CG1 . VAL B 2 366 ? 301.807 -57.617 303.314 1.0 79.40507  ? 366 VAL B CG1 366 VAL B CG1 1 
ATOM 10016 C CG2 . VAL B 2 366 ? 299.479 -58.522 303.824 1.0 79.40507  ? 366 VAL B CG2 366 VAL B CG2 1 
ATOM 10017 N N   . ILE B 2 367 ? 303.116 -58.337 306.345 1.0 80.45429  ? 367 ILE B N   367 ILE B N   1 
ATOM 10018 C CA  . ILE B 2 367 ? 304.194 -59.317 306.418 1.0 80.45429  ? 367 ILE B CA  367 ILE B CA  1 
ATOM 10019 C C   . ILE B 2 367 ? 304.478 -59.741 307.854 1.0 80.45429  ? 367 ILE B C   367 ILE B C   1 
ATOM 10020 O O   . ILE B 2 367 ? 305.606 -60.115 308.191 1.0 80.45429  ? 367 ILE B O   367 ILE B O   1 
ATOM 10021 C CB  . ILE B 2 367 ? 305.453 -58.755 305.735 1.0 80.45429  ? 367 ILE B CB  367 ILE B CB  1 
ATOM 10022 C CG1 . ILE B 2 367 ? 305.655 -57.275 306.092 1.0 80.45429  ? 367 ILE B CG1 367 ILE B CG1 1 
ATOM 10023 C CG2 . ILE B 2 367 ? 305.347 -58.913 304.242 1.0 80.45429  ? 367 ILE B CG2 367 ILE B CG2 1 
ATOM 10024 C CD1 . ILE B 2 367 ? 306.469 -56.983 307.335 1.0 80.45429  ? 367 ILE B CD1 367 ILE B CD1 1 
ATOM 10025 N N   . SER B 2 368 ? 303.471 -59.667 308.710 1.0 80.88541  ? 368 SER B N   368 SER B N   1 
ATOM 10026 C CA  . SER B 2 368 ? 303.727 -59.689 310.138 1.0 80.88541  ? 368 SER B CA  368 SER B CA  1 
ATOM 10027 C C   . SER B 2 368 ? 303.869 -61.106 310.685 1.0 80.88541  ? 368 SER B C   368 SER B C   1 
ATOM 10028 O O   . SER B 2 368 ? 303.590 -62.107 310.022 1.0 80.88541  ? 368 SER B O   368 SER B O   1 
ATOM 10029 C CB  . SER B 2 368 ? 302.611 -58.965 310.879 1.0 80.88541  ? 368 SER B CB  368 SER B CB  1 
ATOM 10030 O OG  . SER B 2 368 ? 301.373 -59.617 310.686 1.0 80.88541  ? 368 SER B OG  368 SER B OG  1 
ATOM 10031 N N   . ASN B 2 369 ? 304.315 -61.156 311.932 1.0 81.37293  ? 369 ASN B N   369 ASN B N   1 
ATOM 10032 C CA  . ASN B 2 369 ? 304.379 -62.288 312.836 1.0 81.37293  ? 369 ASN B CA  369 ASN B CA  1 
ATOM 10033 C C   . ASN B 2 369 ? 303.270 -62.094 313.861 1.0 81.37293  ? 369 ASN B C   369 ASN B C   1 
ATOM 10034 O O   . ASN B 2 369 ? 303.160 -60.987 314.403 1.0 81.37293  ? 369 ASN B O   369 ASN B O   1 
ATOM 10035 C CB  . ASN B 2 369 ? 305.762 -62.296 313.515 1.0 81.37293  ? 369 ASN B CB  369 ASN B CB  1 
ATOM 10036 C CG  . ASN B 2 369 ? 306.123 -63.618 314.170 1.0 81.37293  ? 369 ASN B CG  369 ASN B CG  1 
ATOM 10037 O OD1 . ASN B 2 369 ? 305.355 -64.569 314.175 1.0 81.37293  ? 369 ASN B OD1 369 ASN B OD1 1 
ATOM 10038 N ND2 . ASN B 2 369 ? 307.326 -63.678 314.722 1.0 81.37293  ? 369 ASN B ND2 369 ASN B ND2 1 
ATOM 10039 N N   . PRO B 2 370 ? 302.398 -63.078 314.119 1.0 80.72602  ? 370 PRO B N   370 PRO B N   1 
ATOM 10040 C CA  . PRO B 2 370 ? 301.208 -62.811 314.954 1.0 80.72602  ? 370 PRO B CA  370 PRO B CA  1 
ATOM 10041 C C   . PRO B 2 370 ? 301.472 -62.474 316.418 1.0 80.72602  ? 370 PRO B C   370 PRO B C   1 
ATOM 10042 O O   . PRO B 2 370 ? 300.524 -62.072 317.104 1.0 80.72602  ? 370 PRO B O   370 PRO B O   1 
ATOM 10043 C CB  . PRO B 2 370 ? 300.399 -64.109 314.836 1.0 80.72602  ? 370 PRO B CB  370 PRO B CB  1 
ATOM 10044 C CG  . PRO B 2 370 ? 301.364 -65.133 314.361 1.0 80.72602  ? 370 PRO B CG  370 PRO B CG  1 
ATOM 10045 C CD  . PRO B 2 370 ? 302.288 -64.387 313.456 1.0 80.72602  ? 370 PRO B CD  370 PRO B CD  1 
ATOM 10046 N N   . PHE B 2 371 ? 302.696 -62.608 316.933 1.0 83.83759  ? 371 PHE B N   371 PHE B N   1 
ATOM 10047 C CA  . PHE B 2 371 ? 302.930 -62.194 318.311 1.0 83.83759  ? 371 PHE B CA  371 PHE B CA  1 
ATOM 10048 C C   . PHE B 2 371 ? 304.262 -61.476 318.483 1.0 83.83759  ? 371 PHE B C   371 PHE B C   1 
ATOM 10049 O O   . PHE B 2 371 ? 304.771 -61.395 319.607 1.0 83.83759  ? 371 PHE B O   371 PHE B O   1 
ATOM 10050 C CB  . PHE B 2 371 ? 302.862 -63.388 319.259 1.0 83.83759  ? 371 PHE B CB  371 PHE B CB  1 
ATOM 10051 C CG  . PHE B 2 371 ? 301.499 -63.995 319.358 1.0 83.83759  ? 371 PHE B CG  371 PHE B CG  1 
ATOM 10052 C CD1 . PHE B 2 371 ? 300.516 -63.401 320.133 1.0 83.83759  ? 371 PHE B CD1 371 PHE B CD1 1 
ATOM 10053 C CD2 . PHE B 2 371 ? 301.195 -65.148 318.658 1.0 83.83759  ? 371 PHE B CD2 371 PHE B CD2 1 
ATOM 10054 C CE1 . PHE B 2 371 ? 299.256 -63.956 320.217 1.0 83.83759  ? 371 PHE B CE1 371 PHE B CE1 1 
ATOM 10055 C CE2 . PHE B 2 371 ? 299.941 -65.708 318.738 1.0 83.83759  ? 371 PHE B CE2 371 PHE B CE2 1 
ATOM 10056 C CZ  . PHE B 2 371 ? 298.969 -65.113 319.519 1.0 83.83759  ? 371 PHE B CZ  371 PHE B CZ  1 
ATOM 10057 N N   . ALA B 2 372 ? 304.821 -60.941 317.407 1.0 83.09937  ? 372 ALA B N   372 ALA B N   1 
ATOM 10058 C CA  . ALA B 2 372 ? 306.130 -60.310 317.424 1.0 83.09937  ? 372 ALA B CA  372 ALA B CA  1 
ATOM 10059 C C   . ALA B 2 372 ? 306.224 -59.399 316.210 1.0 83.09937  ? 372 ALA B C   372 ALA B C   1 
ATOM 10060 O O   . ALA B 2 372 ? 305.417 -59.517 315.284 1.0 83.09937  ? 372 ALA B O   372 ALA B O   1 
ATOM 10061 C CB  . ALA B 2 372 ? 307.249 -61.368 317.404 1.0 83.09937  ? 372 ALA B CB  372 ALA B CB  1 
ATOM 10062 N N   . PRO B 2 373 ? 307.177 -58.472 316.183 1.0 84.04164  ? 373 PRO B N   373 PRO B N   1 
ATOM 10063 C CA  . PRO B 2 373 ? 307.500 -57.816 314.914 1.0 84.04164  ? 373 PRO B CA  373 PRO B CA  1 
ATOM 10064 C C   . PRO B 2 373 ? 308.160 -58.788 313.949 1.0 84.04164  ? 373 PRO B C   373 PRO B C   1 
ATOM 10065 O O   . PRO B 2 373 ? 308.565 -59.895 314.311 1.0 84.04164  ? 373 PRO B O   373 PRO B O   1 
ATOM 10066 C CB  . PRO B 2 373 ? 308.455 -56.688 315.322 1.0 84.04164  ? 373 PRO B CB  373 PRO B CB  1 
ATOM 10067 C CG  . PRO B 2 373 ? 308.986 -57.096 316.646 1.0 84.04164  ? 373 PRO B CG  373 PRO B CG  1 
ATOM 10068 C CD  . PRO B 2 373 ? 307.866 -57.824 317.313 1.0 84.04164  ? 373 PRO B CD  373 PRO B CD  1 
ATOM 10069 N N   . ALA B 2 374 ? 308.240 -58.360 312.693 1.0 85.52434  ? 374 ALA B N   374 ALA B N   1 
ATOM 10070 C CA  . ALA B 2 374 ? 308.846 -59.174 311.647 1.0 85.52434  ? 374 ALA B CA  374 ALA B CA  1 
ATOM 10071 C C   . ALA B 2 374 ? 310.338 -59.324 311.911 1.0 85.52434  ? 374 ALA B C   374 ALA B C   1 
ATOM 10072 O O   . ALA B 2 374 ? 311.049 -58.327 312.072 1.0 85.52434  ? 374 ALA B O   374 ALA B O   1 
ATOM 10073 C CB  . ALA B 2 374 ? 308.600 -58.541 310.280 1.0 85.52434  ? 374 ALA B CB  374 ALA B CB  1 
ATOM 10074 N N   . ALA B 2 375 ? 310.800 -60.570 311.977 1.0 88.29588  ? 375 ALA B N   375 ALA B N   1 
ATOM 10075 C CA  . ALA B 2 375 ? 312.177 -60.857 312.353 1.0 88.29588  ? 375 ALA B CA  375 ALA B CA  1 
ATOM 10076 C C   . ALA B 2 375 ? 313.125 -60.432 311.242 1.0 88.29588  ? 375 ALA B C   375 ALA B C   1 
ATOM 10077 O O   . ALA B 2 375 ? 313.035 -60.932 310.117 1.0 88.29588  ? 375 ALA B O   375 ALA B O   1 
ATOM 10078 C CB  . ALA B 2 375 ? 312.339 -62.343 312.656 1.0 88.29588  ? 375 ALA B CB  375 ALA B CB  1 
ATOM 10079 N N   . VAL B 2 376 ? 314.025 -59.513 311.555 1.0 89.76586  ? 376 VAL B N   376 VAL B N   1 
ATOM 10080 C CA  . VAL B 2 376 ? 314.963 -58.975 310.580 1.0 89.76586  ? 376 VAL B CA  376 VAL B CA  1 
ATOM 10081 C C   . VAL B 2 376 ? 316.171 -59.904 310.494 1.0 89.76586  ? 376 VAL B C   376 VAL B C   1 
ATOM 10082 O O   . VAL B 2 376 ? 316.587 -60.513 311.488 1.0 89.76586  ? 376 VAL B O   376 VAL B O   1 
ATOM 10083 C CB  . VAL B 2 376 ? 315.346 -57.521 310.941 1.0 89.76586  ? 376 VAL B CB  376 VAL B CB  1 
ATOM 10084 C CG1 . VAL B 2 376 ? 316.103 -57.432 312.265 1.0 89.76586  ? 376 VAL B CG1 376 VAL B CG1 1 
ATOM 10085 C CG2 . VAL B 2 376 ? 316.115 -56.840 309.810 1.0 89.76586  ? 376 VAL B CG2 376 VAL B CG2 1 
ATOM 10086 N N   . GLY B 2 377 ? 316.690 -60.072 309.289 1.0 93.45301  ? 377 GLY B N   377 GLY B N   1 
ATOM 10087 C CA  . GLY B 2 377 ? 317.817 -60.946 309.069 1.0 93.45301  ? 377 GLY B CA  377 GLY B CA  1 
ATOM 10088 C C   . GLY B 2 377 ? 318.463 -60.684 307.731 1.0 93.45301  ? 377 GLY B C   377 GLY B C   1 
ATOM 10089 O O   . GLY B 2 377 ? 318.242 -59.647 307.106 1.0 93.45301  ? 377 GLY B O   377 GLY B O   1 
ATOM 10090 N N   . THR B 2 378 ? 319.275 -61.643 307.294 1.0 96.83598  ? 378 THR B N   378 THR B N   1 
ATOM 10091 C CA  . THR B 2 378 ? 320.054 -61.527 306.070 1.0 96.83598  ? 378 THR B CA  378 THR B CA  1 
ATOM 10092 C C   . THR B 2 378 ? 319.795 -62.727 305.171 1.0 96.83598  ? 378 THR B C   378 THR B C   1 
ATOM 10093 O O   . THR B 2 378 ? 319.116 -63.684 305.549 1.0 96.83598  ? 378 THR B O   378 THR B O   1 
ATOM 10094 C CB  . THR B 2 378 ? 321.557 -61.430 306.366 1.0 96.83598  ? 378 THR B CB  378 THR B CB  1 
ATOM 10095 O OG1 . THR B 2 378 ? 321.975 -62.597 307.084 1.0 96.83598  ? 378 THR B OG1 378 THR B OG1 1 
ATOM 10096 C CG2 . THR B 2 378 ? 321.881 -60.192 307.187 1.0 96.83598  ? 378 THR B CG2 378 THR B CG2 1 
ATOM 10097 N N   . GLY B 2 379 ? 320.357 -62.667 303.967 1.0 98.67433  ? 379 GLY B N   379 GLY B N   1 
ATOM 10098 C CA  . GLY B 2 379 ? 320.307 -63.779 303.037 1.0 98.67433  ? 379 GLY B CA  379 GLY B CA  1 
ATOM 10099 C C   . GLY B 2 379 ? 321.691 -64.311 302.731 1.0 98.67433  ? 379 GLY B C   379 GLY B C   1 
ATOM 10100 O O   . GLY B 2 379 ? 322.676 -63.581 302.872 1.0 98.67433  ? 379 GLY B O   379 GLY B O   1 
ATOM 10101 N N   . MET B 2 380 ? 321.798 -65.573 302.334 1.0 102.14446 ? 380 MET B N   380 MET B N   1 
ATOM 10102 C CA  . MET B 2 380 ? 323.095 -66.198 302.116 1.0 102.14446 ? 380 MET B CA  380 MET B CA  1 
ATOM 10103 C C   . MET B 2 380 ? 323.241 -66.635 300.666 1.0 102.14446 ? 380 MET B C   380 MET B C   1 
ATOM 10104 O O   . MET B 2 380 ? 322.335 -66.481 299.845 1.0 102.14446 ? 380 MET B O   380 MET B O   1 
ATOM 10105 C CB  . MET B 2 380 ? 323.298 -67.417 303.019 1.0 102.14446 ? 380 MET B CB  380 MET B CB  1 
ATOM 10106 C CG  . MET B 2 380 ? 323.561 -67.113 304.465 1.0 102.14446 ? 380 MET B CG  380 MET B CG  1 
ATOM 10107 S SD  . MET B 2 380 ? 321.995 -66.683 305.191 1.0 102.14446 ? 380 MET B SD  380 MET B SD  1 
ATOM 10108 C CE  . MET B 2 380 ? 321.192 -68.262 304.979 1.0 102.14446 ? 380 MET B CE  380 MET B CE  1 
ATOM 10109 N N   . THR B 2 381 ? 324.413 -67.188 300.369 1.0 104.55908 ? 381 THR B N   381 THR B N   1 
ATOM 10110 C CA  . THR B 2 381 ? 324.672 -67.919 299.139 1.0 104.55908 ? 381 THR B CA  381 THR B CA  1 
ATOM 10111 C C   . THR B 2 381 ? 325.224 -69.283 299.525 1.0 104.55908 ? 381 THR B C   381 THR B C   1 
ATOM 10112 O O   . THR B 2 381 ? 326.241 -69.365 300.219 1.0 104.55908 ? 381 THR B O   381 THR B O   1 
ATOM 10113 C CB  . THR B 2 381 ? 325.665 -67.177 298.231 1.0 104.55908 ? 381 THR B CB  381 THR B CB  1 
ATOM 10114 O OG1 . THR B 2 381 ? 326.901 -66.994 298.929 1.0 104.55908 ? 381 THR B OG1 381 THR B OG1 1 
ATOM 10115 C CG2 . THR B 2 381 ? 325.123 -65.814 297.808 1.0 104.55908 ? 381 THR B CG2 381 THR B CG2 1 
ATOM 10116 N N   . VAL B 2 382 ? 324.553 -70.351 299.093 1.0 105.30493 ? 382 VAL B N   382 VAL B N   1 
ATOM 10117 C CA  . VAL B 2 382 ? 324.985 -71.703 299.434 1.0 105.30493 ? 382 VAL B CA  382 VAL B CA  1 
ATOM 10118 C C   . VAL B 2 382 ? 326.215 -72.088 298.621 1.0 105.30493 ? 382 VAL B C   382 VAL B C   1 
ATOM 10119 O O   . VAL B 2 382 ? 326.580 -71.402 297.659 1.0 105.30493 ? 382 VAL B O   382 VAL B O   1 
ATOM 10120 C CB  . VAL B 2 382 ? 323.854 -72.725 299.235 1.0 105.30493 ? 382 VAL B CB  382 VAL B CB  1 
ATOM 10121 C CG1 . VAL B 2 382 ? 322.729 -72.463 300.217 1.0 105.30493 ? 382 VAL B CG1 382 VAL B CG1 1 
ATOM 10122 C CG2 . VAL B 2 382 ? 323.351 -72.676 297.809 1.0 105.30493 ? 382 VAL B CG2 382 VAL B CG2 1 
ATOM 10123 N N   . ASN B 2 383 ? 326.861 -73.192 299.004 1.0 108.6237  ? 383 ASN B N   383 ASN B N   1 
ATOM 10124 C CA  . ASN B 2 383 ? 328.174 -73.530 298.474 1.0 108.6237  ? 383 ASN B CA  383 ASN B CA  1 
ATOM 10125 C C   . ASN B 2 383 ? 328.106 -74.417 297.235 1.0 108.6237  ? 383 ASN B C   383 ASN B C   1 
ATOM 10126 O O   . ASN B 2 383 ? 329.157 -74.722 296.668 1.0 108.6237  ? 383 ASN B O   383 ASN B O   1 
ATOM 10127 C CB  . ASN B 2 383 ? 329.019 -74.218 299.556 1.0 108.6237  ? 383 ASN B CB  383 ASN B CB  1 
ATOM 10128 C CG  . ASN B 2 383 ? 330.505 -73.990 299.368 1.0 108.6237  ? 383 ASN B CG  383 ASN B CG  1 
ATOM 10129 O OD1 . ASN B 2 383 ? 330.919 -73.268 298.464 1.0 108.6237  ? 383 ASN B OD1 383 ASN B OD1 1 
ATOM 10130 N ND2 . ASN B 2 383 ? 331.316 -74.591 300.229 1.0 108.6237  ? 383 ASN B ND2 383 ASN B ND2 1 
ATOM 10131 N N   . GLU B 2 384 ? 326.901 -74.822 296.806 1.0 111.37861 ? 384 GLU B N   384 GLU B N   1 
ATOM 10132 C CA  . GLU B 2 384 ? 326.651 -75.433 295.500 1.0 111.37861 ? 384 GLU B CA  384 GLU B CA  1 
ATOM 10133 C C   . GLU B 2 384 ? 327.448 -76.713 295.263 1.0 111.37861 ? 384 GLU B C   384 GLU B C   1 
ATOM 10134 O O   . GLU B 2 384 ? 328.508 -76.664 294.634 1.0 111.37861 ? 384 GLU B O   384 GLU B O   1 
ATOM 10135 C CB  . GLU B 2 384 ? 326.878 -74.412 294.384 1.0 111.37861 ? 384 GLU B CB  384 GLU B CB  1 
ATOM 10136 C CG  . GLU B 2 384 ? 325.837 -73.284 294.353 1.0 111.37861 ? 384 GLU B CG  384 GLU B CG  1 
ATOM 10137 C CD  . GLU B 2 384 ? 324.433 -73.774 294.013 1.0 111.37861 ? 384 GLU B CD  384 GLU B CD  1 
ATOM 10138 O OE1 . GLU B 2 384 ? 324.304 -74.789 293.293 1.0 111.37861 ? 384 GLU B OE1 384 GLU B OE1 1 
ATOM 10139 O OE2 . GLU B 2 384 ? 323.454 -73.125 294.442 1.0 111.37861 ? 384 GLU B OE2 384 GLU B OE2 1 
ATOM 10140 N N   . GLN B 2 385 ? 326.976 -77.814 295.864 1.0 111.61573 ? 385 GLN B N   385 GLN B N   1 
ATOM 10141 C CA  . GLN B 2 385 ? 327.539 -79.182 296.005 1.0 111.61573 ? 385 GLN B CA  385 GLN B CA  1 
ATOM 10142 C C   . GLN B 2 385 ? 328.518 -79.267 297.167 1.0 111.61573 ? 385 GLN B C   385 GLN B C   1 
ATOM 10143 O O   . GLN B 2 385 ? 329.252 -80.256 297.285 1.0 111.61573 ? 385 GLN B O   385 GLN B O   1 
ATOM 10144 C CB  . GLN B 2 385 ? 328.206 -79.778 294.752 1.0 111.61573 ? 385 GLN B CB  385 GLN B CB  1 
ATOM 10145 C CG  . GLN B 2 385 ? 327.239 -80.218 293.654 1.0 111.61573 ? 385 GLN B CG  385 GLN B CG  1 
ATOM 10146 C CD  . GLN B 2 385 ? 326.976 -79.168 292.595 1.0 111.61573 ? 385 GLN B CD  385 GLN B CD  1 
ATOM 10147 O OE1 . GLN B 2 385 ? 327.803 -78.283 292.365 1.0 111.61573 ? 385 GLN B OE1 385 GLN B OE1 1 
ATOM 10148 N NE2 . GLN B 2 385 ? 325.822 -79.251 291.952 1.0 111.61573 ? 385 GLN B NE2 385 GLN B NE2 1 
ATOM 10149 N N   . GLN B 2 386 ? 328.558 -78.252 298.020 1.0 108.88556 ? 386 GLN B N   386 GLN B N   1 
ATOM 10150 C CA  . GLN B 2 386 ? 328.960 -78.408 299.406 1.0 108.88556 ? 386 GLN B CA  386 GLN B CA  1 
ATOM 10151 C C   . GLN B 2 386 ? 327.848 -77.824 300.263 1.0 108.88556 ? 386 GLN B C   386 GLN B C   1 
ATOM 10152 O O   . GLN B 2 386 ? 327.107 -76.940 299.823 1.0 108.88556 ? 386 GLN B O   386 GLN B O   1 
ATOM 10153 C CB  . GLN B 2 386 ? 330.293 -77.721 299.707 1.0 108.88556 ? 386 GLN B CB  386 GLN B CB  1 
ATOM 10154 C CG  . GLN B 2 386 ? 331.502 -78.346 299.024 1.0 108.88556 ? 386 GLN B CG  386 GLN B CG  1 
ATOM 10155 C CD  . GLN B 2 386 ? 331.709 -77.824 297.616 1.0 108.88556 ? 386 GLN B CD  386 GLN B CD  1 
ATOM 10156 O OE1 . GLN B 2 386 ? 331.174 -76.781 297.249 1.0 108.88556 ? 386 GLN B OE1 386 GLN B OE1 1 
ATOM 10157 N NE2 . GLN B 2 386 ? 332.482 -78.553 296.818 1.0 108.88556 ? 386 GLN B NE2 386 GLN B NE2 1 
ATOM 10158 N N   . GLN B 2 387 ? 327.705 -78.343 301.476 1.0 108.18339 ? 387 GLN B N   387 GLN B N   1 
ATOM 10159 C CA  . GLN B 2 387 ? 326.609 -77.926 302.346 1.0 108.18339 ? 387 GLN B CA  387 GLN B CA  1 
ATOM 10160 C C   . GLN B 2 387 ? 327.095 -76.837 303.300 1.0 108.18339 ? 387 GLN B C   387 GLN B C   1 
ATOM 10161 O O   . GLN B 2 387 ? 327.323 -77.055 304.489 1.0 108.18339 ? 387 GLN B O   387 GLN B O   1 
ATOM 10162 C CB  . GLN B 2 387 ? 326.047 -79.126 303.097 1.0 108.18339 ? 387 GLN B CB  387 GLN B CB  1 
ATOM 10163 C CG  . GLN B 2 387 ? 325.539 -80.215 302.179 1.0 108.18339 ? 387 GLN B CG  387 GLN B CG  1 
ATOM 10164 C CD  . GLN B 2 387 ? 324.487 -79.713 301.225 1.0 108.18339 ? 387 GLN B CD  387 GLN B CD  1 
ATOM 10165 O OE1 . GLN B 2 387 ? 324.724 -79.595 300.025 1.0 108.18339 ? 387 GLN B OE1 387 GLN B OE1 1 
ATOM 10166 N NE2 . GLN B 2 387 ? 323.313 -79.405 301.756 1.0 108.18339 ? 387 GLN B NE2 387 GLN B NE2 1 
ATOM 10167 N N   . THR B 2 388 ? 327.249 -75.637 302.745 1.0 107.07223 ? 388 THR B N   388 THR B N   1 
ATOM 10168 C CA  . THR B 2 388 ? 327.759 -74.498 303.495 1.0 107.07223 ? 388 THR B CA  388 THR B CA  1 
ATOM 10169 C C   . THR B 2 388 ? 327.069 -73.237 303.002 1.0 107.07223 ? 388 THR B C   388 THR B C   1 
ATOM 10170 O O   . THR B 2 388 ? 326.986 -73.009 301.794 1.0 107.07223 ? 388 THR B O   388 THR B O   1 
ATOM 10171 C CB  . THR B 2 388 ? 329.282 -74.372 303.339 1.0 107.07223 ? 388 THR B CB  388 THR B CB  1 
ATOM 10172 O OG1 . THR B 2 388 ? 329.915 -75.568 303.810 1.0 107.07223 ? 388 THR B OG1 388 THR B OG1 1 
ATOM 10173 C CG2 . THR B 2 388 ? 329.819 -73.186 304.130 1.0 107.07223 ? 388 THR B CG2 388 THR B CG2 1 
ATOM 10174 N N   . ALA B 2 389 ? 326.560 -72.429 303.928 1.0 104.41775 ? 389 ALA B N   389 ALA B N   1 
ATOM 10175 C CA  . ALA B 2 389 ? 325.924 -71.162 303.595 1.0 104.41775 ? 389 ALA B CA  389 ALA B CA  1 
ATOM 10176 C C   . ALA B 2 389 ? 326.638 -70.043 304.336 1.0 104.41775 ? 389 ALA B C   389 ALA B C   1 
ATOM 10177 O O   . ALA B 2 389 ? 326.702 -70.054 305.570 1.0 104.41775 ? 389 ALA B O   389 ALA B O   1 
ATOM 10178 C CB  . ALA B 2 389 ? 324.437 -71.180 303.950 1.0 104.41775 ? 389 ALA B CB  389 ALA B CB  1 
ATOM 10179 N N   . ALA B 2 390 ? 327.171 -69.085 303.586 1.0 103.07323 ? 390 ALA B N   390 ALA B N   1 
ATOM 10180 C CA  . ALA B 2 390 ? 327.835 -67.923 304.153 1.0 103.07323 ? 390 ALA B CA  390 ALA B CA  1 
ATOM 10181 C C   . ALA B 2 390 ? 327.045 -66.668 303.812 1.0 103.07323 ? 390 ALA B C   390 ALA B C   1 
ATOM 10182 O O   . ALA B 2 390 ? 326.460 -66.558 302.731 1.0 103.07323 ? 390 ALA B O   390 ALA B O   1 
ATOM 10183 C CB  . ALA B 2 390 ? 329.271 -67.797 303.640 1.0 103.07323 ? 390 ALA B CB  390 ALA B CB  1 
ATOM 10184 N N   . VAL B 2 391 ? 327.037 -65.720 304.749 1.0 102.44541 ? 391 VAL B N   391 VAL B N   1 
ATOM 10185 C CA  . VAL B 2 391 ? 326.239 -64.511 304.596 1.0 102.44541 ? 391 VAL B CA  391 VAL B CA  1 
ATOM 10186 C C   . VAL B 2 391 ? 326.875 -63.594 303.555 1.0 102.44541 ? 391 VAL B C   391 VAL B C   1 
ATOM 10187 O O   . VAL B 2 391 ? 328.106 -63.488 303.451 1.0 102.44541 ? 391 VAL B O   391 VAL B O   1 
ATOM 10188 C CB  . VAL B 2 391 ? 326.059 -63.831 305.969 1.0 102.44541 ? 391 VAL B CB  391 VAL B CB  1 
ATOM 10189 C CG1 . VAL B 2 391 ? 327.395 -63.429 306.587 1.0 102.44541 ? 391 VAL B CG1 391 VAL B CG1 1 
ATOM 10190 C CG2 . VAL B 2 391 ? 325.115 -62.637 305.892 1.0 102.44541 ? 391 VAL B CG2 391 VAL B CG2 1 
ATOM 10191 N N   . THR B 2 392 ? 326.036 -62.983 302.724 1.0 102.6116  ? 392 THR B N   392 THR B N   1 
ATOM 10192 C CA  . THR B 2 392 ? 326.488 -62.021 301.733 1.0 102.6116  ? 392 THR B CA  392 THR B CA  1 
ATOM 10193 C C   . THR B 2 392 ? 326.228 -60.601 302.221 1.0 102.6116  ? 392 THR B C   392 THR B C   1 
ATOM 10194 O O   . THR B 2 392 ? 325.421 -60.362 303.122 1.0 102.6116  ? 392 THR B O   392 THR B O   1 
ATOM 10195 C CB  . THR B 2 392 ? 325.801 -62.249 300.385 1.0 102.6116  ? 392 THR B CB  392 THR B CB  1 
ATOM 10196 O OG1 . THR B 2 392 ? 326.369 -61.369 299.407 1.0 102.6116  ? 392 THR B OG1 392 THR B OG1 1 
ATOM 10197 C CG2 . THR B 2 392 ? 324.309 -61.990 300.483 1.0 102.6116  ? 392 THR B CG2 392 THR B CG2 1 
ATOM 10198 N N   . ALA B 2 393 ? 326.938 -59.659 301.615 1.0 102.58627 ? 393 ALA B N   393 ALA B N   1 
ATOM 10199 C CA  . ALA B 2 393 ? 326.876 -58.270 302.034 1.0 102.58627 ? 393 ALA B CA  393 ALA B CA  1 
ATOM 10200 C C   . ALA B 2 393 ? 325.733 -57.545 301.337 1.0 102.58627 ? 393 ALA B C   393 ALA B C   1 
ATOM 10201 O O   . ALA B 2 393 ? 325.238 -57.978 300.293 1.0 102.58627 ? 393 ALA B O   393 ALA B O   1 
ATOM 10202 C CB  . ALA B 2 393 ? 328.199 -57.561 301.746 1.0 102.58627 ? 393 ALA B CB  393 ALA B CB  1 
ATOM 10203 N N   . ASN B 2 394 ? 325.316 -56.433 301.957 1.0 102.76251 ? 394 ASN B N   394 ASN B N   1 
ATOM 10204 C CA  . ASN B 2 394 ? 324.293 -55.515 301.441 1.0 102.76251 ? 394 ASN B CA  394 ASN B CA  1 
ATOM 10205 C C   . ASN B 2 394 ? 322.949 -56.208 301.226 1.0 102.76251 ? 394 ASN B C   394 ASN B C   1 
ATOM 10206 O O   . ASN B 2 394 ? 322.236 -55.924 300.264 1.0 102.76251 ? 394 ASN B O   394 ASN B O   1 
ATOM 10207 C CB  . ASN B 2 394 ? 324.755 -54.820 300.156 1.0 102.76251 ? 394 ASN B CB  394 ASN B CB  1 
ATOM 10208 C CG  . ASN B 2 394 ? 325.957 -53.926 300.376 1.0 102.76251 ? 394 ASN B CG  394 ASN B CG  1 
ATOM 10209 O OD1 . ASN B 2 394 ? 327.045 -54.195 299.869 1.0 102.76251 ? 394 ASN B OD1 394 ASN B OD1 1 
ATOM 10210 N ND2 . ASN B 2 394 ? 325.764 -52.849 301.128 1.0 102.76251 ? 394 ASN B ND2 394 ASN B ND2 1 
ATOM 10211 N N   . THR B 2 395 ? 322.593 -57.121 302.129 1.0 100.77761 ? 395 THR B N   395 THR B N   1 
ATOM 10212 C CA  . THR B 2 395 ? 321.284 -57.772 302.124 1.0 100.77761 ? 395 THR B CA  395 THR B CA  1 
ATOM 10213 C C   . THR B 2 395 ? 320.734 -57.776 303.543 1.0 100.77761 ? 395 THR B C   395 THR B C   1 
ATOM 10214 O O   . THR B 2 395 ? 321.269 -58.470 304.412 1.0 100.77761 ? 395 THR B O   395 THR B O   1 
ATOM 10215 C CB  . THR B 2 395 ? 321.355 -59.206 301.590 1.0 100.77761 ? 395 THR B CB  395 THR B CB  1 
ATOM 10216 O OG1 . THR B 2 395 ? 322.302 -59.959 302.357 1.0 100.77761 ? 395 THR B OG1 395 THR B OG1 1 
ATOM 10217 C CG2 . THR B 2 395 ? 321.722 -59.252 300.113 1.0 100.77761 ? 395 THR B CG2 395 THR B CG2 1 
ATOM 10218 N N   . VAL B 2 396 ? 319.675 -57.008 303.780 1.0 97.29398  ? 396 VAL B N   396 VAL B N   1 
ATOM 10219 C CA  . VAL B 2 396 ? 318.886 -57.133 305.000 1.0 97.29398  ? 396 VAL B CA  396 VAL B CA  1 
ATOM 10220 C C   . VAL B 2 396 ? 317.490 -57.582 304.599 1.0 97.29398  ? 396 VAL B C   396 VAL B C   1 
ATOM 10221 O O   . VAL B 2 396 ? 317.044 -57.354 303.468 1.0 97.29398  ? 396 VAL B O   396 VAL B O   1 
ATOM 10222 C CB  . VAL B 2 396 ? 318.841 -55.834 305.834 1.0 97.29398  ? 396 VAL B CB  396 VAL B CB  1 
ATOM 10223 C CG1 . VAL B 2 396 ? 320.246 -55.421 306.249 1.0 97.29398  ? 396 VAL B CG1 396 VAL B CG1 1 
ATOM 10224 C CG2 . VAL B 2 396 ? 318.150 -54.720 305.081 1.0 97.29398  ? 396 VAL B CG2 396 VAL B CG2 1 
ATOM 10225 N N   . ALA B 2 397 ? 316.798 -58.239 305.528 1.0 92.01376  ? 397 ALA B N   397 ALA B N   1 
ATOM 10226 C CA  . ALA B 2 397 ? 315.585 -58.961 305.168 1.0 92.01376  ? 397 ALA B CA  397 ALA B CA  1 
ATOM 10227 C C   . ALA B 2 397 ? 314.735 -59.215 306.399 1.0 92.01376  ? 397 ALA B C   397 ALA B C   1 
ATOM 10228 O O   . ALA B 2 397 ? 315.229 -59.756 307.389 1.0 92.01376  ? 397 ALA B O   397 ALA B O   1 
ATOM 10229 C CB  . ALA B 2 397 ? 315.935 -60.287 304.504 1.0 92.01376  ? 397 ALA B CB  397 ALA B CB  1 
ATOM 10230 N N   . LEU B 2 398 ? 313.455 -58.867 306.318 1.0 87.47324  ? 398 LEU B N   398 LEU B N   1 
ATOM 10231 C CA  . LEU B 2 398 ? 312.521 -59.077 307.414 1.0 87.47324  ? 398 LEU B CA  398 LEU B CA  1 
ATOM 10232 C C   . LEU B 2 398 ? 311.303 -59.833 306.904 1.0 87.47324  ? 398 LEU B C   398 LEU B C   1 
ATOM 10233 O O   . LEU B 2 398 ? 310.695 -59.440 305.905 1.0 87.47324  ? 398 LEU B O   398 LEU B O   1 
ATOM 10234 C CB  . LEU B 2 398 ? 312.155 -57.736 308.069 1.0 87.47324  ? 398 LEU B CB  398 LEU B CB  1 
ATOM 10235 C CG  . LEU B 2 398 ? 311.661 -56.531 307.263 1.0 87.47324  ? 398 LEU B CG  398 LEU B CG  1 
ATOM 10236 C CD1 . LEU B 2 398 ? 310.155 -56.475 307.145 1.0 87.47324  ? 398 LEU B CD1 398 LEU B CD1 1 
ATOM 10237 C CD2 . LEU B 2 398 ? 312.207 -55.242 307.875 1.0 87.47324  ? 398 LEU B CD2 398 LEU B CD2 1 
ATOM 10238 N N   . ILE B 2 399 ? 310.977 -60.945 307.564 1.0 86.01244  ? 399 ILE B N   399 ILE B N   1 
ATOM 10239 C CA  . ILE B 2 399 ? 309.973 -61.895 307.099 1.0 86.01244  ? 399 ILE B CA  399 ILE B CA  1 
ATOM 10240 C C   . ILE B 2 399 ? 309.075 -62.293 308.266 1.0 86.01244  ? 399 ILE B C   399 ILE B C   1 
ATOM 10241 O O   . ILE B 2 399 ? 309.269 -61.858 309.403 1.0 86.01244  ? 399 ILE B O   399 ILE B O   1 
ATOM 10242 C CB  . ILE B 2 399 ? 310.613 -63.132 306.444 1.0 86.01244  ? 399 ILE B CB  399 ILE B CB  1 
ATOM 10243 C CG1 . ILE B 2 399 ? 311.689 -63.697 307.360 1.0 86.01244  ? 399 ILE B CG1 399 ILE B CG1 1 
ATOM 10244 C CG2 . ILE B 2 399 ? 311.189 -62.795 305.100 1.0 86.01244  ? 399 ILE B CG2 399 ILE B CG2 1 
ATOM 10245 C CD1 . ILE B 2 399 ? 312.308 -64.962 306.850 1.0 86.01244  ? 399 ILE B CD1 399 ILE B CD1 1 
ATOM 10246 N N   . GLY B 2 400 ? 308.076 -63.131 307.973 1.0 84.15511  ? 400 GLY B N   400 GLY B N   1 
ATOM 10247 C CA  . GLY B 2 400 ? 306.956 -63.307 308.879 1.0 84.15511  ? 400 GLY B CA  400 GLY B CA  1 
ATOM 10248 C C   . GLY B 2 400 ? 306.646 -64.694 309.413 1.0 84.15511  ? 400 GLY B C   400 GLY B C   1 
ATOM 10249 O O   . GLY B 2 400 ? 306.071 -64.801 310.502 1.0 84.15511  ? 400 GLY B O   400 GLY B O   1 
ATOM 10250 N N   . TYR B 2 401 ? 306.995 -65.743 308.656 1.0 85.95173  ? 401 TYR B N   401 TYR B N   1 
ATOM 10251 C CA  . TYR B 2 401 ? 306.879 -67.154 309.053 1.0 85.95173  ? 401 TYR B CA  401 TYR B CA  1 
ATOM 10252 C C   . TYR B 2 401 ? 305.433 -67.557 309.371 1.0 85.95173  ? 401 TYR B C   401 TYR B C   1 
ATOM 10253 O O   . TYR B 2 401 ? 305.068 -67.819 310.516 1.0 85.95173  ? 401 TYR B O   401 TYR B O   1 
ATOM 10254 C CB  . TYR B 2 401 ? 307.779 -67.484 310.249 1.0 85.95173  ? 401 TYR B CB  401 TYR B CB  1 
ATOM 10255 C CG  . TYR B 2 401 ? 309.249 -67.375 309.981 1.0 85.95173  ? 401 TYR B CG  401 TYR B CG  1 
ATOM 10256 C CD1 . TYR B 2 401 ? 309.923 -68.374 309.298 1.0 85.95173  ? 401 TYR B CD1 401 TYR B CD1 1 
ATOM 10257 C CD2 . TYR B 2 401 ? 309.970 -66.286 310.441 1.0 85.95173  ? 401 TYR B CD2 401 TYR B CD2 1 
ATOM 10258 C CE1 . TYR B 2 401 ? 311.271 -68.280 309.059 1.0 85.95173  ? 401 TYR B CE1 401 TYR B CE1 1 
ATOM 10259 C CE2 . TYR B 2 401 ? 311.315 -66.186 310.216 1.0 85.95173  ? 401 TYR B CE2 401 TYR B CE2 1 
ATOM 10260 C CZ  . TYR B 2 401 ? 311.963 -67.184 309.528 1.0 85.95173  ? 401 TYR B CZ  401 TYR B CZ  1 
ATOM 10261 O OH  . TYR B 2 401 ? 313.312 -67.069 309.300 1.0 85.95173  ? 401 TYR B OH  401 TYR B OH  1 
ATOM 10262 N N   . GLY B 2 402 ? 304.611 -67.583 308.333 1.0 80.79376  ? 402 GLY B N   402 GLY B N   1 
ATOM 10263 C CA  . GLY B 2 402 ? 303.322 -68.229 308.455 1.0 80.79376  ? 402 GLY B CA  402 GLY B CA  1 
ATOM 10264 C C   . GLY B 2 402 ? 302.269 -67.514 307.645 1.0 80.79376  ? 402 GLY B C   402 GLY B C   1 
ATOM 10265 O O   . GLY B 2 402 ? 302.573 -66.784 306.708 1.0 80.79376  ? 402 GLY B O   402 GLY B O   1 
ATOM 10266 N N   . ASN B 2 403 ? 301.013 -67.752 308.001 1.0 77.85379  ? 403 ASN B N   403 ASN B N   1 
ATOM 10267 C CA  . ASN B 2 403 ? 299.931 -67.008 307.383 1.0 77.85379  ? 403 ASN B CA  403 ASN B CA  1 
ATOM 10268 C C   . ASN B 2 403 ? 299.766 -65.658 308.068 1.0 77.85379  ? 403 ASN B C   403 ASN B C   1 
ATOM 10269 O O   . ASN B 2 403 ? 300.273 -65.423 309.169 1.0 77.85379  ? 403 ASN B O   403 ASN B O   1 
ATOM 10270 C CB  . ASN B 2 403 ? 298.621 -67.791 307.445 1.0 77.85379  ? 403 ASN B CB  403 ASN B CB  1 
ATOM 10271 C CG  . ASN B 2 403 ? 298.601 -68.974 306.500 1.0 77.85379  ? 403 ASN B CG  403 ASN B CG  1 
ATOM 10272 O OD1 . ASN B 2 403 ? 299.101 -68.894 305.381 1.0 77.85379  ? 403 ASN B OD1 403 ASN B OD1 1 
ATOM 10273 N ND2 . ASN B 2 403 ? 297.992 -70.069 306.933 1.0 77.85379  ? 403 ASN B ND2 403 ASN B ND2 1 
ATOM 10274 N N   . ILE B 2 404 ? 299.054 -64.764 307.398 1.0 76.01291  ? 404 ILE B N   404 ILE B N   1 
ATOM 10275 C CA  . ILE B 2 404 ? 298.866 -63.410 307.929 1.0 76.01291  ? 404 ILE B CA  404 ILE B CA  1 
ATOM 10276 C C   . ILE B 2 404 ? 297.854 -63.466 309.067 1.0 76.01291  ? 404 ILE B C   404 ILE B C   1 
ATOM 10277 O O   . ILE B 2 404 ? 296.767 -64.041 308.888 1.0 76.01291  ? 404 ILE B O   404 ILE B O   1 
ATOM 10278 C CB  . ILE B 2 404 ? 298.396 -62.456 306.823 1.0 76.01291  ? 404 ILE B CB  404 ILE B CB  1 
ATOM 10279 C CG1 . ILE B 2 404 ? 299.388 -62.396 305.661 1.0 76.01291  ? 404 ILE B CG1 404 ILE B CG1 1 
ATOM 10280 C CG2 . ILE B 2 404 ? 298.240 -61.055 307.361 1.0 76.01291  ? 404 ILE B CG2 404 ILE B CG2 1 
ATOM 10281 C CD1 . ILE B 2 404 ? 299.009 -63.232 304.464 1.0 76.01291  ? 404 ILE B CD1 404 ILE B CD1 1 
ATOM 10282 N N   . PRO B 2 405 ? 298.165 -62.919 310.250 1.0 75.58346  ? 405 PRO B N   405 PRO B N   1 
ATOM 10283 C CA  . PRO B 2 405 ? 297.205 -62.964 311.363 1.0 75.58346  ? 405 PRO B CA  405 PRO B CA  1 
ATOM 10284 C C   . PRO B 2 405 ? 295.975 -62.104 311.126 1.0 75.58346  ? 405 PRO B C   405 PRO B C   1 
ATOM 10285 O O   . PRO B 2 405 ? 296.067 -60.878 311.019 1.0 75.58346  ? 405 PRO B O   405 PRO B O   1 
ATOM 10286 C CB  . PRO B 2 405 ? 298.025 -62.453 312.554 1.0 75.58346  ? 405 PRO B CB  405 PRO B CB  1 
ATOM 10287 C CG  . PRO B 2 405 ? 299.113 -61.649 311.952 1.0 75.58346  ? 405 PRO B CG  405 PRO B CG  1 
ATOM 10288 C CD  . PRO B 2 405 ? 299.446 -62.313 310.649 1.0 75.58346  ? 405 PRO B CD  405 PRO B CD  1 
ATOM 10289 N N   . ALA B 2 406 ? 294.816 -62.744 311.039 1.0 73.32291  ? 406 ALA B N   406 ALA B N   1 
ATOM 10290 C CA  . ALA B 2 406 ? 293.577 -62.067 310.708 1.0 73.32291  ? 406 ALA B CA  406 ALA B CA  1 
ATOM 10291 C C   . ALA B 2 406 ? 292.613 -62.117 311.882 1.0 73.32291  ? 406 ALA B C   406 ALA B C   1 
ATOM 10292 O O   . ALA B 2 406 ? 292.718 -62.969 312.767 1.0 73.32291  ? 406 ALA B O   406 ALA B O   1 
ATOM 10293 C CB  . ALA B 2 406 ? 292.914 -62.694 309.479 1.0 73.32291  ? 406 ALA B CB  406 ALA B CB  1 
ATOM 10294 N N   . VAL B 2 407 ? 291.674 -61.180 311.882 1.0 70.92029  ? 407 VAL B N   407 VAL B N   1 
ATOM 10295 C CA  . VAL B 2 407 ? 290.523 -61.233 312.768 1.0 70.92029  ? 407 VAL B CA  407 VAL B CA  1 
ATOM 10296 C C   . VAL B 2 407 ? 289.277 -61.325 311.901 1.0 70.92029  ? 407 VAL B C   407 VAL B C   1 
ATOM 10297 O O   . VAL B 2 407 ? 289.250 -60.842 310.766 1.0 70.92029  ? 407 VAL B O   407 VAL B O   1 
ATOM 10298 C CB  . VAL B 2 407 ? 290.459 -60.025 313.728 1.0 70.92029  ? 407 VAL B CB  407 VAL B CB  1 
ATOM 10299 C CG1 . VAL B 2 407 ? 291.638 -60.052 314.677 1.0 70.92029  ? 407 VAL B CG1 407 VAL B CG1 1 
ATOM 10300 C CG2 . VAL B 2 407 ? 290.455 -58.730 312.959 1.0 70.92029  ? 407 VAL B CG2 407 VAL B CG2 1 
ATOM 10301 N N   . GLU B 2 408 ? 288.250 -61.971 312.432 1.0 72.15535  ? 408 GLU B N   408 GLU B N   1 
ATOM 10302 C CA  . GLU B 2 408 ? 287.054 -62.288 311.671 1.0 72.15535  ? 408 GLU B CA  408 GLU B CA  1 
ATOM 10303 C C   . GLU B 2 408 ? 285.848 -61.639 312.328 1.0 72.15535  ? 408 GLU B C   408 GLU B C   1 
ATOM 10304 O O   . GLU B 2 408 ? 285.760 -61.556 313.556 1.0 72.15535  ? 408 GLU B O   408 GLU B O   1 
ATOM 10305 C CB  . GLU B 2 408 ? 286.853 -63.807 311.590 1.0 72.15535  ? 408 GLU B CB  408 GLU B CB  1 
ATOM 10306 C CG  . GLU B 2 408 ? 285.845 -64.300 310.554 1.0 72.15535  ? 408 GLU B CG  408 GLU B CG  1 
ATOM 10307 C CD  . GLU B 2 408 ? 284.415 -64.316 311.062 1.0 72.15535  ? 408 GLU B CD  408 GLU B CD  1 
ATOM 10308 O OE1 . GLU B 2 408 ? 284.227 -64.375 312.294 1.0 72.15535  ? 408 GLU B OE1 408 GLU B OE1 1 
ATOM 10309 O OE2 . GLU B 2 408 ? 283.481 -64.282 310.231 1.0 72.15535  ? 408 GLU B OE2 408 GLU B OE2 1 
ATOM 10310 N N   . MET B 2 409 ? 284.925 -61.178 311.497 1.0 70.34657  ? 409 MET B N   409 MET B N   1 
ATOM 10311 C CA  . MET B 2 409 ? 283.591 -60.810 311.938 1.0 70.34657  ? 409 MET B CA  409 MET B CA  1 
ATOM 10312 C C   . MET B 2 409 ? 282.636 -61.179 310.818 1.0 70.34657  ? 409 MET B C   409 MET B C   1 
ATOM 10313 O O   . MET B 2 409 ? 283.007 -61.121 309.643 1.0 70.34657  ? 409 MET B O   409 MET B O   1 
ATOM 10314 C CB  . MET B 2 409 ? 283.503 -59.319 312.282 1.0 70.34657  ? 409 MET B CB  409 MET B CB  1 
ATOM 10315 C CG  . MET B 2 409 ? 283.853 -58.385 311.134 1.0 70.34657  ? 409 MET B CG  409 MET B CG  1 
ATOM 10316 S SD  . MET B 2 409 ? 283.772 -56.640 311.558 1.0 70.34657  ? 409 MET B SD  409 MET B SD  1 
ATOM 10317 C CE  . MET B 2 409 ? 282.005 -56.415 311.648 1.0 70.34657  ? 409 MET B CE  409 MET B CE  1 
ATOM 10318 N N   . ASN B 2 410 ? 281.430 -61.606 311.169 1.0 68.43635  ? 410 ASN B N   410 ASN B N   1 
ATOM 10319 C CA  . ASN B 2 410 ? 280.418 -61.789 310.139 1.0 68.43635  ? 410 ASN B CA  410 ASN B CA  1 
ATOM 10320 C C   . ASN B 2 410 ? 279.803 -60.433 309.825 1.0 68.43635  ? 410 ASN B C   410 ASN B C   1 
ATOM 10321 O O   . ASN B 2 410 ? 279.251 -59.764 310.703 1.0 68.43635  ? 410 ASN B O   410 ASN B O   1 
ATOM 10322 C CB  . ASN B 2 410 ? 279.381 -62.841 310.527 1.0 68.43635  ? 410 ASN B CB  410 ASN B CB  1 
ATOM 10323 C CG  . ASN B 2 410 ? 278.847 -62.676 311.925 1.0 68.43635  ? 410 ASN B CG  410 ASN B CG  1 
ATOM 10324 O OD1 . ASN B 2 410 ? 279.274 -61.800 312.676 1.0 68.43635  ? 410 ASN B OD1 410 ASN B OD1 1 
ATOM 10325 N ND2 . ASN B 2 410 ? 277.891 -63.525 312.284 1.0 68.43635  ? 410 ASN B ND2 410 ASN B ND2 1 
ATOM 10326 N N   . LEU B 2 411 ? 279.963 -60.011 308.575 1.0 66.63089  ? 411 LEU B N   411 LEU B N   1 
ATOM 10327 C CA  . LEU B 2 411 ? 279.476 -58.702 308.145 1.0 66.63089  ? 411 LEU B CA  411 LEU B CA  1 
ATOM 10328 C C   . LEU B 2 411 ? 277.951 -58.574 308.191 1.0 66.63089  ? 411 LEU B C   411 LEU B C   1 
ATOM 10329 O O   . LEU B 2 411 ? 277.473 -57.648 308.869 1.0 66.63089  ? 411 LEU B O   411 LEU B O   1 
ATOM 10330 C CB  . LEU B 2 411 ? 280.079 -58.380 306.766 1.0 66.63089  ? 411 LEU B CB  411 LEU B CB  1 
ATOM 10331 C CG  . LEU B 2 411 ? 280.060 -57.004 306.099 1.0 66.63089  ? 411 LEU B CG  411 LEU B CG  1 
ATOM 10332 C CD1 . LEU B 2 411 ? 278.764 -56.740 305.378 1.0 66.63089  ? 411 LEU B CD1 411 LEU B CD1 1 
ATOM 10333 C CD2 . LEU B 2 411 ? 280.306 -55.955 307.140 1.0 66.63089  ? 411 LEU B CD2 411 LEU B CD2 1 
ATOM 10334 N N   . PRO B 2 412 ? 277.131 -59.436 307.549 1.0 64.62524  ? 412 PRO B N   412 PRO B N   1 
ATOM 10335 C CA  . PRO B 2 412 ? 275.698 -59.108 307.465 1.0 64.62524  ? 412 PRO B CA  412 PRO B CA  1 
ATOM 10336 C C   . PRO B 2 412 ? 274.939 -59.288 308.769 1.0 64.62524  ? 412 PRO B C   412 PRO B C   1 
ATOM 10337 O O   . PRO B 2 412 ? 273.831 -58.755 308.894 1.0 64.62524  ? 412 PRO B O   412 PRO B O   1 
ATOM 10338 C CB  . PRO B 2 412 ? 275.174 -60.076 306.395 1.0 64.62524  ? 412 PRO B CB  412 PRO B CB  1 
ATOM 10339 C CG  . PRO B 2 412 ? 276.368 -60.618 305.728 1.0 64.62524  ? 412 PRO B CG  412 PRO B CG  1 
ATOM 10340 C CD  . PRO B 2 412 ? 277.367 -60.697 306.818 1.0 64.62524  ? 412 PRO B CD  412 PRO B CD  1 
ATOM 10341 N N   . ALA B 2 413 ? 275.487 -60.015 309.743 1.0 64.90947  ? 413 ALA B N   413 ALA B N   1 
ATOM 10342 C CA  . ALA B 2 413 ? 274.798 -60.138 311.022 1.0 64.90947  ? 413 ALA B CA  413 ALA B CA  1 
ATOM 10343 C C   . ALA B 2 413 ? 274.929 -58.872 311.851 1.0 64.90947  ? 413 ALA B C   413 ALA B C   1 
ATOM 10344 O O   . ALA B 2 413 ? 273.996 -58.507 312.573 1.0 64.90947  ? 413 ALA B O   413 ALA B O   1 
ATOM 10345 C CB  . ALA B 2 413 ? 275.333 -61.332 311.803 1.0 64.90947  ? 413 ALA B CB  413 ALA B CB  1 
ATOM 10346 N N   . ASN B 2 414 ? 276.069 -58.191 311.763 1.0 65.34533  ? 414 ASN B N   414 ASN B N   1 
ATOM 10347 C CA  . ASN B 2 414 ? 276.244 -56.945 312.494 1.0 65.34533  ? 414 ASN B CA  414 ASN B CA  1 
ATOM 10348 C C   . ASN B 2 414 ? 275.517 -55.786 311.829 1.0 65.34533  ? 414 ASN B C   414 ASN B C   1 
ATOM 10349 O O   . ASN B 2 414 ? 275.169 -54.813 312.506 1.0 65.34533  ? 414 ASN B O   414 ASN B O   1 
ATOM 10350 C CB  . ASN B 2 414 ? 277.731 -56.638 312.644 1.0 65.34533  ? 414 ASN B CB  414 ASN B CB  1 
ATOM 10351 C CG  . ASN B 2 414 ? 278.404 -57.542 313.651 1.0 65.34533  ? 414 ASN B CG  414 ASN B CG  1 
ATOM 10352 O OD1 . ASN B 2 414 ? 277.877 -57.776 314.734 1.0 65.34533  ? 414 ASN B OD1 414 ASN B OD1 1 
ATOM 10353 N ND2 . ASN B 2 414 ? 279.557 -58.080 313.288 1.0 65.34533  ? 414 ASN B ND2 414 ASN B ND2 1 
ATOM 10354 N N   . LEU B 2 415 ? 275.285 -55.859 310.515 1.0 65.14501  ? 415 LEU B N   415 LEU B N   1 
ATOM 10355 C CA  . LEU B 2 415 ? 274.356 -54.920 309.894 1.0 65.14501  ? 415 LEU B CA  415 LEU B CA  1 
ATOM 10356 C C   . LEU B 2 415 ? 272.929 -55.168 310.355 1.0 65.14501  ? 415 LEU B C   415 LEU B C   1 
ATOM 10357 O O   . LEU B 2 415 ? 272.130 -54.230 310.421 1.0 65.14501  ? 415 LEU B O   415 LEU B O   1 
ATOM 10358 C CB  . LEU B 2 415 ? 274.417 -55.001 308.368 1.0 65.14501  ? 415 LEU B CB  415 LEU B CB  1 
ATOM 10359 C CG  . LEU B 2 415 ? 275.396 -54.130 307.577 1.0 65.14501  ? 415 LEU B CG  415 LEU B CG  1 
ATOM 10360 C CD1 . LEU B 2 415 ? 276.806 -54.612 307.712 1.0 65.14501  ? 415 LEU B CD1 415 LEU B CD1 1 
ATOM 10361 C CD2 . LEU B 2 415 ? 274.997 -54.087 306.107 1.0 65.14501  ? 415 LEU B CD2 415 LEU B CD2 1 
ATOM 10362 N N   . LYS B 2 416 ? 272.596 -56.417 310.673 1.0 65.52901  ? 416 LYS B N   416 LYS B N   1 
ATOM 10363 C CA  . LYS B 2 416 ? 271.258 -56.759 311.133 1.0 65.52901  ? 416 LYS B CA  416 LYS B CA  1 
ATOM 10364 C C   . LYS B 2 416 ? 271.052 -56.358 312.588 1.0 65.52901  ? 416 LYS B C   416 LYS B C   1 
ATOM 10365 O O   . LYS B 2 416 ? 269.971 -55.887 312.958 1.0 65.52901  ? 416 LYS B O   416 LYS B O   1 
ATOM 10366 C CB  . LYS B 2 416 ? 271.028 -58.258 310.953 1.0 65.52901  ? 416 LYS B CB  416 LYS B CB  1 
ATOM 10367 C CG  . LYS B 2 416 ? 269.618 -58.732 311.217 1.0 65.52901  ? 416 LYS B CG  416 LYS B CG  1 
ATOM 10368 C CD  . LYS B 2 416 ? 268.687 -58.290 310.113 1.0 65.52901  ? 416 LYS B CD  416 LYS B CD  1 
ATOM 10369 C CE  . LYS B 2 416 ? 267.289 -58.792 310.360 1.0 65.52901  ? 416 LYS B CE  416 LYS B CE  1 
ATOM 10370 N NZ  . LYS B 2 416 ? 267.241 -60.265 310.310 1.0 65.52901  ? 416 LYS B NZ  416 LYS B NZ  1 
ATOM 10371 N N   . ARG B 2 417 ? 272.081 -56.523 313.420 1.0 67.90322  ? 417 ARG B N   417 ARG B N   1 
ATOM 10372 C CA  . ARG B 2 417 ? 271.958 -56.221 314.840 1.0 67.90322  ? 417 ARG B CA  417 ARG B CA  1 
ATOM 10373 C C   . ARG B 2 417 ? 271.921 -54.721 315.104 1.0 67.90322  ? 417 ARG B C   417 ARG B C   1 
ATOM 10374 O O   . ARG B 2 417 ? 271.228 -54.274 316.025 1.0 67.90322  ? 417 ARG B O   417 ARG B O   1 
ATOM 10375 C CB  . ARG B 2 417 ? 273.117 -56.859 315.604 1.0 67.90322  ? 417 ARG B CB  417 ARG B CB  1 
ATOM 10376 C CG  . ARG B 2 417 ? 272.951 -56.812 317.099 1.0 67.90322  ? 417 ARG B CG  417 ARG B CG  1 
ATOM 10377 C CD  . ARG B 2 417 ? 274.121 -57.406 317.842 1.0 67.90322  ? 417 ARG B CD  417 ARG B CD  1 
ATOM 10378 N NE  . ARG B 2 417 ? 273.877 -57.331 319.277 1.0 67.90322  ? 417 ARG B NE  417 ARG B NE  1 
ATOM 10379 C CZ  . ARG B 2 417 ? 274.748 -57.683 320.212 1.0 67.90322  ? 417 ARG B CZ  417 ARG B CZ  1 
ATOM 10380 N NH1 . ARG B 2 417 ? 275.950 -58.124 319.879 1.0 67.90322  ? 417 ARG B NH1 417 ARG B NH1 1 
ATOM 10381 N NH2 . ARG B 2 417 ? 274.418 -57.579 321.490 1.0 67.90322  ? 417 ARG B NH2 417 ARG B NH2 1 
ATOM 10382 N N   . THR B 2 418 ? 272.658 -53.936 314.316 1.0 66.07833  ? 418 THR B N   418 THR B N   1 
ATOM 10383 C CA  . THR B 2 418 ? 272.567 -52.483 314.401 1.0 66.07833  ? 418 THR B CA  418 THR B CA  1 
ATOM 10384 C C   . THR B 2 418 ? 271.199 -51.999 313.940 1.0 66.07833  ? 418 THR B C   418 THR B C   1 
ATOM 10385 O O   . THR B 2 418 ? 270.661 -51.030 314.488 1.0 66.07833  ? 418 THR B O   418 THR B O   1 
ATOM 10386 C CB  . THR B 2 418 ? 273.685 -51.850 313.565 1.0 66.07833  ? 418 THR B CB  418 THR B CB  1 
ATOM 10387 O OG1 . THR B 2 418 ? 274.954 -52.348 314.007 1.0 66.07833  ? 418 THR B OG1 418 THR B OG1 1 
ATOM 10388 C CG2 . THR B 2 418 ? 273.699 -50.340 313.695 1.0 66.07833  ? 418 THR B CG2 418 THR B CG2 1 
ATOM 10389 N N   . PHE B 2 419 ? 270.606 -52.693 312.968 1.0 64.72303  ? 419 PHE B N   419 PHE B N   1 
ATOM 10390 C CA  . PHE B 2 419 ? 269.279 -52.332 312.484 1.0 64.72303  ? 419 PHE B CA  419 PHE B CA  1 
ATOM 10391 C C   . PHE B 2 419 ? 268.206 -52.631 313.521 1.0 64.72303  ? 419 PHE B C   419 PHE B C   1 
ATOM 10392 O O   . PHE B 2 419 ? 267.270 -51.844 313.691 1.0 64.72303  ? 419 PHE B O   419 PHE B O   1 
ATOM 10393 C CB  . PHE B 2 419 ? 268.981 -53.073 311.184 1.0 64.72303  ? 419 PHE B CB  419 PHE B CB  1 
ATOM 10394 C CG  . PHE B 2 419 ? 267.647 -52.745 310.593 1.0 64.72303  ? 419 PHE B CG  419 PHE B CG  1 
ATOM 10395 C CD1 . PHE B 2 419 ? 267.452 -51.550 309.927 1.0 64.72303  ? 419 PHE B CD1 419 PHE B CD1 1 
ATOM 10396 C CD2 . PHE B 2 419 ? 266.588 -53.632 310.699 1.0 64.72303  ? 419 PHE B CD2 419 PHE B CD2 1 
ATOM 10397 C CE1 . PHE B 2 419 ? 266.223 -51.242 309.377 1.0 64.72303  ? 419 PHE B CE1 419 PHE B CE1 1 
ATOM 10398 C CE2 . PHE B 2 419 ? 265.358 -53.329 310.156 1.0 64.72303  ? 419 PHE B CE2 419 PHE B CE2 1 
ATOM 10399 C CZ  . PHE B 2 419 ? 265.176 -52.133 309.493 1.0 64.72303  ? 419 PHE B CZ  419 PHE B CZ  1 
ATOM 10400 N N   . LEU B 2 420 ? 268.315 -53.766 314.212 1.0 63.68139  ? 420 LEU B N   420 LEU B N   1 
ATOM 10401 C CA  . LEU B 2 420 ? 267.304 -54.116 315.204 1.0 63.68139  ? 420 LEU B CA  420 LEU B CA  1 
ATOM 10402 C C   . LEU B 2 420 ? 267.400 -53.248 316.447 1.0 63.68139  ? 420 LEU B C   420 LEU B C   1 
ATOM 10403 O O   . LEU B 2 420 ? 266.380 -52.981 317.090 1.0 63.68139  ? 420 LEU B O   420 LEU B O   1 
ATOM 10404 C CB  . LEU B 2 420 ? 267.412 -55.591 315.588 1.0 63.68139  ? 420 LEU B CB  420 LEU B CB  1 
ATOM 10405 C CG  . LEU B 2 420 ? 266.501 -56.594 314.875 1.0 63.68139  ? 420 LEU B CG  420 LEU B CG  1 
ATOM 10406 C CD1 . LEU B 2 420 ? 265.049 -56.304 315.216 1.0 63.68139  ? 420 LEU B CD1 420 LEU B CD1 1 
ATOM 10407 C CD2 . LEU B 2 420 ? 266.702 -56.607 313.373 1.0 63.68139  ? 420 LEU B CD2 420 LEU B CD2 1 
ATOM 10408 N N   . TYR B 2 421 ? 268.600 -52.791 316.800 1.0 65.59411  ? 421 TYR B N   421 TYR B N   1 
ATOM 10409 C CA  . TYR B 2 421 ? 268.752 -52.046 318.043 1.0 65.59411  ? 421 TYR B CA  421 TYR B CA  1 
ATOM 10410 C C   . TYR B 2 421 ? 268.292 -50.602 317.899 1.0 65.59411  ? 421 TYR B C   421 TYR B C   1 
ATOM 10411 O O   . TYR B 2 421 ? 267.562 -50.091 318.754 1.0 65.59411  ? 421 TYR B O   421 TYR B O   1 
ATOM 10412 C CB  . TYR B 2 421 ? 270.202 -52.091 318.518 1.0 65.59411  ? 421 TYR B CB  421 TYR B CB  1 
ATOM 10413 C CG  . TYR B 2 421 ? 270.419 -51.360 319.823 1.0 65.59411  ? 421 TYR B CG  421 TYR B CG  1 
ATOM 10414 C CD1 . TYR B 2 421 ? 269.996 -51.908 321.024 1.0 65.59411  ? 421 TYR B CD1 421 TYR B CD1 1 
ATOM 10415 C CD2 . TYR B 2 421 ? 271.045 -50.121 319.853 1.0 65.59411  ? 421 TYR B CD2 421 TYR B CD2 1 
ATOM 10416 C CE1 . TYR B 2 421 ? 270.188 -51.245 322.216 1.0 65.59411  ? 421 TYR B CE1 421 TYR B CE1 1 
ATOM 10417 C CE2 . TYR B 2 421 ? 271.244 -49.453 321.041 1.0 65.59411  ? 421 TYR B CE2 421 TYR B CE2 1 
ATOM 10418 C CZ  . TYR B 2 421 ? 270.810 -50.017 322.217 1.0 65.59411  ? 421 TYR B CZ  421 TYR B CZ  1 
ATOM 10419 O OH  . TYR B 2 421 ? 271.006 -49.353 323.403 1.0 65.59411  ? 421 TYR B OH  421 TYR B OH  1 
ATOM 10420 N N   . SER B 2 422 ? 268.718 -49.924 316.836 1.0 64.85808  ? 422 SER B N   422 SER B N   1 
ATOM 10421 C CA  . SER B 2 422 ? 268.434 -48.503 316.702 1.0 64.85808  ? 422 SER B CA  422 SER B CA  1 
ATOM 10422 C C   . SER B 2 422 ? 267.008 -48.219 316.259 1.0 64.85808  ? 422 SER B C   422 SER B C   1 
ATOM 10423 O O   . SER B 2 422 ? 266.519 -47.107 316.475 1.0 64.85808  ? 422 SER B O   422 SER B O   1 
ATOM 10424 C CB  . SER B 2 422 ? 269.400 -47.864 315.708 1.0 64.85808  ? 422 SER B CB  422 SER B CB  1 
ATOM 10425 O OG  . SER B 2 422 ? 269.168 -48.361 314.403 1.0 64.85808  ? 422 SER B OG  422 SER B OG  1 
ATOM 10426 N N   . ASN B 2 423 ? 266.334 -49.186 315.646 1.0 63.68761  ? 423 ASN B N   423 ASN B N   1 
ATOM 10427 C CA  . ASN B 2 423 ? 265.000 -48.967 315.109 1.0 63.68761  ? 423 ASN B CA  423 ASN B CA  1 
ATOM 10428 C C   . ASN B 2 423 ? 263.899 -49.595 315.940 1.0 63.68761  ? 423 ASN B C   423 ASN B C   1 
ATOM 10429 O O   . ASN B 2 423 ? 262.794 -49.050 315.989 1.0 63.68761  ? 423 ASN B O   423 ASN B O   1 
ATOM 10430 C CB  . ASN B 2 423 ? 264.907 -49.519 313.689 1.0 63.68761  ? 423 ASN B CB  423 ASN B CB  1 
ATOM 10431 C CG  . ASN B 2 423 ? 265.808 -48.797 312.735 1.0 63.68761  ? 423 ASN B CG  423 ASN B CG  1 
ATOM 10432 O OD1 . ASN B 2 423 ? 266.759 -49.365 312.210 1.0 63.68761  ? 423 ASN B OD1 423 ASN B OD1 1 
ATOM 10433 N ND2 . ASN B 2 423 ? 265.519 -47.529 312.507 1.0 63.68761  ? 423 ASN B ND2 423 ASN B ND2 1 
ATOM 10434 N N   . VAL B 2 424 ? 264.158 -50.726 316.583 1.0 63.58491  ? 424 VAL B N   424 VAL B N   1 
ATOM 10435 C CA  . VAL B 2 424 ? 263.142 -51.463 317.318 1.0 63.58491  ? 424 VAL B CA  424 VAL B CA  1 
ATOM 10436 C C   . VAL B 2 424 ? 263.410 -51.440 318.820 1.0 63.58491  ? 424 VAL B C   424 VAL B C   1 
ATOM 10437 O O   . VAL B 2 424 ? 262.514 -51.148 319.611 1.0 63.58491  ? 424 VAL B O   424 VAL B O   1 
ATOM 10438 C CB  . VAL B 2 424 ? 263.024 -52.911 316.794 1.0 63.58491  ? 424 VAL B CB  424 VAL B CB  1 
ATOM 10439 C CG1 . VAL B 2 424 ? 261.977 -53.676 317.577 1.0 63.58491  ? 424 VAL B CG1 424 VAL B CG1 1 
ATOM 10440 C CG2 . VAL B 2 424 ? 262.686 -52.908 315.313 1.0 63.58491  ? 424 VAL B CG2 424 VAL B CG2 1 
ATOM 10441 N N   . ALA B 2 425 ? 264.646 -51.734 319.231 1.0 64.30252  ? 425 ALA B N   425 ALA B N   1 
ATOM 10442 C CA  . ALA B 2 425 ? 264.961 -51.780 320.656 1.0 64.30252  ? 425 ALA B CA  425 ALA B CA  1 
ATOM 10443 C C   . ALA B 2 425 ? 265.023 -50.388 321.262 1.0 64.30252  ? 425 ALA B C   425 ALA B C   1 
ATOM 10444 O O   . ALA B 2 425 ? 264.782 -50.218 322.461 1.0 64.30252  ? 425 ALA B O   425 ALA B O   1 
ATOM 10445 C CB  . ALA B 2 425 ? 266.283 -52.510 320.881 1.0 64.30252  ? 425 ALA B CB  425 ALA B CB  1 
ATOM 10446 N N   . MET B 2 426 ? 265.330 -49.391 320.444 1.0 64.65357  ? 426 MET B N   426 MET B N   1 
ATOM 10447 C CA  . MET B 2 426 ? 265.455 -48.026 320.918 1.0 64.65357  ? 426 MET B CA  426 MET B CA  1 
ATOM 10448 C C   . MET B 2 426 ? 264.092 -47.412 321.205 1.0 64.65357  ? 426 MET B C   426 MET B C   1 
ATOM 10449 O O   . MET B 2 426 ? 263.982 -46.513 322.045 1.0 64.65357  ? 426 MET B O   426 MET B O   1 
ATOM 10450 C CB  . MET B 2 426 ? 266.227 -47.231 319.866 1.0 64.65357  ? 426 MET B CB  426 MET B CB  1 
ATOM 10451 C CG  . MET B 2 426 ? 266.651 -45.855 320.292 1.0 64.65357  ? 426 MET B CG  426 MET B CG  1 
ATOM 10452 S SD  . MET B 2 426 ? 267.729 -45.916 321.734 1.0 64.65357  ? 426 MET B SD  426 MET B SD  1 
ATOM 10453 C CE  . MET B 2 426 ? 269.263 -46.452 320.987 1.0 64.65357  ? 426 MET B CE  426 MET B CE  1 
ATOM 10454 N N   . TYR B 2 427 ? 263.041 -47.916 320.555 1.0 62.9496   ? 427 TYR B N   427 TYR B N   1 
ATOM 10455 C CA  . TYR B 2 427 ? 261.706 -47.332 320.620 1.0 62.9496   ? 427 TYR B CA  427 TYR B CA  1 
ATOM 10456 C C   . TYR B 2 427 ? 260.742 -48.136 321.484 1.0 62.9496   ? 427 TYR B C   427 TYR B C   1 
ATOM 10457 O O   . TYR B 2 427 ? 259.538 -48.128 321.223 1.0 62.9496   ? 427 TYR B O   427 TYR B O   1 
ATOM 10458 C CB  . TYR B 2 427 ? 261.136 -47.171 319.208 1.0 62.9496   ? 427 TYR B CB  427 TYR B CB  1 
ATOM 10459 C CG  . TYR B 2 427 ? 261.825 -46.083 318.411 1.0 62.9496   ? 427 TYR B CG  427 TYR B CG  1 
ATOM 10460 C CD1 . TYR B 2 427 ? 262.482 -45.054 319.062 1.0 62.9496   ? 427 TYR B CD1 427 TYR B CD1 1 
ATOM 10461 C CD2 . TYR B 2 427 ? 261.854 -46.104 317.027 1.0 62.9496   ? 427 TYR B CD2 427 TYR B CD2 1 
ATOM 10462 C CE1 . TYR B 2 427 ? 263.124 -44.064 318.371 1.0 62.9496   ? 427 TYR B CE1 427 TYR B CE1 1 
ATOM 10463 C CE2 . TYR B 2 427 ? 262.514 -45.102 316.321 1.0 62.9496   ? 427 TYR B CE2 427 TYR B CE2 1 
ATOM 10464 C CZ  . TYR B 2 427 ? 263.136 -44.091 316.997 1.0 62.9496   ? 427 TYR B CZ  427 TYR B CZ  1 
ATOM 10465 O OH  . TYR B 2 427 ? 263.789 -43.087 316.329 1.0 62.9496   ? 427 TYR B OH  427 TYR B OH  1 
ATOM 10466 N N   . LEU B 2 428 ? 261.237 -48.815 322.515 1.0 66.72312  ? 428 LEU B N   428 LEU B N   1 
ATOM 10467 C CA  . LEU B 2 428 ? 260.371 -49.584 323.399 1.0 66.72312  ? 428 LEU B CA  428 LEU B CA  1 
ATOM 10468 C C   . LEU B 2 428 ? 259.522 -48.666 324.273 1.0 66.72312  ? 428 LEU B C   428 LEU B C   1 
ATOM 10469 O O   . LEU B 2 428 ? 259.832 -47.484 324.425 1.0 66.72312  ? 428 LEU B O   428 LEU B O   1 
ATOM 10470 C CB  . LEU B 2 428 ? 261.206 -50.483 324.296 1.0 66.72312  ? 428 LEU B CB  428 LEU B CB  1 
ATOM 10471 C CG  . LEU B 2 428 ? 261.924 -51.607 323.587 1.0 66.72312  ? 428 LEU B CG  428 LEU B CG  1 
ATOM 10472 C CD1 . LEU B 2 428 ? 262.781 -52.269 324.615 1.0 66.72312  ? 428 LEU B CD1 428 LEU B CD1 1 
ATOM 10473 C CD2 . LEU B 2 428 ? 260.913 -52.562 323.008 1.0 66.72312  ? 428 LEU B CD2 428 LEU B CD2 1 
ATOM 10474 N N   . PRO B 2 429 ? 258.446 -49.184 324.869 1.0 67.06942  ? 429 PRO B N   429 PRO B N   1 
ATOM 10475 C CA  . PRO B 2 429 ? 257.799 -48.462 325.969 1.0 67.06942  ? 429 PRO B CA  429 PRO B CA  1 
ATOM 10476 C C   . PRO B 2 429 ? 258.683 -48.418 327.206 1.0 67.06942  ? 429 PRO B C   429 PRO B C   1 
ATOM 10477 O O   . PRO B 2 429 ? 259.707 -49.095 327.315 1.0 67.06942  ? 429 PRO B O   429 PRO B O   1 
ATOM 10478 C CB  . PRO B 2 429 ? 256.516 -49.262 326.220 1.0 67.06942  ? 429 PRO B CB  429 PRO B CB  1 
ATOM 10479 C CG  . PRO B 2 429 ? 256.768 -50.589 325.645 1.0 67.06942  ? 429 PRO B CG  429 PRO B CG  1 
ATOM 10480 C CD  . PRO B 2 429 ? 257.638 -50.347 324.456 1.0 67.06942  ? 429 PRO B CD  429 PRO B CD  1 
ATOM 10481 N N   . ASP B 2 430 ? 258.251 -47.596 328.164 1.0 71.8469   ? 430 ASP B N   430 ASP B N   1 
ATOM 10482 C CA  . ASP B 2 430 ? 259.038 -47.328 329.362 1.0 71.8469   ? 430 ASP B CA  430 ASP B CA  1 
ATOM 10483 C C   . ASP B 2 430 ? 259.103 -48.528 330.302 1.0 71.8469   ? 430 ASP B C   430 ASP B C   1 
ATOM 10484 O O   . ASP B 2 430 ? 259.997 -48.586 331.153 1.0 71.8469   ? 430 ASP B O   430 ASP B O   1 
ATOM 10485 C CB  . ASP B 2 430 ? 258.453 -46.107 330.078 1.0 71.8469   ? 430 ASP B CB  430 ASP B CB  1 
ATOM 10486 C CG  . ASP B 2 430 ? 259.320 -45.615 331.213 1.0 71.8469   ? 430 ASP B CG  430 ASP B CG  1 
ATOM 10487 O OD1 . ASP B 2 430 ? 260.388 -45.034 330.936 1.0 71.8469   ? 430 ASP B OD1 430 ASP B OD1 1 
ATOM 10488 O OD2 . ASP B 2 430 ? 258.927 -45.802 332.383 1.0 71.8469   ? 430 ASP B OD2 430 ASP B OD2 1 
ATOM 10489 N N   . THR B 2 431 ? 258.191 -49.491 330.154 1.0 71.37628  ? 431 THR B N   431 THR B N   1 
ATOM 10490 C CA  . THR B 2 431 ? 258.176 -50.657 331.032 1.0 71.37628  ? 431 THR B CA  431 THR B CA  1 
ATOM 10491 C C   . THR B 2 431 ? 259.378 -51.560 330.779 1.0 71.37628  ? 431 THR B C   431 THR B C   1 
ATOM 10492 O O   . THR B 2 431 ? 259.984 -52.079 331.723 1.0 71.37628  ? 431 THR B O   431 THR B O   1 
ATOM 10493 C CB  . THR B 2 431 ? 256.867 -51.425 330.834 1.0 71.37628  ? 431 THR B CB  431 THR B CB  1 
ATOM 10494 O OG1 . THR B 2 431 ? 255.763 -50.554 331.107 1.0 71.37628  ? 431 THR B OG1 431 THR B OG1 1 
ATOM 10495 C CG2 . THR B 2 431 ? 256.778 -52.627 331.762 1.0 71.37628  ? 431 THR B CG2 431 THR B CG2 1 
ATOM 10496 N N   . TYR B 2 432 ? 259.765 -51.722 329.515 1.0 71.78337  ? 432 TYR B N   432 TYR B N   1 
ATOM 10497 C CA  . TYR B 2 432 ? 260.815 -52.661 329.140 1.0 71.78337  ? 432 TYR B CA  432 TYR B CA  1 
ATOM 10498 C C   . TYR B 2 432 ? 262.168 -51.998 328.976 1.0 71.78337  ? 432 TYR B C   432 TYR B C   1 
ATOM 10499 O O   . TYR B 2 432 ? 262.965 -52.426 328.133 1.0 71.78337  ? 432 TYR B O   432 TYR B O   1 
ATOM 10500 C CB  . TYR B 2 432 ? 260.426 -53.398 327.859 1.0 71.78337  ? 432 TYR B CB  432 TYR B CB  1 
ATOM 10501 C CG  . TYR B 2 432 ? 259.294 -54.373 328.045 1.0 71.78337  ? 432 TYR B CG  432 TYR B CG  1 
ATOM 10502 C CD1 . TYR B 2 432 ? 258.928 -54.815 329.313 1.0 71.78337  ? 432 TYR B CD1 432 TYR B CD1 1 
ATOM 10503 C CD2 . TYR B 2 432 ? 258.584 -54.849 326.958 1.0 71.78337  ? 432 TYR B CD2 432 TYR B CD2 1 
ATOM 10504 C CE1 . TYR B 2 432 ? 257.889 -55.699 329.488 1.0 71.78337  ? 432 TYR B CE1 432 TYR B CE1 1 
ATOM 10505 C CE2 . TYR B 2 432 ? 257.551 -55.738 327.126 1.0 71.78337  ? 432 TYR B CE2 432 TYR B CE2 1 
ATOM 10506 C CZ  . TYR B 2 432 ? 257.203 -56.159 328.387 1.0 71.78337  ? 432 TYR B CZ  432 TYR B CZ  1 
ATOM 10507 O OH  . TYR B 2 432 ? 256.166 -57.049 328.545 1.0 71.78337  ? 432 TYR B OH  432 TYR B OH  1 
ATOM 10508 N N   . LYS B 2 433 ? 262.447 -50.961 329.747 1.0 71.56681  ? 433 LYS B N   433 LYS B N   1 
ATOM 10509 C CA  . LYS B 2 433 ? 263.751 -50.324 329.770 1.0 71.56681  ? 433 LYS B CA  433 LYS B CA  1 
ATOM 10510 C C   . LYS B 2 433 ? 264.275 -50.313 331.202 1.0 71.56681  ? 433 LYS B C   433 LYS B C   1 
ATOM 10511 O O   . LYS B 2 433 ? 263.655 -50.854 332.117 1.0 71.56681  ? 433 LYS B O   433 LYS B O   1 
ATOM 10512 C CB  . LYS B 2 433 ? 263.677 -48.909 329.189 1.0 71.56681  ? 433 LYS B CB  433 LYS B CB  1 
ATOM 10513 C CG  . LYS B 2 433 ? 263.402 -48.871 327.696 1.0 71.56681  ? 433 LYS B CG  433 LYS B CG  1 
ATOM 10514 C CD  . LYS B 2 433 ? 263.404 -47.447 327.178 1.0 71.56681  ? 433 LYS B CD  433 LYS B CD  1 
ATOM 10515 C CE  . LYS B 2 433 ? 263.095 -47.405 325.698 1.0 71.56681  ? 433 LYS B CE  433 LYS B CE  1 
ATOM 10516 N NZ  . LYS B 2 433 ? 263.075 -46.014 325.174 1.0 71.56681  ? 433 LYS B NZ  433 LYS B NZ  1 
ATOM 10517 N N   . PHE B 2 434 ? 265.433 -49.688 331.392 1.0 75.27685  ? 434 PHE B N   434 PHE B N   1 
ATOM 10518 C CA  . PHE B 2 434 ? 266.000 -49.519 332.721 1.0 75.27685  ? 434 PHE B CA  434 PHE B CA  1 
ATOM 10519 C C   . PHE B 2 434 ? 266.861 -48.269 332.736 1.0 75.27685  ? 434 PHE B C   434 PHE B C   1 
ATOM 10520 O O   . PHE B 2 434 ? 267.382 -47.838 331.706 1.0 75.27685  ? 434 PHE B O   434 PHE B O   1 
ATOM 10521 C CB  . PHE B 2 434 ? 266.822 -50.746 333.162 1.0 75.27685  ? 434 PHE B CB  434 PHE B CB  1 
ATOM 10522 C CG  . PHE B 2 434 ? 268.047 -51.008 332.322 1.0 75.27685  ? 434 PHE B CG  434 PHE B CG  1 
ATOM 10523 C CD1 . PHE B 2 434 ? 267.958 -51.771 331.172 1.0 75.27685  ? 434 PHE B CD1 434 PHE B CD1 1 
ATOM 10524 C CD2 . PHE B 2 434 ? 269.296 -50.536 332.710 1.0 75.27685  ? 434 PHE B CD2 434 PHE B CD2 1 
ATOM 10525 C CE1 . PHE B 2 434 ? 269.078 -52.023 330.401 1.0 75.27685  ? 434 PHE B CE1 434 PHE B CE1 1 
ATOM 10526 C CE2 . PHE B 2 434 ? 270.415 -50.782 331.942 1.0 75.27685  ? 434 PHE B CE2 434 PHE B CE2 1 
ATOM 10527 C CZ  . PHE B 2 434 ? 270.306 -51.530 330.788 1.0 75.27685  ? 434 PHE B CZ  434 PHE B CZ  1 
ATOM 10528 N N   . THR B 2 435 ? 267.010 -47.696 333.923 1.0 79.04188  ? 435 THR B N   435 THR B N   1 
ATOM 10529 C CA  . THR B 2 435 ? 268.029 -46.661 333.971 1.0 79.04188  ? 435 THR B CA  435 THR B CA  1 
ATOM 10530 C C   . THR B 2 435 ? 269.371 -47.263 334.372 1.0 79.04188  ? 435 THR B C   435 THR B C   1 
ATOM 10531 O O   . THR B 2 435 ? 269.413 -48.250 335.117 1.0 79.04188  ? 435 THR B O   435 THR B O   1 
ATOM 10532 C CB  . THR B 2 435 ? 267.634 -45.544 334.944 1.0 79.04188  ? 435 THR B CB  435 THR B CB  1 
ATOM 10533 O OG1 . THR B 2 435 ? 268.656 -44.542 334.974 1.0 79.04188  ? 435 THR B OG1 435 THR B OG1 1 
ATOM 10534 C CG2 . THR B 2 435 ? 267.377 -46.067 336.349 1.0 79.04188  ? 435 THR B CG2 435 THR B CG2 1 
ATOM 10535 N N   . PRO B 2 436 ? 270.486 -46.757 333.852 1.0 81.14389  ? 436 PRO B N   436 PRO B N   1 
ATOM 10536 C CA  . PRO B 2 436 ? 271.792 -47.295 334.245 1.0 81.14389  ? 436 PRO B CA  436 PRO B CA  1 
ATOM 10537 C C   . PRO B 2 436 ? 272.157 -46.875 335.660 1.0 81.14389  ? 436 PRO B C   436 PRO B C   1 
ATOM 10538 O O   . PRO B 2 436 ? 271.530 -46.012 336.274 1.0 81.14389  ? 436 PRO B O   436 PRO B O   1 
ATOM 10539 C CB  . PRO B 2 436 ? 272.752 -46.688 333.220 1.0 81.14389  ? 436 PRO B CB  436 PRO B CB  1 
ATOM 10540 C CG  . PRO B 2 436 ? 271.892 -46.340 332.061 1.0 81.14389  ? 436 PRO B CG  436 PRO B CG  1 
ATOM 10541 C CD  . PRO B 2 436 ? 270.590 -45.907 332.656 1.0 81.14389  ? 436 PRO B CD  436 PRO B CD  1 
ATOM 10542 N N   . ALA B 2 437 ? 273.194 -47.516 336.183 1.0 84.05699  ? 437 ALA B N   437 ALA B N   1 
ATOM 10543 C CA  . ALA B 2 437 ? 273.674 -47.177 337.509 1.0 84.05699  ? 437 ALA B CA  437 ALA B CA  1 
ATOM 10544 C C   . ALA B 2 437 ? 274.529 -45.918 337.457 1.0 84.05699  ? 437 ALA B C   437 ALA B C   1 
ATOM 10545 O O   . ALA B 2 437 ? 275.127 -45.596 336.426 1.0 84.05699  ? 437 ALA B O   437 ALA B O   1 
ATOM 10546 C CB  . ALA B 2 437 ? 274.478 -48.332 338.105 1.0 84.05699  ? 437 ALA B CB  437 ALA B CB  1 
ATOM 10547 N N   . ASN B 2 438 ? 274.547 -45.197 338.586 1.0 84.805    ? 438 ASN B N   438 ASN B N   1 
ATOM 10548 C CA  . ASN B 2 438 ? 275.385 -44.013 338.813 1.0 84.805    ? 438 ASN B CA  438 ASN B CA  1 
ATOM 10549 C C   . ASN B 2 438 ? 275.089 -42.893 337.816 1.0 84.805    ? 438 ASN B C   438 ASN B C   1 
ATOM 10550 O O   . ASN B 2 438 ? 275.983 -42.154 337.402 1.0 84.805    ? 438 ASN B O   438 ASN B O   1 
ATOM 10551 C CB  . ASN B 2 438 ? 276.872 -44.373 338.807 1.0 84.805    ? 438 ASN B CB  438 ASN B CB  1 
ATOM 10552 C CG  . ASN B 2 438 ? 277.269 -45.211 340.000 1.0 84.805    ? 438 ASN B CG  438 ASN B CG  1 
ATOM 10553 O OD1 . ASN B 2 438 ? 276.856 -44.941 341.127 1.0 84.805    ? 438 ASN B OD1 438 ASN B OD1 1 
ATOM 10554 N ND2 . ASN B 2 438 ? 278.068 -46.244 339.759 1.0 84.805    ? 438 ASN B ND2 438 ASN B ND2 1 
ATOM 10555 N N   . VAL B 2 439 ? 273.824 -42.764 337.427 1.0 86.14319  ? 439 VAL B N   439 VAL B N   1 
ATOM 10556 C CA  . VAL B 2 439 ? 273.382 -41.661 336.579 1.0 86.14319  ? 439 VAL B CA  439 VAL B CA  1 
ATOM 10557 C C   . VAL B 2 439 ? 271.983 -41.257 337.032 1.0 86.14319  ? 439 VAL B C   439 VAL B C   1 
ATOM 10558 O O   . VAL B 2 439 ? 271.163 -42.104 337.400 1.0 86.14319  ? 439 VAL B O   439 VAL B O   1 
ATOM 10559 C CB  . VAL B 2 439 ? 273.468 -42.040 335.078 1.0 86.14319  ? 439 VAL B CB  439 VAL B CB  1 
ATOM 10560 C CG1 . VAL B 2 439 ? 272.576 -43.222 334.730 1.0 86.14319  ? 439 VAL B CG1 439 VAL B CG1 1 
ATOM 10561 C CG2 . VAL B 2 439 ? 273.165 -40.845 334.182 1.0 86.14319  ? 439 VAL B CG2 439 VAL B CG2 1 
ATOM 10562 N N   . ASP B 2 440 ? 271.732 -39.952 337.069 1.0 87.84028  ? 440 ASP B N   440 ASP B N   1 
ATOM 10563 C CA  . ASP B 2 440 ? 270.499 -39.407 337.620 1.0 87.84028  ? 440 ASP B CA  440 ASP B CA  1 
ATOM 10564 C C   . ASP B 2 440 ? 269.675 -38.761 336.517 1.0 87.84028  ? 440 ASP B C   440 ASP B C   1 
ATOM 10565 O O   . ASP B 2 440 ? 270.166 -37.887 335.797 1.0 87.84028  ? 440 ASP B O   440 ASP B O   1 
ATOM 10566 C CB  . ASP B 2 440 ? 270.795 -38.392 338.723 1.0 87.84028  ? 440 ASP B CB  440 ASP B CB  1 
ATOM 10567 C CG  . ASP B 2 440 ? 271.370 -39.039 339.965 1.0 87.84028  ? 440 ASP B CG  440 ASP B CG  1 
ATOM 10568 O OD1 . ASP B 2 440 ? 271.061 -40.223 340.215 1.0 87.84028  ? 440 ASP B OD1 440 ASP B OD1 1 
ATOM 10569 O OD2 . ASP B 2 440 ? 272.131 -38.368 340.692 1.0 87.84028  ? 440 ASP B OD2 440 ASP B OD2 1 
ATOM 10570 N N   . LEU B 2 441 ? 268.451 -39.178 336.402 1.0 83.65683  ? 441 LEU B N   441 LEU B N   1 
ATOM 10571 C CA  . LEU B 2 441 ? 267.493 -38.712 335.419 1.0 83.65683  ? 441 LEU B CA  441 LEU B CA  1 
ATOM 10572 C C   . LEU B 2 441 ? 266.526 -37.717 336.052 1.0 83.65683  ? 441 LEU B C   441 LEU B C   1 
ATOM 10573 O O   . LEU B 2 441 ? 266.274 -37.779 337.259 1.0 83.65683  ? 441 LEU B O   441 LEU B O   1 
ATOM 10574 C CB  . LEU B 2 441 ? 266.714 -39.899 334.842 1.0 83.65683  ? 441 LEU B CB  441 LEU B CB  1 
ATOM 10575 C CG  . LEU B 2 441 ? 267.592 -40.925 334.127 1.0 83.65683  ? 441 LEU B CG  441 LEU B CG  1 
ATOM 10576 C CD1 . LEU B 2 441 ? 266.762 -42.088 333.611 1.0 83.65683  ? 441 LEU B CD1 441 LEU B CD1 1 
ATOM 10577 C CD2 . LEU B 2 441 ? 268.387 -40.279 333.013 1.0 83.65683  ? 441 LEU B CD2 441 LEU B CD2 1 
ATOM 10578 N N   . PRO B 2 442 ? 265.984 -36.771 335.284 1.0 82.47745  ? 442 PRO B N   442 PRO B N   1 
ATOM 10579 C CA  . PRO B 2 442 ? 264.996 -35.845 335.849 1.0 82.47745  ? 442 PRO B CA  442 PRO B CA  1 
ATOM 10580 C C   . PRO B 2 442 ? 263.684 -36.544 336.171 1.0 82.47745  ? 442 PRO B C   442 PRO B C   1 
ATOM 10581 O O   . PRO B 2 442 ? 263.365 -37.613 335.649 1.0 82.47745  ? 442 PRO B O   442 PRO B O   1 
ATOM 10582 C CB  . PRO B 2 442 ? 264.813 -34.799 334.744 1.0 82.47745  ? 442 PRO B CB  442 PRO B CB  1 
ATOM 10583 C CG  . PRO B 2 442 ? 265.209 -35.494 333.500 1.0 82.47745  ? 442 PRO B CG  442 PRO B CG  1 
ATOM 10584 C CD  . PRO B 2 442 ? 266.318 -36.423 333.892 1.0 82.47745  ? 442 PRO B CD  442 PRO B CD  1 
ATOM 10585 N N   . GLU B 2 443 ? 262.919 -35.910 337.060 1.0 85.0996   ? 443 GLU B N   443 GLU B N   1 
ATOM 10586 C CA  . GLU B 2 443 ? 261.721 -36.526 337.613 1.0 85.0996   ? 443 GLU B CA  443 GLU B CA  1 
ATOM 10587 C C   . GLU B 2 443 ? 260.575 -36.605 336.617 1.0 85.0996   ? 443 GLU B C   443 GLU B C   1 
ATOM 10588 O O   . GLU B 2 443 ? 259.679 -37.437 336.794 1.0 85.0996   ? 443 GLU B O   443 GLU B O   1 
ATOM 10589 C CB  . GLU B 2 443 ? 261.257 -35.762 338.856 1.0 85.0996   ? 443 GLU B CB  443 GLU B CB  1 
ATOM 10590 C CG  . GLU B 2 443 ? 262.197 -35.860 340.050 1.0 85.0996   ? 443 GLU B CG  443 GLU B CG  1 
ATOM 10591 C CD  . GLU B 2 443 ? 263.305 -34.823 340.018 1.0 85.0996   ? 443 GLU B CD  443 GLU B CD  1 
ATOM 10592 O OE1 . GLU B 2 443 ? 263.304 -33.976 339.100 1.0 85.0996   ? 443 GLU B OE1 443 GLU B OE1 1 
ATOM 10593 O OE2 . GLU B 2 443 ? 264.178 -34.854 340.911 1.0 85.0996   ? 443 GLU B OE2 443 GLU B OE2 1 
ATOM 10594 N N   . ASN B 2 444 ? 260.575 -35.766 335.587 1.0 79.3649   ? 444 ASN B N   444 ASN B N   1 
ATOM 10595 C CA  . ASN B 2 444 ? 259.500 -35.778 334.605 1.0 79.3649   ? 444 ASN B CA  444 ASN B CA  1 
ATOM 10596 C C   . ASN B 2 444 ? 259.727 -36.929 333.635 1.0 79.3649   ? 444 ASN B C   444 ASN B C   1 
ATOM 10597 O O   . ASN B 2 444 ? 260.789 -37.024 333.012 1.0 79.3649   ? 444 ASN B O   444 ASN B O   1 
ATOM 10598 C CB  . ASN B 2 444 ? 259.441 -34.446 333.860 1.0 79.3649   ? 444 ASN B CB  444 ASN B CB  1 
ATOM 10599 C CG  . ASN B 2 444 ? 258.152 -34.269 333.077 1.0 79.3649   ? 444 ASN B CG  444 ASN B CG  1 
ATOM 10600 O OD1 . ASN B 2 444 ? 257.267 -35.122 333.109 1.0 79.3649   ? 444 ASN B OD1 444 ASN B OD1 1 
ATOM 10601 N ND2 . ASN B 2 444 ? 258.045 -33.155 332.363 1.0 79.3649   ? 444 ASN B ND2 444 ASN B ND2 1 
ATOM 10602 N N   . HIS B 2 445 ? 258.728 -37.800 333.502 1.0 76.30521  ? 445 HIS B N   445 HIS B N   1 
ATOM 10603 C CA  . HIS B 2 445 ? 258.818 -38.899 332.551 1.0 76.30521  ? 445 HIS B CA  445 HIS B CA  1 
ATOM 10604 C C   . HIS B 2 445 ? 258.605 -38.449 331.115 1.0 76.30521  ? 445 HIS B C   445 HIS B C   1 
ATOM 10605 O O   . HIS B 2 445 ? 258.857 -39.232 330.195 1.0 76.30521  ? 445 HIS B O   445 HIS B O   1 
ATOM 10606 C CB  . HIS B 2 445 ? 257.801 -39.981 332.906 1.0 76.30521  ? 445 HIS B CB  445 HIS B CB  1 
ATOM 10607 C CG  . HIS B 2 445 ? 258.076 -40.660 334.209 1.0 76.30521  ? 445 HIS B CG  445 HIS B CG  1 
ATOM 10608 N ND1 . HIS B 2 445 ? 257.629 -40.164 335.414 1.0 76.30521  ? 445 HIS B ND1 445 HIS B ND1 1 
ATOM 10609 C CD2 . HIS B 2 445 ? 258.741 -41.803 334.497 1.0 76.30521  ? 445 HIS B CD2 445 HIS B CD2 1 
ATOM 10610 C CE1 . HIS B 2 445 ? 258.016 -40.966 336.389 1.0 76.30521  ? 445 HIS B CE1 445 HIS B CE1 1 
ATOM 10611 N NE2 . HIS B 2 445 ? 258.693 -41.969 335.859 1.0 76.30521  ? 445 HIS B NE2 445 HIS B NE2 1 
ATOM 10612 N N   . LEU B 2 446 ? 258.146 -37.219 330.903 1.0 72.74222  ? 446 LEU B N   446 LEU B N   1 
ATOM 10613 C CA  . LEU B 2 446 ? 257.886 -36.692 329.574 1.0 72.74222  ? 446 LEU B CA  446 LEU B CA  1 
ATOM 10614 C C   . LEU B 2 446 ? 258.939 -35.688 329.131 1.0 72.74222  ? 446 LEU B C   446 LEU B C   1 
ATOM 10615 O O   . LEU B 2 446 ? 258.773 -35.054 328.087 1.0 72.74222  ? 446 LEU B O   446 LEU B O   1 
ATOM 10616 C CB  . LEU B 2 446 ? 256.502 -36.051 329.535 1.0 72.74222  ? 446 LEU B CB  446 LEU B CB  1 
ATOM 10617 C CG  . LEU B 2 446 ? 255.349 -37.021 329.782 1.0 72.74222  ? 446 LEU B CG  446 LEU B CG  1 
ATOM 10618 C CD1 . LEU B 2 446 ? 254.036 -36.273 329.889 1.0 72.74222  ? 446 LEU B CD1 446 LEU B CD1 1 
ATOM 10619 C CD2 . LEU B 2 446 ? 255.291 -38.055 328.676 1.0 72.74222  ? 446 LEU B CD2 446 LEU B CD2 1 
ATOM 10620 N N   . SER B 2 447 ? 260.009 -35.523 329.901 1.0 71.80352  ? 447 SER B N   447 SER B N   1 
ATOM 10621 C CA  . SER B 2 447 ? 261.081 -34.622 329.516 1.0 71.80352  ? 447 SER B CA  447 SER B CA  1 
ATOM 10622 C C   . SER B 2 447 ? 261.992 -35.310 328.507 1.0 71.80352  ? 447 SER B C   447 SER B C   1 
ATOM 10623 O O   . SER B 2 447 ? 261.821 -36.485 328.175 1.0 71.80352  ? 447 SER B O   447 SER B O   1 
ATOM 10624 C CB  . SER B 2 447 ? 261.871 -34.175 330.742 1.0 71.80352  ? 447 SER B CB  447 SER B CB  1 
ATOM 10625 O OG  . SER B 2 447 ? 262.594 -35.257 331.296 1.0 71.80352  ? 447 SER B OG  447 SER B OG  1 
ATOM 10626 N N   . TYR B 2 448 ? 262.982 -34.575 328.009 1.0 68.22331  ? 448 TYR B N   448 TYR B N   1 
ATOM 10627 C CA  . TYR B 2 448 ? 263.911 -35.183 327.067 1.0 68.22331  ? 448 TYR B CA  448 TYR B CA  1 
ATOM 10628 C C   . TYR B 2 448 ? 264.953 -36.030 327.777 1.0 68.22331  ? 448 TYR B C   448 TYR B C   1 
ATOM 10629 O O   . TYR B 2 448 ? 265.255 -37.140 327.331 1.0 68.22331  ? 448 TYR B O   448 TYR B O   1 
ATOM 10630 C CB  . TYR B 2 448 ? 264.601 -34.117 326.225 1.0 68.22331  ? 448 TYR B CB  448 TYR B CB  1 
ATOM 10631 C CG  . TYR B 2 448 ? 265.549 -34.696 325.205 1.0 68.22331  ? 448 TYR B CG  448 TYR B CG  1 
ATOM 10632 C CD1 . TYR B 2 448 ? 265.067 -35.348 324.082 1.0 68.22331  ? 448 TYR B CD1 448 TYR B CD1 1 
ATOM 10633 C CD2 . TYR B 2 448 ? 266.923 -34.589 325.362 1.0 68.22331  ? 448 TYR B CD2 448 TYR B CD2 1 
ATOM 10634 C CE1 . TYR B 2 448 ? 265.923 -35.880 323.145 1.0 68.22331  ? 448 TYR B CE1 448 TYR B CE1 1 
ATOM 10635 C CE2 . TYR B 2 448 ? 267.788 -35.120 324.427 1.0 68.22331  ? 448 TYR B CE2 448 TYR B CE2 1 
ATOM 10636 C CZ  . TYR B 2 448 ? 267.280 -35.763 323.322 1.0 68.22331  ? 448 TYR B CZ  448 TYR B CZ  1 
ATOM 10637 O OH  . TYR B 2 448 ? 268.130 -36.294 322.386 1.0 68.22331  ? 448 TYR B OH  448 TYR B OH  1 
ATOM 10638 N N   . GLY B 2 449 ? 265.500 -35.528 328.885 1.0 72.23271  ? 449 GLY B N   449 GLY B N   1 
ATOM 10639 C CA  . GLY B 2 449 ? 266.580 -36.188 329.597 1.0 72.23271  ? 449 GLY B CA  449 GLY B CA  1 
ATOM 10640 C C   . GLY B 2 449 ? 266.208 -37.506 330.239 1.0 72.23271  ? 449 GLY B C   449 GLY B C   1 
ATOM 10641 O O   . GLY B 2 449 ? 267.108 -38.263 330.615 1.0 72.23271  ? 449 GLY B O   449 GLY B O   1 
ATOM 10642 N N   . TYR B 2 450 ? 264.916 -37.797 330.374 1.0 72.89118  ? 450 TYR B N   450 TYR B N   1 
ATOM 10643 C CA  . TYR B 2 450 ? 264.493 -39.091 330.890 1.0 72.89118  ? 450 TYR B CA  450 TYR B CA  1 
ATOM 10644 C C   . TYR B 2 450 ? 264.432 -40.131 329.782 1.0 72.89118  ? 450 TYR B C   450 TYR B C   1 
ATOM 10645 O O   . TYR B 2 450 ? 264.949 -41.241 329.938 1.0 72.89118  ? 450 TYR B O   450 TYR B O   1 
ATOM 10646 C CB  . TYR B 2 450 ? 263.137 -38.962 331.573 1.0 72.89118  ? 450 TYR B CB  450 TYR B CB  1 
ATOM 10647 C CG  . TYR B 2 450 ? 262.654 -40.242 332.194 1.0 72.89118  ? 450 TYR B CG  450 TYR B CG  1 
ATOM 10648 C CD1 . TYR B 2 450 ? 263.197 -40.702 333.383 1.0 72.89118  ? 450 TYR B CD1 450 TYR B CD1 1 
ATOM 10649 C CD2 . TYR B 2 450 ? 261.654 -40.991 331.594 1.0 72.89118  ? 450 TYR B CD2 450 TYR B CD2 1 
ATOM 10650 C CE1 . TYR B 2 450 ? 262.758 -41.870 333.959 1.0 72.89118  ? 450 TYR B CE1 450 TYR B CE1 1 
ATOM 10651 C CE2 . TYR B 2 450 ? 261.210 -42.161 332.161 1.0 72.89118  ? 450 TYR B CE2 450 TYR B CE2 1 
ATOM 10652 C CZ  . TYR B 2 450 ? 261.767 -42.595 333.343 1.0 72.89118  ? 450 TYR B CZ  450 TYR B CZ  1 
ATOM 10653 O OH  . TYR B 2 450 ? 261.326 -43.762 333.916 1.0 72.89118  ? 450 TYR B OH  450 TYR B OH  1 
ATOM 10654 N N   . ILE B 2 451 ? 263.796 -39.786 328.658 1.0 69.7101   ? 451 ILE B N   451 ILE B N   1 
ATOM 10655 C CA  . ILE B 2 451 ? 263.714 -40.681 327.506 1.0 69.7101   ? 451 ILE B CA  451 ILE B CA  1 
ATOM 10656 C C   . ILE B 2 451 ? 265.098 -40.911 326.913 1.0 69.7101   ? 451 ILE B C   451 ILE B C   1 
ATOM 10657 O O   . ILE B 2 451 ? 265.399 -41.998 326.403 1.0 69.7101   ? 451 ILE B O   451 ILE B O   1 
ATOM 10658 C CB  . ILE B 2 451 ? 262.726 -40.093 326.475 1.0 69.7101   ? 451 ILE B CB  451 ILE B CB  1 
ATOM 10659 C CG1 . ILE B 2 451 ? 261.348 -39.912 327.104 1.0 69.7101   ? 451 ILE B CG1 451 ILE B CG1 1 
ATOM 10660 C CG2 . ILE B 2 451 ? 262.571 -40.984 325.258 1.0 69.7101   ? 451 ILE B CG2 451 ILE B CG2 1 
ATOM 10661 C CD1 . ILE B 2 451 ? 260.396 -39.124 326.242 1.0 69.7101   ? 451 ILE B CD1 451 ILE B CD1 1 
ATOM 10662 N N   . ASN B 2 452 ? 265.973 -39.910 327.011 1.0 71.10608  ? 452 ASN B N   452 ASN B N   1 
ATOM 10663 C CA  . ASN B 2 452 ? 267.347 -40.050 326.544 1.0 71.10608  ? 452 ASN B CA  452 ASN B CA  1 
ATOM 10664 C C   . ASN B 2 452 ? 268.132 -41.027 327.411 1.0 71.10608  ? 452 ASN B C   452 ASN B C   1 
ATOM 10665 O O   . ASN B 2 452 ? 268.967 -41.782 326.904 1.0 71.10608  ? 452 ASN B O   452 ASN B O   1 
ATOM 10666 C CB  . ASN B 2 452 ? 268.021 -38.680 326.550 1.0 71.10608  ? 452 ASN B CB  452 ASN B CB  1 
ATOM 10667 C CG  . ASN B 2 452 ? 269.324 -38.656 325.799 1.0 71.10608  ? 452 ASN B CG  452 ASN B CG  1 
ATOM 10668 O OD1 . ASN B 2 452 ? 269.711 -39.624 325.149 1.0 71.10608  ? 452 ASN B OD1 452 ASN B OD1 1 
ATOM 10669 N ND2 . ASN B 2 452 ? 270.033 -37.547 325.914 1.0 71.10608  ? 452 ASN B ND2 452 ASN B ND2 1 
ATOM 10670 N N   . GLY B 2 453 ? 267.872 -41.034 328.719 1.0 73.31089  ? 453 GLY B N   453 GLY B N   1 
ATOM 10671 C CA  . GLY B 2 453 ? 268.712 -41.788 329.630 1.0 73.31089  ? 453 GLY B CA  453 GLY B CA  1 
ATOM 10672 C C   . GLY B 2 453 ? 268.356 -43.249 329.783 1.0 73.31089  ? 453 GLY B C   453 GLY B C   1 
ATOM 10673 O O   . GLY B 2 453 ? 269.202 -44.033 330.222 1.0 73.31089  ? 453 GLY B O   453 GLY B O   1 
ATOM 10674 N N   . ARG B 2 454 ? 267.129 -43.635 329.445 1.0 72.83931  ? 454 ARG B N   454 ARG B N   1 
ATOM 10675 C CA  . ARG B 2 454 ? 266.715 -45.021 329.611 1.0 72.83931  ? 454 ARG B CA  454 ARG B CA  1 
ATOM 10676 C C   . ARG B 2 454 ? 267.325 -45.899 328.525 1.0 72.83931  ? 454 ARG B C   454 ARG B C   1 
ATOM 10677 O O   . ARG B 2 454 ? 267.402 -45.509 327.359 1.0 72.83931  ? 454 ARG B O   454 ARG B O   1 
ATOM 10678 C CB  . ARG B 2 454 ? 265.193 -45.128 329.579 1.0 72.83931  ? 454 ARG B CB  454 ARG B CB  1 
ATOM 10679 C CG  . ARG B 2 454 ? 264.498 -44.398 330.712 1.0 72.83931  ? 454 ARG B CG  454 ARG B CG  1 
ATOM 10680 C CD  . ARG B 2 454 ? 264.767 -45.050 332.050 1.0 72.83931  ? 454 ARG B CD  454 ARG B CD  1 
ATOM 10681 N NE  . ARG B 2 454 ? 264.234 -46.405 332.114 1.0 72.83931  ? 454 ARG B NE  454 ARG B NE  1 
ATOM 10682 C CZ  . ARG B 2 454 ? 263.001 -46.702 332.506 1.0 72.83931  ? 454 ARG B CZ  454 ARG B CZ  1 
ATOM 10683 N NH1 . ARG B 2 454 ? 262.172 -45.743 332.879 1.0 72.83931  ? 454 ARG B NH1 454 ARG B NH1 1 
ATOM 10684 N NH2 . ARG B 2 454 ? 262.596 -47.960 332.535 1.0 72.83931  ? 454 ARG B NH2 454 ARG B NH2 1 
ATOM 10685 N N   . LEU B 2 455 ? 267.763 -47.090 328.919 1.0 72.58413  ? 455 LEU B N   455 LEU B N   1 
ATOM 10686 C CA  . LEU B 2 455 ? 268.345 -48.056 328.004 1.0 72.58413  ? 455 LEU B CA  455 LEU B CA  1 
ATOM 10687 C C   . LEU B 2 455 ? 267.478 -49.307 327.949 1.0 72.58413  ? 455 LEU B C   455 LEU B C   1 
ATOM 10688 O O   . LEU B 2 455 ? 266.906 -49.707 328.964 1.0 72.58413  ? 455 LEU B O   455 LEU B O   1 
ATOM 10689 C CB  . LEU B 2 455 ? 269.771 -48.445 328.420 1.0 72.58413  ? 455 LEU B CB  455 LEU B CB  1 
ATOM 10690 C CG  . LEU B 2 455 ? 270.950 -47.618 327.898 1.0 72.58413  ? 455 LEU B CG  455 LEU B CG  1 
ATOM 10691 C CD1 . LEU B 2 455 ? 270.981 -47.671 326.386 1.0 72.58413  ? 455 LEU B CD1 455 LEU B CD1 1 
ATOM 10692 C CD2 . LEU B 2 455 ? 270.950 -46.180 328.389 1.0 72.58413  ? 455 LEU B CD2 455 LEU B CD2 1 
ATOM 10693 N N   . PRO B 2 456 ? 267.360 -49.944 326.788 1.0 70.33819  ? 456 PRO B N   456 PRO B N   1 
ATOM 10694 C CA  . PRO B 2 456 ? 266.472 -51.102 326.672 1.0 70.33819  ? 456 PRO B CA  456 PRO B CA  1 
ATOM 10695 C C   . PRO B 2 456 ? 267.069 -52.377 327.241 1.0 70.33819  ? 456 PRO B C   456 PRO B C   1 
ATOM 10696 O O   . PRO B 2 456 ? 268.286 -52.546 327.325 1.0 70.33819  ? 456 PRO B O   456 PRO B O   1 
ATOM 10697 C CB  . PRO B 2 456 ? 266.276 -51.235 325.160 1.0 70.33819  ? 456 PRO B CB  456 PRO B CB  1 
ATOM 10698 C CG  . PRO B 2 456 ? 267.487 -50.651 324.578 1.0 70.33819  ? 456 PRO B CG  456 PRO B CG  1 
ATOM 10699 C CD  . PRO B 2 456 ? 267.882 -49.527 325.476 1.0 70.33819  ? 456 PRO B CD  456 PRO B CD  1 
ATOM 10700 N N   . LEU B 2 457 ? 266.177 -53.286 327.620 1.0 72.27212  ? 457 LEU B N   457 LEU B N   1 
ATOM 10701 C CA  . LEU B 2 457 ? 266.597 -54.615 328.030 1.0 72.27212  ? 457 LEU B CA  457 LEU B CA  1 
ATOM 10702 C C   . LEU B 2 457 ? 267.085 -55.403 326.817 1.0 72.27212  ? 457 LEU B C   457 LEU B C   1 
ATOM 10703 O O   . LEU B 2 457 ? 266.497 -55.303 325.736 1.0 72.27212  ? 457 LEU B O   457 LEU B O   1 
ATOM 10704 C CB  . LEU B 2 457 ? 265.456 -55.367 328.713 1.0 72.27212  ? 457 LEU B CB  457 LEU B CB  1 
ATOM 10705 C CG  . LEU B 2 457 ? 265.249 -55.210 330.222 1.0 72.27212  ? 457 LEU B CG  457 LEU B CG  1 
ATOM 10706 C CD1 . LEU B 2 457 ? 264.726 -53.851 330.613 1.0 72.27212  ? 457 LEU B CD1 457 LEU B CD1 1 
ATOM 10707 C CD2 . LEU B 2 457 ? 264.307 -56.291 330.722 1.0 72.27212  ? 457 LEU B CD2 457 LEU B CD2 1 
ATOM 10708 N N   . PRO B 2 458 ? 268.167 -56.166 326.958 1.0 74.35424  ? 458 PRO B N   458 PRO B N   1 
ATOM 10709 C CA  . PRO B 2 458 ? 268.760 -56.864 325.807 1.0 74.35424  ? 458 PRO B CA  458 PRO B CA  1 
ATOM 10710 C C   . PRO B 2 458 ? 267.918 -57.937 325.126 1.0 74.35424  ? 458 PRO B C   458 PRO B C   1 
ATOM 10711 O O   . PRO B 2 458 ? 267.688 -57.849 323.917 1.0 74.35424  ? 458 PRO B O   458 PRO B O   1 
ATOM 10712 C CB  . PRO B 2 458 ? 270.023 -57.484 326.412 1.0 74.35424  ? 458 PRO B CB  458 PRO B CB  1 
ATOM 10713 C CG  . PRO B 2 458 ? 270.375 -56.577 327.524 1.0 74.35424  ? 458 PRO B CG  458 PRO B CG  1 
ATOM 10714 C CD  . PRO B 2 458 ? 269.083 -56.129 328.109 1.0 74.35424  ? 458 PRO B CD  458 PRO B CD  1 
ATOM 10715 N N   . ASN B 2 459 ? 267.452 -58.947 325.858 1.0 76.39536  ? 459 ASN B N   459 ASN B N   1 
ATOM 10716 C CA  . ASN B 2 459 ? 266.975 -60.164 325.206 1.0 76.39536  ? 459 ASN B CA  459 ASN B CA  1 
ATOM 10717 C C   . ASN B 2 459 ? 265.563 -60.072 324.650 1.0 76.39536  ? 459 ASN B C   459 ASN B C   1 
ATOM 10718 O O   . ASN B 2 459 ? 265.032 -61.105 324.231 1.0 76.39536  ? 459 ASN B O   459 ASN B O   1 
ATOM 10719 C CB  . ASN B 2 459 ? 267.029 -61.355 326.160 1.0 76.39536  ? 459 ASN B CB  459 ASN B CB  1 
ATOM 10720 C CG  . ASN B 2 459 ? 268.431 -61.832 326.419 1.0 76.39536  ? 459 ASN B CG  459 ASN B CG  1 
ATOM 10721 O OD1 . ASN B 2 459 ? 269.291 -61.790 325.540 1.0 76.39536  ? 459 ASN B OD1 459 ASN B OD1 1 
ATOM 10722 N ND2 . ASN B 2 459 ? 268.656 -62.346 327.618 1.0 76.39536  ? 459 ASN B ND2 459 ASN B ND2 1 
ATOM 10723 N N   . ILE B 2 460 ? 264.925 -58.904 324.636 1.0 75.59397  ? 460 ILE B N   460 ILE B N   1 
ATOM 10724 C CA  . ILE B 2 460 ? 263.572 -58.885 324.098 1.0 75.59397  ? 460 ILE B CA  460 ILE B CA  1 
ATOM 10725 C C   . ILE B 2 460 ? 263.594 -58.907 322.570 1.0 75.59397  ? 460 ILE B C   460 ILE B C   1 
ATOM 10726 O O   . ILE B 2 460 ? 262.702 -59.492 321.948 1.0 75.59397  ? 460 ILE B O   460 ILE B O   1 
ATOM 10727 C CB  . ILE B 2 460 ? 262.770 -57.700 324.675 1.0 75.59397  ? 460 ILE B CB  460 ILE B CB  1 
ATOM 10728 C CG1 . ILE B 2 460 ? 263.474 -56.362 324.466 1.0 75.59397  ? 460 ILE B CG1 460 ILE B CG1 1 
ATOM 10729 C CG2 . ILE B 2 460 ? 262.503 -57.903 326.154 1.0 75.59397  ? 460 ILE B CG2 460 ILE B CG2 1 
ATOM 10730 C CD1 . ILE B 2 460 ? 263.016 -55.618 323.249 1.0 75.59397  ? 460 ILE B CD1 460 ILE B CD1 1 
ATOM 10731 N N   . VAL B 2 461 ? 264.590 -58.278 321.939 1.0 71.50989  ? 461 VAL B N   461 VAL B N   1 
ATOM 10732 C CA  . VAL B 2 461 ? 264.793 -58.392 320.500 1.0 71.50989  ? 461 VAL B CA  461 VAL B CA  1 
ATOM 10733 C C   . VAL B 2 461 ? 266.262 -58.666 320.219 1.0 71.50989  ? 461 VAL B C   461 VAL B C   1 
ATOM 10734 O O   . VAL B 2 461 ? 267.153 -58.235 320.959 1.0 71.50989  ? 461 VAL B O   461 VAL B O   1 
ATOM 10735 C CB  . VAL B 2 461 ? 264.331 -57.151 319.689 1.0 71.50989  ? 461 VAL B CB  461 VAL B CB  1 
ATOM 10736 C CG1 . VAL B 2 461 ? 262.834 -56.961 319.767 1.0 71.50989  ? 461 VAL B CG1 461 VAL B CG1 1 
ATOM 10737 C CG2 . VAL B 2 461 ? 265.046 -55.907 320.134 1.0 71.50989  ? 461 VAL B CG2 461 VAL B CG2 1 
ATOM 10738 N N   . ASP B 2 462 ? 266.499 -59.401 319.139 1.0 69.48306  ? 462 ASP B N   462 ASP B N   1 
ATOM 10739 C CA  . ASP B 2 462 ? 267.824 -59.720 318.627 1.0 69.48306  ? 462 ASP B CA  462 ASP B CA  1 
ATOM 10740 C C   . ASP B 2 462 ? 267.611 -60.184 317.187 1.0 69.48306  ? 462 ASP B C   462 ASP B C   1 
ATOM 10741 O O   . ASP B 2 462 ? 266.533 -59.990 316.618 1.0 69.48306  ? 462 ASP B O   462 ASP B O   1 
ATOM 10742 C CB  . ASP B 2 462 ? 268.512 -60.757 319.524 1.0 69.48306  ? 462 ASP B CB  462 ASP B CB  1 
ATOM 10743 C CG  . ASP B 2 462 ? 270.015 -60.794 319.344 1.0 69.48306  ? 462 ASP B CG  462 ASP B CG  1 
ATOM 10744 O OD1 . ASP B 2 462 ? 270.695 -59.866 319.826 1.0 69.48306  ? 462 ASP B OD1 462 ASP B OD1 1 
ATOM 10745 O OD2 . ASP B 2 462 ? 270.510 -61.751 318.718 1.0 69.48306  ? 462 ASP B OD2 462 ASP B OD2 1 
ATOM 10746 N N   . THR B 2 463 ? 268.625 -60.797 316.584 1.0 70.08042  ? 463 THR B N   463 THR B N   1 
ATOM 10747 C CA  . THR B 2 463 ? 268.470 -61.348 315.244 1.0 70.08042  ? 463 THR B CA  463 THR B CA  1 
ATOM 10748 C C   . THR B 2 463 ? 267.817 -62.731 315.227 1.0 70.08042  ? 463 THR B C   463 THR B C   1 
ATOM 10749 O O   . THR B 2 463 ? 267.844 -63.391 314.185 1.0 70.08042  ? 463 THR B O   463 THR B O   1 
ATOM 10750 C CB  . THR B 2 463 ? 269.827 -61.400 314.538 1.0 70.08042  ? 463 THR B CB  463 THR B CB  1 
ATOM 10751 O OG1 . THR B 2 463 ? 269.663 -61.907 313.208 1.0 70.08042  ? 463 THR B OG1 463 THR B OG1 1 
ATOM 10752 C CG2 . THR B 2 463 ? 270.801 -62.271 315.307 1.0 70.08042  ? 463 THR B CG2 463 THR B CG2 1 
ATOM 10753 N N   . TRP B 2 464 ? 267.217 -63.175 316.337 1.0 66.84015  ? 464 TRP B N   464 TRP B N   1 
ATOM 10754 C CA  . TRP B 2 464 ? 266.537 -64.459 316.396 1.0 66.84015  ? 464 TRP B CA  464 TRP B CA  1 
ATOM 10755 C C   . TRP B 2 464 ? 265.078 -64.388 316.814 1.0 66.84015  ? 464 TRP B C   464 TRP B C   1 
ATOM 10756 O O   . TRP B 2 464 ? 264.411 -65.429 316.808 1.0 66.84015  ? 464 TRP B O   464 TRP B O   1 
ATOM 10757 C CB  . TRP B 2 464 ? 267.254 -65.416 317.366 1.0 66.84015  ? 464 TRP B CB  464 TRP B CB  1 
ATOM 10758 C CG  . TRP B 2 464 ? 267.395 -64.892 318.773 1.0 66.84015  ? 464 TRP B CG  464 TRP B CG  1 
ATOM 10759 C CD1 . TRP B 2 464 ? 268.468 -64.246 319.284 1.0 66.84015  ? 464 TRP B CD1 464 TRP B CD1 1 
ATOM 10760 C CD2 . TRP B 2 464 ? 266.429 -64.961 319.839 1.0 66.84015  ? 464 TRP B CD2 464 TRP B CD2 1 
ATOM 10761 N NE1 . TRP B 2 464 ? 268.247 -63.918 320.599 1.0 66.84015  ? 464 TRP B NE1 464 TRP B NE1 1 
ATOM 10762 C CE2 . TRP B 2 464 ? 266.999 -64.342 320.959 1.0 66.84015  ? 464 TRP B CE2 464 TRP B CE2 1 
ATOM 10763 C CE3 . TRP B 2 464 ? 265.141 -65.492 319.951 1.0 66.84015  ? 464 TRP B CE3 464 TRP B CE3 1 
ATOM 10764 C CZ2 . TRP B 2 464 ? 266.331 -64.234 322.173 1.0 66.84015  ? 464 TRP B CZ2 464 TRP B CZ2 1 
ATOM 10765 C CZ3 . TRP B 2 464 ? 264.479 -65.380 321.152 1.0 66.84015  ? 464 TRP B CZ3 464 TRP B CZ3 1 
ATOM 10766 C CH2 . TRP B 2 464 ? 265.069 -64.748 322.241 1.0 66.84015  ? 464 TRP B CH2 464 TRP B CH2 1 
ATOM 10767 N N   . THR B 2 465 ? 264.568 -63.225 317.211 1.0 67.62482  ? 465 THR B N   465 THR B N   1 
ATOM 10768 C CA  . THR B 2 465 ? 263.283 -63.161 317.904 1.0 67.62482  ? 465 THR B CA  465 THR B CA  1 
ATOM 10769 C C   . THR B 2 465 ? 262.128 -63.396 316.928 1.0 67.62482  ? 465 THR B C   465 THR B C   1 
ATOM 10770 O O   . THR B 2 465 ? 261.854 -62.574 316.046 1.0 67.62482  ? 465 THR B O   465 THR B O   1 
ATOM 10771 C CB  . THR B 2 465 ? 263.165 -61.849 318.682 1.0 67.62482  ? 465 THR B CB  465 THR B CB  1 
ATOM 10772 O OG1 . THR B 2 465 ? 261.848 -61.719 319.234 1.0 67.62482  ? 465 THR B OG1 465 THR B OG1 1 
ATOM 10773 C CG2 . THR B 2 465 ? 263.558 -60.626 317.859 1.0 67.62482  ? 465 THR B CG2 465 THR B CG2 1 
ATOM 10774 N N   . ASP B 2 466 ? 261.470 -64.546 317.101 1.0 66.24685  ? 466 ASP B N   466 ASP B N   1 
ATOM 10775 C CA  . ASP B 2 466 ? 260.408 -65.059 316.232 1.0 66.24685  ? 466 ASP B CA  466 ASP B CA  1 
ATOM 10776 C C   . ASP B 2 466 ? 260.887 -65.107 314.781 1.0 66.24685  ? 466 ASP B C   466 ASP B C   1 
ATOM 10777 O O   . ASP B 2 466 ? 260.336 -64.466 313.885 1.0 66.24685  ? 466 ASP B O   466 ASP B O   1 
ATOM 10778 C CB  . ASP B 2 466 ? 259.128 -64.233 316.387 1.0 66.24685  ? 466 ASP B CB  466 ASP B CB  1 
ATOM 10779 C CG  . ASP B 2 466 ? 257.893 -64.967 315.907 1.0 66.24685  ? 466 ASP B CG  466 ASP B CG  1 
ATOM 10780 O OD1 . ASP B 2 466 ? 258.015 -66.126 315.455 1.0 66.24685  ? 466 ASP B OD1 466 ASP B OD1 1 
ATOM 10781 O OD2 . ASP B 2 466 ? 256.795 -64.382 315.998 1.0 66.24685  ? 466 ASP B OD2 466 ASP B OD2 1 
ATOM 10782 N N   . ILE B 2 467 ? 261.946 -65.874 314.576 1.0 61.02127  ? 467 ILE B N   467 ILE B N   1 
ATOM 10783 C CA  . ILE B 2 467 ? 262.742 -65.780 313.361 1.0 61.02127  ? 467 ILE B CA  467 ILE B CA  1 
ATOM 10784 C C   . ILE B 2 467 ? 262.011 -66.467 312.217 1.0 61.02127  ? 467 ILE B C   467 ILE B C   1 
ATOM 10785 O O   . ILE B 2 467 ? 261.350 -67.494 312.400 1.0 61.02127  ? 467 ILE B O   467 ILE B O   1 
ATOM 10786 C CB  . ILE B 2 467 ? 264.153 -66.351 313.615 1.0 61.02127  ? 467 ILE B CB  467 ILE B CB  1 
ATOM 10787 C CG1 . ILE B 2 467 ? 265.099 -66.057 312.458 1.0 61.02127  ? 467 ILE B CG1 467 ILE B CG1 1 
ATOM 10788 C CG2 . ILE B 2 467 ? 264.126 -67.833 313.966 1.0 61.02127  ? 467 ILE B CG2 467 ILE B CG2 1 
ATOM 10789 C CD1 . ILE B 2 467 ? 266.538 -66.227 312.839 1.0 61.02127  ? 467 ILE B CD1 467 ILE B CD1 1 
ATOM 10790 N N   . GLY B 2 468 ? 262.068 -65.853 311.040 1.0 58.89811  ? 468 GLY B N   468 GLY B N   1 
ATOM 10791 C CA  . GLY B 2 468 ? 261.357 -66.355 309.890 1.0 58.89811  ? 468 GLY B CA  468 GLY B CA  1 
ATOM 10792 C C   . GLY B 2 468 ? 259.892 -65.996 309.833 1.0 58.89811  ? 468 GLY B C   468 GLY B C   1 
ATOM 10793 O O   . GLY B 2 468 ? 259.167 -66.570 309.015 1.0 58.89811  ? 468 GLY B O   468 GLY B O   1 
ATOM 10794 N N   . ALA B 2 469 ? 259.427 -65.063 310.661 1.0 60.67772  ? 469 ALA B N   469 ALA B N   1 
ATOM 10795 C CA  . ALA B 2 469 ? 258.010 -64.740 310.745 1.0 60.67772  ? 469 ALA B CA  469 ALA B CA  1 
ATOM 10796 C C   . ALA B 2 469 ? 257.822 -63.234 310.660 1.0 60.67772  ? 469 ALA B C   469 ALA B C   1 
ATOM 10797 O O   . ALA B 2 469 ? 258.411 -62.487 311.451 1.0 60.67772  ? 469 ALA B O   469 ALA B O   1 
ATOM 10798 C CB  . ALA B 2 469 ? 257.402 -65.270 312.050 1.0 60.67772  ? 469 ALA B CB  469 ALA B CB  1 
ATOM 10799 N N   . ARG B 2 470 ? 257.017 -62.791 309.697 1.0 60.65713  ? 470 ARG B N   470 ARG B N   1 
ATOM 10800 C CA  . ARG B 2 470 ? 256.616 -61.388 309.623 1.0 60.65713  ? 470 ARG B CA  470 ARG B CA  1 
ATOM 10801 C C   . ARG B 2 470 ? 255.667 -61.124 310.777 1.0 60.65713  ? 470 ARG B C   470 ARG B C   1 
ATOM 10802 O O   . ARG B 2 470 ? 254.511 -61.544 310.755 1.0 60.65713  ? 470 ARG B O   470 ARG B O   1 
ATOM 10803 C CB  . ARG B 2 470 ? 255.961 -61.070 308.284 1.0 60.65713  ? 470 ARG B CB  470 ARG B CB  1 
ATOM 10804 C CG  . ARG B 2 470 ? 256.903 -61.145 307.100 1.0 60.65713  ? 470 ARG B CG  470 ARG B CG  1 
ATOM 10805 C CD  . ARG B 2 470 ? 256.200 -60.809 305.797 1.0 60.65713  ? 470 ARG B CD  470 ARG B CD  1 
ATOM 10806 N NE  . ARG B 2 470 ? 255.796 -59.411 305.738 1.0 60.65713  ? 470 ARG B NE  470 ARG B NE  1 
ATOM 10807 C CZ  . ARG B 2 470 ? 254.541 -58.997 305.841 1.0 60.65713  ? 470 ARG B CZ  470 ARG B CZ  1 
ATOM 10808 N NH1 . ARG B 2 470 ? 253.563 -59.875 306.018 1.0 60.65713  ? 470 ARG B NH1 470 ARG B NH1 1 
ATOM 10809 N NH2 . ARG B 2 470 ? 254.261 -57.705 305.773 1.0 60.65713  ? 470 ARG B NH2 470 ARG B NH2 1 
ATOM 10810 N N   . TRP B 2 471 ? 256.159 -60.435 311.800 1.0 60.67361  ? 471 TRP B N   471 TRP B N   1 
ATOM 10811 C CA  . TRP B 2 471 ? 255.457 -60.382 313.075 1.0 60.67361  ? 471 TRP B CA  471 TRP B CA  1 
ATOM 10812 C C   . TRP B 2 471 ? 255.904 -59.137 313.823 1.0 60.67361  ? 471 TRP B C   471 TRP B C   1 
ATOM 10813 O O   . TRP B 2 471 ? 257.071 -59.031 314.210 1.0 60.67361  ? 471 TRP B O   471 TRP B O   1 
ATOM 10814 C CB  . TRP B 2 471 ? 255.743 -61.641 313.885 1.0 60.67361  ? 471 TRP B CB  471 TRP B CB  1 
ATOM 10815 C CG  . TRP B 2 471 ? 255.003 -61.728 315.161 1.0 60.67361  ? 471 TRP B CG  471 TRP B CG  1 
ATOM 10816 C CD1 . TRP B 2 471 ? 255.492 -61.490 316.407 1.0 60.67361  ? 471 TRP B CD1 471 TRP B CD1 1 
ATOM 10817 C CD2 . TRP B 2 471 ? 253.636 -62.099 315.327 1.0 60.67361  ? 471 TRP B CD2 471 TRP B CD2 1 
ATOM 10818 N NE1 . TRP B 2 471 ? 254.508 -61.679 317.343 1.0 60.67361  ? 471 TRP B NE1 471 TRP B NE1 1 
ATOM 10819 C CE2 . TRP B 2 471 ? 253.358 -62.056 316.703 1.0 60.67361  ? 471 TRP B CE2 471 TRP B CE2 1 
ATOM 10820 C CE3 . TRP B 2 471 ? 252.617 -62.460 314.446 1.0 60.67361  ? 471 TRP B CE3 471 TRP B CE3 1 
ATOM 10821 C CZ2 . TRP B 2 471 ? 252.107 -62.356 317.217 1.0 60.67361  ? 471 TRP B CZ2 471 TRP B CZ2 1 
ATOM 10822 C CZ3 . TRP B 2 471 ? 251.376 -62.764 314.959 1.0 60.67361  ? 471 TRP B CZ3 471 TRP B CZ3 1 
ATOM 10823 C CH2 . TRP B 2 471 ? 251.131 -62.709 316.329 1.0 60.67361  ? 471 TRP B CH2 471 TRP B CH2 1 
ATOM 10824 N N   . SER B 2 472 ? 254.987 -58.193 314.006 1.0 61.46831  ? 472 SER B N   472 SER B N   1 
ATOM 10825 C CA  . SER B 2 472 ? 255.263 -57.057 314.868 1.0 61.46831  ? 472 SER B CA  472 SER B CA  1 
ATOM 10826 C C   . SER B 2 472 ? 255.342 -57.527 316.310 1.0 61.46831  ? 472 SER B C   472 SER B C   1 
ATOM 10827 O O   . SER B 2 472 ? 254.696 -58.503 316.696 1.0 61.46831  ? 472 SER B O   472 SER B O   1 
ATOM 10828 C CB  . SER B 2 472 ? 254.171 -56.004 314.735 1.0 61.46831  ? 472 SER B CB  472 SER B CB  1 
ATOM 10829 O OG  . SER B 2 472 ? 252.964 -56.475 315.302 1.0 61.46831  ? 472 SER B OG  472 SER B OG  1 
ATOM 10830 N N   . LEU B 2 473 ? 256.160 -56.838 317.100 1.0 65.13082  ? 473 LEU B N   473 LEU B N   1 
ATOM 10831 C CA  . LEU B 2 473 ? 256.250 -57.139 318.522 1.0 65.13082  ? 473 LEU B CA  473 LEU B CA  1 
ATOM 10832 C C   . LEU B 2 473 ? 254.925 -56.824 319.197 1.0 65.13082  ? 473 LEU B C   473 LEU B C   1 
ATOM 10833 O O   . LEU B 2 473 ? 254.337 -55.764 318.963 1.0 65.13082  ? 473 LEU B O   473 LEU B O   1 
ATOM 10834 C CB  . LEU B 2 473 ? 257.374 -56.341 319.178 1.0 65.13082  ? 473 LEU B CB  473 LEU B CB  1 
ATOM 10835 C CG  . LEU B 2 473 ? 258.797 -56.899 319.222 1.0 65.13082  ? 473 LEU B CG  473 LEU B CG  1 
ATOM 10836 C CD1 . LEU B 2 473 ? 258.814 -58.222 319.976 1.0 65.13082  ? 473 LEU B CD1 473 LEU B CD1 1 
ATOM 10837 C CD2 . LEU B 2 473 ? 259.429 -57.031 317.847 1.0 65.13082  ? 473 LEU B CD2 473 LEU B CD2 1 
ATOM 10838 N N   . ASP B 2 474 ? 254.451 -57.755 320.029 1.0 67.29878  ? 474 ASP B N   474 ASP B N   1 
ATOM 10839 C CA  . ASP B 2 474 ? 253.145 -57.615 320.663 1.0 67.29878  ? 474 ASP B CA  474 ASP B CA  1 
ATOM 10840 C C   . ASP B 2 474 ? 253.104 -56.479 321.675 1.0 67.29878  ? 474 ASP B C   474 ASP B C   1 
ATOM 10841 O O   . ASP B 2 474 ? 252.014 -56.015 322.022 1.0 67.29878  ? 474 ASP B O   474 ASP B O   1 
ATOM 10842 C CB  . ASP B 2 474 ? 252.751 -58.925 321.341 1.0 67.29878  ? 474 ASP B CB  474 ASP B CB  1 
ATOM 10843 C CG  . ASP B 2 474 ? 252.462 -60.027 320.347 1.0 67.29878  ? 474 ASP B CG  474 ASP B CG  1 
ATOM 10844 O OD1 . ASP B 2 474 ? 252.018 -59.712 319.223 1.0 67.29878  ? 474 ASP B OD1 474 ASP B OD1 1 
ATOM 10845 O OD2 . ASP B 2 474 ? 252.680 -61.208 320.687 1.0 67.29878  ? 474 ASP B OD2 474 ASP B OD2 1 
ATOM 10846 N N   . VAL B 2 475 ? 254.260 -56.024 322.151 1.0 66.21964  ? 475 VAL B N   475 VAL B N   1 
ATOM 10847 C CA  . VAL B 2 475 ? 254.320 -54.868 323.030 1.0 66.21964  ? 475 VAL B CA  475 VAL B CA  1 
ATOM 10848 C C   . VAL B 2 475 ? 254.690 -53.592 322.284 1.0 66.21964  ? 475 VAL B C   475 VAL B C   1 
ATOM 10849 O O   . VAL B 2 475 ? 254.467 -52.493 322.814 1.0 66.21964  ? 475 VAL B O   475 VAL B O   1 
ATOM 10850 C CB  . VAL B 2 475 ? 255.297 -55.138 324.185 1.0 66.21964  ? 475 VAL B CB  475 VAL B CB  1 
ATOM 10851 C CG1 . VAL B 2 475 ? 254.796 -56.332 324.971 1.0 66.21964  ? 475 VAL B CG1 475 VAL B CG1 1 
ATOM 10852 C CG2 . VAL B 2 475 ? 256.686 -55.399 323.641 1.0 66.21964  ? 475 VAL B CG2 475 VAL B CG2 1 
ATOM 10853 N N   . MET B 2 476 ? 255.232 -53.699 321.073 1.0 64.30807  ? 476 MET B N   476 MET B N   1 
ATOM 10854 C CA  . MET B 2 476 ? 255.314 -52.586 320.140 1.0 64.30807  ? 476 MET B CA  476 MET B CA  1 
ATOM 10855 C C   . MET B 2 476 ? 254.057 -52.452 319.299 1.0 64.30807  ? 476 MET B C   476 MET B C   1 
ATOM 10856 O O   . MET B 2 476 ? 254.056 -51.708 318.314 1.0 64.30807  ? 476 MET B O   476 MET B O   1 
ATOM 10857 C CB  . MET B 2 476 ? 256.520 -52.751 319.217 1.0 64.30807  ? 476 MET B CB  476 MET B CB  1 
ATOM 10858 C CG  . MET B 2 476 ? 257.856 -52.599 319.892 1.0 64.30807  ? 476 MET B CG  476 MET B CG  1 
ATOM 10859 S SD  . MET B 2 476 ? 258.073 -50.926 320.489 1.0 64.30807  ? 476 MET B SD  476 MET B SD  1 
ATOM 10860 C CE  . MET B 2 476 ? 258.148 -50.056 318.928 1.0 64.30807  ? 476 MET B CE  476 MET B CE  1 
ATOM 10861 N N   . ASP B 2 477 ? 252.998 -53.175 319.658 1.0 64.01626  ? 477 ASP B N   477 ASP B N   1 
ATOM 10862 C CA  . ASP B 2 477 ? 251.778 -53.173 318.863 1.0 64.01626  ? 477 ASP B CA  477 ASP B CA  1 
ATOM 10863 C C   . ASP B 2 477 ? 251.016 -51.866 319.023 1.0 64.01626  ? 477 ASP B C   477 ASP B C   1 
ATOM 10864 O O   . ASP B 2 477 ? 250.412 -51.372 318.065 1.0 64.01626  ? 477 ASP B O   477 ASP B O   1 
ATOM 10865 C CB  . ASP B 2 477 ? 250.909 -54.360 319.269 1.0 64.01626  ? 477 ASP B CB  477 ASP B CB  1 
ATOM 10866 C CG  . ASP B 2 477 ? 249.694 -54.514 318.396 1.0 64.01626  ? 477 ASP B CG  477 ASP B CG  1 
ATOM 10867 O OD1 . ASP B 2 477 ? 249.861 -54.922 317.232 1.0 64.01626  ? 477 ASP B OD1 477 ASP B OD1 1 
ATOM 10868 O OD2 . ASP B 2 477 ? 248.571 -54.242 318.871 1.0 64.01626  ? 477 ASP B OD2 477 ASP B OD2 1 
ATOM 10869 N N   . THR B 2 478 ? 251.037 -51.291 320.221 1.0 62.59828  ? 478 THR B N   478 THR B N   1 
ATOM 10870 C CA  . THR B 2 478 ? 250.287 -50.082 320.521 1.0 62.59828  ? 478 THR B CA  478 THR B CA  1 
ATOM 10871 C C   . THR B 2 478 ? 251.180 -48.862 320.695 1.0 62.59828  ? 478 THR B C   478 THR B C   1 
ATOM 10872 O O   . THR B 2 478 ? 250.687 -47.790 321.056 1.0 62.59828  ? 478 THR B O   478 THR B O   1 
ATOM 10873 C CB  . THR B 2 478 ? 249.441 -50.296 321.772 1.0 62.59828  ? 478 THR B CB  478 THR B CB  1 
ATOM 10874 O OG1 . THR B 2 478 ? 248.610 -49.151 321.986 1.0 62.59828  ? 478 THR B OG1 478 THR B OG1 1 
ATOM 10875 C CG2 . THR B 2 478 ? 250.332 -50.505 322.979 1.0 62.59828  ? 478 THR B CG2 478 THR B CG2 1 
ATOM 10876 N N   . VAL B 2 479 ? 252.474 -48.996 320.456 1.0 60.75112  ? 479 VAL B N   479 VAL B N   1 
ATOM 10877 C CA  . VAL B 2 479 ? 253.369 -47.848 320.448 1.0 60.75112  ? 479 VAL B CA  479 VAL B CA  1 
ATOM 10878 C C   . VAL B 2 479 ? 253.196 -47.124 319.120 1.0 60.75112  ? 479 VAL B C   479 VAL B C   1 
ATOM 10879 O O   . VAL B 2 479 ? 253.028 -47.759 318.073 1.0 60.75112  ? 479 VAL B O   479 VAL B O   1 
ATOM 10880 C CB  . VAL B 2 479 ? 254.821 -48.308 320.673 1.0 60.75112  ? 479 VAL B CB  479 VAL B CB  1 
ATOM 10881 C CG1 . VAL B 2 479 ? 255.788 -47.134 320.712 1.0 60.75112  ? 479 VAL B CG1 479 VAL B CG1 1 
ATOM 10882 C CG2 . VAL B 2 479 ? 254.918 -49.115 321.949 1.0 60.75112  ? 479 VAL B CG2 479 VAL B CG2 1 
ATOM 10883 N N   . ASN B 2 480 ? 253.205 -45.795 319.168 1.0 57.24705  ? 480 ASN B N   480 ASN B N   1 
ATOM 10884 C CA  . ASN B 2 480 ? 252.978 -44.948 318.006 1.0 57.24705  ? 480 ASN B CA  480 ASN B CA  1 
ATOM 10885 C C   . ASN B 2 480 ? 254.087 -45.128 316.972 1.0 57.24705  ? 480 ASN B C   480 ASN B C   1 
ATOM 10886 O O   . ASN B 2 480 ? 255.254 -44.833 317.268 1.0 57.24705  ? 480 ASN B O   480 ASN B O   1 
ATOM 10887 C CB  . ASN B 2 480 ? 252.898 -43.496 318.468 1.0 57.24705  ? 480 ASN B CB  480 ASN B CB  1 
ATOM 10888 C CG  . ASN B 2 480 ? 252.287 -42.580 317.436 1.0 57.24705  ? 480 ASN B CG  480 ASN B CG  1 
ATOM 10889 O OD1 . ASN B 2 480 ? 251.912 -43.006 316.351 1.0 57.24705  ? 480 ASN B OD1 480 ASN B OD1 1 
ATOM 10890 N ND2 . ASN B 2 480 ? 252.180 -41.306 317.775 1.0 57.24705  ? 480 ASN B ND2 480 ASN B ND2 1 
ATOM 10891 N N   . PRO B 2 481 ? 253.777 -45.616 315.766 1.0 56.31123  ? 481 PRO B N   481 PRO B N   1 
ATOM 10892 C CA  . PRO B 2 481 ? 254.830 -45.839 314.767 1.0 56.31123  ? 481 PRO B CA  481 PRO B CA  1 
ATOM 10893 C C   . PRO B 2 481 ? 255.314 -44.575 314.094 1.0 56.31123  ? 481 PRO B C   481 PRO B C   1 
ATOM 10894 O O   . PRO B 2 481 ? 256.340 -44.617 313.404 1.0 56.31123  ? 481 PRO B O   481 PRO B O   1 
ATOM 10895 C CB  . PRO B 2 481 ? 254.150 -46.756 313.748 1.0 56.31123  ? 481 PRO B CB  481 PRO B CB  1 
ATOM 10896 C CG  . PRO B 2 481 ? 252.720 -46.386 313.846 1.0 56.31123  ? 481 PRO B CG  481 PRO B CG  1 
ATOM 10897 C CD  . PRO B 2 481 ? 252.464 -46.072 315.285 1.0 56.31123  ? 481 PRO B CD  481 PRO B CD  1 
ATOM 10898 N N   . PHE B 2 482 ? 254.606 -43.466 314.250 1.0 56.07982  ? 482 PHE B N   482 PHE B N   1 
ATOM 10899 C CA  . PHE B 2 482 ? 254.986 -42.208 313.631 1.0 56.07982  ? 482 PHE B CA  482 PHE B CA  1 
ATOM 10900 C C   . PHE B 2 482 ? 255.908 -41.390 314.515 1.0 56.07982  ? 482 PHE B C   482 PHE B C   1 
ATOM 10901 O O   . PHE B 2 482 ? 256.382 -40.333 314.090 1.0 56.07982  ? 482 PHE B O   482 PHE B O   1 
ATOM 10902 C CB  . PHE B 2 482 ? 253.734 -41.415 313.279 1.0 56.07982  ? 482 PHE B CB  482 PHE B CB  1 
ATOM 10903 C CG  . PHE B 2 482 ? 252.874 -42.093 312.264 1.0 56.07982  ? 482 PHE B CG  482 PHE B CG  1 
ATOM 10904 C CD1 . PHE B 2 482 ? 253.144 -41.968 310.916 1.0 56.07982  ? 482 PHE B CD1 482 PHE B CD1 1 
ATOM 10905 C CD2 . PHE B 2 482 ? 251.818 -42.894 312.659 1.0 56.07982  ? 482 PHE B CD2 482 PHE B CD2 1 
ATOM 10906 C CE1 . PHE B 2 482 ? 252.359 -42.606 309.981 1.0 56.07982  ? 482 PHE B CE1 482 PHE B CE1 1 
ATOM 10907 C CE2 . PHE B 2 482 ? 251.033 -43.534 311.730 1.0 56.07982  ? 482 PHE B CE2 482 PHE B CE2 1 
ATOM 10908 C CZ  . PHE B 2 482 ? 251.304 -43.391 310.391 1.0 56.07982  ? 482 PHE B CZ  482 PHE B CZ  1 
ATOM 10909 N N   . ASN B 2 483 ? 256.164 -41.854 315.735 1.0 57.50673  ? 483 ASN B N   483 ASN B N   1 
ATOM 10910 C CA  . ASN B 2 483 ? 257.221 -41.304 316.574 1.0 57.50673  ? 483 ASN B CA  483 ASN B CA  1 
ATOM 10911 C C   . ASN B 2 483 ? 258.478 -42.110 316.285 1.0 57.50673  ? 483 ASN B C   483 ASN B C   1 
ATOM 10912 O O   . ASN B 2 483 ? 258.800 -43.098 316.947 1.0 57.50673  ? 483 ASN B O   483 ASN B O   1 
ATOM 10913 C CB  . ASN B 2 483 ? 256.820 -41.352 318.037 1.0 57.50673  ? 483 ASN B CB  483 ASN B CB  1 
ATOM 10914 C CG  . ASN B 2 483 ? 255.700 -40.400 318.346 1.0 57.50673  ? 483 ASN B CG  483 ASN B CG  1 
ATOM 10915 O OD1 . ASN B 2 483 ? 255.636 -39.304 317.796 1.0 57.50673  ? 483 ASN B OD1 483 ASN B OD1 1 
ATOM 10916 N ND2 . ASN B 2 483 ? 254.815 -40.802 319.241 1.0 57.50673  ? 483 ASN B ND2 483 ASN B ND2 1 
ATOM 10917 N N   . HIS B 2 484 ? 259.200 -41.668 315.262 1.0 59.51094  ? 484 HIS B N   484 HIS B N   1 
ATOM 10918 C CA  . HIS B 2 484 ? 260.226 -42.498 314.663 1.0 59.51094  ? 484 HIS B CA  484 HIS B CA  1 
ATOM 10919 C C   . HIS B 2 484 ? 261.190 -41.591 313.916 1.0 59.51094  ? 484 HIS B C   484 HIS B C   1 
ATOM 10920 O O   . HIS B 2 484 ? 260.779 -40.579 313.346 1.0 59.51094  ? 484 HIS B O   484 HIS B O   1 
ATOM 10921 C CB  . HIS B 2 484 ? 259.578 -43.510 313.722 1.0 59.51094  ? 484 HIS B CB  484 HIS B CB  1 
ATOM 10922 C CG  . HIS B 2 484 ? 260.447 -44.673 313.394 1.0 59.51094  ? 484 HIS B CG  484 HIS B CG  1 
ATOM 10923 N ND1 . HIS B 2 484 ? 261.401 -44.637 312.402 1.0 59.51094  ? 484 HIS B ND1 484 HIS B ND1 1 
ATOM 10924 C CD2 . HIS B 2 484 ? 260.474 -45.925 313.897 1.0 59.51094  ? 484 HIS B CD2 484 HIS B CD2 1 
ATOM 10925 C CE1 . HIS B 2 484 ? 262.011 -45.805 312.337 1.0 59.51094  ? 484 HIS B CE1 484 HIS B CE1 1 
ATOM 10926 N NE2 . HIS B 2 484 ? 261.470 -46.602 313.237 1.0 59.51094  ? 484 HIS B NE2 484 HIS B NE2 1 
ATOM 10927 N N   . HIS B 2 485 ? 262.474 -41.942 313.922 1.0 59.73068  ? 485 HIS B N   485 HIS B N   1 
ATOM 10928 C CA  . HIS B 2 485 ? 263.427 -41.057 313.265 1.0 59.73068  ? 485 HIS B CA  485 HIS B CA  1 
ATOM 10929 C C   . HIS B 2 485 ? 263.514 -41.291 311.766 1.0 59.73068  ? 485 HIS B C   485 HIS B C   1 
ATOM 10930 O O   . HIS B 2 485 ? 263.939 -40.387 311.041 1.0 59.73068  ? 485 HIS B O   485 HIS B O   1 
ATOM 10931 C CB  . HIS B 2 485 ? 264.819 -41.197 313.871 1.0 59.73068  ? 485 HIS B CB  485 HIS B CB  1 
ATOM 10932 C CG  . HIS B 2 485 ? 265.458 -42.521 313.610 1.0 59.73068  ? 485 HIS B CG  485 HIS B CG  1 
ATOM 10933 N ND1 . HIS B 2 485 ? 265.154 -43.647 314.341 1.0 59.73068  ? 485 HIS B ND1 485 HIS B ND1 1 
ATOM 10934 C CD2 . HIS B 2 485 ? 266.395 -42.895 312.709 1.0 59.73068  ? 485 HIS B CD2 485 HIS B CD2 1 
ATOM 10935 C CE1 . HIS B 2 485 ? 265.874 -44.661 313.897 1.0 59.73068  ? 485 HIS B CE1 485 HIS B CE1 1 
ATOM 10936 N NE2 . HIS B 2 485 ? 266.634 -44.231 312.906 1.0 59.73068  ? 485 HIS B NE2 485 HIS B NE2 1 
ATOM 10937 N N   . ARG B 2 486 ? 263.139 -42.472 311.282 1.0 60.23628  ? 486 ARG B N   486 ARG B N   1 
ATOM 10938 C CA  . ARG B 2 486 ? 263.058 -42.721 309.851 1.0 60.23628  ? 486 ARG B CA  486 ARG B CA  1 
ATOM 10939 C C   . ARG B 2 486 ? 261.700 -42.351 309.273 1.0 60.23628  ? 486 ARG B C   486 ARG B C   1 
ATOM 10940 O O   . ARG B 2 486 ? 261.401 -42.734 308.139 1.0 60.23628  ? 486 ARG B O   486 ARG B O   1 
ATOM 10941 C CB  . ARG B 2 486 ? 263.393 -44.183 309.537 1.0 60.23628  ? 486 ARG B CB  486 ARG B CB  1 
ATOM 10942 C CG  . ARG B 2 486 ? 264.851 -44.543 309.779 1.0 60.23628  ? 486 ARG B CG  486 ARG B CG  1 
ATOM 10943 C CD  . ARG B 2 486 ? 265.105 -46.023 309.545 1.0 60.23628  ? 486 ARG B CD  486 ARG B CD  1 
ATOM 10944 N NE  . ARG B 2 486 ? 264.959 -46.412 308.148 1.0 60.23628  ? 486 ARG B NE  486 ARG B NE  1 
ATOM 10945 C CZ  . ARG B 2 486 ? 265.959 -46.427 307.274 1.0 60.23628  ? 486 ARG B CZ  486 ARG B CZ  1 
ATOM 10946 N NH1 . ARG B 2 486 ? 267.178 -46.085 307.663 1.0 60.23628  ? 486 ARG B NH1 486 ARG B NH1 1 
ATOM 10947 N NH2 . ARG B 2 486 ? 265.748 -46.790 306.017 1.0 60.23628  ? 486 ARG B NH2 486 ARG B NH2 1 
ATOM 10948 N N   . ASN B 2 487 ? 260.882 -41.613 310.026 1.0 57.92238  ? 487 ASN B N   487 ASN B N   1 
ATOM 10949 C CA  . ASN B 2 487 ? 259.712 -40.937 309.485 1.0 57.92238  ? 487 ASN B CA  487 ASN B CA  1 
ATOM 10950 C C   . ASN B 2 487 ? 260.210 -39.897 308.495 1.0 57.92238  ? 487 ASN B C   487 ASN B C   1 
ATOM 10951 O O   . ASN B 2 487 ? 260.733 -38.854 308.897 1.0 57.92238  ? 487 ASN B O   487 ASN B O   1 
ATOM 10952 C CB  . ASN B 2 487 ? 258.900 -40.288 310.612 1.0 57.92238  ? 487 ASN B CB  487 ASN B CB  1 
ATOM 10953 C CG  . ASN B 2 487 ? 257.559 -39.740 310.151 1.0 57.92238  ? 487 ASN B CG  487 ASN B CG  1 
ATOM 10954 O OD1 . ASN B 2 487 ? 257.179 -39.859 308.989 1.0 57.92238  ? 487 ASN B OD1 487 ASN B OD1 1 
ATOM 10955 N ND2 . ASN B 2 487 ? 256.840 -39.114 311.073 1.0 57.92238  ? 487 ASN B ND2 487 ASN B ND2 1 
ATOM 10956 N N   . THR B 2 488 ? 260.059 -40.186 307.201 1.0 57.65668  ? 488 THR B N   488 THR B N   1 
ATOM 10957 C CA  . THR B 2 488 ? 260.646 -39.353 306.161 1.0 57.65668  ? 488 THR B CA  488 THR B CA  1 
ATOM 10958 C C   . THR B 2 488 ? 259.940 -38.010 306.060 1.0 57.65668  ? 488 THR B C   488 THR B C   1 
ATOM 10959 O O   . THR B 2 488 ? 260.553 -37.023 305.646 1.0 57.65668  ? 488 THR B O   488 THR B O   1 
ATOM 10960 C CB  . THR B 2 488 ? 260.589 -40.100 304.827 1.0 57.65668  ? 488 THR B CB  488 THR B CB  1 
ATOM 10961 O OG1 . THR B 2 488 ? 261.067 -41.434 305.025 1.0 57.65668  ? 488 THR B OG1 488 THR B OG1 1 
ATOM 10962 C CG2 . THR B 2 488 ? 261.490 -39.451 303.784 1.0 57.65668  ? 488 THR B CG2 488 THR B CG2 1 
ATOM 10963 N N   . GLY B 2 489 ? 258.678 -37.945 306.477 1.0 56.15825  ? 489 GLY B N   489 GLY B N   1 
ATOM 10964 C CA  . GLY B 2 489 ? 257.985 -36.671 306.502 1.0 56.15825  ? 489 GLY B CA  489 GLY B CA  1 
ATOM 10965 C C   . GLY B 2 489 ? 258.503 -35.755 307.591 1.0 56.15825  ? 489 GLY B C   489 GLY B C   1 
ATOM 10966 O O   . GLY B 2 489 ? 258.799 -34.587 307.341 1.0 56.15825  ? 489 GLY B O   489 GLY B O   1 
ATOM 10967 N N   . LEU B 2 490 ? 258.632 -36.275 308.813 1.0 55.86853  ? 490 LEU B N   490 LEU B N   1 
ATOM 10968 C CA  . LEU B 2 490 ? 259.124 -35.451 309.912 1.0 55.86853  ? 490 LEU B CA  490 LEU B CA  1 
ATOM 10969 C C   . LEU B 2 490 ? 260.609 -35.165 309.769 1.0 55.86853  ? 490 LEU B C   490 LEU B C   1 
ATOM 10970 O O   . LEU B 2 490 ? 261.086 -34.120 310.225 1.0 55.86853  ? 490 LEU B O   490 LEU B O   1 
ATOM 10971 C CB  . LEU B 2 490 ? 258.832 -36.132 311.246 1.0 55.86853  ? 490 LEU B CB  490 LEU B CB  1 
ATOM 10972 C CG  . LEU B 2 490 ? 259.203 -35.392 312.529 1.0 55.86853  ? 490 LEU B CG  490 LEU B CG  1 
ATOM 10973 C CD1 . LEU B 2 490 ? 258.478 -34.069 312.582 1.0 55.86853  ? 490 LEU B CD1 490 LEU B CD1 1 
ATOM 10974 C CD2 . LEU B 2 490 ? 258.877 -36.234 313.747 1.0 55.86853  ? 490 LEU B CD2 490 LEU B CD2 1 
ATOM 10975 N N   . LYS B 2 491 ? 261.348 -36.076 309.136 1.0 57.50941  ? 491 LYS B N   491 LYS B N   1 
ATOM 10976 C CA  . LYS B 2 491 ? 262.726 -35.782 308.772 1.0 57.50941  ? 491 LYS B CA  491 LYS B CA  1 
ATOM 10977 C C   . LYS B 2 491 ? 262.787 -34.629 307.784 1.0 57.50941  ? 491 LYS B C   491 LYS B C   1 
ATOM 10978 O O   . LYS B 2 491 ? 263.606 -33.722 307.935 1.0 57.50941  ? 491 LYS B O   491 LYS B O   1 
ATOM 10979 C CB  . LYS B 2 491 ? 263.396 -37.032 308.200 1.0 57.50941  ? 491 LYS B CB  491 LYS B CB  1 
ATOM 10980 C CG  . LYS B 2 491 ? 264.860 -36.862 307.847 1.0 57.50941  ? 491 LYS B CG  491 LYS B CG  1 
ATOM 10981 C CD  . LYS B 2 491 ? 265.483 -38.191 307.437 1.0 57.50941  ? 491 LYS B CD  491 LYS B CD  1 
ATOM 10982 C CE  . LYS B 2 491 ? 265.011 -38.620 306.056 1.0 57.50941  ? 491 LYS B CE  491 LYS B CE  1 
ATOM 10983 N NZ  . LYS B 2 491 ? 265.707 -39.842 305.555 1.0 57.50941  ? 491 LYS B NZ  491 LYS B NZ  1 
ATOM 10984 N N   . TYR B 2 492 ? 261.877 -34.609 306.806 1.0 56.88165  ? 492 TYR B N   492 TYR B N   1 
ATOM 10985 C CA  . TYR B 2 492 ? 261.887 -33.559 305.794 1.0 56.88165  ? 492 TYR B CA  492 TYR B CA  1 
ATOM 10986 C C   . TYR B 2 492 ? 261.370 -32.236 306.339 1.0 56.88165  ? 492 TYR B C   492 TYR B C   1 
ATOM 10987 O O   . TYR B 2 492 ? 261.842 -31.178 305.920 1.0 56.88165  ? 492 TYR B O   492 TYR B O   1 
ATOM 10988 C CB  . TYR B 2 492 ? 261.068 -34.002 304.586 1.0 56.88165  ? 492 TYR B CB  492 TYR B CB  1 
ATOM 10989 C CG  . TYR B 2 492 ? 260.986 -33.025 303.441 1.0 56.88165  ? 492 TYR B CG  492 TYR B CG  1 
ATOM 10990 C CD1 . TYR B 2 492 ? 262.058 -32.833 302.586 1.0 56.88165  ? 492 TYR B CD1 492 TYR B CD1 1 
ATOM 10991 C CD2 . TYR B 2 492 ? 259.815 -32.328 303.192 1.0 56.88165  ? 492 TYR B CD2 492 TYR B CD2 1 
ATOM 10992 C CE1 . TYR B 2 492 ? 261.970 -31.954 301.526 1.0 56.88165  ? 492 TYR B CE1 492 TYR B CE1 1 
ATOM 10993 C CE2 . TYR B 2 492 ? 259.718 -31.449 302.139 1.0 56.88165  ? 492 TYR B CE2 492 TYR B CE2 1 
ATOM 10994 C CZ  . TYR B 2 492 ? 260.796 -31.268 301.305 1.0 56.88165  ? 492 TYR B CZ  492 TYR B CZ  1 
ATOM 10995 O OH  . TYR B 2 492 ? 260.701 -30.386 300.254 1.0 56.88165  ? 492 TYR B OH  492 TYR B OH  1 
ATOM 10996 N N   . ARG B 2 493 ? 260.435 -32.260 307.290 1.0 55.04435  ? 493 ARG B N   493 ARG B N   1 
ATOM 10997 C CA  . ARG B 2 493 ? 259.904 -31.011 307.825 1.0 55.04435  ? 493 ARG B CA  493 ARG B CA  1 
ATOM 10998 C C   . ARG B 2 493 ? 260.861 -30.325 308.784 1.0 55.04435  ? 493 ARG B C   493 ARG B C   1 
ATOM 10999 O O   . ARG B 2 493 ? 260.671 -29.144 309.084 1.0 55.04435  ? 493 ARG B O   493 ARG B O   1 
ATOM 11000 C CB  . ARG B 2 493 ? 258.570 -31.244 308.532 1.0 55.04435  ? 493 ARG B CB  493 ARG B CB  1 
ATOM 11001 C CG  . ARG B 2 493 ? 257.474 -31.655 307.595 1.0 55.04435  ? 493 ARG B CG  493 ARG B CG  1 
ATOM 11002 C CD  . ARG B 2 493 ? 256.136 -31.640 308.273 1.0 55.04435  ? 493 ARG B CD  493 ARG B CD  1 
ATOM 11003 N NE  . ARG B 2 493 ? 256.074 -32.594 309.370 1.0 55.04435  ? 493 ARG B NE  493 ARG B NE  1 
ATOM 11004 C CZ  . ARG B 2 493 ? 255.698 -33.857 309.236 1.0 55.04435  ? 493 ARG B CZ  493 ARG B CZ  1 
ATOM 11005 N NH1 . ARG B 2 493 ? 255.346 -34.323 308.047 1.0 55.04435  ? 493 ARG B NH1 493 ARG B NH1 1 
ATOM 11006 N NH2 . ARG B 2 493 ? 255.671 -34.650 310.293 1.0 55.04435  ? 493 ARG B NH2 493 ARG B NH2 1 
ATOM 11007 N N   . SER B 2 494 ? 261.877 -31.027 309.271 1.0 57.57192  ? 494 SER B N   494 SER B N   1 
ATOM 11008 C CA  . SER B 2 494 ? 262.910 -30.380 310.059 1.0 57.57192  ? 494 SER B CA  494 SER B CA  1 
ATOM 11009 C C   . SER B 2 494 ? 264.041 -29.839 309.203 1.0 57.57192  ? 494 SER B C   494 SER B C   1 
ATOM 11010 O O   . SER B 2 494 ? 264.746 -28.925 309.641 1.0 57.57192  ? 494 SER B O   494 SER B O   1 
ATOM 11011 C CB  . SER B 2 494 ? 263.480 -31.349 311.092 1.0 57.57192  ? 494 SER B CB  494 SER B CB  1 
ATOM 11012 O OG  . SER B 2 494 ? 264.505 -30.729 311.843 1.0 57.57192  ? 494 SER B OG  494 SER B OG  1 
ATOM 11013 N N   . GLN B 2 495 ? 264.226 -30.370 307.994 1.0 58.39855  ? 495 GLN B N   495 GLN B N   1 
ATOM 11014 C CA  . GLN B 2 495 ? 265.314 -29.909 307.142 1.0 58.39855  ? 495 GLN B CA  495 GLN B CA  1 
ATOM 11015 C C   . GLN B 2 495 ? 264.992 -28.600 306.438 1.0 58.39855  ? 495 GLN B C   495 GLN B C   1 
ATOM 11016 O O   . GLN B 2 495 ? 265.912 -27.892 306.020 1.0 58.39855  ? 495 GLN B O   495 GLN B O   1 
ATOM 11017 C CB  . GLN B 2 495 ? 265.662 -30.962 306.094 1.0 58.39855  ? 495 GLN B CB  495 GLN B CB  1 
ATOM 11018 C CG  . GLN B 2 495 ? 266.138 -32.281 306.645 1.0 58.39855  ? 495 GLN B CG  495 GLN B CG  1 
ATOM 11019 C CD  . GLN B 2 495 ? 267.395 -32.169 307.459 1.0 58.39855  ? 495 GLN B CD  495 GLN B CD  1 
ATOM 11020 O OE1 . GLN B 2 495 ? 268.292 -31.401 307.129 1.0 58.39855  ? 495 GLN B OE1 495 GLN B OE1 1 
ATOM 11021 N NE2 . GLN B 2 495 ? 267.474 -32.942 308.528 1.0 58.39855  ? 495 GLN B NE2 495 GLN B NE2 1 
ATOM 11022 N N   . LEU B 2 496 ? 263.707 -28.275 306.270 1.0 55.6841   ? 496 LEU B N   496 LEU B N   1 
ATOM 11023 C CA  . LEU B 2 496 ? 263.321 -27.011 305.650 1.0 55.6841   ? 496 LEU B CA  496 LEU B CA  1 
ATOM 11024 C C   . LEU B 2 496 ? 263.651 -25.812 306.518 1.0 55.6841   ? 496 LEU B C   496 LEU B C   1 
ATOM 11025 O O   . LEU B 2 496 ? 263.764 -24.698 305.998 1.0 55.6841   ? 496 LEU B O   496 LEU B O   1 
ATOM 11026 C CB  . LEU B 2 496 ? 261.825 -27.004 305.325 1.0 55.6841   ? 496 LEU B CB  496 LEU B CB  1 
ATOM 11027 C CG  . LEU B 2 496 ? 261.347 -27.412 303.930 1.0 55.6841   ? 496 LEU B CG  496 LEU B CG  1 
ATOM 11028 C CD1 . LEU B 2 496 ? 261.739 -28.811 303.597 1.0 55.6841   ? 496 LEU B CD1 496 LEU B CD1 1 
ATOM 11029 C CD2 . LEU B 2 496 ? 259.834 -27.303 303.859 1.0 55.6841   ? 496 LEU B CD2 496 LEU B CD2 1 
ATOM 11030 N N   . LEU B 2 497 ? 263.817 -26.011 307.819 1.0 54.80141  ? 497 LEU B N   497 LEU B N   1 
ATOM 11031 C CA  . LEU B 2 497 ? 264.064 -24.909 308.728 1.0 54.80141  ? 497 LEU B CA  497 LEU B CA  1 
ATOM 11032 C C   . LEU B 2 497 ? 265.532 -24.758 309.091 1.0 54.80141  ? 497 LEU B C   497 LEU B C   1 
ATOM 11033 O O   . LEU B 2 497 ? 265.943 -23.665 309.493 1.0 54.80141  ? 497 LEU B O   497 LEU B O   1 
ATOM 11034 C CB  . LEU B 2 497 ? 263.241 -25.093 310.005 1.0 54.80141  ? 497 LEU B CB  497 LEU B CB  1 
ATOM 11035 C CG  . LEU B 2 497 ? 261.755 -24.768 310.114 1.0 54.80141  ? 497 LEU B CG  497 LEU B CG  1 
ATOM 11036 C CD1 . LEU B 2 497 ? 260.882 -25.760 309.378 1.0 54.80141  ? 497 LEU B CD1 497 LEU B CD1 1 
ATOM 11037 C CD2 . LEU B 2 497 ? 261.401 -24.775 311.574 1.0 54.80141  ? 497 LEU B CD2 497 LEU B CD2 1 
ATOM 11038 N N   . GLY B 2 498 ? 266.325 -25.817 308.959 1.0 57.51463  ? 498 GLY B N   498 GLY B N   1 
ATOM 11039 C CA  . GLY B 2 498 ? 267.746 -25.787 309.216 1.0 57.51463  ? 498 GLY B CA  498 GLY B CA  1 
ATOM 11040 C C   . GLY B 2 498 ? 268.159 -26.900 310.148 1.0 57.51463  ? 498 GLY B C   498 GLY B C   1 
ATOM 11041 O O   . GLY B 2 498 ? 267.407 -27.845 310.405 1.0 57.51463  ? 498 GLY B O   498 GLY B O   1 
ATOM 11042 N N   . ASN B 2 499 ? 269.383 -26.795 310.665 1.0 60.80067  ? 499 ASN B N   499 ASN B N   1 
ATOM 11043 C CA  . ASN B 2 499 ? 269.900 -27.762 311.619 1.0 60.80067  ? 499 ASN B CA  499 ASN B CA  1 
ATOM 11044 C C   . ASN B 2 499 ? 270.165 -27.185 313.000 1.0 60.80067  ? 499 ASN B C   499 ASN B C   1 
ATOM 11045 O O   . ASN B 2 499 ? 270.405 -27.955 313.934 1.0 60.80067  ? 499 ASN B O   499 ASN B O   1 
ATOM 11046 C CB  . ASN B 2 499 ? 271.195 -28.398 311.095 1.0 60.80067  ? 499 ASN B CB  499 ASN B CB  1 
ATOM 11047 C CG  . ASN B 2 499 ? 272.264 -27.376 310.769 1.0 60.80067  ? 499 ASN B CG  499 ASN B CG  1 
ATOM 11048 O OD1 . ASN B 2 499 ? 272.037 -26.172 310.829 1.0 60.80067  ? 499 ASN B OD1 499 ASN B OD1 1 
ATOM 11049 N ND2 . ASN B 2 499 ? 273.458 -27.858 310.468 1.0 60.80067  ? 499 ASN B ND2 499 ASN B ND2 1 
ATOM 11050 N N   . GLY B 2 500 ? 270.140 -25.867 313.154 1.0 61.71322  ? 500 GLY B N   500 GLY B N   1 
ATOM 11051 C CA  . GLY B 2 500 ? 270.473 -25.251 314.416 1.0 61.71322  ? 500 GLY B CA  500 GLY B CA  1 
ATOM 11052 C C   . GLY B 2 500 ? 269.330 -25.277 315.404 1.0 61.71322  ? 500 GLY B C   500 GLY B C   1 
ATOM 11053 O O   . GLY B 2 500 ? 268.243 -25.783 315.144 1.0 61.71322  ? 500 GLY B O   500 GLY B O   1 
ATOM 11054 N N   . ARG B 2 501 ? 269.605 -24.727 316.581 1.0 63.44254  ? 501 ARG B N   501 ARG B N   1 
ATOM 11055 C CA  . ARG B 2 501 ? 268.602 -24.550 317.620 1.0 63.44254  ? 501 ARG B CA  501 ARG B CA  1 
ATOM 11056 C C   . ARG B 2 501 ? 267.809 -23.267 317.400 1.0 63.44254  ? 501 ARG B C   501 ARG B C   1 
ATOM 11057 O O   . ARG B 2 501 ? 266.577 -23.290 317.380 1.0 63.44254  ? 501 ARG B O   501 ARG B O   1 
ATOM 11058 C CB  . ARG B 2 501 ? 269.287 -24.555 318.987 1.0 63.44254  ? 501 ARG B CB  501 ARG B CB  1 
ATOM 11059 C CG  . ARG B 2 501 ? 268.369 -24.462 320.181 1.0 63.44254  ? 501 ARG B CG  501 ARG B CG  1 
ATOM 11060 C CD  . ARG B 2 501 ? 269.174 -24.656 321.452 1.0 63.44254  ? 501 ARG B CD  501 ARG B CD  1 
ATOM 11061 N NE  . ARG B 2 501 ? 268.353 -24.627 322.655 1.0 63.44254  ? 501 ARG B NE  501 ARG B NE  1 
ATOM 11062 C CZ  . ARG B 2 501 ? 268.147 -23.546 323.396 1.0 63.44254  ? 501 ARG B CZ  501 ARG B CZ  1 
ATOM 11063 N NH1 . ARG B 2 501 ? 268.713 -22.395 323.071 1.0 63.44254  ? 501 ARG B NH1 501 ARG B NH1 1 
ATOM 11064 N NH2 . ARG B 2 501 ? 267.385 -23.620 324.474 1.0 63.44254  ? 501 ARG B NH2 501 ARG B NH2 1 
ATOM 11065 N N   . TYR B 2 502 ? 268.508 -22.152 317.218 1.0 64.67754  ? 502 TYR B N   502 TYR B N   1 
ATOM 11066 C CA  . TYR B 2 502 ? 267.901 -20.876 316.862 1.0 64.67754  ? 502 TYR B CA  502 TYR B CA  1 
ATOM 11067 C C   . TYR B 2 502 ? 267.755 -20.804 315.348 1.0 64.67754  ? 502 TYR B C   502 TYR B C   1 
ATOM 11068 O O   . TYR B 2 502 ? 268.751 -20.888 314.623 1.0 64.67754  ? 502 TYR B O   502 TYR B O   1 
ATOM 11069 C CB  . TYR B 2 502 ? 268.769 -19.719 317.352 1.0 64.67754  ? 502 TYR B CB  502 TYR B CB  1 
ATOM 11070 C CG  . TYR B 2 502 ? 268.855 -19.565 318.848 1.0 64.67754  ? 502 TYR B CG  502 TYR B CG  1 
ATOM 11071 C CD1 . TYR B 2 502 ? 267.897 -20.113 319.680 1.0 64.67754  ? 502 TYR B CD1 502 TYR B CD1 1 
ATOM 11072 C CD2 . TYR B 2 502 ? 269.913 -18.883 319.429 1.0 64.67754  ? 502 TYR B CD2 502 TYR B CD2 1 
ATOM 11073 C CE1 . TYR B 2 502 ? 267.976 -19.970 321.043 1.0 64.67754  ? 502 TYR B CE1 502 TYR B CE1 1 
ATOM 11074 C CE2 . TYR B 2 502 ? 270.004 -18.742 320.800 1.0 64.67754  ? 502 TYR B CE2 502 TYR B CE2 1 
ATOM 11075 C CZ  . TYR B 2 502 ? 269.033 -19.295 321.602 1.0 64.67754  ? 502 TYR B CZ  502 TYR B CZ  1 
ATOM 11076 O OH  . TYR B 2 502 ? 269.098 -19.163 322.971 1.0 64.67754  ? 502 TYR B OH  502 TYR B OH  1 
ATOM 11077 N N   . CYS B 2 503 ? 266.528 -20.635 314.867 1.0 61.53195  ? 503 CYS B N   503 CYS B N   1 
ATOM 11078 C CA  . CYS B 2 503 ? 266.293 -20.569 313.432 1.0 61.53195  ? 503 CYS B CA  503 CYS B CA  1 
ATOM 11079 C C   . CYS B 2 503 ? 265.286 -19.477 313.110 1.0 61.53195  ? 503 CYS B C   503 CYS B C   1 
ATOM 11080 O O   . CYS B 2 503 ? 264.349 -19.237 313.875 1.0 61.53195  ? 503 CYS B O   503 CYS B O   1 
ATOM 11081 C CB  . CYS B 2 503 ? 265.803 -21.915 312.885 1.0 61.53195  ? 503 CYS B CB  503 CYS B CB  1 
ATOM 11082 S SG  . CYS B 2 503 ? 264.219 -22.474 313.530 1.0 61.53195  ? 503 CYS B SG  503 CYS B SG  1 
ATOM 11083 N N   . ASP B 2 504 ? 265.498 -18.809 311.982 1.0 62.93813  ? 504 ASP B N   504 ASP B N   1 
ATOM 11084 C CA  . ASP B 2 504 ? 264.550 -17.843 311.449 1.0 62.93813  ? 504 ASP B CA  504 ASP B CA  1 
ATOM 11085 C C   . ASP B 2 504 ? 263.740 -18.513 310.352 1.0 62.93813  ? 504 ASP B C   504 ASP B C   1 
ATOM 11086 O O   . ASP B 2 504 ? 264.301 -18.973 309.353 1.0 62.93813  ? 504 ASP B O   504 ASP B O   1 
ATOM 11087 C CB  . ASP B 2 504 ? 265.265 -16.614 310.891 1.0 62.93813  ? 504 ASP B CB  504 ASP B CB  1 
ATOM 11088 C CG  . ASP B 2 504 ? 265.927 -15.788 311.966 1.0 62.93813  ? 504 ASP B CG  504 ASP B CG  1 
ATOM 11089 O OD1 . ASP B 2 504 ? 265.439 -15.801 313.113 1.0 62.93813  ? 504 ASP B OD1 504 ASP B OD1 1 
ATOM 11090 O OD2 . ASP B 2 504 ? 266.938 -15.123 311.663 1.0 62.93813  ? 504 ASP B OD2 504 ASP B OD2 1 
ATOM 11091 N N   . PHE B 2 505 ? 262.429 -18.567 310.538 1.0 57.04666  ? 505 PHE B N   505 PHE B N   1 
ATOM 11092 C CA  . PHE B 2 505 ? 261.543 -19.240 309.607 1.0 57.04666  ? 505 PHE B CA  505 PHE B CA  1 
ATOM 11093 C C   . PHE B 2 505 ? 260.733 -18.211 308.832 1.0 57.04666  ? 505 PHE B C   505 PHE B C   1 
ATOM 11094 O O   . PHE B 2 505 ? 260.565 -17.068 309.260 1.0 57.04666  ? 505 PHE B O   505 PHE B O   1 
ATOM 11095 C CB  . PHE B 2 505 ? 260.623 -20.236 310.335 1.0 57.04666  ? 505 PHE B CB  505 PHE B CB  1 
ATOM 11096 C CG  . PHE B 2 505 ? 259.699 -19.605 311.336 1.0 57.04666  ? 505 PHE B CG  505 PHE B CG  1 
ATOM 11097 C CD1 . PHE B 2 505 ? 260.113 -19.381 312.635 1.0 57.04666  ? 505 PHE B CD1 505 PHE B CD1 1 
ATOM 11098 C CD2 . PHE B 2 505 ? 258.400 -19.279 310.992 1.0 57.04666  ? 505 PHE B CD2 505 PHE B CD2 1 
ATOM 11099 C CE1 . PHE B 2 505 ? 259.264 -18.811 313.556 1.0 57.04666  ? 505 PHE B CE1 505 PHE B CE1 1 
ATOM 11100 C CE2 . PHE B 2 505 ? 257.552 -18.708 311.910 1.0 57.04666  ? 505 PHE B CE2 505 PHE B CE2 1 
ATOM 11101 C CZ  . PHE B 2 505 ? 257.983 -18.475 313.192 1.0 57.04666  ? 505 PHE B CZ  505 PHE B CZ  1 
ATOM 11102 N N   . HIS B 2 506 ? 260.252 -18.630 307.665 1.0 57.48464  ? 506 HIS B N   506 HIS B N   1 
ATOM 11103 C CA  . HIS B 2 506 ? 259.430 -17.778 306.813 1.0 57.48464  ? 506 HIS B CA  506 HIS B CA  1 
ATOM 11104 C C   . HIS B 2 506 ? 258.530 -18.715 306.022 1.0 57.48464  ? 506 HIS B C   506 HIS B C   1 
ATOM 11105 O O   . HIS B 2 506 ? 258.942 -19.242 304.984 1.0 57.48464  ? 506 HIS B O   506 HIS B O   1 
ATOM 11106 C CB  . HIS B 2 506 ? 260.283 -16.926 305.892 1.0 57.48464  ? 506 HIS B CB  506 HIS B CB  1 
ATOM 11107 C CG  . HIS B 2 506 ? 259.502 -15.933 305.091 1.0 57.48464  ? 506 HIS B CG  506 HIS B CG  1 
ATOM 11108 N ND1 . HIS B 2 506 ? 260.033 -15.266 304.007 1.0 57.48464  ? 506 HIS B ND1 506 HIS B ND1 1 
ATOM 11109 C CD2 . HIS B 2 506 ? 258.233 -15.486 305.221 1.0 57.48464  ? 506 HIS B CD2 506 HIS B CD2 1 
ATOM 11110 C CE1 . HIS B 2 506 ? 259.121 -14.454 303.504 1.0 57.48464  ? 506 HIS B CE1 506 HIS B CE1 1 
ATOM 11111 N NE2 . HIS B 2 506 ? 258.019 -14.570 304.222 1.0 57.48464  ? 506 HIS B NE2 506 HIS B NE2 1 
ATOM 11112 N N   . ILE B 2 507 ? 257.311 -18.910 306.507 1.0 54.75901  ? 507 ILE B N   507 ILE B N   1 
ATOM 11113 C CA  . ILE B 2 507 ? 256.455 -19.963 305.992 1.0 54.75901  ? 507 ILE B CA  507 ILE B CA  1 
ATOM 11114 C C   . ILE B 2 507 ? 255.150 -19.360 305.493 1.0 54.75901  ? 507 ILE B C   507 ILE B C   1 
ATOM 11115 O O   . ILE B 2 507 ? 254.896 -18.169 305.634 1.0 54.75901  ? 507 ILE B O   507 ILE B O   1 
ATOM 11116 C CB  . ILE B 2 507 ? 256.178 -21.052 307.038 1.0 54.75901  ? 507 ILE B CB  507 ILE B CB  1 
ATOM 11117 C CG1 . ILE B 2 507 ? 255.551 -20.395 308.255 1.0 54.75901  ? 507 ILE B CG1 507 ILE B CG1 1 
ATOM 11118 C CG2 . ILE B 2 507 ? 257.442 -21.795 307.419 1.0 54.75901  ? 507 ILE B CG2 507 ILE B CG2 1 
ATOM 11119 C CD1 . ILE B 2 507 ? 255.070 -21.364 309.253 1.0 54.75901  ? 507 ILE B CD1 507 ILE B CD1 1 
ATOM 11120 N N   . GLN B 2 508 ? 254.314 -20.215 304.909 1.0 54.0875   ? 508 GLN B N   508 GLN B N   1 
ATOM 11121 C CA  . GLN B 2 508 ? 253.041 -19.810 304.320 1.0 54.0875   ? 508 GLN B CA  508 GLN B CA  1 
ATOM 11122 C C   . GLN B 2 508 ? 251.963 -20.769 304.805 1.0 54.0875   ? 508 GLN B C   508 GLN B C   1 
ATOM 11123 O O   . GLN B 2 508 ? 251.959 -21.941 304.416 1.0 54.0875   ? 508 GLN B O   508 GLN B O   1 
ATOM 11124 C CB  . GLN B 2 508 ? 253.106 -19.828 302.794 1.0 54.0875   ? 508 GLN B CB  508 GLN B CB  1 
ATOM 11125 C CG  . GLN B 2 508 ? 254.038 -18.816 302.167 1.0 54.0875   ? 508 GLN B CG  508 GLN B CG  1 
ATOM 11126 C CD  . GLN B 2 508 ? 255.467 -19.293 302.132 1.0 54.0875   ? 508 GLN B CD  508 GLN B CD  1 
ATOM 11127 O OE1 . GLN B 2 508 ? 255.739 -20.477 302.316 1.0 54.0875   ? 508 GLN B OE1 508 GLN B OE1 1 
ATOM 11128 N NE2 . GLN B 2 508 ? 256.391 -18.373 301.907 1.0 54.0875   ? 508 GLN B NE2 508 GLN B NE2 1 
ATOM 11129 N N   . VAL B 2 509 ? 251.041 -20.278 305.627 1.0 53.49788  ? 509 VAL B N   509 VAL B N   1 
ATOM 11130 C CA  . VAL B 2 509 ? 250.005 -21.149 306.176 1.0 53.49788  ? 509 VAL B CA  509 VAL B CA  1 
ATOM 11131 C C   . VAL B 2 509 ? 248.676 -20.866 305.479 1.0 53.49788  ? 509 VAL B C   509 VAL B C   1 
ATOM 11132 O O   . VAL B 2 509 ? 248.413 -19.723 305.080 1.0 53.49788  ? 509 VAL B O   509 VAL B O   1 
ATOM 11133 C CB  . VAL B 2 509 ? 249.920 -21.010 307.706 1.0 53.49788  ? 509 VAL B CB  509 VAL B CB  1 
ATOM 11134 C CG1 . VAL B 2 509 ? 251.245 -21.396 308.323 1.0 53.49788  ? 509 VAL B CG1 509 VAL B CG1 1 
ATOM 11135 C CG2 . VAL B 2 509 ? 249.556 -19.608 308.120 1.0 53.49788  ? 509 VAL B CG2 509 VAL B CG2 1 
ATOM 11136 N N   . PRO B 2 510 ? 247.830 -21.885 305.262 1.0 54.33393  ? 510 PRO B N   510 PRO B N   1 
ATOM 11137 C CA  . PRO B 2 510 ? 246.583 -21.673 304.515 1.0 54.33393  ? 510 PRO B CA  510 PRO B CA  1 
ATOM 11138 C C   . PRO B 2 510 ? 245.421 -21.162 305.346 1.0 54.33393  ? 510 PRO B C   510 PRO B C   1 
ATOM 11139 O O   . PRO B 2 510 ? 245.603 -20.730 306.484 1.0 54.33393  ? 510 PRO B O   510 PRO B O   1 
ATOM 11140 C CB  . PRO B 2 510 ? 246.273 -23.066 303.970 1.0 54.33393  ? 510 PRO B CB  510 PRO B CB  1 
ATOM 11141 C CG  . PRO B 2 510 ? 246.812 -23.990 305.009 1.0 54.33393  ? 510 PRO B CG  510 PRO B CG  1 
ATOM 11142 C CD  . PRO B 2 510 ? 248.058 -23.315 305.543 1.0 54.33393  ? 510 PRO B CD  510 PRO B CD  1 
ATOM 11143 N N   . GLN B 2 511 ? 244.225 -21.178 304.765 1.0 57.90769  ? 511 GLN B N   511 GLN B N   1 
ATOM 11144 C CA  . GLN B 2 511 ? 242.970 -21.104 305.512 1.0 57.90769  ? 511 GLN B CA  511 GLN B CA  1 
ATOM 11145 C C   . GLN B 2 511 ? 242.152 -22.343 305.179 1.0 57.90769  ? 511 GLN B C   511 GLN B C   1 
ATOM 11146 O O   . GLN B 2 511 ? 241.830 -22.582 304.010 1.0 57.90769  ? 511 GLN B O   511 GLN B O   1 
ATOM 11147 C CB  . GLN B 2 511 ? 242.181 -19.839 305.184 1.0 57.90769  ? 511 GLN B CB  511 GLN B CB  1 
ATOM 11148 C CG  . GLN B 2 511 ? 240.845 -19.718 305.922 1.0 57.90769  ? 511 GLN B CG  511 GLN B CG  1 
ATOM 11149 C CD  . GLN B 2 511 ? 240.980 -19.435 307.415 1.0 57.90769  ? 511 GLN B CD  511 GLN B CD  1 
ATOM 11150 O OE1 . GLN B 2 511 ? 241.810 -18.631 307.838 1.0 57.90769  ? 511 GLN B OE1 511 GLN B OE1 1 
ATOM 11151 N NE2 . GLN B 2 511 ? 240.144 -20.088 308.217 1.0 57.90769  ? 511 GLN B NE2 511 GLN B NE2 1 
ATOM 11152 N N   . LYS B 2 512 ? 241.809 -23.123 306.198 1.0 55.5686   ? 512 LYS B N   512 LYS B N   1 
ATOM 11153 C CA  . LYS B 2 512 ? 241.231 -24.441 305.982 1.0 55.5686   ? 512 LYS B CA  512 LYS B CA  1 
ATOM 11154 C C   . LYS B 2 512 ? 239.784 -24.544 306.437 1.0 55.5686   ? 512 LYS B C   512 LYS B C   1 
ATOM 11155 O O   . LYS B 2 512 ? 239.224 -25.641 306.417 1.0 55.5686   ? 512 LYS B O   512 LYS B O   1 
ATOM 11156 C CB  . LYS B 2 512 ? 242.092 -25.495 306.670 1.0 55.5686   ? 512 LYS B CB  512 LYS B CB  1 
ATOM 11157 C CG  . LYS B 2 512 ? 243.486 -25.544 306.101 1.0 55.5686   ? 512 LYS B CG  512 LYS B CG  1 
ATOM 11158 C CD  . LYS B 2 512 ? 244.248 -26.737 306.601 1.0 55.5686   ? 512 LYS B CD  512 LYS B CD  1 
ATOM 11159 C CE  . LYS B 2 512 ? 244.574 -26.607 308.054 1.0 55.5686   ? 512 LYS B CE  512 LYS B CE  1 
ATOM 11160 N NZ  . LYS B 2 512 ? 245.482 -25.468 308.295 1.0 55.5686   ? 512 LYS B NZ  512 LYS B NZ  1 
ATOM 11161 N N   . PHE B 2 513 ? 239.163 -23.441 306.838 1.0 55.24779  ? 513 PHE B N   513 PHE B N   1 
ATOM 11162 C CA  . PHE B 2 513 ? 237.734 -23.451 307.107 1.0 55.24779  ? 513 PHE B CA  513 PHE B CA  1 
ATOM 11163 C C   . PHE B 2 513 ? 236.994 -23.391 305.780 1.0 55.24779  ? 513 PHE B C   513 PHE B C   1 
ATOM 11164 O O   . PHE B 2 513 ? 237.331 -22.585 304.910 1.0 55.24779  ? 513 PHE B O   513 PHE B O   1 
ATOM 11165 C CB  . PHE B 2 513 ? 237.343 -22.285 308.010 1.0 55.24779  ? 513 PHE B CB  513 PHE B CB  1 
ATOM 11166 C CG  . PHE B 2 513 ? 235.899 -22.288 308.410 1.0 55.24779  ? 513 PHE B CG  513 PHE B CG  1 
ATOM 11167 C CD1 . PHE B 2 513 ? 235.425 -23.208 309.326 1.0 55.24779  ? 513 PHE B CD1 513 PHE B CD1 1 
ATOM 11168 C CD2 . PHE B 2 513 ? 235.021 -21.361 307.884 1.0 55.24779  ? 513 PHE B CD2 513 PHE B CD2 1 
ATOM 11169 C CE1 . PHE B 2 513 ? 234.097 -23.214 309.699 1.0 55.24779  ? 513 PHE B CE1 513 PHE B CE1 1 
ATOM 11170 C CE2 . PHE B 2 513 ? 233.694 -21.357 308.258 1.0 55.24779  ? 513 PHE B CE2 513 PHE B CE2 1 
ATOM 11171 C CZ  . PHE B 2 513 ? 233.231 -22.286 309.163 1.0 55.24779  ? 513 PHE B CZ  513 PHE B CZ  1 
ATOM 11172 N N   . PHE B 2 514 ? 235.986 -24.246 305.627 1.0 53.7431   ? 514 PHE B N   514 PHE B N   1 
ATOM 11173 C CA  . PHE B 2 514 ? 235.468 -24.577 304.306 1.0 53.7431   ? 514 PHE B CA  514 PHE B CA  1 
ATOM 11174 C C   . PHE B 2 514 ? 234.585 -23.494 303.695 1.0 53.7431   ? 514 PHE B C   514 PHE B C   1 
ATOM 11175 O O   . PHE B 2 514 ? 234.336 -23.538 302.487 1.0 53.7431   ? 514 PHE B O   514 PHE B O   1 
ATOM 11176 C CB  . PHE B 2 514 ? 234.716 -25.913 304.362 1.0 53.7431   ? 514 PHE B CB  514 PHE B CB  1 
ATOM 11177 C CG  . PHE B 2 514 ? 233.484 -25.899 305.223 1.0 53.7431   ? 514 PHE B CG  514 PHE B CG  1 
ATOM 11178 C CD1 . PHE B 2 514 ? 233.571 -26.128 306.585 1.0 53.7431   ? 514 PHE B CD1 514 PHE B CD1 1 
ATOM 11179 C CD2 . PHE B 2 514 ? 232.232 -25.728 304.662 1.0 53.7431   ? 514 PHE B CD2 514 PHE B CD2 1 
ATOM 11180 C CE1 . PHE B 2 514 ? 232.442 -26.131 307.369 1.0 53.7431   ? 514 PHE B CE1 514 PHE B CE1 1 
ATOM 11181 C CE2 . PHE B 2 514 ? 231.104 -25.738 305.446 1.0 53.7431   ? 514 PHE B CE2 514 PHE B CE2 1 
ATOM 11182 C CZ  . PHE B 2 514 ? 231.209 -25.937 306.799 1.0 53.7431   ? 514 PHE B CZ  514 PHE B CZ  1 
ATOM 11183 N N   . ALA B 2 515 ? 234.111 -22.527 304.476 1.0 53.36111  ? 515 ALA B N   515 ALA B N   1 
ATOM 11184 C CA  . ALA B 2 515 ? 233.335 -21.425 303.916 1.0 53.36111  ? 515 ALA B CA  515 ALA B CA  1 
ATOM 11185 C C   . ALA B 2 515 ? 234.209 -20.288 303.403 1.0 53.36111  ? 515 ALA B C   515 ALA B C   1 
ATOM 11186 O O   . ALA B 2 515 ? 233.682 -19.321 302.845 1.0 53.36111  ? 515 ALA B O   515 ALA B O   1 
ATOM 11187 C CB  . ALA B 2 515 ? 232.345 -20.884 304.949 1.0 53.36111  ? 515 ALA B CB  515 ALA B CB  1 
ATOM 11188 N N   . ILE B 2 516 ? 235.525 -20.373 303.599 1.0 52.31718  ? 516 ILE B N   516 ILE B N   1 
ATOM 11189 C CA  . ILE B 2 516 ? 236.477 -19.405 303.077 1.0 52.31718  ? 516 ILE B CA  516 ILE B CA  1 
ATOM 11190 C C   . ILE B 2 516 ? 237.442 -20.060 302.097 1.0 52.31718  ? 516 ILE B C   516 ILE B C   1 
ATOM 11191 O O   . ILE B 2 516 ? 237.954 -19.406 301.181 1.0 52.31718  ? 516 ILE B O   516 ILE B O   1 
ATOM 11192 C CB  . ILE B 2 516 ? 237.248 -18.727 304.238 1.0 52.31718  ? 516 ILE B CB  516 ILE B CB  1 
ATOM 11193 C CG1 . ILE B 2 516 ? 236.281 -18.122 305.242 1.0 52.31718  ? 516 ILE B CG1 516 ILE B CG1 1 
ATOM 11194 C CG2 . ILE B 2 516 ? 238.136 -17.584 303.772 1.0 52.31718  ? 516 ILE B CG2 516 ILE B CG2 1 
ATOM 11195 C CD1 . ILE B 2 516 ? 236.973 -17.646 306.480 1.0 52.31718  ? 516 ILE B CD1 516 ILE B CD1 1 
ATOM 11196 N N   . LYS B 2 517 ? 237.631 -21.377 302.230 1.0 51.75642  ? 517 LYS B N   517 LYS B N   1 
ATOM 11197 C CA  . LYS B 2 517 ? 238.659 -22.131 301.516 1.0 51.75642  ? 517 LYS B CA  517 LYS B CA  1 
ATOM 11198 C C   . LYS B 2 517 ? 238.484 -22.089 300.001 1.0 51.75642  ? 517 LYS B C   517 LYS B C   1 
ATOM 11199 O O   . LYS B 2 517 ? 239.467 -22.187 299.259 1.0 51.75642  ? 517 LYS B O   517 LYS B O   1 
ATOM 11200 C CB  . LYS B 2 517 ? 238.632 -23.571 302.033 1.0 51.75642  ? 517 LYS B CB  517 LYS B CB  1 
ATOM 11201 C CG  . LYS B 2 517 ? 239.650 -24.533 301.471 1.0 51.75642  ? 517 LYS B CG  517 LYS B CG  1 
ATOM 11202 C CD  . LYS B 2 517 ? 239.534 -25.852 302.203 1.0 51.75642  ? 517 LYS B CD  517 LYS B CD  1 
ATOM 11203 C CE  . LYS B 2 517 ? 238.229 -26.538 301.855 1.0 51.75642  ? 517 LYS B CE  517 LYS B CE  1 
ATOM 11204 N NZ  . LYS B 2 517 ? 238.108 -27.862 302.514 1.0 51.75642  ? 517 LYS B NZ  517 LYS B NZ  1 
ATOM 11205 N N   . ASN B 2 518 ? 237.254 -21.913 299.519 1.0 50.7223   ? 518 ASN B N   518 ASN B N   1 
ATOM 11206 C CA  . ASN B 2 518 ? 237.034 -21.778 298.085 1.0 50.7223   ? 518 ASN B CA  518 ASN B CA  1 
ATOM 11207 C C   . ASN B 2 518 ? 236.018 -20.691 297.767 1.0 50.7223   ? 518 ASN B C   518 ASN B C   1 
ATOM 11208 O O   . ASN B 2 518 ? 235.338 -20.762 296.743 1.0 50.7223   ? 518 ASN B O   518 ASN B O   1 
ATOM 11209 C CB  . ASN B 2 518 ? 236.570 -23.096 297.468 1.0 50.7223   ? 518 ASN B CB  518 ASN B CB  1 
ATOM 11210 C CG  . ASN B 2 518 ? 237.623 -24.175 297.539 1.0 50.7223   ? 518 ASN B CG  518 ASN B CG  1 
ATOM 11211 O OD1 . ASN B 2 518 ? 237.447 -25.185 298.218 1.0 50.7223   ? 518 ASN B OD1 518 ASN B OD1 1 
ATOM 11212 N ND2 . ASN B 2 518 ? 238.730 -23.967 296.838 1.0 50.7223   ? 518 ASN B ND2 518 ASN B ND2 1 
ATOM 11213 N N   . LEU B 2 519 ? 235.899 -19.678 298.616 1.0 48.45663  ? 519 LEU B N   519 LEU B N   1 
ATOM 11214 C CA  . LEU B 2 519 ? 234.903 -18.638 298.397 1.0 48.45663  ? 519 LEU B CA  519 LEU B CA  1 
ATOM 11215 C C   . LEU B 2 519 ? 235.358 -17.685 297.301 1.0 48.45663  ? 519 LEU B C   519 LEU B C   1 
ATOM 11216 O O   . LEU B 2 519 ? 236.499 -17.218 297.305 1.0 48.45663  ? 519 LEU B O   519 LEU B O   1 
ATOM 11217 C CB  . LEU B 2 519 ? 234.640 -17.869 299.689 1.0 48.45663  ? 519 LEU B CB  519 LEU B CB  1 
ATOM 11218 C CG  . LEU B 2 519 ? 233.586 -16.769 299.593 1.0 48.45663  ? 519 LEU B CG  519 LEU B CG  1 
ATOM 11219 C CD1 . LEU B 2 519 ? 232.257 -17.362 299.196 1.0 48.45663  ? 519 LEU B CD1 519 LEU B CD1 1 
ATOM 11220 C CD2 . LEU B 2 519 ? 233.464 -16.031 300.906 1.0 48.45663  ? 519 LEU B CD2 519 LEU B CD2 1 
ATOM 11221 N N   . LEU B 2 520 ? 234.463 -17.403 296.362 1.0 47.82261  ? 520 LEU B N   520 LEU B N   1 
ATOM 11222 C CA  . LEU B 2 520 ? 234.709 -16.459 295.279 1.0 47.82261  ? 520 LEU B CA  520 LEU B CA  1 
ATOM 11223 C C   . LEU B 2 520 ? 234.100 -15.128 295.694 1.0 47.82261  ? 520 LEU B C   520 LEU B C   1 
ATOM 11224 O O   . LEU B 2 520 ? 232.876 -14.979 295.717 1.0 47.82261  ? 520 LEU B O   520 LEU B O   1 
ATOM 11225 C CB  . LEU B 2 520 ? 234.115 -16.988 293.975 1.0 47.82261  ? 520 LEU B CB  520 LEU B CB  1 
ATOM 11226 C CG  . LEU B 2 520 ? 234.393 -16.375 292.602 1.0 47.82261  ? 520 LEU B CG  520 LEU B CG  1 
ATOM 11227 C CD1 . LEU B 2 520 ? 233.492 -15.211 292.300 1.0 47.82261  ? 520 LEU B CD1 520 LEU B CD1 1 
ATOM 11228 C CD2 . LEU B 2 520 ? 235.835 -15.948 292.521 1.0 47.82261  ? 520 LEU B CD2 520 LEU B CD2 1 
ATOM 11229 N N   . LEU B 2 521 ? 234.952 -14.159 295.997 1.0 48.82809  ? 521 LEU B N   521 LEU B N   1 
ATOM 11230 C CA  . LEU B 2 521 ? 234.548 -12.960 296.715 1.0 48.82809  ? 521 LEU B CA  521 LEU B CA  1 
ATOM 11231 C C   . LEU B 2 521 ? 234.258 -11.826 295.738 1.0 48.82809  ? 521 LEU B C   521 LEU B C   1 
ATOM 11232 O O   . LEU B 2 521 ? 235.115 -11.465 294.926 1.0 48.82809  ? 521 LEU B O   521 LEU B O   1 
ATOM 11233 C CB  . LEU B 2 521 ? 235.641 -12.559 297.699 1.0 48.82809  ? 521 LEU B CB  521 LEU B CB  1 
ATOM 11234 C CG  . LEU B 2 521 ? 235.294 -11.447 298.669 1.0 48.82809  ? 521 LEU B CG  521 LEU B CG  1 
ATOM 11235 C CD1 . LEU B 2 521 ? 234.154 -11.903 299.541 1.0 48.82809  ? 521 LEU B CD1 521 LEU B CD1 1 
ATOM 11236 C CD2 . LEU B 2 521 ? 236.507 -11.134 299.502 1.0 48.82809  ? 521 LEU B CD2 521 LEU B CD2 1 
ATOM 11237 N N   . LEU B 2 522 ? 233.062 -11.264 295.833 1.0 50.17841  ? 522 LEU B N   522 LEU B N   1 
ATOM 11238 C CA  . LEU B 2 522 ? 232.633 -10.143 295.010 1.0 50.17841  ? 522 LEU B CA  522 LEU B CA  1 
ATOM 11239 C C   . LEU B 2 522 ? 233.187 -8.843  295.595 1.0 50.17841  ? 522 LEU B C   522 LEU B C   1 
ATOM 11240 O O   . LEU B 2 522 ? 233.739 -8.859  296.695 1.0 50.17841  ? 522 LEU B O   522 LEU B O   1 
ATOM 11241 C CB  . LEU B 2 522 ? 231.106 -10.171 294.921 1.0 50.17841  ? 522 LEU B CB  522 LEU B CB  1 
ATOM 11242 C CG  . LEU B 2 522 ? 230.612 -11.347 294.086 1.0 50.17841  ? 522 LEU B CG  522 LEU B CG  1 
ATOM 11243 C CD1 . LEU B 2 522 ? 229.104 -11.395 294.065 1.0 50.17841  ? 522 LEU B CD1 522 LEU B CD1 1 
ATOM 11244 C CD2 . LEU B 2 522 ? 231.162 -11.251 292.680 1.0 50.17841  ? 522 LEU B CD2 522 LEU B CD2 1 
ATOM 11245 N N   . PRO B 2 523 ? 233.110 -7.712  294.864 1.0 51.77575  ? 523 PRO B N   523 PRO B N   1 
ATOM 11246 C CA  . PRO B 2 523 ? 233.634 -6.450  295.411 1.0 51.77575  ? 523 PRO B CA  523 PRO B CA  1 
ATOM 11247 C C   . PRO B 2 523 ? 232.953 -5.976  296.686 1.0 51.77575  ? 523 PRO B C   523 PRO B C   1 
ATOM 11248 O O   . PRO B 2 523 ? 231.794 -6.286  296.964 1.0 51.77575  ? 523 PRO B O   523 PRO B O   1 
ATOM 11249 C CB  . PRO B 2 523 ? 233.405 -5.455  294.274 1.0 51.77575  ? 523 PRO B CB  523 PRO B CB  1 
ATOM 11250 C CG  . PRO B 2 523 ? 233.524 -6.262  293.082 1.0 51.77575  ? 523 PRO B CG  523 PRO B CG  1 
ATOM 11251 C CD  . PRO B 2 523 ? 232.904 -7.577  293.407 1.0 51.77575  ? 523 PRO B CD  523 PRO B CD  1 
ATOM 11252 N N   . GLY B 2 524 ? 233.711 -5.219  297.462 1.0 53.62545  ? 524 GLY B N   524 GLY B N   1 
ATOM 11253 C CA  . GLY B 2 524 ? 233.316 -4.757  298.780 1.0 53.62545  ? 524 GLY B CA  524 GLY B CA  1 
ATOM 11254 C C   . GLY B 2 524 ? 234.513 -4.802  299.708 1.0 53.62545  ? 524 GLY B C   524 GLY B C   1 
ATOM 11255 O O   . GLY B 2 524 ? 235.510 -5.478  299.454 1.0 53.62545  ? 524 GLY B O   524 GLY B O   1 
ATOM 11256 N N   . THR B 2 525 ? 234.418 -4.056  300.805 1.0 55.49268  ? 525 THR B N   525 THR B N   1 
ATOM 11257 C CA  . THR B 2 525 ? 235.474 -4.025  301.808 1.0 55.49268  ? 525 THR B CA  525 THR B CA  1 
ATOM 11258 C C   . THR B 2 525 ? 235.159 -5.024  302.910 1.0 55.49268  ? 525 THR B C   525 THR B C   1 
ATOM 11259 O O   . THR B 2 525 ? 234.055 -5.023  303.459 1.0 55.49268  ? 525 THR B O   525 THR B O   1 
ATOM 11260 C CB  . THR B 2 525 ? 235.629 -2.632  302.410 1.0 55.49268  ? 525 THR B CB  525 THR B CB  1 
ATOM 11261 O OG1 . THR B 2 525 ? 234.412 -2.260  303.062 1.0 55.49268  ? 525 THR B OG1 525 THR B OG1 1 
ATOM 11262 C CG2 . THR B 2 525 ? 235.954 -1.619  301.333 1.0 55.49268  ? 525 THR B CG2 525 THR B CG2 1 
ATOM 11263 N N   . TYR B 2 526 ? 236.133 -5.863  303.239 1.0 54.68657  ? 526 TYR B N   526 TYR B N   1 
ATOM 11264 C CA  . TYR B 2 526 ? 235.928 -6.946  304.183 1.0 54.68657  ? 526 TYR B CA  526 TYR B CA  1 
ATOM 11265 C C   . TYR B 2 526 ? 237.013 -6.920  305.244 1.0 54.68657  ? 526 TYR B C   526 TYR B C   1 
ATOM 11266 O O   . TYR B 2 526 ? 238.156 -6.544  304.977 1.0 54.68657  ? 526 TYR B O   526 TYR B O   1 
ATOM 11267 C CB  . TYR B 2 526 ? 235.921 -8.292  303.471 1.0 54.68657  ? 526 TYR B CB  526 TYR B CB  1 
ATOM 11268 C CG  . TYR B 2 526 ? 234.781 -8.419  302.502 1.0 54.68657  ? 526 TYR B CG  526 TYR B CG  1 
ATOM 11269 C CD1 . TYR B 2 526 ? 233.511 -8.738  302.943 1.0 54.68657  ? 526 TYR B CD1 526 TYR B CD1 1 
ATOM 11270 C CD2 . TYR B 2 526 ? 234.969 -8.199  301.150 1.0 54.68657  ? 526 TYR B CD2 526 TYR B CD2 1 
ATOM 11271 C CE1 . TYR B 2 526 ? 232.460 -8.840  302.066 1.0 54.68657  ? 526 TYR B CE1 526 TYR B CE1 1 
ATOM 11272 C CE2 . TYR B 2 526 ? 233.924 -8.300  300.261 1.0 54.68657  ? 526 TYR B CE2 526 TYR B CE2 1 
ATOM 11273 C CZ  . TYR B 2 526 ? 232.673 -8.627  300.725 1.0 54.68657  ? 526 TYR B CZ  526 TYR B CZ  1 
ATOM 11274 O OH  . TYR B 2 526 ? 231.623 -8.732  299.845 1.0 54.68657  ? 526 TYR B OH  526 TYR B OH  1 
ATOM 11275 N N   . ASN B 2 527 ? 236.639 -7.321  306.452 1.0 59.05973  ? 527 ASN B N   527 ASN B N   1 
ATOM 11276 C CA  . ASN B 2 527 ? 237.546 -7.374  307.587 1.0 59.05973  ? 527 ASN B CA  527 ASN B CA  1 
ATOM 11277 C C   . ASN B 2 527 ? 237.779 -8.826  307.965 1.0 59.05973  ? 527 ASN B C   527 ASN B C   1 
ATOM 11278 O O   . ASN B 2 527 ? 236.831 -9.551  308.272 1.0 59.05973  ? 527 ASN B O   527 ASN B O   1 
ATOM 11279 C CB  . ASN B 2 527 ? 236.980 -6.595  308.771 1.0 59.05973  ? 527 ASN B CB  527 ASN B CB  1 
ATOM 11280 C CG  . ASN B 2 527 ? 237.000 -5.102  308.539 1.0 59.05973  ? 527 ASN B CG  527 ASN B CG  1 
ATOM 11281 O OD1 . ASN B 2 527 ? 237.986 -4.555  308.046 1.0 59.05973  ? 527 ASN B OD1 527 ASN B OD1 1 
ATOM 11282 N ND2 . ASN B 2 527 ? 235.907 -4.434  308.877 1.0 59.05973  ? 527 ASN B ND2 527 ASN B ND2 1 
ATOM 11283 N N   . TYR B 2 528 ? 239.040 -9.244  307.950 1.0 59.12232  ? 528 TYR B N   528 TYR B N   1 
ATOM 11284 C CA  . TYR B 2 528 ? 239.404 -10.654 308.049 1.0 59.12232  ? 528 TYR B CA  528 TYR B CA  1 
ATOM 11285 C C   . TYR B 2 528 ? 240.432 -10.818 309.162 1.0 59.12232  ? 528 TYR B C   528 TYR B C   1 
ATOM 11286 O O   . TYR B 2 528 ? 241.631 -10.605 308.961 1.0 59.12232  ? 528 TYR B O   528 TYR B O   1 
ATOM 11287 C CB  . TYR B 2 528 ? 239.900 -11.153 306.701 1.0 59.12232  ? 528 TYR B CB  528 TYR B CB  1 
ATOM 11288 C CG  . TYR B 2 528 ? 240.382 -12.579 306.662 1.0 59.12232  ? 528 TYR B CG  528 TYR B CG  1 
ATOM 11289 C CD1 . TYR B 2 528 ? 239.525 -13.629 306.934 1.0 59.12232  ? 528 TYR B CD1 528 TYR B CD1 1 
ATOM 11290 C CD2 . TYR B 2 528 ? 241.665 -12.868 306.261 1.0 59.12232  ? 528 TYR B CD2 528 TYR B CD2 1 
ATOM 11291 C CE1 . TYR B 2 528 ? 239.962 -14.930 306.871 1.0 59.12232  ? 528 TYR B CE1 528 TYR B CE1 1 
ATOM 11292 C CE2 . TYR B 2 528 ? 242.106 -14.160 306.181 1.0 59.12232  ? 528 TYR B CE2 528 TYR B CE2 1 
ATOM 11293 C CZ  . TYR B 2 528 ? 241.253 -15.187 306.492 1.0 59.12232  ? 528 TYR B CZ  528 TYR B CZ  1 
ATOM 11294 O OH  . TYR B 2 528 ? 241.701 -16.478 306.414 1.0 59.12232  ? 528 TYR B OH  528 TYR B OH  1 
ATOM 11295 N N   . GLU B 2 529 ? 239.934 -11.192 310.334 1.0 68.76378  ? 529 GLU B N   529 GLU B N   1 
ATOM 11296 C CA  . GLU B 2 529 ? 240.697 -11.315 311.566 1.0 68.76378  ? 529 GLU B CA  529 GLU B CA  1 
ATOM 11297 C C   . GLU B 2 529 ? 240.795 -12.785 311.935 1.0 68.76378  ? 529 GLU B C   529 GLU B C   1 
ATOM 11298 O O   . GLU B 2 529 ? 239.819 -13.525 311.797 1.0 68.76378  ? 529 GLU B O   529 GLU B O   1 
ATOM 11299 C CB  . GLU B 2 529 ? 240.009 -10.536 312.688 1.0 68.76378  ? 529 GLU B CB  529 GLU B CB  1 
ATOM 11300 C CG  . GLU B 2 529 ? 240.686 -10.601 314.031 1.0 68.76378  ? 529 GLU B CG  529 GLU B CG  1 
ATOM 11301 C CD  . GLU B 2 529 ? 239.907 -9.873  315.102 1.0 68.76378  ? 529 GLU B CD  529 GLU B CD  1 
ATOM 11302 O OE1 . GLU B 2 529 ? 238.828 -9.325  314.803 1.0 68.76378  ? 529 GLU B OE1 529 GLU B OE1 1 
ATOM 11303 O OE2 . GLU B 2 529 ? 240.371 -9.860  316.256 1.0 68.76378  ? 529 GLU B OE2 529 GLU B OE2 1 
ATOM 11304 N N   . TRP B 2 530 ? 241.963 -13.208 312.412 1.0 63.98356  ? 530 TRP B N   530 TRP B N   1 
ATOM 11305 C CA  . TRP B 2 530 ? 242.190 -14.622 312.664 1.0 63.98356  ? 530 TRP B CA  530 TRP B CA  1 
ATOM 11306 C C   . TRP B 2 530 ? 243.332 -14.782 313.658 1.0 63.98356  ? 530 TRP B C   530 TRP B C   1 
ATOM 11307 O O   . TRP B 2 530 ? 244.332 -14.069 313.569 1.0 63.98356  ? 530 TRP B O   530 TRP B O   1 
ATOM 11308 C CB  . TRP B 2 530 ? 242.509 -15.347 311.358 1.0 63.98356  ? 530 TRP B CB  530 TRP B CB  1 
ATOM 11309 C CG  . TRP B 2 530 ? 242.613 -16.795 311.518 1.0 63.98356  ? 530 TRP B CG  530 TRP B CG  1 
ATOM 11310 C CD1 . TRP B 2 530 ? 243.747 -17.500 311.682 1.0 63.98356  ? 530 TRP B CD1 530 TRP B CD1 1 
ATOM 11311 C CD2 . TRP B 2 530 ? 241.544 -17.741 311.506 1.0 63.98356  ? 530 TRP B CD2 530 TRP B CD2 1 
ATOM 11312 N NE1 . TRP B 2 530 ? 243.465 -18.829 311.794 1.0 63.98356  ? 530 TRP B NE1 530 TRP B NE1 1 
ATOM 11313 C CE2 . TRP B 2 530 ? 242.114 -19.006 311.687 1.0 63.98356  ? 530 TRP B CE2 530 TRP B CE2 1 
ATOM 11314 C CE3 . TRP B 2 530 ? 240.164 -17.639 311.358 1.0 63.98356  ? 530 TRP B CE3 530 TRP B CE3 1 
ATOM 11315 C CZ2 . TRP B 2 530 ? 241.357 -20.163 311.734 1.0 63.98356  ? 530 TRP B CZ2 530 TRP B CZ2 1 
ATOM 11316 C CZ3 . TRP B 2 530 ? 239.410 -18.786 311.408 1.0 63.98356  ? 530 TRP B CZ3 530 TRP B CZ3 1 
ATOM 11317 C CH2 . TRP B 2 530 ? 240.007 -20.034 311.591 1.0 63.98356  ? 530 TRP B CH2 530 TRP B CH2 1 
ATOM 11318 N N   . TYR B 2 531 ? 243.188 -15.727 314.584 1.0 67.96287  ? 531 TYR B N   531 TYR B N   1 
ATOM 11319 C CA  . TYR B 2 531 ? 244.144 -15.926 315.666 1.0 67.96287  ? 531 TYR B CA  531 TYR B CA  1 
ATOM 11320 C C   . TYR B 2 531 ? 245.134 -17.038 315.336 1.0 67.96287  ? 531 TYR B C   531 TYR B C   1 
ATOM 11321 O O   . TYR B 2 531 ? 244.826 -17.977 314.601 1.0 67.96287  ? 531 TYR B O   531 TYR B O   1 
ATOM 11322 C CB  . TYR B 2 531 ? 243.433 -16.266 316.977 1.0 67.96287  ? 531 TYR B CB  531 TYR B CB  1 
ATOM 11323 C CG  . TYR B 2 531 ? 242.662 -15.138 317.627 1.0 67.96287  ? 531 TYR B CG  531 TYR B CG  1 
ATOM 11324 C CD1 . TYR B 2 531 ? 242.783 -13.832 317.193 1.0 67.96287  ? 531 TYR B CD1 531 TYR B CD1 1 
ATOM 11325 C CD2 . TYR B 2 531 ? 241.842 -15.386 318.709 1.0 67.96287  ? 531 TYR B CD2 531 TYR B CD2 1 
ATOM 11326 C CE1 . TYR B 2 531 ? 242.079 -12.816 317.806 1.0 67.96287  ? 531 TYR B CE1 531 TYR B CE1 1 
ATOM 11327 C CE2 . TYR B 2 531 ? 241.141 -14.385 319.323 1.0 67.96287  ? 531 TYR B CE2 531 TYR B CE2 1 
ATOM 11328 C CZ  . TYR B 2 531 ? 241.265 -13.101 318.870 1.0 67.96287  ? 531 TYR B CZ  531 TYR B CZ  1 
ATOM 11329 O OH  . TYR B 2 531 ? 240.567 -12.100 319.489 1.0 67.96287  ? 531 TYR B OH  531 TYR B OH  1 
ATOM 11330 N N   . PHE B 2 532 ? 246.328 -16.934 315.926 1.0 62.31574  ? 532 PHE B N   532 PHE B N   1 
ATOM 11331 C CA  . PHE B 2 532 ? 247.444 -17.843 315.690 1.0 62.31574  ? 532 PHE B CA  532 PHE B CA  1 
ATOM 11332 C C   . PHE B 2 532 ? 247.929 -18.413 317.014 1.0 62.31574  ? 532 PHE B C   532 PHE B C   1 
ATOM 11333 O O   . PHE B 2 532 ? 247.935 -17.709 318.023 1.0 62.31574  ? 532 PHE B O   532 PHE B O   1 
ATOM 11334 C CB  . PHE B 2 532 ? 248.590 -17.112 314.996 1.0 62.31574  ? 532 PHE B CB  532 PHE B CB  1 
ATOM 11335 C CG  . PHE B 2 532 ? 248.297 -16.735 313.579 1.0 62.31574  ? 532 PHE B CG  532 PHE B CG  1 
ATOM 11336 C CD1 . PHE B 2 532 ? 247.416 -17.467 312.817 1.0 62.31574  ? 532 PHE B CD1 532 PHE B CD1 1 
ATOM 11337 C CD2 . PHE B 2 532 ? 248.861 -15.610 313.028 1.0 62.31574  ? 532 PHE B CD2 532 PHE B CD2 1 
ATOM 11338 C CE1 . PHE B 2 532 ? 247.136 -17.106 311.520 1.0 62.31574  ? 532 PHE B CE1 532 PHE B CE1 1 
ATOM 11339 C CE2 . PHE B 2 532 ? 248.578 -15.244 311.730 1.0 62.31574  ? 532 PHE B CE2 532 PHE B CE2 1 
ATOM 11340 C CZ  . PHE B 2 532 ? 247.714 -15.993 310.981 1.0 62.31574  ? 532 PHE B CZ  532 PHE B CZ  1 
ATOM 11341 N N   . ARG B 2 533 ? 248.347 -19.678 317.014 1.0 63.15531  ? 533 ARG B N   533 ARG B N   1 
ATOM 11342 C CA  . ARG B 2 533 ? 248.795 -20.316 318.247 1.0 63.15531  ? 533 ARG B CA  533 ARG B CA  1 
ATOM 11343 C C   . ARG B 2 533 ? 250.278 -20.071 318.492 1.0 63.15531  ? 533 ARG B C   533 ARG B C   1 
ATOM 11344 O O   . ARG B 2 533 ? 251.077 -19.970 317.559 1.0 63.15531  ? 533 ARG B O   533 ARG B O   1 
ATOM 11345 C CB  . ARG B 2 533 ? 248.528 -21.824 318.223 1.0 63.15531  ? 533 ARG B CB  533 ARG B CB  1 
ATOM 11346 C CG  . ARG B 2 533 ? 247.058 -22.164 318.307 1.0 63.15531  ? 533 ARG B CG  533 ARG B CG  1 
ATOM 11347 C CD  . ARG B 2 533 ? 246.738 -23.643 318.344 1.0 63.15531  ? 533 ARG B CD  533 ARG B CD  1 
ATOM 11348 N NE  . ARG B 2 533 ? 245.291 -23.816 318.363 1.0 63.15531  ? 533 ARG B NE  533 ARG B NE  1 
ATOM 11349 C CZ  . ARG B 2 533 ? 244.662 -24.978 318.253 1.0 63.15531  ? 533 ARG B CZ  533 ARG B CZ  1 
ATOM 11350 N NH1 . ARG B 2 533 ? 245.345 -26.097 318.101 1.0 63.15531  ? 533 ARG B NH1 533 ARG B NH1 1 
ATOM 11351 N NH2 . ARG B 2 533 ? 243.339 -25.014 318.283 1.0 63.15531  ? 533 ARG B NH2 533 ARG B NH2 1 
ATOM 11352 N N   . LYS B 2 534 ? 250.638 -19.968 319.771 1.0 65.38988  ? 534 LYS B N   534 LYS B N   1 
ATOM 11353 C CA  . LYS B 2 534 ? 252.031 -19.902 320.196 1.0 65.38988  ? 534 LYS B CA  534 LYS B CA  1 
ATOM 11354 C C   . LYS B 2 534 ? 252.394 -21.058 321.117 1.0 65.38988  ? 534 LYS B C   534 LYS B C   1 
ATOM 11355 O O   . LYS B 2 534 ? 253.410 -20.988 321.817 1.0 65.38988  ? 534 LYS B O   534 LYS B O   1 
ATOM 11356 C CB  . LYS B 2 534 ? 252.322 -18.566 320.883 1.0 65.38988  ? 534 LYS B CB  534 LYS B CB  1 
ATOM 11357 C CG  . LYS B 2 534 ? 252.272 -17.380 319.946 1.0 65.38988  ? 534 LYS B CG  534 LYS B CG  1 
ATOM 11358 C CD  . LYS B 2 534 ? 252.404 -16.070 320.691 1.0 65.38988  ? 534 LYS B CD  534 LYS B CD  1 
ATOM 11359 C CE  . LYS B 2 534 ? 253.809 -15.882 321.216 1.0 65.38988  ? 534 LYS B CE  534 LYS B CE  1 
ATOM 11360 N NZ  . LYS B 2 534 ? 253.987 -14.549 321.844 1.0 65.38988  ? 534 LYS B NZ  534 LYS B NZ  1 
ATOM 11361 N N   . ASP B 2 535 ? 251.587 -22.110 321.135 1.0 65.12187  ? 535 ASP B N   535 ASP B N   1 
ATOM 11362 C CA  . ASP B 2 535 ? 251.838 -23.281 321.966 1.0 65.12187  ? 535 ASP B CA  535 ASP B CA  1 
ATOM 11363 C C   . ASP B 2 535 ? 252.912 -24.144 321.314 1.0 65.12187  ? 535 ASP B C   535 ASP B C   1 
ATOM 11364 O O   . ASP B 2 535 ? 252.734 -24.565 320.167 1.0 65.12187  ? 535 ASP B O   535 ASP B O   1 
ATOM 11365 C CB  . ASP B 2 535 ? 250.548 -24.075 322.121 1.0 65.12187  ? 535 ASP B CB  535 ASP B CB  1 
ATOM 11366 C CG  . ASP B 2 535 ? 250.609 -25.104 323.228 1.0 65.12187  ? 535 ASP B CG  535 ASP B CG  1 
ATOM 11367 O OD1 . ASP B 2 535 ? 251.629 -25.182 323.937 1.0 65.12187  ? 535 ASP B OD1 535 ASP B OD1 1 
ATOM 11368 O OD2 . ASP B 2 535 ? 249.621 -25.851 323.384 1.0 65.12187  ? 535 ASP B OD2 535 ASP B OD2 1 
ATOM 11369 N N   . PRO B 2 536 ? 254.028 -24.428 321.992 1.0 62.53326  ? 536 PRO B N   536 PRO B N   1 
ATOM 11370 C CA  . PRO B 2 536 ? 255.084 -25.220 321.343 1.0 62.53326  ? 536 PRO B CA  536 PRO B CA  1 
ATOM 11371 C C   . PRO B 2 536 ? 254.715 -26.678 321.141 1.0 62.53326  ? 536 PRO B C   536 PRO B C   1 
ATOM 11372 O O   . PRO B 2 536 ? 255.137 -27.273 320.143 1.0 62.53326  ? 536 PRO B O   536 PRO B O   1 
ATOM 11373 C CB  . PRO B 2 536 ? 256.272 -25.069 322.300 1.0 62.53326  ? 536 PRO B CB  536 PRO B CB  1 
ATOM 11374 C CG  . PRO B 2 536 ? 255.984 -23.826 323.067 1.0 62.53326  ? 536 PRO B CG  536 PRO B CG  1 
ATOM 11375 C CD  . PRO B 2 536 ? 254.502 -23.811 323.239 1.0 62.53326  ? 536 PRO B CD  536 PRO B CD  1 
ATOM 11376 N N   . ASN B 2 537 ? 253.930 -27.268 322.046 1.0 63.28288  ? 537 ASN B N   537 ASN B N   1 
ATOM 11377 C CA  . ASN B 2 537 ? 253.520 -28.658 321.876 1.0 63.28288  ? 537 ASN B CA  537 ASN B CA  1 
ATOM 11378 C C   . ASN B 2 537 ? 252.522 -28.827 320.747 1.0 63.28288  ? 537 ASN B C   537 ASN B C   1 
ATOM 11379 O O   . ASN B 2 537 ? 252.438 -29.908 320.160 1.0 63.28288  ? 537 ASN B O   537 ASN B O   1 
ATOM 11380 C CB  . ASN B 2 537 ? 252.934 -29.199 323.171 1.0 63.28288  ? 537 ASN B CB  537 ASN B CB  1 
ATOM 11381 C CG  . ASN B 2 537 ? 253.988 -29.489 324.191 1.0 63.28288  ? 537 ASN B CG  537 ASN B CG  1 
ATOM 11382 O OD1 . ASN B 2 537 ? 254.136 -28.770 325.179 1.0 63.28288  ? 537 ASN B OD1 537 ASN B OD1 1 
ATOM 11383 N ND2 . ASN B 2 537 ? 254.711 -30.563 323.984 1.0 63.28288  ? 537 ASN B ND2 537 ASN B ND2 1 
ATOM 11384 N N   . MET B 2 538 ? 251.763 -27.788 320.429 1.0 62.03511  ? 538 MET B N   538 MET B N   1 
ATOM 11385 C CA  . MET B 2 538 ? 250.777 -27.909 319.367 1.0 62.03511  ? 538 MET B CA  538 MET B CA  1 
ATOM 11386 C C   . MET B 2 538 ? 251.342 -27.509 318.012 1.0 62.03511  ? 538 MET B C   538 MET B C   1 
ATOM 11387 O O   . MET B 2 538 ? 251.071 -28.172 317.006 1.0 62.03511  ? 538 MET B O   538 MET B O   1 
ATOM 11388 C CB  . MET B 2 538 ? 249.553 -27.060 319.696 1.0 62.03511  ? 538 MET B CB  538 MET B CB  1 
ATOM 11389 C CG  . MET B 2 538 ? 248.429 -27.216 318.713 1.0 62.03511  ? 538 MET B CG  538 MET B CG  1 
ATOM 11390 S SD  . MET B 2 538 ? 247.715 -28.861 318.733 1.0 62.03511  ? 538 MET B SD  538 MET B SD  1 
ATOM 11391 C CE  . MET B 2 538 ? 246.842 -28.799 320.290 1.0 62.03511  ? 538 MET B CE  538 MET B CE  1 
ATOM 11392 N N   . VAL B 2 539 ? 252.136 -26.442 317.972 1.0 58.40064  ? 539 VAL B N   539 VAL B N   1 
ATOM 11393 C CA  . VAL B 2 539 ? 252.707 -25.981 316.712 1.0 58.40064  ? 539 VAL B CA  539 VAL B CA  1 
ATOM 11394 C C   . VAL B 2 539 ? 253.819 -26.917 316.255 1.0 58.40064  ? 539 VAL B C   539 VAL B C   1 
ATOM 11395 O O   . VAL B 2 539 ? 253.781 -27.457 315.145 1.0 58.40064  ? 539 VAL B O   539 VAL B O   1 
ATOM 11396 C CB  . VAL B 2 539 ? 253.208 -24.534 316.848 1.0 58.40064  ? 539 VAL B CB  539 VAL B CB  1 
ATOM 11397 C CG1 . VAL B 2 539 ? 253.957 -24.122 315.615 1.0 58.40064  ? 539 VAL B CG1 539 VAL B CG1 1 
ATOM 11398 C CG2 . VAL B 2 539 ? 252.043 -23.600 317.071 1.0 58.40064  ? 539 VAL B CG2 539 VAL B CG2 1 
ATOM 11399 N N   . LEU B 2 540 ? 254.815 -27.133 317.106 1.0 57.29006  ? 540 LEU B N   540 LEU B N   1 
ATOM 11400 C CA  . LEU B 2 540 ? 255.962 -27.940 316.725 1.0 57.29006  ? 540 LEU B CA  540 LEU B CA  1 
ATOM 11401 C C   . LEU B 2 540 ? 255.643 -29.426 316.865 1.0 57.29006  ? 540 LEU B C   540 LEU B C   1 
ATOM 11402 O O   . LEU B 2 540 ? 254.643 -29.821 317.467 1.0 57.29006  ? 540 LEU B O   540 LEU B O   1 
ATOM 11403 C CB  . LEU B 2 540 ? 257.186 -27.592 317.573 1.0 57.29006  ? 540 LEU B CB  540 LEU B CB  1 
ATOM 11404 C CG  . LEU B 2 540 ? 258.073 -26.388 317.229 1.0 57.29006  ? 540 LEU B CG  540 LEU B CG  1 
ATOM 11405 C CD1 . LEU B 2 540 ? 258.623 -26.495 315.817 1.0 57.29006  ? 540 LEU B CD1 540 LEU B CD1 1 
ATOM 11406 C CD2 . LEU B 2 540 ? 257.394 -25.045 317.453 1.0 57.29006  ? 540 LEU B CD2 540 LEU B CD2 1 
ATOM 11407 N N   . GLN B 2 541 ? 256.516 -30.255 316.295 1.0 57.04327  ? 541 GLN B N   541 GLN B N   1 
ATOM 11408 C CA  . GLN B 2 541 ? 256.373 -31.705 316.334 1.0 57.04327  ? 541 GLN B CA  541 GLN B CA  1 
ATOM 11409 C C   . GLN B 2 541 ? 257.737 -32.328 316.557 1.0 57.04327  ? 541 GLN B C   541 GLN B C   1 
ATOM 11410 O O   . GLN B 2 541 ? 258.616 -32.214 315.699 1.0 57.04327  ? 541 GLN B O   541 GLN B O   1 
ATOM 11411 C CB  . GLN B 2 541 ? 255.777 -32.244 315.037 1.0 57.04327  ? 541 GLN B CB  541 GLN B CB  1 
ATOM 11412 C CG  . GLN B 2 541 ? 255.542 -33.740 315.056 1.0 57.04327  ? 541 GLN B CG  541 GLN B CG  1 
ATOM 11413 C CD  . GLN B 2 541 ? 254.947 -34.255 313.766 1.0 57.04327  ? 541 GLN B CD  541 GLN B CD  1 
ATOM 11414 O OE1 . GLN B 2 541 ? 254.745 -33.500 312.819 1.0 57.04327  ? 541 GLN B OE1 541 GLN B OE1 1 
ATOM 11415 N NE2 . GLN B 2 541 ? 254.664 -35.549 313.721 1.0 57.04327  ? 541 GLN B NE2 541 GLN B NE2 1 
ATOM 11416 N N   . SER B 2 542 ? 257.907 -33.002 317.682 1.0 59.15495  ? 542 SER B N   542 SER B N   1 
ATOM 11417 C CA  . SER B 2 542 ? 259.153 -33.687 317.977 1.0 59.15495  ? 542 SER B CA  542 SER B CA  1 
ATOM 11418 C C   . SER B 2 542 ? 259.051 -35.154 317.589 1.0 59.15495  ? 542 SER B C   542 SER B C   1 
ATOM 11419 O O   . SER B 2 542 ? 257.964 -35.691 317.374 1.0 59.15495  ? 542 SER B O   542 SER B O   1 
ATOM 11420 C CB  . SER B 2 542 ? 259.507 -33.558 319.456 1.0 59.15495  ? 542 SER B CB  542 SER B CB  1 
ATOM 11421 O OG  . SER B 2 542 ? 258.543 -34.215 320.254 1.0 59.15495  ? 542 SER B OG  542 SER B OG  1 
ATOM 11422 N N   . THR B 2 543 ? 260.211 -35.800 317.488 1.0 57.86073  ? 543 THR B N   543 THR B N   1 
ATOM 11423 C CA  . THR B 2 543 ? 260.233 -37.221 317.168 1.0 57.86073  ? 543 THR B CA  543 THR B CA  1 
ATOM 11424 C C   . THR B 2 543 ? 259.824 -38.055 318.370 1.0 57.86073  ? 543 THR B C   543 THR B C   1 
ATOM 11425 O O   . THR B 2 543 ? 258.918 -38.888 318.280 1.0 57.86073  ? 543 THR B O   543 THR B O   1 
ATOM 11426 C CB  . THR B 2 543 ? 261.617 -37.633 316.682 1.0 57.86073  ? 543 THR B CB  543 THR B CB  1 
ATOM 11427 O OG1 . THR B 2 543 ? 261.911 -36.954 315.461 1.0 57.86073  ? 543 THR B OG1 543 THR B OG1 1 
ATOM 11428 C CG2 . THR B 2 543 ? 261.676 -39.124 316.449 1.0 57.86073  ? 543 THR B CG2 543 THR B CG2 1 
ATOM 11429 N N   . LEU B 2 544 ? 260.470 -37.833 319.511 1.0 60.3951   ? 544 LEU B N   544 LEU B N   1 
ATOM 11430 C CA  . LEU B 2 544 ? 260.207 -38.647 320.688 1.0 60.3951   ? 544 LEU B CA  544 LEU B CA  1 
ATOM 11431 C C   . LEU B 2 544 ? 258.878 -38.324 321.352 1.0 60.3951   ? 544 LEU B C   544 LEU B C   1 
ATOM 11432 O O   . LEU B 2 544 ? 258.401 -39.122 322.164 1.0 60.3951   ? 544 LEU B O   544 LEU B O   1 
ATOM 11433 C CB  . LEU B 2 544 ? 261.336 -38.472 321.697 1.0 60.3951   ? 544 LEU B CB  544 LEU B CB  1 
ATOM 11434 C CG  . LEU B 2 544 ? 262.685 -38.946 321.176 1.0 60.3951   ? 544 LEU B CG  544 LEU B CG  1 
ATOM 11435 C CD1 . LEU B 2 544 ? 263.768 -38.638 322.179 1.0 60.3951   ? 544 LEU B CD1 544 LEU B CD1 1 
ATOM 11436 C CD2 . LEU B 2 544 ? 262.638 -40.425 320.874 1.0 60.3951   ? 544 LEU B CD2 544 LEU B CD2 1 
ATOM 11437 N N   . GLY B 2 545 ? 258.270 -37.188 321.029 1.0 60.65066  ? 545 GLY B N   545 GLY B N   1 
ATOM 11438 C CA  . GLY B 2 545 ? 257.008 -36.832 321.643 1.0 60.65066  ? 545 GLY B CA  545 GLY B CA  1 
ATOM 11439 C C   . GLY B 2 545 ? 257.133 -36.366 323.072 1.0 60.65066  ? 545 GLY B C   545 GLY B C   1 
ATOM 11440 O O   . GLY B 2 545 ? 256.292 -36.712 323.905 1.0 60.65066  ? 545 GLY B O   545 GLY B O   1 
ATOM 11441 N N   . ASN B 2 546 ? 258.167 -35.593 323.382 1.0 63.09002  ? 546 ASN B N   546 ASN B N   1 
ATOM 11442 C CA  . ASN B 2 546 ? 258.388 -35.097 324.731 1.0 63.09002  ? 546 ASN B CA  546 ASN B CA  1 
ATOM 11443 C C   . ASN B 2 546 ? 257.533 -33.856 324.990 1.0 63.09002  ? 546 ASN B C   546 ASN B C   1 
ATOM 11444 O O   . ASN B 2 546 ? 256.618 -33.525 324.233 1.0 63.09002  ? 546 ASN B O   546 ASN B O   1 
ATOM 11445 C CB  . ASN B 2 546 ? 259.875 -34.835 324.953 1.0 63.09002  ? 546 ASN B CB  546 ASN B CB  1 
ATOM 11446 C CG  . ASN B 2 546 ? 260.479 -33.933 323.898 1.0 63.09002  ? 546 ASN B CG  546 ASN B CG  1 
ATOM 11447 O OD1 . ASN B 2 546 ? 259.804 -33.484 322.976 1.0 63.09002  ? 546 ASN B OD1 546 ASN B OD1 1 
ATOM 11448 N ND2 . ASN B 2 546 ? 261.764 -33.654 324.037 1.0 63.09002  ? 546 ASN B ND2 546 ASN B ND2 1 
ATOM 11449 N N   . ASP B 2 547 ? 257.826 -33.159 326.083 1.0 66.43886  ? 547 ASP B N   547 ASP B N   1 
ATOM 11450 C CA  . ASP B 2 547 ? 257.127 -31.937 326.456 1.0 66.43886  ? 547 ASP B CA  547 ASP B CA  1 
ATOM 11451 C C   . ASP B 2 547 ? 257.999 -30.763 326.031 1.0 66.43886  ? 547 ASP B C   547 ASP B C   1 
ATOM 11452 O O   . ASP B 2 547 ? 259.040 -30.502 326.641 1.0 66.43886  ? 547 ASP B O   547 ASP B O   1 
ATOM 11453 C CB  . ASP B 2 547 ? 256.857 -31.909 327.959 1.0 66.43886  ? 547 ASP B CB  547 ASP B CB  1 
ATOM 11454 C CG  . ASP B 2 547 ? 255.848 -30.851 328.357 1.0 66.43886  ? 547 ASP B CG  547 ASP B CG  1 
ATOM 11455 O OD1 . ASP B 2 547 ? 255.313 -30.165 327.465 1.0 66.43886  ? 547 ASP B OD1 547 ASP B OD1 1 
ATOM 11456 O OD2 . ASP B 2 547 ? 255.593 -30.698 329.570 1.0 66.43886  ? 547 ASP B OD2 547 ASP B OD2 1 
ATOM 11457 N N   . LEU B 2 548 ? 257.575 -30.053 324.989 1.0 63.87595  ? 548 LEU B N   548 LEU B N   1 
ATOM 11458 C CA  . LEU B 2 548 ? 258.365 -28.940 324.487 1.0 63.87595  ? 548 LEU B CA  548 LEU B CA  1 
ATOM 11459 C C   . LEU B 2 548 ? 258.126 -27.642 325.241 1.0 63.87595  ? 548 LEU B C   548 LEU B C   1 
ATOM 11460 O O   . LEU B 2 548 ? 259.033 -26.807 325.302 1.0 63.87595  ? 548 LEU B O   548 LEU B O   1 
ATOM 11461 C CB  . LEU B 2 548 ? 258.096 -28.718 322.999 1.0 63.87595  ? 548 LEU B CB  548 LEU B CB  1 
ATOM 11462 C CG  . LEU B 2 548 ? 258.621 -29.800 322.063 1.0 63.87595  ? 548 LEU B CG  548 LEU B CG  1 
ATOM 11463 C CD1 . LEU B 2 548 ? 258.239 -29.476 320.641 1.0 63.87595  ? 548 LEU B CD1 548 LEU B CD1 1 
ATOM 11464 C CD2 . LEU B 2 548 ? 260.122 -29.925 322.194 1.0 63.87595  ? 548 LEU B CD2 548 LEU B CD2 1 
ATOM 11465 N N   . ARG B 2 549 ? 256.946 -27.445 325.839 1.0 67.54301  ? 549 ARG B N   549 ARG B N   1 
ATOM 11466 C CA  . ARG B 2 549 ? 256.759 -26.239 326.640 1.0 67.54301  ? 549 ARG B CA  549 ARG B CA  1 
ATOM 11467 C C   . ARG B 2 549 ? 257.475 -26.321 327.979 1.0 67.54301  ? 549 ARG B C   549 ARG B C   1 
ATOM 11468 O O   . ARG B 2 549 ? 257.554 -25.311 328.685 1.0 67.54301  ? 549 ARG B O   549 ARG B O   1 
ATOM 11469 C CB  . ARG B 2 549 ? 255.278 -25.950 326.881 1.0 67.54301  ? 549 ARG B CB  549 ARG B CB  1 
ATOM 11470 C CG  . ARG B 2 549 ? 254.597 -26.907 327.832 1.0 67.54301  ? 549 ARG B CG  549 ARG B CG  1 
ATOM 11471 C CD  . ARG B 2 549 ? 253.175 -26.447 328.129 1.0 67.54301  ? 549 ARG B CD  549 ARG B CD  1 
ATOM 11472 N NE  . ARG B 2 549 ? 252.334 -26.473 326.943 1.0 67.54301  ? 549 ARG B NE  549 ARG B NE  1 
ATOM 11473 C CZ  . ARG B 2 549 ? 251.581 -27.505 326.589 1.0 67.54301  ? 549 ARG B CZ  549 ARG B CZ  1 
ATOM 11474 N NH1 . ARG B 2 549 ? 251.548 -28.591 327.340 1.0 67.54301  ? 549 ARG B NH1 549 ARG B NH1 1 
ATOM 11475 N NH2 . ARG B 2 549 ? 250.853 -27.444 325.486 1.0 67.54301  ? 549 ARG B NH2 549 ARG B NH2 1 
ATOM 11476 N N   . ALA B 2 550 ? 257.975 -27.496 328.348 1.0 67.9365   ? 550 ALA B N   550 ALA B N   1 
ATOM 11477 C CA  . ALA B 2 550 ? 258.904 -27.640 329.456 1.0 67.9365   ? 550 ALA B CA  550 ALA B CA  1 
ATOM 11478 C C   . ALA B 2 550 ? 260.351 -27.584 328.986 1.0 67.9365   ? 550 ALA B C   550 ALA B C   1 
ATOM 11479 O O   . ALA B 2 550 ? 261.211 -27.054 329.695 1.0 67.9365   ? 550 ALA B O   550 ALA B O   1 
ATOM 11480 C CB  . ALA B 2 550 ? 258.644 -28.954 330.191 1.0 67.9365   ? 550 ALA B CB  550 ALA B CB  1 
ATOM 11481 N N   . ASP B 2 551 ? 260.636 -28.107 327.796 1.0 68.27731  ? 551 ASP B N   551 ASP B N   1 
ATOM 11482 C CA  . ASP B 2 551 ? 262.008 -28.178 327.295 1.0 68.27731  ? 551 ASP B CA  551 ASP B CA  1 
ATOM 11483 C C   . ASP B 2 551 ? 262.384 -26.961 326.457 1.0 68.27731  ? 551 ASP B C   551 ASP B C   1 
ATOM 11484 O O   . ASP B 2 551 ? 262.877 -27.088 325.339 1.0 68.27731  ? 551 ASP B O   551 ASP B O   1 
ATOM 11485 C CB  . ASP B 2 551 ? 262.202 -29.461 326.497 1.0 68.27731  ? 551 ASP B CB  551 ASP B CB  1 
ATOM 11486 C CG  . ASP B 2 551 ? 262.175 -30.695 327.368 1.0 68.27731  ? 551 ASP B CG  551 ASP B CG  1 
ATOM 11487 O OD1 . ASP B 2 551 ? 262.536 -30.591 328.559 1.0 68.27731  ? 551 ASP B OD1 551 ASP B OD1 1 
ATOM 11488 O OD2 . ASP B 2 551 ? 261.801 -31.772 326.862 1.0 68.27731  ? 551 ASP B OD2 551 ASP B OD2 1 
ATOM 11489 N N   . GLY B 2 552 ? 262.144 -25.767 326.995 1.0 66.52503  ? 552 GLY B N   552 GLY B N   1 
ATOM 11490 C CA  . GLY B 2 552 ? 262.689 -24.535 326.453 1.0 66.52503  ? 552 GLY B CA  552 GLY B CA  1 
ATOM 11491 C C   . GLY B 2 552 ? 262.248 -24.080 325.074 1.0 66.52503  ? 552 GLY B C   552 GLY B C   1 
ATOM 11492 O O   . GLY B 2 552 ? 262.747 -23.065 324.581 1.0 66.52503  ? 552 GLY B O   552 GLY B O   1 
ATOM 11493 N N   . ALA B 2 553 ? 261.333 -24.804 324.436 1.0 63.82665  ? 553 ALA B N   553 ALA B N   1 
ATOM 11494 C CA  . ALA B 2 553 ? 260.898 -24.428 323.099 1.0 63.82665  ? 553 ALA B CA  553 ALA B CA  1 
ATOM 11495 C C   . ALA B 2 553 ? 259.979 -23.219 323.164 1.0 63.82665  ? 553 ALA B C   553 ALA B C   1 
ATOM 11496 O O   . ALA B 2 553 ? 259.141 -23.101 324.062 1.0 63.82665  ? 553 ALA B O   553 ALA B O   1 
ATOM 11497 C CB  . ALA B 2 553 ? 260.186 -25.593 322.416 1.0 63.82665  ? 553 ALA B CB  553 ALA B CB  1 
ATOM 11498 N N   . SER B 2 554 ? 260.144 -22.314 322.207 1.0 64.4807   ? 554 SER B N   554 SER B N   1 
ATOM 11499 C CA  . SER B 2 554 ? 259.378 -21.078 322.192 1.0 64.4807   ? 554 SER B CA  554 SER B CA  1 
ATOM 11500 C C   . SER B 2 554 ? 259.297 -20.574 320.763 1.0 64.4807   ? 554 SER B C   554 SER B C   1 
ATOM 11501 O O   . SER B 2 554 ? 260.205 -20.800 319.961 1.0 64.4807   ? 554 SER B O   554 SER B O   1 
ATOM 11502 C CB  . SER B 2 554 ? 260.010 -20.017 323.097 1.0 64.4807   ? 554 SER B CB  554 SER B CB  1 
ATOM 11503 O OG  . SER B 2 554 ? 259.284 -18.803 323.045 1.0 64.4807   ? 554 SER B OG  554 SER B OG  1 
ATOM 11504 N N   . ILE B 2 555 ? 258.204 -19.884 320.458 1.0 63.60409  ? 555 ILE B N   555 ILE B N   1 
ATOM 11505 C CA  . ILE B 2 555 ? 257.960 -19.330 319.135 1.0 63.60409  ? 555 ILE B CA  555 ILE B CA  1 
ATOM 11506 C C   . ILE B 2 555 ? 257.402 -17.921 319.299 1.0 63.60409  ? 555 ILE B C   555 ILE B C   1 
ATOM 11507 O O   . ILE B 2 555 ? 256.666 -17.639 320.251 1.0 63.60409  ? 555 ILE B O   555 ILE B O   1 
ATOM 11508 C CB  . ILE B 2 555 ? 257.016 -20.246 318.314 1.0 63.60409  ? 555 ILE B CB  555 ILE B CB  1 
ATOM 11509 C CG1 . ILE B 2 555 ? 256.875 -19.775 316.866 1.0 63.60409  ? 555 ILE B CG1 555 ILE B CG1 1 
ATOM 11510 C CG2 . ILE B 2 555 ? 255.664 -20.429 318.987 1.0 63.60409  ? 555 ILE B CG2 555 ILE B CG2 1 
ATOM 11511 C CD1 . ILE B 2 555 ? 256.215 -20.789 315.972 1.0 63.60409  ? 555 ILE B CD1 555 ILE B CD1 1 
ATOM 11512 N N   . THR B 2 556 ? 257.808 -17.017 318.411 1.0 64.44968  ? 556 THR B N   556 THR B N   1 
ATOM 11513 C CA  . THR B 2 556 ? 257.261 -15.671 318.382 1.0 64.44968  ? 556 THR B CA  556 THR B CA  1 
ATOM 11514 C C   . THR B 2 556 ? 257.202 -15.194 316.939 1.0 64.44968  ? 556 THR B C   556 THR B C   1 
ATOM 11515 O O   . THR B 2 556 ? 257.878 -15.730 316.059 1.0 64.44968  ? 556 THR B O   556 THR B O   1 
ATOM 11516 C CB  . THR B 2 556 ? 258.074 -14.699 319.246 1.0 64.44968  ? 556 THR B CB  556 THR B CB  1 
ATOM 11517 O OG1 . THR B 2 556 ? 257.420 -13.425 319.281 1.0 64.44968  ? 556 THR B OG1 556 THR B OG1 1 
ATOM 11518 C CG2 . THR B 2 556 ? 259.469 -14.531 318.700 1.0 64.44968  ? 556 THR B CG2 556 THR B CG2 1 
ATOM 11519 N N   . TYR B 2 557 ? 256.373 -14.186 316.701 1.0 62.08223  ? 557 TYR B N   557 TYR B N   1 
ATOM 11520 C CA  . TYR B 2 557 ? 256.062 -13.734 315.354 1.0 62.08223  ? 557 TYR B CA  557 TYR B CA  1 
ATOM 11521 C C   . TYR B 2 557 ? 256.562 -12.311 315.163 1.0 62.08223  ? 557 TYR B C   557 TYR B C   1 
ATOM 11522 O O   . TYR B 2 557 ? 256.328 -11.447 316.013 1.0 62.08223  ? 557 TYR B O   557 TYR B O   1 
ATOM 11523 C CB  . TYR B 2 557 ? 254.558 -13.810 315.104 1.0 62.08223  ? 557 TYR B CB  557 TYR B CB  1 
ATOM 11524 C CG  . TYR B 2 557 ? 254.005 -15.211 315.204 1.0 62.08223  ? 557 TYR B CG  557 TYR B CG  1 
ATOM 11525 C CD1 . TYR B 2 557 ? 254.137 -16.107 314.159 1.0 62.08223  ? 557 TYR B CD1 557 TYR B CD1 1 
ATOM 11526 C CD2 . TYR B 2 557 ? 253.349 -15.636 316.346 1.0 62.08223  ? 557 TYR B CD2 557 TYR B CD2 1 
ATOM 11527 C CE1 . TYR B 2 557 ? 253.632 -17.386 314.250 1.0 62.08223  ? 557 TYR B CE1 557 TYR B CE1 1 
ATOM 11528 C CE2 . TYR B 2 557 ? 252.840 -16.915 316.443 1.0 62.08223  ? 557 TYR B CE2 557 TYR B CE2 1 
ATOM 11529 C CZ  . TYR B 2 557 ? 252.986 -17.783 315.391 1.0 62.08223  ? 557 TYR B CZ  557 TYR B CZ  1 
ATOM 11530 O OH  . TYR B 2 557 ? 252.486 -19.056 315.475 1.0 62.08223  ? 557 TYR B OH  557 TYR B OH  1 
ATOM 11531 N N   . THR B 2 558 ? 257.249 -12.069 314.049 1.0 63.05529  ? 558 THR B N   558 THR B N   1 
ATOM 11532 C CA  . THR B 2 558 ? 257.803 -10.746 313.785 1.0 63.05529  ? 558 THR B CA  558 THR B CA  1 
ATOM 11533 C C   . THR B 2 558 ? 256.828 -9.878  312.996 1.0 63.05529  ? 558 THR B C   558 THR B C   1 
ATOM 11534 O O   . THR B 2 558 ? 256.390 -8.830  313.477 1.0 63.05529  ? 558 THR B O   558 THR B O   1 
ATOM 11535 C CB  . THR B 2 558 ? 259.130 -10.870 313.033 1.0 63.05529  ? 558 THR B CB  558 THR B CB  1 
ATOM 11536 O OG1 . THR B 2 558 ? 260.066 -11.601 313.833 1.0 63.05529  ? 558 THR B OG1 558 THR B OG1 1 
ATOM 11537 C CG2 . THR B 2 558 ? 259.692 -9.498  312.737 1.0 63.05529  ? 558 THR B CG2 558 THR B CG2 1 
ATOM 11538 N N   . GLN B 2 559 ? 256.480 -10.305 311.786 1.0 62.25943  ? 559 GLN B N   559 GLN B N   1 
ATOM 11539 C CA  . GLN B 2 559 ? 255.479 -9.621  310.984 1.0 62.25943  ? 559 GLN B CA  559 GLN B CA  1 
ATOM 11540 C C   . GLN B 2 559 ? 254.692 -10.662 310.211 1.0 62.25943  ? 559 GLN B C   559 GLN B C   1 
ATOM 11541 O O   . GLN B 2 559 ? 255.202 -11.737 309.890 1.0 62.25943  ? 559 GLN B O   559 GLN B O   1 
ATOM 11542 C CB  . GLN B 2 559 ? 256.098 -8.594  310.025 1.0 62.25943  ? 559 GLN B CB  559 GLN B CB  1 
ATOM 11543 C CG  . GLN B 2 559 ? 256.984 -9.174  308.943 1.0 62.25943  ? 559 GLN B CG  559 GLN B CG  1 
ATOM 11544 C CD  . GLN B 2 559 ? 257.576 -8.105  308.052 1.0 62.25943  ? 559 GLN B CD  559 GLN B CD  1 
ATOM 11545 O OE1 . GLN B 2 559 ? 257.276 -6.921  308.201 1.0 62.25943  ? 559 GLN B OE1 559 GLN B OE1 1 
ATOM 11546 N NE2 . GLN B 2 559 ? 258.426 -8.515  307.120 1.0 62.25943  ? 559 GLN B NE2 559 GLN B NE2 1 
ATOM 11547 N N   . ILE B 2 560 ? 253.426 -10.352 309.947 1.0 58.2959   ? 560 ILE B N   560 ILE B N   1 
ATOM 11548 C CA  . ILE B 2 560 ? 252.496 -11.289 309.326 1.0 58.2959   ? 560 ILE B CA  560 ILE B CA  1 
ATOM 11549 C C   . ILE B 2 560 ? 251.699 -10.555 308.259 1.0 58.2959   ? 560 ILE B C   560 ILE B C   1 
ATOM 11550 O O   . ILE B 2 560 ? 251.064 -9.538  308.546 1.0 58.2959   ? 560 ILE B O   560 ILE B O   1 
ATOM 11551 C CB  . ILE B 2 560 ? 251.553 -11.921 310.366 1.0 58.2959   ? 560 ILE B CB  560 ILE B CB  1 
ATOM 11552 C CG1 . ILE B 2 560 ? 252.322 -12.894 311.250 1.0 58.2959   ? 560 ILE B CG1 560 ILE B CG1 1 
ATOM 11553 C CG2 . ILE B 2 560 ? 250.371 -12.592 309.703 1.0 58.2959   ? 560 ILE B CG2 560 ILE B CG2 1 
ATOM 11554 C CD1 . ILE B 2 560 ? 251.558 -13.383 312.389 1.0 58.2959   ? 560 ILE B CD1 560 ILE B CD1 1 
ATOM 11555 N N   . ASN B 2 561 ? 251.728 -11.070 307.034 1.0 56.19551  ? 561 ASN B N   561 ASN B N   1 
ATOM 11556 C CA  . ASN B 2 561 ? 250.990 -10.490 305.926 1.0 56.19551  ? 561 ASN B CA  561 ASN B CA  1 
ATOM 11557 C C   . ASN B 2 561 ? 250.028 -11.516 305.345 1.0 56.19551  ? 561 ASN B C   561 ASN B C   1 
ATOM 11558 O O   . ASN B 2 561 ? 250.222 -12.726 305.477 1.0 56.19551  ? 561 ASN B O   561 ASN B O   1 
ATOM 11559 C CB  . ASN B 2 561 ? 251.934 -10.004 304.825 1.0 56.19551  ? 561 ASN B CB  561 ASN B CB  1 
ATOM 11560 C CG  . ASN B 2 561 ? 252.780 -8.834  305.260 1.0 56.19551  ? 561 ASN B CG  561 ASN B CG  1 
ATOM 11561 O OD1 . ASN B 2 561 ? 252.303 -7.932  305.945 1.0 56.19551  ? 561 ASN B OD1 561 ASN B OD1 1 
ATOM 11562 N ND2 . ASN B 2 561 ? 254.043 -8.833  304.854 1.0 56.19551  ? 561 ASN B ND2 561 ASN B ND2 1 
ATOM 11563 N N   . LEU B 2 562 ? 248.986 -11.016 304.693 1.0 52.25618  ? 562 LEU B N   562 LEU B N   1 
ATOM 11564 C CA  . LEU B 2 562 ? 248.046 -11.836 303.945 1.0 52.25618  ? 562 LEU B CA  562 LEU B CA  1 
ATOM 11565 C C   . LEU B 2 562 ? 248.195 -11.540 302.463 1.0 52.25618  ? 562 LEU B C   562 LEU B C   1 
ATOM 11566 O O   . LEU B 2 562 ? 248.280 -10.378 302.060 1.0 52.25618  ? 562 LEU B O   562 LEU B O   1 
ATOM 11567 C CB  . LEU B 2 562 ? 246.607 -11.565 304.376 1.0 52.25618  ? 562 LEU B CB  562 LEU B CB  1 
ATOM 11568 C CG  . LEU B 2 562 ? 245.495 -12.307 303.639 1.0 52.25618  ? 562 LEU B CG  562 LEU B CG  1 
ATOM 11569 C CD1 . LEU B 2 562 ? 245.510 -13.778 303.988 1.0 52.25618  ? 562 LEU B CD1 562 LEU B CD1 1 
ATOM 11570 C CD2 . LEU B 2 562 ? 244.142 -11.682 303.911 1.0 52.25618  ? 562 LEU B CD2 562 LEU B CD2 1 
ATOM 11571 N N   . TYR B 2 563 ? 248.230 -12.589 301.653 1.0 51.57901  ? 563 TYR B N   563 TYR B N   1 
ATOM 11572 C CA  . TYR B 2 563 ? 248.360 -12.456 300.211 1.0 51.57901  ? 563 TYR B CA  563 TYR B CA  1 
ATOM 11573 C C   . TYR B 2 563 ? 247.091 -12.956 299.544 1.0 51.57901  ? 563 TYR B C   563 TYR B C   1 
ATOM 11574 O O   . TYR B 2 563 ? 246.615 -14.045 299.862 1.0 51.57901  ? 563 TYR B O   563 TYR B O   1 
ATOM 11575 C CB  . TYR B 2 563 ? 249.560 -13.246 299.694 1.0 51.57901  ? 563 TYR B CB  563 TYR B CB  1 
ATOM 11576 C CG  . TYR B 2 563 ? 250.900 -12.673 300.070 1.0 51.57901  ? 563 TYR B CG  563 TYR B CG  1 
ATOM 11577 C CD1 . TYR B 2 563 ? 251.025 -11.380 300.545 1.0 51.57901  ? 563 TYR B CD1 563 TYR B CD1 1 
ATOM 11578 C CD2 . TYR B 2 563 ? 252.048 -13.425 299.936 1.0 51.57901  ? 563 TYR B CD2 563 TYR B CD2 1 
ATOM 11579 C CE1 . TYR B 2 563 ? 252.254 -10.865 300.883 1.0 51.57901  ? 563 TYR B CE1 563 TYR B CE1 1 
ATOM 11580 C CE2 . TYR B 2 563 ? 253.275 -12.907 300.268 1.0 51.57901  ? 563 TYR B CE2 563 TYR B CE2 1 
ATOM 11581 C CZ  . TYR B 2 563 ? 253.373 -11.628 300.743 1.0 51.57901  ? 563 TYR B CZ  563 TYR B CZ  1 
ATOM 11582 O OH  . TYR B 2 563 ? 254.605 -11.118 301.077 1.0 51.57901  ? 563 TYR B OH  563 TYR B OH  1 
ATOM 11583 N N   . VAL B 2 564 ? 246.541 -12.162 298.631 1.0 51.14032  ? 564 VAL B N   564 VAL B N   1 
ATOM 11584 C CA  . VAL B 2 564 ? 245.442 -12.598 297.783 1.0 51.14032  ? 564 VAL B CA  564 VAL B CA  1 
ATOM 11585 C C   . VAL B 2 564 ? 245.872 -12.441 296.333 1.0 51.14032  ? 564 VAL B C   564 VAL B C   1 
ATOM 11586 O O   . VAL B 2 564 ? 246.867 -11.785 296.023 1.0 51.14032  ? 564 VAL B O   564 VAL B O   1 
ATOM 11587 C CB  . VAL B 2 564 ? 244.141 -11.824 298.051 1.0 51.14032  ? 564 VAL B CB  564 VAL B CB  1 
ATOM 11588 C CG1 . VAL B 2 564 ? 243.630 -12.123 299.438 1.0 51.14032  ? 564 VAL B CG1 564 VAL B CG1 1 
ATOM 11589 C CG2 . VAL B 2 564 ? 244.378 -10.344 297.892 1.0 51.14032  ? 564 VAL B CG2 564 VAL B CG2 1 
ATOM 11590 N N   . SER B 2 565 ? 245.108 -13.059 295.438 1.0 52.39343  ? 565 SER B N   565 SER B N   1 
ATOM 11591 C CA  . SER B 2 565 ? 245.413 -13.045 294.016 1.0 52.39343  ? 565 SER B CA  565 SER B CA  1 
ATOM 11592 C C   . SER B 2 565 ? 244.201 -12.571 293.233 1.0 52.39343  ? 565 SER B C   565 SER B C   1 
ATOM 11593 O O   . SER B 2 565 ? 243.111 -13.132 293.368 1.0 52.39343  ? 565 SER B O   565 SER B O   1 
ATOM 11594 C CB  . SER B 2 565 ? 245.841 -14.425 293.527 1.0 52.39343  ? 565 SER B CB  565 SER B CB  1 
ATOM 11595 O OG  . SER B 2 565 ? 247.049 -14.827 294.144 1.0 52.39343  ? 565 SER B OG  565 SER B OG  1 
ATOM 11596 N N   . PHE B 2 566 ? 244.400 -11.552 292.404 1.0 54.60666  ? 566 PHE B N   566 PHE B N   1 
ATOM 11597 C CA  . PHE B 2 566 ? 243.332 -10.980 291.597 1.0 54.60666  ? 566 PHE B CA  566 PHE B CA  1 
ATOM 11598 C C   . PHE B 2 566 ? 243.387 -11.593 290.207 1.0 54.60666  ? 566 PHE B C   566 PHE B C   1 
ATOM 11599 O O   . PHE B 2 566 ? 244.440 -11.575 289.564 1.0 54.60666  ? 566 PHE B O   566 PHE B O   1 
ATOM 11600 C CB  . PHE B 2 566 ? 243.462 -9.460  291.468 1.0 54.60666  ? 566 PHE B CB  566 PHE B CB  1 
ATOM 11601 C CG  . PHE B 2 566 ? 243.266 -8.692  292.748 1.0 54.60666  ? 566 PHE B CG  566 PHE B CG  1 
ATOM 11602 C CD1 . PHE B 2 566 ? 242.749 -9.280  293.887 1.0 54.60666  ? 566 PHE B CD1 566 PHE B CD1 1 
ATOM 11603 C CD2 . PHE B 2 566 ? 243.587 -7.347  292.790 1.0 54.60666  ? 566 PHE B CD2 566 PHE B CD2 1 
ATOM 11604 C CE1 . PHE B 2 566 ? 242.593 -8.547  295.045 1.0 54.60666  ? 566 PHE B CE1 566 PHE B CE1 1 
ATOM 11605 C CE2 . PHE B 2 566 ? 243.415 -6.613  293.942 1.0 54.60666  ? 566 PHE B CE2 566 PHE B CE2 1 
ATOM 11606 C CZ  . PHE B 2 566 ? 242.913 -7.217  295.068 1.0 54.60666  ? 566 PHE B CZ  566 PHE B CZ  1 
ATOM 11607 N N   . PHE B 2 567 ? 242.275 -12.122 289.749 1.0 52.85311  ? 567 PHE B N   567 PHE B N   1 
ATOM 11608 C CA  . PHE B 2 567 ? 242.290 -12.486 288.338 1.0 52.85311  ? 567 PHE B CA  567 PHE B CA  1 
ATOM 11609 C C   . PHE B 2 567 ? 241.998 -11.251 287.498 1.0 52.85311  ? 567 PHE B C   567 PHE B C   1 
ATOM 11610 O O   . PHE B 2 567 ? 240.978 -10.590 287.721 1.0 52.85311  ? 567 PHE B O   567 PHE B O   1 
ATOM 11611 C CB  . PHE B 2 567 ? 241.269 -13.571 288.032 1.0 52.85311  ? 567 PHE B CB  567 PHE B CB  1 
ATOM 11612 C CG  . PHE B 2 567 ? 241.273 -14.010 286.596 1.0 52.85311  ? 567 PHE B CG  567 PHE B CG  1 
ATOM 11613 C CD1 . PHE B 2 567 ? 242.295 -14.802 286.105 1.0 52.85311  ? 567 PHE B CD1 567 PHE B CD1 1 
ATOM 11614 C CD2 . PHE B 2 567 ? 240.255 -13.634 285.737 1.0 52.85311  ? 567 PHE B CD2 567 PHE B CD2 1 
ATOM 11615 C CE1 . PHE B 2 567 ? 242.306 -15.207 284.785 1.0 52.85311  ? 567 PHE B CE1 567 PHE B CE1 1 
ATOM 11616 C CE2 . PHE B 2 567 ? 240.261 -14.036 284.414 1.0 52.85311  ? 567 PHE B CE2 567 PHE B CE2 1 
ATOM 11617 C CZ  . PHE B 2 567 ? 241.289 -14.823 283.941 1.0 52.85311  ? 567 PHE B CZ  567 PHE B CZ  1 
ATOM 11618 N N   . PRO B 2 568 ? 242.853 -10.899 286.542 1.0 53.97953  ? 568 PRO B N   568 PRO B N   1 
ATOM 11619 C CA  . PRO B 2 568 ? 242.650 -9.650  285.784 1.0 53.97953  ? 568 PRO B CA  568 PRO B CA  1 
ATOM 11620 C C   . PRO B 2 568 ? 241.588 -9.784  284.702 1.0 53.97953  ? 568 PRO B C   568 PRO B C   1 
ATOM 11621 O O   . PRO B 2 568 ? 241.856 -9.753  283.506 1.0 53.97953  ? 568 PRO B O   568 PRO B O   1 
ATOM 11622 C CB  . PRO B 2 568 ? 244.042 -9.391  285.205 1.0 53.97953  ? 568 PRO B CB  568 PRO B CB  1 
ATOM 11623 C CG  . PRO B 2 568 ? 244.617 -10.738 285.036 1.0 53.97953  ? 568 PRO B CG  568 PRO B CG  1 
ATOM 11624 C CD  . PRO B 2 568 ? 244.110 -11.564 286.175 1.0 53.97953  ? 568 PRO B CD  568 PRO B CD  1 
ATOM 11625 N N   . MET B 2 569 ? 240.337 -9.924  285.120 1.0 55.88975  ? 569 MET B N   569 MET B N   1 
ATOM 11626 C CA  . MET B 2 569 ? 239.251 -10.108 284.173 1.0 55.88975  ? 569 MET B CA  569 MET B CA  1 
ATOM 11627 C C   . MET B 2 569 ? 238.866 -8.766  283.566 1.0 55.88975  ? 569 MET B C   569 MET B C   1 
ATOM 11628 O O   . MET B 2 569 ? 238.947 -7.730  284.230 1.0 55.88975  ? 569 MET B O   569 MET B O   1 
ATOM 11629 C CB  . MET B 2 569 ? 238.058 -10.759 284.869 1.0 55.88975  ? 569 MET B CB  569 MET B CB  1 
ATOM 11630 C CG  . MET B 2 569 ? 236.960 -11.227 283.943 1.0 55.88975  ? 569 MET B CG  569 MET B CG  1 
ATOM 11631 S SD  . MET B 2 569 ? 235.661 -12.087 284.830 1.0 55.88975  ? 569 MET B SD  569 MET B SD  1 
ATOM 11632 C CE  . MET B 2 569 ? 236.524 -13.597 285.236 1.0 55.88975  ? 569 MET B CE  569 MET B CE  1 
ATOM 11633 N N   . ASN B 2 570 ? 238.491 -8.789  282.285 1.0 58.61861  ? 570 ASN B N   570 ASN B N   1 
ATOM 11634 C CA  . ASN B 2 570 ? 238.056 -7.581  281.596 1.0 58.61861  ? 570 ASN B CA  570 ASN B CA  1 
ATOM 11635 C C   . ASN B 2 570 ? 236.774 -7.058  282.221 1.0 58.61861  ? 570 ASN B C   570 ASN B C   1 
ATOM 11636 O O   . ASN B 2 570 ? 235.864 -7.828  282.531 1.0 58.61861  ? 570 ASN B O   570 ASN B O   1 
ATOM 11637 C CB  . ASN B 2 570 ? 237.819 -7.860  280.114 1.0 58.61861  ? 570 ASN B CB  570 ASN B CB  1 
ATOM 11638 C CG  . ASN B 2 570 ? 237.642 -6.589  279.299 1.0 58.61861  ? 570 ASN B CG  570 ASN B CG  1 
ATOM 11639 O OD1 . ASN B 2 570 ? 237.790 -5.479  279.808 1.0 58.61861  ? 570 ASN B OD1 570 ASN B OD1 1 
ATOM 11640 N ND2 . ASN B 2 570 ? 237.299 -6.748  278.029 1.0 58.61861  ? 570 ASN B ND2 570 ASN B ND2 1 
ATOM 11641 N N   . TYR B 2 571 ? 236.698 -5.733  282.371 1.0 59.27794  ? 571 TYR B N   571 TYR B N   1 
ATOM 11642 C CA  . TYR B 2 571 ? 235.632 -5.129  283.160 1.0 59.27794  ? 571 TYR B CA  571 TYR B CA  1 
ATOM 11643 C C   . TYR B 2 571 ? 234.273 -5.235  282.485 1.0 59.27794  ? 571 TYR B C   571 TYR B C   1 
ATOM 11644 O O   . TYR B 2 571 ? 233.250 -5.138  283.166 1.0 59.27794  ? 571 TYR B O   571 TYR B O   1 
ATOM 11645 C CB  . TYR B 2 571 ? 235.934 -3.657  283.451 1.0 59.27794  ? 571 TYR B CB  571 TYR B CB  1 
ATOM 11646 C CG  . TYR B 2 571 ? 237.092 -3.379  284.396 1.0 59.27794  ? 571 TYR B CG  571 TYR B CG  1 
ATOM 11647 C CD1 . TYR B 2 571 ? 237.759 -4.400  285.057 1.0 59.27794  ? 571 TYR B CD1 571 TYR B CD1 1 
ATOM 11648 C CD2 . TYR B 2 571 ? 237.470 -2.076  284.670 1.0 59.27794  ? 571 TYR B CD2 571 TYR B CD2 1 
ATOM 11649 C CE1 . TYR B 2 571 ? 238.807 -4.127  285.918 1.0 59.27794  ? 571 TYR B CE1 571 TYR B CE1 1 
ATOM 11650 C CE2 . TYR B 2 571 ? 238.508 -1.795  285.535 1.0 59.27794  ? 571 TYR B CE2 571 TYR B CE2 1 
ATOM 11651 C CZ  . TYR B 2 571 ? 239.167 -2.822  286.159 1.0 59.27794  ? 571 TYR B CZ  571 TYR B CZ  1 
ATOM 11652 O OH  . TYR B 2 571 ? 240.197 -2.544  287.023 1.0 59.27794  ? 571 TYR B OH  571 TYR B OH  1 
ATOM 11653 N N   . ASP B 2 572 ? 234.238 -5.437  281.169 1.0 59.657    ? 572 ASP B N   572 ASP B N   1 
ATOM 11654 C CA  . ASP B 2 572 ? 232.970 -5.701  280.503 1.0 59.657    ? 572 ASP B CA  572 ASP B CA  1 
ATOM 11655 C C   . ASP B 2 572 ? 232.492 -7.117  280.786 1.0 59.657    ? 572 ASP B C   572 ASP B C   1 
ATOM 11656 O O   . ASP B 2 572 ? 231.305 -7.338  281.045 1.0 59.657    ? 572 ASP B O   572 ASP B O   1 
ATOM 11657 C CB  . ASP B 2 572 ? 233.114 -5.480  279.001 1.0 59.657    ? 572 ASP B CB  572 ASP B CB  1 
ATOM 11658 C CG  . ASP B 2 572 ? 233.328 -4.029  278.646 1.0 59.657    ? 572 ASP B CG  572 ASP B CG  1 
ATOM 11659 O OD1 . ASP B 2 572 ? 232.815 -3.159  279.377 1.0 59.657    ? 572 ASP B OD1 572 ASP B OD1 1 
ATOM 11660 O OD2 . ASP B 2 572 ? 234.013 -3.756  277.639 1.0 59.657    ? 572 ASP B OD2 572 ASP B OD2 1 
ATOM 11661 N N   . THR B 2 573 ? 233.403 -8.087  280.739 1.0 57.14188  ? 573 THR B N   573 THR B N   1 
ATOM 11662 C CA  . THR B 2 573 ? 233.045 -9.473  281.008 1.0 57.14188  ? 573 THR B CA  573 THR B CA  1 
ATOM 11663 C C   . THR B 2 573 ? 232.816 -9.698  282.495 1.0 57.14188  ? 573 THR B C   573 THR B C   1 
ATOM 11664 O O   . THR B 2 573 ? 231.942 -10.480 282.884 1.0 57.14188  ? 573 THR B O   573 THR B O   1 
ATOM 11665 C CB  . THR B 2 573 ? 234.146 -10.391 280.477 1.0 57.14188  ? 573 THR B CB  573 THR B CB  1 
ATOM 11666 O OG1 . THR B 2 573 ? 234.342 -10.128 279.084 1.0 57.14188  ? 573 THR B OG1 573 THR B OG1 1 
ATOM 11667 C CG2 . THR B 2 573 ? 233.780 -11.852 280.637 1.0 57.14188  ? 573 THR B CG2 573 THR B CG2 1 
ATOM 11668 N N   . GLN B 2 574 ? 233.580 -8.993  283.330 1.0 56.72296  ? 574 GLN B N   574 GLN B N   1 
ATOM 11669 C CA  . GLN B 2 574 ? 233.426 -9.102  284.775 1.0 56.72296  ? 574 GLN B CA  574 GLN B CA  1 
ATOM 11670 C C   . GLN B 2 574 ? 232.070 -8.576  285.222 1.0 56.72296  ? 574 GLN B C   574 GLN B C   1 
ATOM 11671 O O   . GLN B 2 574 ? 231.467 -9.116  286.154 1.0 56.72296  ? 574 GLN B O   574 GLN B O   1 
ATOM 11672 C CB  . GLN B 2 574 ? 234.559 -8.337  285.460 1.0 56.72296  ? 574 GLN B CB  574 GLN B CB  1 
ATOM 11673 C CG  . GLN B 2 574 ? 234.791 -8.568  286.945 1.0 56.72296  ? 574 GLN B CG  574 GLN B CG  1 
ATOM 11674 C CD  . GLN B 2 574 ? 233.796 -7.861  287.829 1.0 56.72296  ? 574 GLN B CD  574 GLN B CD  1 
ATOM 11675 O OE1 . GLN B 2 574 ? 233.349 -8.408  288.829 1.0 56.72296  ? 574 GLN B OE1 574 GLN B OE1 1 
ATOM 11676 N NE2 . GLN B 2 574 ? 233.368 -6.682  287.408 1.0 56.72296  ? 574 GLN B NE2 574 GLN B NE2 1 
ATOM 11677 N N   . SER B 2 575 ? 231.584 -7.514  284.581 1.0 57.83649  ? 575 SER B N   575 SER B N   1 
ATOM 11678 C CA  . SER B 2 575 ? 230.337 -6.889  285.000 1.0 57.83649  ? 575 SER B CA  575 SER B CA  1 
ATOM 11679 C C   . SER B 2 575 ? 229.121 -7.747  284.694 1.0 57.83649  ? 575 SER B C   575 SER B C   1 
ATOM 11680 O O   . SER B 2 575 ? 228.078 -7.568  285.329 1.0 57.83649  ? 575 SER B O   575 SER B O   1 
ATOM 11681 C CB  . SER B 2 575 ? 230.190 -5.528  284.332 1.0 57.83649  ? 575 SER B CB  575 SER B CB  1 
ATOM 11682 O OG  . SER B 2 575 ? 228.969 -4.927  284.695 1.0 57.83649  ? 575 SER B OG  575 SER B OG  1 
ATOM 11683 N N   . GLU B 2 576 ? 229.224 -8.665  283.735 1.0 58.15785  ? 576 GLU B N   576 GLU B N   1 
ATOM 11684 C CA  . GLU B 2 576 ? 228.158 -9.638  283.542 1.0 58.15785  ? 576 GLU B CA  576 GLU B CA  1 
ATOM 11685 C C   . GLU B 2 576 ? 228.196 -10.703 284.627 1.0 58.15785  ? 576 GLU B C   576 GLU B C   1 
ATOM 11686 O O   . GLU B 2 576 ? 227.148 -11.123 285.127 1.0 58.15785  ? 576 GLU B O   576 GLU B O   1 
ATOM 11687 C CB  . GLU B 2 576 ? 228.271 -10.277 282.162 1.0 58.15785  ? 576 GLU B CB  576 GLU B CB  1 
ATOM 11688 C CG  . GLU B 2 576 ? 228.006 -9.327  281.012 1.0 58.15785  ? 576 GLU B CG  576 GLU B CG  1 
ATOM 11689 C CD  . GLU B 2 576 ? 228.158 -10.001 279.664 1.0 58.15785  ? 576 GLU B CD  576 GLU B CD  1 
ATOM 11690 O OE1 . GLU B 2 576 ? 228.600 -11.168 279.630 1.0 58.15785  ? 576 GLU B OE1 576 GLU B OE1 1 
ATOM 11691 O OE2 . GLU B 2 576 ? 227.832 -9.368  278.639 1.0 58.15785  ? 576 GLU B OE2 576 GLU B OE2 1 
ATOM 11692 N N   . LEU B 2 577 ? 229.395 -11.150 285.002 1.0 53.96492  ? 577 LEU B N   577 LEU B N   1 
ATOM 11693 C CA  . LEU B 2 577 ? 229.526 -12.163 286.043 1.0 53.96492  ? 577 LEU B CA  577 LEU B CA  1 
ATOM 11694 C C   . LEU B 2 577 ? 229.182 -11.598 287.414 1.0 53.96492  ? 577 LEU B C   577 LEU B C   1 
ATOM 11695 O O   . LEU B 2 577 ? 228.553 -12.276 288.234 1.0 53.96492  ? 577 LEU B O   577 LEU B O   1 
ATOM 11696 C CB  . LEU B 2 577 ? 230.944 -12.722 286.038 1.0 53.96492  ? 577 LEU B CB  577 LEU B CB  1 
ATOM 11697 C CG  . LEU B 2 577 ? 231.257 -13.769 287.098 1.0 53.96492  ? 577 LEU B CG  577 LEU B CG  1 
ATOM 11698 C CD1 . LEU B 2 577 ? 230.391 -14.989 286.895 1.0 53.96492  ? 577 LEU B CD1 577 LEU B CD1 1 
ATOM 11699 C CD2 . LEU B 2 577 ? 232.727 -14.128 287.069 1.0 53.96492  ? 577 LEU B CD2 577 LEU B CD2 1 
ATOM 11700 N N   . GLU B 2 578 ? 229.580 -10.351 287.671 1.0 55.49748  ? 578 GLU B N   578 GLU B N   1 
ATOM 11701 C CA  . GLU B 2 578 ? 229.276 -9.692  288.936 1.0 55.49748  ? 578 GLU B CA  578 GLU B CA  1 
ATOM 11702 C C   . GLU B 2 578 ? 227.788 -9.429  289.085 1.0 55.49748  ? 578 GLU B C   578 GLU B C   1 
ATOM 11703 O O   . GLU B 2 578 ? 227.292 -9.323  290.207 1.0 55.49748  ? 578 GLU B O   578 GLU B O   1 
ATOM 11704 C CB  . GLU B 2 578 ? 230.070 -8.386  289.020 1.0 55.49748  ? 578 GLU B CB  578 GLU B CB  1 
ATOM 11705 C CG  . GLU B 2 578 ? 230.088 -7.627  290.335 1.0 55.49748  ? 578 GLU B CG  578 GLU B CG  1 
ATOM 11706 C CD  . GLU B 2 578 ? 228.948 -6.648  290.428 1.0 55.49748  ? 578 GLU B CD  578 GLU B CD  1 
ATOM 11707 O OE1 . GLU B 2 578 ? 228.384 -6.280  289.384 1.0 55.49748  ? 578 GLU B OE1 578 GLU B OE1 1 
ATOM 11708 O OE2 . GLU B 2 578 ? 228.617 -6.209  291.547 1.0 55.49748  ? 578 GLU B OE2 578 GLU B OE2 1 
ATOM 11709 N N   . LEU B 2 579 ? 227.061 -9.316  287.978 1.0 55.18866  ? 579 LEU B N   579 LEU B N   1 
ATOM 11710 C CA  . LEU B 2 579 ? 225.626 -9.101  288.068 1.0 55.18866  ? 579 LEU B CA  579 LEU B CA  1 
ATOM 11711 C C   . LEU B 2 579 ? 224.872 -10.402 288.314 1.0 55.18866  ? 579 LEU B C   579 LEU B C   1 
ATOM 11712 O O   . LEU B 2 579 ? 223.831 -10.394 288.980 1.0 55.18866  ? 579 LEU B O   579 LEU B O   1 
ATOM 11713 C CB  . LEU B 2 579 ? 225.132 -8.424  286.792 1.0 55.18866  ? 579 LEU B CB  579 LEU B CB  1 
ATOM 11714 C CG  . LEU B 2 579 ? 223.672 -7.989  286.730 1.0 55.18866  ? 579 LEU B CG  579 LEU B CG  1 
ATOM 11715 C CD1 . LEU B 2 579 ? 223.401 -6.931  287.774 1.0 55.18866  ? 579 LEU B CD1 579 LEU B CD1 1 
ATOM 11716 C CD2 . LEU B 2 579 ? 223.341 -7.478  285.349 1.0 55.18866  ? 579 LEU B CD2 579 LEU B CD2 1 
ATOM 11717 N N   . MET B 2 580 ? 225.383 -11.525 287.809 1.0 53.3958   ? 580 MET B N   580 MET B N   1 
ATOM 11718 C CA  . MET B 2 580 ? 224.713 -12.807 287.967 1.0 53.3958   ? 580 MET B CA  580 MET B CA  1 
ATOM 11719 C C   . MET B 2 580 ? 225.013 -13.493 289.290 1.0 53.3958   ? 580 MET B C   580 MET B C   1 
ATOM 11720 O O   . MET B 2 580 ? 224.207 -14.315 289.734 1.0 53.3958   ? 580 MET B O   580 MET B O   1 
ATOM 11721 C CB  . MET B 2 580 ? 225.096 -13.759 286.830 1.0 53.3958   ? 580 MET B CB  580 MET B CB  1 
ATOM 11722 C CG  . MET B 2 580 ? 224.594 -13.346 285.469 1.0 53.3958   ? 580 MET B CG  580 MET B CG  1 
ATOM 11723 S SD  . MET B 2 580 ? 224.997 -14.583 284.231 1.0 53.3958   ? 580 MET B SD  580 MET B SD  1 
ATOM 11724 C CE  . MET B 2 580 ? 226.756 -14.328 284.058 1.0 53.3958   ? 580 MET B CE  580 MET B CE  1 
ATOM 11725 N N   . LEU B 2 581 ? 226.145 -13.190 289.922 1.0 50.4452   ? 581 LEU B N   581 LEU B N   1 
ATOM 11726 C CA  . LEU B 2 581 ? 226.483 -13.810 291.195 1.0 50.4452   ? 581 LEU B CA  581 LEU B CA  1 
ATOM 11727 C C   . LEU B 2 581 ? 225.912 -13.067 292.391 1.0 50.4452   ? 581 LEU B C   581 LEU B C   1 
ATOM 11728 O O   . LEU B 2 581 ? 226.103 -13.518 293.524 1.0 50.4452   ? 581 LEU B O   581 LEU B O   1 
ATOM 11729 C CB  . LEU B 2 581 ? 227.997 -13.916 291.349 1.0 50.4452   ? 581 LEU B CB  581 LEU B CB  1 
ATOM 11730 C CG  . LEU B 2 581 ? 228.692 -14.888 290.405 1.0 50.4452   ? 581 LEU B CG  581 LEU B CG  1 
ATOM 11731 C CD1 . LEU B 2 581 ? 230.179 -14.782 290.593 1.0 50.4452   ? 581 LEU B CD1 581 LEU B CD1 1 
ATOM 11732 C CD2 . LEU B 2 581 ? 228.226 -16.297 290.677 1.0 50.4452   ? 581 LEU B CD2 581 LEU B CD2 1 
ATOM 11733 N N   . ARG B 2 582 ? 225.232 -11.947 292.178 1.0 52.02471  ? 582 ARG B N   582 ARG B N   1 
ATOM 11734 C CA  . ARG B 2 582 ? 224.544 -11.254 293.252 1.0 52.02471  ? 582 ARG B CA  582 ARG B CA  1 
ATOM 11735 C C   . ARG B 2 582 ? 223.085 -11.667 293.366 1.0 52.02471  ? 582 ARG B C   582 ARG B C   1 
ATOM 11736 O O   . ARG B 2 582 ? 222.280 -10.912 293.920 1.0 52.02471  ? 582 ARG B O   582 ARG B O   1 
ATOM 11737 C CB  . ARG B 2 582 ? 224.646 -9.744  293.060 1.0 52.02471  ? 582 ARG B CB  582 ARG B CB  1 
ATOM 11738 C CG  . ARG B 2 582 ? 226.047 -9.218  293.203 1.0 52.02471  ? 582 ARG B CG  582 ARG B CG  1 
ATOM 11739 C CD  . ARG B 2 582 ? 226.061 -7.712  293.236 1.0 52.02471  ? 582 ARG B CD  582 ARG B CD  1 
ATOM 11740 N NE  . ARG B 2 582 ? 227.422 -7.199  293.345 1.0 52.02471  ? 582 ARG B NE  582 ARG B NE  1 
ATOM 11741 C CZ  . ARG B 2 582 ? 228.074 -7.055  294.495 1.0 52.02471  ? 582 ARG B CZ  582 ARG B CZ  1 
ATOM 11742 N NH1 . ARG B 2 582 ? 227.494 -7.398  295.635 1.0 52.02471  ? 582 ARG B NH1 582 ARG B NH1 1 
ATOM 11743 N NH2 . ARG B 2 582 ? 229.306 -6.578  294.501 1.0 52.02471  ? 582 ARG B NH2 582 ARG B NH2 1 
ATOM 11744 N N   . ASN B 2 583 ? 222.731 -12.837 292.847 1.0 55.82378  ? 583 ASN B N   583 ASN B N   1 
ATOM 11745 C CA  . ASN B 2 583 ? 221.380 -13.354 292.942 1.0 55.82378  ? 583 ASN B CA  583 ASN B CA  1 
ATOM 11746 C C   . ASN B 2 583 ? 221.211 -14.154 294.232 1.0 55.82378  ? 583 ASN B C   583 ASN B C   1 
ATOM 11747 O O   . ASN B 2 583 ? 222.172 -14.463 294.933 1.0 55.82378  ? 583 ASN B O   583 ASN B O   1 
ATOM 11748 C CB  . ASN B 2 583 ? 221.069 -14.263 291.752 1.0 55.82378  ? 583 ASN B CB  583 ASN B CB  1 
ATOM 11749 C CG  . ASN B 2 583 ? 219.612 -14.216 291.345 1.0 55.82378  ? 583 ASN B CG  583 ASN B CG  1 
ATOM 11750 O OD1 . ASN B 2 583 ? 219.202 -14.882 290.398 1.0 55.82378  ? 583 ASN B OD1 583 ASN B OD1 1 
ATOM 11751 N ND2 . ASN B 2 583 ? 218.844 -13.344 291.989 1.0 55.82378  ? 583 ASN B ND2 583 ASN B ND2 1 
ATOM 11752 N N   . ALA B 2 584 ? 219.963 -14.480 294.543 1.0 54.61998  ? 584 ALA B N   584 ALA B N   1 
ATOM 11753 C CA  . ALA B 2 584 ? 219.653 -15.461 295.571 1.0 54.61998  ? 584 ALA B CA  584 ALA B CA  1 
ATOM 11754 C C   . ALA B 2 584 ? 219.493 -16.858 294.999 1.0 54.61998  ? 584 ALA B C   584 ALA B C   1 
ATOM 11755 O O   . ALA B 2 584 ? 219.301 -17.808 295.764 1.0 54.61998  ? 584 ALA B O   584 ALA B O   1 
ATOM 11756 C CB  . ALA B 2 584 ? 218.374 -15.068 296.317 1.0 54.61998  ? 584 ALA B CB  584 ALA B CB  1 
ATOM 11757 N N   . THR B 2 585 ? 219.549 -16.997 293.676 1.0 53.05523  ? 585 THR B N   585 THR B N   1 
ATOM 11758 C CA  . THR B 2 585 ? 219.530 -18.298 293.031 1.0 53.05523  ? 585 THR B CA  585 THR B CA  1 
ATOM 11759 C C   . THR B 2 585 ? 220.927 -18.804 292.726 1.0 53.05523  ? 585 THR B C   585 THR B C   1 
ATOM 11760 O O   . THR B 2 585 ? 221.128 -20.019 292.631 1.0 53.05523  ? 585 THR B O   585 THR B O   1 
ATOM 11761 C CB  . THR B 2 585 ? 218.731 -18.235 291.732 1.0 53.05523  ? 585 THR B CB  585 THR B CB  1 
ATOM 11762 O OG1 . THR B 2 585 ? 219.402 -17.374 290.807 1.0 53.05523  ? 585 THR B OG1 585 THR B OG1 1 
ATOM 11763 C CG2 . THR B 2 585 ? 217.340 -17.681 291.991 1.0 53.05523  ? 585 THR B CG2 585 THR B CG2 1 
ATOM 11764 N N   . ASN B 2 586 ? 221.888 -17.898 292.580 1.0 51.12663  ? 586 ASN B N   586 ASN B N   1 
ATOM 11765 C CA  . ASN B 2 586 ? 223.281 -18.234 292.310 1.0 51.12663  ? 586 ASN B CA  586 ASN B CA  1 
ATOM 11766 C C   . ASN B 2 586 ? 224.119 -18.196 293.578 1.0 51.12663  ? 586 ASN B C   586 ASN B C   1 
ATOM 11767 O O   . ASN B 2 586 ? 225.272 -17.759 293.558 1.0 51.12663  ? 586 ASN B O   586 ASN B O   1 
ATOM 11768 C CB  . ASN B 2 586 ? 223.857 -17.292 291.262 1.0 51.12663  ? 586 ASN B CB  586 ASN B CB  1 
ATOM 11769 C CG  . ASN B 2 586 ? 223.250 -17.500 289.901 1.0 51.12663  ? 586 ASN B CG  586 ASN B CG  1 
ATOM 11770 O OD1 . ASN B 2 586 ? 222.984 -18.626 289.498 1.0 51.12663  ? 586 ASN B OD1 586 ASN B OD1 1 
ATOM 11771 N ND2 . ASN B 2 586 ? 223.038 -16.413 289.176 1.0 51.12663  ? 586 ASN B ND2 586 ASN B ND2 1 
ATOM 11772 N N   . ASP B 2 587 ? 223.543 -18.622 294.698 1.0 51.34652  ? 587 ASP B N   587 ASP B N   1 
ATOM 11773 C CA  . ASP B 2 587 ? 224.270 -18.654 295.958 1.0 51.34652  ? 587 ASP B CA  587 ASP B CA  1 
ATOM 11774 C C   . ASP B 2 587 ? 225.350 -19.722 295.915 1.0 51.34652  ? 587 ASP B C   587 ASP B C   1 
ATOM 11775 O O   . ASP B 2 587 ? 225.093 -20.866 295.532 1.0 51.34652  ? 587 ASP B O   587 ASP B O   1 
ATOM 11776 C CB  . ASP B 2 587 ? 223.319 -18.937 297.117 1.0 51.34652  ? 587 ASP B CB  587 ASP B CB  1 
ATOM 11777 C CG  . ASP B 2 587 ? 222.299 -17.849 297.306 1.0 51.34652  ? 587 ASP B CG  587 ASP B CG  1 
ATOM 11778 O OD1 . ASP B 2 587 ? 222.570 -16.713 296.873 1.0 51.34652  ? 587 ASP B OD1 587 ASP B OD1 1 
ATOM 11779 O OD2 . ASP B 2 587 ? 221.236 -18.121 297.901 1.0 51.34652  ? 587 ASP B OD2 587 ASP B OD2 1 
ATOM 11780 N N   . GLN B 2 588 ? 226.558 -19.347 296.311 1.0 47.17343  ? 588 GLN B N   588 GLN B N   1 
ATOM 11781 C CA  . GLN B 2 588 ? 227.677 -20.276 296.351 1.0 47.17343  ? 588 GLN B CA  588 GLN B CA  1 
ATOM 11782 C C   . GLN B 2 588 ? 227.595 -21.089 297.632 1.0 47.17343  ? 588 GLN B C   588 GLN B C   1 
ATOM 11783 O O   . GLN B 2 588 ? 227.800 -20.557 298.725 1.0 47.17343  ? 588 GLN B O   588 GLN B O   1 
ATOM 11784 C CB  . GLN B 2 588 ? 228.990 -19.512 296.281 1.0 47.17343  ? 588 GLN B CB  588 GLN B CB  1 
ATOM 11785 C CG  . GLN B 2 588 ? 229.185 -18.766 295.000 1.0 47.17343  ? 588 GLN B CG  588 GLN B CG  1 
ATOM 11786 C CD  . GLN B 2 588 ? 230.432 -17.936 295.031 1.0 47.17343  ? 588 GLN B CD  588 GLN B CD  1 
ATOM 11787 O OE1 . GLN B 2 588 ? 231.118 -17.878 296.046 1.0 47.17343  ? 588 GLN B OE1 588 GLN B OE1 1 
ATOM 11788 N NE2 . GLN B 2 588 ? 230.733 -17.277 293.926 1.0 47.17343  ? 588 GLN B NE2 588 GLN B NE2 1 
ATOM 11789 N N   . ASN B 2 589 ? 227.299 -22.374 297.506 1.0 47.1489   ? 589 ASN B N   589 ASN B N   1 
ATOM 11790 C CA  . ASN B 2 589 ? 227.273 -23.281 298.638 1.0 47.1489   ? 589 ASN B CA  589 ASN B CA  1 
ATOM 11791 C C   . ASN B 2 589 ? 228.460 -24.232 298.579 1.0 47.1489   ? 589 ASN B C   589 ASN B C   1 
ATOM 11792 O O   . ASN B 2 589 ? 228.994 -24.520 297.507 1.0 47.1489   ? 589 ASN B O   589 ASN B O   1 
ATOM 11793 C CB  . ASN B 2 589 ? 225.950 -24.049 298.686 1.0 47.1489   ? 589 ASN B CB  589 ASN B CB  1 
ATOM 11794 C CG  . ASN B 2 589 ? 225.579 -24.659 297.357 1.0 47.1489   ? 589 ASN B CG  589 ASN B CG  1 
ATOM 11795 O OD1 . ASN B 2 589 ? 226.301 -24.530 296.373 1.0 47.1489   ? 589 ASN B OD1 589 ASN B OD1 1 
ATOM 11796 N ND2 . ASN B 2 589 ? 224.447 -25.338 297.324 1.0 47.1489   ? 589 ASN B ND2 589 ASN B ND2 1 
ATOM 11797 N N   . PHE B 2 590 ? 228.879 -24.705 299.748 1.0 48.68937  ? 590 PHE B N   590 PHE B N   1 
ATOM 11798 C CA  . PHE B 2 590 ? 230.074 -25.517 299.888 1.0 48.68937  ? 590 PHE B CA  590 PHE B CA  1 
ATOM 11799 C C   . PHE B 2 590 ? 229.763 -26.663 300.833 1.0 48.68937  ? 590 PHE B C   590 PHE B C   1 
ATOM 11800 O O   . PHE B 2 590 ? 228.667 -26.756 301.389 1.0 48.68937  ? 590 PHE B O   590 PHE B O   1 
ATOM 11801 C CB  . PHE B 2 590 ? 231.250 -24.685 300.405 1.0 48.68937  ? 590 PHE B CB  590 PHE B CB  1 
ATOM 11802 C CG  . PHE B 2 590 ? 231.674 -23.601 299.471 1.0 48.68937  ? 590 PHE B CG  590 PHE B CG  1 
ATOM 11803 C CD1 . PHE B 2 590 ? 232.488 -23.881 298.390 1.0 48.68937  ? 590 PHE B CD1 590 PHE B CD1 1 
ATOM 11804 C CD2 . PHE B 2 590 ? 231.247 -22.303 299.667 1.0 48.68937  ? 590 PHE B CD2 590 PHE B CD2 1 
ATOM 11805 C CE1 . PHE B 2 590 ? 232.871 -22.882 297.525 1.0 48.68937  ? 590 PHE B CE1 590 PHE B CE1 1 
ATOM 11806 C CE2 . PHE B 2 590 ? 231.626 -21.301 298.808 1.0 48.68937  ? 590 PHE B CE2 590 PHE B CE2 1 
ATOM 11807 C CZ  . PHE B 2 590 ? 232.436 -21.591 297.736 1.0 48.68937  ? 590 PHE B CZ  590 PHE B CZ  1 
ATOM 11808 N N   . SER B 2 591 ? 230.739 -27.539 301.026 1.0 51.57434  ? 591 SER B N   591 SER B N   1 
ATOM 11809 C CA  . SER B 2 591 ? 230.550 -28.666 301.922 1.0 51.57434  ? 591 SER B CA  591 SER B CA  1 
ATOM 11810 C C   . SER B 2 591 ? 231.890 -29.069 302.503 1.0 51.57434  ? 591 SER B C   591 SER B C   1 
ATOM 11811 O O   . SER B 2 591 ? 232.891 -29.105 301.782 1.0 51.57434  ? 591 SER B O   591 SER B O   1 
ATOM 11812 C CB  . SER B 2 591 ? 229.910 -29.850 301.196 1.0 51.57434  ? 591 SER B CB  591 SER B CB  1 
ATOM 11813 O OG  . SER B 2 591 ? 229.746 -30.944 302.077 1.0 51.57434  ? 591 SER B OG  591 SER B OG  1 
ATOM 11814 N N   . ASP B 2 592 ? 231.907 -29.343 303.803 1.0 53.76862  ? 592 ASP B N   592 ASP B N   1 
ATOM 11815 C CA  . ASP B 2 592 ? 233.081 -29.930 304.426 1.0 53.76862  ? 592 ASP B CA  592 ASP B CA  1 
ATOM 11816 C C   . ASP B 2 592 ? 233.270 -31.335 303.877 1.0 53.76862  ? 592 ASP B C   592 ASP B C   1 
ATOM 11817 O O   . ASP B 2 592 ? 232.302 -32.089 303.751 1.0 53.76862  ? 592 ASP B O   592 ASP B O   1 
ATOM 11818 C CB  . ASP B 2 592 ? 232.914 -29.954 305.943 1.0 53.76862  ? 592 ASP B CB  592 ASP B CB  1 
ATOM 11819 C CG  . ASP B 2 592 ? 234.173 -30.388 306.664 1.0 53.76862  ? 592 ASP B CG  592 ASP B CG  1 
ATOM 11820 O OD1 . ASP B 2 592 ? 235.131 -29.591 306.718 1.0 53.76862  ? 592 ASP B OD1 592 ASP B OD1 1 
ATOM 11821 O OD2 . ASP B 2 592 ? 234.201 -31.520 307.189 1.0 53.76862  ? 592 ASP B OD2 592 ASP B OD2 1 
ATOM 11822 N N   . TYR B 2 593 ? 234.511 -31.674 303.518 1.0 50.43168  ? 593 TYR B N   593 TYR B N   1 
ATOM 11823 C CA  . TYR B 2 593 ? 234.757 -32.938 302.833 1.0 50.43168  ? 593 TYR B CA  593 TYR B CA  1 
ATOM 11824 C C   . TYR B 2 593 ? 234.567 -34.130 303.755 1.0 50.43168  ? 593 TYR B C   593 TYR B C   1 
ATOM 11825 O O   . TYR B 2 593 ? 234.113 -35.188 303.307 1.0 50.43168  ? 593 TYR B O   593 TYR B O   1 
ATOM 11826 C CB  . TYR B 2 593 ? 236.165 -32.967 302.241 1.0 50.43168  ? 593 TYR B CB  593 TYR B CB  1 
ATOM 11827 C CG  . TYR B 2 593 ? 236.457 -34.232 301.468 1.0 50.43168  ? 593 TYR B CG  593 TYR B CG  1 
ATOM 11828 C CD1 . TYR B 2 593 ? 235.947 -34.418 300.193 1.0 50.43168  ? 593 TYR B CD1 593 TYR B CD1 1 
ATOM 11829 C CD2 . TYR B 2 593 ? 237.226 -35.247 302.021 1.0 50.43168  ? 593 TYR B CD2 593 TYR B CD2 1 
ATOM 11830 C CE1 . TYR B 2 593 ? 236.201 -35.574 299.487 1.0 50.43168  ? 593 TYR B CE1 593 TYR B CE1 1 
ATOM 11831 C CE2 . TYR B 2 593 ? 237.480 -36.406 301.325 1.0 50.43168  ? 593 TYR B CE2 593 TYR B CE2 1 
ATOM 11832 C CZ  . TYR B 2 593 ? 236.969 -36.563 300.058 1.0 50.43168  ? 593 TYR B CZ  593 TYR B CZ  1 
ATOM 11833 O OH  . TYR B 2 593 ? 237.229 -37.720 299.365 1.0 50.43168  ? 593 TYR B OH  593 TYR B OH  1 
ATOM 11834 N N   . LEU B 2 594 ? 234.920 -33.988 305.030 1.0 51.39174  ? 594 LEU B N   594 LEU B N   1 
ATOM 11835 C CA  . LEU B 2 594 ? 234.723 -35.081 305.971 1.0 51.39174  ? 594 LEU B CA  594 LEU B CA  1 
ATOM 11836 C C   . LEU B 2 594 ? 233.243 -35.302 306.237 1.0 51.39174  ? 594 LEU B C   594 LEU B C   1 
ATOM 11837 O O   . LEU B 2 594 ? 232.753 -36.433 306.154 1.0 51.39174  ? 594 LEU B O   594 LEU B O   1 
ATOM 11838 C CB  . LEU B 2 594 ? 235.472 -34.792 307.268 1.0 51.39174  ? 594 LEU B CB  594 LEU B CB  1 
ATOM 11839 C CG  . LEU B 2 594 ? 235.417 -35.851 308.362 1.0 51.39174  ? 594 LEU B CG  594 LEU B CG  1 
ATOM 11840 C CD1 . LEU B 2 594 ? 236.005 -37.145 307.870 1.0 51.39174  ? 594 LEU B CD1 594 LEU B CD1 1 
ATOM 11841 C CD2 . LEU B 2 594 ? 236.152 -35.366 309.594 1.0 51.39174  ? 594 LEU B CD2 594 LEU B CD2 1 
ATOM 11842 N N   . GLY B 2 595 ? 232.514 -34.223 306.513 1.0 53.311    ? 595 GLY B N   595 GLY B N   1 
ATOM 11843 C CA  . GLY B 2 595 ? 231.097 -34.289 306.802 1.0 53.311    ? 595 GLY B CA  595 GLY B CA  1 
ATOM 11844 C C   . GLY B 2 595 ? 230.822 -35.102 308.045 1.0 53.311    ? 595 GLY B C   595 GLY B C   1 
ATOM 11845 O O   . GLY B 2 595 ? 230.268 -36.199 307.956 1.0 53.311    ? 595 GLY B O   595 GLY B O   1 
ATOM 11846 N N   . ALA B 2 596 ? 231.242 -34.608 309.203 1.0 54.68001  ? 596 ALA B N   596 ALA B N   1 
ATOM 11847 C CA  . ALA B 2 596 ? 231.170 -35.433 310.392 1.0 54.68001  ? 596 ALA B CA  596 ALA B CA  1 
ATOM 11848 C C   . ALA B 2 596 ? 231.004 -34.571 311.628 1.0 54.68001  ? 596 ALA B C   596 ALA B C   1 
ATOM 11849 O O   . ALA B 2 596 ? 231.366 -33.393 311.650 1.0 54.68001  ? 596 ALA B O   596 ALA B O   1 
ATOM 11850 C CB  . ALA B 2 596 ? 232.409 -36.315 310.534 1.0 54.68001  ? 596 ALA B CB  596 ALA B CB  1 
ATOM 11851 N N   . VAL B 2 597 ? 230.443 -35.188 312.658 1.0 56.96284  ? 597 VAL B N   597 VAL B N   1 
ATOM 11852 C CA  . VAL B 2 597 ? 230.366 -34.624 313.996 1.0 56.96284  ? 597 VAL B CA  597 VAL B CA  1 
ATOM 11853 C C   . VAL B 2 597 ? 231.228 -35.503 314.886 1.0 56.96284  ? 597 VAL B C   597 VAL B C   1 
ATOM 11854 O O   . VAL B 2 597 ? 230.944 -36.693 315.062 1.0 56.96284  ? 597 VAL B O   597 VAL B O   1 
ATOM 11855 C CB  . VAL B 2 597 ? 228.921 -34.548 314.497 1.0 56.96284  ? 597 VAL B CB  597 VAL B CB  1 
ATOM 11856 C CG1 . VAL B 2 597 ? 228.886 -34.245 315.973 1.0 56.96284  ? 597 VAL B CG1 597 VAL B CG1 1 
ATOM 11857 C CG2 . VAL B 2 597 ? 228.173 -33.474 313.733 1.0 56.96284  ? 597 VAL B CG2 597 VAL B CG2 1 
ATOM 11858 N N   . ASN B 2 598 ? 232.283 -34.922 315.441 1.0 59.19591  ? 598 ASN B N   598 ASN B N   1 
ATOM 11859 C CA  . ASN B 2 598 ? 233.336 -35.672 316.109 1.0 59.19591  ? 598 ASN B CA  598 ASN B CA  1 
ATOM 11860 C C   . ASN B 2 598 ? 233.115 -35.656 317.612 1.0 59.19591  ? 598 ASN B C   598 ASN B C   1 
ATOM 11861 O O   . ASN B 2 598 ? 233.107 -34.589 318.234 1.0 59.19591  ? 598 ASN B O   598 ASN B O   1 
ATOM 11862 C CB  . ASN B 2 598 ? 234.693 -35.081 315.754 1.0 59.19591  ? 598 ASN B CB  598 ASN B CB  1 
ATOM 11863 C CG  . ASN B 2 598 ? 234.983 -35.191 314.289 1.0 59.19591  ? 598 ASN B CG  598 ASN B CG  1 
ATOM 11864 O OD1 . ASN B 2 598 ? 234.870 -34.219 313.556 1.0 59.19591  ? 598 ASN B OD1 598 ASN B OD1 1 
ATOM 11865 N ND2 . ASN B 2 598 ? 235.383 -36.371 313.850 1.0 59.19591  ? 598 ASN B ND2 598 ASN B ND2 1 
ATOM 11866 N N   . ASN B 2 599 ? 232.946 -36.839 318.190 1.0 59.33586  ? 599 ASN B N   599 ASN B N   1 
ATOM 11867 C CA  . ASN B 2 599 ? 232.667 -36.994 319.607 1.0 59.33586  ? 599 ASN B CA  599 ASN B CA  1 
ATOM 11868 C C   . ASN B 2 599 ? 233.710 -37.912 320.223 1.0 59.33586  ? 599 ASN B C   599 ASN B C   1 
ATOM 11869 O O   . ASN B 2 599 ? 233.905 -39.036 319.755 1.0 59.33586  ? 599 ASN B O   599 ASN B O   1 
ATOM 11870 C CB  . ASN B 2 599 ? 231.267 -37.560 319.823 1.0 59.33586  ? 599 ASN B CB  599 ASN B CB  1 
ATOM 11871 C CG  . ASN B 2 599 ? 230.183 -36.590 319.419 1.0 59.33586  ? 599 ASN B CG  599 ASN B CG  1 
ATOM 11872 O OD1 . ASN B 2 599 ? 230.274 -35.393 319.688 1.0 59.33586  ? 599 ASN B OD1 599 ASN B OD1 1 
ATOM 11873 N ND2 . ASN B 2 599 ? 229.147 -37.099 318.769 1.0 59.33586  ? 599 ASN B ND2 599 ASN B ND2 1 
ATOM 11874 N N   . LEU B 2 600 ? 234.369 -37.434 321.271 1.0 60.44     ? 600 LEU B N   600 LEU B N   1 
ATOM 11875 C CA  . LEU B 2 600 ? 235.400 -38.187 321.968 1.0 60.44     ? 600 LEU B CA  600 LEU B CA  1 
ATOM 11876 C C   . LEU B 2 600 ? 234.813 -38.731 323.262 1.0 60.44     ? 600 LEU B C   600 LEU B C   1 
ATOM 11877 O O   . LEU B 2 600 ? 234.431 -37.961 324.149 1.0 60.44     ? 600 LEU B O   600 LEU B O   1 
ATOM 11878 C CB  . LEU B 2 600 ? 236.616 -37.308 322.240 1.0 60.44     ? 600 LEU B CB  600 LEU B CB  1 
ATOM 11879 C CG  . LEU B 2 600 ? 237.352 -36.891 320.971 1.0 60.44     ? 600 LEU B CG  600 LEU B CG  1 
ATOM 11880 C CD1 . LEU B 2 600 ? 238.409 -35.866 321.292 1.0 60.44     ? 600 LEU B CD1 600 LEU B CD1 1 
ATOM 11881 C CD2 . LEU B 2 600 ? 237.982 -38.098 320.315 1.0 60.44     ? 600 LEU B CD2 600 LEU B CD2 1 
ATOM 11882 N N   . TYR B 2 601 ? 234.744 -40.052 323.362 1.0 59.66331  ? 601 TYR B N   601 TYR B N   1 
ATOM 11883 C CA  . TYR B 2 601 ? 234.094 -40.735 324.469 1.0 59.66331  ? 601 TYR B CA  601 TYR B CA  1 
ATOM 11884 C C   . TYR B 2 601 ? 235.140 -41.433 325.319 1.0 59.66331  ? 601 TYR B C   601 TYR B C   1 
ATOM 11885 O O   . TYR B 2 601 ? 236.026 -42.108 324.790 1.0 59.66331  ? 601 TYR B O   601 TYR B O   1 
ATOM 11886 C CB  . TYR B 2 601 ? 233.078 -41.734 323.936 1.0 59.66331  ? 601 TYR B CB  601 TYR B CB  1 
ATOM 11887 C CG  . TYR B 2 601 ? 231.878 -41.072 323.304 1.0 59.66331  ? 601 TYR B CG  601 TYR B CG  1 
ATOM 11888 C CD1 . TYR B 2 601 ? 231.455 -39.822 323.706 1.0 59.66331  ? 601 TYR B CD1 601 TYR B CD1 1 
ATOM 11889 C CD2 . TYR B 2 601 ? 231.218 -41.673 322.263 1.0 59.66331  ? 601 TYR B CD2 601 TYR B CD2 1 
ATOM 11890 C CE1 . TYR B 2 601 ? 230.359 -39.213 323.116 1.0 59.66331  ? 601 TYR B CE1 601 TYR B CE1 1 
ATOM 11891 C CE2 . TYR B 2 601 ? 230.127 -41.080 321.662 1.0 59.66331  ? 601 TYR B CE2 601 TYR B CE2 1 
ATOM 11892 C CZ  . TYR B 2 601 ? 229.704 -39.847 322.089 1.0 59.66331  ? 601 TYR B CZ  601 TYR B CZ  1 
ATOM 11893 O OH  . TYR B 2 601 ? 228.623 -39.254 321.488 1.0 59.66331  ? 601 TYR B OH  601 TYR B OH  1 
ATOM 11894 N N   . GLN B 2 602 ? 235.033 -41.270 326.630 1.0 62.36783  ? 602 GLN B N   602 GLN B N   1 
ATOM 11895 C CA  . GLN B 2 602 ? 236.080 -41.708 327.538 1.0 62.36783  ? 602 GLN B CA  602 GLN B CA  1 
ATOM 11896 C C   . GLN B 2 602 ? 236.034 -43.216 327.735 1.0 62.36783  ? 602 GLN B C   602 GLN B C   1 
ATOM 11897 O O   . GLN B 2 602 ? 234.973 -43.787 328.002 1.0 62.36783  ? 602 GLN B O   602 GLN B O   1 
ATOM 11898 C CB  . GLN B 2 602 ? 235.930 -40.994 328.879 1.0 62.36783  ? 602 GLN B CB  602 GLN B CB  1 
ATOM 11899 C CG  . GLN B 2 602 ? 237.001 -41.332 329.896 1.0 62.36783  ? 602 GLN B CG  602 GLN B CG  1 
ATOM 11900 C CD  . GLN B 2 602 ? 238.381 -40.917 329.446 1.0 62.36783  ? 602 GLN B CD  602 GLN B CD  1 
ATOM 11901 O OE1 . GLN B 2 602 ? 239.201 -41.753 329.074 1.0 62.36783  ? 602 GLN B OE1 602 GLN B OE1 1 
ATOM 11902 N NE2 . GLN B 2 602 ? 238.644 -39.618 329.472 1.0 62.36783  ? 602 GLN B NE2 602 GLN B NE2 1 
ATOM 11903 N N   . ILE B 2 603 ? 237.187 -43.858 327.596 1.0 62.24423  ? 603 ILE B N   603 ILE B N   1 
ATOM 11904 C CA  . ILE B 2 603 ? 237.372 -45.261 327.939 1.0 62.24423  ? 603 ILE B CA  603 ILE B CA  1 
ATOM 11905 C C   . ILE B 2 603 ? 238.439 -45.323 329.025 1.0 62.24423  ? 603 ILE B C   603 ILE B C   1 
ATOM 11906 O O   . ILE B 2 603 ? 239.595 -44.974 328.773 1.0 62.24423  ? 603 ILE B O   603 ILE B O   1 
ATOM 11907 C CB  . ILE B 2 603 ? 237.786 -46.116 326.731 1.0 62.24423  ? 603 ILE B CB  603 ILE B CB  1 
ATOM 11908 C CG1 . ILE B 2 603 ? 236.684 -46.136 325.680 1.0 62.24423  ? 603 ILE B CG1 603 ILE B CG1 1 
ATOM 11909 C CG2 . ILE B 2 603 ? 238.103 -47.526 327.172 1.0 62.24423  ? 603 ILE B CG2 603 ILE B CG2 1 
ATOM 11910 C CD1 . ILE B 2 603 ? 237.114 -46.764 324.382 1.0 62.24423  ? 603 ILE B CD1 603 ILE B CD1 1 
ATOM 11911 N N   . PRO B 2 604 ? 238.110 -45.752 330.237 1.0 65.10667  ? 604 PRO B N   604 PRO B N   1 
ATOM 11912 C CA  . PRO B 2 604 ? 239.097 -45.760 331.319 1.0 65.10667  ? 604 PRO B CA  604 PRO B CA  1 
ATOM 11913 C C   . PRO B 2 604 ? 240.095 -46.898 331.155 1.0 65.10667  ? 604 PRO B C   604 PRO B C   1 
ATOM 11914 O O   . PRO B 2 604 ? 239.959 -47.768 330.295 1.0 65.10667  ? 604 PRO B O   604 PRO B O   1 
ATOM 11915 C CB  . PRO B 2 604 ? 238.241 -45.949 332.571 1.0 65.10667  ? 604 PRO B CB  604 PRO B CB  1 
ATOM 11916 C CG  . PRO B 2 604 ? 237.051 -46.687 332.088 1.0 65.10667  ? 604 PRO B CG  604 PRO B CG  1 
ATOM 11917 C CD  . PRO B 2 604 ? 236.784 -46.196 330.696 1.0 65.10667  ? 604 PRO B CD  604 PRO B CD  1 
ATOM 11918 N N   . ALA B 2 605 ? 241.114 -46.871 332.008 1.0 67.78587  ? 605 ALA B N   605 ALA B N   1 
ATOM 11919 C CA  . ALA B 2 605 ? 242.213 -47.820 331.899 1.0 67.78587  ? 605 ALA B CA  605 ALA B CA  1 
ATOM 11920 C C   . ALA B 2 605 ? 241.779 -49.201 332.367 1.0 67.78587  ? 605 ALA B C   605 ALA B C   1 
ATOM 11921 O O   . ALA B 2 605 ? 241.171 -49.348 333.430 1.0 67.78587  ? 605 ALA B O   605 ALA B O   1 
ATOM 11922 C CB  . ALA B 2 605 ? 243.408 -47.338 332.717 1.0 67.78587  ? 605 ALA B CB  605 ALA B CB  1 
ATOM 11923 N N   . GLY B 2 606 ? 242.094 -50.217 331.565 1.0 66.71156  ? 606 GLY B N   606 GLY B N   1 
ATOM 11924 C CA  . GLY B 2 606 ? 241.771 -51.586 331.894 1.0 66.71156  ? 606 GLY B CA  606 GLY B CA  1 
ATOM 11925 C C   . GLY B 2 606 ? 240.370 -52.029 331.542 1.0 66.71156  ? 606 GLY B C   606 GLY B C   1 
ATOM 11926 O O   . GLY B 2 606 ? 240.110 -53.238 331.523 1.0 66.71156  ? 606 GLY B O   606 GLY B O   1 
ATOM 11927 N N   . SER B 2 607 ? 239.461 -51.104 331.257 1.0 66.19273  ? 607 SER B N   607 SER B N   1 
ATOM 11928 C CA  . SER B 2 607 ? 238.097 -51.456 330.901 1.0 66.19273  ? 607 SER B CA  607 SER B CA  1 
ATOM 11929 C C   . SER B 2 607 ? 238.030 -51.883 329.443 1.0 66.19273  ? 607 SER B C   607 SER B C   1 
ATOM 11930 O O   . SER B 2 607 ? 238.811 -51.428 328.605 1.0 66.19273  ? 607 SER B O   607 SER B O   1 
ATOM 11931 C CB  . SER B 2 607 ? 237.151 -50.281 331.143 1.0 66.19273  ? 607 SER B CB  607 SER B CB  1 
ATOM 11932 O OG  . SER B 2 607 ? 235.827 -50.613 330.769 1.0 66.19273  ? 607 SER B OG  607 SER B OG  1 
ATOM 11933 N N   . SER B 2 608 ? 237.077 -52.762 329.147 1.0 63.50205  ? 608 SER B N   608 SER B N   1 
ATOM 11934 C CA  . SER B 2 608 ? 236.954 -53.341 327.817 1.0 63.50205  ? 608 SER B CA  608 SER B CA  1 
ATOM 11935 C C   . SER B 2 608 ? 235.787 -52.787 327.018 1.0 63.50205  ? 608 SER B C   608 SER B C   1 
ATOM 11936 O O   . SER B 2 608 ? 235.844 -52.794 325.785 1.0 63.50205  ? 608 SER B O   608 SER B O   1 
ATOM 11937 C CB  . SER B 2 608 ? 236.811 -54.862 327.918 1.0 63.50205  ? 608 SER B CB  608 SER B CB  1 
ATOM 11938 O OG  . SER B 2 608 ? 237.969 -55.441 328.492 1.0 63.50205  ? 608 SER B OG  608 SER B OG  1 
ATOM 11939 N N   . THR B 2 609 ? 234.736 -52.308 327.675 1.0 62.23059  ? 609 THR B N   609 THR B N   1 
ATOM 11940 C CA  . THR B 2 609 ? 233.532 -51.859 326.993 1.0 62.23059  ? 609 THR B CA  609 THR B CA  1 
ATOM 11941 C C   . THR B 2 609 ? 233.316 -50.366 327.191 1.0 62.23059  ? 609 THR B C   609 THR B C   1 
ATOM 11942 O O   . THR B 2 609 ? 233.786 -49.772 328.165 1.0 62.23059  ? 609 THR B O   609 THR B O   1 
ATOM 11943 C CB  . THR B 2 609 ? 232.289 -52.612 327.487 1.0 62.23059  ? 609 THR B CB  609 THR B CB  1 
ATOM 11944 O OG1 . THR B 2 609 ? 232.102 -52.369 328.887 1.0 62.23059  ? 609 THR B OG1 609 THR B OG1 1 
ATOM 11945 C CG2 . THR B 2 609 ? 232.438 -54.106 327.247 1.0 62.23059  ? 609 THR B CG2 609 THR B CG2 1 
ATOM 11946 N N   . VAL B 2 610 ? 232.597 -49.770 326.246 1.0 59.03415  ? 610 VAL B N   610 VAL B N   1 
ATOM 11947 C CA  . VAL B 2 610 ? 232.131 -48.394 326.342 1.0 59.03415  ? 610 VAL B CA  610 VAL B CA  1 
ATOM 11948 C C   . VAL B 2 610 ? 230.736 -48.335 325.731 1.0 59.03415  ? 610 VAL B C   610 VAL B C   1 
ATOM 11949 O O   . VAL B 2 610 ? 230.445 -49.020 324.744 1.0 59.03415  ? 610 VAL B O   610 VAL B O   1 
ATOM 11950 C CB  . VAL B 2 610 ? 233.128 -47.409 325.679 1.0 59.03415  ? 610 VAL B CB  610 VAL B CB  1 
ATOM 11951 C CG1 . VAL B 2 610 ? 233.338 -47.716 324.210 1.0 59.03415  ? 610 VAL B CG1 610 VAL B CG1 1 
ATOM 11952 C CG2 . VAL B 2 610 ? 232.697 -45.957 325.870 1.0 59.03415  ? 610 VAL B CG2 610 VAL B CG2 1 
ATOM 11953 N N   . VAL B 2 611 ? 229.847 -47.578 326.369 1.0 58.41279  ? 611 VAL B N   611 VAL B N   1 
ATOM 11954 C CA  . VAL B 2 611 ? 228.456 -47.461 325.955 1.0 58.41279  ? 611 VAL B CA  611 VAL B CA  1 
ATOM 11955 C C   . VAL B 2 611 ? 228.191 -46.006 325.615 1.0 58.41279  ? 611 VAL B C   611 VAL B C   1 
ATOM 11956 O O   . VAL B 2 611 ? 228.289 -45.134 326.487 1.0 58.41279  ? 611 VAL B O   611 VAL B O   1 
ATOM 11957 C CB  . VAL B 2 611 ? 227.494 -47.941 327.049 1.0 58.41279  ? 611 VAL B CB  611 VAL B CB  1 
ATOM 11958 C CG1 . VAL B 2 611 ? 226.054 -47.764 326.599 1.0 58.41279  ? 611 VAL B CG1 611 VAL B CG1 1 
ATOM 11959 C CG2 . VAL B 2 611 ? 227.780 -49.383 327.406 1.0 58.41279  ? 611 VAL B CG2 611 VAL B CG2 1 
ATOM 11960 N N   . VAL B 2 612 ? 227.857 -45.743 324.359 1.0 58.80165  ? 612 VAL B N   612 VAL B N   1 
ATOM 11961 C CA  . VAL B 2 612 ? 227.512 -44.399 323.930 1.0 58.80165  ? 612 VAL B CA  612 VAL B CA  1 
ATOM 11962 C C   . VAL B 2 612 ? 226.007 -44.234 324.083 1.0 58.80165  ? 612 VAL B C   612 VAL B C   1 
ATOM 11963 O O   . VAL B 2 612 ? 225.268 -45.206 324.252 1.0 58.80165  ? 612 VAL B O   612 VAL B O   1 
ATOM 11964 C CB  . VAL B 2 612 ? 227.965 -44.120 322.482 1.0 58.80165  ? 612 VAL B CB  612 VAL B CB  1 
ATOM 11965 C CG1 . VAL B 2 612 ? 229.345 -44.686 322.253 1.0 58.80165  ? 612 VAL B CG1 612 VAL B CG1 1 
ATOM 11966 C CG2 . VAL B 2 612 ? 226.982 -44.634 321.467 1.0 58.80165  ? 612 VAL B CG2 612 VAL B CG2 1 
ATOM 11967 N N   . ASN B 2 613 ? 225.540 -42.992 324.051 1.0 62.42404  ? 613 ASN B N   613 ASN B N   1 
ATOM 11968 C CA  . ASN B 2 613 ? 224.109 -42.753 324.173 1.0 62.42404  ? 613 ASN B CA  613 ASN B CA  1 
ATOM 11969 C C   . ASN B 2 613 ? 223.762 -41.464 323.449 1.0 62.42404  ? 613 ASN B C   613 ASN B C   1 
ATOM 11970 O O   . ASN B 2 613 ? 224.346 -40.416 323.736 1.0 62.42404  ? 613 ASN B O   613 ASN B O   1 
ATOM 11971 C CB  . ASN B 2 613 ? 223.692 -42.677 325.640 1.0 62.42404  ? 613 ASN B CB  613 ASN B CB  1 
ATOM 11972 C CG  . ASN B 2 613 ? 222.202 -42.804 325.823 1.0 62.42404  ? 613 ASN B CG  613 ASN B CG  1 
ATOM 11973 O OD1 . ASN B 2 613 ? 221.462 -43.006 324.861 1.0 62.42404  ? 613 ASN B OD1 613 ASN B OD1 1 
ATOM 11974 N ND2 . ASN B 2 613 ? 221.746 -42.672 327.062 1.0 62.42404  ? 613 ASN B ND2 613 ASN B ND2 1 
ATOM 11975 N N   . ILE B 2 614 ? 222.820 -41.546 322.517 1.0 63.7407   ? 614 ILE B N   614 ILE B N   1 
ATOM 11976 C CA  . ILE B 2 614 ? 222.273 -40.392 321.819 1.0 63.7407   ? 614 ILE B CA  614 ILE B CA  1 
ATOM 11977 C C   . ILE B 2 614 ? 220.761 -40.428 322.008 1.0 63.7407   ? 614 ILE B C   614 ILE B C   1 
ATOM 11978 O O   . ILE B 2 614 ? 220.117 -41.404 321.617 1.0 63.7407   ? 614 ILE B O   614 ILE B O   1 
ATOM 11979 C CB  . ILE B 2 614 ? 222.620 -40.389 320.321 1.0 63.7407   ? 614 ILE B CB  614 ILE B CB  1 
ATOM 11980 C CG1 . ILE B 2 614 ? 224.131 -40.429 320.097 1.0 63.7407   ? 614 ILE B CG1 614 ILE B CG1 1 
ATOM 11981 C CG2 . ILE B 2 614 ? 222.019 -39.170 319.642 1.0 63.7407   ? 614 ILE B CG2 614 ILE B CG2 1 
ATOM 11982 C CD1 . ILE B 2 614 ? 224.857 -39.227 320.630 1.0 63.7407   ? 614 ILE B CD1 614 ILE B CD1 1 
ATOM 11983 N N   . PRO B 2 615 ? 220.145 -39.399 322.587 1.0 70.22573  ? 615 PRO B N   615 PRO B N   1 
ATOM 11984 C CA  . PRO B 2 615 ? 218.682 -39.395 322.730 1.0 70.22573  ? 615 PRO B CA  615 PRO B CA  1 
ATOM 11985 C C   . PRO B 2 615 ? 217.964 -39.064 321.430 1.0 70.22573  ? 615 PRO B C   615 PRO B C   1 
ATOM 11986 O O   . PRO B 2 615 ? 218.609 -38.973 320.380 1.0 70.22573  ? 615 PRO B O   615 PRO B O   1 
ATOM 11987 C CB  . PRO B 2 615 ? 218.444 -38.323 323.795 1.0 70.22573  ? 615 PRO B CB  615 PRO B CB  1 
ATOM 11988 C CG  . PRO B 2 615 ? 219.586 -37.420 323.643 1.0 70.22573  ? 615 PRO B CG  615 PRO B CG  1 
ATOM 11989 C CD  . PRO B 2 615 ? 220.763 -38.253 323.268 1.0 70.22573  ? 615 PRO B CD  615 PRO B CD  1 
ATOM 11990 N N   . ASP B 2 616 ? 216.640 -38.885 321.488 1.0 71.94844  ? 616 ASP B N   616 ASP B N   1 
ATOM 11991 C CA  . ASP B 2 616 ? 215.823 -38.772 320.280 1.0 71.94844  ? 616 ASP B CA  616 ASP B CA  1 
ATOM 11992 C C   . ASP B 2 616 ? 216.126 -37.489 319.506 1.0 71.94844  ? 616 ASP B C   616 ASP B C   1 
ATOM 11993 O O   . ASP B 2 616 ? 216.027 -36.381 320.040 1.0 71.94844  ? 616 ASP B O   616 ASP B O   1 
ATOM 11994 C CB  . ASP B 2 616 ? 214.334 -38.869 320.621 1.0 71.94844  ? 616 ASP B CB  616 ASP B CB  1 
ATOM 11995 C CG  . ASP B 2 616 ? 213.907 -37.920 321.730 1.0 71.94844  ? 616 ASP B CG  616 ASP B CG  1 
ATOM 11996 O OD1 . ASP B 2 616 ? 214.777 -37.350 322.414 1.0 71.94844  ? 616 ASP B OD1 616 ASP B OD1 1 
ATOM 11997 O OD2 . ASP B 2 616 ? 212.688 -37.718 321.901 1.0 71.94844  ? 616 ASP B OD2 616 ASP B OD2 1 
ATOM 11998 N N   . ARG B 2 617 ? 216.536 -37.649 318.251 1.0 73.94826  ? 617 ARG B N   617 ARG B N   1 
ATOM 11999 C CA  . ARG B 2 617 ? 216.826 -36.544 317.350 1.0 73.94826  ? 617 ARG B CA  617 ARG B CA  1 
ATOM 12000 C C   . ARG B 2 617 ? 216.152 -36.813 316.014 1.0 73.94826  ? 617 ARG B C   617 ARG B C   1 
ATOM 12001 O O   . ARG B 2 617 ? 215.537 -37.859 315.806 1.0 73.94826  ? 617 ARG B O   617 ARG B O   1 
ATOM 12002 C CB  . ARG B 2 617 ? 218.331 -36.368 317.135 1.0 73.94826  ? 617 ARG B CB  617 ARG B CB  1 
ATOM 12003 C CG  . ARG B 2 617 ? 219.110 -36.070 318.386 1.0 73.94826  ? 617 ARG B CG  617 ARG B CG  1 
ATOM 12004 C CD  . ARG B 2 617 ? 220.550 -35.869 318.040 1.0 73.94826  ? 617 ARG B CD  617 ARG B CD  1 
ATOM 12005 N NE  . ARG B 2 617 ? 220.692 -34.681 317.215 1.0 73.94826  ? 617 ARG B NE  617 ARG B NE  1 
ATOM 12006 C CZ  . ARG B 2 617 ? 220.875 -33.464 317.705 1.0 73.94826  ? 617 ARG B CZ  617 ARG B CZ  1 
ATOM 12007 N NH1 . ARG B 2 617 ? 220.948 -33.286 319.014 1.0 73.94826  ? 617 ARG B NH1 617 ARG B NH1 1 
ATOM 12008 N NH2 . ARG B 2 617 ? 220.994 -32.428 316.891 1.0 73.94826  ? 617 ARG B NH2 617 ARG B NH2 1 
ATOM 12009 N N   . SER B 2 618 ? 216.289 -35.870 315.090 1.0 66.76967  ? 618 SER B N   618 SER B N   1 
ATOM 12010 C CA  . SER B 2 618 ? 215.805 -36.036 313.725 1.0 66.76967  ? 618 SER B CA  618 SER B CA  1 
ATOM 12011 C C   . SER B 2 618 ? 216.968 -36.559 312.896 1.0 66.76967  ? 618 SER B C   618 SER B C   1 
ATOM 12012 O O   . SER B 2 618 ? 217.965 -35.859 312.708 1.0 66.76967  ? 618 SER B O   618 SER B O   1 
ATOM 12013 C CB  . SER B 2 618 ? 215.275 -34.722 313.160 1.0 66.76967  ? 618 SER B CB  618 SER B CB  1 
ATOM 12014 O OG  . SER B 2 618 ? 216.327 -33.793 312.982 1.0 66.76967  ? 618 SER B OG  618 SER B OG  1 
ATOM 12015 N N   . TRP B 2 619 ? 216.842 -37.788 312.401 1.0 61.84956  ? 619 TRP B N   619 TRP B N   1 
ATOM 12016 C CA  . TRP B 2 619 ? 217.931 -38.471 311.718 1.0 61.84956  ? 619 TRP B CA  619 TRP B CA  1 
ATOM 12017 C C   . TRP B 2 619 ? 217.780 -38.437 310.205 1.0 61.84956  ? 619 TRP B C   619 TRP B C   1 
ATOM 12018 O O   . TRP B 2 619 ? 218.151 -39.398 309.523 1.0 61.84956  ? 619 TRP B O   619 TRP B O   1 
ATOM 12019 C CB  . TRP B 2 619 ? 218.028 -39.909 312.213 1.0 61.84956  ? 619 TRP B CB  619 TRP B CB  1 
ATOM 12020 C CG  . TRP B 2 619 ? 218.447 -39.984 313.627 1.0 61.84956  ? 619 TRP B CG  619 TRP B CG  1 
ATOM 12021 C CD1 . TRP B 2 619 ? 217.636 -40.013 314.712 1.0 61.84956  ? 619 TRP B CD1 619 TRP B CD1 1 
ATOM 12022 C CD2 . TRP B 2 619 ? 219.783 -40.052 314.122 1.0 61.84956  ? 619 TRP B CD2 619 TRP B CD2 1 
ATOM 12023 N NE1 . TRP B 2 619 ? 218.379 -40.086 315.860 1.0 61.84956  ? 619 TRP B NE1 619 TRP B NE1 1 
ATOM 12024 C CE2 . TRP B 2 619 ? 219.705 -40.114 315.522 1.0 61.84956  ? 619 TRP B CE2 619 TRP B CE2 1 
ATOM 12025 C CE3 . TRP B 2 619 ? 221.040 -40.063 313.519 1.0 61.84956  ? 619 TRP B CE3 619 TRP B CE3 1 
ATOM 12026 C CZ2 . TRP B 2 619 ? 220.829 -40.179 316.325 1.0 61.84956  ? 619 TRP B CZ2 619 TRP B CZ2 1 
ATOM 12027 C CZ3 . TRP B 2 619 ? 222.156 -40.136 314.321 1.0 61.84956  ? 619 TRP B CZ3 619 TRP B CZ3 1 
ATOM 12028 C CH2 . TRP B 2 619 ? 222.044 -40.195 315.707 1.0 61.84956  ? 619 TRP B CH2 619 TRP B CH2 1 
ATOM 12029 N N   . GLY B 2 620 ? 217.224 -37.357 309.668 1.0 59.68112  ? 620 GLY B N   620 GLY B N   1 
ATOM 12030 C CA  . GLY B 2 620 ? 217.165 -37.210 308.229 1.0 59.68112  ? 620 GLY B CA  620 GLY B CA  1 
ATOM 12031 C C   . GLY B 2 620 ? 218.546 -36.946 307.662 1.0 59.68112  ? 620 GLY B C   620 GLY B C   1 
ATOM 12032 O O   . GLY B 2 620 ? 219.362 -36.248 308.268 1.0 59.68112  ? 620 GLY B O   620 GLY B O   1 
ATOM 12033 N N   . ALA B 2 621 ? 218.802 -37.537 306.489 1.0 56.29512  ? 621 ALA B N   621 ALA B N   1 
ATOM 12034 C CA  . ALA B 2 621 ? 220.067 -37.432 305.753 1.0 56.29512  ? 621 ALA B CA  621 ALA B CA  1 
ATOM 12035 C C   . ALA B 2 621 ? 221.257 -37.901 306.585 1.0 56.29512  ? 621 ALA B C   621 ALA B C   1 
ATOM 12036 O O   . ALA B 2 621 ? 222.294 -37.241 306.641 1.0 56.29512  ? 621 ALA B O   621 ALA B O   1 
ATOM 12037 C CB  . ALA B 2 621 ? 220.301 -36.014 305.223 1.0 56.29512  ? 621 ALA B CB  621 ALA B CB  1 
ATOM 12038 N N   . PHE B 2 622 ? 221.105 -39.040 307.251 1.0 52.60196  ? 622 PHE B N   622 PHE B N   1 
ATOM 12039 C CA  . PHE B 2 622 ? 222.224 -39.651 307.947 1.0 52.60196  ? 622 PHE B CA  622 PHE B CA  1 
ATOM 12040 C C   . PHE B 2 622 ? 223.049 -40.465 306.962 1.0 52.60196  ? 622 PHE B C   622 PHE B C   1 
ATOM 12041 O O   . PHE B 2 622 ? 222.521 -41.031 306.003 1.0 52.60196  ? 622 PHE B O   622 PHE B O   1 
ATOM 12042 C CB  . PHE B 2 622 ? 221.727 -40.531 309.093 1.0 52.60196  ? 622 PHE B CB  622 PHE B CB  1 
ATOM 12043 C CG  . PHE B 2 622 ? 222.823 -41.095 309.943 1.0 52.60196  ? 622 PHE B CG  622 PHE B CG  1 
ATOM 12044 C CD1 . PHE B 2 622 ? 223.524 -40.283 310.814 1.0 52.60196  ? 622 PHE B CD1 622 PHE B CD1 1 
ATOM 12045 C CD2 . PHE B 2 622 ? 223.142 -42.438 309.886 1.0 52.60196  ? 622 PHE B CD2 622 PHE B CD2 1 
ATOM 12046 C CE1 . PHE B 2 622 ? 224.531 -40.798 311.600 1.0 52.60196  ? 622 PHE B CE1 622 PHE B CE1 1 
ATOM 12047 C CE2 . PHE B 2 622 ? 224.147 -42.956 310.672 1.0 52.60196  ? 622 PHE B CE2 622 PHE B CE2 1 
ATOM 12048 C CZ  . PHE B 2 622 ? 224.842 -42.134 311.528 1.0 52.60196  ? 622 PHE B CZ  622 PHE B CZ  1 
ATOM 12049 N N   . ARG B 2 623 ? 224.353 -40.516 307.194 1.0 52.7851   ? 623 ARG B N   623 ARG B N   1 
ATOM 12050 C CA  . ARG B 2 623 ? 225.245 -41.078 306.189 1.0 52.7851   ? 623 ARG B CA  623 ARG B CA  1 
ATOM 12051 C C   . ARG B 2 623 ? 225.990 -42.321 306.650 1.0 52.7851   ? 623 ARG B C   623 ARG B C   1 
ATOM 12052 O O   . ARG B 2 623 ? 226.093 -43.280 305.884 1.0 52.7851   ? 623 ARG B O   623 ARG B O   1 
ATOM 12053 C CB  . ARG B 2 623 ? 226.239 -40.003 305.732 1.0 52.7851   ? 623 ARG B CB  623 ARG B CB  1 
ATOM 12054 C CG  . ARG B 2 623 ? 227.033 -40.357 304.494 1.0 52.7851   ? 623 ARG B CG  623 ARG B CG  1 
ATOM 12055 C CD  . ARG B 2 623 ? 227.936 -39.209 304.089 1.0 52.7851   ? 623 ARG B CD  623 ARG B CD  1 
ATOM 12056 N NE  . ARG B 2 623 ? 228.973 -38.988 305.086 1.0 52.7851   ? 623 ARG B NE  623 ARG B NE  1 
ATOM 12057 C CZ  . ARG B 2 623 ? 229.792 -37.947 305.087 1.0 52.7851   ? 623 ARG B CZ  623 ARG B CZ  1 
ATOM 12058 N NH1 . ARG B 2 623 ? 229.695 -37.032 304.137 1.0 52.7851   ? 623 ARG B NH1 623 ARG B NH1 1 
ATOM 12059 N NH2 . ARG B 2 623 ? 230.708 -37.823 306.036 1.0 52.7851   ? 623 ARG B NH2 623 ARG B NH2 1 
ATOM 12060 N N   . GLY B 2 624 ? 226.510 -42.351 307.871 1.0 52.12988  ? 624 GLY B N   624 GLY B N   1 
ATOM 12061 C CA  . GLY B 2 624 ? 227.198 -43.541 308.335 1.0 52.12988  ? 624 GLY B CA  624 GLY B CA  1 
ATOM 12062 C C   . GLY B 2 624 ? 227.977 -43.281 309.605 1.0 52.12988  ? 624 GLY B C   624 GLY B C   1 
ATOM 12063 O O   . GLY B 2 624 ? 227.886 -42.212 310.213 1.0 52.12988  ? 624 GLY B O   624 GLY B O   1 
ATOM 12064 N N   . TRP B 2 625 ? 228.744 -44.296 310.002 1.0 50.9355   ? 625 TRP B N   625 TRP B N   1 
ATOM 12065 C CA  . TRP B 2 625 ? 229.579 -44.243 311.192 1.0 50.9355   ? 625 TRP B CA  625 TRP B CA  1 
ATOM 12066 C C   . TRP B 2 625 ? 231.045 -44.408 310.823 1.0 50.9355   ? 625 TRP B C   625 TRP B C   1 
ATOM 12067 O O   . TRP B 2 625 ? 231.384 -44.879 309.737 1.0 50.9355   ? 625 TRP B O   625 TRP B O   1 
ATOM 12068 C CB  . TRP B 2 625 ? 229.198 -45.333 312.197 1.0 50.9355   ? 625 TRP B CB  625 TRP B CB  1 
ATOM 12069 C CG  . TRP B 2 625 ? 227.889 -45.130 312.865 1.0 50.9355   ? 625 TRP B CG  625 TRP B CG  1 
ATOM 12070 C CD1 . TRP B 2 625 ? 227.664 -44.444 314.013 1.0 50.9355   ? 625 TRP B CD1 625 TRP B CD1 1 
ATOM 12071 C CD2 . TRP B 2 625 ? 226.616 -45.633 312.444 1.0 50.9355   ? 625 TRP B CD2 625 TRP B CD2 1 
ATOM 12072 N NE1 . TRP B 2 625 ? 226.334 -44.476 314.333 1.0 50.9355   ? 625 TRP B NE1 625 TRP B NE1 1 
ATOM 12073 C CE2 . TRP B 2 625 ? 225.667 -45.201 313.383 1.0 50.9355   ? 625 TRP B CE2 625 TRP B CE2 1 
ATOM 12074 C CE3 . TRP B 2 625 ? 226.187 -46.402 311.362 1.0 50.9355   ? 625 TRP B CE3 625 TRP B CE3 1 
ATOM 12075 C CZ2 . TRP B 2 625 ? 224.317 -45.511 313.272 1.0 50.9355   ? 625 TRP B CZ2 625 TRP B CZ2 1 
ATOM 12076 C CZ3 . TRP B 2 625 ? 224.848 -46.697 311.248 1.0 50.9355   ? 625 TRP B CZ3 625 TRP B CZ3 1 
ATOM 12077 C CH2 . TRP B 2 625 ? 223.929 -46.265 312.201 1.0 50.9355   ? 625 TRP B CH2 625 TRP B CH2 1 
ATOM 12078 N N   . SER B 2 626 ? 231.915 -44.012 311.749 1.0 51.22502  ? 626 SER B N   626 SER B N   1 
ATOM 12079 C CA  . SER B 2 626 ? 233.350 -44.256 311.648 1.0 51.22502  ? 626 SER B CA  626 SER B CA  1 
ATOM 12080 C C   . SER B 2 626 ? 233.941 -44.151 313.048 1.0 51.22502  ? 626 SER B C   626 SER B C   1 
ATOM 12081 O O   . SER B 2 626 ? 233.576 -43.247 313.806 1.0 51.22502  ? 626 SER B O   626 SER B O   1 
ATOM 12082 C CB  . SER B 2 626 ? 234.031 -43.253 310.710 1.0 51.22502  ? 626 SER B CB  626 SER B CB  1 
ATOM 12083 O OG  . SER B 2 626 ? 233.578 -43.401 309.380 1.0 51.22502  ? 626 SER B OG  626 SER B OG  1 
ATOM 12084 N N   . PHE B 2 627 ? 234.841 -45.067 313.399 1.0 51.76907  ? 627 PHE B N   627 PHE B N   1 
ATOM 12085 C CA  . PHE B 2 627 ? 235.317 -45.124 314.773 1.0 51.76907  ? 627 PHE B CA  627 PHE B CA  1 
ATOM 12086 C C   . PHE B 2 627 ? 236.720 -45.709 314.846 1.0 51.76907  ? 627 PHE B C   627 PHE B C   1 
ATOM 12087 O O   . PHE B 2 627 ? 237.048 -46.644 314.114 1.0 51.76907  ? 627 PHE B O   627 PHE B O   1 
ATOM 12088 C CB  . PHE B 2 627 ? 234.345 -45.922 315.657 1.0 51.76907  ? 627 PHE B CB  627 PHE B CB  1 
ATOM 12089 C CG  . PHE B 2 627 ? 234.167 -47.361 315.254 1.0 51.76907  ? 627 PHE B CG  627 PHE B CG  1 
ATOM 12090 C CD1 . PHE B 2 627 ? 233.217 -47.723 314.314 1.0 51.76907  ? 627 PHE B CD1 627 PHE B CD1 1 
ATOM 12091 C CD2 . PHE B 2 627 ? 234.905 -48.359 315.866 1.0 51.76907  ? 627 PHE B CD2 627 PHE B CD2 1 
ATOM 12092 C CE1 . PHE B 2 627 ? 233.043 -49.044 313.958 1.0 51.76907  ? 627 PHE B CE1 627 PHE B CE1 1 
ATOM 12093 C CE2 . PHE B 2 627 ? 234.737 -49.679 315.515 1.0 51.76907  ? 627 PHE B CE2 627 PHE B CE2 1 
ATOM 12094 C CZ  . PHE B 2 627 ? 233.803 -50.022 314.561 1.0 51.76907  ? 627 PHE B CZ  627 PHE B CZ  1 
ATOM 12095 N N   . THR B 2 628 ? 237.537 -45.144 315.739 1.0 55.30411  ? 628 THR B N   628 THR B N   1 
ATOM 12096 C CA  . THR B 2 628 ? 238.904 -45.578 316.006 1.0 55.30411  ? 628 THR B CA  628 THR B CA  1 
ATOM 12097 C C   . THR B 2 628 ? 239.313 -45.031 317.367 1.0 55.30411  ? 628 THR B C   628 THR B C   1 
ATOM 12098 O O   . THR B 2 628 ? 239.034 -43.872 317.670 1.0 55.30411  ? 628 THR B O   628 THR B O   1 
ATOM 12099 C CB  . THR B 2 628 ? 239.876 -45.087 314.919 1.0 55.30411  ? 628 THR B CB  628 THR B CB  1 
ATOM 12100 O OG1 . THR B 2 628 ? 239.526 -45.666 313.657 1.0 55.30411  ? 628 THR B OG1 628 THR B OG1 1 
ATOM 12101 C CG2 . THR B 2 628 ? 241.322 -45.449 315.232 1.0 55.30411  ? 628 THR B CG2 628 THR B CG2 1 
ATOM 12102 N N   . ARG B 2 629 ? 239.947 -45.871 318.186 1.0 57.04604  ? 629 ARG B N   629 ARG B N   1 
ATOM 12103 C CA  . ARG B 2 629 ? 240.431 -45.437 319.490 1.0 57.04604  ? 629 ARG B CA  629 ARG B CA  1 
ATOM 12104 C C   . ARG B 2 629 ? 241.555 -44.420 319.351 1.0 57.04604  ? 629 ARG B C   629 ARG B C   1 
ATOM 12105 O O   . ARG B 2 629 ? 242.307 -44.421 318.375 1.0 57.04604  ? 629 ARG B O   629 ARG B O   1 
ATOM 12106 C CB  . ARG B 2 629 ? 240.948 -46.624 320.295 1.0 57.04604  ? 629 ARG B CB  629 ARG B CB  1 
ATOM 12107 C CG  . ARG B 2 629 ? 239.906 -47.647 320.632 1.0 57.04604  ? 629 ARG B CG  629 ARG B CG  1 
ATOM 12108 C CD  . ARG B 2 629 ? 240.508 -48.795 321.398 1.0 57.04604  ? 629 ARG B CD  629 ARG B CD  1 
ATOM 12109 N NE  . ARG B 2 629 ? 240.917 -48.388 322.734 1.0 57.04604  ? 629 ARG B NE  629 ARG B NE  1 
ATOM 12110 C CZ  . ARG B 2 629 ? 241.560 -49.175 323.585 1.0 57.04604  ? 629 ARG B CZ  629 ARG B CZ  1 
ATOM 12111 N NH1 . ARG B 2 629 ? 241.868 -50.415 323.241 1.0 57.04604  ? 629 ARG B NH1 629 ARG B NH1 1 
ATOM 12112 N NH2 . ARG B 2 629 ? 241.895 -48.722 324.781 1.0 57.04604  ? 629 ARG B NH2 629 ARG B NH2 1 
ATOM 12113 N N   . LEU B 2 630 ? 241.666 -43.547 320.351 1.0 58.08259  ? 630 LEU B N   630 LEU B N   1 
ATOM 12114 C CA  . LEU B 2 630 ? 242.749 -42.581 320.455 1.0 58.08259  ? 630 LEU B CA  630 LEU B CA  1 
ATOM 12115 C C   . LEU B 2 630 ? 243.158 -42.467 321.911 1.0 58.08259  ? 630 LEU B C   630 LEU B C   1 
ATOM 12116 O O   . LEU B 2 630 ? 242.299 -42.447 322.792 1.0 58.08259  ? 630 LEU B O   630 LEU B O   1 
ATOM 12117 C CB  . LEU B 2 630 ? 242.336 -41.198 319.962 1.0 58.08259  ? 630 LEU B CB  630 LEU B CB  1 
ATOM 12118 C CG  . LEU B 2 630 ? 241.953 -41.011 318.504 1.0 58.08259  ? 630 LEU B CG  630 LEU B CG  1 
ATOM 12119 C CD1 . LEU B 2 630 ? 241.490 -39.600 318.311 1.0 58.08259  ? 630 LEU B CD1 630 LEU B CD1 1 
ATOM 12120 C CD2 . LEU B 2 630 ? 243.125 -41.314 317.619 1.0 58.08259  ? 630 LEU B CD2 630 LEU B CD2 1 
ATOM 12121 N N   . LYS B 2 631 ? 244.456 -42.357 322.168 1.0 61.67253  ? 631 LYS B N   631 LYS B N   1 
ATOM 12122 C CA  . LYS B 2 631 ? 244.915 -42.281 323.545 1.0 61.67253  ? 631 LYS B CA  631 LYS B CA  1 
ATOM 12123 C C   . LYS B 2 631 ? 244.751 -40.867 324.090 1.0 61.67253  ? 631 LYS B C   631 LYS B C   1 
ATOM 12124 O O   . LYS B 2 631 ? 244.819 -39.883 323.350 1.0 61.67253  ? 631 LYS B O   631 LYS B O   1 
ATOM 12125 C CB  . LYS B 2 631 ? 246.368 -42.733 323.655 1.0 61.67253  ? 631 LYS B CB  631 LYS B CB  1 
ATOM 12126 C CG  . LYS B 2 631 ? 246.563 -44.183 323.265 1.0 61.67253  ? 631 LYS B CG  631 LYS B CG  1 
ATOM 12127 C CD  . LYS B 2 631 ? 247.912 -44.709 323.690 1.0 61.67253  ? 631 LYS B CD  631 LYS B CD  1 
ATOM 12128 C CE  . LYS B 2 631 ? 249.029 -44.108 322.879 1.0 61.67253  ? 631 LYS B CE  631 LYS B CE  1 
ATOM 12129 N NZ  . LYS B 2 631 ? 250.348 -44.704 323.213 1.0 61.67253  ? 631 LYS B NZ  631 LYS B NZ  1 
ATOM 12130 N N   . VAL B 2 632 ? 244.520 -40.777 325.403 1.0 63.04943  ? 632 VAL B N   632 VAL B N   1 
ATOM 12131 C CA  . VAL B 2 632 ? 244.228 -39.492 326.036 1.0 63.04943  ? 632 VAL B CA  632 VAL B CA  1 
ATOM 12132 C C   . VAL B 2 632 ? 245.474 -38.616 326.084 1.0 63.04943  ? 632 VAL B C   632 VAL B C   1 
ATOM 12133 O O   . VAL B 2 632 ? 245.409 -37.406 325.837 1.0 63.04943  ? 632 VAL B O   632 VAL B O   1 
ATOM 12134 C CB  . VAL B 2 632 ? 243.627 -39.724 327.436 1.0 63.04943  ? 632 VAL B CB  632 VAL B CB  1 
ATOM 12135 C CG1 . VAL B 2 632 ? 243.504 -38.429 328.222 1.0 63.04943  ? 632 VAL B CG1 632 VAL B CG1 1 
ATOM 12136 C CG2 . VAL B 2 632 ? 242.259 -40.355 327.307 1.0 63.04943  ? 632 VAL B CG2 632 VAL B CG2 1 
ATOM 12137 N N   . SER B 2 633 ? 246.637 -39.218 326.350 1.0 65.22816  ? 633 SER B N   633 SER B N   1 
ATOM 12138 C CA  . SER B 2 633 ? 247.875 -38.451 326.443 1.0 65.22816  ? 633 SER B CA  633 SER B CA  1 
ATOM 12139 C C   . SER B 2 633 ? 248.331 -37.905 325.097 1.0 65.22816  ? 633 SER B C   633 SER B C   1 
ATOM 12140 O O   . SER B 2 633 ? 249.139 -36.974 325.066 1.0 65.22816  ? 633 SER B O   633 SER B O   1 
ATOM 12141 C CB  . SER B 2 633 ? 248.983 -39.311 327.046 1.0 65.22816  ? 633 SER B CB  633 SER B CB  1 
ATOM 12142 O OG  . SER B 2 633 ? 249.345 -40.361 326.169 1.0 65.22816  ? 633 SER B OG  633 SER B OG  1 
ATOM 12143 N N   . GLU B 2 634 ? 247.834 -38.456 323.991 1.0 65.21063  ? 634 GLU B N   634 GLU B N   1 
ATOM 12144 C CA  . GLU B 2 634 ? 248.183 -37.968 322.666 1.0 65.21063  ? 634 GLU B CA  634 GLU B CA  1 
ATOM 12145 C C   . GLU B 2 634 ? 247.114 -37.086 322.044 1.0 65.21063  ? 634 GLU B C   634 GLU B C   1 
ATOM 12146 O O   . GLU B 2 634 ? 247.409 -36.371 321.082 1.0 65.21063  ? 634 GLU B O   634 GLU B O   1 
ATOM 12147 C CB  . GLU B 2 634 ? 248.460 -39.144 321.724 1.0 65.21063  ? 634 GLU B CB  634 GLU B CB  1 
ATOM 12148 C CG  . GLU B 2 634 ? 249.685 -39.956 322.087 1.0 65.21063  ? 634 GLU B CG  634 GLU B CG  1 
ATOM 12149 C CD  . GLU B 2 634 ? 249.919 -41.102 321.129 1.0 65.21063  ? 634 GLU B CD  634 GLU B CD  1 
ATOM 12150 O OE1 . GLU B 2 634 ? 249.055 -41.332 320.259 1.0 65.21063  ? 634 GLU B OE1 634 GLU B OE1 1 
ATOM 12151 O OE2 . GLU B 2 634 ? 250.964 -41.773 321.245 1.0 65.21063  ? 634 GLU B OE2 634 GLU B OE2 1 
ATOM 12152 N N   . THR B 2 635 ? 245.886 -37.117 322.556 1.0 68.00268  ? 635 THR B N   635 THR B N   1 
ATOM 12153 C CA  . THR B 2 635 ? 244.808 -36.329 321.981 1.0 68.00268  ? 635 THR B CA  635 THR B CA  1 
ATOM 12154 C C   . THR B 2 635 ? 244.557 -35.104 322.838 1.0 68.00268  ? 635 THR B C   635 THR B C   1 
ATOM 12155 O O   . THR B 2 635 ? 244.208 -35.244 324.021 1.0 68.00268  ? 635 THR B O   635 THR B O   1 
ATOM 12156 C CB  . THR B 2 635 ? 243.534 -37.155 321.865 1.0 68.00268  ? 635 THR B CB  635 THR B CB  1 
ATOM 12157 O OG1 . THR B 2 635 ? 243.753 -38.246 320.964 1.0 68.00268  ? 635 THR B OG1 635 THR B OG1 1 
ATOM 12158 C CG2 . THR B 2 635 ? 242.396 -36.301 321.347 1.0 68.00268  ? 635 THR B CG2 635 THR B CG2 1 
ATOM 12159 N N   . PRO B 2 636 ? 244.709 -33.904 322.299 1.0 74.14607  ? 636 PRO B N   636 PRO B N   1 
ATOM 12160 C CA  . PRO B 2 636 ? 244.451 -32.704 323.088 1.0 74.14607  ? 636 PRO B CA  636 PRO B CA  1 
ATOM 12161 C C   . PRO B 2 636 ? 242.978 -32.372 323.075 1.0 74.14607  ? 636 PRO B C   636 PRO B C   1 
ATOM 12162 O O   . PRO B 2 636 ? 242.158 -33.131 322.553 1.0 74.14607  ? 636 PRO B O   636 PRO B O   1 
ATOM 12163 C CB  . PRO B 2 636 ? 245.258 -31.634 322.351 1.0 74.14607  ? 636 PRO B CB  636 PRO B CB  1 
ATOM 12164 C CG  . PRO B 2 636 ? 245.139 -32.056 320.936 1.0 74.14607  ? 636 PRO B CG  636 PRO B CG  1 
ATOM 12165 C CD  . PRO B 2 636 ? 245.136 -33.563 320.938 1.0 74.14607  ? 636 PRO B CD  636 PRO B CD  1 
ATOM 12166 N N   . ARG B 2 637 ? 242.638 -31.225 323.639 1.0 86.75148  ? 637 ARG B N   637 ARG B N   1 
ATOM 12167 C CA  . ARG B 2 637 ? 241.307 -30.655 323.507 1.0 86.75148  ? 637 ARG B CA  637 ARG B CA  1 
ATOM 12168 C C   . ARG B 2 637 ? 241.483 -29.320 322.801 1.0 86.75148  ? 637 ARG B C   637 ARG B C   1 
ATOM 12169 O O   . ARG B 2 637 ? 242.245 -28.468 323.270 1.0 86.75148  ? 637 ARG B O   637 ARG B O   1 
ATOM 12170 C CB  . ARG B 2 637 ? 240.637 -30.515 324.873 1.0 86.75148  ? 637 ARG B CB  637 ARG B CB  1 
ATOM 12171 C CG  . ARG B 2 637 ? 240.019 -31.814 325.404 1.0 86.75148  ? 637 ARG B CG  637 ARG B CG  1 
ATOM 12172 C CD  . ARG B 2 637 ? 241.026 -32.698 326.122 1.0 86.75148  ? 637 ARG B CD  637 ARG B CD  1 
ATOM 12173 N NE  . ARG B 2 637 ? 241.559 -32.053 327.317 1.0 86.75148  ? 637 ARG B NE  637 ARG B NE  1 
ATOM 12174 C CZ  . ARG B 2 637 ? 242.640 -32.465 327.968 1.0 86.75148  ? 637 ARG B CZ  637 ARG B CZ  1 
ATOM 12175 N NH1 . ARG B 2 637 ? 243.313 -33.526 327.541 1.0 86.75148  ? 637 ARG B NH1 637 ARG B NH1 1 
ATOM 12176 N NH2 . ARG B 2 637 ? 243.052 -31.814 329.045 1.0 86.75148  ? 637 ARG B NH2 637 ARG B NH2 1 
ATOM 12177 N N   . ILE B 2 638 ? 240.781 -29.141 321.679 1.0 86.79344  ? 638 ILE B N   638 ILE B N   1 
ATOM 12178 C CA  . ILE B 2 638 ? 241.209 -28.168 320.674 1.0 86.79344  ? 638 ILE B CA  638 ILE B CA  1 
ATOM 12179 C C   . ILE B 2 638 ? 240.909 -26.742 321.117 1.0 86.79344  ? 638 ILE B C   638 ILE B C   1 
ATOM 12180 O O   . ILE B 2 638 ? 241.822 -25.927 321.289 1.0 86.79344  ? 638 ILE B O   638 ILE B O   1 
ATOM 12181 C CB  . ILE B 2 638 ? 240.552 -28.463 319.315 1.0 86.79344  ? 638 ILE B CB  638 ILE B CB  1 
ATOM 12182 C CG1 . ILE B 2 638 ? 240.982 -29.818 318.777 1.0 86.79344  ? 638 ILE B CG1 638 ILE B CG1 1 
ATOM 12183 C CG2 . ILE B 2 638 ? 240.912 -27.391 318.303 1.0 86.79344  ? 638 ILE B CG2 638 ILE B CG2 1 
ATOM 12184 C CD1 . ILE B 2 638 ? 240.255 -30.175 317.513 1.0 86.79344  ? 638 ILE B CD1 638 ILE B CD1 1 
ATOM 12185 N N   . GLY B 2 639 ? 239.628 -26.423 321.308 1.0 89.39286  ? 639 GLY B N   639 GLY B N   1 
ATOM 12186 C CA  . GLY B 2 639 ? 239.159 -25.046 321.313 1.0 89.39286  ? 639 GLY B CA  639 GLY B CA  1 
ATOM 12187 C C   . GLY B 2 639 ? 239.593 -24.183 322.480 1.0 89.39286  ? 639 GLY B C   639 GLY B C   1 
ATOM 12188 O O   . GLY B 2 639 ? 239.311 -22.982 322.467 1.0 89.39286  ? 639 GLY B O   639 GLY B O   1 
ATOM 12189 N N   . ALA B 2 640 ? 240.263 -24.745 323.480 1.0 90.6131   ? 640 ALA B N   640 ALA B N   1 
ATOM 12190 C CA  . ALA B 2 640 ? 240.813 -23.938 324.553 1.0 90.6131   ? 640 ALA B CA  640 ALA B CA  1 
ATOM 12191 C C   . ALA B 2 640 ? 242.040 -23.181 324.058 1.0 90.6131   ? 640 ALA B C   640 ALA B C   1 
ATOM 12192 O O   . ALA B 2 640 ? 242.687 -23.566 323.081 1.0 90.6131   ? 640 ALA B O   640 ALA B O   1 
ATOM 12193 C CB  . ALA B 2 640 ? 241.174 -24.814 325.750 1.0 90.6131   ? 640 ALA B CB  640 ALA B CB  1 
ATOM 12194 N N   . THR B 2 641 ? 242.356 -22.082 324.742 1.0 84.39917  ? 641 THR B N   641 THR B N   1 
ATOM 12195 C CA  . THR B 2 641 ? 243.486 -21.264 324.318 1.0 84.39917  ? 641 THR B CA  641 THR B CA  1 
ATOM 12196 C C   . THR B 2 641 ? 244.824 -21.910 324.657 1.0 84.39917  ? 641 THR B C   641 THR B C   1 
ATOM 12197 O O   . THR B 2 641 ? 245.829 -21.610 324.004 1.0 84.39917  ? 641 THR B O   641 THR B O   1 
ATOM 12198 C CB  . THR B 2 641 ? 243.387 -19.865 324.934 1.0 84.39917  ? 641 THR B CB  641 THR B CB  1 
ATOM 12199 O OG1 . THR B 2 641 ? 244.474 -19.056 324.469 1.0 84.39917  ? 641 THR B OG1 641 THR B OG1 1 
ATOM 12200 C CG2 . THR B 2 641 ? 243.396 -19.918 326.455 1.0 84.39917  ? 641 THR B CG2 641 THR B CG2 1 
ATOM 12201 N N   . GLN B 2 642 ? 244.847 -22.812 325.638 1.0 86.30524  ? 642 GLN B N   642 GLN B N   1 
ATOM 12202 C CA  . GLN B 2 642 ? 246.065 -23.487 326.068 1.0 86.30524  ? 642 GLN B CA  642 GLN B CA  1 
ATOM 12203 C C   . GLN B 2 642 ? 245.639 -24.688 326.894 1.0 86.30524  ? 642 GLN B C   642 GLN B C   1 
ATOM 12204 O O   . GLN B 2 642 ? 244.819 -24.545 327.802 1.0 86.30524  ? 642 GLN B O   642 GLN B O   1 
ATOM 12205 C CB  . GLN B 2 642 ? 246.960 -22.546 326.891 1.0 86.30524  ? 642 GLN B CB  642 GLN B CB  1 
ATOM 12206 C CG  . GLN B 2 642 ? 248.391 -23.023 327.128 1.0 86.30524  ? 642 GLN B CG  642 GLN B CG  1 
ATOM 12207 C CD  . GLN B 2 642 ? 248.522 -23.990 328.287 1.0 86.30524  ? 642 GLN B CD  642 GLN B CD  1 
ATOM 12208 O OE1 . GLN B 2 642 ? 249.090 -25.070 328.145 1.0 86.30524  ? 642 GLN B OE1 642 GLN B OE1 1 
ATOM 12209 N NE2 . GLN B 2 642 ? 247.983 -23.609 329.440 1.0 86.30524  ? 642 GLN B NE2 642 GLN B NE2 1 
ATOM 12210 N N   . ASP B 2 643 ? 246.195 -25.858 326.588 1.0 85.12397  ? 643 ASP B N   643 ASP B N   1 
ATOM 12211 C CA  . ASP B 2 643 ? 245.841 -27.078 327.307 1.0 85.12397  ? 643 ASP B CA  643 ASP B CA  1 
ATOM 12212 C C   . ASP B 2 643 ? 246.998 -27.468 328.219 1.0 85.12397  ? 643 ASP B C   643 ASP B C   1 
ATOM 12213 O O   . ASP B 2 643 ? 248.003 -28.020 327.744 1.0 85.12397  ? 643 ASP B O   643 ASP B O   1 
ATOM 12214 C CB  . ASP B 2 643 ? 245.519 -28.208 326.325 1.0 85.12397  ? 643 ASP B CB  643 ASP B CB  1 
ATOM 12215 C CG  . ASP B 2 643 ? 244.753 -29.349 326.972 1.0 85.12397  ? 643 ASP B CG  643 ASP B CG  1 
ATOM 12216 O OD1 . ASP B 2 643 ? 244.464 -29.269 328.183 1.0 85.12397  ? 643 ASP B OD1 643 ASP B OD1 1 
ATOM 12217 O OD2 . ASP B 2 643 ? 244.431 -30.327 326.264 1.0 85.12397  ? 643 ASP B OD2 643 ASP B OD2 1 
ATOM 12218 N N   . PRO B 2 644 ? 246.917 -27.199 329.526 1.0 83.71424  ? 644 PRO B N   644 PRO B N   1 
ATOM 12219 C CA  . PRO B 2 644 ? 248.034 -27.539 330.417 1.0 83.71424  ? 644 PRO B CA  644 PRO B CA  1 
ATOM 12220 C C   . PRO B 2 644 ? 248.137 -29.018 330.727 1.0 83.71424  ? 644 PRO B C   644 PRO B C   1 
ATOM 12221 O O   . PRO B 2 644 ? 249.203 -29.466 331.166 1.0 83.71424  ? 644 PRO B O   644 PRO B O   1 
ATOM 12222 C CB  . PRO B 2 644 ? 247.723 -26.737 331.686 1.0 83.71424  ? 644 PRO B CB  644 PRO B CB  1 
ATOM 12223 C CG  . PRO B 2 644 ? 246.241 -26.630 331.684 1.0 83.71424  ? 644 PRO B CG  644 PRO B CG  1 
ATOM 12224 C CD  . PRO B 2 644 ? 245.830 -26.516 330.246 1.0 83.71424  ? 644 PRO B CD  644 PRO B CD  1 
ATOM 12225 N N   . ASN B 2 645 ? 247.067 -29.784 330.524 1.0 81.97662  ? 645 ASN B N   645 ASN B N   1 
ATOM 12226 C CA  . ASN B 2 645 ? 247.113 -31.223 330.736 1.0 81.97662  ? 645 ASN B CA  645 ASN B CA  1 
ATOM 12227 C C   . ASN B 2 645 ? 247.610 -31.982 329.517 1.0 81.97662  ? 645 ASN B C   645 ASN B C   1 
ATOM 12228 O O   . ASN B 2 645 ? 247.640 -33.215 329.548 1.0 81.97662  ? 645 ASN B O   645 ASN B O   1 
ATOM 12229 C CB  . ASN B 2 645 ? 245.731 -31.745 331.126 1.0 81.97662  ? 645 ASN B CB  645 ASN B CB  1 
ATOM 12230 C CG  . ASN B 2 645 ? 245.310 -31.299 332.507 1.0 81.97662  ? 645 ASN B CG  645 ASN B CG  1 
ATOM 12231 O OD1 . ASN B 2 645 ? 246.113 -31.283 333.438 1.0 81.97662  ? 645 ASN B OD1 645 ASN B OD1 1 
ATOM 12232 N ND2 . ASN B 2 645 ? 244.041 -30.937 332.650 1.0 81.97662  ? 645 ASN B ND2 645 ASN B ND2 1 
ATOM 12233 N N   . PHE B 2 646 ? 247.987 -31.285 328.452 1.0 72.11436  ? 646 PHE B N   646 PHE B N   1 
ATOM 12234 C CA  . PHE B 2 646 ? 248.452 -31.912 327.220 1.0 72.11436  ? 646 PHE B CA  646 PHE B CA  1 
ATOM 12235 C C   . PHE B 2 646 ? 249.955 -31.700 327.110 1.0 72.11436  ? 646 PHE B C   646 PHE B C   1 
ATOM 12236 O O   . PHE B 2 646 ? 250.413 -30.657 326.640 1.0 72.11436  ? 646 PHE B O   646 PHE B O   1 
ATOM 12237 C CB  . PHE B 2 646 ? 247.713 -31.341 326.017 1.0 72.11436  ? 646 PHE B CB  646 PHE B CB  1 
ATOM 12238 C CG  . PHE B 2 646 ? 248.128 -31.944 324.719 1.0 72.11436  ? 646 PHE B CG  646 PHE B CG  1 
ATOM 12239 C CD1 . PHE B 2 646 ? 247.781 -33.245 324.411 1.0 72.11436  ? 646 PHE B CD1 646 PHE B CD1 1 
ATOM 12240 C CD2 . PHE B 2 646 ? 248.853 -31.209 323.801 1.0 72.11436  ? 646 PHE B CD2 646 PHE B CD2 1 
ATOM 12241 C CE1 . PHE B 2 646 ? 248.157 -33.806 323.215 1.0 72.11436  ? 646 PHE B CE1 646 PHE B CE1 1 
ATOM 12242 C CE2 . PHE B 2 646 ? 249.230 -31.764 322.602 1.0 72.11436  ? 646 PHE B CE2 646 PHE B CE2 1 
ATOM 12243 C CZ  . PHE B 2 646 ? 248.881 -33.064 322.312 1.0 72.11436  ? 646 PHE B CZ  646 PHE B CZ  1 
ATOM 12244 N N   . GLN B 2 647 ? 250.722 -32.696 327.542 1.0 67.91011  ? 647 GLN B N   647 GLN B N   1 
ATOM 12245 C CA  . GLN B 2 647 ? 252.181 -32.655 327.499 1.0 67.91011  ? 647 GLN B CA  647 GLN B CA  1 
ATOM 12246 C C   . GLN B 2 647 ? 252.641 -33.734 326.528 1.0 67.91011  ? 647 GLN B C   647 GLN B C   1 
ATOM 12247 O O   . GLN B 2 647 ? 253.004 -34.840 326.931 1.0 67.91011  ? 647 GLN B O   647 GLN B O   1 
ATOM 12248 C CB  . GLN B 2 647 ? 252.752 -32.854 328.874 1.0 67.91011  ? 647 GLN B CB  647 GLN B CB  1 
ATOM 12249 C CG  . GLN B 2 647 ? 252.403 -31.741 329.833 1.0 67.91011  ? 647 GLN B CG  647 GLN B CG  1 
ATOM 12250 C CD  . GLN B 2 647 ? 252.947 -31.980 331.219 1.0 67.91011  ? 647 GLN B CD  647 GLN B CD  1 
ATOM 12251 O OE1 . GLN B 2 647 ? 253.533 -33.024 331.496 1.0 67.91011  ? 647 GLN B OE1 647 GLN B OE1 1 
ATOM 12252 N NE2 . GLN B 2 647 ? 252.756 -31.010 332.103 1.0 67.91011  ? 647 GLN B NE2 647 GLN B NE2 1 
ATOM 12253 N N   . TYR B 2 648 ? 252.647 -33.388 325.243 1.0 62.68251  ? 648 TYR B N   648 TYR B N   1 
ATOM 12254 C CA  . TYR B 2 648 ? 252.962 -34.322 324.172 1.0 62.68251  ? 648 TYR B CA  648 TYR B CA  1 
ATOM 12255 C C   . TYR B 2 648 ? 253.222 -33.549 322.891 1.0 62.68251  ? 648 TYR B C   648 TYR B C   1 
ATOM 12256 O O   . TYR B 2 648 ? 252.433 -32.676 322.521 1.0 62.68251  ? 648 TYR B O   648 TYR B O   1 
ATOM 12257 C CB  . TYR B 2 648 ? 251.820 -35.314 323.962 1.0 62.68251  ? 648 TYR B CB  648 TYR B CB  1 
ATOM 12258 C CG  . TYR B 2 648 ? 252.087 -36.344 322.898 1.0 62.68251  ? 648 TYR B CG  648 TYR B CG  1 
ATOM 12259 C CD1 . TYR B 2 648 ? 252.940 -37.410 323.140 1.0 62.68251  ? 648 TYR B CD1 648 TYR B CD1 1 
ATOM 12260 C CD2 . TYR B 2 648 ? 251.478 -36.257 321.656 1.0 62.68251  ? 648 TYR B CD2 648 TYR B CD2 1 
ATOM 12261 C CE1 . TYR B 2 648 ? 253.185 -38.356 322.172 1.0 62.68251  ? 648 TYR B CE1 648 TYR B CE1 1 
ATOM 12262 C CE2 . TYR B 2 648 ? 251.716 -37.198 320.681 1.0 62.68251  ? 648 TYR B CE2 648 TYR B CE2 1 
ATOM 12263 C CZ  . TYR B 2 648 ? 252.571 -38.245 320.944 1.0 62.68251  ? 648 TYR B CZ  648 TYR B CZ  1 
ATOM 12264 O OH  . TYR B 2 648 ? 252.813 -39.188 319.974 1.0 62.68251  ? 648 TYR B OH  648 TYR B OH  1 
ATOM 12265 N N   . SER B 2 649 ? 254.317 -33.856 322.204 1.0 60.54668  ? 649 SER B N   649 SER B N   1 
ATOM 12266 C CA  . SER B 2 649 ? 254.656 -33.160 320.972 1.0 60.54668  ? 649 SER B CA  649 SER B CA  1 
ATOM 12267 C C   . SER B 2 649 ? 255.035 -34.137 319.873 1.0 60.54668  ? 649 SER B C   649 SER B C   1 
ATOM 12268 O O   . SER B 2 649 ? 255.880 -33.834 319.029 1.0 60.54668  ? 649 SER B O   649 SER B O   1 
ATOM 12269 C CB  . SER B 2 649 ? 255.787 -32.166 321.201 1.0 60.54668  ? 649 SER B CB  649 SER B CB  1 
ATOM 12270 O OG  . SER B 2 649 ? 256.988 -32.843 321.510 1.0 60.54668  ? 649 SER B OG  649 SER B OG  1 
ATOM 12271 N N   . GLY B 2 650 ? 254.428 -35.316 319.874 1.0 60.59549  ? 650 GLY B N   650 GLY B N   1 
ATOM 12272 C CA  . GLY B 2 650 ? 254.645 -36.253 318.796 1.0 60.59549  ? 650 GLY B CA  650 GLY B CA  1 
ATOM 12273 C C   . GLY B 2 650 ? 253.613 -36.054 317.714 1.0 60.59549  ? 650 GLY B C   650 GLY B C   1 
ATOM 12274 O O   . GLY B 2 650 ? 253.181 -34.927 317.463 1.0 60.59549  ? 650 GLY B O   650 GLY B O   1 
ATOM 12275 N N   . SER B 2 651 ? 253.208 -37.135 317.064 1.0 59.67524  ? 651 SER B N   651 SER B N   1 
ATOM 12276 C CA  . SER B 2 651 ? 252.126 -37.078 316.098 1.0 59.67524  ? 651 SER B CA  651 SER B CA  1 
ATOM 12277 C C   . SER B 2 651 ? 250.801 -37.139 316.839 1.0 59.67524  ? 651 SER B C   651 SER B C   1 
ATOM 12278 O O   . SER B 2 651 ? 250.610 -37.996 317.705 1.0 59.67524  ? 651 SER B O   651 SER B O   1 
ATOM 12279 C CB  . SER B 2 651 ? 252.228 -38.227 315.100 1.0 59.67524  ? 651 SER B CB  651 SER B CB  1 
ATOM 12280 O OG  . SER B 2 651 ? 251.135 -38.202 314.207 1.0 59.67524  ? 651 SER B OG  651 SER B OG  1 
ATOM 12281 N N   . ILE B 2 652 ? 249.895 -36.224 316.511 1.0 60.23354  ? 652 ILE B N   652 ILE B N   1 
ATOM 12282 C CA  . ILE B 2 652 ? 248.561 -36.197 317.102 1.0 60.23354  ? 652 ILE B CA  652 ILE B CA  1 
ATOM 12283 C C   . ILE B 2 652 ? 247.596 -36.819 316.097 1.0 60.23354  ? 652 ILE B C   652 ILE B C   1 
ATOM 12284 O O   . ILE B 2 652 ? 247.294 -36.186 315.074 1.0 60.23354  ? 652 ILE B O   652 ILE B O   1 
ATOM 12285 C CB  . ILE B 2 652 ? 248.124 -34.776 317.465 1.0 60.23354  ? 652 ILE B CB  652 ILE B CB  1 
ATOM 12286 C CG1 . ILE B 2 652 ? 249.033 -34.183 318.532 1.0 60.23354  ? 652 ILE B CG1 652 ILE B CG1 1 
ATOM 12287 C CG2 . ILE B 2 652 ? 246.699 -34.793 317.942 1.0 60.23354  ? 652 ILE B CG2 652 ILE B CG2 1 
ATOM 12288 C CD1 . ILE B 2 652 ? 248.758 -32.732 318.766 1.0 60.23354  ? 652 ILE B CD1 652 ILE B CD1 1 
ATOM 12289 N N   . PRO B 2 653 ? 247.084 -38.024 316.342 1.0 58.91273  ? 653 PRO B N   653 PRO B N   1 
ATOM 12290 C CA  . PRO B 2 653 ? 246.227 -38.682 315.353 1.0 58.91273  ? 653 PRO B CA  653 PRO B CA  1 
ATOM 12291 C C   . PRO B 2 653 ? 244.798 -38.168 315.301 1.0 58.91273  ? 653 PRO B C   653 PRO B C   1 
ATOM 12292 O O   . PRO B 2 653 ? 244.034 -38.632 314.450 1.0 58.91273  ? 653 PRO B O   653 PRO B O   1 
ATOM 12293 C CB  . PRO B 2 653 ? 246.270 -40.150 315.796 1.0 58.91273  ? 653 PRO B CB  653 PRO B CB  1 
ATOM 12294 C CG  . PRO B 2 653 ? 246.550 -40.088 317.244 1.0 58.91273  ? 653 PRO B CG  653 PRO B CG  1 
ATOM 12295 C CD  . PRO B 2 653 ? 247.416 -38.907 317.471 1.0 58.91273  ? 653 PRO B CD  653 PRO B CD  1 
ATOM 12296 N N   . TYR B 2 654 ? 244.403 -37.229 316.161 1.0 60.18855  ? 654 TYR B N   654 TYR B N   1 
ATOM 12297 C CA  . TYR B 2 654 ? 243.027 -36.744 316.122 1.0 60.18855  ? 654 TYR B CA  654 TYR B CA  1 
ATOM 12298 C C   . TYR B 2 654 ? 242.800 -35.781 314.964 1.0 60.18855  ? 654 TYR B C   654 TYR B C   1 
ATOM 12299 O O   . TYR B 2 654 ? 241.712 -35.751 314.381 1.0 60.18855  ? 654 TYR B O   654 TYR B O   1 
ATOM 12300 C CB  . TYR B 2 654 ? 242.659 -36.074 317.445 1.0 60.18855  ? 654 TYR B CB  654 TYR B CB  1 
ATOM 12301 C CG  . TYR B 2 654 ? 241.247 -35.529 317.469 1.0 60.18855  ? 654 TYR B CG  654 TYR B CG  1 
ATOM 12302 C CD1 . TYR B 2 654 ? 240.156 -36.381 317.505 1.0 60.18855  ? 654 TYR B CD1 654 TYR B CD1 1 
ATOM 12303 C CD2 . TYR B 2 654 ? 241.007 -34.168 317.470 1.0 60.18855  ? 654 TYR B CD2 654 TYR B CD2 1 
ATOM 12304 C CE1 . TYR B 2 654 ? 238.871 -35.895 317.526 1.0 60.18855  ? 654 TYR B CE1 654 TYR B CE1 1 
ATOM 12305 C CE2 . TYR B 2 654 ? 239.723 -33.675 317.493 1.0 60.18855  ? 654 TYR B CE2 654 TYR B CE2 1 
ATOM 12306 C CZ  . TYR B 2 654 ? 238.659 -34.539 317.523 1.0 60.18855  ? 654 TYR B CZ  654 TYR B CZ  1 
ATOM 12307 O OH  . TYR B 2 654 ? 237.375 -34.043 317.546 1.0 60.18855  ? 654 TYR B OH  654 TYR B OH  1 
ATOM 12308 N N   . LEU B 2 655 ? 243.818 -34.998 314.615 1.0 58.48948  ? 655 LEU B N   655 LEU B N   1 
ATOM 12309 C CA  . LEU B 2 655 ? 243.740 -33.988 313.567 1.0 58.48948  ? 655 LEU B CA  655 LEU B CA  1 
ATOM 12310 C C   . LEU B 2 655 ? 244.694 -34.231 312.404 1.0 58.48948  ? 655 LEU B C   655 LEU B C   1 
ATOM 12311 O O   . LEU B 2 655 ? 244.928 -33.311 311.616 1.0 58.48948  ? 655 LEU B O   655 LEU B O   1 
ATOM 12312 C CB  . LEU B 2 655 ? 243.991 -32.605 314.180 1.0 58.48948  ? 655 LEU B CB  655 LEU B CB  1 
ATOM 12313 C CG  . LEU B 2 655 ? 245.019 -32.544 315.321 1.0 58.48948  ? 655 LEU B CG  655 LEU B CG  1 
ATOM 12314 C CD1 . LEU B 2 655 ? 246.480 -32.619 314.887 1.0 58.48948  ? 655 LEU B CD1 655 LEU B CD1 1 
ATOM 12315 C CD2 . LEU B 2 655 ? 244.796 -31.282 316.117 1.0 58.48948  ? 655 LEU B CD2 655 LEU B CD2 1 
ATOM 12316 N N   . ASP B 2 656 ? 245.253 -35.426 312.272 1.0 59.20791  ? 656 ASP B N   656 ASP B N   1 
ATOM 12317 C CA  . ASP B 2 656 ? 246.237 -35.691 311.234 1.0 59.20791  ? 656 ASP B CA  656 ASP B CA  1 
ATOM 12318 C C   . ASP B 2 656 ? 245.910 -36.906 310.382 1.0 59.20791  ? 656 ASP B C   656 ASP B C   1 
ATOM 12319 O O   . ASP B 2 656 ? 246.140 -36.877 309.171 1.0 59.20791  ? 656 ASP B O   656 ASP B O   1 
ATOM 12320 C CB  . ASP B 2 656 ? 247.621 -35.886 311.874 1.0 59.20791  ? 656 ASP B CB  656 ASP B CB  1 
ATOM 12321 C CG  . ASP B 2 656 ? 248.766 -35.717 310.895 1.0 59.20791  ? 656 ASP B CG  656 ASP B CG  1 
ATOM 12322 O OD1 . ASP B 2 656 ? 248.529 -35.410 309.712 1.0 59.20791  ? 656 ASP B OD1 656 ASP B OD1 1 
ATOM 12323 O OD2 . ASP B 2 656 ? 249.925 -35.893 311.315 1.0 59.20791  ? 656 ASP B OD2 656 ASP B OD2 1 
ATOM 12324 N N   . GLY B 2 657 ? 245.365 -37.960 310.969 1.0 56.40657  ? 657 GLY B N   657 GLY B N   1 
ATOM 12325 C CA  . GLY B 2 657 ? 245.165 -39.186 310.234 1.0 56.40657  ? 657 GLY B CA  657 GLY B CA  1 
ATOM 12326 C C   . GLY B 2 657 ? 246.360 -40.096 310.396 1.0 56.40657  ? 657 GLY B C   657 GLY B C   1 
ATOM 12327 O O   . GLY B 2 657 ? 246.842 -40.695 309.434 1.0 56.40657  ? 657 GLY B O   657 GLY B O   1 
ATOM 12328 N N   . THR B 2 658 ? 246.865 -40.195 311.616 1.0 57.0198   ? 658 THR B N   658 THR B N   1 
ATOM 12329 C CA  . THR B 2 658 ? 247.929 -41.143 311.887 1.0 57.0198   ? 658 THR B CA  658 THR B CA  1 
ATOM 12330 C C   . THR B 2 658 ? 247.377 -42.189 312.838 1.0 57.0198   ? 658 THR B C   658 THR B C   1 
ATOM 12331 O O   . THR B 2 658 ? 248.014 -42.537 313.836 1.0 57.0198   ? 658 THR B O   658 THR B O   1 
ATOM 12332 C CB  . THR B 2 658 ? 249.161 -40.445 312.459 1.0 57.0198   ? 658 THR B CB  658 THR B CB  1 
ATOM 12333 O OG1 . THR B 2 658 ? 248.836 -39.837 313.709 1.0 57.0198   ? 658 THR B OG1 658 THR B OG1 1 
ATOM 12334 C CG2 . THR B 2 658 ? 249.650 -39.376 311.500 1.0 57.0198   ? 658 THR B CG2 658 THR B CG2 1 
ATOM 12335 N N   . PHE B 2 659 ? 246.167 -42.656 312.539 1.0 55.39682  ? 659 PHE B N   659 PHE B N   1 
ATOM 12336 C CA  . PHE B 2 659 ? 245.498 -43.657 313.355 1.0 55.39682  ? 659 PHE B CA  659 PHE B CA  1 
ATOM 12337 C C   . PHE B 2 659 ? 246.239 -44.980 313.279 1.0 55.39682  ? 659 PHE B C   659 PHE B C   1 
ATOM 12338 O O   . PHE B 2 659 ? 246.670 -45.406 312.206 1.0 55.39682  ? 659 PHE B O   659 PHE B O   1 
ATOM 12339 C CB  . PHE B 2 659 ? 244.066 -43.857 312.873 1.0 55.39682  ? 659 PHE B CB  659 PHE B CB  1 
ATOM 12340 C CG  . PHE B 2 659 ? 243.225 -42.630 312.952 1.0 55.39682  ? 659 PHE B CG  659 PHE B CG  1 
ATOM 12341 C CD1 . PHE B 2 659 ? 242.661 -42.242 314.149 1.0 55.39682  ? 659 PHE B CD1 659 PHE B CD1 1 
ATOM 12342 C CD2 . PHE B 2 659 ? 242.991 -41.866 311.823 1.0 55.39682  ? 659 PHE B CD2 659 PHE B CD2 1 
ATOM 12343 C CE1 . PHE B 2 659 ? 241.882 -41.117 314.221 1.0 55.39682  ? 659 PHE B CE1 659 PHE B CE1 1 
ATOM 12344 C CE2 . PHE B 2 659 ? 242.215 -40.738 311.891 1.0 55.39682  ? 659 PHE B CE2 659 PHE B CE2 1 
ATOM 12345 C CZ  . PHE B 2 659 ? 241.662 -40.361 313.092 1.0 55.39682  ? 659 PHE B CZ  659 PHE B CZ  1 
ATOM 12346 N N   . TYR B 2 660 ? 246.401 -45.624 314.426 1.0 55.68947  ? 660 TYR B N   660 TYR B N   1 
ATOM 12347 C CA  . TYR B 2 660 ? 247.011 -46.943 314.460 1.0 55.68947  ? 660 TYR B CA  660 TYR B CA  1 
ATOM 12348 C C   . TYR B 2 660 ? 246.357 -47.881 315.458 1.0 55.68947  ? 660 TYR B C   660 TYR B C   1 
ATOM 12349 O O   . TYR B 2 660 ? 246.811 -49.020 315.592 1.0 55.68947  ? 660 TYR B O   660 TYR B O   1 
ATOM 12350 C CB  . TYR B 2 660 ? 248.511 -46.832 314.768 1.0 55.68947  ? 660 TYR B CB  660 TYR B CB  1 
ATOM 12351 C CG  . TYR B 2 660 ? 248.829 -46.196 316.101 1.0 55.68947  ? 660 TYR B CG  660 TYR B CG  1 
ATOM 12352 C CD1 . TYR B 2 660 ? 248.927 -44.819 316.222 1.0 55.68947  ? 660 TYR B CD1 660 TYR B CD1 1 
ATOM 12353 C CD2 . TYR B 2 660 ? 249.063 -46.968 317.231 1.0 55.68947  ? 660 TYR B CD2 660 TYR B CD2 1 
ATOM 12354 C CE1 . TYR B 2 660 ? 249.213 -44.228 317.426 1.0 55.68947  ? 660 TYR B CE1 660 TYR B CE1 1 
ATOM 12355 C CE2 . TYR B 2 660 ? 249.356 -46.379 318.445 1.0 55.68947  ? 660 TYR B CE2 660 TYR B CE2 1 
ATOM 12356 C CZ  . TYR B 2 660 ? 249.433 -45.009 318.529 1.0 55.68947  ? 660 TYR B CZ  660 TYR B CZ  1 
ATOM 12357 O OH  . TYR B 2 660 ? 249.732 -44.406 319.721 1.0 55.68947  ? 660 TYR B OH  660 TYR B OH  1 
ATOM 12358 N N   . LEU B 2 661 ? 245.317 -47.447 316.162 1.0 53.72218  ? 661 LEU B N   661 LEU B N   1 
ATOM 12359 C CA  . LEU B 2 661 ? 244.601 -48.294 317.102 1.0 53.72218  ? 661 LEU B CA  661 LEU B CA  1 
ATOM 12360 C C   . LEU B 2 661 ? 243.271 -48.758 316.529 1.0 53.72218  ? 661 LEU B C   661 LEU B C   1 
ATOM 12361 O O   . LEU B 2 661 ? 242.290 -48.903 317.257 1.0 53.72218  ? 661 LEU B O   661 LEU B O   1 
ATOM 12362 C CB  . LEU B 2 661 ? 244.385 -47.565 318.422 1.0 53.72218  ? 661 LEU B CB  661 LEU B CB  1 
ATOM 12363 C CG  . LEU B 2 661 ? 245.669 -47.270 319.180 1.0 53.72218  ? 661 LEU B CG  661 LEU B CG  1 
ATOM 12364 C CD1 . LEU B 2 661 ? 245.371 -46.470 320.422 1.0 53.72218  ? 661 LEU B CD1 661 LEU B CD1 1 
ATOM 12365 C CD2 . LEU B 2 661 ? 246.350 -48.567 319.525 1.0 53.72218  ? 661 LEU B CD2 661 LEU B CD2 1 
ATOM 12366 N N   . SER B 2 662 ? 243.218 -48.966 315.220 1.0 53.9048   ? 662 SER B N   662 SER B N   1 
ATOM 12367 C CA  . SER B 2 662 ? 242.022 -49.527 314.622 1.0 53.9048   ? 662 SER B CA  662 SER B CA  1 
ATOM 12368 C C   . SER B 2 662 ? 241.944 -51.030 314.815 1.0 53.9048   ? 662 SER B C   662 SER B C   1 
ATOM 12369 O O   . SER B 2 662 ? 240.850 -51.594 314.757 1.0 53.9048   ? 662 SER B O   662 SER B O   1 
ATOM 12370 C CB  . SER B 2 662 ? 241.970 -49.191 313.131 1.0 53.9048   ? 662 SER B CB  662 SER B CB  1 
ATOM 12371 O OG  . SER B 2 662 ? 241.836 -47.798 312.923 1.0 53.9048   ? 662 SER B OG  662 SER B OG  1 
ATOM 12372 N N   . HIS B 2 663 ? 243.068 -51.682 315.076 1.0 55.91452  ? 663 HIS B N   663 HIS B N   1 
ATOM 12373 C CA  . HIS B 2 663 ? 243.123 -53.134 315.146 1.0 55.91452  ? 663 HIS B CA  663 HIS B CA  1 
ATOM 12374 C C   . HIS B 2 663 ? 242.688 -53.691 316.490 1.0 55.91452  ? 663 HIS B C   663 HIS B C   1 
ATOM 12375 O O   . HIS B 2 663 ? 242.842 -54.893 316.713 1.0 55.91452  ? 663 HIS B O   663 HIS B O   1 
ATOM 12376 C CB  . HIS B 2 663 ? 244.537 -53.624 314.839 1.0 55.91452  ? 663 HIS B CB  663 HIS B CB  1 
ATOM 12377 C CG  . HIS B 2 663 ? 245.548 -53.224 315.866 1.0 55.91452  ? 663 HIS B CG  663 HIS B CG  1 
ATOM 12378 N ND1 . HIS B 2 663 ? 246.190 -52.006 315.844 1.0 55.91452  ? 663 HIS B ND1 663 HIS B ND1 1 
ATOM 12379 C CD2 . HIS B 2 663 ? 246.022 -53.881 316.950 1.0 55.91452  ? 663 HIS B CD2 663 HIS B CD2 1 
ATOM 12380 C CE1 . HIS B 2 663 ? 247.023 -51.933 316.867 1.0 55.91452  ? 663 HIS B CE1 663 HIS B CE1 1 
ATOM 12381 N NE2 . HIS B 2 663 ? 246.937 -53.056 317.555 1.0 55.91452  ? 663 HIS B NE2 663 HIS B NE2 1 
ATOM 12382 N N   . THR B 2 664 ? 242.171 -52.862 317.391 1.0 57.01061  ? 664 THR B N   664 THR B N   1 
ATOM 12383 C CA  . THR B 2 664 ? 241.716 -53.302 318.706 1.0 57.01061  ? 664 THR B CA  664 THR B CA  1 
ATOM 12384 C C   . THR B 2 664 ? 240.237 -52.970 318.902 1.0 57.01061  ? 664 THR B C   664 THR B C   1 
ATOM 12385 O O   . THR B 2 664 ? 239.869 -51.980 319.531 1.0 57.01061  ? 664 THR B O   664 THR B O   1 
ATOM 12386 C CB  . THR B 2 664 ? 242.607 -52.699 319.789 1.0 57.01061  ? 664 THR B CB  664 THR B CB  1 
ATOM 12387 O OG1 . THR B 2 664 ? 241.952 -52.790 321.062 1.0 57.01061  ? 664 THR B OG1 664 THR B OG1 1 
ATOM 12388 C CG2 . THR B 2 664 ? 243.017 -51.270 319.474 1.0 57.01061  ? 664 THR B CG2 664 THR B CG2 1 
ATOM 12389 N N   . PHE B 2 665 ? 239.385 -53.850 318.386 1.0 55.61241  ? 665 PHE B N   665 PHE B N   1 
ATOM 12390 C CA  . PHE B 2 665 ? 237.938 -53.787 318.567 1.0 55.61241  ? 665 PHE B CA  665 PHE B CA  1 
ATOM 12391 C C   . PHE B 2 665 ? 237.439 -55.213 318.427 1.0 55.61241  ? 665 PHE B C   665 PHE B C   1 
ATOM 12392 O O   . PHE B 2 665 ? 237.665 -55.824 317.383 1.0 55.61241  ? 665 PHE B O   665 PHE B O   1 
ATOM 12393 C CB  . PHE B 2 665 ? 237.257 -52.913 317.511 1.0 55.61241  ? 665 PHE B CB  665 PHE B CB  1 
ATOM 12394 C CG  . PHE B 2 665 ? 237.515 -51.436 317.635 1.0 55.61241  ? 665 PHE B CG  665 PHE B CG  1 
ATOM 12395 C CD1 . PHE B 2 665 ? 236.776 -50.656 318.506 1.0 55.61241  ? 665 PHE B CD1 665 PHE B CD1 1 
ATOM 12396 C CD2 . PHE B 2 665 ? 238.467 -50.821 316.842 1.0 55.61241  ? 665 PHE B CD2 665 PHE B CD2 1 
ATOM 12397 C CE1 . PHE B 2 665 ? 236.999 -49.297 318.601 1.0 55.61241  ? 665 PHE B CE1 665 PHE B CE1 1 
ATOM 12398 C CE2 . PHE B 2 665 ? 238.695 -49.463 316.934 1.0 55.61241  ? 665 PHE B CE2 665 PHE B CE2 1 
ATOM 12399 C CZ  . PHE B 2 665 ? 237.957 -48.701 317.812 1.0 55.61241  ? 665 PHE B CZ  665 PHE B CZ  1 
ATOM 12400 N N   . GLN B 2 666 ? 236.769 -55.754 319.444 1.0 59.19734  ? 666 GLN B N   666 GLN B N   1 
ATOM 12401 C CA  . GLN B 2 666 ? 236.170 -57.073 319.259 1.0 59.19734  ? 666 GLN B CA  666 GLN B CA  1 
ATOM 12402 C C   . GLN B 2 666 ? 234.859 -56.991 318.486 1.0 59.19734  ? 666 GLN B C   666 GLN B C   1 
ATOM 12403 O O   . GLN B 2 666 ? 234.737 -57.554 317.394 1.0 59.19734  ? 666 GLN B O   666 GLN B O   1 
ATOM 12404 C CB  . GLN B 2 666 ? 235.942 -57.775 320.598 1.0 59.19734  ? 666 GLN B CB  666 GLN B CB  1 
ATOM 12405 C CG  . GLN B 2 666 ? 237.178 -58.371 321.223 1.0 59.19734  ? 666 GLN B CG  666 GLN B CG  1 
ATOM 12406 C CD  . GLN B 2 666 ? 237.935 -57.404 322.082 1.0 59.19734  ? 666 GLN B CD  666 GLN B CD  1 
ATOM 12407 O OE1 . GLN B 2 666 ? 237.406 -56.364 322.469 1.0 59.19734  ? 666 GLN B OE1 666 GLN B OE1 1 
ATOM 12408 N NE2 . GLN B 2 666 ? 239.160 -57.745 322.415 1.0 59.19734  ? 666 GLN B NE2 666 GLN B NE2 1 
ATOM 12409 N N   . ARG B 2 667 ? 233.862 -56.304 319.036 1.0 60.28725  ? 667 ARG B N   667 ARG B N   1 
ATOM 12410 C CA  . ARG B 2 667 ? 232.556 -56.305 318.399 1.0 60.28725  ? 667 ARG B CA  667 ARG B CA  1 
ATOM 12411 C C   . ARG B 2 667 ? 231.857 -54.974 318.615 1.0 60.28725  ? 667 ARG B C   667 ARG B C   1 
ATOM 12412 O O   . ARG B 2 667 ? 232.158 -54.230 319.550 1.0 60.28725  ? 667 ARG B O   667 ARG B O   1 
ATOM 12413 C CB  . ARG B 2 667 ? 231.686 -57.464 318.901 1.0 60.28725  ? 667 ARG B CB  667 ARG B CB  1 
ATOM 12414 C CG  . ARG B 2 667 ? 231.309 -57.426 320.364 1.0 60.28725  ? 667 ARG B CG  667 ARG B CG  1 
ATOM 12415 C CD  . ARG B 2 667 ? 230.516 -58.678 320.704 1.0 60.28725  ? 667 ARG B CD  667 ARG B CD  1 
ATOM 12416 N NE  . ARG B 2 667 ? 230.088 -58.720 322.096 1.0 60.28725  ? 667 ARG B NE  667 ARG B NE  1 
ATOM 12417 C CZ  . ARG B 2 667 ? 229.365 -59.704 322.618 1.0 60.28725  ? 667 ARG B CZ  667 ARG B CZ  1 
ATOM 12418 N NH1 . ARG B 2 667 ? 228.992 -60.725 321.861 1.0 60.28725  ? 667 ARG B NH1 667 ARG B NH1 1 
ATOM 12419 N NH2 . ARG B 2 667 ? 229.014 -59.667 323.895 1.0 60.28725  ? 667 ARG B NH2 667 ARG B NH2 1 
ATOM 12420 N N   . CYS B 2 668 ? 230.911 -54.695 317.722 1.0 59.95857  ? 668 CYS B N   668 CYS B N   1 
ATOM 12421 C CA  . CYS B 2 668 ? 230.147 -53.453 317.687 1.0 59.95857  ? 668 CYS B CA  668 CYS B CA  1 
ATOM 12422 C C   . CYS B 2 668 ? 228.665 -53.787 317.670 1.0 59.95857  ? 668 CYS B C   668 CYS B C   1 
ATOM 12423 O O   . CYS B 2 668 ? 228.193 -54.466 316.755 1.0 59.95857  ? 668 CYS B O   668 CYS B O   1 
ATOM 12424 C CB  . CYS B 2 668 ? 230.520 -52.631 316.451 1.0 59.95857  ? 668 CYS B CB  668 CYS B CB  1 
ATOM 12425 S SG  . CYS B 2 668 ? 229.439 -51.243 316.089 1.0 59.95857  ? 668 CYS B SG  668 CYS B SG  1 
ATOM 12426 N N   . SER B 2 669 ? 227.935 -53.308 318.669 1.0 57.60093  ? 669 SER B N   669 SER B N   1 
ATOM 12427 C CA  . SER B 2 669 ? 226.498 -53.516 318.761 1.0 57.60093  ? 669 SER B CA  669 SER B CA  1 
ATOM 12428 C C   . SER B 2 669 ? 225.796 -52.186 318.541 1.0 57.60093  ? 669 SER B C   669 SER B C   1 
ATOM 12429 O O   . SER B 2 669 ? 226.094 -51.211 319.230 1.0 57.60093  ? 669 SER B O   669 SER B O   1 
ATOM 12430 C CB  . SER B 2 669 ? 226.120 -54.105 320.121 1.0 57.60093  ? 669 SER B CB  669 SER B CB  1 
ATOM 12431 O OG  . SER B 2 669 ? 224.722 -54.295 320.234 1.0 57.60093  ? 669 SER B OG  669 SER B OG  1 
ATOM 12432 N N   . ILE B 2 670 ? 224.880 -52.139 317.578 1.0 56.40532  ? 670 ILE B N   670 ILE B N   1 
ATOM 12433 C CA  . ILE B 2 670 ? 224.137 -50.927 317.250 1.0 56.40532  ? 670 ILE B CA  670 ILE B CA  1 
ATOM 12434 C C   . ILE B 2 670 ? 222.654 -51.228 317.403 1.0 56.40532  ? 670 ILE B C   670 ILE B C   1 
ATOM 12435 O O   . ILE B 2 670 ? 222.177 -52.265 316.930 1.0 56.40532  ? 670 ILE B O   670 ILE B O   1 
ATOM 12436 C CB  . ILE B 2 670 ? 224.456 -50.435 315.821 1.0 56.40532  ? 670 ILE B CB  670 ILE B CB  1 
ATOM 12437 C CG1 . ILE B 2 670 ? 225.942 -50.121 315.675 1.0 56.40532  ? 670 ILE B CG1 670 ILE B CG1 1 
ATOM 12438 C CG2 . ILE B 2 670 ? 223.652 -49.195 315.463 1.0 56.40532  ? 670 ILE B CG2 670 ILE B CG2 1 
ATOM 12439 C CD1 . ILE B 2 670 ? 226.370 -49.889 314.263 1.0 56.40532  ? 670 ILE B CD1 670 ILE B CD1 1 
ATOM 12440 N N   . GLN B 2 671 ? 221.921 -50.321 318.048 1.0 57.32167  ? 671 GLN B N   671 GLN B N   1 
ATOM 12441 C CA  . GLN B 2 671 ? 220.520 -50.566 318.371 1.0 57.32167  ? 671 GLN B CA  671 GLN B CA  1 
ATOM 12442 C C   . GLN B 2 671 ? 219.730 -49.269 318.307 1.0 57.32167  ? 671 GLN B C   671 GLN B C   1 
ATOM 12443 O O   . GLN B 2 671 ? 219.997 -48.351 319.084 1.0 57.32167  ? 671 GLN B O   671 GLN B O   1 
ATOM 12444 C CB  . GLN B 2 671 ? 220.407 -51.187 319.759 1.0 57.32167  ? 671 GLN B CB  671 GLN B CB  1 
ATOM 12445 C CG  . GLN B 2 671 ? 219.001 -51.506 320.184 1.0 57.32167  ? 671 GLN B CG  671 GLN B CG  1 
ATOM 12446 C CD  . GLN B 2 671 ? 218.965 -52.168 321.537 1.0 57.32167  ? 671 GLN B CD  671 GLN B CD  1 
ATOM 12447 O OE1 . GLN B 2 671 ? 220.002 -52.362 322.166 1.0 57.32167  ? 671 GLN B OE1 671 GLN B OE1 1 
ATOM 12448 N NE2 . GLN B 2 671 ? 217.771 -52.522 321.996 1.0 57.32167  ? 671 GLN B NE2 671 GLN B NE2 1 
ATOM 12449 N N   . TRP B 2 672 ? 218.749 -49.204 317.409 1.0 57.37396  ? 672 TRP B N   672 TRP B N   1 
ATOM 12450 C CA  . TRP B 2 672 ? 217.878 -48.040 317.308 1.0 57.37396  ? 672 TRP B CA  672 TRP B CA  1 
ATOM 12451 C C   . TRP B 2 672 ? 216.791 -48.077 318.371 1.0 57.37396  ? 672 TRP B C   672 TRP B C   1 
ATOM 12452 O O   . TRP B 2 672 ? 216.420 -49.147 318.859 1.0 57.37396  ? 672 TRP B O   672 TRP B O   1 
ATOM 12453 C CB  . TRP B 2 672 ? 217.218 -47.962 315.935 1.0 57.37396  ? 672 TRP B CB  672 TRP B CB  1 
ATOM 12454 C CG  . TRP B 2 672 ? 218.158 -47.648 314.849 1.0 57.37396  ? 672 TRP B CG  672 TRP B CG  1 
ATOM 12455 C CD1 . TRP B 2 672 ? 218.721 -48.524 313.984 1.0 57.37396  ? 672 TRP B CD1 672 TRP B CD1 1 
ATOM 12456 C CD2 . TRP B 2 672 ? 218.667 -46.360 314.508 1.0 57.37396  ? 672 TRP B CD2 672 TRP B CD2 1 
ATOM 12457 N NE1 . TRP B 2 672 ? 219.551 -47.866 313.116 1.0 57.37396  ? 672 TRP B NE1 672 TRP B NE1 1 
ATOM 12458 C CE2 . TRP B 2 672 ? 219.534 -46.532 313.419 1.0 57.37396  ? 672 TRP B CE2 672 TRP B CE2 1 
ATOM 12459 C CE3 . TRP B 2 672 ? 218.472 -45.076 315.016 1.0 57.37396  ? 672 TRP B CE3 672 TRP B CE3 1 
ATOM 12460 C CZ2 . TRP B 2 672 ? 220.206 -45.472 312.830 1.0 57.37396  ? 672 TRP B CZ2 672 TRP B CZ2 1 
ATOM 12461 C CZ3 . TRP B 2 672 ? 219.138 -44.025 314.428 1.0 57.37396  ? 672 TRP B CZ3 672 TRP B CZ3 1 
ATOM 12462 C CH2 . TRP B 2 672 ? 219.993 -44.228 313.346 1.0 57.37396  ? 672 TRP B CH2 672 TRP B CH2 1 
ATOM 12463 N N   . ASP B 2 673 ? 216.344 -46.872 318.763 1.0 60.46231  ? 673 ASP B N   673 ASP B N   1 
ATOM 12464 C CA  . ASP B 2 673 ? 215.236 -46.483 319.651 1.0 60.46231  ? 673 ASP B CA  673 ASP B CA  1 
ATOM 12465 C C   . ASP B 2 673 ? 214.975 -47.434 320.817 1.0 60.46231  ? 673 ASP B C   673 ASP B C   1 
ATOM 12466 O O   . ASP B 2 673 ? 213.821 -47.713 321.160 1.0 60.46231  ? 673 ASP B O   673 ASP B O   1 
ATOM 12467 C CB  . ASP B 2 673 ? 213.951 -46.187 318.840 1.0 60.46231  ? 673 ASP B CB  673 ASP B CB  1 
ATOM 12468 C CG  . ASP B 2 673 ? 213.330 -47.399 318.133 1.0 60.46231  ? 673 ASP B CG  673 ASP B CG  1 
ATOM 12469 O OD1 . ASP B 2 673 ? 213.753 -48.554 318.283 1.0 60.46231  ? 673 ASP B OD1 673 ASP B OD1 1 
ATOM 12470 O OD2 . ASP B 2 673 ? 212.366 -47.171 317.375 1.0 60.46231  ? 673 ASP B OD2 673 ASP B OD2 1 
ATOM 12471 N N   . SER B 2 674 ? 216.060 -47.933 321.414 1.0 59.17593  ? 674 SER B N   674 SER B N   1 
ATOM 12472 C CA  . SER B 2 674 ? 216.151 -48.843 322.553 1.0 59.17593  ? 674 SER B CA  674 SER B CA  1 
ATOM 12473 C C   . SER B 2 674 ? 215.570 -50.231 322.291 1.0 59.17593  ? 674 SER B C   674 SER B C   1 
ATOM 12474 O O   . SER B 2 674 ? 215.631 -51.080 323.186 1.0 59.17593  ? 674 SER B O   674 SER B O   1 
ATOM 12475 C CB  . SER B 2 674 ? 215.495 -48.265 323.815 1.0 59.17593  ? 674 SER B CB  674 SER B CB  1 
ATOM 12476 O OG  . SER B 2 674 ? 216.112 -47.047 324.184 1.0 59.17593  ? 674 SER B OG  674 SER B OG  1 
ATOM 12477 N N   . SER B 2 675 ? 215.030 -50.507 321.104 1.0 57.63303  ? 675 SER B N   675 SER B N   1 
ATOM 12478 C CA  . SER B 2 675 ? 214.393 -51.789 320.832 1.0 57.63303  ? 675 SER B CA  675 SER B CA  1 
ATOM 12479 C C   . SER B 2 675 ? 215.049 -52.551 319.690 1.0 57.63303  ? 675 SER B C   675 SER B C   1 
ATOM 12480 O O   . SER B 2 675 ? 215.442 -53.706 319.875 1.0 57.63303  ? 675 SER B O   675 SER B O   1 
ATOM 12481 C CB  . SER B 2 675 ? 212.907 -51.573 320.532 1.0 57.63303  ? 675 SER B CB  675 SER B CB  1 
ATOM 12482 O OG  . SER B 2 675 ? 212.283 -52.797 320.190 1.0 57.63303  ? 675 SER B OG  675 SER B OG  1 
ATOM 12483 N N   . VAL B 2 676 ? 215.184 -51.943 318.519 1.0 57.27331  ? 676 VAL B N   676 VAL B N   1 
ATOM 12484 C CA  . VAL B 2 676 ? 215.479 -52.668 317.287 1.0 57.27331  ? 676 VAL B CA  676 VAL B CA  1 
ATOM 12485 C C   . VAL B 2 676 ? 216.991 -52.684 317.086 1.0 57.27331  ? 676 VAL B C   676 VAL B C   1 
ATOM 12486 O O   . VAL B 2 676 ? 217.600 -51.609 316.995 1.0 57.27331  ? 676 VAL B O   676 VAL B O   1 
ATOM 12487 C CB  . VAL B 2 676 ? 214.780 -52.029 316.084 1.0 57.27331  ? 676 VAL B CB  676 VAL B CB  1 
ATOM 12488 C CG1 . VAL B 2 676 ? 215.228 -52.694 314.799 1.0 57.27331  ? 676 VAL B CG1 676 VAL B CG1 1 
ATOM 12489 C CG2 . VAL B 2 676 ? 213.276 -52.127 316.239 1.0 57.27331  ? 676 VAL B CG2 676 VAL B CG2 1 
ATOM 12490 N N   . PRO B 2 677 ? 217.623 -53.851 317.005 1.0 57.36194  ? 677 PRO B N   677 PRO B N   1 
ATOM 12491 C CA  . PRO B 2 677 ? 219.040 -53.888 316.638 1.0 57.36194  ? 677 PRO B CA  677 PRO B CA  1 
ATOM 12492 C C   . PRO B 2 677 ? 219.220 -53.619 315.155 1.0 57.36194  ? 677 PRO B C   677 PRO B C   1 
ATOM 12493 O O   . PRO B 2 677 ? 218.411 -54.038 314.325 1.0 57.36194  ? 677 PRO B O   677 PRO B O   1 
ATOM 12494 C CB  . PRO B 2 677 ? 219.465 -55.312 317.007 1.0 57.36194  ? 677 PRO B CB  677 PRO B CB  1 
ATOM 12495 C CG  . PRO B 2 677 ? 218.217 -56.102 316.908 1.0 57.36194  ? 677 PRO B CG  677 PRO B CG  1 
ATOM 12496 C CD  . PRO B 2 677 ? 217.106 -55.188 317.340 1.0 57.36194  ? 677 PRO B CD  677 PRO B CD  1 
ATOM 12497 N N   . TRP B 2 678 ? 220.283 -52.898 314.829 1.0 57.03275  ? 678 TRP B N   678 TRP B N   1 
ATOM 12498 C CA  . TRP B 2 678 ? 220.641 -52.574 313.458 1.0 57.03275  ? 678 TRP B CA  678 TRP B CA  1 
ATOM 12499 C C   . TRP B 2 678 ? 221.816 -53.439 313.016 1.0 57.03275  ? 678 TRP B C   678 TRP B C   1 
ATOM 12500 O O   . TRP B 2 678 ? 222.744 -53.659 313.800 1.0 57.03275  ? 678 TRP B O   678 TRP B O   1 
ATOM 12501 C CB  . TRP B 2 678 ? 221.021 -51.099 313.341 1.0 57.03275  ? 678 TRP B CB  678 TRP B CB  1 
ATOM 12502 C CG  . TRP B 2 678 ? 221.218 -50.635 311.947 1.0 57.03275  ? 678 TRP B CG  678 TRP B CG  1 
ATOM 12503 C CD1 . TRP B 2 678 ? 220.254 -50.394 311.023 1.0 57.03275  ? 678 TRP B CD1 678 TRP B CD1 1 
ATOM 12504 C CD2 . TRP B 2 678 ? 222.467 -50.424 311.288 1.0 57.03275  ? 678 TRP B CD2 678 TRP B CD2 1 
ATOM 12505 N NE1 . TRP B 2 678 ? 220.822 -50.013 309.833 1.0 57.03275  ? 678 TRP B NE1 678 TRP B NE1 1 
ATOM 12506 C CE2 . TRP B 2 678 ? 222.184 -50.022 309.973 1.0 57.03275  ? 678 TRP B CE2 678 TRP B CE2 1 
ATOM 12507 C CE3 . TRP B 2 678 ? 223.798 -50.515 311.692 1.0 57.03275  ? 678 TRP B CE3 678 TRP B CE3 1 
ATOM 12508 C CZ2 . TRP B 2 678 ? 223.184 -49.714 309.059 1.0 57.03275  ? 678 TRP B CZ2 678 TRP B CZ2 1 
ATOM 12509 C CZ3 . TRP B 2 678 ? 224.781 -50.212 310.792 1.0 57.03275  ? 678 TRP B CZ3 678 TRP B CZ3 1 
ATOM 12510 C CH2 . TRP B 2 678 ? 224.476 -49.815 309.490 1.0 57.03275  ? 678 TRP B CH2 678 TRP B CH2 1 
ATOM 12511 N N   . PRO B 2 679 ? 221.855 -53.974 311.783 1.0 58.31129  ? 679 PRO B N   679 PRO B N   1 
ATOM 12512 C CA  . PRO B 2 679 ? 220.924 -53.833 310.662 1.0 58.31129  ? 679 PRO B CA  679 PRO B CA  1 
ATOM 12513 C C   . PRO B 2 679 ? 219.651 -54.644 310.818 1.0 58.31129  ? 679 PRO B C   679 PRO B C   1 
ATOM 12514 O O   . PRO B 2 679 ? 218.647 -54.312 310.192 1.0 58.31129  ? 679 PRO B O   679 PRO B O   1 
ATOM 12515 C CB  . PRO B 2 679 ? 221.737 -54.344 309.474 1.0 58.31129  ? 679 PRO B CB  679 PRO B CB  1 
ATOM 12516 C CG  . PRO B 2 679 ? 222.653 -55.324 310.061 1.0 58.31129  ? 679 PRO B CG  679 PRO B CG  1 
ATOM 12517 C CD  . PRO B 2 679 ? 223.013 -54.804 311.417 1.0 58.31129  ? 679 PRO B CD  679 PRO B CD  1 
ATOM 12518 N N   . GLY B 2 680 ? 219.690 -55.674 311.659 1.0 59.56814  ? 680 GLY B N   680 GLY B N   1 
ATOM 12519 C CA  . GLY B 2 680 ? 218.570 -56.580 311.730 1.0 59.56814  ? 680 GLY B CA  680 GLY B CA  1 
ATOM 12520 C C   . GLY B 2 680 ? 218.459 -57.365 310.435 1.0 59.56814  ? 680 GLY B C   680 GLY B C   1 
ATOM 12521 O O   . GLY B 2 680 ? 219.411 -57.464 309.655 1.0 59.56814  ? 680 GLY B O   680 GLY B O   1 
ATOM 12522 N N   . ASN B 2 681 ? 217.272 -57.953 310.238 1.0 58.83602  ? 681 ASN B N   681 ASN B N   1 
ATOM 12523 C CA  . ASN B 2 681 ? 216.867 -58.614 308.988 1.0 58.83602  ? 681 ASN B CA  681 ASN B CA  1 
ATOM 12524 C C   . ASN B 2 681 ? 217.823 -59.730 308.570 1.0 58.83602  ? 681 ASN B C   681 ASN B C   1 
ATOM 12525 O O   . ASN B 2 681 ? 217.991 -59.966 307.373 1.0 58.83602  ? 681 ASN B O   681 ASN B O   1 
ATOM 12526 C CB  . ASN B 2 681 ? 216.722 -57.603 307.847 1.0 58.83602  ? 681 ASN B CB  681 ASN B CB  1 
ATOM 12527 C CG  . ASN B 2 681 ? 215.557 -56.665 308.043 1.0 58.83602  ? 681 ASN B CG  681 ASN B CG  1 
ATOM 12528 O OD1 . ASN B 2 681 ? 214.491 -57.069 308.501 1.0 58.83602  ? 681 ASN B OD1 681 ASN B OD1 1 
ATOM 12529 N ND2 . ASN B 2 681 ? 215.748 -55.402 307.684 1.0 58.83602  ? 681 ASN B ND2 681 ASN B ND2 1 
ATOM 12530 N N   . ASP B 2 682 ? 218.473 -60.350 309.572 1.0 60.73132  ? 682 ASP B N   682 ASP B N   1 
ATOM 12531 C CA  . ASP B 2 682 ? 219.539 -61.361 309.548 1.0 60.73132  ? 682 ASP B CA  682 ASP B CA  1 
ATOM 12532 C C   . ASP B 2 682 ? 220.474 -61.235 308.343 1.0 60.73132  ? 682 ASP B C   682 ASP B C   1 
ATOM 12533 O O   . ASP B 2 682 ? 220.688 -62.195 307.598 1.0 60.73132  ? 682 ASP B O   682 ASP B O   1 
ATOM 12534 C CB  . ASP B 2 682 ? 218.982 -62.797 309.757 1.0 60.73132  ? 682 ASP B CB  682 ASP B CB  1 
ATOM 12535 C CG  . ASP B 2 682 ? 218.073 -63.330 308.637 1.0 60.73132  ? 682 ASP B CG  682 ASP B CG  1 
ATOM 12536 O OD1 . ASP B 2 682 ? 217.859 -62.700 307.594 1.0 60.73132  ? 682 ASP B OD1 682 ASP B OD1 1 
ATOM 12537 O OD2 . ASP B 2 682 ? 217.551 -64.449 308.824 1.0 60.73132  ? 682 ASP B OD2 682 ASP B OD2 1 
ATOM 12538 N N   . ARG B 2 683 ? 221.048 -60.039 308.168 1.0 58.84054  ? 683 ARG B N   683 ARG B N   1 
ATOM 12539 C CA  . ARG B 2 683 ? 221.852 -59.753 306.983 1.0 58.84054  ? 683 ARG B CA  683 ARG B CA  1 
ATOM 12540 C C   . ARG B 2 683 ? 223.162 -60.529 306.981 1.0 58.84054  ? 683 ARG B C   683 ARG B C   1 
ATOM 12541 O O   . ARG B 2 683 ? 223.581 -61.042 305.939 1.0 58.84054  ? 683 ARG B O   683 ARG B O   1 
ATOM 12542 C CB  . ARG B 2 683 ? 222.133 -58.256 306.883 1.0 58.84054  ? 683 ARG B CB  683 ARG B CB  1 
ATOM 12543 C CG  . ARG B 2 683 ? 220.903 -57.404 306.702 1.0 58.84054  ? 683 ARG B CG  683 ARG B CG  1 
ATOM 12544 C CD  . ARG B 2 683 ? 220.266 -57.632 305.351 1.0 58.84054  ? 683 ARG B CD  683 ARG B CD  1 
ATOM 12545 N NE  . ARG B 2 683 ? 219.105 -56.773 305.160 1.0 58.84054  ? 683 ARG B NE  683 ARG B NE  1 
ATOM 12546 C CZ  . ARG B 2 683 ? 218.301 -56.830 304.106 1.0 58.84054  ? 683 ARG B CZ  683 ARG B CZ  1 
ATOM 12547 N NH1 . ARG B 2 683 ? 218.532 -57.708 303.145 1.0 58.84054  ? 683 ARG B NH1 683 ARG B NH1 1 
ATOM 12548 N NH2 . ARG B 2 683 ? 217.265 -56.010 304.014 1.0 58.84054  ? 683 ARG B NH2 683 ARG B NH2 1 
ATOM 12549 N N   . MET B 2 684 ? 223.817 -60.636 308.127 1.0 63.58175  ? 684 MET B N   684 MET B N   1 
ATOM 12550 C CA  . MET B 2 684 ? 225.127 -61.257 308.205 1.0 63.58175  ? 684 MET B CA  684 MET B CA  1 
ATOM 12551 C C   . MET B 2 684 ? 225.090 -62.451 309.152 1.0 63.58175  ? 684 MET B C   684 MET B C   1 
ATOM 12552 O O   . MET B 2 684 ? 224.088 -62.710 309.820 1.0 63.58175  ? 684 MET B O   684 MET B O   1 
ATOM 12553 C CB  . MET B 2 684 ? 226.171 -60.223 308.629 1.0 63.58175  ? 684 MET B CB  684 MET B CB  1 
ATOM 12554 C CG  . MET B 2 684 ? 225.855 -59.548 309.938 1.0 63.58175  ? 684 MET B CG  684 MET B CG  1 
ATOM 12555 S SD  . MET B 2 684 ? 227.005 -58.208 310.284 1.0 63.58175  ? 684 MET B SD  684 MET B SD  1 
ATOM 12556 C CE  . MET B 2 684 ? 226.360 -57.609 311.836 1.0 63.58175  ? 684 MET B CE  684 MET B CE  1 
ATOM 12557 N N   . LEU B 2 685 ? 226.207 -63.185 309.190 1.0 62.3779   ? 685 LEU B N   685 LEU B N   1 
ATOM 12558 C CA  . LEU B 2 685 ? 226.240 -64.490 309.848 1.0 62.3779   ? 685 LEU B CA  685 LEU B CA  1 
ATOM 12559 C C   . LEU B 2 685 ? 226.166 -64.374 311.364 1.0 62.3779   ? 685 LEU B C   685 LEU B C   1 
ATOM 12560 O O   . LEU B 2 685 ? 225.745 -65.322 312.036 1.0 62.3779   ? 685 LEU B O   685 LEU B O   1 
ATOM 12561 C CB  . LEU B 2 685 ? 227.503 -65.238 309.433 1.0 62.3779   ? 685 LEU B CB  685 LEU B CB  1 
ATOM 12562 C CG  . LEU B 2 685 ? 227.570 -65.595 307.949 1.0 62.3779   ? 685 LEU B CG  685 LEU B CG  1 
ATOM 12563 C CD1 . LEU B 2 685 ? 228.967 -66.039 307.574 1.0 62.3779   ? 685 LEU B CD1 685 LEU B CD1 1 
ATOM 12564 C CD2 . LEU B 2 685 ? 226.569 -66.694 307.646 1.0 62.3779   ? 685 LEU B CD2 685 LEU B CD2 1 
ATOM 12565 N N   . THR B 2 686 ? 226.586 -63.239 311.920 1.0 65.55396  ? 686 THR B N   686 THR B N   1 
ATOM 12566 C CA  . THR B 2 686 ? 226.355 -62.901 313.321 1.0 65.55396  ? 686 THR B CA  686 THR B CA  1 
ATOM 12567 C C   . THR B 2 686 ? 225.353 -61.757 313.333 1.0 65.55396  ? 686 THR B C   686 THR B C   1 
ATOM 12568 O O   . THR B 2 686 ? 225.742 -60.582 313.378 1.0 65.55396  ? 686 THR B O   686 THR B O   1 
ATOM 12569 C CB  . THR B 2 686 ? 227.653 -62.503 314.021 1.0 65.55396  ? 686 THR B CB  686 THR B CB  1 
ATOM 12570 O OG1 . THR B 2 686 ? 228.223 -61.372 313.354 1.0 65.55396  ? 686 THR B OG1 686 THR B OG1 1 
ATOM 12571 C CG2 . THR B 2 686 ? 228.642 -63.656 313.993 1.0 65.55396  ? 686 THR B CG2 686 THR B CG2 1 
ATOM 12572 N N   . PRO B 2 687 ? 224.054 -62.045 313.304 1.0 66.83815  ? 687 PRO B N   687 PRO B N   1 
ATOM 12573 C CA  . PRO B 2 687 ? 223.076 -61.032 312.884 1.0 66.83815  ? 687 PRO B CA  687 PRO B CA  1 
ATOM 12574 C C   . PRO B 2 687 ? 222.646 -60.049 313.961 1.0 66.83815  ? 687 PRO B C   687 PRO B C   1 
ATOM 12575 O O   . PRO B 2 687 ? 221.620 -59.380 313.801 1.0 66.83815  ? 687 PRO B O   687 PRO B O   1 
ATOM 12576 C CB  . PRO B 2 687 ? 221.890 -61.884 312.425 1.0 66.83815  ? 687 PRO B CB  687 PRO B CB  1 
ATOM 12577 C CG  . PRO B 2 687 ? 221.981 -63.104 313.263 1.0 66.83815  ? 687 PRO B CG  687 PRO B CG  1 
ATOM 12578 C CD  . PRO B 2 687 ? 223.439 -63.372 313.472 1.0 66.83815  ? 687 PRO B CD  687 PRO B CD  1 
ATOM 12579 N N   . ASN B 2 688 ? 223.391 -59.944 315.057 1.0 66.13175  ? 688 ASN B N   688 ASN B N   1 
ATOM 12580 C CA  . ASN B 2 688 ? 223.011 -59.038 316.127 1.0 66.13175  ? 688 ASN B CA  688 ASN B CA  1 
ATOM 12581 C C   . ASN B 2 688 ? 224.088 -58.037 316.508 1.0 66.13175  ? 688 ASN B C   688 ASN B C   1 
ATOM 12582 O O   . ASN B 2 688 ? 223.778 -57.078 317.223 1.0 66.13175  ? 688 ASN B O   688 ASN B O   1 
ATOM 12583 C CB  . ASN B 2 688 ? 222.604 -59.831 317.374 1.0 66.13175  ? 688 ASN B CB  688 ASN B CB  1 
ATOM 12584 C CG  . ASN B 2 688 ? 221.398 -60.699 317.132 1.0 66.13175  ? 688 ASN B CG  688 ASN B CG  1 
ATOM 12585 O OD1 . ASN B 2 688 ? 221.482 -61.925 317.175 1.0 66.13175  ? 688 ASN B OD1 688 ASN B OD1 1 
ATOM 12586 N ND2 . ASN B 2 688 ? 220.262 -60.069 316.866 1.0 66.13175  ? 688 ASN B ND2 688 ASN B ND2 1 
ATOM 12587 N N   . TRP B 2 689 ? 225.327 -58.219 316.062 1.0 62.11982  ? 689 TRP B N   689 TRP B N   1 
ATOM 12588 C CA  . TRP B 2 689 ? 226.387 -57.269 316.358 1.0 62.11982  ? 689 TRP B CA  689 TRP B CA  1 
ATOM 12589 C C   . TRP B 2 689 ? 227.466 -57.377 315.293 1.0 62.11982  ? 689 TRP B C   689 TRP B C   1 
ATOM 12590 O O   . TRP B 2 689 ? 227.768 -58.468 314.804 1.0 62.11982  ? 689 TRP B O   689 TRP B O   1 
ATOM 12591 C CB  . TRP B 2 689 ? 226.992 -57.503 317.747 1.0 62.11982  ? 689 TRP B CB  689 TRP B CB  1 
ATOM 12592 C CG  . TRP B 2 689 ? 227.582 -58.860 317.947 1.0 62.11982  ? 689 TRP B CG  689 TRP B CG  1 
ATOM 12593 C CD1 . TRP B 2 689 ? 228.838 -59.267 317.612 1.0 62.11982  ? 689 TRP B CD1 689 TRP B CD1 1 
ATOM 12594 C CD2 . TRP B 2 689 ? 226.952 -59.980 318.566 1.0 62.11982  ? 689 TRP B CD2 689 TRP B CD2 1 
ATOM 12595 N NE1 . TRP B 2 689 ? 229.021 -60.579 317.961 1.0 62.11982  ? 689 TRP B NE1 689 TRP B NE1 1 
ATOM 12596 C CE2 . TRP B 2 689 ? 227.876 -61.039 318.554 1.0 62.11982  ? 689 TRP B CE2 689 TRP B CE2 1 
ATOM 12597 C CE3 . TRP B 2 689 ? 225.693 -60.192 319.125 1.0 62.11982  ? 689 TRP B CE3 689 TRP B CE3 1 
ATOM 12598 C CZ2 . TRP B 2 689 ? 227.580 -62.292 319.077 1.0 62.11982  ? 689 TRP B CZ2 689 TRP B CZ2 1 
ATOM 12599 C CZ3 . TRP B 2 689 ? 225.399 -61.433 319.639 1.0 62.11982  ? 689 TRP B CZ3 689 TRP B CZ3 1 
ATOM 12600 C CH2 . TRP B 2 689 ? 226.337 -62.468 319.614 1.0 62.11982  ? 689 TRP B CH2 689 TRP B CH2 1 
ATOM 12601 N N   . PHE B 2 690 ? 228.049 -56.231 314.954 1.0 57.97241  ? 690 PHE B N   690 PHE B N   1 
ATOM 12602 C CA  . PHE B 2 690 ? 229.180 -56.159 314.034 1.0 57.97241  ? 690 PHE B CA  690 PHE B CA  1 
ATOM 12603 C C   . PHE B 2 690 ? 230.422 -56.628 314.769 1.0 57.97241  ? 690 PHE B C   690 PHE B C   1 
ATOM 12604 O O   . PHE B 2 690 ? 231.060 -55.855 315.484 1.0 57.97241  ? 690 PHE B O   690 PHE B O   1 
ATOM 12605 C CB  . PHE B 2 690 ? 229.366 -54.737 313.526 1.0 57.97241  ? 690 PHE B CB  690 PHE B CB  1 
ATOM 12606 C CG  . PHE B 2 690 ? 228.288 -54.279 312.606 1.0 57.97241  ? 690 PHE B CG  690 PHE B CG  1 
ATOM 12607 C CD1 . PHE B 2 690 ? 228.349 -54.567 311.256 1.0 57.97241  ? 690 PHE B CD1 690 PHE B CD1 1 
ATOM 12608 C CD2 . PHE B 2 690 ? 227.204 -53.571 313.091 1.0 57.97241  ? 690 PHE B CD2 690 PHE B CD2 1 
ATOM 12609 C CE1 . PHE B 2 690 ? 227.357 -54.148 310.403 1.0 57.97241  ? 690 PHE B CE1 690 PHE B CE1 1 
ATOM 12610 C CE2 . PHE B 2 690 ? 226.204 -53.152 312.243 1.0 57.97241  ? 690 PHE B CE2 690 PHE B CE2 1 
ATOM 12611 C CZ  . PHE B 2 690 ? 226.284 -53.438 310.896 1.0 57.97241  ? 690 PHE B CZ  690 PHE B CZ  1 
ATOM 12612 N N   . GLU B 2 691 ? 230.781 -57.894 314.595 1.0 59.14909  ? 691 GLU B N   691 GLU B N   1 
ATOM 12613 C CA  . GLU B 2 691 ? 231.960 -58.445 315.248 1.0 59.14909  ? 691 GLU B CA  691 GLU B CA  1 
ATOM 12614 C C   . GLU B 2 691 ? 233.170 -58.116 314.384 1.0 59.14909  ? 691 GLU B C   691 GLU B C   1 
ATOM 12615 O O   . GLU B 2 691 ? 233.314 -58.650 313.279 1.0 59.14909  ? 691 GLU B O   691 GLU B O   1 
ATOM 12616 C CB  . GLU B 2 691 ? 231.810 -59.947 315.465 1.0 59.14909  ? 691 GLU B CB  691 GLU B CB  1 
ATOM 12617 C CG  . GLU B 2 691 ? 232.839 -60.508 316.418 1.0 59.14909  ? 691 GLU B CG  691 GLU B CG  1 
ATOM 12618 C CD  . GLU B 2 691 ? 232.578 -61.946 316.767 1.0 59.14909  ? 691 GLU B CD  691 GLU B CD  1 
ATOM 12619 O OE1 . GLU B 2 691 ? 231.663 -62.553 316.177 1.0 59.14909  ? 691 GLU B OE1 691 GLU B OE1 1 
ATOM 12620 O OE2 . GLU B 2 691 ? 233.269 -62.470 317.667 1.0 59.14909  ? 691 GLU B OE2 691 GLU B OE2 1 
ATOM 12621 N N   . ILE B 2 692 ? 234.028 -57.222 314.878 1.0 56.26751  ? 692 ILE B N   692 ILE B N   1 
ATOM 12622 C CA  . ILE B 2 692 ? 235.161 -56.754 314.083 1.0 56.26751  ? 692 ILE B CA  692 ILE B CA  1 
ATOM 12623 C C   . ILE B 2 692 ? 236.216 -57.845 313.973 1.0 56.26751  ? 692 ILE B C   692 ILE B C   1 
ATOM 12624 O O   . ILE B 2 692 ? 236.530 -58.319 312.877 1.0 56.26751  ? 692 ILE B O   692 ILE B O   1 
ATOM 12625 C CB  . ILE B 2 692 ? 235.748 -55.460 314.671 1.0 56.26751  ? 692 ILE B CB  692 ILE B CB  1 
ATOM 12626 C CG1 . ILE B 2 692 ? 234.765 -54.292 314.551 1.0 56.26751  ? 692 ILE B CG1 692 ILE B CG1 1 
ATOM 12627 C CG2 . ILE B 2 692 ? 237.052 -55.105 313.986 1.0 56.26751  ? 692 ILE B CG2 692 ILE B CG2 1 
ATOM 12628 C CD1 . ILE B 2 692 ? 233.951 -54.005 315.789 1.0 56.26751  ? 692 ILE B CD1 692 ILE B CD1 1 
ATOM 12629 N N   . LYS B 2 693 ? 236.767 -58.271 315.105 1.0 58.39153  ? 693 LYS B N   693 LYS B N   1 
ATOM 12630 C CA  . LYS B 2 693 ? 237.719 -59.368 315.126 1.0 58.39153  ? 693 LYS B CA  693 LYS B CA  1 
ATOM 12631 C C   . LYS B 2 693 ? 237.191 -60.481 316.014 1.0 58.39153  ? 693 LYS B C   693 LYS B C   1 
ATOM 12632 O O   . LYS B 2 693 ? 236.296 -60.276 316.839 1.0 58.39153  ? 693 LYS B O   693 LYS B O   1 
ATOM 12633 C CB  . LYS B 2 693 ? 239.099 -58.927 315.622 1.0 58.39153  ? 693 LYS B CB  693 LYS B CB  1 
ATOM 12634 C CG  . LYS B 2 693 ? 239.170 -58.671 317.108 1.0 58.39153  ? 693 LYS B CG  693 LYS B CG  1 
ATOM 12635 C CD  . LYS B 2 693 ? 240.486 -58.045 317.517 1.0 58.39153  ? 693 LYS B CD  693 LYS B CD  1 
ATOM 12636 C CE  . LYS B 2 693 ? 241.619 -59.041 317.450 1.0 58.39153  ? 693 LYS B CE  693 LYS B CE  1 
ATOM 12637 N NZ  . LYS B 2 693 ? 242.885 -58.453 317.965 1.0 58.39153  ? 693 LYS B NZ  693 LYS B NZ  1 
ATOM 12638 N N   . ARG B 2 694 ? 237.753 -61.657 315.827 1.0 64.1262   ? 694 ARG B N   694 ARG B N   1 
ATOM 12639 C CA  . ARG B 2 694 ? 237.360 -62.861 316.538 1.0 64.1262   ? 694 ARG B CA  694 ARG B CA  1 
ATOM 12640 C C   . ARG B 2 694 ? 238.551 -63.800 316.549 1.0 64.1262   ? 694 ARG B C   694 ARG B C   1 
ATOM 12641 O O   . ARG B 2 694 ? 238.956 -64.297 315.491 1.0 64.1262   ? 694 ARG B O   694 ARG B O   1 
ATOM 12642 C CB  . ARG B 2 694 ? 236.156 -63.511 315.871 1.0 64.1262   ? 694 ARG B CB  694 ARG B CB  1 
ATOM 12643 C CG  . ARG B 2 694 ? 235.583 -64.706 316.591 1.0 64.1262   ? 694 ARG B CG  694 ARG B CG  1 
ATOM 12644 C CD  . ARG B 2 694 ? 234.294 -65.119 315.905 1.0 64.1262   ? 694 ARG B CD  694 ARG B CD  1 
ATOM 12645 N NE  . ARG B 2 694 ? 233.732 -66.346 316.460 1.0 64.1262   ? 694 ARG B NE  694 ARG B NE  1 
ATOM 12646 C CZ  . ARG B 2 694 ? 232.886 -66.390 317.482 1.0 64.1262   ? 694 ARG B CZ  694 ARG B CZ  1 
ATOM 12647 N NH1 . ARG B 2 694 ? 232.489 -65.271 318.070 1.0 64.1262   ? 694 ARG B NH1 694 ARG B NH1 1 
ATOM 12648 N NH2 . ARG B 2 694 ? 232.433 -67.557 317.914 1.0 64.1262   ? 694 ARG B NH2 694 ARG B NH2 1 
ATOM 12649 N N   . PRO B 2 695 ? 239.139 -64.056 317.712 1.0 69.5027   ? 695 PRO B N   695 PRO B N   1 
ATOM 12650 C CA  . PRO B 2 695 ? 240.439 -64.727 317.743 1.0 69.5027   ? 695 PRO B CA  695 PRO B CA  1 
ATOM 12651 C C   . PRO B 2 695 ? 240.313 -66.206 317.430 1.0 69.5027   ? 695 PRO B C   695 PRO B C   1 
ATOM 12652 O O   . PRO B 2 695 ? 239.330 -66.858 317.785 1.0 69.5027   ? 695 PRO B O   695 PRO B O   1 
ATOM 12653 C CB  . PRO B 2 695 ? 240.919 -64.495 319.176 1.0 69.5027   ? 695 PRO B CB  695 PRO B CB  1 
ATOM 12654 C CG  . PRO B 2 695 ? 239.671 -64.337 319.954 1.0 69.5027   ? 695 PRO B CG  695 PRO B CG  1 
ATOM 12655 C CD  . PRO B 2 695 ? 238.688 -63.657 319.054 1.0 69.5027   ? 695 PRO B CD  695 PRO B CD  1 
ATOM 12656 N N   . ILE B 2 696 ? 241.308 -66.721 316.715 1.0 71.902    ? 696 ILE B N   696 ILE B N   1 
ATOM 12657 C CA  . ILE B 2 696 ? 241.360 -68.151 316.486 1.0 71.902    ? 696 ILE B CA  696 ILE B CA  1 
ATOM 12658 C C   . ILE B 2 696 ? 241.900 -68.825 317.745 1.0 71.902    ? 696 ILE B C   696 ILE B C   1 
ATOM 12659 O O   . ILE B 2 696 ? 242.486 -68.169 318.608 1.0 71.902    ? 696 ILE B O   696 ILE B O   1 
ATOM 12660 C CB  . ILE B 2 696 ? 242.192 -68.480 315.230 1.0 71.902    ? 696 ILE B CB  696 ILE B CB  1 
ATOM 12661 C CG1 . ILE B 2 696 ? 243.639 -67.997 315.330 1.0 71.902    ? 696 ILE B CG1 696 ILE B CG1 1 
ATOM 12662 C CG2 . ILE B 2 696 ? 241.574 -67.838 314.010 1.0 71.902    ? 696 ILE B CG2 696 ILE B CG2 1 
ATOM 12663 C CD1 . ILE B 2 696 ? 244.641 -69.062 315.720 1.0 71.902    ? 696 ILE B CD1 696 ILE B CD1 1 
ATOM 12664 N N   . ASN B 2 697 ? 241.782 -70.161 317.768 1.0 77.20055  ? 697 ASN B N   697 ASN B N   1 
ATOM 12665 C CA  . ASN B 2 697 ? 241.715 -71.178 318.836 1.0 77.20055  ? 697 ASN B CA  697 ASN B CA  1 
ATOM 12666 C C   . ASN B 2 697 ? 240.309 -71.215 319.433 1.0 77.20055  ? 697 ASN B C   697 ASN B C   1 
ATOM 12667 O O   . ASN B 2 697 ? 239.989 -72.086 320.248 1.0 77.20055  ? 697 ASN B O   697 ASN B O   1 
ATOM 12668 C CB  . ASN B 2 697 ? 242.837 -71.073 319.918 1.0 77.20055  ? 697 ASN B CB  697 ASN B CB  1 
ATOM 12669 C CG  . ASN B 2 697 ? 242.667 -69.953 321.000 1.0 77.20055  ? 697 ASN B CG  697 ASN B CG  1 
ATOM 12670 O OD1 . ASN B 2 697 ? 241.672 -69.232 321.109 1.0 77.20055  ? 697 ASN B OD1 697 ASN B OD1 1 
ATOM 12671 N ND2 . ASN B 2 697 ? 243.710 -69.832 321.820 1.0 77.20055  ? 697 ASN B ND2 697 ASN B ND2 1 
ATOM 12672 N N   . GLN B 2 698 ? 239.474 -70.272 319.022 1.0 76.36113  ? 698 GLN B N   698 GLN B N   1 
ATOM 12673 C CA  . GLN B 2 698 ? 238.036 -70.426 318.927 1.0 76.36113  ? 698 GLN B CA  698 GLN B CA  1 
ATOM 12674 C C   . GLN B 2 698 ? 237.723 -70.844 317.494 1.0 76.36113  ? 698 GLN B C   698 GLN B C   1 
ATOM 12675 O O   . GLN B 2 698 ? 238.596 -71.334 316.770 1.0 76.36113  ? 698 GLN B O   698 GLN B O   1 
ATOM 12676 C CB  . GLN B 2 698 ? 237.309 -69.138 319.328 1.0 76.36113  ? 698 GLN B CB  698 GLN B CB  1 
ATOM 12677 C CG  . GLN B 2 698 ? 237.301 -68.849 320.822 1.0 76.36113  ? 698 GLN B CG  698 GLN B CG  1 
ATOM 12678 C CD  . GLN B 2 698 ? 238.559 -68.163 321.317 1.0 76.36113  ? 698 GLN B CD  698 GLN B CD  1 
ATOM 12679 O OE1 . GLN B 2 698 ? 239.317 -67.591 320.540 1.0 76.36113  ? 698 GLN B OE1 698 GLN B OE1 1 
ATOM 12680 N NE2 . GLN B 2 698 ? 238.785 -68.218 322.620 1.0 76.36113  ? 698 GLN B NE2 698 GLN B NE2 1 
ATOM 12681 N N   . ASP B 2 699 ? 236.469 -70.670 317.086 1.0 71.04318  ? 699 ASP B N   699 ASP B N   1 
ATOM 12682 C CA  . ASP B 2 699 ? 235.986 -70.768 315.709 1.0 71.04318  ? 699 ASP B CA  699 ASP B CA  1 
ATOM 12683 C C   . ASP B 2 699 ? 236.200 -72.120 315.040 1.0 71.04318  ? 699 ASP B C   699 ASP B C   1 
ATOM 12684 O O   . ASP B 2 699 ? 237.014 -72.203 314.107 1.0 71.04318  ? 699 ASP B O   699 ASP B O   1 
ATOM 12685 C CB  . ASP B 2 699 ? 236.594 -69.691 314.797 1.0 71.04318  ? 699 ASP B CB  699 ASP B CB  1 
ATOM 12686 C CG  . ASP B 2 699 ? 235.994 -68.335 315.040 1.0 71.04318  ? 699 ASP B CG  699 ASP B CG  1 
ATOM 12687 O OD1 . ASP B 2 699 ? 234.829 -68.297 315.480 1.0 71.04318  ? 699 ASP B OD1 699 ASP B OD1 1 
ATOM 12688 O OD2 . ASP B 2 699 ? 236.667 -67.319 314.776 1.0 71.04318  ? 699 ASP B OD2 699 ASP B OD2 1 
ATOM 12689 N N   . ALA B 2 700 ? 235.552 -73.185 315.506 1.0 68.18511  ? 700 ALA B N   700 ALA B N   1 
ATOM 12690 C CA  . ALA B 2 700 ? 235.355 -74.344 314.648 1.0 68.18511  ? 700 ALA B CA  700 ALA B CA  1 
ATOM 12691 C C   . ALA B 2 700 ? 234.513 -73.872 313.472 1.0 68.18511  ? 700 ALA B C   700 ALA B C   1 
ATOM 12692 O O   . ALA B 2 700 ? 234.844 -74.123 312.311 1.0 68.18511  ? 700 ALA B O   700 ALA B O   1 
ATOM 12693 C CB  . ALA B 2 700 ? 234.681 -75.488 315.403 1.0 68.18511  ? 700 ALA B CB  700 ALA B CB  1 
ATOM 12694 N N   . GLU B 2 701 ? 233.434 -73.162 313.777 1.0 65.67589  ? 701 GLU B N   701 GLU B N   1 
ATOM 12695 C CA  . GLU B 2 701 ? 232.768 -72.332 312.787 1.0 65.67589  ? 701 GLU B CA  701 GLU B CA  1 
ATOM 12696 C C   . GLU B 2 701 ? 233.663 -71.150 312.437 1.0 65.67589  ? 701 GLU B C   701 GLU B C   1 
ATOM 12697 O O   . GLU B 2 701 ? 233.782 -70.208 313.225 1.0 65.67589  ? 701 GLU B O   701 GLU B O   1 
ATOM 12698 C CB  . GLU B 2 701 ? 231.430 -71.850 313.343 1.0 65.67589  ? 701 GLU B CB  701 GLU B CB  1 
ATOM 12699 C CG  . GLU B 2 701 ? 230.644 -70.943 312.430 1.0 65.67589  ? 701 GLU B CG  701 GLU B CG  1 
ATOM 12700 C CD  . GLU B 2 701 ? 230.141 -71.652 311.201 1.0 65.67589  ? 701 GLU B CD  701 GLU B CD  1 
ATOM 12701 O OE1 . GLU B 2 701 ? 229.954 -72.885 311.257 1.0 65.67589  ? 701 GLU B OE1 701 GLU B OE1 1 
ATOM 12702 O OE2 . GLU B 2 701 ? 229.926 -70.971 310.181 1.0 65.67589  ? 701 GLU B OE2 701 GLU B OE2 1 
ATOM 12703 N N   . GLY B 2 702 ? 234.279 -71.195 311.251 1.0 64.34256  ? 702 GLY B N   702 GLY B N   1 
ATOM 12704 C CA  . GLY B 2 702 ? 235.446 -70.379 310.943 1.0 64.34256  ? 702 GLY B CA  702 GLY B CA  1 
ATOM 12705 C C   . GLY B 2 702 ? 235.308 -68.869 310.971 1.0 64.34256  ? 702 GLY B C   702 GLY B C   1 
ATOM 12706 O O   . GLY B 2 702 ? 235.798 -68.241 311.915 1.0 64.34256  ? 702 GLY B O   702 GLY B O   1 
ATOM 12707 N N   . ASN B 2 703 ? 234.637 -68.293 309.968 1.0 62.57641  ? 703 ASN B N   703 ASN B N   1 
ATOM 12708 C CA  . ASN B 2 703 ? 234.267 -66.870 309.909 1.0 62.57641  ? 703 ASN B CA  703 ASN B CA  1 
ATOM 12709 C C   . ASN B 2 703 ? 235.465 -65.926 310.056 1.0 62.57641  ? 703 ASN B C   703 ASN B C   1 
ATOM 12710 O O   . ASN B 2 703 ? 235.428 -64.964 310.824 1.0 62.57641  ? 703 ASN B O   703 ASN B O   1 
ATOM 12711 C CB  . ASN B 2 703 ? 233.202 -66.545 310.958 1.0 62.57641  ? 703 ASN B CB  703 ASN B CB  1 
ATOM 12712 C CG  . ASN B 2 703 ? 231.867 -67.186 310.653 1.0 62.57641  ? 703 ASN B CG  703 ASN B CG  1 
ATOM 12713 O OD1 . ASN B 2 703 ? 231.441 -67.244 309.501 1.0 62.57641  ? 703 ASN B OD1 703 ASN B OD1 1 
ATOM 12714 N ND2 . ASN B 2 703 ? 231.187 -67.658 311.690 1.0 62.57641  ? 703 ASN B ND2 703 ASN B ND2 1 
ATOM 12715 N N   . ASP B 2 704 ? 236.532 -66.196 309.304 1.0 59.94734  ? 704 ASP B N   704 ASP B N   1 
ATOM 12716 C CA  . ASP B 2 704 ? 237.754 -65.403 309.372 1.0 59.94734  ? 704 ASP B CA  704 ASP B CA  1 
ATOM 12717 C C   . ASP B 2 704 ? 238.320 -65.201 307.969 1.0 59.94734  ? 704 ASP B C   704 ASP B C   1 
ATOM 12718 O O   . ASP B 2 704 ? 238.566 -66.160 307.236 1.0 59.94734  ? 704 ASP B O   704 ASP B O   1 
ATOM 12719 C CB  . ASP B 2 704 ? 238.800 -66.083 310.261 1.0 59.94734  ? 704 ASP B CB  704 ASP B CB  1 
ATOM 12720 C CG  . ASP B 2 704 ? 238.445 -66.037 311.732 1.0 59.94734  ? 704 ASP B CG  704 ASP B CG  1 
ATOM 12721 O OD1 . ASP B 2 704 ? 237.918 -65.009 312.199 1.0 59.94734  ? 704 ASP B OD1 704 ASP B OD1 1 
ATOM 12722 O OD2 . ASP B 2 704 ? 238.676 -67.049 312.425 1.0 59.94734  ? 704 ASP B OD2 704 ASP B OD2 1 
ATOM 12723 N N   . THR B 2 705 ? 238.544 -63.939 307.604 1.0 58.70849  ? 705 THR B N   705 THR B N   1 
ATOM 12724 C CA  . THR B 2 705 ? 239.132 -63.604 306.311 1.0 58.70849  ? 705 THR B CA  705 THR B CA  1 
ATOM 12725 C C   . THR B 2 705 ? 240.631 -63.407 306.439 1.0 58.70849  ? 705 THR B C   705 THR B C   1 
ATOM 12726 O O   . THR B 2 705 ? 241.177 -63.314 307.541 1.0 58.70849  ? 705 THR B O   705 THR B O   1 
ATOM 12727 C CB  . THR B 2 705 ? 238.577 -62.309 305.705 1.0 58.70849  ? 705 THR B CB  705 THR B CB  1 
ATOM 12728 O OG1 . THR B 2 705 ? 238.617 -61.267 306.687 1.0 58.70849  ? 705 THR B OG1 705 THR B OG1 1 
ATOM 12729 C CG2 . THR B 2 705 ? 237.197 -62.466 305.121 1.0 58.70849  ? 705 THR B CG2 705 THR B CG2 1 
ATOM 12730 N N   . MET B 2 706 ? 241.286 -63.373 305.272 1.0 58.90757  ? 706 MET B N   706 MET B N   1 
ATOM 12731 C CA  . MET B 2 706 ? 242.589 -62.729 305.065 1.0 58.90757  ? 706 MET B CA  706 MET B CA  1 
ATOM 12732 C C   . MET B 2 706 ? 243.729 -63.422 305.809 1.0 58.90757  ? 706 MET B C   706 MET B C   1 
ATOM 12733 O O   . MET B 2 706 ? 244.823 -62.866 305.923 1.0 58.90757  ? 706 MET B O   706 MET B O   1 
ATOM 12734 C CB  . MET B 2 706 ? 242.535 -61.253 305.455 1.0 58.90757  ? 706 MET B CB  706 MET B CB  1 
ATOM 12735 C CG  . MET B 2 706 ? 241.583 -60.397 304.648 1.0 58.90757  ? 706 MET B CG  706 MET B CG  1 
ATOM 12736 S SD  . MET B 2 706 ? 241.985 -60.297 302.903 1.0 58.90757  ? 706 MET B SD  706 MET B SD  1 
ATOM 12737 C CE  . MET B 2 706 ? 243.494 -59.342 302.952 1.0 58.90757  ? 706 MET B CE  706 MET B CE  1 
ATOM 12738 N N   . GLN B 2 707 ? 243.471 -64.641 306.289 1.0 60.33918  ? 707 GLN B N   707 GLN B N   1 
ATOM 12739 C CA  . GLN B 2 707 ? 244.350 -65.402 307.180 1.0 60.33918  ? 707 GLN B CA  707 GLN B CA  1 
ATOM 12740 C C   . GLN B 2 707 ? 244.732 -64.575 308.408 1.0 60.33918  ? 707 GLN B C   707 GLN B C   1 
ATOM 12741 O O   . GLN B 2 707 ? 245.906 -64.368 308.715 1.0 60.33918  ? 707 GLN B O   707 GLN B O   1 
ATOM 12742 C CB  . GLN B 2 707 ? 245.589 -65.905 306.437 1.0 60.33918  ? 707 GLN B CB  707 GLN B CB  1 
ATOM 12743 C CG  . GLN B 2 707 ? 245.255 -66.778 305.253 1.0 60.33918  ? 707 GLN B CG  707 GLN B CG  1 
ATOM 12744 C CD  . GLN B 2 707 ? 246.480 -67.261 304.532 1.0 60.33918  ? 707 GLN B CD  707 GLN B CD  1 
ATOM 12745 O OE1 . GLN B 2 707 ? 247.599 -66.946 304.917 1.0 60.33918  ? 707 GLN B OE1 707 GLN B OE1 1 
ATOM 12746 N NE2 . GLN B 2 707 ? 246.279 -68.018 303.466 1.0 60.33918  ? 707 GLN B NE2 707 GLN B NE2 1 
ATOM 12747 N N   . SER B 2 708 ? 243.710 -64.096 309.103 1.0 58.83454  ? 708 SER B N   708 SER B N   1 
ATOM 12748 C CA  . SER B 2 708 ? 243.877 -63.193 310.238 1.0 58.83454  ? 708 SER B CA  708 SER B CA  1 
ATOM 12749 C C   . SER B 2 708 ? 242.639 -63.310 311.121 1.0 58.83454  ? 708 SER B C   708 SER B C   1 
ATOM 12750 O O   . SER B 2 708 ? 241.828 -64.229 310.961 1.0 58.83454  ? 708 SER B O   708 SER B O   1 
ATOM 12751 C CB  . SER B 2 708 ? 244.099 -61.760 309.766 1.0 58.83454  ? 708 SER B CB  708 SER B CB  1 
ATOM 12752 O OG  . SER B 2 708 ? 242.937 -61.277 309.122 1.0 58.83454  ? 708 SER B OG  708 SER B OG  1 
ATOM 12753 N N   . ASN B 2 709 ? 242.488 -62.370 312.053 1.0 59.25764  ? 709 ASN B N   709 ASN B N   1 
ATOM 12754 C CA  . ASN B 2 709 ? 241.373 -62.364 312.989 1.0 59.25764  ? 709 ASN B CA  709 ASN B CA  1 
ATOM 12755 C C   . ASN B 2 709 ? 240.136 -61.656 312.457 1.0 59.25764  ? 709 ASN B C   709 ASN B C   1 
ATOM 12756 O O   . ASN B 2 709 ? 239.095 -61.694 313.119 1.0 59.25764  ? 709 ASN B O   709 ASN B O   1 
ATOM 12757 C CB  . ASN B 2 709 ? 241.775 -61.687 314.300 1.0 59.25764  ? 709 ASN B CB  709 ASN B CB  1 
ATOM 12758 C CG  . ASN B 2 709 ? 242.776 -62.485 315.085 1.0 59.25764  ? 709 ASN B CG  709 ASN B CG  1 
ATOM 12759 O OD1 . ASN B 2 709 ? 242.697 -63.709 315.152 1.0 59.25764  ? 709 ASN B OD1 709 ASN B OD1 1 
ATOM 12760 N ND2 . ASN B 2 709 ? 243.720 -61.794 315.705 1.0 59.25764  ? 709 ASN B ND2 709 ASN B ND2 1 
ATOM 12761 N N   . LEU B 2 710 ? 240.221 -61.006 311.302 1.0 56.06792  ? 710 LEU B N   710 LEU B N   1 
ATOM 12762 C CA  . LEU B 2 710 ? 239.114 -60.197 310.811 1.0 56.06792  ? 710 LEU B CA  710 LEU B CA  1 
ATOM 12763 C C   . LEU B 2 710 ? 237.989 -61.090 310.300 1.0 56.06792  ? 710 LEU B C   710 LEU B C   1 
ATOM 12764 O O   . LEU B 2 710 ? 238.219 -61.998 309.497 1.0 56.06792  ? 710 LEU B O   710 LEU B O   1 
ATOM 12765 C CB  . LEU B 2 710 ? 239.613 -59.268 309.710 1.0 56.06792  ? 710 LEU B CB  710 LEU B CB  1 
ATOM 12766 C CG  . LEU B 2 710 ? 238.675 -58.209 309.151 1.0 56.06792  ? 710 LEU B CG  710 LEU B CG  1 
ATOM 12767 C CD1 . LEU B 2 710 ? 238.279 -57.264 310.249 1.0 56.06792  ? 710 LEU B CD1 710 LEU B CD1 1 
ATOM 12768 C CD2 . LEU B 2 710 ? 239.387 -57.457 308.063 1.0 56.06792  ? 710 LEU B CD2 710 LEU B CD2 1 
ATOM 12769 N N   . THR B 2 711 ? 236.771 -60.835 310.773 1.0 56.77741  ? 711 THR B N   711 THR B N   1 
ATOM 12770 C CA  . THR B 2 711 ? 235.647 -61.709 310.479 1.0 56.77741  ? 711 THR B CA  711 THR B CA  1 
ATOM 12771 C C   . THR B 2 711 ? 235.131 -61.487 309.064 1.0 56.77741  ? 711 THR B C   711 THR B C   1 
ATOM 12772 O O   . THR B 2 711 ? 235.414 -60.477 308.420 1.0 56.77741  ? 711 THR B O   711 THR B O   1 
ATOM 12773 C CB  . THR B 2 711 ? 234.516 -61.485 311.475 1.0 56.77741  ? 711 THR B CB  711 THR B CB  1 
ATOM 12774 O OG1 . THR B 2 711 ? 234.069 -60.130 311.390 1.0 56.77741  ? 711 THR B OG1 711 THR B OG1 1 
ATOM 12775 C CG2 . THR B 2 711 ? 234.999 -61.742 312.867 1.0 56.77741  ? 711 THR B CG2 711 THR B CG2 1 
ATOM 12776 N N   . LYS B 2 712 ? 234.353 -62.453 308.581 1.0 55.33919  ? 712 LYS B N   712 LYS B N   1 
ATOM 12777 C CA  . LYS B 2 712 ? 233.849 -62.354 307.221 1.0 55.33919  ? 712 LYS B CA  712 LYS B CA  1 
ATOM 12778 C C   . LYS B 2 712 ? 232.616 -61.479 307.116 1.0 55.33919  ? 712 LYS B C   712 LYS B C   1 
ATOM 12779 O O   . LYS B 2 712 ? 232.334 -60.959 306.032 1.0 55.33919  ? 712 LYS B O   712 LYS B O   1 
ATOM 12780 C CB  . LYS B 2 712 ? 233.530 -63.732 306.658 1.0 55.33919  ? 712 LYS B CB  712 LYS B CB  1 
ATOM 12781 C CG  . LYS B 2 712 ? 234.733 -64.618 306.608 1.0 55.33919  ? 712 LYS B CG  712 LYS B CG  1 
ATOM 12782 C CD  . LYS B 2 712 ? 234.558 -65.704 305.610 1.0 55.33919  ? 712 LYS B CD  712 LYS B CD  1 
ATOM 12783 C CE  . LYS B 2 712 ? 235.826 -66.505 305.411 1.0 55.33919  ? 712 LYS B CE  712 LYS B CE  1 
ATOM 12784 N NZ  . LYS B 2 712 ? 236.164 -67.398 306.535 1.0 55.33919  ? 712 LYS B NZ  712 LYS B NZ  1 
ATOM 12785 N N   . ASP B 2 713 ? 231.873 -61.312 308.209 1.0 60.55563  ? 713 ASP B N   713 ASP B N   1 
ATOM 12786 C CA  . ASP B 2 713 ? 230.749 -60.388 308.195 1.0 60.55563  ? 713 ASP B CA  713 ASP B CA  1 
ATOM 12787 C C   . ASP B 2 713 ? 231.225 -58.949 308.156 1.0 60.55563  ? 713 ASP B C   713 ASP B C   1 
ATOM 12788 O O   . ASP B 2 713 ? 230.488 -58.065 307.710 1.0 60.55563  ? 713 ASP B O   713 ASP B O   1 
ATOM 12789 C CB  . ASP B 2 713 ? 229.871 -60.609 309.424 1.0 60.55563  ? 713 ASP B CB  713 ASP B CB  1 
ATOM 12790 C CG  . ASP B 2 713 ? 229.208 -61.964 309.424 1.0 60.55563  ? 713 ASP B CG  713 ASP B CG  1 
ATOM 12791 O OD1 . ASP B 2 713 ? 228.937 -62.491 308.326 1.0 60.55563  ? 713 ASP B OD1 713 ASP B OD1 1 
ATOM 12792 O OD2 . ASP B 2 713 ? 228.973 -62.503 310.523 1.0 60.55563  ? 713 ASP B OD2 713 ASP B OD2 1 
ATOM 12793 N N   . PHE B 2 714 ? 232.450 -58.696 308.606 1.0 54.17367  ? 714 PHE B N   714 PHE B N   1 
ATOM 12794 C CA  . PHE B 2 714 ? 232.937 -57.341 308.756 1.0 54.17367  ? 714 PHE B CA  714 PHE B CA  1 
ATOM 12795 C C   . PHE B 2 714 ? 234.018 -56.972 307.754 1.0 54.17367  ? 714 PHE B C   714 PHE B C   1 
ATOM 12796 O O   . PHE B 2 714 ? 234.212 -55.784 307.494 1.0 54.17367  ? 714 PHE B O   714 PHE B O   1 
ATOM 12797 C CB  . PHE B 2 714 ? 233.455 -57.147 310.182 1.0 54.17367  ? 714 PHE B CB  714 PHE B CB  1 
ATOM 12798 C CG  . PHE B 2 714 ? 233.744 -55.739 310.536 1.0 54.17367  ? 714 PHE B CG  714 PHE B CG  1 
ATOM 12799 C CD1 . PHE B 2 714 ? 232.720 -54.858 310.825 1.0 54.17367  ? 714 PHE B CD1 714 PHE B CD1 1 
ATOM 12800 C CD2 . PHE B 2 714 ? 235.040 -55.296 310.589 1.0 54.17367  ? 714 PHE B CD2 714 PHE B CD2 1 
ATOM 12801 C CE1 . PHE B 2 714 ? 232.998 -53.556 311.166 1.0 54.17367  ? 714 PHE B CE1 714 PHE B CE1 1 
ATOM 12802 C CE2 . PHE B 2 714 ? 235.315 -54.010 310.924 1.0 54.17367  ? 714 PHE B CE2 714 PHE B CE2 1 
ATOM 12803 C CZ  . PHE B 2 714 ? 234.300 -53.137 311.199 1.0 54.17367  ? 714 PHE B CZ  714 PHE B CZ  1 
ATOM 12804 N N   . PHE B 2 715 ? 234.711 -57.950 307.172 1.0 53.21712  ? 715 PHE B N   715 PHE B N   1 
ATOM 12805 C CA  . PHE B 2 715 ? 235.570 -57.648 306.034 1.0 53.21712  ? 715 PHE B CA  715 PHE B CA  1 
ATOM 12806 C C   . PHE B 2 715 ? 234.749 -57.227 304.824 1.0 53.21712  ? 715 PHE B C   715 PHE B C   1 
ATOM 12807 O O   . PHE B 2 715 ? 235.215 -56.430 304.005 1.0 53.21712  ? 715 PHE B O   715 PHE B O   1 
ATOM 12808 C CB  . PHE B 2 715 ? 236.439 -58.858 305.688 1.0 53.21712  ? 715 PHE B CB  715 PHE B CB  1 
ATOM 12809 C CG  . PHE B 2 715 ? 237.332 -58.643 304.501 1.0 53.21712  ? 715 PHE B CG  715 PHE B CG  1 
ATOM 12810 C CD1 . PHE B 2 715 ? 238.501 -57.919 304.623 1.0 53.21712  ? 715 PHE B CD1 715 PHE B CD1 1 
ATOM 12811 C CD2 . PHE B 2 715 ? 236.994 -59.149 303.256 1.0 53.21712  ? 715 PHE B CD2 715 PHE B CD2 1 
ATOM 12812 C CE1 . PHE B 2 715 ? 239.320 -57.713 303.534 1.0 53.21712  ? 715 PHE B CE1 715 PHE B CE1 1 
ATOM 12813 C CE2 . PHE B 2 715 ? 237.800 -58.931 302.165 1.0 53.21712  ? 715 PHE B CE2 715 PHE B CE2 1 
ATOM 12814 C CZ  . PHE B 2 715 ? 238.967 -58.219 302.303 1.0 53.21712  ? 715 PHE B CZ  715 PHE B CZ  1 
ATOM 12815 N N   . MET B 2 716 ? 233.530 -57.747 304.703 1.0 53.50953  ? 716 MET B N   716 MET B N   1 
ATOM 12816 C CA  . MET B 2 716 ? 232.696 -57.436 303.550 1.0 53.50953  ? 716 MET B CA  716 MET B CA  1 
ATOM 12817 C C   . MET B 2 716 ? 232.131 -56.025 303.638 1.0 53.50953  ? 716 MET B C   716 MET B C   1 
ATOM 12818 O O   . MET B 2 716 ? 232.010 -55.342 302.618 1.0 53.50953  ? 716 MET B O   716 MET B O   1 
ATOM 12819 C CB  . MET B 2 716 ? 231.585 -58.480 303.437 1.0 53.50953  ? 716 MET B CB  716 MET B CB  1 
ATOM 12820 C CG  . MET B 2 716 ? 230.648 -58.333 302.259 1.0 53.50953  ? 716 MET B CG  716 MET B CG  1 
ATOM 12821 S SD  . MET B 2 716 ? 229.158 -57.402 302.633 1.0 53.50953  ? 716 MET B SD  716 MET B SD  1 
ATOM 12822 C CE  . MET B 2 716 ? 228.461 -57.296 300.997 1.0 53.50953  ? 716 MET B CE  716 MET B CE  1 
ATOM 12823 N N   . VAL B 2 717 ? 231.785 -55.565 304.843 1.0 51.4973   ? 717 VAL B N   717 VAL B N   1 
ATOM 12824 C CA  . VAL B 2 717 ? 231.206 -54.231 304.967 1.0 51.4973   ? 717 VAL B CA  717 VAL B CA  1 
ATOM 12825 C C   . VAL B 2 717 ? 232.282 -53.160 304.805 1.0 51.4973   ? 717 VAL B C   717 VAL B C   1 
ATOM 12826 O O   . VAL B 2 717 ? 232.010 -52.070 304.288 1.0 51.4973   ? 717 VAL B O   717 VAL B O   1 
ATOM 12827 C CB  . VAL B 2 717 ? 230.422 -54.108 306.295 1.0 51.4973   ? 717 VAL B CB  717 VAL B CB  1 
ATOM 12828 C CG1 . VAL B 2 717 ? 231.309 -54.259 307.492 1.0 51.4973   ? 717 VAL B CG1 717 VAL B CG1 1 
ATOM 12829 C CG2 . VAL B 2 717 ? 229.682 -52.797 306.387 1.0 51.4973   ? 717 VAL B CG2 717 VAL B CG2 1 
ATOM 12830 N N   . GLN B 2 718 ? 233.528 -53.463 305.171 1.0 50.01955  ? 718 GLN B N   718 GLN B N   1 
ATOM 12831 C CA  . GLN B 2 718 ? 234.589 -52.478 305.006 1.0 50.01955  ? 718 GLN B CA  718 GLN B CA  1 
ATOM 12832 C C   . GLN B 2 718 ? 235.029 -52.368 303.559 1.0 50.01955  ? 718 GLN B C   718 GLN B C   1 
ATOM 12833 O O   . GLN B 2 718 ? 235.512 -51.313 303.137 1.0 50.01955  ? 718 GLN B O   718 GLN B O   1 
ATOM 12834 C CB  . GLN B 2 718 ? 235.775 -52.830 305.893 1.0 50.01955  ? 718 GLN B CB  718 GLN B CB  1 
ATOM 12835 C CG  . GLN B 2 718 ? 235.453 -52.718 307.348 1.0 50.01955  ? 718 GLN B CG  718 GLN B CG  1 
ATOM 12836 C CD  . GLN B 2 718 ? 235.144 -51.301 307.736 1.0 50.01955  ? 718 GLN B CD  718 GLN B CD  1 
ATOM 12837 O OE1 . GLN B 2 718 ? 235.805 -50.369 307.287 1.0 50.01955  ? 718 GLN B OE1 718 GLN B OE1 1 
ATOM 12838 N NE2 . GLN B 2 718 ? 234.122 -51.123 308.557 1.0 50.01955  ? 718 GLN B NE2 718 GLN B NE2 1 
ATOM 12839 N N   . MET B 2 719 ? 234.860 -53.431 302.785 1.0 50.52216  ? 719 MET B N   719 MET B N   1 
ATOM 12840 C CA  . MET B 2 719 ? 235.246 -53.406 301.386 1.0 50.52216  ? 719 MET B CA  719 MET B CA  1 
ATOM 12841 C C   . MET B 2 719 ? 234.117 -52.925 300.487 1.0 50.52216  ? 719 MET B C   719 MET B C   1 
ATOM 12842 O O   . MET B 2 719 ? 234.377 -52.274 299.470 1.0 50.52216  ? 719 MET B O   719 MET B O   1 
ATOM 12843 C CB  . MET B 2 719 ? 235.711 -54.797 300.961 1.0 50.52216  ? 719 MET B CB  719 MET B CB  1 
ATOM 12844 C CG  . MET B 2 719 ? 236.351 -54.852 299.605 1.0 50.52216  ? 719 MET B CG  719 MET B CG  1 
ATOM 12845 S SD  . MET B 2 719 ? 237.894 -53.947 299.508 1.0 50.52216  ? 719 MET B SD  719 MET B SD  1 
ATOM 12846 C CE  . MET B 2 719 ? 238.964 -55.066 300.394 1.0 50.52216  ? 719 MET B CE  719 MET B CE  1 
ATOM 12847 N N   . ALA B 2 720 ? 232.865 -53.209 300.845 1.0 49.59911  ? 720 ALA B N   720 ALA B N   1 
ATOM 12848 C CA  . ALA B 2 720 ? 231.746 -52.695 300.064 1.0 49.59911  ? 720 ALA B CA  720 ALA B CA  1 
ATOM 12849 C C   . ALA B 2 720 ? 231.540 -51.203 300.271 1.0 49.59911  ? 720 ALA B C   720 ALA B C   1 
ATOM 12850 O O   . ALA B 2 720 ? 231.055 -50.520 299.366 1.0 49.59911  ? 720 ALA B O   720 ALA B O   1 
ATOM 12851 C CB  . ALA B 2 720 ? 230.461 -53.445 300.412 1.0 49.59911  ? 720 ALA B CB  720 ALA B CB  1 
ATOM 12852 N N   . ALA B 2 721 ? 231.891 -50.681 301.445 1.0 49.35242  ? 721 ALA B N   721 ALA B N   1 
ATOM 12853 C CA  . ALA B 2 721 ? 231.759 -49.248 301.678 1.0 49.35242  ? 721 ALA B CA  721 ALA B CA  1 
ATOM 12854 C C   . ALA B 2 721 ? 232.855 -48.469 300.970 1.0 49.35242  ? 721 ALA B C   721 ALA B C   1 
ATOM 12855 O O   . ALA B 2 721 ? 232.610 -47.370 300.462 1.0 49.35242  ? 721 ALA B O   721 ALA B O   1 
ATOM 12856 C CB  . ALA B 2 721 ? 231.792 -48.949 303.173 1.0 49.35242  ? 721 ALA B CB  721 ALA B CB  1 
ATOM 12857 N N   . SER B 2 722 ? 234.063 -49.024 300.927 1.0 50.42277  ? 722 SER B N   722 SER B N   1 
ATOM 12858 C CA  . SER B 2 722 ? 235.195 -48.301 300.365 1.0 50.42277  ? 722 SER B CA  722 SER B CA  1 
ATOM 12859 C C   . SER B 2 722 ? 235.282 -48.473 298.856 1.0 50.42277  ? 722 SER B C   722 SER B C   1 
ATOM 12860 O O   . SER B 2 722 ? 235.550 -47.509 298.131 1.0 50.42277  ? 722 SER B O   722 SER B O   1 
ATOM 12861 C CB  . SER B 2 722 ? 236.490 -48.767 301.025 1.0 50.42277  ? 722 SER B CB  722 SER B CB  1 
ATOM 12862 O OG  . SER B 2 722 ? 236.497 -48.460 302.404 1.0 50.42277  ? 722 SER B OG  722 SER B OG  1 
ATOM 12863 N N   . TYR B 2 723 ? 235.067 -49.689 298.360 1.0 50.84004  ? 723 TYR B N   723 TYR B N   1 
ATOM 12864 C CA  . TYR B 2 723 ? 235.359 -49.982 296.969 1.0 50.84004  ? 723 TYR B CA  723 TYR B CA  1 
ATOM 12865 C C   . TYR B 2 723 ? 234.250 -50.703 296.219 1.0 50.84004  ? 723 TYR B C   723 TYR B C   1 
ATOM 12866 O O   . TYR B 2 723 ? 234.481 -51.102 295.072 1.0 50.84004  ? 723 TYR B O   723 TYR B O   1 
ATOM 12867 C CB  . TYR B 2 723 ? 236.640 -50.816 296.866 1.0 50.84004  ? 723 TYR B CB  723 TYR B CB  1 
ATOM 12868 C CG  . TYR B 2 723 ? 237.853 -50.107 297.392 1.0 50.84004  ? 723 TYR B CG  723 TYR B CG  1 
ATOM 12869 C CD1 . TYR B 2 723 ? 238.413 -49.054 296.687 1.0 50.84004  ? 723 TYR B CD1 723 TYR B CD1 1 
ATOM 12870 C CD2 . TYR B 2 723 ? 238.457 -50.506 298.574 1.0 50.84004  ? 723 TYR B CD2 723 TYR B CD2 1 
ATOM 12871 C CE1 . TYR B 2 723 ? 239.526 -48.395 297.159 1.0 50.84004  ? 723 TYR B CE1 723 TYR B CE1 1 
ATOM 12872 C CE2 . TYR B 2 723 ? 239.574 -49.855 299.055 1.0 50.84004  ? 723 TYR B CE2 723 TYR B CE2 1 
ATOM 12873 C CZ  . TYR B 2 723 ? 240.104 -48.802 298.342 1.0 50.84004  ? 723 TYR B CZ  723 TYR B CZ  1 
ATOM 12874 O OH  . TYR B 2 723 ? 241.218 -48.146 298.806 1.0 50.84004  ? 723 TYR B OH  723 TYR B OH  1 
ATOM 12875 N N   . ASN B 2 724 ? 233.080 -50.907 296.839 1.0 49.29575  ? 724 ASN B N   724 ASN B N   1 
ATOM 12876 C CA  . ASN B 2 724 ? 231.898 -51.539 296.231 1.0 49.29575  ? 724 ASN B CA  724 ASN B CA  1 
ATOM 12877 C C   . ASN B 2 724 ? 232.172 -52.962 295.751 1.0 49.29575  ? 724 ASN B C   724 ASN B C   1 
ATOM 12878 O O   . ASN B 2 724 ? 231.500 -53.457 294.845 1.0 49.29575  ? 724 ASN B O   724 ASN B O   1 
ATOM 12879 C CB  . ASN B 2 724 ? 231.337 -50.705 295.075 1.0 49.29575  ? 724 ASN B CB  724 ASN B CB  1 
ATOM 12880 C CG  . ASN B 2 724 ? 230.946 -49.313 295.496 1.0 49.29575  ? 724 ASN B CG  724 ASN B CG  1 
ATOM 12881 O OD1 . ASN B 2 724 ? 231.568 -48.333 295.091 1.0 49.29575  ? 724 ASN B OD1 724 ASN B OD1 1 
ATOM 12882 N ND2 . ASN B 2 724 ? 229.902 -49.211 296.297 1.0 49.29575  ? 724 ASN B ND2 724 ASN B ND2 1 
ATOM 12883 N N   . GLN B 2 725 ? 233.149 -53.641 296.349 1.0 49.03191  ? 725 GLN B N   725 GLN B N   1 
ATOM 12884 C CA  . GLN B 2 725 ? 233.606 -54.929 295.849 1.0 49.03191  ? 725 GLN B CA  725 GLN B CA  1 
ATOM 12885 C C   . GLN B 2 725 ? 232.783 -56.097 296.362 1.0 49.03191  ? 725 GLN B C   725 GLN B C   1 
ATOM 12886 O O   . GLN B 2 725 ? 233.173 -57.246 296.146 1.0 49.03191  ? 725 GLN B O   725 GLN B O   1 
ATOM 12887 C CB  . GLN B 2 725 ? 235.070 -55.159 296.214 1.0 49.03191  ? 725 GLN B CB  725 GLN B CB  1 
ATOM 12888 C CG  . GLN B 2 725 ? 236.042 -54.202 295.590 1.0 49.03191  ? 725 GLN B CG  725 GLN B CG  1 
ATOM 12889 C CD  . GLN B 2 725 ? 236.051 -54.292 294.095 1.0 49.03191  ? 725 GLN B CD  725 GLN B CD  1 
ATOM 12890 O OE1 . GLN B 2 725 ? 235.667 -53.355 293.398 1.0 49.03191  ? 725 GLN B OE1 725 GLN B OE1 1 
ATOM 12891 N NE2 . GLN B 2 725 ? 236.466 -55.437 293.584 1.0 49.03191  ? 725 GLN B NE2 725 GLN B NE2 1 
ATOM 12892 N N   . GLY B 2 726 ? 231.675 -55.845 297.037 1.0 49.63684  ? 726 GLY B N   726 GLY B N   1 
ATOM 12893 C CA  . GLY B 2 726 ? 230.819 -56.929 297.460 1.0 49.63684  ? 726 GLY B CA  726 GLY B CA  1 
ATOM 12894 C C   . GLY B 2 726 ? 230.043 -57.536 296.305 1.0 49.63684  ? 726 GLY B C   726 GLY B C   1 
ATOM 12895 O O   . GLY B 2 726 ? 229.994 -57.010 295.193 1.0 49.63684  ? 726 GLY B O   726 GLY B O   1 
ATOM 12896 N N   . TYR B 2 727 ? 229.500 -58.725 296.579 1.0 49.25565  ? 727 TYR B N   727 TYR B N   1 
ATOM 12897 C CA  . TYR B 2 727 ? 228.469 -59.422 295.809 1.0 49.25565  ? 727 TYR B CA  727 TYR B CA  1 
ATOM 12898 C C   . TYR B 2 727 ? 228.906 -59.938 294.440 1.0 49.25565  ? 727 TYR B C   727 TYR B C   1 
ATOM 12899 O O   . TYR B 2 727 ? 228.153 -60.676 293.800 1.0 49.25565  ? 727 TYR B O   727 TYR B O   1 
ATOM 12900 C CB  . TYR B 2 727 ? 227.242 -58.525 295.611 1.0 49.25565  ? 727 TYR B CB  727 TYR B CB  1 
ATOM 12901 C CG  . TYR B 2 727 ? 226.617 -58.030 296.885 1.0 49.25565  ? 727 TYR B CG  727 TYR B CG  1 
ATOM 12902 C CD1 . TYR B 2 727 ? 225.895 -58.879 297.700 1.0 49.25565  ? 727 TYR B CD1 727 TYR B CD1 1 
ATOM 12903 C CD2 . TYR B 2 727 ? 226.716 -56.706 297.260 1.0 49.25565  ? 727 TYR B CD2 727 TYR B CD2 1 
ATOM 12904 C CE1 . TYR B 2 727 ? 225.317 -58.428 298.859 1.0 49.25565  ? 727 TYR B CE1 727 TYR B CE1 1 
ATOM 12905 C CE2 . TYR B 2 727 ? 226.127 -56.252 298.417 1.0 49.25565  ? 727 TYR B CE2 727 TYR B CE2 1 
ATOM 12906 C CZ  . TYR B 2 727 ? 225.432 -57.113 299.202 1.0 49.25565  ? 727 TYR B CZ  727 TYR B CZ  1 
ATOM 12907 O OH  . TYR B 2 727 ? 224.847 -56.689 300.357 1.0 49.25565  ? 727 TYR B OH  727 TYR B OH  1 
ATOM 12908 N N   . GLN B 2 728 ? 230.109 -59.589 293.978 1.0 49.35512  ? 728 GLN B N   728 GLN B N   1 
ATOM 12909 C CA  . GLN B 2 728 ? 230.575 -60.055 292.677 1.0 49.35512  ? 728 GLN B CA  728 GLN B CA  1 
ATOM 12910 C C   . GLN B 2 728 ? 232.041 -60.459 292.711 1.0 49.35512  ? 728 GLN B C   728 GLN B C   1 
ATOM 12911 O O   . GLN B 2 728 ? 232.679 -60.526 291.655 1.0 49.35512  ? 728 GLN B O   728 GLN B O   1 
ATOM 12912 C CB  . GLN B 2 728 ? 230.371 -58.997 291.586 1.0 49.35512  ? 728 GLN B CB  728 GLN B CB  1 
ATOM 12913 C CG  . GLN B 2 728 ? 228.924 -58.792 291.177 1.0 49.35512  ? 728 GLN B CG  728 GLN B CG  1 
ATOM 12914 C CD  . GLN B 2 728 ? 228.747 -57.734 290.113 1.0 49.35512  ? 728 GLN B CD  728 GLN B CD  1 
ATOM 12915 O OE1 . GLN B 2 728 ? 229.701 -57.078 289.701 1.0 49.35512  ? 728 GLN B OE1 728 GLN B OE1 1 
ATOM 12916 N NE2 . GLN B 2 728 ? 227.514 -57.560 289.662 1.0 49.35512  ? 728 GLN B NE2 728 GLN B NE2 1 
ATOM 12917 N N   . GLY B 2 729 ? 232.587 -60.723 293.882 1.0 48.55642  ? 729 GLY B N   729 GLY B N   1 
ATOM 12918 C CA  . GLY B 2 729 ? 233.971 -61.127 293.977 1.0 48.55642  ? 729 GLY B CA  729 GLY B CA  1 
ATOM 12919 C C   . GLY B 2 729 ? 234.875 -59.974 294.355 1.0 48.55642  ? 729 GLY B C   729 GLY B C   1 
ATOM 12920 O O   . GLY B 2 729 ? 234.683 -58.830 293.932 1.0 48.55642  ? 729 GLY B O   729 GLY B O   1 
ATOM 12921 N N   . PHE B 2 730 ? 235.880 -60.278 295.167 1.0 48.20937  ? 730 PHE B N   730 PHE B N   1 
ATOM 12922 C CA  . PHE B 2 730 ? 236.836 -59.288 295.633 1.0 48.20937  ? 730 PHE B CA  730 PHE B CA  1 
ATOM 12923 C C   . PHE B 2 730 ? 238.099 -59.352 294.792 1.0 48.20937  ? 730 PHE B C   730 PHE B C   1 
ATOM 12924 O O   . PHE B 2 730 ? 238.539 -60.433 294.394 1.0 48.20937  ? 730 PHE B O   730 PHE B O   1 
ATOM 12925 C CB  . PHE B 2 730 ? 237.192 -59.518 297.099 1.0 48.20937  ? 730 PHE B CB  730 PHE B CB  1 
ATOM 12926 C CG  . PHE B 2 730 ? 236.026 -59.409 298.028 1.0 48.20937  ? 730 PHE B CG  730 PHE B CG  1 
ATOM 12927 C CD1 . PHE B 2 730 ? 235.526 -58.174 298.393 1.0 48.20937  ? 730 PHE B CD1 730 PHE B CD1 1 
ATOM 12928 C CD2 . PHE B 2 730 ? 235.440 -60.545 298.551 1.0 48.20937  ? 730 PHE B CD2 730 PHE B CD2 1 
ATOM 12929 C CE1 . PHE B 2 730 ? 234.450 -58.074 299.254 1.0 48.20937  ? 730 PHE B CE1 730 PHE B CE1 1 
ATOM 12930 C CE2 . PHE B 2 730 ? 234.369 -60.453 299.413 1.0 48.20937  ? 730 PHE B CE2 730 PHE B CE2 1 
ATOM 12931 C CZ  . PHE B 2 730 ? 233.874 -59.217 299.765 1.0 48.20937  ? 730 PHE B CZ  730 PHE B CZ  1 
ATOM 12932 N N   . ASN B 2 731 ? 238.676 -58.187 294.524 1.0 51.07465  ? 731 ASN B N   731 ASN B N   1 
ATOM 12933 C CA  . ASN B 2 731 ? 239.970 -58.095 293.867 1.0 51.07465  ? 731 ASN B CA  731 ASN B CA  1 
ATOM 12934 C C   . ASN B 2 731 ? 240.626 -56.791 294.291 1.0 51.07465  ? 731 ASN B C   731 ASN B C   1 
ATOM 12935 O O   . ASN B 2 731 ? 240.023 -55.969 294.984 1.0 51.07465  ? 731 ASN B O   731 ASN B O   1 
ATOM 12936 C CB  . ASN B 2 731 ? 239.847 -58.209 292.341 1.0 51.07465  ? 731 ASN B CB  731 ASN B CB  1 
ATOM 12937 C CG  . ASN B 2 731 ? 238.880 -57.200 291.735 1.0 51.07465  ? 731 ASN B CG  731 ASN B CG  1 
ATOM 12938 O OD1 . ASN B 2 731 ? 238.284 -56.381 292.427 1.0 51.07465  ? 731 ASN B OD1 731 ASN B OD1 1 
ATOM 12939 N ND2 . ASN B 2 731 ? 238.735 -57.254 290.419 1.0 51.07465  ? 731 ASN B ND2 731 ASN B ND2 1 
ATOM 12940 N N   . TRP B 2 732 ? 241.868 -56.619 293.877 1.0 51.37891  ? 732 TRP B N   732 TRP B N   1 
ATOM 12941 C CA  . TRP B 2 732 ? 242.581 -55.385 294.156 1.0 51.37891  ? 732 TRP B CA  732 TRP B CA  1 
ATOM 12942 C C   . TRP B 2 732 ? 241.967 -54.261 293.337 1.0 51.37891  ? 732 TRP B C   732 TRP B C   1 
ATOM 12943 O O   . TRP B 2 732 ? 241.951 -54.347 292.103 1.0 51.37891  ? 732 TRP B O   732 TRP B O   1 
ATOM 12944 C CB  . TRP B 2 732 ? 244.054 -55.536 293.828 1.0 51.37891  ? 732 TRP B CB  732 TRP B CB  1 
ATOM 12945 C CG  . TRP B 2 732 ? 244.841 -54.338 294.178 1.0 51.37891  ? 732 TRP B CG  732 TRP B CG  1 
ATOM 12946 C CD1 . TRP B 2 732 ? 245.227 -53.343 293.337 1.0 51.37891  ? 732 TRP B CD1 732 TRP B CD1 1 
ATOM 12947 C CD2 . TRP B 2 732 ? 245.362 -54.004 295.463 1.0 51.37891  ? 732 TRP B CD2 732 TRP B CD2 1 
ATOM 12948 N NE1 . TRP B 2 732 ? 245.947 -52.400 294.021 1.0 51.37891  ? 732 TRP B NE1 732 TRP B NE1 1 
ATOM 12949 C CE2 . TRP B 2 732 ? 246.045 -52.785 295.330 1.0 51.37891  ? 732 TRP B CE2 732 TRP B CE2 1 
ATOM 12950 C CE3 . TRP B 2 732 ? 245.313 -54.616 296.715 1.0 51.37891  ? 732 TRP B CE3 732 TRP B CE3 1 
ATOM 12951 C CZ2 . TRP B 2 732 ? 246.676 -52.166 296.399 1.0 51.37891  ? 732 TRP B CZ2 732 TRP B CZ2 1 
ATOM 12952 C CZ3 . TRP B 2 732 ? 245.939 -54.002 297.774 1.0 51.37891  ? 732 TRP B CZ3 732 TRP B CZ3 1 
ATOM 12953 C CH2 . TRP B 2 732 ? 246.612 -52.789 297.611 1.0 51.37891  ? 732 TRP B CH2 732 TRP B CH2 1 
ATOM 12954 N N   . PRO B 2 733 ? 241.444 -53.210 293.963 1.0 53.19123  ? 733 PRO B N   733 PRO B N   1 
ATOM 12955 C CA  . PRO B 2 733 ? 240.717 -52.181 293.215 1.0 53.19123  ? 733 PRO B CA  733 PRO B CA  1 
ATOM 12956 C C   . PRO B 2 733 ? 241.656 -51.305 292.402 1.0 53.19123  ? 733 PRO B C   733 PRO B C   1 
ATOM 12957 O O   . PRO B 2 733 ? 242.881 -51.375 292.506 1.0 53.19123  ? 733 PRO B O   733 PRO B O   1 
ATOM 12958 C CB  . PRO B 2 733 ? 240.018 -51.381 294.310 1.0 53.19123  ? 733 PRO B CB  733 PRO B CB  1 
ATOM 12959 C CG  . PRO B 2 733 ? 240.886 -51.553 295.490 1.0 53.19123  ? 733 PRO B CG  733 PRO B CG  1 
ATOM 12960 C CD  . PRO B 2 733 ? 241.454 -52.934 295.407 1.0 53.19123  ? 733 PRO B CD  733 PRO B CD  1 
ATOM 12961 N N   . ASN B 2 734 ? 241.043 -50.463 291.571 1.0 58.57255  ? 734 ASN B N   734 ASN B N   1 
ATOM 12962 C CA  . ASN B 2 734 ? 241.807 -49.644 290.639 1.0 58.57255  ? 734 ASN B CA  734 ASN B CA  1 
ATOM 12963 C C   . ASN B 2 734 ? 242.496 -48.494 291.362 1.0 58.57255  ? 734 ASN B C   734 ASN B C   1 
ATOM 12964 O O   . ASN B 2 734 ? 243.728 -48.411 291.393 1.0 58.57255  ? 734 ASN B O   734 ASN B O   1 
ATOM 12965 C CB  . ASN B 2 734 ? 240.880 -49.117 289.542 1.0 58.57255  ? 734 ASN B CB  734 ASN B CB  1 
ATOM 12966 C CG  . ASN B 2 734 ? 241.633 -48.536 288.359 1.0 58.57255  ? 734 ASN B CG  734 ASN B CG  1 
ATOM 12967 O OD1 . ASN B 2 734 ? 242.864 -48.559 288.310 1.0 58.57255  ? 734 ASN B OD1 734 ASN B OD1 1 
ATOM 12968 N ND2 . ASN B 2 734 ? 240.890 -47.999 287.398 1.0 58.57255  ? 734 ASN B ND2 734 ASN B ND2 1 
ATOM 12969 N N   . CYS B 2 735 ? 241.715 -47.599 291.956 1.0 57.53797  ? 735 CYS B N   735 CYS B N   1 
ATOM 12970 C CA  . CYS B 2 735 ? 242.249 -46.433 292.644 1.0 57.53797  ? 735 CYS B CA  735 CYS B CA  1 
ATOM 12971 C C   . CYS B 2 735 ? 242.184 -46.655 294.150 1.0 57.53797  ? 735 CYS B C   735 CYS B C   1 
ATOM 12972 O O   . CYS B 2 735 ? 241.100 -46.813 294.721 1.0 57.53797  ? 735 CYS B O   735 CYS B O   1 
ATOM 12973 C CB  . CYS B 2 735 ? 241.508 -45.164 292.216 1.0 57.53797  ? 735 CYS B CB  735 CYS B CB  1 
ATOM 12974 S SG  . CYS B 2 735 ? 239.705 -45.173 292.387 1.0 57.53797  ? 735 CYS B SG  735 CYS B SG  1 
ATOM 12975 N N   . THR B 2 736 ? 243.353 -46.695 294.782 1.0 54.16373  ? 736 THR B N   736 THR B N   1 
ATOM 12976 C CA  . THR B 2 736 ? 243.485 -46.901 296.216 1.0 54.16373  ? 736 THR B CA  736 THR B CA  1 
ATOM 12977 C C   . THR B 2 736 ? 244.059 -45.633 296.822 1.0 54.16373  ? 736 THR B C   736 THR B C   1 
ATOM 12978 O O   . THR B 2 736 ? 245.192 -45.252 296.511 1.0 54.16373  ? 736 THR B O   736 THR B O   1 
ATOM 12979 C CB  . THR B 2 736 ? 244.386 -48.095 296.524 1.0 54.16373  ? 736 THR B CB  736 THR B CB  1 
ATOM 12980 O OG1 . THR B 2 736 ? 245.696 -47.858 295.996 1.0 54.16373  ? 736 THR B OG1 736 THR B OG1 1 
ATOM 12981 C CG2 . THR B 2 736 ? 243.827 -49.345 295.900 1.0 54.16373  ? 736 THR B CG2 736 THR B CG2 1 
ATOM 12982 N N   . LYS B 2 737 ? 243.283 -44.985 297.682 1.0 55.81163  ? 737 LYS B N   737 LYS B N   1 
ATOM 12983 C CA  . LYS B 2 737 ? 243.706 -43.722 298.255 1.0 55.81163  ? 737 LYS B CA  737 LYS B CA  1 
ATOM 12984 C C   . LYS B 2 737 ? 244.618 -43.968 299.454 1.0 55.81163  ? 737 LYS B C   737 LYS B C   1 
ATOM 12985 O O   . LYS B 2 737 ? 244.909 -45.107 299.828 1.0 55.81163  ? 737 LYS B O   737 LYS B O   1 
ATOM 12986 C CB  . LYS B 2 737 ? 242.488 -42.883 298.630 1.0 55.81163  ? 737 LYS B CB  737 LYS B CB  1 
ATOM 12987 C CG  . LYS B 2 737 ? 241.542 -42.539 297.464 1.0 55.81163  ? 737 LYS B CG  737 LYS B CG  1 
ATOM 12988 C CD  . LYS B 2 737 ? 242.094 -41.461 296.512 1.0 55.81163  ? 737 LYS B CD  737 LYS B CD  1 
ATOM 12989 C CE  . LYS B 2 737 ? 242.654 -42.032 295.205 1.0 55.81163  ? 737 LYS B CE  737 LYS B CE  1 
ATOM 12990 N NZ  . LYS B 2 737 ? 243.121 -40.980 294.260 1.0 55.81163  ? 737 LYS B NZ  737 LYS B NZ  1 
ATOM 12991 N N   . HIS B 2 738 ? 245.082 -42.876 300.060 1.0 50.62534  ? 738 HIS B N   738 HIS B N   1 
ATOM 12992 C CA  . HIS B 2 738 ? 246.050 -42.975 301.144 1.0 50.62534  ? 738 HIS B CA  738 HIS B CA  1 
ATOM 12993 C C   . HIS B 2 738 ? 245.409 -43.490 302.424 1.0 50.62534  ? 738 HIS B C   738 HIS B C   1 
ATOM 12994 O O   . HIS B 2 738 ? 245.982 -44.343 303.108 1.0 50.62534  ? 738 HIS B O   738 HIS B O   1 
ATOM 12995 C CB  . HIS B 2 738 ? 246.700 -41.614 301.380 1.0 50.62534  ? 738 HIS B CB  738 HIS B CB  1 
ATOM 12996 C CG  . HIS B 2 738 ? 247.775 -41.628 302.418 1.0 50.62534  ? 738 HIS B CG  738 HIS B CG  1 
ATOM 12997 N ND1 . HIS B 2 738 ? 249.012 -42.192 302.198 1.0 50.62534  ? 738 HIS B ND1 738 HIS B ND1 1 
ATOM 12998 C CD2 . HIS B 2 738 ? 247.805 -41.134 303.677 1.0 50.62534  ? 738 HIS B CD2 738 HIS B CD2 1 
ATOM 12999 C CE1 . HIS B 2 738 ? 249.755 -42.053 303.280 1.0 50.62534  ? 738 HIS B CE1 738 HIS B CE1 1 
ATOM 13000 N NE2 . HIS B 2 738 ? 249.046 -41.413 304.192 1.0 50.62534  ? 738 HIS B NE2 738 HIS B NE2 1 
ATOM 13001 N N   . TYR B 2 739 ? 244.225 -42.993 302.759 1.0 50.77896  ? 739 TYR B N   739 TYR B N   1 
ATOM 13002 C CA  . TYR B 2 739 ? 243.500 -43.453 303.941 1.0 50.77896  ? 739 TYR B CA  739 TYR B CA  1 
ATOM 13003 C C   . TYR B 2 739 ? 242.534 -44.574 303.592 1.0 50.77896  ? 739 TYR B C   739 TYR B C   1 
ATOM 13004 O O   . TYR B 2 739 ? 241.357 -44.544 303.941 1.0 50.77896  ? 739 TYR B O   739 TYR B O   1 
ATOM 13005 C CB  . TYR B 2 739 ? 242.771 -42.281 304.578 1.0 50.77896  ? 739 TYR B CB  739 TYR B CB  1 
ATOM 13006 C CG  . TYR B 2 739 ? 243.713 -41.239 305.100 1.0 50.77896  ? 739 TYR B CG  739 TYR B CG  1 
ATOM 13007 C CD1 . TYR B 2 739 ? 244.303 -41.380 306.338 1.0 50.77896  ? 739 TYR B CD1 739 TYR B CD1 1 
ATOM 13008 C CD2 . TYR B 2 739 ? 244.033 -40.123 304.343 1.0 50.77896  ? 739 TYR B CD2 739 TYR B CD2 1 
ATOM 13009 C CE1 . TYR B 2 739 ? 245.167 -40.438 306.814 1.0 50.77896  ? 739 TYR B CE1 739 TYR B CE1 1 
ATOM 13010 C CE2 . TYR B 2 739 ? 244.905 -39.173 304.816 1.0 50.77896  ? 739 TYR B CE2 739 TYR B CE2 1 
ATOM 13011 C CZ  . TYR B 2 739 ? 245.468 -39.339 306.053 1.0 50.77896  ? 739 TYR B CZ  739 TYR B CZ  1 
ATOM 13012 O OH  . TYR B 2 739 ? 246.341 -38.402 306.544 1.0 50.77896  ? 739 TYR B OH  739 TYR B OH  1 
ATOM 13013 N N   . GLY B 2 740 ? 243.043 -45.590 302.898 1.0 51.36606  ? 740 GLY B N   740 GLY B N   1 
ATOM 13014 C CA  . GLY B 2 740 ? 242.227 -46.677 302.418 1.0 51.36606  ? 740 GLY B CA  740 GLY B CA  1 
ATOM 13015 C C   . GLY B 2 740 ? 242.302 -47.885 303.331 1.0 51.36606  ? 740 GLY B C   740 GLY B C   1 
ATOM 13016 O O   . GLY B 2 740 ? 242.989 -47.901 304.348 1.0 51.36606  ? 740 GLY B O   740 GLY B O   1 
ATOM 13017 N N   . PHE B 2 741 ? 241.570 -48.922 302.939 1.0 50.06416  ? 741 PHE B N   741 PHE B N   1 
ATOM 13018 C CA  . PHE B 2 741 ? 241.538 -50.143 303.730 1.0 50.06416  ? 741 PHE B CA  741 PHE B CA  1 
ATOM 13019 C C   . PHE B 2 741 ? 242.535 -51.176 303.222 1.0 50.06416  ? 741 PHE B C   741 PHE B C   1 
ATOM 13020 O O   . PHE B 2 741 ? 243.397 -51.633 303.976 1.0 50.06416  ? 741 PHE B O   741 PHE B O   1 
ATOM 13021 C CB  . PHE B 2 741 ? 240.122 -50.719 303.747 1.0 50.06416  ? 741 PHE B CB  741 PHE B CB  1 
ATOM 13022 C CG  . PHE B 2 741 ? 240.009 -52.009 304.491 1.0 50.06416  ? 741 PHE B CG  741 PHE B CG  1 
ATOM 13023 C CD1 . PHE B 2 741 ? 240.183 -52.046 305.862 1.0 50.06416  ? 741 PHE B CD1 741 PHE B CD1 1 
ATOM 13024 C CD2 . PHE B 2 741 ? 239.700 -53.179 303.826 1.0 50.06416  ? 741 PHE B CD2 741 PHE B CD2 1 
ATOM 13025 C CE1 . PHE B 2 741 ? 240.075 -53.231 306.554 1.0 50.06416  ? 741 PHE B CE1 741 PHE B CE1 1 
ATOM 13026 C CE2 . PHE B 2 741 ? 239.585 -54.366 304.512 1.0 50.06416  ? 741 PHE B CE2 741 PHE B CE2 1 
ATOM 13027 C CZ  . PHE B 2 741 ? 239.773 -54.392 305.877 1.0 50.06416  ? 741 PHE B CZ  741 PHE B CZ  1 
ATOM 13028 N N   . ILE B 2 742 ? 242.445 -51.534 301.943 1.0 49.76297  ? 742 ILE B N   742 ILE B N   1 
ATOM 13029 C CA  . ILE B 2 742 ? 243.163 -52.708 301.464 1.0 49.76297  ? 742 ILE B CA  742 ILE B CA  1 
ATOM 13030 C C   . ILE B 2 742 ? 244.654 -52.424 301.258 1.0 49.76297  ? 742 ILE B C   742 ILE B C   1 
ATOM 13031 O O   . ILE B 2 742 ? 245.479 -53.338 301.351 1.0 49.76297  ? 742 ILE B O   742 ILE B O   1 
ATOM 13032 C CB  . ILE B 2 742 ? 242.470 -53.249 300.198 1.0 49.76297  ? 742 ILE B CB  742 ILE B CB  1 
ATOM 13033 C CG1 . ILE B 2 742 ? 242.960 -54.655 299.865 1.0 49.76297  ? 742 ILE B CG1 742 ILE B CG1 1 
ATOM 13034 C CG2 . ILE B 2 742 ? 242.649 -52.310 299.020 1.0 49.76297  ? 742 ILE B CG2 742 ILE B CG2 1 
ATOM 13035 C CD1 . ILE B 2 742 ? 242.669 -55.660 300.949 1.0 49.76297  ? 742 ILE B CD1 742 ILE B CD1 1 
ATOM 13036 N N   . ASN B 2 743 ? 245.044 -51.171 301.030 1.0 51.86043  ? 743 ASN B N   743 ASN B N   1 
ATOM 13037 C CA  . ASN B 2 743 ? 246.465 -50.869 300.939 1.0 51.86043  ? 743 ASN B CA  743 ASN B CA  1 
ATOM 13038 C C   . ASN B 2 743 ? 247.114 -50.653 302.299 1.0 51.86043  ? 743 ASN B C   743 ASN B C   1 
ATOM 13039 O O   . ASN B 2 743 ? 248.346 -50.619 302.383 1.0 51.86043  ? 743 ASN B O   743 ASN B O   1 
ATOM 13040 C CB  . ASN B 2 743 ? 246.692 -49.656 300.032 1.0 51.86043  ? 743 ASN B CB  743 ASN B CB  1 
ATOM 13041 C CG  . ASN B 2 743 ? 245.843 -48.470 300.414 1.0 51.86043  ? 743 ASN B CG  743 ASN B CG  1 
ATOM 13042 O OD1 . ASN B 2 743 ? 245.087 -48.518 301.378 1.0 51.86043  ? 743 ASN B OD1 743 ASN B OD1 1 
ATOM 13043 N ND2 . ASN B 2 743 ? 245.967 -47.388 299.661 1.0 51.86043  ? 743 ASN B ND2 743 ASN B ND2 1 
ATOM 13044 N N   . ASN B 2 744 ? 246.320 -50.529 303.362 1.0 50.84415  ? 744 ASN B N   744 ASN B N   1 
ATOM 13045 C CA  . ASN B 2 744 ? 246.841 -50.388 304.710 1.0 50.84415  ? 744 ASN B CA  744 ASN B CA  1 
ATOM 13046 C C   . ASN B 2 744 ? 246.670 -51.637 305.557 1.0 50.84415  ? 744 ASN B C   744 ASN B C   1 
ATOM 13047 O O   . ASN B 2 744 ? 247.339 -51.759 306.587 1.0 50.84415  ? 744 ASN B O   744 ASN B O   1 
ATOM 13048 C CB  . ASN B 2 744 ? 246.159 -49.213 305.419 1.0 50.84415  ? 744 ASN B CB  744 ASN B CB  1 
ATOM 13049 C CG  . ASN B 2 744 ? 246.530 -47.880 304.816 1.0 50.84415  ? 744 ASN B CG  744 ASN B CG  1 
ATOM 13050 O OD1 . ASN B 2 744 ? 247.686 -47.642 304.477 1.0 50.84415  ? 744 ASN B OD1 744 ASN B OD1 1 
ATOM 13051 N ND2 . ASN B 2 744 ? 245.549 -47.001 304.677 1.0 50.84415  ? 744 ASN B ND2 744 ASN B ND2 1 
ATOM 13052 N N   . PHE B 2 745 ? 245.800 -52.557 305.152 1.0 52.75719  ? 745 PHE B N   745 PHE B N   1 
ATOM 13053 C CA  . PHE B 2 745 ? 245.599 -53.799 305.884 1.0 52.75719  ? 745 PHE B CA  745 PHE B CA  1 
ATOM 13054 C C   . PHE B 2 745 ? 246.813 -54.703 305.720 1.0 52.75719  ? 745 PHE B C   745 PHE B C   1 
ATOM 13055 O O   . PHE B 2 745 ? 247.407 -54.778 304.642 1.0 52.75719  ? 745 PHE B O   745 PHE B O   1 
ATOM 13056 C CB  . PHE B 2 745 ? 244.342 -54.501 305.376 1.0 52.75719  ? 745 PHE B CB  745 PHE B CB  1 
ATOM 13057 C CG  . PHE B 2 745 ? 243.984 -55.737 306.135 1.0 52.75719  ? 745 PHE B CG  745 PHE B CG  1 
ATOM 13058 C CD1 . PHE B 2 745 ? 243.347 -55.655 307.357 1.0 52.75719  ? 745 PHE B CD1 745 PHE B CD1 1 
ATOM 13059 C CD2 . PHE B 2 745 ? 244.278 -56.982 305.624 1.0 52.75719  ? 745 PHE B CD2 745 PHE B CD2 1 
ATOM 13060 C CE1 . PHE B 2 745 ? 243.016 -56.794 308.057 1.0 52.75719  ? 745 PHE B CE1 745 PHE B CE1 1 
ATOM 13061 C CE2 . PHE B 2 745 ? 243.952 -58.121 306.321 1.0 52.75719  ? 745 PHE B CE2 745 PHE B CE2 1 
ATOM 13062 C CZ  . PHE B 2 745 ? 243.318 -58.028 307.536 1.0 52.75719  ? 745 PHE B CZ  745 PHE B CZ  1 
ATOM 13063 N N   . GLU B 2 746 ? 247.188 -55.390 306.793 1.0 56.61379  ? 746 GLU B N   746 GLU B N   1 
ATOM 13064 C CA  . GLU B 2 746 ? 248.365 -56.258 306.777 1.0 56.61379  ? 746 GLU B CA  746 GLU B CA  1 
ATOM 13065 C C   . GLU B 2 746 ? 248.179 -57.387 307.777 1.0 56.61379  ? 746 GLU B C   746 GLU B C   1 
ATOM 13066 O O   . GLU B 2 746 ? 248.299 -57.178 308.993 1.0 56.61379  ? 746 GLU B O   746 GLU B O   1 
ATOM 13067 C CB  . GLU B 2 746 ? 249.640 -55.477 307.079 1.0 56.61379  ? 746 GLU B CB  746 GLU B CB  1 
ATOM 13068 C CG  . GLU B 2 746 ? 250.885 -56.332 307.008 1.0 56.61379  ? 746 GLU B CG  746 GLU B CG  1 
ATOM 13069 C CD  . GLU B 2 746 ? 251.196 -56.782 305.595 1.0 56.61379  ? 746 GLU B CD  746 GLU B CD  1 
ATOM 13070 O OE1 . GLU B 2 746 ? 250.909 -56.021 304.648 1.0 56.61379  ? 746 GLU B OE1 746 GLU B OE1 1 
ATOM 13071 O OE2 . GLU B 2 746 ? 251.702 -57.909 305.427 1.0 56.61379  ? 746 GLU B OE2 746 GLU B OE2 1 
ATOM 13072 N N   . PRO B 2 747 ? 247.894 -58.599 307.311 1.0 55.14895  ? 747 PRO B N   747 PRO B N   1 
ATOM 13073 C CA  . PRO B 2 747 ? 247.788 -59.734 308.227 1.0 55.14895  ? 747 PRO B CA  747 PRO B CA  1 
ATOM 13074 C C   . PRO B 2 747 ? 249.144 -60.351 308.516 1.0 55.14895  ? 747 PRO B C   747 PRO B C   1 
ATOM 13075 O O   . PRO B 2 747 ? 250.063 -60.308 307.695 1.0 55.14895  ? 747 PRO B O   747 PRO B O   1 
ATOM 13076 C CB  . PRO B 2 747 ? 246.895 -60.714 307.462 1.0 55.14895  ? 747 PRO B CB  747 PRO B CB  1 
ATOM 13077 C CG  . PRO B 2 747 ? 247.190 -60.424 306.044 1.0 55.14895  ? 747 PRO B CG  747 PRO B CG  1 
ATOM 13078 C CD  . PRO B 2 747 ? 247.456 -58.950 305.950 1.0 55.14895  ? 747 PRO B CD  747 PRO B CD  1 
ATOM 13079 N N   . MET B 2 748 ? 249.265 -60.924 309.712 1.0 58.96238  ? 748 MET B N   748 MET B N   1 
ATOM 13080 C CA  . MET B 2 748 ? 250.514 -61.522 310.163 1.0 58.96238  ? 748 MET B CA  748 MET B CA  1 
ATOM 13081 C C   . MET B 2 748 ? 250.227 -62.859 310.829 1.0 58.96238  ? 748 MET B C   748 MET B C   1 
ATOM 13082 O O   . MET B 2 748 ? 249.102 -63.137 311.249 1.0 58.96238  ? 748 MET B O   748 MET B O   1 
ATOM 13083 C CB  . MET B 2 748 ? 251.262 -60.603 311.131 1.0 58.96238  ? 748 MET B CB  748 MET B CB  1 
ATOM 13084 C CG  . MET B 2 748 ? 251.780 -59.333 310.494 1.0 58.96238  ? 748 MET B CG  748 MET B CG  1 
ATOM 13085 S SD  . MET B 2 748 ? 252.695 -58.320 311.650 1.0 58.96238  ? 748 MET B SD  748 MET B SD  1 
ATOM 13086 C CE  . MET B 2 748 ? 251.353 -57.826 312.704 1.0 58.96238  ? 748 MET B CE  748 MET B CE  1 
ATOM 13087 N N   . SER B 2 749 ? 251.262 -63.691 310.925 1.0 60.30639  ? 749 SER B N   749 SER B N   1 
ATOM 13088 C CA  . SER B 2 749 ? 251.114 -65.032 311.474 1.0 60.30639  ? 749 SER B CA  749 SER B CA  1 
ATOM 13089 C C   . SER B 2 749 ? 252.447 -65.496 312.038 1.0 60.30639  ? 749 SER B C   749 SER B C   1 
ATOM 13090 O O   . SER B 2 749 ? 253.508 -65.116 311.540 1.0 60.30639  ? 749 SER B O   749 SER B O   1 
ATOM 13091 C CB  . SER B 2 749 ? 250.637 -66.030 310.415 1.0 60.30639  ? 749 SER B CB  749 SER B CB  1 
ATOM 13092 O OG  . SER B 2 749 ? 249.361 -65.695 309.905 1.0 60.30639  ? 749 SER B OG  749 SER B OG  1 
ATOM 13093 N N   . ARG B 2 750 ? 252.377 -66.335 313.070 1.0 60.79501  ? 750 ARG B N   750 ARG B N   1 
ATOM 13094 C CA  . ARG B 2 750 ? 253.556 -66.998 313.609 1.0 60.79501  ? 750 ARG B CA  750 ARG B CA  1 
ATOM 13095 C C   . ARG B 2 750 ? 253.113 -68.263 314.324 1.0 60.79501  ? 750 ARG B C   750 ARG B C   1 
ATOM 13096 O O   . ARG B 2 750 ? 251.923 -68.481 314.557 1.0 60.79501  ? 750 ARG B O   750 ARG B O   1 
ATOM 13097 C CB  . ARG B 2 750 ? 254.354 -66.084 314.553 1.0 60.79501  ? 750 ARG B CB  750 ARG B CB  1 
ATOM 13098 C CG  . ARG B 2 750 ? 253.647 -65.628 315.830 1.0 60.79501  ? 750 ARG B CG  750 ARG B CG  1 
ATOM 13099 C CD  . ARG B 2 750 ? 254.067 -66.412 317.068 1.0 60.79501  ? 750 ARG B CD  750 ARG B CD  1 
ATOM 13100 N NE  . ARG B 2 750 ? 253.412 -65.921 318.279 1.0 60.79501  ? 750 ARG B NE  750 ARG B NE  1 
ATOM 13101 C CZ  . ARG B 2 750 ? 253.938 -65.029 319.113 1.0 60.79501  ? 750 ARG B CZ  750 ARG B CZ  1 
ATOM 13102 N NH1 . ARG B 2 750 ? 255.138 -64.518 318.884 1.0 60.79501  ? 750 ARG B NH1 750 ARG B NH1 1 
ATOM 13103 N NH2 . ARG B 2 750 ? 253.257 -64.651 320.185 1.0 60.79501  ? 750 ARG B NH2 750 ARG B NH2 1 
ATOM 13104 N N   . GLN B 2 751 ? 254.089 -69.096 314.663 1.0 61.01258  ? 751 GLN B N   751 GLN B N   1 
ATOM 13105 C CA  . GLN B 2 751 ? 253.878 -70.246 315.527 1.0 61.01258  ? 751 GLN B CA  751 GLN B CA  1 
ATOM 13106 C C   . GLN B 2 751 ? 254.678 -70.064 316.804 1.0 61.01258  ? 751 GLN B C   751 GLN B C   1 
ATOM 13107 O O   . GLN B 2 751 ? 255.751 -69.457 316.796 1.0 61.01258  ? 751 GLN B O   751 GLN B O   1 
ATOM 13108 C CB  . GLN B 2 751 ? 254.279 -71.557 314.850 1.0 61.01258  ? 751 GLN B CB  751 GLN B CB  1 
ATOM 13109 C CG  . GLN B 2 751 ? 253.331 -72.004 313.765 1.0 61.01258  ? 751 GLN B CG  751 GLN B CG  1 
ATOM 13110 C CD  . GLN B 2 751 ? 253.603 -71.321 312.456 1.0 61.01258  ? 751 GLN B CD  751 GLN B CD  1 
ATOM 13111 O OE1 . GLN B 2 751 ? 254.694 -70.807 312.235 1.0 61.01258  ? 751 GLN B OE1 751 GLN B OE1 1 
ATOM 13112 N NE2 . GLN B 2 751 ? 252.605 -71.277 311.591 1.0 61.01258  ? 751 GLN B NE2 751 GLN B NE2 1 
ATOM 13113 N N   . VAL B 2 752 ? 254.150 -70.593 317.897 1.0 64.71941  ? 752 VAL B N   752 VAL B N   1 
ATOM 13114 C CA  . VAL B 2 752 ? 254.774 -70.441 319.204 1.0 64.71941  ? 752 VAL B CA  752 VAL B CA  1 
ATOM 13115 C C   . VAL B 2 752 ? 254.667 -71.799 319.891 1.0 64.71941  ? 752 VAL B C   752 VAL B C   1 
ATOM 13116 O O   . VAL B 2 752 ? 253.686 -72.524 319.667 1.0 64.71941  ? 752 VAL B O   752 VAL B O   1 
ATOM 13117 C CB  . VAL B 2 752 ? 254.121 -69.276 319.977 1.0 64.71941  ? 752 VAL B CB  752 VAL B CB  1 
ATOM 13118 C CG1 . VAL B 2 752 ? 252.646 -69.531 320.268 1.0 64.71941  ? 752 VAL B CG1 752 VAL B CG1 1 
ATOM 13119 C CG2 . VAL B 2 752 ? 254.872 -68.935 321.245 1.0 64.71941  ? 752 VAL B CG2 752 VAL B CG2 1 
ATOM 13120 N N   . PRO B 2 753 ? 255.671 -72.232 320.652 1.0 68.96979  ? 753 PRO B N   753 PRO B N   1 
ATOM 13121 C CA  . PRO B 2 753 ? 255.572 -73.523 321.343 1.0 68.96979  ? 753 PRO B CA  753 PRO B CA  1 
ATOM 13122 C C   . PRO B 2 753 ? 254.540 -73.504 322.462 1.0 68.96979  ? 753 PRO B C   753 PRO B C   1 
ATOM 13123 O O   . PRO B 2 753 ? 253.947 -72.478 322.799 1.0 68.96979  ? 753 PRO B O   753 PRO B O   1 
ATOM 13124 C CB  . PRO B 2 753 ? 256.984 -73.741 321.887 1.0 68.96979  ? 753 PRO B CB  753 PRO B CB  1 
ATOM 13125 C CG  . PRO B 2 753 ? 257.848 -72.976 320.966 1.0 68.96979  ? 753 PRO B CG  753 PRO B CG  1 
ATOM 13126 C CD  . PRO B 2 753 ? 257.065 -71.762 320.590 1.0 68.96979  ? 753 PRO B CD  753 PRO B CD  1 
ATOM 13127 N N   . GLU B 2 754 ? 254.332 -74.682 323.051 1.0 75.58047  ? 754 GLU B N   754 GLU B N   1 
ATOM 13128 C CA  . GLU B 2 754 ? 253.264 -74.837 324.030 1.0 75.58047  ? 754 GLU B CA  754 GLU B CA  1 
ATOM 13129 C C   . GLU B 2 754 ? 253.626 -74.245 325.389 1.0 75.58047  ? 754 GLU B C   754 GLU B C   1 
ATOM 13130 O O   . GLU B 2 754 ? 252.732 -73.756 326.090 1.0 75.58047  ? 754 GLU B O   754 GLU B O   1 
ATOM 13131 C CB  . GLU B 2 754 ? 252.881 -76.319 324.156 1.0 75.58047  ? 754 GLU B CB  754 GLU B CB  1 
ATOM 13132 C CG  . GLU B 2 754 ? 253.933 -77.243 324.779 1.0 75.58047  ? 754 GLU B CG  754 GLU B CG  1 
ATOM 13133 C CD  . GLU B 2 754 ? 254.932 -77.794 323.771 1.0 75.58047  ? 754 GLU B CD  754 GLU B CD  1 
ATOM 13134 O OE1 . GLU B 2 754 ? 255.011 -77.266 322.642 1.0 75.58047  ? 754 GLU B OE1 754 GLU B OE1 1 
ATOM 13135 O OE2 . GLU B 2 754 ? 255.644 -78.761 324.113 1.0 75.58047  ? 754 GLU B OE2 754 GLU B OE2 1 
ATOM 13136 N N   . TYR B 2 755 ? 254.917 -74.257 325.747 1.0 75.05729  ? 755 TYR B N   755 TYR B N   1 
ATOM 13137 C CA  . TYR B 2 755 ? 255.452 -73.749 327.018 1.0 75.05729  ? 755 TYR B CA  755 TYR B CA  1 
ATOM 13138 C C   . TYR B 2 755 ? 254.753 -74.361 328.230 1.0 75.05729  ? 755 TYR B C   755 TYR B C   1 
ATOM 13139 O O   . TYR B 2 755 ? 254.307 -73.663 329.142 1.0 75.05729  ? 755 TYR B O   755 TYR B O   1 
ATOM 13140 C CB  . TYR B 2 755 ? 255.399 -72.222 327.073 1.0 75.05729  ? 755 TYR B CB  755 TYR B CB  1 
ATOM 13141 C CG  . TYR B 2 755 ? 256.312 -71.560 326.077 1.0 75.05729  ? 755 TYR B CG  755 TYR B CG  1 
ATOM 13142 C CD1 . TYR B 2 755 ? 257.678 -71.534 326.281 1.0 75.05729  ? 755 TYR B CD1 755 TYR B CD1 1 
ATOM 13143 C CD2 . TYR B 2 755 ? 255.807 -70.947 324.945 1.0 75.05729  ? 755 TYR B CD2 755 TYR B CD2 1 
ATOM 13144 C CE1 . TYR B 2 755 ? 258.518 -70.932 325.381 1.0 75.05729  ? 755 TYR B CE1 755 TYR B CE1 1 
ATOM 13145 C CE2 . TYR B 2 755 ? 256.643 -70.338 324.038 1.0 75.05729  ? 755 TYR B CE2 755 TYR B CE2 1 
ATOM 13146 C CZ  . TYR B 2 755 ? 257.997 -70.333 324.261 1.0 75.05729  ? 755 TYR B CZ  755 TYR B CZ  1 
ATOM 13147 O OH  . TYR B 2 755 ? 258.834 -69.724 323.358 1.0 75.05729  ? 755 TYR B OH  755 TYR B OH  1 
ATOM 13148 N N   . GLY B 2 756 ? 254.662 -75.686 328.237 1.0 78.44885  ? 756 GLY B N   756 GLY B N   1 
ATOM 13149 C CA  . GLY B 2 756 ? 254.035 -76.379 329.345 1.0 78.44885  ? 756 GLY B CA  756 GLY B CA  1 
ATOM 13150 C C   . GLY B 2 756 ? 255.013 -76.716 330.450 1.0 78.44885  ? 756 GLY B C   756 GLY B C   1 
ATOM 13151 O O   . GLY B 2 756 ? 255.915 -75.928 330.746 1.0 78.44885  ? 756 GLY B O   756 GLY B O   1 
ATOM 13152 N N   . ALA B 2 757 ? 254.836 -77.880 331.079 1.0 80.18786  ? 757 ALA B N   757 ALA B N   1 
ATOM 13153 C CA  . ALA B 2 757 ? 255.820 -78.351 332.048 1.0 80.18786  ? 757 ALA B CA  757 ALA B CA  1 
ATOM 13154 C C   . ALA B 2 757 ? 257.119 -78.724 331.348 1.0 80.18786  ? 757 ALA B C   757 ALA B C   1 
ATOM 13155 O O   . ALA B 2 757 ? 258.196 -78.237 331.711 1.0 80.18786  ? 757 ALA B O   757 ALA B O   1 
ATOM 13156 C CB  . ALA B 2 757 ? 255.261 -79.536 332.833 1.0 80.18786  ? 757 ALA B CB  757 ALA B CB  1 
ATOM 13157 N N   . ASN B 2 758 ? 257.035 -79.584 330.338 1.0 79.93053  ? 758 ASN B N   758 ASN B N   1 
ATOM 13158 C CA  . ASN B 2 758 ? 258.128 -79.716 329.393 1.0 79.93053  ? 758 ASN B CA  758 ASN B CA  1 
ATOM 13159 C C   . ASN B 2 758 ? 258.201 -78.467 328.523 1.0 79.93053  ? 758 ASN B C   758 ASN B C   1 
ATOM 13160 O O   . ASN B 2 758 ? 257.210 -77.751 328.343 1.0 79.93053  ? 758 ASN B O   758 ASN B O   1 
ATOM 13161 C CB  . ASN B 2 758 ? 257.949 -80.959 328.523 1.0 79.93053  ? 758 ASN B CB  758 ASN B CB  1 
ATOM 13162 C CG  . ASN B 2 758 ? 258.199 -82.241 329.283 1.0 79.93053  ? 758 ASN B CG  758 ASN B CG  1 
ATOM 13163 O OD1 . ASN B 2 758 ? 259.142 -82.337 330.067 1.0 79.93053  ? 758 ASN B OD1 758 ASN B OD1 1 
ATOM 13164 N ND2 . ASN B 2 758 ? 257.354 -83.238 329.056 1.0 79.93053  ? 758 ASN B ND2 758 ASN B ND2 1 
ATOM 13165 N N   . TYR B 2 759 ? 259.399 -78.222 327.974 1.0 75.47109  ? 759 TYR B N   759 TYR B N   1 
ATOM 13166 C CA  . TYR B 2 759 ? 259.786 -77.019 327.236 1.0 75.47109  ? 759 TYR B CA  759 TYR B CA  1 
ATOM 13167 C C   . TYR B 2 759 ? 259.472 -75.756 328.035 1.0 75.47109  ? 759 TYR B C   759 TYR B C   1 
ATOM 13168 O O   . TYR B 2 759 ? 258.483 -75.077 327.734 1.0 75.47109  ? 759 TYR B O   759 TYR B O   1 
ATOM 13169 C CB  . TYR B 2 759 ? 259.100 -76.980 325.867 1.0 75.47109  ? 759 TYR B CB  759 TYR B CB  1 
ATOM 13170 C CG  . TYR B 2 759 ? 259.508 -78.127 324.976 1.0 75.47109  ? 759 TYR B CG  759 TYR B CG  1 
ATOM 13171 C CD1 . TYR B 2 759 ? 260.697 -78.087 324.264 1.0 75.47109  ? 759 TYR B CD1 759 TYR B CD1 1 
ATOM 13172 C CD2 . TYR B 2 759 ? 258.717 -79.260 324.867 1.0 75.47109  ? 759 TYR B CD2 759 TYR B CD2 1 
ATOM 13173 C CE1 . TYR B 2 759 ? 261.085 -79.139 323.455 1.0 75.47109  ? 759 TYR B CE1 759 TYR B CE1 1 
ATOM 13174 C CE2 . TYR B 2 759 ? 259.094 -80.319 324.060 1.0 75.47109  ? 759 TYR B CE2 759 TYR B CE2 1 
ATOM 13175 C CZ  . TYR B 2 759 ? 260.281 -80.254 323.359 1.0 75.47109  ? 759 TYR B CZ  759 TYR B CZ  1 
ATOM 13176 O OH  . TYR B 2 759 ? 260.658 -81.303 322.553 1.0 75.47109  ? 759 TYR B OH  759 TYR B OH  1 
ATOM 13177 N N   . PRO B 2 760 ? 260.251 -75.433 329.072 1.0 72.22237  ? 760 PRO B N   760 PRO B N   1 
ATOM 13178 C CA  . PRO B 2 760 ? 259.927 -74.275 329.912 1.0 72.22237  ? 760 PRO B CA  760 PRO B CA  1 
ATOM 13179 C C   . PRO B 2 760 ? 260.113 -72.957 329.180 1.0 72.22237  ? 760 PRO B C   760 PRO B C   1 
ATOM 13180 O O   . PRO B 2 760 ? 260.741 -72.878 328.123 1.0 72.22237  ? 760 PRO B O   760 PRO B O   1 
ATOM 13181 C CB  . PRO B 2 760 ? 260.920 -74.390 331.073 1.0 72.22237  ? 760 PRO B CB  760 PRO B CB  1 
ATOM 13182 C CG  . PRO B 2 760 ? 261.363 -75.798 331.063 1.0 72.22237  ? 760 PRO B CG  760 PRO B CG  1 
ATOM 13183 C CD  . PRO B 2 760 ? 261.386 -76.188 329.627 1.0 72.22237  ? 760 PRO B CD  760 PRO B CD  1 
ATOM 13184 N N   . ASN B 2 761 ? 259.556 -71.906 329.773 1.0 73.05796  ? 761 ASN B N   761 ASN B N   1 
ATOM 13185 C CA  . ASN B 2 761 ? 259.604 -70.565 329.205 1.0 73.05796  ? 761 ASN B CA  761 ASN B CA  1 
ATOM 13186 C C   . ASN B 2 761 ? 260.759 -69.814 329.854 1.0 73.05796  ? 761 ASN B C   761 ASN B C   1 
ATOM 13187 O O   . ASN B 2 761 ? 260.723 -69.519 331.052 1.0 73.05796  ? 761 ASN B O   761 ASN B O   1 
ATOM 13188 C CB  . ASN B 2 761 ? 258.279 -69.838 329.421 1.0 73.05796  ? 761 ASN B CB  761 ASN B CB  1 
ATOM 13189 C CG  . ASN B 2 761 ? 258.144 -68.599 328.558 1.0 73.05796  ? 761 ASN B CG  761 ASN B CG  1 
ATOM 13190 O OD1 . ASN B 2 761 ? 259.047 -68.258 327.798 1.0 73.05796  ? 761 ASN B OD1 761 ASN B OD1 1 
ATOM 13191 N ND2 . ASN B 2 761 ? 257.005 -67.926 328.662 1.0 73.05796  ? 761 ASN B ND2 761 ASN B ND2 1 
ATOM 13192 N N   . LEU B 2 762 ? 261.782 -69.510 329.061 1.0 71.50356  ? 762 LEU B N   762 LEU B N   1 
ATOM 13193 C CA  . LEU B 2 762 ? 262.933 -68.758 329.542 1.0 71.50356  ? 762 LEU B CA  762 LEU B CA  1 
ATOM 13194 C C   . LEU B 2 762 ? 262.786 -67.262 329.327 1.0 71.50356  ? 762 LEU B C   762 LEU B C   1 
ATOM 13195 O O   . LEU B 2 762 ? 263.544 -66.487 329.917 1.0 71.50356  ? 762 LEU B O   762 LEU B O   1 
ATOM 13196 C CB  . LEU B 2 762 ? 264.215 -69.238 328.853 1.0 71.50356  ? 762 LEU B CB  762 LEU B CB  1 
ATOM 13197 C CG  . LEU B 2 762 ? 264.951 -70.477 329.367 1.0 71.50356  ? 762 LEU B CG  762 LEU B CG  1 
ATOM 13198 C CD1 . LEU B 2 762 ? 264.229 -71.768 329.046 1.0 71.50356  ? 762 LEU B CD1 762 LEU B CD1 1 
ATOM 13199 C CD2 . LEU B 2 762 ? 266.347 -70.505 328.782 1.0 71.50356  ? 762 LEU B CD2 762 LEU B CD2 1 
ATOM 13200 N N   . MET B 2 763 ? 261.836 -66.843 328.493 1.0 74.55092  ? 763 MET B N   763 MET B N   1 
ATOM 13201 C CA  . MET B 2 763 ? 261.617 -65.424 328.252 1.0 74.55092  ? 763 MET B CA  763 MET B CA  1 
ATOM 13202 C C   . MET B 2 763 ? 260.838 -64.778 329.387 1.0 74.55092  ? 763 MET B C   763 MET B C   1 
ATOM 13203 O O   . MET B 2 763 ? 261.180 -63.675 329.825 1.0 74.55092  ? 763 MET B O   763 MET B O   1 
ATOM 13204 C CB  . MET B 2 763 ? 260.885 -65.225 326.927 1.0 74.55092  ? 763 MET B CB  763 MET B CB  1 
ATOM 13205 C CG  . MET B 2 763 ? 260.652 -63.777 326.572 1.0 74.55092  ? 763 MET B CG  763 MET B CG  1 
ATOM 13206 S SD  . MET B 2 763 ? 262.194 -62.880 326.357 1.0 74.55092  ? 763 MET B SD  763 MET B SD  1 
ATOM 13207 C CE  . MET B 2 763 ? 262.731 -63.538 324.784 1.0 74.55092  ? 763 MET B CE  763 MET B CE  1 
ATOM 13208 N N   . ALA B 2 764 ? 259.793 -65.450 329.880 1.0 74.28989  ? 764 ALA B N   764 ALA B N   1 
ATOM 13209 C CA  . ALA B 2 764 ? 259.041 -64.919 331.011 1.0 74.28989  ? 764 ALA B CA  764 ALA B CA  1 
ATOM 13210 C C   . ALA B 2 764 ? 259.857 -64.954 332.296 1.0 74.28989  ? 764 ALA B C   764 ALA B C   1 
ATOM 13211 O O   . ALA B 2 764 ? 259.597 -64.168 333.213 1.0 74.28989  ? 764 ALA B O   764 ALA B O   1 
ATOM 13212 C CB  . ALA B 2 764 ? 257.737 -65.693 331.191 1.0 74.28989  ? 764 ALA B CB  764 ALA B CB  1 
ATOM 13213 N N   . ALA B 2 765 ? 260.843 -65.848 332.382 1.0 76.28944  ? 765 ALA B N   765 ALA B N   1 
ATOM 13214 C CA  . ALA B 2 765 ? 261.774 -65.798 333.501 1.0 76.28944  ? 765 ALA B CA  765 ALA B CA  1 
ATOM 13215 C C   . ALA B 2 765 ? 262.727 -64.620 333.374 1.0 76.28944  ? 765 ALA B C   765 ALA B C   1 
ATOM 13216 O O   . ALA B 2 765 ? 263.219 -64.111 334.387 1.0 76.28944  ? 765 ALA B O   765 ALA B O   1 
ATOM 13217 C CB  . ALA B 2 765 ? 262.554 -67.107 333.597 1.0 76.28944  ? 765 ALA B CB  765 ALA B CB  1 
ATOM 13218 N N   . TYR B 2 766 ? 262.992 -64.167 332.148 1.0 77.61525  ? 766 TYR B N   766 TYR B N   1 
ATOM 13219 C CA  . TYR B 2 766 ? 263.896 -63.043 331.947 1.0 77.61525  ? 766 TYR B CA  766 TYR B CA  1 
ATOM 13220 C C   . TYR B 2 766 ? 263.233 -61.716 332.290 1.0 77.61525  ? 766 TYR B C   766 TYR B C   1 
ATOM 13221 O O   . TYR B 2 766 ? 263.863 -60.851 332.907 1.0 77.61525  ? 766 TYR B O   766 TYR B O   1 
ATOM 13222 C CB  . TYR B 2 766 ? 264.394 -63.018 330.504 1.0 77.61525  ? 766 TYR B CB  766 TYR B CB  1 
ATOM 13223 C CG  . TYR B 2 766 ? 265.351 -61.889 330.222 1.0 77.61525  ? 766 TYR B CG  766 TYR B CG  1 
ATOM 13224 C CD1 . TYR B 2 766 ? 266.648 -61.937 330.686 1.0 77.61525  ? 766 TYR B CD1 766 TYR B CD1 1 
ATOM 13225 C CD2 . TYR B 2 766 ? 264.960 -60.779 329.490 1.0 77.61525  ? 766 TYR B CD2 766 TYR B CD2 1 
ATOM 13226 C CE1 . TYR B 2 766 ? 267.533 -60.929 330.447 1.0 77.61525  ? 766 TYR B CE1 766 TYR B CE1 1 
ATOM 13227 C CE2 . TYR B 2 766 ? 265.844 -59.754 329.240 1.0 77.61525  ? 766 TYR B CE2 766 TYR B CE2 1 
ATOM 13228 C CZ  . TYR B 2 766 ? 267.131 -59.843 329.724 1.0 77.61525  ? 766 TYR B CZ  766 TYR B CZ  1 
ATOM 13229 O OH  . TYR B 2 766 ? 268.034 -58.845 329.493 1.0 77.61525  ? 766 TYR B OH  766 TYR B OH  1 
ATOM 13230 N N   . LEU B 2 767 ? 261.976 -61.530 331.882 1.0 76.97251  ? 767 LEU B N   767 LEU B N   1 
ATOM 13231 C CA  . LEU B 2 767 ? 261.289 -60.272 332.155 1.0 76.97251  ? 767 LEU B CA  767 LEU B CA  1 
ATOM 13232 C C   . LEU B 2 767 ? 260.945 -60.123 333.629 1.0 76.97251  ? 767 LEU B C   767 LEU B C   1 
ATOM 13233 O O   . LEU B 2 767 ? 260.875 -58.997 334.133 1.0 76.97251  ? 767 LEU B O   767 LEU B O   1 
ATOM 13234 C CB  . LEU B 2 767 ? 260.024 -60.155 331.306 1.0 76.97251  ? 767 LEU B CB  767 LEU B CB  1 
ATOM 13235 C CG  . LEU B 2 767 ? 260.109 -59.555 329.898 1.0 76.97251  ? 767 LEU B CG  767 LEU B CG  1 
ATOM 13236 C CD1 . LEU B 2 767 ? 260.804 -60.460 328.897 1.0 76.97251  ? 767 LEU B CD1 767 LEU B CD1 1 
ATOM 13237 C CD2 . LEU B 2 767 ? 258.711 -59.207 329.414 1.0 76.97251  ? 767 LEU B CD2 767 LEU B CD2 1 
ATOM 13238 N N   . ALA B 2 768 ? 260.729 -61.233 334.335 1.0 78.87438  ? 768 ALA B N   768 ALA B N   1 
ATOM 13239 C CA  . ALA B 2 768 ? 260.497 -61.147 335.771 1.0 78.87438  ? 768 ALA B CA  768 ALA B CA  1 
ATOM 13240 C C   . ALA B 2 768 ? 261.795 -60.927 336.535 1.0 78.87438  ? 768 ALA B C   768 ALA B C   1 
ATOM 13241 O O   . ALA B 2 768 ? 261.788 -60.290 337.593 1.0 78.87438  ? 768 ALA B O   768 ALA B O   1 
ATOM 13242 C CB  . ALA B 2 768 ? 259.800 -62.409 336.272 1.0 78.87438  ? 768 ALA B CB  768 ALA B CB  1 
ATOM 13243 N N   . ASN B 2 769 ? 262.907 -61.445 336.023 1.0 80.62098  ? 769 ASN B N   769 ASN B N   1 
ATOM 13244 C CA  . ASN B 2 769 ? 264.195 -61.312 336.688 1.0 80.62098  ? 769 ASN B CA  769 ASN B CA  1 
ATOM 13245 C C   . ASN B 2 769 ? 265.303 -61.390 335.645 1.0 80.62098  ? 769 ASN B C   769 ASN B C   1 
ATOM 13246 O O   . ASN B 2 769 ? 265.541 -62.462 335.077 1.0 80.62098  ? 769 ASN B O   769 ASN B O   1 
ATOM 13247 C CB  . ASN B 2 769 ? 264.370 -62.407 337.742 1.0 80.62098  ? 769 ASN B CB  769 ASN B CB  1 
ATOM 13248 C CG  . ASN B 2 769 ? 265.324 -62.011 338.860 1.0 80.62098  ? 769 ASN B CG  769 ASN B CG  1 
ATOM 13249 O OD1 . ASN B 2 769 ? 265.395 -62.682 339.889 1.0 80.62098  ? 769 ASN B OD1 769 ASN B OD1 1 
ATOM 13250 N ND2 . ASN B 2 769 ? 266.042 -60.910 338.676 1.0 80.62098  ? 769 ASN B ND2 769 ASN B ND2 1 
ATOM 13251 N N   . PRO B 2 770 ? 265.992 -60.283 335.354 1.0 81.65317  ? 770 PRO B N   770 PRO B N   1 
ATOM 13252 C CA  . PRO B 2 770 ? 267.151 -60.364 334.453 1.0 81.65317  ? 770 PRO B CA  770 PRO B CA  1 
ATOM 13253 C C   . PRO B 2 770 ? 268.324 -61.126 335.045 1.0 81.65317  ? 770 PRO B C   770 PRO B C   1 
ATOM 13254 O O   . PRO B 2 770 ? 269.113 -61.700 334.286 1.0 81.65317  ? 770 PRO B O   770 PRO B O   1 
ATOM 13255 C CB  . PRO B 2 770 ? 267.508 -58.893 334.205 1.0 81.65317  ? 770 PRO B CB  770 PRO B CB  1 
ATOM 13256 C CG  . PRO B 2 770 ? 266.247 -58.142 334.503 1.0 81.65317  ? 770 PRO B CG  770 PRO B CG  1 
ATOM 13257 C CD  . PRO B 2 770 ? 265.607 -58.891 335.633 1.0 81.65317  ? 770 PRO B CD  770 PRO B CD  1 
ATOM 13258 N N   . GLN B 2 771 ? 268.463 -61.155 336.366 1.0 82.85025  ? 771 GLN B N   771 GLN B N   1 
ATOM 13259 C CA  . GLN B 2 771 ? 269.502 -61.960 336.987 1.0 82.85025  ? 771 GLN B CA  771 GLN B CA  1 
ATOM 13260 C C   . GLN B 2 771 ? 269.100 -63.432 336.969 1.0 82.85025  ? 771 GLN B C   771 GLN B C   1 
ATOM 13261 O O   . GLN B 2 771 ? 267.913 -63.769 336.889 1.0 82.85025  ? 771 GLN B O   771 GLN B O   1 
ATOM 13262 C CB  . GLN B 2 771 ? 269.763 -61.498 338.420 1.0 82.85025  ? 771 GLN B CB  771 GLN B CB  1 
ATOM 13263 C CG  . GLN B 2 771 ? 270.383 -60.113 338.538 1.0 82.85025  ? 771 GLN B CG  771 GLN B CG  1 
ATOM 13264 C CD  . GLN B 2 771 ? 269.352 -59.009 338.482 1.0 82.85025  ? 771 GLN B CD  771 GLN B CD  1 
ATOM 13265 O OE1 . GLN B 2 771 ? 268.158 -59.256 338.645 1.0 82.85025  ? 771 GLN B OE1 771 GLN B OE1 1 
ATOM 13266 N NE2 . GLN B 2 771 ? 269.804 -57.783 338.246 1.0 82.85025  ? 771 GLN B NE2 771 GLN B NE2 1 
ATOM 13267 N N   . THR B 2 772 ? 270.115 -64.301 337.073 1.0 84.23256  ? 772 THR B N   772 THR B N   1 
ATOM 13268 C CA  . THR B 2 772 ? 270.021 -65.737 336.778 1.0 84.23256  ? 772 THR B CA  772 THR B CA  1 
ATOM 13269 C C   . THR B 2 772 ? 269.405 -65.920 335.388 1.0 84.23256  ? 772 THR B C   772 THR B C   1 
ATOM 13270 O O   . THR B 2 772 ? 268.273 -66.384 335.224 1.0 84.23256  ? 772 THR B O   772 THR B O   1 
ATOM 13271 C CB  . THR B 2 772 ? 269.255 -66.502 337.869 1.0 84.23256  ? 772 THR B CB  772 THR B CB  1 
ATOM 13272 O OG1 . THR B 2 772 ? 269.757 -66.117 339.154 1.0 84.23256  ? 772 THR B OG1 772 THR B OG1 1 
ATOM 13273 C CG2 . THR B 2 772 ? 269.475 -68.007 337.735 1.0 84.23256  ? 772 THR B CG2 772 THR B CG2 1 
ATOM 13274 N N   . MET B 2 773 ? 270.210 -65.534 334.382 1.0 80.00985  ? 773 MET B N   773 MET B N   1 
ATOM 13275 C CA  . MET B 2 773 ? 269.871 -64.816 333.153 1.0 80.00985  ? 773 MET B CA  773 MET B CA  1 
ATOM 13276 C C   . MET B 2 773 ? 268.517 -65.167 332.528 1.0 80.00985  ? 773 MET B C   773 MET B C   1 
ATOM 13277 O O   . MET B 2 773 ? 267.699 -64.255 332.397 1.0 80.00985  ? 773 MET B O   773 MET B O   1 
ATOM 13278 C CB  . MET B 2 773 ? 271.017 -64.971 332.148 1.0 80.00985  ? 773 MET B CB  773 MET B CB  1 
ATOM 13279 C CG  . MET B 2 773 ? 272.320 -64.357 332.623 1.0 80.00985  ? 773 MET B CG  773 MET B CG  1 
ATOM 13280 S SD  . MET B 2 773 ? 272.234 -62.571 332.837 1.0 80.00985  ? 773 MET B SD  773 MET B SD  1 
ATOM 13281 C CE  . MET B 2 773 ? 273.825 -62.227 333.583 1.0 80.00985  ? 773 MET B CE  773 MET B CE  1 
ATOM 13282 N N   . PRO B 2 774 ? 268.184 -66.428 332.172 1.0 76.73032  ? 774 PRO B N   774 PRO B N   1 
ATOM 13283 C CA  . PRO B 2 774 ? 268.792 -67.741 331.956 1.0 76.73032  ? 774 PRO B CA  774 PRO B CA  1 
ATOM 13284 C C   . PRO B 2 774 ? 269.115 -67.957 330.485 1.0 76.73032  ? 774 PRO B C   774 PRO B C   1 
ATOM 13285 O O   . PRO B 2 774 ? 269.632 -69.010 330.121 1.0 76.73032  ? 774 PRO B O   774 PRO B O   1 
ATOM 13286 C CB  . PRO B 2 774 ? 267.704 -68.699 332.405 1.0 76.73032  ? 774 PRO B CB  774 PRO B CB  1 
ATOM 13287 C CG  . PRO B 2 774 ? 266.473 -68.011 332.046 1.0 76.73032  ? 774 PRO B CG  774 PRO B CG  1 
ATOM 13288 C CD  . PRO B 2 774 ? 266.720 -66.559 332.278 1.0 76.73032  ? 774 PRO B CD  774 PRO B CD  1 
ATOM 13289 N N   . ILE B 2 775 ? 268.791 -66.963 329.653 1.0 73.45736  ? 775 ILE B N   775 ILE B N   1 
ATOM 13290 C CA  . ILE B 2 775 ? 268.958 -67.107 328.213 1.0 73.45736  ? 775 ILE B CA  775 ILE B CA  1 
ATOM 13291 C C   . ILE B 2 775 ? 270.433 -67.075 327.852 1.0 73.45736  ? 775 ILE B C   775 ILE B C   1 
ATOM 13292 O O   . ILE B 2 775 ? 271.135 -66.086 328.098 1.0 73.45736  ? 775 ILE B O   775 ILE B O   1 
ATOM 13293 C CB  . ILE B 2 775 ? 268.185 -66.006 327.470 1.0 73.45736  ? 775 ILE B CB  775 ILE B CB  1 
ATOM 13294 C CG1 . ILE B 2 775 ? 266.687 -66.146 327.719 1.0 73.45736  ? 775 ILE B CG1 775 ILE B CG1 1 
ATOM 13295 C CG2 . ILE B 2 775 ? 268.469 -66.068 325.988 1.0 73.45736  ? 775 ILE B CG2 775 ILE B CG2 1 
ATOM 13296 C CD1 . ILE B 2 775 ? 265.880 -64.979 327.205 1.0 73.45736  ? 775 ILE B CD1 775 ILE B CD1 1 
ATOM 13297 N N   . TRP B 2 776 ? 270.912 -68.166 327.268 1.0 74.48675  ? 776 TRP B N   776 TRP B N   1 
ATOM 13298 C CA  . TRP B 2 776 ? 272.307 -68.306 326.862 1.0 74.48675  ? 776 TRP B CA  776 TRP B CA  1 
ATOM 13299 C C   . TRP B 2 776 ? 272.363 -68.357 325.342 1.0 74.48675  ? 776 TRP B C   776 TRP B C   1 
ATOM 13300 O O   . TRP B 2 776 ? 272.342 -69.434 324.754 1.0 74.48675  ? 776 TRP B O   776 TRP B O   1 
ATOM 13301 C CB  . TRP B 2 776 ? 272.935 -69.558 327.468 1.0 74.48675  ? 776 TRP B CB  776 TRP B CB  1 
ATOM 13302 C CG  . TRP B 2 776 ? 273.067 -69.517 328.936 1.0 74.48675  ? 776 TRP B CG  776 TRP B CG  1 
ATOM 13303 C CD1 . TRP B 2 776 ? 272.869 -68.443 329.746 1.0 74.48675  ? 776 TRP B CD1 776 TRP B CD1 1 
ATOM 13304 C CD2 . TRP B 2 776 ? 273.414 -70.605 329.791 1.0 74.48675  ? 776 TRP B CD2 776 TRP B CD2 1 
ATOM 13305 N NE1 . TRP B 2 776 ? 273.078 -68.790 331.053 1.0 74.48675  ? 776 TRP B NE1 776 TRP B NE1 1 
ATOM 13306 C CE2 . TRP B 2 776 ? 273.414 -70.116 331.107 1.0 74.48675  ? 776 TRP B CE2 776 TRP B CE2 1 
ATOM 13307 C CE3 . TRP B 2 776 ? 273.730 -71.946 329.571 1.0 74.48675  ? 776 TRP B CE3 776 TRP B CE3 1 
ATOM 13308 C CZ2 . TRP B 2 776 ? 273.715 -70.918 332.198 1.0 74.48675  ? 776 TRP B CZ2 776 TRP B CZ2 1 
ATOM 13309 C CZ3 . TRP B 2 776 ? 274.035 -72.736 330.655 1.0 74.48675  ? 776 TRP B CZ3 776 TRP B CZ3 1 
ATOM 13310 C CH2 . TRP B 2 776 ? 274.021 -72.224 331.951 1.0 74.48675  ? 776 TRP B CH2 776 TRP B CH2 1 
ATOM 13311 N N   . ASN B 2 777 ? 272.426 -67.195 324.708 1.0 69.1715   ? 777 ASN B N   777 ASN B N   1 
ATOM 13312 C CA  . ASN B 2 777 ? 272.665 -67.118 323.277 1.0 69.1715   ? 777 ASN B CA  777 ASN B CA  1 
ATOM 13313 C C   . ASN B 2 777 ? 273.860 -66.205 323.054 1.0 69.1715   ? 777 ASN B C   777 ASN B C   1 
ATOM 13314 O O   . ASN B 2 777 ? 274.068 -65.268 323.830 1.0 69.1715   ? 777 ASN B O   777 ASN B O   1 
ATOM 13315 C CB  . ASN B 2 777 ? 271.440 -66.610 322.523 1.0 69.1715   ? 777 ASN B CB  777 ASN B CB  1 
ATOM 13316 C CG  . ASN B 2 777 ? 271.518 -66.899 321.043 1.0 69.1715   ? 777 ASN B CG  777 ASN B CG  1 
ATOM 13317 O OD1 . ASN B 2 777 ? 272.486 -67.486 320.570 1.0 69.1715   ? 777 ASN B OD1 777 ASN B OD1 1 
ATOM 13318 N ND2 . ASN B 2 777 ? 270.498 -66.491 320.303 1.0 69.1715   ? 777 ASN B ND2 777 ASN B ND2 1 
ATOM 13319 N N   . ASN B 2 778 ? 274.662 -66.556 322.034 1.0 70.27054  ? 778 ASN B N   778 ASN B N   1 
ATOM 13320 C CA  . ASN B 2 778 ? 275.974 -66.032 321.624 1.0 70.27054  ? 778 ASN B CA  778 ASN B CA  1 
ATOM 13321 C C   . ASN B 2 778 ? 276.825 -65.532 322.787 1.0 70.27054  ? 778 ASN B C   778 ASN B C   1 
ATOM 13322 O O   . ASN B 2 778 ? 277.324 -64.403 322.780 1.0 70.27054  ? 778 ASN B O   778 ASN B O   1 
ATOM 13323 C CB  . ASN B 2 778 ? 275.871 -65.015 320.462 1.0 70.27054  ? 778 ASN B CB  778 ASN B CB  1 
ATOM 13324 C CG  . ASN B 2 778 ? 275.074 -63.760 320.764 1.0 70.27054  ? 778 ASN B CG  778 ASN B CG  1 
ATOM 13325 O OD1 . ASN B 2 778 ? 274.757 -63.440 321.893 1.0 70.27054  ? 778 ASN B OD1 778 ASN B OD1 1 
ATOM 13326 N ND2 . ASN B 2 778 ? 274.742 -63.035 319.704 1.0 70.27054  ? 778 ASN B ND2 778 ASN B ND2 1 
ATOM 13327 N N   . CYS B 2 779 ? 276.995 -66.397 323.784 1.0 73.90852  ? 779 CYS B N   779 CYS B N   1 
ATOM 13328 C CA  . CYS B 2 779 ? 277.772 -66.066 324.966 1.0 73.90852  ? 779 CYS B CA  779 CYS B CA  1 
ATOM 13329 C C   . CYS B 2 779 ? 279.246 -65.951 324.614 1.0 73.90852  ? 779 CYS B C   779 CYS B C   1 
ATOM 13330 O O   . CYS B 2 779 ? 279.767 -66.710 323.794 1.0 73.90852  ? 779 CYS B O   779 CYS B O   1 
ATOM 13331 C CB  . CYS B 2 779 ? 277.575 -67.133 326.036 1.0 73.90852  ? 779 CYS B CB  779 CYS B CB  1 
ATOM 13332 S SG  . CYS B 2 779 ? 275.880 -67.281 326.623 1.0 73.90852  ? 779 CYS B SG  779 CYS B SG  1 
ATOM 13333 N N   . GLY B 2 780 ? 279.918 -64.988 325.232 1.0 72.12631  ? 780 GLY B N   780 GLY B N   1 
ATOM 13334 C CA  . GLY B 2 780 ? 281.311 -64.745 324.955 1.0 72.12631  ? 780 GLY B CA  780 GLY B CA  1 
ATOM 13335 C C   . GLY B 2 780 ? 281.571 -63.797 323.812 1.0 72.12631  ? 780 GLY B C   780 GLY B C   1 
ATOM 13336 O O   . GLY B 2 780 ? 282.726 -63.411 323.599 1.0 72.12631  ? 780 GLY B O   780 GLY B O   1 
ATOM 13337 N N   . PHE B 2 781 ? 280.539 -63.414 323.066 1.0 69.74228  ? 781 PHE B N   781 PHE B N   1 
ATOM 13338 C CA  . PHE B 2 781 ? 280.685 -62.483 321.959 1.0 69.74228  ? 781 PHE B CA  781 PHE B CA  1 
ATOM 13339 C C   . PHE B 2 781 ? 279.887 -61.208 322.176 1.0 69.74228  ? 781 PHE B C   781 PHE B C   1 
ATOM 13340 O O   . PHE B 2 781 ? 279.795 -60.383 321.261 1.0 69.74228  ? 781 PHE B O   781 PHE B O   1 
ATOM 13341 C CB  . PHE B 2 781 ? 280.269 -63.153 320.650 1.0 69.74228  ? 781 PHE B CB  781 PHE B CB  1 
ATOM 13342 C CG  . PHE B 2 781 ? 281.119 -64.330 320.284 1.0 69.74228  ? 781 PHE B CG  781 PHE B CG  1 
ATOM 13343 C CD1 . PHE B 2 781 ? 282.363 -64.148 319.705 1.0 69.74228  ? 781 PHE B CD1 781 PHE B CD1 1 
ATOM 13344 C CD2 . PHE B 2 781 ? 280.678 -65.617 320.522 1.0 69.74228  ? 781 PHE B CD2 781 PHE B CD2 1 
ATOM 13345 C CE1 . PHE B 2 781 ? 283.148 -65.229 319.372 1.0 69.74228  ? 781 PHE B CE1 781 PHE B CE1 1 
ATOM 13346 C CE2 . PHE B 2 781 ? 281.458 -66.702 320.191 1.0 69.74228  ? 781 PHE B CE2 781 PHE B CE2 1 
ATOM 13347 C CZ  . PHE B 2 781 ? 282.693 -66.508 319.612 1.0 69.74228  ? 781 PHE B CZ  781 PHE B CZ  1 
ATOM 13348 N N   . GLN B 2 782 ? 279.303 -61.030 323.357 1.0 73.37358  ? 782 GLN B N   782 GLN B N   1 
ATOM 13349 C CA  . GLN B 2 782 ? 278.625 -59.795 323.719 1.0 73.37358  ? 782 GLN B CA  782 GLN B CA  1 
ATOM 13350 C C   . GLN B 2 782 ? 278.635 -59.676 325.237 1.0 73.37358  ? 782 GLN B C   782 GLN B C   1 
ATOM 13351 O O   . GLN B 2 782 ? 279.148 -60.547 325.945 1.0 73.37358  ? 782 GLN B O   782 GLN B O   1 
ATOM 13352 C CB  . GLN B 2 782 ? 277.196 -59.756 323.179 1.0 73.37358  ? 782 GLN B CB  782 GLN B CB  1 
ATOM 13353 C CG  . GLN B 2 782 ? 276.272 -60.765 323.827 1.0 73.37358  ? 782 GLN B CG  782 GLN B CG  1 
ATOM 13354 C CD  . GLN B 2 782 ? 274.857 -60.684 323.297 1.0 73.37358  ? 782 GLN B CD  782 GLN B CD  1 
ATOM 13355 O OE1 . GLN B 2 782 ? 274.547 -59.853 322.449 1.0 73.37358  ? 782 GLN B OE1 782 GLN B OE1 1 
ATOM 13356 N NE2 . GLN B 2 782 ? 273.987 -61.544 323.806 1.0 73.37358  ? 782 GLN B NE2 782 GLN B NE2 1 
ATOM 13357 N N   . GLN B 2 783 ? 278.058 -58.585 325.730 1.0 77.9255   ? 783 GLN B N   783 GLN B N   1 
ATOM 13358 C CA  . GLN B 2 783 ? 277.925 -58.350 327.159 1.0 77.9255   ? 783 GLN B CA  783 GLN B CA  1 
ATOM 13359 C C   . GLN B 2 783 ? 276.920 -59.334 327.755 1.0 77.9255   ? 783 GLN B C   783 GLN B C   1 
ATOM 13360 O O   . GLN B 2 783 ? 276.077 -59.895 327.049 1.0 77.9255   ? 783 GLN B O   783 GLN B O   1 
ATOM 13361 C CB  . GLN B 2 783 ? 277.513 -56.889 327.392 1.0 77.9255   ? 783 GLN B CB  783 GLN B CB  1 
ATOM 13362 C CG  . GLN B 2 783 ? 277.449 -56.390 328.834 1.0 77.9255   ? 783 GLN B CG  783 GLN B CG  1 
ATOM 13363 C CD  . GLN B 2 783 ? 278.787 -56.437 329.534 1.0 77.9255   ? 783 GLN B CD  783 GLN B CD  1 
ATOM 13364 O OE1 . GLN B 2 783 ? 279.815 -56.110 328.953 1.0 77.9255   ? 783 GLN B OE1 783 GLN B OE1 1 
ATOM 13365 N NE2 . GLN B 2 783 ? 278.778 -56.843 330.795 1.0 77.9255   ? 783 GLN B NE2 783 GLN B NE2 1 
ATOM 13366 N N   . LYS B 2 784 ? 277.065 -59.593 329.057 1.0 78.35013  ? 784 LYS B N   784 LYS B N   1 
ATOM 13367 C CA  . LYS B 2 784 ? 276.072 -60.348 329.807 1.0 78.35013  ? 784 LYS B CA  784 LYS B CA  1 
ATOM 13368 C C   . LYS B 2 784 ? 274.706 -59.678 329.719 1.0 78.35013  ? 784 LYS B C   784 LYS B C   1 
ATOM 13369 O O   . LYS B 2 784 ? 274.588 -58.458 329.589 1.0 78.35013  ? 784 LYS B O   784 LYS B O   1 
ATOM 13370 C CB  . LYS B 2 784 ? 276.494 -60.491 331.270 1.0 78.35013  ? 784 LYS B CB  784 LYS B CB  1 
ATOM 13371 C CG  . LYS B 2 784 ? 276.618 -59.188 332.036 1.0 78.35013  ? 784 LYS B CG  784 LYS B CG  1 
ATOM 13372 C CD  . LYS B 2 784 ? 277.064 -59.434 333.466 1.0 78.35013  ? 784 LYS B CD  784 LYS B CD  1 
ATOM 13373 C CE  . LYS B 2 784 ? 277.133 -58.145 334.265 1.0 78.35013  ? 784 LYS B CE  784 LYS B CE  1 
ATOM 13374 N NZ  . LYS B 2 784 ? 278.222 -57.252 333.792 1.0 78.35013  ? 784 LYS B NZ  784 LYS B NZ  1 
ATOM 13375 N N   . THR B 2 785 ? 273.661 -60.500 329.779 1.0 78.80029  ? 785 THR B N   785 THR B N   1 
ATOM 13376 C CA  . THR B 2 785 ? 272.324 -60.008 329.475 1.0 78.80029  ? 785 THR B CA  785 THR B CA  1 
ATOM 13377 C C   . THR B 2 785 ? 271.694 -59.245 330.632 1.0 78.80029  ? 785 THR B C   785 THR B C   1 
ATOM 13378 O O   . THR B 2 785 ? 270.579 -58.733 330.484 1.0 78.80029  ? 785 THR B O   785 THR B O   1 
ATOM 13379 C CB  . THR B 2 785 ? 271.432 -61.174 329.067 1.0 78.80029  ? 785 THR B CB  785 THR B CB  1 
ATOM 13380 O OG1 . THR B 2 785 ? 271.343 -62.110 330.146 1.0 78.80029  ? 785 THR B OG1 785 THR B OG1 1 
ATOM 13381 C CG2 . THR B 2 785 ? 272.007 -61.872 327.846 1.0 78.80029  ? 785 THR B CG2 785 THR B CG2 1 
ATOM 13382 N N   . ALA B 2 786 ? 272.365 -59.165 331.781 1.0 79.48003  ? 786 ALA B N   786 ALA B N   1 
ATOM 13383 C CA  . ALA B 2 786 ? 271.862 -58.325 332.861 1.0 79.48003  ? 786 ALA B CA  786 ALA B CA  1 
ATOM 13384 C C   . ALA B 2 786 ? 272.079 -56.851 332.551 1.0 79.48003  ? 786 ALA B C   786 ALA B C   1 
ATOM 13385 O O   . ALA B 2 786 ? 271.204 -56.017 332.811 1.0 79.48003  ? 786 ALA B O   786 ALA B O   1 
ATOM 13386 C CB  . ALA B 2 786 ? 272.534 -58.704 334.178 1.0 79.48003  ? 786 ALA B CB  786 ALA B CB  1 
ATOM 13387 N N   . THR B 2 787 ? 273.236 -56.510 331.989 1.0 81.02099  ? 787 THR B N   787 THR B N   1 
ATOM 13388 C CA  . THR B 2 787 ? 273.538 -55.129 331.643 1.0 81.02099  ? 787 THR B CA  787 THR B CA  1 
ATOM 13389 C C   . THR B 2 787 ? 273.280 -54.976 330.143 1.0 81.02099  ? 787 THR B C   787 THR B C   1 
ATOM 13390 O O   . THR B 2 787 ? 272.997 -55.970 329.469 1.0 81.02099  ? 787 THR B O   787 THR B O   1 
ATOM 13391 C CB  . THR B 2 787 ? 274.981 -54.807 332.043 1.0 81.02099  ? 787 THR B CB  787 THR B CB  1 
ATOM 13392 O OG1 . THR B 2 787 ? 275.261 -55.460 333.285 1.0 81.02099  ? 787 THR B OG1 787 THR B OG1 1 
ATOM 13393 C CG2 . THR B 2 787 ? 275.150 -53.323 332.324 1.0 81.02099  ? 787 THR B CG2 787 THR B CG2 1 
ATOM 13394 N N   . ASN B 2 788 ? 273.362 -53.758 329.605 1.0 77.96104  ? 788 ASN B N   788 ASN B N   1 
ATOM 13395 C CA  . ASN B 2 788 ? 272.969 -53.459 328.235 1.0 77.96104  ? 788 ASN B CA  788 ASN B CA  1 
ATOM 13396 C C   . ASN B 2 788 ? 273.960 -54.022 327.224 1.0 77.96104  ? 788 ASN B C   788 ASN B C   1 
ATOM 13397 O O   . ASN B 2 788 ? 275.069 -54.426 327.583 1.0 77.96104  ? 788 ASN B O   788 ASN B O   1 
ATOM 13398 C CB  . ASN B 2 788 ? 272.818 -51.942 328.031 1.0 77.96104  ? 788 ASN B CB  788 ASN B CB  1 
ATOM 13399 C CG  . ASN B 2 788 ? 274.052 -51.161 328.456 1.0 77.96104  ? 788 ASN B CG  788 ASN B CG  1 
ATOM 13400 O OD1 . ASN B 2 788 ? 275.044 -51.721 328.915 1.0 77.96104  ? 788 ASN B OD1 788 ASN B OD1 1 
ATOM 13401 N ND2 . ASN B 2 788 ? 273.993 -49.848 328.285 1.0 77.96104  ? 788 ASN B ND2 788 ASN B ND2 1 
ATOM 13402 N N   . VAL B 2 789 ? 273.548 -54.034 325.953 1.0 75.69442  ? 789 VAL B N   789 VAL B N   1 
ATOM 13403 C CA  . VAL B 2 789 ? 274.369 -54.578 324.877 1.0 75.69442  ? 789 VAL B CA  789 VAL B CA  1 
ATOM 13404 C C   . VAL B 2 789 ? 275.413 -53.606 324.361 1.0 75.69442  ? 789 VAL B C   789 VAL B C   1 
ATOM 13405 O O   . VAL B 2 789 ? 276.193 -53.969 323.475 1.0 75.69442  ? 789 VAL B O   789 VAL B O   1 
ATOM 13406 C CB  . VAL B 2 789 ? 273.489 -55.020 323.692 1.0 75.69442  ? 789 VAL B CB  789 VAL B CB  1 
ATOM 13407 C CG1 . VAL B 2 789 ? 272.590 -56.157 324.101 1.0 75.69442  ? 789 VAL B CG1 789 VAL B CG1 1 
ATOM 13408 C CG2 . VAL B 2 789 ? 272.663 -53.852 323.195 1.0 75.69442  ? 789 VAL B CG2 789 VAL B CG2 1 
ATOM 13409 N N   . LEU B 2 790 ? 275.455 -52.381 324.883 1.0 74.52022  ? 790 LEU B N   790 LEU B N   1 
ATOM 13410 C CA  . LEU B 2 790 ? 276.398 -51.395 324.370 1.0 74.52022  ? 790 LEU B CA  790 LEU B CA  1 
ATOM 13411 C C   . LEU B 2 790 ? 277.801 -51.567 324.932 1.0 74.52022  ? 790 LEU B C   790 LEU B C   1 
ATOM 13412 O O   . LEU B 2 790 ? 278.706 -50.837 324.516 1.0 74.52022  ? 790 LEU B O   790 LEU B O   1 
ATOM 13413 C CB  . LEU B 2 790 ? 275.897 -49.984 324.671 1.0 74.52022  ? 790 LEU B CB  790 LEU B CB  1 
ATOM 13414 C CG  . LEU B 2 790 ? 274.579 -49.578 324.011 1.0 74.52022  ? 790 LEU B CG  790 LEU B CG  1 
ATOM 13415 C CD1 . LEU B 2 790 ? 274.153 -48.199 324.472 1.0 74.52022  ? 790 LEU B CD1 790 LEU B CD1 1 
ATOM 13416 C CD2 . LEU B 2 790 ? 274.691 -49.619 322.506 1.0 74.52022  ? 790 LEU B CD2 790 LEU B CD2 1 
ATOM 13417 N N   . LEU B 2 791 ? 278.004 -52.499 325.857 1.0 77.45448  ? 791 LEU B N   791 LEU B N   1 
ATOM 13418 C CA  . LEU B 2 791 ? 279.296 -52.697 326.491 1.0 77.45448  ? 791 LEU B CA  791 LEU B CA  1 
ATOM 13419 C C   . LEU B 2 791 ? 280.107 -53.756 325.744 1.0 77.45448  ? 791 LEU B C   791 LEU B C   1 
ATOM 13420 O O   . LEU B 2 791 ? 279.774 -54.162 324.629 1.0 77.45448  ? 791 LEU B O   791 LEU B O   1 
ATOM 13421 C CB  . LEU B 2 791 ? 279.096 -53.056 327.959 1.0 77.45448  ? 791 LEU B CB  791 LEU B CB  1 
ATOM 13422 C CG  . LEU B 2 791 ? 278.571 -51.899 328.803 1.0 77.45448  ? 791 LEU B CG  791 LEU B CG  1 
ATOM 13423 C CD1 . LEU B 2 791 ? 278.155 -52.388 330.169 1.0 77.45448  ? 791 LEU B CD1 791 LEU B CD1 1 
ATOM 13424 C CD2 . LEU B 2 791 ? 279.660 -50.851 328.922 1.0 77.45448  ? 791 LEU B CD2 791 LEU B CD2 1 
ATOM 13425 N N   . GLU B 2 792 ? 281.195 -54.206 326.362 1.0 80.49251  ? 792 GLU B N   792 GLU B N   1 
ATOM 13426 C CA  . GLU B 2 792 ? 282.151 -55.060 325.675 1.0 80.49251  ? 792 GLU B CA  792 GLU B CA  1 
ATOM 13427 C C   . GLU B 2 792 ? 281.732 -56.524 325.743 1.0 80.49251  ? 792 GLU B C   792 GLU B C   1 
ATOM 13428 O O   . GLU B 2 792 ? 280.715 -56.879 326.335 1.0 80.49251  ? 792 GLU B O   792 GLU B O   1 
ATOM 13429 C CB  . GLU B 2 792 ? 283.544 -54.876 326.271 1.0 80.49251  ? 792 GLU B CB  792 GLU B CB  1 
ATOM 13430 C CG  . GLU B 2 792 ? 284.081 -53.478 326.067 1.0 80.49251  ? 792 GLU B CG  792 GLU B CG  1 
ATOM 13431 C CD  . GLU B 2 792 ? 284.299 -53.164 324.606 1.0 80.49251  ? 792 GLU B CD  792 GLU B CD  1 
ATOM 13432 O OE1 . GLU B 2 792 ? 284.692 -54.081 323.854 1.0 80.49251  ? 792 GLU B OE1 792 GLU B OE1 1 
ATOM 13433 O OE2 . GLU B 2 792 ? 284.060 -52.005 324.206 1.0 80.49251  ? 792 GLU B OE2 792 GLU B OE2 1 
ATOM 13434 N N   . ARG B 2 793 ? 282.519 -57.378 325.098 1.0 78.003    ? 793 ARG B N   793 ARG B N   1 
ATOM 13435 C CA  . ARG B 2 793 ? 282.254 -58.810 325.145 1.0 78.003    ? 793 ARG B CA  793 ARG B CA  1 
ATOM 13436 C C   . ARG B 2 793 ? 282.583 -59.368 326.525 1.0 78.003    ? 793 ARG B C   793 ARG B C   1 
ATOM 13437 O O   . ARG B 2 793 ? 283.443 -58.845 327.238 1.0 78.003    ? 793 ARG B O   793 ARG B O   1 
ATOM 13438 C CB  . ARG B 2 793 ? 283.044 -59.553 324.057 1.0 78.003    ? 793 ARG B CB  793 ARG B CB  1 
ATOM 13439 C CG  . ARG B 2 793 ? 284.517 -59.830 324.350 1.0 78.003    ? 793 ARG B CG  793 ARG B CG  1 
ATOM 13440 C CD  . ARG B 2 793 ? 285.380 -58.596 324.142 1.0 78.003    ? 793 ARG B CD  793 ARG B CD  1 
ATOM 13441 N NE  . ARG B 2 793 ? 286.777 -58.815 324.483 1.0 78.003    ? 793 ARG B NE  793 ARG B NE  1 
ATOM 13442 C CZ  . ARG B 2 793 ? 287.262 -58.600 325.699 1.0 78.003    ? 793 ARG B CZ  793 ARG B CZ  1 
ATOM 13443 N NH1 . ARG B 2 793 ? 286.444 -58.158 326.641 1.0 78.003    ? 793 ARG B NH1 793 ARG B NH1 1 
ATOM 13444 N NH2 . ARG B 2 793 ? 288.542 -58.820 325.983 1.0 78.003    ? 793 ARG B NH2 793 ARG B NH2 1 
ATOM 13445 N N   . CYS B 2 794 ? 281.869 -60.424 326.910 1.0 78.04887  ? 794 CYS B N   794 CYS B N   1 
ATOM 13446 C CA  . CYS B 2 794 ? 282.015 -61.047 328.219 1.0 78.04887  ? 794 CYS B CA  794 CYS B CA  1 
ATOM 13447 C C   . CYS B 2 794 ? 281.692 -62.527 328.117 1.0 78.04887  ? 794 CYS B C   794 CYS B C   1 
ATOM 13448 O O   . CYS B 2 794 ? 280.637 -62.896 327.594 1.0 78.04887  ? 794 CYS B O   794 CYS B O   1 
ATOM 13449 C CB  . CYS B 2 794 ? 281.093 -60.397 329.259 1.0 78.04887  ? 794 CYS B CB  794 CYS B CB  1 
ATOM 13450 S SG  . CYS B 2 794 ? 281.545 -58.745 329.825 1.0 78.04887  ? 794 CYS B SG  794 CYS B SG  1 
ATOM 13451 N N   . GLY B 2 795 ? 282.587 -63.363 328.622 1.0 76.7227   ? 795 GLY B N   795 GLY B N   1 
ATOM 13452 C CA  . GLY B 2 795 ? 282.334 -64.781 328.771 1.0 76.7227   ? 795 GLY B CA  795 GLY B CA  1 
ATOM 13453 C C   . GLY B 2 795 ? 283.151 -65.619 327.807 1.0 76.7227   ? 795 GLY B C   795 GLY B C   1 
ATOM 13454 O O   . GLY B 2 795 ? 284.108 -65.159 327.181 1.0 76.7227   ? 795 GLY B O   795 GLY B O   1 
ATOM 13455 N N   . HIS B 2 796 ? 282.744 -66.876 327.691 1.0 76.11288  ? 796 HIS B N   796 HIS B N   1 
ATOM 13456 C CA  . HIS B 2 796 ? 283.365 -67.864 326.828 1.0 76.11288  ? 796 HIS B CA  796 HIS B CA  1 
ATOM 13457 C C   . HIS B 2 796 ? 282.331 -68.425 325.858 1.0 76.11288  ? 796 HIS B C   796 HIS B C   1 
ATOM 13458 O O   . HIS B 2 796 ? 281.124 -68.286 326.086 1.0 76.11288  ? 796 HIS B O   796 HIS B O   1 
ATOM 13459 C CB  . HIS B 2 796 ? 283.979 -68.995 327.668 1.0 76.11288  ? 796 HIS B CB  796 HIS B CB  1 
ATOM 13460 C CG  . HIS B 2 796 ? 282.992 -69.746 328.503 1.0 76.11288  ? 796 HIS B CG  796 HIS B CG  1 
ATOM 13461 N ND1 . HIS B 2 796 ? 282.210 -70.763 328.000 1.0 76.11288  ? 796 HIS B ND1 796 HIS B ND1 1 
ATOM 13462 C CD2 . HIS B 2 796 ? 282.695 -69.660 329.820 1.0 76.11288  ? 796 HIS B CD2 796 HIS B CD2 1 
ATOM 13463 C CE1 . HIS B 2 796 ? 281.459 -71.257 328.966 1.0 76.11288  ? 796 HIS B CE1 796 HIS B CE1 1 
ATOM 13464 N NE2 . HIS B 2 796 ? 281.735 -70.607 330.081 1.0 76.11288  ? 796 HIS B NE2 796 HIS B NE2 1 
ATOM 13465 N N   . PRO B 2 797 ? 282.760 -69.037 324.750 1.0 73.84242  ? 797 PRO B N   797 PRO B N   1 
ATOM 13466 C CA  . PRO B 2 797 ? 281.789 -69.684 323.861 1.0 73.84242  ? 797 PRO B CA  797 PRO B CA  1 
ATOM 13467 C C   . PRO B 2 797 ? 281.203 -70.933 324.495 1.0 73.84242  ? 797 PRO B C   797 PRO B C   1 
ATOM 13468 O O   . PRO B 2 797 ? 281.897 -71.684 325.183 1.0 73.84242  ? 797 PRO B O   797 PRO B O   1 
ATOM 13469 C CB  . PRO B 2 797 ? 282.617 -70.028 322.620 1.0 73.84242  ? 797 PRO B CB  797 PRO B CB  1 
ATOM 13470 C CG  . PRO B 2 797 ? 283.746 -69.094 322.658 1.0 73.84242  ? 797 PRO B CG  797 PRO B CG  1 
ATOM 13471 C CD  . PRO B 2 797 ? 284.074 -68.921 324.097 1.0 73.84242  ? 797 PRO B CD  797 PRO B CD  1 
ATOM 13472 N N   . TYR B 2 798 ? 279.914 -71.149 324.249 1.0 72.97068  ? 798 TYR B N   798 TYR B N   1 
ATOM 13473 C CA  . TYR B 2 798 ? 279.186 -72.245 324.868 1.0 72.97068  ? 798 TYR B CA  798 TYR B CA  1 
ATOM 13474 C C   . TYR B 2 798 ? 277.924 -72.495 324.056 1.0 72.97068  ? 798 TYR B C   798 TYR B C   1 
ATOM 13475 O O   . TYR B 2 798 ? 277.472 -71.630 323.301 1.0 72.97068  ? 798 TYR B O   798 TYR B O   1 
ATOM 13476 C CB  . TYR B 2 798 ? 278.862 -71.928 326.334 1.0 72.97068  ? 798 TYR B CB  798 TYR B CB  1 
ATOM 13477 C CG  . TYR B 2 798 ? 278.253 -73.060 327.123 1.0 72.97068  ? 798 TYR B CG  798 TYR B CG  1 
ATOM 13478 C CD1 . TYR B 2 798 ? 279.016 -74.154 327.506 1.0 72.97068  ? 798 TYR B CD1 798 TYR B CD1 1 
ATOM 13479 C CD2 . TYR B 2 798 ? 276.921 -73.023 327.503 1.0 72.97068  ? 798 TYR B CD2 798 TYR B CD2 1 
ATOM 13480 C CE1 . TYR B 2 798 ? 278.464 -75.186 328.235 1.0 72.97068  ? 798 TYR B CE1 798 TYR B CE1 1 
ATOM 13481 C CE2 . TYR B 2 798 ? 276.360 -74.048 328.230 1.0 72.97068  ? 798 TYR B CE2 798 TYR B CE2 1 
ATOM 13482 C CZ  . TYR B 2 798 ? 277.136 -75.126 328.595 1.0 72.97068  ? 798 TYR B CZ  798 TYR B CZ  1 
ATOM 13483 O OH  . TYR B 2 798 ? 276.574 -76.148 329.323 1.0 72.97068  ? 798 TYR B OH  798 TYR B OH  1 
ATOM 13484 N N   . VAL B 2 799 ? 277.373 -73.700 324.214 1.0 69.62611  ? 799 VAL B N   799 VAL B N   1 
ATOM 13485 C CA  . VAL B 2 799 ? 276.202 -74.124 323.460 1.0 69.62611  ? 799 VAL B CA  799 VAL B CA  1 
ATOM 13486 C C   . VAL B 2 799 ? 274.985 -73.295 323.869 1.0 69.62611  ? 799 VAL B C   799 VAL B C   1 
ATOM 13487 O O   . VAL B 2 799 ? 274.859 -72.845 325.016 1.0 69.62611  ? 799 VAL B O   799 VAL B O   1 
ATOM 13488 C CB  . VAL B 2 799 ? 275.987 -75.639 323.669 1.0 69.62611  ? 799 VAL B CB  799 VAL B CB  1 
ATOM 13489 C CG1 . VAL B 2 799 ? 275.608 -75.973 325.103 1.0 69.62611  ? 799 VAL B CG1 799 VAL B CG1 1 
ATOM 13490 C CG2 . VAL B 2 799 ? 274.982 -76.207 322.699 1.0 69.62611  ? 799 VAL B CG2 799 VAL B CG2 1 
ATOM 13491 N N   . ALA B 2 800 ? 274.115 -73.024 322.900 1.0 67.63061  ? 800 ALA B N   800 ALA B N   1 
ATOM 13492 C CA  . ALA B 2 800 ? 272.947 -72.195 323.131 1.0 67.63061  ? 800 ALA B CA  800 ALA B CA  1 
ATOM 13493 C C   . ALA B 2 800 ? 271.800 -73.019 323.706 1.0 67.63061  ? 800 ALA B C   800 ALA B C   1 
ATOM 13494 O O   . ALA B 2 800 ? 271.801 -74.251 323.667 1.0 67.63061  ? 800 ALA B O   800 ALA B O   1 
ATOM 13495 C CB  . ALA B 2 800 ? 272.511 -71.515 321.838 1.0 67.63061  ? 800 ALA B CB  800 ALA B CB  1 
ATOM 13496 N N   . ASN B 2 801 ? 270.804 -72.316 324.253 1.0 68.47732  ? 801 ASN B N   801 ASN B N   1 
ATOM 13497 C CA  . ASN B 2 801 ? 269.635 -72.986 324.805 1.0 68.47732  ? 801 ASN B CA  801 ASN B CA  1 
ATOM 13498 C C   . ASN B 2 801 ? 268.320 -72.271 324.515 1.0 68.47732  ? 801 ASN B C   801 ASN B C   1 
ATOM 13499 O O   . ASN B 2 801 ? 267.286 -72.680 325.051 1.0 68.47732  ? 801 ASN B O   801 ASN B O   1 
ATOM 13500 C CB  . ASN B 2 801 ? 269.789 -73.179 326.320 1.0 68.47732  ? 801 ASN B CB  801 ASN B CB  1 
ATOM 13501 C CG  . ASN B 2 801 ? 270.020 -71.879 327.063 1.0 68.47732  ? 801 ASN B CG  801 ASN B CG  1 
ATOM 13502 O OD1 . ASN B 2 801 ? 270.062 -70.800 326.477 1.0 68.47732  ? 801 ASN B OD1 801 ASN B OD1 1 
ATOM 13503 N ND2 . ASN B 2 801 ? 270.159 -71.978 328.375 1.0 68.47732  ? 801 ASN B ND2 801 ASN B ND2 1 
ATOM 13504 N N   . TRP B 2 802 ? 268.319 -71.217 323.702 1.0 67.89358  ? 802 TRP B N   802 TRP B N   1 
ATOM 13505 C CA  . TRP B 2 802 ? 267.100 -70.445 323.538 1.0 67.89358  ? 802 TRP B CA  802 TRP B CA  1 
ATOM 13506 C C   . TRP B 2 802 ? 267.176 -69.726 322.207 1.0 67.89358  ? 802 TRP B C   802 TRP B C   1 
ATOM 13507 O O   . TRP B 2 802 ? 268.235 -69.170 321.888 1.0 67.89358  ? 802 TRP B O   802 TRP B O   1 
ATOM 13508 C CB  . TRP B 2 802 ? 266.933 -69.449 324.689 1.0 67.89358  ? 802 TRP B CB  802 TRP B CB  1 
ATOM 13509 C CG  . TRP B 2 802 ? 265.666 -68.688 324.668 1.0 67.89358  ? 802 TRP B CG  802 TRP B CG  1 
ATOM 13510 C CD1 . TRP B 2 802 ? 265.514 -67.395 324.316 1.0 67.89358  ? 802 TRP B CD1 802 TRP B CD1 1 
ATOM 13511 C CD2 . TRP B 2 802 ? 264.363 -69.172 325.010 1.0 67.89358  ? 802 TRP B CD2 802 TRP B CD2 1 
ATOM 13512 N NE1 . TRP B 2 802 ? 264.195 -67.029 324.419 1.0 67.89358  ? 802 TRP B NE1 802 TRP B NE1 1 
ATOM 13513 C CE2 . TRP B 2 802 ? 263.466 -68.108 324.838 1.0 67.89358  ? 802 TRP B CE2 802 TRP B CE2 1 
ATOM 13514 C CE3 . TRP B 2 802 ? 263.870 -70.405 325.438 1.0 67.89358  ? 802 TRP B CE3 802 TRP B CE3 1 
ATOM 13515 C CZ2 . TRP B 2 802 ? 262.108 -68.231 325.085 1.0 67.89358  ? 802 TRP B CZ2 802 TRP B CZ2 1 
ATOM 13516 C CZ3 . TRP B 2 802 ? 262.525 -70.524 325.685 1.0 67.89358  ? 802 TRP B CZ3 802 TRP B CZ3 1 
ATOM 13517 C CH2 . TRP B 2 802 ? 261.658 -69.445 325.506 1.0 67.89358  ? 802 TRP B CH2 802 TRP B CH2 1 
ATOM 13518 N N   . PRO B 2 803 ? 266.098 -69.702 321.410 1.0 66.49093  ? 803 PRO B N   803 PRO B N   1 
ATOM 13519 C CA  . PRO B 2 803 ? 264.750 -70.229 321.650 1.0 66.49093  ? 803 PRO B CA  803 PRO B CA  1 
ATOM 13520 C C   . PRO B 2 803 ? 264.601 -71.695 321.286 1.0 66.49093  ? 803 PRO B C   803 PRO B C   1 
ATOM 13521 O O   . PRO B 2 803 ? 265.605 -72.372 321.124 1.0 66.49093  ? 803 PRO B O   803 PRO B O   1 
ATOM 13522 C CB  . PRO B 2 803 ? 263.888 -69.378 320.728 1.0 66.49093  ? 803 PRO B CB  803 PRO B CB  1 
ATOM 13523 C CG  . PRO B 2 803 ? 264.776 -69.103 319.588 1.0 66.49093  ? 803 PRO B CG  803 PRO B CG  1 
ATOM 13524 C CD  . PRO B 2 803 ? 266.154 -68.941 320.151 1.0 66.49093  ? 803 PRO B CD  803 PRO B CD  1 
ATOM 13525 N N   . TYR B 2 804 ? 263.366 -72.177 321.157 1.0 67.03496  ? 804 TYR B N   804 TYR B N   1 
ATOM 13526 C CA  . TYR B 2 804 ? 263.215 -73.541 320.675 1.0 67.03496  ? 804 TYR B CA  804 TYR B CA  1 
ATOM 13527 C C   . TYR B 2 804 ? 263.113 -73.541 319.154 1.0 67.03496  ? 804 TYR B C   804 TYR B C   1 
ATOM 13528 O O   . TYR B 2 804 ? 262.477 -72.656 318.579 1.0 67.03496  ? 804 TYR B O   804 TYR B O   1 
ATOM 13529 C CB  . TYR B 2 804 ? 261.984 -74.197 321.281 1.0 67.03496  ? 804 TYR B CB  804 TYR B CB  1 
ATOM 13530 C CG  . TYR B 2 804 ? 262.105 -74.383 322.765 1.0 67.03496  ? 804 TYR B CG  804 TYR B CG  1 
ATOM 13531 C CD1 . TYR B 2 804 ? 262.919 -75.373 323.288 1.0 67.03496  ? 804 TYR B CD1 804 TYR B CD1 1 
ATOM 13532 C CD2 . TYR B 2 804 ? 261.405 -73.574 323.644 1.0 67.03496  ? 804 TYR B CD2 804 TYR B CD2 1 
ATOM 13533 C CE1 . TYR B 2 804 ? 263.046 -75.544 324.640 1.0 67.03496  ? 804 TYR B CE1 804 TYR B CE1 1 
ATOM 13534 C CE2 . TYR B 2 804 ? 261.518 -73.748 325.002 1.0 67.03496  ? 804 TYR B CE2 804 TYR B CE2 1 
ATOM 13535 C CZ  . TYR B 2 804 ? 262.338 -74.734 325.490 1.0 67.03496  ? 804 TYR B CZ  804 TYR B CZ  1 
ATOM 13536 O OH  . TYR B 2 804 ? 262.463 -74.910 326.841 1.0 67.03496  ? 804 TYR B OH  804 TYR B OH  1 
ATOM 13537 N N   . PRO B 2 805 ? 263.746 -74.497 318.475 1.0 64.56556  ? 805 PRO B N   805 PRO B N   1 
ATOM 13538 C CA  . PRO B 2 805 ? 263.687 -74.509 317.011 1.0 64.56556  ? 805 PRO B CA  805 PRO B CA  1 
ATOM 13539 C C   . PRO B 2 805 ? 262.315 -74.944 316.520 1.0 64.56556  ? 805 PRO B C   805 PRO B C   1 
ATOM 13540 O O   . PRO B 2 805 ? 261.811 -76.008 316.884 1.0 64.56556  ? 805 PRO B O   805 PRO B O   1 
ATOM 13541 C CB  . PRO B 2 805 ? 264.778 -75.509 316.619 1.0 64.56556  ? 805 PRO B CB  805 PRO B CB  1 
ATOM 13542 C CG  . PRO B 2 805 ? 264.912 -76.396 317.789 1.0 64.56556  ? 805 PRO B CG  805 PRO B CG  1 
ATOM 13543 C CD  . PRO B 2 805 ? 264.639 -75.545 318.995 1.0 64.56556  ? 805 PRO B CD  805 PRO B CD  1 
ATOM 13544 N N   . LEU B 2 806 ? 261.705 -74.095 315.701 1.0 63.2647   ? 806 LEU B N   806 LEU B N   1 
ATOM 13545 C CA  . LEU B 2 806 ? 260.415 -74.383 315.103 1.0 63.2647   ? 806 LEU B CA  806 LEU B CA  1 
ATOM 13546 C C   . LEU B 2 806 ? 260.533 -74.983 313.712 1.0 63.2647   ? 806 LEU B C   806 LEU B C   1 
ATOM 13547 O O   . LEU B 2 806 ? 259.511 -75.347 313.123 1.0 63.2647   ? 806 LEU B O   806 LEU B O   1 
ATOM 13548 C CB  . LEU B 2 806 ? 259.578 -73.106 315.033 1.0 63.2647   ? 806 LEU B CB  806 LEU B CB  1 
ATOM 13549 C CG  . LEU B 2 806 ? 259.220 -72.506 316.385 1.0 63.2647   ? 806 LEU B CG  806 LEU B CG  1 
ATOM 13550 C CD1 . LEU B 2 806 ? 258.551 -71.162 316.193 1.0 63.2647   ? 806 LEU B CD1 806 LEU B CD1 1 
ATOM 13551 C CD2 . LEU B 2 806 ? 258.326 -73.452 317.148 1.0 63.2647   ? 806 LEU B CD2 806 LEU B CD2 1 
ATOM 13552 N N   . SER B 2 807 ? 261.745 -75.094 313.181 1.0 62.50882  ? 807 SER B N   807 SER B N   1 
ATOM 13553 C CA  . SER B 2 807 ? 261.964 -75.563 311.825 1.0 62.50882  ? 807 SER B CA  807 SER B CA  1 
ATOM 13554 C C   . SER B 2 807 ? 263.212 -76.430 311.788 1.0 62.50882  ? 807 SER B C   807 SER B C   1 
ATOM 13555 O O   . SER B 2 807 ? 264.159 -76.213 312.547 1.0 62.50882  ? 807 SER B O   807 SER B O   1 
ATOM 13556 C CB  . SER B 2 807 ? 262.112 -74.390 310.860 1.0 62.50882  ? 807 SER B CB  807 SER B CB  1 
ATOM 13557 O OG  . SER B 2 807 ? 260.927 -73.618 310.830 1.0 62.50882  ? 807 SER B OG  807 SER B OG  1 
ATOM 13558 N N   . GLY B 2 808 ? 263.207 -77.408 310.896 1.0 63.32151  ? 808 GLY B N   808 GLY B N   1 
ATOM 13559 C CA  . GLY B 2 808 ? 264.338 -78.299 310.745 1.0 63.32151  ? 808 GLY B CA  808 GLY B CA  1 
ATOM 13560 C C   . GLY B 2 808 ? 264.039 -79.703 311.226 1.0 63.32151  ? 808 GLY B C   808 GLY B C   1 
ATOM 13561 O O   . GLY B 2 808 ? 262.896 -80.083 311.497 1.0 63.32151  ? 808 GLY B O   808 GLY B O   1 
ATOM 13562 N N   . ARG B 2 809 ? 265.111 -80.491 311.328 1.0 66.59366  ? 809 ARG B N   809 ARG B N   1 
ATOM 13563 C CA  . ARG B 2 809 ? 264.969 -81.879 311.749 1.0 66.59366  ? 809 ARG B CA  809 ARG B CA  1 
ATOM 13564 C C   . ARG B 2 809 ? 264.663 -81.990 313.233 1.0 66.59366  ? 809 ARG B C   809 ARG B C   1 
ATOM 13565 O O   . ARG B 2 809 ? 264.009 -82.947 313.661 1.0 66.59366  ? 809 ARG B O   809 ARG B O   1 
ATOM 13566 C CB  . ARG B 2 809 ? 266.236 -82.662 311.416 1.0 66.59366  ? 809 ARG B CB  809 ARG B CB  1 
ATOM 13567 C CG  . ARG B 2 809 ? 266.468 -82.860 309.934 1.0 66.59366  ? 809 ARG B CG  809 ARG B CG  1 
ATOM 13568 C CD  . ARG B 2 809 ? 267.692 -83.720 309.685 1.0 66.59366  ? 809 ARG B CD  809 ARG B CD  1 
ATOM 13569 N NE  . ARG B 2 809 ? 268.922 -83.031 310.055 1.0 66.59366  ? 809 ARG B NE  809 ARG B NE  1 
ATOM 13570 C CZ  . ARG B 2 809 ? 269.708 -83.397 311.061 1.0 66.59366  ? 809 ARG B CZ  809 ARG B CZ  1 
ATOM 13571 N NH1 . ARG B 2 809 ? 269.394 -84.451 311.801 1.0 66.59366  ? 809 ARG B NH1 809 ARG B NH1 1 
ATOM 13572 N NH2 . ARG B 2 809 ? 270.810 -82.709 311.327 1.0 66.59366  ? 809 ARG B NH2 809 ARG B NH2 1 
ATOM 13573 N N   . ASN B 2 810 ? 265.124 -81.029 314.030 1.0 67.40483  ? 810 ASN B N   810 ASN B N   1 
ATOM 13574 C CA  . ASN B 2 810 ? 264.899 -81.024 315.468 1.0 67.40483  ? 810 ASN B CA  810 ASN B CA  1 
ATOM 13575 C C   . ASN B 2 810 ? 263.789 -80.064 315.869 1.0 67.40483  ? 810 ASN B C   810 ASN B C   1 
ATOM 13576 O O   . ASN B 2 810 ? 263.857 -79.452 316.939 1.0 67.40483  ? 810 ASN B O   810 ASN B O   1 
ATOM 13577 C CB  . ASN B 2 810 ? 266.193 -80.675 316.196 1.0 67.40483  ? 810 ASN B CB  810 ASN B CB  1 
ATOM 13578 C CG  . ASN B 2 810 ? 267.285 -81.682 315.941 1.0 67.40483  ? 810 ASN B CG  810 ASN B CG  1 
ATOM 13579 O OD1 . ASN B 2 810 ? 268.296 -81.371 315.316 1.0 67.40483  ? 810 ASN B OD1 810 ASN B OD1 1 
ATOM 13580 N ND2 . ASN B 2 810 ? 267.086 -82.903 316.419 1.0 67.40483  ? 810 ASN B ND2 810 ASN B ND2 1 
ATOM 13581 N N   . ALA B 2 811 ? 262.774 -79.915 315.025 1.0 65.94554  ? 811 ALA B N   811 ALA B N   1 
ATOM 13582 C CA  . ALA B 2 811 ? 261.695 -78.983 315.312 1.0 65.94554  ? 811 ALA B CA  811 ALA B CA  1 
ATOM 13583 C C   . ALA B 2 811 ? 260.799 -79.531 316.413 1.0 65.94554  ? 811 ALA B C   811 ALA B C   1 
ATOM 13584 O O   . ALA B 2 811 ? 260.529 -80.732 316.478 1.0 65.94554  ? 811 ALA B O   811 ALA B O   1 
ATOM 13585 C CB  . ALA B 2 811 ? 260.878 -78.709 314.052 1.0 65.94554  ? 811 ALA B CB  811 ALA B CB  1 
ATOM 13586 N N   . VAL B 2 812 ? 260.352 -78.642 317.288 1.0 67.543    ? 812 VAL B N   812 VAL B N   1 
ATOM 13587 C CA  . VAL B 2 812 ? 259.526 -79.059 318.425 1.0 67.543    ? 812 VAL B CA  812 VAL B CA  1 
ATOM 13588 C C   . VAL B 2 812 ? 258.107 -79.339 317.939 1.0 67.543    ? 812 VAL B C   812 VAL B C   1 
ATOM 13589 O O   . VAL B 2 812 ? 257.617 -78.641 317.034 1.0 67.543    ? 812 VAL B O   812 VAL B O   1 
ATOM 13590 C CB  . VAL B 2 812 ? 259.565 -77.983 319.526 1.0 67.543    ? 812 VAL B CB  812 VAL B CB  1 
ATOM 13591 C CG1 . VAL B 2 812 ? 259.079 -76.628 319.032 1.0 67.543    ? 812 VAL B CG1 812 VAL B CG1 1 
ATOM 13592 C CG2 . VAL B 2 812 ? 258.789 -78.405 320.759 1.0 67.543    ? 812 VAL B CG2 812 VAL B CG2 1 
ATOM 13593 N N   . PRO B 2 813 ? 257.451 -80.391 318.410 1.0 67.74013  ? 813 PRO B N   813 PRO B N   1 
ATOM 13594 C CA  . PRO B 2 813 ? 256.035 -80.588 318.097 1.0 67.74013  ? 813 PRO B CA  813 PRO B CA  1 
ATOM 13595 C C   . PRO B 2 813 ? 255.171 -79.729 319.013 1.0 67.74013  ? 813 PRO B C   813 PRO B C   1 
ATOM 13596 O O   . PRO B 2 813 ? 255.673 -79.030 319.892 1.0 67.74013  ? 813 PRO B O   813 PRO B O   1 
ATOM 13597 C CB  . PRO B 2 813 ? 255.824 -82.080 318.349 1.0 67.74013  ? 813 PRO B CB  813 PRO B CB  1 
ATOM 13598 C CG  . PRO B 2 813 ? 256.845 -82.431 319.351 1.0 67.74013  ? 813 PRO B CG  813 PRO B CG  1 
ATOM 13599 C CD  . PRO B 2 813 ? 258.041 -81.583 319.043 1.0 67.74013  ? 813 PRO B CD  813 PRO B CD  1 
ATOM 13600 N N   . ASN B 2 814 ? 253.856 -79.808 318.784 1.0 69.7778   ? 814 ASN B N   814 ASN B N   1 
ATOM 13601 C CA  . ASN B 2 814 ? 252.831 -79.029 319.488 1.0 69.7778   ? 814 ASN B CA  814 ASN B CA  1 
ATOM 13602 C C   . ASN B 2 814 ? 253.094 -77.527 319.363 1.0 69.7778   ? 814 ASN B C   814 ASN B C   1 
ATOM 13603 O O   . ASN B 2 814 ? 253.303 -76.814 320.344 1.0 69.7778   ? 814 ASN B O   814 ASN B O   1 
ATOM 13604 C CB  . ASN B 2 814 ? 252.708 -79.456 320.955 1.0 69.7778   ? 814 ASN B CB  814 ASN B CB  1 
ATOM 13605 C CG  . ASN B 2 814 ? 252.140 -80.847 321.106 1.0 69.7778   ? 814 ASN B CG  814 ASN B CG  1 
ATOM 13606 O OD1 . ASN B 2 814 ? 251.190 -81.219 320.419 1.0 69.7778   ? 814 ASN B OD1 814 ASN B OD1 1 
ATOM 13607 N ND2 . ASN B 2 814 ? 252.727 -81.630 322.002 1.0 69.7778   ? 814 ASN B ND2 814 ASN B ND2 1 
ATOM 13608 N N   . GLN B 2 815 ? 253.084 -77.061 318.122 1.0 64.92365  ? 815 GLN B N   815 GLN B N   1 
ATOM 13609 C CA  . GLN B 2 815 ? 253.307 -75.656 317.802 1.0 64.92365  ? 815 GLN B CA  815 GLN B CA  1 
ATOM 13610 C C   . GLN B 2 815 ? 251.949 -75.010 317.575 1.0 64.92365  ? 815 GLN B C   815 GLN B C   1 
ATOM 13611 O O   . GLN B 2 815 ? 251.359 -75.150 316.503 1.0 64.92365  ? 815 GLN B O   815 GLN B O   1 
ATOM 13612 C CB  . GLN B 2 815 ? 254.182 -75.521 316.563 1.0 64.92365  ? 815 GLN B CB  815 GLN B CB  1 
ATOM 13613 C CG  . GLN B 2 815 ? 255.574 -76.063 316.713 1.0 64.92365  ? 815 GLN B CG  815 GLN B CG  1 
ATOM 13614 C CD  . GLN B 2 815 ? 256.341 -76.006 315.414 1.0 64.92365  ? 815 GLN B CD  815 GLN B CD  1 
ATOM 13615 O OE1 . GLN B 2 815 ? 255.803 -75.608 314.384 1.0 64.92365  ? 815 GLN B OE1 815 GLN B OE1 1 
ATOM 13616 N NE2 . GLN B 2 815 ? 257.600 -76.414 315.450 1.0 64.92365  ? 815 GLN B NE2 815 GLN B NE2 1 
ATOM 13617 N N   . VAL B 2 816 ? 251.447 -74.301 318.575 1.0 63.44516  ? 816 VAL B N   816 VAL B N   1 
ATOM 13618 C CA  . VAL B 2 816 ? 250.196 -73.575 318.403 1.0 63.44516  ? 816 VAL B CA  816 VAL B CA  1 
ATOM 13619 C C   . VAL B 2 816 ? 250.471 -72.300 317.613 1.0 63.44516  ? 816 VAL B C   816 VAL B C   1 
ATOM 13620 O O   . VAL B 2 816 ? 251.468 -71.605 317.844 1.0 63.44516  ? 816 VAL B O   816 VAL B O   1 
ATOM 13621 C CB  . VAL B 2 816 ? 249.522 -73.308 319.764 1.0 63.44516  ? 816 VAL B CB  816 VAL B CB  1 
ATOM 13622 C CG1 . VAL B 2 816 ? 250.417 -72.530 320.715 1.0 63.44516  ? 816 VAL B CG1 816 VAL B CG1 1 
ATOM 13623 C CG2 . VAL B 2 816 ? 248.187 -72.602 319.584 1.0 63.44516  ? 816 VAL B CG2 816 VAL B CG2 1 
ATOM 13624 N N   . THR B 2 817 ? 249.638 -72.037 316.614 1.0 63.17264  ? 817 THR B N   817 THR B N   1 
ATOM 13625 C CA  . THR B 2 817 ? 249.764 -70.846 315.792 1.0 63.17264  ? 817 THR B CA  817 THR B CA  1 
ATOM 13626 C C   . THR B 2 817 ? 248.674 -69.846 316.153 1.0 63.17264  ? 817 THR B C   817 THR B C   1 
ATOM 13627 O O   . THR B 2 817 ? 247.615 -70.217 316.664 1.0 63.17264  ? 817 THR B O   817 THR B O   1 
ATOM 13628 C CB  . THR B 2 817 ? 249.696 -71.196 314.304 1.0 63.17264  ? 817 THR B CB  817 THR B CB  1 
ATOM 13629 O OG1 . THR B 2 817 ? 249.883 -70.011 313.523 1.0 63.17264  ? 817 THR B OG1 817 THR B OG1 1 
ATOM 13630 C CG2 . THR B 2 817 ? 248.369 -71.841 313.946 1.0 63.17264  ? 817 THR B CG2 817 THR B CG2 1 
ATOM 13631 N N   . GLU B 2 818 ? 248.953 -68.569 315.903 1.0 62.31404  ? 818 GLU B N   818 GLU B N   1 
ATOM 13632 C CA  . GLU B 2 818 ? 248.010 -67.514 316.245 1.0 62.31404  ? 818 GLU B CA  818 GLU B CA  1 
ATOM 13633 C C   . GLU B 2 818 ? 248.276 -66.285 315.388 1.0 62.31404  ? 818 GLU B C   818 GLU B C   1 
ATOM 13634 O O   . GLU B 2 818 ? 249.427 -65.963 315.093 1.0 62.31404  ? 818 GLU B O   818 GLU B O   1 
ATOM 13635 C CB  . GLU B 2 818 ? 248.072 -67.187 317.744 1.0 62.31404  ? 818 GLU B CB  818 GLU B CB  1 
ATOM 13636 C CG  . GLU B 2 818 ? 249.435 -66.853 318.297 1.0 62.31404  ? 818 GLU B CG  818 GLU B CG  1 
ATOM 13637 C CD  . GLU B 2 818 ? 249.704 -65.379 318.308 1.0 62.31404  ? 818 GLU B CD  818 GLU B CD  1 
ATOM 13638 O OE1 . GLU B 2 818 ? 248.746 -64.590 318.165 1.0 62.31404  ? 818 GLU B OE1 818 GLU B OE1 1 
ATOM 13639 O OE2 . GLU B 2 818 ? 250.878 -65.005 318.500 1.0 62.31404  ? 818 GLU B OE2 818 GLU B OE2 1 
ATOM 13640 N N   . ARG B 2 819 ? 247.199 -65.605 315.007 1.0 60.15738  ? 819 ARG B N   819 ARG B N   1 
ATOM 13641 C CA  . ARG B 2 819 ? 247.204 -64.567 313.987 1.0 60.15738  ? 819 ARG B CA  819 ARG B CA  1 
ATOM 13642 C C   . ARG B 2 819 ? 246.846 -63.216 314.588 1.0 60.15738  ? 819 ARG B C   819 ARG B C   1 
ATOM 13643 O O   . ARG B 2 819 ? 246.356 -63.117 315.716 1.0 60.15738  ? 819 ARG B O   819 ARG B O   1 
ATOM 13644 C CB  . ARG B 2 819 ? 246.212 -64.895 312.865 1.0 60.15738  ? 819 ARG B CB  819 ARG B CB  1 
ATOM 13645 C CG  . ARG B 2 819 ? 246.688 -65.871 311.801 1.0 60.15738  ? 819 ARG B CG  819 ARG B CG  1 
ATOM 13646 C CD  . ARG B 2 819 ? 246.615 -67.320 312.248 1.0 60.15738  ? 819 ARG B CD  819 ARG B CD  1 
ATOM 13647 N NE  . ARG B 2 819 ? 246.998 -68.238 311.182 1.0 60.15738  ? 819 ARG B NE  819 ARG B NE  1 
ATOM 13648 C CZ  . ARG B 2 819 ? 246.146 -68.768 310.314 1.0 60.15738  ? 819 ARG B CZ  819 ARG B CZ  1 
ATOM 13649 N NH1 . ARG B 2 819 ? 244.855 -68.483 310.388 1.0 60.15738  ? 819 ARG B NH1 819 ARG B NH1 1 
ATOM 13650 N NH2 . ARG B 2 819 ? 246.587 -69.593 309.376 1.0 60.15738  ? 819 ARG B NH2 819 ARG B NH2 1 
ATOM 13651 N N   . LYS B 2 820 ? 247.077 -62.175 313.793 1.0 58.06969  ? 820 LYS B N   820 LYS B N   1 
ATOM 13652 C CA  . LYS B 2 820 ? 246.686 -60.810 314.116 1.0 58.06969  ? 820 LYS B CA  820 LYS B CA  1 
ATOM 13653 C C   . LYS B 2 820 ? 246.702 -60.003 312.825 1.0 58.06969  ? 820 LYS B C   820 LYS B C   1 
ATOM 13654 O O   . LYS B 2 820 ? 247.000 -60.528 311.751 1.0 58.06969  ? 820 LYS B O   820 LYS B O   1 
ATOM 13655 C CB  . LYS B 2 820 ? 247.613 -60.189 315.160 1.0 58.06969  ? 820 LYS B CB  820 LYS B CB  1 
ATOM 13656 C CG  . LYS B 2 820 ? 249.014 -59.953 314.667 1.0 58.06969  ? 820 LYS B CG  820 LYS B CG  1 
ATOM 13657 C CD  . LYS B 2 820 ? 249.882 -59.409 315.775 1.0 58.06969  ? 820 LYS B CD  820 LYS B CD  1 
ATOM 13658 C CE  . LYS B 2 820 ? 249.483 -58.006 316.135 1.0 58.06969  ? 820 LYS B CE  820 LYS B CE  1 
ATOM 13659 N NZ  . LYS B 2 820 ? 250.401 -57.425 317.145 1.0 58.06969  ? 820 LYS B NZ  820 LYS B NZ  1 
ATOM 13660 N N   . PHE B 2 821 ? 246.385 -58.716 312.938 1.0 54.34947  ? 821 PHE B N   821 PHE B N   1 
ATOM 13661 C CA  . PHE B 2 821 ? 246.482 -57.817 311.798 1.0 54.34947  ? 821 PHE B CA  821 PHE B CA  1 
ATOM 13662 C C   . PHE B 2 821 ? 246.754 -56.408 312.296 1.0 54.34947  ? 821 PHE B C   821 PHE B C   1 
ATOM 13663 O O   . PHE B 2 821 ? 246.475 -56.072 313.448 1.0 54.34947  ? 821 PHE B O   821 PHE B O   1 
ATOM 13664 C CB  . PHE B 2 821 ? 245.220 -57.866 310.921 1.0 54.34947  ? 821 PHE B CB  821 PHE B CB  1 
ATOM 13665 C CG  . PHE B 2 821 ? 243.961 -57.406 311.605 1.0 54.34947  ? 821 PHE B CG  821 PHE B CG  1 
ATOM 13666 C CD1 . PHE B 2 821 ? 243.196 -58.289 312.342 1.0 54.34947  ? 821 PHE B CD1 821 PHE B CD1 1 
ATOM 13667 C CD2 . PHE B 2 821 ? 243.511 -56.107 311.458 1.0 54.34947  ? 821 PHE B CD2 821 PHE B CD2 1 
ATOM 13668 C CE1 . PHE B 2 821 ? 242.030 -57.873 312.952 1.0 54.34947  ? 821 PHE B CE1 821 PHE B CE1 1 
ATOM 13669 C CE2 . PHE B 2 821 ? 242.349 -55.687 312.064 1.0 54.34947  ? 821 PHE B CE2 821 PHE B CE2 1 
ATOM 13670 C CZ  . PHE B 2 821 ? 241.608 -56.571 312.811 1.0 54.34947  ? 821 PHE B CZ  821 PHE B CZ  1 
ATOM 13671 N N   . LEU B 2 822 ? 247.315 -55.587 311.412 1.0 54.40194  ? 822 LEU B N   822 LEU B N   1 
ATOM 13672 C CA  . LEU B 2 822 ? 247.570 -54.181 311.696 1.0 54.40194  ? 822 LEU B CA  822 LEU B CA  1 
ATOM 13673 C C   . LEU B 2 822 ? 246.920 -53.325 310.626 1.0 54.40194  ? 822 LEU B C   822 LEU B C   1 
ATOM 13674 O O   . LEU B 2 822 ? 247.196 -53.497 309.436 1.0 54.40194  ? 822 LEU B O   822 LEU B O   1 
ATOM 13675 C CB  . LEU B 2 822 ? 249.065 -53.880 311.769 1.0 54.40194  ? 822 LEU B CB  822 LEU B CB  1 
ATOM 13676 C CG  . LEU B 2 822 ? 249.764 -54.424 313.002 1.0 54.40194  ? 822 LEU B CG  822 LEU B CG  1 
ATOM 13677 C CD1 . LEU B 2 822 ? 251.240 -54.088 312.952 1.0 54.40194  ? 822 LEU B CD1 822 LEU B CD1 1 
ATOM 13678 C CD2 . LEU B 2 822 ? 249.115 -53.837 314.223 1.0 54.40194  ? 822 LEU B CD2 822 LEU B CD2 1 
ATOM 13679 N N   . VAL B 2 823 ? 246.062 -52.405 311.052 1.0 54.30007  ? 823 VAL B N   823 VAL B N   1 
ATOM 13680 C CA  . VAL B 2 823 ? 245.420 -51.445 310.169 1.0 54.30007  ? 823 VAL B CA  823 VAL B CA  1 
ATOM 13681 C C   . VAL B 2 823 ? 245.822 -50.060 310.642 1.0 54.30007  ? 823 VAL B C   823 VAL B C   1 
ATOM 13682 O O   . VAL B 2 823 ? 245.443 -49.642 311.742 1.0 54.30007  ? 823 VAL B O   823 VAL B O   1 
ATOM 13683 C CB  . VAL B 2 823 ? 243.893 -51.594 310.173 1.0 54.30007  ? 823 VAL B CB  823 VAL B CB  1 
ATOM 13684 C CG1 . VAL B 2 823 ? 243.276 -50.580 309.266 1.0 54.30007  ? 823 VAL B CG1 823 VAL B CG1 1 
ATOM 13685 C CG2 . VAL B 2 823 ? 243.498 -52.969 309.741 1.0 54.30007  ? 823 VAL B CG2 823 VAL B CG2 1 
ATOM 13686 N N   . ASP B 2 824 ? 246.586 -49.351 309.822 1.0 54.54461  ? 824 ASP B N   824 ASP B N   1 
ATOM 13687 C CA  . ASP B 2 824 ? 247.039 -48.013 310.157 1.0 54.54461  ? 824 ASP B CA  824 ASP B CA  1 
ATOM 13688 C C   . ASP B 2 824 ? 246.387 -46.999 309.231 1.0 54.54461  ? 824 ASP B C   824 ASP B C   1 
ATOM 13689 O O   . ASP B 2 824 ? 246.034 -47.320 308.094 1.0 54.54461  ? 824 ASP B O   824 ASP B O   1 
ATOM 13690 C CB  . ASP B 2 824 ? 248.560 -47.906 310.058 1.0 54.54461  ? 824 ASP B CB  824 ASP B CB  1 
ATOM 13691 C CG  . ASP B 2 824 ? 249.266 -48.758 311.084 1.0 54.54461  ? 824 ASP B CG  824 ASP B CG  1 
ATOM 13692 O OD1 . ASP B 2 824 ? 248.672 -49.024 312.148 1.0 54.54461  ? 824 ASP B OD1 824 ASP B OD1 1 
ATOM 13693 O OD2 . ASP B 2 824 ? 250.420 -49.158 310.830 1.0 54.54461  ? 824 ASP B OD2 824 ASP B OD2 1 
ATOM 13694 N N   . ARG B 2 825 ? 246.218 -45.778 309.753 1.0 52.36265  ? 825 ARG B N   825 ARG B N   1 
ATOM 13695 C CA  . ARG B 2 825 ? 245.684 -44.623 309.023 1.0 52.36265  ? 825 ARG B CA  825 ARG B CA  1 
ATOM 13696 C C   . ARG B 2 825 ? 244.285 -44.878 308.473 1.0 52.36265  ? 825 ARG B C   825 ARG B C   1 
ATOM 13697 O O   . ARG B 2 825 ? 243.970 -44.472 307.355 1.0 52.36265  ? 825 ARG B O   825 ARG B O   1 
ATOM 13698 C CB  . ARG B 2 825 ? 246.619 -44.191 307.886 1.0 52.36265  ? 825 ARG B CB  825 ARG B CB  1 
ATOM 13699 C CG  . ARG B 2 825 ? 247.959 -43.659 308.334 1.0 52.36265  ? 825 ARG B CG  825 ARG B CG  1 
ATOM 13700 C CD  . ARG B 2 825 ? 248.728 -43.097 307.158 1.0 52.36265  ? 825 ARG B CD  825 ARG B CD  1 
ATOM 13701 N NE  . ARG B 2 825 ? 249.051 -44.136 306.188 1.0 52.36265  ? 825 ARG B NE  825 ARG B NE  1 
ATOM 13702 C CZ  . ARG B 2 825 ? 250.167 -44.854 306.209 1.0 52.36265  ? 825 ARG B CZ  825 ARG B CZ  1 
ATOM 13703 N NH1 . ARG B 2 825 ? 251.078 -44.635 307.142 1.0 52.36265  ? 825 ARG B NH1 825 ARG B NH1 1 
ATOM 13704 N NH2 . ARG B 2 825 ? 250.376 -45.784 305.291 1.0 52.36265  ? 825 ARG B NH2 825 ARG B NH2 1 
ATOM 13705 N N   . TYR B 2 826 ? 243.430 -45.553 309.236 1.0 50.61835  ? 826 TYR B N   826 TYR B N   1 
ATOM 13706 C CA  . TYR B 2 826 ? 242.126 -45.939 308.720 1.0 50.61835  ? 826 TYR B CA  826 TYR B CA  1 
ATOM 13707 C C   . TYR B 2 826 ? 241.085 -45.938 309.826 1.0 50.61835  ? 826 TYR B C   826 TYR B C   1 
ATOM 13708 O O   . TYR B 2 826 ? 241.336 -46.417 310.934 1.0 50.61835  ? 826 TYR B O   826 TYR B O   1 
ATOM 13709 C CB  . TYR B 2 826 ? 242.190 -47.317 308.061 1.0 50.61835  ? 826 TYR B CB  826 TYR B CB  1 
ATOM 13710 C CG  . TYR B 2 826 ? 240.883 -47.796 307.492 1.0 50.61835  ? 826 TYR B CG  826 TYR B CG  1 
ATOM 13711 C CD1 . TYR B 2 826 ? 240.382 -47.261 306.316 1.0 50.61835  ? 826 TYR B CD1 826 TYR B CD1 1 
ATOM 13712 C CD2 . TYR B 2 826 ? 240.152 -48.792 308.121 1.0 50.61835  ? 826 TYR B CD2 826 TYR B CD2 1 
ATOM 13713 C CE1 . TYR B 2 826 ? 239.184 -47.696 305.788 1.0 50.61835  ? 826 TYR B CE1 826 TYR B CE1 1 
ATOM 13714 C CE2 . TYR B 2 826 ? 238.954 -49.233 307.600 1.0 50.61835  ? 826 TYR B CE2 826 TYR B CE2 1 
ATOM 13715 C CZ  . TYR B 2 826 ? 238.478 -48.681 306.435 1.0 50.61835  ? 826 TYR B CZ  826 TYR B CZ  1 
ATOM 13716 O OH  . TYR B 2 826 ? 237.289 -49.113 305.911 1.0 50.61835  ? 826 TYR B OH  826 TYR B OH  1 
ATOM 13717 N N   . LEU B 2 827 ? 239.913 -45.404 309.504 1.0 50.74788  ? 827 LEU B N   827 LEU B N   1 
ATOM 13718 C CA  . LEU B 2 827 ? 238.759 -45.396 310.389 1.0 50.74788  ? 827 LEU B CA  827 LEU B CA  1 
ATOM 13719 C C   . LEU B 2 827 ? 237.814 -46.510 309.964 1.0 50.74788  ? 827 LEU B C   827 LEU B C   1 
ATOM 13720 O O   . LEU B 2 827 ? 237.515 -46.640 308.773 1.0 50.74788  ? 827 LEU B O   827 LEU B O   1 
ATOM 13721 C CB  . LEU B 2 827 ? 238.042 -44.053 310.303 1.0 50.74788  ? 827 LEU B CB  827 LEU B CB  1 
ATOM 13722 C CG  . LEU B 2 827 ? 238.805 -42.794 310.691 1.0 50.74788  ? 827 LEU B CG  827 LEU B CG  1 
ATOM 13723 C CD1 . LEU B 2 827 ? 237.979 -41.593 310.302 1.0 50.74788  ? 827 LEU B CD1 827 LEU B CD1 1 
ATOM 13724 C CD2 . LEU B 2 827 ? 239.071 -42.767 312.163 1.0 50.74788  ? 827 LEU B CD2 827 LEU B CD2 1 
ATOM 13725 N N   . TRP B 2 828 ? 237.339 -47.303 310.923 1.0 50.11798  ? 828 TRP B N   828 TRP B N   1 
ATOM 13726 C CA  . TRP B 2 828 ? 236.405 -48.377 310.597 1.0 50.11798  ? 828 TRP B CA  828 TRP B CA  1 
ATOM 13727 C C   . TRP B 2 828 ? 235.067 -47.775 310.204 1.0 50.11798  ? 828 TRP B C   828 TRP B C   1 
ATOM 13728 O O   . TRP B 2 828 ? 234.271 -47.407 311.070 1.0 50.11798  ? 828 TRP B O   828 TRP B O   1 
ATOM 13729 C CB  . TRP B 2 828 ? 236.200 -49.328 311.770 1.0 50.11798  ? 828 TRP B CB  828 TRP B CB  1 
ATOM 13730 C CG  . TRP B 2 828 ? 237.369 -50.130 312.185 1.0 50.11798  ? 828 TRP B CG  828 TRP B CG  1 
ATOM 13731 C CD1 . TRP B 2 828 ? 238.073 -49.992 313.329 1.0 50.11798  ? 828 TRP B CD1 828 TRP B CD1 1 
ATOM 13732 C CD2 . TRP B 2 828 ? 237.995 -51.189 311.454 1.0 50.11798  ? 828 TRP B CD2 828 TRP B CD2 1 
ATOM 13733 N NE1 . TRP B 2 828 ? 239.081 -50.913 313.380 1.0 50.11798  ? 828 TRP B NE1 828 TRP B NE1 1 
ATOM 13734 C CE2 . TRP B 2 828 ? 239.060 -51.658 312.234 1.0 50.11798  ? 828 TRP B CE2 828 TRP B CE2 1 
ATOM 13735 C CE3 . TRP B 2 828 ? 237.755 -51.783 310.216 1.0 50.11798  ? 828 TRP B CE3 828 TRP B CE3 1 
ATOM 13736 C CZ2 . TRP B 2 828 ? 239.888 -52.696 311.820 1.0 50.11798  ? 828 TRP B CZ2 828 TRP B CZ2 1 
ATOM 13737 C CZ3 . TRP B 2 828 ? 238.570 -52.813 309.809 1.0 50.11798  ? 828 TRP B CZ3 828 TRP B CZ3 1 
ATOM 13738 C CH2 . TRP B 2 828 ? 239.622 -53.261 310.607 1.0 50.11798  ? 828 TRP B CH2 828 TRP B CH2 1 
ATOM 13739 N N   . GLN B 2 829 ? 234.801 -47.681 308.910 1.0 49.81794  ? 829 GLN B N   829 GLN B N   1 
ATOM 13740 C CA  . GLN B 2 829 ? 233.566 -47.071 308.451 1.0 49.81794  ? 829 GLN B CA  829 GLN B CA  1 
ATOM 13741 C C   . GLN B 2 829 ? 232.442 -48.096 308.401 1.0 49.81794  ? 829 GLN B C   829 GLN B C   1 
ATOM 13742 O O   . GLN B 2 829 ? 232.649 -49.252 308.024 1.0 49.81794  ? 829 GLN B O   829 GLN B O   1 
ATOM 13743 C CB  . GLN B 2 829 ? 233.763 -46.404 307.088 1.0 49.81794  ? 829 GLN B CB  829 GLN B CB  1 
ATOM 13744 C CG  . GLN B 2 829 ? 234.203 -47.312 305.967 1.0 49.81794  ? 829 GLN B CG  829 GLN B CG  1 
ATOM 13745 C CD  . GLN B 2 829 ? 234.404 -46.558 304.679 1.0 49.81794  ? 829 GLN B CD  829 GLN B CD  1 
ATOM 13746 O OE1 . GLN B 2 829 ? 234.192 -45.348 304.616 1.0 49.81794  ? 829 GLN B OE1 829 GLN B OE1 1 
ATOM 13747 N NE2 . GLN B 2 829 ? 234.802 -47.268 303.637 1.0 49.81794  ? 829 GLN B NE2 829 GLN B NE2 1 
ATOM 13748 N N   . ILE B 2 830 ? 231.262 -47.670 308.841 1.0 51.01989  ? 830 ILE B N   830 ILE B N   1 
ATOM 13749 C CA  . ILE B 2 830 ? 230.031 -48.451 308.773 1.0 51.01989  ? 830 ILE B CA  830 ILE B CA  1 
ATOM 13750 C C   . ILE B 2 830 ? 229.013 -47.622 308.003 1.0 51.01989  ? 830 ILE B C   830 ILE B C   1 
ATOM 13751 O O   . ILE B 2 830 ? 228.498 -46.633 308.541 1.0 51.01989  ? 830 ILE B O   830 ILE B O   1 
ATOM 13752 C CB  . ILE B 2 830 ? 229.489 -48.792 310.169 1.0 51.01989  ? 830 ILE B CB  830 ILE B CB  1 
ATOM 13753 C CG1 . ILE B 2 830 ? 230.527 -49.544 310.987 1.0 51.01989  ? 830 ILE B CG1 830 ILE B CG1 1 
ATOM 13754 C CG2 . ILE B 2 830 ? 228.237 -49.617 310.050 1.0 51.01989  ? 830 ILE B CG2 830 ILE B CG2 1 
ATOM 13755 C CD1 . ILE B 2 830 ? 230.910 -50.827 310.371 1.0 51.01989  ? 830 ILE B CD1 830 ILE B CD1 1 
ATOM 13756 N N   . PRO B 2 831 ? 228.695 -47.966 306.761 1.0 51.45028  ? 831 PRO B N   831 PRO B N   1 
ATOM 13757 C CA  . PRO B 2 831 ? 227.735 -47.161 306.003 1.0 51.45028  ? 831 PRO B CA  831 PRO B CA  1 
ATOM 13758 C C   . PRO B 2 831 ? 226.311 -47.429 306.457 1.0 51.45028  ? 831 PRO B C   831 PRO B C   1 
ATOM 13759 O O   . PRO B 2 831 ? 225.959 -48.545 306.844 1.0 51.45028  ? 831 PRO B O   831 PRO B O   1 
ATOM 13760 C CB  . PRO B 2 831 ? 227.954 -47.623 304.561 1.0 51.45028  ? 831 PRO B CB  831 PRO B CB  1 
ATOM 13761 C CG  . PRO B 2 831 ? 228.421 -49.017 304.704 1.0 51.45028  ? 831 PRO B CG  831 PRO B CG  1 
ATOM 13762 C CD  . PRO B 2 831 ? 229.247 -49.065 305.956 1.0 51.45028  ? 831 PRO B CD  831 PRO B CD  1 
ATOM 13763 N N   . PHE B 2 832 ? 225.492 -46.381 306.425 1.0 51.56789  ? 832 PHE B N   832 PHE B N   1 
ATOM 13764 C CA  . PHE B 2 832 ? 224.083 -46.487 306.789 1.0 51.56789  ? 832 PHE B CA  832 PHE B CA  1 
ATOM 13765 C C   . PHE B 2 832 ? 223.276 -46.590 305.501 1.0 51.56789  ? 832 PHE B C   832 PHE B C   1 
ATOM 13766 O O   . PHE B 2 832 ? 222.677 -45.631 305.022 1.0 51.56789  ? 832 PHE B O   832 PHE B O   1 
ATOM 13767 C CB  . PHE B 2 832 ? 223.656 -45.303 307.649 1.0 51.56789  ? 832 PHE B CB  832 PHE B CB  1 
ATOM 13768 C CG  . PHE B 2 832 ? 222.222 -45.357 308.093 1.0 51.56789  ? 832 PHE B CG  832 PHE B CG  1 
ATOM 13769 C CD1 . PHE B 2 832 ? 221.805 -46.302 309.011 1.0 51.56789  ? 832 PHE B CD1 832 PHE B CD1 1 
ATOM 13770 C CD2 . PHE B 2 832 ? 221.300 -44.438 307.621 1.0 51.56789  ? 832 PHE B CD2 832 PHE B CD2 1 
ATOM 13771 C CE1 . PHE B 2 832 ? 220.491 -46.352 309.425 1.0 51.56789  ? 832 PHE B CE1 832 PHE B CE1 1 
ATOM 13772 C CE2 . PHE B 2 832 ? 219.987 -44.478 308.036 1.0 51.56789  ? 832 PHE B CE2 832 PHE B CE2 1 
ATOM 13773 C CZ  . PHE B 2 832 ? 219.582 -45.436 308.938 1.0 51.56789  ? 832 PHE B CZ  832 PHE B CZ  1 
ATOM 13774 N N   . SER B 2 833 ? 223.289 -47.784 304.921 1.0 51.8489   ? 833 SER B N   833 SER B N   1 
ATOM 13775 C CA  . SER B 2 833 ? 222.501 -48.078 303.737 1.0 51.8489   ? 833 SER B CA  833 SER B CA  1 
ATOM 13776 C C   . SER B 2 833 ? 222.040 -49.524 303.825 1.0 51.8489   ? 833 SER B C   833 SER B C   1 
ATOM 13777 O O   . SER B 2 833 ? 222.493 -50.286 304.683 1.0 51.8489   ? 833 SER B O   833 SER B O   1 
ATOM 13778 C CB  . SER B 2 833 ? 223.294 -47.812 302.455 1.0 51.8489   ? 833 SER B CB  833 SER B CB  1 
ATOM 13779 O OG  . SER B 2 833 ? 222.524 -48.135 301.314 1.0 51.8489   ? 833 SER B OG  833 SER B OG  1 
ATOM 13780 N N   . SER B 2 834 ? 221.121 -49.897 302.932 1.0 53.11115  ? 834 SER B N   834 SER B N   1 
ATOM 13781 C CA  . SER B 2 834 ? 220.442 -51.186 303.016 1.0 53.11115  ? 834 SER B CA  834 SER B CA  1 
ATOM 13782 C C   . SER B 2 834 ? 221.391 -52.331 302.689 1.0 53.11115  ? 834 SER B C   834 SER B C   1 
ATOM 13783 O O   . SER B 2 834 ? 221.656 -53.184 303.541 1.0 53.11115  ? 834 SER B O   834 SER B O   1 
ATOM 13784 C CB  . SER B 2 834 ? 219.241 -51.208 302.076 1.0 53.11115  ? 834 SER B CB  834 SER B CB  1 
ATOM 13785 O OG  . SER B 2 834 ? 218.282 -50.235 302.445 1.0 53.11115  ? 834 SER B OG  834 SER B OG  1 
ATOM 13786 N N   . ASN B 2 835 ? 221.894 -52.367 301.463 1.0 52.44421  ? 835 ASN B N   835 ASN B N   1 
ATOM 13787 C CA  . ASN B 2 835 ? 223.154 -53.037 301.210 1.0 52.44421  ? 835 ASN B CA  835 ASN B CA  1 
ATOM 13788 C C   . ASN B 2 835 ? 224.276 -52.107 301.646 1.0 52.44421  ? 835 ASN B C   835 ASN B C   1 
ATOM 13789 O O   . ASN B 2 835 ? 224.101 -50.891 301.712 1.0 52.44421  ? 835 ASN B O   835 ASN B O   1 
ATOM 13790 C CB  . ASN B 2 835 ? 223.278 -53.429 299.735 1.0 52.44421  ? 835 ASN B CB  835 ASN B CB  1 
ATOM 13791 C CG  . ASN B 2 835 ? 223.008 -52.273 298.783 1.0 52.44421  ? 835 ASN B CG  835 ASN B CG  1 
ATOM 13792 O OD1 . ASN B 2 835 ? 222.714 -51.154 299.197 1.0 52.44421  ? 835 ASN B OD1 835 ASN B OD1 1 
ATOM 13793 N ND2 . ASN B 2 835 ? 223.123 -52.544 297.491 1.0 52.44421  ? 835 ASN B ND2 835 ASN B ND2 1 
ATOM 13794 N N   . PHE B 2 836 ? 225.433 -52.675 301.965 1.0 51.69892  ? 836 PHE B N   836 PHE B N   1 
ATOM 13795 C CA  . PHE B 2 836 ? 226.473 -51.896 302.622 1.0 51.69892  ? 836 PHE B CA  836 PHE B CA  1 
ATOM 13796 C C   . PHE B 2 836 ? 227.403 -51.195 301.646 1.0 51.69892  ? 836 PHE B C   836 PHE B C   1 
ATOM 13797 O O   . PHE B 2 836 ? 228.562 -50.937 301.984 1.0 51.69892  ? 836 PHE B O   836 PHE B O   1 
ATOM 13798 C CB  . PHE B 2 836 ? 227.266 -52.780 303.574 1.0 51.69892  ? 836 PHE B CB  836 PHE B CB  1 
ATOM 13799 C CG  . PHE B 2 836 ? 226.466 -53.260 304.734 1.0 51.69892  ? 836 PHE B CG  836 PHE B CG  1 
ATOM 13800 C CD1 . PHE B 2 836 ? 226.166 -52.406 305.777 1.0 51.69892  ? 836 PHE B CD1 836 PHE B CD1 1 
ATOM 13801 C CD2 . PHE B 2 836 ? 226.009 -54.561 304.781 1.0 51.69892  ? 836 PHE B CD2 836 PHE B CD2 1 
ATOM 13802 C CE1 . PHE B 2 836 ? 225.425 -52.841 306.847 1.0 51.69892  ? 836 PHE B CE1 836 PHE B CE1 1 
ATOM 13803 C CE2 . PHE B 2 836 ? 225.265 -55.004 305.852 1.0 51.69892  ? 836 PHE B CE2 836 PHE B CE2 1 
ATOM 13804 C CZ  . PHE B 2 836 ? 224.973 -54.142 306.885 1.0 51.69892  ? 836 PHE B CZ  836 PHE B CZ  1 
ATOM 13805 N N   . LEU B 2 837 ? 226.927 -50.881 300.450 1.0 51.04225  ? 837 LEU B N   837 LEU B N   1 
ATOM 13806 C CA  . LEU B 2 837 ? 227.717 -50.201 299.440 1.0 51.04225  ? 837 LEU B CA  837 LEU B CA  1 
ATOM 13807 C C   . LEU B 2 837 ? 227.153 -48.812 299.173 1.0 51.04225  ? 837 LEU B C   837 LEU B C   1 
ATOM 13808 O O   . LEU B 2 837 ? 226.200 -48.365 299.814 1.0 51.04225  ? 837 LEU B O   837 LEU B O   1 
ATOM 13809 C CB  . LEU B 2 837 ? 227.782 -51.047 298.163 1.0 51.04225  ? 837 LEU B CB  837 LEU B CB  1 
ATOM 13810 C CG  . LEU B 2 837 ? 226.507 -51.551 297.489 1.0 51.04225  ? 837 LEU B CG  837 LEU B CG  1 
ATOM 13811 C CD1 . LEU B 2 837 ? 225.973 -50.587 296.450 1.0 51.04225  ? 837 LEU B CD1 837 LEU B CD1 1 
ATOM 13812 C CD2 . LEU B 2 837 ? 226.780 -52.903 296.868 1.0 51.04225  ? 837 LEU B CD2 837 LEU B CD2 1 
ATOM 13813 N N   . ASN B 2 838 ? 227.760 -48.134 298.204 1.0 53.1389   ? 838 ASN B N   838 ASN B N   1 
ATOM 13814 C CA  . ASN B 2 838 ? 227.490 -46.728 297.929 1.0 53.1389   ? 838 ASN B CA  838 ASN B CA  1 
ATOM 13815 C C   . ASN B 2 838 ? 226.684 -46.614 296.640 1.0 53.1389   ? 838 ASN B C   838 ASN B C   1 
ATOM 13816 O O   . ASN B 2 838 ? 227.235 -46.737 295.542 1.0 53.1389   ? 838 ASN B O   838 ASN B O   1 
ATOM 13817 C CB  . ASN B 2 838 ? 228.796 -45.943 297.823 1.0 53.1389   ? 838 ASN B CB  838 ASN B CB  1 
ATOM 13818 C CG  . ASN B 2 838 ? 228.583 -44.439 297.835 1.0 53.1389   ? 838 ASN B CG  838 ASN B CG  1 
ATOM 13819 O OD1 . ASN B 2 838 ? 227.459 -43.957 297.955 1.0 53.1389   ? 838 ASN B OD1 838 ASN B OD1 1 
ATOM 13820 N ND2 . ASN B 2 838 ? 229.671 -43.687 297.703 1.0 53.1389   ? 838 ASN B ND2 838 ASN B ND2 1 
ATOM 13821 N N   . MET B 2 839 ? 225.386 -46.358 296.773 1.0 51.96846  ? 839 MET B N   839 MET B N   1 
ATOM 13822 C CA  . MET B 2 839 ? 224.564 -46.006 295.628 1.0 51.96846  ? 839 MET B CA  839 MET B CA  1 
ATOM 13823 C C   . MET B 2 839 ? 224.343 -44.509 295.500 1.0 51.96846  ? 839 MET B C   839 MET B C   1 
ATOM 13824 O O   . MET B 2 839 ? 223.958 -44.045 294.423 1.0 51.96846  ? 839 MET B O   839 MET B O   1 
ATOM 13825 C CB  . MET B 2 839 ? 223.205 -46.708 295.705 1.0 51.96846  ? 839 MET B CB  839 MET B CB  1 
ATOM 13826 C CG  . MET B 2 839 ? 223.277 -48.201 295.513 1.0 51.96846  ? 839 MET B CG  839 MET B CG  1 
ATOM 13827 S SD  . MET B 2 839 ? 221.661 -48.985 295.534 1.0 51.96846  ? 839 MET B SD  839 MET B SD  1 
ATOM 13828 C CE  . MET B 2 839 ? 221.271 -48.867 297.273 1.0 51.96846  ? 839 MET B CE  839 MET B CE  1 
ATOM 13829 N N   . GLY B 2 840 ? 224.579 -43.752 296.561 1.0 51.44287  ? 840 GLY B N   840 GLY B N   1 
ATOM 13830 C CA  . GLY B 2 840 ? 224.391 -42.318 296.519 1.0 51.44287  ? 840 GLY B CA  840 GLY B CA  1 
ATOM 13831 C C   . GLY B 2 840 ? 224.936 -41.682 297.775 1.0 51.44287  ? 840 GLY B C   840 GLY B C   1 
ATOM 13832 O O   . GLY B 2 840 ? 225.136 -42.350 298.794 1.0 51.44287  ? 840 GLY B O   840 GLY B O   1 
ATOM 13833 N N   . THR B 2 841 ? 225.192 -40.375 297.680 1.0 49.59489  ? 841 THR B N   841 THR B N   1 
ATOM 13834 C CA  . THR B 2 841 ? 225.629 -39.621 298.851 1.0 49.59489  ? 841 THR B CA  841 THR B CA  1 
ATOM 13835 C C   . THR B 2 841 ? 224.519 -39.547 299.889 1.0 49.59489  ? 841 THR B C   841 THR B C   1 
ATOM 13836 O O   . THR B 2 841 ? 224.755 -39.768 301.082 1.0 49.59489  ? 841 THR B O   841 THR B O   1 
ATOM 13837 C CB  . THR B 2 841 ? 226.071 -38.219 298.436 1.0 49.59489  ? 841 THR B CB  841 THR B CB  1 
ATOM 13838 O OG1 . THR B 2 841 ? 227.140 -38.316 297.489 1.0 49.59489  ? 841 THR B OG1 841 THR B OG1 1 
ATOM 13839 C CG2 . THR B 2 841 ? 226.553 -37.430 299.635 1.0 49.59489  ? 841 THR B CG2 841 THR B CG2 1 
ATOM 13840 N N   . LEU B 2 842 ? 223.302 -39.262 299.446 1.0 50.04447  ? 842 LEU B N   842 LEU B N   1 
ATOM 13841 C CA  . LEU B 2 842 ? 222.118 -39.297 300.297 1.0 50.04447  ? 842 LEU B CA  842 LEU B CA  1 
ATOM 13842 C C   . LEU B 2 842 ? 221.548 -40.705 300.225 1.0 50.04447  ? 842 LEU B C   842 LEU B C   1 
ATOM 13843 O O   . LEU B 2 842 ? 220.863 -41.056 299.265 1.0 50.04447  ? 842 LEU B O   842 LEU B O   1 
ATOM 13844 C CB  . LEU B 2 842 ? 221.113 -38.250 299.840 1.0 50.04447  ? 842 LEU B CB  842 LEU B CB  1 
ATOM 13845 C CG  . LEU B 2 842 ? 219.805 -38.148 300.604 1.0 50.04447  ? 842 LEU B CG  842 LEU B CG  1 
ATOM 13846 C CD1 . LEU B 2 842 ? 220.092 -37.889 302.041 1.0 50.04447  ? 842 LEU B CD1 842 LEU B CD1 1 
ATOM 13847 C CD2 . LEU B 2 842 ? 219.004 -37.010 300.035 1.0 50.04447  ? 842 LEU B CD2 842 LEU B CD2 1 
ATOM 13848 N N   . THR B 2 843 ? 221.823 -41.508 301.251 1.0 52.19088  ? 843 THR B N   843 THR B N   1 
ATOM 13849 C CA  . THR B 2 843 ? 221.581 -42.943 301.214 1.0 52.19088  ? 843 THR B CA  843 THR B CA  1 
ATOM 13850 C C   . THR B 2 843 ? 220.089 -43.258 301.252 1.0 52.19088  ? 843 THR B C   843 THR B C   1 
ATOM 13851 O O   . THR B 2 843 ? 219.251 -42.404 301.539 1.0 52.19088  ? 843 THR B O   843 THR B O   1 
ATOM 13852 C CB  . THR B 2 843 ? 222.274 -43.622 302.385 1.0 52.19088  ? 843 THR B CB  843 THR B CB  1 
ATOM 13853 O OG1 . THR B 2 843 ? 221.719 -43.127 303.607 1.0 52.19088  ? 843 THR B OG1 843 THR B OG1 1 
ATOM 13854 C CG2 . THR B 2 843 ? 223.752 -43.315 302.358 1.0 52.19088  ? 843 THR B CG2 843 THR B CG2 1 
ATOM 13855 N N   . ASP B 2 844 ? 219.762 -44.520 300.963 1.0 54.45412  ? 844 ASP B N   844 ASP B N   1 
ATOM 13856 C CA  . ASP B 2 844 ? 218.364 -44.923 300.867 1.0 54.45412  ? 844 ASP B CA  844 ASP B CA  1 
ATOM 13857 C C   . ASP B 2 844 ? 217.704 -45.045 302.235 1.0 54.45412  ? 844 ASP B C   844 ASP B C   1 
ATOM 13858 O O   . ASP B 2 844 ? 216.540 -44.663 302.397 1.0 54.45412  ? 844 ASP B O   844 ASP B O   1 
ATOM 13859 C CB  . ASP B 2 844 ? 218.240 -46.231 300.080 1.0 54.45412  ? 844 ASP B CB  844 ASP B CB  1 
ATOM 13860 C CG  . ASP B 2 844 ? 219.085 -47.356 300.648 1.0 54.45412  ? 844 ASP B CG  844 ASP B CG  1 
ATOM 13861 O OD1 . ASP B 2 844 ? 219.888 -47.115 301.570 1.0 54.45412  ? 844 ASP B OD1 844 ASP B OD1 1 
ATOM 13862 O OD2 . ASP B 2 844 ? 218.932 -48.500 300.170 1.0 54.45412  ? 844 ASP B OD2 844 ASP B OD2 1 
ATOM 13863 N N   . LEU B 2 845 ? 218.418 -45.570 303.228 1.0 52.48353  ? 845 LEU B N   845 LEU B N   1 
ATOM 13864 C CA  . LEU B 2 845 ? 217.873 -45.590 304.577 1.0 52.48353  ? 845 LEU B CA  845 LEU B CA  1 
ATOM 13865 C C   . LEU B 2 845 ? 217.915 -44.220 305.231 1.0 52.48353  ? 845 LEU B C   845 LEU B C   1 
ATOM 13866 O O   . LEU B 2 845 ? 217.127 -43.961 306.145 1.0 52.48353  ? 845 LEU B O   845 LEU B O   1 
ATOM 13867 C CB  . LEU B 2 845 ? 218.621 -46.600 305.444 1.0 52.48353  ? 845 LEU B CB  845 LEU B CB  1 
ATOM 13868 C CG  . LEU B 2 845 ? 218.421 -48.067 305.080 1.0 52.48353  ? 845 LEU B CG  845 LEU B CG  1 
ATOM 13869 C CD1 . LEU B 2 845 ? 219.255 -48.949 305.983 1.0 52.48353  ? 845 LEU B CD1 845 LEU B CD1 1 
ATOM 13870 C CD2 . LEU B 2 845 ? 216.955 -48.431 305.178 1.0 52.48353  ? 845 LEU B CD2 845 LEU B CD2 1 
ATOM 13871 N N   . GLY B 2 846 ? 218.806 -43.338 304.779 1.0 53.30762  ? 846 GLY B N   846 GLY B N   1 
ATOM 13872 C CA  . GLY B 2 846 ? 218.837 -41.985 305.296 1.0 53.30762  ? 846 GLY B CA  846 GLY B CA  1 
ATOM 13873 C C   . GLY B 2 846 ? 217.674 -41.131 304.848 1.0 53.30762  ? 846 GLY B C   846 GLY B C   1 
ATOM 13874 O O   . GLY B 2 846 ? 217.355 -40.142 305.512 1.0 53.30762  ? 846 GLY B O   846 GLY B O   1 
ATOM 13875 N N   . GLN B 2 847 ? 217.031 -41.487 303.738 1.0 53.04755  ? 847 GLN B N   847 GLN B N   1 
ATOM 13876 C CA  . GLN B 2 847 ? 215.877 -40.723 303.286 1.0 53.04755  ? 847 GLN B CA  847 GLN B CA  1 
ATOM 13877 C C   . GLN B 2 847 ? 214.616 -41.097 304.037 1.0 53.04755  ? 847 GLN B C   847 GLN B C   1 
ATOM 13878 O O   . GLN B 2 847 ? 213.724 -40.256 304.190 1.0 53.04755  ? 847 GLN B O   847 GLN B O   1 
ATOM 13879 C CB  . GLN B 2 847 ? 215.640 -40.933 301.799 1.0 53.04755  ? 847 GLN B CB  847 GLN B CB  1 
ATOM 13880 C CG  . GLN B 2 847 ? 216.740 -40.417 300.944 1.0 53.04755  ? 847 GLN B CG  847 GLN B CG  1 
ATOM 13881 C CD  . GLN B 2 847 ? 216.459 -40.633 299.495 1.0 53.04755  ? 847 GLN B CD  847 GLN B CD  1 
ATOM 13882 O OE1 . GLN B 2 847 ? 215.394 -41.109 299.126 1.0 53.04755  ? 847 GLN B OE1 847 GLN B OE1 1 
ATOM 13883 N NE2 . GLN B 2 847 ? 217.427 -40.327 298.663 1.0 53.04755  ? 847 GLN B NE2 847 GLN B NE2 1 
ATOM 13884 N N   . ASN B 2 848 ? 214.510 -42.334 304.514 1.0 56.2991   ? 848 ASN B N   848 ASN B N   1 
ATOM 13885 C CA  . ASN B 2 848 ? 213.312 -42.737 305.245 1.0 56.2991   ? 848 ASN B CA  848 ASN B CA  1 
ATOM 13886 C C   . ASN B 2 848 ? 213.387 -42.377 306.718 1.0 56.2991   ? 848 ASN B C   848 ASN B C   1 
ATOM 13887 O O   . ASN B 2 848 ? 213.050 -43.197 307.575 1.0 56.2991   ? 848 ASN B O   848 ASN B O   1 
ATOM 13888 C CB  . ASN B 2 848 ? 213.096 -44.236 305.072 1.0 56.2991   ? 848 ASN B CB  848 ASN B CB  1 
ATOM 13889 C CG  . ASN B 2 848 ? 212.705 -44.611 303.662 1.0 56.2991   ? 848 ASN B CG  848 ASN B CG  1 
ATOM 13890 O OD1 . ASN B 2 848 ? 211.884 -43.946 303.035 1.0 56.2991   ? 848 ASN B OD1 848 ASN B OD1 1 
ATOM 13891 N ND2 . ASN B 2 848 ? 213.295 -45.685 303.151 1.0 56.2991   ? 848 ASN B ND2 848 ASN B ND2 1 
ATOM 13892 N N   . VAL B 2 849 ? 213.823 -41.160 307.049 1.0 61.9699   ? 849 VAL B N   849 VAL B N   1 
ATOM 13893 C CA  . VAL B 2 849 ? 213.558 -40.542 308.340 1.0 61.9699   ? 849 VAL B CA  849 VAL B CA  1 
ATOM 13894 C C   . VAL B 2 849 ? 213.024 -39.152 308.009 1.0 61.9699   ? 849 VAL B C   849 VAL B C   1 
ATOM 13895 O O   . VAL B 2 849 ? 213.776 -38.170 307.999 1.0 61.9699   ? 849 VAL B O   849 VAL B O   1 
ATOM 13896 C CB  . VAL B 2 849 ? 214.831 -40.476 309.218 1.0 61.9699   ? 849 VAL B CB  849 VAL B CB  1 
ATOM 13897 C CG1 . VAL B 2 849 ? 214.535 -39.911 310.603 1.0 61.9699   ? 849 VAL B CG1 849 VAL B CG1 1 
ATOM 13898 C CG2 . VAL B 2 849 ? 215.520 -41.834 309.348 1.0 61.9699   ? 849 VAL B CG2 849 VAL B CG2 1 
ATOM 13899 N N   . MET B 2 850 ? 211.730 -39.067 307.686 1.0 70.70689  ? 850 MET B N   850 MET B N   1 
ATOM 13900 C CA  . MET B 2 850 ? 211.024 -37.801 307.501 1.0 70.70689  ? 850 MET B CA  850 MET B CA  1 
ATOM 13901 C C   . MET B 2 850 ? 209.602 -37.868 308.045 1.0 70.70689  ? 850 MET B C   850 MET B C   1 
ATOM 13902 O O   . MET B 2 850 ? 209.009 -36.839 308.381 1.0 70.70689  ? 850 MET B O   850 MET B O   1 
ATOM 13903 C CB  . MET B 2 850 ? 210.970 -37.406 306.022 1.0 70.70689  ? 850 MET B CB  850 MET B CB  1 
ATOM 13904 C CG  . MET B 2 850 ? 212.281 -36.958 305.400 1.0 70.70689  ? 850 MET B CG  850 MET B CG  1 
ATOM 13905 S SD  . MET B 2 850 ? 212.952 -35.497 306.214 1.0 70.70689  ? 850 MET B SD  850 MET B SD  1 
ATOM 13906 C CE  . MET B 2 850 ? 211.781 -34.243 305.698 1.0 70.70689  ? 850 MET B CE  850 MET B CE  1 
ATOM 13907 N N   . TYR B 2 851 ? 209.057 -39.081 308.130 1.0 81.78021  ? 851 TYR B N   851 TYR B N   1 
ATOM 13908 C CA  . TYR B 2 851 ? 207.611 -39.276 308.205 1.0 81.78021  ? 851 TYR B CA  851 TYR B CA  1 
ATOM 13909 C C   . TYR B 2 851 ? 207.110 -39.233 309.645 1.0 81.78021  ? 851 TYR B C   851 TYR B C   1 
ATOM 13910 O O   . TYR B 2 851 ? 207.623 -39.947 310.513 1.0 81.78021  ? 851 TYR B O   851 TYR B O   1 
ATOM 13911 C CB  . TYR B 2 851 ? 207.247 -40.619 307.561 1.0 81.78021  ? 851 TYR B CB  851 TYR B CB  1 
ATOM 13912 C CG  . TYR B 2 851 ? 205.762 -40.927 307.454 1.0 81.78021  ? 851 TYR B CG  851 TYR B CG  1 
ATOM 13913 C CD1 . TYR B 2 851 ? 204.979 -40.339 306.461 1.0 81.78021  ? 851 TYR B CD1 851 TYR B CD1 1 
ATOM 13914 C CD2 . TYR B 2 851 ? 205.151 -41.823 308.326 1.0 81.78021  ? 851 TYR B CD2 851 TYR B CD2 1 
ATOM 13915 C CE1 . TYR B 2 851 ? 203.629 -40.626 306.346 1.0 81.78021  ? 851 TYR B CE1 851 TYR B CE1 1 
ATOM 13916 C CE2 . TYR B 2 851 ? 203.798 -42.114 308.220 1.0 81.78021  ? 851 TYR B CE2 851 TYR B CE2 1 
ATOM 13917 C CZ  . TYR B 2 851 ? 203.045 -41.510 307.226 1.0 81.78021  ? 851 TYR B CZ  851 TYR B CZ  1 
ATOM 13918 O OH  . TYR B 2 851 ? 201.703 -41.789 307.109 1.0 81.78021  ? 851 TYR B OH  851 TYR B OH  1 
ATOM 13919 N N   . ALA B 2 852 ? 206.080 -38.406 309.872 1.0 78.27538  ? 852 ALA B N   852 ALA B N   1 
ATOM 13920 C CA  . ALA B 2 852 ? 205.438 -38.185 311.176 1.0 78.27538  ? 852 ALA B CA  852 ALA B CA  1 
ATOM 13921 C C   . ALA B 2 852 ? 206.448 -37.762 312.241 1.0 78.27538  ? 852 ALA B C   852 ALA B C   1 
ATOM 13922 O O   . ALA B 2 852 ? 206.523 -38.347 313.325 1.0 78.27538  ? 852 ALA B O   852 ALA B O   1 
ATOM 13923 C CB  . ALA B 2 852 ? 204.647 -39.414 311.625 1.0 78.27538  ? 852 ALA B CB  852 ALA B CB  1 
ATOM 13924 N N   . ASN B 2 853 ? 207.299 -36.795 311.863 1.0 77.57967  ? 853 ASN B N   853 ASN B N   1 
ATOM 13925 C CA  . ASN B 2 853 ? 208.262 -36.026 312.665 1.0 77.57967  ? 853 ASN B CA  853 ASN B CA  1 
ATOM 13926 C C   . ASN B 2 853 ? 209.482 -36.848 313.095 1.0 77.57967  ? 853 ASN B C   853 ASN B C   1 
ATOM 13927 O O   . ASN B 2 853 ? 210.469 -36.275 313.560 1.0 77.57967  ? 853 ASN B O   853 ASN B O   1 
ATOM 13928 C CB  . ASN B 2 853 ? 207.576 -35.414 313.896 1.0 77.57967  ? 853 ASN B CB  853 ASN B CB  1 
ATOM 13929 C CG  . ASN B 2 853 ? 208.293 -34.191 314.423 1.0 77.57967  ? 853 ASN B CG  853 ASN B CG  1 
ATOM 13930 O OD1 . ASN B 2 853 ? 209.225 -33.684 313.799 1.0 77.57967  ? 853 ASN B OD1 853 ASN B OD1 1 
ATOM 13931 N ND2 . ASN B 2 853 ? 207.876 -33.723 315.592 1.0 77.57967  ? 853 ASN B ND2 853 ASN B ND2 1 
ATOM 13932 N N   . SER B 2 854 ? 209.417 -38.175 312.920 1.0 73.59906  ? 854 SER B N   854 SER B N   1 
ATOM 13933 C CA  . SER B 2 854 ? 210.514 -39.144 312.826 1.0 73.59906  ? 854 SER B CA  854 SER B CA  1 
ATOM 13934 C C   . SER B 2 854 ? 211.673 -38.977 313.806 1.0 73.59906  ? 854 SER B C   854 SER B C   1 
ATOM 13935 O O   . SER B 2 854 ? 212.804 -38.722 313.383 1.0 73.59906  ? 854 SER B O   854 SER B O   1 
ATOM 13936 C CB  . SER B 2 854 ? 211.064 -39.135 311.403 1.0 73.59906  ? 854 SER B CB  854 SER B CB  1 
ATOM 13937 O OG  . SER B 2 854 ? 211.707 -37.903 311.132 1.0 73.59906  ? 854 SER B OG  854 SER B OG  1 
ATOM 13938 N N   . SER B 2 855 ? 211.415 -39.112 315.104 1.0 70.88237  ? 855 SER B N   855 SER B N   1 
ATOM 13939 C CA  . SER B 2 855 ? 212.461 -38.943 316.102 1.0 70.88237  ? 855 SER B CA  855 SER B CA  1 
ATOM 13940 C C   . SER B 2 855 ? 212.960 -40.307 316.553 1.0 70.88237  ? 855 SER B C   855 SER B C   1 
ATOM 13941 O O   . SER B 2 855 ? 212.164 -41.150 316.974 1.0 70.88237  ? 855 SER B O   855 SER B O   1 
ATOM 13942 C CB  . SER B 2 855 ? 211.954 -38.141 317.302 1.0 70.88237  ? 855 SER B CB  855 SER B CB  1 
ATOM 13943 O OG  . SER B 2 855 ? 211.588 -36.830 316.915 1.0 70.88237  ? 855 SER B OG  855 SER B OG  1 
ATOM 13944 N N   . HIS B 2 856 ? 214.272 -40.519 316.472 1.0 66.72691  ? 856 HIS B N   856 HIS B N   1 
ATOM 13945 C CA  . HIS B 2 856 ? 214.888 -41.779 316.858 1.0 66.72691  ? 856 HIS B CA  856 HIS B CA  1 
ATOM 13946 C C   . HIS B 2 856 ? 216.062 -41.523 317.787 1.0 66.72691  ? 856 HIS B C   856 HIS B C   1 
ATOM 13947 O O   . HIS B 2 856 ? 216.773 -40.525 317.663 1.0 66.72691  ? 856 HIS B O   856 HIS B O   1 
ATOM 13948 C CB  . HIS B 2 856 ? 215.398 -42.570 315.652 1.0 66.72691  ? 856 HIS B CB  856 HIS B CB  1 
ATOM 13949 C CG  . HIS B 2 856 ? 214.322 -43.046 314.734 1.0 66.72691  ? 856 HIS B CG  856 HIS B CG  1 
ATOM 13950 N ND1 . HIS B 2 856 ? 213.848 -42.284 313.690 1.0 66.72691  ? 856 HIS B ND1 856 HIS B ND1 1 
ATOM 13951 C CD2 . HIS B 2 856 ? 213.643 -44.216 314.688 1.0 66.72691  ? 856 HIS B CD2 856 HIS B CD2 1 
ATOM 13952 C CE1 . HIS B 2 856 ? 212.913 -42.958 313.046 1.0 66.72691  ? 856 HIS B CE1 856 HIS B CE1 1 
ATOM 13953 N NE2 . HIS B 2 856 ? 212.769 -44.134 313.632 1.0 66.72691  ? 856 HIS B NE2 856 HIS B NE2 1 
ATOM 13954 N N   . SER B 2 857 ? 216.272 -42.459 318.707 1.0 62.03713  ? 857 SER B N   857 SER B N   1 
ATOM 13955 C CA  . SER B 2 857 ? 217.450 -42.495 319.561 1.0 62.03713  ? 857 SER B CA  857 SER B CA  1 
ATOM 13956 C C   . SER B 2 857 ? 218.225 -43.757 319.224 1.0 62.03713  ? 857 SER B C   857 SER B C   1 
ATOM 13957 O O   . SER B 2 857 ? 217.701 -44.628 318.525 1.0 62.03713  ? 857 SER B O   857 SER B O   1 
ATOM 13958 C CB  . SER B 2 857 ? 217.058 -42.486 321.035 1.0 62.03713  ? 857 SER B CB  857 SER B CB  1 
ATOM 13959 O OG  . SER B 2 857 ? 216.368 -43.673 321.373 1.0 62.03713  ? 857 SER B OG  857 SER B OG  1 
ATOM 13960 N N   . LEU B 2 858 ? 219.469 -43.855 319.693 1.0 59.39437  ? 858 LEU B N   858 LEU B N   1 
ATOM 13961 C CA  . LEU B 2 858 ? 220.240 -45.088 319.559 1.0 59.39437  ? 858 LEU B CA  858 LEU B CA  1 
ATOM 13962 C C   . LEU B 2 858 ? 221.324 -45.124 320.621 1.0 59.39437  ? 858 LEU B C   858 LEU B C   1 
ATOM 13963 O O   . LEU B 2 858 ? 221.735 -44.076 321.127 1.0 59.39437  ? 858 LEU B O   858 LEU B O   1 
ATOM 13964 C CB  . LEU B 2 858 ? 220.875 -45.229 318.171 1.0 59.39437  ? 858 LEU B CB  858 LEU B CB  1 
ATOM 13965 C CG  . LEU B 2 858 ? 222.249 -44.627 317.867 1.0 59.39437  ? 858 LEU B CG  858 LEU B CG  1 
ATOM 13966 C CD1 . LEU B 2 858 ? 222.780 -45.189 316.558 1.0 59.39437  ? 858 LEU B CD1 858 LEU B CD1 1 
ATOM 13967 C CD2 . LEU B 2 858 ? 222.214 -43.129 317.819 1.0 59.39437  ? 858 LEU B CD2 858 LEU B CD2 1 
ATOM 13968 N N   . ASN B 2 859 ? 221.776 -46.324 320.961 1.0 58.18769  ? 859 ASN B N   859 ASN B N   1 
ATOM 13969 C CA  . ASN B 2 859 ? 222.968 -46.517 321.767 1.0 58.18769  ? 859 ASN B CA  859 ASN B CA  1 
ATOM 13970 C C   . ASN B 2 859 ? 223.856 -47.577 321.131 1.0 58.18769  ? 859 ASN B C   859 ASN B C   1 
ATOM 13971 O O   . ASN B 2 859 ? 223.382 -48.456 320.408 1.0 58.18769  ? 859 ASN B O   859 ASN B O   1 
ATOM 13972 C CB  . ASN B 2 859 ? 222.624 -46.899 323.214 1.0 58.18769  ? 859 ASN B CB  859 ASN B CB  1 
ATOM 13973 C CG  . ASN B 2 859 ? 221.728 -48.118 323.319 1.0 58.18769  ? 859 ASN B CG  859 ASN B CG  1 
ATOM 13974 O OD1 . ASN B 2 859 ? 221.261 -48.665 322.322 1.0 58.18769  ? 859 ASN B OD1 859 ASN B OD1 1 
ATOM 13975 N ND2 . ASN B 2 859 ? 221.514 -48.574 324.546 1.0 58.18769  ? 859 ASN B ND2 859 ASN B ND2 1 
ATOM 13976 N N   . MET B 2 860 ? 225.152 -47.476 321.387 1.0 57.7643   ? 860 MET B N   860 MET B N   1 
ATOM 13977 C CA  . MET B 2 860 ? 226.120 -48.421 320.858 1.0 57.7643   ? 860 MET B CA  860 MET B CA  1 
ATOM 13978 C C   . MET B 2 860 ? 227.034 -48.888 321.974 1.0 57.7643   ? 860 MET B C   860 MET B C   1 
ATOM 13979 O O   . MET B 2 860 ? 227.457 -48.101 322.823 1.0 57.7643   ? 860 MET B O   860 MET B O   1 
ATOM 13980 C CB  . MET B 2 860 ? 226.952 -47.824 319.716 1.0 57.7643   ? 860 MET B CB  860 MET B CB  1 
ATOM 13981 C CG  . MET B 2 860 ? 226.175 -47.620 318.435 1.0 57.7643   ? 860 MET B CG  860 MET B CG  1 
ATOM 13982 S SD  . MET B 2 860 ? 227.122 -46.829 317.125 1.0 57.7643   ? 860 MET B SD  860 MET B SD  1 
ATOM 13983 C CE  . MET B 2 860 ? 227.021 -45.129 317.655 1.0 57.7643   ? 860 MET B CE  860 MET B CE  1 
ATOM 13984 N N   . GLN B 2 861 ? 227.324 -50.185 321.970 1.0 57.66123  ? 861 GLN B N   861 GLN B N   1 
ATOM 13985 C CA  . GLN B 2 861 ? 228.145 -50.818 322.995 1.0 57.66123  ? 861 GLN B CA  861 GLN B CA  1 
ATOM 13986 C C   . GLN B 2 861 ? 229.355 -51.428 322.310 1.0 57.66123  ? 861 GLN B C   861 GLN B C   1 
ATOM 13987 O O   . GLN B 2 861 ? 229.269 -52.537 321.773 1.0 57.66123  ? 861 GLN B O   861 GLN B O   1 
ATOM 13988 C CB  . GLN B 2 861 ? 227.362 -51.889 323.751 1.0 57.66123  ? 861 GLN B CB  861 GLN B CB  1 
ATOM 13989 C CG  . GLN B 2 861 ? 226.208 -51.368 324.570 1.0 57.66123  ? 861 GLN B CG  861 GLN B CG  1 
ATOM 13990 C CD  . GLN B 2 861 ? 225.452 -52.479 325.270 1.0 57.66123  ? 861 GLN B CD  861 GLN B CD  1 
ATOM 13991 O OE1 . GLN B 2 861 ? 225.760 -53.658 325.100 1.0 57.66123  ? 861 GLN B OE1 861 GLN B OE1 1 
ATOM 13992 N NE2 . GLN B 2 861 ? 224.452 -52.107 326.060 1.0 57.66123  ? 861 GLN B NE2 861 GLN B NE2 1 
ATOM 13993 N N   . PHE B 2 862 ? 230.474 -50.715 322.327 1.0 56.95881  ? 862 PHE B N   862 PHE B N   1 
ATOM 13994 C CA  . PHE B 2 862 ? 231.701 -51.197 321.712 1.0 56.95881  ? 862 PHE B CA  862 PHE B CA  1 
ATOM 13995 C C   . PHE B 2 862 ? 232.439 -52.083 322.703 1.0 56.95881  ? 862 PHE B C   862 PHE B C   1 
ATOM 13996 O O   . PHE B 2 862 ? 232.176 -52.056 323.906 1.0 56.95881  ? 862 PHE B O   862 PHE B O   1 
ATOM 13997 C CB  . PHE B 2 862 ? 232.609 -50.042 321.274 1.0 56.95881  ? 862 PHE B CB  862 PHE B CB  1 
ATOM 13998 C CG  . PHE B 2 862 ? 232.061 -49.205 320.143 1.0 56.95881  ? 862 PHE B CG  862 PHE B CG  1 
ATOM 13999 C CD1 . PHE B 2 862 ? 230.967 -49.604 319.403 1.0 56.95881  ? 862 PHE B CD1 862 PHE B CD1 1 
ATOM 14000 C CD2 . PHE B 2 862 ? 232.675 -48.017 319.807 1.0 56.95881  ? 862 PHE B CD2 862 PHE B CD2 1 
ATOM 14001 C CE1 . PHE B 2 862 ? 230.476 -48.816 318.383 1.0 56.95881  ? 862 PHE B CE1 862 PHE B CE1 1 
ATOM 14002 C CE2 . PHE B 2 862 ? 232.194 -47.231 318.776 1.0 56.95881  ? 862 PHE B CE2 862 PHE B CE2 1 
ATOM 14003 C CZ  . PHE B 2 862 ? 231.101 -47.640 318.063 1.0 56.95881  ? 862 PHE B CZ  862 PHE B CZ  1 
ATOM 14004 N N   . THR B 2 863 ? 233.372 -52.879 322.190 1.0 60.005    ? 863 THR B N   863 THR B N   1 
ATOM 14005 C CA  . THR B 2 863 ? 234.169 -53.763 323.037 1.0 60.005    ? 863 THR B CA  863 THR B CA  1 
ATOM 14006 C C   . THR B 2 863 ? 235.599 -53.745 322.522 1.0 60.005    ? 863 THR B C   863 THR B C   1 
ATOM 14007 O O   . THR B 2 863 ? 235.857 -54.190 321.401 1.0 60.005    ? 863 THR B O   863 THR B O   1 
ATOM 14008 C CB  . THR B 2 863 ? 233.612 -55.184 323.041 1.0 60.005    ? 863 THR B CB  863 THR B CB  1 
ATOM 14009 O OG1 . THR B 2 863 ? 232.236 -55.150 323.435 1.0 60.005    ? 863 THR B OG1 863 THR B OG1 1 
ATOM 14010 C CG2 . THR B 2 863 ? 234.381 -56.046 324.028 1.0 60.005    ? 863 THR B CG2 863 THR B CG2 1 
ATOM 14011 N N   . VAL B 2 864 ? 236.521 -53.231 323.328 1.0 60.78967  ? 864 VAL B N   864 VAL B N   1 
ATOM 14012 C CA  . VAL B 2 864 ? 237.907 -53.067 322.922 1.0 60.78967  ? 864 VAL B CA  864 VAL B CA  1 
ATOM 14013 C C   . VAL B 2 864 ? 238.801 -53.915 323.819 1.0 60.78967  ? 864 VAL B C   864 VAL B C   1 
ATOM 14014 O O   . VAL B 2 864 ? 238.378 -54.437 324.850 1.0 60.78967  ? 864 VAL B O   864 VAL B O   1 
ATOM 14015 C CB  . VAL B 2 864 ? 238.349 -51.595 322.956 1.0 60.78967  ? 864 VAL B CB  864 VAL B CB  1 
ATOM 14016 C CG1 . VAL B 2 864 ? 237.456 -50.761 322.071 1.0 60.78967  ? 864 VAL B CG1 864 VAL B CG1 1 
ATOM 14017 C CG2 . VAL B 2 864 ? 238.353 -51.077 324.380 1.0 60.78967  ? 864 VAL B CG2 864 VAL B CG2 1 
ATOM 14018 N N   . ASP B 2 865 ? 240.054 -54.053 323.403 1.0 64.81909  ? 865 ASP B N   865 ASP B N   1 
ATOM 14019 C CA  . ASP B 2 865 ? 241.041 -54.724 324.229 1.0 64.81909  ? 865 ASP B CA  865 ASP B CA  1 
ATOM 14020 C C   . ASP B 2 865 ? 241.361 -53.873 325.452 1.0 64.81909  ? 865 ASP B C   865 ASP B C   1 
ATOM 14021 O O   . ASP B 2 865 ? 241.369 -52.642 325.370 1.0 64.81909  ? 865 ASP B O   865 ASP B O   1 
ATOM 14022 C CB  . ASP B 2 865 ? 242.321 -54.979 323.442 1.0 64.81909  ? 865 ASP B CB  865 ASP B CB  1 
ATOM 14023 C CG  . ASP B 2 865 ? 242.142 -56.018 322.369 1.0 64.81909  ? 865 ASP B CG  865 ASP B CG  1 
ATOM 14024 O OD1 . ASP B 2 865 ? 241.325 -56.934 322.579 1.0 64.81909  ? 865 ASP B OD1 865 ASP B OD1 1 
ATOM 14025 O OD2 . ASP B 2 865 ? 242.809 -55.921 321.317 1.0 64.81909  ? 865 ASP B OD2 865 ASP B OD2 1 
ATOM 14026 N N   . PRO B 2 866 ? 241.609 -54.488 326.591 1.0 67.05734  ? 866 PRO B N   866 PRO B N   1 
ATOM 14027 C CA  . PRO B 2 866 ? 242.030 -53.710 327.760 1.0 67.05734  ? 866 PRO B CA  866 PRO B CA  1 
ATOM 14028 C C   . PRO B 2 866 ? 243.475 -53.250 327.653 1.0 67.05734  ? 866 PRO B C   866 PRO B C   1 
ATOM 14029 O O   . PRO B 2 866 ? 244.406 -54.057 327.729 1.0 67.05734  ? 866 PRO B O   866 PRO B O   1 
ATOM 14030 C CB  . PRO B 2 866 ? 241.819 -54.688 328.922 1.0 67.05734  ? 866 PRO B CB  866 PRO B CB  1 
ATOM 14031 C CG  . PRO B 2 866 ? 241.893 -56.040 328.300 1.0 67.05734  ? 866 PRO B CG  866 PRO B CG  1 
ATOM 14032 C CD  . PRO B 2 866 ? 241.337 -55.898 326.921 1.0 67.05734  ? 866 PRO B CD  866 PRO B CD  1 
ATOM 14033 N N   . MET B 2 867 ? 243.672 -51.951 327.460 1.0 70.86825  ? 867 MET B N   867 MET B N   1 
ATOM 14034 C CA  . MET B 2 867 ? 245.011 -51.379 327.428 1.0 70.86825  ? 867 MET B CA  867 MET B CA  1 
ATOM 14035 C C   . MET B 2 867 ? 245.470 -51.050 328.846 1.0 70.86825  ? 867 MET B C   867 MET B C   1 
ATOM 14036 O O   . MET B 2 867 ? 244.839 -51.423 329.838 1.0 70.86825  ? 867 MET B O   867 MET B O   1 
ATOM 14037 C CB  . MET B 2 867 ? 245.050 -50.150 326.527 1.0 70.86825  ? 867 MET B CB  867 MET B CB  1 
ATOM 14038 C CG  . MET B 2 867 ? 245.022 -50.454 325.046 1.0 70.86825  ? 867 MET B CG  867 MET B CG  1 
ATOM 14039 S SD  . MET B 2 867 ? 244.992 -48.939 324.074 1.0 70.86825  ? 867 MET B SD  867 MET B SD  1 
ATOM 14040 C CE  . MET B 2 867 ? 246.596 -48.260 324.468 1.0 70.86825  ? 867 MET B CE  867 MET B CE  1 
ATOM 14041 N N   . THR B 2 868 ? 246.588 -50.337 328.953 1.0 75.2378   ? 868 THR B N   868 THR B N   1 
ATOM 14042 C CA  . THR B 2 868 ? 247.183 -50.024 330.240 1.0 75.2378   ? 868 THR B CA  868 THR B CA  1 
ATOM 14043 C C   . THR B 2 868 ? 247.029 -48.568 330.651 1.0 75.2378   ? 868 THR B C   868 THR B C   1 
ATOM 14044 O O   . THR B 2 868 ? 247.366 -48.228 331.789 1.0 75.2378   ? 868 THR B O   868 THR B O   1 
ATOM 14045 C CB  . THR B 2 868 ? 248.674 -50.381 330.231 1.0 75.2378   ? 868 THR B CB  868 THR B CB  1 
ATOM 14046 O OG1 . THR B 2 868 ? 249.210 -50.207 331.546 1.0 75.2378   ? 868 THR B OG1 868 THR B OG1 1 
ATOM 14047 C CG2 . THR B 2 868 ? 249.424 -49.487 329.261 1.0 75.2378   ? 868 THR B CG2 868 THR B CG2 1 
ATOM 14048 N N   . GLU B 2 869 ? 246.539 -47.707 329.768 1.0 74.23385  ? 869 GLU B N   869 GLU B N   1 
ATOM 14049 C CA  . GLU B 2 869 ? 246.394 -46.286 330.038 1.0 74.23385  ? 869 GLU B CA  869 GLU B CA  1 
ATOM 14050 C C   . GLU B 2 869 ? 245.114 -45.807 329.368 1.0 74.23385  ? 869 GLU B C   869 GLU B C   1 
ATOM 14051 O O   . GLU B 2 869 ? 244.685 -46.406 328.376 1.0 74.23385  ? 869 GLU B O   869 GLU B O   1 
ATOM 14052 C CB  . GLU B 2 869 ? 247.623 -45.506 329.536 1.0 74.23385  ? 869 GLU B CB  869 GLU B CB  1 
ATOM 14053 C CG  . GLU B 2 869 ? 247.877 -45.552 328.046 1.0 74.23385  ? 869 GLU B CG  869 GLU B CG  1 
ATOM 14054 C CD  . GLU B 2 869 ? 249.164 -44.835 327.681 1.0 74.23385  ? 869 GLU B CD  869 GLU B CD  1 
ATOM 14055 O OE1 . GLU B 2 869 ? 249.838 -44.328 328.601 1.0 74.23385  ? 869 GLU B OE1 869 GLU B OE1 1 
ATOM 14056 O OE2 . GLU B 2 869 ? 249.514 -44.782 326.487 1.0 74.23385  ? 869 GLU B OE2 869 GLU B OE2 1 
ATOM 14057 N N   . PRO B 2 870 ? 244.458 -44.769 329.907 1.0 67.20824  ? 870 PRO B N   870 PRO B N   1 
ATOM 14058 C CA  . PRO B 2 870 ? 243.131 -44.401 329.396 1.0 67.20824  ? 870 PRO B CA  870 PRO B CA  1 
ATOM 14059 C C   . PRO B 2 870 ? 243.178 -43.825 327.991 1.0 67.20824  ? 870 PRO B C   870 PRO B C   1 
ATOM 14060 O O   . PRO B 2 870 ? 244.096 -43.088 327.627 1.0 67.20824  ? 870 PRO B O   870 PRO B O   1 
ATOM 14061 C CB  . PRO B 2 870 ? 242.637 -43.360 330.405 1.0 67.20824  ? 870 PRO B CB  870 PRO B CB  1 
ATOM 14062 C CG  . PRO B 2 870 ? 243.854 -42.808 331.005 1.0 67.20824  ? 870 PRO B CG  870 PRO B CG  1 
ATOM 14063 C CD  . PRO B 2 870 ? 244.816 -43.948 331.079 1.0 67.20824  ? 870 PRO B CD  870 PRO B CD  1 
ATOM 14064 N N   . THR B 2 871 ? 242.177 -44.200 327.198 1.0 61.84191  ? 871 THR B N   871 THR B N   1 
ATOM 14065 C CA  . THR B 2 871 ? 242.046 -43.813 325.804 1.0 61.84191  ? 871 THR B CA  871 THR B CA  1 
ATOM 14066 C C   . THR B 2 871 ? 240.688 -43.167 325.571 1.0 61.84191  ? 871 THR B C   871 THR B C   1 
ATOM 14067 O O   . THR B 2 871 ? 239.743 -43.370 326.334 1.0 61.84191  ? 871 THR B O   871 THR B O   1 
ATOM 14068 C CB  . THR B 2 871 ? 242.193 -45.022 324.873 1.0 61.84191  ? 871 THR B CB  871 THR B CB  1 
ATOM 14069 O OG1 . THR B 2 871 ? 241.187 -45.989 325.190 1.0 61.84191  ? 871 THR B OG1 871 THR B OG1 1 
ATOM 14070 C CG2 . THR B 2 871 ? 243.557 -45.657 325.017 1.0 61.84191  ? 871 THR B CG2 871 THR B CG2 1 
ATOM 14071 N N   . TYR B 2 872 ? 240.596 -42.383 324.502 1.0 61.97458  ? 872 TYR B N   872 TYR B N   1 
ATOM 14072 C CA  . TYR B 2 872 ? 239.318 -41.855 324.051 1.0 61.97458  ? 872 TYR B CA  872 TYR B CA  1 
ATOM 14073 C C   . TYR B 2 872 ? 238.671 -42.842 323.087 1.0 61.97458  ? 872 TYR B C   872 TYR B C   1 
ATOM 14074 O O   . TYR B 2 872 ? 239.057 -44.008 322.989 1.0 61.97458  ? 872 TYR B O   872 TYR B O   1 
ATOM 14075 C CB  . TYR B 2 872 ? 239.464 -40.501 323.363 1.0 61.97458  ? 872 TYR B CB  872 TYR B CB  1 
ATOM 14076 C CG  . TYR B 2 872 ? 239.789 -39.328 324.248 1.0 61.97458  ? 872 TYR B CG  872 TYR B CG  1 
ATOM 14077 C CD1 . TYR B 2 872 ? 238.842 -38.802 325.112 1.0 61.97458  ? 872 TYR B CD1 872 TYR B CD1 1 
ATOM 14078 C CD2 . TYR B 2 872 ? 241.015 -38.691 324.158 1.0 61.97458  ? 872 TYR B CD2 872 TYR B CD2 1 
ATOM 14079 C CE1 . TYR B 2 872 ? 239.131 -37.710 325.907 1.0 61.97458  ? 872 TYR B CE1 872 TYR B CE1 1 
ATOM 14080 C CE2 . TYR B 2 872 ? 241.309 -37.595 324.939 1.0 61.97458  ? 872 TYR B CE2 872 TYR B CE2 1 
ATOM 14081 C CZ  . TYR B 2 872 ? 240.368 -37.111 325.814 1.0 61.97458  ? 872 TYR B CZ  872 TYR B CZ  1 
ATOM 14082 O OH  . TYR B 2 872 ? 240.676 -36.020 326.591 1.0 61.97458  ? 872 TYR B OH  872 TYR B OH  1 
ATOM 14083 N N   . LEU B 2 873 ? 237.665 -42.365 322.364 1.0 59.51673  ? 873 LEU B N   873 LEU B N   1 
ATOM 14084 C CA  . LEU B 2 873 ? 236.999 -43.123 321.313 1.0 59.51673  ? 873 LEU B CA  873 LEU B CA  1 
ATOM 14085 C C   . LEU B 2 873 ? 236.522 -42.120 320.274 1.0 59.51673  ? 873 LEU B C   873 LEU B C   1 
ATOM 14086 O O   . LEU B 2 873 ? 235.499 -41.462 320.477 1.0 59.51673  ? 873 LEU B O   873 LEU B O   1 
ATOM 14087 C CB  . LEU B 2 873 ? 235.826 -43.915 321.871 1.0 59.51673  ? 873 LEU B CB  873 LEU B CB  1 
ATOM 14088 C CG  . LEU B 2 873 ? 234.994 -44.708 320.875 1.0 59.51673  ? 873 LEU B CG  873 LEU B CG  1 
ATOM 14089 C CD1 . LEU B 2 873 ? 235.753 -45.904 320.337 1.0 59.51673  ? 873 LEU B CD1 873 LEU B CD1 1 
ATOM 14090 C CD2 . LEU B 2 873 ? 233.720 -45.106 321.558 1.0 59.51673  ? 873 LEU B CD2 873 LEU B CD2 1 
ATOM 14091 N N   . MET B 2 874 ? 237.259 -41.979 319.179 1.0 58.70329  ? 874 MET B N   874 MET B N   1 
ATOM 14092 C CA  . MET B 2 874 ? 236.887 -41.013 318.150 1.0 58.70329  ? 874 MET B CA  874 MET B CA  1 
ATOM 14093 C C   . MET B 2 874 ? 235.747 -41.607 317.344 1.0 58.70329  ? 874 MET B C   874 MET B C   1 
ATOM 14094 O O   . MET B 2 874 ? 235.968 -42.349 316.389 1.0 58.70329  ? 874 MET B O   874 MET B O   1 
ATOM 14095 C CB  . MET B 2 874 ? 238.068 -40.661 317.258 1.0 58.70329  ? 874 MET B CB  874 MET B CB  1 
ATOM 14096 C CG  . MET B 2 874 ? 237.741 -39.585 316.236 1.0 58.70329  ? 874 MET B CG  874 MET B CG  1 
ATOM 14097 S SD  . MET B 2 874 ? 239.174 -39.085 315.282 1.0 58.70329  ? 874 MET B SD  874 MET B SD  1 
ATOM 14098 C CE  . MET B 2 874 ? 238.439 -37.951 314.114 1.0 58.70329  ? 874 MET B CE  874 MET B CE  1 
ATOM 14099 N N   . LEU B 2 875 ? 234.522 -41.289 317.734 1.0 56.17158  ? 875 LEU B N   875 LEU B N   1 
ATOM 14100 C CA  . LEU B 2 875 ? 233.331 -41.736 317.028 1.0 56.17158  ? 875 LEU B CA  875 LEU B CA  1 
ATOM 14101 C C   . LEU B 2 875 ? 232.756 -40.553 316.271 1.0 56.17158  ? 875 LEU B C   875 LEU B C   1 
ATOM 14102 O O   . LEU B 2 875 ? 232.320 -39.575 316.885 1.0 56.17158  ? 875 LEU B O   875 LEU B O   1 
ATOM 14103 C CB  . LEU B 2 875 ? 232.309 -42.307 318.003 1.0 56.17158  ? 875 LEU B CB  875 LEU B CB  1 
ATOM 14104 C CG  . LEU B 2 875 ? 230.984 -42.763 317.413 1.0 56.17158  ? 875 LEU B CG  875 LEU B CG  1 
ATOM 14105 C CD1 . LEU B 2 875 ? 231.169 -43.904 316.437 1.0 56.17158  ? 875 LEU B CD1 875 LEU B CD1 1 
ATOM 14106 C CD2 . LEU B 2 875 ? 230.093 -43.169 318.552 1.0 56.17158  ? 875 LEU B CD2 875 LEU B CD2 1 
ATOM 14107 N N   . LEU B 2 876 ? 232.760 -40.639 314.944 1.0 52.95251  ? 876 LEU B N   876 LEU B N   1 
ATOM 14108 C CA  . LEU B 2 876 ? 232.350 -39.536 314.085 1.0 52.95251  ? 876 LEU B CA  876 LEU B CA  1 
ATOM 14109 C C   . LEU B 2 876 ? 231.149 -39.943 313.242 1.0 52.95251  ? 876 LEU B C   876 LEU B C   1 
ATOM 14110 O O   . LEU B 2 876 ? 231.251 -40.819 312.379 1.0 52.95251  ? 876 LEU B O   876 LEU B O   1 
ATOM 14111 C CB  . LEU B 2 876 ? 233.518 -39.043 313.221 1.0 52.95251  ? 876 LEU B CB  876 LEU B CB  1 
ATOM 14112 C CG  . LEU B 2 876 ? 234.341 -39.843 312.210 1.0 52.95251  ? 876 LEU B CG  876 LEU B CG  1 
ATOM 14113 C CD1 . LEU B 2 876 ? 234.978 -38.923 311.203 1.0 52.95251  ? 876 LEU B CD1 876 LEU B CD1 1 
ATOM 14114 C CD2 . LEU B 2 876 ? 235.435 -40.590 312.930 1.0 52.95251  ? 876 LEU B CD2 876 LEU B CD2 1 
ATOM 14115 N N   . PHE B 2 877 ? 230.012 -39.307 313.505 1.0 53.47481  ? 877 PHE B N   877 PHE B N   1 
ATOM 14116 C CA  . PHE B 2 877 ? 228.791 -39.605 312.775 1.0 53.47481  ? 877 PHE B CA  877 PHE B CA  1 
ATOM 14117 C C   . PHE B 2 877 ? 228.807 -38.919 311.420 1.0 53.47481  ? 877 PHE B C   877 PHE B C   1 
ATOM 14118 O O   . PHE B 2 877 ? 229.012 -37.708 311.328 1.0 53.47481  ? 877 PHE B O   877 PHE B O   1 
ATOM 14119 C CB  . PHE B 2 877 ? 227.577 -39.135 313.570 1.0 53.47481  ? 877 PHE B CB  877 PHE B CB  1 
ATOM 14120 C CG  . PHE B 2 877 ? 227.392 -39.845 314.873 1.0 53.47481  ? 877 PHE B CG  877 PHE B CG  1 
ATOM 14121 C CD1 . PHE B 2 877 ? 226.742 -41.063 314.929 1.0 53.47481  ? 877 PHE B CD1 877 PHE B CD1 1 
ATOM 14122 C CD2 . PHE B 2 877 ? 227.876 -39.294 316.044 1.0 53.47481  ? 877 PHE B CD2 877 PHE B CD2 1 
ATOM 14123 C CE1 . PHE B 2 877 ? 226.571 -41.714 316.132 1.0 53.47481  ? 877 PHE B CE1 877 PHE B CE1 1 
ATOM 14124 C CE2 . PHE B 2 877 ? 227.710 -39.939 317.247 1.0 53.47481  ? 877 PHE B CE2 877 PHE B CE2 1 
ATOM 14125 C CZ  . PHE B 2 877 ? 227.058 -41.152 317.291 1.0 53.47481  ? 877 PHE B CZ  877 PHE B CZ  1 
ATOM 14126 N N   . GLY B 2 878 ? 228.578 -39.693 310.364 1.0 52.47743  ? 878 GLY B N   878 GLY B N   1 
ATOM 14127 C CA  . GLY B 2 878 ? 228.523 -39.133 309.030 1.0 52.47743  ? 878 GLY B CA  878 GLY B CA  1 
ATOM 14128 C C   . GLY B 2 878 ? 227.316 -38.244 308.823 1.0 52.47743  ? 878 GLY B C   878 GLY B C   1 
ATOM 14129 O O   . GLY B 2 878 ? 226.183 -38.723 308.742 1.0 52.47743  ? 878 GLY B O   878 GLY B O   1 
ATOM 14130 N N   . VAL B 2 879 ? 227.554 -36.938 308.749 1.0 52.83847  ? 879 VAL B N   879 VAL B N   1 
ATOM 14131 C CA  . VAL B 2 879 ? 226.503 -35.947 308.586 1.0 52.83847  ? 879 VAL B CA  879 VAL B CA  1 
ATOM 14132 C C   . VAL B 2 879 ? 226.782 -35.181 307.304 1.0 52.83847  ? 879 VAL B C   879 VAL B C   1 
ATOM 14133 O O   . VAL B 2 879 ? 227.853 -35.295 306.707 1.0 52.83847  ? 879 VAL B O   879 VAL B O   1 
ATOM 14134 C CB  . VAL B 2 879 ? 226.427 -34.973 309.780 1.0 52.83847  ? 879 VAL B CB  879 VAL B CB  1 
ATOM 14135 C CG1 . VAL B 2 879 ? 226.220 -35.725 311.078 1.0 52.83847  ? 879 VAL B CG1 879 VAL B CG1 1 
ATOM 14136 C CG2 . VAL B 2 879 ? 227.680 -34.144 309.856 1.0 52.83847  ? 879 VAL B CG2 879 VAL B CG2 1 
ATOM 14137 N N   . PHE B 2 880 ? 225.801 -34.404 306.870 1.0 53.96039  ? 880 PHE B N   880 PHE B N   1 
ATOM 14138 C CA  . PHE B 2 880 ? 226.086 -33.451 305.812 1.0 53.96039  ? 880 PHE B CA  880 PHE B CA  1 
ATOM 14139 C C   . PHE B 2 880 ? 226.543 -32.142 306.432 1.0 53.96039  ? 880 PHE B C   880 PHE B C   1 
ATOM 14140 O O   . PHE B 2 880 ? 226.535 -31.981 307.649 1.0 53.96039  ? 880 PHE B O   880 PHE B O   1 
ATOM 14141 C CB  . PHE B 2 880 ? 224.867 -33.240 304.921 1.0 53.96039  ? 880 PHE B CB  880 PHE B CB  1 
ATOM 14142 C CG  . PHE B 2 880 ? 224.558 -34.410 304.035 1.0 53.96039  ? 880 PHE B CG  880 PHE B CG  1 
ATOM 14143 C CD1 . PHE B 2 880 ? 225.495 -35.403 303.813 1.0 53.96039  ? 880 PHE B CD1 880 PHE B CD1 1 
ATOM 14144 C CD2 . PHE B 2 880 ? 223.330 -34.515 303.422 1.0 53.96039  ? 880 PHE B CD2 880 PHE B CD2 1 
ATOM 14145 C CE1 . PHE B 2 880 ? 225.207 -36.476 303.003 1.0 53.96039  ? 880 PHE B CE1 880 PHE B CE1 1 
ATOM 14146 C CE2 . PHE B 2 880 ? 223.041 -35.588 302.609 1.0 53.96039  ? 880 PHE B CE2 880 PHE B CE2 1 
ATOM 14147 C CZ  . PHE B 2 880 ? 223.978 -36.563 302.399 1.0 53.96039  ? 880 PHE B CZ  880 PHE B CZ  1 
ATOM 14148 N N   . ASP B 2 881 ? 226.963 -31.204 305.587 1.0 55.5819   ? 881 ASP B N   881 ASP B N   1 
ATOM 14149 C CA  . ASP B 2 881 ? 227.442 -29.914 306.078 1.0 55.5819   ? 881 ASP B CA  881 ASP B CA  1 
ATOM 14150 C C   . ASP B 2 881 ? 227.358 -28.938 304.913 1.0 55.5819   ? 881 ASP B C   881 ASP B C   1 
ATOM 14151 O O   . ASP B 2 881 ? 227.995 -29.163 303.883 1.0 55.5819   ? 881 ASP B O   881 ASP B O   1 
ATOM 14152 C CB  . ASP B 2 881 ? 228.867 -30.034 306.604 1.0 55.5819   ? 881 ASP B CB  881 ASP B CB  1 
ATOM 14153 C CG  . ASP B 2 881 ? 229.252 -28.891 307.506 1.0 55.5819   ? 881 ASP B CG  881 ASP B CG  1 
ATOM 14154 O OD1 . ASP B 2 881 ? 228.437 -27.962 307.676 1.0 55.5819   ? 881 ASP B OD1 881 ASP B OD1 1 
ATOM 14155 O OD2 . ASP B 2 881 ? 230.365 -28.932 308.069 1.0 55.5819   ? 881 ASP B OD2 881 ASP B OD2 1 
ATOM 14156 N N   . GLN B 2 882 ? 226.571 -27.878 305.059 1.0 51.11682  ? 882 GLN B N   882 GLN B N   1 
ATOM 14157 C CA  . GLN B 2 882 ? 226.297 -26.968 303.958 1.0 51.11682  ? 882 GLN B CA  882 GLN B CA  1 
ATOM 14158 C C   . GLN B 2 882 ? 226.433 -25.524 304.418 1.0 51.11682  ? 882 GLN B C   882 GLN B C   1 
ATOM 14159 O O   . GLN B 2 882 ? 226.324 -25.218 305.607 1.0 51.11682  ? 882 GLN B O   882 GLN B O   1 
ATOM 14160 C CB  . GLN B 2 882 ? 224.886 -27.187 303.396 1.0 51.11682  ? 882 GLN B CB  882 GLN B CB  1 
ATOM 14161 C CG  . GLN B 2 882 ? 224.598 -28.564 302.809 1.0 51.11682  ? 882 GLN B CG  882 GLN B CG  1 
ATOM 14162 C CD  . GLN B 2 882 ? 225.420 -28.871 301.585 1.0 51.11682  ? 882 GLN B CD  882 GLN B CD  1 
ATOM 14163 O OE1 . GLN B 2 882 ? 226.280 -29.746 301.604 1.0 51.11682  ? 882 GLN B OE1 882 GLN B OE1 1 
ATOM 14164 N NE2 . GLN B 2 882 ? 225.162 -28.147 300.506 1.0 51.11682  ? 882 GLN B NE2 882 GLN B NE2 1 
ATOM 14165 N N   . VAL B 2 883 ? 226.684 -24.632 303.460 1.0 46.71185  ? 883 VAL B N   883 VAL B N   1 
ATOM 14166 C CA  . VAL B 2 883 ? 226.594 -23.189 303.693 1.0 46.71185  ? 883 VAL B CA  883 VAL B CA  1 
ATOM 14167 C C   . VAL B 2 883 ? 225.676 -22.566 302.644 1.0 46.71185  ? 883 VAL B C   883 VAL B C   1 
ATOM 14168 O O   . VAL B 2 883 ? 225.578 -21.343 302.527 1.0 46.71185  ? 883 VAL B O   883 VAL B O   1 
ATOM 14169 C CB  . VAL B 2 883 ? 227.966 -22.501 303.668 1.0 46.71185  ? 883 VAL B CB  883 VAL B CB  1 
ATOM 14170 C CG1 . VAL B 2 883 ? 228.863 -23.057 304.725 1.0 46.71185  ? 883 VAL B CG1 883 VAL B CG1 1 
ATOM 14171 C CG2 . VAL B 2 883 ? 228.608 -22.658 302.331 1.0 46.71185  ? 883 VAL B CG2 883 VAL B CG2 1 
ATOM 14172 N N   . ILE B 2 884 ? 225.839 -18.703 301.056 1.0 46.9272   ? 885 ILE B N   885 ILE B N   1 
ATOM 14173 C CA  . ILE B 2 884 ? 226.622 -17.479 300.954 1.0 46.9272   ? 885 ILE B CA  885 ILE B CA  1 
ATOM 14174 C C   . ILE B 2 884 ? 226.147 -16.617 299.791 1.0 46.9272   ? 885 ILE B C   885 ILE B C   1 
ATOM 14175 O O   . ILE B 2 884 ? 226.161 -17.060 298.647 1.0 46.9272   ? 885 ILE B O   885 ILE B O   1 
ATOM 14176 C CB  . ILE B 2 884 ? 228.106 -17.794 300.792 1.0 46.9272   ? 885 ILE B CB  885 ILE B CB  1 
ATOM 14177 C CG1 . ILE B 2 884 ? 228.624 -18.573 301.992 1.0 46.9272   ? 885 ILE B CG1 885 ILE B CG1 1 
ATOM 14178 C CG2 . ILE B 2 884 ? 228.898 -16.525 300.651 1.0 46.9272   ? 885 ILE B CG2 885 ILE B CG2 1 
ATOM 14179 C CD1 . ILE B 2 884 ? 230.013 -19.100 301.793 1.0 46.9272   ? 885 ILE B CD1 885 ILE B CD1 1 
ATOM 14180 N N   . ASN B 2 885 ? 225.738 -15.381 300.073 1.0 52.15237  ? 886 ASN B N   886 ASN B N   1 
ATOM 14181 C CA  . ASN B 2 885 ? 225.328 -14.463 299.021 1.0 52.15237  ? 886 ASN B CA  886 ASN B CA  1 
ATOM 14182 C C   . ASN B 2 885 ? 225.871 -13.064 299.276 1.0 52.15237  ? 886 ASN B C   886 ASN B C   1 
ATOM 14183 O O   . ASN B 2 885 ? 226.044 -12.655 300.426 1.0 52.15237  ? 886 ASN B O   886 ASN B O   1 
ATOM 14184 C CB  . ASN B 2 885 ? 223.799 -14.431 298.868 1.0 52.15237  ? 886 ASN B CB  886 ASN B CB  1 
ATOM 14185 C CG  . ASN B 2 885 ? 223.070 -14.158 300.168 1.0 52.15237  ? 886 ASN B CG  886 ASN B CG  1 
ATOM 14186 O OD1 . ASN B 2 885 ? 223.674 -13.963 301.216 1.0 52.15237  ? 886 ASN B OD1 886 ASN B OD1 1 
ATOM 14187 N ND2 . ASN B 2 885 ? 221.748 -14.138 300.098 1.0 52.15237  ? 886 ASN B ND2 886 ASN B ND2 1 
ATOM 14188 N N   . GLN B 2 886 ? 226.159 -12.343 298.191 1.0 52.28053  ? 887 GLN B N   887 GLN B N   1 
ATOM 14189 C CA  . GLN B 2 886 ? 226.552 -10.939 298.244 1.0 52.28053  ? 887 GLN B CA  887 GLN B CA  1 
ATOM 14190 C C   . GLN B 2 886 ? 225.473 -10.127 297.545 1.0 52.28053  ? 887 GLN B C   887 GLN B C   1 
ATOM 14191 O O   . GLN B 2 886 ? 225.580 -9.858  296.343 1.0 52.28053  ? 887 GLN B O   887 GLN B O   1 
ATOM 14192 C CB  . GLN B 2 886 ? 227.911 -10.712 297.575 1.0 52.28053  ? 887 GLN B CB  887 GLN B CB  1 
ATOM 14193 C CG  . GLN B 2 886 ? 229.111 -11.320 298.276 1.0 52.28053  ? 887 GLN B CG  887 GLN B CG  1 
ATOM 14194 C CD  . GLN B 2 886 ? 229.358 -12.756 297.884 1.0 52.28053  ? 887 GLN B CD  887 GLN B CD  1 
ATOM 14195 O OE1 . GLN B 2 886 ? 228.819 -13.242 296.894 1.0 52.28053  ? 887 GLN B OE1 887 GLN B OE1 1 
ATOM 14196 N NE2 . GLN B 2 886 ? 230.196 -13.440 298.649 1.0 52.28053  ? 887 GLN B NE2 887 GLN B NE2 1 
ATOM 14197 N N   . PRO B 2 887 ? 224.416 -9.717  298.238 1.0 52.63164  ? 888 PRO B N   888 PRO B N   1 
ATOM 14198 C CA  . PRO B 2 887 ? 223.342 -8.974  297.566 1.0 52.63164  ? 888 PRO B CA  888 PRO B CA  1 
ATOM 14199 C C   . PRO B 2 887 ? 223.727 -7.537  297.249 1.0 52.63164  ? 888 PRO B C   888 PRO B C   1 
ATOM 14200 O O   . PRO B 2 887 ? 223.204 -6.935  296.307 1.0 52.63164  ? 888 PRO B O   888 PRO B O   1 
ATOM 14201 C CB  . PRO B 2 887 ? 222.194 -9.041  298.578 1.0 52.63164  ? 888 PRO B CB  888 PRO B CB  1 
ATOM 14202 C CG  . PRO B 2 887 ? 222.873 -9.170  299.894 1.0 52.63164  ? 888 PRO B CG  888 PRO B CG  1 
ATOM 14203 C CD  . PRO B 2 887 ? 224.109 -9.981  299.652 1.0 52.63164  ? 888 PRO B CD  888 PRO B CD  1 
ATOM 14204 N N   . THR B 2 888 ? 224.645 -6.983  298.034 1.0 56.6654   ? 889 THR B N   889 THR B N   1 
ATOM 14205 C CA  . THR B 2 888 ? 225.092 -5.604  297.908 1.0 56.6654   ? 889 THR B CA  889 THR B CA  1 
ATOM 14206 C C   . THR B 2 888 ? 226.574 -5.611  298.259 1.0 56.6654   ? 889 THR B C   889 THR B C   1 
ATOM 14207 O O   . THR B 2 888 ? 227.037 -6.521  298.953 1.0 56.6654   ? 889 THR B O   889 THR B O   1 
ATOM 14208 C CB  . THR B 2 888 ? 224.269 -4.683  298.835 1.0 56.6654   ? 889 THR B CB  889 THR B CB  1 
ATOM 14209 O OG1 . THR B 2 888 ? 222.873 -4.903  298.609 1.0 56.6654   ? 889 THR B OG1 889 THR B OG1 1 
ATOM 14210 C CG2 . THR B 2 888 ? 224.527 -3.209  298.570 1.0 56.6654   ? 889 THR B CG2 889 THR B CG2 1 
ATOM 14211 N N   . ARG B 2 889 ? 227.326 -4.634  297.741 1.0 56.53548  ? 890 ARG B N   890 ARG B N   1 
ATOM 14212 C CA  . ARG B 2 889 ? 228.749 -4.532  298.044 1.0 56.53548  ? 890 ARG B CA  890 ARG B CA  1 
ATOM 14213 C C   . ARG B 2 889 ? 228.972 -4.327  299.539 1.0 56.53548  ? 890 ARG B C   890 ARG B C   1 
ATOM 14214 O O   . ARG B 2 889 ? 228.133 -3.753  300.242 1.0 56.53548  ? 890 ARG B O   890 ARG B O   1 
ATOM 14215 C CB  . ARG B 2 889 ? 229.396 -3.390  297.256 1.0 56.53548  ? 890 ARG B CB  890 ARG B CB  1 
ATOM 14216 C CG  . ARG B 2 889 ? 228.958 -2.000  297.674 1.0 56.53548  ? 890 ARG B CG  890 ARG B CG  1 
ATOM 14217 C CD  . ARG B 2 889 ? 229.706 -0.906  296.940 1.0 56.53548  ? 890 ARG B CD  890 ARG B CD  1 
ATOM 14218 N NE  . ARG B 2 889 ? 229.401 -0.895  295.519 1.0 56.53548  ? 890 ARG B NE  890 ARG B NE  1 
ATOM 14219 C CZ  . ARG B 2 889 ? 230.265 -1.244  294.578 1.0 56.53548  ? 890 ARG B CZ  890 ARG B CZ  1 
ATOM 14220 N NH1 . ARG B 2 889 ? 231.487 -1.624  294.914 1.0 56.53548  ? 890 ARG B NH1 890 ARG B NH1 1 
ATOM 14221 N NH2 . ARG B 2 889 ? 229.910 -1.213  293.306 1.0 56.53548  ? 890 ARG B NH2 890 ARG B NH2 1 
ATOM 14222 N N   . SER B 2 890 ? 230.104 -4.857  300.016 1.0 56.39531  ? 891 SER B N   891 SER B N   1 
ATOM 14223 C CA  . SER B 2 890 ? 230.483 -4.885  301.433 1.0 56.39531  ? 891 SER B CA  891 SER B CA  1 
ATOM 14224 C C   . SER B 2 890 ? 229.410 -5.548  302.294 1.0 56.39531  ? 891 SER B C   891 SER B C   1 
ATOM 14225 O O   . SER B 2 890 ? 229.103 -5.098  303.397 1.0 56.39531  ? 891 SER B O   891 SER B O   1 
ATOM 14226 C CB  . SER B 2 890 ? 230.815 -3.484  301.952 1.0 56.39531  ? 891 SER B CB  891 SER B CB  1 
ATOM 14227 O OG  . SER B 2 890 ? 231.942 -2.947  301.284 1.0 56.39531  ? 891 SER B OG  891 SER B OG  1 
ATOM 14228 N N   . GLY B 2 891 ? 228.814 -6.617  301.777 1.0 55.99737  ? 892 GLY B N   892 GLY B N   1 
ATOM 14229 C CA  . GLY B 2 891 ? 227.836 -7.344  302.561 1.0 55.99737  ? 892 GLY B CA  892 GLY B CA  1 
ATOM 14230 C C   . GLY B 2 891 ? 227.694 -8.804  302.193 1.0 55.99737  ? 892 GLY B C   892 GLY B C   1 
ATOM 14231 O O   . GLY B 2 891 ? 227.439 -9.130  301.032 1.0 55.99737  ? 892 GLY B O   892 GLY B O   1 
ATOM 14232 N N   . ILE B 2 892 ? 227.853 -9.694  303.173 1.0 53.47255  ? 893 ILE B N   893 ILE B N   1 
ATOM 14233 C CA  . ILE B 2 892 ? 227.621 -11.122 302.997 1.0 53.47255  ? 893 ILE B CA  893 ILE B CA  1 
ATOM 14234 C C   . ILE B 2 892 ? 226.743 -11.601 304.142 1.0 53.47255  ? 893 ILE B C   893 ILE B C   1 
ATOM 14235 O O   . ILE B 2 892 ? 227.040 -11.334 305.310 1.0 53.47255  ? 893 ILE B O   893 ILE B O   1 
ATOM 14236 C CB  . ILE B 2 892 ? 228.923 -11.947 302.975 1.0 53.47255  ? 893 ILE B CB  893 ILE B CB  1 
ATOM 14237 C CG1 . ILE B 2 892 ? 229.876 -11.488 301.885 1.0 53.47255  ? 893 ILE B CG1 893 ILE B CG1 1 
ATOM 14238 C CG2 . ILE B 2 892 ? 228.615 -13.404 302.706 1.0 53.47255  ? 893 ILE B CG2 893 ILE B CG2 1 
ATOM 14239 C CD1 . ILE B 2 892 ? 231.207 -12.191 301.944 1.0 53.47255  ? 893 ILE B CD1 893 ILE B CD1 1 
ATOM 14240 N N   . SER B 2 893 ? 225.672 -12.309 303.811 1.0 53.06341  ? 894 SER B N   894 SER B N   1 
ATOM 14241 C CA  . SER B 2 893 ? 224.918 -13.078 304.782 1.0 53.06341  ? 894 SER B CA  894 SER B CA  1 
ATOM 14242 C C   . SER B 2 893 ? 225.135 -14.558 304.505 1.0 53.06341  ? 894 SER B C   894 SER B C   1 
ATOM 14243 O O   . SER B 2 893 ? 225.231 -14.979 303.353 1.0 53.06341  ? 894 SER B O   894 SER B O   1 
ATOM 14244 C CB  . SER B 2 893 ? 223.430 -12.728 304.726 1.0 53.06341  ? 894 SER B CB  894 SER B CB  1 
ATOM 14245 O OG  . SER B 2 893 ? 222.876 -13.061 303.467 1.0 53.06341  ? 894 SER B OG  894 SER B OG  1 
ATOM 14246 N N   . VAL B 2 894 ? 225.261 -15.346 305.567 1.0 50.98371  ? 895 VAL B N   895 VAL B N   1 
ATOM 14247 C CA  . VAL B 2 894 ? 225.502 -16.772 305.422 1.0 50.98371  ? 895 VAL B CA  895 VAL B CA  1 
ATOM 14248 C C   . VAL B 2 894 ? 224.439 -17.537 306.190 1.0 50.98371  ? 895 VAL B C   895 VAL B C   1 
ATOM 14249 O O   . VAL B 2 894 ? 223.755 -16.999 307.061 1.0 50.98371  ? 895 VAL B O   895 VAL B O   1 
ATOM 14250 C CB  . VAL B 2 894 ? 226.904 -17.187 305.899 1.0 50.98371  ? 895 VAL B CB  895 VAL B CB  1 
ATOM 14251 C CG1 . VAL B 2 894 ? 227.951 -16.553 305.026 1.0 50.98371  ? 895 VAL B CG1 895 VAL B CG1 1 
ATOM 14252 C CG2 . VAL B 2 894 ? 227.101 -16.788 307.340 1.0 50.98371  ? 895 VAL B CG2 895 VAL B CG2 1 
ATOM 14253 N N   . ALA B 2 895 ? 224.300 -18.810 305.842 1.0 50.59194  ? 896 ALA B N   896 ALA B N   1 
ATOM 14254 C CA  . ALA B 2 895 ? 223.347 -19.693 306.500 1.0 50.59194  ? 896 ALA B CA  896 ALA B CA  1 
ATOM 14255 C C   . ALA B 2 895 ? 224.010 -21.050 306.648 1.0 50.59194  ? 896 ALA B C   896 ALA B C   1 
ATOM 14256 O O   . ALA B 2 895 ? 224.205 -21.756 305.656 1.0 50.59194  ? 896 ALA B O   896 ALA B O   1 
ATOM 14257 C CB  . ALA B 2 895 ? 222.047 -19.799 305.707 1.0 50.59194  ? 896 ALA B CB  896 ALA B CB  1 
ATOM 14258 N N   . TYR B 2 896 ? 224.373 -21.404 307.873 1.0 53.91992  ? 897 TYR B N   897 TYR B N   1 
ATOM 14259 C CA  . TYR B 2 896 ? 224.987 -22.692 308.145 1.0 53.91992  ? 897 TYR B CA  897 TYR B CA  1 
ATOM 14260 C C   . TYR B 2 896 ? 223.909 -23.717 308.451 1.0 53.91992  ? 897 TYR B C   897 TYR B C   1 
ATOM 14261 O O   . TYR B 2 896 ? 222.928 -23.417 309.135 1.0 53.91992  ? 897 TYR B O   897 TYR B O   1 
ATOM 14262 C CB  . TYR B 2 896 ? 225.960 -22.598 309.319 1.0 53.91992  ? 897 TYR B CB  897 TYR B CB  1 
ATOM 14263 C CG  . TYR B 2 896 ? 227.219 -21.819 309.034 1.0 53.91992  ? 897 TYR B CG  897 TYR B CG  1 
ATOM 14264 C CD1 . TYR B 2 896 ? 227.597 -21.515 307.738 1.0 53.91992  ? 897 TYR B CD1 897 TYR B CD1 1 
ATOM 14265 C CD2 . TYR B 2 896 ? 228.035 -21.395 310.068 1.0 53.91992  ? 897 TYR B CD2 897 TYR B CD2 1 
ATOM 14266 C CE1 . TYR B 2 896 ? 228.743 -20.803 307.481 1.0 53.91992  ? 897 TYR B CE1 897 TYR B CE1 1 
ATOM 14267 C CE2 . TYR B 2 896 ? 229.187 -20.687 309.818 1.0 53.91992  ? 897 TYR B CE2 897 TYR B CE2 1 
ATOM 14268 C CZ  . TYR B 2 896 ? 229.534 -20.396 308.521 1.0 53.91992  ? 897 TYR B CZ  897 TYR B CZ  1 
ATOM 14269 O OH  . TYR B 2 896 ? 230.681 -19.687 308.264 1.0 53.91992  ? 897 TYR B OH  897 TYR B OH  1 
ATOM 14270 N N   . LEU B 2 897 ? 224.099 -24.930 307.946 1.0 54.83768  ? 898 LEU B N   898 LEU B N   1 
ATOM 14271 C CA  . LEU B 2 897 ? 223.150 -26.006 308.172 1.0 54.83768  ? 898 LEU B CA  898 LEU B CA  1 
ATOM 14272 C C   . LEU B 2 897 ? 223.886 -27.327 308.056 1.0 54.83768  ? 898 LEU B C   898 LEU B C   1 
ATOM 14273 O O   . LEU B 2 897 ? 224.789 -27.478 307.232 1.0 54.83768  ? 898 LEU B O   898 LEU B O   1 
ATOM 14274 C CB  . LEU B 2 897 ? 221.983 -25.943 307.177 1.0 54.83768  ? 898 LEU B CB  898 LEU B CB  1 
ATOM 14275 C CG  . LEU B 2 897 ? 220.723 -26.811 307.314 1.0 54.83768  ? 898 LEU B CG  898 LEU B CG  1 
ATOM 14276 C CD1 . LEU B 2 897 ? 220.837 -28.203 306.697 1.0 54.83768  ? 898 LEU B CD1 898 LEU B CD1 1 
ATOM 14277 C CD2 . LEU B 2 897 ? 220.337 -26.922 308.772 1.0 54.83768  ? 898 LEU B CD2 898 LEU B CD2 1 
ATOM 14278 N N   . ARG B 2 898 ? 223.481 -28.284 308.883 1.0 60.91512  ? 899 ARG B N   899 ARG B N   1 
ATOM 14279 C CA  . ARG B 2 898 ? 224.017 -29.628 308.794 1.0 60.91512  ? 899 ARG B CA  899 ARG B CA  1 
ATOM 14280 C C   . ARG B 2 898 ? 222.962 -30.613 309.276 1.0 60.91512  ? 899 ARG B C   899 ARG B C   1 
ATOM 14281 O O   . ARG B 2 898 ? 222.223 -30.339 310.222 1.0 60.91512  ? 899 ARG B O   899 ARG B O   1 
ATOM 14282 C CB  . ARG B 2 898 ? 225.325 -29.756 309.582 1.0 60.91512  ? 899 ARG B CB  899 ARG B CB  1 
ATOM 14283 C CG  . ARG B 2 898 ? 225.256 -29.571 311.063 1.0 60.91512  ? 899 ARG B CG  899 ARG B CG  1 
ATOM 14284 C CD  . ARG B 2 898 ? 226.638 -29.743 311.645 1.0 60.91512  ? 899 ARG B CD  899 ARG B CD  1 
ATOM 14285 N NE  . ARG B 2 898 ? 226.637 -29.649 313.096 1.0 60.91512  ? 899 ARG B NE  899 ARG B NE  1 
ATOM 14286 C CZ  . ARG B 2 898 ? 227.725 -29.773 313.843 1.0 60.91512  ? 899 ARG B CZ  899 ARG B CZ  1 
ATOM 14287 N NH1 . ARG B 2 898 ? 228.897 -29.990 313.269 1.0 60.91512  ? 899 ARG B NH1 899 ARG B NH1 1 
ATOM 14288 N NH2 . ARG B 2 898 ? 227.640 -29.676 315.160 1.0 60.91512  ? 899 ARG B NH2 899 ARG B NH2 1 
ATOM 14289 N N   . LEU B 2 899 ? 222.869 -31.749 308.589 1.0 59.3751   ? 900 LEU B N   900 LEU B N   1 
ATOM 14290 C CA  . LEU B 2 899 ? 221.893 -32.769 308.925 1.0 59.3751   ? 900 LEU B CA  900 LEU B CA  1 
ATOM 14291 C C   . LEU B 2 899 ? 222.609 -34.101 309.081 1.0 59.3751   ? 900 LEU B C   900 LEU B C   1 
ATOM 14292 O O   . LEU B 2 899 ? 223.526 -34.398 308.304 1.0 59.3751   ? 900 LEU B O   900 LEU B O   1 
ATOM 14293 C CB  . LEU B 2 899 ? 220.801 -32.895 307.859 1.0 59.3751   ? 900 LEU B CB  900 LEU B CB  1 
ATOM 14294 C CG  . LEU B 2 899 ? 219.849 -31.708 307.770 1.0 59.3751   ? 900 LEU B CG  900 LEU B CG  1 
ATOM 14295 C CD1 . LEU B 2 899 ? 218.856 -31.910 306.645 1.0 59.3751   ? 900 LEU B CD1 900 LEU B CD1 1 
ATOM 14296 C CD2 . LEU B 2 899 ? 219.137 -31.510 309.097 1.0 59.3751   ? 900 LEU B CD2 900 LEU B CD2 1 
ATOM 14297 N N   . PRO B 2 900 ? 222.202 -34.940 310.046 1.0 61.71919  ? 901 PRO B N   901 PRO B N   1 
ATOM 14298 C CA  . PRO B 2 900 ? 221.098 -34.855 311.008 1.0 61.71919  ? 901 PRO B CA  901 PRO B CA  1 
ATOM 14299 C C   . PRO B 2 900 ? 221.303 -33.911 312.181 1.0 61.71919  ? 901 PRO B C   901 PRO B C   1 
ATOM 14300 O O   . PRO B 2 900 ? 220.333 -33.328 312.661 1.0 61.71919  ? 901 PRO B O   901 PRO B O   1 
ATOM 14301 C CB  . PRO B 2 900 ? 221.001 -36.285 311.544 1.0 61.71919  ? 901 PRO B CB  901 PRO B CB  1 
ATOM 14302 C CG  . PRO B 2 900 ? 221.653 -37.110 310.558 1.0 61.71919  ? 901 PRO B CG  901 PRO B CG  1 
ATOM 14303 C CD  . PRO B 2 900 ? 222.762 -36.296 310.018 1.0 61.71919  ? 901 PRO B CD  901 PRO B CD  1 
ATOM 14304 N N   . PHE B 2 901 ? 222.540 -33.768 312.645 1.0 66.12564  ? 902 PHE B N   902 PHE B N   1 
ATOM 14305 C CA  . PHE B 2 901 ? 222.783 -33.045 313.887 1.0 66.12564  ? 902 PHE B CA  902 PHE B CA  1 
ATOM 14306 C C   . PHE B 2 901 ? 222.665 -31.544 313.680 1.0 66.12564  ? 902 PHE B C   902 PHE B C   1 
ATOM 14307 O O   . PHE B 2 901 ? 223.679 -30.847 313.607 1.0 66.12564  ? 902 PHE B O   902 PHE B O   1 
ATOM 14308 C CB  . PHE B 2 901 ? 224.159 -33.400 314.452 1.0 66.12564  ? 902 PHE B CB  902 PHE B CB  1 
ATOM 14309 C CG  . PHE B 2 901 ? 224.254 -34.799 314.996 1.0 66.12564  ? 902 PHE B CG  902 PHE B CG  1 
ATOM 14310 C CD1 . PHE B 2 901 ? 223.117 -35.541 315.255 1.0 66.12564  ? 902 PHE B CD1 902 PHE B CD1 1 
ATOM 14311 C CD2 . PHE B 2 901 ? 225.483 -35.368 315.254 1.0 66.12564  ? 902 PHE B CD2 902 PHE B CD2 1 
ATOM 14312 C CE1 . PHE B 2 901 ? 223.205 -36.818 315.755 1.0 66.12564  ? 902 PHE B CE1 902 PHE B CE1 1 
ATOM 14313 C CE2 . PHE B 2 901 ? 225.579 -36.648 315.754 1.0 66.12564  ? 902 PHE B CE2 902 PHE B CE2 1 
ATOM 14314 C CZ  . PHE B 2 901 ? 224.438 -37.372 316.003 1.0 66.12564  ? 902 PHE B CZ  902 PHE B CZ  1 
ATOM 14315 N N   . ALA B 2 902 ? 221.431 -31.045 313.606 1.0 75.74311  ? 903 ALA B N   903 ALA B N   1 
ATOM 14316 C CA  . ALA B 2 902 ? 221.194 -29.647 313.276 1.0 75.74311  ? 903 ALA B CA  903 ALA B CA  1 
ATOM 14317 C C   . ALA B 2 902 ? 221.634 -28.734 314.409 1.0 75.74311  ? 903 ALA B C   903 ALA B C   1 
ATOM 14318 O O   . ALA B 2 902 ? 221.288 -28.941 315.573 1.0 75.74311  ? 903 ALA B O   903 ALA B O   1 
ATOM 14319 C CB  . ALA B 2 902 ? 219.716 -29.416 312.964 1.0 75.74311  ? 903 ALA B CB  903 ALA B CB  1 
ATOM 14320 N N   . SER B 2 903 ? 222.415 -27.723 314.055 1.0 86.52012  ? 904 SER B N   904 SER B N   1 
ATOM 14321 C CA  . SER B 2 903 ? 222.896 -26.726 314.999 1.0 86.52012  ? 904 SER B CA  904 SER B CA  1 
ATOM 14322 C C   . SER B 2 903 ? 221.856 -25.617 315.088 1.0 86.52012  ? 904 SER B C   904 SER B C   1 
ATOM 14323 O O   . SER B 2 903 ? 222.085 -24.501 314.610 1.0 86.52012  ? 904 SER B O   904 SER B O   1 
ATOM 14324 C CB  . SER B 2 903 ? 224.252 -26.189 314.556 1.0 86.52012  ? 904 SER B CB  904 SER B CB  1 
ATOM 14325 O OG  . SER B 2 903 ? 225.217 -27.224 314.575 1.0 86.52012  ? 904 SER B OG  904 SER B OG  1 
ATOM 14326 N N   . GLY B 2 904 ? 220.716 -25.927 315.696 1.0 96.82683  ? 905 GLY B N   905 GLY B N   1 
ATOM 14327 C CA  . GLY B 2 904 ? 219.616 -24.987 315.786 1.0 96.82683  ? 905 GLY B CA  905 GLY B CA  1 
ATOM 14328 C C   . GLY B 2 904 ? 218.263 -25.633 315.560 1.0 96.82683  ? 905 GLY B C   905 GLY B C   1 
ATOM 14329 O O   . GLY B 2 904 ? 217.228 -24.977 315.672 1.0 96.82683  ? 905 GLY B O   905 GLY B O   1 
ATOM 14330 N N   . MET C 3 1   ? 211.802 -20.570 304.232 1.0 72.06081  ? 1   MET C N   1   MET C N   1 
ATOM 14331 C CA  . MET C 3 1   ? 210.566 -20.721 303.476 1.0 72.06081  ? 1   MET C CA  1   MET C CA  1 
ATOM 14332 C C   . MET C 3 1   ? 210.667 -21.907 302.528 1.0 72.06081  ? 1   MET C C   1   MET C C   1 
ATOM 14333 O O   . MET C 3 1   ? 209.861 -22.835 302.584 1.0 72.06081  ? 1   MET C O   1   MET C O   1 
ATOM 14334 C CB  . MET C 3 1   ? 210.259 -19.448 302.699 1.0 72.06081  ? 1   MET C CB  1   MET C CB  1 
ATOM 14335 C CG  . MET C 3 1   ? 208.915 -19.471 302.018 1.0 72.06081  ? 1   MET C CG  1   MET C CG  1 
ATOM 14336 S SD  . MET C 3 1   ? 207.564 -19.577 303.200 1.0 72.06081  ? 1   MET C SD  1   MET C SD  1 
ATOM 14337 C CE  . MET C 3 1   ? 207.613 -17.932 303.904 1.0 72.06081  ? 1   MET C CE  1   MET C CE  1 
ATOM 14338 N N   . GLU C 3 2   ? 211.651 -21.841 301.638 1.0 64.74472  ? 2   GLU C N   2   GLU C N   1 
ATOM 14339 C CA  . GLU C 3 2   ? 212.072 -23.002 300.876 1.0 64.74472  ? 2   GLU C CA  2   GLU C CA  1 
ATOM 14340 C C   . GLU C 3 2   ? 212.565 -24.078 301.847 1.0 64.74472  ? 2   GLU C C   2   GLU C C   1 
ATOM 14341 O O   . GLU C 3 2   ? 213.251 -23.762 302.822 1.0 64.74472  ? 2   GLU C O   2   GLU C O   1 
ATOM 14342 C CB  . GLU C 3 2   ? 213.175 -22.591 299.903 1.0 64.74472  ? 2   GLU C CB  2   GLU C CB  1 
ATOM 14343 C CG  . GLU C 3 2   ? 213.647 -23.629 298.909 1.0 64.74472  ? 2   GLU C CG  2   GLU C CG  1 
ATOM 14344 C CD  . GLU C 3 2   ? 214.673 -23.066 297.948 1.0 64.74472  ? 2   GLU C CD  2   GLU C CD  1 
ATOM 14345 O OE1 . GLU C 3 2   ? 215.020 -21.874 298.081 1.0 64.74472  ? 2   GLU C OE1 2   GLU C OE1 1 
ATOM 14346 O OE2 . GLU C 3 2   ? 215.135 -23.810 297.061 1.0 64.74472  ? 2   GLU C OE2 2   GLU C OE2 1 
ATOM 14347 N N   . PRO C 3 3   ? 212.188 -25.344 301.632 1.0 60.10384  ? 3   PRO C N   3   PRO C N   1 
ATOM 14348 C CA  . PRO C 3 3   ? 212.510 -26.390 302.616 1.0 60.10384  ? 3   PRO C CA  3   PRO C CA  1 
ATOM 14349 C C   . PRO C 3 3   ? 214.002 -26.668 302.735 1.0 60.10384  ? 3   PRO C C   3   PRO C C   1 
ATOM 14350 O O   . PRO C 3 3   ? 214.801 -26.285 301.879 1.0 60.10384  ? 3   PRO C O   3   PRO C O   1 
ATOM 14351 C CB  . PRO C 3 3   ? 211.755 -27.615 302.089 1.0 60.10384  ? 3   PRO C CB  3   PRO C CB  1 
ATOM 14352 C CG  . PRO C 3 3   ? 211.528 -27.338 300.654 1.0 60.10384  ? 3   PRO C CG  3   PRO C CG  1 
ATOM 14353 C CD  . PRO C 3 3   ? 211.328 -25.863 300.556 1.0 60.10384  ? 3   PRO C CD  3   PRO C CD  1 
ATOM 14354 N N   . GLN C 3 4   ? 214.362 -27.341 303.832 1.0 58.3769   ? 4   GLN C N   4   GLN C N   1 
ATOM 14355 C CA  . GLN C 3 4   ? 215.762 -27.464 304.225 1.0 58.3769   ? 4   GLN C CA  4   GLN C CA  1 
ATOM 14356 C C   . GLN C 3 4   ? 216.541 -28.369 303.281 1.0 58.3769   ? 4   GLN C C   4   GLN C C   1 
ATOM 14357 O O   . GLN C 3 4   ? 217.736 -28.155 303.052 1.0 58.3769   ? 4   GLN C O   4   GLN C O   1 
ATOM 14358 C CB  . GLN C 3 4   ? 215.850 -27.990 305.655 1.0 58.3769   ? 4   GLN C CB  4   GLN C CB  1 
ATOM 14359 C CG  . GLN C 3 4   ? 215.226 -27.070 306.682 1.0 58.3769   ? 4   GLN C CG  4   GLN C CG  1 
ATOM 14360 C CD  . GLN C 3 4   ? 215.967 -25.759 306.807 1.0 58.3769   ? 4   GLN C CD  4   GLN C CD  1 
ATOM 14361 O OE1 . GLN C 3 4   ? 217.195 -25.722 306.760 1.0 58.3769   ? 4   GLN C OE1 4   GLN C OE1 1 
ATOM 14362 N NE2 . GLN C 3 4   ? 215.225 -24.671 306.965 1.0 58.3769   ? 4   GLN C NE2 4   GLN C NE2 1 
ATOM 14363 N N   . ARG C 3 5   ? 215.886 -29.391 302.732 1.0 57.0774   ? 5   ARG C N   5   ARG C N   1 
ATOM 14364 C CA  . ARG C 3 5   ? 216.562 -30.264 301.780 1.0 57.0774   ? 5   ARG C CA  5   ARG C CA  1 
ATOM 14365 C C   . ARG C 3 5   ? 216.781 -29.557 300.451 1.0 57.0774   ? 5   ARG C C   5   ARG C C   1 
ATOM 14366 O O   . ARG C 3 5   ? 217.743 -29.849 299.735 1.0 57.0774   ? 5   ARG C O   5   ARG C O   1 
ATOM 14367 C CB  . ARG C 3 5   ? 215.754 -31.546 301.581 1.0 57.0774   ? 5   ARG C CB  5   ARG C CB  1 
ATOM 14368 C CG  . ARG C 3 5   ? 215.708 -32.452 302.800 1.0 57.0774   ? 5   ARG C CG  5   ARG C CG  1 
ATOM 14369 C CD  . ARG C 3 5   ? 214.914 -33.717 302.517 1.0 57.0774   ? 5   ARG C CD  5   ARG C CD  1 
ATOM 14370 N NE  . ARG C 3 5   ? 214.841 -34.598 303.681 1.0 57.0774   ? 5   ARG C NE  5   ARG C NE  1 
ATOM 14371 C CZ  . ARG C 3 5   ? 215.718 -35.561 303.946 1.0 57.0774   ? 5   ARG C CZ  5   ARG C CZ  1 
ATOM 14372 N NH1 . ARG C 3 5   ? 216.736 -35.774 303.129 1.0 57.0774   ? 5   ARG C NH1 5   ARG C NH1 1 
ATOM 14373 N NH2 . ARG C 3 5   ? 215.577 -36.314 305.025 1.0 57.0774   ? 5   ARG C NH2 5   ARG C NH2 1 
ATOM 14374 N N   . GLU C 3 6   ? 215.908 -28.607 300.114 1.0 57.86087  ? 6   GLU C N   6   GLU C N   1 
ATOM 14375 C CA  . GLU C 3 6   ? 215.970 -27.975 298.801 1.0 57.86087  ? 6   GLU C CA  6   GLU C CA  1 
ATOM 14376 C C   . GLU C 3 6   ? 216.831 -26.718 298.825 1.0 57.86087  ? 6   GLU C C   6   GLU C C   1 
ATOM 14377 O O   . GLU C 3 6   ? 217.503 -26.403 297.836 1.0 57.86087  ? 6   GLU C O   6   GLU C O   1 
ATOM 14378 C CB  . GLU C 3 6   ? 214.552 -27.658 298.318 1.0 57.86087  ? 6   GLU C CB  6   GLU C CB  1 
ATOM 14379 C CG  . GLU C 3 6   ? 214.443 -27.030 296.933 1.0 57.86087  ? 6   GLU C CG  6   GLU C CG  1 
ATOM 14380 C CD  . GLU C 3 6   ? 214.853 -27.966 295.812 1.0 57.86087  ? 6   GLU C CD  6   GLU C CD  1 
ATOM 14381 O OE1 . GLU C 3 6   ? 214.720 -29.197 295.978 1.0 57.86087  ? 6   GLU C OE1 6   GLU C OE1 1 
ATOM 14382 O OE2 . GLU C 3 6   ? 215.307 -27.468 294.760 1.0 57.86087  ? 6   GLU C OE2 6   GLU C OE2 1 
ATOM 14383 N N   . PHE C 3 7   ? 216.840 -25.996 299.947 1.0 54.17648  ? 7   PHE C N   7   PHE C N   1 
ATOM 14384 C CA  . PHE C 3 7   ? 217.536 -24.714 299.993 1.0 54.17648  ? 7   PHE C CA  7   PHE C CA  1 
ATOM 14385 C C   . PHE C 3 7   ? 219.045 -24.896 300.057 1.0 54.17648  ? 7   PHE C C   7   PHE C C   1 
ATOM 14386 O O   . PHE C 3 7   ? 219.792 -24.133 299.437 1.0 54.17648  ? 7   PHE C O   7   PHE C O   1 
ATOM 14387 C CB  . PHE C 3 7   ? 217.050 -23.893 301.183 1.0 54.17648  ? 7   PHE C CB  7   PHE C CB  1 
ATOM 14388 C CG  . PHE C 3 7   ? 217.687 -22.539 301.285 1.0 54.17648  ? 7   PHE C CG  7   PHE C CG  1 
ATOM 14389 C CD1 . PHE C 3 7   ? 217.333 -21.529 300.412 1.0 54.17648  ? 7   PHE C CD1 7   PHE C CD1 1 
ATOM 14390 C CD2 . PHE C 3 7   ? 218.627 -22.271 302.265 1.0 54.17648  ? 7   PHE C CD2 7   PHE C CD2 1 
ATOM 14391 C CE1 . PHE C 3 7   ? 217.916 -20.280 300.507 1.0 54.17648  ? 7   PHE C CE1 7   PHE C CE1 1 
ATOM 14392 C CE2 . PHE C 3 7   ? 219.211 -21.026 302.366 1.0 54.17648  ? 7   PHE C CE2 7   PHE C CE2 1 
ATOM 14393 C CZ  . PHE C 3 7   ? 218.856 -20.031 301.487 1.0 54.17648  ? 7   PHE C CZ  7   PHE C CZ  1 
ATOM 14394 N N   . PHE C 3 8   ? 219.512 -25.893 300.797 1.0 51.61041  ? 8   PHE C N   8   PHE C N   1 
ATOM 14395 C CA  . PHE C 3 8   ? 220.938 -26.132 300.949 1.0 51.61041  ? 8   PHE C CA  8   PHE C CA  1 
ATOM 14396 C C   . PHE C 3 8   ? 221.466 -27.174 299.978 1.0 51.61041  ? 8   PHE C C   8   PHE C C   1 
ATOM 14397 O O   . PHE C 3 8   ? 222.633 -27.563 300.091 1.0 51.61041  ? 8   PHE C O   8   PHE C O   1 
ATOM 14398 C CB  . PHE C 3 8   ? 221.240 -26.539 302.388 1.0 51.61041  ? 8   PHE C CB  8   PHE C CB  1 
ATOM 14399 C CG  . PHE C 3 8   ? 220.997 -25.441 303.369 1.0 51.61041  ? 8   PHE C CG  8   PHE C CG  1 
ATOM 14400 C CD1 . PHE C 3 8   ? 221.954 -24.471 303.585 1.0 51.61041  ? 8   PHE C CD1 8   PHE C CD1 1 
ATOM 14401 C CD2 . PHE C 3 8   ? 219.793 -25.353 304.044 1.0 51.61041  ? 8   PHE C CD2 8   PHE C CD2 1 
ATOM 14402 C CE1 . PHE C 3 8   ? 221.728 -23.449 304.475 1.0 51.61041  ? 8   PHE C CE1 8   PHE C CE1 1 
ATOM 14403 C CE2 . PHE C 3 8   ? 219.561 -24.329 304.937 1.0 51.61041  ? 8   PHE C CE2 8   PHE C CE2 1 
ATOM 14404 C CZ  . PHE C 3 8   ? 220.529 -23.375 305.150 1.0 51.61041  ? 8   PHE C CZ  8   PHE C CZ  1 
ATOM 14405 N N   . HIS C 3 9   ? 220.622 -27.620 299.042 1.0 50.58171  ? 9   HIS C N   9   HIS C N   1 
ATOM 14406 C CA  . HIS C 3 9   ? 220.977 -28.509 297.932 1.0 50.58171  ? 9   HIS C CA  9   HIS C CA  1 
ATOM 14407 C C   . HIS C 3 9   ? 221.536 -29.842 298.425 1.0 50.58171  ? 9   HIS C C   9   HIS C C   1 
ATOM 14408 O O   . HIS C 3 9   ? 222.515 -30.367 297.899 1.0 50.58171  ? 9   HIS C O   9   HIS C O   1 
ATOM 14409 C CB  . HIS C 3 9   ? 221.930 -27.821 296.959 1.0 50.58171  ? 9   HIS C CB  9   HIS C CB  1 
ATOM 14410 C CG  . HIS C 3 9   ? 221.334 -26.612 296.317 1.0 50.58171  ? 9   HIS C CG  9   HIS C CG  1 
ATOM 14411 N ND1 . HIS C 3 9   ? 221.480 -25.345 296.838 1.0 50.58171  ? 9   HIS C ND1 9   HIS C ND1 1 
ATOM 14412 C CD2 . HIS C 3 9   ? 220.536 -26.483 295.233 1.0 50.58171  ? 9   HIS C CD2 9   HIS C CD2 1 
ATOM 14413 C CE1 . HIS C 3 9   ? 220.832 -24.482 296.079 1.0 50.58171  ? 9   HIS C CE1 9   HIS C CE1 1 
ATOM 14414 N NE2 . HIS C 3 9   ? 220.245 -25.148 295.102 1.0 50.58171  ? 9   HIS C NE2 9   HIS C NE2 1 
ATOM 14415 N N   . ILE C 3 10  ? 220.900 -30.371 299.464 1.0 51.22184  ? 10  ILE C N   10  ILE C N   1 
ATOM 14416 C CA  . ILE C 3 10  ? 221.097 -31.759 299.852 1.0 51.22184  ? 10  ILE C CA  10  ILE C CA  1 
ATOM 14417 C C   . ILE C 3 10  ? 220.415 -32.686 298.859 1.0 51.22184  ? 10  ILE C C   10  ILE C C   1 
ATOM 14418 O O   . ILE C 3 10  ? 221.002 -33.666 298.388 1.0 51.22184  ? 10  ILE C O   10  ILE C O   1 
ATOM 14419 C CB  . ILE C 3 10  ? 220.575 -31.961 301.284 1.0 51.22184  ? 10  ILE C CB  10  ILE C CB  1 
ATOM 14420 C CG1 . ILE C 3 10  ? 221.499 -31.258 302.272 1.0 51.22184  ? 10  ILE C CG1 10  ILE C CG1 1 
ATOM 14421 C CG2 . ILE C 3 10  ? 220.389 -33.419 301.609 1.0 51.22184  ? 10  ILE C CG2 10  ILE C CG2 1 
ATOM 14422 C CD1 . ILE C 3 10  ? 220.933 -31.165 303.646 1.0 51.22184  ? 10  ILE C CD1 10  ILE C CD1 1 
ATOM 14423 N N   . ALA C 3 11  ? 219.170 -32.376 298.514 1.0 52.27909  ? 11  ALA C N   11  ALA C N   1 
ATOM 14424 C CA  . ALA C 3 11  ? 218.443 -33.088 297.480 1.0 52.27909  ? 11  ALA C CA  11  ALA C CA  1 
ATOM 14425 C C   . ALA C 3 11  ? 217.650 -32.081 296.665 1.0 52.27909  ? 11  ALA C C   11  ALA C C   1 
ATOM 14426 O O   . ALA C 3 11  ? 217.285 -31.010 297.150 1.0 52.27909  ? 11  ALA C O   11  ALA C O   1 
ATOM 14427 C CB  . ALA C 3 11  ? 217.507 -34.147 298.068 1.0 52.27909  ? 11  ALA C CB  11  ALA C CB  1 
ATOM 14428 N N   . GLY C 3 12  ? 217.384 -32.431 295.415 1.0 52.28602  ? 12  GLY C N   12  GLY C N   1 
ATOM 14429 C CA  . GLY C 3 12  ? 216.619 -31.546 294.565 1.0 52.28602  ? 12  GLY C CA  12  GLY C CA  1 
ATOM 14430 C C   . GLY C 3 12  ? 217.213 -31.371 293.187 1.0 52.28602  ? 12  GLY C C   12  GLY C C   1 
ATOM 14431 O O   . GLY C 3 12  ? 217.439 -32.348 292.468 1.0 52.28602  ? 12  GLY C O   12  GLY C O   1 
ATOM 14432 N N   . ARG C 3 13  ? 217.474 -30.128 292.810 1.0 49.10454  ? 13  ARG C N   13  ARG C N   1 
ATOM 14433 C CA  . ARG C 3 13  ? 217.939 -29.812 291.472 1.0 49.10454  ? 13  ARG C CA  13  ARG C CA  1 
ATOM 14434 C C   . ARG C 3 13  ? 219.457 -29.847 291.408 1.0 49.10454  ? 13  ARG C C   13  ARG C C   1 
ATOM 14435 O O   . ARG C 3 13  ? 220.149 -29.437 292.341 1.0 49.10454  ? 13  ARG C O   13  ARG C O   1 
ATOM 14436 C CB  . ARG C 3 13  ? 217.428 -28.437 291.051 1.0 49.10454  ? 13  ARG C CB  13  ARG C CB  1 
ATOM 14437 C CG  . ARG C 3 13  ? 215.924 -28.373 290.946 1.0 49.10454  ? 13  ARG C CG  13  ARG C CG  1 
ATOM 14438 C CD  . ARG C 3 13  ? 215.446 -26.995 290.557 1.0 49.10454  ? 13  ARG C CD  13  ARG C CD  1 
ATOM 14439 N NE  . ARG C 3 13  ? 215.658 -26.018 291.616 1.0 49.10454  ? 13  ARG C NE  13  ARG C NE  1 
ATOM 14440 C CZ  . ARG C 3 13  ? 215.415 -24.720 291.482 1.0 49.10454  ? 13  ARG C CZ  13  ARG C CZ  1 
ATOM 14441 N NH1 . ARG C 3 13  ? 214.947 -24.250 290.336 1.0 49.10454  ? 13  ARG C NH1 13  ARG C NH1 1 
ATOM 14442 N NH2 . ARG C 3 13  ? 215.634 -23.893 292.493 1.0 49.10454  ? 13  ARG C NH2 13  ARG C NH2 1 
ATOM 14443 N N   . SER C 3 14  ? 219.970 -30.345 290.291 1.0 47.42761  ? 14  SER C N   14  SER C N   1 
ATOM 14444 C CA  . SER C 3 14  ? 221.399 -30.408 290.047 1.0 47.42761  ? 14  SER C CA  14  SER C CA  1 
ATOM 14445 C C   . SER C 3 14  ? 221.917 -29.049 289.590 1.0 47.42761  ? 14  SER C C   14  SER C C   1 
ATOM 14446 O O   . SER C 3 14  ? 221.150 -28.165 289.209 1.0 47.42761  ? 14  SER C O   14  SER C O   1 
ATOM 14447 C CB  . SER C 3 14  ? 221.708 -31.474 289.003 1.0 47.42761  ? 14  SER C CB  14  SER C CB  1 
ATOM 14448 O OG  . SER C 3 14  ? 221.145 -31.122 287.754 1.0 47.42761  ? 14  SER C OG  14  SER C OG  1 
ATOM 14449 N N   . ALA C 3 15  ? 223.248 -28.907 289.597 1.0 47.73684  ? 15  ALA C N   15  ALA C N   1 
ATOM 14450 C CA  . ALA C 3 15  ? 223.896 -27.626 289.318 1.0 47.73684  ? 15  ALA C CA  15  ALA C CA  1 
ATOM 14451 C C   . ALA C 3 15  ? 223.669 -27.140 287.896 1.0 47.73684  ? 15  ALA C C   15  ALA C C   1 
ATOM 14452 O O   . ALA C 3 15  ? 223.797 -25.941 287.634 1.0 47.73684  ? 15  ALA C O   15  ALA C O   1 
ATOM 14453 C CB  . ALA C 3 15  ? 225.395 -27.727 289.592 1.0 47.73684  ? 15  ALA C CB  15  ALA C CB  1 
ATOM 14454 N N   . LYS C 3 16  ? 223.333 -28.043 286.978 1.0 48.1393   ? 16  LYS C N   16  LYS C N   1 
ATOM 14455 C CA  . LYS C 3 16  ? 222.923 -27.639 285.642 1.0 48.1393   ? 16  LYS C CA  16  LYS C CA  1 
ATOM 14456 C C   . LYS C 3 16  ? 221.578 -26.923 285.669 1.0 48.1393   ? 16  LYS C C   16  LYS C C   1 
ATOM 14457 O O   . LYS C 3 16  ? 221.302 -26.093 284.796 1.0 48.1393   ? 16  LYS C O   16  LYS C O   1 
ATOM 14458 C CB  . LYS C 3 16  ? 222.872 -28.879 284.744 1.0 48.1393   ? 16  LYS C CB  16  LYS C CB  1 
ATOM 14459 C CG  . LYS C 3 16  ? 222.550 -28.644 283.278 1.0 48.1393   ? 16  LYS C CG  16  LYS C CG  1 
ATOM 14460 C CD  . LYS C 3 16  ? 223.620 -27.818 282.599 1.0 48.1393   ? 16  LYS C CD  16  LYS C CD  1 
ATOM 14461 C CE  . LYS C 3 16  ? 224.935 -28.571 282.525 1.0 48.1393   ? 16  LYS C CE  16  LYS C CE  1 
ATOM 14462 N NZ  . LYS C 3 16  ? 224.851 -29.735 281.602 1.0 48.1393   ? 16  LYS C NZ  16  LYS C NZ  1 
ATOM 14463 N N   . GLU C 3 17  ? 220.747 -27.188 286.683 1.0 48.70318  ? 17  GLU C N   17  GLU C N   1 
ATOM 14464 C CA  . GLU C 3 17  ? 219.346 -26.793 286.622 1.0 48.70318  ? 17  GLU C CA  17  GLU C CA  1 
ATOM 14465 C C   . GLU C 3 17  ? 218.852 -26.040 287.854 1.0 48.70318  ? 17  GLU C C   17  GLU C C   1 
ATOM 14466 O O   . GLU C 3 17  ? 217.640 -25.962 288.067 1.0 48.70318  ? 17  GLU C O   17  GLU C O   1 
ATOM 14467 C CB  . GLU C 3 17  ? 218.467 -28.019 286.368 1.0 48.70318  ? 17  GLU C CB  17  GLU C CB  1 
ATOM 14468 C CG  . GLU C 3 17  ? 218.497 -29.072 287.454 1.0 48.70318  ? 17  GLU C CG  17  GLU C CG  1 
ATOM 14469 C CD  . GLU C 3 17  ? 217.668 -30.282 287.091 1.0 48.70318  ? 17  GLU C CD  17  GLU C CD  1 
ATOM 14470 O OE1 . GLU C 3 17  ? 217.089 -30.288 285.986 1.0 48.70318  ? 17  GLU C OE1 17  GLU C OE1 1 
ATOM 14471 O OE2 . GLU C 3 17  ? 217.596 -31.227 287.902 1.0 48.70318  ? 17  GLU C OE2 17  GLU C OE2 1 
ATOM 14472 N N   . TYR C 3 18  ? 219.737 -25.474 288.675 1.0 46.99788  ? 18  TYR C N   18  TYR C N   1 
ATOM 14473 C CA  . TYR C 3 18  ? 219.304 -24.406 289.567 1.0 46.99788  ? 18  TYR C CA  18  TYR C CA  1 
ATOM 14474 C C   . TYR C 3 18  ? 220.088 -23.123 289.371 1.0 46.99788  ? 18  TYR C C   18  TYR C C   1 
ATOM 14475 O O   . TYR C 3 18  ? 219.823 -22.146 290.076 1.0 46.99788  ? 18  TYR C O   18  TYR C O   1 
ATOM 14476 C CB  . TYR C 3 18  ? 219.351 -24.814 291.053 1.0 46.99788  ? 18  TYR C CB  18  TYR C CB  1 
ATOM 14477 C CG  . TYR C 3 18  ? 220.701 -25.076 291.691 1.0 46.99788  ? 18  TYR C CG  18  TYR C CG  1 
ATOM 14478 C CD1 . TYR C 3 18  ? 221.196 -26.360 291.778 1.0 46.99788  ? 18  TYR C CD1 18  TYR C CD1 1 
ATOM 14479 C CD2 . TYR C 3 18  ? 221.453 -24.049 292.254 1.0 46.99788  ? 18  TYR C CD2 18  TYR C CD2 1 
ATOM 14480 C CE1 . TYR C 3 18  ? 222.404 -26.621 292.376 1.0 46.99788  ? 18  TYR C CE1 18  TYR C CE1 1 
ATOM 14481 C CE2 . TYR C 3 18  ? 222.672 -24.304 292.848 1.0 46.99788  ? 18  TYR C CE2 18  TYR C CE2 1 
ATOM 14482 C CZ  . TYR C 3 18  ? 223.138 -25.595 292.901 1.0 46.99788  ? 18  TYR C CZ  18  TYR C CZ  1 
ATOM 14483 O OH  . TYR C 3 18  ? 224.345 -25.876 293.488 1.0 46.99788  ? 18  TYR C OH  18  TYR C OH  1 
ATOM 14484 N N   . LEU C 3 19  ? 221.044 -23.095 288.454 1.0 47.50212  ? 19  LEU C N   19  LEU C N   1 
ATOM 14485 C CA  . LEU C 3 19  ? 221.745 -21.864 288.149 1.0 47.50212  ? 19  LEU C CA  19  LEU C CA  1 
ATOM 14486 C C   . LEU C 3 19  ? 220.971 -21.091 287.085 1.0 47.50212  ? 19  LEU C C   19  LEU C C   1 
ATOM 14487 O O   . LEU C 3 19  ? 219.829 -21.412 286.756 1.0 47.50212  ? 19  LEU C O   19  LEU C O   1 
ATOM 14488 C CB  . LEU C 3 19  ? 223.177 -22.158 287.725 1.0 47.50212  ? 19  LEU C CB  19  LEU C CB  1 
ATOM 14489 C CG  . LEU C 3 19  ? 224.032 -22.753 288.839 1.0 47.50212  ? 19  LEU C CG  19  LEU C CG  1 
ATOM 14490 C CD1 . LEU C 3 19  ? 225.407 -23.105 288.325 1.0 47.50212  ? 19  LEU C CD1 19  LEU C CD1 1 
ATOM 14491 C CD2 . LEU C 3 19  ? 224.124 -21.786 289.993 1.0 47.50212  ? 19  LEU C CD2 19  LEU C CD2 1 
ATOM 14492 N N   . SER C 3 20  ? 221.604 -20.064 286.522 1.0 51.80554  ? 20  SER C N   20  SER C N   1 
ATOM 14493 C CA  . SER C 3 20  ? 220.837 -19.012 285.868 1.0 51.80554  ? 20  SER C CA  20  SER C CA  1 
ATOM 14494 C C   . SER C 3 20  ? 220.679 -19.245 284.370 1.0 51.80554  ? 20  SER C C   20  SER C C   1 
ATOM 14495 O O   . SER C 3 20  ? 220.014 -18.451 283.694 1.0 51.80554  ? 20  SER C O   20  SER C O   1 
ATOM 14496 C CB  . SER C 3 20  ? 221.503 -17.664 286.124 1.0 51.80554  ? 20  SER C CB  20  SER C CB  1 
ATOM 14497 O OG  . SER C 3 20  ? 220.801 -16.628 285.470 1.0 51.80554  ? 20  SER C OG  20  SER C OG  1 
ATOM 14498 N N   . GLU C 3 21  ? 221.366 -20.266 283.825 1.0 52.01466  ? 21  GLU C N   21  GLU C N   1 
ATOM 14499 C CA  . GLU C 3 21  ? 221.474 -20.689 282.415 1.0 52.01466  ? 21  GLU C CA  21  GLU C CA  1 
ATOM 14500 C C   . GLU C 3 21  ? 222.329 -19.710 281.602 1.0 52.01466  ? 21  GLU C C   21  GLU C C   1 
ATOM 14501 O O   . GLU C 3 21  ? 222.780 -20.022 280.496 1.0 52.01466  ? 21  GLU C O   21  GLU C O   1 
ATOM 14502 C CB  . GLU C 3 21  ? 220.087 -20.890 281.765 1.0 52.01466  ? 21  GLU C CB  21  GLU C CB  1 
ATOM 14503 C CG  . GLU C 3 21  ? 220.067 -21.610 280.414 1.0 52.01466  ? 21  GLU C CG  21  GLU C CG  1 
ATOM 14504 C CD  . GLU C 3 21  ? 218.686 -21.703 279.810 1.0 52.01466  ? 21  GLU C CD  21  GLU C CD  1 
ATOM 14505 O OE1 . GLU C 3 21  ? 217.734 -21.175 280.417 1.0 52.01466  ? 21  GLU C OE1 21  GLU C OE1 1 
ATOM 14506 O OE2 . GLU C 3 21  ? 218.556 -22.301 278.723 1.0 52.01466  ? 21  GLU C OE2 21  GLU C OE2 1 
ATOM 14507 N N   . ASN C 3 22  ? 222.638 -18.555 282.175 1.0 51.23273  ? 22  ASN C N   22  ASN C N   1 
ATOM 14508 C CA  . ASN C 3 22  ? 223.654 -17.670 281.648 1.0 51.23273  ? 22  ASN C CA  22  ASN C CA  1 
ATOM 14509 C C   . ASN C 3 22  ? 224.889 -17.686 282.525 1.0 51.23273  ? 22  ASN C C   22  ASN C C   1 
ATOM 14510 O O   . ASN C 3 22  ? 225.920 -17.130 282.139 1.0 51.23273  ? 22  ASN C O   22  ASN C O   1 
ATOM 14511 C CB  . ASN C 3 22  ? 223.105 -16.245 281.536 1.0 51.23273  ? 22  ASN C CB  22  ASN C CB  1 
ATOM 14512 C CG  . ASN C 3 22  ? 223.768 -15.442 280.435 1.0 51.23273  ? 22  ASN C CG  22  ASN C CG  1 
ATOM 14513 O OD1 . ASN C 3 22  ? 223.255 -14.403 280.028 1.0 51.23273  ? 22  ASN C OD1 22  ASN C OD1 1 
ATOM 14514 N ND2 . ASN C 3 22  ? 224.898 -15.923 279.936 1.0 51.23273  ? 22  ASN C ND2 22  ASN C ND2 1 
ATOM 14515 N N   . LEU C 3 23  ? 224.788 -18.300 283.700 1.0 47.42716  ? 23  LEU C N   23  LEU C N   1 
ATOM 14516 C CA  . LEU C 3 23  ? 225.935 -18.632 284.523 1.0 47.42716  ? 23  LEU C CA  23  LEU C CA  1 
ATOM 14517 C C   . LEU C 3 23  ? 226.486 -19.992 284.116 1.0 47.42716  ? 23  LEU C C   23  LEU C C   1 
ATOM 14518 O O   . LEU C 3 23  ? 227.698 -20.206 284.158 1.0 47.42716  ? 23  LEU C O   23  LEU C O   1 
ATOM 14519 C CB  . LEU C 3 23  ? 225.532 -18.606 286.002 1.0 47.42716  ? 23  LEU C CB  23  LEU C CB  1 
ATOM 14520 C CG  . LEU C 3 23  ? 226.560 -18.529 287.136 1.0 47.42716  ? 23  LEU C CG  23  LEU C CG  1 
ATOM 14521 C CD1 . LEU C 3 23  ? 227.190 -19.859 287.497 1.0 47.42716  ? 23  LEU C CD1 23  LEU C CD1 1 
ATOM 14522 C CD2 . LEU C 3 23  ? 227.628 -17.531 286.770 1.0 47.42716  ? 23  LEU C CD2 23  LEU C CD2 1 
ATOM 14523 N N   . VAL C 3 24  ? 225.602 -20.913 283.718 1.0 46.33029  ? 24  VAL C N   24  VAL C N   1 
ATOM 14524 C CA  . VAL C 3 24  ? 226.036 -22.219 283.229 1.0 46.33029  ? 24  VAL C CA  24  VAL C CA  1 
ATOM 14525 C C   . VAL C 3 24  ? 226.805 -22.071 281.925 1.0 46.33029  ? 24  VAL C C   24  VAL C C   1 
ATOM 14526 O O   . VAL C 3 24  ? 227.884 -22.646 281.752 1.0 46.33029  ? 24  VAL C O   24  VAL C O   1 
ATOM 14527 C CB  . VAL C 3 24  ? 224.826 -23.155 283.066 1.0 46.33029  ? 24  VAL C CB  24  VAL C CB  1 
ATOM 14528 C CG1 . VAL C 3 24  ? 225.251 -24.464 282.457 1.0 46.33029  ? 24  VAL C CG1 24  VAL C CG1 1 
ATOM 14529 C CG2 . VAL C 3 24  ? 224.177 -23.399 284.397 1.0 46.33029  ? 24  VAL C CG2 24  VAL C CG2 1 
ATOM 14530 N N   . GLN C 3 25  ? 226.282 -21.263 281.002 1.0 48.35953  ? 25  GLN C N   25  GLN C N   1 
ATOM 14531 C CA  . GLN C 3 25  ? 226.987 -20.997 279.756 1.0 48.35953  ? 25  GLN C CA  25  GLN C CA  1 
ATOM 14532 C C   . GLN C 3 25  ? 228.217 -20.128 279.963 1.0 48.35953  ? 25  GLN C C   25  GLN C C   1 
ATOM 14533 O O   . GLN C 3 25  ? 229.074 -20.073 279.078 1.0 48.35953  ? 25  GLN C O   25  GLN C O   1 
ATOM 14534 C CB  . GLN C 3 25  ? 226.048 -20.335 278.751 1.0 48.35953  ? 25  GLN C CB  25  GLN C CB  1 
ATOM 14535 C CG  . GLN C 3 25  ? 224.938 -21.245 278.265 1.0 48.35953  ? 25  GLN C CG  25  GLN C CG  1 
ATOM 14536 C CD  . GLN C 3 25  ? 224.005 -20.556 277.294 1.0 48.35953  ? 25  GLN C CD  25  GLN C CD  1 
ATOM 14537 O OE1 . GLN C 3 25  ? 224.144 -19.364 277.026 1.0 48.35953  ? 25  GLN C OE1 25  GLN C OE1 1 
ATOM 14538 N NE2 . GLN C 3 25  ? 223.047 -21.304 276.760 1.0 48.35953  ? 25  GLN C NE2 25  GLN C NE2 1 
ATOM 14539 N N   . PHE C 3 26  ? 228.322 -19.445 281.102 1.0 46.49209  ? 26  PHE C N   26  PHE C N   1 
ATOM 14540 C CA  . PHE C 3 26  ? 229.552 -18.731 281.415 1.0 46.49209  ? 26  PHE C CA  26  PHE C CA  1 
ATOM 14541 C C   . PHE C 3 26  ? 230.603 -19.666 281.993 1.0 46.49209  ? 26  PHE C C   26  PHE C C   1 
ATOM 14542 O O   . PHE C 3 26  ? 231.783 -19.554 281.648 1.0 46.49209  ? 26  PHE C O   26  PHE C O   1 
ATOM 14543 C CB  . PHE C 3 26  ? 229.286 -17.588 282.393 1.0 46.49209  ? 26  PHE C CB  26  PHE C CB  1 
ATOM 14544 C CG  . PHE C 3 26  ? 230.502 -16.762 282.690 1.0 46.49209  ? 26  PHE C CG  26  PHE C CG  1 
ATOM 14545 C CD1 . PHE C 3 26  ? 230.943 -15.817 281.784 1.0 46.49209  ? 26  PHE C CD1 26  PHE C CD1 1 
ATOM 14546 C CD2 . PHE C 3 26  ? 231.217 -16.943 283.861 1.0 46.49209  ? 26  PHE C CD2 26  PHE C CD2 1 
ATOM 14547 C CE1 . PHE C 3 26  ? 232.064 -15.063 282.043 1.0 46.49209  ? 26  PHE C CE1 26  PHE C CE1 1 
ATOM 14548 C CE2 . PHE C 3 26  ? 232.345 -16.200 284.119 1.0 46.49209  ? 26  PHE C CE2 26  PHE C CE2 1 
ATOM 14549 C CZ  . PHE C 3 26  ? 232.763 -15.253 283.213 1.0 46.49209  ? 26  PHE C CZ  26  PHE C CZ  1 
ATOM 14550 N N   . ILE C 3 27  ? 230.207 -20.583 282.880 1.0 46.79859  ? 27  ILE C N   27  ILE C N   1 
ATOM 14551 C CA  . ILE C 3 27  ? 231.217 -21.411 283.529 1.0 46.79859  ? 27  ILE C CA  27  ILE C CA  1 
ATOM 14552 C C   . ILE C 3 27  ? 231.710 -22.487 282.580 1.0 46.79859  ? 27  ILE C C   27  ILE C C   1 
ATOM 14553 O O   . ILE C 3 27  ? 232.865 -22.896 282.666 1.0 46.79859  ? 27  ILE C O   27  ILE C O   1 
ATOM 14554 C CB  . ILE C 3 27  ? 230.717 -22.005 284.865 1.0 46.79859  ? 27  ILE C CB  27  ILE C CB  1 
ATOM 14555 C CG1 . ILE C 3 27  ? 229.480 -22.902 284.712 1.0 46.79859  ? 27  ILE C CG1 27  ILE C CG1 1 
ATOM 14556 C CG2 . ILE C 3 27  ? 230.422 -20.902 285.855 1.0 46.79859  ? 27  ILE C CG2 27  ILE C CG2 1 
ATOM 14557 C CD1 . ILE C 3 27  ? 229.764 -24.406 284.633 1.0 46.79859  ? 27  ILE C CD1 27  ILE C CD1 1 
ATOM 14558 N N   . GLN C 3 28  ? 230.875 -22.946 281.648 1.0 48.43941  ? 28  GLN C N   28  GLN C N   1 
ATOM 14559 C CA  . GLN C 3 28  ? 231.335 -23.927 280.675 1.0 48.43941  ? 28  GLN C CA  28  GLN C CA  1 
ATOM 14560 C C   . GLN C 3 28  ? 232.272 -23.321 279.646 1.0 48.43941  ? 28  GLN C C   28  GLN C C   1 
ATOM 14561 O O   . GLN C 3 28  ? 233.028 -24.061 279.010 1.0 48.43941  ? 28  GLN C O   28  GLN C O   1 
ATOM 14562 C CB  . GLN C 3 28  ? 230.153 -24.574 279.958 1.0 48.43941  ? 28  GLN C CB  28  GLN C CB  1 
ATOM 14563 C CG  . GLN C 3 28  ? 229.334 -25.488 280.824 1.0 48.43941  ? 28  GLN C CG  28  GLN C CG  1 
ATOM 14564 C CD  . GLN C 3 28  ? 228.187 -26.087 280.062 1.0 48.43941  ? 28  GLN C CD  28  GLN C CD  1 
ATOM 14565 O OE1 . GLN C 3 28  ? 227.980 -25.769 278.891 1.0 48.43941  ? 28  GLN C OE1 28  GLN C OE1 1 
ATOM 14566 N NE2 . GLN C 3 28  ? 227.427 -26.954 280.714 1.0 48.43941  ? 28  GLN C NE2 28  GLN C NE2 1 
ATOM 14567 N N   . ALA C 3 29  ? 232.232 -22.002 279.468 1.0 47.20953  ? 29  ALA C N   29  ALA C N   1 
ATOM 14568 C CA  . ALA C 3 29  ? 233.131 -21.356 278.523 1.0 47.20953  ? 29  ALA C CA  29  ALA C CA  1 
ATOM 14569 C C   . ALA C 3 29  ? 234.566 -21.403 279.018 1.0 47.20953  ? 29  ALA C C   29  ALA C C   1 
ATOM 14570 O O   . ALA C 3 29  ? 235.459 -21.871 278.304 1.0 47.20953  ? 29  ALA C O   29  ALA C O   1 
ATOM 14571 C CB  . ALA C 3 29  ? 232.700 -19.914 278.281 1.0 47.20953  ? 29  ALA C CB  29  ALA C CB  1 
ATOM 14572 N N   . THR C 3 30  ? 234.810 -20.890 280.223 1.0 48.85771  ? 30  THR C N   30  THR C N   1 
ATOM 14573 C CA  . THR C 3 30  ? 236.169 -20.806 280.737 1.0 48.85771  ? 30  THR C CA  30  THR C CA  1 
ATOM 14574 C C   . THR C 3 30  ? 236.791 -22.168 281.022 1.0 48.85771  ? 30  THR C C   30  THR C C   1 
ATOM 14575 O O   . THR C 3 30  ? 237.631 -22.637 280.248 1.0 48.85771  ? 30  THR C O   30  THR C O   1 
ATOM 14576 C CB  . THR C 3 30  ? 236.172 -19.973 282.013 1.0 48.85771  ? 30  THR C CB  30  THR C CB  1 
ATOM 14577 O OG1 . THR C 3 30  ? 235.448 -20.672 283.029 1.0 48.85771  ? 30  THR C OG1 30  THR C OG1 1 
ATOM 14578 C CG2 . THR C 3 30  ? 235.483 -18.647 281.767 1.0 48.85771  ? 30  THR C CG2 30  THR C CG2 1 
ATOM 14579 N N   . GLN C 3 31  ? 236.407 -22.798 282.139 1.0 50.90138  ? 31  GLN C N   31  GLN C N   1 
ATOM 14580 C CA  . GLN C 3 31  ? 236.725 -24.179 282.529 1.0 50.90138  ? 31  GLN C CA  31  GLN C CA  1 
ATOM 14581 C C   . GLN C 3 31  ? 238.202 -24.540 282.682 1.0 50.90138  ? 31  GLN C C   31  GLN C C   1 
ATOM 14582 O O   . GLN C 3 31  ? 238.517 -25.586 283.257 1.0 50.90138  ? 31  GLN C O   31  GLN C O   1 
ATOM 14583 C CB  . GLN C 3 31  ? 236.114 -25.184 281.548 1.0 50.90138  ? 31  GLN C CB  31  GLN C CB  1 
ATOM 14584 C CG  . GLN C 3 31  ? 234.639 -25.422 281.725 1.0 50.90138  ? 31  GLN C CG  31  GLN C CG  1 
ATOM 14585 C CD  . GLN C 3 31  ? 234.324 -26.036 283.067 1.0 50.90138  ? 31  GLN C CD  31  GLN C CD  1 
ATOM 14586 O OE1 . GLN C 3 31  ? 233.820 -25.358 283.971 1.0 50.90138  ? 31  GLN C OE1 31  GLN C OE1 1 
ATOM 14587 N NE2 . GLN C 3 31  ? 234.591 -27.321 283.205 1.0 50.90138  ? 31  GLN C NE2 31  GLN C NE2 1 
ATOM 14588 N N   . ASN C 3 32  ? 239.113 -23.704 282.200 1.0 51.89762  ? 32  ASN C N   32  ASN C N   1 
ATOM 14589 C CA  . ASN C 3 32  ? 240.531 -24.025 282.191 1.0 51.89762  ? 32  ASN C CA  32  ASN C CA  1 
ATOM 14590 C C   . ASN C 3 32  ? 241.373 -22.960 282.864 1.0 51.89762  ? 32  ASN C C   32  ASN C C   1 
ATOM 14591 O O   . ASN C 3 32  ? 242.190 -23.276 283.736 1.0 51.89762  ? 32  ASN C O   32  ASN C O   1 
ATOM 14592 C CB  . ASN C 3 32  ? 240.998 -24.235 280.747 1.0 51.89762  ? 32  ASN C CB  32  ASN C CB  1 
ATOM 14593 C CG  . ASN C 3 32  ? 240.406 -25.477 280.128 1.0 51.89762  ? 32  ASN C CG  32  ASN C CG  1 
ATOM 14594 O OD1 . ASN C 3 32  ? 240.328 -26.522 280.769 1.0 51.89762  ? 32  ASN C OD1 32  ASN C OD1 1 
ATOM 14595 N ND2 . ASN C 3 32  ? 239.972 -25.370 278.879 1.0 51.89762  ? 32  ASN C ND2 32  ASN C ND2 1 
ATOM 14596 N N   . TYR C 3 33  ? 241.185 -21.700 282.491 1.0 50.50079  ? 33  TYR C N   33  TYR C N   1 
ATOM 14597 C CA  . TYR C 3 33  ? 242.015 -20.640 283.033 1.0 50.50079  ? 33  TYR C CA  33  TYR C CA  1 
ATOM 14598 C C   . TYR C 3 33  ? 241.413 -20.030 284.289 1.0 50.50079  ? 33  TYR C C   33  TYR C C   1 
ATOM 14599 O O   . TYR C 3 33  ? 242.150 -19.646 285.202 1.0 50.50079  ? 33  TYR C O   33  TYR C O   1 
ATOM 14600 C CB  . TYR C 3 33  ? 242.263 -19.569 281.966 1.0 50.50079  ? 33  TYR C CB  33  TYR C CB  1 
ATOM 14601 C CG  . TYR C 3 33  ? 241.035 -18.868 281.425 1.0 50.50079  ? 33  TYR C CG  33  TYR C CG  1 
ATOM 14602 C CD1 . TYR C 3 33  ? 240.354 -19.368 280.323 1.0 50.50079  ? 33  TYR C CD1 33  TYR C CD1 1 
ATOM 14603 C CD2 . TYR C 3 33  ? 240.587 -17.680 281.987 1.0 50.50079  ? 33  TYR C CD2 33  TYR C CD2 1 
ATOM 14604 C CE1 . TYR C 3 33  ? 239.245 -18.719 279.818 1.0 50.50079  ? 33  TYR C CE1 33  TYR C CE1 1 
ATOM 14605 C CE2 . TYR C 3 33  ? 239.482 -17.028 281.492 1.0 50.50079  ? 33  TYR C CE2 33  TYR C CE2 1 
ATOM 14606 C CZ  . TYR C 3 33  ? 238.817 -17.550 280.408 1.0 50.50079  ? 33  TYR C CZ  33  TYR C CZ  1 
ATOM 14607 O OH  . TYR C 3 33  ? 237.716 -16.893 279.916 1.0 50.50079  ? 33  TYR C OH  33  TYR C OH  1 
ATOM 14608 N N   . PHE C 3 34  ? 240.089 -19.945 284.365 1.0 50.44585  ? 34  PHE C N   34  PHE C N   1 
ATOM 14609 C CA  . PHE C 3 34  ? 239.421 -19.420 285.556 1.0 50.44585  ? 34  PHE C CA  34  PHE C CA  1 
ATOM 14610 C C   . PHE C 3 34  ? 238.180 -20.272 285.790 1.0 50.44585  ? 34  PHE C C   34  PHE C C   1 
ATOM 14611 O O   . PHE C 3 34  ? 237.100 -19.977 285.275 1.0 50.44585  ? 34  PHE C O   34  PHE C O   1 
ATOM 14612 C CB  . PHE C 3 34  ? 239.082 -17.950 285.396 1.0 50.44585  ? 34  PHE C CB  34  PHE C CB  1 
ATOM 14613 C CG  . PHE C 3 34  ? 238.443 -17.347 286.602 1.0 50.44585  ? 34  PHE C CG  34  PHE C CG  1 
ATOM 14614 C CD1 . PHE C 3 34  ? 239.179 -17.144 287.758 1.0 50.44585  ? 34  PHE C CD1 34  PHE C CD1 1 
ATOM 14615 C CD2 . PHE C 3 34  ? 237.118 -16.955 286.575 1.0 50.44585  ? 34  PHE C CD2 34  PHE C CD2 1 
ATOM 14616 C CE1 . PHE C 3 34  ? 238.597 -16.581 288.873 1.0 50.44585  ? 34  PHE C CE1 34  PHE C CE1 1 
ATOM 14617 C CE2 . PHE C 3 34  ? 236.531 -16.383 287.683 1.0 50.44585  ? 34  PHE C CE2 34  PHE C CE2 1 
ATOM 14618 C CZ  . PHE C 3 34  ? 237.270 -16.200 288.834 1.0 50.44585  ? 34  PHE C CZ  34  PHE C CZ  1 
ATOM 14619 N N   . ASN C 3 35  ? 238.345 -21.320 286.585 1.0 50.79942  ? 35  ASN C N   35  ASN C N   1 
ATOM 14620 C CA  . ASN C 3 35  ? 237.298 -22.299 286.825 1.0 50.79942  ? 35  ASN C CA  35  ASN C CA  1 
ATOM 14621 C C   . ASN C 3 35  ? 236.457 -21.855 288.013 1.0 50.79942  ? 35  ASN C C   35  ASN C C   1 
ATOM 14622 O O   . ASN C 3 35  ? 236.959 -21.790 289.140 1.0 50.79942  ? 35  ASN C O   35  ASN C O   1 
ATOM 14623 C CB  . ASN C 3 35  ? 237.916 -23.669 287.099 1.0 50.79942  ? 35  ASN C CB  35  ASN C CB  1 
ATOM 14624 C CG  . ASN C 3 35  ? 236.901 -24.788 287.075 1.0 50.79942  ? 35  ASN C CG  35  ASN C CG  1 
ATOM 14625 O OD1 . ASN C 3 35  ? 235.729 -24.579 286.770 1.0 50.79942  ? 35  ASN C OD1 35  ASN C OD1 1 
ATOM 14626 N ND2 . ASN C 3 35  ? 237.344 -25.988 287.423 1.0 50.79942  ? 35  ASN C ND2 35  ASN C ND2 1 
ATOM 14627 N N   . ILE C 3 36  ? 235.181 -21.561 287.773 1.0 48.77757  ? 36  ILE C N   36  ILE C N   1 
ATOM 14628 C CA  . ILE C 3 36  ? 234.271 -21.437 288.901 1.0 48.77757  ? 36  ILE C CA  36  ILE C CA  1 
ATOM 14629 C C   . ILE C 3 36  ? 233.957 -22.852 289.349 1.0 48.77757  ? 36  ILE C C   36  ILE C C   1 
ATOM 14630 O O   . ILE C 3 36  ? 234.449 -23.292 290.391 1.0 48.77757  ? 36  ILE C O   36  ILE C O   1 
ATOM 14631 C CB  . ILE C 3 36  ? 232.993 -20.664 288.544 1.0 48.77757  ? 36  ILE C CB  36  ILE C CB  1 
ATOM 14632 C CG1 . ILE C 3 36  ? 233.333 -19.237 288.140 1.0 48.77757  ? 36  ILE C CG1 36  ILE C CG1 1 
ATOM 14633 C CG2 . ILE C 3 36  ? 232.044 -20.643 289.722 1.0 48.77757  ? 36  ILE C CG2 36  ILE C CG2 1 
ATOM 14634 C CD1 . ILE C 3 36  ? 233.990 -18.461 289.244 1.0 48.77757  ? 36  ILE C CD1 36  ILE C CD1 1 
ATOM 14635 N N   . GLY C 3 37  ? 233.231 -23.599 288.514 1.0 49.52859  ? 37  GLY C N   37  GLY C N   1 
ATOM 14636 C CA  . GLY C 3 37  ? 233.052 -25.026 288.708 1.0 49.52859  ? 37  GLY C CA  37  GLY C CA  1 
ATOM 14637 C C   . GLY C 3 37  ? 232.436 -25.443 290.026 1.0 49.52859  ? 37  GLY C C   37  GLY C C   1 
ATOM 14638 O O   . GLY C 3 37  ? 231.229 -25.329 290.246 1.0 49.52859  ? 37  GLY C O   37  GLY C O   1 
ATOM 14639 N N   . GLU C 3 38  ? 233.301 -25.921 290.911 1.0 53.02578  ? 38  GLU C N   38  GLU C N   1 
ATOM 14640 C CA  . GLU C 3 38  ? 233.114 -26.517 292.225 1.0 53.02578  ? 38  GLU C CA  38  GLU C CA  1 
ATOM 14641 C C   . GLU C 3 38  ? 232.678 -25.534 293.286 1.0 53.02578  ? 38  GLU C C   38  GLU C C   1 
ATOM 14642 O O   . GLU C 3 38  ? 232.682 -25.926 294.454 1.0 53.02578  ? 38  GLU C O   38  GLU C O   1 
ATOM 14643 C CB  . GLU C 3 38  ? 234.410 -27.199 292.667 1.0 53.02578  ? 38  GLU C CB  38  GLU C CB  1 
ATOM 14644 C CG  . GLU C 3 38  ? 234.794 -28.433 291.861 1.0 53.02578  ? 38  GLU C CG  38  GLU C CG  1 
ATOM 14645 C CD  . GLU C 3 38  ? 235.558 -28.103 290.595 1.0 53.02578  ? 38  GLU C CD  38  GLU C CD  1 
ATOM 14646 O OE1 . GLU C 3 38  ? 235.856 -26.911 290.370 1.0 53.02578  ? 38  GLU C OE1 38  GLU C OE1 1 
ATOM 14647 O OE2 . GLU C 3 38  ? 235.856 -29.037 289.820 1.0 53.02578  ? 38  GLU C OE2 38  GLU C OE2 1 
ATOM 14648 N N   . LYS C 3 39  ? 232.302 -24.291 293.000 1.0 48.29624  ? 39  LYS C N   39  LYS C N   1 
ATOM 14649 C CA  . LYS C 3 39  ? 231.710 -23.425 294.010 1.0 48.29624  ? 39  LYS C CA  39  LYS C CA  1 
ATOM 14650 C C   . LYS C 3 39  ? 230.209 -23.641 294.159 1.0 48.29624  ? 39  LYS C C   39  LYS C C   1 
ATOM 14651 O O   . LYS C 3 39  ? 229.528 -22.777 294.713 1.0 48.29624  ? 39  LYS C O   39  LYS C O   1 
ATOM 14652 C CB  . LYS C 3 39  ? 231.972 -21.948 293.687 1.0 48.29624  ? 39  LYS C CB  39  LYS C CB  1 
ATOM 14653 C CG  . LYS C 3 39  ? 233.313 -21.362 294.144 1.0 48.29624  ? 39  LYS C CG  39  LYS C CG  1 
ATOM 14654 C CD  . LYS C 3 39  ? 234.450 -21.749 293.225 1.0 48.29624  ? 39  LYS C CD  39  LYS C CD  1 
ATOM 14655 C CE  . LYS C 3 39  ? 235.741 -21.029 293.537 1.0 48.29624  ? 39  LYS C CE  39  LYS C CE  1 
ATOM 14656 N NZ  . LYS C 3 39  ? 236.850 -21.545 292.693 1.0 48.29624  ? 39  LYS C NZ  39  LYS C NZ  1 
ATOM 14657 N N   . PHE C 3 40  ? 229.677 -24.754 293.661 1.0 46.25463  ? 40  PHE C N   40  PHE C N   1 
ATOM 14658 C CA  . PHE C 3 40  ? 228.255 -25.050 293.709 1.0 46.25463  ? 40  PHE C CA  40  PHE C CA  1 
ATOM 14659 C C   . PHE C 3 40  ? 228.089 -26.542 293.938 1.0 46.25463  ? 40  PHE C C   40  PHE C C   1 
ATOM 14660 O O   . PHE C 3 40  ? 228.786 -27.348 293.319 1.0 46.25463  ? 40  PHE C O   40  PHE C O   1 
ATOM 14661 C CB  . PHE C 3 40  ? 227.555 -24.635 292.413 1.0 46.25463  ? 40  PHE C CB  40  PHE C CB  1 
ATOM 14662 C CG  . PHE C 3 40  ? 227.576 -23.159 292.161 1.0 46.25463  ? 40  PHE C CG  40  PHE C CG  1 
ATOM 14663 C CD1 . PHE C 3 40  ? 226.671 -22.327 292.789 1.0 46.25463  ? 40  PHE C CD1 40  PHE C CD1 1 
ATOM 14664 C CD2 . PHE C 3 40  ? 228.506 -22.603 291.302 1.0 46.25463  ? 40  PHE C CD2 40  PHE C CD2 1 
ATOM 14665 C CE1 . PHE C 3 40  ? 226.690 -20.966 292.563 1.0 46.25463  ? 40  PHE C CE1 40  PHE C CE1 1 
ATOM 14666 C CE2 . PHE C 3 40  ? 228.530 -21.244 291.072 1.0 46.25463  ? 40  PHE C CE2 40  PHE C CE2 1 
ATOM 14667 C CZ  . PHE C 3 40  ? 227.622 -20.426 291.704 1.0 46.25463  ? 40  PHE C CZ  40  PHE C CZ  1 
ATOM 14668 N N   . ARG C 3 41  ? 227.171 -26.908 294.823 1.0 46.89399  ? 41  ARG C N   41  ARG C N   1 
ATOM 14669 C CA  . ARG C 3 41  ? 226.985 -28.305 295.175 1.0 46.89399  ? 41  ARG C CA  41  ARG C CA  1 
ATOM 14670 C C   . ARG C 3 41  ? 226.035 -28.994 294.212 1.0 46.89399  ? 41  ARG C C   41  ARG C C   1 
ATOM 14671 O O   . ARG C 3 41  ? 225.132 -28.378 293.643 1.0 46.89399  ? 41  ARG C O   41  ARG C O   1 
ATOM 14672 C CB  . ARG C 3 41  ? 226.458 -28.443 296.598 1.0 46.89399  ? 41  ARG C CB  41  ARG C CB  1 
ATOM 14673 C CG  . ARG C 3 41  ? 227.416 -27.940 297.635 1.0 46.89399  ? 41  ARG C CG  41  ARG C CG  1 
ATOM 14674 C CD  . ARG C 3 41  ? 228.662 -28.794 297.673 1.0 46.89399  ? 41  ARG C CD  41  ARG C CD  1 
ATOM 14675 N NE  . ARG C 3 41  ? 228.359 -30.161 298.073 1.0 46.89399  ? 41  ARG C NE  41  ARG C NE  1 
ATOM 14676 C CZ  . ARG C 3 41  ? 229.196 -31.180 297.931 1.0 46.89399  ? 41  ARG C CZ  41  ARG C CZ  1 
ATOM 14677 N NH1 . ARG C 3 41  ? 230.394 -30.986 297.406 1.0 46.89399  ? 41  ARG C NH1 41  ARG C NH1 1 
ATOM 14678 N NH2 . ARG C 3 41  ? 228.839 -32.391 298.320 1.0 46.89399  ? 41  ARG C NH2 41  ARG C NH2 1 
ATOM 14679 N N   . ASP C 3 42  ? 226.247 -30.293 294.046 1.0 49.16339  ? 42  ASP C N   42  ASP C N   1 
ATOM 14680 C CA  . ASP C 3 42  ? 225.457 -31.120 293.138 1.0 49.16339  ? 42  ASP C CA  42  ASP C CA  1 
ATOM 14681 C C   . ASP C 3 42  ? 224.893 -32.282 293.939 1.0 49.16339  ? 42  ASP C C   42  ASP C C   1 
ATOM 14682 O O   . ASP C 3 42  ? 225.675 -33.107 294.454 1.0 49.16339  ? 42  ASP C O   42  ASP C O   1 
ATOM 14683 C CB  . ASP C 3 42  ? 226.320 -31.614 291.982 1.0 49.16339  ? 42  ASP C CB  42  ASP C CB  1 
ATOM 14684 C CG  . ASP C 3 42  ? 225.518 -32.317 290.915 1.0 49.16339  ? 42  ASP C CG  42  ASP C CG  1 
ATOM 14685 O OD1 . ASP C 3 42  ? 224.819 -31.624 290.151 1.0 49.16339  ? 42  ASP C OD1 42  ASP C OD1 1 
ATOM 14686 O OD2 . ASP C 3 42  ? 225.594 -33.560 290.832 1.0 49.16339  ? 42  ASP C OD2 42  ASP C OD2 1 
ATOM 14687 N N   . PRO C 3 43  ? 223.573 -32.381 294.093 1.0 49.64588  ? 43  PRO C N   43  PRO C N   1 
ATOM 14688 C CA  . PRO C 3 43  ? 223.005 -33.486 294.876 1.0 49.64588  ? 43  PRO C CA  43  PRO C CA  1 
ATOM 14689 C C   . PRO C 3 43  ? 223.129 -34.813 294.142 1.0 49.64588  ? 43  PRO C C   43  PRO C C   1 
ATOM 14690 O O   . PRO C 3 43  ? 222.813 -34.919 292.956 1.0 49.64588  ? 43  PRO C O   43  PRO C O   1 
ATOM 14691 C CB  . PRO C 3 43  ? 221.541 -33.073 295.058 1.0 49.64588  ? 43  PRO C CB  43  PRO C CB  1 
ATOM 14692 C CG  . PRO C 3 43  ? 221.268 -32.161 293.928 1.0 49.64588  ? 43  PRO C CG  43  PRO C CG  1 
ATOM 14693 C CD  . PRO C 3 43  ? 222.543 -31.426 293.660 1.0 49.64588  ? 43  PRO C CD  43  PRO C CD  1 
ATOM 14694 N N   . TYR C 3 44  ? 223.602 -35.824 294.865 1.0 51.39501  ? 44  TYR C N   44  TYR C N   1 
ATOM 14695 C CA  . TYR C 3 44  ? 223.822 -37.163 294.329 1.0 51.39501  ? 44  TYR C CA  44  TYR C CA  1 
ATOM 14696 C C   . TYR C 3 44  ? 223.006 -38.115 295.189 1.0 51.39501  ? 44  TYR C C   44  TYR C C   1 
ATOM 14697 O O   . TYR C 3 44  ? 223.386 -38.411 296.324 1.0 51.39501  ? 44  TYR C O   44  TYR C O   1 
ATOM 14698 C CB  . TYR C 3 44  ? 225.310 -37.507 294.343 1.0 51.39501  ? 44  TYR C CB  44  TYR C CB  1 
ATOM 14699 C CG  . TYR C 3 44  ? 225.678 -38.829 293.725 1.0 51.39501  ? 44  TYR C CG  44  TYR C CG  1 
ATOM 14700 C CD1 . TYR C 3 44  ? 225.576 -39.028 292.358 1.0 51.39501  ? 44  TYR C CD1 44  TYR C CD1 1 
ATOM 14701 C CD2 . TYR C 3 44  ? 226.187 -39.860 294.502 1.0 51.39501  ? 44  TYR C CD2 44  TYR C CD2 1 
ATOM 14702 C CE1 . TYR C 3 44  ? 225.929 -40.233 291.787 1.0 51.39501  ? 44  TYR C CE1 44  TYR C CE1 1 
ATOM 14703 C CE2 . TYR C 3 44  ? 226.551 -41.065 293.938 1.0 51.39501  ? 44  TYR C CE2 44  TYR C CE2 1 
ATOM 14704 C CZ  . TYR C 3 44  ? 226.415 -41.247 292.582 1.0 51.39501  ? 44  TYR C CZ  44  TYR C CZ  1 
ATOM 14705 O OH  . TYR C 3 44  ? 226.775 -42.449 292.020 1.0 51.39501  ? 44  TYR C OH  44  TYR C OH  1 
ATOM 14706 N N   . VAL C 3 45  ? 221.888 -38.589 294.649 1.0 49.73823  ? 45  VAL C N   45  VAL C N   1 
ATOM 14707 C CA  . VAL C 3 45  ? 220.779 -39.113 295.436 1.0 49.73823  ? 45  VAL C CA  45  VAL C CA  1 
ATOM 14708 C C   . VAL C 3 45  ? 220.558 -40.581 295.095 1.0 49.73823  ? 45  VAL C C   45  VAL C C   1 
ATOM 14709 O O   . VAL C 3 45  ? 220.440 -40.938 293.918 1.0 49.73823  ? 45  VAL C O   45  VAL C O   1 
ATOM 14710 C CB  . VAL C 3 45  ? 219.508 -38.282 295.182 1.0 49.73823  ? 45  VAL C CB  45  VAL C CB  1 
ATOM 14711 C CG1 . VAL C 3 45  ? 218.315 -38.910 295.809 1.0 49.73823  ? 45  VAL C CG1 45  VAL C CG1 1 
ATOM 14712 C CG2 . VAL C 3 45  ? 219.689 -36.889 295.730 1.0 49.73823  ? 45  VAL C CG2 45  VAL C CG2 1 
ATOM 14713 N N   . ALA C 3 46  ? 220.510 -41.426 296.125 1.0 49.5973   ? 46  ALA C N   46  ALA C N   1 
ATOM 14714 C CA  . ALA C 3 46  ? 220.211 -42.837 295.944 1.0 49.5973   ? 46  ALA C CA  46  ALA C CA  1 
ATOM 14715 C C   . ALA C 3 46  ? 218.746 -43.019 295.546 1.0 49.5973   ? 46  ALA C C   46  ALA C C   1 
ATOM 14716 O O   . ALA C 3 46  ? 217.891 -42.227 295.944 1.0 49.5973   ? 46  ALA C O   46  ALA C O   1 
ATOM 14717 C CB  . ALA C 3 46  ? 220.504 -43.605 297.231 1.0 49.5973   ? 46  ALA C CB  46  ALA C CB  1 
ATOM 14718 N N   . PRO C 3 47  ? 218.429 -44.054 294.754 1.0 51.75267  ? 47  PRO C N   47  PRO C N   1 
ATOM 14719 C CA  . PRO C 3 47  ? 217.050 -44.196 294.252 1.0 51.75267  ? 47  PRO C CA  47  PRO C CA  1 
ATOM 14720 C C   . PRO C 3 47  ? 216.027 -44.603 295.299 1.0 51.75267  ? 47  PRO C C   47  PRO C C   1 
ATOM 14721 O O   . PRO C 3 47  ? 214.844 -44.290 295.117 1.0 51.75267  ? 47  PRO C O   47  PRO C O   1 
ATOM 14722 C CB  . PRO C 3 47  ? 217.182 -45.268 293.166 1.0 51.75267  ? 47  PRO C CB  47  PRO C CB  1 
ATOM 14723 C CG  . PRO C 3 47  ? 218.390 -46.025 293.538 1.0 51.75267  ? 47  PRO C CG  47  PRO C CG  1 
ATOM 14724 C CD  . PRO C 3 47  ? 219.329 -45.043 294.136 1.0 51.75267  ? 47  PRO C CD  47  PRO C CD  1 
ATOM 14725 N N   . SER C 3 48  ? 216.425 -45.348 296.333 1.0 54.29907  ? 48  SER C N   48  SER C N   1 
ATOM 14726 C CA  . SER C 3 48  ? 215.654 -45.569 297.559 1.0 54.29907  ? 48  SER C CA  48  SER C CA  1 
ATOM 14727 C C   . SER C 3 48  ? 214.334 -46.323 297.425 1.0 54.29907  ? 48  SER C C   48  SER C C   1 
ATOM 14728 O O   . SER C 3 48  ? 213.634 -46.506 298.427 1.0 54.29907  ? 48  SER C O   48  SER C O   1 
ATOM 14729 C CB  . SER C 3 48  ? 215.370 -44.235 298.253 1.0 54.29907  ? 48  SER C CB  48  SER C CB  1 
ATOM 14730 O OG  . SER C 3 48  ? 214.534 -44.422 299.380 1.0 54.29907  ? 48  SER C OG  48  SER C OG  1 
ATOM 14731 N N   . ALA C 3 49  ? 213.981 -46.775 296.226 1.0 55.0902   ? 49  ALA C N   49  ALA C N   1 
ATOM 14732 C CA  . ALA C 3 49  ? 212.734 -47.500 296.036 1.0 55.0902   ? 49  ALA C CA  49  ALA C CA  1 
ATOM 14733 C C   . ALA C 3 49  ? 212.853 -48.357 294.790 1.0 55.0902   ? 49  ALA C C   49  ALA C C   1 
ATOM 14734 O O   . ALA C 3 49  ? 213.284 -47.876 293.740 1.0 55.0902   ? 49  ALA C O   49  ALA C O   1 
ATOM 14735 C CB  . ALA C 3 49  ? 211.538 -46.550 295.907 1.0 55.0902   ? 49  ALA C CB  49  ALA C CB  1 
ATOM 14736 N N   . GLY C 3 50  ? 212.466 -49.620 294.912 1.0 55.18161  ? 50  GLY C N   50  GLY C N   1 
ATOM 14737 C CA  . GLY C 3 50  ? 212.515 -50.534 293.799 1.0 55.18161  ? 50  GLY C CA  50  GLY C CA  1 
ATOM 14738 C C   . GLY C 3 50  ? 213.853 -51.199 293.574 1.0 55.18161  ? 50  GLY C C   50  GLY C C   1 
ATOM 14739 O O   . GLY C 3 50  ? 213.975 -51.998 292.640 1.0 55.18161  ? 50  GLY C O   50  GLY C O   1 
ATOM 14740 N N   . VAL C 3 51  ? 214.860 -50.899 294.391 1.0 53.34842  ? 51  VAL C N   51  VAL C N   1 
ATOM 14741 C CA  . VAL C 3 51  ? 216.177 -51.492 294.203 1.0 53.34842  ? 51  VAL C CA  51  VAL C CA  1 
ATOM 14742 C C   . VAL C 3 51  ? 216.413 -52.588 295.229 1.0 53.34842  ? 51  VAL C C   51  VAL C C   1 
ATOM 14743 O O   . VAL C 3 51  ? 216.595 -53.755 294.870 1.0 53.34842  ? 51  VAL C O   51  VAL C O   1 
ATOM 14744 C CB  . VAL C 3 51  ? 217.281 -50.427 294.276 1.0 53.34842  ? 51  VAL C CB  51  VAL C CB  1 
ATOM 14745 C CG1 . VAL C 3 51  ? 218.642 -51.084 294.241 1.0 53.34842  ? 51  VAL C CG1 51  VAL C CG1 1 
ATOM 14746 C CG2 . VAL C 3 51  ? 217.138 -49.476 293.119 1.0 53.34842  ? 51  VAL C CG2 51  VAL C CG2 1 
ATOM 14747 N N   . THR C 3 52  ? 216.402 -52.232 296.508 1.0 54.2479   ? 52  THR C N   52  THR C N   1 
ATOM 14748 C CA  . THR C 3 52  ? 216.714 -53.171 297.574 1.0 54.2479   ? 52  THR C CA  52  THR C CA  1 
ATOM 14749 C C   . THR C 3 52  ? 215.438 -53.539 298.313 1.0 54.2479   ? 52  THR C C   52  THR C C   1 
ATOM 14750 O O   . THR C 3 52  ? 214.657 -52.659 298.687 1.0 54.2479   ? 52  THR C O   52  THR C O   1 
ATOM 14751 C CB  . THR C 3 52  ? 217.738 -52.580 298.541 1.0 54.2479   ? 52  THR C CB  52  THR C CB  1 
ATOM 14752 O OG1 . THR C 3 52  ? 218.899 -52.178 297.807 1.0 54.2479   ? 52  THR C OG1 52  THR C OG1 1 
ATOM 14753 C CG2 . THR C 3 52  ? 218.152 -53.619 299.561 1.0 54.2479   ? 52  THR C CG2 52  THR C CG2 1 
ATOM 14754 N N   . THR C 3 53  ? 215.227 -54.838 298.509 1.0 56.33151  ? 53  THR C N   53  THR C N   1 
ATOM 14755 C CA  . THR C 3 53  ? 214.052 -55.317 299.214 1.0 56.33151  ? 53  THR C CA  53  THR C CA  1 
ATOM 14756 C C   . THR C 3 53  ? 214.129 -54.980 300.699 1.0 56.33151  ? 53  THR C C   53  THR C C   1 
ATOM 14757 O O   . THR C 3 53  ? 215.185 -54.647 301.243 1.0 56.33151  ? 53  THR C O   53  THR C O   1 
ATOM 14758 C CB  . THR C 3 53  ? 213.898 -56.825 299.038 1.0 56.33151  ? 53  THR C CB  53  THR C CB  1 
ATOM 14759 O OG1 . THR C 3 53  ? 212.675 -57.250 299.650 1.0 56.33151  ? 53  THR C OG1 53  THR C OG1 1 
ATOM 14760 C CG2 . THR C 3 53  ? 215.061 -57.558 299.675 1.0 56.33151  ? 53  THR C CG2 53  THR C CG2 1 
ATOM 14761 N N   . ASP C 3 54  ? 212.975 -55.060 301.355 1.0 60.05133  ? 54  ASP C N   54  ASP C N   1 
ATOM 14762 C CA  . ASP C 3 54  ? 212.877 -54.793 302.781 1.0 60.05133  ? 54  ASP C CA  54  ASP C CA  1 
ATOM 14763 C C   . ASP C 3 54  ? 212.829 -56.063 303.612 1.0 60.05133  ? 54  ASP C C   54  ASP C C   1 
ATOM 14764 O O   . ASP C 3 54  ? 213.220 -56.042 304.782 1.0 60.05133  ? 54  ASP C O   54  ASP C O   1 
ATOM 14765 C CB  . ASP C 3 54  ? 211.633 -53.945 303.068 1.0 60.05133  ? 54  ASP C CB  54  ASP C CB  1 
ATOM 14766 C CG  . ASP C 3 54  ? 211.580 -53.445 304.498 1.0 60.05133  ? 54  ASP C CG  54  ASP C CG  1 
ATOM 14767 O OD1 . ASP C 3 54  ? 212.334 -52.509 304.831 1.0 60.05133  ? 54  ASP C OD1 54  ASP C OD1 1 
ATOM 14768 O OD2 . ASP C 3 54  ? 210.784 -53.989 305.291 1.0 60.05133  ? 54  ASP C OD2 54  ASP C OD2 1 
ATOM 14769 N N   . ARG C 3 55  ? 212.389 -57.170 303.026 1.0 57.49543  ? 55  ARG C N   55  ARG C N   1 
ATOM 14770 C CA  . ARG C 3 55  ? 212.194 -58.398 303.774 1.0 57.49543  ? 55  ARG C CA  55  ARG C CA  1 
ATOM 14771 C C   . ARG C 3 55  ? 213.529 -59.083 304.043 1.0 57.49543  ? 55  ARG C C   55  ARG C C   1 
ATOM 14772 O O   . ARG C 3 55  ? 214.519 -58.864 303.343 1.0 57.49543  ? 55  ARG C O   55  ARG C O   1 
ATOM 14773 C CB  . ARG C 3 55  ? 211.242 -59.320 303.015 1.0 57.49543  ? 55  ARG C CB  55  ARG C CB  1 
ATOM 14774 C CG  . ARG C 3 55  ? 209.835 -58.720 302.797 1.0 57.49543  ? 55  ARG C CG  55  ARG C CG  1 
ATOM 14775 C CD  . ARG C 3 55  ? 208.886 -58.874 304.012 1.0 57.49543  ? 55  ARG C CD  55  ARG C CD  1 
ATOM 14776 N NE  . ARG C 3 55  ? 209.114 -57.938 305.116 1.0 57.49543  ? 55  ARG C NE  55  ARG C NE  1 
ATOM 14777 C CZ  . ARG C 3 55  ? 208.624 -56.704 305.184 1.0 57.49543  ? 55  ARG C CZ  55  ARG C CZ  1 
ATOM 14778 N NH1 . ARG C 3 55  ? 207.856 -56.233 304.215 1.0 57.49543  ? 55  ARG C NH1 55  ARG C NH1 1 
ATOM 14779 N NH2 . ARG C 3 55  ? 208.898 -55.945 306.234 1.0 57.49543  ? 55  ARG C NH2 55  ARG C NH2 1 
ATOM 14780 N N   . SER C 3 56  ? 213.542 -59.919 305.076 1.0 57.69238  ? 56  SER C N   56  SER C N   1 
ATOM 14781 C CA  . SER C 3 56  ? 214.779 -60.407 305.673 1.0 57.69238  ? 56  SER C CA  56  SER C CA  1 
ATOM 14782 C C   . SER C 3 56  ? 215.426 -61.508 304.847 1.0 57.69238  ? 56  SER C C   56  SER C C   1 
ATOM 14783 O O   . SER C 3 56  ? 214.759 -62.465 304.443 1.0 57.69238  ? 56  SER C O   56  SER C O   1 
ATOM 14784 C CB  . SER C 3 56  ? 214.497 -60.926 307.077 1.0 57.69238  ? 56  SER C CB  56  SER C CB  1 
ATOM 14785 O OG  . SER C 3 56  ? 215.620 -61.610 307.589 1.0 57.69238  ? 56  SER C OG  56  SER C OG  1 
ATOM 14786 N N   . GLN C 3 57  ? 216.738 -61.388 304.635 1.0 56.1957   ? 57  GLN C N   57  GLN C N   1 
ATOM 14787 C CA  . GLN C 3 57  ? 217.526 -62.418 303.971 1.0 56.1957   ? 57  GLN C CA  57  GLN C CA  1 
ATOM 14788 C C   . GLN C 3 57  ? 219.001 -62.239 304.295 1.0 56.1957   ? 57  GLN C C   57  GLN C C   1 
ATOM 14789 O O   . GLN C 3 57  ? 219.458 -61.138 304.604 1.0 56.1957   ? 57  GLN C O   57  GLN C O   1 
ATOM 14790 C CB  . GLN C 3 57  ? 217.320 -62.407 302.456 1.0 56.1957   ? 57  GLN C CB  57  GLN C CB  1 
ATOM 14791 C CG  . GLN C 3 57  ? 217.661 -61.109 301.789 1.0 56.1957   ? 57  GLN C CG  57  GLN C CG  1 
ATOM 14792 C CD  . GLN C 3 57  ? 217.429 -61.180 300.304 1.0 56.1957   ? 57  GLN C CD  57  GLN C CD  1 
ATOM 14793 O OE1 . GLN C 3 57  ? 217.170 -62.248 299.764 1.0 56.1957   ? 57  GLN C OE1 57  GLN C OE1 1 
ATOM 14794 N NE2 . GLN C 3 57  ? 217.480 -60.042 299.642 1.0 56.1957   ? 57  GLN C NE2 57  GLN C NE2 1 
ATOM 14795 N N   . LYS C 3 58  ? 219.733 -63.347 304.215 1.0 57.01705  ? 58  LYS C N   58  LYS C N   1 
ATOM 14796 C CA  . LYS C 3 58  ? 221.163 -63.362 304.478 1.0 57.01705  ? 58  LYS C CA  58  LYS C CA  1 
ATOM 14797 C C   . LYS C 3 58  ? 221.924 -62.803 303.281 1.0 57.01705  ? 58  LYS C C   58  LYS C C   1 
ATOM 14798 O O   . LYS C 3 58  ? 221.517 -62.972 302.130 1.0 57.01705  ? 58  LYS C O   58  LYS C O   1 
ATOM 14799 C CB  . LYS C 3 58  ? 221.606 -64.796 304.779 1.0 57.01705  ? 58  LYS C CB  58  LYS C CB  1 
ATOM 14800 C CG  . LYS C 3 58  ? 223.039 -64.983 305.221 1.0 57.01705  ? 58  LYS C CG  58  LYS C CG  1 
ATOM 14801 C CD  . LYS C 3 58  ? 223.298 -64.309 306.549 1.0 57.01705  ? 58  LYS C CD  58  LYS C CD  1 
ATOM 14802 C CE  . LYS C 3 58  ? 222.504 -64.968 307.659 1.0 57.01705  ? 58  LYS C CE  58  LYS C CE  1 
ATOM 14803 N NZ  . LYS C 3 58  ? 222.975 -66.348 307.940 1.0 57.01705  ? 58  LYS C NZ  58  LYS C NZ  1 
ATOM 14804 N N   . LEU C 3 59  ? 223.039 -62.121 303.557 1.0 53.33331  ? 59  LEU C N   59  LEU C N   1 
ATOM 14805 C CA  . LEU C 3 59  ? 223.880 -61.580 302.496 1.0 53.33331  ? 59  LEU C CA  59  LEU C CA  1 
ATOM 14806 C C   . LEU C 3 59  ? 225.028 -62.496 302.102 1.0 53.33331  ? 59  LEU C C   59  LEU C C   1 
ATOM 14807 O O   . LEU C 3 59  ? 225.574 -62.331 301.008 1.0 53.33331  ? 59  LEU C O   59  LEU C O   1 
ATOM 14808 C CB  . LEU C 3 59  ? 224.457 -60.219 302.897 1.0 53.33331  ? 59  LEU C CB  59  LEU C CB  1 
ATOM 14809 C CG  . LEU C 3 59  ? 223.435 -59.106 303.110 1.0 53.33331  ? 59  LEU C CG  59  LEU C CG  1 
ATOM 14810 C CD1 . LEU C 3 59  ? 224.127 -57.842 303.577 1.0 53.33331  ? 59  LEU C CD1 59  LEU C CD1 1 
ATOM 14811 C CD2 . LEU C 3 59  ? 222.648 -58.855 301.838 1.0 53.33331  ? 59  LEU C CD2 59  LEU C CD2 1 
ATOM 14812 N N   . GLN C 3 60  ? 225.418 -63.435 302.962 1.0 53.02225  ? 60  GLN C N   60  GLN C N   1 
ATOM 14813 C CA  . GLN C 3 60  ? 226.424 -64.443 302.637 1.0 53.02225  ? 60  GLN C CA  60  GLN C CA  1 
ATOM 14814 C C   . GLN C 3 60  ? 225.995 -65.765 303.248 1.0 53.02225  ? 60  GLN C C   60  GLN C C   1 
ATOM 14815 O O   . GLN C 3 60  ? 226.090 -65.929 304.465 1.0 53.02225  ? 60  GLN C O   60  GLN C O   1 
ATOM 14816 C CB  . GLN C 3 60  ? 227.804 -64.068 303.181 1.0 53.02225  ? 60  GLN C CB  60  GLN C CB  1 
ATOM 14817 C CG  . GLN C 3 60  ? 228.505 -62.910 302.519 1.0 53.02225  ? 60  GLN C CG  60  GLN C CG  1 
ATOM 14818 C CD  . GLN C 3 60  ? 229.853 -62.654 303.152 1.0 53.02225  ? 60  GLN C CD  60  GLN C CD  1 
ATOM 14819 O OE1 . GLN C 3 60  ? 230.213 -63.295 304.136 1.0 53.02225  ? 60  GLN C OE1 60  GLN C OE1 1 
ATOM 14820 N NE2 . GLN C 3 60  ? 230.608 -61.724 302.590 1.0 53.02225  ? 60  GLN C NE2 60  GLN C NE2 1 
ATOM 14821 N N   . LEU C 3 61  ? 225.544 -66.709 302.427 1.0 50.24166  ? 61  LEU C N   61  LEU C N   1 
ATOM 14822 C CA  . LEU C 3 61  ? 225.200 -67.998 303.006 1.0 50.24166  ? 61  LEU C CA  61  LEU C CA  1 
ATOM 14823 C C   . LEU C 3 61  ? 226.444 -68.829 303.293 1.0 50.24166  ? 61  LEU C C   61  LEU C C   1 
ATOM 14824 O O   . LEU C 3 61  ? 227.575 -68.455 302.982 1.0 50.24166  ? 61  LEU C O   61  LEU C O   1 
ATOM 14825 C CB  . LEU C 3 61  ? 224.267 -68.807 302.107 1.0 50.24166  ? 61  LEU C CB  61  LEU C CB  1 
ATOM 14826 C CG  . LEU C 3 61  ? 222.774 -68.495 302.068 1.0 50.24166  ? 61  LEU C CG  61  LEU C CG  1 
ATOM 14827 C CD1 . LEU C 3 61  ? 222.059 -69.527 301.211 1.0 50.24166  ? 61  LEU C CD1 61  LEU C CD1 1 
ATOM 14828 C CD2 . LEU C 3 61  ? 222.199 -68.487 303.466 1.0 50.24166  ? 61  LEU C CD2 61  LEU C CD2 1 
ATOM 14829 N N   . ARG C 3 62  ? 226.203 -69.982 303.904 1.0 49.30721  ? 62  ARG C N   62  ARG C N   1 
ATOM 14830 C CA  . ARG C 3 62  ? 227.200 -71.024 304.106 1.0 49.30721  ? 62  ARG C CA  62  ARG C CA  1 
ATOM 14831 C C   . ARG C 3 62  ? 226.516 -72.361 303.909 1.0 49.30721  ? 62  ARG C C   62  ARG C C   1 
ATOM 14832 O O   . ARG C 3 62  ? 225.565 -72.685 304.627 1.0 49.30721  ? 62  ARG C O   62  ARG C O   1 
ATOM 14833 C CB  . ARG C 3 62  ? 227.810 -70.956 305.497 1.0 49.30721  ? 62  ARG C CB  62  ARG C CB  1 
ATOM 14834 C CG  . ARG C 3 62  ? 228.709 -72.125 305.800 1.0 49.30721  ? 62  ARG C CG  62  ARG C CG  1 
ATOM 14835 C CD  . ARG C 3 62  ? 229.332 -71.933 307.151 1.0 49.30721  ? 62  ARG C CD  62  ARG C CD  1 
ATOM 14836 N NE  . ARG C 3 62  ? 228.368 -72.104 308.231 1.0 49.30721  ? 62  ARG C NE  62  ARG C NE  1 
ATOM 14837 C CZ  . ARG C 3 62  ? 228.128 -73.267 308.825 1.0 49.30721  ? 62  ARG C CZ  62  ARG C CZ  1 
ATOM 14838 N NH1 . ARG C 3 62  ? 228.814 -74.342 308.472 1.0 49.30721  ? 62  ARG C NH1 62  ARG C NH1 1 
ATOM 14839 N NH2 . ARG C 3 62  ? 227.236 -73.345 309.799 1.0 49.30721  ? 62  ARG C NH2 62  ARG C NH2 1 
ATOM 14840 N N   . VAL C 3 63  ? 226.995 -73.142 302.955 1.0 47.16901  ? 63  VAL C N   63  VAL C N   1 
ATOM 14841 C CA  . VAL C 3 63  ? 226.489 -74.488 302.748 1.0 47.16901  ? 63  VAL C CA  63  VAL C CA  1 
ATOM 14842 C C   . VAL C 3 63  ? 227.565 -75.475 303.187 1.0 47.16901  ? 63  VAL C C   63  VAL C C   1 
ATOM 14843 O O   . VAL C 3 63  ? 228.744 -75.333 302.842 1.0 47.16901  ? 63  VAL C O   63  VAL C O   1 
ATOM 14844 C CB  . VAL C 3 63  ? 226.022 -74.696 301.296 1.0 47.16901  ? 63  VAL C CB  63  VAL C CB  1 
ATOM 14845 C CG1 . VAL C 3 63  ? 227.090 -74.318 300.299 1.0 47.16901  ? 63  VAL C CG1 63  VAL C CG1 1 
ATOM 14846 C CG2 . VAL C 3 63  ? 225.558 -76.130 301.073 1.0 47.16901  ? 63  VAL C CG2 63  VAL C CG2 1 
ATOM 14847 N N   . VAL C 3 64  ? 227.170 -76.425 304.026 1.0 47.27829  ? 64  VAL C N   64  VAL C N   1 
ATOM 14848 C CA  . VAL C 3 64  ? 228.060 -77.465 304.524 1.0 47.27829  ? 64  VAL C CA  64  VAL C CA  1 
ATOM 14849 C C   . VAL C 3 64  ? 228.185 -78.517 303.428 1.0 47.27829  ? 64  VAL C C   64  VAL C C   1 
ATOM 14850 O O   . VAL C 3 64  ? 227.306 -78.597 302.558 1.0 47.27829  ? 64  VAL C O   64  VAL C O   1 
ATOM 14851 C CB  . VAL C 3 64  ? 227.528 -78.057 305.840 1.0 47.27829  ? 64  VAL C CB  64  VAL C CB  1 
ATOM 14852 C CG1 . VAL C 3 64  ? 227.475 -76.993 306.909 1.0 47.27829  ? 64  VAL C CG1 64  VAL C CG1 1 
ATOM 14853 C CG2 . VAL C 3 64  ? 226.154 -78.684 305.640 1.0 47.27829  ? 64  VAL C CG2 64  VAL C CG2 1 
ATOM 14854 N N   . PRO C 3 65  ? 229.250 -79.316 303.393 1.0 47.59036  ? 65  PRO C N   65  PRO C N   1 
ATOM 14855 C CA  . PRO C 3 65  ? 229.305 -80.399 302.408 1.0 47.59036  ? 65  PRO C CA  65  PRO C CA  1 
ATOM 14856 C C   . PRO C 3 65  ? 228.331 -81.511 302.756 1.0 47.59036  ? 65  PRO C C   65  PRO C C   1 
ATOM 14857 O O   . PRO C 3 65  ? 228.195 -81.904 303.917 1.0 47.59036  ? 65  PRO C O   65  PRO C O   1 
ATOM 14858 C CB  . PRO C 3 65  ? 230.758 -80.874 302.483 1.0 47.59036  ? 65  PRO C CB  65  PRO C CB  1 
ATOM 14859 C CG  . PRO C 3 65  ? 231.212 -80.481 303.824 1.0 47.59036  ? 65  PRO C CG  65  PRO C CG  1 
ATOM 14860 C CD  . PRO C 3 65  ? 230.513 -79.202 304.140 1.0 47.59036  ? 65  PRO C CD  65  PRO C CD  1 
ATOM 14861 N N   . ILE C 3 66  ? 227.632 -82.001 301.733 1.0 51.67775  ? 66  ILE C N   66  ILE C N   1 
ATOM 14862 C CA  . ILE C 3 66  ? 226.688 -83.096 301.928 1.0 51.67775  ? 66  ILE C CA  66  ILE C CA  1 
ATOM 14863 C C   . ILE C 3 66  ? 227.436 -84.392 302.204 1.0 51.67775  ? 66  ILE C C   66  ILE C C   1 
ATOM 14864 O O   . ILE C 3 66  ? 227.205 -85.060 303.217 1.0 51.67775  ? 66  ILE C O   66  ILE C O   1 
ATOM 14865 C CB  . ILE C 3 66  ? 225.761 -83.233 300.711 1.0 51.67775  ? 66  ILE C CB  66  ILE C CB  1 
ATOM 14866 C CG1 . ILE C 3 66  ? 224.963 -81.949 300.508 1.0 51.67775  ? 66  ILE C CG1 66  ILE C CG1 1 
ATOM 14867 C CG2 . ILE C 3 66  ? 224.835 -84.418 300.886 1.0 51.67775  ? 66  ILE C CG2 66  ILE C CG2 1 
ATOM 14868 C CD1 . ILE C 3 66  ? 224.064 -81.598 301.667 1.0 51.67775  ? 66  ILE C CD1 66  ILE C CD1 1 
ATOM 14869 N N   . GLN C 3 67  ? 228.339 -84.767 301.307 1.0 55.26418  ? 67  GLN C N   67  GLN C N   1 
ATOM 14870 C CA  . GLN C 3 67  ? 229.178 -85.935 301.502 1.0 55.26418  ? 67  GLN C CA  67  GLN C CA  1 
ATOM 14871 C C   . GLN C 3 67  ? 230.600 -85.611 301.073 1.0 55.26418  ? 67  GLN C C   67  GLN C C   1 
ATOM 14872 O O   . GLN C 3 67  ? 230.826 -84.815 300.159 1.0 55.26418  ? 67  GLN C O   67  GLN C O   1 
ATOM 14873 C CB  . GLN C 3 67  ? 228.643 -87.155 300.735 1.0 55.26418  ? 67  GLN C CB  67  GLN C CB  1 
ATOM 14874 C CG  . GLN C 3 67  ? 228.625 -87.013 299.224 1.0 55.26418  ? 67  GLN C CG  67  GLN C CG  1 
ATOM 14875 C CD  . GLN C 3 67  ? 228.040 -88.226 298.535 1.0 55.26418  ? 67  GLN C CD  67  GLN C CD  1 
ATOM 14876 O OE1 . GLN C 3 67  ? 227.676 -89.206 299.184 1.0 55.26418  ? 67  GLN C OE1 67  GLN C OE1 1 
ATOM 14877 N NE2 . GLN C 3 67  ? 227.951 -88.171 297.213 1.0 55.26418  ? 67  GLN C NE2 67  GLN C NE2 1 
ATOM 14878 N N   . THR C 3 68  ? 231.560 -86.199 301.778 1.0 56.11195  ? 68  THR C N   68  THR C N   1 
ATOM 14879 C CA  . THR C 3 68  ? 232.971 -86.048 301.467 1.0 56.11195  ? 68  THR C CA  68  THR C CA  1 
ATOM 14880 C C   . THR C 3 68  ? 233.604 -87.427 301.378 1.0 56.11195  ? 68  THR C C   68  THR C C   1 
ATOM 14881 O O   . THR C 3 68  ? 232.989 -88.438 301.723 1.0 56.11195  ? 68  THR C O   68  THR C O   1 
ATOM 14882 C CB  . THR C 3 68  ? 233.713 -85.210 302.521 1.0 56.11195  ? 68  THR C CB  68  THR C CB  1 
ATOM 14883 O OG1 . THR C 3 68  ? 233.579 -85.825 303.806 1.0 56.11195  ? 68  THR C OG1 68  THR C OG1 1 
ATOM 14884 C CG2 . THR C 3 68  ? 233.173 -83.792 302.582 1.0 56.11195  ? 68  THR C CG2 68  THR C CG2 1 
ATOM 14885 N N   . GLU C 3 69  ? 234.845 -87.462 300.907 1.0 59.11537  ? 69  GLU C N   69  GLU C N   1 
ATOM 14886 C CA  . GLU C 3 69  ? 235.595 -88.705 300.844 1.0 59.11537  ? 69  GLU C CA  69  GLU C CA  1 
ATOM 14887 C C   . GLU C 3 69  ? 237.070 -88.408 301.045 1.0 59.11537  ? 69  GLU C C   69  GLU C C   1 
ATOM 14888 O O   . GLU C 3 69  ? 237.611 -87.476 300.447 1.0 59.11537  ? 69  GLU C O   69  GLU C O   1 
ATOM 14889 C CB  . GLU C 3 69  ? 235.374 -89.429 299.515 1.0 59.11537  ? 69  GLU C CB  69  GLU C CB  1 
ATOM 14890 C CG  . GLU C 3 69  ? 236.052 -90.778 299.415 1.0 59.11537  ? 69  GLU C CG  69  GLU C CG  1 
ATOM 14891 C CD  . GLU C 3 69  ? 235.764 -91.473 298.104 1.0 59.11537  ? 69  GLU C CD  69  GLU C CD  1 
ATOM 14892 O OE1 . GLU C 3 69  ? 235.041 -90.890 297.267 1.0 59.11537  ? 69  GLU C OE1 69  GLU C OE1 1 
ATOM 14893 O OE2 . GLU C 3 69  ? 236.263 -92.601 297.909 1.0 59.11537  ? 69  GLU C OE2 69  GLU C OE2 1 
ATOM 14894 N N   . ASP C 3 70  ? 237.710 -89.207 301.887 1.0 62.56796  ? 70  ASP C N   70  ASP C N   1 
ATOM 14895 C CA  . ASP C 3 70  ? 239.110 -89.035 302.247 1.0 62.56796  ? 70  ASP C CA  70  ASP C CA  1 
ATOM 14896 C C   . ASP C 3 70  ? 239.907 -90.126 301.546 1.0 62.56796  ? 70  ASP C C   70  ASP C C   1 
ATOM 14897 O O   . ASP C 3 70  ? 239.822 -91.300 301.918 1.0 62.56796  ? 70  ASP C O   70  ASP C O   1 
ATOM 14898 C CB  . ASP C 3 70  ? 239.282 -89.111 303.762 1.0 62.56796  ? 70  ASP C CB  70  ASP C CB  1 
ATOM 14899 C CG  . ASP C 3 70  ? 240.643 -88.633 304.228 1.0 62.56796  ? 70  ASP C CG  70  ASP C CG  1 
ATOM 14900 O OD1 . ASP C 3 70  ? 241.454 -88.207 303.383 1.0 62.56796  ? 70  ASP C OD1 70  ASP C OD1 1 
ATOM 14901 O OD2 . ASP C 3 70  ? 240.905 -88.689 305.448 1.0 62.56796  ? 70  ASP C OD2 70  ASP C OD2 1 
ATOM 14902 N N   . ASN C 3 71  ? 240.679 -89.741 300.539 1.0 61.43137  ? 71  ASN C N   71  ASN C N   1 
ATOM 14903 C CA  . ASN C 3 71  ? 241.575 -90.660 299.861 1.0 61.43137  ? 71  ASN C CA  71  ASN C CA  1 
ATOM 14904 C C   . ASN C 3 71  ? 243.008 -90.196 300.092 1.0 61.43137  ? 71  ASN C C   71  ASN C C   1 
ATOM 14905 O O   . ASN C 3 71  ? 243.253 -89.086 300.572 1.0 61.43137  ? 71  ASN C O   71  ASN C O   1 
ATOM 14906 C CB  . ASN C 3 71  ? 241.245 -90.746 298.362 1.0 61.43137  ? 71  ASN C CB  71  ASN C CB  1 
ATOM 14907 C CG  . ASN C 3 71  ? 241.842 -91.975 297.701 1.0 61.43137  ? 71  ASN C CG  71  ASN C CG  1 
ATOM 14908 O OD1 . ASN C 3 71  ? 242.527 -92.763 298.347 1.0 61.43137  ? 71  ASN C OD1 71  ASN C OD1 1 
ATOM 14909 N ND2 . ASN C 3 71  ? 241.586 -92.143 296.413 1.0 61.43137  ? 71  ASN C ND2 71  ASN C ND2 1 
ATOM 14910 N N   . VAL C 3 72  ? 243.956 -91.081 299.778 1.0 60.13411  ? 72  VAL C N   72  VAL C N   1 
ATOM 14911 C CA  . VAL C 3 72  ? 245.371 -90.739 299.860 1.0 60.13411  ? 72  VAL C CA  72  VAL C CA  1 
ATOM 14912 C C   . VAL C 3 72  ? 245.713 -89.641 298.860 1.0 60.13411  ? 72  VAL C C   72  VAL C C   1 
ATOM 14913 O O   . VAL C 3 72  ? 246.505 -88.736 299.151 1.0 60.13411  ? 72  VAL C O   72  VAL C O   1 
ATOM 14914 C CB  . VAL C 3 72  ? 246.219 -92.003 299.631 1.0 60.13411  ? 72  VAL C CB  72  VAL C CB  1 
ATOM 14915 C CG1 . VAL C 3 72  ? 247.707 -91.693 299.703 1.0 60.13411  ? 72  VAL C CG1 72  VAL C CG1 1 
ATOM 14916 C CG2 . VAL C 3 72  ? 245.838 -93.078 300.631 1.0 60.13411  ? 72  VAL C CG2 72  VAL C CG2 1 
ATOM 14917 N N   . ASN C 3 73  ? 245.086 -89.672 297.687 1.0 58.26218  ? 73  ASN C N   73  ASN C N   1 
ATOM 14918 C CA  . ASN C 3 73  ? 245.442 -88.753 296.619 1.0 58.26218  ? 73  ASN C CA  73  ASN C CA  1 
ATOM 14919 C C   . ASN C 3 73  ? 244.561 -87.517 296.544 1.0 58.26218  ? 73  ASN C C   73  ASN C C   1 
ATOM 14920 O O   . ASN C 3 73  ? 245.016 -86.493 296.029 1.0 58.26218  ? 73  ASN C O   73  ASN C O   1 
ATOM 14921 C CB  . ASN C 3 73  ? 245.397 -89.473 295.271 1.0 58.26218  ? 73  ASN C CB  73  ASN C CB  1 
ATOM 14922 C CG  . ASN C 3 73  ? 246.468 -90.525 295.148 1.0 58.26218  ? 73  ASN C CG  73  ASN C CG  1 
ATOM 14923 O OD1 . ASN C 3 73  ? 247.598 -90.327 295.587 1.0 58.26218  ? 73  ASN C OD1 73  ASN C OD1 1 
ATOM 14924 N ND2 . ASN C 3 73  ? 246.120 -91.654 294.547 1.0 58.26218  ? 73  ASN C ND2 73  ASN C ND2 1 
ATOM 14925 N N   . TYR C 3 74  ? 243.325 -87.571 297.030 1.0 56.02526  ? 74  TYR C N   74  TYR C N   1 
ATOM 14926 C CA  . TYR C 3 74  ? 242.449 -86.416 296.914 1.0 56.02526  ? 74  TYR C CA  74  TYR C CA  1 
ATOM 14927 C C   . TYR C 3 74  ? 241.509 -86.351 298.109 1.0 56.02526  ? 74  TYR C C   74  TYR C C   1 
ATOM 14928 O O   . TYR C 3 74  ? 241.532 -87.205 298.998 1.0 56.02526  ? 74  TYR C O   74  TYR C O   1 
ATOM 14929 C CB  . TYR C 3 74  ? 241.670 -86.438 295.592 1.0 56.02526  ? 74  TYR C CB  74  TYR C CB  1 
ATOM 14930 C CG  . TYR C 3 74  ? 240.704 -87.586 295.404 1.0 56.02526  ? 74  TYR C CG  74  TYR C CG  1 
ATOM 14931 C CD1 . TYR C 3 74  ? 241.114 -88.768 294.811 1.0 56.02526  ? 74  TYR C CD1 74  TYR C CD1 1 
ATOM 14932 C CD2 . TYR C 3 74  ? 239.372 -87.472 295.782 1.0 56.02526  ? 74  TYR C CD2 74  TYR C CD2 1 
ATOM 14933 C CE1 . TYR C 3 74  ? 240.233 -89.810 294.622 1.0 56.02526  ? 74  TYR C CE1 74  TYR C CE1 1 
ATOM 14934 C CE2 . TYR C 3 74  ? 238.489 -88.510 295.604 1.0 56.02526  ? 74  TYR C CE2 74  TYR C CE2 1 
ATOM 14935 C CZ  . TYR C 3 74  ? 238.924 -89.676 295.024 1.0 56.02526  ? 74  TYR C CZ  74  TYR C CZ  1 
ATOM 14936 O OH  . TYR C 3 74  ? 238.039 -90.711 294.842 1.0 56.02526  ? 74  TYR C OH  74  TYR C OH  1 
ATOM 14937 N N   . TYR C 3 75  ? 240.677 -85.312 298.114 1.0 52.5012   ? 75  TYR C N   75  TYR C N   1 
ATOM 14938 C CA  . TYR C 3 75  ? 239.630 -85.114 299.110 1.0 52.5012   ? 75  TYR C CA  75  TYR C CA  1 
ATOM 14939 C C   . TYR C 3 75  ? 238.504 -84.366 298.423 1.0 52.5012   ? 75  TYR C C   75  TYR C C   1 
ATOM 14940 O O   . TYR C 3 75  ? 238.727 -83.268 297.913 1.0 52.5012   ? 75  TYR C O   75  TYR C O   1 
ATOM 14941 C CB  . TYR C 3 75  ? 240.140 -84.316 300.308 1.0 52.5012   ? 75  TYR C CB  75  TYR C CB  1 
ATOM 14942 C CG  . TYR C 3 75  ? 239.106 -84.094 301.387 1.0 52.5012   ? 75  TYR C CG  75  TYR C CG  1 
ATOM 14943 C CD1 . TYR C 3 75  ? 238.817 -85.086 302.310 1.0 52.5012   ? 75  TYR C CD1 75  TYR C CD1 1 
ATOM 14944 C CD2 . TYR C 3 75  ? 238.411 -82.894 301.475 1.0 52.5012   ? 75  TYR C CD2 75  TYR C CD2 1 
ATOM 14945 C CE1 . TYR C 3 75  ? 237.873 -84.888 303.296 1.0 52.5012   ? 75  TYR C CE1 75  TYR C CE1 1 
ATOM 14946 C CE2 . TYR C 3 75  ? 237.462 -82.690 302.454 1.0 52.5012   ? 75  TYR C CE2 75  TYR C CE2 1 
ATOM 14947 C CZ  . TYR C 3 75  ? 237.199 -83.689 303.360 1.0 52.5012   ? 75  TYR C CZ  75  TYR C CZ  1 
ATOM 14948 O OH  . TYR C 3 75  ? 236.256 -83.492 304.338 1.0 52.5012   ? 75  TYR C OH  75  TYR C OH  1 
ATOM 14949 N N   . LYS C 3 76  ? 237.308 -84.934 298.411 1.0 52.95656  ? 76  LYS C N   76  LYS C N   1 
ATOM 14950 C CA  . LYS C 3 76  ? 236.212 -84.334 297.668 1.0 52.95656  ? 76  LYS C CA  76  LYS C CA  1 
ATOM 14951 C C   . LYS C 3 76  ? 235.241 -83.614 298.591 1.0 52.95656  ? 76  LYS C C   76  LYS C C   1 
ATOM 14952 O O   . LYS C 3 76  ? 235.293 -83.740 299.815 1.0 52.95656  ? 76  LYS C O   76  LYS C O   1 
ATOM 14953 C CB  . LYS C 3 76  ? 235.462 -85.385 296.857 1.0 52.95656  ? 76  LYS C CB  76  LYS C CB  1 
ATOM 14954 C CG  . LYS C 3 76  ? 234.639 -86.337 297.670 1.0 52.95656  ? 76  LYS C CG  76  LYS C CG  1 
ATOM 14955 C CD  . LYS C 3 76  ? 234.012 -87.388 296.773 1.0 52.95656  ? 76  LYS C CD  76  LYS C CD  1 
ATOM 14956 C CE  . LYS C 3 76  ? 232.922 -86.808 295.907 1.0 52.95656  ? 76  LYS C CE  76  LYS C CE  1 
ATOM 14957 N NZ  . LYS C 3 76  ? 231.737 -86.409 296.707 1.0 52.95656  ? 76  LYS C NZ  76  LYS C NZ  1 
ATOM 14958 N N   . ALA C 3 77  ? 234.351 -82.843 297.977 1.0 50.41964  ? 77  ALA C N   77  ALA C N   1 
ATOM 14959 C CA  . ALA C 3 77  ? 233.303 -82.129 298.684 1.0 50.41964  ? 77  ALA C CA  77  ALA C CA  1 
ATOM 14960 C C   . ALA C 3 77  ? 232.114 -81.984 297.753 1.0 50.41964  ? 77  ALA C C   77  ALA C C   1 
ATOM 14961 O O   . ALA C 3 77  ? 232.281 -81.667 296.574 1.0 50.41964  ? 77  ALA C O   77  ALA C O   1 
ATOM 14962 C CB  . ALA C 3 77  ? 233.780 -80.754 299.156 1.0 50.41964  ? 77  ALA C CB  77  ALA C CB  1 
ATOM 14963 N N   . ARG C 3 78  ? 230.919 -82.226 298.280 1.0 49.68361  ? 78  ARG C N   78  ARG C N   1 
ATOM 14964 C CA  . ARG C 3 78  ? 229.694 -82.145 297.498 1.0 49.68361  ? 78  ARG C CA  78  ARG C CA  1 
ATOM 14965 C C   . ARG C 3 78  ? 228.721 -81.228 298.218 1.0 49.68361  ? 78  ARG C C   78  ARG C C   1 
ATOM 14966 O O   . ARG C 3 78  ? 228.339 -81.501 299.359 1.0 49.68361  ? 78  ARG C O   78  ARG C O   1 
ATOM 14967 C CB  . ARG C 3 78  ? 229.082 -83.529 297.288 1.0 49.68361  ? 78  ARG C CB  78  ARG C CB  1 
ATOM 14968 C CG  . ARG C 3 78  ? 227.851 -83.543 296.408 1.0 49.68361  ? 78  ARG C CG  78  ARG C CG  1 
ATOM 14969 C CD  . ARG C 3 78  ? 227.392 -84.964 296.180 1.0 49.68361  ? 78  ARG C CD  78  ARG C CD  1 
ATOM 14970 N NE  . ARG C 3 78  ? 226.209 -85.042 295.334 1.0 49.68361  ? 78  ARG C NE  78  ARG C NE  1 
ATOM 14971 C CZ  . ARG C 3 78  ? 224.966 -85.024 295.799 1.0 49.68361  ? 78  ARG C CZ  78  ARG C CZ  1 
ATOM 14972 N NH1 . ARG C 3 78  ? 224.747 -84.927 297.102 1.0 49.68361  ? 78  ARG C NH1 78  ARG C NH1 1 
ATOM 14973 N NH2 . ARG C 3 78  ? 223.940 -85.106 294.964 1.0 49.68361  ? 78  ARG C NH2 78  ARG C NH2 1 
ATOM 14974 N N   . PHE C 3 79  ? 228.327 -80.150 297.555 1.0 45.94022  ? 79  PHE C N   79  PHE C N   1 
ATOM 14975 C CA  . PHE C 3 79  ? 227.461 -79.138 298.133 1.0 45.94022  ? 79  PHE C CA  79  PHE C CA  1 
ATOM 14976 C C   . PHE C 3 79  ? 226.125 -79.115 297.410 1.0 45.94022  ? 79  PHE C C   79  PHE C C   1 
ATOM 14977 O O   . PHE C 3 79  ? 226.026 -79.457 296.230 1.0 45.94022  ? 79  PHE C O   79  PHE C O   1 
ATOM 14978 C CB  . PHE C 3 79  ? 228.114 -77.759 298.048 1.0 45.94022  ? 79  PHE C CB  79  PHE C CB  1 
ATOM 14979 C CG  . PHE C 3 79  ? 229.391 -77.654 298.810 1.0 45.94022  ? 79  PHE C CG  79  PHE C CG  1 
ATOM 14980 C CD1 . PHE C 3 79  ? 229.381 -77.431 300.172 1.0 45.94022  ? 79  PHE C CD1 79  PHE C CD1 1 
ATOM 14981 C CD2 . PHE C 3 79  ? 230.606 -77.788 298.164 1.0 45.94022  ? 79  PHE C CD2 79  PHE C CD2 1 
ATOM 14982 C CE1 . PHE C 3 79  ? 230.558 -77.336 300.874 1.0 45.94022  ? 79  PHE C CE1 79  PHE C CE1 1 
ATOM 14983 C CE2 . PHE C 3 79  ? 231.786 -77.696 298.862 1.0 45.94022  ? 79  PHE C CE2 79  PHE C CE2 1 
ATOM 14984 C CZ  . PHE C 3 79  ? 231.763 -77.471 300.218 1.0 45.94022  ? 79  PHE C CZ  79  PHE C CZ  1 
ATOM 14985 N N   . THR C 3 80  ? 225.090 -78.706 298.133 1.0 47.88831  ? 80  THR C N   80  THR C N   1 
ATOM 14986 C CA  . THR C 3 80  ? 223.771 -78.466 297.558 1.0 47.88831  ? 80  THR C CA  80  THR C CA  1 
ATOM 14987 C C   . THR C 3 80  ? 223.547 -76.964 297.659 1.0 47.88831  ? 80  THR C C   80  THR C C   1 
ATOM 14988 O O   . THR C 3 80  ? 223.075 -76.460 298.680 1.0 47.88831  ? 80  THR C O   80  THR C O   1 
ATOM 14989 C CB  . THR C 3 80  ? 222.679 -79.257 298.271 1.0 47.88831  ? 80  THR C CB  80  THR C CB  1 
ATOM 14990 O OG1 . THR C 3 80  ? 222.984 -80.654 298.203 1.0 47.88831  ? 80  THR C OG1 80  THR C OG1 1 
ATOM 14991 C CG2 . THR C 3 80  ? 221.334 -79.032 297.603 1.0 47.88831  ? 80  THR C CG2 80  THR C CG2 1 
ATOM 14992 N N   . LEU C 3 81  ? 223.922 -76.248 296.606 1.0 46.15118  ? 81  LEU C N   81  LEU C N   1 
ATOM 14993 C CA  . LEU C 3 81  ? 223.756 -74.801 296.560 1.0 46.15118  ? 81  LEU C CA  81  LEU C CA  1 
ATOM 14994 C C   . LEU C 3 81  ? 222.279 -74.498 296.369 1.0 46.15118  ? 81  LEU C C   81  LEU C C   1 
ATOM 14995 O O   . LEU C 3 81  ? 221.772 -74.480 295.247 1.0 46.15118  ? 81  LEU C O   81  LEU C O   1 
ATOM 14996 C CB  . LEU C 3 81  ? 224.601 -74.207 295.442 1.0 46.15118  ? 81  LEU C CB  81  LEU C CB  1 
ATOM 14997 C CG  . LEU C 3 81  ? 224.557 -72.691 295.297 1.0 46.15118  ? 81  LEU C CG  81  LEU C CG  1 
ATOM 14998 C CD1 . LEU C 3 81  ? 225.031 -72.038 296.569 1.0 46.15118  ? 81  LEU C CD1 81  LEU C CD1 1 
ATOM 14999 C CD2 . LEU C 3 81  ? 225.420 -72.269 294.131 1.0 46.15118  ? 81  LEU C CD2 81  LEU C CD2 1 
ATOM 15000 N N   . ASN C 3 82  ? 221.578 -74.277 297.472 1.0 48.59405  ? 82  ASN C N   82  ASN C N   1 
ATOM 15001 C CA  . ASN C 3 82  ? 220.135 -74.070 297.459 1.0 48.59405  ? 82  ASN C CA  82  ASN C CA  1 
ATOM 15002 C C   . ASN C 3 82  ? 219.890 -72.574 297.325 1.0 48.59405  ? 82  ASN C C   82  ASN C C   1 
ATOM 15003 O O   . ASN C 3 82  ? 220.072 -71.816 298.279 1.0 48.59405  ? 82  ASN C O   82  ASN C O   1 
ATOM 15004 C CB  . ASN C 3 82  ? 219.499 -74.637 298.722 1.0 48.59405  ? 82  ASN C CB  82  ASN C CB  1 
ATOM 15005 C CG  . ASN C 3 82  ? 217.994 -74.751 298.619 1.0 48.59405  ? 82  ASN C CG  82  ASN C CG  1 
ATOM 15006 O OD1 . ASN C 3 82  ? 217.408 -74.446 297.583 1.0 48.59405  ? 82  ASN C OD1 82  ASN C OD1 1 
ATOM 15007 N ND2 . ASN C 3 82  ? 217.357 -75.181 299.703 1.0 48.59405  ? 82  ASN C ND2 82  ASN C ND2 1 
ATOM 15008 N N   . VAL C 3 83  ? 219.491 -72.150 296.136 1.0 46.30614  ? 83  VAL C N   83  VAL C N   1 
ATOM 15009 C CA  . VAL C 3 83  ? 219.131 -70.764 295.873 1.0 46.30614  ? 83  VAL C CA  83  VAL C CA  1 
ATOM 15010 C C   . VAL C 3 83  ? 217.615 -70.697 295.855 1.0 46.30614  ? 83  VAL C C   83  VAL C C   1 
ATOM 15011 O O   . VAL C 3 83  ? 216.969 -71.262 294.967 1.0 46.30614  ? 83  VAL C O   83  VAL C O   1 
ATOM 15012 C CB  . VAL C 3 83  ? 219.738 -70.260 294.560 1.0 46.30614  ? 83  VAL C CB  83  VAL C CB  1 
ATOM 15013 C CG1 . VAL C 3 83  ? 219.194 -68.900 294.209 1.0 46.30614  ? 83  VAL C CG1 83  VAL C CG1 1 
ATOM 15014 C CG2 . VAL C 3 83  ? 221.235 -70.188 294.694 1.0 46.30614  ? 83  VAL C CG2 83  VAL C CG2 1 
ATOM 15015 N N   . GLY C 3 84  ? 217.043 -70.017 296.842 1.0 48.48699  ? 84  GLY C N   84  GLY C N   1 
ATOM 15016 C CA  . GLY C 3 84  ? 215.606 -69.918 296.958 1.0 48.48699  ? 84  GLY C CA  84  GLY C CA  1 
ATOM 15017 C C   . GLY C 3 84  ? 215.015 -69.035 295.882 1.0 48.48699  ? 84  GLY C C   84  GLY C C   1 
ATOM 15018 O O   . GLY C 3 84  ? 215.708 -68.457 295.046 1.0 48.48699  ? 84  GLY C O   84  GLY C O   1 
ATOM 15019 N N   . ASP C 3 85  ? 213.691 -68.944 295.900 1.0 50.62866  ? 85  ASP C N   85  ASP C N   1 
ATOM 15020 C CA  . ASP C 3 85  ? 213.002 -68.085 294.954 1.0 50.62866  ? 85  ASP C CA  85  ASP C CA  1 
ATOM 15021 C C   . ASP C 3 85  ? 213.279 -66.622 295.274 1.0 50.62866  ? 85  ASP C C   85  ASP C C   1 
ATOM 15022 O O   . ASP C 3 85  ? 213.584 -66.267 296.416 1.0 50.62866  ? 85  ASP C O   85  ASP C O   1 
ATOM 15023 C CB  . ASP C 3 85  ? 211.501 -68.358 294.979 1.0 50.62866  ? 85  ASP C CB  85  ASP C CB  1 
ATOM 15024 C CG  . ASP C 3 85  ? 211.149 -69.717 294.410 1.0 50.62866  ? 85  ASP C CG  85  ASP C CG  1 
ATOM 15025 O OD1 . ASP C 3 85  ? 211.890 -70.206 293.533 1.0 50.62866  ? 85  ASP C OD1 85  ASP C OD1 1 
ATOM 15026 O OD2 . ASP C 3 85  ? 210.134 -70.299 294.839 1.0 50.62866  ? 85  ASP C OD2 85  ASP C OD2 1 
ATOM 15027 N N   . ASN C 3 86  ? 213.206 -65.789 294.228 1.0 49.86877  ? 86  ASN C N   86  ASN C N   1 
ATOM 15028 C CA  . ASN C 3 86  ? 213.436 -64.340 294.288 1.0 49.86877  ? 86  ASN C CA  86  ASN C CA  1 
ATOM 15029 C C   . ASN C 3 86  ? 214.849 -64.006 294.770 1.0 49.86877  ? 86  ASN C C   86  ASN C C   1 
ATOM 15030 O O   . ASN C 3 86  ? 215.060 -63.043 295.508 1.0 49.86877  ? 86  ASN C O   86  ASN C O   1 
ATOM 15031 C CB  . ASN C 3 86  ? 212.384 -63.636 295.152 1.0 49.86877  ? 86  ASN C CB  86  ASN C CB  1 
ATOM 15032 C CG  . ASN C 3 86  ? 210.967 -63.862 294.662 1.0 49.86877  ? 86  ASN C CG  86  ASN C CG  1 
ATOM 15033 O OD1 . ASN C 3 86  ? 210.166 -64.515 295.329 1.0 49.86877  ? 86  ASN C OD1 86  ASN C OD1 1 
ATOM 15034 N ND2 . ASN C 3 86  ? 210.640 -63.299 293.506 1.0 49.86877  ? 86  ASN C ND2 86  ASN C ND2 1 
ATOM 15035 N N   . ARG C 3 87  ? 215.830 -64.795 294.335 1.0 49.76709  ? 87  ARG C N   87  ARG C N   1 
ATOM 15036 C CA  . ARG C 3 87  ? 217.217 -64.631 294.748 1.0 49.76709  ? 87  ARG C CA  87  ARG C CA  1 
ATOM 15037 C C   . ARG C 3 87  ? 218.115 -64.565 293.521 1.0 49.76709  ? 87  ARG C C   87  ARG C C   1 
ATOM 15038 O O   . ARG C 3 87  ? 217.821 -65.169 292.490 1.0 49.76709  ? 87  ARG C O   87  ARG C O   1 
ATOM 15039 C CB  . ARG C 3 87  ? 217.686 -65.792 295.629 1.0 49.76709  ? 87  ARG C CB  87  ARG C CB  1 
ATOM 15040 C CG  . ARG C 3 87  ? 216.907 -66.014 296.905 1.0 49.76709  ? 87  ARG C CG  87  ARG C CG  1 
ATOM 15041 C CD  . ARG C 3 87  ? 217.166 -64.931 297.908 1.0 49.76709  ? 87  ARG C CD  87  ARG C CD  1 
ATOM 15042 N NE  . ARG C 3 87  ? 216.606 -65.262 299.212 1.0 49.76709  ? 87  ARG C NE  87  ARG C NE  1 
ATOM 15043 C CZ  . ARG C 3 87  ? 215.378 -64.944 299.603 1.0 49.76709  ? 87  ARG C CZ  87  ARG C CZ  1 
ATOM 15044 N NH1 . ARG C 3 87  ? 214.568 -64.287 298.787 1.0 49.76709  ? 87  ARG C NH1 87  ARG C NH1 1 
ATOM 15045 N NH2 . ARG C 3 87  ? 214.957 -65.287 300.811 1.0 49.76709  ? 87  ARG C NH2 87  ARG C NH2 1 
ATOM 15046 N N   . LEU C 3 88  ? 219.218 -63.830 293.639 1.0 47.90525  ? 88  LEU C N   88  LEU C N   1 
ATOM 15047 C CA  . LEU C 3 88  ? 220.278 -63.837 292.636 1.0 47.90525  ? 88  LEU C CA  88  LEU C CA  1 
ATOM 15048 C C   . LEU C 3 88  ? 221.611 -64.028 293.334 1.0 47.90525  ? 88  LEU C C   88  LEU C C   1 
ATOM 15049 O O   . LEU C 3 88  ? 221.830 -63.469 294.411 1.0 47.90525  ? 88  LEU C O   88  LEU C O   1 
ATOM 15050 C CB  . LEU C 3 88  ? 220.321 -62.541 291.818 1.0 47.90525  ? 88  LEU C CB  88  LEU C CB  1 
ATOM 15051 C CG  . LEU C 3 88  ? 219.516 -62.413 290.522 1.0 47.90525  ? 88  LEU C CG  88  LEU C CG  1 
ATOM 15052 C CD1 . LEU C 3 88  ? 219.888 -63.529 289.580 1.0 47.90525  ? 88  LEU C CD1 88  LEU C CD1 1 
ATOM 15053 C CD2 . LEU C 3 88  ? 218.032 -62.367 290.727 1.0 47.90525  ? 88  LEU C CD2 88  LEU C CD2 1 
ATOM 15054 N N   . VAL C 3 89  ? 222.502 -64.804 292.727 1.0 44.5289   ? 89  VAL C N   89  VAL C N   1 
ATOM 15055 C CA  . VAL C 3 89  ? 223.870 -64.930 293.211 1.0 44.5289   ? 89  VAL C CA  89  VAL C CA  1 
ATOM 15056 C C   . VAL C 3 89  ? 224.810 -64.996 292.014 1.0 44.5289   ? 89  VAL C C   89  VAL C C   1 
ATOM 15057 O O   . VAL C 3 89  ? 224.543 -65.704 291.037 1.0 44.5289   ? 89  VAL C O   89  VAL C O   1 
ATOM 15058 C CB  . VAL C 3 89  ? 224.041 -66.135 294.167 1.0 44.5289   ? 89  VAL C CB  89  VAL C CB  1 
ATOM 15059 C CG1 . VAL C 3 89  ? 223.564 -67.410 293.563 1.0 44.5289   ? 89  VAL C CG1 89  VAL C CG1 1 
ATOM 15060 C CG2 . VAL C 3 89  ? 225.488 -66.299 294.595 1.0 44.5289   ? 89  VAL C CG2 89  VAL C CG2 1 
ATOM 15061 N N   . ASP C 3 90  ? 225.858 -64.183 292.054 1.0 44.40623  ? 90  ASP C N   90  ASP C N   1 
ATOM 15062 C CA  . ASP C 3 90  ? 226.926 -64.226 291.073 1.0 44.40623  ? 90  ASP C CA  90  ASP C CA  1 
ATOM 15063 C C   . ASP C 3 90  ? 227.999 -65.176 291.584 1.0 44.40623  ? 90  ASP C C   90  ASP C C   1 
ATOM 15064 O O   . ASP C 3 90  ? 228.361 -65.141 292.763 1.0 44.40623  ? 90  ASP C O   90  ASP C O   1 
ATOM 15065 C CB  . ASP C 3 90  ? 227.489 -62.819 290.861 1.0 44.40623  ? 90  ASP C CB  90  ASP C CB  1 
ATOM 15066 C CG  . ASP C 3 90  ? 228.408 -62.711 289.656 1.0 44.40623  ? 90  ASP C CG  90  ASP C CG  1 
ATOM 15067 O OD1 . ASP C 3 90  ? 228.637 -63.717 288.961 1.0 44.40623  ? 90  ASP C OD1 90  ASP C OD1 1 
ATOM 15068 O OD2 . ASP C 3 90  ? 228.909 -61.597 289.402 1.0 44.40623  ? 90  ASP C OD2 90  ASP C OD2 1 
ATOM 15069 N N   . LEU C 3 91  ? 228.504 -66.031 290.697 1.0 41.65385  ? 91  LEU C N   91  LEU C N   1 
ATOM 15070 C CA  . LEU C 3 91  ? 229.511 -67.005 291.100 1.0 41.65385  ? 91  LEU C CA  91  LEU C CA  1 
ATOM 15071 C C   . LEU C 3 91  ? 230.894 -66.401 291.266 1.0 41.65385  ? 91  LEU C C   91  LEU C C   1 
ATOM 15072 O O   . LEU C 3 91  ? 231.796 -67.103 291.733 1.0 41.65385  ? 91  LEU C O   91  LEU C O   1 
ATOM 15073 C CB  . LEU C 3 91  ? 229.611 -68.157 290.099 1.0 41.65385  ? 91  LEU C CB  91  LEU C CB  1 
ATOM 15074 C CG  . LEU C 3 91  ? 228.724 -69.392 290.262 1.0 41.65385  ? 91  LEU C CG  91  LEU C CG  1 
ATOM 15075 C CD1 . LEU C 3 91  ? 228.955 -70.043 291.612 1.0 41.65385  ? 91  LEU C CD1 91  LEU C CD1 1 
ATOM 15076 C CD2 . LEU C 3 91  ? 227.277 -69.065 290.064 1.0 41.65385  ? 91  LEU C CD2 91  LEU C CD2 1 
ATOM 15077 N N   . GLY C 3 92  ? 231.094 -65.141 290.876 1.0 45.59393  ? 92  GLY C N   92  GLY C N   1 
ATOM 15078 C CA  . GLY C 3 92  ? 232.364 -64.491 291.139 1.0 45.59393  ? 92  GLY C CA  92  GLY C CA  1 
ATOM 15079 C C   . GLY C 3 92  ? 232.610 -64.276 292.616 1.0 45.59393  ? 92  GLY C C   92  GLY C C   1 
ATOM 15080 O O   . GLY C 3 92  ? 233.759 -64.284 293.066 1.0 45.59393  ? 92  GLY C O   92  GLY C O   1 
ATOM 15081 N N   . SER C 3 93  ? 231.542 -64.115 293.392 1.0 46.56546  ? 93  SER C N   93  SER C N   1 
ATOM 15082 C CA  . SER C 3 93  ? 231.643 -63.976 294.835 1.0 46.56546  ? 93  SER C CA  93  SER C CA  1 
ATOM 15083 C C   . SER C 3 93  ? 231.841 -65.302 295.553 1.0 46.56546  ? 93  SER C C   93  SER C C   1 
ATOM 15084 O O   . SER C 3 93  ? 232.034 -65.300 296.772 1.0 46.56546  ? 93  SER C O   93  SER C O   1 
ATOM 15085 C CB  . SER C 3 93  ? 230.387 -63.300 295.374 1.0 46.56546  ? 93  SER C CB  93  SER C CB  1 
ATOM 15086 O OG  . SER C 3 93  ? 229.257 -64.129 295.176 1.0 46.56546  ? 93  SER C OG  93  SER C OG  1 
ATOM 15087 N N   . SER C 3 94  ? 231.798 -66.423 294.842 1.0 43.90658  ? 94  SER C N   94  SER C N   1 
ATOM 15088 C CA  . SER C 3 94  ? 231.874 -67.724 295.485 1.0 43.90658  ? 94  SER C CA  94  SER C CA  1 
ATOM 15089 C C   . SER C 3 94  ? 233.319 -68.145 295.701 1.0 43.90658  ? 94  SER C C   94  SER C C   1 
ATOM 15090 O O   . SER C 3 94  ? 234.182 -67.911 294.852 1.0 43.90658  ? 94  SER C O   94  SER C O   1 
ATOM 15091 C CB  . SER C 3 94  ? 231.155 -68.776 294.648 1.0 43.90658  ? 94  SER C CB  94  SER C CB  1 
ATOM 15092 O OG  . SER C 3 94  ? 231.846 -69.007 293.436 1.0 43.90658  ? 94  SER C OG  94  SER C OG  1 
ATOM 15093 N N   . TYR C 3 95  ? 233.573 -68.778 296.843 1.0 43.28927  ? 95  TYR C N   95  TYR C N   1 
ATOM 15094 C CA  . TYR C 3 95  ? 234.880 -69.343 297.150 1.0 43.28927  ? 95  TYR C CA  95  TYR C CA  1 
ATOM 15095 C C   . TYR C 3 95  ? 234.701 -70.445 298.179 1.0 43.28927  ? 95  TYR C C   95  TYR C C   1 
ATOM 15096 O O   . TYR C 3 95  ? 233.631 -70.604 298.767 1.0 43.28927  ? 95  TYR C O   95  TYR C O   1 
ATOM 15097 C CB  . TYR C 3 95  ? 235.861 -68.277 297.645 1.0 43.28927  ? 95  TYR C CB  95  TYR C CB  1 
ATOM 15098 C CG  . TYR C 3 95  ? 235.455 -67.538 298.900 1.0 43.28927  ? 95  TYR C CG  95  TYR C CG  1 
ATOM 15099 C CD1 . TYR C 3 95  ? 234.682 -66.392 298.827 1.0 43.28927  ? 95  TYR C CD1 95  TYR C CD1 1 
ATOM 15100 C CD2 . TYR C 3 95  ? 235.885 -67.956 300.149 1.0 43.28927  ? 95  TYR C CD2 95  TYR C CD2 1 
ATOM 15101 C CE1 . TYR C 3 95  ? 234.322 -65.704 299.960 1.0 43.28927  ? 95  TYR C CE1 95  TYR C CE1 1 
ATOM 15102 C CE2 . TYR C 3 95  ? 235.524 -67.274 301.287 1.0 43.28927  ? 95  TYR C CE2 95  TYR C CE2 1 
ATOM 15103 C CZ  . TYR C 3 95  ? 234.747 -66.148 301.185 1.0 43.28927  ? 95  TYR C CZ  95  TYR C CZ  1 
ATOM 15104 O OH  . TYR C 3 95  ? 234.387 -65.459 302.315 1.0 43.28927  ? 95  TYR C OH  95  TYR C OH  1 
ATOM 15105 N N   . PHE C 3 96  ? 235.767 -71.208 298.388 1.0 45.03904  ? 96  PHE C N   96  PHE C N   1 
ATOM 15106 C CA  . PHE C 3 96  ? 235.793 -72.266 299.387 1.0 45.03904  ? 96  PHE C CA  96  PHE C CA  1 
ATOM 15107 C C   . PHE C 3 96  ? 236.523 -71.764 300.619 1.0 45.03904  ? 96  PHE C C   96  PHE C C   1 
ATOM 15108 O O   . PHE C 3 96  ? 237.553 -71.099 300.502 1.0 45.03904  ? 96  PHE C O   96  PHE C O   1 
ATOM 15109 C CB  . PHE C 3 96  ? 236.499 -73.510 298.860 1.0 45.03904  ? 96  PHE C CB  96  PHE C CB  1 
ATOM 15110 C CG  . PHE C 3 96  ? 235.789 -74.187 297.738 1.0 45.03904  ? 96  PHE C CG  96  PHE C CG  1 
ATOM 15111 C CD1 . PHE C 3 96  ? 234.761 -75.071 297.990 1.0 45.03904  ? 96  PHE C CD1 96  PHE C CD1 1 
ATOM 15112 C CD2 . PHE C 3 96  ? 236.161 -73.951 296.428 1.0 45.03904  ? 96  PHE C CD2 96  PHE C CD2 1 
ATOM 15113 C CE1 . PHE C 3 96  ? 234.113 -75.705 296.956 1.0 45.03904  ? 96  PHE C CE1 96  PHE C CE1 1 
ATOM 15114 C CE2 . PHE C 3 96  ? 235.513 -74.579 295.390 1.0 45.03904  ? 96  PHE C CE2 96  PHE C CE2 1 
ATOM 15115 C CZ  . PHE C 3 96  ? 234.494 -75.460 295.656 1.0 45.03904  ? 96  PHE C CZ  96  PHE C CZ  1 
ATOM 15116 N N   . ASP C 3 97  ? 236.000 -72.086 301.790 1.0 48.76718  ? 97  ASP C N   97  ASP C N   1 
ATOM 15117 C CA  . ASP C 3 97  ? 236.660 -71.761 303.048 1.0 48.76718  ? 97  ASP C CA  97  ASP C CA  1 
ATOM 15118 C C   . ASP C 3 97  ? 237.291 -73.049 303.556 1.0 48.76718  ? 97  ASP C C   97  ASP C C   1 
ATOM 15119 O O   . ASP C 3 97  ? 236.602 -73.918 304.091 1.0 48.76718  ? 97  ASP C O   97  ASP C O   1 
ATOM 15120 C CB  . ASP C 3 97  ? 235.671 -71.193 304.054 1.0 48.76718  ? 97  ASP C CB  97  ASP C CB  1 
ATOM 15121 C CG  . ASP C 3 97  ? 236.352 -70.499 305.207 1.0 48.76718  ? 97  ASP C CG  97  ASP C CG  1 
ATOM 15122 O OD1 . ASP C 3 97  ? 237.590 -70.393 305.179 1.0 48.76718  ? 97  ASP C OD1 97  ASP C OD1 1 
ATOM 15123 O OD2 . ASP C 3 97  ? 235.654 -70.069 306.147 1.0 48.76718  ? 97  ASP C OD2 97  ASP C OD2 1 
ATOM 15124 N N   . ILE C 3 98  ? 238.601 -73.173 303.393 1.0 48.43881  ? 98  ILE C N   98  ILE C N   1 
ATOM 15125 C CA  . ILE C 3 98  ? 239.314 -74.395 303.738 1.0 48.43881  ? 98  ILE C CA  98  ILE C CA  1 
ATOM 15126 C C   . ILE C 3 98  ? 240.069 -74.178 305.038 1.0 48.43881  ? 98  ILE C C   98  ILE C C   1 
ATOM 15127 O O   . ILE C 3 98  ? 240.924 -73.291 305.130 1.0 48.43881  ? 98  ILE C O   98  ILE C O   1 
ATOM 15128 C CB  . ILE C 3 98  ? 240.272 -74.819 302.619 1.0 48.43881  ? 98  ILE C CB  98  ILE C CB  1 
ATOM 15129 C CG1 . ILE C 3 98  ? 239.501 -75.175 301.355 1.0 48.43881  ? 98  ILE C CG1 98  ILE C CG1 1 
ATOM 15130 C CG2 . ILE C 3 98  ? 241.118 -75.976 303.068 1.0 48.43881  ? 98  ILE C CG2 98  ILE C CG2 1 
ATOM 15131 C CD1 . ILE C 3 98  ? 240.390 -75.397 300.167 1.0 48.43881  ? 98  ILE C CD1 98  ILE C CD1 1 
ATOM 15132 N N   . LYS C 3 99  ? 239.754 -74.984 306.040 1.0 51.36988  ? 99  LYS C N   99  LYS C N   1 
ATOM 15133 C CA  . LYS C 3 99  ? 240.561 -75.101 307.241 1.0 51.36988  ? 99  LYS C CA  99  LYS C CA  1 
ATOM 15134 C C   . LYS C 3 99  ? 241.329 -76.411 307.198 1.0 51.36988  ? 99  LYS C C   99  LYS C C   1 
ATOM 15135 O O   . LYS C 3 99  ? 241.076 -77.278 306.360 1.0 51.36988  ? 99  LYS C O   99  LYS C O   1 
ATOM 15136 C CB  . LYS C 3 99  ? 239.696 -75.045 308.499 1.0 51.36988  ? 99  LYS C CB  99  LYS C CB  1 
ATOM 15137 C CG  . LYS C 3 99  ? 239.086 -73.691 308.771 1.0 51.36988  ? 99  LYS C CG  99  LYS C CG  1 
ATOM 15138 C CD  . LYS C 3 99  ? 238.210 -73.718 310.005 1.0 51.36988  ? 99  LYS C CD  99  LYS C CD  1 
ATOM 15139 C CE  . LYS C 3 99  ? 239.044 -73.869 311.260 1.0 51.36988  ? 99  LYS C CE  99  LYS C CE  1 
ATOM 15140 N NZ  . LYS C 3 99  ? 239.884 -72.667 311.508 1.0 51.36988  ? 99  LYS C NZ  99  LYS C NZ  1 
ATOM 15141 N N   . GLY C 3 100 ? 242.281 -76.548 308.111 1.0 52.0209   ? 100 GLY C N   100 GLY C N   1 
ATOM 15142 C CA  . GLY C 3 100 ? 243.040 -77.779 308.189 1.0 52.0209   ? 100 GLY C CA  100 GLY C CA  1 
ATOM 15143 C C   . GLY C 3 100 ? 244.381 -77.533 308.842 1.0 52.0209   ? 100 GLY C C   100 GLY C C   1 
ATOM 15144 O O   . GLY C 3 100 ? 244.616 -76.475 309.425 1.0 52.0209   ? 100 GLY C O   100 GLY C O   1 
ATOM 15145 N N   . THR C 3 101 ? 245.253 -78.530 308.737 1.0 55.40722  ? 101 THR C N   101 THR C N   1 
ATOM 15146 C CA  . THR C 3 101 ? 246.608 -78.409 309.243 1.0 55.40722  ? 101 THR C CA  101 THR C CA  1 
ATOM 15147 C C   . THR C 3 101 ? 247.580 -78.823 308.152 1.0 55.40722  ? 101 THR C C   101 THR C C   1 
ATOM 15148 O O   . THR C 3 101 ? 247.227 -79.562 307.230 1.0 55.40722  ? 101 THR C O   101 THR C O   1 
ATOM 15149 C CB  . THR C 3 101 ? 246.830 -79.240 310.515 1.0 55.40722  ? 101 THR C CB  101 THR C CB  1 
ATOM 15150 O OG1 . THR C 3 101 ? 248.140 -78.979 311.032 1.0 55.40722  ? 101 THR C OG1 101 THR C OG1 1 
ATOM 15151 C CG2 . THR C 3 101 ? 246.689 -80.716 310.245 1.0 55.40722  ? 101 THR C CG2 101 THR C CG2 1 
ATOM 15152 N N   . LEU C 3 102 ? 248.803 -78.318 308.255 1.0 54.73607  ? 102 LEU C N   102 LEU C N   1 
ATOM 15153 C CA  . LEU C 3 102 ? 249.811 -78.500 307.223 1.0 54.73607  ? 102 LEU C CA  102 LEU C CA  1 
ATOM 15154 C C   . LEU C 3 102 ? 251.150 -78.833 307.854 1.0 54.73607  ? 102 LEU C C   102 LEU C C   1 
ATOM 15155 O O   . LEU C 3 102 ? 251.644 -78.087 308.703 1.0 54.73607  ? 102 LEU C O   102 LEU C O   1 
ATOM 15156 C CB  . LEU C 3 102 ? 249.941 -77.248 306.358 1.0 54.73607  ? 102 LEU C CB  102 LEU C CB  1 
ATOM 15157 C CG  . LEU C 3 102 ? 251.037 -77.325 305.299 1.0 54.73607  ? 102 LEU C CG  102 LEU C CG  1 
ATOM 15158 C CD1 . LEU C 3 102 ? 250.753 -78.437 304.327 1.0 54.73607  ? 102 LEU C CD1 102 LEU C CD1 1 
ATOM 15159 C CD2 . LEU C 3 102 ? 251.172 -76.014 304.568 1.0 54.73607  ? 102 LEU C CD2 102 LEU C CD2 1 
ATOM 15160 N N   . ASP C 3 103 ? 251.731 -79.947 307.432 1.0 57.31055  ? 103 ASP C N   103 ASP C N   1 
ATOM 15161 C CA  . ASP C 3 103 ? 253.094 -80.309 307.780 1.0 57.31055  ? 103 ASP C CA  103 ASP C CA  1 
ATOM 15162 C C   . ASP C 3 103 ? 253.988 -79.951 306.604 1.0 57.31055  ? 103 ASP C C   103 ASP C C   1 
ATOM 15163 O O   . ASP C 3 103 ? 253.639 -80.220 305.451 1.0 57.31055  ? 103 ASP C O   103 ASP C O   1 
ATOM 15164 C CB  . ASP C 3 103 ? 253.198 -81.801 308.092 1.0 57.31055  ? 103 ASP C CB  103 ASP C CB  1 
ATOM 15165 C CG  . ASP C 3 103 ? 254.513 -82.178 308.739 1.0 57.31055  ? 103 ASP C CG  103 ASP C CG  1 
ATOM 15166 O OD1 . ASP C 3 103 ? 255.349 -81.288 308.991 1.0 57.31055  ? 103 ASP C OD1 103 ASP C OD1 1 
ATOM 15167 O OD2 . ASP C 3 103 ? 254.711 -83.382 308.998 1.0 57.31055  ? 103 ASP C OD2 103 ASP C OD2 1 
ATOM 15168 N N   . ARG C 3 104 ? 255.135 -79.344 306.893 1.0 56.40399  ? 104 ARG C N   104 ARG C N   1 
ATOM 15169 C CA  . ARG C 3 104 ? 256.058 -78.957 305.838 1.0 56.40399  ? 104 ARG C CA  104 ARG C CA  1 
ATOM 15170 C C   . ARG C 3 104 ? 257.267 -79.867 305.723 1.0 56.40399  ? 104 ARG C C   104 ARG C C   1 
ATOM 15171 O O   . ARG C 3 104 ? 257.910 -79.881 304.670 1.0 56.40399  ? 104 ARG C O   104 ARG C O   1 
ATOM 15172 C CB  . ARG C 3 104 ? 256.554 -77.532 306.056 1.0 56.40399  ? 104 ARG C CB  104 ARG C CB  1 
ATOM 15173 C CG  . ARG C 3 104 ? 255.526 -76.447 305.891 1.0 56.40399  ? 104 ARG C CG  104 ARG C CG  1 
ATOM 15174 C CD  . ARG C 3 104 ? 256.276 -75.167 306.078 1.0 56.40399  ? 104 ARG C CD  104 ARG C CD  1 
ATOM 15175 N NE  . ARG C 3 104 ? 255.507 -73.942 305.967 1.0 56.40399  ? 104 ARG C NE  104 ARG C NE  1 
ATOM 15176 C CZ  . ARG C 3 104 ? 254.960 -73.327 307.002 1.0 56.40399  ? 104 ARG C CZ  104 ARG C CZ  1 
ATOM 15177 N NH1 . ARG C 3 104 ? 254.300 -72.204 306.826 1.0 56.40399  ? 104 ARG C NH1 104 ARG C NH1 1 
ATOM 15178 N NH2 . ARG C 3 104 ? 255.066 -73.844 308.214 1.0 56.40399  ? 104 ARG C NH2 104 ARG C NH2 1 
ATOM 15179 N N   . GLY C 3 105 ? 257.604 -80.606 306.772 1.0 57.88126  ? 105 GLY C N   105 GLY C N   1 
ATOM 15180 C CA  . GLY C 3 105 ? 258.702 -81.536 306.714 1.0 57.88126  ? 105 GLY C CA  105 GLY C CA  1 
ATOM 15181 C C   . GLY C 3 105 ? 259.996 -80.920 307.194 1.0 57.88126  ? 105 GLY C C   105 GLY C C   1 
ATOM 15182 O O   . GLY C 3 105 ? 260.054 -79.738 307.540 1.0 57.88126  ? 105 GLY C O   105 GLY C O   1 
ATOM 15183 N N   . PRO C 3 106 ? 261.070 -81.714 307.221 1.0 58.92527  ? 106 PRO C N   106 PRO C N   1 
ATOM 15184 C CA  . PRO C 3 106 ? 262.347 -81.209 307.737 1.0 58.92527  ? 106 PRO C CA  106 PRO C CA  1 
ATOM 15185 C C   . PRO C 3 106 ? 263.089 -80.302 306.774 1.0 58.92527  ? 106 PRO C C   106 PRO C C   1 
ATOM 15186 O O   . PRO C 3 106 ? 264.107 -79.717 307.166 1.0 58.92527  ? 106 PRO C O   106 PRO C O   1 
ATOM 15187 C CB  . PRO C 3 106 ? 263.142 -82.491 307.997 1.0 58.92527  ? 106 PRO C CB  106 PRO C CB  1 
ATOM 15188 C CG  . PRO C 3 106 ? 262.612 -83.447 307.005 1.0 58.92527  ? 106 PRO C CG  106 PRO C CG  1 
ATOM 15189 C CD  . PRO C 3 106 ? 261.154 -83.133 306.847 1.0 58.92527  ? 106 PRO C CD  106 PRO C CD  1 
ATOM 15190 N N   . SER C 3 107 ? 262.611 -80.152 305.539 1.0 58.27965  ? 107 SER C N   107 SER C N   1 
ATOM 15191 C CA  . SER C 3 107 ? 263.266 -79.345 304.520 1.0 58.27965  ? 107 SER C CA  107 SER C CA  1 
ATOM 15192 C C   . SER C 3 107 ? 262.856 -77.884 304.571 1.0 58.27965  ? 107 SER C C   107 SER C C   1 
ATOM 15193 O O   . SER C 3 107 ? 262.946 -77.189 303.555 1.0 58.27965  ? 107 SER C O   107 SER C O   1 
ATOM 15194 C CB  . SER C 3 107 ? 262.965 -79.909 303.133 1.0 58.27965  ? 107 SER C CB  107 SER C CB  1 
ATOM 15195 O OG  . SER C 3 107 ? 261.587 -79.806 302.825 1.0 58.27965  ? 107 SER C OG  107 SER C OG  1 
ATOM 15196 N N   . PHE C 3 108 ? 262.403 -77.404 305.719 1.0 55.65026  ? 108 PHE C N   108 PHE C N   1 
ATOM 15197 C CA  . PHE C 3 108 ? 261.861 -76.064 305.846 1.0 55.65026  ? 108 PHE C CA  108 PHE C CA  1 
ATOM 15198 C C   . PHE C 3 108 ? 262.747 -75.237 306.759 1.0 55.65026  ? 108 PHE C C   108 PHE C C   1 
ATOM 15199 O O   . PHE C 3 108 ? 262.984 -75.610 307.911 1.0 55.65026  ? 108 PHE C O   108 PHE C O   1 
ATOM 15200 C CB  . PHE C 3 108 ? 260.434 -76.118 306.378 1.0 55.65026  ? 108 PHE C CB  108 PHE C CB  1 
ATOM 15201 C CG  . PHE C 3 108 ? 259.793 -74.784 306.520 1.0 55.65026  ? 108 PHE C CG  108 PHE C CG  1 
ATOM 15202 C CD1 . PHE C 3 108 ? 259.542 -74.006 305.406 1.0 55.65026  ? 108 PHE C CD1 108 PHE C CD1 1 
ATOM 15203 C CD2 . PHE C 3 108 ? 259.390 -74.329 307.758 1.0 55.65026  ? 108 PHE C CD2 108 PHE C CD2 1 
ATOM 15204 C CE1 . PHE C 3 108 ? 258.927 -72.779 305.532 1.0 55.65026  ? 108 PHE C CE1 108 PHE C CE1 1 
ATOM 15205 C CE2 . PHE C 3 108 ? 258.766 -73.112 307.887 1.0 55.65026  ? 108 PHE C CE2 108 PHE C CE2 1 
ATOM 15206 C CZ  . PHE C 3 108 ? 258.536 -72.338 306.773 1.0 55.65026  ? 108 PHE C CZ  108 PHE C CZ  1 
ATOM 15207 N N   . LYS C 3 109 ? 263.238 -74.118 306.235 1.0 57.09784  ? 109 LYS C N   109 LYS C N   1 
ATOM 15208 C CA  . LYS C 3 109 ? 264.119 -73.225 306.983 1.0 57.09784  ? 109 LYS C CA  109 LYS C CA  1 
ATOM 15209 C C   . LYS C 3 109 ? 263.828 -71.824 306.478 1.0 57.09784  ? 109 LYS C C   109 LYS C C   1 
ATOM 15210 O O   . LYS C 3 109 ? 264.414 -71.367 305.489 1.0 57.09784  ? 109 LYS C O   109 LYS C O   1 
ATOM 15211 C CB  . LYS C 3 109 ? 265.585 -73.616 306.797 1.0 57.09784  ? 109 LYS C CB  109 LYS C CB  1 
ATOM 15212 C CG  . LYS C 3 109 ? 266.601 -72.843 307.608 1.0 57.09784  ? 109 LYS C CG  109 LYS C CG  1 
ATOM 15213 C CD  . LYS C 3 109 ? 267.340 -71.855 306.734 1.0 57.09784  ? 109 LYS C CD  109 LYS C CD  1 
ATOM 15214 C CE  . LYS C 3 109 ? 268.413 -71.110 307.475 1.0 57.09784  ? 109 LYS C CE  109 LYS C CE  1 
ATOM 15215 N NZ  . LYS C 3 109 ? 269.510 -72.016 307.847 1.0 57.09784  ? 109 LYS C NZ  109 LYS C NZ  1 
ATOM 15216 N N   . PRO C 3 110 ? 262.873 -71.131 307.093 1.0 55.70448  ? 110 PRO C N   110 PRO C N   1 
ATOM 15217 C CA  . PRO C 3 110 ? 262.381 -69.886 306.493 1.0 55.70448  ? 110 PRO C CA  110 PRO C CA  1 
ATOM 15218 C C   . PRO C 3 110 ? 263.178 -68.648 306.844 1.0 55.70448  ? 110 PRO C C   110 PRO C C   1 
ATOM 15219 O O   . PRO C 3 110 ? 262.578 -67.592 307.061 1.0 55.70448  ? 110 PRO C O   110 PRO C O   1 
ATOM 15220 C CB  . PRO C 3 110 ? 260.972 -69.770 307.072 1.0 55.70448  ? 110 PRO C CB  110 PRO C CB  1 
ATOM 15221 C CG  . PRO C 3 110 ? 261.105 -70.395 308.411 1.0 55.70448  ? 110 PRO C CG  110 PRO C CG  1 
ATOM 15222 C CD  . PRO C 3 110 ? 262.065 -71.534 308.254 1.0 55.70448  ? 110 PRO C CD  110 PRO C CD  1 
ATOM 15223 N N   . TYR C 3 111 ? 264.502 -68.734 306.863 1.0 58.35429  ? 111 TYR C N   111 TYR C N   1 
ATOM 15224 C CA  . TYR C 3 111 ? 265.338 -67.565 307.092 1.0 58.35429  ? 111 TYR C CA  111 TYR C CA  1 
ATOM 15225 C C   . TYR C 3 111 ? 266.722 -67.851 306.534 1.0 58.35429  ? 111 TYR C C   111 TYR C C   1 
ATOM 15226 O O   . TYR C 3 111 ? 266.911 -68.773 305.742 1.0 58.35429  ? 111 TYR C O   111 TYR C O   1 
ATOM 15227 C CB  . TYR C 3 111 ? 265.373 -67.162 308.570 1.0 58.35429  ? 111 TYR C CB  111 TYR C CB  1 
ATOM 15228 C CG  . TYR C 3 111 ? 265.831 -68.206 309.556 1.0 58.35429  ? 111 TYR C CG  111 TYR C CG  1 
ATOM 15229 C CD1 . TYR C 3 111 ? 264.926 -69.084 310.130 1.0 58.35429  ? 111 TYR C CD1 111 TYR C CD1 1 
ATOM 15230 C CD2 . TYR C 3 111 ? 267.154 -68.276 309.958 1.0 58.35429  ? 111 TYR C CD2 111 TYR C CD2 1 
ATOM 15231 C CE1 . TYR C 3 111 ? 265.329 -70.023 311.051 1.0 58.35429  ? 111 TYR C CE1 111 TYR C CE1 1 
ATOM 15232 C CE2 . TYR C 3 111 ? 267.566 -69.212 310.883 1.0 58.35429  ? 111 TYR C CE2 111 TYR C CE2 1 
ATOM 15233 C CZ  . TYR C 3 111 ? 266.646 -70.079 311.426 1.0 58.35429  ? 111 TYR C CZ  111 TYR C CZ  1 
ATOM 15234 O OH  . TYR C 3 111 ? 267.043 -71.017 312.348 1.0 58.35429  ? 111 TYR C OH  111 TYR C OH  1 
ATOM 15235 N N   . GLY C 3 112 ? 267.686 -67.017 306.913 1.0 60.45906  ? 112 GLY C N   112 GLY C N   1 
ATOM 15236 C CA  . GLY C 3 112 ? 269.055 -67.171 306.485 1.0 60.45906  ? 112 GLY C CA  112 GLY C CA  1 
ATOM 15237 C C   . GLY C 3 112 ? 270.007 -67.032 307.659 1.0 60.45906  ? 112 GLY C C   112 GLY C C   1 
ATOM 15238 O O   . GLY C 3 112 ? 269.669 -66.491 308.709 1.0 60.45906  ? 112 GLY C O   112 GLY C O   1 
ATOM 15239 N N   . GLY C 3 113 ? 271.224 -67.521 307.452 1.0 62.62407  ? 113 GLY C N   113 GLY C N   1 
ATOM 15240 C CA  . GLY C 3 113 ? 272.191 -67.524 308.536 1.0 62.62407  ? 113 GLY C CA  113 GLY C CA  1 
ATOM 15241 C C   . GLY C 3 113 ? 271.819 -68.561 309.575 1.0 62.62407  ? 113 GLY C C   113 GLY C C   1 
ATOM 15242 O O   . GLY C 3 113 ? 271.342 -69.651 309.249 1.0 62.62407  ? 113 GLY C O   113 GLY C O   1 
ATOM 15243 N N   . THR C 3 114 ? 272.021 -68.218 310.845 1.0 63.97456  ? 114 THR C N   114 THR C N   1 
ATOM 15244 C CA  . THR C 3 114 ? 271.623 -69.081 311.947 1.0 63.97456  ? 114 THR C CA  114 THR C CA  1 
ATOM 15245 C C   . THR C 3 114 ? 271.049 -68.234 313.070 1.0 63.97456  ? 114 THR C C   114 THR C C   1 
ATOM 15246 O O   . THR C 3 114 ? 271.143 -67.005 313.064 1.0 63.97456  ? 114 THR C O   114 THR C O   1 
ATOM 15247 C CB  . THR C 3 114 ? 272.787 -69.924 312.466 1.0 63.97456  ? 114 THR C CB  114 THR C CB  1 
ATOM 15248 O OG1 . THR C 3 114 ? 272.293 -70.864 313.423 1.0 63.97456  ? 114 THR C OG1 114 THR C OG1 1 
ATOM 15249 C CG2 . THR C 3 114 ? 273.802 -69.047 313.136 1.0 63.97456  ? 114 THR C CG2 114 THR C CG2 1 
ATOM 15250 N N   . ALA C 3 115 ? 270.436 -68.907 314.041 1.0 64.94766  ? 115 ALA C N   115 ALA C N   1 
ATOM 15251 C CA  . ALA C 3 115 ? 269.818 -68.238 315.174 1.0 64.94766  ? 115 ALA C CA  115 ALA C CA  1 
ATOM 15252 C C   . ALA C 3 115 ? 270.507 -68.530 316.494 1.0 64.94766  ? 115 ALA C C   115 ALA C C   1 
ATOM 15253 O O   . ALA C 3 115 ? 270.195 -67.874 317.494 1.0 64.94766  ? 115 ALA C O   115 ALA C O   1 
ATOM 15254 C CB  . ALA C 3 115 ? 268.341 -68.635 315.286 1.0 64.94766  ? 115 ALA C CB  115 ALA C CB  1 
ATOM 15255 N N   . TYR C 3 116 ? 271.423 -69.489 316.529 1.0 64.68248  ? 116 TYR C N   116 TYR C N   1 
ATOM 15256 C CA  . TYR C 3 116 ? 272.096 -69.892 317.753 1.0 64.68248  ? 116 TYR C CA  116 TYR C CA  1 
ATOM 15257 C C   . TYR C 3 116 ? 273.577 -69.601 317.594 1.0 64.68248  ? 116 TYR C C   116 TYR C C   1 
ATOM 15258 O O   . TYR C 3 116 ? 274.217 -70.161 316.703 1.0 64.68248  ? 116 TYR C O   116 TYR C O   1 
ATOM 15259 C CB  . TYR C 3 116 ? 271.856 -71.371 318.032 1.0 64.68248  ? 116 TYR C CB  116 TYR C CB  1 
ATOM 15260 C CG  . TYR C 3 116 ? 270.394 -71.682 318.177 1.0 64.68248  ? 116 TYR C CG  116 TYR C CG  1 
ATOM 15261 C CD1 . TYR C 3 116 ? 269.705 -71.320 319.316 1.0 64.68248  ? 116 TYR C CD1 116 TYR C CD1 1 
ATOM 15262 C CD2 . TYR C 3 116 ? 269.702 -72.335 317.175 1.0 64.68248  ? 116 TYR C CD2 116 TYR C CD2 1 
ATOM 15263 C CE1 . TYR C 3 116 ? 268.370 -71.591 319.451 1.0 64.68248  ? 116 TYR C CE1 116 TYR C CE1 1 
ATOM 15264 C CE2 . TYR C 3 116 ? 268.360 -72.618 317.305 1.0 64.68248  ? 116 TYR C CE2 116 TYR C CE2 1 
ATOM 15265 C CZ  . TYR C 3 116 ? 267.701 -72.243 318.450 1.0 64.68248  ? 116 TYR C CZ  116 TYR C CZ  1 
ATOM 15266 O OH  . TYR C 3 116 ? 266.363 -72.511 318.599 1.0 64.68248  ? 116 TYR C OH  116 TYR C OH  1 
ATOM 15267 N N   . ASN C 3 117 ? 274.109 -68.744 318.468 1.0 66.30073  ? 117 ASN C N   117 ASN C N   1 
ATOM 15268 C CA  . ASN C 3 117 ? 275.434 -68.129 318.407 1.0 66.30073  ? 117 ASN C CA  117 ASN C CA  1 
ATOM 15269 C C   . ASN C 3 117 ? 275.672 -67.495 317.039 1.0 66.30073  ? 117 ASN C C   117 ASN C C   1 
ATOM 15270 O O   . ASN C 3 117 ? 276.584 -67.925 316.324 1.0 66.30073  ? 117 ASN C O   117 ASN C O   1 
ATOM 15271 C CB  . ASN C 3 117 ? 276.531 -69.158 318.689 1.0 66.30073  ? 117 ASN C CB  117 ASN C CB  1 
ATOM 15272 C CG  . ASN C 3 117 ? 276.360 -69.869 320.020 1.0 66.30073  ? 117 ASN C CG  117 ASN C CG  1 
ATOM 15273 O OD1 . ASN C 3 117 ? 275.957 -71.027 320.064 1.0 66.30073  ? 117 ASN C OD1 117 ASN C OD1 1 
ATOM 15274 N ND2 . ASN C 3 117 ? 276.738 -69.211 321.099 1.0 66.30073  ? 117 ASN C ND2 117 ASN C ND2 1 
ATOM 15275 N N   . PRO C 3 118 ? 274.895 -66.482 316.630 1.0 64.7313   ? 118 PRO C N   118 PRO C N   1 
ATOM 15276 C CA  . PRO C 3 118 ? 275.011 -66.001 315.247 1.0 64.7313   ? 118 PRO C CA  118 PRO C CA  1 
ATOM 15277 C C   . PRO C 3 118 ? 276.246 -65.160 314.994 1.0 64.7313   ? 118 PRO C C   118 PRO C C   1 
ATOM 15278 O O   . PRO C 3 118 ? 276.608 -64.964 313.829 1.0 64.7313   ? 118 PRO C O   118 PRO C O   1 
ATOM 15279 C CB  . PRO C 3 118 ? 273.739 -65.170 315.061 1.0 64.7313   ? 118 PRO C CB  118 PRO C CB  1 
ATOM 15280 C CG  . PRO C 3 118 ? 273.487 -64.626 316.406 1.0 64.7313   ? 118 PRO C CG  118 PRO C CG  1 
ATOM 15281 C CD  . PRO C 3 118 ? 273.914 -65.683 317.387 1.0 64.7313   ? 118 PRO C CD  118 PRO C CD  1 
ATOM 15282 N N   . LEU C 3 119 ? 276.901 -64.659 316.036 1.0 64.45366  ? 119 LEU C N   119 LEU C N   1 
ATOM 15283 C CA  . LEU C 3 119 ? 278.058 -63.791 315.884 1.0 64.45366  ? 119 LEU C CA  119 LEU C CA  1 
ATOM 15284 C C   . LEU C 3 119 ? 279.379 -64.534 315.961 1.0 64.45366  ? 119 LEU C C   119 LEU C C   1 
ATOM 15285 O O   . LEU C 3 119 ? 280.428 -63.913 315.761 1.0 64.45366  ? 119 LEU C O   119 LEU C O   1 
ATOM 15286 C CB  . LEU C 3 119 ? 278.043 -62.704 316.953 1.0 64.45366  ? 119 LEU C CB  119 LEU C CB  1 
ATOM 15287 C CG  . LEU C 3 119 ? 276.886 -61.723 316.865 1.0 64.45366  ? 119 LEU C CG  119 LEU C CG  1 
ATOM 15288 C CD1 . LEU C 3 119 ? 276.936 -60.782 318.039 1.0 64.45366  ? 119 LEU C CD1 119 LEU C CD1 1 
ATOM 15289 C CD2 . LEU C 3 119 ? 276.946 -60.964 315.557 1.0 64.45366  ? 119 LEU C CD2 119 LEU C CD2 1 
ATOM 15290 N N   . ALA C 3 120 ? 279.356 -65.826 316.261 1.0 67.67901  ? 120 ALA C N   120 ALA C N   1 
ATOM 15291 C CA  . ALA C 3 120 ? 280.583 -66.589 316.385 1.0 67.67901  ? 120 ALA C CA  120 ALA C CA  1 
ATOM 15292 C C   . ALA C 3 120 ? 281.229 -66.785 315.017 1.0 67.67901  ? 120 ALA C C   120 ALA C C   1 
ATOM 15293 O O   . ALA C 3 120 ? 280.533 -66.865 314.003 1.0 67.67901  ? 120 ALA C O   120 ALA C O   1 
ATOM 15294 C CB  . ALA C 3 120 ? 280.297 -67.950 317.012 1.0 67.67901  ? 120 ALA C CB  120 ALA C CB  1 
ATOM 15295 N N   . PRO C 3 121 ? 282.558 -66.828 314.957 1.0 69.37919  ? 121 PRO C N   121 PRO C N   1 
ATOM 15296 C CA  . PRO C 3 121 ? 283.214 -67.307 313.740 1.0 69.37919  ? 121 PRO C CA  121 PRO C CA  1 
ATOM 15297 C C   . PRO C 3 121 ? 282.889 -68.769 313.506 1.0 69.37919  ? 121 PRO C C   121 PRO C C   1 
ATOM 15298 O O   . PRO C 3 121 ? 282.702 -69.545 314.445 1.0 69.37919  ? 121 PRO C O   121 PRO C O   1 
ATOM 15299 C CB  . PRO C 3 121 ? 284.704 -67.100 314.031 1.0 69.37919  ? 121 PRO C CB  121 PRO C CB  1 
ATOM 15300 C CG  . PRO C 3 121 ? 284.801 -67.051 315.500 1.0 69.37919  ? 121 PRO C CG  121 PRO C CG  1 
ATOM 15301 C CD  . PRO C 3 121 ? 283.534 -66.415 315.976 1.0 69.37919  ? 121 PRO C CD  121 PRO C CD  1 
ATOM 15302 N N   . LYS C 3 122 ? 282.814 -69.139 312.227 1.0 68.67285  ? 122 LYS C N   122 LYS C N   1 
ATOM 15303 C CA  . LYS C 3 122 ? 282.332 -70.462 311.855 1.0 68.67285  ? 122 LYS C CA  122 LYS C CA  1 
ATOM 15304 C C   . LYS C 3 122 ? 283.316 -71.572 312.208 1.0 68.67285  ? 122 LYS C C   122 LYS C C   1 
ATOM 15305 O O   . LYS C 3 122 ? 282.928 -72.743 312.223 1.0 68.67285  ? 122 LYS C O   122 LYS C O   1 
ATOM 15306 C CB  . LYS C 3 122 ? 282.012 -70.481 310.361 1.0 68.67285  ? 122 LYS C CB  122 LYS C CB  1 
ATOM 15307 C CG  . LYS C 3 122 ? 280.888 -69.528 309.981 1.0 68.67285  ? 122 LYS C CG  122 LYS C CG  1 
ATOM 15308 C CD  . LYS C 3 122 ? 280.600 -69.548 308.491 1.0 68.67285  ? 122 LYS C CD  122 LYS C CD  1 
ATOM 15309 C CE  . LYS C 3 122 ? 279.404 -68.670 308.153 1.0 68.67285  ? 122 LYS C CE  122 LYS C CE  1 
ATOM 15310 N NZ  . LYS C 3 122 ? 279.666 -67.226 308.405 1.0 68.67285  ? 122 LYS C NZ  122 LYS C NZ  1 
ATOM 15311 N N   . SER C 3 123 ? 284.564 -71.235 312.506 1.0 71.97118  ? 123 SER C N   123 SER C N   1 
ATOM 15312 C CA  . SER C 3 123 ? 285.568 -72.208 312.906 1.0 71.97118  ? 123 SER C CA  123 SER C CA  1 
ATOM 15313 C C   . SER C 3 123 ? 285.675 -72.377 314.411 1.0 71.97118  ? 123 SER C C   123 SER C C   1 
ATOM 15314 O O   . SER C 3 123 ? 286.482 -73.193 314.869 1.0 71.97118  ? 123 SER C O   123 SER C O   1 
ATOM 15315 C CB  . SER C 3 123 ? 286.931 -71.800 312.360 1.0 71.97118  ? 123 SER C CB  123 SER C CB  1 
ATOM 15316 O OG  . SER C 3 123 ? 287.944 -72.643 312.867 1.0 71.97118  ? 123 SER C OG  123 SER C OG  1 
ATOM 15317 N N   . ALA C 3 124 ? 284.899 -71.636 315.180 1.0 72.02751  ? 124 ALA C N   124 ALA C N   1 
ATOM 15318 C CA  . ALA C 3 124 ? 285.082 -71.608 316.623 1.0 72.02751  ? 124 ALA C CA  124 ALA C CA  1 
ATOM 15319 C C   . ALA C 3 124 ? 284.471 -72.847 317.260 1.0 72.02751  ? 124 ALA C C   124 ALA C C   1 
ATOM 15320 O O   . ALA C 3 124 ? 283.324 -73.188 316.962 1.0 72.02751  ? 124 ALA C O   124 ALA C O   1 
ATOM 15321 C CB  . ALA C 3 124 ? 284.444 -70.362 317.218 1.0 72.02751  ? 124 ALA C CB  124 ALA C CB  1 
ATOM 15322 N N   . PRO C 3 125 ? 285.199 -73.549 318.115 1.0 72.04686  ? 125 PRO C N   125 PRO C N   1 
ATOM 15323 C CA  . PRO C 3 125 ? 284.578 -74.576 318.949 1.0 72.04686  ? 125 PRO C CA  125 PRO C CA  1 
ATOM 15324 C C   . PRO C 3 125 ? 284.043 -73.958 320.233 1.0 72.04686  ? 125 PRO C C   125 PRO C C   1 
ATOM 15325 O O   . PRO C 3 125 ? 284.263 -72.786 320.534 1.0 72.04686  ? 125 PRO C O   125 PRO C O   1 
ATOM 15326 C CB  . PRO C 3 125 ? 285.731 -75.535 319.237 1.0 72.04686  ? 125 PRO C CB  125 PRO C CB  1 
ATOM 15327 C CG  . PRO C 3 125 ? 286.926 -74.655 319.225 1.0 72.04686  ? 125 PRO C CG  125 PRO C CG  1 
ATOM 15328 C CD  . PRO C 3 125 ? 286.668 -73.596 318.192 1.0 72.04686  ? 125 PRO C CD  125 PRO C CD  1 
ATOM 15329 N N   . ILE C 3 126 ? 283.331 -74.777 320.993 1.0 73.67862  ? 126 ILE C N   126 ILE C N   1 
ATOM 15330 C CA  . ILE C 3 126 ? 282.937 -74.424 322.337 1.0 73.67862  ? 126 ILE C CA  126 ILE C CA  1 
ATOM 15331 C C   . ILE C 3 126 ? 283.873 -75.131 323.307 1.0 73.67862  ? 126 ILE C C   126 ILE C C   1 
ATOM 15332 O O   . ILE C 3 126 ? 284.670 -75.983 322.923 1.0 73.67862  ? 126 ILE C O   126 ILE C O   1 
ATOM 15333 C CB  . ILE C 3 126 ? 281.463 -74.778 322.626 1.0 73.67862  ? 126 ILE C CB  126 ILE C CB  1 
ATOM 15334 C CG1 . ILE C 3 126 ? 281.227 -76.276 322.490 1.0 73.67862  ? 126 ILE C CG1 126 ILE C CG1 1 
ATOM 15335 C CG2 . ILE C 3 126 ? 280.543 -74.009 321.720 1.0 73.67862  ? 126 ILE C CG2 126 ILE C CG2 1 
ATOM 15336 C CD1 . ILE C 3 126 ? 279.884 -76.684 323.002 1.0 73.67862  ? 126 ILE C CD1 126 ILE C CD1 1 
ATOM 15337 N N   . ASN C 3 127 ? 283.798 -74.753 324.581 1.0 78.76064  ? 127 ASN C N   127 ASN C N   1 
ATOM 15338 C CA  . ASN C 3 127 ? 284.613 -75.395 325.605 1.0 78.76064  ? 127 ASN C CA  127 ASN C CA  1 
ATOM 15339 C C   . ASN C 3 127 ? 284.081 -76.801 325.817 1.0 78.76064  ? 127 ASN C C   127 ASN C C   1 
ATOM 15340 O O   . ASN C 3 127 ? 283.042 -76.998 326.448 1.0 78.76064  ? 127 ASN C O   127 ASN C O   1 
ATOM 15341 C CB  . ASN C 3 127 ? 284.585 -74.607 326.906 1.0 78.76064  ? 127 ASN C CB  127 ASN C CB  1 
ATOM 15342 C CG  . ASN C 3 127 ? 285.145 -73.229 326.751 1.0 78.76064  ? 127 ASN C CG  127 ASN C CG  1 
ATOM 15343 O OD1 . ASN C 3 127 ? 285.999 -72.986 325.905 1.0 78.76064  ? 127 ASN C OD1 127 ASN C OD1 1 
ATOM 15344 N ND2 . ASN C 3 127 ? 284.706 -72.319 327.598 1.0 78.76064  ? 127 ASN C ND2 127 ASN C ND2 1 
ATOM 15345 N N   . SER C 3 128 ? 284.786 -77.788 325.278 1.0 80.69145  ? 128 SER C N   128 SER C N   1 
ATOM 15346 C CA  . SER C 3 128 ? 284.311 -79.158 325.303 1.0 80.69145  ? 128 SER C CA  128 SER C CA  1 
ATOM 15347 C C   . SER C 3 128 ? 285.476 -80.088 325.597 1.0 80.69145  ? 128 SER C C   128 SER C C   1 
ATOM 15348 O O   . SER C 3 128 ? 286.584 -79.655 325.925 1.0 80.69145  ? 128 SER C O   128 SER C O   1 
ATOM 15349 C CB  . SER C 3 128 ? 283.636 -79.529 323.978 1.0 80.69145  ? 128 SER C CB  128 SER C CB  1 
ATOM 15350 O OG  . SER C 3 128 ? 284.565 -79.531 322.911 1.0 80.69145  ? 128 SER C OG  128 SER C OG  1 
ATOM 15351 N N   . ALA C 3 129 ? 285.205 -81.381 325.487 1.0 84.54376  ? 129 ALA C N   129 ALA C N   1 
ATOM 15352 C CA  . ALA C 3 129 ? 286.211 -82.421 325.589 1.0 84.54376  ? 129 ALA C CA  129 ALA C CA  1 
ATOM 15353 C C   . ALA C 3 129 ? 285.960 -83.437 324.488 1.0 84.54376  ? 129 ALA C C   129 ALA C C   1 
ATOM 15354 O O   . ALA C 3 129 ? 284.809 -83.753 324.177 1.0 84.54376  ? 129 ALA C O   129 ALA C O   1 
ATOM 15355 C CB  . ALA C 3 129 ? 286.181 -83.102 326.957 1.0 84.54376  ? 129 ALA C CB  129 ALA C CB  1 
ATOM 15356 N N   . PHE C 3 130 ? 287.038 -83.937 323.893 1.0 89.03487  ? 130 PHE C N   130 PHE C N   1 
ATOM 15357 C CA  . PHE C 3 130 ? 286.921 -84.901 322.811 1.0 89.03487  ? 130 PHE C CA  130 PHE C CA  1 
ATOM 15358 C C   . PHE C 3 130 ? 288.129 -85.820 322.830 1.0 89.03487  ? 130 PHE C C   130 PHE C C   1 
ATOM 15359 O O   . PHE C 3 130 ? 289.247 -85.385 323.116 1.0 89.03487  ? 130 PHE C O   130 PHE C O   1 
ATOM 15360 C CB  . PHE C 3 130 ? 286.774 -84.208 321.449 1.0 89.03487  ? 130 PHE C CB  130 PHE C CB  1 
ATOM 15361 C CG  . PHE C 3 130 ? 287.925 -83.316 321.072 1.0 89.03487  ? 130 PHE C CG  130 PHE C CG  1 
ATOM 15362 C CD1 . PHE C 3 130 ? 287.951 -81.990 321.473 1.0 89.03487  ? 130 PHE C CD1 130 PHE C CD1 1 
ATOM 15363 C CD2 . PHE C 3 130 ? 288.946 -83.785 320.261 1.0 89.03487  ? 130 PHE C CD2 130 PHE C CD2 1 
ATOM 15364 C CE1 . PHE C 3 130 ? 288.995 -81.163 321.112 1.0 89.03487  ? 130 PHE C CE1 130 PHE C CE1 1 
ATOM 15365 C CE2 . PHE C 3 130 ? 289.995 -82.963 319.897 1.0 89.03487  ? 130 PHE C CE2 130 PHE C CE2 1 
ATOM 15366 C CZ  . PHE C 3 130 ? 290.019 -81.651 320.322 1.0 89.03487  ? 130 PHE C CZ  130 PHE C CZ  1 
ATOM 15367 N N   . THR C 3 131 ? 287.893 -87.087 322.515 1.0 93.7349   ? 131 THR C N   131 THR C N   1 
ATOM 15368 C CA  . THR C 3 131 ? 288.888 -88.142 322.663 1.0 93.7349   ? 131 THR C CA  131 THR C CA  1 
ATOM 15369 C C   . THR C 3 131 ? 289.356 -88.579 321.279 1.0 93.7349   ? 131 THR C C   131 THR C C   1 
ATOM 15370 O O   . THR C 3 131 ? 288.794 -89.495 320.678 1.0 93.7349   ? 131 THR C O   131 THR C O   1 
ATOM 15371 C CB  . THR C 3 131 ? 288.311 -89.311 323.447 1.0 93.7349   ? 131 THR C CB  131 THR C CB  1 
ATOM 15372 O OG1 . THR C 3 131 ? 287.190 -89.853 322.739 1.0 93.7349   ? 131 THR C OG1 131 THR C OG1 1 
ATOM 15373 C CG2 . THR C 3 131 ? 287.852 -88.848 324.816 1.0 93.7349   ? 131 THR C CG2 131 THR C CG2 1 
ATOM 15374 N N   . VAL C 3 132 ? 290.390 -87.914 320.777 1.0 95.76514  ? 132 VAL C N   132 VAL C N   1 
ATOM 15375 C CA  . VAL C 3 132 ? 291.074 -88.368 319.572 1.0 95.76514  ? 132 VAL C CA  132 VAL C CA  1 
ATOM 15376 C C   . VAL C 3 132 ? 291.976 -89.532 319.952 1.0 95.76514  ? 132 VAL C C   132 VAL C C   1 
ATOM 15377 O O   . VAL C 3 132 ? 292.940 -89.363 320.706 1.0 95.76514  ? 132 VAL C O   132 VAL C O   1 
ATOM 15378 C CB  . VAL C 3 132 ? 291.876 -87.232 318.922 1.0 95.76514  ? 132 VAL C CB  132 VAL C CB  1 
ATOM 15379 C CG1 . VAL C 3 132 ? 292.746 -87.774 317.798 1.0 95.76514  ? 132 VAL C CG1 132 VAL C CG1 1 
ATOM 15380 C CG2 . VAL C 3 132 ? 290.938 -86.168 318.386 1.0 95.76514  ? 132 VAL C CG2 132 VAL C CG2 1 
ATOM 15381 N N   . GLY C 3 133 ? 291.661 -90.718 319.440 1.0 97.81991  ? 133 GLY C N   133 GLY C N   1 
ATOM 15382 C CA  . GLY C 3 133 ? 292.423 -91.899 319.785 1.0 97.81991  ? 133 GLY C CA  133 GLY C CA  1 
ATOM 15383 C C   . GLY C 3 133 ? 292.176 -92.350 321.209 1.0 97.81991  ? 133 GLY C C   133 GLY C C   1 
ATOM 15384 O O   . GLY C 3 133 ? 291.102 -92.867 321.528 1.0 97.81991  ? 133 GLY C O   133 GLY C O   1 
ATOM 15385 N N   . ASN C 3 134 ? 293.162 -92.152 322.073 1.0 98.08857  ? 134 ASN C N   134 ASN C N   1 
ATOM 15386 C CA  . ASN C 3 134 ? 293.071 -92.590 323.459 1.0 98.08857  ? 134 ASN C CA  134 ASN C CA  1 
ATOM 15387 C C   . ASN C 3 134 ? 293.090 -91.443 324.455 1.0 98.08857  ? 134 ASN C C   134 ASN C C   1 
ATOM 15388 O O   . ASN C 3 134 ? 292.376 -91.496 325.459 1.0 98.08857  ? 134 ASN C O   134 ASN C O   1 
ATOM 15389 C CB  . ASN C 3 134 ? 294.212 -93.567 323.771 1.0 98.08857  ? 134 ASN C CB  134 ASN C CB  1 
ATOM 15390 C CG  . ASN C 3 134 ? 294.041 -94.900 323.069 1.0 98.08857  ? 134 ASN C CG  134 ASN C CG  1 
ATOM 15391 O OD1 . ASN C 3 134 ? 292.932 -95.423 322.974 1.0 98.08857  ? 134 ASN C OD1 134 ASN C OD1 1 
ATOM 15392 N ND2 . ASN C 3 134 ? 295.141 -95.461 322.581 1.0 98.08857  ? 134 ASN C ND2 134 ASN C ND2 1 
ATOM 15393 N N   . ASP C 3 135 ? 293.883 -90.405 324.206 1.0 96.69519  ? 135 ASP C N   135 ASP C N   1 
ATOM 15394 C CA  . ASP C 3 135 ? 293.920 -89.256 325.097 1.0 96.69519  ? 135 ASP C CA  135 ASP C CA  1 
ATOM 15395 C C   . ASP C 3 135 ? 292.784 -88.291 324.783 1.0 96.69519  ? 135 ASP C C   135 ASP C C   1 
ATOM 15396 O O   . ASP C 3 135 ? 292.310 -88.211 323.647 1.0 96.69519  ? 135 ASP C O   135 ASP C O   1 
ATOM 15397 C CB  . ASP C 3 135 ? 295.271 -88.540 325.004 1.0 96.69519  ? 135 ASP C CB  135 ASP C CB  1 
ATOM 15398 C CG  . ASP C 3 135 ? 295.640 -88.146 323.585 1.0 96.69519  ? 135 ASP C CG  135 ASP C CG  1 
ATOM 15399 O OD1 . ASP C 3 135 ? 294.981 -88.604 322.635 1.0 96.69519  ? 135 ASP C OD1 135 ASP C OD1 1 
ATOM 15400 O OD2 . ASP C 3 135 ? 296.583 -87.350 323.414 1.0 96.69519  ? 135 ASP C OD2 135 ASP C OD2 1 
ATOM 15401 N N   . THR C 3 136 ? 292.331 -87.574 325.804 1.0 91.47894  ? 136 THR C N   136 THR C N   1 
ATOM 15402 C CA  . THR C 3 136 ? 291.335 -86.542 325.584 1.0 91.47894  ? 136 THR C CA  136 THR C CA  1 
ATOM 15403 C C   . THR C 3 136 ? 291.999 -85.170 325.502 1.0 91.47894  ? 136 THR C C   136 THR C C   1 
ATOM 15404 O O   . THR C 3 136 ? 293.101 -84.945 326.010 1.0 91.47894  ? 136 THR C O   136 THR C O   1 
ATOM 15405 C CB  . THR C 3 136 ? 290.268 -86.565 326.685 1.0 91.47894  ? 136 THR C CB  136 THR C CB  1 
ATOM 15406 O OG1 . THR C 3 136 ? 289.247 -85.605 326.388 1.0 91.47894  ? 136 THR C OG1 136 THR C OG1 1 
ATOM 15407 C CG2 . THR C 3 136 ? 290.869 -86.265 328.047 1.0 91.47894  ? 136 THR C CG2 136 THR C CG2 1 
ATOM 15408 N N   . HIS C 3 137 ? 291.322 -84.256 324.821 1.0 89.06967  ? 137 HIS C N   137 HIS C N   1 
ATOM 15409 C CA  . HIS C 3 137 ? 291.769 -82.880 324.689 1.0 89.06967  ? 137 HIS C CA  137 HIS C CA  1 
ATOM 15410 C C   . HIS C 3 137 ? 290.718 -81.980 325.312 1.0 89.06967  ? 137 HIS C C   137 HIS C C   1 
ATOM 15411 O O   . HIS C 3 137 ? 289.518 -82.217 325.151 1.0 89.06967  ? 137 HIS C O   137 HIS C O   1 
ATOM 15412 C CB  . HIS C 3 137 ? 291.974 -82.492 323.223 1.0 89.06967  ? 137 HIS C CB  137 HIS C CB  1 
ATOM 15413 C CG  . HIS C 3 137 ? 293.012 -83.304 322.513 1.0 89.06967  ? 137 HIS C CG  137 HIS C CG  1 
ATOM 15414 N ND1 . HIS C 3 137 ? 294.363 -83.107 322.690 1.0 89.06967  ? 137 HIS C ND1 137 HIS C ND1 1 
ATOM 15415 C CD2 . HIS C 3 137 ? 292.893 -84.308 321.612 1.0 89.06967  ? 137 HIS C CD2 137 HIS C CD2 1 
ATOM 15416 C CE1 . HIS C 3 137 ? 295.033 -83.958 321.934 1.0 89.06967  ? 137 HIS C CE1 137 HIS C CE1 1 
ATOM 15417 N NE2 . HIS C 3 137 ? 294.165 -84.699 321.270 1.0 89.06967  ? 137 HIS C NE2 137 HIS C NE2 1 
ATOM 15418 N N   . PHE C 3 138 ? 291.159 -80.956 326.030 1.0 85.26402  ? 138 PHE C N   138 PHE C N   1 
ATOM 15419 C CA  . PHE C 3 138 ? 290.247 -79.997 326.641 1.0 85.26402  ? 138 PHE C CA  138 PHE C CA  1 
ATOM 15420 C C   . PHE C 3 138 ? 290.426 -78.644 325.972 1.0 85.26402  ? 138 PHE C C   138 PHE C C   1 
ATOM 15421 O O   . PHE C 3 138 ? 291.283 -77.853 326.377 1.0 85.26402  ? 138 PHE C O   138 PHE C O   1 
ATOM 15422 C CB  . PHE C 3 138 ? 290.472 -79.888 328.146 1.0 85.26402  ? 138 PHE C CB  138 PHE C CB  1 
ATOM 15423 C CG  . PHE C 3 138 ? 290.071 -81.112 328.910 1.0 85.26402  ? 138 PHE C CG  138 PHE C CG  1 
ATOM 15424 C CD1 . PHE C 3 138 ? 288.739 -81.382 329.160 1.0 85.26402  ? 138 PHE C CD1 138 PHE C CD1 1 
ATOM 15425 C CD2 . PHE C 3 138 ? 291.025 -81.976 329.404 1.0 85.26402  ? 138 PHE C CD2 138 PHE C CD2 1 
ATOM 15426 C CE1 . PHE C 3 138 ? 288.367 -82.507 329.874 1.0 85.26402  ? 138 PHE C CE1 138 PHE C CE1 1 
ATOM 15427 C CE2 . PHE C 3 138 ? 290.658 -83.102 330.121 1.0 85.26402  ? 138 PHE C CE2 138 PHE C CE2 1 
ATOM 15428 C CZ  . PHE C 3 138 ? 289.330 -83.366 330.353 1.0 85.26402  ? 138 PHE C CZ  138 PHE C CZ  1 
ATOM 15429 N N   . VAL C 3 139 ? 289.624 -78.384 324.953 1.0 82.17507  ? 139 VAL C N   139 VAL C N   1 
ATOM 15430 C CA  . VAL C 3 139 ? 289.459 -77.038 324.426 1.0 82.17507  ? 139 VAL C CA  139 VAL C CA  1 
ATOM 15431 C C   . VAL C 3 139 ? 288.705 -76.210 325.462 1.0 82.17507  ? 139 VAL C C   139 VAL C C   1 
ATOM 15432 O O   . VAL C 3 139 ? 287.665 -76.636 325.983 1.0 82.17507  ? 139 VAL C O   139 VAL C O   1 
ATOM 15433 C CB  . VAL C 3 139 ? 288.752 -77.070 323.056 1.0 82.17507  ? 139 VAL C CB  139 VAL C CB  1 
ATOM 15434 C CG1 . VAL C 3 139 ? 287.528 -77.964 323.073 1.0 82.17507  ? 139 VAL C CG1 139 VAL C CG1 1 
ATOM 15435 C CG2 . VAL C 3 139 ? 288.342 -75.683 322.626 1.0 82.17507  ? 139 VAL C CG2 139 VAL C CG2 1 
ATOM 15436 N N   . ALA C 3 140 ? 289.268 -75.059 325.828 1.0 82.0309   ? 140 ALA C N   140 ALA C N   1 
ATOM 15437 C CA  . ALA C 3 140 ? 288.719 -74.321 326.954 1.0 82.0309   ? 140 ALA C CA  140 ALA C CA  1 
ATOM 15438 C C   . ALA C 3 140 ? 289.021 -72.832 326.842 1.0 82.0309   ? 140 ALA C C   140 ALA C C   1 
ATOM 15439 O O   . ALA C 3 140 ? 290.082 -72.427 326.362 1.0 82.0309   ? 140 ALA C O   140 ALA C O   1 
ATOM 15440 C CB  . ALA C 3 140 ? 289.273 -74.856 328.291 1.0 82.0309   ? 140 ALA C CB  140 ALA C CB  1 
ATOM 15441 N N   . GLN C 3 141 ? 288.052 -72.035 327.270 1.0 82.91896  ? 141 GLN C N   141 GLN C N   1 
ATOM 15442 C CA  . GLN C 3 141 ? 288.218 -70.608 327.517 1.0 82.91896  ? 141 GLN C CA  141 GLN C CA  1 
ATOM 15443 C C   . GLN C 3 141 ? 287.693 -70.345 328.919 1.0 82.91896  ? 141 GLN C C   141 GLN C C   1 
ATOM 15444 O O   . GLN C 3 141 ? 286.549 -70.691 329.225 1.0 82.91896  ? 141 GLN C O   141 GLN C O   1 
ATOM 15445 C CB  . GLN C 3 141 ? 287.459 -69.765 326.488 1.0 82.91896  ? 141 GLN C CB  141 GLN C CB  1 
ATOM 15446 C CG  . GLN C 3 141 ? 287.603 -68.265 326.654 1.0 82.91896  ? 141 GLN C CG  141 GLN C CG  1 
ATOM 15447 C CD  . GLN C 3 141 ? 289.010 -67.776 326.411 1.0 82.91896  ? 141 GLN C CD  141 GLN C CD  1 
ATOM 15448 O OE1 . GLN C 3 141 ? 289.739 -67.468 327.348 1.0 82.91896  ? 141 GLN C OE1 141 GLN C OE1 1 
ATOM 15449 N NE2 . GLN C 3 141 ? 289.395 -67.685 325.146 1.0 82.91896  ? 141 GLN C NE2 141 GLN C NE2 1 
ATOM 15450 N N   . LEU C 3 142 ? 288.533 -69.763 329.779 1.0 85.57752  ? 142 LEU C N   142 LEU C N   1 
ATOM 15451 C CA  . LEU C 3 142 ? 288.201 -69.559 331.188 1.0 85.57752  ? 142 LEU C CA  142 LEU C CA  1 
ATOM 15452 C C   . LEU C 3 142 ? 288.121 -68.067 331.478 1.0 85.57752  ? 142 LEU C C   142 LEU C C   1 
ATOM 15453 O O   . LEU C 3 142 ? 289.125 -67.447 331.855 1.0 85.57752  ? 142 LEU C O   142 LEU C O   1 
ATOM 15454 C CB  . LEU C 3 142 ? 289.228 -70.237 332.099 1.0 85.57752  ? 142 LEU C CB  142 LEU C CB  1 
ATOM 15455 C CG  . LEU C 3 142 ? 289.078 -71.733 332.408 1.0 85.57752  ? 142 LEU C CG  142 LEU C CG  1 
ATOM 15456 C CD1 . LEU C 3 142 ? 289.438 -72.621 331.240 1.0 85.57752  ? 142 LEU C CD1 142 LEU C CD1 1 
ATOM 15457 C CD2 . LEU C 3 142 ? 289.919 -72.112 333.609 1.0 85.57752  ? 142 LEU C CD2 142 LEU C CD2 1 
ATOM 15458 N N   . PRO C 3 143 ? 286.956 -67.444 331.324 1.0 84.36507  ? 143 PRO C N   143 PRO C N   1 
ATOM 15459 C CA  . PRO C 3 143 ? 286.872 -65.989 331.488 1.0 84.36507  ? 143 PRO C CA  143 PRO C CA  1 
ATOM 15460 C C   . PRO C 3 143 ? 286.843 -65.544 332.941 1.0 84.36507  ? 143 PRO C C   143 PRO C C   1 
ATOM 15461 O O   . PRO C 3 143 ? 287.387 -64.488 333.274 1.0 84.36507  ? 143 PRO C O   143 PRO C O   1 
ATOM 15462 C CB  . PRO C 3 143 ? 285.570 -65.640 330.761 1.0 84.36507  ? 143 PRO C CB  143 PRO C CB  1 
ATOM 15463 C CG  . PRO C 3 143 ? 284.743 -66.858 330.880 1.0 84.36507  ? 143 PRO C CG  143 PRO C CG  1 
ATOM 15464 C CD  . PRO C 3 143 ? 285.687 -68.018 330.851 1.0 84.36507  ? 143 PRO C CD  143 PRO C CD  1 
ATOM 15465 N N   . GLN C 3 144 ? 286.218 -66.325 333.816 1.0 86.91623  ? 144 GLN C N   144 GLN C N   1 
ATOM 15466 C CA  . GLN C 3 144 ? 286.192 -65.983 335.229 1.0 86.91623  ? 144 GLN C CA  144 GLN C CA  1 
ATOM 15467 C C   . GLN C 3 144 ? 287.506 -66.380 335.881 1.0 86.91623  ? 144 GLN C C   144 GLN C C   1 
ATOM 15468 O O   . GLN C 3 144 ? 288.019 -67.479 335.659 1.0 86.91623  ? 144 GLN C O   144 GLN C O   1 
ATOM 15469 C CB  . GLN C 3 144 ? 285.041 -66.686 335.944 1.0 86.91623  ? 144 GLN C CB  144 GLN C CB  1 
ATOM 15470 C CG  . GLN C 3 144 ? 283.650 -66.292 335.498 1.0 86.91623  ? 144 GLN C CG  144 GLN C CG  1 
ATOM 15471 C CD  . GLN C 3 144 ? 282.590 -67.040 336.277 1.0 86.91623  ? 144 GLN C CD  144 GLN C CD  1 
ATOM 15472 O OE1 . GLN C 3 144 ? 282.902 -67.841 337.142 1.0 86.91623  ? 144 GLN C OE1 144 GLN C OE1 1 
ATOM 15473 N NE2 . GLN C 3 144 ? 281.337 -66.801 335.959 1.0 86.91623  ? 144 GLN C NE2 144 GLN C NE2 1 
ATOM 15474 N N   . THR C 3 145 ? 288.054 -65.475 336.682 1.0 90.26301  ? 145 THR C N   145 THR C N   1 
ATOM 15475 C CA  . THR C 3 145 ? 289.236 -65.751 337.480 1.0 90.26301  ? 145 THR C CA  145 THR C CA  1 
ATOM 15476 C C   . THR C 3 145 ? 288.931 -65.477 338.945 1.0 90.26301  ? 145 THR C C   145 THR C C   1 
ATOM 15477 O O   . THR C 3 145 ? 288.232 -64.517 339.281 1.0 90.26301  ? 145 THR C O   145 THR C O   1 
ATOM 15478 C CB  . THR C 3 145 ? 290.439 -64.904 337.042 1.0 90.26301  ? 145 THR C CB  145 THR C CB  1 
ATOM 15479 O OG1 . THR C 3 145 ? 290.126 -63.514 337.188 1.0 90.26301  ? 145 THR C OG1 145 THR C OG1 1 
ATOM 15480 C CG2 . THR C 3 145 ? 290.811 -65.191 335.596 1.0 90.26301  ? 145 THR C CG2 145 THR C CG2 1 
ATOM 15481 N N   . TYR C 3 146 ? 289.457 -66.332 339.814 1.0 94.70552  ? 146 TYR C N   146 TYR C N   1 
ATOM 15482 C CA  . TYR C 3 146 ? 289.327 -66.158 341.250 1.0 94.70552  ? 146 TYR C CA  146 TYR C CA  1 
ATOM 15483 C C   . TYR C 3 146 ? 290.708 -66.230 341.885 1.0 94.70552  ? 146 TYR C C   146 TYR C C   1 
ATOM 15484 O O   . TYR C 3 146 ? 291.681 -66.671 341.268 1.0 94.70552  ? 146 TYR C O   146 TYR C O   1 
ATOM 15485 C CB  . TYR C 3 146 ? 288.379 -67.200 341.865 1.0 94.70552  ? 146 TYR C CB  146 TYR C CB  1 
ATOM 15486 C CG  . TYR C 3 146 ? 288.830 -68.639 341.736 1.0 94.70552  ? 146 TYR C CG  146 TYR C CG  1 
ATOM 15487 C CD1 . TYR C 3 146 ? 288.521 -69.381 340.606 1.0 94.70552  ? 146 TYR C CD1 146 TYR C CD1 1 
ATOM 15488 C CD2 . TYR C 3 146 ? 289.525 -69.269 342.763 1.0 94.70552  ? 146 TYR C CD2 146 TYR C CD2 1 
ATOM 15489 C CE1 . TYR C 3 146 ? 288.916 -70.694 340.487 1.0 94.70552  ? 146 TYR C CE1 146 TYR C CE1 1 
ATOM 15490 C CE2 . TYR C 3 146 ? 289.926 -70.585 342.649 1.0 94.70552  ? 146 TYR C CE2 146 TYR C CE2 1 
ATOM 15491 C CZ  . TYR C 3 146 ? 289.615 -71.291 341.508 1.0 94.70552  ? 146 TYR C CZ  146 TYR C CZ  1 
ATOM 15492 O OH  . TYR C 3 146 ? 290.007 -72.601 341.382 1.0 94.70552  ? 146 TYR C OH  146 TYR C OH  1 
ATOM 15493 N N   . ALA C 3 147 ? 290.782 -65.783 343.135 1.0 95.83586  ? 147 ALA C N   147 ALA C N   1 
ATOM 15494 C CA  . ALA C 3 147 ? 292.044 -65.773 343.859 1.0 95.83586  ? 147 ALA C CA  147 ALA C CA  1 
ATOM 15495 C C   . ALA C 3 147 ? 292.422 -67.190 344.264 1.0 95.83586  ? 147 ALA C C   147 ALA C C   1 
ATOM 15496 O O   . ALA C 3 147 ? 291.651 -67.879 344.939 1.0 95.83586  ? 147 ALA C O   147 ALA C O   1 
ATOM 15497 C CB  . ALA C 3 147 ? 291.940 -64.872 345.086 1.0 95.83586  ? 147 ALA C CB  147 ALA C CB  1 
ATOM 15498 N N   . ALA C 3 148 ? 293.607 -67.625 343.843 1.0 98.10365  ? 148 ALA C N   148 ALA C N   1 
ATOM 15499 C CA  . ALA C 3 148 ? 294.129 -68.939 344.209 1.0 98.10365  ? 148 ALA C CA  148 ALA C CA  1 
ATOM 15500 C C   . ALA C 3 148 ? 295.646 -68.854 344.163 1.0 98.10365  ? 148 ALA C C   148 ALA C C   1 
ATOM 15501 O O   . ALA C 3 148 ? 296.226 -68.777 343.077 1.0 98.10365  ? 148 ALA C O   148 ALA C O   1 
ATOM 15502 C CB  . ALA C 3 148 ? 293.610 -70.023 343.271 1.0 98.10365  ? 148 ALA C CB  148 ALA C CB  1 
ATOM 15503 N N   . GLY C 3 149 ? 296.282 -68.878 345.331 1.0 100.44989 ? 149 GLY C N   149 GLY C N   1 
ATOM 15504 C CA  . GLY C 3 149 ? 297.720 -68.710 345.417 1.0 100.44989 ? 149 GLY C CA  149 GLY C CA  1 
ATOM 15505 C C   . GLY C 3 149 ? 298.511 -69.954 345.070 1.0 100.44989 ? 149 GLY C C   149 GLY C C   1 
ATOM 15506 O O   . GLY C 3 149 ? 298.167 -70.674 344.129 1.0 100.44989 ? 149 GLY C O   149 GLY C O   1 
ATOM 15507 N N   . GLY C 3 150 ? 299.586 -70.208 345.810 1.0 101.71441 ? 150 GLY C N   150 GLY C N   1 
ATOM 15508 C CA  . GLY C 3 150 ? 300.381 -71.400 345.564 1.0 101.71441 ? 150 GLY C CA  150 GLY C CA  1 
ATOM 15509 C C   . GLY C 3 150 ? 299.624 -72.640 345.999 1.0 101.71441 ? 150 GLY C C   150 GLY C C   1 
ATOM 15510 O O   . GLY C 3 150 ? 299.123 -72.708 347.129 1.0 101.71441 ? 150 GLY C O   150 GLY C O   1 
ATOM 15511 N N   . THR C 3 151 ? 299.528 -73.618 345.089 1.0 102.2305  ? 151 THR C N   151 THR C N   1 
ATOM 15512 C CA  . THR C 3 151 ? 298.767 -74.863 345.246 1.0 102.2305  ? 151 THR C CA  151 THR C CA  1 
ATOM 15513 C C   . THR C 3 151 ? 297.297 -74.545 345.549 1.0 102.2305  ? 151 THR C C   151 THR C C   1 
ATOM 15514 O O   . THR C 3 151 ? 296.774 -74.757 346.646 1.0 102.2305  ? 151 THR C O   151 THR C O   1 
ATOM 15515 C CB  . THR C 3 151 ? 299.406 -75.787 346.298 1.0 102.2305  ? 151 THR C CB  151 THR C CB  1 
ATOM 15516 O OG1 . THR C 3 151 ? 300.805 -75.911 346.018 1.0 102.2305  ? 151 THR C OG1 151 THR C OG1 1 
ATOM 15517 C CG2 . THR C 3 151 ? 298.807 -77.195 346.242 1.0 102.2305  ? 151 THR C CG2 151 THR C CG2 1 
ATOM 15518 N N   . GLY C 3 152 ? 296.648 -73.977 344.535 1.0 101.1635  ? 152 GLY C N   152 GLY C N   1 
ATOM 15519 C CA  . GLY C 3 152 ? 295.270 -73.538 344.657 1.0 101.1635  ? 152 GLY C CA  152 GLY C CA  1 
ATOM 15520 C C   . GLY C 3 152 ? 294.215 -74.628 344.596 1.0 101.1635  ? 152 GLY C C   152 GLY C C   1 
ATOM 15521 O O   . GLY C 3 152 ? 293.099 -74.388 344.129 1.0 101.1635  ? 152 GLY C O   152 GLY C O   1 
ATOM 15522 N N   . VAL C 3 153 ? 294.552 -75.831 345.067 1.0 100.9295  ? 153 VAL C N   153 VAL C N   1 
ATOM 15523 C CA  . VAL C 3 153 ? 293.584 -76.911 345.148 1.0 100.9295  ? 153 VAL C CA  153 VAL C CA  1 
ATOM 15524 C C   . VAL C 3 153 ? 292.612 -76.683 346.301 1.0 100.9295  ? 153 VAL C C   153 VAL C C   1 
ATOM 15525 O O   . VAL C 3 153 ? 291.493 -77.207 346.281 1.0 100.9295  ? 153 VAL C O   153 VAL C O   1 
ATOM 15526 C CB  . VAL C 3 153 ? 294.339 -78.256 345.249 1.0 100.9295  ? 153 VAL C CB  153 VAL C CB  1 
ATOM 15527 C CG1 . VAL C 3 153 ? 295.062 -78.398 346.585 1.0 100.9295  ? 153 VAL C CG1 153 VAL C CG1 1 
ATOM 15528 C CG2 . VAL C 3 153 ? 293.425 -79.439 344.978 1.0 100.9295  ? 153 VAL C CG2 153 VAL C CG2 1 
ATOM 15529 N N   . THR C 3 154 ? 292.994 -75.879 347.296 1.0 100.79225 ? 154 THR C N   154 THR C N   1 
ATOM 15530 C CA  . THR C 3 154 ? 292.079 -75.559 348.385 1.0 100.79225 ? 154 THR C CA  154 THR C CA  1 
ATOM 15531 C C   . THR C 3 154 ? 290.963 -74.640 347.907 1.0 100.79225 ? 154 THR C C   154 THR C C   1 
ATOM 15532 O O   . THR C 3 154 ? 289.786 -74.870 348.209 1.0 100.79225 ? 154 THR C O   154 THR C O   1 
ATOM 15533 C CB  . THR C 3 154 ? 292.849 -74.919 349.540 1.0 100.79225 ? 154 THR C CB  154 THR C CB  1 
ATOM 15534 O OG1 . THR C 3 154 ? 293.884 -75.810 349.973 1.0 100.79225 ? 154 THR C OG1 154 THR C OG1 1 
ATOM 15535 C CG2 . THR C 3 154 ? 291.926 -74.629 350.713 1.0 100.79225 ? 154 THR C CG2 154 THR C CG2 1 
ATOM 15536 N N   . GLU C 3 155 ? 291.309 -73.611 347.137 1.0 100.51765 ? 155 GLU C N   155 GLU C N   1 
ATOM 15537 C CA  . GLU C 3 155 ? 290.316 -72.690 346.604 1.0 100.51765 ? 155 GLU C CA  155 GLU C CA  1 
ATOM 15538 C C   . GLU C 3 155 ? 289.572 -73.253 345.401 1.0 100.51765 ? 155 GLU C C   155 GLU C C   1 
ATOM 15539 O O   . GLU C 3 155 ? 288.546 -72.688 345.011 1.0 100.51765 ? 155 GLU C O   155 GLU C O   1 
ATOM 15540 C CB  . GLU C 3 155 ? 290.973 -71.362 346.221 1.0 100.51765 ? 155 GLU C CB  155 GLU C CB  1 
ATOM 15541 C CG  . GLU C 3 155 ? 291.487 -70.549 347.399 1.0 100.51765 ? 155 GLU C CG  155 GLU C CG  1 
ATOM 15542 C CD  . GLU C 3 155 ? 292.897 -70.927 347.813 1.0 100.51765 ? 155 GLU C CD  155 GLU C CD  1 
ATOM 15543 O OE1 . GLU C 3 155 ? 293.514 -71.773 347.132 1.0 100.51765 ? 155 GLU C OE1 155 GLU C OE1 1 
ATOM 15544 O OE2 . GLU C 3 155 ? 293.388 -70.377 348.821 1.0 100.51765 ? 155 GLU C OE2 155 GLU C OE2 1 
ATOM 15545 N N   . ALA C 3 156 ? 290.058 -74.341 344.805 1.0 98.06469  ? 156 ALA C N   156 ALA C N   1 
ATOM 15546 C CA  . ALA C 3 156 ? 289.343 -74.951 343.693 1.0 98.06469  ? 156 ALA C CA  156 ALA C CA  1 
ATOM 15547 C C   . ALA C 3 156 ? 288.182 -75.813 344.167 1.0 98.06469  ? 156 ALA C C   156 ALA C C   1 
ATOM 15548 O O   . ALA C 3 156 ? 287.158 -75.892 343.482 1.0 98.06469  ? 156 ALA C O   156 ALA C O   1 
ATOM 15549 C CB  . ALA C 3 156 ? 290.300 -75.783 342.841 1.0 98.06469  ? 156 ALA C CB  156 ALA C CB  1 
ATOM 15550 N N   . ILE C 3 157 ? 288.321 -76.460 345.326 1.0 98.55678  ? 157 ILE C N   157 ILE C N   1 
ATOM 15551 C CA  . ILE C 3 157 ? 287.247 -77.293 345.858 1.0 98.55678  ? 157 ILE C CA  157 ILE C CA  1 
ATOM 15552 C C   . ILE C 3 157 ? 286.103 -76.428 346.372 1.0 98.55678  ? 157 ILE C C   157 ILE C C   1 
ATOM 15553 O O   . ILE C 3 157 ? 284.926 -76.779 346.219 1.0 98.55678  ? 157 ILE C O   157 ILE C O   1 
ATOM 15554 C CB  . ILE C 3 157 ? 287.818 -78.220 346.948 1.0 98.55678  ? 157 ILE C CB  157 ILE C CB  1 
ATOM 15555 C CG1 . ILE C 3 157 ? 288.867 -79.147 346.341 1.0 98.55678  ? 157 ILE C CG1 157 ILE C CG1 1 
ATOM 15556 C CG2 . ILE C 3 157 ? 286.737 -79.063 347.602 1.0 98.55678  ? 157 ILE C CG2 157 ILE C CG2 1 
ATOM 15557 C CD1 . ILE C 3 157 ? 289.696 -79.876 347.368 1.0 98.55678  ? 157 ILE C CD1 157 ILE C CD1 1 
ATOM 15558 N N   . GLN C 3 158 ? 286.419 -75.261 346.936 1.0 98.96839  ? 158 GLN C N   158 GLN C N   1 
ATOM 15559 C CA  . GLN C 3 158 ? 285.413 -74.380 347.514 1.0 98.96839  ? 158 GLN C CA  158 GLN C CA  1 
ATOM 15560 C C   . GLN C 3 158 ? 284.532 -73.700 346.474 1.0 98.96839  ? 158 GLN C C   158 GLN C C   1 
ATOM 15561 O O   . GLN C 3 158 ? 283.508 -73.119 346.847 1.0 98.96839  ? 158 GLN C O   158 GLN C O   1 
ATOM 15562 C CB  . GLN C 3 158 ? 286.093 -73.321 348.378 1.0 98.96839  ? 158 GLN C CB  158 GLN C CB  1 
ATOM 15563 C CG  . GLN C 3 158 ? 286.793 -73.889 349.593 1.0 98.96839  ? 158 GLN C CG  158 GLN C CG  1 
ATOM 15564 C CD  . GLN C 3 158 ? 287.490 -72.823 350.405 1.0 98.96839  ? 158 GLN C CD  158 GLN C CD  1 
ATOM 15565 O OE1 . GLN C 3 158 ? 287.510 -71.652 350.026 1.0 98.96839  ? 158 GLN C OE1 158 GLN C OE1 1 
ATOM 15566 N NE2 . GLN C 3 158 ? 288.069 -73.221 351.531 1.0 98.96839  ? 158 GLN C NE2 158 GLN C NE2 1 
ATOM 15567 N N   . GLN C 3 159 ? 284.900 -73.742 345.196 1.0 95.91063  ? 159 GLN C N   159 GLN C N   1 
ATOM 15568 C CA  . GLN C 3 159 ? 284.054 -73.196 344.139 1.0 95.91063  ? 159 GLN C CA  159 GLN C CA  1 
ATOM 15569 C C   . GLN C 3 159 ? 282.867 -74.126 343.935 1.0 95.91063  ? 159 GLN C C   159 GLN C C   1 
ATOM 15570 O O   . GLN C 3 159 ? 282.980 -75.165 343.283 1.0 95.91063  ? 159 GLN C O   159 GLN C O   1 
ATOM 15571 C CB  . GLN C 3 159 ? 284.846 -73.027 342.849 1.0 95.91063  ? 159 GLN C CB  159 GLN C CB  1 
ATOM 15572 C CG  . GLN C 3 159 ? 285.972 -72.019 342.942 1.0 95.91063  ? 159 GLN C CG  159 GLN C CG  1 
ATOM 15573 C CD  . GLN C 3 159 ? 285.471 -70.609 343.161 1.0 95.91063  ? 159 GLN C CD  159 GLN C CD  1 
ATOM 15574 O OE1 . GLN C 3 159 ? 284.454 -70.207 342.602 1.0 95.91063  ? 159 GLN C OE1 159 GLN C OE1 1 
ATOM 15575 N NE2 . GLN C 3 159 ? 286.188 -69.847 343.978 1.0 95.91063  ? 159 GLN C NE2 159 GLN C NE2 1 
ATOM 15576 N N   . GLN C 3 160 ? 281.722 -73.757 344.506 1.0 95.07798  ? 160 GLN C N   160 GLN C N   1 
ATOM 15577 C CA  . GLN C 3 160 ? 280.506 -74.537 344.328 1.0 95.07798  ? 160 GLN C CA  160 GLN C CA  1 
ATOM 15578 C C   . GLN C 3 160 ? 279.997 -74.387 342.902 1.0 95.07798  ? 160 GLN C C   160 GLN C C   1 
ATOM 15579 O O   . GLN C 3 160 ? 279.950 -73.279 342.360 1.0 95.07798  ? 160 GLN C O   160 GLN C O   1 
ATOM 15580 C CB  . GLN C 3 160 ? 279.442 -74.090 345.324 1.0 95.07798  ? 160 GLN C CB  160 GLN C CB  1 
ATOM 15581 C CG  . GLN C 3 160 ? 279.790 -74.403 346.762 1.0 95.07798  ? 160 GLN C CG  160 GLN C CG  1 
ATOM 15582 C CD  . GLN C 3 160 ? 278.734 -73.920 347.729 1.0 95.07798  ? 160 GLN C CD  160 GLN C CD  1 
ATOM 15583 O OE1 . GLN C 3 160 ? 277.762 -73.278 347.334 1.0 95.07798  ? 160 GLN C OE1 160 GLN C OE1 1 
ATOM 15584 N NE2 . GLN C 3 160 ? 278.916 -74.229 349.007 1.0 95.07798  ? 160 GLN C NE2 160 GLN C NE2 1 
ATOM 15585 N N   . VAL C 3 161 ? 279.616 -75.506 342.294 1.0 91.57286  ? 161 VAL C N   161 VAL C N   1 
ATOM 15586 C CA  . VAL C 3 161 ? 279.274 -75.526 340.881 1.0 91.57286  ? 161 VAL C CA  161 VAL C CA  1 
ATOM 15587 C C   . VAL C 3 161 ? 277.796 -75.769 340.622 1.0 91.57286  ? 161 VAL C C   161 VAL C C   1 
ATOM 15588 O O   . VAL C 3 161 ? 277.366 -75.591 339.474 1.0 91.57286  ? 161 VAL C O   161 VAL C O   1 
ATOM 15589 C CB  . VAL C 3 161 ? 280.122 -76.562 340.121 1.0 91.57286  ? 161 VAL C CB  161 VAL C CB  1 
ATOM 15590 C CG1 . VAL C 3 161 ? 281.585 -76.173 340.182 1.0 91.57286  ? 161 VAL C CG1 161 VAL C CG1 1 
ATOM 15591 C CG2 . VAL C 3 161 ? 279.905 -77.948 340.703 1.0 91.57286  ? 161 VAL C CG2 161 VAL C CG2 1 
ATOM 15592 N N   . SER C 3 162 ? 277.055 -76.314 341.597 1.0 92.29201  ? 162 SER C N   162 SER C N   1 
ATOM 15593 C CA  . SER C 3 162 ? 275.617 -76.147 341.841 1.0 92.29201  ? 162 SER C CA  162 SER C CA  1 
ATOM 15594 C C   . SER C 3 162 ? 274.710 -75.989 340.623 1.0 92.29201  ? 162 SER C C   162 SER C C   1 
ATOM 15595 O O   . SER C 3 162 ? 273.834 -75.118 340.613 1.0 92.29201  ? 162 SER C O   162 SER C O   1 
ATOM 15596 C CB  . SER C 3 162 ? 275.404 -74.942 342.759 1.0 92.29201  ? 162 SER C CB  162 SER C CB  1 
ATOM 15597 O OG  . SER C 3 162 ? 274.023 -74.703 342.970 1.0 92.29201  ? 162 SER C OG  162 SER C OG  1 
ATOM 15598 N N   . GLY C 3 163 ? 274.911 -76.802 339.592 1.0 87.77334  ? 163 GLY C N   163 GLY C N   1 
ATOM 15599 C CA  . GLY C 3 163 ? 274.055 -76.705 338.428 1.0 87.77334  ? 163 GLY C CA  163 GLY C CA  1 
ATOM 15600 C C   . GLY C 3 163 ? 274.358 -75.544 337.501 1.0 87.77334  ? 163 GLY C C   163 GLY C C   1 
ATOM 15601 O O   . GLY C 3 163 ? 275.320 -75.584 336.730 1.0 87.77334  ? 163 GLY C O   163 GLY C O   1 
ATOM 15602 N N   . VAL C 3 164 ? 273.524 -74.502 337.568 1.0 86.19233  ? 164 VAL C N   164 VAL C N   1 
ATOM 15603 C CA  . VAL C 3 164 ? 273.511 -73.463 336.540 1.0 86.19233  ? 164 VAL C CA  164 VAL C CA  1 
ATOM 15604 C C   . VAL C 3 164 ? 274.689 -72.498 336.690 1.0 86.19233  ? 164 VAL C C   164 VAL C C   1 
ATOM 15605 O O   . VAL C 3 164 ? 275.133 -71.897 335.704 1.0 86.19233  ? 164 VAL C O   164 VAL C O   1 
ATOM 15606 C CB  . VAL C 3 164 ? 272.141 -72.746 336.567 1.0 86.19233  ? 164 VAL C CB  164 VAL C CB  1 
ATOM 15607 C CG1 . VAL C 3 164 ? 271.941 -71.963 337.858 1.0 86.19233  ? 164 VAL C CG1 164 VAL C CG1 1 
ATOM 15608 C CG2 . VAL C 3 164 ? 271.931 -71.862 335.341 1.0 86.19233  ? 164 VAL C CG2 164 VAL C CG2 1 
ATOM 15609 N N   . ASP C 3 165 ? 275.247 -72.346 337.916 1.0 89.1855   ? 165 ASP C N   165 ASP C N   1 
ATOM 15610 C CA  . ASP C 3 165 ? 276.391 -71.444 337.948 1.0 89.1855   ? 165 ASP C CA  165 ASP C CA  1 
ATOM 15611 C C   . ASP C 3 165 ? 277.677 -72.197 337.604 1.0 89.1855   ? 165 ASP C C   165 ASP C C   1 
ATOM 15612 O O   . ASP C 3 165 ? 277.748 -73.412 337.772 1.0 89.1855   ? 165 ASP C O   165 ASP C O   1 
ATOM 15613 C CB  . ASP C 3 165 ? 276.509 -70.777 339.322 1.0 89.1855   ? 165 ASP C CB  165 ASP C CB  1 
ATOM 15614 C CG  . ASP C 3 165 ? 276.552 -71.767 340.464 1.0 89.1855   ? 165 ASP C CG  165 ASP C CG  1 
ATOM 15615 O OD1 . ASP C 3 165 ? 276.292 -72.964 340.244 1.0 89.1855   ? 165 ASP C OD1 165 ASP C OD1 1 
ATOM 15616 O OD2 . ASP C 3 165 ? 276.864 -71.341 341.592 1.0 89.1855   ? 165 ASP C OD2 165 ASP C OD2 1 
ATOM 15617 N N   . PRO C 3 166 ? 278.726 -71.553 337.067 1.0 85.69152  ? 166 PRO C N   166 PRO C N   1 
ATOM 15618 C CA  . PRO C 3 166 ? 278.916 -70.160 336.670 1.0 85.69152  ? 166 PRO C CA  166 PRO C CA  1 
ATOM 15619 C C   . PRO C 3 166 ? 278.192 -69.815 335.384 1.0 85.69152  ? 166 PRO C C   166 PRO C C   1 
ATOM 15620 O O   . PRO C 3 166 ? 277.573 -70.663 334.751 1.0 85.69152  ? 166 PRO C O   166 PRO C O   1 
ATOM 15621 C CB  . PRO C 3 166 ? 280.427 -70.058 336.475 1.0 85.69152  ? 166 PRO C CB  166 PRO C CB  1 
ATOM 15622 C CG  . PRO C 3 166 ? 280.829 -71.409 336.078 1.0 85.69152  ? 166 PRO C CG  166 PRO C CG  1 
ATOM 15623 C CD  . PRO C 3 166 ? 279.942 -72.347 336.832 1.0 85.69152  ? 166 PRO C CD  166 PRO C CD  1 
ATOM 15624 N N   . ASN C 3 167 ? 278.286 -68.602 335.020 1.0 83.62603  ? 167 ASN C N   167 ASN C N   1 
ATOM 15625 C CA  . ASN C 3 167 ? 277.600 -68.075 333.858 1.0 83.62603  ? 167 ASN C CA  167 ASN C CA  1 
ATOM 15626 C C   . ASN C 3 167 ? 278.552 -68.099 332.670 1.0 83.62603  ? 167 ASN C C   167 ASN C C   1 
ATOM 15627 O O   . ASN C 3 167 ? 279.691 -67.635 332.795 1.0 83.62603  ? 167 ASN C O   167 ASN C O   1 
ATOM 15628 C CB  . ASN C 3 167 ? 277.151 -66.651 334.141 1.0 83.62603  ? 167 ASN C CB  167 ASN C CB  1 
ATOM 15629 C CG  . ASN C 3 167 ? 275.910 -66.243 333.376 1.0 83.62603  ? 167 ASN C CG  167 ASN C CG  1 
ATOM 15630 O OD1 . ASN C 3 167 ? 275.300 -65.227 333.692 1.0 83.62603  ? 167 ASN C OD1 167 ASN C OD1 1 
ATOM 15631 N ND2 . ASN C 3 167 ? 275.520 -67.027 332.389 1.0 83.62603  ? 167 ASN C ND2 167 ASN C ND2 1 
ATOM 15632 N N   . PRO C 3 168 ? 278.149 -68.633 331.512 1.0 78.32498  ? 168 PRO C N   168 PRO C N   1 
ATOM 15633 C CA  . PRO C 3 168 ? 279.031 -68.579 330.337 1.0 78.32498  ? 168 PRO C CA  168 PRO C CA  1 
ATOM 15634 C C   . PRO C 3 168 ? 279.220 -67.207 329.707 1.0 78.32498  ? 168 PRO C C   168 PRO C C   1 
ATOM 15635 O O   . PRO C 3 168 ? 279.890 -67.108 328.675 1.0 78.32498  ? 168 PRO C O   168 PRO C O   1 
ATOM 15636 C CB  . PRO C 3 168 ? 278.343 -69.526 329.348 1.0 78.32498  ? 168 PRO C CB  168 PRO C CB  1 
ATOM 15637 C CG  . PRO C 3 168 ? 277.607 -70.462 330.188 1.0 78.32498  ? 168 PRO C CG  168 PRO C CG  1 
ATOM 15638 C CD  . PRO C 3 168 ? 277.123 -69.677 331.360 1.0 78.32498  ? 168 PRO C CD  168 PRO C CD  1 
ATOM 15639 N N   . GLN C 3 169 ? 278.663 -66.143 330.285 1.0 80.0229   ? 169 GLN C N   169 GLN C N   1 
ATOM 15640 C CA  . GLN C 3 169 ? 278.697 -64.864 329.594 1.0 80.0229   ? 169 GLN C CA  169 GLN C CA  1 
ATOM 15641 C C   . GLN C 3 169 ? 278.976 -63.653 330.477 1.0 80.0229   ? 169 GLN C C   169 GLN C C   1 
ATOM 15642 O O   . GLN C 3 169 ? 278.708 -62.530 330.040 1.0 80.0229   ? 169 GLN C O   169 GLN C O   1 
ATOM 15643 C CB  . GLN C 3 169 ? 277.383 -64.654 328.843 1.0 80.0229   ? 169 GLN C CB  169 GLN C CB  1 
ATOM 15644 C CG  . GLN C 3 169 ? 276.161 -64.621 329.725 1.0 80.0229   ? 169 GLN C CG  169 GLN C CG  1 
ATOM 15645 C CD  . GLN C 3 169 ? 274.896 -64.472 328.919 1.0 80.0229   ? 169 GLN C CD  169 GLN C CD  1 
ATOM 15646 O OE1 . GLN C 3 169 ? 274.942 -64.324 327.700 1.0 80.0229   ? 169 GLN C OE1 169 GLN C OE1 1 
ATOM 15647 N NE2 . GLN C 3 169 ? 273.757 -64.514 329.591 1.0 80.0229   ? 169 GLN C NE2 169 GLN C NE2 1 
ATOM 15648 N N   . VAL C 3 170 ? 279.517 -63.815 331.681 1.0 82.68426  ? 170 VAL C N   170 VAL C N   1 
ATOM 15649 C CA  . VAL C 3 170 ? 279.798 -62.669 332.538 1.0 82.68426  ? 170 VAL C CA  170 VAL C CA  1 
ATOM 15650 C C   . VAL C 3 170 ? 281.257 -62.227 332.447 1.0 82.68426  ? 170 VAL C C   170 VAL C C   1 
ATOM 15651 O O   . VAL C 3 170 ? 281.530 -61.026 332.437 1.0 82.68426  ? 170 VAL C O   170 VAL C O   1 
ATOM 15652 C CB  . VAL C 3 170 ? 279.371 -62.947 333.996 1.0 82.68426  ? 170 VAL C CB  170 VAL C CB  1 
ATOM 15653 C CG1 . VAL C 3 170 ? 277.861 -63.013 334.088 1.0 82.68426  ? 170 VAL C CG1 170 VAL C CG1 1 
ATOM 15654 C CG2 . VAL C 3 170 ? 279.930 -64.236 334.479 1.0 82.68426  ? 170 VAL C CG2 170 VAL C CG2 1 
ATOM 15655 N N   . GLY C 3 171 ? 282.198 -63.170 332.373 1.0 83.21524  ? 171 GLY C N   171 GLY C N   1 
ATOM 15656 C CA  . GLY C 3 171 ? 283.590 -62.861 332.074 1.0 83.21524  ? 171 GLY C CA  171 GLY C CA  1 
ATOM 15657 C C   . GLY C 3 171 ? 284.298 -62.025 333.123 1.0 83.21524  ? 171 GLY C C   171 GLY C C   1 
ATOM 15658 O O   . GLY C 3 171 ? 284.047 -62.131 334.328 1.0 83.21524  ? 171 GLY C O   171 GLY C O   1 
ATOM 15659 N N   . GLN C 3 172 ? 285.204 -61.177 332.643 1.0 84.23665  ? 172 GLN C N   172 GLN C N   1 
ATOM 15660 C CA  . GLN C 3 172 ? 285.928 -60.235 333.475 1.0 84.23665  ? 172 GLN C CA  172 GLN C CA  1 
ATOM 15661 C C   . GLN C 3 172 ? 284.983 -59.128 333.947 1.0 84.23665  ? 172 GLN C C   172 GLN C C   1 
ATOM 15662 O O   . GLN C 3 172 ? 283.943 -58.894 333.330 1.0 84.23665  ? 172 GLN C O   172 GLN C O   1 
ATOM 15663 C CB  . GLN C 3 172 ? 287.097 -59.657 332.678 1.0 84.23665  ? 172 GLN C CB  172 GLN C CB  1 
ATOM 15664 C CG  . GLN C 3 172 ? 288.128 -60.690 332.271 1.0 84.23665  ? 172 GLN C CG  172 GLN C CG  1 
ATOM 15665 C CD  . GLN C 3 172 ? 288.840 -61.298 333.459 1.0 84.23665  ? 172 GLN C CD  172 GLN C CD  1 
ATOM 15666 O OE1 . GLN C 3 172 ? 289.153 -60.610 334.429 1.0 84.23665  ? 172 GLN C OE1 172 GLN C OE1 1 
ATOM 15667 N NE2 . GLN C 3 172 ? 289.100 -62.595 333.390 1.0 84.23665  ? 172 GLN C NE2 172 GLN C NE2 1 
ATOM 15668 N N   . PRO C 3 173 ? 285.320 -58.414 335.048 1.0 83.50323  ? 173 PRO C N   173 PRO C N   1 
ATOM 15669 C CA  . PRO C 3 173 ? 284.407 -57.363 335.534 1.0 83.50323  ? 173 PRO C CA  173 PRO C CA  1 
ATOM 15670 C C   . PRO C 3 173 ? 284.346 -56.085 334.702 1.0 83.50323  ? 173 PRO C C   173 PRO C C   1 
ATOM 15671 O O   . PRO C 3 173 ? 284.617 -54.992 335.210 1.0 83.50323  ? 173 PRO C O   173 PRO C O   1 
ATOM 15672 C CB  . PRO C 3 173 ? 284.935 -57.071 336.944 1.0 83.50323  ? 173 PRO C CB  173 PRO C CB  1 
ATOM 15673 C CG  . PRO C 3 173 ? 286.345 -57.501 336.924 1.0 83.50323  ? 173 PRO C CG  173 PRO C CG  1 
ATOM 15674 C CD  . PRO C 3 173 ? 286.385 -58.693 336.031 1.0 83.50323  ? 173 PRO C CD  173 PRO C CD  1 
ATOM 15675 N N   . ASN C 3 174 ? 284.059 -56.233 333.408 1.0 83.60074  ? 174 ASN C N   174 ASN C N   1 
ATOM 15676 C CA  . ASN C 3 174 ? 283.433 -55.256 332.519 1.0 83.60074  ? 174 ASN C CA  174 ASN C CA  1 
ATOM 15677 C C   . ASN C 3 174 ? 284.310 -54.071 332.122 1.0 83.60074  ? 174 ASN C C   174 ASN C C   1 
ATOM 15678 O O   . ASN C 3 174 ? 283.985 -53.386 331.148 1.0 83.60074  ? 174 ASN C O   174 ASN C O   1 
ATOM 15679 C CB  . ASN C 3 174 ? 282.149 -54.723 333.168 1.0 83.60074  ? 174 ASN C CB  174 ASN C CB  1 
ATOM 15680 C CG  . ASN C 3 174 ? 281.106 -54.276 332.157 1.0 83.60074  ? 174 ASN C CG  174 ASN C CG  1 
ATOM 15681 O OD1 . ASN C 3 174 ? 279.977 -53.967 332.529 1.0 83.60074  ? 174 ASN C OD1 174 ASN C OD1 1 
ATOM 15682 N ND2 . ASN C 3 174 ? 281.457 -54.288 330.877 1.0 83.60074  ? 174 ASN C ND2 174 ASN C ND2 1 
ATOM 15683 N N   . TYR C 3 175 ? 285.433 -53.831 332.803 1.0 83.03821  ? 175 TYR C N   175 TYR C N   1 
ATOM 15684 C CA  . TYR C 3 175 ? 286.288 -52.716 332.409 1.0 83.03821  ? 175 TYR C CA  175 TYR C CA  1 
ATOM 15685 C C   . TYR C 3 175 ? 287.765 -53.034 332.585 1.0 83.03821  ? 175 TYR C C   175 TYR C C   1 
ATOM 15686 O O   . TYR C 3 175 ? 288.595 -52.121 332.631 1.0 83.03821  ? 175 TYR C O   175 TYR C O   1 
ATOM 15687 C CB  . TYR C 3 175 ? 285.941 -51.434 333.168 1.0 83.03821  ? 175 TYR C CB  175 TYR C CB  1 
ATOM 15688 C CG  . TYR C 3 175 ? 284.602 -50.855 332.781 1.0 83.03821  ? 175 TYR C CG  175 TYR C CG  1 
ATOM 15689 C CD1 . TYR C 3 175 ? 284.428 -50.222 331.556 1.0 83.03821  ? 175 TYR C CD1 175 TYR C CD1 1 
ATOM 15690 C CD2 . TYR C 3 175 ? 283.512 -50.948 333.635 1.0 83.03821  ? 175 TYR C CD2 175 TYR C CD2 1 
ATOM 15691 C CE1 . TYR C 3 175 ? 283.206 -49.694 331.194 1.0 83.03821  ? 175 TYR C CE1 175 TYR C CE1 1 
ATOM 15692 C CE2 . TYR C 3 175 ? 282.283 -50.422 333.281 1.0 83.03821  ? 175 TYR C CE2 175 TYR C CE2 1 
ATOM 15693 C CZ  . TYR C 3 175 ? 282.139 -49.798 332.061 1.0 83.03821  ? 175 TYR C CZ  175 TYR C CZ  1 
ATOM 15694 O OH  . TYR C 3 175 ? 280.921 -49.274 331.705 1.0 83.03821  ? 175 TYR C OH  175 TYR C OH  1 
ATOM 15695 N N   . ALA C 3 176 ? 288.114 -54.308 332.696 1.0 85.34047  ? 176 ALA C N   176 ALA C N   1 
ATOM 15696 C CA  . ALA C 3 176 ? 289.518 -54.659 332.611 1.0 85.34047  ? 176 ALA C CA  176 ALA C CA  1 
ATOM 15697 C C   . ALA C 3 176 ? 289.978 -54.549 331.163 1.0 85.34047  ? 176 ALA C C   176 ALA C C   1 
ATOM 15698 O O   . ALA C 3 176 ? 289.181 -54.627 330.225 1.0 85.34047  ? 176 ALA C O   176 ALA C O   1 
ATOM 15699 C CB  . ALA C 3 176 ? 289.760 -56.071 333.145 1.0 85.34047  ? 176 ALA C CB  176 ALA C CB  1 
ATOM 15700 N N   . GLY C 3 177 ? 291.277 -54.359 330.982 1.0 85.29315  ? 177 GLY C N   177 GLY C N   1 
ATOM 15701 C CA  . GLY C 3 177 ? 291.824 -54.249 329.654 1.0 85.29315  ? 177 GLY C CA  177 GLY C CA  1 
ATOM 15702 C C   . GLY C 3 177 ? 292.025 -55.603 329.004 1.0 85.29315  ? 177 GLY C C   177 GLY C C   1 
ATOM 15703 O O   . GLY C 3 177 ? 291.235 -56.535 329.183 1.0 85.29315  ? 177 GLY C O   177 GLY C O   1 
ATOM 15704 N N   . PRO C 3 178 ? 293.085 -55.732 328.224 1.0 85.01355  ? 178 PRO C N   178 PRO C N   1 
ATOM 15705 C CA  . PRO C 3 178 ? 293.497 -57.033 327.691 1.0 85.01355  ? 178 PRO C CA  178 PRO C CA  1 
ATOM 15706 C C   . PRO C 3 178 ? 294.463 -57.720 328.646 1.0 85.01355  ? 178 PRO C C   178 PRO C C   1 
ATOM 15707 O O   . PRO C 3 178 ? 295.566 -58.124 328.263 1.0 85.01355  ? 178 PRO C O   178 PRO C O   1 
ATOM 15708 C CB  . PRO C 3 178 ? 294.178 -56.654 326.373 1.0 85.01355  ? 178 PRO C CB  178 PRO C CB  1 
ATOM 15709 C CG  . PRO C 3 178 ? 294.831 -55.352 326.714 1.0 85.01355  ? 178 PRO C CG  178 PRO C CG  1 
ATOM 15710 C CD  . PRO C 3 178 ? 293.917 -54.646 327.686 1.0 85.01355  ? 178 PRO C CD  178 PRO C CD  1 
ATOM 15711 N N   . VAL C 3 179 ? 294.053 -57.845 329.908 1.0 87.92053  ? 179 VAL C N   179 VAL C N   1 
ATOM 15712 C CA  . VAL C 3 179 ? 294.991 -58.099 330.992 1.0 87.92053  ? 179 VAL C CA  179 VAL C CA  1 
ATOM 15713 C C   . VAL C 3 179 ? 295.476 -59.543 330.941 1.0 87.92053  ? 179 VAL C C   179 VAL C C   1 
ATOM 15714 O O   . VAL C 3 179 ? 294.696 -60.483 330.739 1.0 87.92053  ? 179 VAL C O   179 VAL C O   1 
ATOM 15715 C CB  . VAL C 3 179 ? 294.351 -57.727 332.342 1.0 87.92053  ? 179 VAL C CB  179 VAL C CB  1 
ATOM 15716 C CG1 . VAL C 3 179 ? 293.035 -58.468 332.577 1.0 87.92053  ? 179 VAL C CG1 179 VAL C CG1 1 
ATOM 15717 C CG2 . VAL C 3 179 ? 295.324 -57.958 333.496 1.0 87.92053  ? 179 VAL C CG2 179 VAL C CG2 1 
ATOM 15718 N N   . VAL C 3 180 ? 296.789 -59.713 331.032 1.0 89.85041  ? 180 VAL C N   180 VAL C N   1 
ATOM 15719 C CA  . VAL C 3 180 ? 297.377 -61.038 331.165 1.0 89.85041  ? 180 VAL C CA  180 VAL C CA  1 
ATOM 15720 C C   . VAL C 3 180 ? 297.223 -61.486 332.613 1.0 89.85041  ? 180 VAL C C   180 VAL C C   1 
ATOM 15721 O O   . VAL C 3 180 ? 297.641 -60.791 333.546 1.0 89.85041  ? 180 VAL C O   180 VAL C O   1 
ATOM 15722 C CB  . VAL C 3 180 ? 298.843 -61.045 330.705 1.0 89.85041  ? 180 VAL C CB  180 VAL C CB  1 
ATOM 15723 C CG1 . VAL C 3 180 ? 298.901 -61.052 329.194 1.0 89.85041  ? 180 VAL C CG1 180 VAL C CG1 1 
ATOM 15724 C CG2 . VAL C 3 180 ? 299.575 -59.796 331.188 1.0 89.85041  ? 180 VAL C CG2 180 VAL C CG2 1 
ATOM 15725 N N   . VAL C 3 181 ? 296.574 -62.619 332.809 1.0 91.43843  ? 181 VAL C N   181 VAL C N   1 
ATOM 15726 C CA  . VAL C 3 181 ? 296.324 -63.100 334.159 1.0 91.43843  ? 181 VAL C CA  181 VAL C CA  1 
ATOM 15727 C C   . VAL C 3 181 ? 297.568 -63.806 334.675 1.0 91.43843  ? 181 VAL C C   181 VAL C C   1 
ATOM 15728 O O   . VAL C 3 181 ? 298.384 -64.330 333.908 1.0 91.43843  ? 181 VAL C O   181 VAL C O   1 
ATOM 15729 C CB  . VAL C 3 181 ? 295.086 -64.019 334.197 1.0 91.43843  ? 181 VAL C CB  181 VAL C CB  1 
ATOM 15730 C CG1 . VAL C 3 181 ? 293.847 -63.250 333.766 1.0 91.43843  ? 181 VAL C CG1 181 VAL C CG1 1 
ATOM 15731 C CG2 . VAL C 3 181 ? 295.294 -65.232 333.318 1.0 91.43843  ? 181 VAL C CG2 181 VAL C CG2 1 
ATOM 15732 N N   . ASN C 3 182 ? 297.738 -63.788 335.990 1.0 94.57234  ? 182 ASN C N   182 ASN C N   1 
ATOM 15733 C CA  . ASN C 3 182 ? 298.815 -64.525 336.632 1.0 94.57234  ? 182 ASN C CA  182 ASN C CA  1 
ATOM 15734 C C   . ASN C 3 182 ? 298.291 -65.920 336.937 1.0 94.57234  ? 182 ASN C C   182 ASN C C   1 
ATOM 15735 O O   . ASN C 3 182 ? 297.462 -66.094 337.835 1.0 94.57234  ? 182 ASN C O   182 ASN C O   1 
ATOM 15736 C CB  . ASN C 3 182 ? 299.286 -63.817 337.898 1.0 94.57234  ? 182 ASN C CB  182 ASN C CB  1 
ATOM 15737 C CG  . ASN C 3 182 ? 300.047 -62.541 337.604 1.0 94.57234  ? 182 ASN C CG  182 ASN C CG  1 
ATOM 15738 O OD1 . ASN C 3 182 ? 300.872 -62.491 336.692 1.0 94.57234  ? 182 ASN C OD1 182 ASN C OD1 1 
ATOM 15739 N ND2 . ASN C 3 182 ? 299.774 -61.498 338.379 1.0 94.57234  ? 182 ASN C ND2 182 ASN C ND2 1 
ATOM 15740 N N   . THR C 3 183 ? 298.759 -66.910 336.175 1.0 95.40376  ? 183 THR C N   183 THR C N   1 
ATOM 15741 C CA  . THR C 3 183 ? 298.380 -68.293 336.432 1.0 95.40376  ? 183 THR C CA  183 THR C CA  1 
ATOM 15742 C C   . THR C 3 183 ? 298.989 -68.792 337.737 1.0 95.40376  ? 183 THR C C   183 THR C C   1 
ATOM 15743 O O   . THR C 3 183 ? 298.426 -69.683 338.382 1.0 95.40376  ? 183 THR C O   183 THR C O   1 
ATOM 15744 C CB  . THR C 3 183 ? 298.810 -69.164 335.250 1.0 95.40376  ? 183 THR C CB  183 THR C CB  1 
ATOM 15745 O OG1 . THR C 3 183 ? 298.413 -68.525 334.033 1.0 95.40376  ? 183 THR C OG1 183 THR C OG1 1 
ATOM 15746 C CG2 . THR C 3 183 ? 298.106 -70.499 335.282 1.0 95.40376  ? 183 THR C CG2 183 THR C CG2 1 
ATOM 15747 N N   . THR C 3 184 ? 300.112 -68.200 338.149 1.0 95.88404  ? 184 THR C N   184 THR C N   1 
ATOM 15748 C CA  . THR C 3 184 ? 300.685 -68.472 339.461 1.0 95.88404  ? 184 THR C CA  184 THR C CA  1 
ATOM 15749 C C   . THR C 3 184 ? 299.787 -67.942 340.577 1.0 95.88404  ? 184 THR C C   184 THR C C   1 
ATOM 15750 O O   . THR C 3 184 ? 299.647 -68.580 341.626 1.0 95.88404  ? 184 THR C O   184 THR C O   1 
ATOM 15751 C CB  . THR C 3 184 ? 302.081 -67.850 339.538 1.0 95.88404  ? 184 THR C CB  184 THR C CB  1 
ATOM 15752 O OG1 . THR C 3 184 ? 302.878 -68.330 338.448 1.0 95.88404  ? 184 THR C OG1 184 THR C OG1 1 
ATOM 15753 C CG2 . THR C 3 184 ? 302.778 -68.206 340.843 1.0 95.88404  ? 184 THR C CG2 184 THR C CG2 1 
ATOM 15754 N N   . ASN C 3 185 ? 299.146 -66.790 340.361 1.0 96.4305   ? 185 ASN C N   185 ASN C N   1 
ATOM 15755 C CA  . ASN C 3 185 ? 298.356 -66.144 341.402 1.0 96.4305   ? 185 ASN C CA  185 ASN C CA  1 
ATOM 15756 C C   . ASN C 3 185 ? 296.851 -66.286 341.234 1.0 96.4305   ? 185 ASN C C   185 ASN C C   1 
ATOM 15757 O O   . ASN C 3 185 ? 296.117 -66.001 342.185 1.0 96.4305   ? 185 ASN C O   185 ASN C O   1 
ATOM 15758 C CB  . ASN C 3 185 ? 298.693 -64.650 341.476 1.0 96.4305   ? 185 ASN C CB  185 ASN C CB  1 
ATOM 15759 C CG  . ASN C 3 185 ? 300.121 -64.400 341.887 1.0 96.4305   ? 185 ASN C CG  185 ASN C CG  1 
ATOM 15760 O OD1 . ASN C 3 185 ? 300.921 -63.876 341.112 1.0 96.4305   ? 185 ASN C OD1 185 ASN C OD1 1 
ATOM 15761 N ND2 . ASN C 3 185 ? 300.454 -64.776 343.115 1.0 96.4305   ? 185 ASN C ND2 185 ASN C ND2 1 
ATOM 15762 N N   . ASN C 3 186 ? 296.372 -66.694 340.063 1.0 95.33783  ? 186 ASN C N   186 ASN C N   1 
ATOM 15763 C CA  . ASN C 3 186 ? 294.948 -66.891 339.835 1.0 95.33783  ? 186 ASN C CA  186 ASN C CA  1 
ATOM 15764 C C   . ASN C 3 186 ? 294.750 -68.181 339.060 1.0 95.33783  ? 186 ASN C C   186 ASN C C   1 
ATOM 15765 O O   . ASN C 3 186 ? 295.597 -68.561 338.249 1.0 95.33783  ? 186 ASN C O   186 ASN C O   1 
ATOM 15766 C CB  . ASN C 3 186 ? 294.328 -65.719 339.067 1.0 95.33783  ? 186 ASN C CB  186 ASN C CB  1 
ATOM 15767 C CG  . ASN C 3 186 ? 294.389 -64.421 339.840 1.0 95.33783  ? 186 ASN C CG  186 ASN C CG  1 
ATOM 15768 O OD1 . ASN C 3 186 ? 295.057 -63.473 339.431 1.0 95.33783  ? 186 ASN C OD1 186 ASN C OD1 1 
ATOM 15769 N ND2 . ASN C 3 186 ? 293.692 -64.371 340.968 1.0 95.33783  ? 186 ASN C ND2 186 ASN C ND2 1 
ATOM 15770 N N   . ALA C 3 187 ? 293.629 -68.852 339.311 1.0 93.89569  ? 187 ALA C N   187 ALA C N   1 
ATOM 15771 C CA  . ALA C 3 187 ? 293.395 -70.163 338.717 1.0 93.89569  ? 187 ALA C CA  187 ALA C CA  1 
ATOM 15772 C C   . ALA C 3 187 ? 292.598 -70.069 337.420 1.0 93.89569  ? 187 ALA C C   187 ALA C C   1 
ATOM 15773 O O   . ALA C 3 187 ? 293.079 -70.471 336.357 1.0 93.89569  ? 187 ALA C O   187 ALA C O   1 
ATOM 15774 C CB  . ALA C 3 187 ? 292.681 -71.072 339.722 1.0 93.89569  ? 187 ALA C CB  187 ALA C CB  1 
ATOM 15775 N N   . GLY C 3 188 ? 291.397 -69.533 337.489 1.0 91.90029  ? 188 GLY C N   188 GLY C N   1 
ATOM 15776 C CA  . GLY C 3 188 ? 290.519 -69.567 336.341 1.0 91.90029  ? 188 GLY C CA  188 GLY C CA  1 
ATOM 15777 C C   . GLY C 3 188 ? 289.287 -70.407 336.622 1.0 91.90029  ? 188 GLY C C   188 GLY C C   1 
ATOM 15778 O O   . GLY C 3 188 ? 289.311 -71.352 337.421 1.0 91.90029  ? 188 GLY C O   188 GLY C O   1 
ATOM 15779 N N   . LEU C 3 189 ? 288.200 -70.079 335.931 1.0 88.66954  ? 189 LEU C N   189 LEU C N   1 
ATOM 15780 C CA  . LEU C 3 189 ? 286.890 -70.616 336.261 1.0 88.66954  ? 189 LEU C CA  189 LEU C CA  1 
ATOM 15781 C C   . LEU C 3 189 ? 285.978 -70.443 335.055 1.0 88.66954  ? 189 LEU C C   189 LEU C C   1 
ATOM 15782 O O   . LEU C 3 189 ? 286.016 -69.405 334.393 1.0 88.66954  ? 189 LEU C O   189 LEU C O   1 
ATOM 15783 C CB  . LEU C 3 189 ? 286.342 -69.902 337.503 1.0 88.66954  ? 189 LEU C CB  189 LEU C CB  1 
ATOM 15784 C CG  . LEU C 3 189 ? 284.975 -70.153 338.132 1.0 88.66954  ? 189 LEU C CG  189 LEU C CG  1 
ATOM 15785 C CD1 . LEU C 3 189 ? 284.768 -71.576 338.533 1.0 88.66954  ? 189 LEU C CD1 189 LEU C CD1 1 
ATOM 15786 C CD2 . LEU C 3 189 ? 284.848 -69.259 339.356 1.0 88.66954  ? 189 LEU C CD2 189 LEU C CD2 1 
ATOM 15787 N N   . GLY C 3 190 ? 285.184 -71.469 334.760 1.0 86.35322  ? 190 GLY C N   190 GLY C N   1 
ATOM 15788 C CA  . GLY C 3 190 ? 284.329 -71.450 333.587 1.0 86.35322  ? 190 GLY C CA  190 GLY C CA  1 
ATOM 15789 C C   . GLY C 3 190 ? 283.435 -72.668 333.481 1.0 86.35322  ? 190 GLY C C   190 GLY C C   1 
ATOM 15790 O O   . GLY C 3 190 ? 283.061 -73.249 334.502 1.0 86.35322  ? 190 GLY C O   190 GLY C O   1 
ATOM 15791 N N   . ARG C 3 191 ? 283.072 -73.064 332.262 1.0 81.31267  ? 191 ARG C N   191 ARG C N   1 
ATOM 15792 C CA  . ARG C 3 191 ? 282.249 -74.247 332.041 1.0 81.31267  ? 191 ARG C CA  191 ARG C CA  1 
ATOM 15793 C C   . ARG C 3 191 ? 282.804 -75.043 330.870 1.0 81.31267  ? 191 ARG C C   191 ARG C C   1 
ATOM 15794 O O   . ARG C 3 191 ? 283.596 -74.544 330.069 1.0 81.31267  ? 191 ARG C O   191 ARG C O   1 
ATOM 15795 C CB  . ARG C 3 191 ? 280.782 -73.890 331.782 1.0 81.31267  ? 191 ARG C CB  191 ARG C CB  1 
ATOM 15796 C CG  . ARG C 3 191 ? 280.048 -73.358 332.995 1.0 81.31267  ? 191 ARG C CG  191 ARG C CG  1 
ATOM 15797 C CD  . ARG C 3 191 ? 278.619 -72.989 332.669 1.0 81.31267  ? 191 ARG C CD  191 ARG C CD  1 
ATOM 15798 N NE  . ARG C 3 191 ? 277.791 -74.147 332.365 1.0 81.31267  ? 191 ARG C NE  191 ARG C NE  1 
ATOM 15799 C CZ  . ARG C 3 191 ? 277.121 -74.835 333.281 1.0 81.31267  ? 191 ARG C CZ  191 ARG C CZ  1 
ATOM 15800 N NH1 . ARG C 3 191 ? 277.187 -74.480 334.553 1.0 81.31267  ? 191 ARG C NH1 191 ARG C NH1 1 
ATOM 15801 N NH2 . ARG C 3 191 ? 276.383 -75.872 332.926 1.0 81.31267  ? 191 ARG C NH2 191 ARG C NH2 1 
ATOM 15802 N N   . ILE C 3 192 ? 282.368 -76.299 330.780 1.0 81.38082  ? 192 ILE C N   192 ILE C N   1 
ATOM 15803 C CA  . ILE C 3 192 ? 282.847 -77.226 329.760 1.0 81.38082  ? 192 ILE C CA  192 ILE C CA  1 
ATOM 15804 C C   . ILE C 3 192 ? 281.784 -78.310 329.632 1.0 81.38082  ? 192 ILE C C   192 ILE C C   1 
ATOM 15805 O O   . ILE C 3 192 ? 280.865 -78.390 330.443 1.0 81.38082  ? 192 ILE C O   192 ILE C O   1 
ATOM 15806 C CB  . ILE C 3 192 ? 284.243 -77.795 330.132 1.0 81.38082  ? 192 ILE C CB  192 ILE C CB  1 
ATOM 15807 C CG1 . ILE C 3 192 ? 285.001 -78.284 328.896 1.0 81.38082  ? 192 ILE C CG1 192 ILE C CG1 1 
ATOM 15808 C CG2 . ILE C 3 192 ? 284.121 -78.933 331.105 1.0 81.38082  ? 192 ILE C CG2 192 ILE C CG2 1 
ATOM 15809 C CD1 . ILE C 3 192 ? 286.457 -78.508 329.127 1.0 81.38082  ? 192 ILE C CD1 192 ILE C CD1 1 
ATOM 15810 N N   . VAL C 3 193 ? 281.855 -79.093 328.562 1.0 81.51763  ? 193 VAL C N   193 VAL C N   1 
ATOM 15811 C CA  . VAL C 3 193 ? 280.995 -80.255 328.378 1.0 81.51763  ? 193 VAL C CA  193 VAL C CA  1 
ATOM 15812 C C   . VAL C 3 193 ? 281.868 -81.482 328.133 1.0 81.51763  ? 193 VAL C C   193 VAL C C   1 
ATOM 15813 O O   . VAL C 3 193 ? 282.790 -81.443 327.310 1.0 81.51763  ? 193 VAL C O   193 VAL C O   1 
ATOM 15814 C CB  . VAL C 3 193 ? 279.969 -80.016 327.253 1.0 81.51763  ? 193 VAL C CB  193 VAL C CB  1 
ATOM 15815 C CG1 . VAL C 3 193 ? 280.614 -79.382 326.063 1.0 81.51763  ? 193 VAL C CG1 193 VAL C CG1 1 
ATOM 15816 C CG2 . VAL C 3 193 ? 279.345 -81.318 326.824 1.0 81.51763  ? 193 VAL C CG2 193 VAL C CG2 1 
ATOM 15817 N N   . SER C 3 194 ? 281.608 -82.550 328.892 1.0 84.09317  ? 194 SER C N   194 SER C N   1 
ATOM 15818 C CA  . SER C 3 194 ? 282.404 -83.766 328.824 1.0 84.09317  ? 194 SER C CA  194 SER C CA  1 
ATOM 15819 C C   . SER C 3 194 ? 282.223 -84.477 327.487 1.0 84.09317  ? 194 SER C C   194 SER C C   1 
ATOM 15820 O O   . SER C 3 194 ? 281.283 -84.221 326.733 1.0 84.09317  ? 194 SER C O   194 SER C O   1 
ATOM 15821 C CB  . SER C 3 194 ? 282.032 -84.725 329.956 1.0 84.09317  ? 194 SER C CB  194 SER C CB  1 
ATOM 15822 O OG  . SER C 3 194 ? 282.771 -85.934 329.852 1.0 84.09317  ? 194 SER C OG  194 SER C OG  1 
ATOM 15823 N N   . ALA C 3 195 ? 283.148 -85.393 327.207 1.0 85.71115  ? 195 ALA C N   195 ALA C N   1 
ATOM 15824 C CA  . ALA C 3 195 ? 283.107 -86.138 325.957 1.0 85.71115  ? 195 ALA C CA  195 ALA C CA  1 
ATOM 15825 C C   . ALA C 3 195 ? 282.064 -87.244 325.981 1.0 85.71115  ? 195 ALA C C   195 ALA C C   1 
ATOM 15826 O O   . ALA C 3 195 ? 281.553 -87.629 324.924 1.0 85.71115  ? 195 ALA C O   195 ALA C O   1 
ATOM 15827 C CB  . ALA C 3 195 ? 284.482 -86.732 325.654 1.0 85.71115  ? 195 ALA C CB  195 ALA C CB  1 
ATOM 15828 N N   . ASP C 3 196 ? 281.740 -87.767 327.162 1.0 87.04384  ? 196 ASP C N   196 ASP C N   1 
ATOM 15829 C CA  . ASP C 3 196 ? 280.747 -88.832 327.300 1.0 87.04384  ? 196 ASP C CA  196 ASP C CA  1 
ATOM 15830 C C   . ASP C 3 196 ? 279.357 -88.214 327.175 1.0 87.04384  ? 196 ASP C C   196 ASP C C   1 
ATOM 15831 O O   . ASP C 3 196 ? 278.655 -87.963 328.157 1.0 87.04384  ? 196 ASP C O   196 ASP C O   1 
ATOM 15832 C CB  . ASP C 3 196 ? 280.928 -89.562 328.624 1.0 87.04384  ? 196 ASP C CB  196 ASP C CB  1 
ATOM 15833 C CG  . ASP C 3 196 ? 280.014 -90.760 328.756 1.0 87.04384  ? 196 ASP C CG  196 ASP C CG  1 
ATOM 15834 O OD1 . ASP C 3 196 ? 280.280 -91.790 328.102 1.0 87.04384  ? 196 ASP C OD1 196 ASP C OD1 1 
ATOM 15835 O OD2 . ASP C 3 196 ? 279.028 -90.669 329.516 1.0 87.04384  ? 196 ASP C OD2 196 ASP C OD2 1 
ATOM 15836 N N   . SER C 3 197 ? 278.963 -87.961 325.930 1.0 83.47701  ? 197 SER C N   197 SER C N   1 
ATOM 15837 C CA  . SER C 3 197 ? 277.679 -87.352 325.622 1.0 83.47701  ? 197 SER C CA  197 SER C CA  1 
ATOM 15838 C C   . SER C 3 197 ? 277.236 -87.817 324.246 1.0 83.47701  ? 197 SER C C   197 SER C C   1 
ATOM 15839 O O   . SER C 3 197 ? 278.049 -87.901 323.322 1.0 83.47701  ? 197 SER C O   197 SER C O   1 
ATOM 15840 C CB  . SER C 3 197 ? 277.760 -85.824 325.661 1.0 83.47701  ? 197 SER C CB  197 SER C CB  1 
ATOM 15841 O OG  . SER C 3 197 ? 278.042 -85.370 326.968 1.0 83.47701  ? 197 SER C OG  197 SER C OG  1 
ATOM 15842 N N   . GLU C 3 198 ? 275.947 -88.114 324.118 1.0 84.12563  ? 198 GLU C N   198 GLU C N   1 
ATOM 15843 C CA  . GLU C 3 198 ? 275.415 -88.639 322.873 1.0 84.12563  ? 198 GLU C CA  198 GLU C CA  1 
ATOM 15844 C C   . GLU C 3 198 ? 275.353 -87.547 321.811 1.0 84.12563  ? 198 GLU C C   198 GLU C C   1 
ATOM 15845 O O   . GLU C 3 198 ? 275.293 -86.353 322.109 1.0 84.12563  ? 198 GLU C O   198 GLU C O   1 
ATOM 15846 C CB  . GLU C 3 198 ? 274.027 -89.235 323.097 1.0 84.12563  ? 198 GLU C CB  198 GLU C CB  1 
ATOM 15847 C CG  . GLU C 3 198 ? 274.027 -90.483 323.964 1.0 84.12563  ? 198 GLU C CG  198 GLU C CG  1 
ATOM 15848 C CD  . GLU C 3 198 ? 272.631 -91.008 324.226 1.0 84.12563  ? 198 GLU C CD  198 GLU C CD  1 
ATOM 15849 O OE1 . GLU C 3 198 ? 271.658 -90.331 323.834 1.0 84.12563  ? 198 GLU C OE1 198 GLU C OE1 1 
ATOM 15850 O OE2 . GLU C 3 198 ? 272.508 -92.095 324.829 1.0 84.12563  ? 198 GLU C OE2 198 GLU C OE2 1 
ATOM 15851 N N   . GLY C 3 199 ? 275.369 -87.978 320.553 1.0 81.24625  ? 199 GLY C N   199 GLY C N   1 
ATOM 15852 C CA  . GLY C 3 199 ? 275.364 -87.060 319.434 1.0 81.24625  ? 199 GLY C CA  199 GLY C CA  1 
ATOM 15853 C C   . GLY C 3 199 ? 276.758 -86.746 318.934 1.0 81.24625  ? 199 GLY C C   199 GLY C C   1 
ATOM 15854 O O   . GLY C 3 199 ? 277.776 -87.178 319.482 1.0 81.24625  ? 199 GLY C O   199 GLY C O   1 
ATOM 15855 N N   . GLN C 3 200 ? 276.798 -85.968 317.858 1.0 78.58201  ? 200 GLN C N   200 GLN C N   1 
ATOM 15856 C CA  . GLN C 3 200 ? 278.049 -85.561 317.234 1.0 78.58201  ? 200 GLN C CA  200 GLN C CA  1 
ATOM 15857 C C   . GLN C 3 200 ? 278.436 -84.178 317.733 1.0 78.58201  ? 200 GLN C C   200 GLN C C   1 
ATOM 15858 O O   . GLN C 3 200 ? 277.588 -83.284 317.808 1.0 78.58201  ? 200 GLN C O   200 GLN C O   1 
ATOM 15859 C CB  . GLN C 3 200 ? 277.928 -85.555 315.710 1.0 78.58201  ? 200 GLN C CB  200 GLN C CB  1 
ATOM 15860 C CG  . GLN C 3 200 ? 279.233 -85.259 314.996 1.0 78.58201  ? 200 GLN C CG  200 GLN C CG  1 
ATOM 15861 C CD  . GLN C 3 200 ? 279.097 -85.303 313.494 1.0 78.58201  ? 200 GLN C CD  200 GLN C CD  1 
ATOM 15862 O OE1 . GLN C 3 200 ? 278.006 -85.504 312.964 1.0 78.58201  ? 200 GLN C OE1 200 GLN C OE1 1 
ATOM 15863 N NE2 . GLN C 3 200 ? 280.210 -85.120 312.795 1.0 78.58201  ? 200 GLN C NE2 200 GLN C NE2 1 
ATOM 15864 N N   . GLN C 3 201 ? 279.710 -84.012 318.080 1.0 78.54804  ? 201 GLN C N   201 GLN C N   1 
ATOM 15865 C CA  . GLN C 3 201 ? 280.200 -82.718 318.531 1.0 78.54804  ? 201 GLN C CA  201 GLN C CA  1 
ATOM 15866 C C   . GLN C 3 201 ? 280.205 -81.726 317.377 1.0 78.54804  ? 201 GLN C C   201 GLN C C   1 
ATOM 15867 O O   . GLN C 3 201 ? 280.604 -82.051 316.256 1.0 78.54804  ? 201 GLN C O   201 GLN C O   1 
ATOM 15868 C CB  . GLN C 3 201 ? 281.602 -82.849 319.120 1.0 78.54804  ? 201 GLN C CB  201 GLN C CB  1 
ATOM 15869 C CG  . GLN C 3 201 ? 282.134 -81.559 319.719 1.0 78.54804  ? 201 GLN C CG  201 GLN C CG  1 
ATOM 15870 C CD  . GLN C 3 201 ? 283.507 -81.718 320.300 1.0 78.54804  ? 201 GLN C CD  201 GLN C CD  1 
ATOM 15871 O OE1 . GLN C 3 201 ? 284.079 -82.802 320.263 1.0 78.54804  ? 201 GLN C OE1 201 GLN C OE1 1 
ATOM 15872 N NE2 . GLN C 3 201 ? 284.059 -80.633 320.824 1.0 78.54804  ? 201 GLN C NE2 201 GLN C NE2 1 
ATOM 15873 N N   . PHE C 3 202 ? 279.758 -80.511 317.664 1.0 69.75208  ? 202 PHE C N   202 PHE C N   1 
ATOM 15874 C CA  . PHE C 3 202 ? 279.495 -79.466 316.693 1.0 69.75208  ? 202 PHE C CA  202 PHE C CA  1 
ATOM 15875 C C   . PHE C 3 202 ? 280.233 -78.202 317.107 1.0 69.75208  ? 202 PHE C C   202 PHE C C   1 
ATOM 15876 O O   . PHE C 3 202 ? 280.485 -78.001 318.299 1.0 69.75208  ? 202 PHE C O   202 PHE C O   1 
ATOM 15877 C CB  . PHE C 3 202 ? 277.983 -79.205 316.632 1.0 69.75208  ? 202 PHE C CB  202 PHE C CB  1 
ATOM 15878 C CG  . PHE C 3 202 ? 277.555 -78.360 315.488 1.0 69.75208  ? 202 PHE C CG  202 PHE C CG  1 
ATOM 15879 C CD1 . PHE C 3 202 ? 277.494 -78.890 314.216 1.0 69.75208  ? 202 PHE C CD1 202 PHE C CD1 1 
ATOM 15880 C CD2 . PHE C 3 202 ? 277.215 -77.040 315.676 1.0 69.75208  ? 202 PHE C CD2 202 PHE C CD2 1 
ATOM 15881 C CE1 . PHE C 3 202 ? 277.096 -78.118 313.150 1.0 69.75208  ? 202 PHE C CE1 202 PHE C CE1 1 
ATOM 15882 C CE2 . PHE C 3 202 ? 276.826 -76.259 314.616 1.0 69.75208  ? 202 PHE C CE2 202 PHE C CE2 1 
ATOM 15883 C CZ  . PHE C 3 202 ? 276.759 -76.806 313.357 1.0 69.75208  ? 202 PHE C CZ  202 PHE C CZ  1 
ATOM 15884 N N   . PRO C 3 203 ? 280.606 -77.325 316.150 1.0 68.3158   ? 203 PRO C N   203 PRO C N   1 
ATOM 15885 C CA  . PRO C 3 203 ? 281.249 -76.055 316.529 1.0 68.3158   ? 203 PRO C CA  203 PRO C CA  1 
ATOM 15886 C C   . PRO C 3 203 ? 280.334 -75.066 317.229 1.0 68.3158   ? 203 PRO C C   203 PRO C C   1 
ATOM 15887 O O   . PRO C 3 203 ? 279.182 -75.370 317.542 1.0 68.3158   ? 203 PRO C O   203 PRO C O   1 
ATOM 15888 C CB  . PRO C 3 203 ? 281.719 -75.488 315.187 1.0 68.3158   ? 203 PRO C CB  203 PRO C CB  1 
ATOM 15889 C CG  . PRO C 3 203 ? 281.886 -76.647 314.341 1.0 68.3158   ? 203 PRO C CG  203 PRO C CG  1 
ATOM 15890 C CD  . PRO C 3 203 ? 280.811 -77.608 314.721 1.0 68.3158   ? 203 PRO C CD  203 PRO C CD  1 
ATOM 15891 N N   . CYS C 3 204 ? 280.849 -73.865 317.488 1.0 68.46991  ? 204 CYS C N   204 CYS C N   1 
ATOM 15892 C CA  . CYS C 3 204 ? 280.061 -72.877 318.212 1.0 68.46991  ? 204 CYS C CA  204 CYS C CA  1 
ATOM 15893 C C   . CYS C 3 204 ? 278.955 -72.287 317.351 1.0 68.46991  ? 204 CYS C C   204 CYS C C   1 
ATOM 15894 O O   . CYS C 3 204 ? 277.893 -71.957 317.881 1.0 68.46991  ? 204 CYS C O   204 CYS C O   1 
ATOM 15895 C CB  . CYS C 3 204 ? 280.965 -71.763 318.742 1.0 68.46991  ? 204 CYS C CB  204 CYS C CB  1 
ATOM 15896 S SG  . CYS C 3 204 ? 280.128 -70.511 319.742 1.0 68.46991  ? 204 CYS C SG  204 CYS C SG  1 
ATOM 15897 N N   . TYR C 3 205 ? 279.161 -72.224 316.027 1.0 66.20956  ? 205 TYR C N   205 TYR C N   1 
ATOM 15898 C CA  . TYR C 3 205 ? 278.391 -71.355 315.134 1.0 66.20956  ? 205 TYR C CA  205 TYR C CA  1 
ATOM 15899 C C   . TYR C 3 205 ? 276.905 -71.688 315.072 1.0 66.20956  ? 205 TYR C C   205 TYR C C   1 
ATOM 15900 O O   . TYR C 3 205 ? 276.106 -70.809 314.744 1.0 66.20956  ? 205 TYR C O   205 TYR C O   1 
ATOM 15901 C CB  . TYR C 3 205 ? 278.980 -71.407 313.718 1.0 66.20956  ? 205 TYR C CB  205 TYR C CB  1 
ATOM 15902 C CG  . TYR C 3 205 ? 278.294 -70.492 312.719 1.0 66.20956  ? 205 TYR C CG  205 TYR C CG  1 
ATOM 15903 C CD1 . TYR C 3 205 ? 278.539 -69.127 312.718 1.0 66.20956  ? 205 TYR C CD1 205 TYR C CD1 1 
ATOM 15904 C CD2 . TYR C 3 205 ? 277.370 -70.991 311.807 1.0 66.20956  ? 205 TYR C CD2 205 TYR C CD2 1 
ATOM 15905 C CE1 . TYR C 3 205 ? 277.905 -68.292 311.821 1.0 66.20956  ? 205 TYR C CE1 205 TYR C CE1 1 
ATOM 15906 C CE2 . TYR C 3 205 ? 276.731 -70.164 310.913 1.0 66.20956  ? 205 TYR C CE2 205 TYR C CE2 1 
ATOM 15907 C CZ  . TYR C 3 205 ? 277.003 -68.818 310.923 1.0 66.20956  ? 205 TYR C CZ  205 TYR C CZ  1 
ATOM 15908 O OH  . TYR C 3 205 ? 276.368 -67.993 310.027 1.0 66.20956  ? 205 TYR C OH  205 TYR C OH  1 
ATOM 15909 N N   . GLY C 3 206 ? 276.504 -72.915 315.370 1.0 65.14699  ? 206 GLY C N   206 GLY C N   1 
ATOM 15910 C CA  . GLY C 3 206 ? 275.087 -73.215 315.336 1.0 65.14699  ? 206 GLY C CA  206 GLY C CA  1 
ATOM 15911 C C   . GLY C 3 206 ? 274.635 -74.212 316.378 1.0 65.14699  ? 206 GLY C C   206 GLY C C   1 
ATOM 15912 O O   . GLY C 3 206 ? 273.569 -74.816 316.237 1.0 65.14699  ? 206 GLY C O   206 GLY C O   1 
ATOM 15913 N N   . ALA C 3 207 ? 275.432 -74.390 317.427 1.0 65.98532  ? 207 ALA C N   207 ALA C N   1 
ATOM 15914 C CA  . ALA C 3 207 ? 275.174 -75.441 318.399 1.0 65.98532  ? 207 ALA C CA  207 ALA C CA  1 
ATOM 15915 C C   . ALA C 3 207 ? 273.979 -75.101 319.277 1.0 65.98532  ? 207 ALA C C   207 ALA C C   1 
ATOM 15916 O O   . ALA C 3 207 ? 273.714 -73.938 319.586 1.0 65.98532  ? 207 ALA C O   207 ALA C O   1 
ATOM 15917 C CB  . ALA C 3 207 ? 276.402 -75.671 319.273 1.0 65.98532  ? 207 ALA C CB  207 ALA C CB  1 
ATOM 15918 N N   . TYR C 3 208 ? 273.259 -76.143 319.686 1.0 65.85932  ? 208 TYR C N   208 TYR C N   1 
ATOM 15919 C CA  . TYR C 3 208 ? 272.049 -75.980 320.473 1.0 65.85932  ? 208 TYR C CA  208 TYR C CA  1 
ATOM 15920 C C   . TYR C 3 208 ? 271.831 -77.221 321.324 1.0 65.85932  ? 208 TYR C C   208 TYR C C   1 
ATOM 15921 O O   . TYR C 3 208 ? 272.204 -78.330 320.939 1.0 65.85932  ? 208 TYR C O   208 TYR C O   1 
ATOM 15922 C CB  . TYR C 3 208 ? 270.837 -75.725 319.574 1.0 65.85932  ? 208 TYR C CB  208 TYR C CB  1 
ATOM 15923 C CG  . TYR C 3 208 ? 269.536 -75.616 320.324 1.0 65.85932  ? 208 TYR C CG  208 TYR C CG  1 
ATOM 15924 C CD1 . TYR C 3 208 ? 269.251 -74.499 321.079 1.0 65.85932  ? 208 TYR C CD1 208 TYR C CD1 1 
ATOM 15925 C CD2 . TYR C 3 208 ? 268.611 -76.638 320.299 1.0 65.85932  ? 208 TYR C CD2 208 TYR C CD2 1 
ATOM 15926 C CE1 . TYR C 3 208 ? 268.067 -74.389 321.774 1.0 65.85932  ? 208 TYR C CE1 208 TYR C CE1 1 
ATOM 15927 C CE2 . TYR C 3 208 ? 267.426 -76.543 320.997 1.0 65.85932  ? 208 TYR C CE2 208 TYR C CE2 1 
ATOM 15928 C CZ  . TYR C 3 208 ? 267.160 -75.415 321.727 1.0 65.85932  ? 208 TYR C CZ  208 TYR C CZ  1 
ATOM 15929 O OH  . TYR C 3 208 ? 265.985 -75.308 322.421 1.0 65.85932  ? 208 TYR C OH  208 TYR C OH  1 
ATOM 15930 N N   . ALA C 3 209 ? 271.240 -77.016 322.500 1.0 67.71319  ? 209 ALA C N   209 ALA C N   1 
ATOM 15931 C CA  . ALA C 3 209 ? 270.760 -78.095 323.330 1.0 67.71319  ? 209 ALA C CA  209 ALA C CA  1 
ATOM 15932 C C   . ALA C 3 209 ? 269.557 -77.565 324.088 1.0 67.71319  ? 209 ALA C C   209 ALA C C   1 
ATOM 15933 O O   . ALA C 3 209 ? 269.597 -76.423 324.564 1.0 67.71319  ? 209 ALA C O   209 ALA C O   1 
ATOM 15934 C CB  . ALA C 3 209 ? 271.818 -78.591 324.307 1.0 67.71319  ? 209 ALA C CB  209 ALA C CB  1 
ATOM 15935 N N   . PRO C 3 210 ? 268.487 -78.344 324.210 1.0 69.27241  ? 210 PRO C N   210 PRO C N   1 
ATOM 15936 C CA  . PRO C 3 210 ? 267.290 -77.855 324.892 1.0 69.27241  ? 210 PRO C CA  210 PRO C CA  1 
ATOM 15937 C C   . PRO C 3 210 ? 267.512 -77.769 326.389 1.0 69.27241  ? 210 PRO C C   210 PRO C C   1 
ATOM 15938 O O   . PRO C 3 210 ? 268.196 -78.622 326.972 1.0 69.27241  ? 210 PRO C O   210 PRO C O   1 
ATOM 15939 C CB  . PRO C 3 210 ? 266.232 -78.910 324.545 1.0 69.27241  ? 210 PRO C CB  210 PRO C CB  1 
ATOM 15940 C CG  . PRO C 3 210 ? 267.011 -80.142 324.293 1.0 69.27241  ? 210 PRO C CG  210 PRO C CG  1 
ATOM 15941 C CD  . PRO C 3 210 ? 268.299 -79.699 323.667 1.0 69.27241  ? 210 PRO C CD  210 PRO C CD  1 
ATOM 15942 N N   . PRO C 3 211 ? 266.965 -76.750 327.044 1.0 71.15687  ? 211 PRO C N   211 PRO C N   1 
ATOM 15943 C CA  . PRO C 3 211 ? 267.104 -76.645 328.498 1.0 71.15687  ? 211 PRO C CA  211 PRO C CA  1 
ATOM 15944 C C   . PRO C 3 211 ? 266.239 -77.672 329.208 1.0 71.15687  ? 211 PRO C C   211 PRO C C   1 
ATOM 15945 O O   . PRO C 3 211 ? 265.383 -78.331 328.618 1.0 71.15687  ? 211 PRO C O   211 PRO C O   1 
ATOM 15946 C CB  . PRO C 3 211 ? 266.635 -75.222 328.795 1.0 71.15687  ? 211 PRO C CB  211 PRO C CB  1 
ATOM 15947 C CG  . PRO C 3 211 ? 265.701 -74.916 327.697 1.0 71.15687  ? 211 PRO C CG  211 PRO C CG  1 
ATOM 15948 C CD  . PRO C 3 211 ? 266.238 -75.602 326.482 1.0 71.15687  ? 211 PRO C CD  211 PRO C CD  1 
ATOM 15949 N N   . GLN C 3 212 ? 266.473 -77.799 330.510 1.0 72.96063  ? 212 GLN C N   212 GLN C N   1 
ATOM 15950 C CA  . GLN C 3 212 ? 265.753 -78.772 331.316 1.0 72.96063  ? 212 GLN C CA  212 GLN C CA  1 
ATOM 15951 C C   . GLN C 3 212 ? 264.838 -78.153 332.357 1.0 72.96063  ? 212 GLN C C   212 GLN C C   1 
ATOM 15952 O O   . GLN C 3 212 ? 263.873 -78.799 332.767 1.0 72.96063  ? 212 GLN C O   212 GLN C O   1 
ATOM 15953 C CB  . GLN C 3 212 ? 266.739 -79.714 332.010 1.0 72.96063  ? 212 GLN C CB  212 GLN C CB  1 
ATOM 15954 C CG  . GLN C 3 212 ? 267.559 -80.530 331.035 1.0 72.96063  ? 212 GLN C CG  212 GLN C CG  1 
ATOM 15955 C CD  . GLN C 3 212 ? 266.710 -81.485 330.224 1.0 72.96063  ? 212 GLN C CD  212 GLN C CD  1 
ATOM 15956 O OE1 . GLN C 3 212 ? 265.783 -82.105 330.743 1.0 72.96063  ? 212 GLN C OE1 212 GLN C OE1 1 
ATOM 15957 N NE2 . GLN C 3 212 ? 267.018 -81.604 328.939 1.0 72.96063  ? 212 GLN C NE2 212 GLN C NE2 1 
ATOM 15958 N N   . SER C 3 213 ? 265.108 -76.926 332.795 1.0 73.7369   ? 213 SER C N   213 SER C N   1 
ATOM 15959 C CA  . SER C 3 213 ? 264.251 -76.255 333.759 1.0 73.7369   ? 213 SER C CA  213 SER C CA  1 
ATOM 15960 C C   . SER C 3 213 ? 264.154 -74.782 333.399 1.0 73.7369   ? 213 SER C C   213 SER C C   1 
ATOM 15961 O O   . SER C 3 213 ? 264.830 -74.294 332.491 1.0 73.7369   ? 213 SER C O   213 SER C O   1 
ATOM 15962 C CB  . SER C 3 213 ? 264.773 -76.423 335.190 1.0 73.7369   ? 213 SER C CB  213 SER C CB  1 
ATOM 15963 O OG  . SER C 3 213 ? 264.792 -77.788 335.566 1.0 73.7369   ? 213 SER C OG  213 SER C OG  1 
ATOM 15964 N N   . ALA C 3 214 ? 263.302 -74.066 334.136 1.0 74.7534   ? 214 ALA C N   214 ALA C N   1 
ATOM 15965 C CA  . ALA C 3 214 ? 263.120 -72.638 333.913 1.0 74.7534   ? 214 ALA C CA  214 ALA C CA  1 
ATOM 15966 C C   . ALA C 3 214 ? 264.304 -71.813 334.391 1.0 74.7534   ? 214 ALA C C   214 ALA C C   1 
ATOM 15967 O O   . ALA C 3 214 ? 264.420 -70.647 334.002 1.0 74.7534   ? 214 ALA C O   214 ALA C O   1 
ATOM 15968 C CB  . ALA C 3 214 ? 261.844 -72.157 334.602 1.0 74.7534   ? 214 ALA C CB  214 ALA C CB  1 
ATOM 15969 N N   . GLY C 3 215 ? 265.182 -72.384 335.216 1.0 76.70973  ? 215 GLY C N   215 GLY C N   1 
ATOM 15970 C CA  . GLY C 3 215 ? 266.407 -71.712 335.606 1.0 76.70973  ? 215 GLY C CA  215 GLY C CA  1 
ATOM 15971 C C   . GLY C 3 215 ? 267.462 -71.654 334.523 1.0 76.70973  ? 215 GLY C C   215 GLY C C   1 
ATOM 15972 O O   . GLY C 3 215 ? 268.469 -70.961 334.701 1.0 76.70973  ? 215 GLY C O   215 GLY C O   1 
ATOM 15973 N N   . GLY C 3 216 ? 267.262 -72.363 333.417 1.0 75.75718  ? 216 GLY C N   216 GLY C N   1 
ATOM 15974 C CA  . GLY C 3 216 ? 268.163 -72.290 332.293 1.0 75.75718  ? 216 GLY C CA  216 GLY C CA  1 
ATOM 15975 C C   . GLY C 3 216 ? 269.284 -73.295 332.290 1.0 75.75718  ? 216 GLY C C   216 GLY C C   1 
ATOM 15976 O O   . GLY C 3 216 ? 270.242 -73.117 331.531 1.0 75.75718  ? 216 GLY C O   216 GLY C O   1 
ATOM 15977 N N   . ASP C 3 217 ? 269.209 -74.333 333.120 1.0 77.3397   ? 217 ASP C N   217 ASP C N   1 
ATOM 15978 C CA  . ASP C 3 217 ? 270.214 -75.383 333.082 1.0 77.3397   ? 217 ASP C CA  217 ASP C CA  1 
ATOM 15979 C C   . ASP C 3 217 ? 270.091 -76.186 331.793 1.0 77.3397   ? 217 ASP C C   217 ASP C C   1 
ATOM 15980 O O   . ASP C 3 217 ? 269.000 -76.349 331.242 1.0 77.3397   ? 217 ASP C O   217 ASP C O   1 
ATOM 15981 C CB  . ASP C 3 217 ? 270.093 -76.293 334.307 1.0 77.3397   ? 217 ASP C CB  217 ASP C CB  1 
ATOM 15982 C CG  . ASP C 3 217 ? 268.695 -76.851 334.495 1.0 77.3397   ? 217 ASP C CG  217 ASP C CG  1 
ATOM 15983 O OD1 . ASP C 3 217 ? 267.762 -76.397 333.812 1.0 77.3397   ? 217 ASP C OD1 217 ASP C OD1 1 
ATOM 15984 O OD2 . ASP C 3 217 ? 268.525 -77.769 335.319 1.0 77.3397   ? 217 ASP C OD2 217 ASP C OD2 1 
ATOM 15985 N N   . VAL C 3 218 ? 271.227 -76.657 331.291 1.0 76.16785  ? 218 VAL C N   218 VAL C N   1 
ATOM 15986 C CA  . VAL C 3 218 ? 271.270 -77.330 330.007 1.0 76.16785  ? 218 VAL C CA  218 VAL C CA  1 
ATOM 15987 C C   . VAL C 3 218 ? 271.593 -78.816 330.144 1.0 76.16785  ? 218 VAL C C   218 VAL C C   1 
ATOM 15988 O O   . VAL C 3 218 ? 271.036 -79.629 329.396 1.0 76.16785  ? 218 VAL C O   218 VAL C O   1 
ATOM 15989 C CB  . VAL C 3 218 ? 272.285 -76.626 329.081 1.0 76.16785  ? 218 VAL C CB  218 VAL C CB  1 
ATOM 15990 C CG1 . VAL C 3 218 ? 272.235 -77.172 327.687 1.0 76.16785  ? 218 VAL C CG1 218 VAL C CG1 1 
ATOM 15991 C CG2 . VAL C 3 218 ? 272.018 -75.151 329.037 1.0 76.16785  ? 218 VAL C CG2 218 VAL C CG2 1 
ATOM 15992 N N   . SER C 3 219 ? 272.447 -79.192 331.093 1.0 80.44206  ? 219 SER C N   219 SER C N   1 
ATOM 15993 C CA  . SER C 3 219 ? 272.825 -80.581 331.300 1.0 80.44206  ? 219 SER C CA  219 SER C CA  1 
ATOM 15994 C C   . SER C 3 219 ? 271.647 -81.405 331.808 1.0 80.44206  ? 219 SER C C   219 SER C C   1 
ATOM 15995 O O   . SER C 3 219 ? 270.717 -80.897 332.437 1.0 80.44206  ? 219 SER C O   219 SER C O   1 
ATOM 15996 C CB  . SER C 3 219 ? 273.975 -80.678 332.298 1.0 80.44206  ? 219 SER C CB  219 SER C CB  1 
ATOM 15997 O OG  . SER C 3 219 ? 273.560 -80.242 333.578 1.0 80.44206  ? 219 SER C OG  219 SER C OG  1 
ATOM 15998 N N   . THR C 3 220 ? 271.703 -82.703 331.522 1.0 84.95361  ? 220 THR C N   220 THR C N   1 
ATOM 15999 C CA  . THR C 3 220 ? 270.655 -83.627 331.919 1.0 84.95361  ? 220 THR C CA  220 THR C CA  1 
ATOM 16000 C C   . THR C 3 220 ? 271.065 -84.560 333.051 1.0 84.95361  ? 220 THR C C   220 THR C C   1 
ATOM 16001 O O   . THR C 3 220 ? 270.218 -85.309 333.548 1.0 84.95361  ? 220 THR C O   220 THR C O   1 
ATOM 16002 C CB  . THR C 3 220 ? 270.203 -84.457 330.710 1.0 84.95361  ? 220 THR C CB  220 THR C CB  1 
ATOM 16003 O OG1 . THR C 3 220 ? 269.068 -85.253 331.068 1.0 84.95361  ? 220 THR C OG1 220 THR C OG1 1 
ATOM 16004 C CG2 . THR C 3 220 ? 271.326 -85.357 330.237 1.0 84.95361  ? 220 THR C CG2 220 THR C CG2 1 
ATOM 16005 N N   . ALA C 3 221 ? 272.330 -84.539 333.469 1.0 87.34798  ? 221 ALA C N   221 ALA C N   1 
ATOM 16006 C CA  . ALA C 3 221 ? 272.777 -85.331 334.608 1.0 87.34798  ? 221 ALA C CA  221 ALA C CA  1 
ATOM 16007 C C   . ALA C 3 221 ? 273.497 -84.443 335.613 1.0 87.34798  ? 221 ALA C C   221 ALA C C   1 
ATOM 16008 O O   . ALA C 3 221 ? 273.401 -83.214 335.537 1.0 87.34798  ? 221 ALA C O   221 ALA C O   1 
ATOM 16009 C CB  . ALA C 3 221 ? 273.679 -86.481 334.161 1.0 87.34798  ? 221 ALA C CB  221 ALA C CB  1 
ATOM 16010 N N   . ALA C 3 222 ? 274.192 -85.058 336.570 1.0 89.66725  ? 222 ALA C N   222 ALA C N   1 
ATOM 16011 C CA  . ALA C 3 222 ? 274.898 -84.321 337.609 1.0 89.66725  ? 222 ALA C CA  222 ALA C CA  1 
ATOM 16012 C C   . ALA C 3 222 ? 276.060 -83.521 337.023 1.0 89.66725  ? 222 ALA C C   222 ALA C C   1 
ATOM 16013 O O   . ALA C 3 222 ? 276.532 -83.776 335.912 1.0 89.66725  ? 222 ALA C O   222 ALA C O   1 
ATOM 16014 C CB  . ALA C 3 222 ? 275.412 -85.278 338.684 1.0 89.66725  ? 222 ALA C CB  222 ALA C CB  1 
ATOM 16015 N N   . VAL C 3 223 ? 276.520 -82.538 337.789 1.0 88.49024  ? 223 VAL C N   223 VAL C N   1 
ATOM 16016 C CA  . VAL C 3 223 ? 277.516 -81.580 337.325 1.0 88.49024  ? 223 VAL C CA  223 VAL C CA  1 
ATOM 16017 C C   . VAL C 3 223 ? 278.827 -81.871 338.043 1.0 88.49024  ? 223 VAL C C   223 VAL C C   1 
ATOM 16018 O O   . VAL C 3 223 ? 278.929 -81.715 339.266 1.0 88.49024  ? 223 VAL C O   223 VAL C O   1 
ATOM 16019 C CB  . VAL C 3 223 ? 277.059 -80.135 337.555 1.0 88.49024  ? 223 VAL C CB  223 VAL C CB  1 
ATOM 16020 C CG1 . VAL C 3 223 ? 278.146 -79.176 337.128 1.0 88.49024  ? 223 VAL C CG1 223 VAL C CG1 1 
ATOM 16021 C CG2 . VAL C 3 223 ? 275.782 -79.867 336.785 1.0 88.49024  ? 223 VAL C CG2 223 VAL C CG2 1 
ATOM 16022 N N   . THR C 3 224 ? 279.831 -82.289 337.281 1.0 88.93841  ? 224 THR C N   224 THR C N   1 
ATOM 16023 C CA  . THR C 3 224 ? 281.123 -82.709 337.800 1.0 88.93841  ? 224 THR C CA  224 THR C CA  1 
ATOM 16024 C C   . THR C 3 224 ? 282.171 -81.651 337.452 1.0 88.93841  ? 224 THR C C   224 THR C C   1 
ATOM 16025 O O   . THR C 3 224 ? 282.026 -80.900 336.487 1.0 88.93841  ? 224 THR C O   224 THR C O   1 
ATOM 16026 C CB  . THR C 3 224 ? 281.493 -84.080 337.208 1.0 88.93841  ? 224 THR C CB  224 THR C CB  1 
ATOM 16027 O OG1 . THR C 3 224 ? 280.354 -84.943 337.290 1.0 88.93841  ? 224 THR C OG1 224 THR C OG1 1 
ATOM 16028 C CG2 . THR C 3 224 ? 282.611 -84.763 337.987 1.0 88.93841  ? 224 THR C CG2 224 THR C CG2 1 
ATOM 16029 N N   . LYS C 3 225 ? 283.214 -81.570 338.271 1.0 91.34     ? 225 LYS C N   225 LYS C N   1 
ATOM 16030 C CA  . LYS C 3 225 ? 284.316 -80.647 338.052 1.0 91.34     ? 225 LYS C CA  225 LYS C CA  1 
ATOM 16031 C C   . LYS C 3 225 ? 285.473 -81.374 337.374 1.0 91.34     ? 225 LYS C C   225 LYS C C   1 
ATOM 16032 O O   . LYS C 3 225 ? 285.693 -82.567 337.600 1.0 91.34     ? 225 LYS C O   225 LYS C O   1 
ATOM 16033 C CB  . LYS C 3 225 ? 284.758 -80.046 339.385 1.0 91.34     ? 225 LYS C CB  225 LYS C CB  1 
ATOM 16034 C CG  . LYS C 3 225 ? 283.639 -79.270 340.058 1.0 91.34     ? 225 LYS C CG  225 LYS C CG  1 
ATOM 16035 C CD  . LYS C 3 225 ? 283.993 -78.800 341.458 1.0 91.34     ? 225 LYS C CD  225 LYS C CD  1 
ATOM 16036 C CE  . LYS C 3 225 ? 284.963 -77.639 341.430 1.0 91.34     ? 225 LYS C CE  225 LYS C CE  1 
ATOM 16037 N NZ  . LYS C 3 225 ? 285.166 -77.061 342.784 1.0 91.34     ? 225 LYS C NZ  225 LYS C NZ  1 
ATOM 16038 N N   . THR C 3 226 ? 286.209 -80.652 336.526 1.0 91.06826  ? 226 THR C N   226 THR C N   1 
ATOM 16039 C CA  . THR C 3 226 ? 287.258 -81.268 335.706 1.0 91.06826  ? 226 THR C CA  226 THR C CA  1 
ATOM 16040 C C   . THR C 3 226 ? 288.496 -80.376 335.743 1.0 91.06826  ? 226 THR C C   226 THR C C   1 
ATOM 16041 O O   . THR C 3 226 ? 288.635 -79.456 334.933 1.0 91.06826  ? 226 THR C O   226 THR C O   1 
ATOM 16042 C CB  . THR C 3 226 ? 286.778 -81.490 334.277 1.0 91.06826  ? 226 THR C CB  226 THR C CB  1 
ATOM 16043 O OG1 . THR C 3 226 ? 285.551 -82.228 334.297 1.0 91.06826  ? 226 THR C OG1 226 THR C OG1 1 
ATOM 16044 C CG2 . THR C 3 226 ? 287.807 -82.294 333.497 1.0 91.06826  ? 226 THR C CG2 226 THR C CG2 1 
ATOM 16045 N N   . TYR C 3 227 ? 289.412 -80.686 336.653 1.0 95.16341  ? 227 TYR C N   227 TYR C N   1 
ATOM 16046 C CA  . TYR C 3 227 ? 290.537 -79.812 336.946 1.0 95.16341  ? 227 TYR C CA  227 TYR C CA  1 
ATOM 16047 C C   . TYR C 3 227 ? 291.627 -79.944 335.890 1.0 95.16341  ? 227 TYR C C   227 TYR C C   1 
ATOM 16048 O O   . TYR C 3 227 ? 291.810 -81.005 335.287 1.0 95.16341  ? 227 TYR C O   227 TYR C O   1 
ATOM 16049 C CB  . TYR C 3 227 ? 291.116 -80.143 338.319 1.0 95.16341  ? 227 TYR C CB  227 TYR C CB  1 
ATOM 16050 C CG  . TYR C 3 227 ? 290.201 -79.841 339.487 1.0 95.16341  ? 227 TYR C CG  227 TYR C CG  1 
ATOM 16051 C CD1 . TYR C 3 227 ? 289.097 -79.010 339.347 1.0 95.16341  ? 227 TYR C CD1 227 TYR C CD1 1 
ATOM 16052 C CD2 . TYR C 3 227 ? 290.445 -80.394 340.733 1.0 95.16341  ? 227 TYR C CD2 227 TYR C CD2 1 
ATOM 16053 C CE1 . TYR C 3 227 ? 288.265 -78.745 340.410 1.0 95.16341  ? 227 TYR C CE1 227 TYR C CE1 1 
ATOM 16054 C CE2 . TYR C 3 227 ? 289.620 -80.129 341.804 1.0 95.16341  ? 227 TYR C CE2 227 TYR C CE2 1 
ATOM 16055 C CZ  . TYR C 3 227 ? 288.532 -79.308 341.637 1.0 95.16341  ? 227 TYR C CZ  227 TYR C CZ  1 
ATOM 16056 O OH  . TYR C 3 227 ? 287.709 -79.046 342.706 1.0 95.16341  ? 227 TYR C OH  227 TYR C OH  1 
ATOM 16057 N N   . ILE C 3 228 ? 292.364 -78.849 335.676 1.0 93.97489  ? 228 ILE C N   228 ILE C N   1 
ATOM 16058 C CA  . ILE C 3 228 ? 293.439 -78.792 334.689 1.0 93.97489  ? 228 ILE C CA  228 ILE C CA  1 
ATOM 16059 C C   . ILE C 3 228 ? 294.631 -78.028 335.255 1.0 93.97489  ? 228 ILE C C   228 ILE C C   1 
ATOM 16060 O O   . ILE C 3 228 ? 294.592 -77.486 336.361 1.0 93.97489  ? 228 ILE C O   228 ILE C O   1 
ATOM 16061 C CB  . ILE C 3 228 ? 292.981 -78.171 333.345 1.0 93.97489  ? 228 ILE C CB  228 ILE C CB  1 
ATOM 16062 C CG1 . ILE C 3 228 ? 292.208 -76.860 333.537 1.0 93.97489  ? 228 ILE C CG1 228 ILE C CG1 1 
ATOM 16063 C CG2 . ILE C 3 228 ? 292.216 -79.175 332.500 1.0 93.97489  ? 228 ILE C CG2 228 ILE C CG2 1 
ATOM 16064 C CD1 . ILE C 3 228 ? 293.029 -75.608 333.352 1.0 93.97489  ? 228 ILE C CD1 228 ILE C CD1 1 
ATOM 16065 N N   . ASN C 3 229 ? 295.698 -77.988 334.459 1.0 96.27649  ? 229 ASN C N   229 ASN C N   1 
ATOM 16066 C CA  . ASN C 3 229 ? 296.983 -77.427 334.846 1.0 96.27649  ? 229 ASN C CA  229 ASN C CA  1 
ATOM 16067 C C   . ASN C 3 229 ? 297.573 -76.717 333.639 1.0 96.27649  ? 229 ASN C C   229 ASN C C   1 
ATOM 16068 O O   . ASN C 3 229 ? 297.330 -77.110 332.499 1.0 96.27649  ? 229 ASN C O   229 ASN C O   1 
ATOM 16069 C CB  . ASN C 3 229 ? 297.950 -78.527 335.307 1.0 96.27649  ? 229 ASN C CB  229 ASN C CB  1 
ATOM 16070 C CG  . ASN C 3 229 ? 298.973 -78.039 336.302 1.0 96.27649  ? 229 ASN C CG  229 ASN C CG  1 
ATOM 16071 O OD1 . ASN C 3 229 ? 299.736 -78.831 336.852 1.0 96.27649  ? 229 ASN C OD1 229 ASN C OD1 1 
ATOM 16072 N ND2 . ASN C 3 229 ? 298.946 -76.749 336.602 1.0 96.27649  ? 229 ASN C ND2 229 ASN C ND2 1 
ATOM 16073 N N   . THR C 3 230 ? 298.320 -75.673 333.882 1.0 96.295    ? 230 THR C N   230 THR C N   1 
ATOM 16074 C CA  . THR C 3 230 ? 299.105 -75.083 332.806 1.0 96.295    ? 230 THR C CA  230 THR C CA  1 
ATOM 16075 C C   . THR C 3 230 ? 300.563 -74.896 333.193 1.0 96.295    ? 230 THR C C   230 THR C C   1 
ATOM 16076 O O   . THR C 3 230 ? 301.455 -75.166 332.381 1.0 96.295    ? 230 THR C O   230 THR C O   1 
ATOM 16077 C CB  . THR C 3 230 ? 298.474 -73.744 332.398 1.0 96.295    ? 230 THR C CB  230 THR C CB  1 
ATOM 16078 O OG1 . THR C 3 230 ? 297.125 -73.967 331.972 1.0 96.295    ? 230 THR C OG1 230 THR C OG1 1 
ATOM 16079 C CG2 . THR C 3 230 ? 299.240 -73.095 331.266 1.0 96.295    ? 230 THR C CG2 230 THR C CG2 1 
ATOM 16080 N N   . THR C 3 231 ? 300.827 -74.507 334.436 1.0 98.91316  ? 231 THR C N   231 THR C N   1 
ATOM 16081 C CA  . THR C 3 231 ? 302.170 -74.196 334.891 1.0 98.91316  ? 231 THR C CA  231 THR C CA  1 
ATOM 16082 C C   . THR C 3 231 ? 302.996 -75.469 335.062 1.0 98.91316  ? 231 THR C C   231 THR C C   1 
ATOM 16083 O O   . THR C 3 231 ? 302.499 -76.594 334.961 1.0 98.91316  ? 231 THR C O   231 THR C O   1 
ATOM 16084 C CB  . THR C 3 231 ? 302.116 -73.437 336.211 1.0 98.91316  ? 231 THR C CB  231 THR C CB  1 
ATOM 16085 O OG1 . THR C 3 231 ? 301.465 -74.250 337.193 1.0 98.91316  ? 231 THR C OG1 231 THR C OG1 1 
ATOM 16086 C CG2 . THR C 3 231 ? 301.337 -72.161 336.048 1.0 98.91316  ? 231 THR C CG2 231 THR C CG2 1 
ATOM 16087 N N   . ASN C 3 232 ? 304.284 -75.276 335.341 1.0 101.81195 ? 232 ASN C N   232 ASN C N   1 
ATOM 16088 C CA  . ASN C 3 232 ? 305.180 -76.397 335.580 1.0 101.81195 ? 232 ASN C CA  232 ASN C CA  1 
ATOM 16089 C C   . ASN C 3 232 ? 305.043 -76.971 336.982 1.0 101.81195 ? 232 ASN C C   232 ASN C C   1 
ATOM 16090 O O   . ASN C 3 232 ? 305.613 -78.032 337.257 1.0 101.81195 ? 232 ASN C O   232 ASN C O   1 
ATOM 16091 C CB  . ASN C 3 232 ? 306.622 -75.965 335.333 1.0 101.81195 ? 232 ASN C CB  232 ASN C CB  1 
ATOM 16092 C CG  . ASN C 3 232 ? 306.848 -75.516 333.910 1.0 101.81195 ? 232 ASN C CG  232 ASN C CG  1 
ATOM 16093 O OD1 . ASN C 3 232 ? 307.105 -74.342 333.654 1.0 101.81195 ? 232 ASN C OD1 232 ASN C OD1 1 
ATOM 16094 N ND2 . ASN C 3 232 ? 306.746 -76.448 332.970 1.0 101.81195 ? 232 ASN C ND2 232 ASN C ND2 1 
ATOM 16095 N N   . ASN C 3 233 ? 304.316 -76.294 337.866 1.0 101.09959 ? 233 ASN C N   233 ASN C N   1 
ATOM 16096 C CA  . ASN C 3 233 ? 304.027 -76.830 339.188 1.0 101.09959 ? 233 ASN C CA  233 ASN C CA  1 
ATOM 16097 C C   . ASN C 3 233 ? 303.042 -77.985 339.050 1.0 101.09959 ? 233 ASN C C   233 ASN C C   1 
ATOM 16098 O O   . ASN C 3 233 ? 301.911 -77.792 338.591 1.0 101.09959 ? 233 ASN C O   233 ASN C O   1 
ATOM 16099 C CB  . ASN C 3 233 ? 303.457 -75.731 340.080 1.0 101.09959 ? 233 ASN C CB  233 ASN C CB  1 
ATOM 16100 C CG  . ASN C 3 233 ? 303.446 -76.108 341.545 1.0 101.09959 ? 233 ASN C CG  233 ASN C CG  1 
ATOM 16101 O OD1 . ASN C 3 233 ? 303.888 -77.190 341.927 1.0 101.09959 ? 233 ASN C OD1 233 ASN C OD1 1 
ATOM 16102 N ND2 . ASN C 3 233 ? 302.931 -75.213 342.378 1.0 101.09959 ? 233 ASN C ND2 233 ASN C ND2 1 
ATOM 16103 N N   . ASN C 3 234 ? 303.476 -79.187 339.436 1.0 101.22296 ? 234 ASN C N   234 ASN C N   1 
ATOM 16104 C CA  . ASN C 3 234 ? 302.642 -80.369 339.251 1.0 101.22296 ? 234 ASN C CA  234 ASN C CA  1 
ATOM 16105 C C   . ASN C 3 234 ? 301.471 -80.398 340.221 1.0 101.22296 ? 234 ASN C C   234 ASN C C   1 
ATOM 16106 O O   . ASN C 3 234 ? 300.435 -80.995 339.916 1.0 101.22296 ? 234 ASN C O   234 ASN C O   1 
ATOM 16107 C CB  . ASN C 3 234 ? 303.480 -81.635 339.405 1.0 101.22296 ? 234 ASN C CB  234 ASN C CB  1 
ATOM 16108 C CG  . ASN C 3 234 ? 304.536 -81.762 338.335 1.0 101.22296 ? 234 ASN C CG  234 ASN C CG  1 
ATOM 16109 O OD1 . ASN C 3 234 ? 305.732 -81.721 338.621 1.0 101.22296 ? 234 ASN C OD1 234 ASN C OD1 1 
ATOM 16110 N ND2 . ASN C 3 234 ? 304.102 -81.915 337.091 1.0 101.22296 ? 234 ASN C ND2 234 ASN C ND2 1 
ATOM 16111 N N   . GLY C 3 235 ? 301.608 -79.773 341.381 1.0 101.29633 ? 235 GLY C N   235 GLY C N   1 
ATOM 16112 C CA  . GLY C 3 235 ? 300.517 -79.754 342.328 1.0 101.29633 ? 235 GLY C CA  235 GLY C CA  1 
ATOM 16113 C C   . GLY C 3 235 ? 299.554 -78.601 342.187 1.0 101.29633 ? 235 GLY C C   235 GLY C C   1 
ATOM 16114 O O   . GLY C 3 235 ? 298.799 -78.325 343.122 1.0 101.29633 ? 235 GLY C O   235 GLY C O   1 
ATOM 16115 N N   . ARG C 3 236 ? 299.549 -77.914 341.050 1.0 97.68685  ? 236 ARG C N   236 ARG C N   1 
ATOM 16116 C CA  . ARG C 3 236 ? 298.761 -76.703 340.876 1.0 97.68685  ? 236 ARG C CA  236 ARG C CA  1 
ATOM 16117 C C   . ARG C 3 236 ? 297.508 -76.995 340.062 1.0 97.68685  ? 236 ARG C C   236 ARG C C   1 
ATOM 16118 O O   . ARG C 3 236 ? 297.580 -77.643 339.015 1.0 97.68685  ? 236 ARG C O   236 ARG C O   1 
ATOM 16119 C CB  . ARG C 3 236 ? 299.597 -75.617 340.199 1.0 97.68685  ? 236 ARG C CB  236 ARG C CB  1 
ATOM 16120 C CG  . ARG C 3 236 ? 298.844 -74.332 339.964 1.0 97.68685  ? 236 ARG C CG  236 ARG C CG  1 
ATOM 16121 C CD  . ARG C 3 236 ? 298.398 -73.740 341.282 1.0 97.68685  ? 236 ARG C CD  236 ARG C CD  1 
ATOM 16122 N NE  . ARG C 3 236 ? 297.659 -72.500 341.092 1.0 97.68685  ? 236 ARG C NE  236 ARG C NE  1 
ATOM 16123 C CZ  . ARG C 3 236 ? 298.221 -71.299 341.079 1.0 97.68685  ? 236 ARG C CZ  236 ARG C CZ  1 
ATOM 16124 N NH1 . ARG C 3 236 ? 299.528 -71.178 341.258 1.0 97.68685  ? 236 ARG C NH1 236 ARG C NH1 1 
ATOM 16125 N NH2 . ARG C 3 236 ? 297.476 -70.217 340.901 1.0 97.68685  ? 236 ARG C NH2 236 ARG C NH2 1 
ATOM 16126 N N   . VAL C 3 237 ? 296.365 -76.518 340.544 1.0 95.816    ? 237 VAL C N   237 VAL C N   1 
ATOM 16127 C CA  . VAL C 3 237 ? 295.097 -76.628 339.833 1.0 95.816    ? 237 VAL C CA  237 VAL C CA  1 
ATOM 16128 C C   . VAL C 3 237 ? 294.708 -75.219 339.404 1.0 95.816    ? 237 VAL C C   237 VAL C C   1 
ATOM 16129 O O   . VAL C 3 237 ? 294.206 -74.423 340.207 1.0 95.816    ? 237 VAL C O   237 VAL C O   1 
ATOM 16130 C CB  . VAL C 3 237 ? 294.012 -77.283 340.693 1.0 95.816    ? 237 VAL C CB  237 VAL C CB  1 
ATOM 16131 C CG1 . VAL C 3 237 ? 292.682 -77.273 339.971 1.0 95.816    ? 237 VAL C CG1 237 VAL C CG1 1 
ATOM 16132 C CG2 . VAL C 3 237 ? 294.408 -78.702 341.030 1.0 95.816    ? 237 VAL C CG2 237 VAL C CG2 1 
ATOM 16133 N N   . SER C 3 238 ? 294.983 -74.886 338.149 1.0 93.64377  ? 238 SER C N   238 SER C N   1 
ATOM 16134 C CA  . SER C 3 238 ? 294.657 -73.568 337.610 1.0 93.64377  ? 238 SER C CA  238 SER C CA  1 
ATOM 16135 C C   . SER C 3 238 ? 293.364 -73.612 336.797 1.0 93.64377  ? 238 SER C C   238 SER C C   1 
ATOM 16136 O O   . SER C 3 238 ? 293.324 -73.233 335.629 1.0 93.64377  ? 238 SER C O   238 SER C O   1 
ATOM 16137 C CB  . SER C 3 238 ? 295.816 -73.047 336.770 1.0 93.64377  ? 238 SER C CB  238 SER C CB  1 
ATOM 16138 O OG  . SER C 3 238 ? 295.988 -73.834 335.609 1.0 93.64377  ? 238 SER C OG  238 SER C OG  1 
ATOM 16139 N N   . GLY C 3 239 ? 292.287 -74.065 337.434 1.0 92.66508  ? 239 GLY C N   239 GLY C N   1 
ATOM 16140 C CA  . GLY C 3 239 ? 290.999 -74.097 336.764 1.0 92.66508  ? 239 GLY C CA  239 GLY C CA  1 
ATOM 16141 C C   . GLY C 3 239 ? 290.105 -75.245 337.178 1.0 92.66508  ? 239 GLY C C   239 GLY C C   1 
ATOM 16142 O O   . GLY C 3 239 ? 290.589 -76.350 337.434 1.0 92.66508  ? 239 GLY C O   239 GLY C O   1 
ATOM 16143 N N   . THR C 3 240 ? 288.795 -75.005 337.249 1.0 91.64519  ? 240 THR C N   240 THR C N   1 
ATOM 16144 C CA  . THR C 3 240 ? 287.849 -76.028 337.676 1.0 91.64519  ? 240 THR C CA  240 THR C CA  1 
ATOM 16145 C C   . THR C 3 240 ? 286.912 -76.450 336.552 1.0 91.64519  ? 240 THR C C   240 THR C C   1 
ATOM 16146 O O   . THR C 3 240 ? 286.871 -77.638 336.223 1.0 91.64519  ? 240 THR C O   240 THR C O   1 
ATOM 16147 C CB  . THR C 3 240 ? 287.032 -75.538 338.872 1.0 91.64519  ? 240 THR C CB  240 THR C CB  1 
ATOM 16148 O OG1 . THR C 3 240 ? 286.195 -74.466 338.448 1.0 91.64519  ? 240 THR C OG1 240 THR C OG1 1 
ATOM 16149 C CG2 . THR C 3 240 ? 287.942 -75.038 339.974 1.0 91.64519  ? 240 THR C CG2 240 THR C CG2 1 
ATOM 16150 N N   . MET C 3 241 ? 286.168 -75.501 335.967 1.0 88.81347  ? 241 MET C N   241 MET C N   1 
ATOM 16151 C CA  . MET C 3 241 ? 285.324 -75.635 334.761 1.0 88.81347  ? 241 MET C CA  241 MET C CA  1 
ATOM 16152 C C   . MET C 3 241 ? 284.399 -76.862 334.809 1.0 88.81347  ? 241 MET C C   241 MET C C   1 
ATOM 16153 O O   . MET C 3 241 ? 284.661 -77.909 334.218 1.0 88.81347  ? 241 MET C O   241 MET C O   1 
ATOM 16154 C CB  . MET C 3 241 ? 286.147 -75.541 333.461 1.0 88.81347  ? 241 MET C CB  241 MET C CB  1 
ATOM 16155 C CG  . MET C 3 241 ? 287.297 -76.502 333.166 1.0 88.81347  ? 241 MET C CG  241 MET C CG  1 
ATOM 16156 S SD  . MET C 3 241 ? 287.935 -76.115 331.535 1.0 88.81347  ? 241 MET C SD  241 MET C SD  1 
ATOM 16157 C CE  . MET C 3 241 ? 289.234 -77.324 331.382 1.0 88.81347  ? 241 MET C CE  241 MET C CE  1 
ATOM 16158 N N   . ALA C 3 242 ? 283.372 -76.721 335.652 1.0 86.23812  ? 242 ALA C N   242 ALA C N   1 
ATOM 16159 C CA  . ALA C 3 242 ? 282.272 -77.676 335.808 1.0 86.23812  ? 242 ALA C CA  242 ALA C CA  1 
ATOM 16160 C C   . ALA C 3 242 ? 281.737 -78.203 334.481 1.0 86.23812  ? 242 ALA C C   242 ALA C C   1 
ATOM 16161 O O   . ALA C 3 242 ? 281.490 -77.435 333.550 1.0 86.23812  ? 242 ALA C O   242 ALA C O   1 
ATOM 16162 C CB  . ALA C 3 242 ? 281.135 -77.004 336.573 1.0 86.23812  ? 242 ALA C CB  242 ALA C CB  1 
ATOM 16163 N N   . THR C 3 243 ? 281.558 -79.520 334.403 1.0 84.29213  ? 243 THR C N   243 THR C N   1 
ATOM 16164 C CA  . THR C 3 243 ? 281.236 -80.169 333.142 1.0 84.29213  ? 243 THR C CA  243 THR C CA  1 
ATOM 16165 C C   . THR C 3 243 ? 279.745 -80.474 333.038 1.0 84.29213  ? 243 THR C C   243 THR C C   1 
ATOM 16166 O O   . THR C 3 243 ? 279.002 -80.432 334.021 1.0 84.29213  ? 243 THR C O   243 THR C O   1 
ATOM 16167 C CB  . THR C 3 243 ? 282.048 -81.456 332.952 1.0 84.29213  ? 243 THR C CB  243 THR C CB  1 
ATOM 16168 O OG1 . THR C 3 243 ? 282.008 -81.833 331.574 1.0 84.29213  ? 243 THR C OG1 243 THR C OG1 1 
ATOM 16169 C CG2 . THR C 3 243 ? 281.466 -82.601 333.752 1.0 84.29213  ? 243 THR C CG2 243 THR C CG2 1 
ATOM 16170 N N   . ASP C 3 244 ? 279.318 -80.779 331.814 1.0 83.63069  ? 244 ASP C N   244 ASP C N   1 
ATOM 16171 C CA  . ASP C 3 244 ? 277.926 -81.064 331.501 1.0 83.63069  ? 244 ASP C CA  244 ASP C CA  1 
ATOM 16172 C C   . ASP C 3 244 ? 277.849 -82.302 330.620 1.0 83.63069  ? 244 ASP C C   244 ASP C C   1 
ATOM 16173 O O   . ASP C 3 244 ? 278.865 -82.833 330.164 1.0 83.63069  ? 244 ASP C O   244 ASP C O   1 
ATOM 16174 C CB  . ASP C 3 244 ? 277.257 -79.891 330.778 1.0 83.63069  ? 244 ASP C CB  244 ASP C CB  1 
ATOM 16175 C CG  . ASP C 3 244 ? 277.023 -78.706 331.679 1.0 83.63069  ? 244 ASP C CG  244 ASP C CG  1 
ATOM 16176 O OD1 . ASP C 3 244 ? 276.812 -78.907 332.890 1.0 83.63069  ? 244 ASP C OD1 244 ASP C OD1 1 
ATOM 16177 O OD2 . ASP C 3 244 ? 277.043 -77.562 331.179 1.0 83.63069  ? 244 ASP C OD2 244 ASP C OD2 1 
ATOM 16178 N N   . THR C 3 245 ? 276.624 -82.756 330.372 1.0 82.50249  ? 245 THR C N   245 THR C N   1 
ATOM 16179 C CA  . THR C 3 245 ? 276.365 -83.761 329.352 1.0 82.50249  ? 245 THR C CA  245 THR C CA  1 
ATOM 16180 C C   . THR C 3 245 ? 275.189 -83.301 328.498 1.0 82.50249  ? 245 THR C C   245 THR C C   1 
ATOM 16181 O O   . THR C 3 245 ? 274.209 -82.751 329.011 1.0 82.50249  ? 245 THR C O   245 THR C O   1 
ATOM 16182 C CB  . THR C 3 245 ? 276.146 -85.153 329.967 1.0 82.50249  ? 245 THR C CB  245 THR C CB  1 
ATOM 16183 O OG1 . THR C 3 245 ? 275.892 -86.108 328.929 1.0 82.50249  ? 245 THR C OG1 245 THR C OG1 1 
ATOM 16184 C CG2 . THR C 3 245 ? 275.029 -85.160 330.984 1.0 82.50249  ? 245 THR C CG2 245 THR C CG2 1 
ATOM 16185 N N   . ILE C 3 246 ? 275.333 -83.458 327.185 1.0 79.98748  ? 246 ILE C N   246 ILE C N   1 
ATOM 16186 C CA  . ILE C 3 246 ? 274.544 -82.738 326.188 1.0 79.98748  ? 246 ILE C CA  246 ILE C CA  1 
ATOM 16187 C C   . ILE C 3 246 ? 274.054 -83.747 325.155 1.0 79.98748  ? 246 ILE C C   246 ILE C C   1 
ATOM 16188 O O   . ILE C 3 246 ? 274.758 -84.711 324.838 1.0 79.98748  ? 246 ILE C O   246 ILE C O   1 
ATOM 16189 C CB  . ILE C 3 246 ? 275.393 -81.606 325.545 1.0 79.98748  ? 246 ILE C CB  246 ILE C CB  1 
ATOM 16190 C CG1 . ILE C 3 246 ? 275.802 -80.553 326.577 1.0 79.98748  ? 246 ILE C CG1 246 ILE C CG1 1 
ATOM 16191 C CG2 . ILE C 3 246 ? 274.691 -80.883 324.428 1.0 79.98748  ? 246 ILE C CG2 246 ILE C CG2 1 
ATOM 16192 C CD1 . ILE C 3 246 ? 274.665 -79.904 327.270 1.0 79.98748  ? 246 ILE C CD1 246 ILE C CD1 1 
ATOM 16193 N N   . THR C 3 247 ? 272.829 -83.553 324.654 1.0 81.07376  ? 247 THR C N   247 THR C N   1 
ATOM 16194 C CA  . THR C 3 247 ? 272.319 -84.425 323.602 1.0 81.07376  ? 247 THR C CA  247 THR C CA  1 
ATOM 16195 C C   . THR C 3 247 ? 272.906 -84.105 322.228 1.0 81.07376  ? 247 THR C C   247 THR C C   1 
ATOM 16196 O O   . THR C 3 247 ? 272.792 -84.941 321.327 1.0 81.07376  ? 247 THR C O   247 THR C O   1 
ATOM 16197 C CB  . THR C 3 247 ? 270.792 -84.359 323.554 1.0 81.07376  ? 247 THR C CB  247 THR C CB  1 
ATOM 16198 O OG1 . THR C 3 247 ? 270.301 -85.306 322.597 1.0 81.07376  ? 247 THR C OG1 247 THR C OG1 1 
ATOM 16199 C CG2 . THR C 3 247 ? 270.321 -82.968 323.179 1.0 81.07376  ? 247 THR C CG2 247 THR C CG2 1 
ATOM 16200 N N   . TRP C 3 248 ? 273.517 -82.926 322.060 1.0 79.20196  ? 248 TRP C N   248 TRP C N   1 
ATOM 16201 C CA  . TRP C 3 248 ? 274.317 -82.524 320.893 1.0 79.20196  ? 248 TRP C CA  248 TRP C CA  1 
ATOM 16202 C C   . TRP C 3 248 ? 273.517 -82.586 319.589 1.0 79.20196  ? 248 TRP C C   248 TRP C C   1 
ATOM 16203 O O   . TRP C 3 248 ? 273.782 -83.394 318.702 1.0 79.20196  ? 248 TRP C O   248 TRP C O   1 
ATOM 16204 C CB  . TRP C 3 248 ? 275.591 -83.366 320.756 1.0 79.20196  ? 248 TRP C CB  248 TRP C CB  1 
ATOM 16205 C CG  . TRP C 3 248 ? 276.656 -83.065 321.742 1.0 79.20196  ? 248 TRP C CG  248 TRP C CG  1 
ATOM 16206 C CD1 . TRP C 3 248 ? 276.959 -83.775 322.860 1.0 79.20196  ? 248 TRP C CD1 248 TRP C CD1 1 
ATOM 16207 C CD2 . TRP C 3 248 ? 277.571 -81.970 321.699 1.0 79.20196  ? 248 TRP C CD2 248 TRP C CD2 1 
ATOM 16208 N NE1 . TRP C 3 248 ? 278.007 -83.188 323.524 1.0 79.20196  ? 248 TRP C NE1 248 TRP C NE1 1 
ATOM 16209 C CE2 . TRP C 3 248 ? 278.401 -82.076 322.828 1.0 79.20196  ? 248 TRP C CE2 248 TRP C CE2 1 
ATOM 16210 C CE3 . TRP C 3 248 ? 277.766 -80.907 320.815 1.0 79.20196  ? 248 TRP C CE3 248 TRP C CE3 1 
ATOM 16211 C CZ2 . TRP C 3 248 ? 279.412 -81.166 323.094 1.0 79.20196  ? 248 TRP C CZ2 248 TRP C CZ2 1 
ATOM 16212 C CZ3 . TRP C 3 248 ? 278.769 -80.003 321.083 1.0 79.20196  ? 248 TRP C CZ3 248 TRP C CZ3 1 
ATOM 16213 C CH2 . TRP C 3 248 ? 279.580 -80.139 322.212 1.0 79.20196  ? 248 TRP C CH2 248 TRP C CH2 1 
ATOM 16214 N N   . GLU C 3 249 ? 272.525 -81.716 319.493 1.0 72.27148  ? 249 GLU C N   249 GLU C N   1 
ATOM 16215 C CA  . GLU C 3 249 ? 271.820 -81.531 318.236 1.0 72.27148  ? 249 GLU C CA  249 GLU C CA  1 
ATOM 16216 C C   . GLU C 3 249 ? 272.282 -80.239 317.576 1.0 72.27148  ? 249 GLU C C   249 GLU C C   1 
ATOM 16217 O O   . GLU C 3 249 ? 272.641 -79.272 318.256 1.0 72.27148  ? 249 GLU C O   249 GLU C O   1 
ATOM 16218 C CB  . GLU C 3 249 ? 270.303 -81.532 318.442 1.0 72.27148  ? 249 GLU C CB  249 GLU C CB  1 
ATOM 16219 C CG  . GLU C 3 249 ? 269.755 -80.399 319.277 1.0 72.27148  ? 249 GLU C CG  249 GLU C CG  1 
ATOM 16220 C CD  . GLU C 3 249 ? 268.278 -80.568 319.556 1.0 72.27148  ? 249 GLU C CD  249 GLU C CD  1 
ATOM 16221 O OE1 . GLU C 3 249 ? 267.702 -81.582 319.115 1.0 72.27148  ? 249 GLU C OE1 249 GLU C OE1 1 
ATOM 16222 O OE2 . GLU C 3 249 ? 267.691 -79.695 320.222 1.0 72.27148  ? 249 GLU C OE2 249 GLU C OE2 1 
ATOM 16223 N N   . ASN C 3 250 ? 272.327 -80.249 316.242 1.0 69.26253  ? 250 ASN C N   250 ASN C N   1 
ATOM 16224 C CA  . ASN C 3 250 ? 272.667 -79.074 315.445 1.0 69.26253  ? 250 ASN C CA  250 ASN C CA  1 
ATOM 16225 C C   . ASN C 3 250 ? 271.483 -78.732 314.549 1.0 69.26253  ? 250 ASN C C   250 ASN C C   1 
ATOM 16226 O O   . ASN C 3 250 ? 271.436 -79.139 313.382 1.0 69.26253  ? 250 ASN C O   250 ASN C O   1 
ATOM 16227 C CB  . ASN C 3 250 ? 273.962 -79.280 314.650 1.0 69.26253  ? 250 ASN C CB  250 ASN C CB  1 
ATOM 16228 C CG  . ASN C 3 250 ? 274.019 -80.618 313.921 1.0 69.26253  ? 250 ASN C CG  250 ASN C CG  1 
ATOM 16229 O OD1 . ASN C 3 250 ? 273.102 -81.439 314.017 1.0 69.26253  ? 250 ASN C OD1 250 ASN C OD1 1 
ATOM 16230 N ND2 . ASN C 3 250 ? 275.088 -80.830 313.169 1.0 69.26253  ? 250 ASN C ND2 250 ASN C ND2 1 
ATOM 16231 N N   . PRO C 3 251 ? 270.499 -77.994 315.053 1.0 66.97229  ? 251 PRO C N   251 PRO C N   1 
ATOM 16232 C CA  . PRO C 3 251 ? 269.489 -77.458 314.146 1.0 66.97229  ? 251 PRO C CA  251 PRO C CA  1 
ATOM 16233 C C   . PRO C 3 251 ? 270.105 -76.344 313.328 1.0 66.97229  ? 251 PRO C C   251 PRO C C   1 
ATOM 16234 O O   . PRO C 3 251 ? 271.098 -75.729 313.726 1.0 66.97229  ? 251 PRO C O   251 PRO C O   1 
ATOM 16235 C CB  . PRO C 3 251 ? 268.397 -76.935 315.079 1.0 66.97229  ? 251 PRO C CB  251 PRO C CB  1 
ATOM 16236 C CG  . PRO C 3 251 ? 269.123 -76.579 316.298 1.0 66.97229  ? 251 PRO C CG  251 PRO C CG  1 
ATOM 16237 C CD  . PRO C 3 251 ? 270.229 -77.592 316.441 1.0 66.97229  ? 251 PRO C CD  251 PRO C CD  1 
ATOM 16238 N N   . ASP C 3 252 ? 269.572 -76.184 312.118 1.0 64.47905  ? 252 ASP C N   252 ASP C N   1 
ATOM 16239 C CA  . ASP C 3 252 ? 269.777 -75.051 311.219 1.0 64.47905  ? 252 ASP C CA  252 ASP C CA  1 
ATOM 16240 C C   . ASP C 3 252 ? 271.167 -75.011 310.575 1.0 64.47905  ? 252 ASP C C   252 ASP C C   1 
ATOM 16241 O O   . ASP C 3 252 ? 271.379 -74.251 309.625 1.0 64.47905  ? 252 ASP C O   252 ASP C O   1 
ATOM 16242 C CB  . ASP C 3 252 ? 269.491 -73.727 311.940 1.0 64.47905  ? 252 ASP C CB  252 ASP C CB  1 
ATOM 16243 C CG  . ASP C 3 252 ? 269.320 -72.590 311.001 1.0 64.47905  ? 252 ASP C CG  252 ASP C CG  1 
ATOM 16244 O OD1 . ASP C 3 252 ? 268.236 -72.497 310.407 1.0 64.47905  ? 252 ASP C OD1 252 ASP C OD1 1 
ATOM 16245 O OD2 . ASP C 3 252 ? 270.279 -71.823 310.822 1.0 64.47905  ? 252 ASP C OD2 252 ASP C OD2 1 
ATOM 16246 N N   . ALA C 3 253 ? 272.107 -75.852 310.991 1.0 62.53554  ? 253 ALA C N   253 ALA C N   1 
ATOM 16247 C CA  . ALA C 3 253 ? 273.449 -75.712 310.448 1.0 62.53554  ? 253 ALA C CA  253 ALA C CA  1 
ATOM 16248 C C   . ALA C 3 253 ? 274.028 -77.083 310.149 1.0 62.53554  ? 253 ALA C C   253 ALA C C   1 
ATOM 16249 O O   . ALA C 3 253 ? 273.674 -78.082 310.779 1.0 62.53554  ? 253 ALA C O   253 ALA C O   1 
ATOM 16250 C CB  . ALA C 3 253 ? 274.357 -74.933 311.399 1.0 62.53554  ? 253 ALA C CB  253 ALA C CB  1 
ATOM 16251 N N   . HIS C 3 254 ? 274.932 -77.111 309.174 1.0 63.26269  ? 254 HIS C N   254 HIS C N   1 
ATOM 16252 C CA  . HIS C 3 254 ? 275.577 -78.334 308.732 1.0 63.26269  ? 254 HIS C CA  254 HIS C CA  1 
ATOM 16253 C C   . HIS C 3 254 ? 277.079 -78.102 308.703 1.0 63.26269  ? 254 HIS C C   254 HIS C C   1 
ATOM 16254 O O   . HIS C 3 254 ? 277.567 -77.029 309.062 1.0 63.26269  ? 254 HIS C O   254 HIS C O   1 
ATOM 16255 C CB  . HIS C 3 254 ? 275.056 -78.761 307.359 1.0 63.26269  ? 254 HIS C CB  254 HIS C CB  1 
ATOM 16256 C CG  . HIS C 3 254 ? 275.394 -77.800 306.265 1.0 63.26269  ? 254 HIS C CG  254 HIS C CG  1 
ATOM 16257 N ND1 . HIS C 3 254 ? 274.688 -76.637 306.052 1.0 63.26269  ? 254 HIS C ND1 254 HIS C ND1 1 
ATOM 16258 C CD2 . HIS C 3 254 ? 276.361 -77.833 305.319 1.0 63.26269  ? 254 HIS C CD2 254 HIS C CD2 1 
ATOM 16259 C CE1 . HIS C 3 254 ? 275.208 -75.992 305.023 1.0 63.26269  ? 254 HIS C CE1 254 HIS C CE1 1 
ATOM 16260 N NE2 . HIS C 3 254 ? 276.223 -76.697 304.559 1.0 63.26269  ? 254 HIS C NE2 254 HIS C NE2 1 
ATOM 16261 N N   . PHE C 3 255 ? 277.819 -79.117 308.269 1.0 67.71038  ? 255 PHE C N   255 PHE C N   1 
ATOM 16262 C CA  . PHE C 3 255 ? 279.268 -79.021 308.170 1.0 67.71038  ? 255 PHE C CA  255 PHE C CA  1 
ATOM 16263 C C   . PHE C 3 255 ? 279.650 -78.569 306.768 1.0 67.71038  ? 255 PHE C C   255 PHE C C   1 
ATOM 16264 O O   . PHE C 3 255 ? 279.288 -79.218 305.782 1.0 67.71038  ? 255 PHE C O   255 PHE C O   1 
ATOM 16265 C CB  . PHE C 3 255 ? 279.930 -80.357 308.492 1.0 67.71038  ? 255 PHE C CB  255 PHE C CB  1 
ATOM 16266 C CG  . PHE C 3 255 ? 279.788 -80.774 309.919 1.0 67.71038  ? 255 PHE C CG  255 PHE C CG  1 
ATOM 16267 C CD1 . PHE C 3 255 ? 280.607 -80.236 310.895 1.0 67.71038  ? 255 PHE C CD1 255 PHE C CD1 1 
ATOM 16268 C CD2 . PHE C 3 255 ? 278.841 -81.712 310.284 1.0 67.71038  ? 255 PHE C CD2 255 PHE C CD2 1 
ATOM 16269 C CE1 . PHE C 3 255 ? 280.480 -80.620 312.211 1.0 67.71038  ? 255 PHE C CE1 255 PHE C CE1 1 
ATOM 16270 C CE2 . PHE C 3 255 ? 278.708 -82.102 311.599 1.0 67.71038  ? 255 PHE C CE2 255 PHE C CE2 1 
ATOM 16271 C CZ  . PHE C 3 255 ? 279.529 -81.555 312.563 1.0 67.71038  ? 255 PHE C CZ  255 PHE C CZ  1 
ATOM 16272 N N   . ALA C 3 256 ? 280.374 -77.457 306.682 1.0 71.43624  ? 256 ALA C N   256 ALA C N   1 
ATOM 16273 C CA  . ALA C 3 256 ? 280.923 -77.009 305.412 1.0 71.43624  ? 256 ALA C CA  256 ALA C CA  1 
ATOM 16274 C C   . ALA C 3 256 ? 282.277 -77.630 305.117 1.0 71.43624  ? 256 ALA C C   256 ALA C C   1 
ATOM 16275 O O   . ALA C 3 256 ? 282.669 -77.710 303.948 1.0 71.43624  ? 256 ALA C O   256 ALA C O   1 
ATOM 16276 C CB  . ALA C 3 256 ? 281.048 -75.485 305.395 1.0 71.43624  ? 256 ALA C CB  256 ALA C CB  1 
ATOM 16277 N N   . ASP C 3 257 ? 282.990 -78.064 306.151 1.0 76.02462  ? 257 ASP C N   257 ASP C N   1 
ATOM 16278 C CA  . ASP C 3 257 ? 284.260 -78.760 306.029 1.0 76.02462  ? 257 ASP C CA  257 ASP C CA  1 
ATOM 16279 C C   . ASP C 3 257 ? 284.465 -79.526 307.322 1.0 76.02462  ? 257 ASP C C   257 ASP C C   1 
ATOM 16280 O O   . ASP C 3 257 ? 284.178 -79.002 308.398 1.0 76.02462  ? 257 ASP C O   257 ASP C O   1 
ATOM 16281 C CB  . ASP C 3 257 ? 285.420 -77.790 305.787 1.0 76.02462  ? 257 ASP C CB  257 ASP C CB  1 
ATOM 16282 C CG  . ASP C 3 257 ? 286.729 -78.503 305.532 1.0 76.02462  ? 257 ASP C CG  257 ASP C CG  1 
ATOM 16283 O OD1 . ASP C 3 257 ? 286.904 -79.050 304.424 1.0 76.02462  ? 257 ASP C OD1 257 ASP C OD1 1 
ATOM 16284 O OD2 . ASP C 3 257 ? 287.584 -78.517 306.441 1.0 76.02462  ? 257 ASP C OD2 257 ASP C OD2 1 
ATOM 16285 N N   . PHE C 3 258 ? 284.947 -80.760 307.219 1.0 77.59126  ? 258 PHE C N   258 PHE C N   1 
ATOM 16286 C CA  . PHE C 3 258 ? 284.993 -81.628 308.389 1.0 77.59126  ? 258 PHE C CA  258 PHE C CA  1 
ATOM 16287 C C   . PHE C 3 258 ? 286.175 -82.574 308.288 1.0 77.59126  ? 258 PHE C C   258 PHE C C   1 
ATOM 16288 O O   . PHE C 3 258 ? 286.240 -83.390 307.365 1.0 77.59126  ? 258 PHE C O   258 PHE C O   1 
ATOM 16289 C CB  . PHE C 3 258 ? 283.692 -82.417 308.526 1.0 77.59126  ? 258 PHE C CB  258 PHE C CB  1 
ATOM 16290 C CG  . PHE C 3 258 ? 283.643 -83.298 309.735 1.0 77.59126  ? 258 PHE C CG  258 PHE C CG  1 
ATOM 16291 C CD1 . PHE C 3 258 ? 283.456 -82.754 310.992 1.0 77.59126  ? 258 PHE C CD1 258 PHE C CD1 1 
ATOM 16292 C CD2 . PHE C 3 258 ? 283.768 -84.671 309.614 1.0 77.59126  ? 258 PHE C CD2 258 PHE C CD2 1 
ATOM 16293 C CE1 . PHE C 3 258 ? 283.404 -83.560 312.109 1.0 77.59126  ? 258 PHE C CE1 258 PHE C CE1 1 
ATOM 16294 C CE2 . PHE C 3 258 ? 283.717 -85.483 310.727 1.0 77.59126  ? 258 PHE C CE2 258 PHE C CE2 1 
ATOM 16295 C CZ  . PHE C 3 258 ? 283.534 -84.926 311.977 1.0 77.59126  ? 258 PHE C CZ  258 PHE C CZ  1 
ATOM 16296 N N   . VAL C 3 259 ? 287.104 -82.461 309.234 1.0 78.84006  ? 259 VAL C N   259 VAL C N   1 
ATOM 16297 C CA  . VAL C 3 259 ? 288.159 -83.457 309.393 1.0 78.84006  ? 259 VAL C CA  259 VAL C CA  1 
ATOM 16298 C C   . VAL C 3 259 ? 288.309 -83.932 310.834 1.0 78.84006  ? 259 VAL C C   259 VAL C C   1 
ATOM 16299 O O   . VAL C 3 259 ? 288.840 -85.033 311.074 1.0 78.84006  ? 259 VAL C O   259 VAL C O   1 
ATOM 16300 C CB  . VAL C 3 259 ? 289.500 -82.902 308.844 1.0 78.84006  ? 259 VAL C CB  259 VAL C CB  1 
ATOM 16301 C CG1 . VAL C 3 259 ? 290.079 -81.836 309.749 1.0 78.84006  ? 259 VAL C CG1 259 VAL C CG1 1 
ATOM 16302 C CG2 . VAL C 3 259 ? 290.511 -84.008 308.536 1.0 78.84006  ? 259 VAL C CG2 259 VAL C CG2 1 
ATOM 16303 N N   . ASP C 3 260 ? 287.801 -83.202 311.822 1.0 82.54699  ? 260 ASP C N   260 ASP C N   1 
ATOM 16304 C CA  . ASP C 3 260 ? 287.914 -83.583 313.223 1.0 82.54699  ? 260 ASP C CA  260 ASP C CA  1 
ATOM 16305 C C   . ASP C 3 260 ? 286.734 -82.955 313.952 1.0 82.54699  ? 260 ASP C C   260 ASP C C   1 
ATOM 16306 O O   . ASP C 3 260 ? 286.050 -82.080 313.417 1.0 82.54699  ? 260 ASP C O   260 ASP C O   1 
ATOM 16307 C CB  . ASP C 3 260 ? 289.259 -83.124 313.803 1.0 82.54699  ? 260 ASP C CB  260 ASP C CB  1 
ATOM 16308 C CG  . ASP C 3 260 ? 289.598 -83.784 315.128 1.0 82.54699  ? 260 ASP C CG  260 ASP C CG  1 
ATOM 16309 O OD1 . ASP C 3 260 ? 288.801 -84.612 315.615 1.0 82.54699  ? 260 ASP C OD1 260 ASP C OD1 1 
ATOM 16310 O OD2 . ASP C 3 260 ? 290.666 -83.460 315.687 1.0 82.54699  ? 260 ASP C OD2 260 ASP C OD2 1 
ATOM 16311 N N   . ASP C 3 261 ? 286.487 -83.426 315.178 1.0 82.70655  ? 261 ASP C N   261 ASP C N   1 
ATOM 16312 C CA  . ASP C 3 261 ? 285.458 -82.812 316.013 1.0 82.70655  ? 261 ASP C CA  261 ASP C CA  1 
ATOM 16313 C C   . ASP C 3 261 ? 285.838 -81.389 316.400 1.0 82.70655  ? 261 ASP C C   261 ASP C C   1 
ATOM 16314 O O   . ASP C 3 261 ? 284.978 -80.502 316.449 1.0 82.70655  ? 261 ASP C O   261 ASP C O   1 
ATOM 16315 C CB  . ASP C 3 261 ? 285.218 -83.659 317.261 1.0 82.70655  ? 261 ASP C CB  261 ASP C CB  1 
ATOM 16316 C CG  . ASP C 3 261 ? 284.513 -84.964 316.954 1.0 82.70655  ? 261 ASP C CG  261 ASP C CG  1 
ATOM 16317 O OD1 . ASP C 3 261 ? 283.743 -85.009 315.972 1.0 82.70655  ? 261 ASP C OD1 261 ASP C OD1 1 
ATOM 16318 O OD2 . ASP C 3 261 ? 284.725 -85.942 317.699 1.0 82.70655  ? 261 ASP C OD2 261 ASP C OD2 1 
ATOM 16319 N N   . ARG C 3 262 ? 287.119 -81.155 316.683 1.0 81.52753  ? 262 ARG C N   262 ARG C N   1 
ATOM 16320 C CA  . ARG C 3 262 ? 287.606 -79.791 316.860 1.0 81.52753  ? 262 ARG C CA  262 ARG C CA  1 
ATOM 16321 C C   . ARG C 3 262 ? 287.603 -79.032 315.542 1.0 81.52753  ? 262 ARG C C   262 ARG C C   1 
ATOM 16322 O O   . ARG C 3 262 ? 287.197 -77.866 315.486 1.0 81.52753  ? 262 ARG C O   262 ARG C O   1 
ATOM 16323 C CB  . ARG C 3 262 ? 289.020 -79.811 317.430 1.0 81.52753  ? 262 ARG C CB  262 ARG C CB  1 
ATOM 16324 C CG  . ARG C 3 262 ? 289.604 -78.438 317.692 1.0 81.52753  ? 262 ARG C CG  262 ARG C CG  1 
ATOM 16325 C CD  . ARG C 3 262 ? 291.044 -78.535 318.147 1.0 81.52753  ? 262 ARG C CD  262 ARG C CD  1 
ATOM 16326 N NE  . ARG C 3 262 ? 291.638 -77.215 318.316 1.0 81.52753  ? 262 ARG C NE  262 ARG C NE  1 
ATOM 16327 C CZ  . ARG C 3 262 ? 291.623 -76.542 319.460 1.0 81.52753  ? 262 ARG C CZ  262 ARG C CZ  1 
ATOM 16328 N NH1 . ARG C 3 262 ? 291.062 -77.084 320.531 1.0 81.52753  ? 262 ARG C NH1 262 ARG C NH1 1 
ATOM 16329 N NH2 . ARG C 3 262 ? 292.178 -75.342 319.542 1.0 81.52753  ? 262 ARG C NH2 262 ARG C NH2 1 
ATOM 16330 N N   . ARG C 3 263 ? 288.048 -79.683 314.474 1.0 81.04092  ? 263 ARG C N   263 ARG C N   1 
ATOM 16331 C CA  . ARG C 3 263 ? 288.370 -79.019 313.216 1.0 81.04092  ? 263 ARG C CA  263 ARG C CA  1 
ATOM 16332 C C   . ARG C 3 263 ? 287.196 -79.177 312.258 1.0 81.04092  ? 263 ARG C C   263 ARG C C   1 
ATOM 16333 O O   . ARG C 3 263 ? 287.148 -80.107 311.453 1.0 81.04092  ? 263 ARG C O   263 ARG C O   1 
ATOM 16334 C CB  . ARG C 3 263 ? 289.646 -79.607 312.641 1.0 81.04092  ? 263 ARG C CB  263 ARG C CB  1 
ATOM 16335 C CG  . ARG C 3 263 ? 290.844 -79.420 313.534 1.0 81.04092  ? 263 ARG C CG  263 ARG C CG  1 
ATOM 16336 C CD  . ARG C 3 263 ? 292.086 -80.021 312.917 1.0 81.04092  ? 263 ARG C CD  263 ARG C CD  1 
ATOM 16337 N NE  . ARG C 3 263 ? 293.261 -79.782 313.746 1.0 81.04092  ? 263 ARG C NE  263 ARG C NE  1 
ATOM 16338 C CZ  . ARG C 3 263 ? 294.478 -80.216 313.448 1.0 81.04092  ? 263 ARG C CZ  263 ARG C CZ  1 
ATOM 16339 N NH1 . ARG C 3 263 ? 294.677 -80.911 312.337 1.0 81.04092  ? 263 ARG C NH1 263 ARG C NH1 1 
ATOM 16340 N NH2 . ARG C 3 263 ? 295.496 -79.953 314.256 1.0 81.04092  ? 263 ARG C NH2 263 ARG C NH2 1 
ATOM 16341 N N   . ALA C 3 264 ? 286.248 -78.249 312.343 1.0 76.22409  ? 264 ALA C N   264 ALA C N   1 
ATOM 16342 C CA  . ALA C 3 264 ? 285.077 -78.259 311.481 1.0 76.22409  ? 264 ALA C CA  264 ALA C CA  1 
ATOM 16343 C C   . ALA C 3 264 ? 284.521 -76.849 311.399 1.0 76.22409  ? 264 ALA C C   264 ALA C C   1 
ATOM 16344 O O   . ALA C 3 264 ? 284.483 -76.137 312.403 1.0 76.22409  ? 264 ALA C O   264 ALA C O   1 
ATOM 16345 C CB  . ALA C 3 264 ? 284.003 -79.219 312.000 1.0 76.22409  ? 264 ALA C CB  264 ALA C CB  1 
ATOM 16346 N N   . THR C 3 265 ? 284.125 -76.440 310.199 1.0 72.48043  ? 265 THR C N   265 THR C N   1 
ATOM 16347 C CA  . THR C 3 265 ? 283.432 -75.178 309.994 1.0 72.48043  ? 265 THR C CA  265 THR C CA  1 
ATOM 16348 C C   . THR C 3 265 ? 281.951 -75.432 309.785 1.0 72.48043  ? 265 THR C C   265 THR C C   1 
ATOM 16349 O O   . THR C 3 265 ? 281.563 -76.374 309.089 1.0 72.48043  ? 265 THR C O   265 THR C O   1 
ATOM 16350 C CB  . THR C 3 265 ? 283.985 -74.403 308.800 1.0 72.48043  ? 265 THR C CB  265 THR C CB  1 
ATOM 16351 O OG1 . THR C 3 265 ? 284.052 -75.265 307.658 1.0 72.48043  ? 265 THR C OG1 265 THR C OG1 1 
ATOM 16352 C CG2 . THR C 3 265 ? 285.344 -73.816 309.111 1.0 72.48043  ? 265 THR C CG2 265 THR C CG2 1 
ATOM 16353 N N   . ALA C 3 266 ? 281.132 -74.582 310.382 1.0 67.4578   ? 266 ALA C N   266 ALA C N   1 
ATOM 16354 C CA  . ALA C 3 266 ? 279.687 -74.709 310.319 1.0 67.4578   ? 266 ALA C CA  266 ALA C CA  1 
ATOM 16355 C C   . ALA C 3 266 ? 279.132 -73.609 309.433 1.0 67.4578   ? 266 ALA C C   266 ALA C C   1 
ATOM 16356 O O   . ALA C 3 266 ? 279.316 -72.424 309.722 1.0 67.4578   ? 266 ALA C O   266 ALA C O   1 
ATOM 16357 C CB  . ALA C 3 266 ? 279.076 -74.628 311.714 1.0 67.4578   ? 266 ALA C CB  266 ALA C CB  1 
ATOM 16358 N N   . ALA C 3 267 ? 278.474 -73.997 308.353 1.0 65.64571  ? 267 ALA C N   267 ALA C N   1 
ATOM 16359 C CA  . ALA C 3 267 ? 277.648 -73.088 307.581 1.0 65.64571  ? 267 ALA C CA  267 ALA C CA  1 
ATOM 16360 C C   . ALA C 3 267 ? 276.190 -73.431 307.836 1.0 65.64571  ? 267 ALA C C   267 ALA C C   1 
ATOM 16361 O O   . ALA C 3 267 ? 275.818 -74.607 307.872 1.0 65.64571  ? 267 ALA C O   267 ALA C O   1 
ATOM 16362 C CB  . ALA C 3 267 ? 277.961 -73.176 306.087 1.0 65.64571  ? 267 ALA C CB  267 ALA C CB  1 
ATOM 16363 N N   . GLY C 3 268 ? 275.373 -72.400 308.042 1.0 61.3041   ? 268 GLY C N   268 GLY C N   1 
ATOM 16364 C CA  . GLY C 3 268 ? 273.959 -72.617 308.259 1.0 61.3041   ? 268 GLY C CA  268 GLY C CA  1 
ATOM 16365 C C   . GLY C 3 268 ? 273.268 -73.148 307.021 1.0 61.3041   ? 268 GLY C C   268 GLY C C   1 
ATOM 16366 O O   . GLY C 3 268 ? 273.790 -73.084 305.910 1.0 61.3041   ? 268 GLY C O   268 GLY C O   1 
ATOM 16367 N N   . ASN C 3 269 ? 272.074 -73.697 307.223 1.0 59.86889  ? 269 ASN C N   269 ASN C N   1 
ATOM 16368 C CA  . ASN C 3 269 ? 271.371 -74.345 306.130 1.0 59.86889  ? 269 ASN C CA  269 ASN C CA  1 
ATOM 16369 C C   . ASN C 3 269 ? 270.854 -73.316 305.127 1.0 59.86889  ? 269 ASN C C   269 ASN C C   1 
ATOM 16370 O O   . ASN C 3 269 ? 270.802 -72.114 305.390 1.0 59.86889  ? 269 ASN C O   269 ASN C O   1 
ATOM 16371 C CB  . ASN C 3 269 ? 270.212 -75.194 306.651 1.0 59.86889  ? 269 ASN C CB  269 ASN C CB  1 
ATOM 16372 C CG  . ASN C 3 269 ? 270.681 -76.403 307.431 1.0 59.86889  ? 269 ASN C CG  269 ASN C CG  1 
ATOM 16373 O OD1 . ASN C 3 269 ? 271.745 -76.950 307.162 1.0 59.86889  ? 269 ASN C OD1 269 ASN C OD1 1 
ATOM 16374 N ND2 . ASN C 3 269 ? 269.857 -76.866 308.358 1.0 59.86889  ? 269 ASN C ND2 269 ASN C ND2 1 
ATOM 16375 N N   . ARG C 3 270 ? 270.489 -73.807 303.957 1.0 58.55524  ? 270 ARG C N   270 ARG C N   1 
ATOM 16376 C CA  . ARG C 3 270 ? 270.040 -72.933 302.892 1.0 58.55524  ? 270 ARG C CA  270 ARG C CA  1 
ATOM 16377 C C   . ARG C 3 270 ? 268.609 -72.477 303.160 1.0 58.55524  ? 270 ARG C C   270 ARG C C   1 
ATOM 16378 O O   . ARG C 3 270 ? 267.820 -73.233 303.734 1.0 58.55524  ? 270 ARG C O   270 ARG C O   1 
ATOM 16379 C CB  . ARG C 3 270 ? 270.119 -73.678 301.572 1.0 58.55524  ? 270 ARG C CB  270 ARG C CB  1 
ATOM 16380 C CG  . ARG C 3 270 ? 271.515 -74.117 301.254 1.0 58.55524  ? 270 ARG C CG  270 ARG C CG  1 
ATOM 16381 C CD  . ARG C 3 270 ? 271.495 -75.119 300.140 1.0 58.55524  ? 270 ARG C CD  270 ARG C CD  1 
ATOM 16382 N NE  . ARG C 3 270 ? 271.045 -74.572 298.878 1.0 58.55524  ? 270 ARG C NE  270 ARG C NE  1 
ATOM 16383 C CZ  . ARG C 3 270 ? 271.872 -74.076 297.967 1.0 58.55524  ? 270 ARG C CZ  270 ARG C CZ  1 
ATOM 16384 N NH1 . ARG C 3 270 ? 273.175 -74.074 298.192 1.0 58.55524  ? 270 ARG C NH1 270 ARG C NH1 1 
ATOM 16385 N NH2 . ARG C 3 270 ? 271.400 -73.598 296.817 1.0 58.55524  ? 270 ARG C NH2 270 ARG C NH2 1 
ATOM 16386 N N   . PRO C 3 271 ? 268.253 -71.249 302.782 1.0 55.47846  ? 271 PRO C N   271 PRO C N   1 
ATOM 16387 C CA  . PRO C 3 271 ? 266.866 -70.794 302.947 1.0 55.47846  ? 271 PRO C CA  271 PRO C CA  1 
ATOM 16388 C C   . PRO C 3 271 ? 265.924 -71.568 302.040 1.0 55.47846  ? 271 PRO C C   271 PRO C C   1 
ATOM 16389 O O   . PRO C 3 271 ? 266.172 -71.710 300.843 1.0 55.47846  ? 271 PRO C O   271 PRO C O   1 
ATOM 16390 C CB  . PRO C 3 271 ? 266.931 -69.313 302.560 1.0 55.47846  ? 271 PRO C CB  271 PRO C CB  1 
ATOM 16391 C CG  . PRO C 3 271 ? 268.146 -69.184 301.735 1.0 55.47846  ? 271 PRO C CG  271 PRO C CG  1 
ATOM 16392 C CD  . PRO C 3 271 ? 269.120 -70.184 302.259 1.0 55.47846  ? 271 PRO C CD  271 PRO C CD  1 
ATOM 16393 N N   . ASN C 3 272 ? 264.850 -72.089 302.629 1.0 54.81789  ? 272 ASN C N   272 ASN C N   1 
ATOM 16394 C CA  . ASN C 3 272 ? 263.866 -72.880 301.892 1.0 54.81789  ? 272 ASN C CA  272 ASN C CA  1 
ATOM 16395 C C   . ASN C 3 272 ? 262.484 -72.466 302.391 1.0 54.81789  ? 272 ASN C C   272 ASN C C   1 
ATOM 16396 O O   . ASN C 3 272 ? 261.958 -73.044 303.344 1.0 54.81789  ? 272 ASN C O   272 ASN C O   1 
ATOM 16397 C CB  . ASN C 3 272 ? 264.113 -74.368 302.075 1.0 54.81789  ? 272 ASN C CB  272 ASN C CB  1 
ATOM 16398 C CG  . ASN C 3 272 ? 263.361 -75.209 301.076 1.0 54.81789  ? 272 ASN C CG  272 ASN C CG  1 
ATOM 16399 O OD1 . ASN C 3 272 ? 262.675 -74.688 300.203 1.0 54.81789  ? 272 ASN C OD1 272 ASN C OD1 1 
ATOM 16400 N ND2 . ASN C 3 272 ? 263.478 -76.520 301.203 1.0 54.81789  ? 272 ASN C ND2 272 ASN C ND2 1 
ATOM 16401 N N   . TYR C 3 273 ? 261.904 -71.465 301.743 1.0 54.88623  ? 273 TYR C N   273 TYR C N   1 
ATOM 16402 C CA  . TYR C 3 273 ? 260.544 -71.053 302.046 1.0 54.88623  ? 273 TYR C CA  273 TYR C CA  1 
ATOM 16403 C C   . TYR C 3 273 ? 259.577 -72.022 301.386 1.0 54.88623  ? 273 TYR C C   273 TYR C C   1 
ATOM 16404 O O   . TYR C 3 273 ? 259.690 -72.298 300.190 1.0 54.88623  ? 273 TYR C O   273 TYR C O   1 
ATOM 16405 C CB  . TYR C 3 273 ? 260.293 -69.637 301.542 1.0 54.88623  ? 273 TYR C CB  273 TYR C CB  1 
ATOM 16406 C CG  . TYR C 3 273 ? 261.131 -68.586 302.216 1.0 54.88623  ? 273 TYR C CG  273 TYR C CG  1 
ATOM 16407 C CD1 . TYR C 3 273 ? 260.752 -68.046 303.433 1.0 54.88623  ? 273 TYR C CD1 273 TYR C CD1 1 
ATOM 16408 C CD2 . TYR C 3 273 ? 262.305 -68.136 301.636 1.0 54.88623  ? 273 TYR C CD2 273 TYR C CD2 1 
ATOM 16409 C CE1 . TYR C 3 273 ? 261.517 -67.084 304.050 1.0 54.88623  ? 273 TYR C CE1 273 TYR C CE1 1 
ATOM 16410 C CE2 . TYR C 3 273 ? 263.077 -67.176 302.245 1.0 54.88623  ? 273 TYR C CE2 273 TYR C CE2 1 
ATOM 16411 C CZ  . TYR C 3 273 ? 262.679 -66.654 303.451 1.0 54.88623  ? 273 TYR C CZ  273 TYR C CZ  1 
ATOM 16412 O OH  . TYR C 3 273 ? 263.449 -65.694 304.060 1.0 54.88623  ? 273 TYR C OH  273 TYR C OH  1 
ATOM 16413 N N   . ILE C 3 274 ? 258.632 -72.545 302.160 1.0 52.24781  ? 274 ILE C N   274 ILE C N   1 
ATOM 16414 C CA  . ILE C 3 274 ? 257.651 -73.494 301.652 1.0 52.24781  ? 274 ILE C CA  274 ILE C CA  1 
ATOM 16415 C C   . ILE C 3 274 ? 256.263 -72.953 301.949 1.0 52.24781  ? 274 ILE C C   274 ILE C C   1 
ATOM 16416 O O   . ILE C 3 274 ? 255.884 -72.819 303.117 1.0 52.24781  ? 274 ILE C O   274 ILE C O   1 
ATOM 16417 C CB  . ILE C 3 274 ? 257.822 -74.892 302.261 1.0 52.24781  ? 274 ILE C CB  274 ILE C CB  1 
ATOM 16418 C CG1 . ILE C 3 274 ? 259.168 -75.487 301.875 1.0 52.24781  ? 274 ILE C CG1 274 ILE C CG1 1 
ATOM 16419 C CG2 . ILE C 3 274 ? 256.750 -75.796 301.764 1.0 52.24781  ? 274 ILE C CG2 274 ILE C CG2 1 
ATOM 16420 C CD1 . ILE C 3 274 ? 259.480 -76.762 302.595 1.0 52.24781  ? 274 ILE C CD1 274 ILE C CD1 1 
ATOM 16421 N N   . GLY C 3 275 ? 255.505 -72.649 300.899 1.0 50.3963   ? 275 GLY C N   275 GLY C N   1 
ATOM 16422 C CA  . GLY C 3 275 ? 254.153 -72.164 301.061 1.0 50.3963   ? 275 GLY C CA  275 GLY C CA  1 
ATOM 16423 C C   . GLY C 3 275 ? 253.311 -72.568 299.875 1.0 50.3963   ? 275 GLY C C   275 GLY C C   1 
ATOM 16424 O O   . GLY C 3 275 ? 253.761 -73.295 298.990 1.0 50.3963   ? 275 GLY C O   275 GLY C O   1 
ATOM 16425 N N   . PHE C 3 276 ? 252.072 -72.089 299.862 1.0 50.42885  ? 276 PHE C N   276 PHE C N   1 
ATOM 16426 C CA  . PHE C 3 276 ? 251.189 -72.383 298.748 1.0 50.42885  ? 276 PHE C CA  276 PHE C CA  1 
ATOM 16427 C C   . PHE C 3 276 ? 251.574 -71.548 297.532 1.0 50.42885  ? 276 PHE C C   276 PHE C C   1 
ATOM 16428 O O   . PHE C 3 276 ? 252.310 -70.563 297.628 1.0 50.42885  ? 276 PHE C O   276 PHE C O   1 
ATOM 16429 C CB  . PHE C 3 276 ? 249.732 -72.105 299.116 1.0 50.42885  ? 276 PHE C CB  276 PHE C CB  1 
ATOM 16430 C CG  . PHE C 3 276 ? 249.202 -72.969 300.222 1.0 50.42885  ? 276 PHE C CG  276 PHE C CG  1 
ATOM 16431 C CD1 . PHE C 3 276 ? 248.876 -74.294 299.996 1.0 50.42885  ? 276 PHE C CD1 276 PHE C CD1 1 
ATOM 16432 C CD2 . PHE C 3 276 ? 248.988 -72.442 301.481 1.0 50.42885  ? 276 PHE C CD2 276 PHE C CD2 1 
ATOM 16433 C CE1 . PHE C 3 276 ? 248.381 -75.081 301.013 1.0 50.42885  ? 276 PHE C CE1 276 PHE C CE1 1 
ATOM 16434 C CE2 . PHE C 3 276 ? 248.484 -73.224 302.495 1.0 50.42885  ? 276 PHE C CE2 276 PHE C CE2 1 
ATOM 16435 C CZ  . PHE C 3 276 ? 248.183 -74.543 302.260 1.0 50.42885  ? 276 PHE C CZ  276 PHE C CZ  1 
ATOM 16436 N N   . ARG C 3 277 ? 251.066 -71.958 296.373 1.0 50.59367  ? 277 ARG C N   277 ARG C N   1 
ATOM 16437 C CA  . ARG C 3 277 ? 251.280 -71.196 295.152 1.0 50.59367  ? 277 ARG C CA  277 ARG C CA  1 
ATOM 16438 C C   . ARG C 3 277 ? 250.397 -69.954 295.142 1.0 50.59367  ? 277 ARG C C   277 ARG C C   1 
ATOM 16439 O O   . ARG C 3 277 ? 249.511 -69.783 295.979 1.0 50.59367  ? 277 ARG C O   277 ARG C O   1 
ATOM 16440 C CB  . ARG C 3 277 ? 250.974 -72.040 293.912 1.0 50.59367  ? 277 ARG C CB  277 ARG C CB  1 
ATOM 16441 C CG  . ARG C 3 277 ? 252.114 -72.918 293.422 1.0 50.59367  ? 277 ARG C CG  277 ARG C CG  1 
ATOM 16442 C CD  . ARG C 3 277 ? 252.224 -74.202 294.197 1.0 50.59367  ? 277 ARG C CD  277 ARG C CD  1 
ATOM 16443 N NE  . ARG C 3 277 ? 253.380 -74.982 293.773 1.0 50.59367  ? 277 ARG C NE  277 ARG C NE  1 
ATOM 16444 C CZ  . ARG C 3 277 ? 253.362 -75.911 292.831 1.0 50.59367  ? 277 ARG C CZ  277 ARG C CZ  1 
ATOM 16445 N NH1 . ARG C 3 277 ? 252.238 -76.208 292.204 1.0 50.59367  ? 277 ARG C NH1 277 ARG C NH1 1 
ATOM 16446 N NH2 . ARG C 3 277 ? 254.475 -76.561 292.532 1.0 50.59367  ? 277 ARG C NH2 277 ARG C NH2 1 
ATOM 16447 N N   . ASP C 3 278 ? 250.630 -69.083 294.168 1.0 50.57228  ? 278 ASP C N   278 ASP C N   1 
ATOM 16448 C CA  . ASP C 3 278 ? 249.802 -67.899 294.040 1.0 50.57228  ? 278 ASP C CA  278 ASP C CA  1 
ATOM 16449 C C   . ASP C 3 278 ? 248.474 -68.271 293.415 1.0 50.57228  ? 278 ASP C C   278 ASP C C   1 
ATOM 16450 O O   . ASP C 3 278 ? 248.415 -69.075 292.485 1.0 50.57228  ? 278 ASP C O   278 ASP C O   1 
ATOM 16451 C CB  . ASP C 3 278 ? 250.494 -66.812 293.222 1.0 50.57228  ? 278 ASP C CB  278 ASP C CB  1 
ATOM 16452 C CG  . ASP C 3 278 ? 251.025 -67.312 291.912 1.0 50.57228  ? 278 ASP C CG  278 ASP C CG  1 
ATOM 16453 O OD1 . ASP C 3 278 ? 251.109 -68.535 291.733 1.0 50.57228  ? 278 ASP C OD1 278 ASP C OD1 1 
ATOM 16454 O OD2 . ASP C 3 278 ? 251.333 -66.476 291.047 1.0 50.57228  ? 278 ASP C OD2 278 ASP C OD2 1 
ATOM 16455 N N   . ASN C 3 279 ? 247.405 -67.727 293.992 1.0 48.80308  ? 279 ASN C N   279 ASN C N   1 
ATOM 16456 C CA  . ASN C 3 279 ? 246.007 -68.037 293.684 1.0 48.80308  ? 279 ASN C CA  279 ASN C CA  1 
ATOM 16457 C C   . ASN C 3 279 ? 245.670 -69.513 293.882 1.0 48.80308  ? 279 ASN C C   279 ASN C C   1 
ATOM 16458 O O   . ASN C 3 279 ? 244.683 -69.999 293.321 1.0 48.80308  ? 279 ASN C O   279 ASN C O   1 
ATOM 16459 C CB  . ASN C 3 279 ? 245.625 -67.569 292.277 1.0 48.80308  ? 279 ASN C CB  279 ASN C CB  1 
ATOM 16460 C CG  . ASN C 3 279 ? 245.718 -66.074 292.133 1.0 48.80308  ? 279 ASN C CG  279 ASN C CG  1 
ATOM 16461 O OD1 . ASN C 3 279 ? 245.303 -65.324 293.015 1.0 48.80308  ? 279 ASN C OD1 279 ASN C OD1 1 
ATOM 16462 N ND2 . ASN C 3 279 ? 246.283 -65.628 291.022 1.0 48.80308  ? 279 ASN C ND2 279 ASN C ND2 1 
ATOM 16463 N N   . PHE C 3 280 ? 246.465 -70.191 294.715 1.0 47.63701  ? 280 PHE C N   280 PHE C N   1 
ATOM 16464 C CA  . PHE C 3 280 ? 246.349 -71.611 295.044 1.0 47.63701  ? 280 PHE C CA  280 PHE C CA  1 
ATOM 16465 C C   . PHE C 3 280 ? 246.308 -72.482 293.794 1.0 47.63701  ? 280 PHE C C   280 PHE C C   1 
ATOM 16466 O O   . PHE C 3 280 ? 245.402 -73.292 293.588 1.0 47.63701  ? 280 PHE C O   280 PHE C O   1 
ATOM 16467 C CB  . PHE C 3 280 ? 245.154 -71.857 295.952 1.0 47.63701  ? 280 PHE C CB  280 PHE C CB  1 
ATOM 16468 C CG  . PHE C 3 280 ? 245.267 -71.147 297.255 1.0 47.63701  ? 280 PHE C CG  280 PHE C CG  1 
ATOM 16469 C CD1 . PHE C 3 280 ? 246.112 -71.621 298.239 1.0 47.63701  ? 280 PHE C CD1 280 PHE C CD1 1 
ATOM 16470 C CD2 . PHE C 3 280 ? 244.558 -69.986 297.484 1.0 47.63701  ? 280 PHE C CD2 280 PHE C CD2 1 
ATOM 16471 C CE1 . PHE C 3 280 ? 246.234 -70.957 299.436 1.0 47.63701  ? 280 PHE C CE1 280 PHE C CE1 1 
ATOM 16472 C CE2 . PHE C 3 280 ? 244.670 -69.325 298.679 1.0 47.63701  ? 280 PHE C CE2 280 PHE C CE2 1 
ATOM 16473 C CZ  . PHE C 3 280 ? 245.513 -69.807 299.652 1.0 47.63701  ? 280 PHE C CZ  280 PHE C CZ  1 
ATOM 16474 N N   . ILE C 3 281 ? 247.310 -72.287 292.944 1.0 49.0727   ? 281 ILE C N   281 ILE C N   1 
ATOM 16475 C CA  . ILE C 3 281 ? 247.484 -73.117 291.764 1.0 49.0727   ? 281 ILE C CA  281 ILE C CA  1 
ATOM 16476 C C   . ILE C 3 281 ? 248.022 -74.471 292.200 1.0 49.0727   ? 281 ILE C C   281 ILE C C   1 
ATOM 16477 O O   . ILE C 3 281 ? 249.062 -74.559 292.859 1.0 49.0727   ? 281 ILE C O   281 ILE C O   1 
ATOM 16478 C CB  . ILE C 3 281 ? 248.411 -72.432 290.755 1.0 49.0727   ? 281 ILE C CB  281 ILE C CB  1 
ATOM 16479 C CG1 . ILE C 3 281 ? 247.698 -71.234 290.148 1.0 49.0727   ? 281 ILE C CG1 281 ILE C CG1 1 
ATOM 16480 C CG2 . ILE C 3 281 ? 248.842 -73.383 289.684 1.0 49.0727   ? 281 ILE C CG2 281 ILE C CG2 1 
ATOM 16481 C CD1 . ILE C 3 281 ? 248.566 -70.374 289.328 1.0 49.0727   ? 281 ILE C CD1 281 ILE C CD1 1 
ATOM 16482 N N   . GLY C 3 282 ? 247.305 -75.530 291.848 1.0 51.80265  ? 282 GLY C N   282 GLY C N   1 
ATOM 16483 C CA  . GLY C 3 282 ? 247.628 -76.853 292.324 1.0 51.80265  ? 282 GLY C CA  282 GLY C CA  1 
ATOM 16484 C C   . GLY C 3 282 ? 246.842 -77.297 293.534 1.0 51.80265  ? 282 GLY C C   282 GLY C C   1 
ATOM 16485 O O   . GLY C 3 282 ? 247.149 -78.352 294.092 1.0 51.80265  ? 282 GLY C O   282 GLY C O   1 
ATOM 16486 N N   . MET C 3 283 ? 245.854 -76.520 293.970 1.0 51.47395  ? 283 MET C N   283 MET C N   1 
ATOM 16487 C CA  . MET C 3 283 ? 244.970 -76.965 295.039 1.0 51.47395  ? 283 MET C CA  283 MET C CA  1 
ATOM 16488 C C   . MET C 3 283 ? 243.820 -77.796 294.498 1.0 51.47395  ? 283 MET C C   283 MET C C   1 
ATOM 16489 O O   . MET C 3 283 ? 243.379 -78.750 295.149 1.0 51.47395  ? 283 MET C O   283 MET C O   1 
ATOM 16490 C CB  . MET C 3 283 ? 244.422 -75.756 295.793 1.0 51.47395  ? 283 MET C CB  283 MET C CB  1 
ATOM 16491 C CG  . MET C 3 283 ? 243.567 -76.087 296.987 1.0 51.47395  ? 283 MET C CG  283 MET C CG  1 
ATOM 16492 S SD  . MET C 3 283 ? 244.542 -76.901 298.243 1.0 51.47395  ? 283 MET C SD  283 MET C SD  1 
ATOM 16493 C CE  . MET C 3 283 ? 245.549 -75.519 298.742 1.0 51.47395  ? 283 MET C CE  283 MET C CE  1 
ATOM 16494 N N   . MET C 3 284 ? 243.364 -77.472 293.296 1.0 50.44069  ? 284 MET C N   284 MET C N   1 
ATOM 16495 C CA  . MET C 3 284 ? 242.103 -77.936 292.747 1.0 50.44069  ? 284 MET C CA  284 MET C CA  1 
ATOM 16496 C C   . MET C 3 284 ? 242.343 -78.601 291.401 1.0 50.44069  ? 284 MET C C   284 MET C C   1 
ATOM 16497 O O   . MET C 3 284 ? 243.093 -78.080 290.570 1.0 50.44069  ? 284 MET C O   284 MET C O   1 
ATOM 16498 C CB  . MET C 3 284 ? 241.150 -76.753 292.599 1.0 50.44069  ? 284 MET C CB  284 MET C CB  1 
ATOM 16499 C CG  . MET C 3 284 ? 240.673 -76.186 293.925 1.0 50.44069  ? 284 MET C CG  284 MET C CG  1 
ATOM 16500 S SD  . MET C 3 284 ? 239.832 -74.592 293.827 1.0 50.44069  ? 284 MET C SD  284 MET C SD  1 
ATOM 16501 C CE  . MET C 3 284 ? 238.276 -74.997 293.051 1.0 50.44069  ? 284 MET C CE  284 MET C CE  1 
ATOM 16502 N N   . TYR C 3 285 ? 241.703 -79.748 291.185 1.0 50.21681  ? 285 TYR C N   285 TYR C N   1 
ATOM 16503 C CA  . TYR C 3 285 ? 241.906 -80.516 289.959 1.0 50.21681  ? 285 TYR C CA  285 TYR C CA  1 
ATOM 16504 C C   . TYR C 3 285 ? 241.236 -79.797 288.800 1.0 50.21681  ? 285 TYR C C   285 TYR C C   1 
ATOM 16505 O O   . TYR C 3 285 ? 240.055 -80.009 288.518 1.0 50.21681  ? 285 TYR C O   285 TYR C O   1 
ATOM 16506 C CB  . TYR C 3 285 ? 241.345 -81.925 290.100 1.0 50.21681  ? 285 TYR C CB  285 TYR C CB  1 
ATOM 16507 C CG  . TYR C 3 285 ? 242.135 -82.854 290.985 1.0 50.21681  ? 285 TYR C CG  285 TYR C CG  1 
ATOM 16508 C CD1 . TYR C 3 285 ? 243.241 -83.531 290.499 1.0 50.21681  ? 285 TYR C CD1 285 TYR C CD1 1 
ATOM 16509 C CD2 . TYR C 3 285 ? 241.761 -83.070 292.296 1.0 50.21681  ? 285 TYR C CD2 285 TYR C CD2 1 
ATOM 16510 C CE1 . TYR C 3 285 ? 243.957 -84.391 291.300 1.0 50.21681  ? 285 TYR C CE1 285 TYR C CE1 1 
ATOM 16511 C CE2 . TYR C 3 285 ? 242.468 -83.931 293.102 1.0 50.21681  ? 285 TYR C CE2 285 TYR C CE2 1 
ATOM 16512 C CZ  . TYR C 3 285 ? 243.567 -84.585 292.598 1.0 50.21681  ? 285 TYR C CZ  285 TYR C CZ  1 
ATOM 16513 O OH  . TYR C 3 285 ? 244.284 -85.439 293.398 1.0 50.21681  ? 285 TYR C OH  285 TYR C OH  1 
ATOM 16514 N N   . TYR C 3 286 ? 241.991 -78.945 288.121 1.0 49.58678  ? 286 TYR C N   286 TYR C N   1 
ATOM 16515 C CA  . TYR C 3 286 ? 241.587 -78.410 286.834 1.0 49.58678  ? 286 TYR C CA  286 TYR C CA  1 
ATOM 16516 C C   . TYR C 3 286 ? 242.233 -79.247 285.745 1.0 49.58678  ? 286 TYR C C   286 TYR C C   1 
ATOM 16517 O O   . TYR C 3 286 ? 243.362 -79.719 285.907 1.0 49.58678  ? 286 TYR C O   286 TYR C O   1 
ATOM 16518 C CB  . TYR C 3 286 ? 241.997 -76.950 286.676 1.0 49.58678  ? 286 TYR C CB  286 TYR C CB  1 
ATOM 16519 C CG  . TYR C 3 286 ? 241.285 -76.023 287.618 1.0 49.58678  ? 286 TYR C CG  286 TYR C CG  1 
ATOM 16520 C CD1 . TYR C 3 286 ? 239.984 -75.627 287.375 1.0 49.58678  ? 286 TYR C CD1 286 TYR C CD1 1 
ATOM 16521 C CD2 . TYR C 3 286 ? 241.918 -75.539 288.747 1.0 49.58678  ? 286 TYR C CD2 286 TYR C CD2 1 
ATOM 16522 C CE1 . TYR C 3 286 ? 239.330 -74.779 288.237 1.0 49.58678  ? 286 TYR C CE1 286 TYR C CE1 1 
ATOM 16523 C CE2 . TYR C 3 286 ? 241.276 -74.690 289.612 1.0 49.58678  ? 286 TYR C CE2 286 TYR C CE2 1 
ATOM 16524 C CZ  . TYR C 3 286 ? 239.983 -74.313 289.354 1.0 49.58678  ? 286 TYR C CZ  286 TYR C CZ  1 
ATOM 16525 O OH  . TYR C 3 286 ? 239.342 -73.465 290.222 1.0 49.58678  ? 286 TYR C OH  286 TYR C OH  1 
ATOM 16526 N N   . ASN C 3 287 ? 241.478 -79.484 284.672 1.0 50.67487  ? 287 ASN C N   287 ASN C N   1 
ATOM 16527 C CA  . ASN C 3 287 ? 241.879 -80.116 283.417 1.0 50.67487  ? 287 ASN C CA  287 ASN C CA  1 
ATOM 16528 C C   . ASN C 3 287 ? 242.202 -81.599 283.548 1.0 50.67487  ? 287 ASN C C   287 ASN C C   1 
ATOM 16529 O O   . ASN C 3 287 ? 242.540 -82.228 282.542 1.0 50.67487  ? 287 ASN C O   287 ASN C O   1 
ATOM 16530 C CB  . ASN C 3 287 ? 243.067 -79.398 282.769 1.0 50.67487  ? 287 ASN C CB  287 ASN C CB  1 
ATOM 16531 C CG  . ASN C 3 287 ? 242.739 -77.976 282.416 1.0 50.67487  ? 287 ASN C CG  287 ASN C CG  1 
ATOM 16532 O OD1 . ASN C 3 287 ? 241.678 -77.691 281.865 1.0 50.67487  ? 287 ASN C OD1 287 ASN C OD1 1 
ATOM 16533 N ND2 . ASN C 3 287 ? 243.627 -77.064 282.770 1.0 50.67487  ? 287 ASN C ND2 287 ASN C ND2 1 
ATOM 16534 N N   . SER C 3 288 ? 242.097 -82.186 284.736 1.0 55.78515  ? 288 SER C N   288 SER C N   1 
ATOM 16535 C CA  . SER C 3 288 ? 242.262 -83.622 284.887 1.0 55.78515  ? 288 SER C CA  288 SER C CA  1 
ATOM 16536 C C   . SER C 3 288 ? 240.977 -84.315 284.469 1.0 55.78515  ? 288 SER C C   288 SER C C   1 
ATOM 16537 O O   . SER C 3 288 ? 239.899 -83.992 284.975 1.0 55.78515  ? 288 SER C O   288 SER C O   1 
ATOM 16538 C CB  . SER C 3 288 ? 242.611 -83.976 286.328 1.0 55.78515  ? 288 SER C CB  288 SER C CB  1 
ATOM 16539 O OG  . SER C 3 288 ? 242.735 -85.378 286.482 1.0 55.78515  ? 288 SER C OG  288 SER C OG  1 
ATOM 16540 N N   . GLY C 3 289 ? 241.091 -85.267 283.543 1.0 55.19041  ? 289 GLY C N   289 GLY C N   1 
ATOM 16541 C CA  . GLY C 3 289 ? 239.908 -85.929 283.024 1.0 55.19041  ? 289 GLY C CA  289 GLY C CA  1 
ATOM 16542 C C   . GLY C 3 289 ? 239.272 -86.888 284.006 1.0 55.19041  ? 289 GLY C C   289 GLY C C   1 
ATOM 16543 O O   . GLY C 3 289 ? 238.050 -87.055 284.009 1.0 55.19041  ? 289 GLY C O   289 GLY C O   1 
ATOM 16544 N N   . SER C 3 290 ? 240.076 -87.525 284.851 1.0 54.26637  ? 290 SER C N   290 SER C N   1 
ATOM 16545 C CA  . SER C 3 290 ? 239.548 -88.484 285.808 1.0 54.26637  ? 290 SER C CA  290 SER C CA  1 
ATOM 16546 C C   . SER C 3 290 ? 239.001 -87.832 287.068 1.0 54.26637  ? 290 SER C C   290 SER C C   1 
ATOM 16547 O O   . SER C 3 290 ? 238.382 -88.525 287.880 1.0 54.26637  ? 290 SER C O   290 SER C O   1 
ATOM 16548 C CB  . SER C 3 290 ? 240.630 -89.489 286.191 1.0 54.26637  ? 290 SER C CB  290 SER C CB  1 
ATOM 16549 O OG  . SER C 3 290 ? 241.686 -88.842 286.873 1.0 54.26637  ? 290 SER C OG  290 SER C OG  1 
ATOM 16550 N N   . ASN C 3 291 ? 239.210 -86.534 287.255 1.0 53.94526  ? 291 ASN C N   291 ASN C N   1 
ATOM 16551 C CA  . ASN C 3 291 ? 238.796 -85.839 288.466 1.0 53.94526  ? 291 ASN C CA  291 ASN C CA  1 
ATOM 16552 C C   . ASN C 3 291 ? 238.019 -84.581 288.125 1.0 53.94526  ? 291 ASN C C   291 ASN C C   1 
ATOM 16553 O O   . ASN C 3 291 ? 238.242 -83.515 288.703 1.0 53.94526  ? 291 ASN C O   291 ASN C O   1 
ATOM 16554 C CB  . ASN C 3 291 ? 240.000 -85.504 289.335 1.0 53.94526  ? 291 ASN C CB  291 ASN C CB  1 
ATOM 16555 C CG  . ASN C 3 291 ? 240.752 -86.731 289.770 1.0 53.94526  ? 291 ASN C CG  291 ASN C CG  1 
ATOM 16556 O OD1 . ASN C 3 291 ? 241.904 -86.924 289.397 1.0 53.94526  ? 291 ASN C OD1 291 ASN C OD1 1 
ATOM 16557 N ND2 . ASN C 3 291 ? 240.104 -87.577 290.553 1.0 53.94526  ? 291 ASN C ND2 291 ASN C ND2 1 
ATOM 16558 N N   . THR C 3 292 ? 237.095 -84.684 287.178 1.0 54.00307  ? 292 THR C N   292 THR C N   1 
ATOM 16559 C CA  . THR C 3 292 ? 236.288 -83.537 286.791 1.0 54.00307  ? 292 THR C CA  292 THR C CA  1 
ATOM 16560 C C   . THR C 3 292 ? 235.238 -83.260 287.855 1.0 54.00307  ? 292 THR C C   292 THR C C   1 
ATOM 16561 O O   . THR C 3 292 ? 234.390 -84.111 288.137 1.0 54.00307  ? 292 THR C O   292 THR C O   1 
ATOM 16562 C CB  . THR C 3 292 ? 235.613 -83.785 285.446 1.0 54.00307  ? 292 THR C CB  292 THR C CB  1 
ATOM 16563 O OG1 . THR C 3 292 ? 234.770 -84.940 285.541 1.0 54.00307  ? 292 THR C OG1 292 THR C OG1 1 
ATOM 16564 C CG2 . THR C 3 292 ? 236.645 -84.001 284.359 1.0 54.00307  ? 292 THR C CG2 292 THR C CG2 1 
ATOM 16565 N N   . GLY C 3 293 ? 235.299 -82.077 288.452 1.0 50.02436  ? 293 GLY C N   293 GLY C N   1 
ATOM 16566 C CA  . GLY C 3 293 ? 234.232 -81.650 289.324 1.0 50.02436  ? 293 GLY C CA  293 GLY C CA  1 
ATOM 16567 C C   . GLY C 3 293 ? 232.993 -81.269 288.543 1.0 50.02436  ? 293 GLY C C   293 GLY C C   1 
ATOM 16568 O O   . GLY C 3 293 ? 233.042 -80.968 287.352 1.0 50.02436  ? 293 GLY C O   293 GLY C O   1 
ATOM 16569 N N   . SER C 3 294 ? 231.856 -81.275 289.226 1.0 47.04026  ? 294 SER C N   294 SER C N   1 
ATOM 16570 C CA  . SER C 3 294 ? 230.577 -81.111 288.556 1.0 47.04026  ? 294 SER C CA  294 SER C CA  1 
ATOM 16571 C C   . SER C 3 294 ? 229.785 -79.958 289.146 1.0 47.04026  ? 294 SER C C   294 SER C C   1 
ATOM 16572 O O   . SER C 3 294 ? 229.811 -79.726 290.356 1.0 47.04026  ? 294 SER C O   294 SER C O   1 
ATOM 16573 C CB  . SER C 3 294 ? 229.744 -82.385 288.646 1.0 47.04026  ? 294 SER C CB  294 SER C CB  1 
ATOM 16574 O OG  . SER C 3 294 ? 228.484 -82.195 288.030 1.0 47.04026  ? 294 SER C OG  294 SER C OG  1 
ATOM 16575 N N   . PHE C 3 295 ? 229.077 -79.239 288.273 1.0 42.91012  ? 295 PHE C N   295 PHE C N   1 
ATOM 16576 C CA  . PHE C 3 295 ? 228.052 -78.274 288.667 1.0 42.91012  ? 295 PHE C CA  295 PHE C CA  1 
ATOM 16577 C C   . PHE C 3 295 ? 226.803 -78.585 287.843 1.0 42.91012  ? 295 PHE C C   295 PHE C C   1 
ATOM 16578 O O   . PHE C 3 295 ? 226.567 -77.996 286.790 1.0 42.91012  ? 295 PHE C O   295 PHE C O   1 
ATOM 16579 C CB  . PHE C 3 295 ? 228.532 -76.842 288.479 1.0 42.91012  ? 295 PHE C CB  295 PHE C CB  1 
ATOM 16580 C CG  . PHE C 3 295 ? 227.508 -75.812 288.840 1.0 42.91012  ? 295 PHE C CG  295 PHE C CG  1 
ATOM 16581 C CD1 . PHE C 3 295 ? 227.144 -75.610 290.155 1.0 42.91012  ? 295 PHE C CD1 295 PHE C CD1 1 
ATOM 16582 C CD2 . PHE C 3 295 ? 226.921 -75.036 287.866 1.0 42.91012  ? 295 PHE C CD2 295 PHE C CD2 1 
ATOM 16583 C CE1 . PHE C 3 295 ? 226.205 -74.666 290.489 1.0 42.91012  ? 295 PHE C CE1 295 PHE C CE1 1 
ATOM 16584 C CE2 . PHE C 3 295 ? 225.981 -74.091 288.193 1.0 42.91012  ? 295 PHE C CE2 295 PHE C CE2 1 
ATOM 16585 C CZ  . PHE C 3 295 ? 225.622 -73.908 289.506 1.0 42.91012  ? 295 PHE C CZ  295 PHE C CZ  1 
ATOM 16586 N N   . SER C 3 296 ? 226.006 -79.527 288.328 1.0 44.55867  ? 296 SER C N   296 SER C N   1 
ATOM 16587 C CA  . SER C 3 296 ? 224.772 -79.931 287.681 1.0 44.55867  ? 296 SER C CA  296 SER C CA  1 
ATOM 16588 C C   . SER C 3 296 ? 223.597 -79.218 288.338 1.0 44.55867  ? 296 SER C C   296 SER C C   1 
ATOM 16589 O O   . SER C 3 296 ? 223.768 -78.292 289.131 1.0 44.55867  ? 296 SER C O   296 SER C O   1 
ATOM 16590 C CB  . SER C 3 296 ? 224.617 -81.449 287.743 1.0 44.55867  ? 296 SER C CB  296 SER C CB  1 
ATOM 16591 O OG  . SER C 3 296 ? 224.424 -81.878 289.077 1.0 44.55867  ? 296 SER C OG  296 SER C OG  1 
ATOM 16592 N N   . SER C 3 297 ? 222.385 -79.652 288.012 1.0 47.50186  ? 297 SER C N   297 SER C N   1 
ATOM 16593 C CA  . SER C 3 297 ? 221.182 -79.061 288.575 1.0 47.50186  ? 297 SER C CA  297 SER C CA  1 
ATOM 16594 C C   . SER C 3 297 ? 220.133 -80.157 288.714 1.0 47.50186  ? 297 SER C C   297 SER C C   1 
ATOM 16595 O O   . SER C 3 297 ? 220.400 -81.331 288.447 1.0 47.50186  ? 297 SER C O   297 SER C O   1 
ATOM 16596 C CB  . SER C 3 297 ? 220.698 -77.903 287.698 1.0 47.50186  ? 297 SER C CB  297 SER C CB  1 
ATOM 16597 O OG  . SER C 3 297 ? 220.270 -78.380 286.437 1.0 47.50186  ? 297 SER C OG  297 SER C OG  1 
ATOM 16598 N N   . GLN C 3 298 ? 218.931 -79.776 289.136 1.0 50.5663   ? 298 GLN C N   298 GLN C N   1 
ATOM 16599 C CA  . GLN C 3 298 ? 217.860 -80.752 289.213 1.0 50.5663   ? 298 GLN C CA  298 GLN C CA  1 
ATOM 16600 C C   . GLN C 3 298 ? 217.281 -81.026 287.831 1.0 50.5663   ? 298 GLN C C   298 GLN C C   1 
ATOM 16601 O O   . GLN C 3 298 ? 217.524 -80.299 286.863 1.0 50.5663   ? 298 GLN C O   298 GLN C O   1 
ATOM 16602 C CB  . GLN C 3 298 ? 216.749 -80.292 290.152 1.0 50.5663   ? 298 GLN C CB  298 GLN C CB  1 
ATOM 16603 C CG  . GLN C 3 298 ? 217.085 -80.369 291.622 1.0 50.5663   ? 298 GLN C CG  298 GLN C CG  1 
ATOM 16604 C CD  . GLN C 3 298 ? 215.920 -79.942 292.488 1.0 50.5663   ? 298 GLN C CD  298 GLN C CD  1 
ATOM 16605 O OE1 . GLN C 3 298 ? 214.890 -79.498 291.983 1.0 50.5663   ? 298 GLN C OE1 298 GLN C OE1 1 
ATOM 16606 N NE2 . GLN C 3 298 ? 216.071 -80.084 293.799 1.0 50.5663   ? 298 GLN C NE2 298 GLN C NE2 1 
ATOM 16607 N N   . THR C 3 299 ? 216.554 -82.146 287.748 1.0 55.6562   ? 299 THR C N   299 THR C N   1 
ATOM 16608 C CA  . THR C 3 299 ? 215.765 -82.659 286.621 1.0 55.6562   ? 299 THR C CA  299 THR C CA  1 
ATOM 16609 C C   . THR C 3 299 ? 216.612 -83.086 285.419 1.0 55.6562   ? 299 THR C C   299 THR C C   1 
ATOM 16610 O O   . THR C 3 299 ? 216.090 -83.694 284.479 1.0 55.6562   ? 299 THR C O   299 THR C O   1 
ATOM 16611 C CB  . THR C 3 299 ? 214.684 -81.650 286.178 1.0 55.6562   ? 299 THR C CB  299 THR C CB  1 
ATOM 16612 O OG1 . THR C 3 299 ? 215.285 -80.470 285.627 1.0 55.6562   ? 299 THR C OG1 299 THR C OG1 1 
ATOM 16613 C CG2 . THR C 3 299 ? 213.781 -81.262 287.359 1.0 55.6562   ? 299 THR C CG2 299 THR C CG2 1 
ATOM 16614 N N   . GLN C 3 300 ? 217.917 -82.820 285.449 1.0 53.91962  ? 300 GLN C N   300 GLN C N   1 
ATOM 16615 C CA  . GLN C 3 300 ? 218.847 -83.238 284.409 1.0 53.91962  ? 300 GLN C CA  300 GLN C CA  1 
ATOM 16616 C C   . GLN C 3 300 ? 220.107 -83.723 285.105 1.0 53.91962  ? 300 GLN C C   300 GLN C C   1 
ATOM 16617 O O   . GLN C 3 300 ? 220.745 -82.957 285.830 1.0 53.91962  ? 300 GLN C O   300 GLN C O   1 
ATOM 16618 C CB  . GLN C 3 300 ? 219.190 -82.097 283.443 1.0 53.91962  ? 300 GLN C CB  300 GLN C CB  1 
ATOM 16619 C CG  . GLN C 3 300 ? 218.107 -81.685 282.453 1.0 53.91962  ? 300 GLN C CG  300 GLN C CG  1 
ATOM 16620 C CD  . GLN C 3 300 ? 217.002 -80.846 283.073 1.0 53.91962  ? 300 GLN C CD  300 GLN C CD  1 
ATOM 16621 O OE1 . GLN C 3 300 ? 215.827 -81.201 283.007 1.0 53.91962  ? 300 GLN C OE1 300 GLN C OE1 1 
ATOM 16622 N NE2 . GLN C 3 300 ? 217.377 -79.740 283.699 1.0 53.91962  ? 300 GLN C NE2 300 GLN C NE2 1 
ATOM 16623 N N   . GLN C 3 301 ? 220.472 -84.978 284.883 1.0 53.06399  ? 301 GLN C N   301 GLN C N   1 
ATOM 16624 C CA  . GLN C 3 301 ? 221.654 -85.537 285.524 1.0 53.06399  ? 301 GLN C CA  301 GLN C CA  1 
ATOM 16625 C C   . GLN C 3 301 ? 222.946 -85.174 284.805 1.0 53.06399  ? 301 GLN C C   301 GLN C C   1 
ATOM 16626 O O   . GLN C 3 301 ? 224.013 -85.645 285.212 1.0 53.06399  ? 301 GLN C O   301 GLN C O   1 
ATOM 16627 C CB  . GLN C 3 301 ? 221.527 -87.058 285.609 1.0 53.06399  ? 301 GLN C CB  301 GLN C CB  1 
ATOM 16628 C CG  . GLN C 3 301 ? 220.364 -87.542 286.455 1.0 53.06399  ? 301 GLN C CG  301 GLN C CG  1 
ATOM 16629 C CD  . GLN C 3 301 ? 220.516 -87.192 287.914 1.0 53.06399  ? 301 GLN C CD  301 GLN C CD  1 
ATOM 16630 O OE1 . GLN C 3 301 ? 219.805 -86.337 288.438 1.0 53.06399  ? 301 GLN C OE1 301 GLN C OE1 1 
ATOM 16631 N NE2 . GLN C 3 301 ? 221.444 -87.859 288.585 1.0 53.06399  ? 301 GLN C NE2 301 GLN C NE2 1 
ATOM 16632 N N   . LEU C 3 302 ? 222.874 -84.357 283.759 1.0 50.33122  ? 302 LEU C N   302 LEU C N   1 
ATOM 16633 C CA  . LEU C 3 302 ? 224.039 -84.067 282.938 1.0 50.33122  ? 302 LEU C CA  302 LEU C CA  1 
ATOM 16634 C C   . LEU C 3 302 ? 224.981 -83.109 283.649 1.0 50.33122  ? 302 LEU C C   302 LEU C C   1 
ATOM 16635 O O   . LEU C 3 302 ? 224.556 -82.116 284.246 1.0 50.33122  ? 302 LEU C O   302 LEU C O   1 
ATOM 16636 C CB  . LEU C 3 302 ? 223.620 -83.462 281.598 1.0 50.33122  ? 302 LEU C CB  302 LEU C CB  1 
ATOM 16637 C CG  . LEU C 3 302 ? 223.263 -84.353 280.403 1.0 50.33122  ? 302 LEU C CG  302 LEU C CG  1 
ATOM 16638 C CD1 . LEU C 3 302 ? 224.441 -85.231 280.012 1.0 50.33122  ? 302 LEU C CD1 302 LEU C CD1 1 
ATOM 16639 C CD2 . LEU C 3 302 ? 222.012 -85.183 280.633 1.0 50.33122  ? 302 LEU C CD2 302 LEU C CD2 1 
ATOM 16640 N N   . ASN C 3 303 ? 226.269 -83.417 283.574 1.0 46.64592  ? 303 ASN C N   303 ASN C N   1 
ATOM 16641 C CA  . ASN C 3 303 ? 227.301 -82.524 284.058 1.0 46.64592  ? 303 ASN C CA  303 ASN C CA  1 
ATOM 16642 C C   . ASN C 3 303 ? 227.446 -81.349 283.097 1.0 46.64592  ? 303 ASN C C   303 ASN C C   1 
ATOM 16643 O O   . ASN C 3 303 ? 227.103 -81.431 281.917 1.0 46.64592  ? 303 ASN C O   303 ASN C O   1 
ATOM 16644 C CB  . ASN C 3 303 ? 228.621 -83.279 284.200 1.0 46.64592  ? 303 ASN C CB  303 ASN C CB  1 
ATOM 16645 C CG  . ASN C 3 303 ? 229.638 -82.528 285.021 1.0 46.64592  ? 303 ASN C CG  303 ASN C CG  1 
ATOM 16646 O OD1 . ASN C 3 303 ? 229.377 -81.424 285.486 1.0 46.64592  ? 303 ASN C OD1 303 ASN C OD1 1 
ATOM 16647 N ND2 . ASN C 3 303 ? 230.806 -83.124 285.205 1.0 46.64592  ? 303 ASN C ND2 303 ASN C ND2 1 
ATOM 16648 N N   . ILE C 3 304 ? 227.958 -80.240 283.619 1.0 43.33869  ? 304 ILE C N   304 ILE C N   1 
ATOM 16649 C CA  . ILE C 3 304 ? 228.123 -79.021 282.849 1.0 43.33869  ? 304 ILE C CA  304 ILE C CA  1 
ATOM 16650 C C   . ILE C 3 304 ? 229.590 -78.664 282.656 1.0 43.33869  ? 304 ILE C C   304 ILE C C   1 
ATOM 16651 O O   . ILE C 3 304 ? 229.998 -78.286 281.554 1.0 43.33869  ? 304 ILE C O   304 ILE C O   1 
ATOM 16652 C CB  . ILE C 3 304 ? 227.336 -77.872 283.510 1.0 43.33869  ? 304 ILE C CB  304 ILE C CB  1 
ATOM 16653 C CG1 . ILE C 3 304 ? 225.863 -78.060 283.189 1.0 43.33869  ? 304 ILE C CG1 304 ILE C CG1 1 
ATOM 16654 C CG2 . ILE C 3 304 ? 227.844 -76.499 283.124 1.0 43.33869  ? 304 ILE C CG2 304 ILE C CG2 1 
ATOM 16655 C CD1 . ILE C 3 304 ? 224.999 -77.165 283.928 1.0 43.33869  ? 304 ILE C CD1 304 ILE C CD1 1 
ATOM 16656 N N   . VAL C 3 305 ? 230.410 -78.837 283.685 1.0 44.23252  ? 305 VAL C N   305 VAL C N   1 
ATOM 16657 C CA  . VAL C 3 305 ? 231.837 -78.610 283.524 1.0 44.23252  ? 305 VAL C CA  305 VAL C CA  1 
ATOM 16658 C C   . VAL C 3 305 ? 232.408 -79.787 282.746 1.0 44.23252  ? 305 VAL C C   305 VAL C C   1 
ATOM 16659 O O   . VAL C 3 305 ? 232.695 -80.847 283.311 1.0 44.23252  ? 305 VAL C O   305 VAL C O   1 
ATOM 16660 C CB  . VAL C 3 305 ? 232.533 -78.432 284.882 1.0 44.23252  ? 305 VAL C CB  305 VAL C CB  1 
ATOM 16661 C CG1 . VAL C 3 305 ? 234.014 -78.191 284.689 1.0 44.23252  ? 305 VAL C CG1 305 VAL C CG1 1 
ATOM 16662 C CG2 . VAL C 3 305 ? 231.902 -77.288 285.638 1.0 44.23252  ? 305 VAL C CG2 305 VAL C CG2 1 
ATOM 16663 N N   . LEU C 3 306 ? 232.540 -79.611 281.434 1.0 45.51036  ? 306 LEU C N   306 LEU C N   1 
ATOM 16664 C CA  . LEU C 3 306 ? 233.089 -80.626 280.539 1.0 45.51036  ? 306 LEU C CA  306 LEU C CA  1 
ATOM 16665 C C   . LEU C 3 306 ? 234.518 -80.195 280.239 1.0 45.51036  ? 306 LEU C C   306 LEU C C   1 
ATOM 16666 O O   . LEU C 3 306 ? 234.771 -79.380 279.352 1.0 45.51036  ? 306 LEU C O   306 LEU C O   1 
ATOM 16667 C CB  . LEU C 3 306 ? 232.249 -80.756 279.276 1.0 45.51036  ? 306 LEU C CB  306 LEU C CB  1 
ATOM 16668 C CG  . LEU C 3 306 ? 230.808 -81.232 279.465 1.0 45.51036  ? 306 LEU C CG  306 LEU C CG  1 
ATOM 16669 C CD1 . LEU C 3 306 ? 230.046 -81.129 278.161 1.0 45.51036  ? 306 LEU C CD1 306 LEU C CD1 1 
ATOM 16670 C CD2 . LEU C 3 306 ? 230.769 -82.655 279.996 1.0 45.51036  ? 306 LEU C CD2 306 LEU C CD2 1 
ATOM 16671 N N   . ASP C 3 307 ? 235.457 -80.750 280.991 1.0 51.72331  ? 307 ASP C N   307 ASP C N   1 
ATOM 16672 C CA  . ASP C 3 307 ? 236.813 -80.236 281.058 1.0 51.72331  ? 307 ASP C CA  307 ASP C CA  1 
ATOM 16673 C C   . ASP C 3 307 ? 237.741 -81.128 280.245 1.0 51.72331  ? 307 ASP C C   307 ASP C C   1 
ATOM 16674 O O   . ASP C 3 307 ? 237.552 -82.347 280.188 1.0 51.72331  ? 307 ASP C O   307 ASP C O   1 
ATOM 16675 C CB  . ASP C 3 307 ? 237.269 -80.163 282.515 1.0 51.72331  ? 307 ASP C CB  307 ASP C CB  1 
ATOM 16676 C CG  . ASP C 3 307 ? 238.399 -79.189 282.724 1.0 51.72331  ? 307 ASP C CG  307 ASP C CG  1 
ATOM 16677 O OD1 . ASP C 3 307 ? 238.845 -78.573 281.735 1.0 51.72331  ? 307 ASP C OD1 307 ASP C OD1 1 
ATOM 16678 O OD2 . ASP C 3 307 ? 238.826 -79.025 283.885 1.0 51.72331  ? 307 ASP C OD2 307 ASP C OD2 1 
ATOM 16679 N N   . LEU C 3 308 ? 238.743 -80.518 279.622 1.0 50.6313   ? 308 LEU C N   308 LEU C N   1 
ATOM 16680 C CA  . LEU C 3 308 ? 239.638 -81.201 278.701 1.0 50.6313   ? 308 LEU C CA  308 LEU C CA  1 
ATOM 16681 C C   . LEU C 3 308 ? 241.074 -81.132 279.200 1.0 50.6313   ? 308 LEU C C   308 LEU C C   1 
ATOM 16682 O O   . LEU C 3 308 ? 241.402 -80.384 280.120 1.0 50.6313   ? 308 LEU C O   308 LEU C O   1 
ATOM 16683 C CB  . LEU C 3 308 ? 239.545 -80.579 277.308 1.0 50.6313   ? 308 LEU C CB  308 LEU C CB  1 
ATOM 16684 C CG  . LEU C 3 308 ? 238.176 -80.668 276.649 1.0 50.6313   ? 308 LEU C CG  308 LEU C CG  1 
ATOM 16685 C CD1 . LEU C 3 308 ? 238.196 -79.919 275.335 1.0 50.6313   ? 308 LEU C CD1 308 LEU C CD1 1 
ATOM 16686 C CD2 . LEU C 3 308 ? 237.793 -82.115 276.453 1.0 50.6313   ? 308 LEU C CD2 308 LEU C CD2 1 
ATOM 16687 N N   . ASN C 3 309 ? 241.940 -81.921 278.566 1.0 53.05962  ? 309 ASN C N   309 ASN C N   1 
ATOM 16688 C CA  . ASN C 3 309 ? 243.367 -81.859 278.848 1.0 53.05962  ? 309 ASN C CA  309 ASN C CA  1 
ATOM 16689 C C   . ASN C 3 309 ? 244.092 -80.839 277.986 1.0 53.05962  ? 309 ASN C C   309 ASN C C   1 
ATOM 16690 O O   . ASN C 3 309 ? 245.164 -80.367 278.376 1.0 53.05962  ? 309 ASN C O   309 ASN C O   1 
ATOM 16691 C CB  . ASN C 3 309 ? 244.013 -83.231 278.650 1.0 53.05962  ? 309 ASN C CB  309 ASN C CB  1 
ATOM 16692 C CG  . ASN C 3 309 ? 243.493 -84.262 279.623 1.0 53.05962  ? 309 ASN C CG  309 ASN C CG  1 
ATOM 16693 O OD1 . ASN C 3 309 ? 242.855 -85.237 279.230 1.0 53.05962  ? 309 ASN C OD1 309 ASN C OD1 1 
ATOM 16694 N ND2 . ASN C 3 309 ? 243.761 -84.052 280.903 1.0 53.05962  ? 309 ASN C ND2 309 ASN C ND2 1 
ATOM 16695 N N   . ASP C 3 310 ? 243.528 -80.485 276.830 1.0 50.74814  ? 310 ASP C N   310 ASP C N   1 
ATOM 16696 C CA  . ASP C 3 310 ? 244.145 -79.502 275.950 1.0 50.74814  ? 310 ASP C CA  310 ASP C CA  1 
ATOM 16697 C C   . ASP C 3 310 ? 243.989 -78.080 276.463 1.0 50.74814  ? 310 ASP C C   310 ASP C C   1 
ATOM 16698 O O   . ASP C 3 310 ? 244.683 -77.182 275.980 1.0 50.74814  ? 310 ASP C O   310 ASP C O   1 
ATOM 16699 C CB  . ASP C 3 310 ? 243.538 -79.603 274.554 1.0 50.74814  ? 310 ASP C CB  310 ASP C CB  1 
ATOM 16700 C CG  . ASP C 3 310 ? 243.922 -80.879 273.844 1.0 50.74814  ? 310 ASP C CG  310 ASP C CG  1 
ATOM 16701 O OD1 . ASP C 3 310 ? 245.022 -81.401 274.111 1.0 50.74814  ? 310 ASP C OD1 310 ASP C OD1 1 
ATOM 16702 O OD2 . ASP C 3 310 ? 243.121 -81.360 273.016 1.0 50.74814  ? 310 ASP C OD2 310 ASP C OD2 1 
ATOM 16703 N N   . ARG C 3 311 ? 243.088 -77.854 277.408 1.0 48.86851  ? 311 ARG C N   311 ARG C N   1 
ATOM 16704 C CA  . ARG C 3 311 ? 242.859 -76.542 277.987 1.0 48.86851  ? 311 ARG C CA  311 ARG C CA  1 
ATOM 16705 C C   . ARG C 3 311 ? 243.796 -76.344 279.175 1.0 48.86851  ? 311 ARG C C   311 ARG C C   1 
ATOM 16706 O O   . ARG C 3 311 ? 244.250 -77.310 279.790 1.0 48.86851  ? 311 ARG C O   311 ARG C O   1 
ATOM 16707 C CB  . ARG C 3 311 ? 241.391 -76.423 278.413 1.0 48.86851  ? 311 ARG C CB  311 ARG C CB  1 
ATOM 16708 C CG  . ARG C 3 311 ? 240.923 -75.049 278.856 1.0 48.86851  ? 311 ARG C CG  311 ARG C CG  1 
ATOM 16709 C CD  . ARG C 3 311 ? 239.458 -75.049 279.224 1.0 48.86851  ? 311 ARG C CD  311 ARG C CD  1 
ATOM 16710 N NE  . ARG C 3 311 ? 238.602 -75.256 278.063 1.0 48.86851  ? 311 ARG C NE  311 ARG C NE  1 
ATOM 16711 C CZ  . ARG C 3 311 ? 237.844 -76.328 277.877 1.0 48.86851  ? 311 ARG C CZ  311 ARG C CZ  1 
ATOM 16712 N NH1 . ARG C 3 311 ? 237.837 -77.300 278.776 1.0 48.86851  ? 311 ARG C NH1 311 ARG C NH1 1 
ATOM 16713 N NH2 . ARG C 3 311 ? 237.094 -76.428 276.791 1.0 48.86851  ? 311 ARG C NH2 311 ARG C NH2 1 
ATOM 16714 N N   . ASN C 3 312 ? 244.122 -75.084 279.468 1.0 48.51938  ? 312 ASN C N   312 ASN C N   1 
ATOM 16715 C CA  . ASN C 3 312 ? 244.858 -74.728 280.677 1.0 48.51938  ? 312 ASN C CA  312 ASN C CA  1 
ATOM 16716 C C   . ASN C 3 312 ? 244.057 -73.656 281.400 1.0 48.51938  ? 312 ASN C C   312 ASN C C   1 
ATOM 16717 O O   . ASN C 3 312 ? 243.988 -72.515 280.937 1.0 48.51938  ? 312 ASN C O   312 ASN C O   1 
ATOM 16718 C CB  . ASN C 3 312 ? 246.264 -74.234 280.350 1.0 48.51938  ? 312 ASN C CB  312 ASN C CB  1 
ATOM 16719 C CG  . ASN C 3 312 ? 247.193 -74.308 281.530 1.0 48.51938  ? 312 ASN C CG  312 ASN C CG  1 
ATOM 16720 O OD1 . ASN C 3 312 ? 246.779 -74.624 282.643 1.0 48.51938  ? 312 ASN C OD1 312 ASN C OD1 1 
ATOM 16721 N ND2 . ASN C 3 312 ? 248.474 -74.074 281.284 1.0 48.51938  ? 312 ASN C ND2 312 ASN C ND2 1 
ATOM 16722 N N   . SER C 3 313 ? 243.446 -74.022 282.525 1.0 47.8379   ? 313 SER C N   313 SER C N   1 
ATOM 16723 C CA  . SER C 3 313 ? 242.622 -73.091 283.280 1.0 47.8379   ? 313 SER C CA  313 SER C CA  1 
ATOM 16724 C C   . SER C 3 313 ? 243.377 -72.394 284.398 1.0 47.8379   ? 313 SER C C   313 SER C C   1 
ATOM 16725 O O   . SER C 3 313 ? 242.959 -71.314 284.824 1.0 47.8379   ? 313 SER C O   313 SER C O   1 
ATOM 16726 C CB  . SER C 3 313 ? 241.407 -73.812 283.870 1.0 47.8379   ? 313 SER C CB  313 SER C CB  1 
ATOM 16727 O OG  . SER C 3 313 ? 240.559 -74.292 282.844 1.0 47.8379   ? 313 SER C OG  313 SER C OG  1 
ATOM 16728 N N   . GLU C 3 314 ? 244.469 -72.979 284.882 1.0 49.32088  ? 314 GLU C N   314 GLU C N   1 
ATOM 16729 C CA  . GLU C 3 314 ? 245.264 -72.340 285.917 1.0 49.32088  ? 314 GLU C CA  314 GLU C CA  1 
ATOM 16730 C C   . GLU C 3 314 ? 246.244 -71.326 285.353 1.0 49.32088  ? 314 GLU C C   314 GLU C C   1 
ATOM 16731 O O   . GLU C 3 314 ? 246.738 -70.480 286.103 1.0 49.32088  ? 314 GLU C O   314 GLU C O   1 
ATOM 16732 C CB  . GLU C 3 314 ? 246.001 -73.403 286.724 1.0 49.32088  ? 314 GLU C CB  314 GLU C CB  1 
ATOM 16733 C CG  . GLU C 3 314 ? 245.064 -74.244 287.558 1.0 49.32088  ? 314 GLU C CG  314 GLU C CG  1 
ATOM 16734 C CD  . GLU C 3 314 ? 245.760 -75.385 288.256 1.0 49.32088  ? 314 GLU C CD  314 GLU C CD  1 
ATOM 16735 O OE1 . GLU C 3 314 ? 246.943 -75.628 287.950 1.0 49.32088  ? 314 GLU C OE1 314 GLU C OE1 1 
ATOM 16736 O OE2 . GLU C 3 314 ? 245.130 -76.037 289.114 1.0 49.32088  ? 314 GLU C OE2 314 GLU C OE2 1 
ATOM 16737 N N   . LEU C 3 315 ? 246.542 -71.393 284.060 1.0 45.50836  ? 315 LEU C N   315 LEU C N   1 
ATOM 16738 C CA  . LEU C 3 315 ? 247.307 -70.340 283.408 1.0 45.50836  ? 315 LEU C CA  315 LEU C CA  1 
ATOM 16739 C C   . LEU C 3 315 ? 246.412 -69.272 282.811 1.0 45.50836  ? 315 LEU C C   315 LEU C C   1 
ATOM 16740 O O   . LEU C 3 315 ? 246.816 -68.106 282.743 1.0 45.50836  ? 315 LEU C O   315 LEU C O   1 
ATOM 16741 C CB  . LEU C 3 315 ? 248.200 -70.935 282.319 1.0 45.50836  ? 315 LEU C CB  315 LEU C CB  1 
ATOM 16742 C CG  . LEU C 3 315 ? 249.104 -70.023 281.495 1.0 45.50836  ? 315 LEU C CG  315 LEU C CG  1 
ATOM 16743 C CD1 . LEU C 3 315 ? 250.009 -69.232 282.394 1.0 45.50836  ? 315 LEU C CD1 315 LEU C CD1 1 
ATOM 16744 C CD2 . LEU C 3 315 ? 249.918 -70.850 280.540 1.0 45.50836  ? 315 LEU C CD2 315 LEU C CD2 1 
ATOM 16745 N N   . SER C 3 316 ? 245.198 -69.650 282.401 1.0 44.85371  ? 316 SER C N   316 SER C N   1 
ATOM 16746 C CA  . SER C 3 316 ? 244.225 -68.684 281.907 1.0 44.85371  ? 316 SER C CA  316 SER C CA  1 
ATOM 16747 C C   . SER C 3 316 ? 243.858 -67.662 282.967 1.0 44.85371  ? 316 SER C C   316 SER C C   1 
ATOM 16748 O O   . SER C 3 316 ? 243.615 -66.495 282.648 1.0 44.85371  ? 316 SER C O   316 SER C O   1 
ATOM 16749 C CB  . SER C 3 316 ? 242.964 -69.401 281.447 1.0 44.85371  ? 316 SER C CB  316 SER C CB  1 
ATOM 16750 O OG  . SER C 3 316 ? 241.998 -68.468 281.003 1.0 44.85371  ? 316 SER C OG  316 SER C OG  1 
ATOM 16751 N N   . TYR C 3 317 ? 243.820 -68.078 284.228 1.0 44.48046  ? 317 TYR C N   317 TYR C N   1 
ATOM 16752 C CA  . TYR C 3 317 ? 243.571 -67.142 285.308 1.0 44.48046  ? 317 TYR C CA  317 TYR C CA  1 
ATOM 16753 C C   . TYR C 3 317 ? 244.782 -66.270 285.588 1.0 44.48046  ? 317 TYR C C   317 TYR C C   1 
ATOM 16754 O O   . TYR C 3 317 ? 244.622 -65.157 286.090 1.0 44.48046  ? 317 TYR C O   317 TYR C O   1 
ATOM 16755 C CB  . TYR C 3 317 ? 243.165 -67.907 286.561 1.0 44.48046  ? 317 TYR C CB  317 TYR C CB  1 
ATOM 16756 C CG  . TYR C 3 317 ? 242.736 -67.043 287.714 1.0 44.48046  ? 317 TYR C CG  317 TYR C CG  1 
ATOM 16757 C CD1 . TYR C 3 317 ? 241.485 -66.451 287.735 1.0 44.48046  ? 317 TYR C CD1 317 TYR C CD1 1 
ATOM 16758 C CD2 . TYR C 3 317 ? 243.579 -66.825 288.787 1.0 44.48046  ? 317 TYR C CD2 317 TYR C CD2 1 
ATOM 16759 C CE1 . TYR C 3 317 ? 241.089 -65.666 288.794 1.0 44.48046  ? 317 TYR C CE1 317 TYR C CE1 1 
ATOM 16760 C CE2 . TYR C 3 317 ? 243.189 -66.049 289.845 1.0 44.48046  ? 317 TYR C CE2 317 TYR C CE2 1 
ATOM 16761 C CZ  . TYR C 3 317 ? 241.947 -65.467 289.844 1.0 44.48046  ? 317 TYR C CZ  317 TYR C CZ  1 
ATOM 16762 O OH  . TYR C 3 317 ? 241.576 -64.687 290.912 1.0 44.48046  ? 317 TYR C OH  317 TYR C OH  1 
ATOM 16763 N N   . GLN C 3 318 ? 245.987 -66.739 285.266 1.0 44.80867  ? 318 GLN C N   318 GLN C N   1 
ATOM 16764 C CA  . GLN C 3 318 ? 247.168 -65.915 285.490 1.0 44.80867  ? 318 GLN C CA  318 GLN C CA  1 
ATOM 16765 C C   . GLN C 3 318 ? 247.284 -64.813 284.450 1.0 44.80867  ? 318 GLN C C   318 GLN C C   1 
ATOM 16766 O O   . GLN C 3 318 ? 247.732 -63.707 284.766 1.0 44.80867  ? 318 GLN C O   318 GLN C O   1 
ATOM 16767 C CB  . GLN C 3 318 ? 248.426 -66.778 285.485 1.0 44.80867  ? 318 GLN C CB  318 GLN C CB  1 
ATOM 16768 C CG  . GLN C 3 318 ? 248.508 -67.742 286.640 1.0 44.80867  ? 318 GLN C CG  318 GLN C CG  1 
ATOM 16769 C CD  . GLN C 3 318 ? 248.567 -67.040 287.967 1.0 44.80867  ? 318 GLN C CD  318 GLN C CD  1 
ATOM 16770 O OE1 . GLN C 3 318 ? 247.626 -67.096 288.754 1.0 44.80867  ? 318 GLN C OE1 318 GLN C OE1 1 
ATOM 16771 N NE2 . GLN C 3 318 ? 249.675 -66.364 288.224 1.0 44.80867  ? 318 GLN C NE2 318 GLN C NE2 1 
ATOM 16772 N N   . TYR C 3 319 ? 246.884 -65.089 283.210 1.0 43.76546  ? 319 TYR C N   319 TYR C N   1 
ATOM 16773 C CA  . TYR C 3 319 ? 246.920 -64.050 282.188 1.0 43.76546  ? 319 TYR C CA  319 TYR C CA  1 
ATOM 16774 C C   . TYR C 3 319 ? 245.765 -63.078 282.334 1.0 43.76546  ? 319 TYR C C   319 TYR C C   1 
ATOM 16775 O O   . TYR C 3 319 ? 245.917 -61.894 282.021 1.0 43.76546  ? 319 TYR C O   319 TYR C O   1 
ATOM 16776 C CB  . TYR C 3 319 ? 246.894 -64.651 280.781 1.0 43.76546  ? 319 TYR C CB  319 TYR C CB  1 
ATOM 16777 C CG  . TYR C 3 319 ? 248.173 -65.325 280.347 1.0 43.76546  ? 319 TYR C CG  319 TYR C CG  1 
ATOM 16778 C CD1 . TYR C 3 319 ? 249.298 -65.283 281.136 1.0 43.76546  ? 319 TYR C CD1 319 TYR C CD1 1 
ATOM 16779 C CD2 . TYR C 3 319 ? 248.269 -65.953 279.119 1.0 43.76546  ? 319 TYR C CD2 319 TYR C CD2 1 
ATOM 16780 C CE1 . TYR C 3 319 ? 250.470 -65.876 280.751 1.0 43.76546  ? 319 TYR C CE1 319 TYR C CE1 1 
ATOM 16781 C CE2 . TYR C 3 319 ? 249.449 -66.550 278.718 1.0 43.76546  ? 319 TYR C CE2 319 TYR C CE2 1 
ATOM 16782 C CZ  . TYR C 3 319 ? 250.544 -66.503 279.543 1.0 43.76546  ? 319 TYR C CZ  319 TYR C CZ  1 
ATOM 16783 O OH  . TYR C 3 319 ? 251.724 -67.092 279.165 1.0 43.76546  ? 319 TYR C OH  319 TYR C OH  1 
ATOM 16784 N N   . LEU C 3 320 ? 244.608 -63.561 282.787 1.0 43.97909  ? 320 LEU C N   320 LEU C N   1 
ATOM 16785 C CA  . LEU C 3 320 ? 243.459 -62.685 282.976 1.0 43.97909  ? 320 LEU C CA  320 LEU C CA  1 
ATOM 16786 C C   . LEU C 3 320 ? 243.683 -61.728 284.133 1.0 43.97909  ? 320 LEU C C   320 LEU C C   1 
ATOM 16787 O O   . LEU C 3 320 ? 243.342 -60.544 284.043 1.0 43.97909  ? 320 LEU C O   320 LEU C O   1 
ATOM 16788 C CB  . LEU C 3 320 ? 242.202 -63.517 283.207 1.0 43.97909  ? 320 LEU C CB  320 LEU C CB  1 
ATOM 16789 C CG  . LEU C 3 320 ? 240.910 -62.733 283.418 1.0 43.97909  ? 320 LEU C CG  320 LEU C CG  1 
ATOM 16790 C CD1 . LEU C 3 320 ? 240.582 -61.891 282.199 1.0 43.97909  ? 320 LEU C CD1 320 LEU C CD1 1 
ATOM 16791 C CD2 . LEU C 3 320 ? 239.772 -63.675 283.736 1.0 43.97909  ? 320 LEU C CD2 320 LEU C CD2 1 
ATOM 16792 N N   . LEU C 3 321 ? 244.273 -62.216 285.220 1.0 44.29726  ? 321 LEU C N   321 LEU C N   1 
ATOM 16793 C CA  . LEU C 3 321 ? 244.512 -61.366 286.373 1.0 44.29726  ? 321 LEU C CA  321 LEU C CA  1 
ATOM 16794 C C   . LEU C 3 321 ? 245.646 -60.380 286.131 1.0 44.29726  ? 321 LEU C C   321 LEU C C   1 
ATOM 16795 O O   . LEU C 3 321 ? 245.682 -59.327 286.773 1.0 44.29726  ? 321 LEU C O   321 LEU C O   1 
ATOM 16796 C CB  . LEU C 3 321 ? 244.774 -62.246 287.594 1.0 44.29726  ? 321 LEU C CB  321 LEU C CB  1 
ATOM 16797 C CG  . LEU C 3 321 ? 244.857 -61.645 288.989 1.0 44.29726  ? 321 LEU C CG  321 LEU C CG  1 
ATOM 16798 C CD1 . LEU C 3 321 ? 244.208 -62.582 289.966 1.0 44.29726  ? 321 LEU C CD1 321 LEU C CD1 1 
ATOM 16799 C CD2 . LEU C 3 321 ? 246.294 -61.462 289.381 1.0 44.29726  ? 321 LEU C CD2 321 LEU C CD2 1 
ATOM 16800 N N   . ALA C 3 322 ? 246.559 -60.683 285.213 1.0 45.38469  ? 322 ALA C N   322 ALA C N   1 
ATOM 16801 C CA  . ALA C 3 322 ? 247.598 -59.727 284.859 1.0 45.38469  ? 322 ALA C CA  322 ALA C CA  1 
ATOM 16802 C C   . ALA C 3 322 ? 247.111 -58.677 283.875 1.0 45.38469  ? 322 ALA C C   322 ALA C C   1 
ATOM 16803 O O   . ALA C 3 322 ? 247.798 -57.671 283.679 1.0 45.38469  ? 322 ALA C O   322 ALA C O   1 
ATOM 16804 C CB  . ALA C 3 322 ? 248.810 -60.451 284.276 1.0 45.38469  ? 322 ALA C CB  322 ALA C CB  1 
ATOM 16805 N N   . ASP C 3 323 ? 245.953 -58.886 283.258 1.0 47.81696  ? 323 ASP C N   323 ASP C N   1 
ATOM 16806 C CA  . ASP C 3 323 ? 245.379 -57.907 282.348 1.0 47.81696  ? 323 ASP C CA  323 ASP C CA  1 
ATOM 16807 C C   . ASP C 3 323 ? 244.413 -56.964 283.042 1.0 47.81696  ? 323 ASP C C   323 ASP C C   1 
ATOM 16808 O O   . ASP C 3 323 ? 244.303 -55.799 282.647 1.0 47.81696  ? 323 ASP C O   323 ASP C O   1 
ATOM 16809 C CB  . ASP C 3 323 ? 244.659 -58.619 281.204 1.0 47.81696  ? 323 ASP C CB  323 ASP C CB  1 
ATOM 16810 C CG  . ASP C 3 323 ? 244.170 -57.666 280.144 1.0 47.81696  ? 323 ASP C CG  323 ASP C CG  1 
ATOM 16811 O OD1 . ASP C 3 323 ? 245.009 -57.159 279.371 1.0 47.81696  ? 323 ASP C OD1 323 ASP C OD1 1 
ATOM 16812 O OD2 . ASP C 3 323 ? 242.947 -57.421 280.083 1.0 47.81696  ? 323 ASP C OD2 323 ASP C OD2 1 
ATOM 16813 N N   . LEU C 3 324 ? 243.715 -57.441 284.072 1.0 47.65432  ? 324 LEU C N   324 LEU C N   1 
ATOM 16814 C CA  . LEU C 3 324 ? 242.788 -56.586 284.804 1.0 47.65432  ? 324 LEU C CA  324 LEU C CA  1 
ATOM 16815 C C   . LEU C 3 324 ? 243.538 -55.609 285.698 1.0 47.65432  ? 324 LEU C C   324 LEU C C   1 
ATOM 16816 O O   . LEU C 3 324 ? 243.350 -54.392 285.606 1.0 47.65432  ? 324 LEU C O   324 LEU C O   1 
ATOM 16817 C CB  . LEU C 3 324 ? 241.830 -57.442 285.628 1.0 47.65432  ? 324 LEU C CB  324 LEU C CB  1 
ATOM 16818 C CG  . LEU C 3 324 ? 240.878 -58.330 284.832 1.0 47.65432  ? 324 LEU C CG  324 LEU C CG  1 
ATOM 16819 C CD1 . LEU C 3 324 ? 240.079 -59.217 285.766 1.0 47.65432  ? 324 LEU C CD1 324 LEU C CD1 1 
ATOM 16820 C CD2 . LEU C 3 324 ? 239.957 -57.484 283.977 1.0 47.65432  ? 324 LEU C CD2 324 LEU C CD2 1 
ATOM 16821 N N   . THR C 3 325 ? 244.393 -56.125 286.571 1.0 48.65642  ? 325 THR C N   325 THR C N   1 
ATOM 16822 C CA  . THR C 3 325 ? 245.155 -55.312 287.507 1.0 48.65642  ? 325 THR C CA  325 THR C CA  1 
ATOM 16823 C C   . THR C 3 325 ? 246.645 -55.474 287.228 1.0 48.65642  ? 325 THR C C   325 THR C C   1 
ATOM 16824 O O   . THR C 3 325 ? 247.052 -56.102 286.249 1.0 48.65642  ? 325 THR C O   325 THR C O   1 
ATOM 16825 C CB  . THR C 3 325 ? 244.829 -55.692 288.952 1.0 48.65642  ? 325 THR C CB  325 THR C CB  1 
ATOM 16826 O OG1 . THR C 3 325 ? 245.188 -57.060 289.177 1.0 48.65642  ? 325 THR C OG1 325 THR C OG1 1 
ATOM 16827 C CG2 . THR C 3 325 ? 243.349 -55.509 289.237 1.0 48.65642  ? 325 THR C CG2 325 THR C CG2 1 
ATOM 16828 N N   . SER C 3 326 ? 247.459 -54.893 288.100 1.0 49.45445  ? 326 SER C N   326 SER C N   1 
ATOM 16829 C CA  . SER C 3 326 ? 248.902 -55.051 288.050 1.0 49.45445  ? 326 SER C CA  326 SER C CA  1 
ATOM 16830 C C   . SER C 3 326 ? 249.350 -56.025 289.130 1.0 49.45445  ? 326 SER C C   326 SER C C   1 
ATOM 16831 O O   . SER C 3 326 ? 248.765 -56.090 290.213 1.0 49.45445  ? 326 SER C O   326 SER C O   1 
ATOM 16832 C CB  . SER C 3 326 ? 249.608 -53.712 288.236 1.0 49.45445  ? 326 SER C CB  326 SER C CB  1 
ATOM 16833 O OG  . SER C 3 326 ? 251.011 -53.886 288.239 1.0 49.45445  ? 326 SER C OG  326 SER C OG  1 
ATOM 16834 N N   . ARG C 3 327 ? 250.402 -56.776 288.829 1.0 50.23209  ? 327 ARG C N   327 ARG C N   1 
ATOM 16835 C CA  . ARG C 3 327 ? 250.879 -57.813 289.728 1.0 50.23209  ? 327 ARG C CA  327 ARG C CA  1 
ATOM 16836 C C   . ARG C 3 327 ? 251.784 -57.278 290.828 1.0 50.23209  ? 327 ARG C C   327 ARG C C   1 
ATOM 16837 O O   . ARG C 3 327 ? 252.230 -58.057 291.671 1.0 50.23209  ? 327 ARG C O   327 ARG C O   1 
ATOM 16838 C CB  . ARG C 3 327 ? 251.625 -58.892 288.943 1.0 50.23209  ? 327 ARG C CB  327 ARG C CB  1 
ATOM 16839 C CG  . ARG C 3 327 ? 250.818 -59.535 287.832 1.0 50.23209  ? 327 ARG C CG  327 ARG C CG  1 
ATOM 16840 C CD  . ARG C 3 327 ? 249.599 -60.290 288.324 1.0 50.23209  ? 327 ARG C CD  327 ARG C CD  1 
ATOM 16841 N NE  . ARG C 3 327 ? 249.910 -61.395 289.232 1.0 50.23209  ? 327 ARG C NE  327 ARG C NE  1 
ATOM 16842 C CZ  . ARG C 3 327 ? 250.253 -62.616 288.835 1.0 50.23209  ? 327 ARG C CZ  327 ARG C CZ  1 
ATOM 16843 N NH1 . ARG C 3 327 ? 250.344 -62.892 287.543 1.0 50.23209  ? 327 ARG C NH1 327 ARG C NH1 1 
ATOM 16844 N NH2 . ARG C 3 327 ? 250.512 -63.560 289.726 1.0 50.23209  ? 327 ARG C NH2 327 ARG C NH2 1 
ATOM 16845 N N   . TRP C 3 328 ? 252.064 -55.975 290.845 1.0 55.24864  ? 328 TRP C N   328 TRP C N   1 
ATOM 16846 C CA  . TRP C 3 328 ? 252.948 -55.413 291.857 1.0 55.24864  ? 328 TRP C CA  328 TRP C CA  1 
ATOM 16847 C C   . TRP C 3 328 ? 252.311 -55.398 293.241 1.0 55.24864  ? 328 TRP C C   328 TRP C C   1 
ATOM 16848 O O   . TRP C 3 328 ? 253.030 -55.443 294.244 1.0 55.24864  ? 328 TRP C O   328 TRP C O   1 
ATOM 16849 C CB  . TRP C 3 328 ? 253.362 -53.998 291.452 1.0 55.24864  ? 328 TRP C CB  328 TRP C CB  1 
ATOM 16850 C CG  . TRP C 3 328 ? 254.309 -53.356 292.408 1.0 55.24864  ? 328 TRP C CG  328 TRP C CG  1 
ATOM 16851 C CD1 . TRP C 3 328 ? 255.584 -53.751 292.682 1.0 55.24864  ? 328 TRP C CD1 328 TRP C CD1 1 
ATOM 16852 C CD2 . TRP C 3 328 ? 254.053 -52.218 293.240 1.0 55.24864  ? 328 TRP C CD2 328 TRP C CD2 1 
ATOM 16853 N NE1 . TRP C 3 328 ? 256.143 -52.925 293.626 1.0 55.24864  ? 328 TRP C NE1 328 TRP C NE1 1 
ATOM 16854 C CE2 . TRP C 3 328 ? 255.224 -51.975 293.985 1.0 55.24864  ? 328 TRP C CE2 328 TRP C CE2 1 
ATOM 16855 C CE3 . TRP C 3 328 ? 252.952 -51.378 293.421 1.0 55.24864  ? 328 TRP C CE3 328 TRP C CE3 1 
ATOM 16856 C CZ2 . TRP C 3 328 ? 255.323 -50.928 294.897 1.0 55.24864  ? 328 TRP C CZ2 328 TRP C CZ2 1 
ATOM 16857 C CZ3 . TRP C 3 328 ? 253.052 -50.339 294.328 1.0 55.24864  ? 328 TRP C CZ3 328 TRP C CZ3 1 
ATOM 16858 C CH2 . TRP C 3 328 ? 254.229 -50.123 295.055 1.0 55.24864  ? 328 TRP C CH2 328 TRP C CH2 1 
ATOM 16859 N N   . HIS C 3 329 ? 250.987 -55.366 293.319 1.0 53.12014  ? 329 HIS C N   329 HIS C N   1 
ATOM 16860 C CA  . HIS C 3 329 ? 250.290 -55.263 294.590 1.0 53.12014  ? 329 HIS C CA  329 HIS C CA  1 
ATOM 16861 C C   . HIS C 3 329 ? 250.025 -56.639 295.180 1.0 53.12014  ? 329 HIS C C   329 HIS C C   1 
ATOM 16862 O O   . HIS C 3 329 ? 249.798 -57.613 294.462 1.0 53.12014  ? 329 HIS C O   329 HIS C O   1 
ATOM 16863 C CB  . HIS C 3 329 ? 248.970 -54.521 294.414 1.0 53.12014  ? 329 HIS C CB  329 HIS C CB  1 
ATOM 16864 C CG  . HIS C 3 329 ? 249.133 -53.104 293.969 1.0 53.12014  ? 329 HIS C CG  329 HIS C CG  1 
ATOM 16865 N ND1 . HIS C 3 329 ? 249.568 -52.106 294.813 1.0 53.12014  ? 329 HIS C ND1 329 HIS C ND1 1 
ATOM 16866 C CD2 . HIS C 3 329 ? 248.919 -52.517 292.769 1.0 53.12014  ? 329 HIS C CD2 329 HIS C CD2 1 
ATOM 16867 C CE1 . HIS C 3 329 ? 249.614 -50.964 294.152 1.0 53.12014  ? 329 HIS C CE1 329 HIS C CE1 1 
ATOM 16868 N NE2 . HIS C 3 329 ? 249.227 -51.186 292.909 1.0 53.12014  ? 329 HIS C NE2 329 HIS C NE2 1 
ATOM 16869 N N   . TYR C 3 330 ? 250.044 -56.704 296.505 1.0 54.06629  ? 330 TYR C N   330 TYR C N   1 
ATOM 16870 C CA  . TYR C 3 330 ? 249.808 -57.943 297.226 1.0 54.06629  ? 330 TYR C CA  330 TYR C CA  1 
ATOM 16871 C C   . TYR C 3 330 ? 248.418 -57.934 297.836 1.0 54.06629  ? 330 TYR C C   330 TYR C C   1 
ATOM 16872 O O   . TYR C 3 330 ? 247.961 -56.915 298.359 1.0 54.06629  ? 330 TYR C O   330 TYR C O   1 
ATOM 16873 C CB  . TYR C 3 330 ? 250.857 -58.153 298.312 1.0 54.06629  ? 330 TYR C CB  330 TYR C CB  1 
ATOM 16874 C CG  . TYR C 3 330 ? 252.222 -58.391 297.736 1.0 54.06629  ? 330 TYR C CG  330 TYR C CG  1 
ATOM 16875 C CD1 . TYR C 3 330 ? 252.555 -59.623 297.203 1.0 54.06629  ? 330 TYR C CD1 330 TYR C CD1 1 
ATOM 16876 C CD2 . TYR C 3 330 ? 253.173 -57.384 297.711 1.0 54.06629  ? 330 TYR C CD2 330 TYR C CD2 1 
ATOM 16877 C CE1 . TYR C 3 330 ? 253.797 -59.852 296.662 1.0 54.06629  ? 330 TYR C CE1 330 TYR C CE1 1 
ATOM 16878 C CE2 . TYR C 3 330 ? 254.422 -57.603 297.174 1.0 54.06629  ? 330 TYR C CE2 330 TYR C CE2 1 
ATOM 16879 C CZ  . TYR C 3 330 ? 254.726 -58.840 296.651 1.0 54.06629  ? 330 TYR C CZ  330 TYR C CZ  1 
ATOM 16880 O OH  . TYR C 3 330 ? 255.966 -59.068 296.112 1.0 54.06629  ? 330 TYR C OH  330 TYR C OH  1 
ATOM 16881 N N   . PHE C 3 331 ? 247.752 -59.078 297.769 1.0 52.02936  ? 331 PHE C N   331 PHE C N   1 
ATOM 16882 C CA  . PHE C 3 331 ? 246.350 -59.186 298.153 1.0 52.02936  ? 331 PHE C CA  331 PHE C CA  1 
ATOM 16883 C C   . PHE C 3 331 ? 246.209 -60.540 298.835 1.0 52.02936  ? 331 PHE C C   331 PHE C C   1 
ATOM 16884 O O   . PHE C 3 331 ? 246.135 -61.573 298.166 1.0 52.02936  ? 331 PHE C O   331 PHE C O   1 
ATOM 16885 C CB  . PHE C 3 331 ? 245.456 -59.048 296.928 1.0 52.02936  ? 331 PHE C CB  331 PHE C CB  1 
ATOM 16886 C CG  . PHE C 3 331 ? 243.995 -59.016 297.231 1.0 52.02936  ? 331 PHE C CG  331 PHE C CG  1 
ATOM 16887 C CD1 . PHE C 3 331 ? 243.430 -57.931 297.873 1.0 52.02936  ? 331 PHE C CD1 331 PHE C CD1 1 
ATOM 16888 C CD2 . PHE C 3 331 ? 243.173 -60.041 296.814 1.0 52.02936  ? 331 PHE C CD2 331 PHE C CD2 1 
ATOM 16889 C CE1 . PHE C 3 331 ? 242.076 -57.896 298.134 1.0 52.02936  ? 331 PHE C CE1 331 PHE C CE1 1 
ATOM 16890 C CE2 . PHE C 3 331 ? 241.821 -60.003 297.064 1.0 52.02936  ? 331 PHE C CE2 331 PHE C CE2 1 
ATOM 16891 C CZ  . PHE C 3 331 ? 241.275 -58.932 297.729 1.0 52.02936  ? 331 PHE C CZ  331 PHE C CZ  1 
ATOM 16892 N N   . ALA C 3 332 ? 246.184 -60.529 300.165 1.0 54.1174   ? 332 ALA C N   332 ALA C N   1 
ATOM 16893 C CA  . ALA C 3 332 ? 246.311 -61.754 300.942 1.0 54.1174   ? 332 ALA C CA  332 ALA C CA  1 
ATOM 16894 C C   . ALA C 3 332 ? 245.048 -62.596 300.977 1.0 54.1174   ? 332 ALA C C   332 ALA C C   1 
ATOM 16895 O O   . ALA C 3 332 ? 245.077 -63.653 301.614 1.0 54.1174   ? 332 ALA C O   332 ALA C O   1 
ATOM 16896 C CB  . ALA C 3 332 ? 246.732 -61.425 302.373 1.0 54.1174   ? 332 ALA C CB  332 ALA C CB  1 
ATOM 16897 N N   . LEU C 3 333 ? 243.948 -62.175 300.349 1.0 50.93596  ? 333 LEU C N   333 LEU C N   1 
ATOM 16898 C CA  . LEU C 3 333 ? 242.753 -63.011 300.351 1.0 50.93596  ? 333 LEU C CA  333 LEU C CA  1 
ATOM 16899 C C   . LEU C 3 333 ? 242.963 -64.232 299.473 1.0 50.93596  ? 333 LEU C C   333 LEU C C   1 
ATOM 16900 O O   . LEU C 3 333 ? 242.894 -65.370 299.945 1.0 50.93596  ? 333 LEU C O   333 LEU C O   1 
ATOM 16901 C CB  . LEU C 3 333 ? 241.532 -62.220 299.880 1.0 50.93596  ? 333 LEU C CB  333 LEU C CB  1 
ATOM 16902 C CG  . LEU C 3 333 ? 240.138 -62.795 300.173 1.0 50.93596  ? 333 LEU C CG  333 LEU C CG  1 
ATOM 16903 C CD1 . LEU C 3 333 ? 239.198 -61.651 300.340 1.0 50.93596  ? 333 LEU C CD1 333 LEU C CD1 1 
ATOM 16904 C CD2 . LEU C 3 333 ? 239.572 -63.722 299.102 1.0 50.93596  ? 333 LEU C CD2 333 LEU C CD2 1 
ATOM 16905 N N   . TRP C 3 334 ? 243.244 -64.011 298.192 1.0 49.48315  ? 334 TRP C N   334 TRP C N   1 
ATOM 16906 C CA  . TRP C 3 334 ? 243.432 -65.102 297.255 1.0 49.48315  ? 334 TRP C CA  334 TRP C CA  1 
ATOM 16907 C C   . TRP C 3 334 ? 244.840 -65.652 297.260 1.0 49.48315  ? 334 TRP C C   334 TRP C C   1 
ATOM 16908 O O   . TRP C 3 334 ? 245.146 -66.477 296.399 1.0 49.48315  ? 334 TRP C O   334 TRP C O   1 
ATOM 16909 C CB  . TRP C 3 334 ? 243.086 -64.673 295.835 1.0 49.48315  ? 334 TRP C CB  334 TRP C CB  1 
ATOM 16910 C CG  . TRP C 3 334 ? 241.686 -64.184 295.674 1.0 49.48315  ? 334 TRP C CG  334 TRP C CG  1 
ATOM 16911 C CD1 . TRP C 3 334 ? 241.309 -62.924 295.380 1.0 49.48315  ? 334 TRP C CD1 334 TRP C CD1 1 
ATOM 16912 C CD2 . TRP C 3 334 ? 240.482 -64.928 295.873 1.0 49.48315  ? 334 TRP C CD2 334 TRP C CD2 1 
ATOM 16913 N NE1 . TRP C 3 334 ? 239.953 -62.829 295.335 1.0 49.48315  ? 334 TRP C NE1 334 TRP C NE1 1 
ATOM 16914 C CE2 . TRP C 3 334 ? 239.414 -64.049 295.637 1.0 49.48315  ? 334 TRP C CE2 334 TRP C CE2 1 
ATOM 16915 C CE3 . TRP C 3 334 ? 240.198 -66.252 296.210 1.0 49.48315  ? 334 TRP C CE3 334 TRP C CE3 1 
ATOM 16916 C CZ2 . TRP C 3 334 ? 238.085 -64.447 295.733 1.0 49.48315  ? 334 TRP C CZ2 334 TRP C CZ2 1 
ATOM 16917 C CZ3 . TRP C 3 334 ? 238.890 -66.646 296.316 1.0 49.48315  ? 334 TRP C CZ3 334 TRP C CZ3 1 
ATOM 16918 C CH2 . TRP C 3 334 ? 237.844 -65.749 296.062 1.0 49.48315  ? 334 TRP C CH2 334 TRP C CH2 1 
ATOM 16919 N N   . ASN C 3 335 ? 245.676 -65.237 298.216 1.0 49.46498  ? 335 ASN C N   335 ASN C N   1 
ATOM 16920 C CA  . ASN C 3 335 ? 247.111 -65.518 298.251 1.0 49.46498  ? 335 ASN C CA  335 ASN C CA  1 
ATOM 16921 C C   . ASN C 3 335 ? 247.750 -65.063 296.940 1.0 49.46498  ? 335 ASN C C   335 ASN C C   1 
ATOM 16922 O O   . ASN C 3 335 ? 248.399 -65.819 296.222 1.0 49.46498  ? 335 ASN C O   335 ASN C O   1 
ATOM 16923 C CB  . ASN C 3 335 ? 247.393 -66.994 298.542 1.0 49.46498  ? 335 ASN C CB  335 ASN C CB  1 
ATOM 16924 C CG  . ASN C 3 335 ? 248.808 -67.243 298.988 1.0 49.46498  ? 335 ASN C CG  335 ASN C CG  1 
ATOM 16925 O OD1 . ASN C 3 335 ? 249.585 -66.311 299.158 1.0 49.46498  ? 335 ASN C OD1 335 ASN C OD1 1 
ATOM 16926 N ND2 . ASN C 3 335 ? 249.159 -68.509 299.169 1.0 49.46498  ? 335 ASN C ND2 335 ASN C ND2 1 
ATOM 16927 N N   . GLN C 3 336 ? 247.510 -63.794 296.630 1.0 50.67421  ? 336 GLN C N   336 GLN C N   1 
ATOM 16928 C CA  . GLN C 3 336 ? 247.925 -63.170 295.377 1.0 50.67421  ? 336 GLN C CA  336 GLN C CA  1 
ATOM 16929 C C   . GLN C 3 336 ? 249.280 -62.515 295.623 1.0 50.67421  ? 336 GLN C C   336 GLN C C   1 
ATOM 16930 O O   . GLN C 3 336 ? 249.374 -61.328 295.931 1.0 50.67421  ? 336 GLN C O   336 GLN C O   1 
ATOM 16931 C CB  . GLN C 3 336 ? 246.858 -62.178 294.926 1.0 50.67421  ? 336 GLN C CB  336 GLN C CB  1 
ATOM 16932 C CG  . GLN C 3 336 ? 247.090 -61.443 293.620 1.0 50.67421  ? 336 GLN C CG  336 GLN C CG  1 
ATOM 16933 C CD  . GLN C 3 336 ? 245.914 -60.553 293.277 1.0 50.67421  ? 336 GLN C CD  336 GLN C CD  1 
ATOM 16934 O OE1 . GLN C 3 336 ? 244.891 -60.585 293.954 1.0 50.67421  ? 336 GLN C OE1 336 GLN C OE1 1 
ATOM 16935 N NE2 . GLN C 3 336 ? 246.073 -59.715 292.264 1.0 50.67421  ? 336 GLN C NE2 336 GLN C NE2 1 
ATOM 16936 N N   . ALA C 3 337 ? 250.341 -63.309 295.503 1.0 53.12373  ? 337 ALA C N   337 ALA C N   1 
ATOM 16937 C CA  . ALA C 3 337 ? 251.704 -62.834 295.711 1.0 53.12373  ? 337 ALA C CA  337 ALA C CA  1 
ATOM 16938 C C   . ALA C 3 337 ? 252.583 -63.427 294.625 1.0 53.12373  ? 337 ALA C C   337 ALA C C   1 
ATOM 16939 O O   . ALA C 3 337 ? 252.614 -64.647 294.450 1.0 53.12373  ? 337 ALA C O   337 ALA C O   1 
ATOM 16940 C CB  . ALA C 3 337 ? 252.222 -63.219 297.095 1.0 53.12373  ? 337 ALA C CB  337 ALA C CB  1 
ATOM 16941 N N   . VAL C 3 338 ? 253.311 -62.587 293.937 1.0 54.69131  ? 338 VAL C N   338 VAL C N   1 
ATOM 16942 C CA  . VAL C 3 338 ? 253.780 -62.916 292.599 1.0 54.69131  ? 338 VAL C CA  338 VAL C CA  1 
ATOM 16943 C C   . VAL C 3 338 ? 255.220 -63.401 292.613 1.0 54.69131  ? 338 VAL C C   338 VAL C C   1 
ATOM 16944 O O   . VAL C 3 338 ? 256.053 -62.969 293.414 1.0 54.69131  ? 338 VAL C O   338 VAL C O   1 
ATOM 16945 C CB  . VAL C 3 338 ? 253.592 -61.697 291.681 1.0 54.69131  ? 338 VAL C CB  338 VAL C CB  1 
ATOM 16946 C CG1 . VAL C 3 338 ? 252.152 -61.346 291.686 1.0 54.69131  ? 338 VAL C CG1 338 VAL C CG1 1 
ATOM 16947 C CG2 . VAL C 3 338 ? 254.392 -60.503 292.173 1.0 54.69131  ? 338 VAL C CG2 338 VAL C CG2 1 
ATOM 16948 N N   . ASP C 3 339 ? 255.511 -64.319 291.699 1.0 56.40677  ? 339 ASP C N   339 ASP C N   1 
ATOM 16949 C CA  . ASP C 3 339 ? 256.858 -64.850 291.515 1.0 56.40677  ? 339 ASP C CA  339 ASP C CA  1 
ATOM 16950 C C   . ASP C 3 339 ? 257.648 -63.869 290.666 1.0 56.40677  ? 339 ASP C C   339 ASP C C   1 
ATOM 16951 O O   . ASP C 3 339 ? 257.584 -63.890 289.439 1.0 56.40677  ? 339 ASP C O   339 ASP C O   1 
ATOM 16952 C CB  . ASP C 3 339 ? 256.809 -66.221 290.856 1.0 56.40677  ? 339 ASP C CB  339 ASP C CB  1 
ATOM 16953 C CG  . ASP C 3 339 ? 256.234 -67.278 291.761 1.0 56.40677  ? 339 ASP C CG  339 ASP C CG  1 
ATOM 16954 O OD1 . ASP C 3 339 ? 256.395 -67.151 292.989 1.0 56.40677  ? 339 ASP C OD1 339 ASP C OD1 1 
ATOM 16955 O OD2 . ASP C 3 339 ? 255.618 -68.235 291.250 1.0 56.40677  ? 339 ASP C OD2 339 ASP C OD2 1 
ATOM 16956 N N   . ASP C 3 340 ? 258.376 -62.975 291.319 1.0 56.49091  ? 340 ASP C N   340 ASP C N   1 
ATOM 16957 C CA  . ASP C 3 340 ? 259.354 -62.158 290.622 1.0 56.49091  ? 340 ASP C CA  340 ASP C CA  1 
ATOM 16958 C C   . ASP C 3 340 ? 260.743 -62.761 290.811 1.0 56.49091  ? 340 ASP C C   340 ASP C C   1 
ATOM 16959 O O   . ASP C 3 340 ? 260.896 -63.904 291.241 1.0 56.49091  ? 340 ASP C O   340 ASP C O   1 
ATOM 16960 C CB  . ASP C 3 340 ? 259.282 -60.704 291.085 1.0 56.49091  ? 340 ASP C CB  340 ASP C CB  1 
ATOM 16961 C CG  . ASP C 3 340 ? 259.442 -60.551 292.582 1.0 56.49091  ? 340 ASP C CG  340 ASP C CG  1 
ATOM 16962 O OD1 . ASP C 3 340 ? 259.406 -61.568 293.301 1.0 56.49091  ? 340 ASP C OD1 340 ASP C OD1 1 
ATOM 16963 O OD2 . ASP C 3 340 ? 259.628 -59.406 293.042 1.0 56.49091  ? 340 ASP C OD2 340 ASP C OD2 1 
ATOM 16964 N N   . TYR C 3 341 ? 261.769 -62.009 290.437 1.0 55.73541  ? 341 TYR C N   341 TYR C N   1 
ATOM 16965 C CA  . TYR C 3 341 ? 263.144 -62.348 290.759 1.0 55.73541  ? 341 TYR C CA  341 TYR C CA  1 
ATOM 16966 C C   . TYR C 3 341 ? 263.861 -61.048 291.073 1.0 55.73541  ? 341 TYR C C   341 TYR C C   1 
ATOM 16967 O O   . TYR C 3 341 ? 263.300 -59.960 290.930 1.0 55.73541  ? 341 TYR C O   341 TYR C O   1 
ATOM 16968 C CB  . TYR C 3 341 ? 263.821 -63.131 289.622 1.0 55.73541  ? 341 TYR C CB  341 TYR C CB  1 
ATOM 16969 C CG  . TYR C 3 341 ? 263.864 -62.428 288.278 1.0 55.73541  ? 341 TYR C CG  341 TYR C CG  1 
ATOM 16970 C CD1 . TYR C 3 341 ? 262.842 -62.590 287.358 1.0 55.73541  ? 341 TYR C CD1 341 TYR C CD1 1 
ATOM 16971 C CD2 . TYR C 3 341 ? 264.938 -61.626 287.923 1.0 55.73541  ? 341 TYR C CD2 341 TYR C CD2 1 
ATOM 16972 C CE1 . TYR C 3 341 ? 262.881 -61.956 286.133 1.0 55.73541  ? 341 TYR C CE1 341 TYR C CE1 1 
ATOM 16973 C CE2 . TYR C 3 341 ? 264.981 -60.985 286.705 1.0 55.73541  ? 341 TYR C CE2 341 TYR C CE2 1 
ATOM 16974 C CZ  . TYR C 3 341 ? 263.954 -61.158 285.813 1.0 55.73541  ? 341 TYR C CZ  341 TYR C CZ  1 
ATOM 16975 O OH  . TYR C 3 341 ? 264.005 -60.521 284.596 1.0 55.73541  ? 341 TYR C OH  341 TYR C OH  1 
ATOM 16976 N N   . ASP C 3 342 ? 265.105 -61.160 291.513 1.0 59.67674  ? 342 ASP C N   342 ASP C N   1 
ATOM 16977 C CA  . ASP C 3 342 ? 265.882 -59.962 291.780 1.0 59.67674  ? 342 ASP C CA  342 ASP C CA  1 
ATOM 16978 C C   . ASP C 3 342 ? 266.512 -59.489 290.479 1.0 59.67674  ? 342 ASP C C   342 ASP C C   1 
ATOM 16979 O O   . ASP C 3 342 ? 267.160 -60.267 289.772 1.0 59.67674  ? 342 ASP C O   342 ASP C O   1 
ATOM 16980 C CB  . ASP C 3 342 ? 266.946 -60.230 292.838 1.0 59.67674  ? 342 ASP C CB  342 ASP C CB  1 
ATOM 16981 C CG  . ASP C 3 342 ? 267.494 -58.954 293.452 1.0 59.67674  ? 342 ASP C CG  342 ASP C CG  1 
ATOM 16982 O OD1 . ASP C 3 342 ? 267.045 -57.861 293.057 1.0 59.67674  ? 342 ASP C OD1 342 ASP C OD1 1 
ATOM 16983 O OD2 . ASP C 3 342 ? 268.369 -59.043 294.339 1.0 59.67674  ? 342 ASP C OD2 342 ASP C OD2 1 
ATOM 16984 N N   . HIS C 3 343 ? 266.315 -58.208 290.170 1.0 62.00866  ? 343 HIS C N   343 HIS C N   1 
ATOM 16985 C CA  . HIS C 3 343 ? 266.768 -57.627 288.914 1.0 62.00866  ? 343 HIS C CA  343 HIS C CA  1 
ATOM 16986 C C   . HIS C 3 343 ? 268.286 -57.593 288.797 1.0 62.00866  ? 343 HIS C C   343 HIS C C   1 
ATOM 16987 O O   . HIS C 3 343 ? 268.810 -57.603 287.679 1.0 62.00866  ? 343 HIS C O   343 HIS C O   1 
ATOM 16988 C CB  . HIS C 3 343 ? 266.185 -56.219 288.789 1.0 62.00866  ? 343 HIS C CB  343 HIS C CB  1 
ATOM 16989 C CG  . HIS C 3 343 ? 266.549 -55.515 287.521 1.0 62.00866  ? 343 HIS C CG  343 HIS C CG  1 
ATOM 16990 N ND1 . HIS C 3 343 ? 266.012 -55.857 286.299 1.0 62.00866  ? 343 HIS C ND1 343 HIS C ND1 1 
ATOM 16991 C CD2 . HIS C 3 343 ? 267.387 -54.478 287.289 1.0 62.00866  ? 343 HIS C CD2 343 HIS C CD2 1 
ATOM 16992 C CE1 . HIS C 3 343 ? 266.511 -55.066 285.367 1.0 62.00866  ? 343 HIS C CE1 343 HIS C CE1 1 
ATOM 16993 N NE2 . HIS C 3 343 ? 267.347 -54.220 285.941 1.0 62.00866  ? 343 HIS C NE2 343 HIS C NE2 1 
ATOM 16994 N N   . HIS C 3 344 ? 269.004 -57.583 289.921 1.0 61.74131  ? 344 HIS C N   344 HIS C N   1 
ATOM 16995 C CA  . HIS C 3 344 ? 270.457 -57.549 289.906 1.0 61.74131  ? 344 HIS C CA  344 HIS C CA  1 
ATOM 16996 C C   . HIS C 3 344 ? 271.110 -58.894 290.170 1.0 61.74131  ? 344 HIS C C   344 HIS C C   1 
ATOM 16997 O O   . HIS C 3 344 ? 272.333 -58.995 290.054 1.0 61.74131  ? 344 HIS C O   344 HIS C O   1 
ATOM 16998 C CB  . HIS C 3 344 ? 270.970 -56.540 290.937 1.0 61.74131  ? 344 HIS C CB  344 HIS C CB  1 
ATOM 16999 C CG  . HIS C 3 344 ? 270.564 -55.136 290.638 1.0 61.74131  ? 344 HIS C CG  344 HIS C CG  1 
ATOM 17000 N ND1 . HIS C 3 344 ? 271.147 -54.395 289.634 1.0 61.74131  ? 344 HIS C ND1 344 HIS C ND1 1 
ATOM 17001 C CD2 . HIS C 3 344 ? 269.617 -54.344 291.192 1.0 61.74131  ? 344 HIS C CD2 344 HIS C CD2 1 
ATOM 17002 C CE1 . HIS C 3 344 ? 270.585 -53.201 289.590 1.0 61.74131  ? 344 HIS C CE1 344 HIS C CE1 1 
ATOM 17003 N NE2 . HIS C 3 344 ? 269.654 -53.145 290.525 1.0 61.74131  ? 344 HIS C NE2 344 HIS C NE2 1 
ATOM 17004 N N   . VAL C 3 345 ? 270.338 -59.915 290.541 1.0 58.08391  ? 345 VAL C N   345 VAL C N   1 
ATOM 17005 C CA  . VAL C 3 345 ? 270.910 -61.249 290.668 1.0 58.08391  ? 345 VAL C CA  345 VAL C CA  1 
ATOM 17006 C C   . VAL C 3 345 ? 270.918 -61.954 289.323 1.0 58.08391  ? 345 VAL C C   345 VAL C C   1 
ATOM 17007 O O   . VAL C 3 345 ? 271.932 -62.550 288.934 1.0 58.08391  ? 345 VAL C O   345 VAL C O   1 
ATOM 17008 C CB  . VAL C 3 345 ? 270.148 -62.052 291.735 1.0 58.08391  ? 345 VAL C CB  345 VAL C CB  1 
ATOM 17009 C CG1 . VAL C 3 345 ? 270.591 -63.501 291.729 1.0 58.08391  ? 345 VAL C CG1 345 VAL C CG1 1 
ATOM 17010 C CG2 . VAL C 3 345 ? 270.402 -61.447 293.093 1.0 58.08391  ? 345 VAL C CG2 345 VAL C CG2 1 
ATOM 17011 N N   . ARG C 3 346 ? 269.814 -61.878 288.582 1.0 56.71084  ? 346 ARG C N   346 ARG C N   1 
ATOM 17012 C CA  . ARG C 3 346 ? 269.714 -62.517 287.277 1.0 56.71084  ? 346 ARG C CA  346 ARG C CA  1 
ATOM 17013 C C   . ARG C 3 346 ? 270.639 -61.833 286.285 1.0 56.71084  ? 346 ARG C C   346 ARG C C   1 
ATOM 17014 O O   . ARG C 3 346 ? 271.609 -62.437 285.825 1.0 56.71084  ? 346 ARG C O   346 ARG C O   1 
ATOM 17015 C CB  . ARG C 3 346 ? 268.272 -62.474 286.779 1.0 56.71084  ? 346 ARG C CB  346 ARG C CB  1 
ATOM 17016 C CG  . ARG C 3 346 ? 268.034 -63.122 285.433 1.0 56.71084  ? 346 ARG C CG  346 ARG C CG  1 
ATOM 17017 C CD  . ARG C 3 346 ? 268.234 -64.612 285.498 1.0 56.71084  ? 346 ARG C CD  346 ARG C CD  1 
ATOM 17018 N NE  . ARG C 3 346 ? 267.824 -65.267 284.263 1.0 56.71084  ? 346 ARG C NE  346 ARG C NE  1 
ATOM 17019 C CZ  . ARG C 3 346 ? 268.046 -66.547 283.999 1.0 56.71084  ? 346 ARG C CZ  346 ARG C CZ  1 
ATOM 17020 N NH1 . ARG C 3 346 ? 268.682 -67.300 284.884 1.0 56.71084  ? 346 ARG C NH1 346 ARG C NH1 1 
ATOM 17021 N NH2 . ARG C 3 346 ? 267.640 -67.073 282.854 1.0 56.71084  ? 346 ARG C NH2 346 ARG C NH2 1 
ATOM 17022 N N   . ILE C 3 347 ? 270.385 -60.561 285.998 1.0 59.65001  ? 347 ILE C N   347 ILE C N   1 
ATOM 17023 C CA  . ILE C 3 347 ? 271.258 -59.796 285.118 1.0 59.65001  ? 347 ILE C CA  347 ILE C CA  1 
ATOM 17024 C C   . ILE C 3 347 ? 272.131 -58.897 285.983 1.0 59.65001  ? 347 ILE C C   347 ILE C C   1 
ATOM 17025 O O   . ILE C 3 347 ? 271.717 -57.802 286.379 1.0 59.65001  ? 347 ILE C O   347 ILE C O   1 
ATOM 17026 C CB  . ILE C 3 347 ? 270.438 -58.978 284.115 1.0 59.65001  ? 347 ILE C CB  347 ILE C CB  1 
ATOM 17027 C CG1 . ILE C 3 347 ? 269.468 -59.883 283.358 1.0 59.65001  ? 347 ILE C CG1 347 ILE C CG1 1 
ATOM 17028 C CG2 . ILE C 3 347 ? 271.344 -58.296 283.126 1.0 59.65001  ? 347 ILE C CG2 347 ILE C CG2 1 
ATOM 17029 C CD1 . ILE C 3 347 ? 270.148 -60.951 282.528 1.0 59.65001  ? 347 ILE C CD1 347 ILE C CD1 1 
ATOM 17030 N N   . LEU C 3 348 ? 273.338 -59.357 286.291 1.0 59.52329  ? 348 LEU C N   348 LEU C N   1 
ATOM 17031 C CA  . LEU C 3 348 ? 274.175 -58.712 287.291 1.0 59.52329  ? 348 LEU C CA  348 LEU C CA  1 
ATOM 17032 C C   . LEU C 3 348 ? 275.067 -57.656 286.657 1.0 59.52329  ? 348 LEU C C   348 LEU C C   1 
ATOM 17033 O O   . LEU C 3 348 ? 275.663 -57.882 285.600 1.0 59.52329  ? 348 LEU C O   348 LEU C O   1 
ATOM 17034 C CB  . LEU C 3 348 ? 275.007 -59.751 288.054 1.0 59.52329  ? 348 LEU C CB  348 LEU C CB  1 
ATOM 17035 C CG  . LEU C 3 348 ? 275.958 -60.730 287.362 1.0 59.52329  ? 348 LEU C CG  348 LEU C CG  1 
ATOM 17036 C CD1 . LEU C 3 348 ? 277.384 -60.196 287.244 1.0 59.52329  ? 348 LEU C CD1 348 LEU C CD1 1 
ATOM 17037 C CD2 . LEU C 3 348 ? 275.939 -62.050 288.104 1.0 59.52329  ? 348 LEU C CD2 348 LEU C CD2 1 
ATOM 17038 N N   . GLU C 3 349 ? 275.138 -56.497 287.304 1.0 62.48384  ? 349 GLU C N   349 GLU C N   1 
ATOM 17039 C CA  . GLU C 3 349 ? 276.041 -55.422 286.916 1.0 62.48384  ? 349 GLU C CA  349 GLU C CA  1 
ATOM 17040 C C   . GLU C 3 349 ? 277.250 -55.476 287.837 1.0 62.48384  ? 349 GLU C C   349 GLU C C   1 
ATOM 17041 O O   . GLU C 3 349 ? 277.152 -55.133 289.018 1.0 62.48384  ? 349 GLU C O   349 GLU C O   1 
ATOM 17042 C CB  . GLU C 3 349 ? 275.349 -54.065 287.007 1.0 62.48384  ? 349 GLU C CB  349 GLU C CB  1 
ATOM 17043 C CG  . GLU C 3 349 ? 274.247 -53.853 285.994 1.0 62.48384  ? 349 GLU C CG  349 GLU C CG  1 
ATOM 17044 C CD  . GLU C 3 349 ? 273.589 -52.495 286.136 1.0 62.48384  ? 349 GLU C CD  349 GLU C CD  1 
ATOM 17045 O OE1 . GLU C 3 349 ? 273.889 -51.792 287.125 1.0 62.48384  ? 349 GLU C OE1 349 GLU C OE1 1 
ATOM 17046 O OE2 . GLU C 3 349 ? 272.783 -52.125 285.257 1.0 62.48384  ? 349 GLU C OE2 349 GLU C OE2 1 
ATOM 17047 N N   . ASN C 3 350 ? 278.385 -55.911 287.305 1.0 63.38768  ? 350 ASN C N   350 ASN C N   1 
ATOM 17048 C CA  . ASN C 3 350 ? 279.603 -56.025 288.099 1.0 63.38768  ? 350 ASN C CA  350 ASN C CA  1 
ATOM 17049 C C   . ASN C 3 350 ? 280.389 -54.732 287.935 1.0 63.38768  ? 350 ASN C C   350 ASN C C   1 
ATOM 17050 O O   . ASN C 3 350 ? 281.257 -54.626 287.068 1.0 63.38768  ? 350 ASN C O   350 ASN C O   1 
ATOM 17051 C CB  . ASN C 3 350 ? 280.417 -57.239 287.670 1.0 63.38768  ? 350 ASN C CB  350 ASN C CB  1 
ATOM 17052 C CG  . ASN C 3 350 ? 281.541 -57.563 288.635 1.0 63.38768  ? 350 ASN C CG  350 ASN C CG  1 
ATOM 17053 O OD1 . ASN C 3 350 ? 281.734 -56.882 289.638 1.0 63.38768  ? 350 ASN C OD1 350 ASN C OD1 1 
ATOM 17054 N ND2 . ASN C 3 350 ? 282.290 -58.612 288.332 1.0 63.38768  ? 350 ASN C ND2 350 ASN C ND2 1 
ATOM 17055 N N   . ASP C 3 351 ? 280.095 -53.751 288.786 1.0 61.01061  ? 351 ASP C N   351 ASP C N   1 
ATOM 17056 C CA  . ASP C 3 351 ? 280.771 -52.462 288.767 1.0 61.01061  ? 351 ASP C CA  351 ASP C CA  1 
ATOM 17057 C C   . ASP C 3 351 ? 281.835 -52.356 289.848 1.0 61.01061  ? 351 ASP C C   351 ASP C C   1 
ATOM 17058 O O   . ASP C 3 351 ? 282.281 -51.251 290.167 1.0 61.01061  ? 351 ASP C O   351 ASP C O   1 
ATOM 17059 C CB  . ASP C 3 351 ? 279.757 -51.334 288.923 1.0 61.01061  ? 351 ASP C CB  351 ASP C CB  1 
ATOM 17060 C CG  . ASP C 3 351 ? 278.854 -51.205 287.727 1.0 61.01061  ? 351 ASP C CG  351 ASP C CG  1 
ATOM 17061 O OD1 . ASP C 3 351 ? 279.310 -51.515 286.610 1.0 61.01061  ? 351 ASP C OD1 351 ASP C OD1 1 
ATOM 17062 O OD2 . ASP C 3 351 ? 277.684 -50.810 287.905 1.0 61.01061  ? 351 ASP C OD2 351 ASP C OD2 1 
ATOM 17063 N N   . GLY C 3 352 ? 282.251 -53.481 290.414 1.0 62.8353   ? 352 GLY C N   352 GLY C N   1 
ATOM 17064 C CA  . GLY C 3 352 ? 283.200 -53.458 291.505 1.0 62.8353   ? 352 GLY C CA  352 GLY C CA  1 
ATOM 17065 C C   . GLY C 3 352 ? 282.580 -52.938 292.781 1.0 62.8353   ? 352 GLY C C   352 GLY C C   1 
ATOM 17066 O O   . GLY C 3 352 ? 281.644 -53.542 293.313 1.0 62.8353   ? 352 GLY C O   352 GLY C O   1 
ATOM 17067 N N   . TYR C 3 353 ? 283.077 -51.802 293.261 1.0 65.63333  ? 353 TYR C N   353 TYR C N   1 
ATOM 17068 C CA  . TYR C 3 353 ? 282.638 -51.228 294.523 1.0 65.63333  ? 353 TYR C CA  353 TYR C CA  1 
ATOM 17069 C C   . TYR C 3 353 ? 283.093 -49.780 294.578 1.0 65.63333  ? 353 TYR C C   353 TYR C C   1 
ATOM 17070 O O   . TYR C 3 353 ? 283.961 -49.357 293.814 1.0 65.63333  ? 353 TYR C O   353 TYR C O   1 
ATOM 17071 C CB  . TYR C 3 353 ? 283.187 -52.015 295.721 1.0 65.63333  ? 353 TYR C CB  353 TYR C CB  1 
ATOM 17072 C CG  . TYR C 3 353 ? 284.697 -52.057 295.810 1.0 65.63333  ? 353 TYR C CG  353 TYR C CG  1 
ATOM 17073 C CD1 . TYR C 3 353 ? 285.422 -53.028 295.135 1.0 65.63333  ? 353 TYR C CD1 353 TYR C CD1 1 
ATOM 17074 C CD2 . TYR C 3 353 ? 285.393 -51.149 296.600 1.0 65.63333  ? 353 TYR C CD2 353 TYR C CD2 1 
ATOM 17075 C CE1 . TYR C 3 353 ? 286.793 -53.075 295.216 1.0 65.63333  ? 353 TYR C CE1 353 TYR C CE1 1 
ATOM 17076 C CE2 . TYR C 3 353 ? 286.764 -51.190 296.687 1.0 65.63333  ? 353 TYR C CE2 353 TYR C CE2 1 
ATOM 17077 C CZ  . TYR C 3 353 ? 287.455 -52.155 295.994 1.0 65.63333  ? 353 TYR C CZ  353 TYR C CZ  1 
ATOM 17078 O OH  . TYR C 3 353 ? 288.821 -52.203 296.082 1.0 65.63333  ? 353 TYR C OH  353 TYR C OH  1 
ATOM 17079 N N   . GLU C 3 354 ? 282.505 -49.029 295.500 1.0 66.85739  ? 354 GLU C N   354 GLU C N   1 
ATOM 17080 C CA  . GLU C 3 354 ? 282.943 -47.663 295.755 1.0 66.85739  ? 354 GLU C CA  354 GLU C CA  1 
ATOM 17081 C C   . GLU C 3 354 ? 284.030 -47.700 296.818 1.0 66.85739  ? 354 GLU C C   354 GLU C C   1 
ATOM 17082 O O   . GLU C 3 354 ? 283.752 -47.982 297.985 1.0 66.85739  ? 354 GLU C O   354 GLU C O   1 
ATOM 17083 C CB  . GLU C 3 354 ? 281.771 -46.794 296.199 1.0 66.85739  ? 354 GLU C CB  354 GLU C CB  1 
ATOM 17084 C CG  . GLU C 3 354 ? 280.734 -46.546 295.118 1.0 66.85739  ? 354 GLU C CG  354 GLU C CG  1 
ATOM 17085 C CD  . GLU C 3 354 ? 279.569 -45.714 295.614 1.0 66.85739  ? 354 GLU C CD  354 GLU C CD  1 
ATOM 17086 O OE1 . GLU C 3 354 ? 279.514 -45.439 296.830 1.0 66.85739  ? 354 GLU C OE1 354 GLU C OE1 1 
ATOM 17087 O OE2 . GLU C 3 354 ? 278.708 -45.339 294.792 1.0 66.85739  ? 354 GLU C OE2 354 GLU C OE2 1 
ATOM 17088 N N   . GLU C 3 355 ? 285.268 -47.427 296.422 1.0 70.46797  ? 355 GLU C N   355 GLU C N   1 
ATOM 17089 C CA  . GLU C 3 355 ? 286.356 -47.389 297.383 1.0 70.46797  ? 355 GLU C CA  355 GLU C CA  1 
ATOM 17090 C C   . GLU C 3 355 ? 286.314 -46.087 298.176 1.0 70.46797  ? 355 GLU C C   355 GLU C C   1 
ATOM 17091 O O   . GLU C 3 355 ? 285.571 -45.159 297.855 1.0 70.46797  ? 355 GLU C O   355 GLU C O   1 
ATOM 17092 C CB  . GLU C 3 355 ? 287.703 -47.561 296.676 1.0 70.46797  ? 355 GLU C CB  355 GLU C CB  1 
ATOM 17093 C CG  . GLU C 3 355 ? 288.032 -46.511 295.621 1.0 70.46797  ? 355 GLU C CG  355 GLU C CG  1 
ATOM 17094 C CD  . GLU C 3 355 ? 288.813 -45.335 296.176 1.0 70.46797  ? 355 GLU C CD  355 GLU C CD  1 
ATOM 17095 O OE1 . GLU C 3 355 ? 289.408 -45.481 297.263 1.0 70.46797  ? 355 GLU C OE1 355 GLU C OE1 1 
ATOM 17096 O OE2 . GLU C 3 355 ? 288.829 -44.268 295.527 1.0 70.46797  ? 355 GLU C OE2 355 GLU C OE2 1 
ATOM 17097 N N   . GLY C 3 356 ? 287.128 -46.024 299.225 1.0 68.39125  ? 356 GLY C N   356 GLY C N   1 
ATOM 17098 C CA  . GLY C 3 356 ? 287.187 -44.844 300.052 1.0 68.39125  ? 356 GLY C CA  356 GLY C CA  1 
ATOM 17099 C C   . GLY C 3 356 ? 288.365 -44.834 301.004 1.0 68.39125  ? 356 GLY C C   356 GLY C C   1 
ATOM 17100 O O   . GLY C 3 356 ? 289.435 -45.374 300.712 1.0 68.39125  ? 356 GLY C O   356 GLY C O   1 
ATOM 17101 N N   . PRO C 3 357 ? 288.190 -44.200 302.161 1.0 69.78225  ? 357 PRO C N   357 PRO C N   1 
ATOM 17102 C CA  . PRO C 3 357 ? 289.219 -44.236 303.201 1.0 69.78225  ? 357 PRO C CA  357 PRO C CA  1 
ATOM 17103 C C   . PRO C 3 357 ? 289.321 -45.629 303.797 1.0 69.78225  ? 357 PRO C C   357 PRO C C   1 
ATOM 17104 O O   . PRO C 3 357 ? 288.381 -46.425 303.662 1.0 69.78225  ? 357 PRO C O   357 PRO C O   1 
ATOM 17105 C CB  . PRO C 3 357 ? 288.705 -43.214 304.228 1.0 69.78225  ? 357 PRO C CB  357 PRO C CB  1 
ATOM 17106 C CG  . PRO C 3 357 ? 287.248 -43.207 304.042 1.0 69.78225  ? 357 PRO C CG  357 PRO C CG  1 
ATOM 17107 C CD  . PRO C 3 357 ? 287.013 -43.422 302.581 1.0 69.78225  ? 357 PRO C CD  357 PRO C CD  1 
ATOM 17108 N N   . PRO C 3 358 ? 290.443 -45.977 304.435 1.0 70.9387   ? 358 PRO C N   358 PRO C N   1 
ATOM 17109 C CA  . PRO C 3 358 ? 290.590 -47.337 304.970 1.0 70.9387   ? 358 PRO C CA  358 PRO C CA  1 
ATOM 17110 C C   . PRO C 3 358 ? 289.664 -47.574 306.154 1.0 70.9387   ? 358 PRO C C   358 PRO C C   1 
ATOM 17111 O O   . PRO C 3 358 ? 289.565 -46.750 307.065 1.0 70.9387   ? 358 PRO C O   358 PRO C O   1 
ATOM 17112 C CB  . PRO C 3 358 ? 292.064 -47.399 305.383 1.0 70.9387   ? 358 PRO C CB  358 PRO C CB  1 
ATOM 17113 C CG  . PRO C 3 358 ? 292.442 -46.000 305.627 1.0 70.9387   ? 358 PRO C CG  358 PRO C CG  1 
ATOM 17114 C CD  . PRO C 3 358 ? 291.666 -45.186 304.647 1.0 70.9387   ? 358 PRO C CD  358 PRO C CD  1 
ATOM 17115 N N   . ASN C 3 359 ? 288.970 -48.707 306.120 1.0 70.62623  ? 359 ASN C N   359 ASN C N   1 
ATOM 17116 C CA  . ASN C 3 359 ? 287.954 -49.031 307.116 1.0 70.62623  ? 359 ASN C CA  359 ASN C CA  1 
ATOM 17117 C C   . ASN C 3 359 ? 288.628 -49.836 308.216 1.0 70.62623  ? 359 ASN C C   359 ASN C C   1 
ATOM 17118 O O   . ASN C 3 359 ? 288.660 -51.066 308.191 1.0 70.62623  ? 359 ASN C O   359 ASN C O   1 
ATOM 17119 C CB  . ASN C 3 359 ? 286.803 -49.780 306.464 1.0 70.62623  ? 359 ASN C CB  359 ASN C CB  1 
ATOM 17120 C CG  . ASN C 3 359 ? 286.130 -48.963 305.381 1.0 70.62623  ? 359 ASN C CG  359 ASN C CG  1 
ATOM 17121 O OD1 . ASN C 3 359 ? 286.207 -49.293 304.200 1.0 70.62623  ? 359 ASN C OD1 359 ASN C OD1 1 
ATOM 17122 N ND2 . ASN C 3 359 ? 285.474 -47.883 305.779 1.0 70.62623  ? 359 ASN C ND2 359 ASN C ND2 1 
ATOM 17123 N N   . LEU C 3 360 ? 289.167 -49.122 309.198 1.0 71.3196   ? 360 LEU C N   360 LEU C N   1 
ATOM 17124 C CA  . LEU C 3 360 ? 289.998 -49.698 310.242 1.0 71.3196   ? 360 LEU C CA  360 LEU C CA  1 
ATOM 17125 C C   . LEU C 3 360 ? 289.156 -50.169 311.420 1.0 71.3196   ? 360 LEU C C   360 LEU C C   1 
ATOM 17126 O O   . LEU C 3 360 ? 288.109 -49.598 311.727 1.0 71.3196   ? 360 LEU C O   360 LEU C O   1 
ATOM 17127 C CB  . LEU C 3 360 ? 291.013 -48.666 310.728 1.0 71.3196   ? 360 LEU C CB  360 LEU C CB  1 
ATOM 17128 C CG  . LEU C 3 360 ? 292.051 -48.171 309.729 1.0 71.3196   ? 360 LEU C CG  360 LEU C CG  1 
ATOM 17129 C CD1 . LEU C 3 360 ? 292.788 -46.983 310.301 1.0 71.3196   ? 360 LEU C CD1 360 LEU C CD1 1 
ATOM 17130 C CD2 . LEU C 3 360 ? 293.024 -49.275 309.399 1.0 71.3196   ? 360 LEU C CD2 360 LEU C CD2 1 
ATOM 17131 N N   . ALA C 3 361 ? 289.635 -51.211 312.093 1.0 71.76634  ? 361 ALA C N   361 ALA C N   1 
ATOM 17132 C CA  . ALA C 3 361 ? 289.055 -51.667 313.346 1.0 71.76634  ? 361 ALA C CA  361 ALA C CA  1 
ATOM 17133 C C   . ALA C 3 361 ? 290.057 -51.450 314.472 1.0 71.76634  ? 361 ALA C C   361 ALA C C   1 
ATOM 17134 O O   . ALA C 3 361 ? 291.269 -51.482 314.258 1.0 71.76634  ? 361 ALA C O   361 ALA C O   1 
ATOM 17135 C CB  . ALA C 3 361 ? 288.641 -53.134 313.277 1.0 71.76634  ? 361 ALA C CB  361 ALA C CB  1 
ATOM 17136 N N   . PHE C 3 362 ? 289.535 -51.254 315.679 1.0 73.89551  ? 362 PHE C N   362 PHE C N   1 
ATOM 17137 C CA  . PHE C 3 362 ? 290.259 -50.675 316.798 1.0 73.89551  ? 362 PHE C CA  362 PHE C CA  1 
ATOM 17138 C C   . PHE C 3 362 ? 290.015 -51.470 318.073 1.0 73.89551  ? 362 PHE C C   362 PHE C C   1 
ATOM 17139 O O   . PHE C 3 362 ? 288.883 -51.887 318.331 1.0 73.89551  ? 362 PHE C O   362 PHE C O   1 
ATOM 17140 C CB  . PHE C 3 362 ? 289.783 -49.231 316.994 1.0 73.89551  ? 362 PHE C CB  362 PHE C CB  1 
ATOM 17141 C CG  . PHE C 3 362 ? 290.187 -48.312 315.888 1.0 73.89551  ? 362 PHE C CG  362 PHE C CG  1 
ATOM 17142 C CD1 . PHE C 3 362 ? 291.426 -48.434 315.292 1.0 73.89551  ? 362 PHE C CD1 362 PHE C CD1 1 
ATOM 17143 C CD2 . PHE C 3 362 ? 289.280 -47.410 315.359 1.0 73.89551  ? 362 PHE C CD2 362 PHE C CD2 1 
ATOM 17144 C CE1 . PHE C 3 362 ? 291.788 -47.610 314.249 1.0 73.89551  ? 362 PHE C CE1 362 PHE C CE1 1 
ATOM 17145 C CE2 . PHE C 3 362 ? 289.631 -46.598 314.291 1.0 73.89551  ? 362 PHE C CE2 362 PHE C CE2 1 
ATOM 17146 C CZ  . PHE C 3 362 ? 290.891 -46.694 313.746 1.0 73.89551  ? 362 PHE C CZ  362 PHE C CZ  1 
ATOM 17147 N N   . PRO C 3 363 ? 291.037 -51.690 318.893 1.0 75.86251  ? 363 PRO C N   363 PRO C N   1 
ATOM 17148 C CA  . PRO C 3 363 ? 290.822 -52.353 320.175 1.0 75.86251  ? 363 PRO C CA  363 PRO C CA  1 
ATOM 17149 C C   . PRO C 3 363 ? 290.166 -51.406 321.162 1.0 75.86251  ? 363 PRO C C   363 PRO C C   1 
ATOM 17150 O O   . PRO C 3 363 ? 290.532 -50.224 321.241 1.0 75.86251  ? 363 PRO C O   363 PRO C O   1 
ATOM 17151 C CB  . PRO C 3 363 ? 292.240 -52.738 320.615 1.0 75.86251  ? 363 PRO C CB  363 PRO C CB  1 
ATOM 17152 C CG  . PRO C 3 363 ? 293.112 -51.759 319.958 1.0 75.86251  ? 363 PRO C CG  363 PRO C CG  1 
ATOM 17153 C CD  . PRO C 3 363 ? 292.462 -51.440 318.642 1.0 75.86251  ? 363 PRO C CD  363 PRO C CD  1 
ATOM 17154 N N   . PRO C 3 364 ? 289.179 -51.881 321.925 1.0 76.08543  ? 364 PRO C N   364 PRO C N   1 
ATOM 17155 C CA  . PRO C 3 364 ? 288.393 -50.975 322.774 1.0 76.08543  ? 364 PRO C CA  364 PRO C CA  1 
ATOM 17156 C C   . PRO C 3 364 ? 289.094 -50.525 324.047 1.0 76.08543  ? 364 PRO C C   364 PRO C C   1 
ATOM 17157 O O   . PRO C 3 364 ? 288.530 -49.704 324.783 1.0 76.08543  ? 364 PRO C O   364 PRO C O   1 
ATOM 17158 C CB  . PRO C 3 364 ? 287.156 -51.811 323.111 1.0 76.08543  ? 364 PRO C CB  364 PRO C CB  1 
ATOM 17159 C CG  . PRO C 3 364 ? 287.117 -52.881 322.070 1.0 76.08543  ? 364 PRO C CG  364 PRO C CG  1 
ATOM 17160 C CD  . PRO C 3 364 ? 288.538 -53.197 321.793 1.0 76.08543  ? 364 PRO C CD  364 PRO C CD  1 
ATOM 17161 N N   . HIS C 3 365 ? 290.294 -51.026 324.327 1.0 79.51112  ? 365 HIS C N   365 HIS C N   1 
ATOM 17162 C CA  . HIS C 3 365 ? 291.082 -50.642 325.496 1.0 79.51112  ? 365 HIS C CA  365 HIS C CA  1 
ATOM 17163 C C   . HIS C 3 365 ? 292.113 -49.588 325.134 1.0 79.51112  ? 365 HIS C C   365 HIS C C   1 
ATOM 17164 O O   . HIS C 3 365 ? 293.182 -49.520 325.742 1.0 79.51112  ? 365 HIS C O   365 HIS C O   1 
ATOM 17165 C CB  . HIS C 3 365 ? 291.759 -51.865 326.106 1.0 79.51112  ? 365 HIS C CB  365 HIS C CB  1 
ATOM 17166 C CG  . HIS C 3 365 ? 292.753 -52.524 325.200 1.0 79.51112  ? 365 HIS C CG  365 HIS C CG  1 
ATOM 17167 N ND1 . HIS C 3 365 ? 292.403 -53.492 324.285 1.0 79.51112  ? 365 HIS C ND1 365 HIS C ND1 1 
ATOM 17168 C CD2 . HIS C 3 365 ? 294.088 -52.342 325.061 1.0 79.51112  ? 365 HIS C CD2 365 HIS C CD2 1 
ATOM 17169 C CE1 . HIS C 3 365 ? 293.482 -53.890 323.634 1.0 79.51112  ? 365 HIS C CE1 365 HIS C CE1 1 
ATOM 17170 N NE2 . HIS C 3 365 ? 294.516 -53.202 324.081 1.0 79.51112  ? 365 HIS C NE2 365 HIS C NE2 1 
ATOM 17171 N N   . VAL C 3 366 ? 291.720 -48.656 324.266 1.0 77.52334  ? 366 VAL C N   366 VAL C N   1 
ATOM 17172 C CA  . VAL C 3 366 ? 292.478 -48.095 323.146 1.0 77.52334  ? 366 VAL C CA  366 VAL C CA  1 
ATOM 17173 C C   . VAL C 3 366 ? 293.972 -47.847 323.388 1.0 77.52334  ? 366 VAL C C   366 VAL C C   1 
ATOM 17174 O O   . VAL C 3 366 ? 294.784 -48.026 322.473 1.0 77.52334  ? 366 VAL C O   366 VAL C O   1 
ATOM 17175 C CB  . VAL C 3 366 ? 291.754 -46.811 322.674 1.0 77.52334  ? 366 VAL C CB  366 VAL C CB  1 
ATOM 17176 C CG1 . VAL C 3 366 ? 291.817 -45.667 323.708 1.0 77.52334  ? 366 VAL C CG1 366 VAL C CG1 1 
ATOM 17177 C CG2 . VAL C 3 366 ? 292.220 -46.376 321.305 1.0 77.52334  ? 366 VAL C CG2 366 VAL C CG2 1 
ATOM 17178 N N   . ILE C 3 367 ? 294.370 -47.496 324.608 1.0 79.67227  ? 367 ILE C N   367 ILE C N   1 
ATOM 17179 C CA  . ILE C 3 367 ? 295.780 -47.251 324.888 1.0 79.67227  ? 367 ILE C CA  367 ILE C CA  1 
ATOM 17180 C C   . ILE C 3 367 ? 296.481 -48.587 325.133 1.0 79.67227  ? 367 ILE C C   367 ILE C C   1 
ATOM 17181 O O   . ILE C 3 367 ? 296.037 -49.401 325.951 1.0 79.67227  ? 367 ILE C O   367 ILE C O   1 
ATOM 17182 C CB  . ILE C 3 367 ? 295.951 -46.255 326.053 1.0 79.67227  ? 367 ILE C CB  367 ILE C CB  1 
ATOM 17183 C CG1 . ILE C 3 367 ? 295.194 -46.652 327.328 1.0 79.67227  ? 367 ILE C CG1 367 ILE C CG1 1 
ATOM 17184 C CG2 . ILE C 3 367 ? 295.454 -44.879 325.642 1.0 79.67227  ? 367 ILE C CG2 367 ILE C CG2 1 
ATOM 17185 C CD1 . ILE C 3 367 ? 296.049 -47.320 328.399 1.0 79.67227  ? 367 ILE C CD1 367 ILE C CD1 1 
ATOM 17186 N N   . SER C 3 368 ? 297.548 -48.837 324.375 1.0 80.12026  ? 368 SER C N   368 SER C N   1 
ATOM 17187 C CA  . SER C 3 368 ? 298.245 -50.118 324.388 1.0 80.12026  ? 368 SER C CA  368 SER C CA  1 
ATOM 17188 C C   . SER C 3 368 ? 299.542 -49.996 323.608 1.0 80.12026  ? 368 SER C C   368 SER C C   1 
ATOM 17189 O O   . SER C 3 368 ? 299.642 -49.211 322.662 1.0 80.12026  ? 368 SER C O   368 SER C O   1 
ATOM 17190 C CB  . SER C 3 368 ? 297.401 -51.239 323.764 1.0 80.12026  ? 368 SER C CB  368 SER C CB  1 
ATOM 17191 O OG  . SER C 3 368 ? 297.196 -51.001 322.384 1.0 80.12026  ? 368 SER C OG  368 SER C OG  1 
ATOM 17192 N N   . ASN C 3 369 ? 300.526 -50.796 324.011 1.0 80.84071  ? 369 ASN C N   369 ASN C N   1 
ATOM 17193 C CA  . ASN C 3 369 ? 301.588 -51.185 323.107 1.0 80.84071  ? 369 ASN C CA  369 ASN C CA  1 
ATOM 17194 C C   . ASN C 3 369 ? 301.010 -52.141 322.065 1.0 80.84071  ? 369 ASN C C   369 ASN C C   1 
ATOM 17195 O O   . ASN C 3 369 ? 299.982 -52.776 322.305 1.0 80.84071  ? 369 ASN C O   369 ASN C O   1 
ATOM 17196 C CB  . ASN C 3 369 ? 302.725 -51.860 323.876 1.0 80.84071  ? 369 ASN C CB  369 ASN C CB  1 
ATOM 17197 C CG  . ASN C 3 369 ? 303.502 -50.898 324.729 1.0 80.84071  ? 369 ASN C CG  369 ASN C CG  1 
ATOM 17198 O OD1 . ASN C 3 369 ? 303.777 -49.774 324.325 1.0 80.84071  ? 369 ASN C OD1 369 ASN C OD1 1 
ATOM 17199 N ND2 . ASN C 3 369 ? 303.888 -51.346 325.913 1.0 80.84071  ? 369 ASN C ND2 369 ASN C ND2 1 
ATOM 17200 N N   . PRO C 3 370 ? 301.645 -52.265 320.893 1.0 80.48906  ? 370 PRO C N   370 PRO C N   1 
ATOM 17201 C CA  . PRO C 3 370 ? 301.149 -53.232 319.899 1.0 80.48906  ? 370 PRO C CA  370 PRO C CA  1 
ATOM 17202 C C   . PRO C 3 370 ? 301.328 -54.692 320.289 1.0 80.48906  ? 370 PRO C C   370 PRO C C   1 
ATOM 17203 O O   . PRO C 3 370 ? 300.751 -55.558 319.620 1.0 80.48906  ? 370 PRO C O   370 PRO C O   1 
ATOM 17204 C CB  . PRO C 3 370 ? 301.969 -52.903 318.650 1.0 80.48906  ? 370 PRO C CB  370 PRO C CB  1 
ATOM 17205 C CG  . PRO C 3 370 ? 303.184 -52.251 319.173 1.0 80.48906  ? 370 PRO C CG  370 PRO C CG  1 
ATOM 17206 C CD  . PRO C 3 370 ? 302.737 -51.449 320.339 1.0 80.48906  ? 370 PRO C CD  370 PRO C CD  1 
ATOM 17207 N N   . PHE C 3 371 ? 302.103 -55.004 321.332 1.0 81.36058  ? 371 PHE C N   371 PHE C N   1 
ATOM 17208 C CA  . PHE C 3 371 ? 302.276 -56.395 321.726 1.0 81.36058  ? 371 PHE C CA  371 PHE C CA  1 
ATOM 17209 C C   . PHE C 3 371 ? 302.244 -56.606 323.235 1.0 81.36058  ? 371 PHE C C   371 PHE C C   1 
ATOM 17210 O O   . PHE C 3 371 ? 302.538 -57.719 323.688 1.0 81.36058  ? 371 PHE C O   371 PHE C O   1 
ATOM 17211 C CB  . PHE C 3 371 ? 303.583 -56.950 321.153 1.0 81.36058  ? 371 PHE C CB  371 PHE C CB  1 
ATOM 17212 C CG  . PHE C 3 371 ? 303.592 -57.044 319.655 1.0 81.36058  ? 371 PHE C CG  371 PHE C CG  1 
ATOM 17213 C CD1 . PHE C 3 371 ? 302.965 -58.098 319.009 1.0 81.36058  ? 371 PHE C CD1 371 PHE C CD1 1 
ATOM 17214 C CD2 . PHE C 3 371 ? 304.218 -56.073 318.892 1.0 81.36058  ? 371 PHE C CD2 371 PHE C CD2 1 
ATOM 17215 C CE1 . PHE C 3 371 ? 302.968 -58.183 317.629 1.0 81.36058  ? 371 PHE C CE1 371 PHE C CE1 1 
ATOM 17216 C CE2 . PHE C 3 371 ? 304.225 -56.153 317.512 1.0 81.36058  ? 371 PHE C CE2 371 PHE C CE2 1 
ATOM 17217 C CZ  . PHE C 3 371 ? 303.599 -57.208 316.881 1.0 81.36058  ? 371 PHE C CZ  371 PHE C CZ  1 
ATOM 17218 N N   . ALA C 3 372 ? 301.881 -55.596 324.021 1.0 84.01995  ? 372 ALA C N   372 ALA C N   1 
ATOM 17219 C CA  . ALA C 3 372 ? 301.844 -55.707 325.474 1.0 84.01995  ? 372 ALA C CA  372 ALA C CA  1 
ATOM 17220 C C   . ALA C 3 372 ? 300.966 -54.587 326.012 1.0 84.01995  ? 372 ALA C C   372 ALA C C   1 
ATOM 17221 O O   . ALA C 3 372 ? 300.491 -53.738 325.247 1.0 84.01995  ? 372 ALA C O   372 ALA C O   1 
ATOM 17222 C CB  . ALA C 3 372 ? 303.260 -55.631 326.077 1.0 84.01995  ? 372 ALA C CB  372 ALA C CB  1 
ATOM 17223 N N   . PRO C 3 373 ? 300.669 -54.591 327.314 1.0 86.52712  ? 373 PRO C N   373 PRO C N   1 
ATOM 17224 C CA  . PRO C 3 373 ? 300.282 -53.335 327.972 1.0 86.52712  ? 373 PRO C CA  373 PRO C CA  1 
ATOM 17225 C C   . PRO C 3 373 ? 301.487 -52.669 328.623 1.0 86.52712  ? 373 PRO C C   373 PRO C C   1 
ATOM 17226 O O   . PRO C 3 373 ? 302.561 -53.276 328.681 1.0 86.52712  ? 373 PRO C O   373 PRO C O   1 
ATOM 17227 C CB  . PRO C 3 373 ? 299.247 -53.786 329.005 1.0 86.52712  ? 373 PRO C CB  373 PRO C CB  1 
ATOM 17228 C CG  . PRO C 3 373 ? 299.657 -55.174 329.338 1.0 86.52712  ? 373 PRO C CG  373 PRO C CG  1 
ATOM 17229 C CD  . PRO C 3 373 ? 300.211 -55.768 328.073 1.0 86.52712  ? 373 PRO C CD  373 PRO C CD  1 
ATOM 17230 N N   . ALA C 3 374 ? 301.337 -51.435 329.119 1.0 90.04279  ? 374 ALA C N   374 ALA C N   1 
ATOM 17231 C CA  . ALA C 3 374 ? 302.439 -50.715 329.776 1.0 90.04279  ? 374 ALA C CA  374 ALA C CA  1 
ATOM 17232 C C   . ALA C 3 374 ? 301.879 -49.951 330.973 1.0 90.04279  ? 374 ALA C C   374 ALA C C   1 
ATOM 17233 O O   . ALA C 3 374 ? 301.341 -48.851 330.823 1.0 90.04279  ? 374 ALA C O   374 ALA C O   1 
ATOM 17234 C CB  . ALA C 3 374 ? 303.148 -49.780 328.809 1.0 90.04279  ? 374 ALA C CB  374 ALA C CB  1 
ATOM 17235 N N   . ALA C 3 375 ? 302.027 -50.529 332.161 1.0 94.56287  ? 375 ALA C N   375 ALA C N   1 
ATOM 17236 C CA  . ALA C 3 375 ? 301.507 -49.950 333.397 1.0 94.56287  ? 375 ALA C CA  375 ALA C CA  1 
ATOM 17237 C C   . ALA C 3 375 ? 302.626 -49.917 334.430 1.0 94.56287  ? 375 ALA C C   375 ALA C C   1 
ATOM 17238 O O   . ALA C 3 375 ? 302.790 -50.853 335.216 1.0 94.56287  ? 375 ALA C O   375 ALA C O   1 
ATOM 17239 C CB  . ALA C 3 375 ? 300.306 -50.738 333.908 1.0 94.56287  ? 375 ALA C CB  375 ALA C CB  1 
ATOM 17240 N N   . VAL C 3 376 ? 303.399 -48.837 334.429 1.0 97.44109  ? 376 VAL C N   376 VAL C N   1 
ATOM 17241 C CA  . VAL C 3 376 ? 304.413 -48.594 335.446 1.0 97.44109  ? 376 VAL C CA  376 VAL C CA  1 
ATOM 17242 C C   . VAL C 3 376 ? 304.071 -47.265 336.098 1.0 97.44109  ? 376 VAL C C   376 VAL C C   1 
ATOM 17243 O O   . VAL C 3 376 ? 304.192 -46.204 335.472 1.0 97.44109  ? 376 VAL C O   376 VAL C O   1 
ATOM 17244 C CB  . VAL C 3 376 ? 305.833 -48.586 334.868 1.0 97.44109  ? 376 VAL C CB  376 VAL C CB  1 
ATOM 17245 C CG1 . VAL C 3 376 ? 306.843 -48.218 335.945 1.0 97.44109  ? 376 VAL C CG1 376 VAL C CG1 1 
ATOM 17246 C CG2 . VAL C 3 376 ? 306.166 -49.942 334.261 1.0 97.44109  ? 376 VAL C CG2 376 VAL C CG2 1 
ATOM 17247 N N   . GLY C 3 377 ? 303.649 -47.320 337.354 1.0 100.93685 ? 377 GLY C N   377 GLY C N   1 
ATOM 17248 C CA  . GLY C 3 377 ? 303.059 -46.174 338.010 1.0 100.93685 ? 377 GLY C CA  377 GLY C CA  1 
ATOM 17249 C C   . GLY C 3 377 ? 304.026 -45.158 338.576 1.0 100.93685 ? 377 GLY C C   377 GLY C C   1 
ATOM 17250 O O   . GLY C 3 377 ? 304.266 -45.138 339.787 1.0 100.93685 ? 377 GLY C O   377 GLY C O   1 
ATOM 17251 N N   . THR C 3 378 ? 304.596 -44.312 337.721 1.0 101.27272 ? 378 THR C N   378 THR C N   1 
ATOM 17252 C CA  . THR C 3 378 ? 305.476 -43.246 338.182 1.0 101.27272 ? 378 THR C CA  378 THR C CA  1 
ATOM 17253 C C   . THR C 3 378 ? 305.300 -42.031 337.286 1.0 101.27272 ? 378 THR C C   378 THR C C   1 
ATOM 17254 O O   . THR C 3 378 ? 305.445 -42.134 336.065 1.0 101.27272 ? 378 THR C O   378 THR C O   1 
ATOM 17255 C CB  . THR C 3 378 ? 306.940 -43.690 338.186 1.0 101.27272 ? 378 THR C CB  378 THR C CB  1 
ATOM 17256 O OG1 . THR C 3 378 ? 307.088 -44.863 338.995 1.0 101.27272 ? 378 THR C OG1 378 THR C OG1 1 
ATOM 17257 C CG2 . THR C 3 378 ? 307.799 -42.600 338.772 1.0 101.27272 ? 378 THR C CG2 378 THR C CG2 1 
ATOM 17258 N N   . GLY C 3 379 ? 304.984 -40.889 337.893 1.0 102.55074 ? 379 GLY C N   379 GLY C N   1 
ATOM 17259 C CA  . GLY C 3 379 ? 304.935 -39.623 337.190 1.0 102.55074 ? 379 GLY C CA  379 GLY C CA  1 
ATOM 17260 C C   . GLY C 3 379 ? 306.041 -38.696 337.649 1.0 102.55074 ? 379 GLY C C   379 GLY C C   1 
ATOM 17261 O O   . GLY C 3 379 ? 306.065 -38.282 338.811 1.0 102.55074 ? 379 GLY C O   379 GLY C O   1 
ATOM 17262 N N   . MET C 3 380 ? 306.953 -38.355 336.742 1.0 103.11879 ? 380 MET C N   380 MET C N   1 
ATOM 17263 C CA  . MET C 3 380 ? 308.191 -37.686 337.110 1.0 103.11879 ? 380 MET C CA  380 MET C CA  1 
ATOM 17264 C C   . MET C 3 380 ? 307.971 -36.198 337.385 1.0 103.11879 ? 380 MET C C   380 MET C C   1 
ATOM 17265 O O   . MET C 3 380 ? 306.920 -35.621 337.097 1.0 103.11879 ? 380 MET C O   380 MET C O   1 
ATOM 17266 C CB  . MET C 3 380 ? 309.240 -37.881 336.019 1.0 103.11879 ? 380 MET C CB  380 MET C CB  1 
ATOM 17267 C CG  . MET C 3 380 ? 309.795 -39.286 335.978 1.0 103.11879 ? 380 MET C CG  380 MET C CG  1 
ATOM 17268 S SD  . MET C 3 380 ? 310.673 -39.652 337.508 1.0 103.11879 ? 380 MET C SD  380 MET C SD  1 
ATOM 17269 C CE  . MET C 3 380 ? 310.982 -41.398 337.329 1.0 103.11879 ? 380 MET C CE  380 MET C CE  1 
ATOM 17270 N N   . THR C 3 381 ? 308.996 -35.589 337.981 1.0 105.84544 ? 381 THR C N   381 THR C N   1 
ATOM 17271 C CA  . THR C 3 381 ? 309.037 -34.161 338.282 1.0 105.84544 ? 381 THR C CA  381 THR C CA  1 
ATOM 17272 C C   . THR C 3 381 ? 310.502 -33.759 338.292 1.0 105.84544 ? 381 THR C C   381 THR C C   1 
ATOM 17273 O O   . THR C 3 381 ? 311.293 -34.344 339.038 1.0 105.84544 ? 381 THR C O   381 THR C O   1 
ATOM 17274 C CB  . THR C 3 381 ? 308.379 -33.845 339.631 1.0 105.84544 ? 381 THR C CB  381 THR C CB  1 
ATOM 17275 O OG1 . THR C 3 381 ? 306.997 -34.221 339.600 1.0 105.84544 ? 381 THR C OG1 381 THR C OG1 1 
ATOM 17276 C CG2 . THR C 3 381 ? 308.486 -32.361 339.950 1.0 105.84544 ? 381 THR C CG2 381 THR C CG2 1 
ATOM 17277 N N   . VAL C 3 382 ? 310.872 -32.785 337.464 1.0 108.05312 ? 382 VAL C N   382 VAL C N   1 
ATOM 17278 C CA  . VAL C 3 382 ? 312.269 -32.426 337.268 1.0 108.05312 ? 382 VAL C CA  382 VAL C CA  1 
ATOM 17279 C C   . VAL C 3 382 ? 312.499 -31.003 337.760 1.0 108.05312 ? 382 VAL C C   382 VAL C C   1 
ATOM 17280 O O   . VAL C 3 382 ? 311.575 -30.301 338.168 1.0 108.05312 ? 382 VAL C O   382 VAL C O   1 
ATOM 17281 C CB  . VAL C 3 382 ? 312.707 -32.560 335.798 1.0 108.05312 ? 382 VAL C CB  382 VAL C CB  1 
ATOM 17282 C CG1 . VAL C 3 382 ? 312.526 -33.984 335.314 1.0 108.05312 ? 382 VAL C CG1 382 VAL C CG1 1 
ATOM 17283 C CG2 . VAL C 3 382 ? 311.935 -31.589 334.931 1.0 108.05312 ? 382 VAL C CG2 382 VAL C CG2 1 
ATOM 17284 N N   . ASN C 3 383 ? 313.762 -30.588 337.713 1.0 111.7126  ? 383 ASN C N   383 ASN C N   1 
ATOM 17285 C CA  . ASN C 3 383 ? 314.175 -29.234 338.040 1.0 111.7126  ? 383 ASN C CA  383 ASN C CA  1 
ATOM 17286 C C   . ASN C 3 383 ? 314.966 -28.652 336.878 1.0 111.7126  ? 383 ASN C C   383 ASN C C   1 
ATOM 17287 O O   . ASN C 3 383 ? 315.529 -29.379 336.056 1.0 111.7126  ? 383 ASN C O   383 ASN C O   1 
ATOM 17288 C CB  . ASN C 3 383 ? 315.031 -29.199 339.311 1.0 111.7126  ? 383 ASN C CB  383 ASN C CB  1 
ATOM 17289 C CG  . ASN C 3 383 ? 314.243 -29.548 340.551 1.0 111.7126  ? 383 ASN C CG  383 ASN C CG  1 
ATOM 17290 O OD1 . ASN C 3 383 ? 313.103 -29.117 340.718 1.0 111.7126  ? 383 ASN C OD1 383 ASN C OD1 1 
ATOM 17291 N ND2 . ASN C 3 383 ? 314.848 -30.335 341.432 1.0 111.7126  ? 383 ASN C ND2 383 ASN C ND2 1 
ATOM 17292 N N   . GLU C 3 384 ? 315.010 -27.323 336.818 1.0 112.20852 ? 384 GLU C N   384 GLU C N   1 
ATOM 17293 C CA  . GLU C 3 384 ? 315.767 -26.641 335.778 1.0 112.20852 ? 384 GLU C CA  384 GLU C CA  1 
ATOM 17294 C C   . GLU C 3 384 ? 317.176 -26.268 336.210 1.0 112.20852 ? 384 GLU C C   384 GLU C C   1 
ATOM 17295 O O   . GLU C 3 384 ? 318.040 -26.083 335.346 1.0 112.20852 ? 384 GLU C O   384 GLU C O   1 
ATOM 17296 C CB  . GLU C 3 384 ? 315.028 -25.379 335.323 1.0 112.20852 ? 384 GLU C CB  384 GLU C CB  1 
ATOM 17297 C CG  . GLU C 3 384 ? 313.723 -25.665 334.605 1.0 112.20852 ? 384 GLU C CG  384 GLU C CG  1 
ATOM 17298 C CD  . GLU C 3 384 ? 313.011 -24.405 334.166 1.0 112.20852 ? 384 GLU C CD  384 GLU C CD  1 
ATOM 17299 O OE1 . GLU C 3 384 ? 313.469 -23.303 334.534 1.0 112.20852 ? 384 GLU C OE1 384 GLU C OE1 1 
ATOM 17300 O OE2 . GLU C 3 384 ? 311.994 -24.518 333.449 1.0 112.20852 ? 384 GLU C OE2 384 GLU C OE2 1 
ATOM 17301 N N   . GLN C 3 385 ? 317.424 -26.146 337.514 1.0 113.528   ? 385 GLN C N   385 GLN C N   1 
ATOM 17302 C CA  . GLN C 3 385 ? 318.776 -25.882 337.994 1.0 113.528   ? 385 GLN C CA  385 GLN C CA  1 
ATOM 17303 C C   . GLN C 3 385 ? 319.657 -27.113 337.826 1.0 113.528   ? 385 GLN C C   385 GLN C C   1 
ATOM 17304 O O   . GLN C 3 385 ? 320.669 -27.079 337.118 1.0 113.528   ? 385 GLN C O   385 GLN C O   1 
ATOM 17305 C CB  . GLN C 3 385 ? 318.735 -25.441 339.458 1.0 113.528   ? 385 GLN C CB  385 GLN C CB  1 
ATOM 17306 C CG  . GLN C 3 385 ? 318.045 -24.109 339.679 1.0 113.528   ? 385 GLN C CG  385 GLN C CG  1 
ATOM 17307 C CD  . GLN C 3 385 ? 318.757 -22.969 338.981 1.0 113.528   ? 385 GLN C CD  385 GLN C CD  1 
ATOM 17308 O OE1 . GLN C 3 385 ? 318.260 -22.419 337.998 1.0 113.528   ? 385 GLN C OE1 385 GLN C OE1 1 
ATOM 17309 N NE2 . GLN C 3 385 ? 319.930 -22.608 339.485 1.0 113.528   ? 385 GLN C NE2 385 GLN C NE2 1 
ATOM 17310 N N   . GLN C 3 386 ? 319.281 -28.212 338.468 1.0 113.74473 ? 386 GLN C N   386 GLN C N   1 
ATOM 17311 C CA  . GLN C 3 386 ? 319.953 -29.490 338.303 1.0 113.74473 ? 386 GLN C CA  386 GLN C CA  1 
ATOM 17312 C C   . GLN C 3 386 ? 319.093 -30.395 337.435 1.0 113.74473 ? 386 GLN C C   386 GLN C C   1 
ATOM 17313 O O   . GLN C 3 386 ? 317.865 -30.406 337.561 1.0 113.74473 ? 386 GLN C O   386 GLN C O   1 
ATOM 17314 C CB  . GLN C 3 386 ? 320.224 -30.162 339.653 1.0 113.74473 ? 386 GLN C CB  386 GLN C CB  1 
ATOM 17315 C CG  . GLN C 3 386 ? 321.254 -29.456 340.522 1.0 113.74473 ? 386 GLN C CG  386 GLN C CG  1 
ATOM 17316 C CD  . GLN C 3 386 ? 320.661 -28.327 341.342 1.0 113.74473 ? 386 GLN C CD  386 GLN C CD  1 
ATOM 17317 O OE1 . GLN C 3 386 ? 319.447 -28.247 341.523 1.0 113.74473 ? 386 GLN C OE1 386 GLN C OE1 1 
ATOM 17318 N NE2 . GLN C 3 386 ? 321.518 -27.447 341.842 1.0 113.74473 ? 386 GLN C NE2 386 GLN C NE2 1 
ATOM 17319 N N   . GLN C 3 387 ? 319.743 -31.153 336.555 1.0 110.12968 ? 387 GLN C N   387 GLN C N   1 
ATOM 17320 C CA  . GLN C 3 387 ? 319.038 -32.058 335.647 1.0 110.12968 ? 387 GLN C CA  387 GLN C CA  1 
ATOM 17321 C C   . GLN C 3 387 ? 318.828 -33.408 336.335 1.0 110.12968 ? 387 GLN C C   387 GLN C C   1 
ATOM 17322 O O   . GLN C 3 387 ? 319.390 -34.438 335.961 1.0 110.12968 ? 387 GLN C O   387 GLN C O   1 
ATOM 17323 C CB  . GLN C 3 387 ? 319.810 -32.204 334.343 1.0 110.12968 ? 387 GLN C CB  387 GLN C CB  1 
ATOM 17324 C CG  . GLN C 3 387 ? 319.951 -30.913 333.557 1.0 110.12968 ? 387 GLN C CG  387 GLN C CG  1 
ATOM 17325 C CD  . GLN C 3 387 ? 318.625 -30.403 333.037 1.0 110.12968 ? 387 GLN C CD  387 GLN C CD  1 
ATOM 17326 O OE1 . GLN C 3 387 ? 317.769 -31.180 332.619 1.0 110.12968 ? 387 GLN C OE1 387 GLN C OE1 1 
ATOM 17327 N NE2 . GLN C 3 387 ? 318.451 -29.089 333.056 1.0 110.12968 ? 387 GLN C NE2 387 GLN C NE2 1 
ATOM 17328 N N   . THR C 3 388 ? 317.997 -33.382 337.368 1.0 111.42067 ? 388 THR C N   388 THR C N   1 
ATOM 17329 C CA  . THR C 3 388 ? 317.674 -34.562 338.153 1.0 111.42067 ? 388 THR C CA  388 THR C CA  1 
ATOM 17330 C C   . THR C 3 388 ? 316.222 -34.957 337.911 1.0 111.42067 ? 388 THR C C   388 THR C C   1 
ATOM 17331 O O   . THR C 3 388 ? 315.476 -34.280 337.198 1.0 111.42067 ? 388 THR C O   388 THR C O   1 
ATOM 17332 C CB  . THR C 3 388 ? 317.931 -34.315 339.640 1.0 111.42067 ? 388 THR C CB  388 THR C CB  1 
ATOM 17333 O OG1 . THR C 3 388 ? 317.090 -33.250 340.100 1.0 111.42067 ? 388 THR C OG1 388 THR C OG1 1 
ATOM 17334 C CG2 . THR C 3 388 ? 319.388 -33.947 339.876 1.0 111.42067 ? 388 THR C CG2 388 THR C CG2 1 
ATOM 17335 N N   . ALA C 3 389 ? 315.823 -36.069 338.522 1.0 108.9367  ? 389 ALA C N   389 ALA C N   1 
ATOM 17336 C CA  . ALA C 3 389 ? 314.479 -36.610 338.346 1.0 108.9367  ? 389 ALA C CA  389 ALA C CA  1 
ATOM 17337 C C   . ALA C 3 389 ? 314.031 -37.252 339.650 1.0 108.9367  ? 389 ALA C C   389 ALA C C   1 
ATOM 17338 O O   . ALA C 3 389 ? 314.405 -38.390 339.946 1.0 108.9367  ? 389 ALA C O   389 ALA C O   1 
ATOM 17339 C CB  . ALA C 3 389 ? 314.438 -37.620 337.201 1.0 108.9367  ? 389 ALA C CB  389 ALA C CB  1 
ATOM 17340 N N   . ALA C 3 390 ? 313.238 -36.523 340.426 1.0 107.95584 ? 390 ALA C N   390 ALA C N   1 
ATOM 17341 C CA  . ALA C 3 390 ? 312.536 -37.102 341.561 1.0 107.95584 ? 390 ALA C CA  390 ALA C CA  1 
ATOM 17342 C C   . ALA C 3 390 ? 311.182 -37.605 341.070 1.0 107.95584 ? 390 ALA C C   390 ALA C C   1 
ATOM 17343 O O   . ALA C 3 390 ? 310.823 -37.438 339.902 1.0 107.95584 ? 390 ALA C O   390 ALA C O   1 
ATOM 17344 C CB  . ALA C 3 390 ? 312.411 -36.080 342.687 1.0 107.95584 ? 390 ALA C CB  390 ALA C CB  1 
ATOM 17345 N N   . VAL C 3 391 ? 310.395 -38.210 341.955 1.0 106.68677 ? 391 VAL C N   391 VAL C N   1 
ATOM 17346 C CA  . VAL C 3 391 ? 309.071 -38.718 341.606 1.0 106.68677 ? 391 VAL C CA  391 VAL C CA  1 
ATOM 17347 C C   . VAL C 3 391 ? 307.983 -37.728 342.006 1.0 106.68677 ? 391 VAL C C   391 VAL C C   1 
ATOM 17348 O O   . VAL C 3 391 ? 307.338 -37.128 341.144 1.0 106.68677 ? 391 VAL C O   391 VAL C O   1 
ATOM 17349 C CB  . VAL C 3 391 ? 308.822 -40.106 342.236 1.0 106.68677 ? 391 VAL C CB  391 VAL C CB  1 
ATOM 17350 C CG1 . VAL C 3 391 ? 307.412 -40.577 341.929 1.0 106.68677 ? 391 VAL C CG1 391 VAL C CG1 1 
ATOM 17351 C CG2 . VAL C 3 391 ? 309.849 -41.112 341.744 1.0 106.68677 ? 391 VAL C CG2 391 VAL C CG2 1 
ATOM 17352 N N   . THR C 3 392 ? 307.821 -37.493 343.313 1.0 109.72737 ? 392 THR C N   392 THR C N   1 
ATOM 17353 C CA  . THR C 3 392 ? 306.798 -36.630 343.926 1.0 109.72737 ? 392 THR C CA  392 THR C CA  1 
ATOM 17354 C C   . THR C 3 392 ? 305.401 -36.974 343.394 1.0 109.72737 ? 392 THR C C   392 THR C C   1 
ATOM 17355 O O   . THR C 3 392 ? 304.743 -36.185 342.710 1.0 109.72737 ? 392 THR C O   392 THR C O   1 
ATOM 17356 C CB  . THR C 3 392 ? 307.134 -35.143 343.728 1.0 109.72737 ? 392 THR C CB  392 THR C CB  1 
ATOM 17357 O OG1 . THR C 3 392 ? 308.522 -34.930 344.004 1.0 109.72737 ? 392 THR C OG1 392 THR C OG1 1 
ATOM 17358 C CG2 . THR C 3 392 ? 306.363 -34.279 344.726 1.0 109.72737 ? 392 THR C CG2 392 THR C CG2 1 
ATOM 17359 N N   . ALA C 3 393 ? 304.973 -38.199 343.686 1.0 106.59334 ? 393 ALA C N   393 ALA C N   1 
ATOM 17360 C CA  . ALA C 3 393 ? 303.724 -38.707 343.138 1.0 106.59334 ? 393 ALA C CA  393 ALA C CA  1 
ATOM 17361 C C   . ALA C 3 393 ? 303.241 -39.880 343.976 1.0 106.59334 ? 393 ALA C C   393 ALA C C   1 
ATOM 17362 O O   . ALA C 3 393 ? 303.989 -40.466 344.760 1.0 106.59334 ? 393 ALA C O   393 ALA C O   1 
ATOM 17363 C CB  . ALA C 3 393 ? 303.888 -39.136 341.675 1.0 106.59334 ? 393 ALA C CB  393 ALA C CB  1 
ATOM 17364 N N   . ASN C 3 394 ? 301.961 -40.200 343.798 1.0 106.38293 ? 394 ASN C N   394 ASN C N   1 
ATOM 17365 C CA  . ASN C 3 394 ? 301.367 -41.472 344.189 1.0 106.38293 ? 394 ASN C CA  394 ASN C CA  1 
ATOM 17366 C C   . ASN C 3 394 ? 300.535 -42.012 343.035 1.0 106.38293 ? 394 ASN C C   394 ASN C C   1 
ATOM 17367 O O   . ASN C 3 394 ? 299.534 -42.702 343.244 1.0 106.38293 ? 394 ASN C O   394 ASN C O   1 
ATOM 17368 C CB  . ASN C 3 394 ? 300.514 -41.319 345.448 1.0 106.38293 ? 394 ASN C CB  394 ASN C CB  1 
ATOM 17369 C CG  . ASN C 3 394 ? 301.345 -41.060 346.681 1.0 106.38293 ? 394 ASN C CG  394 ASN C CG  1 
ATOM 17370 O OD1 . ASN C 3 394 ? 302.378 -41.694 346.888 1.0 106.38293 ? 394 ASN C OD1 394 ASN C OD1 1 
ATOM 17371 N ND2 . ASN C 3 394 ? 300.906 -40.118 347.503 1.0 106.38293 ? 394 ASN C ND2 394 ASN C ND2 1 
ATOM 17372 N N   . THR C 3 395 ? 300.948 -41.701 341.810 1.0 101.91235 ? 395 THR C N   395 THR C N   1 
ATOM 17373 C CA  . THR C 3 395 ? 300.129 -41.880 340.622 1.0 101.91235 ? 395 THR C CA  395 THR C CA  1 
ATOM 17374 C C   . THR C 3 395 ? 300.439 -43.196 339.917 1.0 101.91235 ? 395 THR C C   395 THR C C   1 
ATOM 17375 O O   . THR C 3 395 ? 301.425 -43.878 340.205 1.0 101.91235 ? 395 THR C O   395 THR C O   1 
ATOM 17376 C CB  . THR C 3 395 ? 300.333 -40.713 339.654 1.0 101.91235 ? 395 THR C CB  395 THR C CB  1 
ATOM 17377 O OG1 . THR C 3 395 ? 299.384 -40.817 338.587 1.0 101.91235 ? 395 THR C OG1 395 THR C OG1 1 
ATOM 17378 C CG2 . THR C 3 395 ? 301.735 -40.739 339.077 1.0 101.91235 ? 395 THR C CG2 395 THR C CG2 1 
ATOM 17379 N N   . VAL C 3 396 ? 299.559 -43.552 338.984 1.0 98.3237   ? 396 VAL C N   396 VAL C N   1 
ATOM 17380 C CA  . VAL C 3 396 ? 299.715 -44.727 338.137 1.0 98.3237   ? 396 VAL C CA  396 VAL C CA  1 
ATOM 17381 C C   . VAL C 3 396 ? 299.683 -44.259 336.689 1.0 98.3237   ? 396 VAL C C   396 VAL C C   1 
ATOM 17382 O O   . VAL C 3 396 ? 298.768 -43.533 336.288 1.0 98.3237   ? 396 VAL C O   396 VAL C O   1 
ATOM 17383 C CB  . VAL C 3 396 ? 298.619 -45.778 338.404 1.0 98.3237   ? 396 VAL C CB  396 VAL C CB  1 
ATOM 17384 C CG1 . VAL C 3 396 ? 298.793 -46.986 337.495 1.0 98.3237   ? 396 VAL C CG1 396 VAL C CG1 1 
ATOM 17385 C CG2 . VAL C 3 396 ? 298.611 -46.202 339.869 1.0 98.3237   ? 396 VAL C CG2 396 VAL C CG2 1 
ATOM 17386 N N   . ALA C 3 397 ? 300.682 -44.667 335.910 1.0 93.79794  ? 397 ALA C N   397 ALA C N   1 
ATOM 17387 C CA  . ALA C 3 397 ? 300.845 -44.220 334.532 1.0 93.79794  ? 397 ALA C CA  397 ALA C CA  1 
ATOM 17388 C C   . ALA C 3 397 ? 300.457 -45.339 333.574 1.0 93.79794  ? 397 ALA C C   397 ALA C C   1 
ATOM 17389 O O   . ALA C 3 397 ? 300.931 -46.470 333.711 1.0 93.79794  ? 397 ALA C O   397 ALA C O   1 
ATOM 17390 C CB  . ALA C 3 397 ? 302.282 -43.771 334.274 1.0 93.79794  ? 397 ALA C CB  397 ALA C CB  1 
ATOM 17391 N N   . LEU C 3 398 ? 299.596 -45.019 332.611 1.0 88.91544  ? 398 LEU C N   398 LEU C N   1 
ATOM 17392 C CA  . LEU C 3 398 ? 299.178 -45.941 331.556 1.0 88.91544  ? 398 LEU C CA  398 LEU C CA  1 
ATOM 17393 C C   . LEU C 3 398 ? 299.476 -45.275 330.218 1.0 88.91544  ? 398 LEU C C   398 LEU C C   1 
ATOM 17394 O O   . LEU C 3 398 ? 298.629 -44.561 329.676 1.0 88.91544  ? 398 LEU C O   398 LEU C O   1 
ATOM 17395 C CB  . LEU C 3 398 ? 297.695 -46.284 331.663 1.0 88.91544  ? 398 LEU C CB  398 LEU C CB  1 
ATOM 17396 C CG  . LEU C 3 398 ? 297.182 -47.439 332.525 1.0 88.91544  ? 398 LEU C CG  398 LEU C CG  1 
ATOM 17397 C CD1 . LEU C 3 398 ? 297.737 -48.760 332.021 1.0 88.91544  ? 398 LEU C CD1 398 LEU C CD1 1 
ATOM 17398 C CD2 . LEU C 3 398 ? 297.473 -47.241 334.003 1.0 88.91544  ? 398 LEU C CD2 398 LEU C CD2 1 
ATOM 17399 N N   . ILE C 3 399 ? 300.670 -45.492 329.676 1.0 85.67619  ? 399 ILE C N   399 ILE C N   1 
ATOM 17400 C CA  . ILE C 3 399 ? 301.051 -44.826 328.441 1.0 85.67619  ? 399 ILE C CA  399 ILE C CA  1 
ATOM 17401 C C   . ILE C 3 399 ? 301.323 -45.871 327.367 1.0 85.67619  ? 399 ILE C C   399 ILE C C   1 
ATOM 17402 O O   . ILE C 3 399 ? 301.650 -47.025 327.651 1.0 85.67619  ? 399 ILE C O   399 ILE C O   1 
ATOM 17403 C CB  . ILE C 3 399 ? 302.253 -43.886 328.642 1.0 85.67619  ? 399 ILE C CB  399 ILE C CB  1 
ATOM 17404 C CG1 . ILE C 3 399 ? 303.485 -44.653 329.095 1.0 85.67619  ? 399 ILE C CG1 399 ILE C CG1 1 
ATOM 17405 C CG2 . ILE C 3 399 ? 301.921 -42.827 329.677 1.0 85.67619  ? 399 ILE C CG2 399 ILE C CG2 1 
ATOM 17406 C CD1 . ILE C 3 399 ? 304.695 -43.764 329.201 1.0 85.67619  ? 399 ILE C CD1 399 ILE C CD1 1 
ATOM 17407 N N   . GLY C 3 400 ? 301.171 -45.450 326.114 1.0 83.85873  ? 400 GLY C N   400 GLY C N   1 
ATOM 17408 C CA  . GLY C 3 400 ? 301.001 -46.391 325.024 1.0 83.85873  ? 400 GLY C CA  400 GLY C CA  1 
ATOM 17409 C C   . GLY C 3 400 ? 302.131 -46.539 324.025 1.0 83.85873  ? 400 GLY C C   400 GLY C C   1 
ATOM 17410 O O   . GLY C 3 400 ? 302.210 -47.579 323.366 1.0 83.85873  ? 400 GLY C O   400 GLY C O   1 
ATOM 17411 N N   . TYR C 3 401 ? 302.967 -45.505 323.876 1.0 85.76067  ? 401 TYR C N   401 TYR C N   1 
ATOM 17412 C CA  . TYR C 3 401 ? 304.183 -45.511 323.050 1.0 85.76067  ? 401 TYR C CA  401 TYR C CA  1 
ATOM 17413 C C   . TYR C 3 401 ? 303.889 -45.812 321.576 1.0 85.76067  ? 401 TYR C C   401 TYR C C   1 
ATOM 17414 O O   . TYR C 3 401 ? 304.251 -46.860 321.042 1.0 85.76067  ? 401 TYR C O   401 TYR C O   1 
ATOM 17415 C CB  . TYR C 3 401 ? 305.224 -46.504 323.574 1.0 85.76067  ? 401 TYR C CB  401 TYR C CB  1 
ATOM 17416 C CG  . TYR C 3 401 ? 305.847 -46.141 324.884 1.0 85.76067  ? 401 TYR C CG  401 TYR C CG  1 
ATOM 17417 C CD1 . TYR C 3 401 ? 306.818 -45.154 324.958 1.0 85.76067  ? 401 TYR C CD1 401 TYR C CD1 1 
ATOM 17418 C CD2 . TYR C 3 401 ? 305.503 -46.819 326.041 1.0 85.76067  ? 401 TYR C CD2 401 TYR C CD2 1 
ATOM 17419 C CE1 . TYR C 3 401 ? 307.407 -44.827 326.158 1.0 85.76067  ? 401 TYR C CE1 401 TYR C CE1 1 
ATOM 17420 C CE2 . TYR C 3 401 ? 306.089 -46.507 327.241 1.0 85.76067  ? 401 TYR C CE2 401 TYR C CE2 1 
ATOM 17421 C CZ  . TYR C 3 401 ? 307.044 -45.513 327.295 1.0 85.76067  ? 401 TYR C CZ  401 TYR C CZ  1 
ATOM 17422 O OH  . TYR C 3 401 ? 307.627 -45.195 328.498 1.0 85.76067  ? 401 TYR C OH  401 TYR C OH  1 
ATOM 17423 N N   . GLY C 3 402 ? 303.216 -44.879 320.932 1.0 82.39526  ? 402 GLY C N   402 GLY C N   1 
ATOM 17424 C CA  . GLY C 3 402 ? 303.176 -44.926 319.491 1.0 82.39526  ? 402 GLY C CA  402 GLY C CA  1 
ATOM 17425 C C   . GLY C 3 402 ? 301.770 -44.765 318.976 1.0 82.39526  ? 402 GLY C C   402 GLY C C   1 
ATOM 17426 O O   . GLY C 3 402 ? 300.968 -44.016 319.526 1.0 82.39526  ? 402 GLY C O   402 GLY C O   1 
ATOM 17427 N N   . ASN C 3 403 ? 301.485 -45.470 317.890 1.0 79.28793  ? 403 ASN C N   403 ASN C N   1 
ATOM 17428 C CA  . ASN C 3 403 ? 300.161 -45.403 317.308 1.0 79.28793  ? 403 ASN C CA  403 ASN C CA  1 
ATOM 17429 C C   . ASN C 3 403 ? 299.229 -46.388 317.992 1.0 79.28793  ? 403 ASN C C   403 ASN C C   1 
ATOM 17430 O O   . ASN C 3 403 ? 299.652 -47.341 318.651 1.0 79.28793  ? 403 ASN C O   403 ASN C O   1 
ATOM 17431 C CB  . ASN C 3 403 ? 300.198 -45.707 315.818 1.0 79.28793  ? 403 ASN C CB  403 ASN C CB  1 
ATOM 17432 C CG  . ASN C 3 403 ? 300.862 -44.622 315.034 1.0 79.28793  ? 403 ASN C CG  403 ASN C CG  1 
ATOM 17433 O OD1 . ASN C 3 403 ? 300.706 -43.448 315.339 1.0 79.28793  ? 403 ASN C OD1 403 ASN C OD1 1 
ATOM 17434 N ND2 . ASN C 3 403 ? 301.599 -45.002 314.000 1.0 79.28793  ? 403 ASN C ND2 403 ASN C ND2 1 
ATOM 17435 N N   . ILE C 3 404 ? 297.942 -46.141 317.827 1.0 76.56649  ? 404 ILE C N   404 ILE C N   1 
ATOM 17436 C CA  . ILE C 3 404 ? 296.955 -47.149 318.207 1.0 76.56649  ? 404 ILE C CA  404 ILE C CA  1 
ATOM 17437 C C   . ILE C 3 404 ? 297.059 -48.308 317.227 1.0 76.56649  ? 404 ILE C C   404 ILE C C   1 
ATOM 17438 O O   . ILE C 3 404 ? 297.022 -48.077 316.006 1.0 76.56649  ? 404 ILE C O   404 ILE C O   1 
ATOM 17439 C CB  . ILE C 3 404 ? 295.558 -46.544 318.191 1.0 76.56649  ? 404 ILE C CB  404 ILE C CB  1 
ATOM 17440 C CG1 . ILE C 3 404 ? 295.516 -45.332 319.117 1.0 76.56649  ? 404 ILE C CG1 404 ILE C CG1 1 
ATOM 17441 C CG2 . ILE C 3 404 ? 294.540 -47.575 318.624 1.0 76.56649  ? 404 ILE C CG2 404 ILE C CG2 1 
ATOM 17442 C CD1 . ILE C 3 404 ? 294.305 -44.469 318.932 1.0 76.56649  ? 404 ILE C CD1 404 ILE C CD1 1 
ATOM 17443 N N   . PRO C 3 405 ? 297.232 -49.544 317.686 1.0 75.53014  ? 405 PRO C N   405 PRO C N   1 
ATOM 17444 C CA  . PRO C 3 405 ? 297.284 -50.670 316.751 1.0 75.53014  ? 405 PRO C CA  405 PRO C CA  1 
ATOM 17445 C C   . PRO C 3 405 ? 295.919 -50.904 316.128 1.0 75.53014  ? 405 PRO C C   405 PRO C C   1 
ATOM 17446 O O   . PRO C 3 405 ? 294.886 -50.604 316.727 1.0 75.53014  ? 405 PRO C O   405 PRO C O   1 
ATOM 17447 C CB  . PRO C 3 405 ? 297.705 -51.845 317.637 1.0 75.53014  ? 405 PRO C CB  405 PRO C CB  1 
ATOM 17448 C CG  . PRO C 3 405 ? 297.213 -51.473 318.988 1.0 75.53014  ? 405 PRO C CG  405 PRO C CG  1 
ATOM 17449 C CD  . PRO C 3 405 ? 297.347 -49.983 319.086 1.0 75.53014  ? 405 PRO C CD  405 PRO C CD  1 
ATOM 17450 N N   . ALA C 3 406 ? 295.918 -51.408 314.898 1.0 73.14616  ? 406 ALA C N   406 ALA C N   1 
ATOM 17451 C CA  . ALA C 3 406 ? 294.667 -51.527 314.165 1.0 73.14616  ? 406 ALA C CA  406 ALA C CA  1 
ATOM 17452 C C   . ALA C 3 406 ? 294.791 -52.594 313.093 1.0 73.14616  ? 406 ALA C C   406 ALA C C   1 
ATOM 17453 O O   . ALA C 3 406 ? 295.891 -52.968 312.681 1.0 73.14616  ? 406 ALA C O   406 ALA C O   1 
ATOM 17454 C CB  . ALA C 3 406 ? 294.264 -50.197 313.524 1.0 73.14616  ? 406 ALA C CB  406 ALA C CB  1 
ATOM 17455 N N   . VAL C 3 407 ? 293.635 -53.077 312.648 1.0 73.12266  ? 407 VAL C N   407 VAL C N   1 
ATOM 17456 C CA  . VAL C 3 407 ? 293.536 -53.954 311.494 1.0 73.12266  ? 407 VAL C CA  407 VAL C CA  1 
ATOM 17457 C C   . VAL C 3 407 ? 292.675 -53.258 310.449 1.0 73.12266  ? 407 VAL C C   407 VAL C C   1 
ATOM 17458 O O   . VAL C 3 407 ? 291.967 -52.293 310.737 1.0 73.12266  ? 407 VAL C O   407 VAL C O   1 
ATOM 17459 C CB  . VAL C 3 407 ? 292.963 -55.335 311.857 1.0 73.12266  ? 407 VAL C CB  407 VAL C CB  1 
ATOM 17460 C CG1 . VAL C 3 407 ? 293.899 -56.052 312.804 1.0 73.12266  ? 407 VAL C CG1 407 VAL C CG1 1 
ATOM 17461 C CG2 . VAL C 3 407 ? 291.608 -55.184 312.489 1.0 73.12266  ? 407 VAL C CG2 407 VAL C CG2 1 
ATOM 17462 N N   . GLU C 3 408 ? 292.748 -53.756 309.219 1.0 72.96788  ? 408 GLU C N   408 GLU C N   1 
ATOM 17463 C CA  . GLU C 3 408 ? 292.139 -53.091 308.074 1.0 72.96788  ? 408 GLU C CA  408 GLU C CA  1 
ATOM 17464 C C   . GLU C 3 408 ? 291.452 -54.124 307.200 1.0 72.96788  ? 408 GLU C C   408 GLU C C   1 
ATOM 17465 O O   . GLU C 3 408 ? 292.006 -55.200 306.964 1.0 72.96788  ? 408 GLU C O   408 GLU C O   1 
ATOM 17466 C CB  . GLU C 3 408 ? 293.201 -52.337 307.266 1.0 72.96788  ? 408 GLU C CB  408 GLU C CB  1 
ATOM 17467 C CG  . GLU C 3 408 ? 292.685 -51.600 306.046 1.0 72.96788  ? 408 GLU C CG  408 GLU C CG  1 
ATOM 17468 C CD  . GLU C 3 408 ? 293.773 -50.820 305.334 1.0 72.96788  ? 408 GLU C CD  408 GLU C CD  1 
ATOM 17469 O OE1 . GLU C 3 408 ? 294.929 -50.842 305.806 1.0 72.96788  ? 408 GLU C OE1 408 GLU C OE1 1 
ATOM 17470 O OE2 . GLU C 3 408 ? 293.477 -50.193 304.297 1.0 72.96788  ? 408 GLU C OE2 408 GLU C OE2 1 
ATOM 17471 N N   . MET C 3 409 ? 290.252 -53.807 306.729 1.0 71.65972  ? 409 MET C N   409 MET C N   1 
ATOM 17472 C CA  . MET C 3 409 ? 289.574 -54.633 305.746 1.0 71.65972  ? 409 MET C CA  409 MET C CA  1 
ATOM 17473 C C   . MET C 3 409 ? 289.140 -53.774 304.568 1.0 71.65972  ? 409 MET C C   409 MET C C   1 
ATOM 17474 O O   . MET C 3 409 ? 288.908 -52.569 304.706 1.0 71.65972  ? 409 MET C O   409 MET C O   1 
ATOM 17475 C CB  . MET C 3 409 ? 288.353 -55.350 306.341 1.0 71.65972  ? 409 MET C CB  409 MET C CB  1 
ATOM 17476 C CG  . MET C 3 409 ? 287.210 -54.441 306.742 1.0 71.65972  ? 409 MET C CG  409 MET C CG  1 
ATOM 17477 S SD  . MET C 3 409 ? 285.814 -55.348 307.425 1.0 71.65972  ? 409 MET C SD  409 MET C SD  1 
ATOM 17478 C CE  . MET C 3 409 ? 286.446 -55.770 309.042 1.0 71.65972  ? 409 MET C CE  409 MET C CE  1 
ATOM 17479 N N   . ASN C 3 410 ? 289.060 -54.394 303.396 1.0 67.56668  ? 410 ASN C N   410 ASN C N   1 
ATOM 17480 C CA  . ASN C 3 410 ? 288.416 -53.744 302.261 1.0 67.56668  ? 410 ASN C CA  410 ASN C CA  1 
ATOM 17481 C C   . ASN C 3 410 ? 286.924 -53.959 302.452 1.0 67.56668  ? 410 ASN C C   410 ASN C C   1 
ATOM 17482 O O   . ASN C 3 410 ? 286.354 -54.961 302.020 1.0 67.56668  ? 410 ASN C O   410 ASN C O   1 
ATOM 17483 C CB  . ASN C 3 410 ? 288.912 -54.304 300.937 1.0 67.56668  ? 410 ASN C CB  410 ASN C CB  1 
ATOM 17484 C CG  . ASN C 3 410 ? 288.490 -53.454 299.754 1.0 67.56668  ? 410 ASN C CG  410 ASN C CG  1 
ATOM 17485 O OD1 . ASN C 3 410 ? 287.821 -52.435 299.915 1.0 67.56668  ? 410 ASN C OD1 410 ASN C OD1 1 
ATOM 17486 N ND2 . ASN C 3 410 ? 288.881 -53.867 298.560 1.0 67.56668  ? 410 ASN C ND2 410 ASN C ND2 1 
ATOM 17487 N N   . LEU C 3 411 ? 286.295 -53.002 303.126 1.0 66.05093  ? 411 LEU C N   411 LEU C N   1 
ATOM 17488 C CA  . LEU C 3 411 ? 284.903 -53.161 303.542 1.0 66.05093  ? 411 LEU C CA  411 LEU C CA  1 
ATOM 17489 C C   . LEU C 3 411 ? 283.892 -53.150 302.392 1.0 66.05093  ? 411 LEU C C   411 LEU C C   1 
ATOM 17490 O O   . LEU C 3 411 ? 283.013 -54.028 302.395 1.0 66.05093  ? 411 LEU C O   411 LEU C O   1 
ATOM 17491 C CB  . LEU C 3 411 ? 284.589 -52.123 304.629 1.0 66.05093  ? 411 LEU C CB  411 LEU C CB  1 
ATOM 17492 C CG  . LEU C 3 411 ? 283.308 -52.103 305.471 1.0 66.05093  ? 411 LEU C CG  411 LEU C CG  1 
ATOM 17493 C CD1 . LEU C 3 411 ? 282.160 -51.373 304.805 1.0 66.05093  ? 411 LEU C CD1 411 LEU C CD1 1 
ATOM 17494 C CD2 . LEU C 3 411 ? 282.897 -53.513 305.815 1.0 66.05093  ? 411 LEU C CD2 411 LEU C CD2 1 
ATOM 17495 N N   . PRO C 3 412 ? 283.922 -52.230 301.404 1.0 64.92868  ? 412 PRO C N   412 PRO C N   1 
ATOM 17496 C CA  . PRO C 3 412 ? 282.917 -52.325 300.328 1.0 64.92868  ? 412 PRO C CA  412 PRO C CA  1 
ATOM 17497 C C   . PRO C 3 412 ? 283.101 -53.522 299.414 1.0 64.92868  ? 412 PRO C C   412 PRO C C   1 
ATOM 17498 O O   . PRO C 3 412 ? 282.143 -53.908 298.734 1.0 64.92868  ? 412 PRO C O   412 PRO C O   1 
ATOM 17499 C CB  . PRO C 3 412 ? 283.094 -51.015 299.553 1.0 64.92868  ? 412 PRO C CB  412 PRO C CB  1 
ATOM 17500 C CG  . PRO C 3 412 ? 283.755 -50.118 300.479 1.0 64.92868  ? 412 PRO C CG  412 PRO C CG  1 
ATOM 17501 C CD  . PRO C 3 412 ? 284.679 -50.972 301.250 1.0 64.92868  ? 412 PRO C CD  412 PRO C CD  1 
ATOM 17502 N N   . ALA C 3 413 ? 284.291 -54.121 299.373 1.0 64.90093  ? 413 ALA C N   413 ALA C N   1 
ATOM 17503 C CA  . ALA C 3 413 ? 284.451 -55.372 298.646 1.0 64.90093  ? 413 ALA C CA  413 ALA C CA  1 
ATOM 17504 C C   . ALA C 3 413 ? 283.795 -56.527 299.385 1.0 64.90093  ? 413 ALA C C   413 ALA C C   1 
ATOM 17505 O O   . ALA C 3 413 ? 283.280 -57.452 298.751 1.0 64.90093  ? 413 ALA C O   413 ALA C O   1 
ATOM 17506 C CB  . ALA C 3 413 ? 285.930 -55.664 298.413 1.0 64.90093  ? 413 ALA C CB  413 ALA C CB  1 
ATOM 17507 N N   . ASN C 3 414 ? 283.785 -56.482 300.719 1.0 65.04923  ? 414 ASN C N   414 ASN C N   1 
ATOM 17508 C CA  . ASN C 3 414 ? 283.212 -57.576 301.493 1.0 65.04923  ? 414 ASN C CA  414 ASN C CA  1 
ATOM 17509 C C   . ASN C 3 414 ? 281.690 -57.567 301.457 1.0 65.04923  ? 414 ASN C C   414 ASN C C   1 
ATOM 17510 O O   . ASN C 3 414 ? 281.068 -58.628 301.582 1.0 65.04923  ? 414 ASN C O   414 ASN C O   1 
ATOM 17511 C CB  . ASN C 3 414 ? 283.710 -57.513 302.932 1.0 65.04923  ? 414 ASN C CB  414 ASN C CB  1 
ATOM 17512 C CG  . ASN C 3 414 ? 285.172 -57.861 303.049 1.0 65.04923  ? 414 ASN C CG  414 ASN C CG  1 
ATOM 17513 O OD1 . ASN C 3 414 ? 285.652 -58.782 302.394 1.0 65.04923  ? 414 ASN C OD1 414 ASN C OD1 1 
ATOM 17514 N ND2 . ASN C 3 414 ? 285.892 -57.126 303.883 1.0 65.04923  ? 414 ASN C ND2 414 ASN C ND2 1 
ATOM 17515 N N   . LEU C 3 415 ? 281.070 -56.393 301.306 1.0 64.55007  ? 415 LEU C N   415 LEU C N   1 
ATOM 17516 C CA  . LEU C 3 415 ? 279.634 -56.357 301.045 1.0 64.55007  ? 415 LEU C CA  415 LEU C CA  1 
ATOM 17517 C C   . LEU C 3 415 ? 279.307 -56.938 299.680 1.0 64.55007  ? 415 LEU C C   415 LEU C C   1 
ATOM 17518 O O   . LEU C 3 415 ? 278.255 -57.560 299.506 1.0 64.55007  ? 415 LEU C O   415 LEU C O   1 
ATOM 17519 C CB  . LEU C 3 415 ? 279.092 -54.928 301.131 1.0 64.55007  ? 415 LEU C CB  415 LEU C CB  1 
ATOM 17520 C CG  . LEU C 3 415 ? 278.671 -54.295 302.460 1.0 64.55007  ? 415 LEU C CG  415 LEU C CG  1 
ATOM 17521 C CD1 . LEU C 3 415 ? 279.855 -53.912 303.301 1.0 64.55007  ? 415 LEU C CD1 415 LEU C CD1 1 
ATOM 17522 C CD2 . LEU C 3 415 ? 277.790 -53.071 302.209 1.0 64.55007  ? 415 LEU C CD2 415 LEU C CD2 1 
ATOM 17523 N N   . LYS C 3 416 ? 280.195 -56.751 298.708 1.0 63.54944  ? 416 LYS C N   416 LYS C N   1 
ATOM 17524 C CA  . LYS C 3 416 ? 279.974 -57.278 297.371 1.0 63.54944  ? 416 LYS C CA  416 LYS C CA  1 
ATOM 17525 C C   . LYS C 3 416 ? 280.391 -58.740 297.273 1.0 63.54944  ? 416 LYS C C   416 LYS C C   1 
ATOM 17526 O O   . LYS C 3 416 ? 279.839 -59.487 296.459 1.0 63.54944  ? 416 LYS C O   416 LYS C O   1 
ATOM 17527 C CB  . LYS C 3 416 ? 280.724 -56.399 296.366 1.0 63.54944  ? 416 LYS C CB  416 LYS C CB  1 
ATOM 17528 C CG  . LYS C 3 416 ? 280.482 -56.690 294.906 1.0 63.54944  ? 416 LYS C CG  416 LYS C CG  1 
ATOM 17529 C CD  . LYS C 3 416 ? 281.652 -57.409 294.286 1.0 63.54944  ? 416 LYS C CD  416 LYS C CD  1 
ATOM 17530 C CE  . LYS C 3 416 ? 281.422 -57.609 292.811 1.0 63.54944  ? 416 LYS C CE  416 LYS C CE  1 
ATOM 17531 N NZ  . LYS C 3 416 ? 281.344 -56.319 292.079 1.0 63.54944  ? 416 LYS C NZ  416 LYS C NZ  1 
ATOM 17532 N N   . ARG C 3 417 ? 281.340 -59.168 298.106 1.0 63.60687  ? 417 ARG C N   417 ARG C N   1 
ATOM 17533 C CA  . ARG C 3 417 ? 281.752 -60.566 298.116 1.0 63.60687  ? 417 ARG C CA  417 ARG C CA  1 
ATOM 17534 C C   . ARG C 3 417 ? 280.675 -61.462 298.711 1.0 63.60687  ? 417 ARG C C   417 ARG C C   1 
ATOM 17535 O O   . ARG C 3 417 ? 280.499 -62.600 298.263 1.0 63.60687  ? 417 ARG C O   417 ARG C O   1 
ATOM 17536 C CB  . ARG C 3 417 ? 283.058 -60.700 298.894 1.0 63.60687  ? 417 ARG C CB  417 ARG C CB  1 
ATOM 17537 C CG  . ARG C 3 417 ? 283.690 -62.068 298.895 1.0 63.60687  ? 417 ARG C CG  417 ARG C CG  1 
ATOM 17538 C CD  . ARG C 3 417 ? 285.015 -62.014 299.629 1.0 63.60687  ? 417 ARG C CD  417 ARG C CD  1 
ATOM 17539 N NE  . ARG C 3 417 ? 285.634 -63.327 299.746 1.0 63.60687  ? 417 ARG C NE  417 ARG C NE  1 
ATOM 17540 C CZ  . ARG C 3 417 ? 286.428 -63.858 298.826 1.0 63.60687  ? 417 ARG C CZ  417 ARG C CZ  1 
ATOM 17541 N NH1 . ARG C 3 417 ? 286.700 -63.188 297.717 1.0 63.60687  ? 417 ARG C NH1 417 ARG C NH1 1 
ATOM 17542 N NH2 . ARG C 3 417 ? 286.949 -65.060 299.016 1.0 63.60687  ? 417 ARG C NH2 417 ARG C NH2 1 
ATOM 17543 N N   . THR C 3 418 ? 279.940 -60.967 299.706 1.0 63.46787  ? 418 THR C N   418 THR C N   1 
ATOM 17544 C CA  . THR C 3 418 ? 278.853 -61.740 300.295 1.0 63.46787  ? 418 THR C CA  418 THR C CA  1 
ATOM 17545 C C   . THR C 3 418 ? 277.635 -61.761 299.378 1.0 63.46787  ? 418 THR C C   418 THR C C   1 
ATOM 17546 O O   . THR C 3 418 ? 276.958 -62.790 299.266 1.0 63.46787  ? 418 THR C O   418 THR C O   1 
ATOM 17547 C CB  . THR C 3 418 ? 278.497 -61.162 301.668 1.0 63.46787  ? 418 THR C CB  418 THR C CB  1 
ATOM 17548 O OG1 . THR C 3 418 ? 279.667 -61.146 302.492 1.0 63.46787  ? 418 THR C OG1 418 THR C OG1 1 
ATOM 17549 C CG2 . THR C 3 418 ? 277.444 -61.999 302.361 1.0 63.46787  ? 418 THR C CG2 418 THR C CG2 1 
ATOM 17550 N N   . PHE C 3 419 ? 277.362 -60.642 298.701 1.0 62.64064  ? 419 PHE C N   419 PHE C N   1 
ATOM 17551 C CA  . PHE C 3 419 ? 276.232 -60.571 297.778 1.0 62.64064  ? 419 PHE C CA  419 PHE C CA  1 
ATOM 17552 C C   . PHE C 3 419 ? 276.435 -61.494 296.585 1.0 62.64064  ? 419 PHE C C   419 PHE C C   1 
ATOM 17553 O O   . PHE C 3 419 ? 275.521 -62.223 296.188 1.0 62.64064  ? 419 PHE C O   419 PHE C O   1 
ATOM 17554 C CB  . PHE C 3 419 ? 276.028 -59.133 297.303 1.0 62.64064  ? 419 PHE C CB  419 PHE C CB  1 
ATOM 17555 C CG  . PHE C 3 419 ? 274.869 -58.964 296.362 1.0 62.64064  ? 419 PHE C CG  419 PHE C CG  1 
ATOM 17556 C CD1 . PHE C 3 419 ? 273.576 -58.890 296.846 1.0 62.64064  ? 419 PHE C CD1 419 PHE C CD1 1 
ATOM 17557 C CD2 . PHE C 3 419 ? 275.072 -58.886 294.990 1.0 62.64064  ? 419 PHE C CD2 419 PHE C CD2 1 
ATOM 17558 C CE1 . PHE C 3 419 ? 272.505 -58.740 295.981 1.0 62.64064  ? 419 PHE C CE1 419 PHE C CE1 1 
ATOM 17559 C CE2 . PHE C 3 419 ? 274.009 -58.745 294.124 1.0 62.64064  ? 419 PHE C CE2 419 PHE C CE2 1 
ATOM 17560 C CZ  . PHE C 3 419 ? 272.725 -58.668 294.620 1.0 62.64064  ? 419 PHE C CZ  419 PHE C CZ  1 
ATOM 17561 N N   . LEU C 3 420 ? 277.634 -61.478 296.001 1.0 61.63913  ? 420 LEU C N   420 LEU C N   1 
ATOM 17562 C CA  . LEU C 3 420 ? 277.915 -62.317 294.842 1.0 61.63913  ? 420 LEU C CA  420 LEU C CA  1 
ATOM 17563 C C   . LEU C 3 420 ? 278.078 -63.785 295.193 1.0 61.63913  ? 420 LEU C C   420 LEU C C   1 
ATOM 17564 O O   . LEU C 3 420 ? 278.126 -64.614 294.282 1.0 61.63913  ? 420 LEU C O   420 LEU C O   1 
ATOM 17565 C CB  . LEU C 3 420 ? 279.171 -61.836 294.114 1.0 61.63913  ? 420 LEU C CB  420 LEU C CB  1 
ATOM 17566 C CG  . LEU C 3 420 ? 279.032 -60.850 292.949 1.0 61.63913  ? 420 LEU C CG  420 LEU C CG  1 
ATOM 17567 C CD1 . LEU C 3 420 ? 278.297 -61.508 291.794 1.0 61.63913  ? 420 LEU C CD1 420 LEU C CD1 1 
ATOM 17568 C CD2 . LEU C 3 420 ? 278.334 -59.562 293.354 1.0 61.63913  ? 420 LEU C CD2 420 LEU C CD2 1 
ATOM 17569 N N   . TYR C 3 421 ? 278.178 -64.132 296.472 1.0 61.737    ? 421 TYR C N   421 TYR C N   1 
ATOM 17570 C CA  . TYR C 3 421 ? 278.277 -65.535 296.844 1.0 61.737    ? 421 TYR C CA  421 TYR C CA  1 
ATOM 17571 C C   . TYR C 3 421 ? 276.924 -66.127 297.211 1.0 61.737    ? 421 TYR C C   421 TYR C C   1 
ATOM 17572 O O   . TYR C 3 421 ? 276.564 -67.201 296.724 1.0 61.737    ? 421 TYR C O   421 TYR C O   1 
ATOM 17573 C CB  . TYR C 3 421 ? 279.250 -65.712 298.008 1.0 61.737    ? 421 TYR C CB  421 TYR C CB  1 
ATOM 17574 C CG  . TYR C 3 421 ? 279.378 -67.146 298.448 1.0 61.737    ? 421 TYR C CG  421 TYR C CG  1 
ATOM 17575 C CD1 . TYR C 3 421 ? 280.057 -68.066 297.668 1.0 61.737    ? 421 TYR C CD1 421 TYR C CD1 1 
ATOM 17576 C CD2 . TYR C 3 421 ? 278.825 -67.579 299.644 1.0 61.737    ? 421 TYR C CD2 421 TYR C CD2 1 
ATOM 17577 C CE1 . TYR C 3 421 ? 280.175 -69.376 298.061 1.0 61.737    ? 421 TYR C CE1 421 TYR C CE1 1 
ATOM 17578 C CE2 . TYR C 3 421 ? 278.944 -68.887 300.047 1.0 61.737    ? 421 TYR C CE2 421 TYR C CE2 1 
ATOM 17579 C CZ  . TYR C 3 421 ? 279.620 -69.779 299.252 1.0 61.737    ? 421 TYR C CZ  421 TYR C CZ  1 
ATOM 17580 O OH  . TYR C 3 421 ? 279.738 -71.085 299.649 1.0 61.737    ? 421 TYR C OH  421 TYR C OH  1 
ATOM 17581 N N   . SER C 3 422 ? 276.166 -65.439 298.064 1.0 60.5591   ? 422 SER C N   422 SER C N   1 
ATOM 17582 C CA  . SER C 3 422 ? 274.923 -65.995 298.581 1.0 60.5591   ? 422 SER C CA  422 SER C CA  1 
ATOM 17583 C C   . SER C 3 422 ? 273.798 -65.983 297.559 1.0 60.5591   ? 422 SER C C   422 SER C C   1 
ATOM 17584 O O   . SER C 3 422 ? 272.779 -66.645 297.775 1.0 60.5591   ? 422 SER C O   422 SER C O   1 
ATOM 17585 C CB  . SER C 3 422 ? 274.481 -65.224 299.819 1.0 60.5591   ? 422 SER C CB  422 SER C CB  1 
ATOM 17586 O OG  . SER C 3 422 ? 273.254 -65.729 300.308 1.0 60.5591   ? 422 SER C OG  422 SER C OG  1 
ATOM 17587 N N   . ASN C 3 423 ? 273.952 -65.255 296.460 1.0 59.6122   ? 423 ASN C N   423 ASN C N   1 
ATOM 17588 C CA  . ASN C 3 423 ? 272.882 -65.078 295.489 1.0 59.6122   ? 423 ASN C CA  423 ASN C CA  1 
ATOM 17589 C C   . ASN C 3 423 ? 273.198 -65.652 294.123 1.0 59.6122   ? 423 ASN C C   423 ASN C C   1 
ATOM 17590 O O   . ASN C 3 423 ? 272.324 -66.250 293.496 1.0 59.6122   ? 423 ASN C O   423 ASN C O   1 
ATOM 17591 C CB  . ASN C 3 423 ? 272.558 -63.595 295.343 1.0 59.6122   ? 423 ASN C CB  423 ASN C CB  1 
ATOM 17592 C CG  . ASN C 3 423 ? 271.905 -63.038 296.571 1.0 59.6122   ? 423 ASN C CG  423 ASN C CG  1 
ATOM 17593 O OD1 . ASN C 3 423 ? 271.016 -63.657 297.144 1.0 59.6122   ? 423 ASN C OD1 423 ASN C OD1 1 
ATOM 17594 N ND2 . ASN C 3 423 ? 272.356 -61.879 297.005 1.0 59.6122   ? 423 ASN C ND2 423 ASN C ND2 1 
ATOM 17595 N N   . VAL C 3 424 ? 274.423 -65.489 293.643 1.0 59.7588   ? 424 VAL C N   424 VAL C N   1 
ATOM 17596 C CA  . VAL C 3 424 ? 274.814 -65.989 292.336 1.0 59.7588   ? 424 VAL C CA  424 VAL C CA  1 
ATOM 17597 C C   . VAL C 3 424 ? 275.612 -67.280 292.449 1.0 59.7588   ? 424 VAL C C   424 VAL C C   1 
ATOM 17598 O O   . VAL C 3 424 ? 275.311 -68.263 291.775 1.0 59.7588   ? 424 VAL C O   424 VAL C O   1 
ATOM 17599 C CB  . VAL C 3 424 ? 275.599 -64.906 291.563 1.0 59.7588   ? 424 VAL C CB  424 VAL C CB  1 
ATOM 17600 C CG1 . VAL C 3 424 ? 276.018 -65.427 290.204 1.0 59.7588   ? 424 VAL C CG1 424 VAL C CG1 1 
ATOM 17601 C CG2 . VAL C 3 424 ? 274.765 -63.649 291.426 1.0 59.7588   ? 424 VAL C CG2 424 VAL C CG2 1 
ATOM 17602 N N   . ALA C 3 425 ? 276.626 -67.304 293.313 1.0 60.30122  ? 425 ALA C N   425 ALA C N   1 
ATOM 17603 C CA  . ALA C 3 425 ? 277.496 -68.467 293.412 1.0 60.30122  ? 425 ALA C CA  425 ALA C CA  1 
ATOM 17604 C C   . ALA C 3 425 ? 276.882 -69.596 294.216 1.0 60.30122  ? 425 ALA C C   425 ALA C C   1 
ATOM 17605 O O   . ALA C 3 425 ? 277.378 -70.722 294.155 1.0 60.30122  ? 425 ALA C O   425 ALA C O   1 
ATOM 17606 C CB  . ALA C 3 425 ? 278.837 -68.076 294.032 1.0 60.30122  ? 425 ALA C CB  425 ALA C CB  1 
ATOM 17607 N N   . MET C 3 426 ? 275.825 -69.323 294.972 1.0 58.74713  ? 426 MET C N   426 MET C N   1 
ATOM 17608 C CA  . MET C 3 426 ? 275.182 -70.368 295.752 1.0 58.74713  ? 426 MET C CA  426 MET C CA  1 
ATOM 17609 C C   . MET C 3 426 ? 274.290 -71.243 294.883 1.0 58.74713  ? 426 MET C C   426 MET C C   1 
ATOM 17610 O O   . MET C 3 426 ? 274.231 -72.460 295.079 1.0 58.74713  ? 426 MET C O   426 MET C O   1 
ATOM 17611 C CB  . MET C 3 426 ? 274.380 -69.730 296.882 1.0 58.74713  ? 426 MET C CB  426 MET C CB  1 
ATOM 17612 C CG  . MET C 3 426 ? 273.782 -70.719 297.843 1.0 58.74713  ? 426 MET C CG  426 MET C CG  1 
ATOM 17613 S SD  . MET C 3 426 ? 275.041 -71.695 298.687 1.0 58.74713  ? 426 MET C SD  426 MET C SD  1 
ATOM 17614 C CE  . MET C 3 426 ? 275.692 -70.492 299.843 1.0 58.74713  ? 426 MET C CE  426 MET C CE  1 
ATOM 17615 N N   . TYR C 3 427 ? 273.628 -70.646 293.891 1.0 56.95803  ? 427 TYR C N   427 TYR C N   1 
ATOM 17616 C CA  . TYR C 3 427 ? 272.579 -71.302 293.119 1.0 56.95803  ? 427 TYR C CA  427 TYR C CA  1 
ATOM 17617 C C   . TYR C 3 427 ? 273.093 -71.879 291.806 1.0 56.95803  ? 427 TYR C C   427 TYR C C   1 
ATOM 17618 O O   . TYR C 3 427 ? 272.370 -71.880 290.808 1.0 56.95803  ? 427 TYR C O   427 TYR C O   1 
ATOM 17619 C CB  . TYR C 3 427 ? 271.428 -70.326 292.858 1.0 56.95803  ? 427 TYR C CB  427 TYR C CB  1 
ATOM 17620 C CG  . TYR C 3 427 ? 270.629 -69.981 294.099 1.0 56.95803  ? 427 TYR C CG  427 TYR C CG  1 
ATOM 17621 C CD1 . TYR C 3 427 ? 270.693 -70.787 295.221 1.0 56.95803  ? 427 TYR C CD1 427 TYR C CD1 1 
ATOM 17622 C CD2 . TYR C 3 427 ? 269.826 -68.860 294.158 1.0 56.95803  ? 427 TYR C CD2 427 TYR C CD2 1 
ATOM 17623 C CE1 . TYR C 3 427 ? 269.987 -70.493 296.360 1.0 56.95803  ? 427 TYR C CE1 427 TYR C CE1 1 
ATOM 17624 C CE2 . TYR C 3 427 ? 269.106 -68.560 295.310 1.0 56.95803  ? 427 TYR C CE2 427 TYR C CE2 1 
ATOM 17625 C CZ  . TYR C 3 427 ? 269.191 -69.377 296.397 1.0 56.95803  ? 427 TYR C CZ  427 TYR C CZ  1 
ATOM 17626 O OH  . TYR C 3 427 ? 268.488 -69.094 297.545 1.0 56.95803  ? 427 TYR C OH  427 TYR C OH  1 
ATOM 17627 N N   . LEU C 3 428 ? 274.325 -72.380 291.790 1.0 59.52135  ? 428 LEU C N   428 LEU C N   1 
ATOM 17628 C CA  . LEU C 3 428 ? 274.921 -72.972 290.600 1.0 59.52135  ? 428 LEU C CA  428 LEU C CA  1 
ATOM 17629 C C   . LEU C 3 428 ? 274.245 -74.294 290.249 1.0 59.52135  ? 428 LEU C C   428 LEU C C   1 
ATOM 17630 O O   . LEU C 3 428 ? 273.531 -74.873 291.069 1.0 59.52135  ? 428 LEU C O   428 LEU C O   1 
ATOM 17631 C CB  . LEU C 3 428 ? 276.411 -73.195 290.833 1.0 59.52135  ? 428 LEU C CB  428 LEU C CB  1 
ATOM 17632 C CG  . LEU C 3 428 ? 277.202 -71.908 290.965 1.0 59.52135  ? 428 LEU C CG  428 LEU C CG  1 
ATOM 17633 C CD1 . LEU C 3 428 ? 278.581 -72.272 291.387 1.0 59.52135  ? 428 LEU C CD1 428 LEU C CD1 1 
ATOM 17634 C CD2 . LEU C 3 428 ? 277.219 -71.167 289.649 1.0 59.52135  ? 428 LEU C CD2 428 LEU C CD2 1 
ATOM 17635 N N   . PRO C 3 429 ? 274.457 -74.813 289.023 1.0 61.45447  ? 429 PRO C N   429 PRO C N   1 
ATOM 17636 C CA  . PRO C 3 429 ? 274.021 -76.186 288.730 1.0 61.45447  ? 429 PRO C CA  429 PRO C CA  1 
ATOM 17637 C C   . PRO C 3 429 ? 274.789 -77.262 289.486 1.0 61.45447  ? 429 PRO C C   429 PRO C C   1 
ATOM 17638 O O   . PRO C 3 429 ? 275.663 -76.976 290.310 1.0 61.45447  ? 429 PRO C O   429 PRO C O   1 
ATOM 17639 C CB  . PRO C 3 429 ? 274.250 -76.307 287.219 1.0 61.45447  ? 429 PRO C CB  429 PRO C CB  1 
ATOM 17640 C CG  . PRO C 3 429 ? 274.149 -74.934 286.720 1.0 61.45447  ? 429 PRO C CG  429 PRO C CG  1 
ATOM 17641 C CD  . PRO C 3 429 ? 274.748 -74.072 287.781 1.0 61.45447  ? 429 PRO C CD  429 PRO C CD  1 
ATOM 17642 N N   . ASP C 3 430 ? 274.452 -78.520 289.201 1.0 65.98005  ? 430 ASP C N   430 ASP C N   1 
ATOM 17643 C CA  . ASP C 3 430 ? 275.069 -79.655 289.874 1.0 65.98005  ? 430 ASP C CA  430 ASP C CA  1 
ATOM 17644 C C   . ASP C 3 430 ? 276.522 -79.850 289.462 1.0 65.98005  ? 430 ASP C C   430 ASP C C   1 
ATOM 17645 O O   . ASP C 3 430 ? 277.304 -80.418 290.231 1.0 65.98005  ? 430 ASP C O   430 ASP C O   1 
ATOM 17646 C CB  . ASP C 3 430 ? 274.276 -80.920 289.549 1.0 65.98005  ? 430 ASP C CB  430 ASP C CB  1 
ATOM 17647 C CG  . ASP C 3 430 ? 274.518 -82.038 290.533 1.0 65.98005  ? 430 ASP C CG  430 ASP C CG  1 
ATOM 17648 O OD1 . ASP C 3 430 ? 275.192 -81.811 291.557 1.0 65.98005  ? 430 ASP C OD1 430 ASP C OD1 1 
ATOM 17649 O OD2 . ASP C 3 430 ? 274.045 -83.159 290.271 1.0 65.98005  ? 430 ASP C OD2 430 ASP C OD2 1 
ATOM 17650 N N   . THR C 3 431 ? 276.898 -79.385 288.271 1.0 65.69275  ? 431 THR C N   431 THR C N   1 
ATOM 17651 C CA  . THR C 3 431 ? 278.226 -79.650 287.731 1.0 65.69275  ? 431 THR C CA  431 THR C CA  1 
ATOM 17652 C C   . THR C 3 431 ? 279.296 -78.834 288.448 1.0 65.69275  ? 431 THR C C   431 THR C C   1 
ATOM 17653 O O   . THR C 3 431 ? 280.377 -79.351 288.751 1.0 65.69275  ? 431 THR C O   431 THR C O   1 
ATOM 17654 C CB  . THR C 3 431 ? 278.235 -79.353 286.228 1.0 65.69275  ? 431 THR C CB  431 THR C CB  1 
ATOM 17655 O OG1 . THR C 3 431 ? 277.217 -80.127 285.581 1.0 65.69275  ? 431 THR C OG1 431 THR C OG1 1 
ATOM 17656 C CG2 . THR C 3 431 ? 279.578 -79.695 285.602 1.0 65.69275  ? 431 THR C CG2 431 THR C CG2 1 
ATOM 17657 N N   . TYR C 3 432 ? 278.996 -77.576 288.764 1.0 65.08797  ? 432 TYR C N   432 TYR C N   1 
ATOM 17658 C CA  . TYR C 3 432 ? 279.964 -76.651 289.334 1.0 65.08797  ? 432 TYR C CA  432 TYR C CA  1 
ATOM 17659 C C   . TYR C 3 432 ? 279.995 -76.680 290.856 1.0 65.08797  ? 432 TYR C C   432 TYR C C   1 
ATOM 17660 O O   . TYR C 3 432 ? 280.488 -75.730 291.473 1.0 65.08797  ? 432 TYR C O   432 TYR C O   1 
ATOM 17661 C CB  . TYR C 3 432 ? 279.675 -75.234 288.848 1.0 65.08797  ? 432 TYR C CB  432 TYR C CB  1 
ATOM 17662 C CG  . TYR C 3 432 ? 279.877 -75.075 287.369 1.0 65.08797  ? 432 TYR C CG  432 TYR C CG  1 
ATOM 17663 C CD1 . TYR C 3 432 ? 281.145 -74.894 286.842 1.0 65.08797  ? 432 TYR C CD1 432 TYR C CD1 1 
ATOM 17664 C CD2 . TYR C 3 432 ? 278.803 -75.123 286.496 1.0 65.08797  ? 432 TYR C CD2 432 TYR C CD2 1 
ATOM 17665 C CE1 . TYR C 3 432 ? 281.338 -74.754 285.487 1.0 65.08797  ? 432 TYR C CE1 432 TYR C CE1 1 
ATOM 17666 C CE2 . TYR C 3 432 ? 278.985 -74.990 285.140 1.0 65.08797  ? 432 TYR C CE2 432 TYR C CE2 1 
ATOM 17667 C CZ  . TYR C 3 432 ? 280.256 -74.802 284.641 1.0 65.08797  ? 432 TYR C CZ  432 TYR C CZ  1 
ATOM 17668 O OH  . TYR C 3 432 ? 280.456 -74.663 283.289 1.0 65.08797  ? 432 TYR C OH  432 TYR C OH  1 
ATOM 17669 N N   . LYS C 3 433 ? 279.487 -77.735 291.472 1.0 63.86624  ? 433 LYS C N   433 LYS C N   1 
ATOM 17670 C CA  . LYS C 3 433 ? 279.544 -77.907 292.913 1.0 63.86624  ? 433 LYS C CA  433 LYS C CA  1 
ATOM 17671 C C   . LYS C 3 433 ? 280.345 -79.162 293.235 1.0 63.86624  ? 433 LYS C C   433 LYS C C   1 
ATOM 17672 O O   . LYS C 3 433 ? 280.790 -79.884 292.342 1.0 63.86624  ? 433 LYS C O   433 LYS C O   1 
ATOM 17673 C CB  . LYS C 3 433 ? 278.139 -77.984 293.509 1.0 63.86624  ? 433 LYS C CB  433 LYS C CB  1 
ATOM 17674 C CG  . LYS C 3 433 ? 277.361 -76.692 293.408 1.0 63.86624  ? 433 LYS C CG  433 LYS C CG  1 
ATOM 17675 C CD  . LYS C 3 433 ? 276.003 -76.824 294.062 1.0 63.86624  ? 433 LYS C CD  433 LYS C CD  1 
ATOM 17676 C CE  . LYS C 3 433 ? 275.223 -75.533 293.957 1.0 63.86624  ? 433 LYS C CE  433 LYS C CE  1 
ATOM 17677 N NZ  . LYS C 3 433 ? 273.890 -75.652 294.594 1.0 63.86624  ? 433 LYS C NZ  433 LYS C NZ  1 
ATOM 17678 N N   . PHE C 3 434 ? 280.518 -79.422 294.527 1.0 69.29529  ? 434 PHE C N   434 PHE C N   1 
ATOM 17679 C CA  . PHE C 3 434 ? 281.233 -80.606 294.979 1.0 69.29529  ? 434 PHE C CA  434 PHE C CA  1 
ATOM 17680 C C   . PHE C 3 434 ? 280.794 -80.925 296.398 1.0 69.29529  ? 434 PHE C C   434 PHE C C   1 
ATOM 17681 O O   . PHE C 3 434 ? 280.194 -80.095 297.083 1.0 69.29529  ? 434 PHE C O   434 PHE C O   1 
ATOM 17682 C CB  . PHE C 3 434 ? 282.756 -80.417 294.902 1.0 69.29529  ? 434 PHE C CB  434 PHE C CB  1 
ATOM 17683 C CG  . PHE C 3 434 ? 283.292 -79.340 295.806 1.0 69.29529  ? 434 PHE C CG  434 PHE C CG  1 
ATOM 17684 C CD1 . PHE C 3 434 ? 283.316 -78.021 295.390 1.0 69.29529  ? 434 PHE C CD1 434 PHE C CD1 1 
ATOM 17685 C CD2 . PHE C 3 434 ? 283.823 -79.653 297.048 1.0 69.29529  ? 434 PHE C CD2 434 PHE C CD2 1 
ATOM 17686 C CE1 . PHE C 3 434 ? 283.819 -77.033 296.209 1.0 69.29529  ? 434 PHE C CE1 434 PHE C CE1 1 
ATOM 17687 C CE2 . PHE C 3 434 ? 284.323 -78.670 297.870 1.0 69.29529  ? 434 PHE C CE2 434 PHE C CE2 1 
ATOM 17688 C CZ  . PHE C 3 434 ? 284.324 -77.359 297.447 1.0 69.29529  ? 434 PHE C CZ  434 PHE C CZ  1 
ATOM 17689 N N   . THR C 3 435 ? 281.094 -82.121 296.819 1.0 72.79721  ? 435 THR C N   435 THR C N   1 
ATOM 17690 C CA  . THR C 3 435 ? 280.818 -82.422 298.212 1.0 72.79721  ? 435 THR C CA  435 THR C CA  1 
ATOM 17691 C C   . THR C 3 435 ? 282.082 -82.261 299.054 1.0 72.79721  ? 435 THR C C   435 THR C C   1 
ATOM 17692 O O   . THR C 3 435 ? 283.197 -82.462 298.560 1.0 72.79721  ? 435 THR C O   435 THR C O   1 
ATOM 17693 C CB  . THR C 3 435 ? 280.257 -83.840 298.351 1.0 72.79721  ? 435 THR C CB  435 THR C CB  1 
ATOM 17694 O OG1 . THR C 3 435 ? 279.969 -84.119 299.727 1.0 72.79721  ? 435 THR C OG1 435 THR C OG1 1 
ATOM 17695 C CG2 . THR C 3 435 ? 281.210 -84.889 297.795 1.0 72.79721  ? 435 THR C CG2 435 THR C CG2 1 
ATOM 17696 N N   . PRO C 3 436 ? 281.952 -81.835 300.308 1.0 75.47407  ? 436 PRO C N   436 PRO C N   1 
ATOM 17697 C CA  . PRO C 3 436 ? 283.124 -81.746 301.182 1.0 75.47407  ? 436 PRO C CA  436 PRO C CA  1 
ATOM 17698 C C   . PRO C 3 436 ? 283.632 -83.126 301.568 1.0 75.47407  ? 436 PRO C C   436 PRO C C   1 
ATOM 17699 O O   . PRO C 3 436 ? 282.967 -84.147 301.391 1.0 75.47407  ? 436 PRO C O   436 PRO C O   1 
ATOM 17700 C CB  . PRO C 3 436 ? 282.601 -80.987 302.403 1.0 75.47407  ? 436 PRO C CB  436 PRO C CB  1 
ATOM 17701 C CG  . PRO C 3 436 ? 281.425 -80.245 301.906 1.0 75.47407  ? 436 PRO C CG  436 PRO C CG  1 
ATOM 17702 C CD  . PRO C 3 436 ? 280.796 -81.134 300.887 1.0 75.47407  ? 436 PRO C CD  436 PRO C CD  1 
ATOM 17703 N N   . ALA C 3 437 ? 284.844 -83.142 302.105 1.0 78.68379  ? 437 ALA C N   437 ALA C N   1 
ATOM 17704 C CA  . ALA C 3 437 ? 285.451 -84.388 302.536 1.0 78.68379  ? 437 ALA C CA  437 ALA C CA  1 
ATOM 17705 C C   . ALA C 3 437 ? 284.837 -84.857 303.847 1.0 78.68379  ? 437 ALA C C   437 ALA C C   1 
ATOM 17706 O O   . ALA C 3 437 ? 284.353 -84.053 304.650 1.0 78.68379  ? 437 ALA C O   437 ALA C O   1 
ATOM 17707 C CB  . ALA C 3 437 ? 286.961 -84.222 302.696 1.0 78.68379  ? 437 ALA C CB  437 ALA C CB  1 
ATOM 17708 N N   . ASN C 3 438 ? 284.836 -86.183 304.031 1.0 80.02585  ? 438 ASN C N   438 ASN C N   1 
ATOM 17709 C CA  . ASN C 3 438 ? 284.461 -86.861 305.278 1.0 80.02585  ? 438 ASN C CA  438 ASN C CA  1 
ATOM 17710 C C   . ASN C 3 438 ? 283.022 -86.575 305.699 1.0 80.02585  ? 438 ASN C C   438 ASN C C   1 
ATOM 17711 O O   . ASN C 3 438 ? 282.711 -86.551 306.891 1.0 80.02585  ? 438 ASN C O   438 ASN C O   1 
ATOM 17712 C CB  . ASN C 3 438 ? 285.426 -86.514 306.415 1.0 80.02585  ? 438 ASN C CB  438 ASN C CB  1 
ATOM 17713 C CG  . ASN C 3 438 ? 286.841 -86.970 306.133 1.0 80.02585  ? 438 ASN C CG  438 ASN C CG  1 
ATOM 17714 O OD1 . ASN C 3 438 ? 287.743 -86.153 305.956 1.0 80.02585  ? 438 ASN C OD1 438 ASN C OD1 1 
ATOM 17715 N ND2 . ASN C 3 438 ? 287.044 -88.281 306.095 1.0 80.02585  ? 438 ASN C ND2 438 ASN C ND2 1 
ATOM 17716 N N   . VAL C 3 439 ? 282.134 -86.358 304.734 1.0 81.48762  ? 439 VAL C N   439 VAL C N   1 
ATOM 17717 C CA  . VAL C 3 439 ? 280.717 -86.145 305.006 1.0 81.48762  ? 439 VAL C CA  439 VAL C CA  1 
ATOM 17718 C C   . VAL C 3 439 ? 279.918 -86.885 303.937 1.0 81.48762  ? 439 VAL C C   439 VAL C C   1 
ATOM 17719 O O   . VAL C 3 439 ? 280.352 -86.995 302.785 1.0 81.48762  ? 439 VAL C O   439 VAL C O   1 
ATOM 17720 C CB  . VAL C 3 439 ? 280.378 -84.633 305.082 1.0 81.48762  ? 439 VAL C CB  439 VAL C CB  1 
ATOM 17721 C CG1 . VAL C 3 439 ? 280.561 -83.930 303.743 1.0 81.48762  ? 439 VAL C CG1 439 VAL C CG1 1 
ATOM 17722 C CG2 . VAL C 3 439 ? 278.982 -84.398 305.647 1.0 81.48762  ? 439 VAL C CG2 439 VAL C CG2 1 
ATOM 17723 N N   . ASP C 3 440 ? 278.782 -87.452 304.334 1.0 82.67026  ? 440 ASP C N   440 ASP C N   1 
ATOM 17724 C CA  . ASP C 3 440 ? 277.978 -88.294 303.461 1.0 82.67026  ? 440 ASP C CA  440 ASP C CA  1 
ATOM 17725 C C   . ASP C 3 440 ? 276.669 -87.604 303.113 1.0 82.67026  ? 440 ASP C C   440 ASP C C   1 
ATOM 17726 O O   . ASP C 3 440 ? 276.081 -86.906 303.943 1.0 82.67026  ? 440 ASP C O   440 ASP C O   1 
ATOM 17727 C CB  . ASP C 3 440 ? 277.694 -89.646 304.116 1.0 82.67026  ? 440 ASP C CB  440 ASP C CB  1 
ATOM 17728 C CG  . ASP C 3 440 ? 278.933 -90.504 304.232 1.0 82.67026  ? 440 ASP C CG  440 ASP C CG  1 
ATOM 17729 O OD1 . ASP C 3 440 ? 279.834 -90.362 303.378 1.0 82.67026  ? 440 ASP C OD1 440 ASP C OD1 1 
ATOM 17730 O OD2 . ASP C 3 440 ? 279.010 -91.316 305.176 1.0 82.67026  ? 440 ASP C OD2 440 ASP C OD2 1 
ATOM 17731 N N   . LEU C 3 441 ? 276.218 -87.812 301.887 1.0 77.07776  ? 441 LEU C N   441 LEU C N   1 
ATOM 17732 C CA  . LEU C 3 441 ? 275.007 -87.211 301.365 1.0 77.07776  ? 441 LEU C CA  441 LEU C CA  1 
ATOM 17733 C C   . LEU C 3 441 ? 273.967 -88.283 301.061 1.0 77.07776  ? 441 LEU C C   441 LEU C C   1 
ATOM 17734 O O   . LEU C 3 441 ? 274.308 -89.460 300.900 1.0 77.07776  ? 441 LEU C O   441 LEU C O   1 
ATOM 17735 C CB  . LEU C 3 441 ? 275.326 -86.412 300.094 1.0 77.07776  ? 441 LEU C CB  441 LEU C CB  1 
ATOM 17736 C CG  . LEU C 3 441 ? 276.247 -85.216 300.327 1.0 77.07776  ? 441 LEU C CG  441 LEU C CG  1 
ATOM 17737 C CD1 . LEU C 3 441 ? 276.581 -84.531 299.017 1.0 77.07776  ? 441 LEU C CD1 441 LEU C CD1 1 
ATOM 17738 C CD2 . LEU C 3 441 ? 275.623 -84.241 301.304 1.0 77.07776  ? 441 LEU C CD2 441 LEU C CD2 1 
ATOM 17739 N N   . PRO C 3 442 ? 272.684 -87.922 301.013 1.0 76.30607  ? 442 PRO C N   442 PRO C N   1 
ATOM 17740 C CA  . PRO C 3 442 ? 271.660 -88.883 300.584 1.0 76.30607  ? 442 PRO C CA  442 PRO C CA  1 
ATOM 17741 C C   . PRO C 3 442 ? 271.829 -89.290 299.128 1.0 76.30607  ? 442 PRO C C   442 PRO C C   1 
ATOM 17742 O O   . PRO C 3 442 ? 272.542 -88.664 298.341 1.0 76.30607  ? 442 PRO C O   442 PRO C O   1 
ATOM 17743 C CB  . PRO C 3 442 ? 270.350 -88.126 300.807 1.0 76.30607  ? 442 PRO C CB  442 PRO C CB  1 
ATOM 17744 C CG  . PRO C 3 442 ? 270.666 -87.171 301.891 1.0 76.30607  ? 442 PRO C CG  442 PRO C CG  1 
ATOM 17745 C CD  . PRO C 3 442 ? 272.077 -86.740 301.648 1.0 76.30607  ? 442 PRO C CD  442 PRO C CD  1 
ATOM 17746 N N   . GLU C 3 443 ? 271.141 -90.376 298.777 1.0 79.29901  ? 443 GLU C N   443 GLU C N   1 
ATOM 17747 C CA  . GLU C 3 443 ? 271.395 -91.045 297.506 1.0 79.29901  ? 443 GLU C CA  443 GLU C CA  1 
ATOM 17748 C C   . GLU C 3 443 ? 270.810 -90.267 296.335 1.0 79.29901  ? 443 GLU C C   443 GLU C C   1 
ATOM 17749 O O   . GLU C 3 443 ? 271.494 -90.033 295.332 1.0 79.29901  ? 443 GLU C O   443 GLU C O   1 
ATOM 17750 C CB  . GLU C 3 443 ? 270.833 -92.463 297.549 1.0 79.29901  ? 443 GLU C CB  443 GLU C CB  1 
ATOM 17751 C CG  . GLU C 3 443 ? 271.539 -93.362 298.542 1.0 79.29901  ? 443 GLU C CG  443 GLU C CG  1 
ATOM 17752 C CD  . GLU C 3 443 ? 272.974 -93.644 298.148 1.0 79.29901  ? 443 GLU C CD  443 GLU C CD  1 
ATOM 17753 O OE1 . GLU C 3 443 ? 273.258 -93.716 296.933 1.0 79.29901  ? 443 GLU C OE1 443 GLU C OE1 1 
ATOM 17754 O OE2 . GLU C 3 443 ? 273.821 -93.790 299.055 1.0 79.29901  ? 443 GLU C OE2 443 GLU C OE2 1 
ATOM 17755 N N   . ASN C 3 444 ? 269.548 -89.865 296.439 1.0 74.66415  ? 444 ASN C N   444 ASN C N   1 
ATOM 17756 C CA  . ASN C 3 444 ? 268.921 -89.141 295.347 1.0 74.66415  ? 444 ASN C CA  444 ASN C CA  1 
ATOM 17757 C C   . ASN C 3 444 ? 269.419 -87.701 295.285 1.0 74.66415  ? 444 ASN C C   444 ASN C C   1 
ATOM 17758 O O   . ASN C 3 444 ? 269.817 -87.109 296.290 1.0 74.66415  ? 444 ASN C O   444 ASN C O   1 
ATOM 17759 C CB  . ASN C 3 444 ? 267.396 -89.182 295.470 1.0 74.66415  ? 444 ASN C CB  444 ASN C CB  1 
ATOM 17760 C CG  . ASN C 3 444 ? 266.892 -88.703 296.816 1.0 74.66415  ? 444 ASN C CG  444 ASN C CG  1 
ATOM 17761 O OD1 . ASN C 3 444 ? 267.667 -88.388 297.716 1.0 74.66415  ? 444 ASN C OD1 444 ASN C OD1 1 
ATOM 17762 N ND2 . ASN C 3 444 ? 265.576 -88.615 296.946 1.0 74.66415  ? 444 ASN C ND2 444 ASN C ND2 1 
ATOM 17763 N N   . HIS C 3 445 ? 269.405 -87.145 294.080 1.0 71.87505  ? 445 HIS C N   445 HIS C N   1 
ATOM 17764 C CA  . HIS C 3 445 ? 269.887 -85.797 293.833 1.0 71.87505  ? 445 HIS C CA  445 HIS C CA  1 
ATOM 17765 C C   . HIS C 3 445 ? 268.802 -84.749 294.006 1.0 71.87505  ? 445 HIS C C   445 HIS C C   1 
ATOM 17766 O O   . HIS C 3 445 ? 269.022 -83.582 293.670 1.0 71.87505  ? 445 HIS C O   445 HIS C O   1 
ATOM 17767 C CB  . HIS C 3 445 ? 270.476 -85.715 292.425 1.0 71.87505  ? 445 HIS C CB  445 HIS C CB  1 
ATOM 17768 C CG  . HIS C 3 445 ? 271.672 -86.592 292.226 1.0 71.87505  ? 445 HIS C CG  445 HIS C CG  1 
ATOM 17769 N ND1 . HIS C 3 445 ? 271.565 -87.938 291.953 1.0 71.87505  ? 445 HIS C ND1 445 HIS C ND1 1 
ATOM 17770 C CD2 . HIS C 3 445 ? 272.996 -86.315 292.234 1.0 71.87505  ? 445 HIS C CD2 445 HIS C CD2 1 
ATOM 17771 C CE1 . HIS C 3 445 ? 272.773 -88.456 291.825 1.0 71.87505  ? 445 HIS C CE1 445 HIS C CE1 1 
ATOM 17772 N NE2 . HIS C 3 445 ? 273.659 -87.492 291.992 1.0 71.87505  ? 445 HIS C NE2 445 HIS C NE2 1 
ATOM 17773 N N   . LEU C 3 446 ? 267.638 -85.134 294.523 1.0 67.65246  ? 446 LEU C N   446 LEU C N   1 
ATOM 17774 C CA  . LEU C 3 446 ? 266.485 -84.247 294.579 1.0 67.65246  ? 446 LEU C CA  446 LEU C CA  1 
ATOM 17775 C C   . LEU C 3 446 ? 265.917 -84.094 295.982 1.0 67.65246  ? 446 LEU C C   446 LEU C C   1 
ATOM 17776 O O   . LEU C 3 446 ? 264.809 -83.569 296.131 1.0 67.65246  ? 446 LEU C O   446 LEU C O   1 
ATOM 17777 C CB  . LEU C 3 446 ? 265.398 -84.748 293.627 1.0 67.65246  ? 446 LEU C CB  446 LEU C CB  1 
ATOM 17778 C CG  . LEU C 3 446 ? 265.778 -84.695 292.149 1.0 67.65246  ? 446 LEU C CG  446 LEU C CG  1 
ATOM 17779 C CD1 . LEU C 3 446 ? 264.727 -85.363 291.297 1.0 67.65246  ? 446 LEU C CD1 446 LEU C CD1 1 
ATOM 17780 C CD2 . LEU C 3 446 ? 265.981 -83.256 291.720 1.0 67.65246  ? 446 LEU C CD2 446 LEU C CD2 1 
ATOM 17781 N N   . SER C 3 447 ? 266.631 -84.540 297.010 1.0 67.74713  ? 447 SER C N   447 SER C N   1 
ATOM 17782 C CA  . SER C 3 447 ? 266.182 -84.343 298.377 1.0 67.74713  ? 447 SER C CA  447 SER C CA  1 
ATOM 17783 C C   . SER C 3 447 ? 266.807 -83.069 298.934 1.0 67.74713  ? 447 SER C C   447 SER C C   1 
ATOM 17784 O O   . SER C 3 447 ? 267.541 -82.359 298.248 1.0 67.74713  ? 447 SER C O   447 SER C O   1 
ATOM 17785 C CB  . SER C 3 447 ? 266.539 -85.547 299.241 1.0 67.74713  ? 447 SER C CB  447 SER C CB  1 
ATOM 17786 O OG  . SER C 3 447 ? 267.938 -85.625 299.424 1.0 67.74713  ? 447 SER C OG  447 SER C OG  1 
ATOM 17787 N N   . TYR C 3 448 ? 266.527 -82.775 300.199 1.0 63.24999  ? 448 TYR C N   448 TYR C N   1 
ATOM 17788 C CA  . TYR C 3 448 ? 267.090 -81.578 300.807 1.0 63.24999  ? 448 TYR C CA  448 TYR C CA  1 
ATOM 17789 C C   . TYR C 3 448 ? 268.497 -81.791 301.330 1.0 63.24999  ? 448 TYR C C   448 TYR C C   1 
ATOM 17790 O O   . TYR C 3 448 ? 269.318 -80.874 301.242 1.0 63.24999  ? 448 TYR C O   448 TYR C O   1 
ATOM 17791 C CB  . TYR C 3 448 ? 266.204 -81.085 301.947 1.0 63.24999  ? 448 TYR C CB  448 TYR C CB  1 
ATOM 17792 C CG  . TYR C 3 448 ? 266.683 -79.800 302.582 1.0 63.24999  ? 448 TYR C CG  448 TYR C CG  1 
ATOM 17793 C CD1 . TYR C 3 448 ? 266.597 -78.596 301.900 1.0 63.24999  ? 448 TYR C CD1 448 TYR C CD1 1 
ATOM 17794 C CD2 . TYR C 3 448 ? 267.197 -79.788 303.870 1.0 63.24999  ? 448 TYR C CD2 448 TYR C CD2 1 
ATOM 17795 C CE1 . TYR C 3 448 ? 267.024 -77.421 302.476 1.0 63.24999  ? 448 TYR C CE1 448 TYR C CE1 1 
ATOM 17796 C CE2 . TYR C 3 448 ? 267.624 -78.615 304.453 1.0 63.24999  ? 448 TYR C CE2 448 TYR C CE2 1 
ATOM 17797 C CZ  . TYR C 3 448 ? 267.534 -77.438 303.749 1.0 63.24999  ? 448 TYR C CZ  448 TYR C CZ  1 
ATOM 17798 O OH  . TYR C 3 448 ? 267.957 -76.266 304.322 1.0 63.24999  ? 448 TYR C OH  448 TYR C OH  1 
ATOM 17799 N N   . GLY C 3 449 ? 268.798 -82.979 301.858 1.0 66.47698  ? 449 GLY C N   449 GLY C N   1 
ATOM 17800 C CA  . GLY C 3 449 ? 270.116 -83.251 302.407 1.0 66.47698  ? 449 GLY C CA  449 GLY C CA  1 
ATOM 17801 C C   . GLY C 3 449 ? 271.225 -83.287 301.379 1.0 66.47698  ? 449 GLY C C   449 GLY C C   1 
ATOM 17802 O O   . GLY C 3 449 ? 272.396 -83.149 301.742 1.0 66.47698  ? 449 GLY C O   449 GLY C O   1 
ATOM 17803 N N   . TYR C 3 450 ? 270.884 -83.467 300.106 1.0 67.5786   ? 450 TYR C N   450 TYR C N   1 
ATOM 17804 C CA  . TYR C 3 450 ? 271.876 -83.421 299.043 1.0 67.5786   ? 450 TYR C CA  450 TYR C CA  1 
ATOM 17805 C C   . TYR C 3 450 ? 272.100 -82.008 298.526 1.0 67.5786   ? 450 TYR C C   450 TYR C C   1 
ATOM 17806 O O   . TYR C 3 450 ? 273.238 -81.639 298.221 1.0 67.5786   ? 450 TYR C O   450 TYR C O   1 
ATOM 17807 C CB  . TYR C 3 450 ? 271.451 -84.329 297.891 1.0 67.5786   ? 450 TYR C CB  450 TYR C CB  1 
ATOM 17808 C CG  . TYR C 3 450 ? 272.452 -84.398 296.767 1.0 67.5786   ? 450 TYR C CG  450 TYR C CG  1 
ATOM 17809 C CD1 . TYR C 3 450 ? 273.612 -85.146 296.894 1.0 67.5786   ? 450 TYR C CD1 450 TYR C CD1 1 
ATOM 17810 C CD2 . TYR C 3 450 ? 272.234 -83.721 295.578 1.0 67.5786   ? 450 TYR C CD2 450 TYR C CD2 1 
ATOM 17811 C CE1 . TYR C 3 450 ? 274.529 -85.215 295.868 1.0 67.5786   ? 450 TYR C CE1 450 TYR C CE1 1 
ATOM 17812 C CE2 . TYR C 3 450 ? 273.139 -83.788 294.546 1.0 67.5786   ? 450 TYR C CE2 450 TYR C CE2 1 
ATOM 17813 C CZ  . TYR C 3 450 ? 274.287 -84.533 294.697 1.0 67.5786   ? 450 TYR C CZ  450 TYR C CZ  1 
ATOM 17814 O OH  . TYR C 3 450 ? 275.197 -84.595 293.669 1.0 67.5786   ? 450 TYR C OH  450 TYR C OH  1 
ATOM 17815 N N   . ILE C 3 451 ? 271.034 -81.215 298.402 1.0 64.51843  ? 451 ILE C N   451 ILE C N   1 
ATOM 17816 C CA  . ILE C 3 451 ? 271.180 -79.838 297.942 1.0 64.51843  ? 451 ILE C CA  451 ILE C CA  1 
ATOM 17817 C C   . ILE C 3 451 ? 271.848 -78.996 299.017 1.0 64.51843  ? 451 ILE C C   451 ILE C C   1 
ATOM 17818 O O   . ILE C 3 451 ? 272.626 -78.082 298.716 1.0 64.51843  ? 451 ILE C O   451 ILE C O   1 
ATOM 17819 C CB  . ILE C 3 451 ? 269.802 -79.279 297.536 1.0 64.51843  ? 451 ILE C CB  451 ILE C CB  1 
ATOM 17820 C CG1 . ILE C 3 451 ? 269.201 -80.127 296.422 1.0 64.51843  ? 451 ILE C CG1 451 ILE C CG1 1 
ATOM 17821 C CG2 . ILE C 3 451 ? 269.896 -77.852 297.034 1.0 64.51843  ? 451 ILE C CG2 451 ILE C CG2 1 
ATOM 17822 C CD1 . ILE C 3 451 ? 267.771 -79.783 296.124 1.0 64.51843  ? 451 ILE C CD1 451 ILE C CD1 1 
ATOM 17823 N N   . ASN C 3 452 ? 271.598 -79.321 300.284 1.0 63.89357  ? 452 ASN C N   452 ASN C N   1 
ATOM 17824 C CA  . ASN C 3 452 ? 272.189 -78.560 301.375 1.0 63.89357  ? 452 ASN C CA  452 ASN C CA  1 
ATOM 17825 C C   . ASN C 3 452 ? 273.674 -78.861 301.517 1.0 63.89357  ? 452 ASN C C   452 ASN C C   1 
ATOM 17826 O O   . ASN C 3 452 ? 274.471 -77.958 301.791 1.0 63.89357  ? 452 ASN C O   452 ASN C O   1 
ATOM 17827 C CB  . ASN C 3 452 ? 271.464 -78.884 302.671 1.0 63.89357  ? 452 ASN C CB  452 ASN C CB  1 
ATOM 17828 C CG  . ASN C 3 452 ? 271.495 -77.757 303.655 1.0 63.89357  ? 452 ASN C CG  452 ASN C CG  1 
ATOM 17829 O OD1 . ASN C 3 452 ? 270.757 -77.781 304.627 1.0 63.89357  ? 452 ASN C OD1 452 ASN C OD1 1 
ATOM 17830 N ND2 . ASN C 3 452 ? 272.316 -76.746 303.401 1.0 63.89357  ? 452 ASN C ND2 452 ASN C ND2 1 
ATOM 17831 N N   . GLY C 3 453 ? 274.064 -80.121 301.328 1.0 68.03406  ? 453 GLY C N   453 GLY C N   1 
ATOM 17832 C CA  . GLY C 3 453 ? 275.425 -80.527 301.618 1.0 68.03406  ? 453 GLY C CA  453 GLY C CA  1 
ATOM 17833 C C   . GLY C 3 453 ? 276.451 -80.130 300.582 1.0 68.03406  ? 453 GLY C C   453 GLY C C   1 
ATOM 17834 O O   . GLY C 3 453 ? 277.650 -80.230 300.854 1.0 68.03406  ? 453 GLY C O   453 GLY C O   1 
ATOM 17835 N N   . ARG C 3 454 ? 276.022 -79.683 299.409 1.0 66.9434   ? 454 ARG C N   454 ARG C N   1 
ATOM 17836 C CA  . ARG C 3 454 ? 276.961 -79.355 298.348 1.0 66.9434   ? 454 ARG C CA  454 ARG C CA  1 
ATOM 17837 C C   . ARG C 3 454 ? 277.369 -77.891 298.408 1.0 66.9434   ? 454 ARG C C   454 ARG C C   1 
ATOM 17838 O O   . ARG C 3 454 ? 276.572 -77.013 298.746 1.0 66.9434   ? 454 ARG C O   454 ARG C O   1 
ATOM 17839 C CB  . ARG C 3 454 ? 276.369 -79.668 296.979 1.0 66.9434   ? 454 ARG C CB  454 ARG C CB  1 
ATOM 17840 C CG  . ARG C 3 454 ? 276.180 -81.139 296.733 1.0 66.9434   ? 454 ARG C CG  454 ARG C CG  1 
ATOM 17841 C CD  . ARG C 3 454 ? 275.627 -81.384 295.356 1.0 66.9434   ? 454 ARG C CD  454 ARG C CD  1 
ATOM 17842 N NE  . ARG C 3 454 ? 276.578 -81.073 294.295 1.0 66.9434   ? 454 ARG C NE  454 ARG C NE  1 
ATOM 17843 C CZ  . ARG C 3 454 ? 277.473 -81.935 293.827 1.0 66.9434   ? 454 ARG C CZ  454 ARG C CZ  1 
ATOM 17844 N NH1 . ARG C 3 454 ? 277.545 -83.153 294.338 1.0 66.9434   ? 454 ARG C NH1 454 ARG C NH1 1 
ATOM 17845 N NH2 . ARG C 3 454 ? 278.298 -81.583 292.853 1.0 66.9434   ? 454 ARG C NH2 454 ARG C NH2 1 
ATOM 17846 N N   . LEU C 3 455 ? 278.629 -77.638 298.070 1.0 66.39479  ? 455 LEU C N   455 LEU C N   1 
ATOM 17847 C CA  . LEU C 3 455 ? 279.222 -76.316 298.122 1.0 66.39479  ? 455 LEU C CA  455 LEU C CA  1 
ATOM 17848 C C   . LEU C 3 455 ? 279.848 -75.975 296.774 1.0 66.39479  ? 455 LEU C C   455 LEU C C   1 
ATOM 17849 O O   . LEU C 3 455 ? 280.341 -76.866 296.078 1.0 66.39479  ? 455 LEU C O   455 LEU C O   1 
ATOM 17850 C CB  . LEU C 3 455 ? 280.283 -76.226 299.230 1.0 66.39479  ? 455 LEU C CB  455 LEU C CB  1 
ATOM 17851 C CG  . LEU C 3 455 ? 279.794 -75.980 300.662 1.0 66.39479  ? 455 LEU C CG  455 LEU C CG  1 
ATOM 17852 C CD1 . LEU C 3 455 ? 279.249 -77.231 301.341 1.0 66.39479  ? 455 LEU C CD1 455 LEU C CD1 1 
ATOM 17853 C CD2 . LEU C 3 455 ? 280.885 -75.359 301.499 1.0 66.39479  ? 455 LEU C CD2 455 LEU C CD2 1 
ATOM 17854 N N   . PRO C 3 456 ? 279.835 -74.707 296.372 1.0 65.17297  ? 456 PRO C N   456 PRO C N   1 
ATOM 17855 C CA  . PRO C 3 456 ? 280.277 -74.356 295.020 1.0 65.17297  ? 456 PRO C CA  456 PRO C CA  1 
ATOM 17856 C C   . PRO C 3 456 ? 281.790 -74.298 294.868 1.0 65.17297  ? 456 PRO C C   456 PRO C C   1 
ATOM 17857 O O   . PRO C 3 456 ? 282.540 -74.104 295.825 1.0 65.17297  ? 456 PRO C O   456 PRO C O   1 
ATOM 17858 C CB  . PRO C 3 456 ? 279.670 -72.969 294.811 1.0 65.17297  ? 456 PRO C CB  456 PRO C CB  1 
ATOM 17859 C CG  . PRO C 3 456 ? 279.555 -72.411 296.161 1.0 65.17297  ? 456 PRO C CG  456 PRO C CG  1 
ATOM 17860 C CD  . PRO C 3 456 ? 279.221 -73.554 297.054 1.0 65.17297  ? 456 PRO C CD  456 PRO C CD  1 
ATOM 17861 N N   . LEU C 3 457 ? 282.221 -74.462 293.618 1.0 67.0717   ? 457 LEU C N   457 LEU C N   1 
ATOM 17862 C CA  . LEU C 3 457 ? 283.614 -74.247 293.262 1.0 67.0717   ? 457 LEU C CA  457 LEU C CA  1 
ATOM 17863 C C   . LEU C 3 457 ? 283.960 -72.766 293.401 1.0 67.0717   ? 457 LEU C C   457 LEU C C   1 
ATOM 17864 O O   . LEU C 3 457 ? 283.161 -71.909 293.012 1.0 67.0717   ? 457 LEU C O   457 LEU C O   1 
ATOM 17865 C CB  . LEU C 3 457 ? 283.878 -74.718 291.835 1.0 67.0717   ? 457 LEU C CB  457 LEU C CB  1 
ATOM 17866 C CG  . LEU C 3 457 ? 283.830 -76.223 291.581 1.0 67.0717   ? 457 LEU C CG  457 LEU C CG  1 
ATOM 17867 C CD1 . LEU C 3 457 ? 283.907 -76.508 290.093 1.0 67.0717   ? 457 LEU C CD1 457 LEU C CD1 1 
ATOM 17868 C CD2 . LEU C 3 457 ? 284.963 -76.917 292.311 1.0 67.0717   ? 457 LEU C CD2 457 LEU C CD2 1 
ATOM 17869 N N   . PRO C 3 458 ? 285.134 -72.436 293.973 1.0 70.31443  ? 458 PRO C N   458 PRO C N   1 
ATOM 17870 C CA  . PRO C 3 458 ? 285.399 -71.056 294.415 1.0 70.31443  ? 458 PRO C CA  458 PRO C CA  1 
ATOM 17871 C C   . PRO C 3 458 ? 285.419 -69.951 293.364 1.0 70.31443  ? 458 PRO C C   458 PRO C C   1 
ATOM 17872 O O   . PRO C 3 458 ? 284.546 -69.080 293.388 1.0 70.31443  ? 458 PRO C O   458 PRO C O   1 
ATOM 17873 C CB  . PRO C 3 458 ? 286.784 -71.174 295.063 1.0 70.31443  ? 458 PRO C CB  458 PRO C CB  1 
ATOM 17874 C CG  . PRO C 3 458 ? 286.890 -72.591 295.472 1.0 70.31443  ? 458 PRO C CG  458 PRO C CG  1 
ATOM 17875 C CD  . PRO C 3 458 ? 286.183 -73.366 294.419 1.0 70.31443  ? 458 PRO C CD  458 PRO C CD  1 
ATOM 17876 N N   . ASN C 3 459 ? 286.370 -69.967 292.437 1.0 72.161    ? 459 ASN C N   459 ASN C N   1 
ATOM 17877 C CA  . ASN C 3 459 ? 286.597 -68.792 291.592 1.0 72.161    ? 459 ASN C CA  459 ASN C CA  1 
ATOM 17878 C C   . ASN C 3 459 ? 286.006 -68.968 290.194 1.0 72.161    ? 459 ASN C C   459 ASN C C   1 
ATOM 17879 O O   . ASN C 3 459 ? 286.702 -68.979 289.185 1.0 72.161    ? 459 ASN C O   459 ASN C O   1 
ATOM 17880 C CB  . ASN C 3 459 ? 288.084 -68.441 291.554 1.0 72.161    ? 459 ASN C CB  459 ASN C CB  1 
ATOM 17881 C CG  . ASN C 3 459 ? 288.960 -69.605 291.156 1.0 72.161    ? 459 ASN C CG  459 ASN C CG  1 
ATOM 17882 O OD1 . ASN C 3 459 ? 288.473 -70.677 290.822 1.0 72.161    ? 459 ASN C OD1 459 ASN C OD1 1 
ATOM 17883 N ND2 . ASN C 3 459 ? 290.268 -69.391 291.180 1.0 72.161    ? 459 ASN C ND2 459 ASN C ND2 1 
ATOM 17884 N N   . ILE C 3 460 ? 284.685 -69.089 290.141 1.0 68.71497  ? 460 ILE C N   460 ILE C N   1 
ATOM 17885 C CA  . ILE C 3 460 ? 283.959 -68.891 288.895 1.0 68.71497  ? 460 ILE C CA  460 ILE C CA  1 
ATOM 17886 C C   . ILE C 3 460 ? 282.921 -67.783 288.996 1.0 68.71497  ? 460 ILE C C   460 ILE C C   1 
ATOM 17887 O O   . ILE C 3 460 ? 282.535 -67.219 287.961 1.0 68.71497  ? 460 ILE C O   460 ILE C O   1 
ATOM 17888 C CB  . ILE C 3 460 ? 283.314 -70.205 288.392 1.0 68.71497  ? 460 ILE C CB  460 ILE C CB  1 
ATOM 17889 C CG1 . ILE C 3 460 ? 282.381 -70.843 289.422 1.0 68.71497  ? 460 ILE C CG1 460 ILE C CG1 1 
ATOM 17890 C CG2 . ILE C 3 460 ? 284.378 -71.212 287.995 1.0 68.71497  ? 460 ILE C CG2 460 ILE C CG2 1 
ATOM 17891 C CD1 . ILE C 3 460 ? 280.922 -70.543 289.202 1.0 68.71497  ? 460 ILE C CD1 460 ILE C CD1 1 
ATOM 17892 N N   . VAL C 3 461 ? 282.437 -67.469 290.194 1.0 67.40408  ? 461 VAL C N   461 VAL C N   1 
ATOM 17893 C CA  . VAL C 3 461 ? 281.709 -66.239 290.478 1.0 67.40408  ? 461 VAL C CA  461 VAL C CA  1 
ATOM 17894 C C   . VAL C 3 461 ? 282.443 -65.573 291.630 1.0 67.40408  ? 461 VAL C C   461 VAL C C   1 
ATOM 17895 O O   . VAL C 3 461 ? 282.428 -66.084 292.756 1.0 67.40408  ? 461 VAL C O   461 VAL C O   1 
ATOM 17896 C CB  . VAL C 3 461 ? 280.240 -66.484 290.837 1.0 67.40408  ? 461 VAL C CB  461 VAL C CB  1 
ATOM 17897 C CG1 . VAL C 3 461 ? 279.590 -65.185 291.268 1.0 67.40408  ? 461 VAL C CG1 461 VAL C CG1 1 
ATOM 17898 C CG2 . VAL C 3 461 ? 279.498 -67.065 289.655 1.0 67.40408  ? 461 VAL C CG2 461 VAL C CG2 1 
ATOM 17899 N N   . ASP C 3 462 ? 283.084 -64.444 291.356 1.0 68.98118  ? 462 ASP C N   462 ASP C N   1 
ATOM 17900 C CA  . ASP C 3 462 ? 283.937 -63.789 292.332 1.0 68.98118  ? 462 ASP C CA  462 ASP C CA  1 
ATOM 17901 C C   . ASP C 3 462 ? 283.750 -62.283 292.160 1.0 68.98118  ? 462 ASP C C   462 ASP C C   1 
ATOM 17902 O O   . ASP C 3 462 ? 282.915 -61.829 291.375 1.0 68.98118  ? 462 ASP C O   462 ASP C O   1 
ATOM 17903 C CB  . ASP C 3 462 ? 285.379 -64.279 292.141 1.0 68.98118  ? 462 ASP C CB  462 ASP C CB  1 
ATOM 17904 C CG  . ASP C 3 462 ? 286.264 -64.006 293.340 1.0 68.98118  ? 462 ASP C CG  462 ASP C CG  1 
ATOM 17905 O OD1 . ASP C 3 462 ? 285.762 -63.448 294.337 1.0 68.98118  ? 462 ASP C OD1 462 ASP C OD1 1 
ATOM 17906 O OD2 . ASP C 3 462 ? 287.468 -64.331 293.268 1.0 68.98118  ? 462 ASP C OD2 462 ASP C OD2 1 
ATOM 17907 N N   . THR C 3 463 ? 284.522 -61.490 292.893 1.0 65.61341  ? 463 THR C N   463 THR C N   1 
ATOM 17908 C CA  . THR C 3 463 ? 284.417 -60.041 292.812 1.0 65.61341  ? 463 THR C CA  463 THR C CA  1 
ATOM 17909 C C   . THR C 3 463 ? 285.110 -59.448 291.593 1.0 65.61341  ? 463 THR C C   463 THR C C   1 
ATOM 17910 O O   . THR C 3 463 ? 285.129 -58.222 291.454 1.0 65.61341  ? 463 THR C O   463 THR C O   1 
ATOM 17911 C CB  . THR C 3 463 ? 284.980 -59.413 294.086 1.0 65.61341  ? 463 THR C CB  463 THR C CB  1 
ATOM 17912 O OG1 . THR C 3 463 ? 284.916 -57.985 293.989 1.0 65.61341  ? 463 THR C OG1 463 THR C OG1 1 
ATOM 17913 C CG2 . THR C 3 463 ? 286.408 -59.863 294.321 1.0 65.61341  ? 463 THR C CG2 463 THR C CG2 1 
ATOM 17914 N N   . TRP C 3 464 ? 285.663 -60.272 290.704 1.0 65.62812  ? 464 TRP C N   464 TRP C N   1 
ATOM 17915 C CA  . TRP C 3 464 ? 286.340 -59.789 289.513 1.0 65.62812  ? 464 TRP C CA  464 TRP C CA  1 
ATOM 17916 C C   . TRP C 3 464 ? 285.680 -60.199 288.206 1.0 65.62812  ? 464 TRP C C   464 TRP C C   1 
ATOM 17917 O O   . TRP C 3 464 ? 286.059 -59.659 287.160 1.0 65.62812  ? 464 TRP C O   464 TRP C O   1 
ATOM 17918 C CB  . TRP C 3 464 ? 287.800 -60.276 289.494 1.0 65.62812  ? 464 TRP C CB  464 TRP C CB  1 
ATOM 17919 C CG  . TRP C 3 464 ? 287.946 -61.772 289.563 1.0 65.62812  ? 464 TRP C CG  464 TRP C CG  1 
ATOM 17920 C CD1 . TRP C 3 464 ? 288.131 -62.518 290.682 1.0 65.62812  ? 464 TRP C CD1 464 TRP C CD1 1 
ATOM 17921 C CD2 . TRP C 3 464 ? 287.904 -62.700 288.469 1.0 65.62812  ? 464 TRP C CD2 464 TRP C CD2 1 
ATOM 17922 N NE1 . TRP C 3 464 ? 288.220 -63.850 290.356 1.0 65.62812  ? 464 TRP C NE1 464 TRP C NE1 1 
ATOM 17923 C CE2 . TRP C 3 464 ? 288.080 -63.984 289.003 1.0 65.62812  ? 464 TRP C CE2 464 TRP C CE2 1 
ATOM 17924 C CE3 . TRP C 3 464 ? 287.747 -62.562 287.090 1.0 65.62812  ? 464 TRP C CE3 464 TRP C CE3 1 
ATOM 17925 C CZ2 . TRP C 3 464 ? 288.092 -65.122 288.210 1.0 65.62812  ? 464 TRP C CZ2 464 TRP C CZ2 1 
ATOM 17926 C CZ3 . TRP C 3 464 ? 287.750 -63.687 286.310 1.0 65.62812  ? 464 TRP C CZ3 464 TRP C CZ3 1 
ATOM 17927 C CH2 . TRP C 3 464 ? 287.915 -64.949 286.870 1.0 65.62812  ? 464 TRP C CH2 464 TRP C CH2 1 
ATOM 17928 N N   . THR C 3 465 ? 284.736 -61.143 288.220 1.0 65.53077  ? 465 THR C N   465 THR C N   1 
ATOM 17929 C CA  . THR C 3 465 ? 284.289 -61.775 286.982 1.0 65.53077  ? 465 THR C CA  465 THR C CA  1 
ATOM 17930 C C   . THR C 3 465 ? 283.414 -60.839 286.154 1.0 65.53077  ? 465 THR C C   465 THR C C   1 
ATOM 17931 O O   . THR C 3 465 ? 282.383 -60.342 286.624 1.0 65.53077  ? 465 THR C O   465 THR C O   1 
ATOM 17932 C CB  . THR C 3 465 ? 283.591 -63.107 287.274 1.0 65.53077  ? 465 THR C CB  465 THR C CB  1 
ATOM 17933 O OG1 . THR C 3 465 ? 283.052 -63.648 286.061 1.0 65.53077  ? 465 THR C OG1 465 THR C OG1 1 
ATOM 17934 C CG2 . THR C 3 465 ? 282.517 -63.004 288.341 1.0 65.53077  ? 465 THR C CG2 465 THR C CG2 1 
ATOM 17935 N N   . ASP C 3 466 ? 283.877 -60.582 284.928 1.0 64.9909   ? 466 ASP C N   466 ASP C N   1 
ATOM 17936 C CA  . ASP C 3 466 ? 283.259 -59.679 283.958 1.0 64.9909   ? 466 ASP C CA  466 ASP C CA  1 
ATOM 17937 C C   . ASP C 3 466 ? 283.058 -58.284 284.548 1.0 64.9909   ? 466 ASP C C   466 ASP C C   1 
ATOM 17938 O O   . ASP C 3 466 ? 281.935 -57.838 284.786 1.0 64.9909   ? 466 ASP C O   466 ASP C O   1 
ATOM 17939 C CB  . ASP C 3 466 ? 281.950 -60.261 283.421 1.0 64.9909   ? 466 ASP C CB  466 ASP C CB  1 
ATOM 17940 C CG  . ASP C 3 466 ? 282.179 -61.471 282.532 1.0 64.9909   ? 466 ASP C CG  466 ASP C CG  1 
ATOM 17941 O OD1 . ASP C 3 466 ? 283.242 -61.531 281.880 1.0 64.9909   ? 466 ASP C OD1 466 ASP C OD1 1 
ATOM 17942 O OD2 . ASP C 3 466 ? 281.307 -62.365 282.490 1.0 64.9909   ? 466 ASP C OD2 466 ASP C OD2 1 
ATOM 17943 N N   . ILE C 3 467 ? 284.186 -57.624 284.831 1.0 61.08373  ? 467 ILE C N   467 ILE C N   1 
ATOM 17944 C CA  . ILE C 3 467 ? 284.154 -56.272 285.374 1.0 61.08373  ? 467 ILE C CA  467 ILE C CA  1 
ATOM 17945 C C   . ILE C 3 467 ? 283.519 -55.315 284.381 1.0 61.08373  ? 467 ILE C C   467 ILE C C   1 
ATOM 17946 O O   . ILE C 3 467 ? 283.800 -55.355 283.179 1.0 61.08373  ? 467 ILE C O   467 ILE C O   1 
ATOM 17947 C CB  . ILE C 3 467 ? 285.570 -55.826 285.779 1.0 61.08373  ? 467 ILE C CB  467 ILE C CB  1 
ATOM 17948 C CG1 . ILE C 3 467 ? 286.621 -56.256 284.741 1.0 61.08373  ? 467 ILE C CG1 467 ILE C CG1 1 
ATOM 17949 C CG2 . ILE C 3 467 ? 285.916 -56.319 287.170 1.0 61.08373  ? 467 ILE C CG2 467 ILE C CG2 1 
ATOM 17950 C CD1 . ILE C 3 467 ? 286.971 -55.233 283.670 1.0 61.08373  ? 467 ILE C CD1 467 ILE C CD1 1 
ATOM 17951 N N   . GLY C 3 468 ? 282.604 -54.488 284.876 1.0 60.80278  ? 468 GLY C N   468 GLY C N   1 
ATOM 17952 C CA  . GLY C 3 468 ? 281.952 -53.499 284.046 1.0 60.80278  ? 468 GLY C CA  468 GLY C CA  1 
ATOM 17953 C C   . GLY C 3 468 ? 280.984 -54.031 283.021 1.0 60.80278  ? 468 GLY C C   468 GLY C C   1 
ATOM 17954 O O   . GLY C 3 468 ? 280.578 -53.282 282.130 1.0 60.80278  ? 468 GLY C O   468 GLY C O   1 
ATOM 17955 N N   . ALA C 3 469 ? 280.594 -55.294 283.112 1.0 60.26045  ? 469 ALA C N   469 ALA C N   1 
ATOM 17956 C CA  . ALA C 3 469 ? 279.726 -55.913 282.124 1.0 60.26045  ? 469 ALA C CA  469 ALA C CA  1 
ATOM 17957 C C   . ALA C 3 469 ? 278.401 -56.270 282.774 1.0 60.26045  ? 469 ALA C C   469 ALA C C   1 
ATOM 17958 O O   . ALA C 3 469 ? 278.357 -57.105 283.682 1.0 60.26045  ? 469 ALA C O   469 ALA C O   1 
ATOM 17959 C CB  . ALA C 3 469 ? 280.380 -57.157 281.526 1.0 60.26045  ? 469 ALA C CB  469 ALA C CB  1 
ATOM 17960 N N   . ARG C 3 470 ? 277.332 -55.637 282.312 1.0 59.98221  ? 470 ARG C N   470 ARG C N   1 
ATOM 17961 C CA  . ARG C 3 470 ? 275.983 -56.088 282.628 1.0 59.98221  ? 470 ARG C CA  470 ARG C CA  1 
ATOM 17962 C C   . ARG C 3 470 ? 275.790 -57.403 281.894 1.0 59.98221  ? 470 ARG C C   470 ARG C C   1 
ATOM 17963 O O   . ARG C 3 470 ? 275.508 -57.419 280.698 1.0 59.98221  ? 470 ARG C O   470 ARG C O   1 
ATOM 17964 C CB  . ARG C 3 470 ? 274.963 -55.045 282.189 1.0 59.98221  ? 470 ARG C CB  470 ARG C CB  1 
ATOM 17965 C CG  . ARG C 3 470 ? 273.526 -55.384 282.504 1.0 59.98221  ? 470 ARG C CG  470 ARG C CG  1 
ATOM 17966 C CD  . ARG C 3 470 ? 272.597 -54.266 282.068 1.0 59.98221  ? 470 ARG C CD  470 ARG C CD  1 
ATOM 17967 N NE  . ARG C 3 470 ? 271.192 -54.612 282.249 1.0 59.98221  ? 470 ARG C NE  470 ARG C NE  1 
ATOM 17968 C CZ  . ARG C 3 470 ? 270.513 -54.421 283.376 1.0 59.98221  ? 470 ARG C CZ  470 ARG C CZ  1 
ATOM 17969 N NH1 . ARG C 3 470 ? 271.110 -53.882 284.430 1.0 59.98221  ? 470 ARG C NH1 470 ARG C NH1 1 
ATOM 17970 N NH2 . ARG C 3 470 ? 269.237 -54.766 283.449 1.0 59.98221  ? 470 ARG C NH2 470 ARG C NH2 1 
ATOM 17971 N N   . TRP C 3 471 ? 275.968 -58.519 282.596 1.0 58.18823  ? 471 TRP C N   471 TRP C N   1 
ATOM 17972 C CA  . TRP C 3 471 ? 276.143 -59.798 281.913 1.0 58.18823  ? 471 TRP C CA  471 TRP C CA  1 
ATOM 17973 C C   . TRP C 3 471 ? 275.831 -60.925 282.884 1.0 58.18823  ? 471 TRP C C   471 TRP C C   1 
ATOM 17974 O O   . TRP C 3 471 ? 276.550 -61.099 283.871 1.0 58.18823  ? 471 TRP C O   471 TRP C O   1 
ATOM 17975 C CB  . TRP C 3 471 ? 277.565 -59.911 281.388 1.0 58.18823  ? 471 TRP C CB  471 TRP C CB  1 
ATOM 17976 C CG  . TRP C 3 471 ? 277.856 -61.149 280.623 1.0 58.18823  ? 471 TRP C CG  471 TRP C CG  1 
ATOM 17977 C CD1 . TRP C 3 471 ? 278.494 -62.259 281.079 1.0 58.18823  ? 471 TRP C CD1 471 TRP C CD1 1 
ATOM 17978 C CD2 . TRP C 3 471 ? 277.563 -61.391 279.247 1.0 58.18823  ? 471 TRP C CD2 471 TRP C CD2 1 
ATOM 17979 N NE1 . TRP C 3 471 ? 278.596 -63.193 280.079 1.0 58.18823  ? 471 TRP C NE1 471 TRP C NE1 1 
ATOM 17980 C CE2 . TRP C 3 471 ? 278.034 -62.680 278.941 1.0 58.18823  ? 471 TRP C CE2 471 TRP C CE2 1 
ATOM 17981 C CE3 . TRP C 3 471 ? 276.947 -60.642 278.243 1.0 58.18823  ? 471 TRP C CE3 471 TRP C CE3 1 
ATOM 17982 C CZ2 . TRP C 3 471 ? 277.906 -63.236 277.676 1.0 58.18823  ? 471 TRP C CZ2 471 TRP C CZ2 1 
ATOM 17983 C CZ3 . TRP C 3 471 ? 276.819 -61.196 276.990 1.0 58.18823  ? 471 TRP C CZ3 471 TRP C CZ3 1 
ATOM 17984 C CH2 . TRP C 3 471 ? 277.302 -62.477 276.715 1.0 58.18823  ? 471 TRP C CH2 471 TRP C CH2 1 
ATOM 17985 N N   . SER C 3 472 ? 274.779 -61.686 282.604 1.0 60.50819  ? 472 SER C N   472 SER C N   1 
ATOM 17986 C CA  . SER C 3 472 ? 274.511 -62.877 283.389 1.0 60.50819  ? 472 SER C CA  472 SER C CA  1 
ATOM 17987 C C   . SER C 3 472 ? 275.517 -63.959 283.037 1.0 60.50819  ? 472 SER C C   472 SER C C   1 
ATOM 17988 O O   . SER C 3 472 ? 276.121 -63.945 281.964 1.0 60.50819  ? 472 SER C O   472 SER C O   1 
ATOM 17989 C CB  . SER C 3 472 ? 273.105 -63.404 283.131 1.0 60.50819  ? 472 SER C CB  472 SER C CB  1 
ATOM 17990 O OG  . SER C 3 472 ? 273.016 -63.989 281.848 1.0 60.50819  ? 472 SER C OG  472 SER C OG  1 
ATOM 17991 N N   . LEU C 3 473 ? 275.683 -64.911 283.950 1.0 62.38558  ? 473 LEU C N   473 LEU C N   1 
ATOM 17992 C CA  . LEU C 3 473 ? 276.590 -66.023 283.709 1.0 62.38558  ? 473 LEU C CA  473 LEU C CA  1 
ATOM 17993 C C   . LEU C 3 473 ? 276.071 -66.901 282.578 1.0 62.38558  ? 473 LEU C C   473 LEU C C   1 
ATOM 17994 O O   . LEU C 3 473 ? 274.864 -67.003 282.348 1.0 62.38558  ? 473 LEU C O   473 LEU C O   1 
ATOM 17995 C CB  . LEU C 3 473 ? 276.769 -66.865 284.972 1.0 62.38558  ? 473 LEU C CB  473 LEU C CB  1 
ATOM 17996 C CG  . LEU C 3 473 ? 277.848 -66.493 285.992 1.0 62.38558  ? 473 LEU C CG  473 LEU C CG  1 
ATOM 17997 C CD1 . LEU C 3 473 ? 279.217 -66.514 285.332 1.0 62.38558  ? 473 LEU C CD1 473 LEU C CD1 1 
ATOM 17998 C CD2 . LEU C 3 473 ? 277.590 -65.166 286.689 1.0 62.38558  ? 473 LEU C CD2 473 LEU C CD2 1 
ATOM 17999 N N   . ASP C 3 474 ? 277.004 -67.519 281.850 1.0 64.50529  ? 474 ASP C N   474 ASP C N   1 
ATOM 18000 C CA  . ASP C 3 474 ? 276.620 -68.393 280.746 1.0 64.50529  ? 474 ASP C CA  474 ASP C CA  1 
ATOM 18001 C C   . ASP C 3 474 ? 275.935 -69.657 281.243 1.0 64.50529  ? 474 ASP C C   474 ASP C C   1 
ATOM 18002 O O   . ASP C 3 474 ? 275.125 -70.247 280.522 1.0 64.50529  ? 474 ASP C O   474 ASP C O   1 
ATOM 18003 C CB  . ASP C 3 474 ? 277.842 -68.762 279.908 1.0 64.50529  ? 474 ASP C CB  474 ASP C CB  1 
ATOM 18004 C CG  . ASP C 3 474 ? 278.365 -67.598 279.095 1.0 64.50529  ? 474 ASP C CG  474 ASP C CG  1 
ATOM 18005 O OD1 . ASP C 3 474 ? 277.558 -66.721 278.722 1.0 64.50529  ? 474 ASP C OD1 474 ASP C OD1 1 
ATOM 18006 O OD2 . ASP C 3 474 ? 279.584 -67.562 278.824 1.0 64.50529  ? 474 ASP C OD2 474 ASP C OD2 1 
ATOM 18007 N N   . VAL C 3 475 ? 276.239 -70.078 282.472 1.0 62.29016  ? 475 VAL C N   475 VAL C N   1 
ATOM 18008 C CA  . VAL C 3 475 ? 275.655 -71.292 283.024 1.0 62.29016  ? 475 VAL C CA  475 VAL C CA  1 
ATOM 18009 C C   . VAL C 3 475 ? 274.422 -71.018 283.866 1.0 62.29016  ? 475 VAL C C   475 VAL C C   1 
ATOM 18010 O O   . VAL C 3 475 ? 273.745 -71.968 284.284 1.0 62.29016  ? 475 VAL C O   475 VAL C O   1 
ATOM 18011 C CB  . VAL C 3 475 ? 276.713 -72.036 283.854 1.0 62.29016  ? 475 VAL C CB  475 VAL C CB  1 
ATOM 18012 C CG1 . VAL C 3 475 ? 277.886 -72.376 282.968 1.0 62.29016  ? 475 VAL C CG1 475 VAL C CG1 1 
ATOM 18013 C CG2 . VAL C 3 475 ? 277.156 -71.175 285.015 1.0 62.29016  ? 475 VAL C CG2 475 VAL C CG2 1 
ATOM 18014 N N   . MET C 3 476 ? 274.102 -69.753 284.126 1.0 60.21176  ? 476 MET C N   476 MET C N   1 
ATOM 18015 C CA  . MET C 3 476 ? 272.926 -69.385 284.898 1.0 60.21176  ? 476 MET C CA  476 MET C CA  1 
ATOM 18016 C C   . MET C 3 476 ? 271.764 -68.954 284.014 1.0 60.21176  ? 476 MET C C   476 MET C C   1 
ATOM 18017 O O   . MET C 3 476 ? 270.965 -68.104 284.420 1.0 60.21176  ? 476 MET C O   476 MET C O   1 
ATOM 18018 C CB  . MET C 3 476 ? 273.275 -68.280 285.893 1.0 60.21176  ? 476 MET C CB  476 MET C CB  1 
ATOM 18019 C CG  . MET C 3 476 ? 274.226 -68.721 286.980 1.0 60.21176  ? 476 MET C CG  476 MET C CG  1 
ATOM 18020 S SD  . MET C 3 476 ? 273.517 -70.031 287.980 1.0 60.21176  ? 476 MET C SD  476 MET C SD  1 
ATOM 18021 C CE  . MET C 3 476 ? 272.236 -69.121 288.831 1.0 60.21176  ? 476 MET C CE  476 MET C CE  1 
ATOM 18022 N N   . ASP C 3 477 ? 271.664 -69.508 282.810 1.0 58.70286  ? 477 ASP C N   477 ASP C N   1 
ATOM 18023 C CA  . ASP C 3 477 ? 270.515 -69.263 281.950 1.0 58.70286  ? 477 ASP C CA  477 ASP C CA  1 
ATOM 18024 C C   . ASP C 3 477 ? 269.483 -70.374 282.078 1.0 58.70286  ? 477 ASP C C   477 ASP C C   1 
ATOM 18025 O O   . ASP C 3 477 ? 268.289 -70.106 282.233 1.0 58.70286  ? 477 ASP C O   477 ASP C O   1 
ATOM 18026 C CB  . ASP C 3 477 ? 270.964 -69.132 280.497 1.0 58.70286  ? 477 ASP C CB  477 ASP C CB  1 
ATOM 18027 C CG  . ASP C 3 477 ? 271.781 -67.892 280.261 1.0 58.70286  ? 477 ASP C CG  477 ASP C CG  1 
ATOM 18028 O OD1 . ASP C 3 477 ? 271.565 -66.896 280.981 1.0 58.70286  ? 477 ASP C OD1 477 ASP C OD1 1 
ATOM 18029 O OD2 . ASP C 3 477 ? 272.640 -67.914 279.358 1.0 58.70286  ? 477 ASP C OD2 477 ASP C OD2 1 
ATOM 18030 N N   . THR C 3 478 ? 269.937 -71.625 282.023 1.0 58.62237  ? 478 THR C N   478 THR C N   1 
ATOM 18031 C CA  . THR C 3 478 ? 269.061 -72.771 282.209 1.0 58.62237  ? 478 THR C CA  478 THR C CA  1 
ATOM 18032 C C   . THR C 3 478 ? 268.604 -72.943 283.652 1.0 58.62237  ? 478 THR C C   478 THR C C   1 
ATOM 18033 O O   . THR C 3 478 ? 267.655 -73.695 283.895 1.0 58.62237  ? 478 THR C O   478 THR C O   1 
ATOM 18034 C CB  . THR C 3 478 ? 269.767 -74.039 281.730 1.0 58.62237  ? 478 THR C CB  478 THR C CB  1 
ATOM 18035 O OG1 . THR C 3 478 ? 268.877 -75.154 281.845 1.0 58.62237  ? 478 THR C OG1 478 THR C OG1 1 
ATOM 18036 C CG2 . THR C 3 478 ? 271.024 -74.301 282.546 1.0 58.62237  ? 478 THR C CG2 478 THR C CG2 1 
ATOM 18037 N N   . VAL C 3 479 ? 269.248 -72.279 284.605 1.0 55.41718  ? 479 VAL C N   479 VAL C N   1 
ATOM 18038 C CA  . VAL C 3 479 ? 268.812 -72.319 285.994 1.0 55.41718  ? 479 VAL C CA  479 VAL C CA  1 
ATOM 18039 C C   . VAL C 3 479 ? 267.592 -71.423 286.142 1.0 55.41718  ? 479 VAL C C   479 VAL C C   1 
ATOM 18040 O O   . VAL C 3 479 ? 267.582 -70.290 285.649 1.0 55.41718  ? 479 VAL C O   479 VAL C O   1 
ATOM 18041 C CB  . VAL C 3 479 ? 269.949 -71.879 286.928 1.0 55.41718  ? 479 VAL C CB  479 VAL C CB  1 
ATOM 18042 C CG1 . VAL C 3 479 ? 269.497 -71.870 288.375 1.0 55.41718  ? 479 VAL C CG1 479 VAL C CG1 1 
ATOM 18043 C CG2 . VAL C 3 479 ? 271.135 -72.788 286.754 1.0 55.41718  ? 479 VAL C CG2 479 VAL C CG2 1 
ATOM 18044 N N   . ASN C 3 480 ? 266.560 -71.939 286.797 1.0 51.61407  ? 480 ASN C N   480 ASN C N   1 
ATOM 18045 C CA  . ASN C 3 480 ? 265.316 -71.207 287.003 1.0 51.61407  ? 480 ASN C CA  480 ASN C CA  1 
ATOM 18046 C C   . ASN C 3 480 ? 265.558 -70.031 287.940 1.0 51.61407  ? 480 ASN C C   480 ASN C C   1 
ATOM 18047 O O   . ASN C 3 480 ? 265.941 -70.245 289.096 1.0 51.61407  ? 480 ASN C O   480 ASN C O   1 
ATOM 18048 C CB  . ASN C 3 480 ? 264.271 -72.155 287.581 1.0 51.61407  ? 480 ASN C CB  480 ASN C CB  1 
ATOM 18049 C CG  . ASN C 3 480 ? 262.860 -71.619 287.479 1.0 51.61407  ? 480 ASN C CG  480 ASN C CG  1 
ATOM 18050 O OD1 . ASN C 3 480 ? 262.630 -70.518 286.990 1.0 51.61407  ? 480 ASN C OD1 480 ASN C OD1 1 
ATOM 18051 N ND2 . ASN C 3 480 ? 261.899 -72.411 287.932 1.0 51.61407  ? 480 ASN C ND2 480 ASN C ND2 1 
ATOM 18052 N N   . PRO C 3 481 ? 265.362 -68.786 287.496 1.0 50.33306  ? 481 PRO C N   481 PRO C N   1 
ATOM 18053 C CA  . PRO C 3 481 ? 265.636 -67.636 288.366 1.0 50.33306  ? 481 PRO C CA  481 PRO C CA  1 
ATOM 18054 C C   . PRO C 3 481 ? 264.571 -67.385 289.409 1.0 50.33306  ? 481 PRO C C   481 PRO C C   1 
ATOM 18055 O O   . PRO C 3 481 ? 264.752 -66.500 290.256 1.0 50.33306  ? 481 PRO C O   481 PRO C O   1 
ATOM 18056 C CB  . PRO C 3 481 ? 265.693 -66.470 287.382 1.0 50.33306  ? 481 PRO C CB  481 PRO C CB  1 
ATOM 18057 C CG  . PRO C 3 481 ? 264.796 -66.882 286.288 1.0 50.33306  ? 481 PRO C CG  481 PRO C CG  1 
ATOM 18058 C CD  . PRO C 3 481 ? 264.955 -68.363 286.148 1.0 50.33306  ? 481 PRO C CD  481 PRO C CD  1 
ATOM 18059 N N   . PHE C 3 482 ? 263.467 -68.114 289.358 1.0 50.18011  ? 482 PHE C N   482 PHE C N   1 
ATOM 18060 C CA  . PHE C 3 482 ? 262.365 -67.953 290.286 1.0 50.18011  ? 482 PHE C CA  482 PHE C CA  1 
ATOM 18061 C C   . PHE C 3 482 ? 262.470 -68.899 291.463 1.0 50.18011  ? 482 PHE C C   482 PHE C C   1 
ATOM 18062 O O   . PHE C 3 482 ? 261.632 -68.841 292.367 1.0 50.18011  ? 482 PHE C O   482 PHE C O   1 
ATOM 18063 C CB  . PHE C 3 482 ? 261.048 -68.169 289.547 1.0 50.18011  ? 482 PHE C CB  482 PHE C CB  1 
ATOM 18064 C CG  . PHE C 3 482 ? 260.802 -67.164 288.468 1.0 50.18011  ? 482 PHE C CG  482 PHE C CG  1 
ATOM 18065 C CD1 . PHE C 3 482 ? 260.216 -65.949 288.757 1.0 50.18011  ? 482 PHE C CD1 482 PHE C CD1 1 
ATOM 18066 C CD2 . PHE C 3 482 ? 261.197 -67.420 287.165 1.0 50.18011  ? 482 PHE C CD2 482 PHE C CD2 1 
ATOM 18067 C CE1 . PHE C 3 482 ? 260.003 -65.022 287.764 1.0 50.18011  ? 482 PHE C CE1 482 PHE C CE1 1 
ATOM 18068 C CE2 . PHE C 3 482 ? 260.983 -66.494 286.173 1.0 50.18011  ? 482 PHE C CE2 482 PHE C CE2 1 
ATOM 18069 C CZ  . PHE C 3 482 ? 260.383 -65.297 286.474 1.0 50.18011  ? 482 PHE C CZ  482 PHE C CZ  1 
ATOM 18070 N N   . ASN C 3 483 ? 263.470 -69.770 291.462 1.0 51.78173  ? 483 ASN C N   483 ASN C N   1 
ATOM 18071 C CA  . ASN C 3 483 ? 263.797 -70.592 292.620 1.0 51.78173  ? 483 ASN C CA  483 ASN C CA  1 
ATOM 18072 C C   . ASN C 3 483 ? 264.904 -69.931 293.428 1.0 51.78173  ? 483 ASN C C   483 ASN C C   1 
ATOM 18073 O O   . ASN C 3 483 ? 265.963 -70.496 293.695 1.0 51.78173  ? 483 ASN C O   483 ASN C O   1 
ATOM 18074 C CB  . ASN C 3 483 ? 264.195 -71.986 292.171 1.0 51.78173  ? 483 ASN C CB  483 ASN C CB  1 
ATOM 18075 C CG  . ASN C 3 483 ? 263.037 -72.739 291.609 1.0 51.78173  ? 483 ASN C CG  483 ASN C CG  1 
ATOM 18076 O OD1 . ASN C 3 483 ? 261.923 -72.642 292.120 1.0 51.78173  ? 483 ASN C OD1 483 ASN C OD1 1 
ATOM 18077 N ND2 . ASN C 3 483 ? 263.277 -73.493 290.553 1.0 51.78173  ? 483 ASN C ND2 483 ASN C ND2 1 
ATOM 18078 N N   . HIS C 3 484 ? 264.626 -68.703 293.814 1.0 54.41134  ? 484 HIS C N   484 HIS C N   1 
ATOM 18079 C CA  . HIS C 3 484 ? 265.559 -67.887 294.549 1.0 54.41134  ? 484 HIS C CA  484 HIS C CA  1 
ATOM 18080 C C   . HIS C 3 484 ? 264.945 -67.646 295.917 1.0 54.41134  ? 484 HIS C C   484 HIS C C   1 
ATOM 18081 O O   . HIS C 3 484 ? 263.766 -67.924 296.142 1.0 54.41134  ? 484 HIS C O   484 HIS C O   1 
ATOM 18082 C CB  . HIS C 3 484 ? 265.816 -66.581 293.796 1.0 54.41134  ? 484 HIS C CB  484 HIS C CB  1 
ATOM 18083 C CG  . HIS C 3 484 ? 267.124 -65.945 294.126 1.0 54.41134  ? 484 HIS C CG  484 HIS C CG  1 
ATOM 18084 N ND1 . HIS C 3 484 ? 267.314 -65.194 295.263 1.0 54.41134  ? 484 HIS C ND1 484 HIS C ND1 1 
ATOM 18085 C CD2 . HIS C 3 484 ? 268.303 -65.933 293.456 1.0 54.41134  ? 484 HIS C CD2 484 HIS C CD2 1 
ATOM 18086 C CE1 . HIS C 3 484 ? 268.565 -64.773 295.298 1.0 54.41134  ? 484 HIS C CE1 484 HIS C CE1 1 
ATOM 18087 N NE2 . HIS C 3 484 ? 269.184 -65.211 294.217 1.0 54.41134  ? 484 HIS C NE2 484 HIS C NE2 1 
ATOM 18088 N N   . HIS C 3 485 ? 265.743 -67.159 296.857 1.0 56.36163  ? 485 HIS C N   485 HIS C N   1 
ATOM 18089 C CA  . HIS C 3 485 ? 265.196 -66.779 298.148 1.0 56.36163  ? 485 HIS C CA  485 HIS C CA  1 
ATOM 18090 C C   . HIS C 3 485 ? 264.897 -65.290 298.219 1.0 56.36163  ? 485 HIS C C   485 HIS C C   1 
ATOM 18091 O O   . HIS C 3 485 ? 264.730 -64.750 299.315 1.0 56.36163  ? 485 HIS C O   485 HIS C O   1 
ATOM 18092 C CB  . HIS C 3 485 ? 266.138 -67.175 299.274 1.0 56.36163  ? 485 HIS C CB  485 HIS C CB  1 
ATOM 18093 C CG  . HIS C 3 485 ? 267.430 -66.427 299.263 1.0 56.36163  ? 485 HIS C CG  485 HIS C CG  1 
ATOM 18094 N ND1 . HIS C 3 485 ? 268.470 -66.752 298.421 1.0 56.36163  ? 485 HIS C ND1 485 HIS C ND1 1 
ATOM 18095 C CD2 . HIS C 3 485 ? 267.855 -65.372 299.997 1.0 56.36163  ? 485 HIS C CD2 485 HIS C CD2 1 
ATOM 18096 C CE1 . HIS C 3 485 ? 269.479 -65.927 298.634 1.0 56.36163  ? 485 HIS C CE1 485 HIS C CE1 1 
ATOM 18097 N NE2 . HIS C 3 485 ? 269.131 -65.079 299.585 1.0 56.36163  ? 485 HIS C NE2 485 HIS C NE2 1 
ATOM 18098 N N   . ARG C 3 486 ? 264.832 -64.617 297.074 1.0 59.96494  ? 486 ARG C N   486 ARG C N   1 
ATOM 18099 C CA  . ARG C 3 486 ? 264.547 -63.196 297.029 1.0 59.96494  ? 486 ARG C CA  486 ARG C CA  1 
ATOM 18100 C C   . ARG C 3 486 ? 263.148 -62.911 296.503 1.0 59.96494  ? 486 ARG C C   486 ARG C C   1 
ATOM 18101 O O   . ARG C 3 486 ? 262.628 -61.810 296.729 1.0 59.96494  ? 486 ARG C O   486 ARG C O   1 
ATOM 18102 C CB  . ARG C 3 486 ? 265.603 -62.484 296.157 1.0 59.96494  ? 486 ARG C CB  486 ARG C CB  1 
ATOM 18103 C CG  . ARG C 3 486 ? 265.609 -60.964 296.186 1.0 59.96494  ? 486 ARG C CG  486 ARG C CG  1 
ATOM 18104 C CD  . ARG C 3 486 ? 265.915 -60.405 297.568 1.0 59.96494  ? 486 ARG C CD  486 ARG C CD  1 
ATOM 18105 N NE  . ARG C 3 486 ? 267.269 -60.694 298.031 1.0 59.96494  ? 486 ARG C NE  486 ARG C NE  1 
ATOM 18106 C CZ  . ARG C 3 486 ? 268.340 -59.986 297.685 1.0 59.96494  ? 486 ARG C CZ  486 ARG C CZ  1 
ATOM 18107 N NH1 . ARG C 3 486 ? 268.224 -58.963 296.853 1.0 59.96494  ? 486 ARG C NH1 486 ARG C NH1 1 
ATOM 18108 N NH2 . ARG C 3 486 ? 269.534 -60.301 298.163 1.0 59.96494  ? 486 ARG C NH2 486 ARG C NH2 1 
ATOM 18109 N N   . ASN C 3 487 ? 262.510 -63.894 295.866 1.0 55.89713  ? 487 ASN C N   487 ASN C N   1 
ATOM 18110 C CA  . ASN C 3 487 ? 261.227 -63.664 295.216 1.0 55.89713  ? 487 ASN C CA  487 ASN C CA  1 
ATOM 18111 C C   . ASN C 3 487 ? 260.136 -63.355 296.234 1.0 55.89713  ? 487 ASN C C   487 ASN C C   1 
ATOM 18112 O O   . ASN C 3 487 ? 259.650 -64.232 296.951 1.0 55.89713  ? 487 ASN C O   487 ASN C O   1 
ATOM 18113 C CB  . ASN C 3 487 ? 260.842 -64.848 294.330 1.0 55.89713  ? 487 ASN C CB  487 ASN C CB  1 
ATOM 18114 C CG  . ASN C 3 487 ? 260.964 -66.183 295.019 1.0 55.89713  ? 487 ASN C CG  487 ASN C CG  1 
ATOM 18115 O OD1 . ASN C 3 487 ? 261.371 -66.280 296.178 1.0 55.89713  ? 487 ASN C OD1 487 ASN C OD1 1 
ATOM 18116 N ND2 . ASN C 3 487 ? 260.595 -67.233 294.304 1.0 55.89713  ? 487 ASN C ND2 487 ASN C ND2 1 
ATOM 18117 N N   . THR C 3 488 ? 259.711 -62.104 296.252 1.0 55.34718  ? 488 THR C N   488 THR C N   1 
ATOM 18118 C CA  . THR C 3 488 ? 258.832 -61.592 297.284 1.0 55.34718  ? 488 THR C CA  488 THR C CA  1 
ATOM 18119 C C   . THR C 3 488 ? 257.387 -62.054 297.137 1.0 55.34718  ? 488 THR C C   488 THR C C   1 
ATOM 18120 O O   . THR C 3 488 ? 256.504 -61.436 297.733 1.0 55.34718  ? 488 THR C O   488 THR C O   1 
ATOM 18121 C CB  . THR C 3 488 ? 258.907 -60.067 297.307 1.0 55.34718  ? 488 THR C CB  488 THR C CB  1 
ATOM 18122 O OG1 . THR C 3 488 ? 258.532 -59.546 296.026 1.0 55.34718  ? 488 THR C OG1 488 THR C OG1 1 
ATOM 18123 C CG2 . THR C 3 488 ? 260.325 -59.618 297.640 1.0 55.34718  ? 488 THR C CG2 488 THR C CG2 1 
ATOM 18124 N N   . GLY C 3 489 ? 257.104 -63.075 296.335 1.0 54.40314  ? 489 GLY C N   489 GLY C N   1 
ATOM 18125 C CA  . GLY C 3 489 ? 255.878 -63.816 296.502 1.0 54.40314  ? 489 GLY C CA  489 GLY C CA  1 
ATOM 18126 C C   . GLY C 3 489 ? 256.142 -65.004 297.393 1.0 54.40314  ? 489 GLY C C   489 GLY C C   1 
ATOM 18127 O O   . GLY C 3 489 ? 255.524 -65.133 298.448 1.0 54.40314  ? 489 GLY C O   489 GLY C O   1 
ATOM 18128 N N   . LEU C 3 490 ? 257.109 -65.840 297.009 1.0 52.60895  ? 490 LEU C N   490 LEU C N   1 
ATOM 18129 C CA  . LEU C 3 490 ? 257.424 -67.031 297.790 1.0 52.60895  ? 490 LEU C CA  490 LEU C CA  1 
ATOM 18130 C C   . LEU C 3 490 ? 258.048 -66.676 299.129 1.0 52.60895  ? 490 LEU C C   490 LEU C C   1 
ATOM 18131 O O   . LEU C 3 490 ? 257.782 -67.340 300.136 1.0 52.60895  ? 490 LEU C O   490 LEU C O   1 
ATOM 18132 C CB  . LEU C 3 490 ? 258.358 -67.934 296.999 1.0 52.60895  ? 490 LEU C CB  490 LEU C CB  1 
ATOM 18133 C CG  . LEU C 3 490 ? 258.625 -69.281 297.639 1.0 52.60895  ? 490 LEU C CG  490 LEU C CG  1 
ATOM 18134 C CD1 . LEU C 3 490 ? 257.302 -69.982 297.832 1.0 52.60895  ? 490 LEU C CD1 490 LEU C CD1 1 
ATOM 18135 C CD2 . LEU C 3 490 ? 259.517 -70.077 296.731 1.0 52.60895  ? 490 LEU C CD2 490 LEU C CD2 1 
ATOM 18136 N N   . LYS C 3 491 ? 258.838 -65.605 299.167 1.0 56.89129  ? 491 LYS C N   491 LYS C N   1 
ATOM 18137 C CA  . LYS C 3 491 ? 259.338 -65.023 300.406 1.0 56.89129  ? 491 LYS C CA  491 LYS C CA  1 
ATOM 18138 C C   . LYS C 3 491 ? 258.215 -64.440 301.258 1.0 56.89129  ? 491 LYS C C   491 LYS C C   1 
ATOM 18139 O O   . LYS C 3 491 ? 258.421 -64.195 302.444 1.0 56.89129  ? 491 LYS C O   491 LYS C O   1 
ATOM 18140 C CB  . LYS C 3 491 ? 260.378 -63.952 300.048 1.0 56.89129  ? 491 LYS C CB  491 LYS C CB  1 
ATOM 18141 C CG  . LYS C 3 491 ? 261.212 -63.326 301.151 1.0 56.89129  ? 491 LYS C CG  491 LYS C CG  1 
ATOM 18142 C CD  . LYS C 3 491 ? 262.192 -62.342 300.534 1.0 56.89129  ? 491 LYS C CD  491 LYS C CD  1 
ATOM 18143 C CE  . LYS C 3 491 ? 263.060 -61.695 301.581 1.0 56.89129  ? 491 LYS C CE  491 LYS C CE  1 
ATOM 18144 N NZ  . LYS C 3 491 ? 262.217 -60.843 302.460 1.0 56.89129  ? 491 LYS C NZ  491 LYS C NZ  1 
ATOM 18145 N N   . TYR C 3 492 ? 257.031 -64.236 300.684 1.0 54.41422  ? 492 TYR C N   492 TYR C N   1 
ATOM 18146 C CA  . TYR C 3 492 ? 255.861 -63.700 301.362 1.0 54.41422  ? 492 TYR C CA  492 TYR C CA  1 
ATOM 18147 C C   . TYR C 3 492 ? 254.750 -64.723 301.536 1.0 54.41422  ? 492 TYR C C   492 TYR C C   1 
ATOM 18148 O O   . TYR C 3 492 ? 254.092 -64.710 302.568 1.0 54.41422  ? 492 TYR C O   492 TYR C O   1 
ATOM 18149 C CB  . TYR C 3 492 ? 255.341 -62.491 300.577 1.0 54.41422  ? 492 TYR C CB  492 TYR C CB  1 
ATOM 18150 C CG  . TYR C 3 492 ? 254.136 -61.767 301.109 1.0 54.41422  ? 492 TYR C CG  492 TYR C CG  1 
ATOM 18151 C CD1 . TYR C 3 492 ? 254.207 -61.006 302.264 1.0 54.41422  ? 492 TYR C CD1 492 TYR C CD1 1 
ATOM 18152 C CD2 . TYR C 3 492 ? 252.944 -61.780 300.405 1.0 54.41422  ? 492 TYR C CD2 492 TYR C CD2 1 
ATOM 18153 C CE1 . TYR C 3 492 ? 253.102 -60.317 302.730 1.0 54.41422  ? 492 TYR C CE1 492 TYR C CE1 1 
ATOM 18154 C CE2 . TYR C 3 492 ? 251.837 -61.094 300.855 1.0 54.41422  ? 492 TYR C CE2 492 TYR C CE2 1 
ATOM 18155 C CZ  . TYR C 3 492 ? 251.920 -60.362 302.015 1.0 54.41422  ? 492 TYR C CZ  492 TYR C CZ  1 
ATOM 18156 O OH  . TYR C 3 492 ? 250.809 -59.683 302.463 1.0 54.41422  ? 492 TYR C OH  492 TYR C OH  1 
ATOM 18157 N N   . ARG C 3 493 ? 254.568 -65.651 300.587 1.0 51.84393  ? 493 ARG C N   493 ARG C N   1 
ATOM 18158 C CA  . ARG C 3 493 ? 253.568 -66.709 300.733 1.0 51.84393  ? 493 ARG C CA  493 ARG C CA  1 
ATOM 18159 C C   . ARG C 3 493 ? 253.918 -67.698 301.832 1.0 51.84393  ? 493 ARG C C   493 ARG C C   1 
ATOM 18160 O O   . ARG C 3 493 ? 253.030 -68.401 302.317 1.0 51.84393  ? 493 ARG C O   493 ARG C O   1 
ATOM 18161 C CB  . ARG C 3 493 ? 253.384 -67.473 299.415 1.0 51.84393  ? 493 ARG C CB  493 ARG C CB  1 
ATOM 18162 C CG  . ARG C 3 493 ? 252.712 -66.667 298.321 1.0 51.84393  ? 493 ARG C CG  493 ARG C CG  1 
ATOM 18163 C CD  . ARG C 3 493 ? 252.756 -67.357 296.995 1.0 51.84393  ? 493 ARG C CD  493 ARG C CD  1 
ATOM 18164 N NE  . ARG C 3 493 ? 254.124 -67.547 296.514 1.0 51.84393  ? 493 ARG C NE  493 ARG C NE  1 
ATOM 18165 C CZ  . ARG C 3 493 ? 254.435 -68.184 295.389 1.0 51.84393  ? 493 ARG C CZ  493 ARG C CZ  1 
ATOM 18166 N NH1 . ARG C 3 493 ? 253.485 -68.663 294.624 1.0 51.84393  ? 493 ARG C NH1 493 ARG C NH1 1 
ATOM 18167 N NH2 . ARG C 3 493 ? 255.680 -68.337 295.006 1.0 51.84393  ? 493 ARG C NH2 493 ARG C NH2 1 
ATOM 18168 N N   . SER C 3 494 ? 255.183 -67.780 302.227 1.0 53.08291  ? 494 SER C N   494 SER C N   1 
ATOM 18169 C CA  . SER C 3 494 ? 255.556 -68.621 303.351 1.0 53.08291  ? 494 SER C CA  494 SER C CA  1 
ATOM 18170 C C   . SER C 3 494 ? 255.383 -67.920 304.685 1.0 53.08291  ? 494 SER C C   494 SER C C   1 
ATOM 18171 O O   . SER C 3 494 ? 255.231 -68.589 305.710 1.0 53.08291  ? 494 SER C O   494 SER C O   1 
ATOM 18172 C CB  . SER C 3 494 ? 257.002 -69.080 303.211 1.0 53.08291  ? 494 SER C CB  494 SER C CB  1 
ATOM 18173 O OG  . SER C 3 494 ? 257.384 -69.848 304.337 1.0 53.08291  ? 494 SER C OG  494 SER C OG  1 
ATOM 18174 N N   . GLN C 3 495 ? 255.407 -66.592 304.706 1.0 55.26308  ? 495 GLN C N   495 GLN C N   1 
ATOM 18175 C CA  . GLN C 3 495 ? 255.241 -65.866 305.956 1.0 55.26308  ? 495 GLN C CA  495 GLN C CA  1 
ATOM 18176 C C   . GLN C 3 495 ? 253.783 -65.723 306.369 1.0 55.26308  ? 495 GLN C C   495 GLN C C   1 
ATOM 18177 O O   . GLN C 3 495 ? 253.512 -65.486 307.550 1.0 55.26308  ? 495 GLN C O   495 GLN C O   1 
ATOM 18178 C CB  . GLN C 3 495 ? 255.848 -64.475 305.842 1.0 55.26308  ? 495 GLN C CB  495 GLN C CB  1 
ATOM 18179 C CG  . GLN C 3 495 ? 257.290 -64.447 305.426 1.0 55.26308  ? 495 GLN C CG  495 GLN C CG  1 
ATOM 18180 C CD  . GLN C 3 495 ? 258.219 -65.067 306.407 1.0 55.26308  ? 495 GLN C CD  495 GLN C CD  1 
ATOM 18181 O OE1 . GLN C 3 495 ? 258.721 -66.166 306.209 1.0 55.26308  ? 495 GLN C OE1 495 GLN C OE1 1 
ATOM 18182 N NE2 . GLN C 3 495 ? 258.510 -64.330 307.457 1.0 55.26308  ? 495 GLN C NE2 495 GLN C NE2 1 
ATOM 18183 N N   . LEU C 3 496 ? 252.844 -65.821 305.421 1.0 54.9303   ? 496 LEU C N   496 LEU C N   1 
ATOM 18184 C CA  . LEU C 3 496 ? 251.422 -65.761 305.752 1.0 54.9303   ? 496 LEU C CA  496 LEU C CA  1 
ATOM 18185 C C   . LEU C 3 496 ? 250.954 -66.952 306.567 1.0 54.9303   ? 496 LEU C C   496 LEU C C   1 
ATOM 18186 O O   . LEU C 3 496 ? 249.912 -66.863 307.222 1.0 54.9303   ? 496 LEU C O   496 LEU C O   1 
ATOM 18187 C CB  . LEU C 3 496 ? 250.567 -65.657 304.486 1.0 54.9303   ? 496 LEU C CB  496 LEU C CB  1 
ATOM 18188 C CG  . LEU C 3 496 ? 250.090 -64.287 303.995 1.0 54.9303   ? 496 LEU C CG  496 LEU C CG  1 
ATOM 18189 C CD1 . LEU C 3 496 ? 251.231 -63.437 303.542 1.0 54.9303   ? 496 LEU C CD1 496 LEU C CD1 1 
ATOM 18190 C CD2 . LEU C 3 496 ? 249.089 -64.442 302.863 1.0 54.9303   ? 496 LEU C CD2 496 LEU C CD2 1 
ATOM 18191 N N   . LEU C 3 497 ? 251.683 -68.060 306.539 1.0 56.19798  ? 497 LEU C N   497 LEU C N   1 
ATOM 18192 C CA  . LEU C 3 497 ? 251.318 -69.224 307.326 1.0 56.19798  ? 497 LEU C CA  497 LEU C CA  1 
ATOM 18193 C C   . LEU C 3 497 ? 252.115 -69.337 308.614 1.0 56.19798  ? 497 LEU C C   497 LEU C C   1 
ATOM 18194 O O   . LEU C 3 497 ? 251.702 -70.062 309.524 1.0 56.19798  ? 497 LEU C O   497 LEU C O   1 
ATOM 18195 C CB  . LEU C 3 497 ? 251.508 -70.499 306.507 1.0 56.19798  ? 497 LEU C CB  497 LEU C CB  1 
ATOM 18196 C CG  . LEU C 3 497 ? 250.492 -70.938 305.456 1.0 56.19798  ? 497 LEU C CG  497 LEU C CG  1 
ATOM 18197 C CD1 . LEU C 3 497 ? 250.560 -70.119 304.178 1.0 56.19798  ? 497 LEU C CD1 497 LEU C CD1 1 
ATOM 18198 C CD2 . LEU C 3 497 ? 250.748 -72.380 305.147 1.0 56.19798  ? 497 LEU C CD2 497 LEU C CD2 1 
ATOM 18199 N N   . GLY C 3 498 ? 253.242 -68.652 308.709 1.0 57.36052  ? 498 GLY C N   498 GLY C N   1 
ATOM 18200 C CA  . GLY C 3 498 ? 254.012 -68.600 309.926 1.0 57.36052  ? 498 GLY C CA  498 GLY C CA  1 
ATOM 18201 C C   . GLY C 3 498 ? 255.436 -69.038 309.683 1.0 57.36052  ? 498 GLY C C   498 GLY C C   1 
ATOM 18202 O O   . GLY C 3 498 ? 255.888 -69.154 308.547 1.0 57.36052  ? 498 GLY C O   498 GLY C O   1 
ATOM 18203 N N   . ASN C 3 499 ? 256.153 -69.281 310.781 1.0 59.00788  ? 499 ASN C N   499 ASN C N   1 
ATOM 18204 C CA  . ASN C 3 499 ? 257.542 -69.703 310.718 1.0 59.00788  ? 499 ASN C CA  499 ASN C CA  1 
ATOM 18205 C C   . ASN C 3 499 ? 257.773 -71.151 311.113 1.0 59.00788  ? 499 ASN C C   499 ASN C C   1 
ATOM 18206 O O   . ASN C 3 499 ? 258.823 -71.702 310.775 1.0 59.00788  ? 499 ASN C O   499 ASN C O   1 
ATOM 18207 C CB  . ASN C 3 499 ? 258.416 -68.807 311.606 1.0 59.00788  ? 499 ASN C CB  499 ASN C CB  1 
ATOM 18208 C CG  . ASN C 3 499 ? 257.930 -68.735 313.043 1.0 59.00788  ? 499 ASN C CG  499 ASN C CG  1 
ATOM 18209 O OD1 . ASN C 3 499 ? 256.937 -69.352 313.416 1.0 59.00788  ? 499 ASN C OD1 499 ASN C OD1 1 
ATOM 18210 N ND2 . ASN C 3 499 ? 258.645 -67.978 313.862 1.0 59.00788  ? 499 ASN C ND2 499 ASN C ND2 1 
ATOM 18211 N N   . GLY C 3 500 ? 256.837 -71.772 311.820 1.0 60.02677  ? 500 GLY C N   500 GLY C N   1 
ATOM 18212 C CA  . GLY C 3 500 ? 257.025 -73.116 312.312 1.0 60.02677  ? 500 GLY C CA  500 GLY C CA  1 
ATOM 18213 C C   . GLY C 3 500 ? 256.852 -74.166 311.241 1.0 60.02677  ? 500 GLY C C   500 GLY C C   1 
ATOM 18214 O O   . GLY C 3 500 ? 256.511 -73.893 310.093 1.0 60.02677  ? 500 GLY C O   500 GLY C O   1 
ATOM 18215 N N   . ARG C 3 501 ? 257.106 -75.407 311.642 1.0 60.02733  ? 501 ARG C N   501 ARG C N   1 
ATOM 18216 C CA  . ARG C 3 501 ? 256.965 -76.537 310.735 1.0 60.02733  ? 501 ARG C CA  501 ARG C CA  1 
ATOM 18217 C C   . ARG C 3 501 ? 255.515 -76.990 310.646 1.0 60.02733  ? 501 ARG C C   501 ARG C C   1 
ATOM 18218 O O   . ARG C 3 501 ? 254.991 -77.214 309.551 1.0 60.02733  ? 501 ARG C O   501 ARG C O   1 
ATOM 18219 C CB  . ARG C 3 501 ? 257.864 -77.677 311.206 1.0 60.02733  ? 501 ARG C CB  501 ARG C CB  1 
ATOM 18220 C CG  . ARG C 3 501 ? 257.831 -78.924 310.360 1.0 60.02733  ? 501 ARG C CG  501 ARG C CG  1 
ATOM 18221 C CD  . ARG C 3 501 ? 258.830 -79.921 310.899 1.0 60.02733  ? 501 ARG C CD  501 ARG C CD  1 
ATOM 18222 N NE  . ARG C 3 501 ? 258.796 -81.195 310.196 1.0 60.02733  ? 501 ARG C NE  501 ARG C NE  1 
ATOM 18223 C CZ  . ARG C 3 501 ? 259.611 -82.206 310.469 1.0 60.02733  ? 501 ARG C CZ  501 ARG C CZ  1 
ATOM 18224 N NH1 . ARG C 3 501 ? 260.522 -82.085 311.420 1.0 60.02733  ? 501 ARG C NH1 501 ARG C NH1 1 
ATOM 18225 N NH2 . ARG C 3 501 ? 259.517 -83.340 309.795 1.0 60.02733  ? 501 ARG C NH2 501 ARG C NH2 1 
ATOM 18226 N N   . TYR C 3 502 ? 254.856 -77.128 311.790 1.0 60.56272  ? 502 TYR C N   502 TYR C N   1 
ATOM 18227 C CA  . TYR C 3 502 ? 253.457 -77.520 311.862 1.0 60.56272  ? 502 TYR C CA  502 TYR C CA  1 
ATOM 18228 C C   . TYR C 3 502 ? 252.596 -76.270 311.972 1.0 60.56272  ? 502 TYR C C   502 TYR C C   1 
ATOM 18229 O O   . TYR C 3 502 ? 252.854 -75.411 312.819 1.0 60.56272  ? 502 TYR C O   502 TYR C O   1 
ATOM 18230 C CB  . TYR C 3 502 ? 253.220 -78.432 313.063 1.0 60.56272  ? 502 TYR C CB  502 TYR C CB  1 
ATOM 18231 C CG  . TYR C 3 502 ? 253.934 -79.754 312.965 1.0 60.56272  ? 502 TYR C CG  502 TYR C CG  1 
ATOM 18232 C CD1 . TYR C 3 502 ? 253.392 -80.798 312.235 1.0 60.56272  ? 502 TYR C CD1 502 TYR C CD1 1 
ATOM 18233 C CD2 . TYR C 3 502 ? 255.154 -79.956 313.595 1.0 60.56272  ? 502 TYR C CD2 502 TYR C CD2 1 
ATOM 18234 C CE1 . TYR C 3 502 ? 254.036 -82.009 312.141 1.0 60.56272  ? 502 TYR C CE1 502 TYR C CE1 1 
ATOM 18235 C CE2 . TYR C 3 502 ? 255.809 -81.164 313.505 1.0 60.56272  ? 502 TYR C CE2 502 TYR C CE2 1 
ATOM 18236 C CZ  . TYR C 3 502 ? 255.243 -82.187 312.775 1.0 60.56272  ? 502 TYR C CZ  502 TYR C CZ  1 
ATOM 18237 O OH  . TYR C 3 502 ? 255.882 -83.400 312.675 1.0 60.56272  ? 502 TYR C OH  502 TYR C OH  1 
ATOM 18238 N N   . CYS C 3 503 ? 251.577 -76.169 311.125 1.0 58.6498   ? 503 CYS C N   503 CYS C N   1 
ATOM 18239 C CA  . CYS C 3 503 ? 250.781 -74.954 311.084 1.0 58.6498   ? 503 CYS C CA  503 CYS C CA  1 
ATOM 18240 C C   . CYS C 3 503 ? 249.334 -75.284 310.759 1.0 58.6498   ? 503 CYS C C   503 CYS C C   1 
ATOM 18241 O O   . CYS C 3 503 ? 249.044 -76.263 310.070 1.0 58.6498   ? 503 CYS C O   503 CYS C O   1 
ATOM 18242 C CB  . CYS C 3 503 ? 251.339 -73.962 310.061 1.0 58.6498   ? 503 CYS C CB  503 CYS C CB  1 
ATOM 18243 S SG  . CYS C 3 503 ? 251.303 -74.535 308.364 1.0 58.6498   ? 503 CYS C SG  503 CYS C SG  1 
ATOM 18244 N N   . ASP C 3 504 ? 248.431 -74.453 311.273 1.0 57.55183  ? 504 ASP C N   504 ASP C N   1 
ATOM 18245 C CA  . ASP C 3 504 ? 247.010 -74.536 310.972 1.0 57.55183  ? 504 ASP C CA  504 ASP C CA  1 
ATOM 18246 C C   . ASP C 3 504 ? 246.654 -73.403 310.022 1.0 57.55183  ? 504 ASP C C   504 ASP C C   1 
ATOM 18247 O O   . ASP C 3 504 ? 246.612 -72.239 310.431 1.0 57.55183  ? 504 ASP C O   504 ASP C O   1 
ATOM 18248 C CB  . ASP C 3 504 ? 246.168 -74.435 312.242 1.0 57.55183  ? 504 ASP C CB  504 ASP C CB  1 
ATOM 18249 C CG  . ASP C 3 504 ? 246.343 -75.625 313.157 1.0 57.55183  ? 504 ASP C CG  504 ASP C CG  1 
ATOM 18250 O OD1 . ASP C 3 504 ? 246.635 -76.726 312.655 1.0 57.55183  ? 504 ASP C OD1 504 ASP C OD1 1 
ATOM 18251 O OD2 . ASP C 3 504 ? 246.183 -75.458 314.384 1.0 57.55183  ? 504 ASP C OD2 504 ASP C OD2 1 
ATOM 18252 N N   . PHE C 3 505 ? 246.395 -73.738 308.767 1.0 52.59071  ? 505 PHE C N   505 PHE C N   1 
ATOM 18253 C CA  . PHE C 3 505 ? 246.076 -72.744 307.758 1.0 52.59071  ? 505 PHE C CA  505 PHE C CA  1 
ATOM 18254 C C   . PHE C 3 505 ? 244.569 -72.535 307.678 1.0 52.59071  ? 505 PHE C C   505 PHE C C   1 
ATOM 18255 O O   . PHE C 3 505 ? 243.776 -73.360 308.132 1.0 52.59071  ? 505 PHE C O   505 PHE C O   1 
ATOM 18256 C CB  . PHE C 3 505 ? 246.648 -73.150 306.393 1.0 52.59071  ? 505 PHE C CB  505 PHE C CB  1 
ATOM 18257 C CG  . PHE C 3 505 ? 246.082 -74.427 305.832 1.0 52.59071  ? 505 PHE C CG  505 PHE C CG  1 
ATOM 18258 C CD1 . PHE C 3 505 ? 246.620 -75.654 306.180 1.0 52.59071  ? 505 PHE C CD1 505 PHE C CD1 1 
ATOM 18259 C CD2 . PHE C 3 505 ? 245.053 -74.396 304.905 1.0 52.59071  ? 505 PHE C CD2 505 PHE C CD2 1 
ATOM 18260 C CE1 . PHE C 3 505 ? 246.111 -76.823 305.656 1.0 52.59071  ? 505 PHE C CE1 505 PHE C CE1 1 
ATOM 18261 C CE2 . PHE C 3 505 ? 244.543 -75.562 304.375 1.0 52.59071  ? 505 PHE C CE2 505 PHE C CE2 1 
ATOM 18262 C CZ  . PHE C 3 505 ? 245.074 -76.775 304.750 1.0 52.59071  ? 505 PHE C CZ  505 PHE C CZ  1 
ATOM 18263 N N   . HIS C 3 506 ? 244.185 -71.396 307.109 1.0 50.55117  ? 506 HIS C N   506 HIS C N   1 
ATOM 18264 C CA  . HIS C 3 506 ? 242.775 -71.048 306.936 1.0 50.55117  ? 506 HIS C CA  506 HIS C CA  1 
ATOM 18265 C C   . HIS C 3 506 ? 242.698 -70.202 305.667 1.0 50.55117  ? 506 HIS C C   506 HIS C C   1 
ATOM 18266 O O   . HIS C 3 506 ? 242.851 -68.982 305.714 1.0 50.55117  ? 506 HIS C O   506 HIS C O   1 
ATOM 18267 C CB  . HIS C 3 506 ? 242.235 -70.303 308.144 1.0 50.55117  ? 506 HIS C CB  506 HIS C CB  1 
ATOM 18268 C CG  . HIS C 3 506 ? 240.760 -70.075 308.102 1.0 50.55117  ? 506 HIS C CG  506 HIS C CG  1 
ATOM 18269 N ND1 . HIS C 3 506 ? 240.110 -69.231 308.975 1.0 50.55117  ? 506 HIS C ND1 506 HIS C ND1 1 
ATOM 18270 C CD2 . HIS C 3 506 ? 239.806 -70.585 307.292 1.0 50.55117  ? 506 HIS C CD2 506 HIS C CD2 1 
ATOM 18271 C CE1 . HIS C 3 506 ? 238.817 -69.234 308.704 1.0 50.55117  ? 506 HIS C CE1 506 HIS C CE1 1 
ATOM 18272 N NE2 . HIS C 3 506 ? 238.607 -70.046 307.685 1.0 50.55117  ? 506 HIS C NE2 506 HIS C NE2 1 
ATOM 18273 N N   . ILE C 3 507 ? 242.442 -70.860 304.542 1.0 48.65803  ? 507 ILE C N   507 ILE C N   1 
ATOM 18274 C CA  . ILE C 3 507 ? 242.666 -70.268 303.236 1.0 48.65803  ? 507 ILE C CA  507 ILE C CA  1 
ATOM 18275 C C   . ILE C 3 507 ? 241.340 -70.136 302.497 1.0 48.65803  ? 507 ILE C C   507 ILE C C   1 
ATOM 18276 O O   . ILE C 3 507 ? 240.313 -70.665 302.912 1.0 48.65803  ? 507 ILE C O   507 ILE C O   1 
ATOM 18277 C CB  . ILE C 3 507 ? 243.669 -71.084 302.410 1.0 48.65803  ? 507 ILE C CB  507 ILE C CB  1 
ATOM 18278 C CG1 . ILE C 3 507 ? 243.140 -72.490 302.193 1.0 48.65803  ? 507 ILE C CG1 507 ILE C CG1 1 
ATOM 18279 C CG2 . ILE C 3 507 ? 245.000 -71.158 303.113 1.0 48.65803  ? 507 ILE C CG2 507 ILE C CG2 1 
ATOM 18280 C CD1 . ILE C 3 507 ? 243.945 -73.273 301.214 1.0 48.65803  ? 507 ILE C CD1 507 ILE C CD1 1 
ATOM 18281 N N   . GLN C 3 508 ? 241.383 -69.407 301.382 1.0 48.10447  ? 508 GLN C N   508 GLN C N   1 
ATOM 18282 C CA  . GLN C 3 508 ? 240.230 -69.195 300.507 1.0 48.10447  ? 508 GLN C CA  508 GLN C CA  1 
ATOM 18283 C C   . GLN C 3 508 ? 240.702 -69.402 299.071 1.0 48.10447  ? 508 GLN C C   508 GLN C C   1 
ATOM 18284 O O   . GLN C 3 508 ? 241.510 -68.621 298.562 1.0 48.10447  ? 508 GLN C O   508 GLN C O   1 
ATOM 18285 C CB  . GLN C 3 508 ? 239.630 -67.804 300.684 1.0 48.10447  ? 508 GLN C CB  508 GLN C CB  1 
ATOM 18286 C CG  . GLN C 3 508 ? 238.981 -67.537 302.028 1.0 48.10447  ? 508 GLN C CG  508 GLN C CG  1 
ATOM 18287 C CD  . GLN C 3 508 ? 239.970 -67.121 303.086 1.0 48.10447  ? 508 GLN C CD  508 GLN C CD  1 
ATOM 18288 O OE1 . GLN C 3 508 ? 241.103 -66.759 302.781 1.0 48.10447  ? 508 GLN C OE1 508 GLN C OE1 1 
ATOM 18289 N NE2 . GLN C 3 508 ? 239.549 -67.171 304.339 1.0 48.10447  ? 508 GLN C NE2 508 GLN C NE2 1 
ATOM 18290 N N   . VAL C 3 509 ? 240.206 -70.444 298.417 1.0 45.85394  ? 509 VAL C N   509 VAL C N   1 
ATOM 18291 C CA  . VAL C 3 509 ? 240.663 -70.762 297.067 1.0 45.85394  ? 509 VAL C CA  509 VAL C CA  1 
ATOM 18292 C C   . VAL C 3 509 ? 239.621 -70.262 296.070 1.0 45.85394  ? 509 VAL C C   509 VAL C C   1 
ATOM 18293 O O   . VAL C 3 509 ? 238.430 -70.184 296.412 1.0 45.85394  ? 509 VAL C O   509 VAL C O   1 
ATOM 18294 C CB  . VAL C 3 509 ? 240.950 -72.264 296.917 1.0 45.85394  ? 509 VAL C CB  509 VAL C CB  1 
ATOM 18295 C CG1 . VAL C 3 509 ? 242.046 -72.683 297.872 1.0 45.85394  ? 509 VAL C CG1 509 VAL C CG1 1 
ATOM 18296 C CG2 . VAL C 3 509 ? 239.722 -73.068 297.194 1.0 45.85394  ? 509 VAL C CG2 509 VAL C CG2 1 
ATOM 18297 N N   . PRO C 3 510 ? 240.010 -69.873 294.850 1.0 48.64274  ? 510 PRO C N   510 PRO C N   1 
ATOM 18298 C CA  . PRO C 3 510 ? 239.021 -69.321 293.930 1.0 48.64274  ? 510 PRO C CA  510 PRO C CA  1 
ATOM 18299 C C   . PRO C 3 510 ? 238.365 -70.375 293.075 1.0 48.64274  ? 510 PRO C C   510 PRO C C   1 
ATOM 18300 O O   . PRO C 3 510 ? 238.716 -71.543 293.169 1.0 48.64274  ? 510 PRO C O   510 PRO C O   1 
ATOM 18301 C CB  . PRO C 3 510 ? 239.851 -68.334 293.108 1.0 48.64274  ? 510 PRO C CB  510 PRO C CB  1 
ATOM 18302 C CG  . PRO C 3 510 ? 241.144 -69.007 292.993 1.0 48.64274  ? 510 PRO C CG  510 PRO C CG  1 
ATOM 18303 C CD  . PRO C 3 510 ? 241.365 -69.735 294.302 1.0 48.64274  ? 510 PRO C CD  510 PRO C CD  1 
ATOM 18304 N N   . GLN C 3 511 ? 237.447 -69.965 292.211 1.0 46.63954  ? 511 GLN C N   511 GLN C N   1 
ATOM 18305 C CA  . GLN C 3 511 ? 236.956 -70.809 291.135 1.0 46.63954  ? 511 GLN C CA  511 GLN C CA  1 
ATOM 18306 C C   . GLN C 3 511 ? 237.488 -70.270 289.815 1.0 46.63954  ? 511 GLN C C   511 GLN C C   1 
ATOM 18307 O O   . GLN C 3 511 ? 237.185 -69.142 289.421 1.0 46.63954  ? 511 GLN C O   511 GLN C O   1 
ATOM 18308 C CB  . GLN C 3 511 ? 235.430 -70.853 291.099 1.0 46.63954  ? 511 GLN C CB  511 GLN C CB  1 
ATOM 18309 C CG  . GLN C 3 511 ? 234.867 -71.720 289.992 1.0 46.63954  ? 511 GLN C CG  511 GLN C CG  1 
ATOM 18310 C CD  . GLN C 3 511 ? 235.070 -73.196 290.229 1.0 46.63954  ? 511 GLN C CD  511 GLN C CD  1 
ATOM 18311 O OE1 . GLN C 3 511 ? 234.885 -73.688 291.337 1.0 46.63954  ? 511 GLN C OE1 511 GLN C OE1 1 
ATOM 18312 N NE2 . GLN C 3 511 ? 235.442 -73.917 289.180 1.0 46.63954  ? 511 GLN C NE2 511 GLN C NE2 1 
ATOM 18313 N N   . LYS C 3 512 ? 238.276 -71.089 289.112 1.0 46.41684  ? 512 LYS C N   512 LYS C N   1 
ATOM 18314 C CA  . LYS C 3 512 ? 239.028 -70.603 287.970 1.0 46.41684  ? 512 LYS C CA  512 LYS C CA  1 
ATOM 18315 C C   . LYS C 3 512 ? 238.593 -71.199 286.644 1.0 46.41684  ? 512 LYS C C   512 LYS C C   1 
ATOM 18316 O O   . LYS C 3 512 ? 239.159 -70.830 285.612 1.0 46.41684  ? 512 LYS C O   512 LYS C O   1 
ATOM 18317 C CB  . LYS C 3 512 ? 240.516 -70.860 288.206 1.0 46.41684  ? 512 LYS C CB  512 LYS C CB  1 
ATOM 18318 C CG  . LYS C 3 512 ? 241.085 -70.001 289.316 1.0 46.41684  ? 512 LYS C CG  512 LYS C CG  1 
ATOM 18319 C CD  . LYS C 3 512 ? 242.574 -70.191 289.462 1.0 46.41684  ? 512 LYS C CD  512 LYS C CD  1 
ATOM 18320 C CE  . LYS C 3 512 ? 242.881 -71.482 290.166 1.0 46.41684  ? 512 LYS C CE  512 LYS C CE  1 
ATOM 18321 N NZ  . LYS C 3 512 ? 244.329 -71.591 290.426 1.0 46.41684  ? 512 LYS C NZ  512 LYS C NZ  1 
ATOM 18322 N N   . PHE C 3 513 ? 237.612 -72.097 286.630 1.0 43.80779  ? 513 PHE C N   513 PHE C N   1 
ATOM 18323 C CA  . PHE C 3 513 ? 237.075 -72.597 285.374 1.0 43.80779  ? 513 PHE C CA  513 PHE C CA  1 
ATOM 18324 C C   . PHE C 3 513 ? 236.192 -71.518 284.768 1.0 43.80779  ? 513 PHE C C   513 PHE C C   1 
ATOM 18325 O O   . PHE C 3 513 ? 235.383 -70.910 285.471 1.0 43.80779  ? 513 PHE C O   513 PHE C O   1 
ATOM 18326 C CB  . PHE C 3 513 ? 236.297 -73.888 285.602 1.0 43.80779  ? 513 PHE C CB  513 PHE C CB  1 
ATOM 18327 C CG  . PHE C 3 513 ? 235.794 -74.523 284.344 1.0 43.80779  ? 513 PHE C CG  513 PHE C CG  1 
ATOM 18328 C CD1 . PHE C 3 513 ? 236.656 -75.204 283.500 1.0 43.80779  ? 513 PHE C CD1 513 PHE C CD1 1 
ATOM 18329 C CD2 . PHE C 3 513 ? 234.458 -74.448 284.008 1.0 43.80779  ? 513 PHE C CD2 513 PHE C CD2 1 
ATOM 18330 C CE1 . PHE C 3 513 ? 236.187 -75.792 282.337 1.0 43.80779  ? 513 PHE C CE1 513 PHE C CE1 1 
ATOM 18331 C CE2 . PHE C 3 513 ? 233.988 -75.033 282.854 1.0 43.80779  ? 513 PHE C CE2 513 PHE C CE2 1 
ATOM 18332 C CZ  . PHE C 3 513 ? 234.851 -75.702 282.016 1.0 43.80779  ? 513 PHE C CZ  513 PHE C CZ  1 
ATOM 18333 N N   . PHE C 3 514 ? 236.347 -71.284 283.461 1.0 41.88875  ? 514 PHE C N   514 PHE C N   1 
ATOM 18334 C CA  . PHE C 3 514 ? 235.869 -70.040 282.862 1.0 41.88875  ? 514 PHE C CA  514 PHE C CA  1 
ATOM 18335 C C   . PHE C 3 514 ? 234.352 -69.983 282.746 1.0 41.88875  ? 514 PHE C C   514 PHE C C   1 
ATOM 18336 O O   . PHE C 3 514 ? 233.782 -68.887 282.750 1.0 41.88875  ? 514 PHE C O   514 PHE C O   1 
ATOM 18337 C CB  . PHE C 3 514 ? 236.516 -69.828 281.490 1.0 41.88875  ? 514 PHE C CB  514 PHE C CB  1 
ATOM 18338 C CG  . PHE C 3 514 ? 236.132 -70.850 280.448 1.0 41.88875  ? 514 PHE C CG  514 PHE C CG  1 
ATOM 18339 C CD1 . PHE C 3 514 ? 236.824 -72.043 280.346 1.0 41.88875  ? 514 PHE C CD1 514 PHE C CD1 1 
ATOM 18340 C CD2 . PHE C 3 514 ? 235.127 -70.591 279.529 1.0 41.88875  ? 514 PHE C CD2 514 PHE C CD2 1 
ATOM 18341 C CE1 . PHE C 3 514 ? 236.489 -72.973 279.384 1.0 41.88875  ? 514 PHE C CE1 514 PHE C CE1 1 
ATOM 18342 C CE2 . PHE C 3 514 ? 234.796 -71.518 278.567 1.0 41.88875  ? 514 PHE C CE2 514 PHE C CE2 1 
ATOM 18343 C CZ  . PHE C 3 514 ? 235.476 -72.707 278.495 1.0 41.88875  ? 514 PHE C CZ  514 PHE C CZ  1 
ATOM 18344 N N   . ALA C 3 515 ? 233.678 -71.129 282.642 1.0 41.42321  ? 515 ALA C N   515 ALA C N   1 
ATOM 18345 C CA  . ALA C 3 515 ? 232.227 -71.098 282.489 1.0 41.42321  ? 515 ALA C CA  515 ALA C CA  1 
ATOM 18346 C C   . ALA C 3 515 ? 231.510 -70.807 283.798 1.0 41.42321  ? 515 ALA C C   515 ALA C C   1 
ATOM 18347 O O   . ALA C 3 515 ? 230.407 -70.253 283.783 1.0 41.42321  ? 515 ALA C O   515 ALA C O   1 
ATOM 18348 C CB  . ALA C 3 515 ? 231.721 -72.416 281.910 1.0 41.42321  ? 515 ALA C CB  515 ALA C CB  1 
ATOM 18349 N N   . ILE C 3 516 ? 232.098 -71.178 284.929 1.0 43.07383  ? 516 ILE C N   516 ILE C N   1 
ATOM 18350 C CA  . ILE C 3 516 ? 231.500 -70.923 286.230 1.0 43.07383  ? 516 ILE C CA  516 ILE C CA  1 
ATOM 18351 C C   . ILE C 3 516 ? 232.378 -70.004 287.074 1.0 43.07383  ? 516 ILE C C   516 ILE C C   1 
ATOM 18352 O O   . ILE C 3 516 ? 232.260 -69.979 288.290 1.0 43.07383  ? 516 ILE C O   516 ILE C O   1 
ATOM 18353 C CB  . ILE C 3 516 ? 231.192 -72.239 286.968 1.0 43.07383  ? 516 ILE C CB  516 ILE C CB  1 
ATOM 18354 C CG1 . ILE C 3 516 ? 232.457 -73.069 287.142 1.0 43.07383  ? 516 ILE C CG1 516 ILE C CG1 1 
ATOM 18355 C CG2 . ILE C 3 516 ? 230.156 -73.042 286.218 1.0 43.07383  ? 516 ILE C CG2 516 ILE C CG2 1 
ATOM 18356 C CD1 . ILE C 3 516 ? 232.250 -74.280 288.002 1.0 43.07383  ? 516 ILE C CD1 516 ILE C CD1 1 
ATOM 18357 N N   . LYS C 3 517 ? 233.270 -69.252 286.428 1.0 44.24918  ? 517 LYS C N   517 LYS C N   1 
ATOM 18358 C CA  . LYS C 3 517 ? 234.079 -68.276 287.148 1.0 44.24918  ? 517 LYS C CA  517 LYS C CA  1 
ATOM 18359 C C   . LYS C 3 517 ? 233.220 -67.122 287.636 1.0 44.24918  ? 517 LYS C C   517 LYS C C   1 
ATOM 18360 O O   . LYS C 3 517 ? 233.234 -66.780 288.823 1.0 44.24918  ? 517 LYS C O   517 LYS C O   1 
ATOM 18361 C CB  . LYS C 3 517 ? 235.202 -67.760 286.250 1.0 44.24918  ? 517 LYS C CB  517 LYS C CB  1 
ATOM 18362 C CG  . LYS C 3 517 ? 236.185 -66.844 286.942 1.0 44.24918  ? 517 LYS C CG  517 LYS C CG  1 
ATOM 18363 C CD  . LYS C 3 517 ? 237.204 -66.325 285.949 1.0 44.24918  ? 517 LYS C CD  517 LYS C CD  1 
ATOM 18364 C CE  . LYS C 3 517 ? 238.156 -67.428 285.535 1.0 44.24918  ? 517 LYS C CE  517 LYS C CE  1 
ATOM 18365 N NZ  . LYS C 3 517 ? 239.221 -66.938 284.623 1.0 44.24918  ? 517 LYS C NZ  517 LYS C NZ  1 
ATOM 18366 N N   . ASN C 3 518 ? 232.463 -66.513 286.731 1.0 42.43853  ? 518 ASN C N   518 ASN C N   1 
ATOM 18367 C CA  . ASN C 3 518 ? 231.535 -65.448 287.069 1.0 42.43853  ? 518 ASN C CA  518 ASN C CA  1 
ATOM 18368 C C   . ASN C 3 518 ? 230.196 -65.669 286.382 1.0 42.43853  ? 518 ASN C C   518 ASN C C   1 
ATOM 18369 O O   . ASN C 3 518 ? 229.634 -64.759 285.770 1.0 42.43853  ? 518 ASN C O   518 ASN C O   1 
ATOM 18370 C CB  . ASN C 3 518 ? 232.125 -64.079 286.736 1.0 42.43853  ? 518 ASN C CB  518 ASN C CB  1 
ATOM 18371 C CG  . ASN C 3 518 ? 232.660 -63.998 285.328 1.0 42.43853  ? 518 ASN C CG  518 ASN C CG  1 
ATOM 18372 O OD1 . ASN C 3 518 ? 232.547 -64.941 284.554 1.0 42.43853  ? 518 ASN C OD1 518 ASN C OD1 1 
ATOM 18373 N ND2 . ASN C 3 518 ? 233.260 -62.865 284.990 1.0 42.43853  ? 518 ASN C ND2 518 ASN C ND2 1 
ATOM 18374 N N   . LEU C 3 519 ? 229.681 -66.892 286.456 1.0 41.0857   ? 519 LEU C N   519 LEU C N   1 
ATOM 18375 C CA  . LEU C 3 519 ? 228.313 -67.160 286.039 1.0 41.0857   ? 519 LEU C CA  519 LEU C CA  1 
ATOM 18376 C C   . LEU C 3 519 ? 227.346 -66.473 286.995 1.0 41.0857   ? 519 LEU C C   519 LEU C C   1 
ATOM 18377 O O   . LEU C 3 519 ? 227.639 -66.307 288.178 1.0 41.0857   ? 519 LEU C O   519 LEU C O   1 
ATOM 18378 C CB  . LEU C 3 519 ? 228.066 -68.670 286.024 1.0 41.0857   ? 519 LEU C CB  519 LEU C CB  1 
ATOM 18379 C CG  . LEU C 3 519 ? 226.838 -69.361 285.427 1.0 41.0857   ? 519 LEU C CG  519 LEU C CG  1 
ATOM 18380 C CD1 . LEU C 3 519 ? 227.258 -70.745 285.013 1.0 41.0857   ? 519 LEU C CD1 519 LEU C CD1 1 
ATOM 18381 C CD2 . LEU C 3 519 ? 225.712 -69.472 286.420 1.0 41.0857   ? 519 LEU C CD2 519 LEU C CD2 1 
ATOM 18382 N N   . LEU C 3 520 ? 226.190 -66.077 286.481 1.0 40.86377  ? 520 LEU C N   520 LEU C N   1 
ATOM 18383 C CA  . LEU C 3 520 ? 225.108 -65.545 287.299 1.0 40.86377  ? 520 LEU C CA  520 LEU C CA  1 
ATOM 18384 C C   . LEU C 3 520 ? 223.880 -66.412 287.091 1.0 40.86377  ? 520 LEU C C   520 LEU C C   1 
ATOM 18385 O O   . LEU C 3 520 ? 223.336 -66.462 285.984 1.0 40.86377  ? 520 LEU C O   520 LEU C O   1 
ATOM 18386 C CB  . LEU C 3 520 ? 224.823 -64.085 286.953 1.0 40.86377  ? 520 LEU C CB  520 LEU C CB  1 
ATOM 18387 C CG  . LEU C 3 520 ? 223.743 -63.361 287.751 1.0 40.86377  ? 520 LEU C CG  520 LEU C CG  1 
ATOM 18388 C CD1 . LEU C 3 520 ? 224.228 -61.981 288.069 1.0 40.86377  ? 520 LEU C CD1 520 LEU C CD1 1 
ATOM 18389 C CD2 . LEU C 3 520 ? 222.471 -63.253 286.934 1.0 40.86377  ? 520 LEU C CD2 520 LEU C CD2 1 
ATOM 18390 N N   . LEU C 3 521 ? 223.435 -67.076 288.151 1.0 42.10601  ? 521 LEU C N   521 LEU C N   1 
ATOM 18391 C CA  . LEU C 3 521 ? 222.368 -68.056 288.045 1.0 42.10601  ? 521 LEU C CA  521 LEU C CA  1 
ATOM 18392 C C   . LEU C 3 521 ? 221.069 -67.519 288.628 1.0 42.10601  ? 521 LEU C C   521 LEU C C   1 
ATOM 18393 O O   . LEU C 3 521 ? 221.074 -66.793 289.626 1.0 42.10601  ? 521 LEU C O   521 LEU C O   1 
ATOM 18394 C CB  . LEU C 3 521 ? 222.768 -69.373 288.716 1.0 42.10601  ? 521 LEU C CB  521 LEU C CB  1 
ATOM 18395 C CG  . LEU C 3 521 ? 223.209 -69.509 290.170 1.0 42.10601  ? 521 LEU C CG  521 LEU C CG  1 
ATOM 18396 C CD1 . LEU C 3 521 ? 222.049 -69.650 291.117 1.0 42.10601  ? 521 LEU C CD1 521 LEU C CD1 1 
ATOM 18397 C CD2 . LEU C 3 521 ? 224.040 -70.743 290.268 1.0 42.10601  ? 521 LEU C CD2 521 LEU C CD2 1 
ATOM 18398 N N   . LEU C 3 522 ? 219.969 -67.907 288.006 1.0 42.19786  ? 522 LEU C N   522 LEU C N   1 
ATOM 18399 C CA  . LEU C 3 522 ? 218.620 -67.611 288.446 1.0 42.19786  ? 522 LEU C CA  522 LEU C CA  1 
ATOM 18400 C C   . LEU C 3 522 ? 218.239 -68.616 289.537 1.0 42.19786  ? 522 LEU C C   522 LEU C C   1 
ATOM 18401 O O   . LEU C 3 522 ? 219.006 -69.546 289.786 1.0 42.19786  ? 522 LEU C O   522 LEU C O   1 
ATOM 18402 C CB  . LEU C 3 522 ? 217.726 -67.643 287.206 1.0 42.19786  ? 522 LEU C CB  522 LEU C CB  1 
ATOM 18403 C CG  . LEU C 3 522 ? 218.119 -66.514 286.254 1.0 42.19786  ? 522 LEU C CG  522 LEU C CG  1 
ATOM 18404 C CD1 . LEU C 3 522 ? 217.415 -66.656 284.930 1.0 42.19786  ? 522 LEU C CD1 522 LEU C CD1 1 
ATOM 18405 C CD2 . LEU C 3 522 ? 217.839 -65.162 286.866 1.0 42.19786  ? 522 LEU C CD2 522 LEU C CD2 1 
ATOM 18406 N N   . PRO C 3 523 ? 217.103 -68.433 290.242 1.0 44.26298  ? 523 PRO C N   523 PRO C N   1 
ATOM 18407 C CA  . PRO C 3 523 ? 216.750 -69.364 291.329 1.0 44.26298  ? 523 PRO C CA  523 PRO C CA  1 
ATOM 18408 C C   . PRO C 3 523 ? 216.608 -70.822 290.916 1.0 44.26298  ? 523 PRO C C   523 PRO C C   1 
ATOM 18409 O O   . PRO C 3 523 ? 216.289 -71.142 289.771 1.0 44.26298  ? 523 PRO C O   523 PRO C O   1 
ATOM 18410 C CB  . PRO C 3 523 ? 215.417 -68.814 291.833 1.0 44.26298  ? 523 PRO C CB  523 PRO C CB  1 
ATOM 18411 C CG  . PRO C 3 523 ? 215.524 -67.396 291.615 1.0 44.26298  ? 523 PRO C CG  523 PRO C CG  1 
ATOM 18412 C CD  . PRO C 3 523 ? 216.258 -67.222 290.337 1.0 44.26298  ? 523 PRO C CD  523 PRO C CD  1 
ATOM 18413 N N   . GLY C 3 524 ? 216.872 -71.700 291.875 1.0 44.65555  ? 524 GLY C N   524 GLY C N   1 
ATOM 18414 C CA  . GLY C 3 524 ? 216.873 -73.128 291.640 1.0 44.65555  ? 524 GLY C CA  524 GLY C CA  1 
ATOM 18415 C C   . GLY C 3 524 ? 217.807 -73.813 292.613 1.0 44.65555  ? 524 GLY C C   524 GLY C C   1 
ATOM 18416 O O   . GLY C 3 524 ? 218.544 -73.169 293.362 1.0 44.65555  ? 524 GLY C O   524 GLY C O   1 
ATOM 18417 N N   . THR C 3 525 ? 217.765 -75.140 292.585 1.0 46.95231  ? 525 THR C N   525 THR C N   1 
ATOM 18418 C CA  . THR C 3 525 ? 218.598 -75.972 293.444 1.0 46.95231  ? 525 THR C CA  525 THR C CA  1 
ATOM 18419 C C   . THR C 3 525 ? 219.706 -76.598 292.612 1.0 46.95231  ? 525 THR C C   525 THR C C   1 
ATOM 18420 O O   . THR C 3 525 ? 219.430 -77.232 291.589 1.0 46.95231  ? 525 THR C O   525 THR C O   1 
ATOM 18421 C CB  . THR C 3 525 ? 217.773 -77.068 294.116 1.0 46.95231  ? 525 THR C CB  525 THR C CB  1 
ATOM 18422 O OG1 . THR C 3 525 ? 216.730 -76.472 294.896 1.0 46.95231  ? 525 THR C OG1 525 THR C OG1 1 
ATOM 18423 C CG2 . THR C 3 525 ? 218.649 -77.905 295.023 1.0 46.95231  ? 525 THR C CG2 525 THR C CG2 1 
ATOM 18424 N N   . TYR C 3 526 ? 220.949 -76.435 293.053 1.0 44.98304  ? 526 TYR C N   526 TYR C N   1 
ATOM 18425 C CA  . TYR C 3 526 ? 222.100 -76.832 292.262 1.0 44.98304  ? 526 TYR C CA  526 TYR C CA  1 
ATOM 18426 C C   . TYR C 3 526 ? 222.990 -77.790 293.037 1.0 44.98304  ? 526 TYR C C   526 TYR C C   1 
ATOM 18427 O O   . TYR C 3 526 ? 223.048 -77.767 294.268 1.0 44.98304  ? 526 TYR C O   526 TYR C O   1 
ATOM 18428 C CB  . TYR C 3 526 ? 222.899 -75.607 291.825 1.0 44.98304  ? 526 TYR C CB  526 TYR C CB  1 
ATOM 18429 C CG  . TYR C 3 526 ? 222.113 -74.729 290.896 1.0 44.98304  ? 526 TYR C CG  526 TYR C CG  1 
ATOM 18430 C CD1 . TYR C 3 526 ? 222.054 -75.000 289.541 1.0 44.98304  ? 526 TYR C CD1 526 TYR C CD1 1 
ATOM 18431 C CD2 . TYR C 3 526 ? 221.397 -73.650 291.380 1.0 44.98304  ? 526 TYR C CD2 526 TYR C CD2 1 
ATOM 18432 C CE1 . TYR C 3 526 ? 221.322 -74.205 288.693 1.0 44.98304  ? 526 TYR C CE1 526 TYR C CE1 1 
ATOM 18433 C CE2 . TYR C 3 526 ? 220.657 -72.860 290.541 1.0 44.98304  ? 526 TYR C CE2 526 TYR C CE2 1 
ATOM 18434 C CZ  . TYR C 3 526 ? 220.628 -73.135 289.200 1.0 44.98304  ? 526 TYR C CZ  526 TYR C CZ  1 
ATOM 18435 O OH  . TYR C 3 526 ? 219.889 -72.332 288.368 1.0 44.98304  ? 526 TYR C OH  526 TYR C OH  1 
ATOM 18436 N N   . ASN C 3 527 ? 223.690 -78.634 292.287 1.0 45.77297  ? 527 ASN C N   527 ASN C N   1 
ATOM 18437 C CA  . ASN C 3 527 ? 224.565 -79.667 292.830 1.0 45.77297  ? 527 ASN C CA  527 ASN C CA  1 
ATOM 18438 C C   . ASN C 3 527 ? 225.991 -79.314 292.438 1.0 45.77297  ? 527 ASN C C   527 ASN C C   1 
ATOM 18439 O O   . ASN C 3 527 ? 226.372 -79.468 291.275 1.0 45.77297  ? 527 ASN C O   527 ASN C O   1 
ATOM 18440 C CB  . ASN C 3 527 ? 224.176 -81.040 292.292 1.0 45.77297  ? 527 ASN C CB  527 ASN C CB  1 
ATOM 18441 C CG  . ASN C 3 527 ? 224.888 -82.169 292.998 1.0 45.77297  ? 527 ASN C CG  527 ASN C CG  1 
ATOM 18442 O OD1 . ASN C 3 527 ? 225.616 -81.957 293.964 1.0 45.77297  ? 527 ASN C OD1 527 ASN C OD1 1 
ATOM 18443 N ND2 . ASN C 3 527 ? 224.703 -83.380 292.499 1.0 45.77297  ? 527 ASN C ND2 527 ASN C ND2 1 
ATOM 18444 N N   . TYR C 3 528 ? 226.780 -78.864 293.406 1.0 45.4625   ? 528 TYR C N   528 TYR C N   1 
ATOM 18445 C CA  . TYR C 3 528 ? 228.118 -78.340 293.162 1.0 45.4625   ? 528 TYR C CA  528 TYR C CA  1 
ATOM 18446 C C   . TYR C 3 528 ? 229.124 -79.229 293.878 1.0 45.4625   ? 528 TYR C C   528 TYR C C   1 
ATOM 18447 O O   . TYR C 3 528 ? 229.117 -79.316 295.109 1.0 45.4625   ? 528 TYR C O   528 TYR C O   1 
ATOM 18448 C CB  . TYR C 3 528 ? 228.193 -76.888 293.620 1.0 45.4625   ? 528 TYR C CB  528 TYR C CB  1 
ATOM 18449 C CG  . TYR C 3 528 ? 229.502 -76.188 293.382 1.0 45.4625   ? 528 TYR C CG  528 TYR C CG  1 
ATOM 18450 C CD1 . TYR C 3 528 ? 229.964 -75.951 292.100 1.0 45.4625   ? 528 TYR C CD1 528 TYR C CD1 1 
ATOM 18451 C CD2 . TYR C 3 528 ? 230.229 -75.688 294.438 1.0 45.4625   ? 528 TYR C CD2 528 TYR C CD2 1 
ATOM 18452 C CE1 . TYR C 3 528 ? 231.143 -75.286 291.881 1.0 45.4625   ? 528 TYR C CE1 528 TYR C CE1 1 
ATOM 18453 C CE2 . TYR C 3 528 ? 231.401 -75.014 294.230 1.0 45.4625   ? 528 TYR C CE2 528 TYR C CE2 1 
ATOM 18454 C CZ  . TYR C 3 528 ? 231.856 -74.819 292.950 1.0 45.4625   ? 528 TYR C CZ  528 TYR C CZ  1 
ATOM 18455 O OH  . TYR C 3 528 ? 233.034 -74.148 292.742 1.0 45.4625   ? 528 TYR C OH  528 TYR C OH  1 
ATOM 18456 N N   . GLU C 3 529 ? 229.983 -79.887 293.104 1.0 49.77359  ? 529 GLU C N   529 GLU C N   1 
ATOM 18457 C CA  . GLU C 3 529 ? 230.837 -80.968 293.581 1.0 49.77359  ? 529 GLU C CA  529 GLU C CA  1 
ATOM 18458 C C   . GLU C 3 529 ? 232.213 -80.818 292.956 1.0 49.77359  ? 529 GLU C C   529 GLU C C   1 
ATOM 18459 O O   . GLU C 3 529 ? 232.315 -80.584 291.750 1.0 49.77359  ? 529 GLU C O   529 GLU C O   1 
ATOM 18460 C CB  . GLU C 3 529 ? 230.228 -82.324 293.210 1.0 49.77359  ? 529 GLU C CB  529 GLU C CB  1 
ATOM 18461 C CG  . GLU C 3 529 ? 230.997 -83.544 293.661 1.0 49.77359  ? 529 GLU C CG  529 GLU C CG  1 
ATOM 18462 C CD  . GLU C 3 529 ? 230.300 -84.836 293.262 1.0 49.77359  ? 529 GLU C CD  529 GLU C CD  1 
ATOM 18463 O OE1 . GLU C 3 529 ? 229.229 -84.761 292.625 1.0 49.77359  ? 529 GLU C OE1 529 GLU C OE1 1 
ATOM 18464 O OE2 . GLU C 3 529 ? 230.820 -85.925 293.576 1.0 49.77359  ? 529 GLU C OE2 529 GLU C OE2 1 
ATOM 18465 N N   . TRP C 3 530 ? 233.265 -80.965 293.760 1.0 50.98819  ? 530 TRP C N   530 TRP C N   1 
ATOM 18466 C CA  . TRP C 3 530 ? 234.604 -80.657 293.282 1.0 50.98819  ? 530 TRP C CA  530 TRP C CA  1 
ATOM 18467 C C   . TRP C 3 530 ? 235.638 -81.431 294.097 1.0 50.98819  ? 530 TRP C C   530 TRP C C   1 
ATOM 18468 O O   . TRP C 3 530 ? 235.424 -81.702 295.280 1.0 50.98819  ? 530 TRP C O   530 TRP C O   1 
ATOM 18469 C CB  . TRP C 3 530 ? 234.865 -79.154 293.366 1.0 50.98819  ? 530 TRP C CB  530 TRP C CB  1 
ATOM 18470 C CG  . TRP C 3 530 ? 236.114 -78.781 292.707 1.0 50.98819  ? 530 TRP C CG  530 TRP C CG  1 
ATOM 18471 C CD1 . TRP C 3 530 ? 237.317 -78.662 293.295 1.0 50.98819  ? 530 TRP C CD1 530 TRP C CD1 1 
ATOM 18472 C CD2 . TRP C 3 530 ? 236.301 -78.460 291.329 1.0 50.98819  ? 530 TRP C CD2 530 TRP C CD2 1 
ATOM 18473 N NE1 . TRP C 3 530 ? 238.263 -78.319 292.372 1.0 50.98819  ? 530 TRP C NE1 530 TRP C NE1 1 
ATOM 18474 C CE2 . TRP C 3 530 ? 237.660 -78.171 291.154 1.0 50.98819  ? 530 TRP C CE2 530 TRP C CE2 1 
ATOM 18475 C CE3 . TRP C 3 530 ? 235.451 -78.390 290.230 1.0 50.98819  ? 530 TRP C CE3 530 TRP C CE3 1 
ATOM 18476 C CZ2 . TRP C 3 530 ? 238.193 -77.819 289.925 1.0 50.98819  ? 530 TRP C CZ2 530 TRP C CZ2 1 
ATOM 18477 C CZ3 . TRP C 3 530 ? 235.978 -78.049 289.009 1.0 50.98819  ? 530 TRP C CZ3 530 TRP C CZ3 1 
ATOM 18478 C CH2 . TRP C 3 530 ? 237.337 -77.761 288.865 1.0 50.98819  ? 530 TRP C CH2 530 TRP C CH2 1 
ATOM 18479 N N   . TYR C 3 531 ? 236.766 -81.773 293.460 1.0 51.0249   ? 531 TYR C N   531 TYR C N   1 
ATOM 18480 C CA  . TYR C 3 531 ? 237.831 -82.562 294.076 1.0 51.0249   ? 531 TYR C CA  531 TYR C CA  1 
ATOM 18481 C C   . TYR C 3 531 ? 239.054 -81.698 294.373 1.0 51.0249   ? 531 TYR C C   531 TYR C C   1 
ATOM 18482 O O   . TYR C 3 531 ? 239.474 -80.889 293.544 1.0 51.0249   ? 531 TYR C O   531 TYR C O   1 
ATOM 18483 C CB  . TYR C 3 531 ? 238.297 -83.720 293.180 1.0 51.0249   ? 531 TYR C CB  531 TYR C CB  1 
ATOM 18484 C CG  . TYR C 3 531 ? 237.311 -84.828 292.871 1.0 51.0249   ? 531 TYR C CG  531 TYR C CG  1 
ATOM 18485 C CD1 . TYR C 3 531 ? 236.057 -84.873 293.447 1.0 51.0249   ? 531 TYR C CD1 531 TYR C CD1 1 
ATOM 18486 C CD2 . TYR C 3 531 ? 237.671 -85.863 292.030 1.0 51.0249   ? 531 TYR C CD2 531 TYR C CD2 1 
ATOM 18487 C CE1 . TYR C 3 531 ? 235.174 -85.894 293.167 1.0 51.0249   ? 531 TYR C CE1 531 TYR C CE1 1 
ATOM 18488 C CE2 . TYR C 3 531 ? 236.800 -86.890 291.744 1.0 51.0249   ? 531 TYR C CE2 531 TYR C CE2 1 
ATOM 18489 C CZ  . TYR C 3 531 ? 235.554 -86.900 292.315 1.0 51.0249   ? 531 TYR C CZ  531 TYR C CZ  1 
ATOM 18490 O OH  . TYR C 3 531 ? 234.686 -87.925 292.031 1.0 51.0249   ? 531 TYR C OH  531 TYR C OH  1 
ATOM 18491 N N   . PHE C 3 532 ? 239.664 -81.921 295.538 1.0 49.69954  ? 532 PHE C N   532 PHE C N   1 
ATOM 18492 C CA  . PHE C 3 532 ? 240.819 -81.159 296.000 1.0 49.69954  ? 532 PHE C CA  532 PHE C CA  1 
ATOM 18493 C C   . PHE C 3 532 ? 242.069 -82.029 296.014 1.0 49.69954  ? 532 PHE C C   532 PHE C C   1 
ATOM 18494 O O   . PHE C 3 532 ? 241.991 -83.237 296.229 1.0 49.69954  ? 532 PHE C O   532 PHE C O   1 
ATOM 18495 C CB  . PHE C 3 532 ? 240.564 -80.606 297.391 1.0 49.69954  ? 532 PHE C CB  532 PHE C CB  1 
ATOM 18496 C CG  . PHE C 3 532 ? 239.551 -79.515 297.421 1.0 49.69954  ? 532 PHE C CG  532 PHE C CG  1 
ATOM 18497 C CD1 . PHE C 3 532 ? 239.381 -78.684 296.339 1.0 49.69954  ? 532 PHE C CD1 532 PHE C CD1 1 
ATOM 18498 C CD2 . PHE C 3 532 ? 238.712 -79.372 298.498 1.0 49.69954  ? 532 PHE C CD2 532 PHE C CD2 1 
ATOM 18499 C CE1 . PHE C 3 532 ? 238.436 -77.684 296.361 1.0 49.69954  ? 532 PHE C CE1 532 PHE C CE1 1 
ATOM 18500 C CE2 . PHE C 3 532 ? 237.759 -78.383 298.517 1.0 49.69954  ? 532 PHE C CE2 532 PHE C CE2 1 
ATOM 18501 C CZ  . PHE C 3 532 ? 237.621 -77.544 297.446 1.0 49.69954  ? 532 PHE C CZ  532 PHE C CZ  1 
ATOM 18502 N N   . ARG C 3 533 ? 243.226 -81.406 295.802 1.0 51.42032  ? 533 ARG C N   533 ARG C N   1 
ATOM 18503 C CA  . ARG C 3 533 ? 244.477 -82.148 295.727 1.0 51.42032  ? 533 ARG C CA  533 ARG C CA  1 
ATOM 18504 C C   . ARG C 3 533 ? 245.096 -82.333 297.108 1.0 51.42032  ? 533 ARG C C   533 ARG C C   1 
ATOM 18505 O O   . ARG C 3 533 ? 244.804 -81.603 298.056 1.0 51.42032  ? 533 ARG C O   533 ARG C O   1 
ATOM 18506 C CB  . ARG C 3 533 ? 245.478 -81.447 294.804 1.0 51.42032  ? 533 ARG C CB  533 ARG C CB  1 
ATOM 18507 C CG  . ARG C 3 533 ? 245.102 -81.549 293.341 1.0 51.42032  ? 533 ARG C CG  533 ARG C CG  1 
ATOM 18508 C CD  . ARG C 3 533 ? 246.045 -80.869 292.366 1.0 51.42032  ? 533 ARG C CD  533 ARG C CD  1 
ATOM 18509 N NE  . ARG C 3 533 ? 245.526 -81.032 291.012 1.0 51.42032  ? 533 ARG C NE  533 ARG C NE  1 
ATOM 18510 C CZ  . ARG C 3 533 ? 245.993 -80.413 289.936 1.0 51.42032  ? 533 ARG C CZ  533 ARG C CZ  1 
ATOM 18511 N NH1 . ARG C 3 533 ? 246.992 -79.556 290.037 1.0 51.42032  ? 533 ARG C NH1 533 ARG C NH1 1 
ATOM 18512 N NH2 . ARG C 3 533 ? 245.440 -80.639 288.755 1.0 51.42032  ? 533 ARG C NH2 533 ARG C NH2 1 
ATOM 18513 N N   . LYS C 3 534 ? 245.969 -83.339 297.205 1.0 54.88424  ? 534 LYS C N   534 LYS C N   1 
ATOM 18514 C CA  . LYS C 3 534 ? 246.759 -83.593 298.404 1.0 54.88424  ? 534 LYS C CA  534 LYS C CA  1 
ATOM 18515 C C   . LYS C 3 534 ? 248.229 -83.825 298.095 1.0 54.88424  ? 534 LYS C C   534 LYS C C   1 
ATOM 18516 O O   . LYS C 3 534 ? 248.975 -84.232 298.990 1.0 54.88424  ? 534 LYS C O   534 LYS C O   1 
ATOM 18517 C CB  . LYS C 3 534 ? 246.233 -84.804 299.175 1.0 54.88424  ? 534 LYS C CB  534 LYS C CB  1 
ATOM 18518 C CG  . LYS C 3 534 ? 244.953 -84.597 299.928 1.0 54.88424  ? 534 LYS C CG  534 LYS C CG  1 
ATOM 18519 C CD  . LYS C 3 534 ? 244.635 -85.865 300.682 1.0 54.88424  ? 534 LYS C CD  534 LYS C CD  1 
ATOM 18520 C CE  . LYS C 3 534 ? 243.387 -85.729 301.506 1.0 54.88424  ? 534 LYS C CE  534 LYS C CE  1 
ATOM 18521 N NZ  . LYS C 3 534 ? 243.083 -87.006 302.186 1.0 54.88424  ? 534 LYS C NZ  534 LYS C NZ  1 
ATOM 18522 N N   . ASP C 3 535 ? 248.653 -83.607 296.861 1.0 58.3202   ? 535 ASP C N   535 ASP C N   1 
ATOM 18523 C CA  . ASP C 3 535 ? 250.037 -83.834 296.461 1.0 58.3202   ? 535 ASP C CA  535 ASP C CA  1 
ATOM 18524 C C   . ASP C 3 535 ? 250.924 -82.766 297.086 1.0 58.3202   ? 535 ASP C C   535 ASP C C   1 
ATOM 18525 O O   . ASP C 3 535 ? 250.703 -81.577 296.833 1.0 58.3202   ? 535 ASP C O   535 ASP C O   1 
ATOM 18526 C CB  . ASP C 3 535 ? 250.130 -83.790 294.938 1.0 58.3202   ? 535 ASP C CB  535 ASP C CB  1 
ATOM 18527 C CG  . ASP C 3 535 ? 251.454 -84.308 294.400 1.0 58.3202   ? 535 ASP C CG  535 ASP C CG  1 
ATOM 18528 O OD1 . ASP C 3 535 ? 252.301 -84.775 295.184 1.0 58.3202   ? 535 ASP C OD1 535 ASP C OD1 1 
ATOM 18529 O OD2 . ASP C 3 535 ? 251.652 -84.233 293.170 1.0 58.3202   ? 535 ASP C OD2 535 ASP C OD2 1 
ATOM 18530 N N   . PRO C 3 536 ? 251.918 -83.131 297.905 1.0 56.73019  ? 536 PRO C N   536 PRO C N   1 
ATOM 18531 C CA  . PRO C 3 536 ? 252.763 -82.103 298.532 1.0 56.73019  ? 536 PRO C CA  536 PRO C CA  1 
ATOM 18532 C C   . PRO C 3 536 ? 253.621 -81.339 297.543 1.0 56.73019  ? 536 PRO C C   536 PRO C C   1 
ATOM 18533 O O   . PRO C 3 536 ? 253.963 -80.182 297.807 1.0 56.73019  ? 536 PRO C O   536 PRO C O   1 
ATOM 18534 C CB  . PRO C 3 536 ? 253.625 -82.910 299.510 1.0 56.73019  ? 536 PRO C CB  536 PRO C CB  1 
ATOM 18535 C CG  . PRO C 3 536 ? 252.862 -84.164 299.746 1.0 56.73019  ? 536 PRO C CG  536 PRO C CG  1 
ATOM 18536 C CD  . PRO C 3 536 ? 252.199 -84.469 298.446 1.0 56.73019  ? 536 PRO C CD  536 PRO C CD  1 
ATOM 18537 N N   . ASN C 3 537 ? 253.971 -81.946 296.411 1.0 56.42239  ? 537 ASN C N   537 ASN C N   1 
ATOM 18538 C CA  . ASN C 3 537 ? 254.686 -81.214 295.374 1.0 56.42239  ? 537 ASN C CA  537 ASN C CA  1 
ATOM 18539 C C   . ASN C 3 537 ? 253.766 -80.243 294.653 1.0 56.42239  ? 537 ASN C C   537 ASN C C   1 
ATOM 18540 O O   . ASN C 3 537 ? 254.158 -79.111 294.354 1.0 56.42239  ? 537 ASN C O   537 ASN C O   1 
ATOM 18541 C CB  . ASN C 3 537 ? 255.298 -82.189 294.374 1.0 56.42239  ? 537 ASN C CB  537 ASN C CB  1 
ATOM 18542 C CG  . ASN C 3 537 ? 256.329 -83.083 294.997 1.0 56.42239  ? 537 ASN C CG  537 ASN C CG  1 
ATOM 18543 O OD1 . ASN C 3 537 ? 256.141 -84.293 295.091 1.0 56.42239  ? 537 ASN C OD1 537 ASN C OD1 1 
ATOM 18544 N ND2 . ASN C 3 537 ? 257.433 -82.495 295.432 1.0 56.42239  ? 537 ASN C ND2 537 ASN C ND2 1 
ATOM 18545 N N   . MET C 3 538 ? 252.540 -80.667 294.362 1.0 55.4342   ? 538 MET C N   538 MET C N   1 
ATOM 18546 C CA  . MET C 3 538 ? 251.652 -79.849 293.551 1.0 55.4342   ? 538 MET C CA  538 MET C CA  1 
ATOM 18547 C C   . MET C 3 538 ? 251.007 -78.736 294.366 1.0 55.4342   ? 538 MET C C   538 MET C C   1 
ATOM 18548 O O   . MET C 3 538 ? 250.868 -77.610 293.877 1.0 55.4342   ? 538 MET C O   538 MET C O   1 
ATOM 18549 C CB  . MET C 3 538 ? 250.583 -80.727 292.913 1.0 55.4342   ? 538 MET C CB  538 MET C CB  1 
ATOM 18550 C CG  . MET C 3 538 ? 249.703 -80.000 291.938 1.0 55.4342   ? 538 MET C CG  538 MET C CG  1 
ATOM 18551 S SD  . MET C 3 538 ? 250.613 -79.427 290.499 1.0 55.4342   ? 538 MET C SD  538 MET C SD  1 
ATOM 18552 C CE  . MET C 3 538 ? 250.947 -80.988 289.692 1.0 55.4342   ? 538 MET C CE  538 MET C CE  1 
ATOM 18553 N N   . VAL C 3 539 ? 250.604 -79.025 295.601 1.0 52.98506  ? 539 VAL C N   539 VAL C N   1 
ATOM 18554 C CA  . VAL C 3 539 ? 249.925 -78.022 296.414 1.0 52.98506  ? 539 VAL C CA  539 VAL C CA  1 
ATOM 18555 C C   . VAL C 3 539 ? 250.914 -76.990 296.942 1.0 52.98506  ? 539 VAL C C   539 VAL C C   1 
ATOM 18556 O O   . VAL C 3 539 ? 250.674 -75.780 296.863 1.0 52.98506  ? 539 VAL C O   539 VAL C O   1 
ATOM 18557 C CB  . VAL C 3 539 ? 249.155 -78.710 297.553 1.0 52.98506  ? 539 VAL C CB  539 VAL C CB  1 
ATOM 18558 C CG1 . VAL C 3 539 ? 248.549 -77.697 298.479 1.0 52.98506  ? 539 VAL C CG1 539 VAL C CG1 1 
ATOM 18559 C CG2 . VAL C 3 539 ? 248.067 -79.593 296.988 1.0 52.98506  ? 539 VAL C CG2 539 VAL C CG2 1 
ATOM 18560 N N   . LEU C 3 540 ? 252.056 -77.445 297.449 1.0 52.25804  ? 540 LEU C N   540 LEU C N   1 
ATOM 18561 C CA  . LEU C 3 540 ? 253.018 -76.592 298.136 1.0 52.25804  ? 540 LEU C CA  540 LEU C CA  1 
ATOM 18562 C C   . LEU C 3 540 ? 254.210 -76.301 297.233 1.0 52.25804  ? 540 LEU C C   540 LEU C C   1 
ATOM 18563 O O   . LEU C 3 540 ? 254.685 -77.189 296.522 1.0 52.25804  ? 540 LEU C O   540 LEU C O   1 
ATOM 18564 C CB  . LEU C 3 540 ? 253.505 -77.250 299.427 1.0 52.25804  ? 540 LEU C CB  540 LEU C CB  1 
ATOM 18565 C CG  . LEU C 3 540 ? 252.655 -77.233 300.699 1.0 52.25804  ? 540 LEU C CG  540 LEU C CG  1 
ATOM 18566 C CD1 . LEU C 3 540 ? 251.506 -78.208 300.645 1.0 52.25804  ? 540 LEU C CD1 540 LEU C CD1 1 
ATOM 18567 C CD2 . LEU C 3 540 ? 253.514 -77.548 301.892 1.0 52.25804  ? 540 LEU C CD2 540 LEU C CD2 1 
ATOM 18568 N N   . GLN C 3 541 ? 254.695 -75.063 297.277 1.0 51.41827  ? 541 GLN C N   541 GLN C N   1 
ATOM 18569 C CA  . GLN C 3 541 ? 255.857 -74.630 296.510 1.0 51.41827  ? 541 GLN C CA  541 GLN C CA  1 
ATOM 18570 C C   . GLN C 3 541 ? 257.024 -74.366 297.447 1.0 51.41827  ? 541 GLN C C   541 GLN C C   1 
ATOM 18571 O O   . GLN C 3 541 ? 256.872 -73.652 298.440 1.0 51.41827  ? 541 GLN C O   541 GLN C O   1 
ATOM 18572 C CB  . GLN C 3 541 ? 255.550 -73.359 295.721 1.0 51.41827  ? 541 GLN C CB  541 GLN C CB  1 
ATOM 18573 C CG  . GLN C 3 541 ? 256.719 -72.847 294.907 1.0 51.41827  ? 541 GLN C CG  541 GLN C CG  1 
ATOM 18574 C CD  . GLN C 3 541 ? 256.396 -71.583 294.149 1.0 51.41827  ? 541 GLN C CD  541 GLN C CD  1 
ATOM 18575 O OE1 . GLN C 3 541 ? 255.294 -71.050 294.250 1.0 51.41827  ? 541 GLN C OE1 541 GLN C OE1 1 
ATOM 18576 N NE2 . GLN C 3 541 ? 257.360 -71.090 293.386 1.0 51.41827  ? 541 GLN C NE2 541 GLN C NE2 1 
ATOM 18577 N N   . SER C 3 542 ? 258.186 -74.916 297.118 1.0 53.29116  ? 542 SER C N   542 SER C N   1 
ATOM 18578 C CA  . SER C 3 542 ? 259.399 -74.710 297.892 1.0 53.29116  ? 542 SER C CA  542 SER C CA  1 
ATOM 18579 C C   . SER C 3 542 ? 260.317 -73.728 297.178 1.0 53.29116  ? 542 SER C C   542 SER C C   1 
ATOM 18580 O O   . SER C 3 542 ? 260.051 -73.291 296.058 1.0 53.29116  ? 542 SER C O   542 SER C O   1 
ATOM 18581 C CB  . SER C 3 542 ? 260.125 -76.034 298.124 1.0 53.29116  ? 542 SER C CB  542 SER C CB  1 
ATOM 18582 O OG  . SER C 3 542 ? 260.607 -76.551 296.901 1.0 53.29116  ? 542 SER C OG  542 SER C OG  1 
ATOM 18583 N N   . THR C 3 543 ? 261.418 -73.386 297.846 1.0 53.59675  ? 543 THR C N   543 THR C N   1 
ATOM 18584 C CA  . THR C 3 543 ? 262.384 -72.458 297.267 1.0 53.59675  ? 543 THR C CA  543 THR C CA  1 
ATOM 18585 C C   . THR C 3 543 ? 263.409 -73.190 296.415 1.0 53.59675  ? 543 THR C C   543 THR C C   1 
ATOM 18586 O O   . THR C 3 543 ? 263.597 -72.865 295.241 1.0 53.59675  ? 543 THR C O   543 THR C O   1 
ATOM 18587 C CB  . THR C 3 543 ? 263.087 -71.666 298.368 1.0 53.59675  ? 543 THR C CB  543 THR C CB  1 
ATOM 18588 O OG1 . THR C 3 543 ? 262.126 -70.876 299.073 1.0 53.59675  ? 543 THR C OG1 543 THR C OG1 1 
ATOM 18589 C CG2 . THR C 3 543 ? 264.141 -70.760 297.778 1.0 53.59675  ? 543 THR C CG2 543 THR C CG2 1 
ATOM 18590 N N   . LEU C 3 544 ? 264.087 -74.178 296.999 1.0 55.67868  ? 544 LEU C N   544 LEU C N   1 
ATOM 18591 C CA  . LEU C 3 544 ? 265.134 -74.888 296.273 1.0 55.67868  ? 544 LEU C CA  544 LEU C CA  1 
ATOM 18592 C C   . LEU C 3 544 ? 264.562 -75.786 295.188 1.0 55.67868  ? 544 LEU C C   544 LEU C C   1 
ATOM 18593 O O   . LEU C 3 544 ? 265.203 -75.984 294.152 1.0 55.67868  ? 544 LEU C O   544 LEU C O   1 
ATOM 18594 C CB  . LEU C 3 544 ? 265.971 -75.714 297.241 1.0 55.67868  ? 544 LEU C CB  544 LEU C CB  1 
ATOM 18595 C CG  . LEU C 3 544 ? 266.745 -74.916 298.281 1.0 55.67868  ? 544 LEU C CG  544 LEU C CG  1 
ATOM 18596 C CD1 . LEU C 3 544 ? 267.432 -75.861 299.234 1.0 55.67868  ? 544 LEU C CD1 544 LEU C CD1 1 
ATOM 18597 C CD2 . LEU C 3 544 ? 267.750 -74.011 297.609 1.0 55.67868  ? 544 LEU C CD2 544 LEU C CD2 1 
ATOM 18598 N N   . GLY C 3 545 ? 263.370 -76.330 295.397 1.0 55.11551  ? 545 GLY C N   545 GLY C N   1 
ATOM 18599 C CA  . GLY C 3 545 ? 262.762 -77.188 294.403 1.0 55.11551  ? 545 GLY C CA  545 GLY C CA  1 
ATOM 18600 C C   . GLY C 3 545 ? 263.150 -78.640 294.575 1.0 55.11551  ? 545 GLY C C   545 GLY C C   1 
ATOM 18601 O O   . GLY C 3 545 ? 263.506 -79.321 293.610 1.0 55.11551  ? 545 GLY C O   545 GLY C O   1 
ATOM 18602 N N   . ASN C 3 546 ? 263.099 -79.116 295.811 1.0 58.7828   ? 546 ASN C N   546 ASN C N   1 
ATOM 18603 C CA  . ASN C 3 546 ? 263.372 -80.511 296.113 1.0 58.7828   ? 546 ASN C CA  546 ASN C CA  1 
ATOM 18604 C C   . ASN C 3 546 ? 262.076 -81.314 296.018 1.0 58.7828   ? 546 ASN C C   546 ASN C C   1 
ATOM 18605 O O   . ASN C 3 546 ? 261.056 -80.835 295.521 1.0 58.7828   ? 546 ASN C O   546 ASN C O   1 
ATOM 18606 C CB  . ASN C 3 546 ? 264.035 -80.623 297.480 1.0 58.7828   ? 546 ASN C CB  546 ASN C CB  1 
ATOM 18607 C CG  . ASN C 3 546 ? 263.278 -79.879 298.554 1.0 58.7828   ? 546 ASN C CG  546 ASN C CG  1 
ATOM 18608 O OD1 . ASN C 3 546 ? 262.259 -79.246 298.294 1.0 58.7828   ? 546 ASN C OD1 546 ASN C OD1 1 
ATOM 18609 N ND2 . ASN C 3 546 ? 263.769 -79.964 299.780 1.0 58.7828   ? 546 ASN C ND2 546 ASN C ND2 1 
ATOM 18610 N N   . ASP C 3 547 ? 262.103 -82.553 296.489 1.0 60.40859  ? 547 ASP C N   547 ASP C N   1 
ATOM 18611 C CA  . ASP C 3 547 ? 260.919 -83.399 296.536 1.0 60.40859  ? 547 ASP C CA  547 ASP C CA  1 
ATOM 18612 C C   . ASP C 3 547 ? 260.322 -83.302 297.934 1.0 60.40859  ? 547 ASP C C   547 ASP C C   1 
ATOM 18613 O O   . ASP C 3 547 ? 260.879 -83.847 298.892 1.0 60.40859  ? 547 ASP C O   547 ASP C O   1 
ATOM 18614 C CB  . ASP C 3 547 ? 261.262 -84.844 296.201 1.0 60.40859  ? 547 ASP C CB  547 ASP C CB  1 
ATOM 18615 C CG  . ASP C 3 547 ? 260.039 -85.686 295.987 1.0 60.40859  ? 547 ASP C CG  547 ASP C CG  1 
ATOM 18616 O OD1 . ASP C 3 547 ? 258.928 -85.136 295.908 1.0 60.40859  ? 547 ASP C OD1 547 ASP C OD1 1 
ATOM 18617 O OD2 . ASP C 3 547 ? 260.167 -86.921 295.955 1.0 60.40859  ? 547 ASP C OD2 547 ASP C OD2 1 
ATOM 18618 N N   . LEU C 3 548 ? 259.180 -82.621 298.045 1.0 57.99335  ? 548 LEU C N   548 LEU C N   1 
ATOM 18619 C CA  . LEU C 3 548 ? 258.451 -82.581 299.307 1.0 57.99335  ? 548 LEU C CA  548 LEU C CA  1 
ATOM 18620 C C   . LEU C 3 548 ? 257.792 -83.906 299.643 1.0 57.99335  ? 548 LEU C C   548 LEU C C   1 
ATOM 18621 O O   . LEU C 3 548 ? 257.457 -84.137 300.808 1.0 57.99335  ? 548 LEU C O   548 LEU C O   1 
ATOM 18622 C CB  . LEU C 3 548 ? 257.398 -81.474 299.287 1.0 57.99335  ? 548 LEU C CB  548 LEU C CB  1 
ATOM 18623 C CG  . LEU C 3 548 ? 257.818 -80.122 299.872 1.0 57.99335  ? 548 LEU C CG  548 LEU C CG  1 
ATOM 18624 C CD1 . LEU C 3 548 ? 258.848 -79.431 299.027 1.0 57.99335  ? 548 LEU C CD1 548 LEU C CD1 1 
ATOM 18625 C CD2 . LEU C 3 548 ? 256.619 -79.209 300.060 1.0 57.99335  ? 548 LEU C CD2 548 LEU C CD2 1 
ATOM 18626 N N   . ARG C 3 549 ? 257.595 -84.779 298.657 1.0 60.22829  ? 549 ARG C N   549 ARG C N   1 
ATOM 18627 C CA  . ARG C 3 549 ? 257.008 -86.080 298.945 1.0 60.22829  ? 549 ARG C CA  549 ARG C CA  1 
ATOM 18628 C C   . ARG C 3 549 ? 258.001 -86.984 299.661 1.0 60.22829  ? 549 ARG C C   549 ARG C C   1 
ATOM 18629 O O   . ARG C 3 549 ? 257.629 -87.715 300.585 1.0 60.22829  ? 549 ARG C O   549 ARG C O   1 
ATOM 18630 C CB  . ARG C 3 549 ? 256.530 -86.731 297.653 1.0 60.22829  ? 549 ARG C CB  549 ARG C CB  1 
ATOM 18631 C CG  . ARG C 3 549 ? 255.732 -87.994 297.867 1.0 60.22829  ? 549 ARG C CG  549 ARG C CG  1 
ATOM 18632 C CD  . ARG C 3 549 ? 255.305 -88.596 296.546 1.0 60.22829  ? 549 ARG C CD  549 ARG C CD  1 
ATOM 18633 N NE  . ARG C 3 549 ? 254.446 -87.702 295.777 1.0 60.22829  ? 549 ARG C NE  549 ARG C NE  1 
ATOM 18634 C CZ  . ARG C 3 549 ? 254.787 -87.162 294.612 1.0 60.22829  ? 549 ARG C CZ  549 ARG C CZ  1 
ATOM 18635 N NH1 . ARG C 3 549 ? 255.972 -87.421 294.082 1.0 60.22829  ? 549 ARG C NH1 549 ARG C NH1 1 
ATOM 18636 N NH2 . ARG C 3 549 ? 253.946 -86.362 293.975 1.0 60.22829  ? 549 ARG C NH2 549 ARG C NH2 1 
ATOM 18637 N N   . ALA C 3 550 ? 259.271 -86.941 299.256 1.0 62.083    ? 550 ALA C N   550 ALA C N   1 
ATOM 18638 C CA  . ALA C 3 550 ? 260.282 -87.768 299.902 1.0 62.083    ? 550 ALA C CA  550 ALA C CA  1 
ATOM 18639 C C   . ALA C 3 550 ? 260.802 -87.136 301.184 1.0 62.083    ? 550 ALA C C   550 ALA C C   1 
ATOM 18640 O O   . ALA C 3 550 ? 261.293 -87.851 302.064 1.0 62.083    ? 550 ALA C O   550 ALA C O   1 
ATOM 18641 C CB  . ALA C 3 550 ? 261.443 -88.029 298.944 1.0 62.083    ? 550 ALA C CB  550 ALA C CB  1 
ATOM 18642 N N   . ASP C 3 551 ? 260.718 -85.810 301.303 1.0 62.67213  ? 551 ASP C N   551 ASP C N   1 
ATOM 18643 C CA  . ASP C 3 551 ? 261.141 -85.159 302.538 1.0 62.67213  ? 551 ASP C CA  551 ASP C CA  1 
ATOM 18644 C C   . ASP C 3 551 ? 260.142 -85.401 303.659 1.0 62.67213  ? 551 ASP C C   551 ASP C C   1 
ATOM 18645 O O   . ASP C 3 551 ? 260.535 -85.615 304.810 1.0 62.67213  ? 551 ASP C O   551 ASP C O   1 
ATOM 18646 C CB  . ASP C 3 551 ? 261.341 -83.662 302.310 1.0 62.67213  ? 551 ASP C CB  551 ASP C CB  1 
ATOM 18647 C CG  . ASP C 3 551 ? 262.592 -83.359 301.515 1.0 62.67213  ? 551 ASP C CG  551 ASP C CG  1 
ATOM 18648 O OD1 . ASP C 3 551 ? 263.550 -84.153 301.592 1.0 62.67213  ? 551 ASP C OD1 551 ASP C OD1 1 
ATOM 18649 O OD2 . ASP C 3 551 ? 262.622 -82.325 300.817 1.0 62.67213  ? 551 ASP C OD2 551 ASP C OD2 1 
ATOM 18650 N N   . GLY C 3 552 ? 258.852 -85.395 303.345 1.0 58.99577  ? 552 GLY C N   552 GLY C N   1 
ATOM 18651 C CA  . GLY C 3 552 ? 257.861 -85.677 304.360 1.0 58.99577  ? 552 GLY C CA  552 GLY C CA  1 
ATOM 18652 C C   . GLY C 3 552 ? 256.855 -84.573 304.593 1.0 58.99577  ? 552 GLY C C   552 GLY C C   1 
ATOM 18653 O O   . GLY C 3 552 ? 256.343 -84.422 305.706 1.0 58.99577  ? 552 GLY C O   552 GLY C O   1 
ATOM 18654 N N   . ALA C 3 553 ? 256.566 -83.789 303.562 1.0 56.91293  ? 553 ALA C N   553 ALA C N   1 
ATOM 18655 C CA  . ALA C 3 553 ? 255.468 -82.846 303.659 1.0 56.91293  ? 553 ALA C CA  553 ALA C CA  1 
ATOM 18656 C C   . ALA C 3 553 ? 254.138 -83.586 303.602 1.0 56.91293  ? 553 ALA C C   553 ALA C C   1 
ATOM 18657 O O   . ALA C 3 553 ? 254.018 -84.662 303.012 1.0 56.91293  ? 553 ALA C O   553 ALA C O   1 
ATOM 18658 C CB  . ALA C 3 553 ? 255.543 -81.811 302.541 1.0 56.91293  ? 553 ALA C CB  553 ALA C CB  1 
ATOM 18659 N N   . SER C 3 554 ? 253.127 -82.993 304.229 1.0 56.76299  ? 554 SER C N   554 SER C N   1 
ATOM 18660 C CA  . SER C 3 554 ? 251.825 -83.630 304.340 1.0 56.76299  ? 554 SER C CA  554 SER C CA  1 
ATOM 18661 C C   . SER C 3 554 ? 250.771 -82.564 304.580 1.0 56.76299  ? 554 SER C C   554 SER C C   1 
ATOM 18662 O O   . SER C 3 554 ? 250.988 -81.642 305.367 1.0 56.76299  ? 554 SER C O   554 SER C O   1 
ATOM 18663 C CB  . SER C 3 554 ? 251.808 -84.657 305.477 1.0 56.76299  ? 554 SER C CB  554 SER C CB  1 
ATOM 18664 O OG  . SER C 3 554 ? 250.520 -85.223 305.638 1.0 56.76299  ? 554 SER C OG  554 SER C OG  1 
ATOM 18665 N N   . ILE C 3 555 ? 249.635 -82.699 303.904 1.0 54.63421  ? 555 ILE C N   555 ILE C N   1 
ATOM 18666 C CA  . ILE C 3 555 ? 248.504 -81.796 304.068 1.0 54.63421  ? 555 ILE C CA  555 ILE C CA  1 
ATOM 18667 C C   . ILE C 3 555 ? 247.250 -82.627 304.316 1.0 54.63421  ? 555 ILE C C   555 ILE C C   1 
ATOM 18668 O O   . ILE C 3 555 ? 247.047 -83.666 303.678 1.0 54.63421  ? 555 ILE C O   555 ILE C O   1 
ATOM 18669 C CB  . ILE C 3 555 ? 248.343 -80.856 302.851 1.0 54.63421  ? 555 ILE C CB  555 ILE C CB  1 
ATOM 18670 C CG1 . ILE C 3 555 ? 247.188 -79.875 303.051 1.0 54.63421  ? 555 ILE C CG1 555 ILE C CG1 1 
ATOM 18671 C CG2 . ILE C 3 555 ? 248.244 -81.611 301.532 1.0 54.63421  ? 555 ILE C CG2 555 ILE C CG2 1 
ATOM 18672 C CD1 . ILE C 3 555 ? 247.167 -78.766 302.036 1.0 54.63421  ? 555 ILE C CD1 555 ILE C CD1 1 
ATOM 18673 N N   . THR C 3 556 ? 246.451 -82.216 305.300 1.0 54.34541  ? 556 THR C N   556 THR C N   1 
ATOM 18674 C CA  . THR C 3 556 ? 245.173 -82.850 305.590 1.0 54.34541  ? 556 THR C CA  556 THR C CA  1 
ATOM 18675 C C   . THR C 3 556 ? 244.096 -81.783 305.672 1.0 54.34541  ? 556 THR C C   556 THR C C   1 
ATOM 18676 O O   . THR C 3 556 ? 244.352 -80.664 306.123 1.0 54.34541  ? 556 THR C O   556 THR C O   1 
ATOM 18677 C CB  . THR C 3 556 ? 245.191 -83.639 306.906 1.0 54.34541  ? 556 THR C CB  556 THR C CB  1 
ATOM 18678 O OG1 . THR C 3 556 ? 245.481 -82.751 307.988 1.0 54.34541  ? 556 THR C OG1 556 THR C OG1 1 
ATOM 18679 C CG2 . THR C 3 556 ? 246.223 -84.758 306.874 1.0 54.34541  ? 556 THR C CG2 556 THR C CG2 1 
ATOM 18680 N N   . TYR C 3 557 ? 242.893 -82.136 305.240 1.0 52.42824  ? 557 TYR C N   557 TYR C N   1 
ATOM 18681 C CA  . TYR C 3 557 ? 241.755 -81.233 305.270 1.0 52.42824  ? 557 TYR C CA  557 TYR C CA  1 
ATOM 18682 C C   . TYR C 3 557 ? 240.819 -81.645 306.396 1.0 52.42824  ? 557 TYR C C   557 TYR C C   1 
ATOM 18683 O O   . TYR C 3 557 ? 240.468 -82.823 306.515 1.0 52.42824  ? 557 TYR C O   557 TYR C O   1 
ATOM 18684 C CB  . TYR C 3 557 ? 241.017 -81.254 303.935 1.0 52.42824  ? 557 TYR C CB  557 TYR C CB  1 
ATOM 18685 C CG  . TYR C 3 557 ? 241.845 -80.758 302.781 1.0 52.42824  ? 557 TYR C CG  557 TYR C CG  1 
ATOM 18686 C CD1 . TYR C 3 557 ? 242.016 -79.405 302.563 1.0 52.42824  ? 557 TYR C CD1 557 TYR C CD1 1 
ATOM 18687 C CD2 . TYR C 3 557 ? 242.453 -81.645 301.907 1.0 52.42824  ? 557 TYR C CD2 557 TYR C CD2 1 
ATOM 18688 C CE1 . TYR C 3 557 ? 242.771 -78.943 301.508 1.0 52.42824  ? 557 TYR C CE1 557 TYR C CE1 1 
ATOM 18689 C CE2 . TYR C 3 557 ? 243.210 -81.192 300.848 1.0 52.42824  ? 557 TYR C CE2 557 TYR C CE2 1 
ATOM 18690 C CZ  . TYR C 3 557 ? 243.365 -79.841 300.656 1.0 52.42824  ? 557 TYR C CZ  557 TYR C CZ  1 
ATOM 18691 O OH  . TYR C 3 557 ? 244.118 -79.384 299.606 1.0 52.42824  ? 557 TYR C OH  557 TYR C OH  1 
ATOM 18692 N N   . THR C 3 558 ? 240.420 -80.680 307.223 1.0 51.98972  ? 558 THR C N   558 THR C N   1 
ATOM 18693 C CA  . THR C 3 558 ? 239.504 -80.947 308.326 1.0 51.98972  ? 558 THR C CA  558 THR C CA  1 
ATOM 18694 C C   . THR C 3 558 ? 238.063 -80.613 307.959 1.0 51.98972  ? 558 THR C C   558 THR C C   1 
ATOM 18695 O O   . THR C 3 558 ? 237.189 -81.482 308.020 1.0 51.98972  ? 558 THR C O   558 THR C O   1 
ATOM 18696 C CB  . THR C 3 558 ? 239.925 -80.165 309.571 1.0 51.98972  ? 558 THR C CB  558 THR C CB  1 
ATOM 18697 O OG1 . THR C 3 558 ? 239.924 -78.766 309.272 1.0 51.98972  ? 558 THR C OG1 558 THR C OG1 1 
ATOM 18698 C CG2 . THR C 3 558 ? 241.308 -80.586 310.018 1.0 51.98972  ? 558 THR C CG2 558 THR C CG2 1 
ATOM 18699 N N   . GLN C 3 559 ? 237.794 -79.368 307.578 1.0 53.73159  ? 559 GLN C N   559 GLN C N   1 
ATOM 18700 C CA  . GLN C 3 559 ? 236.462 -78.996 307.126 1.0 53.73159  ? 559 GLN C CA  559 GLN C CA  1 
ATOM 18701 C C   . GLN C 3 559 ? 236.565 -77.947 306.033 1.0 53.73159  ? 559 GLN C C   559 GLN C C   1 
ATOM 18702 O O   . GLN C 3 559 ? 237.478 -77.118 306.031 1.0 53.73159  ? 559 GLN C O   559 GLN C O   1 
ATOM 18703 C CB  . GLN C 3 559 ? 235.586 -78.489 308.276 1.0 53.73159  ? 559 GLN C CB  559 GLN C CB  1 
ATOM 18704 C CG  . GLN C 3 559 ? 236.061 -77.218 308.936 1.0 53.73159  ? 559 GLN C CG  559 GLN C CG  1 
ATOM 18705 C CD  . GLN C 3 559 ? 235.167 -76.799 310.077 1.0 53.73159  ? 559 GLN C CD  559 GLN C CD  1 
ATOM 18706 O OE1 . GLN C 3 559 ? 234.145 -77.430 310.346 1.0 53.73159  ? 559 GLN C OE1 559 GLN C OE1 1 
ATOM 18707 N NE2 . GLN C 3 559 ? 235.546 -75.730 310.757 1.0 53.73159  ? 559 GLN C NE2 559 GLN C NE2 1 
ATOM 18708 N N   . ILE C 3 560 ? 235.642 -78.024 305.078 1.0 48.70673  ? 560 ILE C N   560 ILE C N   1 
ATOM 18709 C CA  . ILE C 3 560 ? 235.634 -77.197 303.874 1.0 48.70673  ? 560 ILE C CA  560 ILE C CA  1 
ATOM 18710 C C   . ILE C 3 560 ? 234.187 -76.859 303.551 1.0 48.70673  ? 560 ILE C C   560 ILE C C   1 
ATOM 18711 O O   . ILE C 3 560 ? 233.357 -77.762 303.424 1.0 48.70673  ? 560 ILE C O   560 ILE C O   1 
ATOM 18712 C CB  . ILE C 3 560 ? 236.283 -77.926 302.680 1.0 48.70673  ? 560 ILE C CB  560 ILE C CB  1 
ATOM 18713 C CG1 . ILE C 3 560 ? 237.789 -78.090 302.874 1.0 48.70673  ? 560 ILE C CG1 560 ILE C CG1 1 
ATOM 18714 C CG2 . ILE C 3 560 ? 236.009 -77.191 301.397 1.0 48.70673  ? 560 ILE C CG2 560 ILE C CG2 1 
ATOM 18715 C CD1 . ILE C 3 560 ? 238.391 -79.136 302.022 1.0 48.70673  ? 560 ILE C CD1 560 ILE C CD1 1 
ATOM 18716 N N   . ASN C 3 561 ? 233.875 -75.572 303.410 1.0 45.75692  ? 561 ASN C N   561 ASN C N   1 
ATOM 18717 C CA  . ASN C 3 561 ? 232.508 -75.187 303.094 1.0 45.75692  ? 561 ASN C CA  561 ASN C CA  1 
ATOM 18718 C C   . ASN C 3 561 ? 232.473 -73.994 302.149 1.0 45.75692  ? 561 ASN C C   561 ASN C C   1 
ATOM 18719 O O   . ASN C 3 561 ? 233.361 -73.141 302.173 1.0 45.75692  ? 561 ASN C O   561 ASN C O   1 
ATOM 18720 C CB  . ASN C 3 561 ? 231.718 -74.920 304.377 1.0 45.75692  ? 561 ASN C CB  561 ASN C CB  1 
ATOM 18721 C CG  . ASN C 3 561 ? 232.465 -74.051 305.351 1.0 45.75692  ? 561 ASN C CG  561 ASN C CG  1 
ATOM 18722 O OD1 . ASN C 3 561 ? 233.534 -73.529 305.048 1.0 45.75692  ? 561 ASN C OD1 561 ASN C OD1 1 
ATOM 18723 N ND2 . ASN C 3 561 ? 231.922 -73.919 306.551 1.0 45.75692  ? 561 ASN C ND2 561 ASN C ND2 1 
ATOM 18724 N N   . LEU C 3 562 ? 231.438 -73.962 301.315 1.0 44.19439  ? 562 LEU C N   562 LEU C N   1 
ATOM 18725 C CA  . LEU C 3 562 ? 231.298 -72.997 300.235 1.0 44.19439  ? 562 LEU C CA  562 LEU C CA  1 
ATOM 18726 C C   . LEU C 3 562 ? 230.570 -71.752 300.712 1.0 44.19439  ? 562 LEU C C   562 LEU C C   1 
ATOM 18727 O O   . LEU C 3 562 ? 229.563 -71.840 301.417 1.0 44.19439  ? 562 LEU C O   562 LEU C O   1 
ATOM 18728 C CB  . LEU C 3 562 ? 230.518 -73.615 299.077 1.0 44.19439  ? 562 LEU C CB  562 LEU C CB  1 
ATOM 18729 C CG  . LEU C 3 562 ? 230.259 -72.772 297.830 1.0 44.19439  ? 562 LEU C CG  562 LEU C CG  1 
ATOM 18730 C CD1 . LEU C 3 562 ? 231.527 -72.570 297.027 1.0 44.19439  ? 562 LEU C CD1 562 LEU C CD1 1 
ATOM 18731 C CD2 . LEU C 3 562 ? 229.165 -73.392 296.998 1.0 44.19439  ? 562 LEU C CD2 562 LEU C CD2 1 
ATOM 18732 N N   . TYR C 3 563 ? 231.069 -70.594 300.307 1.0 45.4608   ? 563 TYR C N   563 TYR C N   1 
ATOM 18733 C CA  . TYR C 3 563 ? 230.424 -69.326 300.596 1.0 45.4608   ? 563 TYR C CA  563 TYR C CA  1 
ATOM 18734 C C   . TYR C 3 563 ? 229.934 -68.702 299.305 1.0 45.4608   ? 563 TYR C C   563 TYR C C   1 
ATOM 18735 O O   . TYR C 3 563 ? 230.600 -68.791 298.275 1.0 45.4608   ? 563 TYR C O   563 TYR C O   1 
ATOM 18736 C CB  . TYR C 3 563 ? 231.381 -68.369 301.291 1.0 45.4608   ? 563 TYR C CB  563 TYR C CB  1 
ATOM 18737 C CG  . TYR C 3 563 ? 231.711 -68.767 302.696 1.0 45.4608   ? 563 TYR C CG  563 TYR C CG  1 
ATOM 18738 C CD1 . TYR C 3 563 ? 230.884 -69.604 303.418 1.0 45.4608   ? 563 TYR C CD1 563 TYR C CD1 1 
ATOM 18739 C CD2 . TYR C 3 563 ? 232.869 -68.331 303.296 1.0 45.4608   ? 563 TYR C CD2 563 TYR C CD2 1 
ATOM 18740 C CE1 . TYR C 3 563 ? 231.203 -69.969 304.702 1.0 45.4608   ? 563 TYR C CE1 563 TYR C CE1 1 
ATOM 18741 C CE2 . TYR C 3 563 ? 233.183 -68.707 304.572 1.0 45.4608   ? 563 TYR C CE2 563 TYR C CE2 1 
ATOM 18742 C CZ  . TYR C 3 563 ? 232.349 -69.517 305.272 1.0 45.4608   ? 563 TYR C CZ  563 TYR C CZ  1 
ATOM 18743 O OH  . TYR C 3 563 ? 232.677 -69.882 306.556 1.0 45.4608   ? 563 TYR C OH  563 TYR C OH  1 
ATOM 18744 N N   . VAL C 3 564 ? 228.763 -68.084 299.358 1.0 47.69689  ? 564 VAL C N   564 VAL C N   1 
ATOM 18745 C CA  . VAL C 3 564 ? 228.221 -67.321 298.252 1.0 47.69689  ? 564 VAL C CA  564 VAL C CA  1 
ATOM 18746 C C   . VAL C 3 564 ? 227.833 -65.943 298.769 1.0 47.69689  ? 564 VAL C C   564 VAL C C   1 
ATOM 18747 O O   . VAL C 3 564 ? 228.077 -65.605 299.925 1.0 47.69689  ? 564 VAL C O   564 VAL C O   1 
ATOM 18748 C CB  . VAL C 3 564 ? 227.027 -68.024 297.583 1.0 47.69689  ? 564 VAL C CB  564 VAL C CB  1 
ATOM 18749 C CG1 . VAL C 3 564 ? 227.504 -69.218 296.794 1.0 47.69689  ? 564 VAL C CG1 564 VAL C CG1 1 
ATOM 18750 C CG2 . VAL C 3 564 ? 226.043 -68.469 298.634 1.0 47.69689  ? 564 VAL C CG2 564 VAL C CG2 1 
ATOM 18751 N N   . SER C 3 565 ? 227.242 -65.137 297.892 1.0 49.01306  ? 565 SER C N   565 SER C N   1 
ATOM 18752 C CA  . SER C 3 565 ? 226.813 -63.803 298.288 1.0 49.01306  ? 565 SER C CA  565 SER C CA  1 
ATOM 18753 C C   . SER C 3 565 ? 225.605 -63.413 297.455 1.0 49.01306  ? 565 SER C C   565 SER C C   1 
ATOM 18754 O O   . SER C 3 565 ? 225.704 -63.316 296.229 1.0 49.01306  ? 565 SER C O   565 SER C O   1 
ATOM 18755 C CB  . SER C 3 565 ? 227.944 -62.794 298.116 1.0 49.01306  ? 565 SER C CB  565 SER C CB  1 
ATOM 18756 O OG  . SER C 3 565 ? 227.560 -61.514 298.574 1.0 49.01306  ? 565 SER C OG  565 SER C OG  1 
ATOM 18757 N N   . PHE C 3 566 ? 224.475 -63.182 298.117 1.0 49.72581  ? 566 PHE C N   566 PHE C N   1 
ATOM 18758 C CA  . PHE C 3 566 ? 223.232 -62.824 297.447 1.0 49.72581  ? 566 PHE C CA  566 PHE C CA  1 
ATOM 18759 C C   . PHE C 3 566 ? 223.049 -61.312 297.452 1.0 49.72581  ? 566 PHE C C   566 PHE C C   1 
ATOM 18760 O O   . PHE C 3 566 ? 223.054 -60.693 298.518 1.0 49.72581  ? 566 PHE C O   566 PHE C O   1 
ATOM 18761 C CB  . PHE C 3 566 ? 222.045 -63.488 298.135 1.0 49.72581  ? 566 PHE C CB  566 PHE C CB  1 
ATOM 18762 C CG  . PHE C 3 566 ? 222.007 -64.956 297.940 1.0 49.72581  ? 566 PHE C CG  566 PHE C CG  1 
ATOM 18763 C CD1 . PHE C 3 566 ? 221.409 -65.498 296.824 1.0 49.72581  ? 566 PHE C CD1 566 PHE C CD1 1 
ATOM 18764 C CD2 . PHE C 3 566 ? 222.607 -65.793 298.842 1.0 49.72581  ? 566 PHE C CD2 566 PHE C CD2 1 
ATOM 18765 C CE1 . PHE C 3 566 ? 221.391 -66.857 296.624 1.0 49.72581  ? 566 PHE C CE1 566 PHE C CE1 1 
ATOM 18766 C CE2 . PHE C 3 566 ? 222.611 -67.144 298.651 1.0 49.72581  ? 566 PHE C CE2 566 PHE C CE2 1 
ATOM 18767 C CZ  . PHE C 3 566 ? 221.989 -67.673 297.547 1.0 49.72581  ? 566 PHE C CZ  566 PHE C CZ  1 
ATOM 18768 N N   . PHE C 3 567 ? 222.868 -60.725 296.269 1.0 51.26628  ? 567 PHE C N   567 PHE C N   1 
ATOM 18769 C CA  . PHE C 3 567 ? 222.597 -59.291 296.187 1.0 51.26628  ? 567 PHE C CA  567 PHE C CA  1 
ATOM 18770 C C   . PHE C 3 567 ? 221.147 -59.029 296.563 1.0 51.26628  ? 567 PHE C C   567 PHE C C   1 
ATOM 18771 O O   . PHE C 3 567 ? 220.244 -59.597 295.934 1.0 51.26628  ? 567 PHE C O   567 PHE C O   1 
ATOM 18772 C CB  . PHE C 3 567 ? 222.876 -58.746 294.793 1.0 51.26628  ? 567 PHE C CB  567 PHE C CB  1 
ATOM 18773 C CG  . PHE C 3 567 ? 222.635 -57.257 294.660 1.0 51.26628  ? 567 PHE C CG  567 PHE C CG  1 
ATOM 18774 C CD1 . PHE C 3 567 ? 223.530 -56.341 295.196 1.0 51.26628  ? 567 PHE C CD1 567 PHE C CD1 1 
ATOM 18775 C CD2 . PHE C 3 567 ? 221.527 -56.775 293.988 1.0 51.26628  ? 567 PHE C CD2 567 PHE C CD2 1 
ATOM 18776 C CE1 . PHE C 3 567 ? 223.312 -54.977 295.066 1.0 51.26628  ? 567 PHE C CE1 567 PHE C CE1 1 
ATOM 18777 C CE2 . PHE C 3 567 ? 221.305 -55.413 293.856 1.0 51.26628  ? 567 PHE C CE2 567 PHE C CE2 1 
ATOM 18778 C CZ  . PHE C 3 567 ? 222.197 -54.516 294.398 1.0 51.26628  ? 567 PHE C CZ  567 PHE C CZ  1 
ATOM 18779 N N   . PRO C 3 568 ? 220.878 -58.194 297.549 1.0 52.0699   ? 568 PRO C N   568 PRO C N   1 
ATOM 18780 C CA  . PRO C 3 568 ? 219.490 -57.947 297.971 1.0 52.0699   ? 568 PRO C CA  568 PRO C CA  1 
ATOM 18781 C C   . PRO C 3 568 ? 218.715 -57.066 296.995 1.0 52.0699   ? 568 PRO C C   568 PRO C C   1 
ATOM 18782 O O   . PRO C 3 568 ? 218.579 -55.859 297.140 1.0 52.0699   ? 568 PRO C O   568 PRO C O   1 
ATOM 18783 C CB  . PRO C 3 568 ? 219.671 -57.276 299.333 1.0 52.0699   ? 568 PRO C CB  568 PRO C CB  1 
ATOM 18784 C CG  . PRO C 3 568 ? 220.982 -56.602 299.243 1.0 52.0699   ? 568 PRO C CG  568 PRO C CG  1 
ATOM 18785 C CD  . PRO C 3 568 ? 221.847 -57.477 298.394 1.0 52.0699   ? 568 PRO C CD  568 PRO C CD  1 
ATOM 18786 N N   . MET C 3 569 ? 218.180 -57.694 295.957 1.0 53.53854  ? 569 MET C N   569 MET C N   1 
ATOM 18787 C CA  . MET C 3 569 ? 217.388 -56.988 294.965 1.0 53.53854  ? 569 MET C CA  569 MET C CA  1 
ATOM 18788 C C   . MET C 3 569 ? 215.922 -57.020 295.373 1.0 53.53854  ? 569 MET C C   569 MET C C   1 
ATOM 18789 O O   . MET C 3 569 ? 215.462 -57.995 295.970 1.0 53.53854  ? 569 MET C O   569 MET C O   1 
ATOM 18790 C CB  . MET C 3 569 ? 217.581 -57.623 293.588 1.0 53.53854  ? 569 MET C CB  569 MET C CB  1 
ATOM 18791 C CG  . MET C 3 569 ? 216.988 -56.842 292.432 1.0 53.53854  ? 569 MET C CG  569 MET C CG  1 
ATOM 18792 S SD  . MET C 3 569 ? 217.297 -57.629 290.847 1.0 53.53854  ? 569 MET C SD  569 MET C SD  1 
ATOM 18793 C CE  . MET C 3 569 ? 219.050 -57.324 290.677 1.0 53.53854  ? 569 MET C CE  569 MET C CE  1 
ATOM 18794 N N   . ASN C 3 570 ? 215.203 -55.934 295.082 1.0 54.0413   ? 570 ASN C N   570 ASN C N   1 
ATOM 18795 C CA  . ASN C 3 570 ? 213.768 -55.900 295.329 1.0 54.0413   ? 570 ASN C CA  570 ASN C CA  1 
ATOM 18796 C C   . ASN C 3 570 ? 213.070 -56.897 294.420 1.0 54.0413   ? 570 ASN C C   570 ASN C C   1 
ATOM 18797 O O   . ASN C 3 570 ? 213.477 -57.102 293.275 1.0 54.0413   ? 570 ASN C O   570 ASN C O   1 
ATOM 18798 C CB  . ASN C 3 570 ? 213.202 -54.500 295.087 1.0 54.0413   ? 570 ASN C CB  570 ASN C CB  1 
ATOM 18799 C CG  . ASN C 3 570 ? 211.791 -54.335 295.637 1.0 54.0413   ? 570 ASN C CG  570 ASN C CG  1 
ATOM 18800 O OD1 . ASN C 3 570 ? 211.244 -55.240 296.265 1.0 54.0413   ? 570 ASN C OD1 570 ASN C OD1 1 
ATOM 18801 N ND2 . ASN C 3 570 ? 211.194 -53.180 295.391 1.0 54.0413   ? 570 ASN C ND2 570 ASN C ND2 1 
ATOM 18802 N N   . TYR C 3 571 ? 212.000 -57.505 294.933 1.0 52.17014  ? 571 TYR C N   571 TYR C N   1 
ATOM 18803 C CA  . TYR C 3 571 ? 211.411 -58.653 294.254 1.0 52.17014  ? 571 TYR C CA  571 TYR C CA  1 
ATOM 18804 C C   . TYR C 3 571 ? 210.628 -58.235 293.015 1.0 52.17014  ? 571 TYR C C   571 TYR C C   1 
ATOM 18805 O O   . TYR C 3 571 ? 210.421 -59.052 292.113 1.0 52.17014  ? 571 TYR C O   571 TYR C O   1 
ATOM 18806 C CB  . TYR C 3 571 ? 210.511 -59.436 295.210 1.0 52.17014  ? 571 TYR C CB  571 TYR C CB  1 
ATOM 18807 C CG  . TYR C 3 571 ? 211.219 -60.144 296.354 1.0 52.17014  ? 571 TYR C CG  571 TYR C CG  1 
ATOM 18808 C CD1 . TYR C 3 571 ? 212.604 -60.265 296.392 1.0 52.17014  ? 571 TYR C CD1 571 TYR C CD1 1 
ATOM 18809 C CD2 . TYR C 3 571 ? 210.490 -60.717 297.386 1.0 52.17014  ? 571 TYR C CD2 571 TYR C CD2 1 
ATOM 18810 C CE1 . TYR C 3 571 ? 213.238 -60.914 297.437 1.0 52.17014  ? 571 TYR C CE1 571 TYR C CE1 1 
ATOM 18811 C CE2 . TYR C 3 571 ? 211.116 -61.372 298.431 1.0 52.17014  ? 571 TYR C CE2 571 TYR C CE2 1 
ATOM 18812 C CZ  . TYR C 3 571 ? 212.488 -61.467 298.450 1.0 52.17014  ? 571 TYR C CZ  571 TYR C CZ  1 
ATOM 18813 O OH  . TYR C 3 571 ? 213.113 -62.117 299.487 1.0 52.17014  ? 571 TYR C OH  571 TYR C OH  1 
ATOM 18814 N N   . ASP C 3 572 ? 210.192 -56.978 292.948 1.0 53.94852  ? 572 ASP C N   572 ASP C N   1 
ATOM 18815 C CA  . ASP C 3 572 ? 209.562 -56.490 291.728 1.0 53.94852  ? 572 ASP C CA  572 ASP C CA  1 
ATOM 18816 C C   . ASP C 3 572 ? 210.593 -56.291 290.627 1.0 53.94852  ? 572 ASP C C   572 ASP C C   1 
ATOM 18817 O O   . ASP C 3 572 ? 210.347 -56.638 289.468 1.0 53.94852  ? 572 ASP C O   572 ASP C O   1 
ATOM 18818 C CB  . ASP C 3 572 ? 208.815 -55.189 292.005 1.0 53.94852  ? 572 ASP C CB  572 ASP C CB  1 
ATOM 18819 C CG  . ASP C 3 572 ? 207.588 -55.395 292.864 1.0 53.94852  ? 572 ASP C CG  572 ASP C CG  1 
ATOM 18820 O OD1 . ASP C 3 572 ? 206.987 -56.487 292.791 1.0 53.94852  ? 572 ASP C OD1 572 ASP C OD1 1 
ATOM 18821 O OD2 . ASP C 3 572 ? 207.224 -54.467 293.614 1.0 53.94852  ? 572 ASP C OD2 572 ASP C OD2 1 
ATOM 18822 N N   . THR C 3 573 ? 211.752 -55.731 290.973 1.0 50.81356  ? 573 THR C N   573 THR C N   1 
ATOM 18823 C CA  . THR C 3 573 ? 212.842 -55.607 290.013 1.0 50.81356  ? 573 THR C CA  573 THR C CA  1 
ATOM 18824 C C   . THR C 3 573 ? 213.427 -56.974 289.682 1.0 50.81356  ? 573 THR C C   573 THR C C   1 
ATOM 18825 O O   . THR C 3 573 ? 213.839 -57.224 288.543 1.0 50.81356  ? 573 THR C O   573 THR C O   1 
ATOM 18826 C CB  . THR C 3 573 ? 213.905 -54.669 290.581 1.0 50.81356  ? 573 THR C CB  573 THR C CB  1 
ATOM 18827 O OG1 . THR C 3 573 ? 213.293 -53.419 290.914 1.0 50.81356  ? 573 THR C OG1 573 THR C OG1 1 
ATOM 18828 C CG2 . THR C 3 573 ? 215.001 -54.402 289.580 1.0 50.81356  ? 573 THR C CG2 573 THR C CG2 1 
ATOM 18829 N N   . GLN C 3 574 ? 213.431 -57.881 290.662 1.0 49.77113  ? 574 GLN C N   574 GLN C N   1 
ATOM 18830 C CA  . GLN C 3 574 ? 213.922 -59.239 290.457 1.0 49.77113  ? 574 GLN C CA  574 GLN C CA  1 
ATOM 18831 C C   . GLN C 3 574 ? 213.051 -60.003 289.472 1.0 49.77113  ? 574 GLN C C   574 GLN C C   1 
ATOM 18832 O O   . GLN C 3 574 ? 213.570 -60.777 288.663 1.0 49.77113  ? 574 GLN C O   574 GLN C O   1 
ATOM 18833 C CB  . GLN C 3 574 ? 213.966 -59.966 291.803 1.0 49.77113  ? 574 GLN C CB  574 GLN C CB  1 
ATOM 18834 C CG  . GLN C 3 574 ? 214.788 -61.239 291.901 1.0 49.77113  ? 574 GLN C CG  574 GLN C CG  1 
ATOM 18835 C CD  . GLN C 3 574 ? 214.150 -62.446 291.253 1.0 49.77113  ? 574 GLN C CD  574 GLN C CD  1 
ATOM 18836 O OE1 . GLN C 3 574 ? 214.802 -63.194 290.533 1.0 49.77113  ? 574 GLN C OE1 574 GLN C OE1 1 
ATOM 18837 N NE2 . GLN C 3 574 ? 212.850 -62.603 291.455 1.0 49.77113  ? 574 GLN C NE2 574 GLN C NE2 1 
ATOM 18838 N N   . SER C 3 575 ? 211.733 -59.808 289.530 1.0 49.6008   ? 575 SER C N   575 SER C N   1 
ATOM 18839 C CA  . SER C 3 575 ? 210.820 -60.562 288.682 1.0 49.6008   ? 575 SER C CA  575 SER C CA  1 
ATOM 18840 C C   . SER C 3 575 ? 210.905 -60.147 287.221 1.0 49.6008   ? 575 SER C C   575 SER C C   1 
ATOM 18841 O O   . SER C 3 575 ? 210.470 -60.907 286.352 1.0 49.6008   ? 575 SER C O   575 SER C O   1 
ATOM 18842 C CB  . SER C 3 575 ? 209.388 -60.400 289.187 1.0 49.6008   ? 575 SER C CB  575 SER C CB  1 
ATOM 18843 O OG  . SER C 3 575 ? 208.471 -61.089 288.361 1.0 49.6008   ? 575 SER C OG  575 SER C OG  1 
ATOM 18844 N N   . GLU C 3 576 ? 211.444 -58.966 286.931 1.0 48.41839  ? 576 GLU C N   576 GLU C N   1 
ATOM 18845 C CA  . GLU C 3 576 ? 211.693 -58.566 285.554 1.0 48.41839  ? 576 GLU C CA  576 GLU C CA  1 
ATOM 18846 C C   . GLU C 3 576 ? 213.058 -59.032 285.068 1.0 48.41839  ? 576 GLU C C   576 GLU C C   1 
ATOM 18847 O O   . GLU C 3 576 ? 213.185 -59.465 283.920 1.0 48.41839  ? 576 GLU C O   576 GLU C O   1 
ATOM 18848 C CB  . GLU C 3 576 ? 211.579 -57.048 285.414 1.0 48.41839  ? 576 GLU C CB  576 GLU C CB  1 
ATOM 18849 C CG  . GLU C 3 576 ? 210.177 -56.511 285.639 1.0 48.41839  ? 576 GLU C CG  576 GLU C CG  1 
ATOM 18850 C CD  . GLU C 3 576 ? 210.103 -55.007 285.490 1.0 48.41839  ? 576 GLU C CD  576 GLU C CD  1 
ATOM 18851 O OE1 . GLU C 3 576 ? 211.167 -54.375 285.321 1.0 48.41839  ? 576 GLU C OE1 576 GLU C OE1 1 
ATOM 18852 O OE2 . GLU C 3 576 ? 208.984 -54.455 285.545 1.0 48.41839  ? 576 GLU C OE2 576 GLU C OE2 1 
ATOM 18853 N N   . LEU C 3 577 ? 214.077 -58.966 285.929 1.0 44.66898  ? 577 LEU C N   577 LEU C N   1 
ATOM 18854 C CA  . LEU C 3 577 ? 215.419 -59.388 285.538 1.0 44.66898  ? 577 LEU C CA  577 LEU C CA  1 
ATOM 18855 C C   . LEU C 3 577 ? 215.503 -60.900 285.385 1.0 44.66898  ? 577 LEU C C   577 LEU C C   1 
ATOM 18856 O O   . LEU C 3 577 ? 216.258 -61.398 284.544 1.0 44.66898  ? 577 LEU C O   577 LEU C O   1 
ATOM 18857 C CB  . LEU C 3 577 ? 216.440 -58.878 286.559 1.0 44.66898  ? 577 LEU C CB  577 LEU C CB  1 
ATOM 18858 C CG  . LEU C 3 577 ? 217.958 -59.018 286.362 1.0 44.66898  ? 577 LEU C CG  577 LEU C CG  1 
ATOM 18859 C CD1 . LEU C 3 577 ? 218.552 -60.314 286.903 1.0 44.66898  ? 577 LEU C CD1 577 LEU C CD1 1 
ATOM 18860 C CD2 . LEU C 3 577 ? 218.307 -58.868 284.887 1.0 44.66898  ? 577 LEU C CD2 577 LEU C CD2 1 
ATOM 18861 N N   . GLU C 3 578 ? 214.764 -61.645 286.203 1.0 44.87601  ? 578 GLU C N   578 GLU C N   1 
ATOM 18862 C CA  . GLU C 3 578 ? 214.743 -63.093 286.047 1.0 44.87601  ? 578 GLU C CA  578 GLU C CA  1 
ATOM 18863 C C   . GLU C 3 578 ? 214.027 -63.493 284.769 1.0 44.87601  ? 578 GLU C C   578 GLU C C   1 
ATOM 18864 O O   . GLU C 3 578 ? 214.497 -64.368 284.038 1.0 44.87601  ? 578 GLU C O   578 GLU C O   1 
ATOM 18865 C CB  . GLU C 3 578 ? 214.074 -63.745 287.253 1.0 44.87601  ? 578 GLU C CB  578 GLU C CB  1 
ATOM 18866 C CG  . GLU C 3 578 ? 214.015 -65.254 287.178 1.0 44.87601  ? 578 GLU C CG  578 GLU C CG  1 
ATOM 18867 C CD  . GLU C 3 578 ? 213.352 -65.882 288.385 1.0 44.87601  ? 578 GLU C CD  578 GLU C CD  1 
ATOM 18868 O OE1 . GLU C 3 578 ? 212.933 -65.138 289.297 1.0 44.87601  ? 578 GLU C OE1 578 GLU C OE1 1 
ATOM 18869 O OE2 . GLU C 3 578 ? 213.243 -67.124 288.416 1.0 44.87601  ? 578 GLU C OE2 578 GLU C OE2 1 
ATOM 18870 N N   . LEU C 3 579 ? 212.907 -62.837 284.471 1.0 41.13181  ? 579 LEU C N   579 LEU C N   1 
ATOM 18871 C CA  . LEU C 3 579 ? 212.072 -63.207 283.337 1.0 41.13181  ? 579 LEU C CA  579 LEU C CA  1 
ATOM 18872 C C   . LEU C 3 579 ? 212.738 -62.912 282.001 1.0 41.13181  ? 579 LEU C C   579 LEU C C   1 
ATOM 18873 O O   . LEU C 3 579 ? 212.445 -63.590 281.013 1.0 41.13181  ? 579 LEU C O   579 LEU C O   1 
ATOM 18874 C CB  . LEU C 3 579 ? 210.739 -62.475 283.448 1.0 41.13181  ? 579 LEU C CB  579 LEU C CB  1 
ATOM 18875 C CG  . LEU C 3 579 ? 209.608 -62.805 282.490 1.0 41.13181  ? 579 LEU C CG  579 LEU C CG  1 
ATOM 18876 C CD1 . LEU C 3 579 ? 209.213 -64.248 282.672 1.0 41.13181  ? 579 LEU C CD1 579 LEU C CD1 1 
ATOM 18877 C CD2 . LEU C 3 579 ? 208.439 -61.888 282.766 1.0 41.13181  ? 579 LEU C CD2 579 LEU C CD2 1 
ATOM 18878 N N   . MET C 3 580 ? 213.647 -61.939 281.954 1.0 41.17731  ? 580 MET C N   580 MET C N   1 
ATOM 18879 C CA  . MET C 3 580 ? 214.368 -61.652 280.721 1.0 41.17731  ? 580 MET C CA  580 MET C CA  1 
ATOM 18880 C C   . MET C 3 580 ? 215.521 -62.615 280.494 1.0 41.17731  ? 580 MET C C   580 MET C C   1 
ATOM 18881 O O   . MET C 3 580 ? 215.857 -62.905 279.343 1.0 41.17731  ? 580 MET C O   580 MET C O   1 
ATOM 18882 C CB  . MET C 3 580 ? 214.893 -60.220 280.741 1.0 41.17731  ? 580 MET C CB  580 MET C CB  1 
ATOM 18883 C CG  . MET C 3 580 ? 213.810 -59.180 280.717 1.0 41.17731  ? 580 MET C CG  580 MET C CG  1 
ATOM 18884 S SD  . MET C 3 580 ? 214.468 -57.524 280.914 1.0 41.17731  ? 580 MET C SD  580 MET C SD  1 
ATOM 18885 C CE  . MET C 3 580 ? 212.955 -56.590 281.102 1.0 41.17731  ? 580 MET C CE  580 MET C CE  1 
ATOM 18886 N N   . LEU C 3 581 ? 216.139 -63.113 281.562 1.0 39.6362   ? 581 LEU C N   581 LEU C N   1 
ATOM 18887 C CA  . LEU C 3 581 ? 217.280 -64.007 281.433 1.0 39.6362   ? 581 LEU C CA  581 LEU C CA  1 
ATOM 18888 C C   . LEU C 3 581 ? 216.884 -65.468 281.292 1.0 39.6362   ? 581 LEU C C   581 LEU C C   1 
ATOM 18889 O O   . LEU C 3 581 ? 217.751 -66.301 281.018 1.0 39.6362   ? 581 LEU C O   581 LEU C O   1 
ATOM 18890 C CB  . LEU C 3 581 ? 218.216 -63.852 282.631 1.0 39.6362   ? 581 LEU C CB  581 LEU C CB  1 
ATOM 18891 C CG  . LEU C 3 581 ? 218.915 -62.503 282.765 1.0 39.6362   ? 581 LEU C CG  581 LEU C CG  1 
ATOM 18892 C CD1 . LEU C 3 581 ? 219.723 -62.458 284.041 1.0 39.6362   ? 581 LEU C CD1 581 LEU C CD1 1 
ATOM 18893 C CD2 . LEU C 3 581 ? 219.795 -62.238 281.563 1.0 39.6362   ? 581 LEU C CD2 581 LEU C CD2 1 
ATOM 18894 N N   . ARG C 3 582 ? 215.609 -65.805 281.481 1.0 40.27191  ? 582 ARG C N   582 ARG C N   1 
ATOM 18895 C CA  . ARG C 3 582 ? 215.146 -67.142 281.145 1.0 40.27191  ? 582 ARG C CA  582 ARG C CA  1 
ATOM 18896 C C   . ARG C 3 582 ? 215.037 -67.351 279.643 1.0 40.27191  ? 582 ARG C C   582 ARG C C   1 
ATOM 18897 O O   . ARG C 3 582 ? 215.044 -68.498 279.189 1.0 40.27191  ? 582 ARG C O   582 ARG C O   1 
ATOM 18898 C CB  . ARG C 3 582 ? 213.778 -67.425 281.771 1.0 40.27191  ? 582 ARG C CB  582 ARG C CB  1 
ATOM 18899 C CG  . ARG C 3 582 ? 213.710 -67.406 283.287 1.0 40.27191  ? 582 ARG C CG  582 ARG C CG  1 
ATOM 18900 C CD  . ARG C 3 582 ? 214.417 -68.573 283.920 1.0 40.27191  ? 582 ARG C CD  582 ARG C CD  1 
ATOM 18901 N NE  . ARG C 3 582 ? 214.233 -68.596 285.365 1.0 40.27191  ? 582 ARG C NE  582 ARG C NE  1 
ATOM 18902 C CZ  . ARG C 3 582 ? 214.833 -69.458 286.175 1.0 40.27191  ? 582 ARG C CZ  582 ARG C CZ  1 
ATOM 18903 N NH1 . ARG C 3 582 ? 215.665 -70.360 285.684 1.0 40.27191  ? 582 ARG C NH1 582 ARG C NH1 1 
ATOM 18904 N NH2 . ARG C 3 582 ? 214.607 -69.413 287.476 1.0 40.27191  ? 582 ARG C NH2 582 ARG C NH2 1 
ATOM 18905 N N   . ASN C 3 583 ? 214.925 -66.276 278.870 1.0 40.00319  ? 583 ASN C N   583 ASN C N   1 
ATOM 18906 C CA  . ASN C 3 583 ? 214.721 -66.381 277.435 1.0 40.00319  ? 583 ASN C CA  583 ASN C CA  1 
ATOM 18907 C C   . ASN C 3 583 ? 216.024 -66.770 276.749 1.0 40.00319  ? 583 ASN C C   583 ASN C C   1 
ATOM 18908 O O   . ASN C 3 583 ? 217.117 -66.442 277.213 1.0 40.00319  ? 583 ASN C O   583 ASN C O   1 
ATOM 18909 C CB  . ASN C 3 583 ? 214.199 -65.057 276.879 1.0 40.00319  ? 583 ASN C CB  583 ASN C CB  1 
ATOM 18910 C CG  . ASN C 3 583 ? 213.591 -65.200 275.503 1.0 40.00319  ? 583 ASN C CG  583 ASN C CG  1 
ATOM 18911 O OD1 . ASN C 3 583 ? 213.543 -66.292 274.942 1.0 40.00319  ? 583 ASN C OD1 583 ASN C OD1 1 
ATOM 18912 N ND2 . ASN C 3 583 ? 213.114 -64.094 274.952 1.0 40.00319  ? 583 ASN C ND2 583 ASN C ND2 1 
ATOM 18913 N N   . ALA C 3 584 ? 215.898 -67.487 275.631 1.0 40.34239  ? 584 ALA C N   584 ALA C N   1 
ATOM 18914 C CA  . ALA C 3 584 ? 217.072 -68.026 274.957 1.0 40.34239  ? 584 ALA C CA  584 ALA C CA  1 
ATOM 18915 C C   . ALA C 3 584 ? 217.853 -66.967 274.199 1.0 40.34239  ? 584 ALA C C   584 ALA C C   1 
ATOM 18916 O O   . ALA C 3 584 ? 219.035 -67.177 273.915 1.0 40.34239  ? 584 ALA C O   584 ALA C O   1 
ATOM 18917 C CB  . ALA C 3 584 ? 216.667 -69.144 274.000 1.0 40.34239  ? 584 ALA C CB  584 ALA C CB  1 
ATOM 18918 N N   . THR C 3 585 ? 217.231 -65.842 273.861 1.0 39.97588  ? 585 THR C N   585 THR C N   1 
ATOM 18919 C CA  . THR C 3 585 ? 217.958 -64.769 273.199 1.0 39.97588  ? 585 THR C CA  585 THR C CA  1 
ATOM 18920 C C   . THR C 3 585 ? 218.829 -63.972 274.158 1.0 39.97588  ? 585 THR C C   585 THR C C   1 
ATOM 18921 O O   . THR C 3 585 ? 219.671 -63.195 273.701 1.0 39.97588  ? 585 THR C O   585 THR C O   1 
ATOM 18922 C CB  . THR C 3 585 ? 216.991 -63.824 272.485 1.0 39.97588  ? 585 THR C CB  585 THR C CB  1 
ATOM 18923 O OG1 . THR C 3 585 ? 217.736 -62.876 271.714 1.0 39.97588  ? 585 THR C OG1 585 THR C OG1 1 
ATOM 18924 C CG2 . THR C 3 585 ? 216.130 -63.078 273.484 1.0 39.97588  ? 585 THR C CG2 585 THR C CG2 1 
ATOM 18925 N N   . ASN C 3 586 ? 218.651 -64.149 275.465 1.0 39.56469  ? 586 ASN C N   586 ASN C N   1 
ATOM 18926 C CA  . ASN C 3 586 ? 219.454 -63.480 276.476 1.0 39.56469  ? 586 ASN C CA  586 ASN C CA  1 
ATOM 18927 C C   . ASN C 3 586 ? 220.331 -64.464 277.236 1.0 39.56469  ? 586 ASN C C   586 ASN C C   1 
ATOM 18928 O O   . ASN C 3 586 ? 220.626 -64.258 278.414 1.0 39.56469  ? 586 ASN C O   586 ASN C O   1 
ATOM 18929 C CB  . ASN C 3 586 ? 218.557 -62.720 277.443 1.0 39.56469  ? 586 ASN C CB  586 ASN C CB  1 
ATOM 18930 C CG  . ASN C 3 586 ? 217.871 -61.558 276.792 1.0 39.56469  ? 586 ASN C CG  586 ASN C CG  1 
ATOM 18931 O OD1 . ASN C 3 586 ? 218.479 -60.826 276.019 1.0 39.56469  ? 586 ASN C OD1 586 ASN C OD1 1 
ATOM 18932 N ND2 . ASN C 3 586 ? 216.595 -61.378 277.093 1.0 39.56469  ? 586 ASN C ND2 586 ASN C ND2 1 
ATOM 18933 N N   . ASP C 3 587 ? 220.728 -65.550 276.579 1.0 41.20282  ? 587 ASP C N   587 ASP C N   1 
ATOM 18934 C CA  . ASP C 3 587 ? 221.628 -66.519 277.188 1.0 41.20282  ? 587 ASP C CA  587 ASP C CA  1 
ATOM 18935 C C   . ASP C 3 587 ? 223.004 -65.897 277.345 1.0 41.20282  ? 587 ASP C C   587 ASP C C   1 
ATOM 18936 O O   . ASP C 3 587 ? 223.599 -65.437 276.366 1.0 41.20282  ? 587 ASP C O   587 ASP C O   1 
ATOM 18937 C CB  . ASP C 3 587 ? 221.711 -67.783 276.339 1.0 41.20282  ? 587 ASP C CB  587 ASP C CB  1 
ATOM 18938 C CG  . ASP C 3 587 ? 220.453 -68.619 276.410 1.0 41.20282  ? 587 ASP C CG  587 ASP C CG  1 
ATOM 18939 O OD1 . ASP C 3 587 ? 219.753 -68.551 277.441 1.0 41.20282  ? 587 ASP C OD1 587 ASP C OD1 1 
ATOM 18940 O OD2 . ASP C 3 587 ? 220.176 -69.362 275.444 1.0 41.20282  ? 587 ASP C OD2 587 ASP C OD2 1 
ATOM 18941 N N   . GLN C 3 588 ? 223.501 -65.870 278.573 1.0 38.74663  ? 588 GLN C N   588 GLN C N   1 
ATOM 18942 C CA  . GLN C 3 588 ? 224.794 -65.269 278.839 1.0 38.74663  ? 588 GLN C CA  588 GLN C CA  1 
ATOM 18943 C C   . GLN C 3 588 ? 225.910 -66.182 278.356 1.0 38.74663  ? 588 GLN C C   588 GLN C C   1 
ATOM 18944 O O   . GLN C 3 588 ? 225.816 -67.408 278.441 1.0 38.74663  ? 588 GLN C O   588 GLN C O   1 
ATOM 18945 C CB  . GLN C 3 588 ? 224.923 -64.952 280.326 1.0 38.74663  ? 588 GLN C CB  588 GLN C CB  1 
ATOM 18946 C CG  . GLN C 3 588 ? 224.770 -66.134 281.240 1.0 38.74663  ? 588 GLN C CG  588 GLN C CG  1 
ATOM 18947 C CD  . GLN C 3 588 ? 224.702 -65.721 282.683 1.0 38.74663  ? 588 GLN C CD  588 GLN C CD  1 
ATOM 18948 O OE1 . GLN C 3 588 ? 224.790 -64.540 283.002 1.0 38.74663  ? 588 GLN C OE1 588 GLN C OE1 1 
ATOM 18949 N NE2 . GLN C 3 588 ? 224.543 -66.691 283.570 1.0 38.74663  ? 588 GLN C NE2 588 GLN C NE2 1 
ATOM 18950 N N   . ASN C 3 589 ? 226.949 -65.574 277.799 1.0 39.44155  ? 589 ASN C N   589 ASN C N   1 
ATOM 18951 C CA  . ASN C 3 589 ? 228.040 -66.308 277.185 1.0 39.44155  ? 589 ASN C CA  589 ASN C CA  1 
ATOM 18952 C C   . ASN C 3 589 ? 229.380 -65.792 277.684 1.0 39.44155  ? 589 ASN C C   589 ASN C C   1 
ATOM 18953 O O   . ASN C 3 589 ? 229.520 -64.619 278.033 1.0 39.44155  ? 589 ASN C O   589 ASN C O   1 
ATOM 18954 C CB  . ASN C 3 589 ? 227.962 -66.241 275.651 1.0 39.44155  ? 589 ASN C CB  589 ASN C CB  1 
ATOM 18955 C CG  . ASN C 3 589 ? 227.814 -64.839 275.132 1.0 39.44155  ? 589 ASN C CG  589 ASN C CG  1 
ATOM 18956 O OD1 . ASN C 3 589 ? 227.702 -63.893 275.897 1.0 39.44155  ? 589 ASN C OD1 589 ASN C OD1 1 
ATOM 18957 N ND2 . ASN C 3 589 ? 227.854 -64.692 273.822 1.0 39.44155  ? 589 ASN C ND2 589 ASN C ND2 1 
ATOM 18958 N N   . PHE C 3 590 ? 230.363 -66.686 277.734 1.0 38.38455  ? 590 PHE C N   590 PHE C N   1 
ATOM 18959 C CA  . PHE C 3 590 ? 231.684 -66.366 278.247 1.0 38.38455  ? 590 PHE C CA  590 PHE C CA  1 
ATOM 18960 C C   . PHE C 3 590 ? 232.735 -66.894 277.286 1.0 38.38455  ? 590 PHE C C   590 PHE C C   1 
ATOM 18961 O O   . PHE C 3 590 ? 232.430 -67.597 276.322 1.0 38.38455  ? 590 PHE C O   590 PHE C O   1 
ATOM 18962 C CB  . PHE C 3 590 ? 231.904 -66.964 279.638 1.0 38.38455  ? 590 PHE C CB  590 PHE C CB  1 
ATOM 18963 C CG  . PHE C 3 590 ? 230.957 -66.449 280.669 1.0 38.38455  ? 590 PHE C CG  590 PHE C CG  1 
ATOM 18964 C CD1 . PHE C 3 590 ? 231.162 -65.222 281.263 1.0 38.38455  ? 590 PHE C CD1 590 PHE C CD1 1 
ATOM 18965 C CD2 . PHE C 3 590 ? 229.855 -67.192 281.039 1.0 38.38455  ? 590 PHE C CD2 590 PHE C CD2 1 
ATOM 18966 C CE1 . PHE C 3 590 ? 230.280 -64.739 282.207 1.0 38.38455  ? 590 PHE C CE1 590 PHE C CE1 1 
ATOM 18967 C CE2 . PHE C 3 590 ? 228.976 -66.721 281.988 1.0 38.38455  ? 590 PHE C CE2 590 PHE C CE2 1 
ATOM 18968 C CZ  . PHE C 3 590 ? 229.193 -65.499 282.572 1.0 38.38455  ? 590 PHE C CZ  590 PHE C CZ  1 
ATOM 18969 N N   . SER C 3 591 ? 233.991 -66.566 277.568 1.0 41.84905  ? 591 SER C N   591 SER C N   1 
ATOM 18970 C CA  . SER C 3 591 ? 235.088 -66.993 276.717 1.0 41.84905  ? 591 SER C CA  591 SER C CA  1 
ATOM 18971 C C   . SER C 3 591 ? 236.343 -67.137 277.559 1.0 41.84905  ? 591 SER C C   591 SER C C   1 
ATOM 18972 O O   . SER C 3 591 ? 236.544 -66.404 278.529 1.0 41.84905  ? 591 SER C O   591 SER C O   1 
ATOM 18973 C CB  . SER C 3 591 ? 235.332 -66.006 275.573 1.0 41.84905  ? 591 SER C CB  591 SER C CB  1 
ATOM 18974 O OG  . SER C 3 591 ? 236.430 -66.416 274.779 1.0 41.84905  ? 591 SER C OG  591 SER C OG  1 
ATOM 18975 N N   . ASP C 3 592 ? 237.178 -68.097 277.180 1.0 44.04083  ? 592 ASP C N   592 ASP C N   1 
ATOM 18976 C CA  . ASP C 3 592 ? 238.458 -68.283 277.845 1.0 44.04083  ? 592 ASP C CA  592 ASP C CA  1 
ATOM 18977 C C   . ASP C 3 592 ? 239.398 -67.147 277.466 1.0 44.04083  ? 592 ASP C C   592 ASP C C   1 
ATOM 18978 O O   . ASP C 3 592 ? 239.488 -66.763 276.299 1.0 44.04083  ? 592 ASP C O   592 ASP C O   1 
ATOM 18979 C CB  . ASP C 3 592 ? 239.064 -69.627 277.443 1.0 44.04083  ? 592 ASP C CB  592 ASP C CB  1 
ATOM 18980 C CG  . ASP C 3 592 ? 240.185 -70.064 278.362 1.0 44.04083  ? 592 ASP C CG  592 ASP C CG  1 
ATOM 18981 O OD1 . ASP C 3 592 ? 240.446 -69.358 279.354 1.0 44.04083  ? 592 ASP C OD1 592 ASP C OD1 1 
ATOM 18982 O OD2 . ASP C 3 592 ? 240.815 -71.107 278.086 1.0 44.04083  ? 592 ASP C OD2 592 ASP C OD2 1 
ATOM 18983 N N   . TYR C 3 593 ? 240.097 -66.596 278.462 1.0 43.05076  ? 593 TYR C N   593 TYR C N   1 
ATOM 18984 C CA  . TYR C 3 593 ? 241.042 -65.526 278.166 1.0 43.05076  ? 593 TYR C CA  593 TYR C CA  1 
ATOM 18985 C C   . TYR C 3 593 ? 242.322 -66.059 277.545 1.0 43.05076  ? 593 TYR C C   593 TYR C C   1 
ATOM 18986 O O   . TYR C 3 593 ? 242.955 -65.361 276.747 1.0 43.05076  ? 593 TYR C O   593 TYR C O   1 
ATOM 18987 C CB  . TYR C 3 593 ? 241.377 -64.727 279.425 1.0 43.05076  ? 593 TYR C CB  593 TYR C CB  1 
ATOM 18988 C CG  . TYR C 3 593 ? 242.278 -63.543 279.151 1.0 43.05076  ? 593 TYR C CG  593 TYR C CG  1 
ATOM 18989 C CD1 . TYR C 3 593 ? 241.778 -62.391 278.564 1.0 43.05076  ? 593 TYR C CD1 593 TYR C CD1 1 
ATOM 18990 C CD2 . TYR C 3 593 ? 243.629 -63.584 279.461 1.0 43.05076  ? 593 TYR C CD2 593 TYR C CD2 1 
ATOM 18991 C CE1 . TYR C 3 593 ? 242.595 -61.311 278.302 1.0 43.05076  ? 593 TYR C CE1 593 TYR C CE1 1 
ATOM 18992 C CE2 . TYR C 3 593 ? 244.452 -62.508 279.199 1.0 43.05076  ? 593 TYR C CE2 593 TYR C CE2 1 
ATOM 18993 C CZ  . TYR C 3 593 ? 243.930 -61.377 278.624 1.0 43.05076  ? 593 TYR C CZ  593 TYR C CZ  1 
ATOM 18994 O OH  . TYR C 3 593 ? 244.752 -60.308 278.366 1.0 43.05076  ? 593 TYR C OH  593 TYR C OH  1 
ATOM 18995 N N   . LEU C 3 594 ? 242.727 -67.273 277.907 1.0 41.78841  ? 594 LEU C N   594 LEU C N   1 
ATOM 18996 C CA  . LEU C 3 594 ? 243.906 -67.870 277.294 1.0 41.78841  ? 594 LEU C CA  594 LEU C CA  1 
ATOM 18997 C C   . LEU C 3 594 ? 243.631 -68.212 275.839 1.0 41.78841  ? 594 LEU C C   594 LEU C C   1 
ATOM 18998 O O   . LEU C 3 594 ? 244.386 -67.810 274.948 1.0 41.78841  ? 594 LEU C O   594 LEU C O   1 
ATOM 18999 C CB  . LEU C 3 594 ? 244.331 -69.098 278.101 1.0 41.78841  ? 594 LEU C CB  594 LEU C CB  1 
ATOM 19000 C CG  . LEU C 3 594 ? 245.628 -69.886 277.918 1.0 41.78841  ? 594 LEU C CG  594 LEU C CG  1 
ATOM 19001 C CD1 . LEU C 3 594 ? 245.497 -71.000 276.901 1.0 41.78841  ? 594 LEU C CD1 594 LEU C CD1 1 
ATOM 19002 C CD2 . LEU C 3 594 ? 246.745 -68.943 277.539 1.0 41.78841  ? 594 LEU C CD2 594 LEU C CD2 1 
ATOM 19003 N N   . GLY C 3 595 ? 242.534 -68.918 275.585 1.0 41.65657  ? 595 GLY C N   595 GLY C N   1 
ATOM 19004 C CA  . GLY C 3 595 ? 242.057 -69.167 274.234 1.0 41.65657  ? 595 GLY C CA  595 GLY C CA  1 
ATOM 19005 C C   . GLY C 3 595 ? 243.004 -69.962 273.366 1.0 41.65657  ? 595 GLY C C   595 GLY C C   1 
ATOM 19006 O O   . GLY C 3 595 ? 243.230 -69.596 272.208 1.0 41.65657  ? 595 GLY C O   595 GLY C O   1 
ATOM 19007 N N   . ALA C 3 596 ? 243.590 -71.026 273.903 1.0 40.88089  ? 596 ALA C N   596 ALA C N   1 
ATOM 19008 C CA  . ALA C 3 596 ? 244.545 -71.790 273.122 1.0 40.88089  ? 596 ALA C CA  596 ALA C CA  1 
ATOM 19009 C C   . ALA C 3 596 ? 244.514 -73.249 273.541 1.0 40.88089  ? 596 ALA C C   596 ALA C C   1 
ATOM 19010 O O   . ALA C 3 596 ? 243.904 -73.623 274.543 1.0 40.88089  ? 596 ALA C O   596 ALA C O   1 
ATOM 19011 C CB  . ALA C 3 596 ? 245.959 -71.221 273.249 1.0 40.88089  ? 596 ALA C CB  596 ALA C CB  1 
ATOM 19012 N N   . VAL C 3 597 ? 245.189 -74.068 272.743 1.0 43.9544   ? 597 VAL C N   597 VAL C N   1 
ATOM 19013 C CA  . VAL C 3 597 ? 245.267 -75.509 272.933 1.0 43.9544   ? 597 VAL C CA  597 VAL C CA  1 
ATOM 19014 C C   . VAL C 3 597 ? 246.695 -75.861 273.322 1.0 43.9544   ? 597 VAL C C   597 VAL C C   1 
ATOM 19015 O O   . VAL C 3 597 ? 247.638 -75.531 272.596 1.0 43.9544   ? 597 VAL C O   597 VAL C O   1 
ATOM 19016 C CB  . VAL C 3 597 ? 244.843 -76.253 271.656 1.0 43.9544   ? 597 VAL C CB  597 VAL C CB  1 
ATOM 19017 C CG1 . VAL C 3 597 ? 245.107 -77.728 271.782 1.0 43.9544   ? 597 VAL C CG1 597 VAL C CG1 1 
ATOM 19018 C CG2 . VAL C 3 597 ? 243.382 -76.007 271.374 1.0 43.9544   ? 597 VAL C CG2 597 VAL C CG2 1 
ATOM 19019 N N   . ASN C 3 598 ? 246.855 -76.524 274.462 1.0 48.21393  ? 598 ASN C N   598 ASN C N   1 
ATOM 19020 C CA  . ASN C 3 598 ? 248.172 -76.943 274.922 1.0 48.21393  ? 598 ASN C CA  598 ASN C CA  1 
ATOM 19021 C C   . ASN C 3 598 ? 248.651 -78.136 274.111 1.0 48.21393  ? 598 ASN C C   598 ASN C C   1 
ATOM 19022 O O   . ASN C 3 598 ? 247.911 -79.106 273.924 1.0 48.21393  ? 598 ASN C O   598 ASN C O   1 
ATOM 19023 C CB  . ASN C 3 598 ? 248.127 -77.312 276.397 1.0 48.21393  ? 598 ASN C CB  598 ASN C CB  1 
ATOM 19024 C CG  . ASN C 3 598 ? 247.750 -76.155 277.264 1.0 48.21393  ? 598 ASN C CG  598 ASN C CG  1 
ATOM 19025 O OD1 . ASN C 3 598 ? 246.648 -76.108 277.790 1.0 48.21393  ? 598 ASN C OD1 598 ASN C OD1 1 
ATOM 19026 N ND2 . ASN C 3 598 ? 248.674 -75.230 277.455 1.0 48.21393  ? 598 ASN C ND2 598 ASN C ND2 1 
ATOM 19027 N N   . ASN C 3 599 ? 249.888 -78.070 273.639 1.0 47.53693  ? 599 ASN C N   599 ASN C N   1 
ATOM 19028 C CA  . ASN C 3 599 ? 250.538 -79.195 272.983 1.0 47.53693  ? 599 ASN C CA  599 ASN C CA  1 
ATOM 19029 C C   . ASN C 3 599 ? 251.979 -79.229 273.454 1.0 47.53693  ? 599 ASN C C   599 ASN C C   1 
ATOM 19030 O O   . ASN C 3 599 ? 252.731 -78.279 273.219 1.0 47.53693  ? 599 ASN C O   599 ASN C O   1 
ATOM 19031 C CB  . ASN C 3 599 ? 250.460 -79.075 271.461 1.0 47.53693  ? 599 ASN C CB  599 ASN C CB  1 
ATOM 19032 C CG  . ASN C 3 599 ? 249.048 -79.199 270.944 1.0 47.53693  ? 599 ASN C CG  599 ASN C CG  1 
ATOM 19033 O OD1 . ASN C 3 599 ? 248.484 -78.245 270.420 1.0 47.53693  ? 599 ASN C OD1 599 ASN C OD1 1 
ATOM 19034 N ND2 . ASN C 3 599 ? 248.465 -80.381 271.094 1.0 47.53693  ? 599 ASN C ND2 599 ASN C ND2 1 
ATOM 19035 N N   . LEU C 3 600 ? 252.357 -80.308 274.125 1.0 48.04593  ? 600 LEU C N   600 LEU C N   1 
ATOM 19036 C CA  . LEU C 3 600 ? 253.671 -80.434 274.740 1.0 48.04593  ? 600 LEU C CA  600 LEU C CA  1 
ATOM 19037 C C   . LEU C 3 600 ? 254.418 -81.536 274.007 1.0 48.04593  ? 600 LEU C C   600 LEU C C   1 
ATOM 19038 O O   . LEU C 3 600 ? 254.113 -82.721 274.176 1.0 48.04593  ? 600 LEU C O   600 LEU C O   1 
ATOM 19039 C CB  . LEU C 3 600 ? 253.562 -80.736 276.233 1.0 48.04593  ? 600 LEU C CB  600 LEU C CB  1 
ATOM 19040 C CG  . LEU C 3 600 ? 253.218 -79.595 277.193 1.0 48.04593  ? 600 LEU C CG  600 LEU C CG  1 
ATOM 19041 C CD1 . LEU C 3 600 ? 251.741 -79.244 277.188 1.0 48.04593  ? 600 LEU C CD1 600 LEU C CD1 1 
ATOM 19042 C CD2 . LEU C 3 600 ? 253.651 -79.931 278.594 1.0 48.04593  ? 600 LEU C CD2 600 LEU C CD2 1 
ATOM 19043 N N   . TYR C 3 601 ? 255.400 -81.146 273.207 1.0 49.77447  ? 601 TYR C N   601 TYR C N   1 
ATOM 19044 C CA  . TYR C 3 601 ? 256.093 -82.054 272.311 1.0 49.77447  ? 601 TYR C CA  601 TYR C CA  1 
ATOM 19045 C C   . TYR C 3 601 ? 257.503 -82.307 272.816 1.0 49.77447  ? 601 TYR C C   601 TYR C C   1 
ATOM 19046 O O   . TYR C 3 601 ? 258.194 -81.379 273.243 1.0 49.77447  ? 601 TYR C O   601 TYR C O   1 
ATOM 19047 C CB  . TYR C 3 601 ? 256.115 -81.465 270.908 1.0 49.77447  ? 601 TYR C CB  601 TYR C CB  1 
ATOM 19048 C CG  . TYR C 3 601 ? 254.739 -81.417 270.277 1.0 49.77447  ? 601 TYR C CG  601 TYR C CG  1 
ATOM 19049 C CD1 . TYR C 3 601 ? 253.758 -82.316 270.629 1.0 49.77447  ? 601 TYR C CD1 601 TYR C CD1 1 
ATOM 19050 C CD2 . TYR C 3 601 ? 254.418 -80.426 269.385 1.0 49.77447  ? 601 TYR C CD2 601 TYR C CD2 1 
ATOM 19051 C CE1 . TYR C 3 601 ? 252.497 -82.262 270.060 1.0 49.77447  ? 601 TYR C CE1 601 TYR C CE1 1 
ATOM 19052 C CE2 . TYR C 3 601 ? 253.167 -80.355 268.804 1.0 49.77447  ? 601 TYR C CE2 601 TYR C CE2 1 
ATOM 19053 C CZ  . TYR C 3 601 ? 252.209 -81.272 269.147 1.0 49.77447  ? 601 TYR C CZ  601 TYR C CZ  1 
ATOM 19054 O OH  . TYR C 3 601 ? 250.964 -81.200 268.580 1.0 49.77447  ? 601 TYR C OH  601 TYR C OH  1 
ATOM 19055 N N   . GLN C 3 602 ? 257.920 -83.566 272.770 1.0 54.32061  ? 602 GLN C N   602 GLN C N   1 
ATOM 19056 C CA  . GLN C 3 602 ? 259.142 -83.987 273.436 1.0 54.32061  ? 602 GLN C CA  602 GLN C CA  1 
ATOM 19057 C C   . GLN C 3 602 ? 260.371 -83.555 272.650 1.0 54.32061  ? 602 GLN C C   602 GLN C C   1 
ATOM 19058 O O   . GLN C 3 602 ? 260.457 -83.780 271.440 1.0 54.32061  ? 602 GLN C O   602 GLN C O   1 
ATOM 19059 C CB  . GLN C 3 602 ? 259.139 -85.504 273.620 1.0 54.32061  ? 602 GLN C CB  602 GLN C CB  1 
ATOM 19060 C CG  . GLN C 3 602 ? 260.344 -86.043 274.362 1.0 54.32061  ? 602 GLN C CG  602 GLN C CG  1 
ATOM 19061 C CD  . GLN C 3 602 ? 260.447 -85.506 275.770 1.0 54.32061  ? 602 GLN C CD  602 GLN C CD  1 
ATOM 19062 O OE1 . GLN C 3 602 ? 261.287 -84.658 276.062 1.0 54.32061  ? 602 GLN C OE1 602 GLN C OE1 1 
ATOM 19063 N NE2 . GLN C 3 602 ? 259.588 -85.995 276.654 1.0 54.32061  ? 602 GLN C NE2 602 GLN C NE2 1 
ATOM 19064 N N   . ILE C 3 603 ? 261.318 -82.928 273.341 1.0 54.649    ? 603 ILE C N   603 ILE C N   1 
ATOM 19065 C CA  . ILE C 3 603 ? 262.625 -82.605 272.774 1.0 54.649    ? 603 ILE C CA  603 ILE C CA  1 
ATOM 19066 C C   . ILE C 3 603 ? 263.688 -83.283 273.628 1.0 54.649    ? 603 ILE C C   603 ILE C C   1 
ATOM 19067 O O   . ILE C 3 603 ? 263.920 -82.857 274.768 1.0 54.649    ? 603 ILE C O   603 ILE C O   1 
ATOM 19068 C CB  . ILE C 3 603 ? 262.866 -81.090 272.710 1.0 54.649    ? 603 ILE C CB  603 ILE C CB  1 
ATOM 19069 C CG1 . ILE C 3 603 ? 261.830 -80.415 271.819 1.0 54.649    ? 603 ILE C CG1 603 ILE C CG1 1 
ATOM 19070 C CG2 . ILE C 3 603 ? 264.253 -80.800 272.181 1.0 54.649    ? 603 ILE C CG2 603 ILE C CG2 1 
ATOM 19071 C CD1 . ILE C 3 603 ? 261.890 -78.909 271.850 1.0 54.649    ? 603 ILE C CD1 603 ILE C CD1 1 
ATOM 19072 N N   . PRO C 3 604 ? 264.360 -84.318 273.130 1.0 57.59713  ? 604 PRO C N   604 PRO C N   1 
ATOM 19073 C CA  . PRO C 3 604 ? 265.261 -85.100 273.983 1.0 57.59713  ? 604 PRO C CA  604 PRO C CA  1 
ATOM 19074 C C   . PRO C 3 604 ? 266.544 -84.349 274.303 1.0 57.59713  ? 604 PRO C C   604 PRO C C   1 
ATOM 19075 O O   . PRO C 3 604 ? 266.819 -83.264 273.788 1.0 57.59713  ? 604 PRO C O   604 PRO C O   1 
ATOM 19076 C CB  . PRO C 3 604 ? 265.538 -86.348 273.146 1.0 57.59713  ? 604 PRO C CB  604 PRO C CB  1 
ATOM 19077 C CG  . PRO C 3 604 ? 265.360 -85.900 271.751 1.0 57.59713  ? 604 PRO C CG  604 PRO C CG  1 
ATOM 19078 C CD  . PRO C 3 604 ? 264.276 -84.868 271.769 1.0 57.59713  ? 604 PRO C CD  604 PRO C CD  1 
ATOM 19079 N N   . ALA C 3 605 ? 267.331 -84.954 275.189 1.0 61.46225  ? 605 ALA C N   605 ALA C N   1 
ATOM 19080 C CA  . ALA C 3 605 ? 268.541 -84.316 275.687 1.0 61.46225  ? 605 ALA C CA  605 ALA C CA  1 
ATOM 19081 C C   . ALA C 3 605 ? 269.617 -84.304 274.613 1.0 61.46225  ? 605 ALA C C   605 ALA C C   1 
ATOM 19082 O O   . ALA C 3 605 ? 269.905 -85.332 273.993 1.0 61.46225  ? 605 ALA C O   605 ALA C O   1 
ATOM 19083 C CB  . ALA C 3 605 ? 269.046 -85.040 276.932 1.0 61.46225  ? 605 ALA C CB  605 ALA C CB  1 
ATOM 19084 N N   . GLY C 3 606 ? 270.206 -83.133 274.386 1.0 61.75935  ? 606 GLY C N   606 GLY C N   1 
ATOM 19085 C CA  . GLY C 3 606 ? 271.231 -82.974 273.382 1.0 61.75935  ? 606 GLY C CA  606 GLY C CA  1 
ATOM 19086 C C   . GLY C 3 606 ? 270.728 -82.752 271.976 1.0 61.75935  ? 606 GLY C C   606 GLY C C   1 
ATOM 19087 O O   . GLY C 3 606 ? 271.538 -82.460 271.088 1.0 61.75935  ? 606 GLY C O   606 GLY C O   1 
ATOM 19088 N N   . SER C 3 607 ? 269.428 -82.875 271.735 1.0 58.78056  ? 607 SER C N   607 SER C N   1 
ATOM 19089 C CA  . SER C 3 607 ? 268.891 -82.654 270.404 1.0 58.78056  ? 607 SER C CA  607 SER C CA  1 
ATOM 19090 C C   . SER C 3 607 ? 268.724 -81.167 270.139 1.0 58.78056  ? 607 SER C C   607 SER C C   1 
ATOM 19091 O O   . SER C 3 607 ? 268.536 -80.366 271.057 1.0 58.78056  ? 607 SER C O   607 SER C O   1 
ATOM 19092 C CB  . SER C 3 607 ? 267.551 -83.360 270.234 1.0 58.78056  ? 607 SER C CB  607 SER C CB  1 
ATOM 19093 O OG  . SER C 3 607 ? 267.020 -83.123 268.945 1.0 58.78056  ? 607 SER C OG  607 SER C OG  1 
ATOM 19094 N N   . SER C 3 608 ? 268.791 -80.803 268.860 1.0 57.15501  ? 608 SER C N   608 SER C N   1 
ATOM 19095 C CA  . SER C 3 608 ? 268.730 -79.410 268.453 1.0 57.15501  ? 608 SER C CA  608 SER C CA  1 
ATOM 19096 C C   . SER C 3 608 ? 267.486 -79.048 267.663 1.0 57.15501  ? 608 SER C C   608 SER C C   1 
ATOM 19097 O O   . SER C 3 608 ? 267.238 -77.858 267.459 1.0 57.15501  ? 608 SER C O   608 SER C O   1 
ATOM 19098 C CB  . SER C 3 608 ? 269.961 -79.048 267.611 1.0 57.15501  ? 608 SER C CB  608 SER C CB  1 
ATOM 19099 O OG  . SER C 3 608 ? 269.881 -77.714 267.144 1.0 57.15501  ? 608 SER C OG  608 SER C OG  1 
ATOM 19100 N N   . THR C 3 609 ? 266.715 -80.025 267.193 1.0 54.76976  ? 609 THR C N   609 THR C N   1 
ATOM 19101 C CA  . THR C 3 609 ? 265.533 -79.760 266.387 1.0 54.76976  ? 609 THR C CA  609 THR C CA  1 
ATOM 19102 C C   . THR C 3 609 ? 264.326 -80.486 266.962 1.0 54.76976  ? 609 THR C C   609 THR C C   1 
ATOM 19103 O O   . THR C 3 609 ? 264.449 -81.396 267.784 1.0 54.76976  ? 609 THR C O   609 THR C O   1 
ATOM 19104 C CB  . THR C 3 609 ? 265.718 -80.193 264.922 1.0 54.76976  ? 609 THR C CB  609 THR C CB  1 
ATOM 19105 O OG1 . THR C 3 609 ? 265.994 -81.598 264.866 1.0 54.76976  ? 609 THR C OG1 609 THR C OG1 1 
ATOM 19106 C CG2 . THR C 3 609 ? 266.848 -79.425 264.252 1.0 54.76976  ? 609 THR C CG2 609 THR C CG2 1 
ATOM 19107 N N   . VAL C 3 610 ? 263.151 -80.061 266.509 1.0 52.09613  ? 610 VAL C N   610 VAL C N   1 
ATOM 19108 C CA  . VAL C 3 610 ? 261.902 -80.775 266.744 1.0 52.09613  ? 610 VAL C CA  610 VAL C CA  1 
ATOM 19109 C C   . VAL C 3 610 ? 260.986 -80.499 265.557 1.0 52.09613  ? 610 VAL C C   610 VAL C C   1 
ATOM 19110 O O   . VAL C 3 610 ? 261.014 -79.413 264.970 1.0 52.09613  ? 610 VAL C O   610 VAL C O   1 
ATOM 19111 C CB  . VAL C 3 610 ? 261.273 -80.387 268.106 1.0 52.09613  ? 610 VAL C CB  610 VAL C CB  1 
ATOM 19112 C CG1 . VAL C 3 610 ? 260.883 -78.928 268.153 1.0 52.09613  ? 610 VAL C CG1 610 VAL C CG1 1 
ATOM 19113 C CG2 . VAL C 3 610 ? 260.089 -81.277 268.453 1.0 52.09613  ? 610 VAL C CG2 610 VAL C CG2 1 
ATOM 19114 N N   . VAL C 3 611 ? 260.231 -81.516 265.155 1.0 50.99982  ? 611 VAL C N   611 VAL C N   1 
ATOM 19115 C CA  . VAL C 3 611 ? 259.308 -81.437 264.031 1.0 50.99982  ? 611 VAL C CA  611 VAL C CA  1 
ATOM 19116 C C   . VAL C 3 611 ? 257.924 -81.786 264.545 1.0 50.99982  ? 611 VAL C C   611 VAL C C   1 
ATOM 19117 O O   . VAL C 3 611 ? 257.685 -82.923 264.968 1.0 50.99982  ? 611 VAL C O   611 VAL C O   1 
ATOM 19118 C CB  . VAL C 3 611 ? 259.712 -82.382 262.891 1.0 50.99982  ? 611 VAL C CB  611 VAL C CB  1 
ATOM 19119 C CG1 . VAL C 3 611 ? 258.657 -82.376 261.804 1.0 50.99982  ? 611 VAL C CG1 611 VAL C CG1 1 
ATOM 19120 C CG2 . VAL C 3 611 ? 261.060 -81.984 262.330 1.0 50.99982  ? 611 VAL C CG2 611 VAL C CG2 1 
ATOM 19121 N N   . VAL C 3 612 ? 257.017 -80.820 264.509 1.0 48.20348  ? 612 VAL C N   612 VAL C N   1 
ATOM 19122 C CA  . VAL C 3 612 ? 255.648 -81.064 264.926 1.0 48.20348  ? 612 VAL C CA  612 VAL C CA  1 
ATOM 19123 C C   . VAL C 3 612 ? 254.862 -81.480 263.690 1.0 48.20348  ? 612 VAL C C   612 VAL C C   1 
ATOM 19124 O O   . VAL C 3 612 ? 255.290 -81.258 262.558 1.0 48.20348  ? 612 VAL C O   612 VAL C O   1 
ATOM 19125 C CB  . VAL C 3 612 ? 255.023 -79.827 265.605 1.0 48.20348  ? 612 VAL C CB  612 VAL C CB  1 
ATOM 19126 C CG1 . VAL C 3 612 ? 256.050 -79.142 266.495 1.0 48.20348  ? 612 VAL C CG1 612 VAL C CG1 1 
ATOM 19127 C CG2 . VAL C 3 612 ? 254.384 -78.878 264.609 1.0 48.20348  ? 612 VAL C CG2 612 VAL C CG2 1 
ATOM 19128 N N   . ASN C 3 613 ? 253.717 -82.122 263.901 1.0 46.22068  ? 613 ASN C N   613 ASN C N   1 
ATOM 19129 C CA  . ASN C 3 613 ? 252.887 -82.573 262.788 1.0 46.22068  ? 613 ASN C CA  613 ASN C CA  1 
ATOM 19130 C C   . ASN C 3 613 ? 251.430 -82.476 263.195 1.0 46.22068  ? 613 ASN C C   613 ASN C C   1 
ATOM 19131 O O   . ASN C 3 613 ? 251.017 -83.099 264.177 1.0 46.22068  ? 613 ASN C O   613 ASN C O   1 
ATOM 19132 C CB  . ASN C 3 613 ? 253.229 -84.006 262.379 1.0 46.22068  ? 613 ASN C CB  613 ASN C CB  1 
ATOM 19133 C CG  . ASN C 3 613 ? 254.511 -84.098 261.585 1.0 46.22068  ? 613 ASN C CG  613 ASN C CG  1 
ATOM 19134 O OD1 . ASN C 3 613 ? 254.736 -83.321 260.659 1.0 46.22068  ? 613 ASN C OD1 613 ASN C OD1 1 
ATOM 19135 N ND2 . ASN C 3 613 ? 255.370 -85.037 261.956 1.0 46.22068  ? 613 ASN C ND2 613 ASN C ND2 1 
ATOM 19136 N N   . ILE C 3 614 ? 250.660 -81.696 262.452 1.0 44.14726  ? 614 ILE C N   614 ILE C N   1 
ATOM 19137 C CA  . ILE C 3 614 ? 249.213 -81.629 262.613 1.0 44.14726  ? 614 ILE C CA  614 ILE C CA  1 
ATOM 19138 C C   . ILE C 3 614 ? 248.587 -82.155 261.328 1.0 44.14726  ? 614 ILE C C   614 ILE C C   1 
ATOM 19139 O O   . ILE C 3 614 ? 248.914 -81.660 260.242 1.0 44.14726  ? 614 ILE C O   614 ILE C O   1 
ATOM 19140 C CB  . ILE C 3 614 ? 248.734 -80.204 262.917 1.0 44.14726  ? 614 ILE C CB  614 ILE C CB  1 
ATOM 19141 C CG1 . ILE C 3 614 ? 249.451 -79.653 264.144 1.0 44.14726  ? 614 ILE C CG1 614 ILE C CG1 1 
ATOM 19142 C CG2 . ILE C 3 614 ? 247.248 -80.212 263.166 1.0 44.14726  ? 614 ILE C CG2 614 ILE C CG2 1 
ATOM 19143 C CD1 . ILE C 3 614 ? 249.208 -80.455 265.391 1.0 44.14726  ? 614 ILE C CD1 614 ILE C CD1 1 
ATOM 19144 N N   . PRO C 3 615 ? 247.708 -83.144 261.393 1.0 44.76878  ? 615 PRO C N   615 PRO C N   1 
ATOM 19145 C CA  . PRO C 3 615 ? 247.171 -83.735 260.162 1.0 44.76878  ? 615 PRO C CA  615 PRO C CA  1 
ATOM 19146 C C   . PRO C 3 615 ? 246.150 -82.863 259.448 1.0 44.76878  ? 615 PRO C C   615 PRO C C   1 
ATOM 19147 O O   . PRO C 3 615 ? 245.920 -81.709 259.819 1.0 44.76878  ? 615 PRO C O   615 PRO C O   1 
ATOM 19148 C CB  . PRO C 3 615 ? 246.536 -85.041 260.655 1.0 44.76878  ? 615 PRO C CB  615 PRO C CB  1 
ATOM 19149 C CG  . PRO C 3 615 ? 247.214 -85.328 261.944 1.0 44.76878  ? 615 PRO C CG  615 PRO C CG  1 
ATOM 19150 C CD  . PRO C 3 615 ? 247.442 -83.992 262.562 1.0 44.76878  ? 615 PRO C CD  615 PRO C CD  1 
ATOM 19151 N N   . ASP C 3 616 ? 245.541 -83.435 258.413 1.0 47.10697  ? 616 ASP C N   616 ASP C N   1 
ATOM 19152 C CA  . ASP C 3 616 ? 244.660 -82.716 257.499 1.0 47.10697  ? 616 ASP C CA  616 ASP C CA  1 
ATOM 19153 C C   . ASP C 3 616 ? 243.386 -82.274 258.205 1.0 47.10697  ? 616 ASP C C   616 ASP C C   1 
ATOM 19154 O O   . ASP C 3 616 ? 242.622 -83.114 258.690 1.0 47.10697  ? 616 ASP C O   616 ASP C O   1 
ATOM 19155 C CB  . ASP C 3 616 ? 244.329 -83.629 256.325 1.0 47.10697  ? 616 ASP C CB  616 ASP C CB  1 
ATOM 19156 C CG  . ASP C 3 616 ? 243.631 -82.913 255.206 1.0 47.10697  ? 616 ASP C CG  616 ASP C CG  1 
ATOM 19157 O OD1 . ASP C 3 616 ? 244.317 -82.173 254.474 1.0 47.10697  ? 616 ASP C OD1 616 ASP C OD1 1 
ATOM 19158 O OD2 . ASP C 3 616 ? 242.405 -83.101 255.045 1.0 47.10697  ? 616 ASP C OD2 616 ASP C OD2 1 
ATOM 19159 N N   . ARG C 3 617 ? 243.148 -80.964 258.252 1.0 42.16595  ? 617 ARG C N   617 ARG C N   1 
ATOM 19160 C CA  . ARG C 3 617 ? 241.966 -80.428 258.916 1.0 42.16595  ? 617 ARG C CA  617 ARG C CA  1 
ATOM 19161 C C   . ARG C 3 617 ? 241.703 -79.011 258.430 1.0 42.16595  ? 617 ARG C C   617 ARG C C   1 
ATOM 19162 O O   . ARG C 3 617 ? 242.460 -78.454 257.633 1.0 42.16595  ? 617 ARG C O   617 ARG C O   1 
ATOM 19163 C CB  . ARG C 3 617 ? 242.133 -80.443 260.430 1.0 42.16595  ? 617 ARG C CB  617 ARG C CB  1 
ATOM 19164 C CG  . ARG C 3 617 ? 243.233 -79.563 260.944 1.0 42.16595  ? 617 ARG C CG  617 ARG C CG  1 
ATOM 19165 C CD  . ARG C 3 617 ? 243.203 -79.681 262.423 1.0 42.16595  ? 617 ARG C CD  617 ARG C CD  1 
ATOM 19166 N NE  . ARG C 3 617 ? 241.892 -79.236 262.844 1.0 42.16595  ? 617 ARG C NE  617 ARG C NE  1 
ATOM 19167 C CZ  . ARG C 3 617 ? 241.287 -79.658 263.938 1.0 42.16595  ? 617 ARG C CZ  617 ARG C CZ  1 
ATOM 19168 N NH1 . ARG C 3 617 ? 241.867 -80.564 264.702 1.0 42.16595  ? 617 ARG C NH1 617 ARG C NH1 1 
ATOM 19169 N NH2 . ARG C 3 617 ? 240.080 -79.212 264.234 1.0 42.16595  ? 617 ARG C NH2 617 ARG C NH2 1 
ATOM 19170 N N   . SER C 3 618 ? 240.624 -78.423 258.942 1.0 41.96493  ? 618 SER C N   618 SER C N   1 
ATOM 19171 C CA  . SER C 3 618 ? 240.239 -77.055 258.633 1.0 41.96493  ? 618 SER C CA  618 SER C CA  1 
ATOM 19172 C C   . SER C 3 618 ? 240.853 -76.094 259.639 1.0 41.96493  ? 618 SER C C   618 SER C C   1 
ATOM 19173 O O   . SER C 3 618 ? 241.022 -76.423 260.815 1.0 41.96493  ? 618 SER C O   618 SER C O   1 
ATOM 19174 C CB  . SER C 3 618 ? 238.722 -76.902 258.645 1.0 41.96493  ? 618 SER C CB  618 SER C CB  1 
ATOM 19175 O OG  . SER C 3 618 ? 238.131 -77.693 257.634 1.0 41.96493  ? 618 SER C OG  618 SER C OG  1 
ATOM 19176 N N   . TRP C 3 619 ? 241.177 -74.892 259.170 1.0 38.46725  ? 619 TRP C N   619 TRP C N   1 
ATOM 19177 C CA  . TRP C 3 619 ? 241.892 -73.915 259.979 1.0 38.46725  ? 619 TRP C CA  619 TRP C CA  1 
ATOM 19178 C C   . TRP C 3 619 ? 241.172 -72.576 260.013 1.0 38.46725  ? 619 TRP C C   619 TRP C C   1 
ATOM 19179 O O   . TRP C 3 619 ? 241.804 -71.526 260.114 1.0 38.46725  ? 619 TRP C O   619 TRP C O   1 
ATOM 19180 C CB  . TRP C 3 619 ? 243.318 -73.747 259.466 1.0 38.46725  ? 619 TRP C CB  619 TRP C CB  1 
ATOM 19181 C CG  . TRP C 3 619 ? 244.122 -74.961 259.676 1.0 38.46725  ? 619 TRP C CG  619 TRP C CG  1 
ATOM 19182 C CD1 . TRP C 3 619 ? 244.320 -75.969 258.791 1.0 38.46725  ? 619 TRP C CD1 619 TRP C CD1 1 
ATOM 19183 C CD2 . TRP C 3 619 ? 244.840 -75.312 260.854 1.0 38.46725  ? 619 TRP C CD2 619 TRP C CD2 1 
ATOM 19184 N NE1 . TRP C 3 619 ? 245.120 -76.931 259.342 1.0 38.46725  ? 619 TRP C NE1 619 TRP C NE1 1 
ATOM 19185 C CE2 . TRP C 3 619 ? 245.453 -76.547 260.612 1.0 38.46725  ? 619 TRP C CE2 619 TRP C CE2 1 
ATOM 19186 C CE3 . TRP C 3 619 ? 245.023 -74.699 262.094 1.0 38.46725  ? 619 TRP C CE3 619 TRP C CE3 1 
ATOM 19187 C CZ2 . TRP C 3 619 ? 246.224 -77.186 261.560 1.0 38.46725  ? 619 TRP C CZ2 619 TRP C CZ2 1 
ATOM 19188 C CZ3 . TRP C 3 619 ? 245.802 -75.334 263.032 1.0 38.46725  ? 619 TRP C CZ3 619 TRP C CZ3 1 
ATOM 19189 C CH2 . TRP C 3 619 ? 246.393 -76.562 262.761 1.0 38.46725  ? 619 TRP C CH2 619 TRP C CH2 1 
ATOM 19190 N N   . GLY C 3 620 ? 239.847 -72.602 259.929 1.0 39.61752  ? 620 GLY C N   620 GLY C N   1 
ATOM 19191 C CA  . GLY C 3 620 ? 239.092 -71.368 259.992 1.0 39.61752  ? 620 GLY C CA  620 GLY C CA  1 
ATOM 19192 C C   . GLY C 3 620 ? 239.060 -70.815 261.404 1.0 39.61752  ? 620 GLY C C   620 GLY C C   1 
ATOM 19193 O O   . GLY C 3 620 ? 239.053 -71.561 262.384 1.0 39.61752  ? 620 GLY C O   620 GLY C O   1 
ATOM 19194 N N   . ALA C 3 621 ? 239.062 -69.480 261.490 1.0 41.23612  ? 621 ALA C N   621 ALA C N   1 
ATOM 19195 C CA  . ALA C 3 621 ? 239.092 -68.708 262.738 1.0 41.23612  ? 621 ALA C CA  621 ALA C CA  1 
ATOM 19196 C C   . ALA C 3 621 ? 240.288 -69.063 263.615 1.0 41.23612  ? 621 ALA C C   621 ALA C C   1 
ATOM 19197 O O   . ALA C 3 621 ? 240.202 -69.025 264.842 1.0 41.23612  ? 621 ALA C O   621 ALA C O   1 
ATOM 19198 C CB  . ALA C 3 621 ? 237.791 -68.851 263.530 1.0 41.23612  ? 621 ALA C CB  621 ALA C CB  1 
ATOM 19199 N N   . PHE C 3 622 ? 241.405 -69.419 262.991 1.0 39.41401  ? 622 PHE C N   622 PHE C N   1 
ATOM 19200 C CA  . PHE C 3 622 ? 242.644 -69.618 263.720 1.0 39.41401  ? 622 PHE C CA  622 PHE C CA  1 
ATOM 19201 C C   . PHE C 3 622 ? 243.187 -68.263 264.147 1.0 39.41401  ? 622 PHE C C   622 PHE C C   1 
ATOM 19202 O O   . PHE C 3 622 ? 243.000 -67.257 263.462 1.0 39.41401  ? 622 PHE C O   622 PHE C O   1 
ATOM 19203 C CB  . PHE C 3 622 ? 243.645 -70.367 262.842 1.0 39.41401  ? 622 PHE C CB  622 PHE C CB  1 
ATOM 19204 C CG  . PHE C 3 622 ? 244.922 -70.723 263.531 1.0 39.41401  ? 622 PHE C CG  622 PHE C CG  1 
ATOM 19205 C CD1 . PHE C 3 622 ? 244.961 -71.737 264.466 1.0 39.41401  ? 622 PHE C CD1 622 PHE C CD1 1 
ATOM 19206 C CD2 . PHE C 3 622 ? 246.093 -70.068 263.216 1.0 39.41401  ? 622 PHE C CD2 622 PHE C CD2 1 
ATOM 19207 C CE1 . PHE C 3 622 ? 246.138 -72.069 265.090 1.0 39.41401  ? 622 PHE C CE1 622 PHE C CE1 1 
ATOM 19208 C CE2 . PHE C 3 622 ? 247.271 -70.397 263.839 1.0 39.41401  ? 622 PHE C CE2 622 PHE C CE2 1 
ATOM 19209 C CZ  . PHE C 3 622 ? 247.292 -71.398 264.775 1.0 39.41401  ? 622 PHE C CZ  622 PHE C CZ  1 
ATOM 19210 N N   . ARG C 3 623 ? 243.839 -68.227 265.298 1.0 39.8834   ? 623 ARG C N   623 ARG C N   1 
ATOM 19211 C CA  . ARG C 3 623 ? 244.205 -66.943 265.877 1.0 39.8834   ? 623 ARG C CA  623 ARG C CA  1 
ATOM 19212 C C   . ARG C 3 623 ? 245.704 -66.689 265.905 1.0 39.8834   ? 623 ARG C C   623 ARG C C   1 
ATOM 19213 O O   . ARG C 3 623 ? 246.130 -65.567 265.634 1.0 39.8834   ? 623 ARG C O   623 ARG C O   1 
ATOM 19214 C CB  . ARG C 3 623 ? 243.609 -66.831 267.291 1.0 39.8834   ? 623 ARG C CB  623 ARG C CB  1 
ATOM 19215 C CG  . ARG C 3 623 ? 243.746 -65.468 267.946 1.0 39.8834   ? 623 ARG C CG  623 ARG C CG  1 
ATOM 19216 C CD  . ARG C 3 623 ? 243.056 -65.431 269.304 1.0 39.8834   ? 623 ARG C CD  623 ARG C CD  1 
ATOM 19217 N NE  . ARG C 3 623 ? 243.623 -66.397 270.238 1.0 39.8834   ? 623 ARG C NE  623 ARG C NE  1 
ATOM 19218 C CZ  . ARG C 3 623 ? 244.712 -66.183 270.966 1.0 39.8834   ? 623 ARG C CZ  623 ARG C CZ  1 
ATOM 19219 N NH1 . ARG C 3 623 ? 245.360 -65.031 270.875 1.0 39.8834   ? 623 ARG C NH1 623 ARG C NH1 1 
ATOM 19220 N NH2 . ARG C 3 623 ? 245.157 -67.125 271.786 1.0 39.8834   ? 623 ARG C NH2 623 ARG C NH2 1 
ATOM 19221 N N   . GLY C 3 624 ? 246.523 -67.692 266.200 1.0 39.83801  ? 624 GLY C N   624 GLY C N   1 
ATOM 19222 C CA  . GLY C 3 624 ? 247.958 -67.495 266.168 1.0 39.83801  ? 624 GLY C CA  624 GLY C CA  1 
ATOM 19223 C C   . GLY C 3 624 ? 248.687 -68.599 266.908 1.0 39.83801  ? 624 GLY C C   624 GLY C C   1 
ATOM 19224 O O   . GLY C 3 624 ? 248.081 -69.564 267.371 1.0 39.83801  ? 624 GLY C O   624 GLY C O   1 
ATOM 19225 N N   . TRP C 3 625 ? 250.004 -68.432 267.009 1.0 40.63591  ? 625 TRP C N   625 TRP C N   1 
ATOM 19226 C CA  . TRP C 3 625 ? 250.880 -69.383 267.676 1.0 40.63591  ? 625 TRP C CA  625 TRP C CA  1 
ATOM 19227 C C   . TRP C 3 625 ? 251.519 -68.749 268.904 1.0 40.63591  ? 625 TRP C C   625 TRP C C   1 
ATOM 19228 O O   . TRP C 3 625 ? 251.527 -67.527 269.064 1.0 40.63591  ? 625 TRP C O   625 TRP C O   1 
ATOM 19229 C CB  . TRP C 3 625 ? 251.987 -69.878 266.743 1.0 40.63591  ? 625 TRP C CB  625 TRP C CB  1 
ATOM 19230 C CG  . TRP C 3 625 ? 251.527 -70.771 265.653 1.0 40.63591  ? 625 TRP C CG  625 TRP C CG  1 
ATOM 19231 C CD1 . TRP C 3 625 ? 251.405 -72.120 265.709 1.0 40.63591  ? 625 TRP C CD1 625 TRP C CD1 1 
ATOM 19232 C CD2 . TRP C 3 625 ? 251.150 -70.387 264.328 1.0 40.63591  ? 625 TRP C CD2 625 TRP C CD2 1 
ATOM 19233 N NE1 . TRP C 3 625 ? 250.967 -72.605 264.505 1.0 40.63591  ? 625 TRP C NE1 625 TRP C NE1 1 
ATOM 19234 C CE2 . TRP C 3 625 ? 250.800 -71.559 263.640 1.0 40.63591  ? 625 TRP C CE2 625 TRP C CE2 1 
ATOM 19235 C CE3 . TRP C 3 625 ? 251.067 -69.166 263.659 1.0 40.63591  ? 625 TRP C CE3 625 TRP C CE3 1 
ATOM 19236 C CZ2 . TRP C 3 625 ? 250.375 -71.547 262.319 1.0 40.63591  ? 625 TRP C CZ2 625 TRP C CZ2 1 
ATOM 19237 C CZ3 . TRP C 3 625 ? 250.639 -69.156 262.351 1.0 40.63591  ? 625 TRP C CZ3 625 TRP C CZ3 1 
ATOM 19238 C CH2 . TRP C 3 625 ? 250.305 -70.338 261.692 1.0 40.63591  ? 625 TRP C CH2 625 TRP C CH2 1 
ATOM 19239 N N   . SER C 3 626 ? 252.065 -69.603 269.770 1.0 41.45555  ? 626 SER C N   626 SER C N   1 
ATOM 19240 C CA  . SER C 3 626 ? 252.814 -69.181 270.950 1.0 41.45555  ? 626 SER C CA  626 SER C CA  1 
ATOM 19241 C C   . SER C 3 626 ? 253.665 -70.353 271.413 1.0 41.45555  ? 626 SER C C   626 SER C C   1 
ATOM 19242 O O   . SER C 3 626 ? 253.157 -71.471 271.504 1.0 41.45555  ? 626 SER C O   626 SER C O   1 
ATOM 19243 C CB  . SER C 3 626 ? 251.884 -68.731 272.077 1.0 41.45555  ? 626 SER C CB  626 SER C CB  1 
ATOM 19244 O OG  . SER C 3 626 ? 251.172 -67.559 271.727 1.0 41.45555  ? 626 SER C OG  626 SER C OG  1 
ATOM 19245 N N   . PHE C 3 627 ? 254.940 -70.110 271.713 1.0 43.69909  ? 627 PHE C N   627 PHE C N   1 
ATOM 19246 C CA  . PHE C 3 627 ? 255.816 -71.230 272.035 1.0 43.69909  ? 627 PHE C CA  627 PHE C CA  1 
ATOM 19247 C C   . PHE C 3 627 ? 256.937 -70.814 272.977 1.0 43.69909  ? 627 PHE C C   627 PHE C C   1 
ATOM 19248 O O   . PHE C 3 627 ? 257.467 -69.706 272.883 1.0 43.69909  ? 627 PHE C O   627 PHE C O   1 
ATOM 19249 C CB  . PHE C 3 627 ? 256.392 -71.872 270.764 1.0 43.69909  ? 627 PHE C CB  627 PHE C CB  1 
ATOM 19250 C CG  . PHE C 3 627 ? 257.231 -70.950 269.924 1.0 43.69909  ? 627 PHE C CG  627 PHE C CG  1 
ATOM 19251 C CD1 . PHE C 3 627 ? 256.645 -70.147 268.964 1.0 43.69909  ? 627 PHE C CD1 627 PHE C CD1 1 
ATOM 19252 C CD2 . PHE C 3 627 ? 258.611 -70.931 270.051 1.0 43.69909  ? 627 PHE C CD2 627 PHE C CD2 1 
ATOM 19253 C CE1 . PHE C 3 627 ? 257.407 -69.316 268.185 1.0 43.69909  ? 627 PHE C CE1 627 PHE C CE1 1 
ATOM 19254 C CE2 . PHE C 3 627 ? 259.378 -70.098 269.268 1.0 43.69909  ? 627 PHE C CE2 627 PHE C CE2 1 
ATOM 19255 C CZ  . PHE C 3 627 ? 258.774 -69.292 268.333 1.0 43.69909  ? 627 PHE C CZ  627 PHE C CZ  1 
ATOM 19256 N N   . THR C 3 628 ? 257.290 -71.729 273.888 1.0 48.34598  ? 628 THR C N   628 THR C N   1 
ATOM 19257 C CA  . THR C 3 628 ? 258.377 -71.562 274.853 1.0 48.34598  ? 628 THR C CA  628 THR C CA  1 
ATOM 19258 C C   . THR C 3 628 ? 258.754 -72.938 275.385 1.0 48.34598  ? 628 THR C C   628 THR C C   1 
ATOM 19259 O O   . THR C 3 628 ? 257.867 -73.733 275.699 1.0 48.34598  ? 628 THR C O   628 THR C O   1 
ATOM 19260 C CB  . THR C 3 628 ? 257.967 -70.639 276.015 1.0 48.34598  ? 628 THR C CB  628 THR C CB  1 
ATOM 19261 O OG1 . THR C 3 628 ? 257.675 -69.331 275.517 1.0 48.34598  ? 628 THR C OG1 628 THR C OG1 1 
ATOM 19262 C CG2 . THR C 3 628 ? 259.063 -70.512 277.061 1.0 48.34598  ? 628 THR C CG2 628 THR C CG2 1 
ATOM 19263 N N   . ARG C 3 629 ? 260.057 -73.219 275.473 1.0 51.63996  ? 629 ARG C N   629 ARG C N   1 
ATOM 19264 C CA  . ARG C 3 629 ? 260.536 -74.479 276.031 1.0 51.63996  ? 629 ARG C CA  629 ARG C CA  1 
ATOM 19265 C C   . ARG C 3 629 ? 260.194 -74.611 277.510 1.0 51.63996  ? 629 ARG C C   629 ARG C C   1 
ATOM 19266 O O   . ARG C 3 629 ? 260.003 -73.622 278.221 1.0 51.63996  ? 629 ARG C O   629 ARG C O   1 
ATOM 19267 C CB  . ARG C 3 629 ? 262.048 -74.595 275.854 1.0 51.63996  ? 629 ARG C CB  629 ARG C CB  1 
ATOM 19268 C CG  . ARG C 3 629 ? 262.461 -74.845 274.435 1.0 51.63996  ? 629 ARG C CG  629 ARG C CG  1 
ATOM 19269 C CD  . ARG C 3 629 ? 263.954 -74.712 274.216 1.0 51.63996  ? 629 ARG C CD  629 ARG C CD  1 
ATOM 19270 N NE  . ARG C 3 629 ? 264.770 -75.681 274.938 1.0 51.63996  ? 629 ARG C NE  629 ARG C NE  1 
ATOM 19271 C CZ  . ARG C 3 629 ? 265.028 -76.904 274.495 1.0 51.63996  ? 629 ARG C CZ  629 ARG C CZ  1 
ATOM 19272 N NH1 . ARG C 3 629 ? 264.497 -77.315 273.360 1.0 51.63996  ? 629 ARG C NH1 629 ARG C NH1 1 
ATOM 19273 N NH2 . ARG C 3 629 ? 265.794 -77.725 275.188 1.0 51.63996  ? 629 ARG C NH2 629 ARG C NH2 1 
ATOM 19274 N N   . LEU C 3 630 ? 260.117 -75.860 277.964 1.0 52.49071  ? 630 LEU C N   630 LEU C N   1 
ATOM 19275 C CA  . LEU C 3 630 ? 259.894 -76.216 279.357 1.0 52.49071  ? 630 LEU C CA  630 LEU C CA  1 
ATOM 19276 C C   . LEU C 3 630 ? 260.679 -77.483 279.643 1.0 52.49071  ? 630 LEU C C   630 LEU C C   1 
ATOM 19277 O O   . LEU C 3 630 ? 260.711 -78.385 278.808 1.0 52.49071  ? 630 LEU C O   630 LEU C O   1 
ATOM 19278 C CB  . LEU C 3 630 ? 258.415 -76.473 279.654 1.0 52.49071  ? 630 LEU C CB  630 LEU C CB  1 
ATOM 19279 C CG  . LEU C 3 630 ? 257.433 -75.316 279.596 1.0 52.49071  ? 630 LEU C CG  630 LEU C CG  1 
ATOM 19280 C CD1 . LEU C 3 630 ? 256.026 -75.835 279.723 1.0 52.49071  ? 630 LEU C CD1 630 LEU C CD1 1 
ATOM 19281 C CD2 . LEU C 3 630 ? 257.748 -74.376 280.713 1.0 52.49071  ? 630 LEU C CD2 630 LEU C CD2 1 
ATOM 19282 N N   . LYS C 3 631 ? 261.292 -77.565 280.817 1.0 54.33055  ? 631 LYS C N   631 LYS C N   1 
ATOM 19283 C CA  . LYS C 3 631 ? 262.011 -78.780 281.163 1.0 54.33055  ? 631 LYS C CA  631 LYS C CA  1 
ATOM 19284 C C   . LYS C 3 631 ? 261.030 -79.862 281.594 1.0 54.33055  ? 631 LYS C C   631 LYS C C   1 
ATOM 19285 O O   . LYS C 3 631 ? 259.904 -79.577 282.006 1.0 54.33055  ? 631 LYS C O   631 LYS C O   1 
ATOM 19286 C CB  . LYS C 3 631 ? 263.029 -78.510 282.266 1.0 54.33055  ? 631 LYS C CB  631 LYS C CB  1 
ATOM 19287 C CG  . LYS C 3 631 ? 264.156 -77.603 281.830 1.0 54.33055  ? 631 LYS C CG  631 LYS C CG  1 
ATOM 19288 C CD  . LYS C 3 631 ? 265.062 -77.231 282.982 1.0 54.33055  ? 631 LYS C CD  631 LYS C CD  1 
ATOM 19289 C CE  . LYS C 3 631 ? 265.920 -78.400 283.408 1.0 54.33055  ? 631 LYS C CE  631 LYS C CE  1 
ATOM 19290 N NZ  . LYS C 3 631 ? 266.901 -77.997 284.451 1.0 54.33055  ? 631 LYS C NZ  631 LYS C NZ  1 
ATOM 19291 N N   . VAL C 3 632 ? 261.462 -81.119 281.475 1.0 54.668    ? 632 VAL C N   632 VAL C N   1 
ATOM 19292 C CA  . VAL C 3 632 ? 260.579 -82.239 281.790 1.0 54.668    ? 632 VAL C CA  632 VAL C CA  1 
ATOM 19293 C C   . VAL C 3 632 ? 260.374 -82.353 283.295 1.0 54.668    ? 632 VAL C C   632 VAL C C   1 
ATOM 19294 O O   . VAL C 3 632 ? 259.255 -82.588 283.768 1.0 54.668    ? 632 VAL C O   632 VAL C O   1 
ATOM 19295 C CB  . VAL C 3 632 ? 261.136 -83.541 281.184 1.0 54.668    ? 632 VAL C CB  632 VAL C CB  1 
ATOM 19296 C CG1 . VAL C 3 632 ? 260.313 -84.747 281.612 1.0 54.668    ? 632 VAL C CG1 632 VAL C CG1 1 
ATOM 19297 C CG2 . VAL C 3 632 ? 261.154 -83.447 279.677 1.0 54.668    ? 632 VAL C CG2 632 VAL C CG2 1 
ATOM 19298 N N   . SER C 3 633 ? 261.440 -82.159 284.074 1.0 54.18835  ? 633 SER C N   633 SER C N   1 
ATOM 19299 C CA  . SER C 3 633 ? 261.321 -82.228 285.524 1.0 54.18835  ? 633 SER C CA  633 SER C CA  1 
ATOM 19300 C C   . SER C 3 633 ? 260.546 -81.053 286.100 1.0 54.18835  ? 633 SER C C   633 SER C C   1 
ATOM 19301 O O   . SER C 3 633 ? 259.985 -81.173 287.192 1.0 54.18835  ? 633 SER C O   633 SER C O   1 
ATOM 19302 C CB  . SER C 3 633 ? 262.707 -82.290 286.161 1.0 54.18835  ? 633 SER C CB  633 SER C CB  1 
ATOM 19303 O OG  . SER C 3 633 ? 263.414 -81.084 285.951 1.0 54.18835  ? 633 SER C OG  633 SER C OG  1 
ATOM 19304 N N   . GLU C 3 634 ? 260.492 -79.929 285.390 1.0 54.9864   ? 634 GLU C N   634 GLU C N   1 
ATOM 19305 C CA  . GLU C 3 634 ? 259.733 -78.779 285.861 1.0 54.9864   ? 634 GLU C CA  634 GLU C CA  1 
ATOM 19306 C C   . GLU C 3 634 ? 258.233 -78.975 285.696 1.0 54.9864   ? 634 GLU C C   634 GLU C C   1 
ATOM 19307 O O   . GLU C 3 634 ? 257.459 -78.529 286.548 1.0 54.9864   ? 634 GLU C O   634 GLU C O   1 
ATOM 19308 C CB  . GLU C 3 634 ? 260.162 -77.527 285.099 1.0 54.9864   ? 634 GLU C CB  634 GLU C CB  1 
ATOM 19309 C CG  . GLU C 3 634 ? 261.608 -77.114 285.314 1.0 54.9864   ? 634 GLU C CG  634 GLU C CG  1 
ATOM 19310 C CD  . GLU C 3 634 ? 261.854 -76.445 286.639 1.0 54.9864   ? 634 GLU C CD  634 GLU C CD  1 
ATOM 19311 O OE1 . GLU C 3 634 ? 260.970 -75.692 287.094 1.0 54.9864   ? 634 GLU C OE1 634 GLU C OE1 1 
ATOM 19312 O OE2 . GLU C 3 634 ? 262.934 -76.665 287.225 1.0 54.9864   ? 634 GLU C OE2 634 GLU C OE2 1 
ATOM 19313 N N   . THR C 3 635 ? 257.809 -79.636 284.622 1.0 55.05326  ? 635 THR C N   635 THR C N   1 
ATOM 19314 C CA  . THR C 3 635 ? 256.415 -79.669 284.207 1.0 55.05326  ? 635 THR C CA  635 THR C CA  1 
ATOM 19315 C C   . THR C 3 635 ? 255.778 -81.010 284.529 1.0 55.05326  ? 635 THR C C   635 THR C C   1 
ATOM 19316 O O   . THR C 3 635 ? 256.330 -82.056 284.159 1.0 55.05326  ? 635 THR C O   635 THR C O   1 
ATOM 19317 C CB  . THR C 3 635 ? 256.313 -79.390 282.705 1.0 55.05326  ? 635 THR C CB  635 THR C CB  1 
ATOM 19318 O OG1 . THR C 3 635 ? 256.808 -78.075 282.433 1.0 55.05326  ? 635 THR C OG1 635 THR C OG1 1 
ATOM 19319 C CG2 . THR C 3 635 ? 254.883 -79.487 282.225 1.0 55.05326  ? 635 THR C CG2 635 THR C CG2 1 
ATOM 19320 N N   . PRO C 3 636 ? 254.621 -81.028 285.205 1.0 59.36757  ? 636 PRO C N   636 PRO C N   1 
ATOM 19321 C CA  . PRO C 3 636 ? 253.960 -82.298 285.513 1.0 59.36757  ? 636 PRO C CA  636 PRO C CA  1 
ATOM 19322 C C   . PRO C 3 636 ? 253.164 -82.835 284.340 1.0 59.36757  ? 636 PRO C C   636 PRO C C   1 
ATOM 19323 O O   . PRO C 3 636 ? 253.202 -82.279 283.238 1.0 59.36757  ? 636 PRO C O   636 PRO C O   1 
ATOM 19324 C CB  . PRO C 3 636 ? 253.033 -81.927 286.671 1.0 59.36757  ? 636 PRO C CB  636 PRO C CB  1 
ATOM 19325 C CG  . PRO C 3 636 ? 252.677 -80.521 286.388 1.0 59.36757  ? 636 PRO C CG  636 PRO C CG  1 
ATOM 19326 C CD  . PRO C 3 636 ? 253.900 -79.888 285.793 1.0 59.36757  ? 636 PRO C CD  636 PRO C CD  1 
ATOM 19327 N N   . ARG C 3 637 ? 252.428 -83.916 284.573 1.0 63.19181  ? 637 ARG C N   637 ARG C N   1 
ATOM 19328 C CA  . ARG C 3 637 ? 251.493 -84.475 283.603 1.0 63.19181  ? 637 ARG C CA  637 ARG C CA  1 
ATOM 19329 C C   . ARG C 3 637 ? 250.110 -84.395 284.239 1.0 63.19181  ? 637 ARG C C   637 ARG C C   1 
ATOM 19330 O O   . ARG C 3 637 ? 249.703 -85.287 284.987 1.0 63.19181  ? 637 ARG C O   637 ARG C O   1 
ATOM 19331 C CB  . ARG C 3 637 ? 251.872 -85.904 283.225 1.0 63.19181  ? 637 ARG C CB  637 ARG C CB  1 
ATOM 19332 C CG  . ARG C 3 637 ? 250.941 -86.552 282.218 1.0 63.19181  ? 637 ARG C CG  637 ARG C CG  1 
ATOM 19333 C CD  . ARG C 3 637 ? 250.994 -85.841 280.879 1.0 63.19181  ? 637 ARG C CD  637 ARG C CD  1 
ATOM 19334 N NE  . ARG C 3 637 ? 252.294 -85.980 280.229 1.0 63.19181  ? 637 ARG C NE  637 ARG C NE  1 
ATOM 19335 C CZ  . ARG C 3 637 ? 252.679 -85.273 279.173 1.0 63.19181  ? 637 ARG C CZ  637 ARG C CZ  1 
ATOM 19336 N NH1 . ARG C 3 637 ? 251.866 -84.370 278.643 1.0 63.19181  ? 637 ARG C NH1 637 ARG C NH1 1 
ATOM 19337 N NH2 . ARG C 3 637 ? 253.879 -85.468 278.644 1.0 63.19181  ? 637 ARG C NH2 637 ARG C NH2 1 
ATOM 19338 N N   . ILE C 3 638 ? 249.399 -83.309 283.961 1.0 61.86867  ? 638 ILE C N   638 ILE C N   1 
ATOM 19339 C CA  . ILE C 3 638 ? 248.054 -83.120 284.490 1.0 61.86867  ? 638 ILE C CA  638 ILE C CA  1 
ATOM 19340 C C   . ILE C 3 638 ? 247.080 -83.937 283.654 1.0 61.86867  ? 638 ILE C C   638 ILE C C   1 
ATOM 19341 O O   . ILE C 3 638 ? 247.083 -83.858 282.420 1.0 61.86867  ? 638 ILE C O   638 ILE C O   1 
ATOM 19342 C CB  . ILE C 3 638 ? 247.677 -81.631 284.498 1.0 61.86867  ? 638 ILE C CB  638 ILE C CB  1 
ATOM 19343 C CG1 . ILE C 3 638 ? 248.615 -80.859 285.417 1.0 61.86867  ? 638 ILE C CG1 638 ILE C CG1 1 
ATOM 19344 C CG2 . ILE C 3 638 ? 246.251 -81.432 284.963 1.0 61.86867  ? 638 ILE C CG2 638 ILE C CG2 1 
ATOM 19345 C CD1 . ILE C 3 638 ? 248.449 -79.375 285.314 1.0 61.86867  ? 638 ILE C CD1 638 ILE C CD1 1 
ATOM 19346 N N   . GLY C 3 639 ? 246.247 -84.727 284.322 1.0 62.67701  ? 639 GLY C N   639 GLY C N   1 
ATOM 19347 C CA  . GLY C 3 639 ? 245.327 -85.607 283.634 1.0 62.67701  ? 639 GLY C CA  639 GLY C CA  1 
ATOM 19348 C C   . GLY C 3 639 ? 245.162 -86.914 284.377 1.0 62.67701  ? 639 GLY C C   639 GLY C C   1 
ATOM 19349 O O   . GLY C 3 639 ? 244.326 -87.748 284.019 1.0 62.67701  ? 639 GLY C O   639 GLY C O   1 
ATOM 19350 N N   . ALA C 3 640 ? 245.968 -87.100 285.414 1.0 63.59693  ? 640 ALA C N   640 ALA C N   1 
ATOM 19351 C CA  . ALA C 3 640 ? 245.881 -88.254 286.290 1.0 63.59693  ? 640 ALA C CA  640 ALA C CA  1 
ATOM 19352 C C   . ALA C 3 640 ? 245.482 -87.805 287.688 1.0 63.59693  ? 640 ALA C C   640 ALA C C   1 
ATOM 19353 O O   . ALA C 3 640 ? 245.490 -86.616 288.012 1.0 63.59693  ? 640 ALA C O   640 ALA C O   1 
ATOM 19354 C CB  . ALA C 3 640 ? 247.213 -89.009 286.329 1.0 63.59693  ? 640 ALA C CB  640 ALA C CB  1 
ATOM 19355 N N   . THR C 3 641 ? 245.116 -88.781 288.519 1.0 61.33127  ? 641 THR C N   641 THR C N   1 
ATOM 19356 C CA  . THR C 3 641 ? 244.835 -88.485 289.919 1.0 61.33127  ? 641 THR C CA  641 THR C CA  1 
ATOM 19357 C C   . THR C 3 641 ? 246.120 -88.162 290.665 1.0 61.33127  ? 641 THR C C   641 THR C C   1 
ATOM 19358 O O   . THR C 3 641 ? 246.146 -87.284 291.534 1.0 61.33127  ? 641 THR C O   641 THR C O   1 
ATOM 19359 C CB  . THR C 3 641 ? 244.131 -89.668 290.578 1.0 61.33127  ? 641 THR C CB  641 THR C CB  1 
ATOM 19360 O OG1 . THR C 3 641 ? 245.027 -90.783 290.622 1.0 61.33127  ? 641 THR C OG1 641 THR C OG1 1 
ATOM 19361 C CG2 . THR C 3 641 ? 242.907 -90.067 289.781 1.0 61.33127  ? 641 THR C CG2 641 THR C CG2 1 
ATOM 19362 N N   . GLN C 3 642 ? 247.197 -88.864 290.332 1.0 64.32863  ? 642 GLN C N   642 GLN C N   1 
ATOM 19363 C CA  . GLN C 3 642 ? 248.481 -88.744 291.001 1.0 64.32863  ? 642 GLN C CA  642 GLN C CA  1 
ATOM 19364 C C   . GLN C 3 642 ? 249.586 -88.881 289.969 1.0 64.32863  ? 642 GLN C C   642 GLN C C   1 
ATOM 19365 O O   . GLN C 3 642 ? 249.515 -89.738 289.084 1.0 64.32863  ? 642 GLN C O   642 GLN C O   1 
ATOM 19366 C CB  . GLN C 3 642 ? 248.633 -89.818 292.083 1.0 64.32863  ? 642 GLN C CB  642 GLN C CB  1 
ATOM 19367 C CG  . GLN C 3 642 ? 249.929 -89.768 292.870 1.0 64.32863  ? 642 GLN C CG  642 GLN C CG  1 
ATOM 19368 C CD  . GLN C 3 642 ? 250.043 -88.531 293.730 1.0 64.32863  ? 642 GLN C CD  642 GLN C CD  1 
ATOM 19369 O OE1 . GLN C 3 642 ? 249.066 -88.083 294.327 1.0 64.32863  ? 642 GLN C OE1 642 GLN C OE1 1 
ATOM 19370 N NE2 . GLN C 3 642 ? 251.244 -87.976 293.809 1.0 64.32863  ? 642 GLN C NE2 642 GLN C NE2 1 
ATOM 19371 N N   . ASP C 3 643 ? 250.602 -88.034 290.076 1.0 64.36797  ? 643 ASP C N   643 ASP C N   1 
ATOM 19372 C CA  . ASP C 3 643 ? 251.734 -88.097 289.163 1.0 64.36797  ? 643 ASP C CA  643 ASP C CA  1 
ATOM 19373 C C   . ASP C 3 643 ? 252.914 -88.723 289.893 1.0 64.36797  ? 643 ASP C C   643 ASP C C   1 
ATOM 19374 O O   . ASP C 3 643 ? 253.507 -88.075 290.770 1.0 64.36797  ? 643 ASP C O   643 ASP C O   1 
ATOM 19375 C CB  . ASP C 3 643 ? 252.092 -86.702 288.653 1.0 64.36797  ? 643 ASP C CB  643 ASP C CB  1 
ATOM 19376 C CG  . ASP C 3 643 ? 252.953 -86.737 287.411 1.0 64.36797  ? 643 ASP C CG  643 ASP C CG  1 
ATOM 19377 O OD1 . ASP C 3 643 ? 253.273 -87.844 286.934 1.0 64.36797  ? 643 ASP C OD1 643 ASP C OD1 1 
ATOM 19378 O OD2 . ASP C 3 643 ? 253.304 -85.652 286.904 1.0 64.36797  ? 643 ASP C OD2 643 ASP C OD2 1 
ATOM 19379 N N   . PRO C 3 644 ? 253.282 -89.969 289.587 1.0 64.63435  ? 644 PRO C N   644 PRO C N   1 
ATOM 19380 C CA  . PRO C 3 644 ? 254.365 -90.623 290.330 1.0 64.63435  ? 644 PRO C CA  644 PRO C CA  1 
ATOM 19381 C C   . PRO C 3 644 ? 255.755 -90.243 289.858 1.0 64.63435  ? 644 PRO C C   644 PRO C C   1 
ATOM 19382 O O   . PRO C 3 644 ? 256.724 -90.492 290.586 1.0 64.63435  ? 644 PRO C O   644 PRO C O   1 
ATOM 19383 C CB  . PRO C 3 644 ? 254.100 -92.109 290.080 1.0 64.63435  ? 644 PRO C CB  644 PRO C CB  1 
ATOM 19384 C CG  . PRO C 3 644 ? 253.470 -92.130 288.732 1.0 64.63435  ? 644 PRO C CG  644 PRO C CG  1 
ATOM 19385 C CD  . PRO C 3 644 ? 252.637 -90.883 288.632 1.0 64.63435  ? 644 PRO C CD  644 PRO C CD  1 
ATOM 19386 N N   . ASN C 3 645 ? 255.885 -89.660 288.671 1.0 64.05936  ? 645 ASN C N   645 ASN C N   1 
ATOM 19387 C CA  . ASN C 3 645 ? 257.174 -89.276 288.111 1.0 64.05936  ? 645 ASN C CA  645 ASN C CA  1 
ATOM 19388 C C   . ASN C 3 645 ? 257.384 -87.770 288.188 1.0 64.05936  ? 645 ASN C C   645 ASN C C   1 
ATOM 19389 O O   . ASN C 3 645 ? 257.973 -87.163 287.293 1.0 64.05936  ? 645 ASN C O   645 ASN C O   1 
ATOM 19390 C CB  . ASN C 3 645 ? 257.297 -89.752 286.668 1.0 64.05936  ? 645 ASN C CB  645 ASN C CB  1 
ATOM 19391 C CG  . ASN C 3 645 ? 257.408 -91.255 286.562 1.0 64.05936  ? 645 ASN C CG  645 ASN C CG  1 
ATOM 19392 O OD1 . ASN C 3 645 ? 258.117 -91.893 287.340 1.0 64.05936  ? 645 ASN C OD1 645 ASN C OD1 1 
ATOM 19393 N ND2 . ASN C 3 645 ? 256.704 -91.832 285.597 1.0 64.05936  ? 645 ASN C ND2 645 ASN C ND2 1 
ATOM 19394 N N   . PHE C 3 646 ? 256.902 -87.152 289.260 1.0 60.02759  ? 646 PHE C N   646 PHE C N   1 
ATOM 19395 C CA  . PHE C 3 646 ? 256.985 -85.707 289.452 1.0 60.02759  ? 646 PHE C CA  646 PHE C CA  1 
ATOM 19396 C C   . PHE C 3 646 ? 257.721 -85.458 290.763 1.0 60.02759  ? 646 PHE C C   646 PHE C C   1 
ATOM 19397 O O   . PHE C 3 646 ? 257.111 -85.386 291.832 1.0 60.02759  ? 646 PHE C O   646 PHE C O   1 
ATOM 19398 C CB  . PHE C 3 646 ? 255.605 -85.090 289.443 1.0 60.02759  ? 646 PHE C CB  646 PHE C CB  1 
ATOM 19399 C CG  . PHE C 3 646 ? 255.609 -83.603 289.535 1.0 60.02759  ? 646 PHE C CG  646 PHE C CG  1 
ATOM 19400 C CD1 . PHE C 3 646 ? 256.109 -82.843 288.496 1.0 60.02759  ? 646 PHE C CD1 646 PHE C CD1 1 
ATOM 19401 C CD2 . PHE C 3 646 ? 255.069 -82.963 290.633 1.0 60.02759  ? 646 PHE C CD2 646 PHE C CD2 1 
ATOM 19402 C CE1 . PHE C 3 646 ? 256.106 -81.474 288.567 1.0 60.02759  ? 646 PHE C CE1 646 PHE C CE1 1 
ATOM 19403 C CE2 . PHE C 3 646 ? 255.055 -81.591 290.705 1.0 60.02759  ? 646 PHE C CE2 646 PHE C CE2 1 
ATOM 19404 C CZ  . PHE C 3 646 ? 255.580 -80.850 289.673 1.0 60.02759  ? 646 PHE C CZ  646 PHE C CZ  1 
ATOM 19405 N N   . GLN C 3 647 ? 259.041 -85.320 290.667 1.0 59.83304  ? 647 GLN C N   647 GLN C N   1 
ATOM 19406 C CA  . GLN C 3 647 ? 259.930 -85.272 291.819 1.0 59.83304  ? 647 GLN C CA  647 GLN C CA  1 
ATOM 19407 C C   . GLN C 3 647 ? 260.414 -83.856 292.106 1.0 59.83304  ? 647 GLN C C   647 GLN C C   1 
ATOM 19408 O O   . GLN C 3 647 ? 261.561 -83.665 292.520 1.0 59.83304  ? 647 GLN C O   647 GLN C O   1 
ATOM 19409 C CB  . GLN C 3 647 ? 261.120 -86.198 291.579 1.0 59.83304  ? 647 GLN C CB  647 GLN C CB  1 
ATOM 19410 C CG  . GLN C 3 647 ? 260.744 -87.636 291.276 1.0 59.83304  ? 647 GLN C CG  647 GLN C CG  1 
ATOM 19411 C CD  . GLN C 3 647 ? 260.287 -88.394 292.488 1.0 59.83304  ? 647 GLN C CD  647 GLN C CD  1 
ATOM 19412 O OE1 . GLN C 3 647 ? 260.901 -88.294 293.548 1.0 59.83304  ? 647 GLN C OE1 647 GLN C OE1 1 
ATOM 19413 N NE2 . GLN C 3 647 ? 259.215 -89.156 292.349 1.0 59.83304  ? 647 GLN C NE2 647 GLN C NE2 1 
ATOM 19414 N N   . TYR C 3 648 ? 259.562 -82.858 291.895 1.0 54.92399  ? 648 TYR C N   648 TYR C N   1 
ATOM 19415 C CA  . TYR C 3 648 ? 259.977 -81.464 291.904 1.0 54.92399  ? 648 TYR C CA  648 TYR C CA  1 
ATOM 19416 C C   . TYR C 3 648 ? 258.890 -80.621 292.546 1.0 54.92399  ? 648 TYR C C   648 TYR C C   1 
ATOM 19417 O O   . TYR C 3 648 ? 257.708 -80.960 292.479 1.0 54.92399  ? 648 TYR C O   648 TYR C O   1 
ATOM 19418 C CB  . TYR C 3 648 ? 260.247 -80.981 290.480 1.0 54.92399  ? 648 TYR C CB  648 TYR C CB  1 
ATOM 19419 C CG  . TYR C 3 648 ? 260.694 -79.552 290.344 1.0 54.92399  ? 648 TYR C CG  648 TYR C CG  1 
ATOM 19420 C CD1 . TYR C 3 648 ? 261.986 -79.178 290.675 1.0 54.92399  ? 648 TYR C CD1 648 TYR C CD1 1 
ATOM 19421 C CD2 . TYR C 3 648 ? 259.834 -78.584 289.856 1.0 54.92399  ? 648 TYR C CD2 648 TYR C CD2 1 
ATOM 19422 C CE1 . TYR C 3 648 ? 262.405 -77.872 290.537 1.0 54.92399  ? 648 TYR C CE1 648 TYR C CE1 1 
ATOM 19423 C CE2 . TYR C 3 648 ? 260.241 -77.281 289.716 1.0 54.92399  ? 648 TYR C CE2 648 TYR C CE2 1 
ATOM 19424 C CZ  . TYR C 3 648 ? 261.528 -76.926 290.059 1.0 54.92399  ? 648 TYR C CZ  648 TYR C CZ  1 
ATOM 19425 O OH  . TYR C 3 648 ? 261.945 -75.620 289.922 1.0 54.92399  ? 648 TYR C OH  648 TYR C OH  1 
ATOM 19426 N N   . SER C 3 649 ? 259.292 -79.518 293.171 1.0 53.64863  ? 649 SER C N   649 SER C N   1 
ATOM 19427 C CA  . SER C 3 649 ? 258.318 -78.704 293.883 1.0 53.64863  ? 649 SER C CA  649 SER C CA  1 
ATOM 19428 C C   . SER C 3 649 ? 258.518 -77.205 293.728 1.0 53.64863  ? 649 SER C C   649 SER C C   1 
ATOM 19429 O O   . SER C 3 649 ? 257.856 -76.442 294.438 1.0 53.64863  ? 649 SER C O   649 SER C O   1 
ATOM 19430 C CB  . SER C 3 649 ? 258.348 -79.044 295.362 1.0 53.64863  ? 649 SER C CB  649 SER C CB  1 
ATOM 19431 O OG  . SER C 3 649 ? 259.611 -78.702 295.892 1.0 53.64863  ? 649 SER C OG  649 SER C OG  1 
ATOM 19432 N N   . GLY C 3 650 ? 259.388 -76.755 292.838 1.0 54.13778  ? 650 GLY C N   650 GLY C N   1 
ATOM 19433 C CA  . GLY C 3 650 ? 259.630 -75.339 292.666 1.0 54.13778  ? 650 GLY C CA  650 GLY C CA  1 
ATOM 19434 C C   . GLY C 3 650 ? 258.558 -74.664 291.834 1.0 54.13778  ? 650 GLY C C   650 GLY C C   1 
ATOM 19435 O O   . GLY C 3 650 ? 257.410 -75.109 291.760 1.0 54.13778  ? 650 GLY C O   650 GLY C O   1 
ATOM 19436 N N   . SER C 3 651 ? 258.941 -73.557 291.208 1.0 53.18906  ? 651 SER C N   651 SER C N   1 
ATOM 19437 C CA  . SER C 3 651 ? 258.013 -72.821 290.364 1.0 53.18906  ? 651 SER C CA  651 SER C CA  1 
ATOM 19438 C C   . SER C 3 651 ? 257.835 -73.565 289.051 1.0 53.18906  ? 651 SER C C   651 SER C C   1 
ATOM 19439 O O   . SER C 3 651 ? 258.816 -73.903 288.385 1.0 53.18906  ? 651 SER C O   651 SER C O   1 
ATOM 19440 C CB  . SER C 3 651 ? 258.517 -71.405 290.110 1.0 53.18906  ? 651 SER C CB  651 SER C CB  1 
ATOM 19441 O OG  . SER C 3 651 ? 259.666 -71.417 289.286 1.0 53.18906  ? 651 SER C OG  651 SER C OG  1 
ATOM 19442 N N   . ILE C 3 652 ? 256.584 -73.836 288.691 1.0 51.71393  ? 652 ILE C N   652 ILE C N   1 
ATOM 19443 C CA  . ILE C 3 652 ? 256.254 -74.607 287.496 1.0 51.71393  ? 652 ILE C CA  652 ILE C CA  1 
ATOM 19444 C C   . ILE C 3 652 ? 255.802 -73.624 286.422 1.0 51.71393  ? 652 ILE C C   652 ILE C C   1 
ATOM 19445 O O   . ILE C 3 652 ? 254.671 -73.123 286.502 1.0 51.71393  ? 652 ILE C O   652 ILE C O   1 
ATOM 19446 C CB  . ILE C 3 652 ? 255.157 -75.638 287.769 1.0 51.71393  ? 652 ILE C CB  652 ILE C CB  1 
ATOM 19447 C CG1 . ILE C 3 652 ? 255.594 -76.625 288.835 1.0 51.71393  ? 652 ILE C CG1 652 ILE C CG1 1 
ATOM 19448 C CG2 . ILE C 3 652 ? 254.830 -76.382 286.501 1.0 51.71393  ? 652 ILE C CG2 652 ILE C CG2 1 
ATOM 19449 C CD1 . ILE C 3 652 ? 254.475 -77.498 289.282 1.0 51.71393  ? 652 ILE C CD1 652 ILE C CD1 1 
ATOM 19450 N N   . PRO C 3 653 ? 256.610 -73.355 285.393 1.0 51.0064   ? 653 PRO C N   653 PRO C N   1 
ATOM 19451 C CA  . PRO C 3 653 ? 256.224 -72.339 284.404 1.0 51.0064   ? 653 PRO C CA  653 PRO C CA  1 
ATOM 19452 C C   . PRO C 3 653 ? 255.070 -72.750 283.510 1.0 51.0064   ? 653 PRO C C   653 PRO C C   1 
ATOM 19453 O O   . PRO C 3 653 ? 254.532 -71.894 282.802 1.0 51.0064   ? 653 PRO C O   653 PRO C O   1 
ATOM 19454 C CB  . PRO C 3 653 ? 257.506 -72.138 283.592 1.0 51.0064   ? 653 PRO C CB  653 PRO C CB  1 
ATOM 19455 C CG  . PRO C 3 653 ? 258.597 -72.663 284.455 1.0 51.0064   ? 653 PRO C CG  653 PRO C CG  1 
ATOM 19456 C CD  . PRO C 3 653 ? 257.995 -73.803 285.199 1.0 51.0064   ? 653 PRO C CD  653 PRO C CD  1 
ATOM 19457 N N   . TYR C 3 654 ? 254.662 -74.014 283.528 1.0 51.45763  ? 654 TYR C N   654 TYR C N   1 
ATOM 19458 C CA  . TYR C 3 654 ? 253.507 -74.429 282.749 1.0 51.45763  ? 654 TYR C CA  654 TYR C CA  1 
ATOM 19459 C C   . TYR C 3 654 ? 252.196 -74.015 283.401 1.0 51.45763  ? 654 TYR C C   654 TYR C C   1 
ATOM 19460 O O   . TYR C 3 654 ? 251.202 -73.798 282.702 1.0 51.45763  ? 654 TYR C O   654 TYR C O   1 
ATOM 19461 C CB  . TYR C 3 654 ? 253.551 -75.942 282.538 1.0 51.45763  ? 654 TYR C CB  654 TYR C CB  1 
ATOM 19462 C CG  . TYR C 3 654 ? 252.395 -76.472 281.740 1.0 51.45763  ? 654 TYR C CG  654 TYR C CG  1 
ATOM 19463 C CD1 . TYR C 3 654 ? 252.238 -76.125 280.411 1.0 51.45763  ? 654 TYR C CD1 654 TYR C CD1 1 
ATOM 19464 C CD2 . TYR C 3 654 ? 251.478 -77.344 282.306 1.0 51.45763  ? 654 TYR C CD2 654 TYR C CD2 1 
ATOM 19465 C CE1 . TYR C 3 654 ? 251.181 -76.605 279.672 1.0 51.45763  ? 654 TYR C CE1 654 TYR C CE1 1 
ATOM 19466 C CE2 . TYR C 3 654 ? 250.420 -77.835 281.576 1.0 51.45763  ? 654 TYR C CE2 654 TYR C CE2 1 
ATOM 19467 C CZ  . TYR C 3 654 ? 250.277 -77.463 280.259 1.0 51.45763  ? 654 TYR C CZ  654 TYR C CZ  1 
ATOM 19468 O OH  . TYR C 3 654 ? 249.221 -77.951 279.525 1.0 51.45763  ? 654 TYR C OH  654 TYR C OH  1 
ATOM 19469 N N   . LEU C 3 655 ? 252.174 -73.869 284.722 1.0 52.45588  ? 655 LEU C N   655 LEU C N   1 
ATOM 19470 C CA  . LEU C 3 655 ? 250.931 -73.625 285.444 1.0 52.45588  ? 655 LEU C CA  655 LEU C CA  1 
ATOM 19471 C C   . LEU C 3 655 ? 250.686 -72.150 285.743 1.0 52.45588  ? 655 LEU C C   655 LEU C C   1 
ATOM 19472 O O   . LEU C 3 655 ? 249.572 -71.668 285.531 1.0 52.45588  ? 655 LEU C O   655 LEU C O   1 
ATOM 19473 C CB  . LEU C 3 655 ? 250.900 -74.450 286.739 1.0 52.45588  ? 655 LEU C CB  655 LEU C CB  1 
ATOM 19474 C CG  . LEU C 3 655 ? 250.310 -75.871 286.688 1.0 52.45588  ? 655 LEU C CG  655 LEU C CG  1 
ATOM 19475 C CD1 . LEU C 3 655 ? 251.128 -76.824 285.856 1.0 52.45588  ? 655 LEU C CD1 655 LEU C CD1 1 
ATOM 19476 C CD2 . LEU C 3 655 ? 250.175 -76.451 288.085 1.0 52.45588  ? 655 LEU C CD2 655 LEU C CD2 1 
ATOM 19477 N N   . ASP C 3 656 ? 251.687 -71.413 286.229 1.0 51.86843  ? 656 ASP C N   656 ASP C N   1 
ATOM 19478 C CA  . ASP C 3 656 ? 251.495 -69.995 286.517 1.0 51.86843  ? 656 ASP C CA  656 ASP C CA  1 
ATOM 19479 C C   . ASP C 3 656 ? 252.234 -69.073 285.555 1.0 51.86843  ? 656 ASP C C   656 ASP C C   1 
ATOM 19480 O O   . ASP C 3 656 ? 252.213 -67.854 285.751 1.0 51.86843  ? 656 ASP C O   656 ASP C O   1 
ATOM 19481 C CB  . ASP C 3 656 ? 251.869 -69.672 287.970 1.0 51.86843  ? 656 ASP C CB  656 ASP C CB  1 
ATOM 19482 C CG  . ASP C 3 656 ? 253.290 -70.045 288.326 1.0 51.86843  ? 656 ASP C CG  656 ASP C CG  1 
ATOM 19483 O OD1 . ASP C 3 656 ? 253.995 -70.594 287.473 1.0 51.86843  ? 656 ASP C OD1 656 ASP C OD1 1 
ATOM 19484 O OD2 . ASP C 3 656 ? 253.702 -69.801 289.481 1.0 51.86843  ? 656 ASP C OD2 656 ASP C OD2 1 
ATOM 19485 N N   . GLY C 3 657 ? 252.875 -69.618 284.525 1.0 49.98787  ? 657 GLY C N   657 GLY C N   1 
ATOM 19486 C CA  . GLY C 3 657 ? 253.484 -68.808 283.489 1.0 49.98787  ? 657 GLY C CA  657 GLY C CA  1 
ATOM 19487 C C   . GLY C 3 657 ? 254.669 -67.997 283.953 1.0 49.98787  ? 657 GLY C C   657 GLY C C   1 
ATOM 19488 O O   . GLY C 3 657 ? 254.662 -66.767 283.872 1.0 49.98787  ? 657 GLY C O   657 GLY C O   1 
ATOM 19489 N N   . THR C 3 658 ? 255.694 -68.679 284.444 1.0 50.15802  ? 658 THR C N   658 THR C N   1 
ATOM 19490 C CA  . THR C 3 658 ? 256.862 -67.996 284.967 1.0 50.15802  ? 658 THR C CA  658 THR C CA  1 
ATOM 19491 C C   . THR C 3 658 ? 258.081 -68.419 284.147 1.0 50.15802  ? 658 THR C C   658 THR C C   1 
ATOM 19492 O O   . THR C 3 658 ? 259.146 -68.741 284.682 1.0 50.15802  ? 658 THR C O   658 THR C O   1 
ATOM 19493 C CB  . THR C 3 658 ? 256.971 -68.250 286.480 1.0 50.15802  ? 658 THR C CB  658 THR C CB  1 
ATOM 19494 O OG1 . THR C 3 658 ? 258.074 -67.526 287.017 1.0 50.15802  ? 658 THR C OG1 658 THR C OG1 1 
ATOM 19495 C CG2 . THR C 3 658 ? 257.066 -69.727 286.857 1.0 50.15802  ? 658 THR C CG2 658 THR C CG2 1 
ATOM 19496 N N   . PHE C 3 659 ? 257.912 -68.364 282.823 1.0 48.74754  ? 659 PHE C N   659 PHE C N   1 
ATOM 19497 C CA  . PHE C 3 659 ? 258.845 -68.936 281.859 1.0 48.74754  ? 659 PHE C CA  659 PHE C CA  1 
ATOM 19498 C C   . PHE C 3 659 ? 260.210 -68.260 281.905 1.0 48.74754  ? 659 PHE C C   659 PHE C C   1 
ATOM 19499 O O   . PHE C 3 659 ? 260.336 -67.080 282.236 1.0 48.74754  ? 659 PHE C O   659 PHE C O   1 
ATOM 19500 C CB  . PHE C 3 659 ? 258.287 -68.796 280.448 1.0 48.74754  ? 659 PHE C CB  659 PHE C CB  1 
ATOM 19501 C CG  . PHE C 3 659 ? 256.980 -69.484 280.242 1.0 48.74754  ? 659 PHE C CG  659 PHE C CG  1 
ATOM 19502 C CD1 . PHE C 3 659 ? 256.928 -70.845 280.013 1.0 48.74754  ? 659 PHE C CD1 659 PHE C CD1 1 
ATOM 19503 C CD2 . PHE C 3 659 ? 255.798 -68.765 280.267 1.0 48.74754  ? 659 PHE C CD2 659 PHE C CD2 1 
ATOM 19504 C CE1 . PHE C 3 659 ? 255.721 -71.478 279.815 1.0 48.74754  ? 659 PHE C CE1 659 PHE C CE1 1 
ATOM 19505 C CE2 . PHE C 3 659 ? 254.592 -69.390 280.075 1.0 48.74754  ? 659 PHE C CE2 659 PHE C CE2 1 
ATOM 19506 C CZ  . PHE C 3 659 ? 254.553 -70.747 279.847 1.0 48.74754  ? 659 PHE C CZ  659 PHE C CZ  1 
ATOM 19507 N N   . TYR C 3 660 ? 261.238 -69.032 281.563 1.0 50.40629  ? 660 TYR C N   660 TYR C N   1 
ATOM 19508 C CA  . TYR C 3 660 ? 262.599 -68.523 281.518 1.0 50.40629  ? 660 TYR C CA  660 TYR C CA  1 
ATOM 19509 C C   . TYR C 3 660 ? 263.417 -69.082 280.364 1.0 50.40629  ? 660 TYR C C   660 TYR C C   1 
ATOM 19510 O O   . TYR C 3 660 ? 264.611 -68.784 280.284 1.0 50.40629  ? 660 TYR C O   660 TYR C O   1 
ATOM 19511 C CB  . TYR C 3 660 ? 263.318 -68.812 282.846 1.0 50.40629  ? 660 TYR C CB  660 TYR C CB  1 
ATOM 19512 C CG  . TYR C 3 660 ? 263.484 -70.278 283.171 1.0 50.40629  ? 660 TYR C CG  660 TYR C CG  1 
ATOM 19513 C CD1 . TYR C 3 660 ? 262.474 -70.986 283.804 1.0 50.40629  ? 660 TYR C CD1 660 TYR C CD1 1 
ATOM 19514 C CD2 . TYR C 3 660 ? 264.666 -70.945 282.882 1.0 50.40629  ? 660 TYR C CD2 660 TYR C CD2 1 
ATOM 19515 C CE1 . TYR C 3 660 ? 262.619 -72.319 284.107 1.0 50.40629  ? 660 TYR C CE1 660 TYR C CE1 1 
ATOM 19516 C CE2 . TYR C 3 660 ? 264.821 -72.279 283.186 1.0 50.40629  ? 660 TYR C CE2 660 TYR C CE2 1 
ATOM 19517 C CZ  . TYR C 3 660 ? 263.794 -72.958 283.798 1.0 50.40629  ? 660 TYR C CZ  660 TYR C CZ  1 
ATOM 19518 O OH  . TYR C 3 660 ? 263.941 -74.287 284.107 1.0 50.40629  ? 660 TYR C OH  660 TYR C OH  1 
ATOM 19519 N N   . LEU C 3 661 ? 262.830 -69.886 279.485 1.0 48.94386  ? 661 LEU C N   661 LEU C N   1 
ATOM 19520 C CA  . LEU C 3 661 ? 263.535 -70.495 278.366 1.0 48.94386  ? 661 LEU C CA  661 LEU C CA  1 
ATOM 19521 C C   . LEU C 3 661 ? 262.978 -70.008 277.039 1.0 48.94386  ? 661 LEU C C   661 LEU C C   1 
ATOM 19522 O O   . LEU C 3 661 ? 262.745 -70.788 276.116 1.0 48.94386  ? 661 LEU C O   661 LEU C O   1 
ATOM 19523 C CB  . LEU C 3 661 ? 263.475 -72.016 278.440 1.0 48.94386  ? 661 LEU C CB  661 LEU C CB  1 
ATOM 19524 C CG  . LEU C 3 661 ? 264.250 -72.647 279.588 1.0 48.94386  ? 661 LEU C CG  661 LEU C CG  1 
ATOM 19525 C CD1 . LEU C 3 661 ? 264.026 -74.140 279.616 1.0 48.94386  ? 661 LEU C CD1 661 LEU C CD1 1 
ATOM 19526 C CD2 . LEU C 3 661 ? 265.717 -72.331 279.445 1.0 48.94386  ? 661 LEU C CD2 661 LEU C CD2 1 
ATOM 19527 N N   . SER C 3 662 ? 262.735 -68.709 276.933 1.0 47.66322  ? 662 SER C N   662 SER C N   1 
ATOM 19528 C CA  . SER C 3 662 ? 262.351 -68.145 275.653 1.0 47.66322  ? 662 SER C CA  662 SER C CA  1 
ATOM 19529 C C   . SER C 3 662 ? 263.553 -67.717 274.829 1.0 47.66322  ? 662 SER C C   662 SER C C   1 
ATOM 19530 O O   . SER C 3 662 ? 263.440 -67.593 273.607 1.0 47.66322  ? 662 SER C O   662 SER C O   1 
ATOM 19531 C CB  . SER C 3 662 ? 261.413 -66.960 275.869 1.0 47.66322  ? 662 SER C CB  662 SER C CB  1 
ATOM 19532 O OG  . SER C 3 662 ? 260.186 -67.391 276.423 1.0 47.66322  ? 662 SER C OG  662 SER C OG  1 
ATOM 19533 N N   . HIS C 3 663 ? 264.705 -67.524 275.459 1.0 48.36888  ? 663 HIS C N   663 HIS C N   1 
ATOM 19534 C CA  . HIS C 3 663 ? 265.884 -66.988 274.797 1.0 48.36888  ? 663 HIS C CA  663 HIS C CA  1 
ATOM 19535 C C   . HIS C 3 663 ? 266.714 -68.049 274.092 1.0 48.36888  ? 663 HIS C C   663 HIS C C   1 
ATOM 19536 O O   . HIS C 3 663 ? 267.888 -67.805 273.805 1.0 48.36888  ? 663 HIS C O   663 HIS C O   1 
ATOM 19537 C CB  . HIS C 3 663 ? 266.765 -66.268 275.810 1.0 48.36888  ? 663 HIS C CB  663 HIS C CB  1 
ATOM 19538 C CG  . HIS C 3 663 ? 267.343 -67.173 276.848 1.0 48.36888  ? 663 HIS C CG  663 HIS C CG  1 
ATOM 19539 N ND1 . HIS C 3 663 ? 266.645 -67.553 277.973 1.0 48.36888  ? 663 HIS C ND1 663 HIS C ND1 1 
ATOM 19540 C CD2 . HIS C 3 663 ? 268.545 -67.788 276.925 1.0 48.36888  ? 663 HIS C CD2 663 HIS C CD2 1 
ATOM 19541 C CE1 . HIS C 3 663 ? 267.398 -68.353 278.705 1.0 48.36888  ? 663 HIS C CE1 663 HIS C CE1 1 
ATOM 19542 N NE2 . HIS C 3 663 ? 268.556 -68.513 278.090 1.0 48.36888  ? 663 HIS C NE2 663 HIS C NE2 1 
ATOM 19543 N N   . THR C 3 664 ? 266.142 -69.214 273.804 1.0 50.21338  ? 664 THR C N   664 THR C N   1 
ATOM 19544 C CA  . THR C 3 664 ? 266.900 -70.355 273.312 1.0 50.21338  ? 664 THR C CA  664 THR C CA  1 
ATOM 19545 C C   . THR C 3 664 ? 266.220 -70.969 272.087 1.0 50.21338  ? 664 THR C C   664 THR C C   1 
ATOM 19546 O O   . THR C 3 664 ? 266.198 -72.183 271.897 1.0 50.21338  ? 664 THR C O   664 THR C O   1 
ATOM 19547 C CB  . THR C 3 664 ? 267.086 -71.356 274.445 1.0 50.21338  ? 664 THR C CB  664 THR C CB  1 
ATOM 19548 O OG1 . THR C 3 664 ? 267.679 -72.555 273.939 1.0 50.21338  ? 664 THR C OG1 664 THR C OG1 1 
ATOM 19549 C CG2 . THR C 3 664 ? 265.775 -71.657 275.118 1.0 50.21338  ? 664 THR C CG2 664 THR C CG2 1 
ATOM 19550 N N   . PHE C 3 665 ? 265.688 -70.112 271.222 1.0 48.47481  ? 665 PHE C N   665 PHE C N   1 
ATOM 19551 C CA  . PHE C 3 665 ? 265.140 -70.544 269.944 1.0 48.47481  ? 665 PHE C CA  665 PHE C CA  1 
ATOM 19552 C C   . PHE C 3 665 ? 265.916 -69.872 268.824 1.0 48.47481  ? 665 PHE C C   665 PHE C C   1 
ATOM 19553 O O   . PHE C 3 665 ? 266.239 -68.687 268.926 1.0 48.47481  ? 665 PHE C O   665 PHE C O   1 
ATOM 19554 C CB  . PHE C 3 665 ? 263.658 -70.183 269.808 1.0 48.47481  ? 665 PHE C CB  665 PHE C CB  1 
ATOM 19555 C CG  . PHE C 3 665 ? 262.741 -70.945 270.718 1.0 48.47481  ? 665 PHE C CG  665 PHE C CG  1 
ATOM 19556 C CD1 . PHE C 3 665 ? 262.343 -72.233 270.409 1.0 48.47481  ? 665 PHE C CD1 665 PHE C CD1 1 
ATOM 19557 C CD2 . PHE C 3 665 ? 262.233 -70.348 271.855 1.0 48.47481  ? 665 PHE C CD2 665 PHE C CD2 1 
ATOM 19558 C CE1 . PHE C 3 665 ? 261.483 -72.921 271.237 1.0 48.47481  ? 665 PHE C CE1 665 PHE C CE1 1 
ATOM 19559 C CE2 . PHE C 3 665 ? 261.372 -71.032 272.686 1.0 48.47481  ? 665 PHE C CE2 665 PHE C CE2 1 
ATOM 19560 C CZ  . PHE C 3 665 ? 260.995 -72.317 272.373 1.0 48.47481  ? 665 PHE C CZ  665 PHE C CZ  1 
ATOM 19561 N N   . GLN C 3 666 ? 266.199 -70.611 267.755 1.0 50.6195   ? 666 GLN C N   666 GLN C N   1 
ATOM 19562 C CA  . GLN C 3 666 ? 266.819 -70.035 266.567 1.0 50.6195   ? 666 GLN C CA  666 GLN C CA  1 
ATOM 19563 C C   . GLN C 3 666 ? 265.873 -69.876 265.390 1.0 50.6195   ? 666 GLN C C   666 GLN C C   1 
ATOM 19564 O O   . GLN C 3 666 ? 265.924 -68.856 264.705 1.0 50.6195   ? 666 GLN C O   666 GLN C O   1 
ATOM 19565 C CB  . GLN C 3 666 ? 268.019 -70.872 266.107 1.0 50.6195   ? 666 GLN C CB  666 GLN C CB  1 
ATOM 19566 C CG  . GLN C 3 666 ? 269.297 -70.627 266.875 1.0 50.6195   ? 666 GLN C CG  666 GLN C CG  1 
ATOM 19567 C CD  . GLN C 3 666 ? 269.319 -71.311 268.210 1.0 50.6195   ? 666 GLN C CD  666 GLN C CD  1 
ATOM 19568 O OE1 . GLN C 3 666 ? 269.285 -70.664 269.251 1.0 50.6195   ? 666 GLN C OE1 666 GLN C OE1 1 
ATOM 19569 N NE2 . GLN C 3 666 ? 269.422 -72.631 268.190 1.0 50.6195   ? 666 GLN C NE2 666 GLN C NE2 1 
ATOM 19570 N N   . ARG C 3 667 ? 265.004 -70.850 265.137 1.0 53.02595  ? 667 ARG C N   667 ARG C N   1 
ATOM 19571 C CA  . ARG C 3 667 ? 264.338 -70.965 263.850 1.0 53.02595  ? 667 ARG C CA  667 ARG C CA  1 
ATOM 19572 C C   . ARG C 3 667 ? 262.906 -71.436 264.049 1.0 53.02595  ? 667 ARG C C   667 ARG C C   1 
ATOM 19573 O O   . ARG C 3 667 ? 262.616 -72.217 264.957 1.0 53.02595  ? 667 ARG C O   667 ARG C O   1 
ATOM 19574 C CB  . ARG C 3 667 ? 265.120 -71.937 262.961 1.0 53.02595  ? 667 ARG C CB  667 ARG C CB  1 
ATOM 19575 C CG  . ARG C 3 667 ? 264.699 -72.071 261.517 1.0 53.02595  ? 667 ARG C CG  667 ARG C CG  1 
ATOM 19576 C CD  . ARG C 3 667 ? 265.609 -73.093 260.856 1.0 53.02595  ? 667 ARG C CD  667 ARG C CD  1 
ATOM 19577 N NE  . ARG C 3 667 ? 266.991 -72.623 260.820 1.0 53.02595  ? 667 ARG C NE  667 ARG C NE  1 
ATOM 19578 C CZ  . ARG C 3 667 ? 267.519 -71.967 259.795 1.0 53.02595  ? 667 ARG C CZ  667 ARG C CZ  1 
ATOM 19579 N NH1 . ARG C 3 667 ? 266.787 -71.753 258.719 1.0 53.02595  ? 667 ARG C NH1 667 ARG C NH1 1 
ATOM 19580 N NH2 . ARG C 3 667 ? 268.778 -71.558 259.829 1.0 53.02595  ? 667 ARG C NH2 667 ARG C NH2 1 
ATOM 19581 N N   . CYS C 3 668 ? 262.010 -70.944 263.194 1.0 52.0317   ? 668 CYS C N   668 CYS C N   1 
ATOM 19582 C CA  . CYS C 3 668 ? 260.600 -71.335 263.200 1.0 52.0317   ? 668 CYS C CA  668 CYS C CA  1 
ATOM 19583 C C   . CYS C 3 668 ? 260.137 -71.409 261.750 1.0 52.0317   ? 668 CYS C C   668 CYS C C   1 
ATOM 19584 O O   . CYS C 3 668 ? 259.760 -70.391 261.163 1.0 52.0317   ? 668 CYS C O   668 CYS C O   1 
ATOM 19585 C CB  . CYS C 3 668 ? 259.757 -70.353 264.002 1.0 52.0317   ? 668 CYS C CB  668 CYS C CB  1 
ATOM 19586 S SG  . CYS C 3 668 ? 257.993 -70.722 264.028 1.0 52.0317   ? 668 CYS C SG  668 CYS C SG  1 
ATOM 19587 N N   . SER C 3 669 ? 260.167 -72.607 261.176 1.0 51.03668  ? 669 SER C N   669 SER C N   1 
ATOM 19588 C CA  . SER C 3 669 ? 259.838 -72.823 259.774 1.0 51.03668  ? 669 SER C CA  669 SER C CA  1 
ATOM 19589 C C   . SER C 3 669 ? 258.460 -73.460 259.682 1.0 51.03668  ? 669 SER C C   669 SER C C   1 
ATOM 19590 O O   . SER C 3 669 ? 258.274 -74.604 260.104 1.0 51.03668  ? 669 SER C O   669 SER C O   1 
ATOM 19591 C CB  . SER C 3 669 ? 260.884 -73.708 259.100 1.0 51.03668  ? 669 SER C CB  669 SER C CB  1 
ATOM 19592 O OG  . SER C 3 669 ? 260.546 -73.968 257.750 1.0 51.03668  ? 669 SER C OG  669 SER C OG  1 
ATOM 19593 N N   . ILE C 3 670 ? 257.507 -72.727 259.118 1.0 48.33463  ? 670 ILE C N   670 ILE C N   1 
ATOM 19594 C CA  . ILE C 3 670 ? 256.115 -73.148 259.038 1.0 48.33463  ? 670 ILE C CA  670 ILE C CA  1 
ATOM 19595 C C   . ILE C 3 670 ? 255.778 -73.388 257.575 1.0 48.33463  ? 670 ILE C C   670 ILE C C   1 
ATOM 19596 O O   . ILE C 3 670 ? 256.086 -72.553 256.717 1.0 48.33463  ? 670 ILE C O   670 ILE C O   1 
ATOM 19597 C CB  . ILE C 3 670 ? 255.188 -72.097 259.669 1.0 48.33463  ? 670 ILE C CB  670 ILE C CB  1 
ATOM 19598 C CG1 . ILE C 3 670 ? 255.546 -71.912 261.140 1.0 48.33463  ? 670 ILE C CG1 670 ILE C CG1 1 
ATOM 19599 C CG2 . ILE C 3 670 ? 253.737 -72.494 259.542 1.0 48.33463  ? 670 ILE C CG2 670 ILE C CG2 1 
ATOM 19600 C CD1 . ILE C 3 670 ? 254.875 -70.746 261.782 1.0 48.33463  ? 670 ILE C CD1 670 ILE C CD1 1 
ATOM 19601 N N   . GLN C 3 671 ? 255.151 -74.525 257.290 1.0 49.03977  ? 671 GLN C N   671 GLN C N   1 
ATOM 19602 C CA  . GLN C 3 671 ? 254.899 -74.969 255.928 1.0 49.03977  ? 671 GLN C CA  671 GLN C CA  1 
ATOM 19603 C C   . GLN C 3 671 ? 253.495 -75.547 255.869 1.0 49.03977  ? 671 GLN C C   671 GLN C C   1 
ATOM 19604 O O   . GLN C 3 671 ? 253.173 -76.461 256.631 1.0 49.03977  ? 671 GLN C O   671 GLN C O   1 
ATOM 19605 C CB  . GLN C 3 671 ? 255.946 -76.004 255.520 1.0 49.03977  ? 671 GLN C CB  671 GLN C CB  1 
ATOM 19606 C CG  . GLN C 3 671 ? 255.977 -76.393 254.064 1.0 49.03977  ? 671 GLN C CG  671 GLN C CG  1 
ATOM 19607 C CD  . GLN C 3 671 ? 257.122 -77.339 253.778 1.0 49.03977  ? 671 GLN C CD  671 GLN C CD  1 
ATOM 19608 O OE1 . GLN C 3 671 ? 257.814 -77.778 254.694 1.0 49.03977  ? 671 GLN C OE1 671 GLN C OE1 1 
ATOM 19609 N NE2 . GLN C 3 671 ? 257.351 -77.634 252.505 1.0 49.03977  ? 671 GLN C NE2 671 GLN C NE2 1 
ATOM 19610 N N   . TRP C 3 672 ? 252.664 -75.024 254.964 1.0 52.90461  ? 672 TRP C N   672 TRP C N   1 
ATOM 19611 C CA  . TRP C 3 672 ? 251.222 -75.241 255.061 1.0 52.90461  ? 672 TRP C CA  672 TRP C CA  1 
ATOM 19612 C C   . TRP C 3 672 ? 250.796 -76.631 254.613 1.0 52.90461  ? 672 TRP C C   672 TRP C C   1 
ATOM 19613 O O   . TRP C 3 672 ? 250.261 -77.401 255.405 1.0 52.90461  ? 672 TRP C O   672 TRP C O   1 
ATOM 19614 C CB  . TRP C 3 672 ? 250.464 -74.203 254.242 1.0 52.90461  ? 672 TRP C CB  672 TRP C CB  1 
ATOM 19615 C CG  . TRP C 3 672 ? 250.337 -72.865 254.858 1.0 52.90461  ? 672 TRP C CG  672 TRP C CG  1 
ATOM 19616 C CD1 . TRP C 3 672 ? 250.643 -72.504 256.133 1.0 52.90461  ? 672 TRP C CD1 672 TRP C CD1 1 
ATOM 19617 C CD2 . TRP C 3 672 ? 249.859 -71.690 254.208 1.0 52.90461  ? 672 TRP C CD2 672 TRP C CD2 1 
ATOM 19618 N NE1 . TRP C 3 672 ? 250.382 -71.165 256.316 1.0 52.90461  ? 672 TRP C NE1 672 TRP C NE1 1 
ATOM 19619 C CE2 . TRP C 3 672 ? 249.902 -70.644 255.142 1.0 52.90461  ? 672 TRP C CE2 672 TRP C CE2 1 
ATOM 19620 C CE3 . TRP C 3 672 ? 249.390 -71.422 252.921 1.0 52.90461  ? 672 TRP C CE3 672 TRP C CE3 1 
ATOM 19621 C CZ2 . TRP C 3 672 ? 249.492 -69.349 254.825 1.0 52.90461  ? 672 TRP C CZ2 672 TRP C CZ2 1 
ATOM 19622 C CZ3 . TRP C 3 672 ? 249.009 -70.140 252.607 1.0 52.90461  ? 672 TRP C CZ3 672 TRP C CZ3 1 
ATOM 19623 C CH2 . TRP C 3 672 ? 249.057 -69.118 253.554 1.0 52.90461  ? 672 TRP C CH2 672 TRP C CH2 1 
ATOM 19624 N N   . ASP C 3 673 ? 250.980 -76.960 253.341 1.0 50.589    ? 673 ASP C N   673 ASP C N   1 
ATOM 19625 C CA  . ASP C 3 673 ? 250.522 -78.238 252.812 1.0 50.589    ? 673 ASP C CA  673 ASP C CA  1 
ATOM 19626 C C   . ASP C 3 673 ? 251.692 -79.127 252.420 1.0 50.589    ? 673 ASP C C   673 ASP C C   1 
ATOM 19627 O O   . ASP C 3 673 ? 251.607 -79.878 251.445 1.0 50.589    ? 673 ASP C O   673 ASP C O   1 
ATOM 19628 C CB  . ASP C 3 673 ? 249.605 -78.028 251.613 1.0 50.589    ? 673 ASP C CB  673 ASP C CB  1 
ATOM 19629 C CG  . ASP C 3 673 ? 248.283 -77.420 251.986 1.0 50.589    ? 673 ASP C CG  673 ASP C CG  1 
ATOM 19630 O OD1 . ASP C 3 673 ? 247.835 -77.644 253.123 1.0 50.589    ? 673 ASP C OD1 673 ASP C OD1 1 
ATOM 19631 O OD2 . ASP C 3 673 ? 247.685 -76.724 251.138 1.0 50.589    ? 673 ASP C OD2 673 ASP C OD2 1 
ATOM 19632 N N   . SER C 3 674 ? 252.793 -79.015 253.169 1.0 50.18357  ? 674 SER C N   674 SER C N   1 
ATOM 19633 C CA  . SER C 3 674 ? 254.135 -79.503 252.833 1.0 50.18357  ? 674 SER C CA  674 SER C CA  1 
ATOM 19634 C C   . SER C 3 674 ? 254.654 -78.937 251.512 1.0 50.18357  ? 674 SER C C   674 SER C C   1 
ATOM 19635 O O   . SER C 3 674 ? 255.566 -79.506 250.908 1.0 50.18357  ? 674 SER C O   674 SER C O   1 
ATOM 19636 C CB  . SER C 3 674 ? 254.215 -81.036 252.824 1.0 50.18357  ? 674 SER C CB  674 SER C CB  1 
ATOM 19637 O OG  . SER C 3 674 ? 253.465 -81.581 251.755 1.0 50.18357  ? 674 SER C OG  674 SER C OG  1 
ATOM 19638 N N   . SER C 3 675 ? 254.096 -77.821 251.046 1.0 49.627    ? 675 SER C N   675 SER C N   1 
ATOM 19639 C CA  . SER C 3 675 ? 254.611 -77.127 249.873 1.0 49.627    ? 675 SER C CA  675 SER C CA  1 
ATOM 19640 C C   . SER C 3 675 ? 254.627 -75.614 249.995 1.0 49.627    ? 675 SER C C   675 SER C C   1 
ATOM 19641 O O   . SER C 3 675 ? 255.388 -74.974 249.263 1.0 49.627    ? 675 SER C O   675 SER C O   1 
ATOM 19642 C CB  . SER C 3 675 ? 253.798 -77.507 248.635 1.0 49.627    ? 675 SER C CB  675 SER C CB  1 
ATOM 19643 O OG  . SER C 3 675 ? 252.481 -77.007 248.746 1.0 49.627    ? 675 SER C OG  675 SER C OG  1 
ATOM 19644 N N   . VAL C 3 676 ? 253.829 -75.010 250.871 1.0 49.31217  ? 676 VAL C N   676 VAL C N   1 
ATOM 19645 C CA  . VAL C 3 676 ? 253.613 -73.569 250.894 1.0 49.31217  ? 676 VAL C CA  676 VAL C CA  1 
ATOM 19646 C C   . VAL C 3 676 ? 254.184 -73.030 252.196 1.0 49.31217  ? 676 VAL C C   676 VAL C C   1 
ATOM 19647 O O   . VAL C 3 676 ? 253.679 -73.375 253.264 1.0 49.31217  ? 676 VAL C O   676 VAL C O   1 
ATOM 19648 C CB  . VAL C 3 676 ? 252.123 -73.193 250.805 1.0 49.31217  ? 676 VAL C CB  676 VAL C CB  1 
ATOM 19649 C CG1 . VAL C 3 676 ? 251.980 -71.707 250.523 1.0 49.31217  ? 676 VAL C CG1 676 VAL C CG1 1 
ATOM 19650 C CG2 . VAL C 3 676 ? 251.364 -74.069 249.839 1.0 49.31217  ? 676 VAL C CG2 676 VAL C CG2 1 
ATOM 19651 N N   . PRO C 3 677 ? 255.173 -72.149 252.166 1.0 47.06051  ? 677 PRO C N   677 PRO C N   1 
ATOM 19652 C CA  . PRO C 3 677 ? 255.693 -71.572 253.406 1.0 47.06051  ? 677 PRO C CA  677 PRO C CA  1 
ATOM 19653 C C   . PRO C 3 677 ? 254.774 -70.482 253.952 1.0 47.06051  ? 677 PRO C C   677 PRO C C   1 
ATOM 19654 O O   . PRO C 3 677 ? 253.793 -70.084 253.327 1.0 47.06051  ? 677 PRO C O   677 PRO C O   1 
ATOM 19655 C CB  . PRO C 3 677 ? 257.044 -70.995 252.974 1.0 47.06051  ? 677 PRO C CB  677 PRO C CB  1 
ATOM 19656 C CG  . PRO C 3 677 ? 256.868 -70.692 251.536 1.0 47.06051  ? 677 PRO C CG  677 PRO C CG  1 
ATOM 19657 C CD  . PRO C 3 677 ? 255.959 -71.744 250.992 1.0 47.06051  ? 677 PRO C CD  677 PRO C CD  1 
ATOM 19658 N N   . TRP C 3 678 ? 255.099 -70.026 255.159 1.0 46.72385  ? 678 TRP C N   678 TRP C N   1 
ATOM 19659 C CA  . TRP C 3 678 ? 254.377 -68.936 255.788 1.0 46.72385  ? 678 TRP C CA  678 TRP C CA  1 
ATOM 19660 C C   . TRP C 3 678 ? 255.372 -67.917 256.330 1.0 46.72385  ? 678 TRP C C   678 TRP C C   1 
ATOM 19661 O O   . TRP C 3 678 ? 256.379 -68.306 256.926 1.0 46.72385  ? 678 TRP C O   678 TRP C O   1 
ATOM 19662 C CB  . TRP C 3 678 ? 253.483 -69.442 256.932 1.0 46.72385  ? 678 TRP C CB  678 TRP C CB  1 
ATOM 19663 C CG  . TRP C 3 678 ? 252.576 -68.396 257.514 1.0 46.72385  ? 678 TRP C CG  678 TRP C CG  1 
ATOM 19664 C CD1 . TRP C 3 678 ? 251.508 -67.819 256.915 1.0 46.72385  ? 678 TRP C CD1 678 TRP C CD1 1 
ATOM 19665 C CD2 . TRP C 3 678 ? 252.678 -67.795 258.802 1.0 46.72385  ? 678 TRP C CD2 678 TRP C CD2 1 
ATOM 19666 N NE1 . TRP C 3 678 ? 250.925 -66.899 257.746 1.0 46.72385  ? 678 TRP C NE1 678 TRP C NE1 1 
ATOM 19667 C CE2 . TRP C 3 678 ? 251.630 -66.866 258.916 1.0 46.72385  ? 678 TRP C CE2 678 TRP C CE2 1 
ATOM 19668 C CE3 . TRP C 3 678 ? 253.553 -67.954 259.870 1.0 46.72385  ? 678 TRP C CE3 678 TRP C CE3 1 
ATOM 19669 C CZ2 . TRP C 3 678 ? 251.434 -66.104 260.053 1.0 46.72385  ? 678 TRP C CZ2 678 TRP C CZ2 1 
ATOM 19670 C CZ3 . TRP C 3 678 ? 253.356 -67.210 260.988 1.0 46.72385  ? 678 TRP C CZ3 678 TRP C CZ3 1 
ATOM 19671 C CH2 . TRP C 3 678 ? 252.309 -66.291 261.078 1.0 46.72385  ? 678 TRP C CH2 678 TRP C CH2 1 
ATOM 19672 N N   . PRO C 3 679 ? 255.135 -66.609 256.135 1.0 46.03759  ? 679 PRO C N   679 PRO C N   1 
ATOM 19673 C CA  . PRO C 3 679 ? 254.021 -65.959 255.439 1.0 46.03759  ? 679 PRO C CA  679 PRO C CA  1 
ATOM 19674 C C   . PRO C 3 679 ? 254.136 -65.993 253.924 1.0 46.03759  ? 679 PRO C C   679 PRO C C   1 
ATOM 19675 O O   . PRO C 3 679 ? 253.205 -65.577 253.239 1.0 46.03759  ? 679 PRO C O   679 PRO C O   1 
ATOM 19676 C CB  . PRO C 3 679 ? 254.089 -64.522 255.949 1.0 46.03759  ? 679 PRO C CB  679 PRO C CB  1 
ATOM 19677 C CG  . PRO C 3 679 ? 255.503 -64.318 256.274 1.0 46.03759  ? 679 PRO C CG  679 PRO C CG  1 
ATOM 19678 C CD  . PRO C 3 679 ? 256.011 -65.625 256.788 1.0 46.03759  ? 679 PRO C CD  679 PRO C CD  1 
ATOM 19679 N N   . GLY C 3 680 ? 255.254 -66.507 253.422 1.0 50.09996  ? 680 GLY C N   680 GLY C N   1 
ATOM 19680 C CA  . GLY C 3 680 ? 255.462 -66.550 251.995 1.0 50.09996  ? 680 GLY C CA  680 GLY C CA  1 
ATOM 19681 C C   . GLY C 3 680 ? 255.642 -65.147 251.450 1.0 50.09996  ? 680 GLY C C   680 GLY C C   1 
ATOM 19682 O O   . GLY C 3 680 ? 256.005 -64.218 252.166 1.0 50.09996  ? 680 GLY C O   680 GLY C O   1 
ATOM 19683 N N   . ASN C 3 681 ? 255.429 -65.024 250.137 1.0 52.64179  ? 681 ASN C N   681 ASN C N   1 
ATOM 19684 C CA  . ASN C 3 681 ? 255.274 -63.757 249.414 1.0 52.64179  ? 681 ASN C CA  681 ASN C CA  1 
ATOM 19685 C C   . ASN C 3 681 ? 256.476 -62.817 249.536 1.0 52.64179  ? 681 ASN C C   681 ASN C C   1 
ATOM 19686 O O   . ASN C 3 681 ? 256.350 -61.626 249.232 1.0 52.64179  ? 681 ASN C O   681 ASN C O   1 
ATOM 19687 C CB  . ASN C 3 681 ? 254.002 -63.029 249.858 1.0 52.64179  ? 681 ASN C CB  681 ASN C CB  1 
ATOM 19688 C CG  . ASN C 3 681 ? 252.744 -63.744 249.426 1.0 52.64179  ? 681 ASN C CG  681 ASN C CG  1 
ATOM 19689 O OD1 . ASN C 3 681 ? 252.664 -64.271 248.318 1.0 52.64179  ? 681 ASN C OD1 681 ASN C OD1 1 
ATOM 19690 N ND2 . ASN C 3 681 ? 251.745 -63.758 250.296 1.0 52.64179  ? 681 ASN C ND2 681 ASN C ND2 1 
ATOM 19691 N N   . ASP C 3 682 ? 257.627 -63.348 249.959 1.0 55.90363  ? 682 ASP C N   682 ASP C N   1 
ATOM 19692 C CA  . ASP C 3 682 ? 258.852 -62.597 250.245 1.0 55.90363  ? 682 ASP C CA  682 ASP C CA  1 
ATOM 19693 C C   . ASP C 3 682 ? 258.609 -61.445 251.222 1.0 55.90363  ? 682 ASP C C   682 ASP C C   1 
ATOM 19694 O O   . ASP C 3 682 ? 258.992 -60.304 250.973 1.0 55.90363  ? 682 ASP C O   682 ASP C O   1 
ATOM 19695 C CB  . ASP C 3 682 ? 259.510 -62.096 248.956 1.0 55.90363  ? 682 ASP C CB  682 ASP C CB  1 
ATOM 19696 C CG  . ASP C 3 682 ? 260.086 -63.224 248.112 1.0 55.90363  ? 682 ASP C CG  682 ASP C CG  1 
ATOM 19697 O OD1 . ASP C 3 682 ? 260.464 -64.270 248.683 1.0 55.90363  ? 682 ASP C OD1 682 ASP C OD1 1 
ATOM 19698 O OD2 . ASP C 3 682 ? 260.173 -63.060 246.876 1.0 55.90363  ? 682 ASP C OD2 682 ASP C OD2 1 
ATOM 19699 N N   . ARG C 3 683 ? 257.979 -61.753 252.359 1.0 51.40398  ? 683 ARG C N   683 ARG C N   1 
ATOM 19700 C CA  . ARG C 3 683 ? 257.678 -60.712 253.342 1.0 51.40398  ? 683 ARG C CA  683 ARG C CA  1 
ATOM 19701 C C   . ARG C 3 683 ? 258.913 -60.311 254.141 1.0 51.40398  ? 683 ARG C C   683 ARG C C   1 
ATOM 19702 O O   . ARG C 3 683 ? 259.354 -59.160 254.089 1.0 51.40398  ? 683 ARG C O   683 ARG C O   1 
ATOM 19703 C CB  . ARG C 3 683 ? 256.582 -61.177 254.298 1.0 51.40398  ? 683 ARG C CB  683 ARG C CB  1 
ATOM 19704 C CG  . ARG C 3 683 ? 255.254 -61.454 253.659 1.0 51.40398  ? 683 ARG C CG  683 ARG C CG  1 
ATOM 19705 C CD  . ARG C 3 683 ? 254.591 -60.212 253.138 1.0 51.40398  ? 683 ARG C CD  683 ARG C CD  1 
ATOM 19706 N NE  . ARG C 3 683 ? 253.283 -60.533 252.586 1.0 51.40398  ? 683 ARG C NE  683 ARG C NE  1 
ATOM 19707 C CZ  . ARG C 3 683 ? 252.514 -59.668 251.940 1.0 51.40398  ? 683 ARG C CZ  683 ARG C CZ  1 
ATOM 19708 N NH1 . ARG C 3 683 ? 252.929 -58.426 251.761 1.0 51.40398  ? 683 ARG C NH1 683 ARG C NH1 1 
ATOM 19709 N NH2 . ARG C 3 683 ? 251.335 -60.045 251.470 1.0 51.40398  ? 683 ARG C NH2 683 ARG C NH2 1 
ATOM 19710 N N   . MET C 3 684 ? 259.480 -61.250 254.891 1.0 54.81374  ? 684 MET C N   684 MET C N   1 
ATOM 19711 C CA  . MET C 3 684 ? 260.596 -60.960 255.776 1.0 54.81374  ? 684 MET C CA  684 MET C CA  1 
ATOM 19712 C C   . MET C 3 684 ? 261.878 -60.735 254.974 1.0 54.81374  ? 684 MET C C   684 MET C C   1 
ATOM 19713 O O   . MET C 3 684 ? 261.931 -60.936 253.758 1.0 54.81374  ? 684 MET C O   684 MET C O   1 
ATOM 19714 C CB  . MET C 3 684 ? 260.808 -62.116 256.751 1.0 54.81374  ? 684 MET C CB  684 MET C CB  1 
ATOM 19715 C CG  . MET C 3 684 ? 259.645 -62.445 257.674 1.0 54.81374  ? 684 MET C CG  684 MET C CG  1 
ATOM 19716 S SD  . MET C 3 684 ? 259.274 -61.171 258.886 1.0 54.81374  ? 684 MET C SD  684 MET C SD  1 
ATOM 19717 C CE  . MET C 3 684 ? 257.765 -60.506 258.212 1.0 54.81374  ? 684 MET C CE  684 MET C CE  1 
ATOM 19718 N N   . LEU C 3 685 ? 262.932 -60.316 255.679 1.0 54.96651  ? 685 LEU C N   685 LEU C N   1 
ATOM 19719 C CA  . LEU C 3 685 ? 264.261 -60.322 255.077 1.0 54.96651  ? 685 LEU C CA  685 LEU C CA  1 
ATOM 19720 C C   . LEU C 3 685 ? 264.767 -61.746 254.885 1.0 54.96651  ? 685 LEU C C   685 LEU C C   1 
ATOM 19721 O O   . LEU C 3 685 ? 265.569 -62.001 253.983 1.0 54.96651  ? 685 LEU C O   685 LEU C O   1 
ATOM 19722 C CB  . LEU C 3 685 ? 265.252 -59.525 255.927 1.0 54.96651  ? 685 LEU C CB  685 LEU C CB  1 
ATOM 19723 C CG  . LEU C 3 685 ? 265.391 -58.003 255.796 1.0 54.96651  ? 685 LEU C CG  685 LEU C CG  1 
ATOM 19724 C CD1 . LEU C 3 685 ? 265.778 -57.613 254.372 1.0 54.96651  ? 685 LEU C CD1 685 LEU C CD1 1 
ATOM 19725 C CD2 . LEU C 3 685 ? 264.161 -57.243 256.267 1.0 54.96651  ? 685 LEU C CD2 685 LEU C CD2 1 
ATOM 19726 N N   . THR C 3 686 ? 264.327 -62.675 255.734 1.0 54.23429  ? 686 THR C N   686 THR C N   1 
ATOM 19727 C CA  . THR C 3 686 ? 264.499 -64.111 255.524 1.0 54.23429  ? 686 THR C CA  686 THR C CA  1 
ATOM 19728 C C   . THR C 3 686 ? 263.097 -64.687 255.391 1.0 54.23429  ? 686 THR C C   686 THR C C   1 
ATOM 19729 O O   . THR C 3 686 ? 262.476 -65.067 256.394 1.0 54.23429  ? 686 THR C O   686 THR C O   1 
ATOM 19730 C CB  . THR C 3 686 ? 265.263 -64.763 256.671 1.0 54.23429  ? 686 THR C CB  686 THR C CB  1 
ATOM 19731 O OG1 . THR C 3 686 ? 264.542 -64.568 257.892 1.0 54.23429  ? 686 THR C OG1 686 THR C OG1 1 
ATOM 19732 C CG2 . THR C 3 686 ? 266.643 -64.152 256.802 1.0 54.23429  ? 686 THR C CG2 686 THR C CG2 1 
ATOM 19733 N N   . PRO C 3 687 ? 262.557 -64.761 254.171 1.0 54.16734  ? 687 PRO C N   687 PRO C N   1 
ATOM 19734 C CA  . PRO C 3 687 ? 261.116 -65.008 254.006 1.0 54.16734  ? 687 PRO C CA  687 PRO C CA  1 
ATOM 19735 C C   . PRO C 3 687 ? 260.666 -66.420 254.322 1.0 54.16734  ? 687 PRO C C   687 PRO C C   1 
ATOM 19736 O O   . PRO C 3 687 ? 259.473 -66.618 254.582 1.0 54.16734  ? 687 PRO C O   687 PRO C O   1 
ATOM 19737 C CB  . PRO C 3 687 ? 260.880 -64.697 252.524 1.0 54.16734  ? 687 PRO C CB  687 PRO C CB  1 
ATOM 19738 C CG  . PRO C 3 687 ? 262.002 -63.825 252.133 1.0 54.16734  ? 687 PRO C CG  687 PRO C CG  1 
ATOM 19739 C CD  . PRO C 3 687 ? 263.173 -64.293 252.924 1.0 54.16734  ? 687 PRO C CD  687 PRO C CD  1 
ATOM 19740 N N   . ASN C 3 688 ? 261.558 -67.405 254.301 1.0 53.38965  ? 688 ASN C N   688 ASN C N   1 
ATOM 19741 C CA  . ASN C 3 688 ? 261.100 -68.786 254.367 1.0 53.38965  ? 688 ASN C CA  688 ASN C CA  1 
ATOM 19742 C C   . ASN C 3 688 ? 260.823 -69.245 255.789 1.0 53.38965  ? 688 ASN C C   688 ASN C C   1 
ATOM 19743 O O   . ASN C 3 688 ? 259.925 -70.064 256.004 1.0 53.38965  ? 688 ASN C O   688 ASN C O   1 
ATOM 19744 C CB  . ASN C 3 688 ? 262.124 -69.701 253.716 1.0 53.38965  ? 688 ASN C CB  688 ASN C CB  1 
ATOM 19745 C CG  . ASN C 3 688 ? 262.200 -69.502 252.232 1.0 53.38965  ? 688 ASN C CG  688 ASN C CG  1 
ATOM 19746 O OD1 . ASN C 3 688 ? 261.181 -69.348 251.562 1.0 53.38965  ? 688 ASN C OD1 688 ASN C OD1 1 
ATOM 19747 N ND2 . ASN C 3 688 ? 263.412 -69.509 251.701 1.0 53.38965  ? 688 ASN C ND2 688 ASN C ND2 1 
ATOM 19748 N N   . TRP C 3 689 ? 261.573 -68.747 256.763 1.0 53.47469  ? 689 TRP C N   689 TRP C N   1 
ATOM 19749 C CA  . TRP C 3 689 ? 261.367 -69.108 258.155 1.0 53.47469  ? 689 TRP C CA  689 TRP C CA  1 
ATOM 19750 C C   . TRP C 3 689 ? 261.332 -67.841 258.998 1.0 53.47469  ? 689 TRP C C   689 TRP C C   1 
ATOM 19751 O O   . TRP C 3 689 ? 261.275 -66.724 258.481 1.0 53.47469  ? 689 TRP C O   689 TRP C O   1 
ATOM 19752 C CB  . TRP C 3 689 ? 262.457 -70.066 258.645 1.0 53.47469  ? 689 TRP C CB  689 TRP C CB  1 
ATOM 19753 C CG  . TRP C 3 689 ? 263.822 -69.511 258.491 1.0 53.47469  ? 689 TRP C CG  689 TRP C CG  1 
ATOM 19754 C CD1 . TRP C 3 689 ? 264.486 -68.711 259.370 1.0 53.47469  ? 689 TRP C CD1 689 TRP C CD1 1 
ATOM 19755 C CD2 . TRP C 3 689 ? 264.701 -69.706 257.385 1.0 53.47469  ? 689 TRP C CD2 689 TRP C CD2 1 
ATOM 19756 N NE1 . TRP C 3 689 ? 265.725 -68.394 258.879 1.0 53.47469  ? 689 TRP C NE1 689 TRP C NE1 1 
ATOM 19757 C CE2 . TRP C 3 689 ? 265.878 -68.984 257.654 1.0 53.47469  ? 689 TRP C CE2 689 TRP C CE2 1 
ATOM 19758 C CE3 . TRP C 3 689 ? 264.610 -70.423 256.192 1.0 53.47469  ? 689 TRP C CE3 689 TRP C CE3 1 
ATOM 19759 C CZ2 . TRP C 3 689 ? 266.960 -68.972 256.784 1.0 53.47469  ? 689 TRP C CZ2 689 TRP C CZ2 1 
ATOM 19760 C CZ3 . TRP C 3 689 ? 265.679 -70.397 255.321 1.0 53.47469  ? 689 TRP C CZ3 689 TRP C CZ3 1 
ATOM 19761 C CH2 . TRP C 3 689 ? 266.839 -69.678 255.621 1.0 53.47469  ? 689 TRP C CH2 689 TRP C CH2 1 
ATOM 19762 N N   . PHE C 3 690 ? 261.359 -68.027 260.310 1.0 49.9841   ? 690 PHE C N   690 PHE C N   1 
ATOM 19763 C CA  . PHE C 3 690 ? 261.479 -66.936 261.269 1.0 49.9841   ? 690 PHE C CA  690 PHE C CA  1 
ATOM 19764 C C   . PHE C 3 690 ? 262.793 -67.123 262.010 1.0 49.9841   ? 690 PHE C C   690 PHE C C   1 
ATOM 19765 O O   . PHE C 3 690 ? 262.892 -67.972 262.901 1.0 49.9841   ? 690 PHE C O   690 PHE C O   1 
ATOM 19766 C CB  . PHE C 3 690 ? 260.301 -66.920 262.237 1.0 49.9841   ? 690 PHE C CB  690 PHE C CB  1 
ATOM 19767 C CG  . PHE C 3 690 ? 259.001 -66.554 261.596 1.0 49.9841   ? 690 PHE C CG  690 PHE C CG  1 
ATOM 19768 C CD1 . PHE C 3 690 ? 258.661 -65.228 261.397 1.0 49.9841   ? 690 PHE C CD1 690 PHE C CD1 1 
ATOM 19769 C CD2 . PHE C 3 690 ? 258.126 -67.537 261.176 1.0 49.9841   ? 690 PHE C CD2 690 PHE C CD2 1 
ATOM 19770 C CE1 . PHE C 3 690 ? 257.462 -64.889 260.800 1.0 49.9841   ? 690 PHE C CE1 690 PHE C CE1 1 
ATOM 19771 C CE2 . PHE C 3 690 ? 256.929 -67.205 260.578 1.0 49.9841   ? 690 PHE C CE2 690 PHE C CE2 1 
ATOM 19772 C CZ  . PHE C 3 690 ? 256.597 -65.880 260.390 1.0 49.9841   ? 690 PHE C CZ  690 PHE C CZ  1 
ATOM 19773 N N   . GLU C 3 691 ? 263.798 -66.340 261.647 1.0 51.70188  ? 691 GLU C N   691 GLU C N   1 
ATOM 19774 C CA  . GLU C 3 691 ? 265.121 -66.478 262.238 1.0 51.70188  ? 691 GLU C CA  691 GLU C CA  1 
ATOM 19775 C C   . GLU C 3 691 ? 265.139 -65.632 263.504 1.0 51.70188  ? 691 GLU C C   691 GLU C C   1 
ATOM 19776 O O   . GLU C 3 691 ? 265.095 -64.401 263.436 1.0 51.70188  ? 691 GLU C O   691 GLU C O   1 
ATOM 19777 C CB  . GLU C 3 691 ? 266.189 -66.051 261.240 1.0 51.70188  ? 691 GLU C CB  691 GLU C CB  1 
ATOM 19778 C CG  . GLU C 3 691 ? 267.576 -66.531 261.569 1.0 51.70188  ? 691 GLU C CG  691 GLU C CG  1 
ATOM 19779 C CD  . GLU C 3 691 ? 268.537 -66.292 260.424 1.0 51.70188  ? 691 GLU C CD  691 GLU C CD  1 
ATOM 19780 O OE1 . GLU C 3 691 ? 268.135 -65.639 259.437 1.0 51.70188  ? 691 GLU C OE1 691 GLU C OE1 1 
ATOM 19781 O OE2 . GLU C 3 691 ? 269.679 -66.784 260.488 1.0 51.70188  ? 691 GLU C OE2 691 GLU C OE2 1 
ATOM 19782 N N   . ILE C 3 692 ? 265.163 -66.290 264.659 1.0 47.58445  ? 692 ILE C N   692 ILE C N   1 
ATOM 19783 C CA  . ILE C 3 692 ? 264.916 -65.599 265.919 1.0 47.58445  ? 692 ILE C CA  692 ILE C CA  1 
ATOM 19784 C C   . ILE C 3 692 ? 266.193 -64.978 266.464 1.0 47.58445  ? 692 ILE C C   692 ILE C C   1 
ATOM 19785 O O   . ILE C 3 692 ? 266.267 -63.758 266.637 1.0 47.58445  ? 692 ILE C O   692 ILE C O   1 
ATOM 19786 C CB  . ILE C 3 692 ? 264.264 -66.544 266.940 1.0 47.58445  ? 692 ILE C CB  692 ILE C CB  1 
ATOM 19787 C CG1 . ILE C 3 692 ? 262.869 -66.921 266.452 1.0 47.58445  ? 692 ILE C CG1 692 ILE C CG1 1 
ATOM 19788 C CG2 . ILE C 3 692 ? 264.170 -65.881 268.287 1.0 47.58445  ? 692 ILE C CG2 692 ILE C CG2 1 
ATOM 19789 C CD1 . ILE C 3 692 ? 262.209 -68.000 267.237 1.0 47.58445  ? 692 ILE C CD1 692 ILE C CD1 1 
ATOM 19790 N N   . LYS C 3 693 ? 267.205 -65.791 266.741 1.0 48.4922   ? 693 LYS C N   693 LYS C N   1 
ATOM 19791 C CA  . LYS C 3 693 ? 268.487 -65.266 267.179 1.0 48.4922   ? 693 LYS C CA  693 LYS C CA  1 
ATOM 19792 C C   . LYS C 3 693 ? 269.584 -65.709 266.221 1.0 48.4922   ? 693 LYS C C   693 LYS C C   1 
ATOM 19793 O O   . LYS C 3 693 ? 269.502 -66.769 265.595 1.0 48.4922   ? 693 LYS C O   693 LYS C O   1 
ATOM 19794 C CB  . LYS C 3 693 ? 268.817 -65.701 268.615 1.0 48.4922   ? 693 LYS C CB  693 LYS C CB  1 
ATOM 19795 C CG  . LYS C 3 693 ? 269.116 -67.170 268.801 1.0 48.4922   ? 693 LYS C CG  693 LYS C CG  1 
ATOM 19796 C CD  . LYS C 3 693 ? 269.256 -67.515 270.269 1.0 48.4922   ? 693 LYS C CD  693 LYS C CD  1 
ATOM 19797 C CE  . LYS C 3 693 ? 270.543 -66.964 270.837 1.0 48.4922   ? 693 LYS C CE  693 LYS C CE  1 
ATOM 19798 N NZ  . LYS C 3 693 ? 270.731 -67.371 272.252 1.0 48.4922   ? 693 LYS C NZ  693 LYS C NZ  1 
ATOM 19799 N N   . ARG C 3 694 ? 270.601 -64.860 266.086 1.0 55.82947  ? 694 ARG C N   694 ARG C N   1 
ATOM 19800 C CA  . ARG C 3 694 ? 271.769 -65.133 265.266 1.0 55.82947  ? 694 ARG C CA  694 ARG C CA  1 
ATOM 19801 C C   . ARG C 3 694 ? 273.010 -64.798 266.080 1.0 55.82947  ? 694 ARG C C   694 ARG C C   1 
ATOM 19802 O O   . ARG C 3 694 ? 273.045 -63.751 266.746 1.0 55.82947  ? 694 ARG C O   694 ARG C O   1 
ATOM 19803 C CB  . ARG C 3 694 ? 271.761 -64.311 263.973 1.0 55.82947  ? 694 ARG C CB  694 ARG C CB  1 
ATOM 19804 C CG  . ARG C 3 694 ? 270.616 -64.647 263.063 1.0 55.82947  ? 694 ARG C CG  694 ARG C CG  1 
ATOM 19805 C CD  . ARG C 3 694 ? 270.600 -63.822 261.794 1.0 55.82947  ? 694 ARG C CD  694 ARG C CD  1 
ATOM 19806 N NE  . ARG C 3 694 ? 271.689 -64.158 260.896 1.0 55.82947  ? 694 ARG C NE  694 ARG C NE  1 
ATOM 19807 C CZ  . ARG C 3 694 ? 272.623 -63.304 260.499 1.0 55.82947  ? 694 ARG C CZ  694 ARG C CZ  1 
ATOM 19808 N NH1 . ARG C 3 694 ? 272.577 -62.045 260.907 1.0 55.82947  ? 694 ARG C NH1 694 ARG C NH1 1 
ATOM 19809 N NH2 . ARG C 3 694 ? 273.584 -63.706 259.677 1.0 55.82947  ? 694 ARG C NH2 694 ARG C NH2 1 
ATOM 19810 N N   . PRO C 3 695 ? 274.036 -65.643 266.061 1.0 57.87531  ? 695 PRO C N   695 PRO C N   1 
ATOM 19811 C CA  . PRO C 3 695 ? 275.328 -65.237 266.619 1.0 57.87531  ? 695 PRO C CA  695 PRO C CA  1 
ATOM 19812 C C   . PRO C 3 695 ? 275.938 -64.127 265.776 1.0 57.87531  ? 695 PRO C C   695 PRO C C   1 
ATOM 19813 O O   . PRO C 3 695 ? 275.737 -64.066 264.562 1.0 57.87531  ? 695 PRO C O   695 PRO C O   1 
ATOM 19814 C CB  . PRO C 3 695 ? 276.157 -66.523 266.567 1.0 57.87531  ? 695 PRO C CB  695 PRO C CB  1 
ATOM 19815 C CG  . PRO C 3 695 ? 275.529 -67.321 265.481 1.0 57.87531  ? 695 PRO C CG  695 PRO C CG  1 
ATOM 19816 C CD  . PRO C 3 695 ? 274.066 -67.012 265.525 1.0 57.87531  ? 695 PRO C CD  695 PRO C CD  1 
ATOM 19817 N N   . ILE C 3 696 ? 276.667 -63.225 266.437 1.0 58.04467  ? 696 ILE C N   696 ILE C N   1 
ATOM 19818 C CA  . ILE C 3 696 ? 277.058 -61.981 265.782 1.0 58.04467  ? 696 ILE C CA  696 ILE C CA  1 
ATOM 19819 C C   . ILE C 3 696 ? 278.225 -62.195 264.826 1.0 58.04467  ? 696 ILE C C   696 ILE C C   1 
ATOM 19820 O O   . ILE C 3 696 ? 278.484 -61.354 263.957 1.0 58.04467  ? 696 ILE C O   696 ILE C O   1 
ATOM 19821 C CB  . ILE C 3 696 ? 277.347 -60.892 266.840 1.0 58.04467  ? 696 ILE C CB  696 ILE C CB  1 
ATOM 19822 C CG1 . ILE C 3 696 ? 278.387 -61.343 267.877 1.0 58.04467  ? 696 ILE C CG1 696 ILE C CG1 1 
ATOM 19823 C CG2 . ILE C 3 696 ? 276.059 -60.486 267.533 1.0 58.04467  ? 696 ILE C CG2 696 ILE C CG2 1 
ATOM 19824 C CD1 . ILE C 3 696 ? 279.833 -60.934 267.585 1.0 58.04467  ? 696 ILE C CD1 696 ILE C CD1 1 
ATOM 19825 N N   . ASN C 3 697 ? 278.958 -63.300 264.975 1.0 60.17292  ? 697 ASN C N   697 ASN C N   1 
ATOM 19826 C CA  . ASN C 3 697 ? 280.018 -63.603 264.019 1.0 60.17292  ? 697 ASN C CA  697 ASN C CA  1 
ATOM 19827 C C   . ASN C 3 697 ? 279.441 -64.050 262.681 1.0 60.17292  ? 697 ASN C C   697 ASN C C   1 
ATOM 19828 O O   . ASN C 3 697 ? 280.056 -63.848 261.629 1.0 60.17292  ? 697 ASN C O   697 ASN C O   1 
ATOM 19829 C CB  . ASN C 3 697 ? 280.965 -64.659 264.595 1.0 60.17292  ? 697 ASN C CB  697 ASN C CB  1 
ATOM 19830 C CG  . ASN C 3 697 ? 280.248 -65.926 265.033 1.0 60.17292  ? 697 ASN C CG  697 ASN C CG  1 
ATOM 19831 O OD1 . ASN C 3 697 ? 279.028 -66.038 264.936 1.0 60.17292  ? 697 ASN C OD1 697 ASN C OD1 1 
ATOM 19832 N ND2 . ASN C 3 697 ? 281.016 -66.901 265.497 1.0 60.17292  ? 697 ASN C ND2 697 ASN C ND2 1 
ATOM 19833 N N   . GLN C 3 698 ? 278.253 -64.657 262.705 1.0 59.0882   ? 698 GLN C N   698 GLN C N   1 
ATOM 19834 C CA  . GLN C 3 698 ? 277.583 -65.026 261.464 1.0 59.0882   ? 698 GLN C CA  698 GLN C CA  1 
ATOM 19835 C C   . GLN C 3 698 ? 276.801 -63.857 260.888 1.0 59.0882   ? 698 GLN C C   698 GLN C C   1 
ATOM 19836 O O   . GLN C 3 698 ? 276.260 -63.957 259.781 1.0 59.0882   ? 698 GLN C O   698 GLN C O   1 
ATOM 19837 C CB  . GLN C 3 698 ? 276.668 -66.219 261.704 1.0 59.0882   ? 698 GLN C CB  698 GLN C CB  1 
ATOM 19838 C CG  . GLN C 3 698 ? 277.425 -67.470 262.069 1.0 59.0882   ? 698 GLN C CG  698 GLN C CG  1 
ATOM 19839 C CD  . GLN C 3 698 ? 276.513 -68.632 262.336 1.0 59.0882   ? 698 GLN C CD  698 GLN C CD  1 
ATOM 19840 O OE1 . GLN C 3 698 ? 275.292 -68.496 262.293 1.0 59.0882   ? 698 GLN C OE1 698 GLN C OE1 1 
ATOM 19841 N NE2 . GLN C 3 698 ? 277.095 -69.784 262.629 1.0 59.0882   ? 698 GLN C NE2 698 GLN C NE2 1 
ATOM 19842 N N   . ASP C 3 699 ? 276.719 -62.752 261.627 1.0 57.68535  ? 699 ASP C N   699 ASP C N   1 
ATOM 19843 C CA  . ASP C 3 699 ? 276.134 -61.515 261.121 1.0 57.68535  ? 699 ASP C CA  699 ASP C CA  1 
ATOM 19844 C C   . ASP C 3 699 ? 277.247 -60.648 260.542 1.0 57.68535  ? 699 ASP C C   699 ASP C C   1 
ATOM 19845 O O   . ASP C 3 699 ? 278.028 -60.009 261.252 1.0 57.68535  ? 699 ASP C O   699 ASP C O   1 
ATOM 19846 C CB  . ASP C 3 699 ? 275.388 -60.764 262.211 1.0 57.68535  ? 699 ASP C CB  699 ASP C CB  1 
ATOM 19847 C CG  . ASP C 3 699 ? 274.536 -59.645 261.650 1.0 57.68535  ? 699 ASP C CG  699 ASP C CG  1 
ATOM 19848 O OD1 . ASP C 3 699 ? 274.401 -59.572 260.415 1.0 57.68535  ? 699 ASP C OD1 699 ASP C OD1 1 
ATOM 19849 O OD2 . ASP C 3 699 ? 274.028 -58.813 262.423 1.0 57.68535  ? 699 ASP C OD2 699 ASP C OD2 1 
ATOM 19850 N N   . ALA C 3 700 ? 277.309 -60.629 259.219 1.0 57.22288  ? 700 ALA C N   700 ALA C N   1 
ATOM 19851 C CA  . ALA C 3 700 ? 278.069 -59.619 258.505 1.0 57.22288  ? 700 ALA C CA  700 ALA C CA  1 
ATOM 19852 C C   . ALA C 3 700 ? 277.168 -58.661 257.745 1.0 57.22288  ? 700 ALA C C   700 ALA C C   1 
ATOM 19853 O O   . ALA C 3 700 ? 277.659 -57.667 257.202 1.0 57.22288  ? 700 ALA C O   700 ALA C O   1 
ATOM 19854 C CB  . ALA C 3 700 ? 279.058 -60.282 257.543 1.0 57.22288  ? 700 ALA C CB  700 ALA C CB  1 
ATOM 19855 N N   . GLU C 3 701 ? 275.865 -58.933 257.708 1.0 57.95464  ? 701 GLU C N   701 GLU C N   1 
ATOM 19856 C CA  . GLU C 3 701 ? 274.903 -58.135 256.967 1.0 57.95464  ? 701 GLU C CA  701 GLU C CA  1 
ATOM 19857 C C   . GLU C 3 701 ? 274.040 -57.261 257.869 1.0 57.95464  ? 701 GLU C C   701 GLU C C   1 
ATOM 19858 O O   . GLU C 3 701 ? 273.242 -56.467 257.363 1.0 57.95464  ? 701 GLU C O   701 GLU C O   1 
ATOM 19859 C CB  . GLU C 3 701 ? 274.019 -59.047 256.120 1.0 57.95464  ? 701 GLU C CB  701 GLU C CB  1 
ATOM 19860 C CG  . GLU C 3 701 ? 273.180 -60.015 256.928 1.0 57.95464  ? 701 GLU C CG  701 GLU C CG  1 
ATOM 19861 C CD  . GLU C 3 701 ? 272.345 -60.922 256.051 1.0 57.95464  ? 701 GLU C CD  701 GLU C CD  1 
ATOM 19862 O OE1 . GLU C 3 701 ? 272.445 -60.805 254.812 1.0 57.95464  ? 701 GLU C OE1 701 GLU C OE1 1 
ATOM 19863 O OE2 . GLU C 3 701 ? 271.581 -61.746 256.597 1.0 57.95464  ? 701 GLU C OE2 701 GLU C OE2 1 
ATOM 19864 N N   . GLY C 3 702 ? 274.170 -57.398 259.183 1.0 53.83601  ? 702 GLY C N   702 GLY C N   1 
ATOM 19865 C CA  . GLY C 3 702 ? 273.545 -56.458 260.099 1.0 53.83601  ? 702 GLY C CA  702 GLY C CA  1 
ATOM 19866 C C   . GLY C 3 702 ? 272.061 -56.645 260.326 1.0 53.83601  ? 702 GLY C C   702 GLY C C   1 
ATOM 19867 O O   . GLY C 3 702 ? 271.316 -55.659 260.351 1.0 53.83601  ? 702 GLY C O   702 GLY C O   1 
ATOM 19868 N N   . ASN C 3 703 ? 271.607 -57.888 260.481 1.0 54.08139  ? 703 ASN C N   703 ASN C N   1 
ATOM 19869 C CA  . ASN C 3 703 ? 270.210 -58.149 260.833 1.0 54.08139  ? 703 ASN C CA  703 ASN C CA  1 
ATOM 19870 C C   . ASN C 3 703 ? 270.089 -58.511 262.313 1.0 54.08139  ? 703 ASN C C   703 ASN C C   1 
ATOM 19871 O O   . ASN C 3 703 ? 269.704 -59.616 262.686 1.0 54.08139  ? 703 ASN C O   703 ASN C O   1 
ATOM 19872 C CB  . ASN C 3 703 ? 269.636 -59.239 259.943 1.0 54.08139  ? 703 ASN C CB  703 ASN C CB  1 
ATOM 19873 C CG  . ASN C 3 703 ? 269.443 -58.773 258.523 1.0 54.08139  ? 703 ASN C CG  703 ASN C CG  1 
ATOM 19874 O OD1 . ASN C 3 703 ? 268.993 -57.655 258.285 1.0 54.08139  ? 703 ASN C OD1 703 ASN C OD1 1 
ATOM 19875 N ND2 . ASN C 3 703 ? 269.789 -59.623 257.567 1.0 54.08139  ? 703 ASN C ND2 703 ASN C ND2 1 
ATOM 19876 N N   . ASP C 3 704 ? 270.402 -57.535 263.163 1.0 52.90024  ? 704 ASP C N   704 ASP C N   1 
ATOM 19877 C CA  . ASP C 3 704 ? 270.268 -57.693 264.606 1.0 52.90024  ? 704 ASP C CA  704 ASP C CA  1 
ATOM 19878 C C   . ASP C 3 704 ? 269.690 -56.418 265.202 1.0 52.90024  ? 704 ASP C C   704 ASP C C   1 
ATOM 19879 O O   . ASP C 3 704 ? 270.249 -55.340 265.002 1.0 52.90024  ? 704 ASP C O   704 ASP C O   1 
ATOM 19880 C CB  . ASP C 3 704 ? 271.618 -58.000 265.264 1.0 52.90024  ? 704 ASP C CB  704 ASP C CB  1 
ATOM 19881 C CG  . ASP C 3 704 ? 272.068 -59.434 265.064 1.0 52.90024  ? 704 ASP C CG  704 ASP C CG  1 
ATOM 19882 O OD1 . ASP C 3 704 ? 271.214 -60.334 264.965 1.0 52.90024  ? 704 ASP C OD1 704 ASP C OD1 1 
ATOM 19883 O OD2 . ASP C 3 704 ? 273.291 -59.667 265.046 1.0 52.90024  ? 704 ASP C OD2 704 ASP C OD2 1 
ATOM 19884 N N   . THR C 3 705 ? 268.591 -56.537 265.936 1.0 51.34869  ? 705 THR C N   705 THR C N   1 
ATOM 19885 C CA  . THR C 3 705 ? 268.015 -55.410 266.656 1.0 51.34869  ? 705 THR C CA  705 THR C CA  1 
ATOM 19886 C C   . THR C 3 705 ? 268.577 -55.322 268.063 1.0 51.34869  ? 705 THR C C   705 THR C C   1 
ATOM 19887 O O   . THR C 3 705 ? 269.259 -56.226 268.548 1.0 51.34869  ? 705 THR C O   705 THR C O   1 
ATOM 19888 C CB  . THR C 3 705 ? 266.498 -55.525 266.770 1.0 51.34869  ? 705 THR C CB  705 THR C CB  1 
ATOM 19889 O OG1 . THR C 3 705 ? 266.171 -56.762 267.411 1.0 51.34869  ? 705 THR C OG1 705 THR C OG1 1 
ATOM 19890 C CG2 . THR C 3 705 ? 265.835 -55.447 265.438 1.0 51.34869  ? 705 THR C CG2 705 THR C CG2 1 
ATOM 19891 N N   . MET C 3 706 ? 268.279 -54.195 268.712 1.0 52.28397  ? 706 MET C N   706 MET C N   1 
ATOM 19892 C CA  . MET C 3 706 ? 268.336 -53.994 270.159 1.0 52.28397  ? 706 MET C CA  706 MET C CA  1 
ATOM 19893 C C   . MET C 3 706 ? 269.733 -54.135 270.746 1.0 52.28397  ? 706 MET C C   706 MET C C   1 
ATOM 19894 O O   . MET C 3 706 ? 269.862 -54.257 271.970 1.0 52.28397  ? 706 MET C O   706 MET C O   1 
ATOM 19895 C CB  . MET C 3 706 ? 267.390 -54.956 270.883 1.0 52.28397  ? 706 MET C CB  706 MET C CB  1 
ATOM 19896 C CG  . MET C 3 706 ? 265.917 -54.774 270.574 1.0 52.28397  ? 706 MET C CG  706 MET C CG  1 
ATOM 19897 S SD  . MET C 3 706 ? 265.238 -53.208 271.136 1.0 52.28397  ? 706 MET C SD  706 MET C SD  1 
ATOM 19898 C CE  . MET C 3 706 ? 265.234 -53.443 272.909 1.0 52.28397  ? 706 MET C CE  706 MET C CE  1 
ATOM 19899 N N   . GLN C 3 707 ? 270.768 -54.106 269.902 1.0 53.13148  ? 707 GLN C N   707 GLN C N   1 
ATOM 19900 C CA  . GLN C 3 707 ? 272.157 -54.411 270.256 1.0 53.13148  ? 707 GLN C CA  707 GLN C CA  1 
ATOM 19901 C C   . GLN C 3 707 ? 272.268 -55.772 270.944 1.0 53.13148  ? 707 GLN C C   707 GLN C C   1 
ATOM 19902 O O   . GLN C 3 707 ? 272.858 -55.911 272.016 1.0 53.13148  ? 707 GLN C O   707 GLN C O   1 
ATOM 19903 C CB  . GLN C 3 707 ? 272.770 -53.299 271.111 1.0 53.13148  ? 707 GLN C CB  707 GLN C CB  1 
ATOM 19904 C CG  . GLN C 3 707 ? 272.705 -51.943 270.446 1.0 53.13148  ? 707 GLN C CG  707 GLN C CG  1 
ATOM 19905 C CD  . GLN C 3 707 ? 273.414 -50.874 271.228 1.0 53.13148  ? 707 GLN C CD  707 GLN C CD  1 
ATOM 19906 O OE1 . GLN C 3 707 ? 274.037 -51.150 272.246 1.0 53.13148  ? 707 GLN C OE1 707 GLN C OE1 1 
ATOM 19907 N NE2 . GLN C 3 707 ? 273.296 -49.636 270.777 1.0 53.13148  ? 707 GLN C NE2 707 GLN C NE2 1 
ATOM 19908 N N   . SER C 3 708 ? 271.681 -56.782 270.313 1.0 52.08267  ? 708 SER C N   708 SER C N   1 
ATOM 19909 C CA  . SER C 3 708 ? 271.659 -58.139 270.844 1.0 52.08267  ? 708 SER C CA  708 SER C CA  1 
ATOM 19910 C C   . SER C 3 708 ? 271.582 -59.109 269.668 1.0 52.08267  ? 708 SER C C   708 SER C C   1 
ATOM 19911 O O   . SER C 3 708 ? 271.878 -58.742 268.527 1.0 52.08267  ? 708 SER C O   708 SER C O   1 
ATOM 19912 C CB  . SER C 3 708 ? 270.498 -58.300 271.835 1.0 52.08267  ? 708 SER C CB  708 SER C CB  1 
ATOM 19913 O OG  . SER C 3 708 ? 269.260 -58.152 271.172 1.0 52.08267  ? 708 SER C OG  708 SER C OG  1 
ATOM 19914 N N   . ASN C 3 709 ? 271.197 -60.355 269.943 1.0 51.73052  ? 709 ASN C N   709 ASN C N   1 
ATOM 19915 C CA  . ASN C 3 709 ? 271.081 -61.369 268.905 1.0 51.73052  ? 709 ASN C CA  709 ASN C CA  1 
ATOM 19916 C C   . ASN C 3 709 ? 269.742 -61.352 268.184 1.0 51.73052  ? 709 ASN C C   709 ASN C C   1 
ATOM 19917 O O   . ASN C 3 709 ? 269.602 -62.037 267.167 1.0 51.73052  ? 709 ASN C O   709 ASN C O   1 
ATOM 19918 C CB  . ASN C 3 709 ? 271.281 -62.770 269.483 1.0 51.73052  ? 709 ASN C CB  709 ASN C CB  1 
ATOM 19919 C CG  . ASN C 3 709 ? 272.689 -63.012 269.947 1.0 51.73052  ? 709 ASN C CG  709 ASN C CG  1 
ATOM 19920 O OD1 . ASN C 3 709 ? 273.642 -62.502 269.367 1.0 51.73052  ? 709 ASN C OD1 709 ASN C OD1 1 
ATOM 19921 N ND2 . ASN C 3 709 ? 272.835 -63.839 270.972 1.0 51.73052  ? 709 ASN C ND2 709 ASN C ND2 1 
ATOM 19922 N N   . LEU C 3 710 ? 268.757 -60.612 268.683 1.0 48.95743  ? 710 LEU C N   710 LEU C N   1 
ATOM 19923 C CA  . LEU C 3 710 ? 267.416 -60.680 268.122 1.0 48.95743  ? 710 LEU C CA  710 LEU C CA  1 
ATOM 19924 C C   . LEU C 3 710 ? 267.361 -59.952 266.786 1.0 48.95743  ? 710 LEU C C   710 LEU C C   1 
ATOM 19925 O O   . LEU C 3 710 ? 267.889 -58.849 266.640 1.0 48.95743  ? 710 LEU C O   710 LEU C O   1 
ATOM 19926 C CB  . LEU C 3 710 ? 266.415 -60.085 269.104 1.0 48.95743  ? 710 LEU C CB  710 LEU C CB  1 
ATOM 19927 C CG  . LEU C 3 710 ? 264.939 -60.238 268.766 1.0 48.95743  ? 710 LEU C CG  710 LEU C CG  1 
ATOM 19928 C CD1 . LEU C 3 710 ? 264.575 -61.702 268.702 1.0 48.95743  ? 710 LEU C CD1 710 LEU C CD1 1 
ATOM 19929 C CD2 . LEU C 3 710 ? 264.114 -59.544 269.816 1.0 48.95743  ? 710 LEU C CD2 710 LEU C CD2 1 
ATOM 19930 N N   . THR C 3 711 ? 266.711 -60.575 265.808 1.0 48.27953  ? 711 THR C N   711 THR C N   1 
ATOM 19931 C CA  . THR C 3 711 ? 266.840 -60.170 264.419 1.0 48.27953  ? 711 THR C CA  711 THR C CA  1 
ATOM 19932 C C   . THR C 3 711 ? 265.851 -59.074 264.042 1.0 48.27953  ? 711 THR C C   711 THR C C   1 
ATOM 19933 O O   . THR C 3 711 ? 264.905 -58.768 264.764 1.0 48.27953  ? 711 THR C O   711 THR C O   1 
ATOM 19934 C CB  . THR C 3 711 ? 266.655 -61.371 263.504 1.0 48.27953  ? 711 THR C CB  711 THR C CB  1 
ATOM 19935 O OG1 . THR C 3 711 ? 265.351 -61.923 263.704 1.0 48.27953  ? 711 THR C OG1 711 THR C OG1 1 
ATOM 19936 C CG2 . THR C 3 711 ? 267.693 -62.413 263.820 1.0 48.27953  ? 711 THR C CG2 711 THR C CG2 1 
ATOM 19937 N N   . LYS C 3 712 ? 266.093 -58.484 262.870 1.0 49.0454   ? 712 LYS C N   712 LYS C N   1 
ATOM 19938 C CA  . LYS C 3 712 ? 265.248 -57.412 262.355 1.0 49.0454   ? 712 LYS C CA  712 LYS C CA  1 
ATOM 19939 C C   . LYS C 3 712 ? 263.881 -57.925 261.941 1.0 49.0454   ? 712 LYS C C   712 LYS C C   1 
ATOM 19940 O O   . LYS C 3 712 ? 262.883 -57.209 262.082 1.0 49.0454   ? 712 LYS C O   712 LYS C O   1 
ATOM 19941 C CB  . LYS C 3 712 ? 265.947 -56.745 261.173 1.0 49.0454   ? 712 LYS C CB  712 LYS C CB  1 
ATOM 19942 C CG  . LYS C 3 712 ? 267.229 -56.043 261.560 1.0 49.0454   ? 712 LYS C CG  712 LYS C CG  1 
ATOM 19943 C CD  . LYS C 3 712 ? 266.987 -54.650 262.089 1.0 49.0454   ? 712 LYS C CD  712 LYS C CD  1 
ATOM 19944 C CE  . LYS C 3 712 ? 268.218 -54.115 262.768 1.0 49.0454   ? 712 LYS C CE  712 LYS C CE  1 
ATOM 19945 N NZ  . LYS C 3 712 ? 269.445 -54.140 261.972 1.0 49.0454   ? 712 LYS C NZ  712 LYS C NZ  1 
ATOM 19946 N N   . ASP C 3 713 ? 263.819 -59.151 261.424 1.0 52.07051  ? 713 ASP C N   713 ASP C N   1 
ATOM 19947 C CA  . ASP C 3 713 ? 262.546 -59.730 261.020 1.0 52.07051  ? 713 ASP C CA  713 ASP C CA  1 
ATOM 19948 C C   . ASP C 3 713 ? 261.690 -60.055 262.229 1.0 52.07051  ? 713 ASP C C   713 ASP C C   1 
ATOM 19949 O O   . ASP C 3 713 ? 260.489 -59.770 262.247 1.0 52.07051  ? 713 ASP C O   713 ASP C O   1 
ATOM 19950 C CB  . ASP C 3 713 ? 262.787 -60.991 260.195 1.0 52.07051  ? 713 ASP C CB  713 ASP C CB  1 
ATOM 19951 C CG  . ASP C 3 713 ? 263.322 -60.690 258.820 1.0 52.07051  ? 713 ASP C CG  713 ASP C CG  1 
ATOM 19952 O OD1 . ASP C 3 713 ? 262.959 -59.629 258.272 1.0 52.07051  ? 713 ASP C OD1 713 ASP C OD1 1 
ATOM 19953 O OD2 . ASP C 3 713 ? 264.100 -61.508 258.290 1.0 52.07051  ? 713 ASP C OD2 713 ASP C OD2 1 
ATOM 19954 N N   . PHE C 3 714 ? 262.294 -60.639 263.255 1.0 45.96288  ? 714 PHE C N   714 PHE C N   1 
ATOM 19955 C CA  . PHE C 3 714 ? 261.511 -61.234 264.319 1.0 45.96288  ? 714 PHE C CA  714 PHE C CA  1 
ATOM 19956 C C   . PHE C 3 714 ? 261.275 -60.291 265.486 1.0 45.96288  ? 714 PHE C C   714 PHE C C   1 
ATOM 19957 O O   . PHE C 3 714 ? 260.349 -60.518 266.265 1.0 45.96288  ? 714 PHE C O   714 PHE C O   1 
ATOM 19958 C CB  . PHE C 3 714 ? 262.194 -62.513 264.785 1.0 45.96288  ? 714 PHE C CB  714 PHE C CB  1 
ATOM 19959 C CG  . PHE C 3 714 ? 261.348 -63.363 265.661 1.0 45.96288  ? 714 PHE C CG  714 PHE C CG  1 
ATOM 19960 C CD1 . PHE C 3 714 ? 260.300 -64.102 265.141 1.0 45.96288  ? 714 PHE C CD1 714 PHE C CD1 1 
ATOM 19961 C CD2 . PHE C 3 714 ? 261.603 -63.427 267.004 1.0 45.96288  ? 714 PHE C CD2 714 PHE C CD2 1 
ATOM 19962 C CE1 . PHE C 3 714 ? 259.518 -64.900 265.965 1.0 45.96288  ? 714 PHE C CE1 714 PHE C CE1 1 
ATOM 19963 C CE2 . PHE C 3 714 ? 260.845 -64.217 267.818 1.0 45.96288  ? 714 PHE C CE2 714 PHE C CE2 1 
ATOM 19964 C CZ  . PHE C 3 714 ? 259.798 -64.939 267.303 1.0 45.96288  ? 714 PHE C CZ  714 PHE C CZ  1 
ATOM 19965 N N   . PHE C 3 715 ? 262.070 -59.232 265.622 1.0 46.98107  ? 715 PHE C N   715 PHE C N   1 
ATOM 19966 C CA  . PHE C 3 715 ? 261.716 -58.193 266.581 1.0 46.98107  ? 715 PHE C CA  715 PHE C CA  1 
ATOM 19967 C C   . PHE C 3 715 ? 260.510 -57.399 266.107 1.0 46.98107  ? 715 PHE C C   715 PHE C C   1 
ATOM 19968 O O   . PHE C 3 715 ? 259.755 -56.867 266.927 1.0 46.98107  ? 715 PHE C O   715 PHE C O   1 
ATOM 19969 C CB  . PHE C 3 715 ? 262.904 -57.263 266.817 1.0 46.98107  ? 715 PHE C CB  715 PHE C CB  1 
ATOM 19970 C CG  . PHE C 3 715 ? 262.623 -56.136 267.761 1.0 46.98107  ? 715 PHE C CG  715 PHE C CG  1 
ATOM 19971 C CD1 . PHE C 3 715 ? 262.583 -56.352 269.124 1.0 46.98107  ? 715 PHE C CD1 715 PHE C CD1 1 
ATOM 19972 C CD2 . PHE C 3 715 ? 262.397 -54.856 267.283 1.0 46.98107  ? 715 PHE C CD2 715 PHE C CD2 1 
ATOM 19973 C CE1 . PHE C 3 715 ? 262.327 -55.316 269.990 1.0 46.98107  ? 715 PHE C CE1 715 PHE C CE1 1 
ATOM 19974 C CE2 . PHE C 3 715 ? 262.130 -53.823 268.145 1.0 46.98107  ? 715 PHE C CE2 715 PHE C CE2 1 
ATOM 19975 C CZ  . PHE C 3 715 ? 262.104 -54.050 269.498 1.0 46.98107  ? 715 PHE C CZ  715 PHE C CZ  1 
ATOM 19976 N N   . MET C 3 716 ? 260.307 -57.322 264.793 1.0 46.54479  ? 716 MET C N   716 MET C N   1 
ATOM 19977 C CA  . MET C 3 716 ? 259.206 -56.538 264.253 1.0 46.54479  ? 716 MET C CA  716 MET C CA  1 
ATOM 19978 C C   . MET C 3 716 ? 257.873 -57.239 264.466 1.0 46.54479  ? 716 MET C C   716 MET C C   1 
ATOM 19979 O O   . MET C 3 716 ? 256.868 -56.583 264.750 1.0 46.54479  ? 716 MET C O   716 MET C O   1 
ATOM 19980 C CB  . MET C 3 716 ? 259.463 -56.257 262.772 1.0 46.54479  ? 716 MET C CB  716 MET C CB  1 
ATOM 19981 C CG  . MET C 3 716 ? 258.423 -55.406 262.064 1.0 46.54479  ? 716 MET C CG  716 MET C CG  1 
ATOM 19982 S SD  . MET C 3 716 ? 257.148 -56.360 261.227 1.0 46.54479  ? 716 MET C SD  716 MET C SD  1 
ATOM 19983 C CE  . MET C 3 716 ? 256.049 -55.047 260.725 1.0 46.54479  ? 716 MET C CE  716 MET C CE  1 
ATOM 19984 N N   . VAL C 3 717 ? 257.840 -58.568 264.345 1.0 44.23395  ? 717 VAL C N   717 VAL C N   1 
ATOM 19985 C CA  . VAL C 3 717 ? 256.585 -59.286 264.542 1.0 44.23395  ? 717 VAL C CA  717 VAL C CA  1 
ATOM 19986 C C   . VAL C 3 717 ? 256.212 -59.340 266.022 1.0 44.23395  ? 717 VAL C C   717 VAL C C   1 
ATOM 19987 O O   . VAL C 3 717 ? 255.029 -59.251 266.372 1.0 44.23395  ? 717 VAL C O   717 VAL C O   1 
ATOM 19988 C CB  . VAL C 3 717 ? 256.667 -60.681 263.879 1.0 44.23395  ? 717 VAL C CB  717 VAL C CB  1 
ATOM 19989 C CG1 . VAL C 3 717 ? 257.793 -61.503 264.431 1.0 44.23395  ? 717 VAL C CG1 717 VAL C CG1 1 
ATOM 19990 C CG2 . VAL C 3 717 ? 255.379 -61.441 264.039 1.0 44.23395  ? 717 VAL C CG2 717 VAL C CG2 1 
ATOM 19991 N N   . GLN C 3 718 ? 257.201 -59.414 266.917 1.0 44.46237  ? 718 GLN C N   718 GLN C N   1 
ATOM 19992 C CA  . GLN C 3 718 ? 256.904 -59.430 268.344 1.0 44.46237  ? 718 GLN C CA  718 GLN C CA  1 
ATOM 19993 C C   . GLN C 3 718 ? 256.433 -58.073 268.835 1.0 44.46237  ? 718 GLN C C   718 GLN C C   1 
ATOM 19994 O O   . GLN C 3 718 ? 255.652 -57.995 269.788 1.0 44.46237  ? 718 GLN C O   718 GLN C O   1 
ATOM 19995 C CB  . GLN C 3 718 ? 258.130 -59.877 269.131 1.0 44.46237  ? 718 GLN C CB  718 GLN C CB  1 
ATOM 19996 C CG  . GLN C 3 718 ? 258.506 -61.299 268.863 1.0 44.46237  ? 718 GLN C CG  718 GLN C CG  1 
ATOM 19997 C CD  . GLN C 3 718 ? 257.432 -62.247 269.305 1.0 44.46237  ? 718 GLN C CD  718 GLN C CD  1 
ATOM 19998 O OE1 . GLN C 3 718 ? 256.837 -62.073 270.363 1.0 44.46237  ? 718 GLN C OE1 718 GLN C OE1 1 
ATOM 19999 N NE2 . GLN C 3 718 ? 257.157 -63.250 268.486 1.0 44.46237  ? 718 GLN C NE2 718 GLN C NE2 1 
ATOM 20000 N N   . MET C 3 719 ? 256.885 -57.000 268.195 1.0 46.01298  ? 719 MET C N   719 MET C N   1 
ATOM 20001 C CA  . MET C 3 719 ? 256.406 -55.679 268.563 1.0 46.01298  ? 719 MET C CA  719 MET C CA  1 
ATOM 20002 C C   . MET C 3 719 ? 255.064 -55.371 267.911 1.0 46.01298  ? 719 MET C C   719 MET C C   1 
ATOM 20003 O O   . MET C 3 719 ? 254.230 -54.690 268.514 1.0 46.01298  ? 719 MET C O   719 MET C O   1 
ATOM 20004 C CB  . MET C 3 719 ? 257.450 -54.632 268.187 1.0 46.01298  ? 719 MET C CB  719 MET C CB  1 
ATOM 20005 C CG  . MET C 3 719 ? 257.151 -53.251 268.703 1.0 46.01298  ? 719 MET C CG  719 MET C CG  1 
ATOM 20006 S SD  . MET C 3 719 ? 257.156 -53.156 270.498 1.0 46.01298  ? 719 MET C SD  719 MET C SD  1 
ATOM 20007 C CE  . MET C 3 719 ? 258.904 -53.225 270.817 1.0 46.01298  ? 719 MET C CE  719 MET C CE  1 
ATOM 20008 N N   . ALA C 3 720 ? 254.823 -55.880 266.704 1.0 43.85441  ? 720 ALA C N   720 ALA C N   1 
ATOM 20009 C CA  . ALA C 3 720 ? 253.547 -55.658 266.037 1.0 43.85441  ? 720 ALA C CA  720 ALA C CA  1 
ATOM 20010 C C   . ALA C 3 720 ? 252.444 -56.582 266.530 1.0 43.85441  ? 720 ALA C C   720 ALA C C   1 
ATOM 20011 O O   . ALA C 3 720 ? 251.272 -56.324 266.246 1.0 43.85441  ? 720 ALA C O   720 ALA C O   1 
ATOM 20012 C CB  . ALA C 3 720 ? 253.697 -55.821 264.525 1.0 43.85441  ? 720 ALA C CB  720 ALA C CB  1 
ATOM 20013 N N   . ALA C 3 721 ? 252.773 -57.652 267.244 1.0 44.37951  ? 721 ALA C N   721 ALA C N   1 
ATOM 20014 C CA  . ALA C 3 721 ? 251.720 -58.491 267.797 1.0 44.37951  ? 721 ALA C CA  721 ALA C CA  1 
ATOM 20015 C C   . ALA C 3 721 ? 251.222 -57.965 269.132 1.0 44.37951  ? 721 ALA C C   721 ALA C C   1 
ATOM 20016 O O   . ALA C 3 721 ? 250.020 -58.012 269.408 1.0 44.37951  ? 721 ALA C O   721 ALA C O   1 
ATOM 20017 C CB  . ALA C 3 721 ? 252.210 -59.928 267.964 1.0 44.37951  ? 721 ALA C CB  721 ALA C CB  1 
ATOM 20018 N N   . SER C 3 722 ? 252.125 -57.459 269.963 1.0 46.12895  ? 722 SER C N   722 SER C N   1 
ATOM 20019 C CA  . SER C 3 722 ? 251.757 -57.032 271.303 1.0 46.12895  ? 722 SER C CA  722 SER C CA  1 
ATOM 20020 C C   . SER C 3 722 ? 251.269 -55.592 271.343 1.0 46.12895  ? 722 SER C C   722 SER C C   1 
ATOM 20021 O O   . SER C 3 722 ? 250.348 -55.276 272.102 1.0 46.12895  ? 722 SER C O   722 SER C O   1 
ATOM 20022 C CB  . SER C 3 722 ? 252.948 -57.201 272.247 1.0 46.12895  ? 722 SER C CB  722 SER C CB  1 
ATOM 20023 O OG  . SER C 3 722 ? 253.314 -58.562 272.366 1.0 46.12895  ? 722 SER C OG  722 SER C OG  1 
ATOM 20024 N N   . TYR C 3 723 ? 251.863 -54.708 270.541 1.0 47.36576  ? 723 TYR C N   723 TYR C N   1 
ATOM 20025 C CA  . TYR C 3 723 ? 251.600 -53.281 270.655 1.0 47.36576  ? 723 TYR C CA  723 TYR C CA  1 
ATOM 20026 C C   . TYR C 3 723 ? 251.329 -52.618 269.312 1.0 47.36576  ? 723 TYR C C   723 TYR C C   1 
ATOM 20027 O O   . TYR C 3 723 ? 251.434 -51.391 269.226 1.0 47.36576  ? 723 TYR C O   723 TYR C O   1 
ATOM 20028 C CB  . TYR C 3 723 ? 252.777 -52.585 271.343 1.0 47.36576  ? 723 TYR C CB  723 TYR C CB  1 
ATOM 20029 C CG  . TYR C 3 723 ? 253.015 -53.093 272.739 1.0 47.36576  ? 723 TYR C CG  723 TYR C CG  1 
ATOM 20030 C CD1 . TYR C 3 723 ? 252.137 -52.774 273.764 1.0 47.36576  ? 723 TYR C CD1 723 TYR C CD1 1 
ATOM 20031 C CD2 . TYR C 3 723 ? 254.122 -53.878 273.038 1.0 47.36576  ? 723 TYR C CD2 723 TYR C CD2 1 
ATOM 20032 C CE1 . TYR C 3 723 ? 252.342 -53.238 275.047 1.0 47.36576  ? 723 TYR C CE1 723 TYR C CE1 1 
ATOM 20033 C CE2 . TYR C 3 723 ? 254.339 -54.344 274.318 1.0 47.36576  ? 723 TYR C CE2 723 TYR C CE2 1 
ATOM 20034 C CZ  . TYR C 3 723 ? 253.447 -54.021 275.318 1.0 47.36576  ? 723 TYR C CZ  723 TYR C CZ  1 
ATOM 20035 O OH  . TYR C 3 723 ? 253.663 -54.483 276.594 1.0 47.36576  ? 723 TYR C OH  723 TYR C OH  1 
ATOM 20036 N N   . ASN C 3 724 ? 251.047 -53.420 268.276 1.0 46.4207   ? 724 ASN C N   724 ASN C N   1 
ATOM 20037 C CA  . ASN C 3 724 ? 250.824 -53.125 266.854 1.0 46.4207   ? 724 ASN C CA  724 ASN C CA  1 
ATOM 20038 C C   . ASN C 3 724 ? 251.631 -51.946 266.317 1.0 46.4207   ? 724 ASN C C   724 ASN C C   1 
ATOM 20039 O O   . ASN C 3 724 ? 251.109 -51.090 265.597 1.0 46.4207   ? 724 ASN C O   724 ASN C O   1 
ATOM 20040 C CB  . ASN C 3 724 ? 249.315 -53.022 266.519 1.0 46.4207   ? 724 ASN C CB  724 ASN C CB  1 
ATOM 20041 C CG  . ASN C 3 724 ? 248.577 -51.868 267.186 1.0 46.4207   ? 724 ASN C CG  724 ASN C CG  1 
ATOM 20042 O OD1 . ASN C 3 724 ? 249.151 -50.937 267.731 1.0 46.4207   ? 724 ASN C OD1 724 ASN C OD1 1 
ATOM 20043 N ND2 . ASN C 3 724 ? 247.254 -51.942 267.130 1.0 46.4207   ? 724 ASN C ND2 724 ASN C ND2 1 
ATOM 20044 N N   . GLN C 3 725 ? 252.918 -51.920 266.644 1.0 46.01251  ? 725 GLN C N   725 GLN C N   1 
ATOM 20045 C CA  . GLN C 3 725 ? 253.841 -50.956 266.076 1.0 46.01251  ? 725 GLN C CA  725 GLN C CA  1 
ATOM 20046 C C   . GLN C 3 725 ? 254.405 -51.526 264.782 1.0 46.01251  ? 725 GLN C C   725 GLN C C   1 
ATOM 20047 O O   . GLN C 3 725 ? 253.938 -52.545 264.273 1.0 46.01251  ? 725 GLN C O   725 GLN C O   1 
ATOM 20048 C CB  . GLN C 3 725 ? 254.930 -50.607 267.081 1.0 46.01251  ? 725 GLN C CB  725 GLN C CB  1 
ATOM 20049 C CG  . GLN C 3 725 ? 254.399 -49.834 268.254 1.0 46.01251  ? 725 GLN C CG  725 GLN C CG  1 
ATOM 20050 C CD  . GLN C 3 725 ? 255.448 -49.513 269.285 1.0 46.01251  ? 725 GLN C CD  725 GLN C CD  1 
ATOM 20051 O OE1 . GLN C 3 725 ? 256.591 -49.952 269.194 1.0 46.01251  ? 725 GLN C OE1 725 GLN C OE1 1 
ATOM 20052 N NE2 . GLN C 3 725 ? 255.062 -48.728 270.278 1.0 46.01251  ? 725 GLN C NE2 725 GLN C NE2 1 
ATOM 20053 N N   . GLY C 3 726 ? 255.420 -50.879 264.233 1.0 45.0118   ? 726 GLY C N   726 GLY C N   1 
ATOM 20054 C CA  . GLY C 3 726 ? 255.848 -51.229 262.898 1.0 45.0118   ? 726 GLY C CA  726 GLY C CA  1 
ATOM 20055 C C   . GLY C 3 726 ? 255.094 -50.403 261.885 1.0 45.0118   ? 726 GLY C C   726 GLY C C   1 
ATOM 20056 O O   . GLY C 3 726 ? 253.944 -50.019 262.117 1.0 45.0118   ? 726 GLY C O   726 GLY C O   1 
ATOM 20057 N N   . TYR C 3 727 ? 255.794 -50.068 260.792 1.0 46.5703   ? 727 TYR C N   727 TYR C N   1 
ATOM 20058 C CA  . TYR C 3 727 ? 255.418 -49.204 259.666 1.0 46.5703   ? 727 TYR C CA  727 TYR C CA  1 
ATOM 20059 C C   . TYR C 3 727 ? 255.374 -47.730 260.084 1.0 46.5703   ? 727 TYR C C   727 TYR C C   1 
ATOM 20060 O O   . TYR C 3 727 ? 255.230 -46.843 259.239 1.0 46.5703   ? 727 TYR C O   727 TYR C O   1 
ATOM 20061 C CB  . TYR C 3 727 ? 254.078 -49.630 259.040 1.0 46.5703   ? 727 TYR C CB  727 TYR C CB  1 
ATOM 20062 C CG  . TYR C 3 727 ? 253.970 -51.108 258.758 1.0 46.5703   ? 727 TYR C CG  727 TYR C CG  1 
ATOM 20063 C CD1 . TYR C 3 727 ? 254.625 -51.686 257.688 1.0 46.5703   ? 727 TYR C CD1 727 TYR C CD1 1 
ATOM 20064 C CD2 . TYR C 3 727 ? 253.196 -51.923 259.547 1.0 46.5703   ? 727 TYR C CD2 727 TYR C CD2 1 
ATOM 20065 C CE1 . TYR C 3 727 ? 254.541 -53.048 257.442 1.0 46.5703   ? 727 TYR C CE1 727 TYR C CE1 1 
ATOM 20066 C CE2 . TYR C 3 727 ? 253.096 -53.262 259.302 1.0 46.5703   ? 727 TYR C CE2 727 TYR C CE2 1 
ATOM 20067 C CZ  . TYR C 3 727 ? 253.733 -53.817 258.254 1.0 46.5703   ? 727 TYR C CZ  727 TYR C CZ  1 
ATOM 20068 O OH  . TYR C 3 727 ? 253.633 -55.158 258.040 1.0 46.5703   ? 727 TYR C OH  727 TYR C OH  1 
ATOM 20069 N N   . GLN C 3 728 ? 255.531 -47.464 261.376 1.0 46.46962  ? 728 GLN C N   728 GLN C N   1 
ATOM 20070 C CA  . GLN C 3 728 ? 255.688 -46.133 261.942 1.0 46.46962  ? 728 GLN C CA  728 GLN C CA  1 
ATOM 20071 C C   . GLN C 3 728 ? 256.789 -46.267 262.986 1.0 46.46962  ? 728 GLN C C   728 GLN C C   1 
ATOM 20072 O O   . GLN C 3 728 ? 257.521 -47.262 263.011 1.0 46.46962  ? 728 GLN C O   728 GLN C O   1 
ATOM 20073 C CB  . GLN C 3 728 ? 254.359 -45.603 262.505 1.0 46.46962  ? 728 GLN C CB  728 GLN C CB  1 
ATOM 20074 C CG  . GLN C 3 728 ? 253.305 -45.331 261.449 1.0 46.46962  ? 728 GLN C CG  728 GLN C CG  1 
ATOM 20075 C CD  . GLN C 3 728 ? 251.991 -44.842 262.017 1.0 46.46962  ? 728 GLN C CD  728 GLN C CD  1 
ATOM 20076 O OE1 . GLN C 3 728 ? 251.822 -44.727 263.232 1.0 46.46962  ? 728 GLN C OE1 728 GLN C OE1 1 
ATOM 20077 N NE2 . GLN C 3 728 ? 251.043 -44.560 261.135 1.0 46.46962  ? 728 GLN C NE2 728 GLN C NE2 1 
ATOM 20078 N N   . GLY C 3 729 ? 256.921 -45.278 263.861 1.0 48.038    ? 729 GLY C N   729 GLY C N   1 
ATOM 20079 C CA  . GLY C 3 729 ? 258.028 -45.285 264.799 1.0 48.038    ? 729 GLY C CA  729 GLY C CA  1 
ATOM 20080 C C   . GLY C 3 729 ? 257.853 -46.328 265.889 1.0 48.038    ? 729 GLY C C   729 GLY C C   1 
ATOM 20081 O O   . GLY C 3 729 ? 256.776 -46.486 266.464 1.0 48.038    ? 729 GLY C O   729 GLY C O   1 
ATOM 20082 N N   . PHE C 3 730 ? 258.930 -47.061 266.158 1.0 47.80299  ? 730 PHE C N   730 PHE C N   1 
ATOM 20083 C CA  . PHE C 3 730 ? 259.017 -47.820 267.394 1.0 47.80299  ? 730 PHE C CA  730 PHE C CA  1 
ATOM 20084 C C   . PHE C 3 730 ? 259.277 -46.858 268.539 1.0 47.80299  ? 730 PHE C C   730 PHE C C   1 
ATOM 20085 O O   . PHE C 3 730 ? 260.069 -45.921 268.415 1.0 47.80299  ? 730 PHE C O   730 PHE C O   1 
ATOM 20086 C CB  . PHE C 3 730 ? 260.140 -48.852 267.352 1.0 47.80299  ? 730 PHE C CB  730 PHE C CB  1 
ATOM 20087 C CG  . PHE C 3 730 ? 259.937 -49.944 266.356 1.0 47.80299  ? 730 PHE C CG  730 PHE C CG  1 
ATOM 20088 C CD1 . PHE C 3 730 ? 259.032 -50.963 266.594 1.0 47.80299  ? 730 PHE C CD1 730 PHE C CD1 1 
ATOM 20089 C CD2 . PHE C 3 730 ? 260.693 -49.982 265.202 1.0 47.80299  ? 730 PHE C CD2 730 PHE C CD2 1 
ATOM 20090 C CE1 . PHE C 3 730 ? 258.860 -51.982 265.678 1.0 47.80299  ? 730 PHE C CE1 730 PHE C CE1 1 
ATOM 20091 C CE2 . PHE C 3 730 ? 260.529 -50.999 264.284 1.0 47.80299  ? 730 PHE C CE2 730 PHE C CE2 1 
ATOM 20092 C CZ  . PHE C 3 730 ? 259.611 -52.001 264.524 1.0 47.80299  ? 730 PHE C CZ  730 PHE C CZ  1 
ATOM 20093 N N   . ASN C 3 731 ? 258.608 -47.093 269.656 1.0 50.10725  ? 731 ASN C N   731 ASN C N   1 
ATOM 20094 C CA  . ASN C 3 731 ? 258.797 -46.278 270.844 1.0 50.10725  ? 731 ASN C CA  731 ASN C CA  1 
ATOM 20095 C C   . ASN C 3 731 ? 258.455 -47.128 272.056 1.0 50.10725  ? 731 ASN C C   731 ASN C C   1 
ATOM 20096 O O   . ASN C 3 731 ? 258.038 -48.281 271.929 1.0 50.10725  ? 731 ASN C O   731 ASN C O   1 
ATOM 20097 C CB  . ASN C 3 731 ? 257.959 -44.998 270.777 1.0 50.10725  ? 731 ASN C CB  731 ASN C CB  1 
ATOM 20098 C CG  . ASN C 3 731 ? 256.486 -45.262 270.502 1.0 50.10725  ? 731 ASN C CG  731 ASN C CG  1 
ATOM 20099 O OD1 . ASN C 3 731 ? 256.052 -46.404 270.341 1.0 50.10725  ? 731 ASN C OD1 731 ASN C OD1 1 
ATOM 20100 N ND2 . ASN C 3 731 ? 255.703 -44.194 270.462 1.0 50.10725  ? 731 ASN C ND2 731 ASN C ND2 1 
ATOM 20101 N N   . TRP C 3 732 ? 258.645 -46.558 273.226 1.0 49.6483   ? 732 TRP C N   732 TRP C N   1 
ATOM 20102 C CA  . TRP C 3 732 ? 258.174 -47.211 274.427 1.0 49.6483   ? 732 TRP C CA  732 TRP C CA  1 
ATOM 20103 C C   . TRP C 3 732 ? 256.657 -47.122 274.442 1.0 49.6483   ? 732 TRP C C   732 TRP C C   1 
ATOM 20104 O O   . TRP C 3 732 ? 256.114 -46.012 274.376 1.0 49.6483   ? 732 TRP C O   732 TRP C O   1 
ATOM 20105 C CB  . TRP C 3 732 ? 258.763 -46.561 275.664 1.0 49.6483   ? 732 TRP C CB  732 TRP C CB  1 
ATOM 20106 C CG  . TRP C 3 732 ? 258.376 -47.272 276.889 1.0 49.6483   ? 732 TRP C CG  732 TRP C CG  1 
ATOM 20107 C CD1 . TRP C 3 732 ? 257.404 -46.915 277.764 1.0 49.6483   ? 732 TRP C CD1 732 TRP C CD1 1 
ATOM 20108 C CD2 . TRP C 3 732 ? 258.943 -48.482 277.386 1.0 49.6483   ? 732 TRP C CD2 732 TRP C CD2 1 
ATOM 20109 N NE1 . TRP C 3 732 ? 257.326 -47.828 278.782 1.0 49.6483   ? 732 TRP C NE1 732 TRP C NE1 1 
ATOM 20110 C CE2 . TRP C 3 732 ? 258.265 -48.802 278.571 1.0 49.6483   ? 732 TRP C CE2 732 TRP C CE2 1 
ATOM 20111 C CE3 . TRP C 3 732 ? 259.962 -49.326 276.946 1.0 49.6483   ? 732 TRP C CE3 732 TRP C CE3 1 
ATOM 20112 C CZ2 . TRP C 3 732 ? 258.566 -49.929 279.317 1.0 49.6483   ? 732 TRP C CZ2 732 TRP C CZ2 1 
ATOM 20113 C CZ3 . TRP C 3 732 ? 260.264 -50.440 277.692 1.0 49.6483   ? 732 TRP C CZ3 732 TRP C CZ3 1 
ATOM 20114 C CH2 . TRP C 3 732 ? 259.571 -50.731 278.865 1.0 49.6483   ? 732 TRP C CH2 732 TRP C CH2 1 
ATOM 20115 N N   . PRO C 3 733 ? 255.941 -48.241 274.486 1.0 50.25068  ? 733 PRO C N   733 PRO C N   1 
ATOM 20116 C CA  . PRO C 3 733 ? 254.479 -48.186 274.424 1.0 50.25068  ? 733 PRO C CA  733 PRO C CA  1 
ATOM 20117 C C   . PRO C 3 733 ? 253.882 -47.635 275.706 1.0 50.25068  ? 733 PRO C C   733 PRO C C   1 
ATOM 20118 O O   . PRO C 3 733 ? 254.520 -47.594 276.759 1.0 50.25068  ? 733 PRO C O   733 PRO C O   1 
ATOM 20119 C CB  . PRO C 3 733 ? 254.080 -49.647 274.208 1.0 50.25068  ? 733 PRO C CB  733 PRO C CB  1 
ATOM 20120 C CG  . PRO C 3 733 ? 255.194 -50.415 274.788 1.0 50.25068  ? 733 PRO C CG  733 PRO C CG  1 
ATOM 20121 C CD  . PRO C 3 733 ? 256.436 -49.624 274.538 1.0 50.25068  ? 733 PRO C CD  733 PRO C CD  1 
ATOM 20122 N N   . ASN C 3 734 ? 252.630 -47.193 275.589 1.0 56.61615  ? 734 ASN C N   734 ASN C N   1 
ATOM 20123 C CA  . ASN C 3 734 ? 251.970 -46.496 276.686 1.0 56.61615  ? 734 ASN C CA  734 ASN C CA  1 
ATOM 20124 C C   . ASN C 3 734 ? 251.636 -47.455 277.822 1.0 56.61615  ? 734 ASN C C   734 ASN C C   1 
ATOM 20125 O O   . ASN C 3 734 ? 252.109 -47.290 278.952 1.0 56.61615  ? 734 ASN C O   734 ASN C O   1 
ATOM 20126 C CB  . ASN C 3 734 ? 250.703 -45.812 276.168 1.0 56.61615  ? 734 ASN C CB  734 ASN C CB  1 
ATOM 20127 C CG  . ASN C 3 734 ? 250.132 -44.802 277.147 1.0 56.61615  ? 734 ASN C CG  734 ASN C CG  1 
ATOM 20128 O OD1 . ASN C 3 734 ? 250.708 -44.538 278.203 1.0 56.61615  ? 734 ASN C OD1 734 ASN C OD1 1 
ATOM 20129 N ND2 . ASN C 3 734 ? 248.978 -44.241 276.803 1.0 56.61615  ? 734 ASN C ND2 734 ASN C ND2 1 
ATOM 20130 N N   . CYS C 3 735 ? 250.828 -48.467 277.537 1.0 55.72488  ? 735 CYS C N   735 CYS C N   1 
ATOM 20131 C CA  . CYS C 3 735 ? 250.322 -49.384 278.550 1.0 55.72488  ? 735 CYS C CA  735 CYS C CA  1 
ATOM 20132 C C   . CYS C 3 735 ? 251.012 -50.728 278.360 1.0 55.72488  ? 735 CYS C C   735 CYS C C   1 
ATOM 20133 O O   . CYS C 3 735 ? 250.693 -51.470 277.425 1.0 55.72488  ? 735 CYS C O   735 CYS C O   1 
ATOM 20134 C CB  . CYS C 3 735 ? 248.805 -49.509 278.444 1.0 55.72488  ? 735 CYS C CB  735 CYS C CB  1 
ATOM 20135 S SG  . CYS C 3 735 ? 248.022 -50.431 279.779 1.0 55.72488  ? 735 CYS C SG  735 CYS C SG  1 
ATOM 20136 N N   . THR C 3 736 ? 251.961 -51.031 279.241 1.0 53.59266  ? 736 THR C N   736 THR C N   1 
ATOM 20137 C CA  . THR C 3 736 ? 252.711 -52.279 279.220 1.0 53.59266  ? 736 THR C CA  736 THR C CA  1 
ATOM 20138 C C   . THR C 3 736 ? 252.174 -53.213 280.293 1.0 53.59266  ? 736 THR C C   736 THR C C   1 
ATOM 20139 O O   . THR C 3 736 ? 251.803 -52.769 281.384 1.0 53.59266  ? 736 THR C O   736 THR C O   1 
ATOM 20140 C CB  . THR C 3 736 ? 254.198 -52.032 279.467 1.0 53.59266  ? 736 THR C CB  736 THR C CB  1 
ATOM 20141 O OG1 . THR C 3 736 ? 254.370 -51.435 280.757 1.0 53.59266  ? 736 THR C OG1 736 THR C OG1 1 
ATOM 20142 C CG2 . THR C 3 736 ? 254.764 -51.108 278.418 1.0 53.59266  ? 736 THR C CG2 736 THR C CG2 1 
ATOM 20143 N N   . LYS C 3 737 ? 252.143 -54.505 279.990 1.0 50.06328  ? 737 LYS C N   737 LYS C N   1 
ATOM 20144 C CA  . LYS C 3 737 ? 251.604 -55.495 280.904 1.0 50.06328  ? 737 LYS C CA  737 LYS C CA  1 
ATOM 20145 C C   . LYS C 3 737 ? 252.734 -56.250 281.596 1.0 50.06328  ? 737 LYS C C   737 LYS C C   1 
ATOM 20146 O O   . LYS C 3 737 ? 253.918 -56.029 281.342 1.0 50.06328  ? 737 LYS C O   737 LYS C O   1 
ATOM 20147 C CB  . LYS C 3 737 ? 250.670 -56.451 280.163 1.0 50.06328  ? 737 LYS C CB  737 LYS C CB  1 
ATOM 20148 C CG  . LYS C 3 737 ? 249.450 -55.802 279.493 1.0 50.06328  ? 737 LYS C CG  737 LYS C CG  1 
ATOM 20149 C CD  . LYS C 3 737 ? 248.343 -55.417 280.483 1.0 50.06328  ? 737 LYS C CD  737 LYS C CD  1 
ATOM 20150 C CE  . LYS C 3 737 ? 248.315 -53.929 280.815 1.0 50.06328  ? 737 LYS C CE  737 LYS C CE  1 
ATOM 20151 N NZ  . LYS C 3 737 ? 247.185 -53.576 281.714 1.0 50.06328  ? 737 LYS C NZ  737 LYS C NZ  1 
ATOM 20152 N N   . HIS C 3 738 ? 252.354 -57.166 282.484 1.0 47.27555  ? 738 HIS C N   738 HIS C N   1 
ATOM 20153 C CA  . HIS C 3 738 ? 253.338 -57.876 283.289 1.0 47.27555  ? 738 HIS C CA  738 HIS C CA  1 
ATOM 20154 C C   . HIS C 3 738 ? 253.985 -59.016 282.521 1.0 47.27555  ? 738 HIS C C   738 HIS C C   1 
ATOM 20155 O O   . HIS C 3 738 ? 255.151 -59.342 282.764 1.0 47.27555  ? 738 HIS C O   738 HIS C O   1 
ATOM 20156 C CB  . HIS C 3 738 ? 252.677 -58.405 284.559 1.0 47.27555  ? 738 HIS C CB  738 HIS C CB  1 
ATOM 20157 C CG  . HIS C 3 738 ? 253.626 -59.059 285.510 1.0 47.27555  ? 738 HIS C CG  738 HIS C CG  1 
ATOM 20158 N ND1 . HIS C 3 738 ? 254.530 -58.345 286.265 1.0 47.27555  ? 738 HIS C ND1 738 HIS C ND1 1 
ATOM 20159 C CD2 . HIS C 3 738 ? 253.798 -60.359 285.846 1.0 47.27555  ? 738 HIS C CD2 738 HIS C CD2 1 
ATOM 20160 C CE1 . HIS C 3 738 ? 255.224 -59.178 287.018 1.0 47.27555  ? 738 HIS C CE1 738 HIS C CE1 1 
ATOM 20161 N NE2 . HIS C 3 738 ? 254.802 -60.406 286.781 1.0 47.27555  ? 738 HIS C NE2 738 HIS C NE2 1 
ATOM 20162 N N   . TYR C 3 739 ? 253.247 -59.628 281.600 1.0 46.2388   ? 739 TYR C N   739 TYR C N   1 
ATOM 20163 C CA  . TYR C 3 739 ? 253.730 -60.728 280.779 1.0 46.2388   ? 739 TYR C CA  739 TYR C CA  1 
ATOM 20164 C C   . TYR C 3 739 ? 254.052 -60.282 279.361 1.0 46.2388   ? 739 TYR C C   739 TYR C C   1 
ATOM 20165 O O   . TYR C 3 739 ? 254.028 -61.092 278.431 1.0 46.2388   ? 739 TYR C O   739 TYR C O   1 
ATOM 20166 C CB  . TYR C 3 739 ? 252.690 -61.842 280.771 1.0 46.2388   ? 739 TYR C CB  739 TYR C CB  1 
ATOM 20167 C CG  . TYR C 3 739 ? 252.587 -62.569 282.084 1.0 46.2388   ? 739 TYR C CG  739 TYR C CG  1 
ATOM 20168 C CD1 . TYR C 3 739 ? 253.682 -62.711 282.909 1.0 46.2388   ? 739 TYR C CD1 739 TYR C CD1 1 
ATOM 20169 C CD2 . TYR C 3 739 ? 251.376 -63.030 282.538 1.0 46.2388   ? 739 TYR C CD2 739 TYR C CD2 1 
ATOM 20170 C CE1 . TYR C 3 739 ? 253.578 -63.369 284.117 1.0 46.2388   ? 739 TYR C CE1 739 TYR C CE1 1 
ATOM 20171 C CE2 . TYR C 3 739 ? 251.260 -63.686 283.741 1.0 46.2388   ? 739 TYR C CE2 739 TYR C CE2 1 
ATOM 20172 C CZ  . TYR C 3 739 ? 252.358 -63.841 284.531 1.0 46.2388   ? 739 TYR C CZ  739 TYR C CZ  1 
ATOM 20173 O OH  . TYR C 3 739 ? 252.242 -64.486 285.736 1.0 46.2388   ? 739 TYR C OH  739 TYR C OH  1 
ATOM 20174 N N   . GLY C 3 740 ? 254.351 -59.002 279.181 1.0 46.7308   ? 740 GLY C N   740 GLY C N   1 
ATOM 20175 C CA  . GLY C 3 740 ? 254.599 -58.449 277.870 1.0 46.7308   ? 740 GLY C CA  740 GLY C CA  1 
ATOM 20176 C C   . GLY C 3 740 ? 256.005 -58.732 277.389 1.0 46.7308   ? 740 GLY C C   740 GLY C C   1 
ATOM 20177 O O   . GLY C 3 740 ? 256.768 -59.493 277.985 1.0 46.7308   ? 740 GLY C O   740 GLY C O   1 
ATOM 20178 N N   . PHE C 3 741 ? 256.353 -58.089 276.280 1.0 45.43941  ? 741 PHE C N   741 PHE C N   1 
ATOM 20179 C CA  . PHE C 3 741 ? 257.649 -58.303 275.655 1.0 45.43941  ? 741 PHE C CA  741 PHE C CA  1 
ATOM 20180 C C   . PHE C 3 741 ? 258.676 -57.244 276.026 1.0 45.43941  ? 741 PHE C C   741 PHE C C   1 
ATOM 20181 O O   . PHE C 3 741 ? 259.800 -57.583 276.398 1.0 45.43941  ? 741 PHE C O   741 PHE C O   1 
ATOM 20182 C CB  . PHE C 3 741 ? 257.491 -58.368 274.134 1.0 45.43941  ? 741 PHE C CB  741 PHE C CB  1 
ATOM 20183 C CG  . PHE C 3 741 ? 258.789 -58.482 273.398 1.0 45.43941  ? 741 PHE C CG  741 PHE C CG  1 
ATOM 20184 C CD1 . PHE C 3 741 ? 259.561 -59.626 273.497 1.0 45.43941  ? 741 PHE C CD1 741 PHE C CD1 1 
ATOM 20185 C CD2 . PHE C 3 741 ? 259.221 -57.459 272.582 1.0 45.43941  ? 741 PHE C CD2 741 PHE C CD2 1 
ATOM 20186 C CE1 . PHE C 3 741 ? 260.752 -59.732 272.815 1.0 45.43941  ? 741 PHE C CE1 741 PHE C CE1 1 
ATOM 20187 C CE2 . PHE C 3 741 ? 260.408 -57.561 271.896 1.0 45.43941  ? 741 PHE C CE2 741 PHE C CE2 1 
ATOM 20188 C CZ  . PHE C 3 741 ? 261.174 -58.699 272.012 1.0 45.43941  ? 741 PHE C CZ  741 PHE C CZ  1 
ATOM 20189 N N   . ILE C 3 742 ? 258.312 -55.966 275.954 1.0 46.9505   ? 742 ILE C N   742 ILE C N   1 
ATOM 20190 C CA  . ILE C 3 742 ? 259.331 -54.926 275.986 1.0 46.9505   ? 742 ILE C CA  742 ILE C CA  1 
ATOM 20191 C C   . ILE C 3 742 ? 259.798 -54.596 277.403 1.0 46.9505   ? 742 ILE C C   742 ILE C C   1 
ATOM 20192 O O   . ILE C 3 742 ? 260.932 -54.135 277.578 1.0 46.9505   ? 742 ILE C O   742 ILE C O   1 
ATOM 20193 C CB  . ILE C 3 742 ? 258.810 -53.698 275.217 1.0 46.9505   ? 742 ILE C CB  742 ILE C CB  1 
ATOM 20194 C CG1 . ILE C 3 742 ? 259.958 -52.760 274.850 1.0 46.9505   ? 742 ILE C CG1 742 ILE C CG1 1 
ATOM 20195 C CG2 . ILE C 3 742 ? 257.726 -52.972 275.990 1.0 46.9505   ? 742 ILE C CG2 742 ILE C CG2 1 
ATOM 20196 C CD1 . ILE C 3 742 ? 260.983 -53.408 273.955 1.0 46.9505   ? 742 ILE C CD1 742 ILE C CD1 1 
ATOM 20197 N N   . ASN C 3 743 ? 258.994 -54.857 278.430 1.0 48.00804  ? 743 ASN C N   743 ASN C N   1 
ATOM 20198 C CA  . ASN C 3 743 ? 259.458 -54.646 279.793 1.0 48.00804  ? 743 ASN C CA  743 ASN C CA  1 
ATOM 20199 C C   . ASN C 3 743 ? 260.238 -55.829 280.349 1.0 48.00804  ? 743 ASN C C   743 ASN C C   1 
ATOM 20200 O O   . ASN C 3 743 ? 260.835 -55.710 281.424 1.0 48.00804  ? 743 ASN C O   743 ASN C O   1 
ATOM 20201 C CB  . ASN C 3 743 ? 258.278 -54.318 280.712 1.0 48.00804  ? 743 ASN C CB  743 ASN C CB  1 
ATOM 20202 C CG  . ASN C 3 743 ? 257.166 -55.339 280.628 1.0 48.00804  ? 743 ASN C CG  743 ASN C CG  1 
ATOM 20203 O OD1 . ASN C 3 743 ? 257.250 -56.314 279.887 1.0 48.00804  ? 743 ASN C OD1 743 ASN C OD1 1 
ATOM 20204 N ND2 . ASN C 3 743 ? 256.117 -55.126 281.407 1.0 48.00804  ? 743 ASN C ND2 743 ASN C ND2 1 
ATOM 20205 N N   . ASN C 3 744 ? 260.253 -56.956 279.642 1.0 48.55467  ? 744 ASN C N   744 ASN C N   1 
ATOM 20206 C CA  . ASN C 3 744 ? 260.966 -58.146 280.070 1.0 48.55467  ? 744 ASN C CA  744 ASN C CA  1 
ATOM 20207 C C   . ASN C 3 744 ? 262.197 -58.438 279.228 1.0 48.55467  ? 744 ASN C C   744 ASN C C   1 
ATOM 20208 O O   . ASN C 3 744 ? 263.024 -59.262 279.632 1.0 48.55467  ? 744 ASN C O   744 ASN C O   1 
ATOM 20209 C CB  . ASN C 3 744 ? 260.025 -59.355 280.026 1.0 48.55467  ? 744 ASN C CB  744 ASN C CB  1 
ATOM 20210 C CG  . ASN C 3 744 ? 258.922 -59.266 281.051 1.0 48.55467  ? 744 ASN C CG  744 ASN C CG  1 
ATOM 20211 O OD1 . ASN C 3 744 ? 259.156 -58.893 282.197 1.0 48.55467  ? 744 ASN C OD1 744 ASN C OD1 1 
ATOM 20212 N ND2 . ASN C 3 744 ? 257.707 -59.600 280.643 1.0 48.55467  ? 744 ASN C ND2 744 ASN C ND2 1 
ATOM 20213 N N   . PHE C 3 745 ? 262.341 -57.785 278.081 1.0 50.11882  ? 745 PHE C N   745 PHE C N   1 
ATOM 20214 C CA  . PHE C 3 745 ? 263.461 -58.016 277.181 1.0 50.11882  ? 745 PHE C CA  745 PHE C CA  1 
ATOM 20215 C C   . PHE C 3 745 ? 264.691 -57.292 277.710 1.0 50.11882  ? 745 PHE C C   745 PHE C C   1 
ATOM 20216 O O   . PHE C 3 745 ? 264.659 -56.074 277.909 1.0 50.11882  ? 745 PHE C O   745 PHE C O   1 
ATOM 20217 C CB  . PHE C 3 745 ? 263.099 -57.526 275.783 1.0 50.11882  ? 745 PHE C CB  745 PHE C CB  1 
ATOM 20218 C CG  . PHE C 3 745 ? 264.155 -57.777 274.760 1.0 50.11882  ? 745 PHE C CG  745 PHE C CG  1 
ATOM 20219 C CD1 . PHE C 3 745 ? 264.316 -59.030 274.206 1.0 50.11882  ? 745 PHE C CD1 745 PHE C CD1 1 
ATOM 20220 C CD2 . PHE C 3 745 ? 264.985 -56.759 274.349 1.0 50.11882  ? 745 PHE C CD2 745 PHE C CD2 1 
ATOM 20221 C CE1 . PHE C 3 745 ? 265.291 -59.261 273.264 1.0 50.11882  ? 745 PHE C CE1 745 PHE C CE1 1 
ATOM 20222 C CE2 . PHE C 3 745 ? 265.963 -56.988 273.415 1.0 50.11882  ? 745 PHE C CE2 745 PHE C CE2 1 
ATOM 20223 C CZ  . PHE C 3 745 ? 266.114 -58.238 272.867 1.0 50.11882  ? 745 PHE C CZ  745 PHE C CZ  1 
ATOM 20224 N N   . GLU C 3 746 ? 265.774 -58.030 277.933 1.0 53.908    ? 746 GLU C N   746 GLU C N   1 
ATOM 20225 C CA  . GLU C 3 746 ? 267.001 -57.465 278.493 1.0 53.908    ? 746 GLU C CA  746 GLU C CA  1 
ATOM 20226 C C   . GLU C 3 746 ? 268.178 -57.760 277.576 1.0 53.908    ? 746 GLU C C   746 GLU C C   1 
ATOM 20227 O O   . GLU C 3 746 ? 268.766 -58.853 277.650 1.0 53.908    ? 746 GLU C O   746 GLU C O   1 
ATOM 20228 C CB  . GLU C 3 746 ? 267.266 -58.012 279.888 1.0 53.908    ? 746 GLU C CB  746 GLU C CB  1 
ATOM 20229 C CG  . GLU C 3 746 ? 266.237 -57.597 280.919 1.0 53.908    ? 746 GLU C CG  746 GLU C CG  1 
ATOM 20230 C CD  . GLU C 3 746 ? 266.273 -56.112 281.223 1.0 53.908    ? 746 GLU C CD  746 GLU C CD  1 
ATOM 20231 O OE1 . GLU C 3 746 ? 267.370 -55.516 281.175 1.0 53.908    ? 746 GLU C OE1 746 GLU C OE1 1 
ATOM 20232 O OE2 . GLU C 3 746 ? 265.201 -55.541 281.514 1.0 53.908    ? 746 GLU C OE2 746 GLU C OE2 1 
ATOM 20233 N N   . PRO C 3 747 ? 268.550 -56.830 276.705 1.0 52.84048  ? 747 PRO C N   747 PRO C N   1 
ATOM 20234 C CA  . PRO C 3 747 ? 269.736 -57.032 275.874 1.0 52.84048  ? 747 PRO C CA  747 PRO C CA  1 
ATOM 20235 C C   . PRO C 3 747 ? 270.998 -56.600 276.597 1.0 52.84048  ? 747 PRO C C   747 PRO C C   1 
ATOM 20236 O O   . PRO C 3 747 ? 270.993 -55.668 277.405 1.0 52.84048  ? 747 PRO C O   747 PRO C O   1 
ATOM 20237 C CB  . PRO C 3 747 ? 269.463 -56.137 274.663 1.0 52.84048  ? 747 PRO C CB  747 PRO C CB  1 
ATOM 20238 C CG  . PRO C 3 747 ? 268.629 -55.051 275.203 1.0 52.84048  ? 747 PRO C CG  747 PRO C CG  1 
ATOM 20239 C CD  . PRO C 3 747 ? 267.780 -55.651 276.283 1.0 52.84048  ? 747 PRO C CD  747 PRO C CD  1 
ATOM 20240 N N   . MET C 3 748 ? 272.096 -57.284 276.282 1.0 55.91725  ? 748 MET C N   748 MET C N   1 
ATOM 20241 C CA  . MET C 3 748 ? 273.347 -57.054 276.989 1.0 55.91725  ? 748 MET C CA  748 MET C CA  1 
ATOM 20242 C C   . MET C 3 748 ? 274.513 -57.593 276.173 1.0 55.91725  ? 748 MET C C   748 MET C C   1 
ATOM 20243 O O   . MET C 3 748 ? 274.329 -58.383 275.246 1.0 55.91725  ? 748 MET C O   748 MET C O   1 
ATOM 20244 C CB  . MET C 3 748 ? 273.307 -57.702 278.365 1.0 55.91725  ? 748 MET C CB  748 MET C CB  1 
ATOM 20245 C CG  . MET C 3 748 ? 273.196 -59.186 278.330 1.0 55.91725  ? 748 MET C CG  748 MET C CG  1 
ATOM 20246 S SD  . MET C 3 748 ? 272.972 -59.780 280.001 1.0 55.91725  ? 748 MET C SD  748 MET C SD  1 
ATOM 20247 C CE  . MET C 3 748 ? 272.970 -61.521 279.688 1.0 55.91725  ? 748 MET C CE  748 MET C CE  1 
ATOM 20248 N N   . SER C 3 749 ? 275.721 -57.159 276.538 1.0 57.62517  ? 749 SER C N   749 SER C N   1 
ATOM 20249 C CA  . SER C 3 749 ? 276.917 -57.469 275.765 1.0 57.62517  ? 749 SER C CA  749 SER C CA  1 
ATOM 20250 C C   . SER C 3 749 ? 278.140 -57.481 276.670 1.0 57.62517  ? 749 SER C C   749 SER C C   1 
ATOM 20251 O O   . SER C 3 749 ? 278.131 -56.918 277.767 1.0 57.62517  ? 749 SER C O   749 SER C O   1 
ATOM 20252 C CB  . SER C 3 749 ? 277.143 -56.454 274.640 1.0 57.62517  ? 749 SER C CB  749 SER C CB  1 
ATOM 20253 O OG  . SER C 3 749 ? 276.079 -56.455 273.710 1.0 57.62517  ? 749 SER C OG  749 SER C OG  1 
ATOM 20254 N N   . ARG C 3 750 ? 279.206 -58.117 276.182 1.0 58.18921  ? 750 ARG C N   750 ARG C N   1 
ATOM 20255 C CA  . ARG C 3 750 ? 280.500 -58.111 276.851 1.0 58.18921  ? 750 ARG C CA  750 ARG C CA  1 
ATOM 20256 C C   . ARG C 3 750 ? 281.585 -58.365 275.818 1.0 58.18921  ? 750 ARG C C   750 ARG C C   1 
ATOM 20257 O O   . ARG C 3 750 ? 281.319 -58.909 274.744 1.0 58.18921  ? 750 ARG C O   750 ARG C O   1 
ATOM 20258 C CB  . ARG C 3 750 ? 280.572 -59.161 277.971 1.0 58.18921  ? 750 ARG C CB  750 ARG C CB  1 
ATOM 20259 C CG  . ARG C 3 750 ? 280.503 -60.625 277.531 1.0 58.18921  ? 750 ARG C CG  750 ARG C CG  1 
ATOM 20260 C CD  . ARG C 3 750 ? 281.858 -61.328 277.516 1.0 58.18921  ? 750 ARG C CD  750 ARG C CD  1 
ATOM 20261 N NE  . ARG C 3 750 ? 281.750 -62.736 277.147 1.0 58.18921  ? 750 ARG C NE  750 ARG C NE  1 
ATOM 20262 C CZ  . ARG C 3 750 ? 281.647 -63.734 278.018 1.0 58.18921  ? 750 ARG C CZ  750 ARG C CZ  1 
ATOM 20263 N NH1 . ARG C 3 750 ? 281.642 -63.483 279.319 1.0 58.18921  ? 750 ARG C NH1 750 ARG C NH1 1 
ATOM 20264 N NH2 . ARG C 3 750 ? 281.557 -64.982 277.587 1.0 58.18921  ? 750 ARG C NH2 750 ARG C NH2 1 
ATOM 20265 N N   . GLN C 3 751 ? 282.808 -57.972 276.154 1.0 59.85454  ? 751 GLN C N   751 GLN C N   1 
ATOM 20266 C CA  . GLN C 3 751 ? 283.985 -58.388 275.410 1.0 59.85454  ? 751 GLN C CA  751 GLN C CA  1 
ATOM 20267 C C   . GLN C 3 751 ? 284.760 -59.437 276.192 1.0 59.85454  ? 751 GLN C C   751 GLN C C   1 
ATOM 20268 O O   . GLN C 3 751 ? 284.664 -59.537 277.416 1.0 59.85454  ? 751 GLN C O   751 GLN C O   1 
ATOM 20269 C CB  . GLN C 3 751 ? 284.904 -57.208 275.083 1.0 59.85454  ? 751 GLN C CB  751 GLN C CB  1 
ATOM 20270 C CG  . GLN C 3 751 ? 284.484 -56.389 273.881 1.0 59.85454  ? 751 GLN C CG  751 GLN C CG  1 
ATOM 20271 C CD  . GLN C 3 751 ? 283.319 -55.485 274.158 1.0 59.85454  ? 751 GLN C CD  751 GLN C CD  1 
ATOM 20272 O OE1 . GLN C 3 751 ? 282.245 -55.642 273.593 1.0 59.85454  ? 751 GLN C OE1 751 GLN C OE1 1 
ATOM 20273 N NE2 . GLN C 3 751 ? 283.540 -54.498 275.003 1.0 59.85454  ? 751 GLN C NE2 751 GLN C NE2 1 
ATOM 20274 N N   . VAL C 3 752 ? 285.547 -60.214 275.460 1.0 63.42898  ? 752 VAL C N   752 VAL C N   1 
ATOM 20275 C CA  . VAL C 3 752 ? 286.293 -61.338 276.015 1.0 63.42898  ? 752 VAL C CA  752 VAL C CA  1 
ATOM 20276 C C   . VAL C 3 752 ? 287.546 -61.481 275.155 1.0 63.42898  ? 752 VAL C C   752 VAL C C   1 
ATOM 20277 O O   . VAL C 3 752 ? 287.502 -61.162 273.958 1.0 63.42898  ? 752 VAL C O   752 VAL C O   1 
ATOM 20278 C CB  . VAL C 3 752 ? 285.402 -62.597 276.063 1.0 63.42898  ? 752 VAL C CB  752 VAL C CB  1 
ATOM 20279 C CG1 . VAL C 3 752 ? 284.968 -63.040 274.678 1.0 63.42898  ? 752 VAL C CG1 752 VAL C CG1 1 
ATOM 20280 C CG2 . VAL C 3 752 ? 286.048 -63.745 276.818 1.0 63.42898  ? 752 VAL C CG2 752 VAL C CG2 1 
ATOM 20281 N N   . PRO C 3 753 ? 288.707 -61.862 275.718 1.0 65.61601  ? 753 PRO C N   753 PRO C N   1 
ATOM 20282 C CA  . PRO C 3 753 ? 289.914 -61.988 274.887 1.0 65.61601  ? 753 PRO C CA  753 PRO C CA  1 
ATOM 20283 C C   . PRO C 3 753 ? 289.883 -63.114 273.865 1.0 65.61601  ? 753 PRO C C   753 PRO C C   1 
ATOM 20284 O O   . PRO C 3 753 ? 288.922 -63.884 273.786 1.0 65.61601  ? 753 PRO C O   753 PRO C O   1 
ATOM 20285 C CB  . PRO C 3 753 ? 291.019 -62.226 275.920 1.0 65.61601  ? 753 PRO C CB  753 PRO C CB  1 
ATOM 20286 C CG  . PRO C 3 753 ? 290.526 -61.581 277.134 1.0 65.61601  ? 753 PRO C CG  753 PRO C CG  1 
ATOM 20287 C CD  . PRO C 3 753 ? 289.053 -61.801 277.148 1.0 65.61601  ? 753 PRO C CD  753 PRO C CD  1 
ATOM 20288 N N   . GLU C 3 754 ? 290.955 -63.203 273.075 1.0 71.31384  ? 754 GLU C N   754 GLU C N   1 
ATOM 20289 C CA  . GLU C 3 754 ? 291.036 -64.208 272.022 1.0 71.31384  ? 754 GLU C CA  754 GLU C CA  1 
ATOM 20290 C C   . GLU C 3 754 ? 291.212 -65.607 272.600 1.0 71.31384  ? 754 GLU C C   754 GLU C C   1 
ATOM 20291 O O   . GLU C 3 754 ? 290.675 -66.577 272.050 1.0 71.31384  ? 754 GLU C O   754 GLU C O   1 
ATOM 20292 C CB  . GLU C 3 754 ? 292.187 -63.865 271.075 1.0 71.31384  ? 754 GLU C CB  754 GLU C CB  1 
ATOM 20293 C CG  . GLU C 3 754 ? 292.362 -64.807 269.891 1.0 71.31384  ? 754 GLU C CG  754 GLU C CG  1 
ATOM 20294 C CD  . GLU C 3 754 ? 291.232 -64.712 268.885 1.0 71.31384  ? 754 GLU C CD  754 GLU C CD  1 
ATOM 20295 O OE1 . GLU C 3 754 ? 290.623 -63.628 268.769 1.0 71.31384  ? 754 GLU C OE1 754 GLU C OE1 1 
ATOM 20296 O OE2 . GLU C 3 754 ? 290.950 -65.725 268.211 1.0 71.31384  ? 754 GLU C OE2 754 GLU C OE2 1 
ATOM 20297 N N   . TYR C 3 755 ? 291.947 -65.715 273.717 1.0 71.22597  ? 755 TYR C N   755 TYR C N   1 
ATOM 20298 C CA  . TYR C 3 755 ? 292.255 -66.977 274.408 1.0 71.22597  ? 755 TYR C CA  755 TYR C CA  1 
ATOM 20299 C C   . TYR C 3 755 ? 292.958 -67.970 273.485 1.0 71.22597  ? 755 TYR C C   755 TYR C C   1 
ATOM 20300 O O   . TYR C 3 755 ? 292.671 -69.167 273.495 1.0 71.22597  ? 755 TYR C O   755 TYR C O   1 
ATOM 20301 C CB  . TYR C 3 755 ? 291.008 -67.608 275.036 1.0 71.22597  ? 755 TYR C CB  755 TYR C CB  1 
ATOM 20302 C CG  . TYR C 3 755 ? 290.450 -66.858 276.221 1.0 71.22597  ? 755 TYR C CG  755 TYR C CG  1 
ATOM 20303 C CD1 . TYR C 3 755 ? 291.215 -65.929 276.909 1.0 71.22597  ? 755 TYR C CD1 755 TYR C CD1 1 
ATOM 20304 C CD2 . TYR C 3 755 ? 289.146 -67.075 276.644 1.0 71.22597  ? 755 TYR C CD2 755 TYR C CD2 1 
ATOM 20305 C CE1 . TYR C 3 755 ? 290.701 -65.243 277.991 1.0 71.22597  ? 755 TYR C CE1 755 TYR C CE1 1 
ATOM 20306 C CE2 . TYR C 3 755 ? 288.623 -66.395 277.723 1.0 71.22597  ? 755 TYR C CE2 755 TYR C CE2 1 
ATOM 20307 C CZ  . TYR C 3 755 ? 289.404 -65.479 278.392 1.0 71.22597  ? 755 TYR C CZ  755 TYR C CZ  1 
ATOM 20308 O OH  . TYR C 3 755 ? 288.883 -64.799 279.468 1.0 71.22597  ? 755 TYR C OH  755 TYR C OH  1 
ATOM 20309 N N   . GLY C 3 756 ? 293.891 -67.468 272.683 1.0 76.75463  ? 756 GLY C N   756 GLY C N   1 
ATOM 20310 C CA  . GLY C 3 756 ? 294.611 -68.311 271.751 1.0 76.75463  ? 756 GLY C CA  756 GLY C CA  1 
ATOM 20311 C C   . GLY C 3 756 ? 295.828 -68.974 272.358 1.0 76.75463  ? 756 GLY C C   756 GLY C C   1 
ATOM 20312 O O   . GLY C 3 756 ? 295.794 -69.424 273.507 1.0 76.75463  ? 756 GLY C O   756 GLY C O   1 
ATOM 20313 N N   . ALA C 3 757 ? 296.914 -69.046 271.588 1.0 81.50145  ? 757 ALA C N   757 ALA C N   1 
ATOM 20314 C CA  . ALA C 3 757 ? 298.128 -69.688 272.077 1.0 81.50145  ? 757 ALA C CA  757 ALA C CA  1 
ATOM 20315 C C   . ALA C 3 757 ? 298.955 -68.757 272.951 1.0 81.50145  ? 757 ALA C C   757 ALA C C   1 
ATOM 20316 O O   . ALA C 3 757 ? 299.690 -69.228 273.825 1.0 81.50145  ? 757 ALA C O   757 ALA C O   1 
ATOM 20317 C CB  . ALA C 3 757 ? 298.967 -70.190 270.902 1.0 81.50145  ? 757 ALA C CB  757 ALA C CB  1 
ATOM 20318 N N   . ASN C 3 758 ? 298.853 -67.446 272.735 1.0 80.73247  ? 758 ASN C N   758 ASN C N   1 
ATOM 20319 C CA  . ASN C 3 758 ? 299.583 -66.504 273.573 1.0 80.73247  ? 758 ASN C CA  758 ASN C CA  1 
ATOM 20320 C C   . ASN C 3 758 ? 298.848 -66.205 274.872 1.0 80.73247  ? 758 ASN C C   758 ASN C C   1 
ATOM 20321 O O   . ASN C 3 758 ? 299.475 -65.781 275.848 1.0 80.73247  ? 758 ASN C O   758 ASN C O   1 
ATOM 20322 C CB  . ASN C 3 758 ? 299.841 -65.208 272.807 1.0 80.73247  ? 758 ASN C CB  758 ASN C CB  1 
ATOM 20323 C CG  . ASN C 3 758 ? 300.725 -65.416 271.598 1.0 80.73247  ? 758 ASN C CG  758 ASN C CG  1 
ATOM 20324 O OD1 . ASN C 3 758 ? 300.289 -65.246 270.461 1.0 80.73247  ? 758 ASN C OD1 758 ASN C OD1 1 
ATOM 20325 N ND2 . ASN C 3 758 ? 301.978 -65.785 271.837 1.0 80.73247  ? 758 ASN C ND2 758 ASN C ND2 1 
ATOM 20326 N N   . TYR C 3 759 ? 297.538 -66.412 274.909 1.0 75.09978  ? 759 TYR C N   759 TYR C N   1 
ATOM 20327 C CA  . TYR C 3 759 ? 296.755 -66.196 276.125 1.0 75.09978  ? 759 TYR C CA  759 TYR C CA  1 
ATOM 20328 C C   . TYR C 3 759 ? 296.103 -67.509 276.533 1.0 75.09978  ? 759 TYR C C   759 TYR C C   1 
ATOM 20329 O O   . TYR C 3 759 ? 295.122 -67.934 275.894 1.0 75.09978  ? 759 TYR C O   759 TYR C O   1 
ATOM 20330 C CB  . TYR C 3 759 ? 295.717 -65.099 275.901 1.0 75.09978  ? 759 TYR C CB  759 TYR C CB  1 
ATOM 20331 C CG  . TYR C 3 759 ? 296.368 -63.769 275.593 1.0 75.09978  ? 759 TYR C CG  759 TYR C CG  1 
ATOM 20332 C CD1 . TYR C 3 759 ? 296.958 -63.022 276.599 1.0 75.09978  ? 759 TYR C CD1 759 TYR C CD1 1 
ATOM 20333 C CD2 . TYR C 3 759 ? 296.406 -63.272 274.300 1.0 75.09978  ? 759 TYR C CD2 759 TYR C CD2 1 
ATOM 20334 C CE1 . TYR C 3 759 ? 297.566 -61.810 276.334 1.0 75.09978  ? 759 TYR C CE1 759 TYR C CE1 1 
ATOM 20335 C CE2 . TYR C 3 759 ? 297.012 -62.057 274.022 1.0 75.09978  ? 759 TYR C CE2 759 TYR C CE2 1 
ATOM 20336 C CZ  . TYR C 3 759 ? 297.592 -61.333 275.046 1.0 75.09978  ? 759 TYR C CZ  759 TYR C CZ  1 
ATOM 20337 O OH  . TYR C 3 759 ? 298.196 -60.126 274.788 1.0 75.09978  ? 759 TYR C OH  759 TYR C OH  1 
ATOM 20338 N N   . PRO C 3 760 ? 296.597 -68.177 277.580 1.0 73.97136  ? 760 PRO C N   760 PRO C N   1 
ATOM 20339 C CA  . PRO C 3 760 ? 296.317 -69.612 277.753 1.0 73.97136  ? 760 PRO C CA  760 PRO C CA  1 
ATOM 20340 C C   . PRO C 3 760 ? 294.919 -69.976 278.238 1.0 73.97136  ? 760 PRO C C   760 PRO C C   1 
ATOM 20341 O O   . PRO C 3 760 ? 294.649 -71.183 278.320 1.0 73.97136  ? 760 PRO C O   760 PRO C O   1 
ATOM 20342 C CB  . PRO C 3 760 ? 297.365 -70.043 278.784 1.0 73.97136  ? 760 PRO C CB  760 PRO C CB  1 
ATOM 20343 C CG  . PRO C 3 760 ? 298.441 -69.037 278.671 1.0 73.97136  ? 760 PRO C CG  760 PRO C CG  1 
ATOM 20344 C CD  . PRO C 3 760 ? 297.758 -67.756 278.378 1.0 73.97136  ? 760 PRO C CD  760 PRO C CD  1 
ATOM 20345 N N   . ASN C 3 761 ? 294.046 -69.008 278.554 1.0 72.28594  ? 761 ASN C N   761 ASN C N   1 
ATOM 20346 C CA  . ASN C 3 761 ? 292.675 -69.241 279.038 1.0 72.28594  ? 761 ASN C CA  761 ASN C CA  1 
ATOM 20347 C C   . ASN C 3 761 ? 292.683 -70.082 280.322 1.0 72.28594  ? 761 ASN C C   761 ASN C C   1 
ATOM 20348 O O   . ASN C 3 761 ? 292.271 -71.243 280.350 1.0 72.28594  ? 761 ASN C O   761 ASN C O   1 
ATOM 20349 C CB  . ASN C 3 761 ? 291.791 -69.881 277.955 1.0 72.28594  ? 761 ASN C CB  761 ASN C CB  1 
ATOM 20350 C CG  . ASN C 3 761 ? 290.309 -69.848 278.300 1.0 72.28594  ? 761 ASN C CG  761 ASN C CG  1 
ATOM 20351 O OD1 . ASN C 3 761 ? 289.900 -69.288 279.315 1.0 72.28594  ? 761 ASN C OD1 761 ASN C OD1 1 
ATOM 20352 N ND2 . ASN C 3 761 ? 289.497 -70.467 277.451 1.0 72.28594  ? 761 ASN C ND2 761 ASN C ND2 1 
ATOM 20353 N N   . LEU C 3 762 ? 293.191 -69.449 281.385 1.0 71.51909  ? 762 LEU C N   762 LEU C N   1 
ATOM 20354 C CA  . LEU C 3 762 ? 293.434 -70.121 282.661 1.0 71.51909  ? 762 LEU C CA  762 LEU C CA  1 
ATOM 20355 C C   . LEU C 3 762 ? 292.163 -70.618 283.341 1.0 71.51909  ? 762 LEU C C   762 LEU C C   1 
ATOM 20356 O O   . LEU C 3 762 ? 292.249 -71.496 284.205 1.0 71.51909  ? 762 LEU C O   762 LEU C O   1 
ATOM 20357 C CB  . LEU C 3 762 ? 294.178 -69.188 283.617 1.0 71.51909  ? 762 LEU C CB  762 LEU C CB  1 
ATOM 20358 C CG  . LEU C 3 762 ? 295.703 -69.081 283.540 1.0 71.51909  ? 762 LEU C CG  762 LEU C CG  1 
ATOM 20359 C CD1 . LEU C 3 762 ? 296.185 -68.328 282.315 1.0 71.51909  ? 762 LEU C CD1 762 LEU C CD1 1 
ATOM 20360 C CD2 . LEU C 3 762 ? 296.218 -68.414 284.794 1.0 71.51909  ? 762 LEU C CD2 762 LEU C CD2 1 
ATOM 20361 N N   . MET C 3 763 ? 290.995 -70.076 282.990 1.0 72.35699  ? 763 MET C N   763 MET C N   1 
ATOM 20362 C CA  . MET C 3 763 ? 289.749 -70.595 283.544 1.0 72.35699  ? 763 MET C CA  763 MET C CA  1 
ATOM 20363 C C   . MET C 3 763 ? 289.438 -71.985 283.006 1.0 72.35699  ? 763 MET C C   763 MET C C   1 
ATOM 20364 O O   . MET C 3 763 ? 288.995 -72.860 283.758 1.0 72.35699  ? 763 MET C O   763 MET C O   1 
ATOM 20365 C CB  . MET C 3 763 ? 288.597 -69.641 283.247 1.0 72.35699  ? 763 MET C CB  763 MET C CB  1 
ATOM 20366 C CG  . MET C 3 763 ? 287.269 -70.074 283.841 1.0 72.35699  ? 763 MET C CG  763 MET C CG  1 
ATOM 20367 S SD  . MET C 3 763 ? 287.326 -70.163 285.635 1.0 72.35699  ? 763 MET C SD  763 MET C SD  1 
ATOM 20368 C CE  . MET C 3 763 ? 287.381 -68.424 286.027 1.0 72.35699  ? 763 MET C CE  763 MET C CE  1 
ATOM 20369 N N   . ALA C 3 764 ? 289.679 -72.214 281.710 1.0 72.90772  ? 764 ALA C N   764 ALA C N   1 
ATOM 20370 C CA  . ALA C 3 764 ? 289.430 -73.529 281.131 1.0 72.90772  ? 764 ALA C CA  764 ALA C CA  1 
ATOM 20371 C C   . ALA C 3 764 ? 290.405 -74.582 281.639 1.0 72.90772  ? 764 ALA C C   764 ALA C C   1 
ATOM 20372 O O   . ALA C 3 764 ? 290.097 -75.776 281.569 1.0 72.90772  ? 764 ALA C O   764 ALA C O   1 
ATOM 20373 C CB  . ALA C 3 764 ? 289.489 -73.457 279.607 1.0 72.90772  ? 764 ALA C CB  764 ALA C CB  1 
ATOM 20374 N N   . ALA C 3 765 ? 291.567 -74.172 282.147 1.0 73.99074  ? 765 ALA C N   765 ALA C N   1 
ATOM 20375 C CA  . ALA C 3 765 ? 292.456 -75.102 282.825 1.0 73.99074  ? 765 ALA C CA  765 ALA C CA  1 
ATOM 20376 C C   . ALA C 3 765 ? 292.055 -75.326 284.273 1.0 73.99074  ? 765 ALA C C   765 ALA C C   1 
ATOM 20377 O O   . ALA C 3 765 ? 292.474 -76.320 284.873 1.0 73.99074  ? 765 ALA C O   765 ALA C O   1 
ATOM 20378 C CB  . ALA C 3 765 ? 293.898 -74.600 282.761 1.0 73.99074  ? 765 ALA C CB  765 ALA C CB  1 
ATOM 20379 N N   . TYR C 3 766 ? 291.259 -74.424 284.846 1.0 73.30497  ? 766 TYR C N   766 TYR C N   1 
ATOM 20380 C CA  . TYR C 3 766 ? 290.784 -74.621 286.209 1.0 73.30497  ? 766 TYR C CA  766 TYR C CA  1 
ATOM 20381 C C   . TYR C 3 766 ? 289.674 -75.661 286.255 1.0 73.30497  ? 766 TYR C C   766 TYR C C   1 
ATOM 20382 O O   . TYR C 3 766 ? 289.651 -76.519 287.145 1.0 73.30497  ? 766 TYR C O   766 TYR C O   1 
ATOM 20383 C CB  . TYR C 3 766 ? 290.293 -73.299 286.795 1.0 73.30497  ? 766 TYR C CB  766 TYR C CB  1 
ATOM 20384 C CG  . TYR C 3 766 ? 289.811 -73.433 288.214 1.0 73.30497  ? 766 TYR C CG  766 TYR C CG  1 
ATOM 20385 C CD1 . TYR C 3 766 ? 290.714 -73.512 289.259 1.0 73.30497  ? 766 TYR C CD1 766 TYR C CD1 1 
ATOM 20386 C CD2 . TYR C 3 766 ? 288.455 -73.502 288.509 1.0 73.30497  ? 766 TYR C CD2 766 TYR C CD2 1 
ATOM 20387 C CE1 . TYR C 3 766 ? 290.287 -73.644 290.554 1.0 73.30497  ? 766 TYR C CE1 766 TYR C CE1 1 
ATOM 20388 C CE2 . TYR C 3 766 ? 288.017 -73.644 289.801 1.0 73.30497  ? 766 TYR C CE2 766 TYR C CE2 1 
ATOM 20389 C CZ  . TYR C 3 766 ? 288.939 -73.714 290.820 1.0 73.30497  ? 766 TYR C CZ  766 TYR C CZ  1 
ATOM 20390 O OH  . TYR C 3 766 ? 288.512 -73.844 292.116 1.0 73.30497  ? 766 TYR C OH  766 TYR C OH  1 
ATOM 20391 N N   . LEU C 3 767 ? 288.733 -75.584 285.312 1.0 73.44423  ? 767 LEU C N   767 LEU C N   1 
ATOM 20392 C CA  . LEU C 3 767 ? 287.578 -76.474 285.300 1.0 73.44423  ? 767 LEU C CA  767 LEU C CA  1 
ATOM 20393 C C   . LEU C 3 767 ? 287.942 -77.916 284.983 1.0 73.44423  ? 767 LEU C C   767 LEU C C   1 
ATOM 20394 O O   . LEU C 3 767 ? 287.167 -78.818 285.311 1.0 73.44423  ? 767 LEU C O   767 LEU C O   1 
ATOM 20395 C CB  . LEU C 3 767 ? 286.539 -75.976 284.295 1.0 73.44423  ? 767 LEU C CB  767 LEU C CB  1 
ATOM 20396 C CG  . LEU C 3 767 ? 285.450 -74.991 284.729 1.0 73.44423  ? 767 LEU C CG  767 LEU C CG  1 
ATOM 20397 C CD1 . LEU C 3 767 ? 285.989 -73.624 285.106 1.0 73.44423  ? 767 LEU C CD1 767 LEU C CD1 1 
ATOM 20398 C CD2 . LEU C 3 767 ? 284.431 -74.866 283.600 1.0 73.44423  ? 767 LEU C CD2 767 LEU C CD2 1 
ATOM 20399 N N   . ALA C 3 768 ? 289.091 -78.155 284.352 1.0 74.2346   ? 768 ALA C N   768 ALA C N   1 
ATOM 20400 C CA  . ALA C 3 768 ? 289.538 -79.527 284.124 1.0 74.2346   ? 768 ALA C CA  768 ALA C CA  1 
ATOM 20401 C C   . ALA C 3 768 ? 290.003 -80.161 285.430 1.0 74.2346   ? 768 ALA C C   768 ALA C C   1 
ATOM 20402 O O   . ALA C 3 768 ? 289.438 -81.158 285.888 1.0 74.2346   ? 768 ALA C O   768 ALA C O   1 
ATOM 20403 C CB  . ALA C 3 768 ? 290.653 -79.552 283.076 1.0 74.2346   ? 768 ALA C CB  768 ALA C CB  1 
ATOM 20404 N N   . ASN C 3 769 ? 291.028 -79.584 286.045 1.0 77.3077   ? 769 ASN C N   769 ASN C N   1 
ATOM 20405 C CA  . ASN C 3 769 ? 291.560 -80.076 287.313 1.0 77.3077   ? 769 ASN C CA  769 ASN C CA  1 
ATOM 20406 C C   . ASN C 3 769 ? 291.689 -78.897 288.265 1.0 77.3077   ? 769 ASN C C   769 ASN C C   1 
ATOM 20407 O O   . ASN C 3 769 ? 292.639 -78.098 288.131 1.0 77.3077   ? 769 ASN C O   769 ASN C O   1 
ATOM 20408 C CB  . ASN C 3 769 ? 292.908 -80.764 287.120 1.0 77.3077   ? 769 ASN C CB  769 ASN C CB  1 
ATOM 20409 C CG  . ASN C 3 769 ? 293.332 -81.569 288.336 1.0 77.3077   ? 769 ASN C CG  769 ASN C CG  1 
ATOM 20410 O OD1 . ASN C 3 769 ? 292.601 -81.665 289.321 1.0 77.3077   ? 769 ASN C OD1 769 ASN C OD1 1 
ATOM 20411 N ND2 . ASN C 3 769 ? 294.527 -82.145 288.275 1.0 77.3077   ? 769 ASN C ND2 769 ASN C ND2 1 
ATOM 20412 N N   . PRO C 3 770 ? 290.780 -78.745 289.230 1.0 76.04831  ? 770 PRO C N   770 PRO C N   1 
ATOM 20413 C CA  . PRO C 3 770 ? 290.915 -77.636 290.184 1.0 76.04831  ? 770 PRO C CA  770 PRO C CA  1 
ATOM 20414 C C   . PRO C 3 770 ? 291.978 -77.873 291.239 1.0 76.04831  ? 770 PRO C C   770 PRO C C   1 
ATOM 20415 O O   . PRO C 3 770 ? 292.223 -76.978 292.054 1.0 76.04831  ? 770 PRO C O   770 PRO C O   1 
ATOM 20416 C CB  . PRO C 3 770 ? 289.519 -77.545 290.815 1.0 76.04831  ? 770 PRO C CB  770 PRO C CB  1 
ATOM 20417 C CG  . PRO C 3 770 ? 288.614 -78.261 289.862 1.0 76.04831  ? 770 PRO C CG  770 PRO C CG  1 
ATOM 20418 C CD  . PRO C 3 770 ? 289.447 -79.362 289.296 1.0 76.04831  ? 770 PRO C CD  770 PRO C CD  1 
ATOM 20419 N N   . GLN C 3 771 ? 292.602 -79.053 291.271 1.0 79.24299  ? 771 GLN C N   771 GLN C N   1 
ATOM 20420 C CA  . GLN C 3 771 ? 293.639 -79.311 292.263 1.0 79.24299  ? 771 GLN C CA  771 GLN C CA  1 
ATOM 20421 C C   . GLN C 3 771 ? 294.920 -78.557 291.930 1.0 79.24299  ? 771 GLN C C   771 GLN C C   1 
ATOM 20422 O O   . GLN C 3 771 ? 295.529 -77.935 292.807 1.0 79.24299  ? 771 GLN C O   771 GLN C O   1 
ATOM 20423 C CB  . GLN C 3 771 ? 293.909 -80.810 292.359 1.0 79.24299  ? 771 GLN C CB  771 GLN C CB  1 
ATOM 20424 C CG  . GLN C 3 771 ? 294.914 -81.188 293.429 1.0 79.24299  ? 771 GLN C CG  771 GLN C CG  1 
ATOM 20425 C CD  . GLN C 3 771 ? 295.106 -82.687 293.539 1.0 79.24299  ? 771 GLN C CD  771 GLN C CD  1 
ATOM 20426 O OE1 . GLN C 3 771 ? 294.512 -83.458 292.785 1.0 79.24299  ? 771 GLN C OE1 771 GLN C OE1 1 
ATOM 20427 N NE2 . GLN C 3 771 ? 295.937 -83.110 294.484 1.0 79.24299  ? 771 GLN C NE2 771 GLN C NE2 1 
ATOM 20428 N N   . THR C 3 772 ? 295.345 -78.598 290.668 1.0 78.60031  ? 772 THR C N   772 THR C N   1 
ATOM 20429 C CA  . THR C 3 772 ? 296.514 -77.841 290.222 1.0 78.60031  ? 772 THR C CA  772 THR C CA  1 
ATOM 20430 C C   . THR C 3 772 ? 296.048 -76.438 289.852 1.0 78.60031  ? 772 THR C C   772 THR C C   1 
ATOM 20431 O O   . THR C 3 772 ? 295.799 -76.118 288.689 1.0 78.60031  ? 772 THR C O   772 THR C O   1 
ATOM 20432 C CB  . THR C 3 772 ? 297.192 -78.535 289.050 1.0 78.60031  ? 772 THR C CB  772 THR C CB  1 
ATOM 20433 O OG1 . THR C 3 772 ? 296.287 -78.587 287.941 1.0 78.60031  ? 772 THR C OG1 772 THR C OG1 1 
ATOM 20434 C CG2 . THR C 3 772 ? 297.590 -79.949 289.431 1.0 78.60031  ? 772 THR C CG2 772 THR C CG2 1 
ATOM 20435 N N   . MET C 3 773 ? 295.961 -75.588 290.872 1.0 76.93794  ? 773 MET C N   773 MET C N   1 
ATOM 20436 C CA  . MET C 3 773 ? 295.271 -74.302 290.806 1.0 76.93794  ? 773 MET C CA  773 MET C CA  1 
ATOM 20437 C C   . MET C 3 773 ? 296.014 -73.297 289.937 1.0 76.93794  ? 773 MET C C   773 MET C C   1 
ATOM 20438 O O   . MET C 3 773 ? 297.133 -72.896 290.289 1.0 76.93794  ? 773 MET C O   773 MET C O   1 
ATOM 20439 C CB  . MET C 3 773 ? 295.120 -73.756 292.219 1.0 76.93794  ? 773 MET C CB  773 MET C CB  1 
ATOM 20440 C CG  . MET C 3 773 ? 294.256 -74.639 293.089 1.0 76.93794  ? 773 MET C CG  773 MET C CG  1 
ATOM 20441 S SD  . MET C 3 773 ? 294.116 -74.096 294.794 1.0 76.93794  ? 773 MET C SD  773 MET C SD  1 
ATOM 20442 C CE  . MET C 3 773 ? 295.714 -74.600 295.409 1.0 76.93794  ? 773 MET C CE  773 MET C CE  1 
ATOM 20443 N N   . PRO C 3 774 ? 295.447 -72.865 288.812 1.0 74.07583  ? 774 PRO C N   774 PRO C N   1 
ATOM 20444 C CA  . PRO C 3 774 ? 296.180 -71.950 287.935 1.0 74.07583  ? 774 PRO C CA  774 PRO C CA  1 
ATOM 20445 C C   . PRO C 3 774 ? 295.923 -70.481 288.233 1.0 74.07583  ? 774 PRO C C   774 PRO C C   1 
ATOM 20446 O O   . PRO C 3 774 ? 296.737 -69.629 287.868 1.0 74.07583  ? 774 PRO C O   774 PRO C O   1 
ATOM 20447 C CB  . PRO C 3 774 ? 295.662 -72.332 286.547 1.0 74.07583  ? 774 PRO C CB  774 PRO C CB  1 
ATOM 20448 C CG  . PRO C 3 774 ? 294.254 -72.739 286.807 1.0 74.07583  ? 774 PRO C CG  774 PRO C CG  1 
ATOM 20449 C CD  . PRO C 3 774 ? 294.220 -73.372 288.169 1.0 74.07583  ? 774 PRO C CD  774 PRO C CD  1 
ATOM 20450 N N   . ILE C 3 775 ? 294.819 -70.167 288.904 1.0 71.46776  ? 775 ILE C N   775 ILE C N   1 
ATOM 20451 C CA  . ILE C 3 775 ? 294.342 -68.796 289.045 1.0 71.46776  ? 775 ILE C CA  775 ILE C CA  1 
ATOM 20452 C C   . ILE C 3 775 ? 294.865 -68.232 290.353 1.0 71.46776  ? 775 ILE C C   775 ILE C C   1 
ATOM 20453 O O   . ILE C 3 775 ? 294.570 -68.761 291.431 1.0 71.46776  ? 775 ILE C O   775 ILE C O   1 
ATOM 20454 C CB  . ILE C 3 775 ? 292.812 -68.716 288.986 1.0 71.46776  ? 775 ILE C CB  775 ILE C CB  1 
ATOM 20455 C CG1 . ILE C 3 775 ? 292.321 -69.139 287.606 1.0 71.46776  ? 775 ILE C CG1 775 ILE C CG1 1 
ATOM 20456 C CG2 . ILE C 3 775 ? 292.339 -67.314 289.295 1.0 71.46776  ? 775 ILE C CG2 775 ILE C CG2 1 
ATOM 20457 C CD1 . ILE C 3 775 ? 290.832 -69.304 287.522 1.0 71.46776  ? 775 ILE C CD1 775 ILE C CD1 1 
ATOM 20458 N N   . TRP C 3 776 ? 295.636 -67.154 290.257 1.0 70.10569  ? 776 TRP C N   776 TRP C N   1 
ATOM 20459 C CA  . TRP C 3 776 ? 296.201 -66.478 291.418 1.0 70.10569  ? 776 TRP C CA  776 TRP C CA  1 
ATOM 20460 C C   . TRP C 3 776 ? 295.514 -65.127 291.539 1.0 70.10569  ? 776 TRP C C   776 TRP C C   1 
ATOM 20461 O O   . TRP C 3 776 ? 295.829 -64.191 290.805 1.0 70.10569  ? 776 TRP C O   776 TRP C O   1 
ATOM 20462 C CB  . TRP C 3 776 ? 297.708 -66.320 291.276 1.0 70.10569  ? 776 TRP C CB  776 TRP C CB  1 
ATOM 20463 C CG  . TRP C 3 776 ? 298.431 -67.605 291.304 1.0 70.10569  ? 776 TRP C CG  776 TRP C CG  1 
ATOM 20464 C CD1 . TRP C 3 776 ? 297.927 -68.821 291.650 1.0 70.10569  ? 776 TRP C CD1 776 TRP C CD1 1 
ATOM 20465 C CD2 . TRP C 3 776 ? 299.792 -67.822 290.945 1.0 70.10569  ? 776 TRP C CD2 776 TRP C CD2 1 
ATOM 20466 N NE1 . TRP C 3 776 ? 298.895 -69.783 291.540 1.0 70.10569  ? 776 TRP C NE1 776 TRP C NE1 1 
ATOM 20467 C CE2 . TRP C 3 776 ? 300.052 -69.194 291.108 1.0 70.10569  ? 776 TRP C CE2 776 TRP C CE2 1 
ATOM 20468 C CE3 . TRP C 3 776 ? 300.821 -66.989 290.509 1.0 70.10569  ? 776 TRP C CE3 776 TRP C CE3 1 
ATOM 20469 C CZ2 . TRP C 3 776 ? 301.295 -69.749 290.847 1.0 70.10569  ? 776 TRP C CZ2 776 TRP C CZ2 1 
ATOM 20470 C CZ3 . TRP C 3 776 ? 302.051 -67.541 290.254 1.0 70.10569  ? 776 TRP C CZ3 776 TRP C CZ3 1 
ATOM 20471 C CH2 . TRP C 3 776 ? 302.281 -68.907 290.422 1.0 70.10569  ? 776 TRP C CH2 776 TRP C CH2 1 
ATOM 20472 N N   . ASN C 3 777 ? 294.556 -65.036 292.450 1.0 66.58082  ? 777 ASN C N   777 ASN C N   1 
ATOM 20473 C CA  . ASN C 3 777 ? 293.914 -63.774 292.769 1.0 66.58082  ? 777 ASN C CA  777 ASN C CA  1 
ATOM 20474 C C   . ASN C 3 777 ? 293.785 -63.727 294.280 1.0 66.58082  ? 777 ASN C C   777 ASN C C   1 
ATOM 20475 O O   . ASN C 3 777 ? 293.528 -64.764 294.898 1.0 66.58082  ? 777 ASN C O   777 ASN C O   1 
ATOM 20476 C CB  . ASN C 3 777 ? 292.543 -63.648 292.100 1.0 66.58082  ? 777 ASN C CB  777 ASN C CB  1 
ATOM 20477 C CG  . ASN C 3 777 ? 292.176 -62.215 291.788 1.0 66.58082  ? 777 ASN C CG  777 ASN C CG  1 
ATOM 20478 O OD1 . ASN C 3 777 ? 291.209 -61.951 291.078 1.0 66.58082  ? 777 ASN C OD1 777 ASN C OD1 1 
ATOM 20479 N ND2 . ASN C 3 777 ? 292.972 -61.281 292.282 1.0 66.58082  ? 777 ASN C ND2 777 ASN C ND2 1 
ATOM 20480 N N   . ASN C 3 778 ? 294.043 -62.536 294.845 1.0 66.24911  ? 778 ASN C N   778 ASN C N   1 
ATOM 20481 C CA  . ASN C 3 778 ? 294.139 -62.152 296.261 1.0 66.24911  ? 778 ASN C CA  778 ASN C CA  1 
ATOM 20482 C C   . ASN C 3 778 ? 294.682 -63.261 297.158 1.0 66.24911  ? 778 ASN C C   778 ASN C C   1 
ATOM 20483 O O   . ASN C 3 778 ? 294.052 -63.661 298.142 1.0 66.24911  ? 778 ASN C O   778 ASN C O   1 
ATOM 20484 C CB  . ASN C 3 778 ? 292.826 -61.519 296.785 1.0 66.24911  ? 778 ASN C CB  778 ASN C CB  1 
ATOM 20485 C CG  . ASN C 3 778 ? 291.601 -62.416 296.724 1.0 66.24911  ? 778 ASN C CG  778 ASN C CG  1 
ATOM 20486 O OD1 . ASN C 3 778 ? 291.673 -63.620 296.568 1.0 66.24911  ? 778 ASN C OD1 778 ASN C OD1 1 
ATOM 20487 N ND2 . ASN C 3 778 ? 290.440 -61.790 296.841 1.0 66.24911  ? 778 ASN C ND2 778 ASN C ND2 1 
ATOM 20488 N N   . CYS C 3 779 ? 295.865 -63.755 296.794 1.0 68.1495   ? 779 CYS C N   779 CYS C N   1 
ATOM 20489 C CA  . CYS C 3 779 ? 296.532 -64.808 297.543 1.0 68.1495   ? 779 CYS C CA  779 CYS C CA  1 
ATOM 20490 C C   . CYS C 3 779 ? 296.918 -64.311 298.928 1.0 68.1495   ? 779 CYS C C   779 CYS C C   1 
ATOM 20491 O O   . CYS C 3 779 ? 297.329 -63.162 299.100 1.0 68.1495   ? 779 CYS C O   779 CYS C O   1 
ATOM 20492 C CB  . CYS C 3 779 ? 297.778 -65.264 296.791 1.0 68.1495   ? 779 CYS C CB  779 CYS C CB  1 
ATOM 20493 S SG  . CYS C 3 779 ? 297.455 -65.938 295.156 1.0 68.1495   ? 779 CYS C SG  779 CYS C SG  1 
ATOM 20494 N N   . GLY C 3 780 ? 296.777 -65.180 299.921 1.0 68.51421  ? 780 GLY C N   780 GLY C N   1 
ATOM 20495 C CA  . GLY C 3 780 ? 297.011 -64.766 301.285 1.0 68.51421  ? 780 GLY C CA  780 GLY C CA  1 
ATOM 20496 C C   . GLY C 3 780 ? 295.890 -63.968 301.894 1.0 68.51421  ? 780 GLY C C   780 GLY C C   1 
ATOM 20497 O O   . GLY C 3 780 ? 296.097 -63.296 302.907 1.0 68.51421  ? 780 GLY C O   780 GLY C O   1 
ATOM 20498 N N   . PHE C 3 781 ? 294.712 -63.998 301.293 1.0 66.46099  ? 781 PHE C N   781 PHE C N   1 
ATOM 20499 C CA  . PHE C 3 781 ? 293.555 -63.336 301.865 1.0 66.46099  ? 781 PHE C CA  781 PHE C CA  1 
ATOM 20500 C C   . PHE C 3 781 ? 292.307 -64.194 301.775 1.0 66.46099  ? 781 PHE C C   781 PHE C C   1 
ATOM 20501 O O   . PHE C 3 781 ? 291.236 -63.741 302.187 1.0 66.46099  ? 781 PHE C O   781 PHE C O   1 
ATOM 20502 C CB  . PHE C 3 781 ? 293.322 -61.987 301.174 1.0 66.46099  ? 781 PHE C CB  781 PHE C CB  1 
ATOM 20503 C CG  . PHE C 3 781 ? 294.456 -61.022 301.352 1.0 66.46099  ? 781 PHE C CG  781 PHE C CG  1 
ATOM 20504 C CD1 . PHE C 3 781 ? 294.584 -60.295 302.520 1.0 66.46099  ? 781 PHE C CD1 781 PHE C CD1 1 
ATOM 20505 C CD2 . PHE C 3 781 ? 295.405 -60.858 300.362 1.0 66.46099  ? 781 PHE C CD2 781 PHE C CD2 1 
ATOM 20506 C CE1 . PHE C 3 781 ? 295.629 -59.413 302.692 1.0 66.46099  ? 781 PHE C CE1 781 PHE C CE1 1 
ATOM 20507 C CE2 . PHE C 3 781 ? 296.453 -59.978 300.526 1.0 66.46099  ? 781 PHE C CE2 781 PHE C CE2 1 
ATOM 20508 C CZ  . PHE C 3 781 ? 296.564 -59.254 301.694 1.0 66.46099  ? 781 PHE C CZ  781 PHE C CZ  1 
ATOM 20509 N N   . GLN C 3 782 ? 292.413 -65.411 301.254 1.0 68.88421  ? 782 GLN C N   782 GLN C N   1 
ATOM 20510 C CA  . GLN C 3 782 ? 291.322 -66.369 301.238 1.0 68.88421  ? 782 GLN C CA  782 GLN C CA  1 
ATOM 20511 C C   . GLN C 3 782 ? 291.921 -67.765 301.172 1.0 68.88421  ? 782 GLN C C   782 GLN C C   1 
ATOM 20512 O O   . GLN C 3 782 ? 293.142 -67.940 301.160 1.0 68.88421  ? 782 GLN C O   782 GLN C O   1 
ATOM 20513 C CB  . GLN C 3 782 ? 290.376 -66.120 300.065 1.0 68.88421  ? 782 GLN C CB  782 GLN C CB  1 
ATOM 20514 C CG  . GLN C 3 782 ? 291.006 -66.345 298.708 1.0 68.88421  ? 782 GLN C CG  782 GLN C CG  1 
ATOM 20515 C CD  . GLN C 3 782 ? 290.042 -66.074 297.577 1.0 68.88421  ? 782 GLN C CD  782 GLN C CD  1 
ATOM 20516 O OE1 . GLN C 3 782 ? 288.877 -65.762 297.803 1.0 68.88421  ? 782 GLN C OE1 782 GLN C OE1 1 
ATOM 20517 N NE2 . GLN C 3 782 ? 290.525 -66.191 296.348 1.0 68.88421  ? 782 GLN C NE2 782 GLN C NE2 1 
ATOM 20518 N N   . GLN C 3 783 ? 291.050 -68.763 301.119 1.0 74.54563  ? 783 GLN C N   783 GLN C N   1 
ATOM 20519 C CA  . GLN C 3 783 ? 291.482 -70.146 301.038 1.0 74.54563  ? 783 GLN C CA  783 GLN C CA  1 
ATOM 20520 C C   . GLN C 3 783 ? 291.956 -70.458 299.618 1.0 74.54563  ? 783 GLN C C   783 GLN C C   1 
ATOM 20521 O O   . GLN C 3 783 ? 291.693 -69.706 298.675 1.0 74.54563  ? 783 GLN C O   783 GLN C O   1 
ATOM 20522 C CB  . GLN C 3 783 ? 290.329 -71.055 301.489 1.0 74.54563  ? 783 GLN C CB  783 GLN C CB  1 
ATOM 20523 C CG  . GLN C 3 783 ? 290.625 -72.539 301.683 1.0 74.54563  ? 783 GLN C CG  783 GLN C CG  1 
ATOM 20524 C CD  . GLN C 3 783 ? 291.678 -72.790 302.731 1.0 74.54563  ? 783 GLN C CD  783 GLN C CD  1 
ATOM 20525 O OE1 . GLN C 3 783 ? 291.720 -72.120 303.759 1.0 74.54563  ? 783 GLN C OE1 783 GLN C OE1 1 
ATOM 20526 N NE2 . GLN C 3 783 ? 292.532 -73.771 302.483 1.0 74.54563  ? 783 GLN C NE2 783 GLN C NE2 1 
ATOM 20527 N N   . LYS C 3 784 ? 292.735 -71.538 299.497 1.0 74.92281  ? 784 LYS C N   784 LYS C N   1 
ATOM 20528 C CA  . LYS C 3 784 ? 293.039 -72.167 298.219 1.0 74.92281  ? 784 LYS C CA  784 LYS C CA  1 
ATOM 20529 C C   . LYS C 3 784 ? 291.771 -72.414 297.413 1.0 74.92281  ? 784 LYS C C   784 LYS C C   1 
ATOM 20530 O O   . LYS C 3 784 ? 290.714 -72.725 297.966 1.0 74.92281  ? 784 LYS C O   784 LYS C O   1 
ATOM 20531 C CB  . LYS C 3 784 ? 293.732 -73.506 298.456 1.0 74.92281  ? 784 LYS C CB  784 LYS C CB  1 
ATOM 20532 C CG  . LYS C 3 784 ? 295.049 -73.432 299.178 1.0 74.92281  ? 784 LYS C CG  784 LYS C CG  1 
ATOM 20533 C CD  . LYS C 3 784 ? 295.659 -74.816 299.307 1.0 74.92281  ? 784 LYS C CD  784 LYS C CD  1 
ATOM 20534 C CE  . LYS C 3 784 ? 295.363 -75.448 300.657 1.0 74.92281  ? 784 LYS C CE  784 LYS C CE  1 
ATOM 20535 N NZ  . LYS C 3 784 ? 293.961 -75.927 300.774 1.0 74.92281  ? 784 LYS C NZ  784 LYS C NZ  1 
ATOM 20536 N N   . THR C 3 785 ? 291.884 -72.307 296.095 1.0 73.95663  ? 785 THR C N   785 THR C N   1 
ATOM 20537 C CA  . THR C 3 785 ? 290.726 -72.531 295.235 1.0 73.95663  ? 785 THR C CA  785 THR C CA  1 
ATOM 20538 C C   . THR C 3 785 ? 290.606 -73.994 294.823 1.0 73.95663  ? 785 THR C C   785 THR C C   1 
ATOM 20539 O O   . THR C 3 785 ? 290.351 -74.322 293.668 1.0 73.95663  ? 785 THR C O   785 THR C O   1 
ATOM 20540 C CB  . THR C 3 785 ? 290.804 -71.624 294.018 1.0 73.95663  ? 785 THR C CB  785 THR C CB  1 
ATOM 20541 O OG1 . THR C 3 785 ? 291.972 -71.948 293.259 1.0 73.95663  ? 785 THR C OG1 785 THR C OG1 1 
ATOM 20542 C CG2 . THR C 3 785 ? 290.886 -70.178 294.462 1.0 73.95663  ? 785 THR C CG2 785 THR C CG2 1 
ATOM 20543 N N   . ALA C 3 786 ? 290.781 -74.890 295.790 1.0 76.03356  ? 786 ALA C N   786 ALA C N   1 
ATOM 20544 C CA  . ALA C 3 786 ? 290.495 -76.300 295.592 1.0 76.03356  ? 786 ALA C CA  786 ALA C CA  1 
ATOM 20545 C C   . ALA C 3 786 ? 289.564 -76.762 296.701 1.0 76.03356  ? 786 ALA C C   786 ALA C C   1 
ATOM 20546 O O   . ALA C 3 786 ? 288.744 -77.663 296.504 1.0 76.03356  ? 786 ALA C O   786 ALA C O   1 
ATOM 20547 C CB  . ALA C 3 786 ? 291.782 -77.122 295.578 1.0 76.03356  ? 786 ALA C CB  786 ALA C CB  1 
ATOM 20548 N N   . THR C 3 787 ? 289.682 -76.138 297.867 1.0 76.41051  ? 787 THR C N   787 THR C N   1 
ATOM 20549 C CA  . THR C 3 787 ? 288.822 -76.419 298.999 1.0 76.41051  ? 787 THR C CA  787 THR C CA  1 
ATOM 20550 C C   . THR C 3 787 ? 287.748 -75.326 299.040 1.0 76.41051  ? 787 THR C C   787 THR C C   1 
ATOM 20551 O O   . THR C 3 787 ? 287.593 -74.549 298.094 1.0 76.41051  ? 787 THR C O   787 THR C O   1 
ATOM 20552 C CB  . THR C 3 787 ? 289.678 -76.512 300.267 1.0 76.41051  ? 787 THR C CB  787 THR C CB  1 
ATOM 20553 O OG1 . THR C 3 787 ? 290.936 -77.089 299.915 1.0 76.41051  ? 787 THR C OG1 787 THR C OG1 1 
ATOM 20554 C CG2 . THR C 3 787 ? 289.079 -77.501 301.268 1.0 76.41051  ? 787 THR C CG2 787 THR C CG2 1 
ATOM 20555 N N   . ASN C 3 788 ? 286.994 -75.271 300.135 1.0 75.34428  ? 788 ASN C N   788 ASN C N   1 
ATOM 20556 C CA  . ASN C 3 788 ? 285.888 -74.341 300.284 1.0 75.34428  ? 788 ASN C CA  788 ASN C CA  1 
ATOM 20557 C C   . ASN C 3 788 ? 286.379 -72.904 300.369 1.0 75.34428  ? 788 ASN C C   788 ASN C C   1 
ATOM 20558 O O   . ASN C 3 788 ? 287.434 -72.617 300.937 1.0 75.34428  ? 788 ASN C O   788 ASN C O   1 
ATOM 20559 C CB  . ASN C 3 788 ? 285.103 -74.664 301.549 1.0 75.34428  ? 788 ASN C CB  788 ASN C CB  1 
ATOM 20560 C CG  . ASN C 3 788 ? 284.390 -75.981 301.466 1.0 75.34428  ? 788 ASN C CG  788 ASN C CG  1 
ATOM 20561 O OD1 . ASN C 3 788 ? 283.846 -76.338 300.426 1.0 75.34428  ? 788 ASN C OD1 788 ASN C OD1 1 
ATOM 20562 N ND2 . ASN C 3 788 ? 284.369 -76.710 302.574 1.0 75.34428  ? 788 ASN C ND2 788 ASN C ND2 1 
ATOM 20563 N N   . VAL C 3 789 ? 285.581 -71.993 299.811 1.0 71.96283  ? 789 VAL C N   789 VAL C N   1 
ATOM 20564 C CA  . VAL C 3 789 ? 285.849 -70.566 299.974 1.0 71.96283  ? 789 VAL C CA  789 VAL C CA  1 
ATOM 20565 C C   . VAL C 3 789 ? 285.465 -70.086 301.365 1.0 71.96283  ? 789 VAL C C   789 VAL C C   1 
ATOM 20566 O O   . VAL C 3 789 ? 285.939 -69.033 301.809 1.0 71.96283  ? 789 VAL C O   789 VAL C O   1 
ATOM 20567 C CB  . VAL C 3 789 ? 285.124 -69.783 298.858 1.0 71.96283  ? 789 VAL C CB  789 VAL C CB  1 
ATOM 20568 C CG1 . VAL C 3 789 ? 283.617 -69.783 299.069 1.0 71.96283  ? 789 VAL C CG1 789 VAL C CG1 1 
ATOM 20569 C CG2 . VAL C 3 789 ? 285.681 -68.363 298.686 1.0 71.96283  ? 789 VAL C CG2 789 VAL C CG2 1 
ATOM 20570 N N   . LEU C 3 790 ? 284.669 -70.865 302.099 1.0 70.86403  ? 790 LEU C N   790 LEU C N   1 
ATOM 20571 C CA  . LEU C 3 790 ? 284.252 -70.513 303.449 1.0 70.86403  ? 790 LEU C CA  790 LEU C CA  1 
ATOM 20572 C C   . LEU C 3 790 ? 285.362 -70.645 304.487 1.0 70.86403  ? 790 LEU C C   790 LEU C C   1 
ATOM 20573 O O   . LEU C 3 790 ? 285.143 -70.276 305.645 1.0 70.86403  ? 790 LEU C O   790 LEU C O   1 
ATOM 20574 C CB  . LEU C 3 790 ? 283.070 -71.388 303.872 1.0 70.86403  ? 790 LEU C CB  790 LEU C CB  1 
ATOM 20575 C CG  . LEU C 3 790 ? 281.775 -71.217 303.080 1.0 70.86403  ? 790 LEU C CG  790 LEU C CG  1 
ATOM 20576 C CD1 . LEU C 3 790 ? 280.754 -72.236 303.511 1.0 70.86403  ? 790 LEU C CD1 790 LEU C CD1 1 
ATOM 20577 C CD2 . LEU C 3 790 ? 281.215 -69.829 303.262 1.0 70.86403  ? 790 LEU C CD2 790 LEU C CD2 1 
ATOM 20578 N N   . LEU C 3 791 ? 286.533 -71.156 304.118 1.0 74.196    ? 791 LEU C N   791 LEU C N   1 
ATOM 20579 C CA  . LEU C 3 791 ? 287.622 -71.346 305.063 1.0 74.196    ? 791 LEU C CA  791 LEU C CA  1 
ATOM 20580 C C   . LEU C 3 791 ? 288.435 -70.054 305.180 1.0 74.196    ? 791 LEU C C   791 LEU C C   1 
ATOM 20581 O O   . LEU C 3 791 ? 288.048 -69.005 304.664 1.0 74.196    ? 791 LEU C O   791 LEU C O   1 
ATOM 20582 C CB  . LEU C 3 791 ? 288.478 -72.530 304.634 1.0 74.196    ? 791 LEU C CB  791 LEU C CB  1 
ATOM 20583 C CG  . LEU C 3 791 ? 287.797 -73.895 304.609 1.0 74.196    ? 791 LEU C CG  791 LEU C CG  1 
ATOM 20584 C CD1 . LEU C 3 791 ? 288.738 -74.921 304.018 1.0 74.196    ? 791 LEU C CD1 791 LEU C CD1 1 
ATOM 20585 C CD2 . LEU C 3 791 ? 287.375 -74.300 306.003 1.0 74.196    ? 791 LEU C CD2 791 LEU C CD2 1 
ATOM 20586 N N   . GLU C 3 792 ? 289.586 -70.120 305.843 1.0 76.60572  ? 792 GLU C N   792 GLU C N   1 
ATOM 20587 C CA  . GLU C 3 792 ? 290.333 -68.935 306.239 1.0 76.60572  ? 792 GLU C CA  792 GLU C CA  1 
ATOM 20588 C C   . GLU C 3 792 ? 291.409 -68.602 305.207 1.0 76.60572  ? 792 GLU C C   792 GLU C C   1 
ATOM 20589 O O   . GLU C 3 792 ? 291.554 -69.274 304.187 1.0 76.60572  ? 792 GLU C O   792 GLU C O   1 
ATOM 20590 C CB  . GLU C 3 792 ? 290.948 -69.138 307.625 1.0 76.60572  ? 792 GLU C CB  792 GLU C CB  1 
ATOM 20591 C CG  . GLU C 3 792 ? 289.925 -69.253 308.742 1.0 76.60572  ? 792 GLU C CG  792 GLU C CG  1 
ATOM 20592 C CD  . GLU C 3 792 ? 289.394 -70.664 308.906 1.0 76.60572  ? 792 GLU C CD  792 GLU C CD  1 
ATOM 20593 O OE1 . GLU C 3 792 ? 289.934 -71.582 308.254 1.0 76.60572  ? 792 GLU C OE1 792 GLU C OE1 1 
ATOM 20594 O OE2 . GLU C 3 792 ? 288.412 -70.846 309.650 1.0 76.60572  ? 792 GLU C OE2 792 GLU C OE2 1 
ATOM 20595 N N   . ARG C 3 793 ? 292.162 -67.535 305.476 1.0 74.51269  ? 793 ARG C N   793 ARG C N   1 
ATOM 20596 C CA  . ARG C 3 793 ? 293.293 -67.161 304.634 1.0 74.51269  ? 793 ARG C CA  793 ARG C CA  1 
ATOM 20597 C C   . ARG C 3 793 ? 294.382 -68.231 304.695 1.0 74.51269  ? 793 ARG C C   793 ARG C C   1 
ATOM 20598 O O   . ARG C 3 793 ? 294.534 -68.937 305.696 1.0 74.51269  ? 793 ARG C O   793 ARG C O   1 
ATOM 20599 C CB  . ARG C 3 793 ? 293.852 -65.790 305.042 1.0 74.51269  ? 793 ARG C CB  793 ARG C CB  1 
ATOM 20600 C CG  . ARG C 3 793 ? 294.792 -65.755 306.252 1.0 74.51269  ? 793 ARG C CG  793 ARG C CG  1 
ATOM 20601 C CD  . ARG C 3 793 ? 294.050 -65.878 307.574 1.0 74.51269  ? 793 ARG C CD  793 ARG C CD  1 
ATOM 20602 N NE  . ARG C 3 793 ? 294.941 -65.887 308.727 1.0 74.51269  ? 793 ARG C NE  793 ARG C NE  1 
ATOM 20603 C CZ  . ARG C 3 793 ? 295.522 -66.981 309.204 1.0 74.51269  ? 793 ARG C CZ  793 ARG C CZ  1 
ATOM 20604 N NH1 . ARG C 3 793 ? 295.302 -68.152 308.625 1.0 74.51269  ? 793 ARG C NH1 793 ARG C NH1 1 
ATOM 20605 N NH2 . ARG C 3 793 ? 296.318 -66.907 310.261 1.0 74.51269  ? 793 ARG C NH2 793 ARG C NH2 1 
ATOM 20606 N N   . CYS C 3 794 ? 295.116 -68.383 303.587 1.0 75.99976  ? 794 CYS C N   794 CYS C N   1 
ATOM 20607 C CA  . CYS C 3 794 ? 295.947 -69.568 303.431 1.0 75.99976  ? 794 CYS C CA  794 CYS C CA  1 
ATOM 20608 C C   . CYS C 3 794 ? 297.307 -69.324 302.779 1.0 75.99976  ? 794 CYS C C   794 CYS C C   1 
ATOM 20609 O O   . CYS C 3 794 ? 298.069 -70.280 302.629 1.0 75.99976  ? 794 CYS C O   794 CYS C O   1 
ATOM 20610 C CB  . CYS C 3 794 ? 295.152 -70.620 302.626 1.0 75.99976  ? 794 CYS C CB  794 CYS C CB  1 
ATOM 20611 S SG  . CYS C 3 794 ? 295.718 -72.346 302.662 1.0 75.99976  ? 794 CYS C SG  794 CYS C SG  1 
ATOM 20612 N N   . GLY C 3 795 ? 297.671 -68.095 302.426 1.0 74.70042  ? 795 GLY C N   795 GLY C N   1 
ATOM 20613 C CA  . GLY C 3 795 ? 298.929 -67.936 301.713 1.0 74.70042  ? 795 GLY C CA  795 GLY C CA  1 
ATOM 20614 C C   . GLY C 3 795 ? 299.752 -66.708 302.041 1.0 74.70042  ? 795 GLY C C   795 GLY C C   1 
ATOM 20615 O O   . GLY C 3 795 ? 299.726 -66.214 303.170 1.0 74.70042  ? 795 GLY C O   795 GLY C O   1 
ATOM 20616 N N   . HIS C 3 796 ? 300.488 -66.207 301.051 1.0 72.94829  ? 796 HIS C N   796 HIS C N   1 
ATOM 20617 C CA  . HIS C 3 796 ? 301.241 -64.969 301.151 1.0 72.94829  ? 796 HIS C CA  796 HIS C CA  1 
ATOM 20618 C C   . HIS C 3 796 ? 300.785 -63.994 300.070 1.0 72.94829  ? 796 HIS C C   796 HIS C C   1 
ATOM 20619 O O   . HIS C 3 796 ? 300.349 -64.424 298.999 1.0 72.94829  ? 796 HIS C O   796 HIS C O   1 
ATOM 20620 C CB  . HIS C 3 796 ? 302.750 -65.219 301.020 1.0 72.94829  ? 796 HIS C CB  796 HIS C CB  1 
ATOM 20621 C CG  . HIS C 3 796 ? 303.164 -65.826 299.716 1.0 72.94829  ? 796 HIS C CG  796 HIS C CG  1 
ATOM 20622 N ND1 . HIS C 3 796 ? 303.347 -65.084 298.570 1.0 72.94829  ? 796 HIS C ND1 796 HIS C ND1 1 
ATOM 20623 C CD2 . HIS C 3 796 ? 303.474 -67.102 299.388 1.0 72.94829  ? 796 HIS C CD2 796 HIS C CD2 1 
ATOM 20624 C CE1 . HIS C 3 796 ? 303.736 -65.877 297.589 1.0 72.94829  ? 796 HIS C CE1 796 HIS C CE1 1 
ATOM 20625 N NE2 . HIS C 3 796 ? 303.821 -67.107 298.060 1.0 72.94829  ? 796 HIS C NE2 796 HIS C NE2 1 
ATOM 20626 N N   . PRO C 3 797 ? 300.852 -62.685 300.321 1.0 71.46145  ? 797 PRO C N   797 PRO C N   1 
ATOM 20627 C CA  . PRO C 3 797 ? 300.448 -61.721 299.291 1.0 71.46145  ? 797 PRO C CA  797 PRO C CA  1 
ATOM 20628 C C   . PRO C 3 797 ? 301.422 -61.698 298.127 1.0 71.46145  ? 797 PRO C C   797 PRO C C   1 
ATOM 20629 O O   . PRO C 3 797 ? 302.640 -61.738 298.309 1.0 71.46145  ? 797 PRO C O   797 PRO C O   1 
ATOM 20630 C CB  . PRO C 3 797 ? 300.437 -60.385 300.039 1.0 71.46145  ? 797 PRO C CB  797 PRO C CB  1 
ATOM 20631 C CG  . PRO C 3 797 ? 301.347 -60.590 301.174 1.0 71.46145  ? 797 PRO C CG  797 PRO C CG  1 
ATOM 20632 C CD  . PRO C 3 797 ? 301.183 -62.012 301.587 1.0 71.46145  ? 797 PRO C CD  797 PRO C CD  1 
ATOM 20633 N N   . TYR C 3 798 ? 300.864 -61.622 296.924 1.0 71.08517  ? 798 TYR C N   798 TYR C N   1 
ATOM 20634 C CA  . TYR C 3 798 ? 301.619 -61.843 295.701 1.0 71.08517  ? 798 TYR C CA  798 TYR C CA  1 
ATOM 20635 C C   . TYR C 3 798 ? 300.799 -61.285 294.546 1.0 71.08517  ? 798 TYR C C   798 TYR C C   1 
ATOM 20636 O O   . TYR C 3 798 ? 299.602 -61.021 294.683 1.0 71.08517  ? 798 TYR C O   798 TYR C O   1 
ATOM 20637 C CB  . TYR C 3 798 ? 301.928 -63.334 295.537 1.0 71.08517  ? 798 TYR C CB  798 TYR C CB  1 
ATOM 20638 C CG  . TYR C 3 798 ? 302.829 -63.703 294.392 1.0 71.08517  ? 798 TYR C CG  798 TYR C CG  1 
ATOM 20639 C CD1 . TYR C 3 798 ? 304.187 -63.437 294.439 1.0 71.08517  ? 798 TYR C CD1 798 TYR C CD1 1 
ATOM 20640 C CD2 . TYR C 3 798 ? 302.321 -64.339 293.274 1.0 71.08517  ? 798 TYR C CD2 798 TYR C CD2 1 
ATOM 20641 C CE1 . TYR C 3 798 ? 305.011 -63.783 293.397 1.0 71.08517  ? 798 TYR C CE1 798 TYR C CE1 1 
ATOM 20642 C CE2 . TYR C 3 798 ? 303.136 -64.693 292.229 1.0 71.08517  ? 798 TYR C CE2 798 TYR C CE2 1 
ATOM 20643 C CZ  . TYR C 3 798 ? 304.478 -64.411 292.295 1.0 71.08517  ? 798 TYR C CZ  798 TYR C CZ  1 
ATOM 20644 O OH  . TYR C 3 798 ? 305.284 -64.765 291.248 1.0 71.08517  ? 798 TYR C OH  798 TYR C OH  1 
ATOM 20645 N N   . VAL C 3 799 ? 301.468 -61.088 293.405 1.0 69.07578  ? 799 VAL C N   799 VAL C N   1 
ATOM 20646 C CA  . VAL C 3 799 ? 300.830 -60.501 292.231 1.0 69.07578  ? 799 VAL C CA  799 VAL C CA  1 
ATOM 20647 C C   . VAL C 3 799 ? 299.779 -61.443 291.659 1.0 69.07578  ? 799 VAL C C   799 VAL C C   1 
ATOM 20648 O O   . VAL C 3 799 ? 299.776 -62.654 291.900 1.0 69.07578  ? 799 VAL C O   799 VAL C O   1 
ATOM 20649 C CB  . VAL C 3 799 ? 301.878 -60.149 291.167 1.0 69.07578  ? 799 VAL C CB  799 VAL C CB  1 
ATOM 20650 C CG1 . VAL C 3 799 ? 302.775 -59.062 291.659 1.0 69.07578  ? 799 VAL C CG1 799 VAL C CG1 1 
ATOM 20651 C CG2 . VAL C 3 799 ? 302.693 -61.371 290.838 1.0 69.07578  ? 799 VAL C CG2 799 VAL C CG2 1 
ATOM 20652 N N   . ALA C 3 800 ? 298.881 -60.869 290.872 1.0 67.50556  ? 800 ALA C N   800 ALA C N   1 
ATOM 20653 C CA  . ALA C 3 800 ? 297.793 -61.609 290.259 1.0 67.50556  ? 800 ALA C CA  800 ALA C CA  1 
ATOM 20654 C C   . ALA C 3 800 ? 298.030 -61.782 288.767 1.0 67.50556  ? 800 ALA C C   800 ALA C C   1 
ATOM 20655 O O   . ALA C 3 800 ? 298.728 -60.994 288.126 1.0 67.50556  ? 800 ALA C O   800 ALA C O   1 
ATOM 20656 C CB  . ALA C 3 800 ? 296.459 -60.902 290.497 1.0 67.50556  ? 800 ALA C CB  800 ALA C CB  1 
ATOM 20657 N N   . ASN C 3 801 ? 297.429 -62.835 288.215 1.0 67.39962  ? 801 ASN C N   801 ASN C N   1 
ATOM 20658 C CA  . ASN C 3 801 ? 297.579 -63.153 286.807 1.0 67.39962  ? 801 ASN C CA  801 ASN C CA  1 
ATOM 20659 C C   . ASN C 3 801 ? 296.262 -63.298 286.064 1.0 67.39962  ? 801 ASN C C   801 ASN C C   1 
ATOM 20660 O O   . ASN C 3 801 ? 296.276 -63.630 284.874 1.0 67.39962  ? 801 ASN C O   801 ASN C O   1 
ATOM 20661 C CB  . ASN C 3 801 ? 298.404 -64.438 286.631 1.0 67.39962  ? 801 ASN C CB  801 ASN C CB  1 
ATOM 20662 C CG  . ASN C 3 801 ? 297.834 -65.619 287.390 1.0 67.39962  ? 801 ASN C CG  801 ASN C CG  1 
ATOM 20663 O OD1 . ASN C 3 801 ? 296.819 -65.514 288.073 1.0 67.39962  ? 801 ASN C OD1 801 ASN C OD1 1 
ATOM 20664 N ND2 . ASN C 3 801 ? 298.486 -66.764 287.257 1.0 67.39962  ? 801 ASN C ND2 801 ASN C ND2 1 
ATOM 20665 N N   . TRP C 3 802 ? 295.141 -63.059 286.712 1.0 66.91774  ? 802 TRP C N   802 TRP C N   1 
ATOM 20666 C CA  . TRP C 3 802 ? 293.868 -63.406 286.110 1.0 66.91774  ? 802 TRP C CA  802 TRP C CA  1 
ATOM 20667 C C   . TRP C 3 802 ? 292.789 -62.544 286.745 1.0 66.91774  ? 802 TRP C C   802 TRP C C   1 
ATOM 20668 O O   . TRP C 3 802 ? 292.743 -62.434 287.975 1.0 66.91774  ? 802 TRP C O   802 TRP C O   1 
ATOM 20669 C CB  . TRP C 3 802 ? 293.597 -64.894 286.308 1.0 66.91774  ? 802 TRP C CB  802 TRP C CB  1 
ATOM 20670 C CG  . TRP C 3 802 ? 292.395 -65.415 285.629 1.0 66.91774  ? 802 TRP C CG  802 TRP C CG  1 
ATOM 20671 C CD1 . TRP C 3 802 ? 291.225 -65.757 286.211 1.0 66.91774  ? 802 TRP C CD1 802 TRP C CD1 1 
ATOM 20672 C CD2 . TRP C 3 802 ? 292.247 -65.681 284.232 1.0 66.91774  ? 802 TRP C CD2 802 TRP C CD2 1 
ATOM 20673 N NE1 . TRP C 3 802 ? 290.347 -66.223 285.264 1.0 66.91774  ? 802 TRP C NE1 802 TRP C NE1 1 
ATOM 20674 C CE2 . TRP C 3 802 ? 290.949 -66.176 284.038 1.0 66.91774  ? 802 TRP C CE2 802 TRP C CE2 1 
ATOM 20675 C CE3 . TRP C 3 802 ? 293.086 -65.544 283.127 1.0 66.91774  ? 802 TRP C CE3 802 TRP C CE3 1 
ATOM 20676 C CZ2 . TRP C 3 802 ? 290.465 -66.536 282.790 1.0 66.91774  ? 802 TRP C CZ2 802 TRP C CZ2 1 
ATOM 20677 C CZ3 . TRP C 3 802 ? 292.606 -65.901 281.891 1.0 66.91774  ? 802 TRP C CZ3 802 TRP C CZ3 1 
ATOM 20678 C CH2 . TRP C 3 802 ? 291.307 -66.388 281.729 1.0 66.91774  ? 802 TRP C CH2 802 TRP C CH2 1 
ATOM 20679 N N   . PRO C 3 803 ? 291.899 -61.925 285.961 1.0 66.1085   ? 803 PRO C N   803 PRO C N   1 
ATOM 20680 C CA  . PRO C 3 803 ? 291.652 -62.012 284.519 1.0 66.1085   ? 803 PRO C CA  803 PRO C CA  1 
ATOM 20681 C C   . PRO C 3 803 ? 292.595 -61.157 283.695 1.0 66.1085   ? 803 PRO C C   803 PRO C C   1 
ATOM 20682 O O   . PRO C 3 803 ? 293.558 -60.627 284.234 1.0 66.1085   ? 803 PRO C O   803 PRO C O   1 
ATOM 20683 C CB  . PRO C 3 803 ? 290.236 -61.470 284.388 1.0 66.1085   ? 803 PRO C CB  803 PRO C CB  1 
ATOM 20684 C CG  . PRO C 3 803 ? 290.166 -60.454 285.459 1.0 66.1085   ? 803 PRO C CG  803 PRO C CG  1 
ATOM 20685 C CD  . PRO C 3 803 ? 290.961 -60.994 286.605 1.0 66.1085   ? 803 PRO C CD  803 PRO C CD  1 
ATOM 20686 N N   . TYR C 3 804 ? 292.315 -61.019 282.411 1.0 66.1698   ? 804 TYR C N   804 TYR C N   1 
ATOM 20687 C CA  . TYR C 3 804 ? 293.107 -60.081 281.643 1.0 66.1698   ? 804 TYR C CA  804 TYR C CA  1 
ATOM 20688 C C   . TYR C 3 804 ? 292.518 -58.682 281.760 1.0 66.1698   ? 804 TYR C C   804 TYR C C   1 
ATOM 20689 O O   . TYR C 3 804 ? 291.306 -58.523 281.915 1.0 66.1698   ? 804 TYR C O   804 TYR C O   1 
ATOM 20690 C CB  . TYR C 3 804 ? 293.165 -60.487 280.180 1.0 66.1698   ? 804 TYR C CB  804 TYR C CB  1 
ATOM 20691 C CG  . TYR C 3 804 ? 293.944 -61.743 279.965 1.0 66.1698   ? 804 TYR C CG  804 TYR C CG  1 
ATOM 20692 C CD1 . TYR C 3 804 ? 295.317 -61.751 280.117 1.0 66.1698   ? 804 TYR C CD1 804 TYR C CD1 1 
ATOM 20693 C CD2 . TYR C 3 804 ? 293.317 -62.912 279.583 1.0 66.1698   ? 804 TYR C CD2 804 TYR C CD2 1 
ATOM 20694 C CE1 . TYR C 3 804 ? 296.038 -62.890 279.933 1.0 66.1698   ? 804 TYR C CE1 804 TYR C CE1 1 
ATOM 20695 C CE2 . TYR C 3 804 ? 294.034 -64.055 279.377 1.0 66.1698   ? 804 TYR C CE2 804 TYR C CE2 1 
ATOM 20696 C CZ  . TYR C 3 804 ? 295.390 -64.037 279.553 1.0 66.1698   ? 804 TYR C CZ  804 TYR C CZ  1 
ATOM 20697 O OH  . TYR C 3 804 ? 296.102 -65.182 279.357 1.0 66.1698   ? 804 TYR C OH  804 TYR C OH  1 
ATOM 20698 N N   . PRO C 3 805 ? 293.349 -57.660 281.709 1.0 65.44472  ? 805 PRO C N   805 PRO C N   1 
ATOM 20699 C CA  . PRO C 3 805 ? 292.809 -56.300 281.664 1.0 65.44472  ? 805 PRO C CA  805 PRO C CA  1 
ATOM 20700 C C   . PRO C 3 805 ? 292.162 -56.009 280.322 1.0 65.44472  ? 805 PRO C C   805 PRO C C   1 
ATOM 20701 O O   . PRO C 3 805 ? 292.841 -55.856 279.305 1.0 65.44472  ? 805 PRO C O   805 PRO C O   1 
ATOM 20702 C CB  . PRO C 3 805 ? 294.040 -55.425 281.921 1.0 65.44472  ? 805 PRO C CB  805 PRO C CB  1 
ATOM 20703 C CG  . PRO C 3 805 ? 295.193 -56.266 281.524 1.0 65.44472  ? 805 PRO C CG  805 PRO C CG  1 
ATOM 20704 C CD  . PRO C 3 805 ? 294.815 -57.669 281.845 1.0 65.44472  ? 805 PRO C CD  805 PRO C CD  1 
ATOM 20705 N N   . LEU C 3 806 ? 290.835 -55.959 280.308 1.0 63.62232  ? 806 LEU C N   806 LEU C N   1 
ATOM 20706 C CA  . LEU C 3 806 ? 290.121 -55.585 279.099 1.0 63.62232  ? 806 LEU C CA  806 LEU C CA  1 
ATOM 20707 C C   . LEU C 3 806 ? 290.087 -54.084 278.887 1.0 63.62232  ? 806 LEU C C   806 LEU C C   1 
ATOM 20708 O O   . LEU C 3 806 ? 289.690 -53.634 277.809 1.0 63.62232  ? 806 LEU C O   806 LEU C O   1 
ATOM 20709 C CB  . LEU C 3 806 ? 288.692 -56.123 279.143 1.0 63.62232  ? 806 LEU C CB  806 LEU C CB  1 
ATOM 20710 C CG  . LEU C 3 806 ? 288.579 -57.640 279.074 1.0 63.62232  ? 806 LEU C CG  806 LEU C CG  1 
ATOM 20711 C CD1 . LEU C 3 806 ? 287.139 -58.075 279.261 1.0 63.62232  ? 806 LEU C CD1 806 LEU C CD1 1 
ATOM 20712 C CD2 . LEU C 3 806 ? 289.121 -58.119 277.750 1.0 63.62232  ? 806 LEU C CD2 806 LEU C CD2 1 
ATOM 20713 N N   . SER C 3 807 ? 290.501 -53.305 279.880 1.0 63.96129  ? 807 SER C N   807 SER C N   1 
ATOM 20714 C CA  . SER C 3 807 ? 290.437 -51.861 279.782 1.0 63.96129  ? 807 SER C CA  807 SER C CA  1 
ATOM 20715 C C   . SER C 3 807 ? 291.632 -51.256 280.498 1.0 63.96129  ? 807 SER C C   807 SER C C   1 
ATOM 20716 O O   . SER C 3 807 ? 292.210 -51.858 281.406 1.0 63.96129  ? 807 SER C O   807 SER C O   1 
ATOM 20717 C CB  . SER C 3 807 ? 289.137 -51.325 280.373 1.0 63.96129  ? 807 SER C CB  807 SER C CB  1 
ATOM 20718 O OG  . SER C 3 807 ? 289.116 -49.920 280.288 1.0 63.96129  ? 807 SER C OG  807 SER C OG  1 
ATOM 20719 N N   . GLY C 3 808 ? 291.991 -50.056 280.081 1.0 68.30779  ? 808 GLY C N   808 GLY C N   1 
ATOM 20720 C CA  . GLY C 3 808 ? 293.105 -49.338 280.658 1.0 68.30779  ? 808 GLY C CA  808 GLY C CA  1 
ATOM 20721 C C   . GLY C 3 808 ? 294.241 -49.176 279.666 1.0 68.30779  ? 808 GLY C C   808 GLY C C   1 
ATOM 20722 O O   . GLY C 3 808 ? 294.119 -49.468 278.473 1.0 68.30779  ? 808 GLY C O   808 GLY C O   1 
ATOM 20723 N N   . ARG C 3 809 ? 295.369 -48.692 280.187 1.0 73.13799  ? 809 ARG C N   809 ARG C N   1 
ATOM 20724 C CA  . ARG C 3 809 ? 296.541 -48.484 279.348 1.0 73.13799  ? 809 ARG C CA  809 ARG C CA  1 
ATOM 20725 C C   . ARG C 3 809 ? 297.190 -49.800 278.955 1.0 73.13799  ? 809 ARG C C   809 ARG C C   1 
ATOM 20726 O O   . ARG C 3 809 ? 297.770 -49.906 277.869 1.0 73.13799  ? 809 ARG C O   809 ARG C O   1 
ATOM 20727 C CB  . ARG C 3 809 ? 297.553 -47.602 280.072 1.0 73.13799  ? 809 ARG C CB  809 ARG C CB  1 
ATOM 20728 C CG  . ARG C 3 809 ? 297.096 -46.176 280.287 1.0 73.13799  ? 809 ARG C CG  809 ARG C CG  1 
ATOM 20729 C CD  . ARG C 3 809 ? 298.187 -45.367 280.957 1.0 73.13799  ? 809 ARG C CD  809 ARG C CD  1 
ATOM 20730 N NE  . ARG C 3 809 ? 298.411 -45.800 282.332 1.0 73.13799  ? 809 ARG C NE  809 ARG C NE  1 
ATOM 20731 C CZ  . ARG C 3 809 ? 299.516 -46.403 282.754 1.0 73.13799  ? 809 ARG C CZ  809 ARG C CZ  1 
ATOM 20732 N NH1 . ARG C 3 809 ? 300.501 -46.650 281.903 1.0 73.13799  ? 809 ARG C NH1 809 ARG C NH1 1 
ATOM 20733 N NH2 . ARG C 3 809 ? 299.635 -46.763 284.023 1.0 73.13799  ? 809 ARG C NH2 809 ARG C NH2 1 
ATOM 20734 N N   . ASN C 3 810 ? 297.108 -50.808 279.820 1.0 73.04112  ? 810 ASN C N   810 ASN C N   1 
ATOM 20735 C CA  . ASN C 3 810 ? 297.653 -52.129 279.543 1.0 73.04112  ? 810 ASN C CA  810 ASN C CA  1 
ATOM 20736 C C   . ASN C 3 810 ? 296.586 -53.090 279.041 1.0 73.04112  ? 810 ASN C C   810 ASN C C   1 
ATOM 20737 O O   . ASN C 3 810 ? 296.646 -54.287 279.337 1.0 73.04112  ? 810 ASN C O   810 ASN C O   1 
ATOM 20738 C CB  . ASN C 3 810 ? 298.332 -52.692 280.788 1.0 73.04112  ? 810 ASN C CB  810 ASN C CB  1 
ATOM 20739 C CG  . ASN C 3 810 ? 299.517 -51.865 281.222 1.0 73.04112  ? 810 ASN C CG  810 ASN C CG  1 
ATOM 20740 O OD1 . ASN C 3 810 ? 299.501 -51.246 282.284 1.0 73.04112  ? 810 ASN C OD1 810 ASN C OD1 1 
ATOM 20741 N ND2 . ASN C 3 810 ? 300.556 -51.845 280.398 1.0 73.04112  ? 810 ASN C ND2 810 ASN C ND2 1 
ATOM 20742 N N   . ALA C 3 811 ? 295.607 -52.581 278.297 1.0 70.32441  ? 811 ALA C N   811 ALA C N   1 
ATOM 20743 C CA  . ALA C 3 811 ? 294.506 -53.404 277.820 1.0 70.32441  ? 811 ALA C CA  811 ALA C CA  1 
ATOM 20744 C C   . ALA C 3 811 ? 294.987 -54.401 276.777 1.0 70.32441  ? 811 ALA C C   811 ALA C C   1 
ATOM 20745 O O   . ALA C 3 811 ? 295.886 -54.112 275.985 1.0 70.32441  ? 811 ALA C O   811 ALA C O   1 
ATOM 20746 C CB  . ALA C 3 811 ? 293.402 -52.529 277.232 1.0 70.32441  ? 811 ALA C CB  811 ALA C CB  1 
ATOM 20747 N N   . VAL C 3 812 ? 294.388 -55.585 276.793 1.0 70.50682  ? 812 VAL C N   812 VAL C N   1 
ATOM 20748 C CA  . VAL C 3 812 ? 294.772 -56.662 275.889 1.0 70.50682  ? 812 VAL C CA  812 VAL C CA  1 
ATOM 20749 C C   . VAL C 3 812 ? 294.233 -56.342 274.498 1.0 70.50682  ? 812 VAL C C   812 VAL C C   1 
ATOM 20750 O O   . VAL C 3 812 ? 293.117 -55.820 274.364 1.0 70.50682  ? 812 VAL C O   812 VAL C O   1 
ATOM 20751 C CB  . VAL C 3 812 ? 294.296 -58.024 276.434 1.0 70.50682  ? 812 VAL C CB  812 VAL C CB  1 
ATOM 20752 C CG1 . VAL C 3 812 ? 292.780 -58.087 276.590 1.0 70.50682  ? 812 VAL C CG1 812 VAL C CG1 1 
ATOM 20753 C CG2 . VAL C 3 812 ? 294.791 -59.173 275.578 1.0 70.50682  ? 812 VAL C CG2 812 VAL C CG2 1 
ATOM 20754 N N   . PRO C 3 813 ? 295.014 -56.545 273.446 1.0 72.65514  ? 813 PRO C N   813 PRO C N   1 
ATOM 20755 C CA  . PRO C 3 813 ? 294.472 -56.445 272.091 1.0 72.65514  ? 813 PRO C CA  813 PRO C CA  1 
ATOM 20756 C C   . PRO C 3 813 ? 293.722 -57.717 271.721 1.0 72.65514  ? 813 PRO C C   813 PRO C C   1 
ATOM 20757 O O   . PRO C 3 813 ? 293.733 -58.707 272.454 1.0 72.65514  ? 813 PRO C O   813 PRO C O   1 
ATOM 20758 C CB  . PRO C 3 813 ? 295.718 -56.262 271.225 1.0 72.65514  ? 813 PRO C CB  813 PRO C CB  1 
ATOM 20759 C CG  . PRO C 3 813 ? 296.793 -56.927 271.998 1.0 72.65514  ? 813 PRO C CG  813 PRO C CG  1 
ATOM 20760 C CD  . PRO C 3 813 ? 296.479 -56.678 273.441 1.0 72.65514  ? 813 PRO C CD  813 PRO C CD  1 
ATOM 20761 N N   . ASN C 3 814 ? 293.071 -57.658 270.555 1.0 71.79248  ? 814 ASN C N   814 ASN C N   1 
ATOM 20762 C CA  . ASN C 3 814 ? 292.301 -58.759 269.965 1.0 71.79248  ? 814 ASN C CA  814 ASN C CA  1 
ATOM 20763 C C   . ASN C 3 814 ? 291.184 -59.229 270.900 1.0 71.79248  ? 814 ASN C C   814 ASN C C   1 
ATOM 20764 O O   . ASN C 3 814 ? 291.163 -60.365 271.375 1.0 71.79248  ? 814 ASN C O   814 ASN C O   1 
ATOM 20765 C CB  . ASN C 3 814 ? 293.213 -59.922 269.556 1.0 71.79248  ? 814 ASN C CB  814 ASN C CB  1 
ATOM 20766 C CG  . ASN C 3 814 ? 294.098 -59.575 268.384 1.0 71.79248  ? 814 ASN C CG  814 ASN C CG  1 
ATOM 20767 O OD1 . ASN C 3 814 ? 293.655 -58.944 267.426 1.0 71.79248  ? 814 ASN C OD1 814 ASN C OD1 1 
ATOM 20768 N ND2 . ASN C 3 814 ? 295.358 -59.983 268.452 1.0 71.79248  ? 814 ASN C ND2 814 ASN C ND2 1 
ATOM 20769 N N   . GLN C 3 815 ? 290.255 -58.320 271.161 1.0 65.59141  ? 815 GLN C N   815 GLN C N   1 
ATOM 20770 C CA  . GLN C 3 815 ? 289.060 -58.610 271.936 1.0 65.59141  ? 815 GLN C CA  815 GLN C CA  1 
ATOM 20771 C C   . GLN C 3 815 ? 287.912 -58.915 270.985 1.0 65.59141  ? 815 GLN C C   815 GLN C C   1 
ATOM 20772 O O   . GLN C 3 815 ? 287.790 -58.289 269.929 1.0 65.59141  ? 815 GLN C O   815 GLN C O   1 
ATOM 20773 C CB  . GLN C 3 815 ? 288.696 -57.424 272.824 1.0 65.59141  ? 815 GLN C CB  815 GLN C CB  1 
ATOM 20774 C CG  . GLN C 3 815 ? 289.740 -57.085 273.860 1.0 65.59141  ? 815 GLN C CG  815 GLN C CG  1 
ATOM 20775 C CD  . GLN C 3 815 ? 289.378 -55.853 274.651 1.0 65.59141  ? 815 GLN C CD  815 GLN C CD  1 
ATOM 20776 O OE1 . GLN C 3 815 ? 288.361 -55.218 274.394 1.0 65.59141  ? 815 GLN C OE1 815 GLN C OE1 1 
ATOM 20777 N NE2 . GLN C 3 815 ? 290.215 -55.499 275.612 1.0 65.59141  ? 815 GLN C NE2 815 GLN C NE2 1 
ATOM 20778 N N   . VAL C 3 816 ? 287.072 -59.875 271.358 1.0 63.1359   ? 816 VAL C N   816 VAL C N   1 
ATOM 20779 C CA  . VAL C 3 816 ? 285.922 -60.262 270.553 1.0 63.1359   ? 816 VAL C CA  816 VAL C CA  1 
ATOM 20780 C C   . VAL C 3 816 ? 284.656 -60.049 271.376 1.0 63.1359   ? 816 VAL C C   816 VAL C C   1 
ATOM 20781 O O   . VAL C 3 816 ? 284.635 -60.298 272.586 1.0 63.1359   ? 816 VAL C O   816 VAL C O   1 
ATOM 20782 C CB  . VAL C 3 816 ? 286.063 -61.715 270.032 1.0 63.1359   ? 816 VAL C CB  816 VAL C CB  1 
ATOM 20783 C CG1 . VAL C 3 816 ? 286.178 -62.721 271.157 1.0 63.1359   ? 816 VAL C CG1 816 VAL C CG1 1 
ATOM 20784 C CG2 . VAL C 3 816 ? 284.925 -62.089 269.088 1.0 63.1359   ? 816 VAL C CG2 816 VAL C CG2 1 
ATOM 20785 N N   . THR C 3 817 ? 283.623 -59.520 270.729 1.0 62.08789  ? 817 THR C N   817 THR C N   1 
ATOM 20786 C CA  . THR C 3 817 ? 282.381 -59.173 271.398 1.0 62.08789  ? 817 THR C CA  817 THR C CA  1 
ATOM 20787 C C   . THR C 3 817 ? 281.427 -60.357 271.393 1.0 62.08789  ? 817 THR C C   817 THR C C   1 
ATOM 20788 O O   . THR C 3 817 ? 281.455 -61.197 270.493 1.0 62.08789  ? 817 THR C O   817 THR C O   1 
ATOM 20789 C CB  . THR C 3 817 ? 281.719 -57.984 270.709 1.0 62.08789  ? 817 THR C CB  817 THR C CB  1 
ATOM 20790 O OG1 . THR C 3 817 ? 281.280 -58.382 269.406 1.0 62.08789  ? 817 THR C OG1 817 THR C OG1 1 
ATOM 20791 C CG2 . THR C 3 817 ? 282.719 -56.866 270.549 1.0 62.08789  ? 817 THR C CG2 817 THR C CG2 1 
ATOM 20792 N N   . GLU C 3 818 ? 280.582 -60.424 272.417 1.0 60.79434  ? 818 GLU C N   818 GLU C N   1 
ATOM 20793 C CA  . GLU C 3 818 ? 279.549 -61.448 272.493 1.0 60.79434  ? 818 GLU C CA  818 GLU C CA  1 
ATOM 20794 C C   . GLU C 3 818 ? 278.253 -60.798 272.942 1.0 60.79434  ? 818 GLU C C   818 GLU C C   1 
ATOM 20795 O O   . GLU C 3 818 ? 278.235 -60.068 273.936 1.0 60.79434  ? 818 GLU C O   818 GLU C O   1 
ATOM 20796 C CB  . GLU C 3 818 ? 279.934 -62.575 273.457 1.0 60.79434  ? 818 GLU C CB  818 GLU C CB  1 
ATOM 20797 C CG  . GLU C 3 818 ? 281.098 -63.434 272.997 1.0 60.79434  ? 818 GLU C CG  818 GLU C CG  1 
ATOM 20798 C CD  . GLU C 3 818 ? 281.404 -64.562 273.954 1.0 60.79434  ? 818 GLU C CD  818 GLU C CD  1 
ATOM 20799 O OE1 . GLU C 3 818 ? 280.764 -64.621 275.024 1.0 60.79434  ? 818 GLU C OE1 818 GLU C OE1 1 
ATOM 20800 O OE2 . GLU C 3 818 ? 282.285 -65.388 273.640 1.0 60.79434  ? 818 GLU C OE2 818 GLU C OE2 1 
ATOM 20801 N N   . ARG C 3 819 ? 277.175 -61.062 272.214 1.0 54.60146  ? 819 ARG C N   819 ARG C N   1 
ATOM 20802 C CA  . ARG C 3 819 ? 275.878 -60.475 272.502 1.0 54.60146  ? 819 ARG C CA  819 ARG C CA  1 
ATOM 20803 C C   . ARG C 3 819 ? 274.855 -61.570 272.757 1.0 54.60146  ? 819 ARG C C   819 ARG C C   1 
ATOM 20804 O O   . ARG C 3 819 ? 274.921 -62.649 272.162 1.0 54.60146  ? 819 ARG C O   819 ARG C O   1 
ATOM 20805 C CB  . ARG C 3 819 ? 275.400 -59.599 271.350 1.0 54.60146  ? 819 ARG C CB  819 ARG C CB  1 
ATOM 20806 C CG  . ARG C 3 819 ? 276.272 -58.405 271.088 1.0 54.60146  ? 819 ARG C CG  819 ARG C CG  1 
ATOM 20807 C CD  . ARG C 3 819 ? 275.677 -57.528 270.012 1.0 54.60146  ? 819 ARG C CD  819 ARG C CD  1 
ATOM 20808 N NE  . ARG C 3 819 ? 276.548 -56.403 269.704 1.0 54.60146  ? 819 ARG C NE  819 ARG C NE  1 
ATOM 20809 C CZ  . ARG C 3 819 ? 276.533 -55.251 270.364 1.0 54.60146  ? 819 ARG C CZ  819 ARG C CZ  1 
ATOM 20810 N NH1 . ARG C 3 819 ? 275.695 -55.074 271.375 1.0 54.60146  ? 819 ARG C NH1 819 ARG C NH1 1 
ATOM 20811 N NH2 . ARG C 3 819 ? 277.360 -54.278 270.018 1.0 54.60146  ? 819 ARG C NH2 819 ARG C NH2 1 
ATOM 20812 N N   . LYS C 3 820 ? 273.904 -61.279 273.641 1.0 54.21117  ? 820 LYS C N   820 LYS C N   1 
ATOM 20813 C CA  . LYS C 3 820 ? 272.807 -62.190 273.941 1.0 54.21117  ? 820 LYS C CA  820 LYS C CA  1 
ATOM 20814 C C   . LYS C 3 820 ? 271.674 -61.386 274.559 1.0 54.21117  ? 820 LYS C C   820 LYS C C   1 
ATOM 20815 O O   . LYS C 3 820 ? 271.779 -60.172 274.745 1.0 54.21117  ? 820 LYS C O   820 LYS C O   1 
ATOM 20816 C CB  . LYS C 3 820 ? 273.248 -63.319 274.873 1.0 54.21117  ? 820 LYS C CB  820 LYS C CB  1 
ATOM 20817 C CG  . LYS C 3 820 ? 273.596 -62.858 276.259 1.0 54.21117  ? 820 LYS C CG  820 LYS C CG  1 
ATOM 20818 C CD  . LYS C 3 820 ? 274.135 -63.996 277.089 1.0 54.21117  ? 820 LYS C CD  820 LYS C CD  1 
ATOM 20819 C CE  . LYS C 3 820 ? 273.064 -64.983 277.464 1.0 54.21117  ? 820 LYS C CE  820 LYS C CE  1 
ATOM 20820 N NZ  . LYS C 3 820 ? 273.643 -66.012 278.359 1.0 54.21117  ? 820 LYS C NZ  820 LYS C NZ  1 
ATOM 20821 N N   . PHE C 3 821 ? 270.584 -62.076 274.882 1.0 50.1952   ? 821 PHE C N   821 PHE C N   1 
ATOM 20822 C CA  . PHE C 3 821 ? 269.427 -61.431 275.479 1.0 50.1952   ? 821 PHE C CA  821 PHE C CA  1 
ATOM 20823 C C   . PHE C 3 821 ? 268.723 -62.421 276.388 1.0 50.1952   ? 821 PHE C C   821 PHE C C   1 
ATOM 20824 O O   . PHE C 3 821 ? 268.772 -63.631 276.165 1.0 50.1952   ? 821 PHE C O   821 PHE C O   1 
ATOM 20825 C CB  . PHE C 3 821 ? 268.467 -60.887 274.410 1.0 50.1952   ? 821 PHE C CB  821 PHE C CB  1 
ATOM 20826 C CG  . PHE C 3 821 ? 267.857 -61.944 273.521 1.0 50.1952   ? 821 PHE C CG  821 PHE C CG  1 
ATOM 20827 C CD1 . PHE C 3 821 ? 268.518 -62.384 272.390 1.0 50.1952   ? 821 PHE C CD1 821 PHE C CD1 1 
ATOM 20828 C CD2 . PHE C 3 821 ? 266.599 -62.453 273.787 1.0 50.1952   ? 821 PHE C CD2 821 PHE C CD2 1 
ATOM 20829 C CE1 . PHE C 3 821 ? 267.953 -63.338 271.569 1.0 50.1952   ? 821 PHE C CE1 821 PHE C CE1 1 
ATOM 20830 C CE2 . PHE C 3 821 ? 266.031 -63.405 272.968 1.0 50.1952   ? 821 PHE C CE2 821 PHE C CE2 1 
ATOM 20831 C CZ  . PHE C 3 821 ? 266.708 -63.846 271.860 1.0 50.1952   ? 821 PHE C CZ  821 PHE C CZ  1 
ATOM 20832 N N   . LEU C 3 822 ? 268.068 -61.896 277.417 1.0 51.62757  ? 822 LEU C N   822 LEU C N   1 
ATOM 20833 C CA  . LEU C 3 822 ? 267.287 -62.700 278.345 1.0 51.62757  ? 822 LEU C CA  822 LEU C CA  1 
ATOM 20834 C C   . LEU C 3 822 ? 265.839 -62.248 278.314 1.0 51.62757  ? 822 LEU C C   822 LEU C C   1 
ATOM 20835 O O   . LEU C 3 822 ? 265.548 -61.068 278.529 1.0 51.62757  ? 822 LEU C O   822 LEU C O   1 
ATOM 20836 C CB  . LEU C 3 822 ? 267.830 -62.610 279.771 1.0 51.62757  ? 822 LEU C CB  822 LEU C CB  1 
ATOM 20837 C CG  . LEU C 3 822 ? 268.801 -63.701 280.222 1.0 51.62757  ? 822 LEU C CG  822 LEU C CG  1 
ATOM 20838 C CD1 . LEU C 3 822 ? 268.099 -65.040 280.177 1.0 51.62757  ? 822 LEU C CD1 822 LEU C CD1 1 
ATOM 20839 C CD2 . LEU C 3 822 ? 270.061 -63.756 279.400 1.0 51.62757  ? 822 LEU C CD2 822 LEU C CD2 1 
ATOM 20840 N N   . VAL C 3 823 ? 264.937 -63.185 278.048 1.0 50.07461  ? 823 VAL C N   823 VAL C N   1 
ATOM 20841 C CA  . VAL C 3 823 ? 263.506 -62.923 278.022 1.0 50.07461  ? 823 VAL C CA  823 VAL C CA  1 
ATOM 20842 C C   . VAL C 3 823 ? 262.853 -63.817 279.061 1.0 50.07461  ? 823 VAL C C   823 VAL C C   1 
ATOM 20843 O O   . VAL C 3 823 ? 262.965 -65.046 278.988 1.0 50.07461  ? 823 VAL C O   823 VAL C O   1 
ATOM 20844 C CB  . VAL C 3 823 ? 262.902 -63.171 276.634 1.0 50.07461  ? 823 VAL C CB  823 VAL C CB  1 
ATOM 20845 C CG1 . VAL C 3 823 ? 261.419 -62.967 276.674 1.0 50.07461  ? 823 VAL C CG1 823 VAL C CG1 1 
ATOM 20846 C CG2 . VAL C 3 823 ? 263.510 -62.241 275.631 1.0 50.07461  ? 823 VAL C CG2 823 VAL C CG2 1 
ATOM 20847 N N   . ASP C 3 824 ? 262.182 -63.205 280.026 1.0 50.8139   ? 824 ASP C N   824 ASP C N   1 
ATOM 20848 C CA  . ASP C 3 824 ? 261.499 -63.935 281.078 1.0 50.8139   ? 824 ASP C CA  824 ASP C CA  1 
ATOM 20849 C C   . ASP C 3 824 ? 260.013 -63.631 281.018 1.0 50.8139   ? 824 ASP C C   824 ASP C C   1 
ATOM 20850 O O   . ASP C 3 824 ? 259.610 -62.550 280.581 1.0 50.8139   ? 824 ASP C O   824 ASP C O   1 
ATOM 20851 C CB  . ASP C 3 824 ? 262.042 -63.566 282.455 1.0 50.8139   ? 824 ASP C CB  824 ASP C CB  1 
ATOM 20852 C CG  . ASP C 3 824 ? 263.462 -64.025 282.658 1.0 50.8139   ? 824 ASP C CG  824 ASP C CG  1 
ATOM 20853 O OD1 . ASP C 3 824 ? 263.853 -65.036 282.042 1.0 50.8139   ? 824 ASP C OD1 824 ASP C OD1 1 
ATOM 20854 O OD2 . ASP C 3 824 ? 264.187 -63.375 283.435 1.0 50.8139   ? 824 ASP C OD2 824 ASP C OD2 1 
ATOM 20855 N N   . ARG C 3 825 ? 259.215 -64.614 281.446 1.0 49.15736  ? 825 ARG C N   825 ARG C N   1 
ATOM 20856 C CA  . ARG C 3 825 ? 257.763 -64.499 281.597 1.0 49.15736  ? 825 ARG C CA  825 ARG C CA  1 
ATOM 20857 C C   . ARG C 3 825 ? 257.064 -64.150 280.287 1.0 49.15736  ? 825 ARG C C   825 ARG C C   1 
ATOM 20858 O O   . ARG C 3 825 ? 256.067 -63.429 280.286 1.0 49.15736  ? 825 ARG C O   825 ARG C O   1 
ATOM 20859 C CB  . ARG C 3 825 ? 257.392 -63.475 282.676 1.0 49.15736  ? 825 ARG C CB  825 ARG C CB  1 
ATOM 20860 C CG  . ARG C 3 825 ? 257.791 -63.865 284.084 1.0 49.15736  ? 825 ARG C CG  825 ARG C CG  1 
ATOM 20861 C CD  . ARG C 3 825 ? 257.227 -62.887 285.102 1.0 49.15736  ? 825 ARG C CD  825 ARG C CD  1 
ATOM 20862 N NE  . ARG C 3 825 ? 257.792 -61.552 284.936 1.0 49.15736  ? 825 ARG C NE  825 ARG C NE  1 
ATOM 20863 C CZ  . ARG C 3 825 ? 258.888 -61.124 285.550 1.0 49.15736  ? 825 ARG C CZ  825 ARG C CZ  1 
ATOM 20864 N NH1 . ARG C 3 825 ? 259.537 -61.921 286.383 1.0 49.15736  ? 825 ARG C NH1 825 ARG C NH1 1 
ATOM 20865 N NH2 . ARG C 3 825 ? 259.333 -59.896 285.337 1.0 49.15736  ? 825 ARG C NH2 825 ARG C NH2 1 
ATOM 20866 N N   . TYR C 3 826 ? 257.565 -64.640 279.157 1.0 44.44462  ? 826 TYR C N   826 TYR C N   1 
ATOM 20867 C CA  . TYR C 3 826 ? 257.016 -64.243 277.867 1.0 44.44462  ? 826 TYR C CA  826 TYR C CA  1 
ATOM 20868 C C   . TYR C 3 826 ? 257.012 -65.422 276.909 1.0 44.44462  ? 826 TYR C C   826 TYR C C   1 
ATOM 20869 O O   . TYR C 3 826 ? 258.033 -66.091 276.737 1.0 44.44462  ? 826 TYR C O   826 TYR C O   1 
ATOM 20870 C CB  . TYR C 3 826 ? 257.806 -63.076 277.275 1.0 44.44462  ? 826 TYR C CB  826 TYR C CB  1 
ATOM 20871 C CG  . TYR C 3 826 ? 257.291 -62.613 275.941 1.0 44.44462  ? 826 TYR C CG  826 TYR C CG  1 
ATOM 20872 C CD1 . TYR C 3 826 ? 256.112 -61.894 275.847 1.0 44.44462  ? 826 TYR C CD1 826 TYR C CD1 1 
ATOM 20873 C CD2 . TYR C 3 826 ? 257.986 -62.887 274.774 1.0 44.44462  ? 826 TYR C CD2 826 TYR C CD2 1 
ATOM 20874 C CE1 . TYR C 3 826 ? 255.631 -61.469 274.628 1.0 44.44462  ? 826 TYR C CE1 826 TYR C CE1 1 
ATOM 20875 C CE2 . TYR C 3 826 ? 257.515 -62.464 273.549 1.0 44.44462  ? 826 TYR C CE2 826 TYR C CE2 1 
ATOM 20876 C CZ  . TYR C 3 826 ? 256.337 -61.757 273.486 1.0 44.44462  ? 826 TYR C CZ  826 TYR C CZ  1 
ATOM 20877 O OH  . TYR C 3 826 ? 255.855 -61.329 272.276 1.0 44.44462  ? 826 TYR C OH  826 TYR C OH  1 
ATOM 20878 N N   . LEU C 3 827 ? 255.861 -65.666 276.291 1.0 43.30281  ? 827 LEU C N   827 LEU C N   1 
ATOM 20879 C CA  . LEU C 3 827 ? 255.748 -66.627 275.206 1.0 43.30281  ? 827 LEU C CA  827 LEU C CA  1 
ATOM 20880 C C   . LEU C 3 827 ? 256.004 -65.918 273.886 1.0 43.30281  ? 827 LEU C C   827 LEU C C   1 
ATOM 20881 O O   . LEU C 3 827 ? 255.440 -64.849 273.641 1.0 43.30281  ? 827 LEU C O   827 LEU C O   1 
ATOM 20882 C CB  . LEU C 3 827 ? 254.351 -67.233 275.186 1.0 43.30281  ? 827 LEU C CB  827 LEU C CB  1 
ATOM 20883 C CG  . LEU C 3 827 ? 253.824 -68.068 276.343 1.0 43.30281  ? 827 LEU C CG  827 LEU C CG  1 
ATOM 20884 C CD1 . LEU C 3 827 ? 252.360 -68.282 276.099 1.0 43.30281  ? 827 LEU C CD1 827 LEU C CD1 1 
ATOM 20885 C CD2 . LEU C 3 827 ? 254.518 -69.395 276.420 1.0 43.30281  ? 827 LEU C CD2 827 LEU C CD2 1 
ATOM 20886 N N   . TRP C 3 828 ? 256.843 -66.505 273.033 1.0 43.40441  ? 828 TRP C N   828 TRP C N   1 
ATOM 20887 C CA  . TRP C 3 828 ? 257.038 -65.951 271.699 1.0 43.40441  ? 828 TRP C CA  828 TRP C CA  1 
ATOM 20888 C C   . TRP C 3 828 ? 255.766 -66.122 270.889 1.0 43.40441  ? 828 TRP C C   828 TRP C C   1 
ATOM 20889 O O   . TRP C 3 828 ? 255.427 -67.240 270.498 1.0 43.40441  ? 828 TRP C O   828 TRP C O   1 
ATOM 20890 C CB  . TRP C 3 828 ? 258.180 -66.640 270.964 1.0 43.40441  ? 828 TRP C CB  828 TRP C CB  1 
ATOM 20891 C CG  . TRP C 3 828 ? 259.524 -66.469 271.530 1.0 43.40441  ? 828 TRP C CG  828 TRP C CG  1 
ATOM 20892 C CD1 . TRP C 3 828 ? 260.261 -67.415 272.146 1.0 43.40441  ? 828 TRP C CD1 828 TRP C CD1 1 
ATOM 20893 C CD2 . TRP C 3 828 ? 260.305 -65.272 271.556 1.0 43.40441  ? 828 TRP C CD2 828 TRP C CD2 1 
ATOM 20894 N NE1 . TRP C 3 828 ? 261.466 -66.901 272.531 1.0 43.40441  ? 828 TRP C NE1 828 TRP C NE1 1 
ATOM 20895 C CE2 . TRP C 3 828 ? 261.516 -65.579 272.187 1.0 43.40441  ? 828 TRP C CE2 828 TRP C CE2 1 
ATOM 20896 C CE3 . TRP C 3 828 ? 260.091 -63.971 271.105 1.0 43.40441  ? 828 TRP C CE3 828 TRP C CE3 1 
ATOM 20897 C CZ2 . TRP C 3 828 ? 262.517 -64.635 272.381 1.0 43.40441  ? 828 TRP C CZ2 828 TRP C CZ2 1 
ATOM 20898 C CZ3 . TRP C 3 828 ? 261.081 -63.039 271.292 1.0 43.40441  ? 828 TRP C CZ3 828 TRP C CZ3 1 
ATOM 20899 C CH2 . TRP C 3 828 ? 262.281 -63.373 271.921 1.0 43.40441  ? 828 TRP C CH2 828 TRP C CH2 1 
ATOM 20900 N N   . GLN C 3 829 ? 255.066 -65.030 270.620 1.0 42.94393  ? 829 GLN C N   829 GLN C N   1 
ATOM 20901 C CA  . GLN C 3 829 ? 253.821 -65.100 269.876 1.0 42.94393  ? 829 GLN C CA  829 GLN C CA  1 
ATOM 20902 C C   . GLN C 3 829 ? 254.057 -64.661 268.440 1.0 42.94393  ? 829 GLN C C   829 GLN C C   1 
ATOM 20903 O O   . GLN C 3 829 ? 254.833 -63.739 268.179 1.0 42.94393  ? 829 GLN C O   829 GLN C O   1 
ATOM 20904 C CB  . GLN C 3 829 ? 252.720 -64.263 270.542 1.0 42.94393  ? 829 GLN C CB  829 GLN C CB  1 
ATOM 20905 C CG  . GLN C 3 829 ? 252.978 -62.780 270.634 1.0 42.94393  ? 829 GLN C CG  829 GLN C CG  1 
ATOM 20906 C CD  . GLN C 3 829 ? 251.845 -62.055 271.308 1.0 42.94393  ? 829 GLN C CD  829 GLN C CD  1 
ATOM 20907 O OE1 . GLN C 3 829 ? 250.844 -62.661 271.685 1.0 42.94393  ? 829 GLN C OE1 829 GLN C OE1 1 
ATOM 20908 N NE2 . GLN C 3 829 ? 251.985 -60.746 271.455 1.0 42.94393  ? 829 GLN C NE2 829 GLN C NE2 1 
ATOM 20909 N N   . ILE C 3 830 ? 253.435 -65.379 267.511 1.0 42.65627  ? 830 ILE C N   830 ILE C N   1 
ATOM 20910 C CA  . ILE C 3 830 ? 253.493 -65.073 266.086 1.0 42.65627  ? 830 ILE C CA  830 ILE C CA  1 
ATOM 20911 C C   . ILE C 3 830 ? 252.056 -65.078 265.587 1.0 42.65627  ? 830 ILE C C   830 ILE C C   1 
ATOM 20912 O O   . ILE C 3 830 ? 251.475 -66.158 265.425 1.0 42.65627  ? 830 ILE C O   830 ILE C O   1 
ATOM 20913 C CB  . ILE C 3 830 ? 254.320 -66.100 265.300 1.0 42.65627  ? 830 ILE C CB  830 ILE C CB  1 
ATOM 20914 C CG1 . ILE C 3 830 ? 255.721 -66.275 265.867 1.0 42.65627  ? 830 ILE C CG1 830 ILE C CG1 1 
ATOM 20915 C CG2 . ILE C 3 830 ? 254.487 -65.630 263.907 1.0 42.65627  ? 830 ILE C CG2 830 ILE C CG2 1 
ATOM 20916 C CD1 . ILE C 3 830 ? 256.429 -67.468 265.276 1.0 42.65627  ? 830 ILE C CD1 830 ILE C CD1 1 
ATOM 20917 N N   . PRO C 3 831 ? 251.447 -63.929 265.325 1.0 42.22735  ? 831 PRO C N   831 PRO C N   1 
ATOM 20918 C CA  . PRO C 3 831 ? 250.015 -63.907 265.026 1.0 42.22735  ? 831 PRO C CA  831 PRO C CA  1 
ATOM 20919 C C   . PRO C 3 831 ? 249.717 -64.340 263.603 1.0 42.22735  ? 831 PRO C C   831 PRO C C   1 
ATOM 20920 O O   . PRO C 3 831 ? 250.536 -64.199 262.696 1.0 42.22735  ? 831 PRO C O   831 PRO C O   1 
ATOM 20921 C CB  . PRO C 3 831 ? 249.641 -62.439 265.238 1.0 42.22735  ? 831 PRO C CB  831 PRO C CB  1 
ATOM 20922 C CG  . PRO C 3 831 ? 250.882 -61.710 264.897 1.0 42.22735  ? 831 PRO C CG  831 PRO C CG  1 
ATOM 20923 C CD  . PRO C 3 831 ? 252.023 -62.576 265.346 1.0 42.22735  ? 831 PRO C CD  831 PRO C CD  1 
ATOM 20924 N N   . PHE C 3 832 ? 248.510 -64.868 263.419 1.0 41.21961  ? 832 PHE C N   832 PHE C N   1 
ATOM 20925 C CA  . PHE C 3 832 ? 248.081 -65.418 262.134 1.0 41.21961  ? 832 PHE C CA  832 PHE C CA  1 
ATOM 20926 C C   . PHE C 3 832 ? 247.263 -64.367 261.385 1.0 41.21961  ? 832 PHE C C   832 PHE C C   1 
ATOM 20927 O O   . PHE C 3 832 ? 246.036 -64.403 261.315 1.0 41.21961  ? 832 PHE C O   832 PHE C O   1 
ATOM 20928 C CB  . PHE C 3 832 ? 247.304 -66.708 262.358 1.0 41.21961  ? 832 PHE C CB  832 PHE C CB  1 
ATOM 20929 C CG  . PHE C 3 832 ? 246.874 -67.402 261.102 1.0 41.21961  ? 832 PHE C CG  832 PHE C CG  1 
ATOM 20930 C CD1 . PHE C 3 832 ? 247.802 -67.992 260.269 1.0 41.21961  ? 832 PHE C CD1 832 PHE C CD1 1 
ATOM 20931 C CD2 . PHE C 3 832 ? 245.532 -67.530 260.796 1.0 41.21961  ? 832 PHE C CD2 832 PHE C CD2 1 
ATOM 20932 C CE1 . PHE C 3 832 ? 247.404 -68.652 259.128 1.0 41.21961  ? 832 PHE C CE1 832 PHE C CE1 1 
ATOM 20933 C CE2 . PHE C 3 832 ? 245.128 -68.199 259.665 1.0 41.21961  ? 832 PHE C CE2 832 PHE C CE2 1 
ATOM 20934 C CZ  . PHE C 3 832 ? 246.067 -68.753 258.825 1.0 41.21961  ? 832 PHE C CZ  832 PHE C CZ  1 
ATOM 20935 N N   . SER C 3 833 ? 247.985 -63.398 260.828 1.0 45.54654  ? 833 SER C N   833 SER C N   1 
ATOM 20936 C CA  . SER C 3 833 ? 247.377 -62.314 260.076 1.0 45.54654  ? 833 SER C CA  833 SER C CA  1 
ATOM 20937 C C   . SER C 3 833 ? 248.353 -61.863 259.001 1.0 45.54654  ? 833 SER C C   833 SER C C   1 
ATOM 20938 O O   . SER C 3 833 ? 249.455 -62.401 258.864 1.0 45.54654  ? 833 SER C O   833 SER C O   1 
ATOM 20939 C CB  . SER C 3 833 ? 246.986 -61.150 260.986 1.0 45.54654  ? 833 SER C CB  833 SER C CB  1 
ATOM 20940 O OG  . SER C 3 833 ? 248.138 -60.523 261.507 1.0 45.54654  ? 833 SER C OG  833 SER C OG  1 
ATOM 20941 N N   . SER C 3 834 ? 247.934 -60.864 258.227 1.0 47.20503  ? 834 SER C N   834 SER C N   1 
ATOM 20942 C CA  . SER C 3 834 ? 248.676 -60.481 257.032 1.0 47.20503  ? 834 SER C CA  834 SER C CA  1 
ATOM 20943 C C   . SER C 3 834 ? 249.913 -59.659 257.366 1.0 47.20503  ? 834 SER C C   834 SER C C   1 
ATOM 20944 O O   . SER C 3 834 ? 251.044 -60.088 257.117 1.0 47.20503  ? 834 SER C O   834 SER C O   1 
ATOM 20945 C CB  . SER C 3 834 ? 247.767 -59.687 256.104 1.0 47.20503  ? 834 SER C CB  834 SER C CB  1 
ATOM 20946 O OG  . SER C 3 834 ? 246.691 -60.452 255.609 1.0 47.20503  ? 834 SER C OG  834 SER C OG  1 
ATOM 20947 N N   . ASN C 3 835 ? 249.709 -58.474 257.928 1.0 48.06012  ? 835 ASN C N   835 ASN C N   1 
ATOM 20948 C CA  . ASN C 3 835 ? 250.777 -57.553 258.273 1.0 48.06012  ? 835 ASN C CA  835 ASN C CA  1 
ATOM 20949 C C   . ASN C 3 835 ? 251.250 -57.710 259.709 1.0 48.06012  ? 835 ASN C C   835 ASN C C   1 
ATOM 20950 O O   . ASN C 3 835 ? 251.949 -56.827 260.215 1.0 48.06012  ? 835 ASN C O   835 ASN C O   1 
ATOM 20951 C CB  . ASN C 3 835 ? 250.304 -56.127 258.021 1.0 48.06012  ? 835 ASN C CB  835 ASN C CB  1 
ATOM 20952 C CG  . ASN C 3 835 ? 248.944 -55.863 258.624 1.0 48.06012  ? 835 ASN C CG  835 ASN C CG  1 
ATOM 20953 O OD1 . ASN C 3 835 ? 248.377 -56.718 259.300 1.0 48.06012  ? 835 ASN C OD1 835 ASN C OD1 1 
ATOM 20954 N ND2 . ASN C 3 835 ? 248.400 -54.686 258.364 1.0 48.06012  ? 835 ASN C ND2 835 ASN C ND2 1 
ATOM 20955 N N   . PHE C 3 836 ? 250.853 -58.798 260.372 1.0 45.57943  ? 836 PHE C N   836 PHE C N   1 
ATOM 20956 C CA  . PHE C 3 836 ? 251.175 -59.127 261.761 1.0 45.57943  ? 836 PHE C CA  836 PHE C CA  1 
ATOM 20957 C C   . PHE C 3 836 ? 250.700 -58.073 262.750 1.0 45.57943  ? 836 PHE C C   836 PHE C C   1 
ATOM 20958 O O   . PHE C 3 836 ? 251.265 -57.949 263.835 1.0 45.57943  ? 836 PHE C O   836 PHE C O   1 
ATOM 20959 C CB  . PHE C 3 836 ? 252.671 -59.385 261.953 1.0 45.57943  ? 836 PHE C CB  836 PHE C CB  1 
ATOM 20960 C CG  . PHE C 3 836 ? 253.176 -60.554 261.183 1.0 45.57943  ? 836 PHE C CG  836 PHE C CG  1 
ATOM 20961 C CD1 . PHE C 3 836 ? 252.839 -61.836 261.569 1.0 45.57943  ? 836 PHE C CD1 836 PHE C CD1 1 
ATOM 20962 C CD2 . PHE C 3 836 ? 254.009 -60.380 260.093 1.0 45.57943  ? 836 PHE C CD2 836 PHE C CD2 1 
ATOM 20963 C CE1 . PHE C 3 836 ? 253.305 -62.922 260.876 1.0 45.57943  ? 836 PHE C CE1 836 PHE C CE1 1 
ATOM 20964 C CE2 . PHE C 3 836 ? 254.477 -61.466 259.391 1.0 45.57943  ? 836 PHE C CE2 836 PHE C CE2 1 
ATOM 20965 C CZ  . PHE C 3 836 ? 254.125 -62.739 259.785 1.0 45.57943  ? 836 PHE C CZ  836 PHE C CZ  1 
ATOM 20966 N N   . LEU C 3 837 ? 249.669 -57.312 262.414 1.0 44.85878  ? 837 LEU C N   837 LEU C N   1 
ATOM 20967 C CA  . LEU C 3 837 ? 249.089 -56.360 263.340 1.0 44.85878  ? 837 LEU C CA  837 LEU C CA  1 
ATOM 20968 C C   . LEU C 3 837 ? 247.906 -57.008 264.045 1.0 44.85878  ? 837 LEU C C   837 LEU C C   1 
ATOM 20969 O O   . LEU C 3 837 ? 247.660 -58.210 263.920 1.0 44.85878  ? 837 LEU C O   837 LEU C O   1 
ATOM 20970 C CB  . LEU C 3 837 ? 248.671 -55.085 262.611 1.0 44.85878  ? 837 LEU C CB  837 LEU C CB  1 
ATOM 20971 C CG  . LEU C 3 837 ? 249.796 -54.244 262.021 1.0 44.85878  ? 837 LEU C CG  837 LEU C CG  1 
ATOM 20972 C CD1 . LEU C 3 837 ? 249.232 -53.070 261.255 1.0 44.85878  ? 837 LEU C CD1 837 LEU C CD1 1 
ATOM 20973 C CD2 . LEU C 3 837 ? 250.727 -53.768 263.108 1.0 44.85878  ? 837 LEU C CD2 837 LEU C CD2 1 
ATOM 20974 N N   . ASN C 3 838 ? 247.162 -56.207 264.796 1.0 47.74038  ? 838 ASN C N   838 ASN C N   1 
ATOM 20975 C CA  . ASN C 3 838 ? 245.929 -56.648 265.436 1.0 47.74038  ? 838 ASN C CA  838 ASN C CA  1 
ATOM 20976 C C   . ASN C 3 838 ? 244.818 -55.755 264.898 1.0 47.74038  ? 838 ASN C C   838 ASN C C   1 
ATOM 20977 O O   . ASN C 3 838 ? 244.477 -54.734 265.497 1.0 47.74038  ? 838 ASN C O   838 ASN C O   1 
ATOM 20978 C CB  . ASN C 3 838 ? 246.031 -56.576 266.950 1.0 47.74038  ? 838 ASN C CB  838 ASN C CB  1 
ATOM 20979 C CG  . ASN C 3 838 ? 244.885 -57.284 267.650 1.0 47.74038  ? 838 ASN C CG  838 ASN C CG  1 
ATOM 20980 O OD1 . ASN C 3 838 ? 243.985 -57.829 267.012 1.0 47.74038  ? 838 ASN C OD1 838 ASN C OD1 1 
ATOM 20981 N ND2 . ASN C 3 838 ? 244.918 -57.283 268.975 1.0 47.74038  ? 838 ASN C ND2 838 ASN C ND2 1 
ATOM 20982 N N   . MET C 3 839 ? 244.257 -56.145 263.761 1.0 48.84803  ? 839 MET C N   839 MET C N   1 
ATOM 20983 C CA  . MET C 3 839 ? 243.093 -55.476 263.208 1.0 48.84803  ? 839 MET C CA  839 MET C CA  1 
ATOM 20984 C C   . MET C 3 839 ? 241.796 -56.180 263.567 1.0 48.84803  ? 839 MET C C   839 MET C C   1 
ATOM 20985 O O   . MET C 3 839 ? 240.738 -55.798 263.061 1.0 48.84803  ? 839 MET C O   839 MET C O   1 
ATOM 20986 C CB  . MET C 3 839 ? 243.225 -55.367 261.690 1.0 48.84803  ? 839 MET C CB  839 MET C CB  1 
ATOM 20987 C CG  . MET C 3 839 ? 244.327 -54.433 261.265 1.0 48.84803  ? 839 MET C CG  839 MET C CG  1 
ATOM 20988 S SD  . MET C 3 839 ? 244.424 -54.231 259.485 1.0 48.84803  ? 839 MET C SD  839 MET C SD  1 
ATOM 20989 C CE  . MET C 3 839 ? 245.202 -55.768 259.037 1.0 48.84803  ? 839 MET C CE  839 MET C CE  1 
ATOM 20990 N N   . GLY C 3 840 ? 241.854 -57.189 264.428 1.0 46.05826  ? 840 GLY C N   840 GLY C N   1 
ATOM 20991 C CA  . GLY C 3 840 ? 240.672 -57.927 264.813 1.0 46.05826  ? 840 GLY C CA  840 GLY C CA  1 
ATOM 20992 C C   . GLY C 3 840 ? 241.000 -59.184 265.587 1.0 46.05826  ? 840 GLY C C   840 GLY C C   1 
ATOM 20993 O O   . GLY C 3 840 ? 242.071 -59.769 265.404 1.0 46.05826  ? 840 GLY C O   840 GLY C O   1 
ATOM 20994 N N   . THR C 3 841 ? 240.092 -59.600 266.469 1.0 42.6585   ? 841 THR C N   841 THR C N   1 
ATOM 20995 C CA  . THR C 3 841 ? 240.250 -60.884 267.141 1.0 42.6585   ? 841 THR C CA  841 THR C CA  1 
ATOM 20996 C C   . THR C 3 841 ? 240.062 -62.025 266.152 1.0 42.6585   ? 841 THR C C   841 THR C C   1 
ATOM 20997 O O   . THR C 3 841 ? 240.934 -62.886 266.001 1.0 42.6585   ? 841 THR C O   841 THR C O   1 
ATOM 20998 C CB  . THR C 3 841 ? 239.263 -60.994 268.299 1.0 42.6585   ? 841 THR C CB  841 THR C CB  1 
ATOM 20999 O OG1 . THR C 3 841 ? 239.495 -59.925 269.222 1.0 42.6585   ? 841 THR C OG1 841 THR C OG1 1 
ATOM 21000 C CG2 . THR C 3 841 ? 239.451 -62.300 269.022 1.0 42.6585   ? 841 THR C CG2 841 THR C CG2 1 
ATOM 21001 N N   . LEU C 3 842 ? 238.929 -62.039 265.460 1.0 42.51546  ? 842 LEU C N   842 LEU C N   1 
ATOM 21002 C CA  . LEU C 3 842 ? 238.743 -62.889 264.288 1.0 42.51546  ? 842 LEU C CA  842 LEU C CA  1 
ATOM 21003 C C   . LEU C 3 842 ? 239.478 -62.243 263.125 1.0 42.51546  ? 842 LEU C C   842 LEU C C   1 
ATOM 21004 O O   . LEU C 3 842 ? 238.993 -61.284 262.526 1.0 42.51546  ? 842 LEU C O   842 LEU C O   1 
ATOM 21005 C CB  . LEU C 3 842 ? 237.259 -63.065 263.996 1.0 42.51546  ? 842 LEU C CB  842 LEU C CB  1 
ATOM 21006 C CG  . LEU C 3 842 ? 236.880 -63.885 262.770 1.0 42.51546  ? 842 LEU C CG  842 LEU C CG  1 
ATOM 21007 C CD1 . LEU C 3 842 ? 237.495 -65.244 262.854 1.0 42.51546  ? 842 LEU C CD1 842 LEU C CD1 1 
ATOM 21008 C CD2 . LEU C 3 842 ? 235.374 -64.005 262.694 1.0 42.51546  ? 842 LEU C CD2 842 LEU C CD2 1 
ATOM 21009 N N   . THR C 3 843 ? 240.650 -62.777 262.795 1.0 44.51685  ? 843 THR C N   843 THR C N   1 
ATOM 21010 C CA  . THR C 3 843 ? 241.624 -62.061 261.985 1.0 44.51685  ? 843 THR C CA  843 THR C CA  1 
ATOM 21011 C C   . THR C 3 843 ? 241.253 -62.056 260.504 1.0 44.51685  ? 843 THR C C   843 THR C C   1 
ATOM 21012 O O   . THR C 3 843 ? 240.185 -62.518 260.093 1.0 44.51685  ? 843 THR C O   843 THR C O   1 
ATOM 21013 C CB  . THR C 3 843 ? 243.005 -62.683 262.156 1.0 44.51685  ? 843 THR C CB  843 THR C CB  1 
ATOM 21014 O OG1 . THR C 3 843 ? 242.962 -64.046 261.726 1.0 44.51685  ? 843 THR C OG1 843 THR C OG1 1 
ATOM 21015 C CG2 . THR C 3 843 ? 243.422 -62.640 263.607 1.0 44.51685  ? 843 THR C CG2 843 THR C CG2 1 
ATOM 21016 N N   . ASP C 3 844 ? 242.163 -61.497 259.700 1.0 48.81096  ? 844 ASP C N   844 ASP C N   1 
ATOM 21017 C CA  . ASP C 3 844 ? 242.001 -61.522 258.250 1.0 48.81096  ? 844 ASP C CA  844 ASP C CA  1 
ATOM 21018 C C   . ASP C 3 844 ? 242.105 -62.939 257.716 1.0 48.81096  ? 844 ASP C C   844 ASP C C   1 
ATOM 21019 O O   . ASP C 3 844 ? 241.192 -63.431 257.045 1.0 48.81096  ? 844 ASP C O   844 ASP C O   1 
ATOM 21020 C CB  . ASP C 3 844 ? 243.057 -60.652 257.578 1.0 48.81096  ? 844 ASP C CB  844 ASP C CB  1 
ATOM 21021 C CG  . ASP C 3 844 ? 242.875 -59.194 257.863 1.0 48.81096  ? 844 ASP C CG  844 ASP C CG  1 
ATOM 21022 O OD1 . ASP C 3 844 ? 241.741 -58.773 258.147 1.0 48.81096  ? 844 ASP C OD1 844 ASP C OD1 1 
ATOM 21023 O OD2 . ASP C 3 844 ? 243.873 -58.461 257.780 1.0 48.81096  ? 844 ASP C OD2 844 ASP C OD2 1 
ATOM 21024 N N   . LEU C 3 845 ? 243.219 -63.613 258.007 1.0 45.97069  ? 845 LEU C N   845 LEU C N   1 
ATOM 21025 C CA  . LEU C 3 845 ? 243.439 -64.947 257.465 1.0 45.97069  ? 845 LEU C CA  845 LEU C CA  1 
ATOM 21026 C C   . LEU C 3 845 ? 242.571 -65.991 258.151 1.0 45.97069  ? 845 LEU C C   845 LEU C C   1 
ATOM 21027 O O   . LEU C 3 845 ? 242.427 -67.100 257.634 1.0 45.97069  ? 845 LEU C O   845 LEU C O   1 
ATOM 21028 C CB  . LEU C 3 845 ? 244.908 -65.343 257.572 1.0 45.97069  ? 845 LEU C CB  845 LEU C CB  1 
ATOM 21029 C CG  . LEU C 3 845 ? 245.905 -64.914 256.498 1.0 45.97069  ? 845 LEU C CG  845 LEU C CG  1 
ATOM 21030 C CD1 . LEU C 3 845 ? 246.270 -63.479 256.647 1.0 45.97069  ? 845 LEU C CD1 845 LEU C CD1 1 
ATOM 21031 C CD2 . LEU C 3 845 ? 247.152 -65.771 256.563 1.0 45.97069  ? 845 LEU C CD2 845 LEU C CD2 1 
ATOM 21032 N N   . GLY C 3 846 ? 241.980 -65.662 259.300 1.0 44.63829  ? 846 GLY C N   846 GLY C N   1 
ATOM 21033 C CA  . GLY C 3 846 ? 241.028 -66.574 259.912 1.0 44.63829  ? 846 GLY C CA  846 GLY C CA  1 
ATOM 21034 C C   . GLY C 3 846 ? 239.754 -66.716 259.103 1.0 44.63829  ? 846 GLY C C   846 GLY C C   1 
ATOM 21035 O O   . GLY C 3 846 ? 239.025 -67.699 259.244 1.0 44.63829  ? 846 GLY C O   846 GLY C O   1 
ATOM 21036 N N   . GLN C 3 847 ? 239.466 -65.735 258.249 1.0 46.66386  ? 847 GLN C N   847 GLN C N   1 
ATOM 21037 C CA  . GLN C 3 847 ? 238.294 -65.823 257.389 1.0 46.66386  ? 847 GLN C CA  847 GLN C CA  1 
ATOM 21038 C C   . GLN C 3 847 ? 238.667 -66.254 255.978 1.0 46.66386  ? 847 GLN C C   847 GLN C C   1 
ATOM 21039 O O   . GLN C 3 847 ? 237.798 -66.657 255.198 1.0 46.66386  ? 847 GLN C O   847 GLN C O   1 
ATOM 21040 C CB  . GLN C 3 847 ? 237.575 -64.481 257.359 1.0 46.66386  ? 847 GLN C CB  847 GLN C CB  1 
ATOM 21041 C CG  . GLN C 3 847 ? 237.015 -64.076 258.691 1.0 46.66386  ? 847 GLN C CG  847 GLN C CG  1 
ATOM 21042 C CD  . GLN C 3 847 ? 236.299 -62.756 258.631 1.0 46.66386  ? 847 GLN C CD  847 GLN C CD  1 
ATOM 21043 O OE1 . GLN C 3 847 ? 236.279 -62.093 257.602 1.0 46.66386  ? 847 GLN C OE1 847 GLN C OE1 1 
ATOM 21044 N NE2 . GLN C 3 847 ? 235.692 -62.372 259.734 1.0 46.66386  ? 847 GLN C NE2 847 GLN C NE2 1 
ATOM 21045 N N   . ASN C 3 848 ? 239.949 -66.171 255.624 1.0 47.96765  ? 848 ASN C N   848 ASN C N   1 
ATOM 21046 C CA  . ASN C 3 848 ? 240.340 -66.446 254.247 1.0 47.96765  ? 848 ASN C CA  848 ASN C CA  1 
ATOM 21047 C C   . ASN C 3 848 ? 240.732 -67.901 254.039 1.0 47.96765  ? 848 ASN C C   848 ASN C C   1 
ATOM 21048 O O   . ASN C 3 848 ? 240.727 -68.378 252.901 1.0 47.96765  ? 848 ASN C O   848 ASN C O   1 
ATOM 21049 C CB  . ASN C 3 848 ? 241.482 -65.527 253.833 1.0 47.96765  ? 848 ASN C CB  848 ASN C CB  1 
ATOM 21050 C CG  . ASN C 3 848 ? 241.038 -64.094 253.682 1.0 47.96765  ? 848 ASN C CG  848 ASN C CG  1 
ATOM 21051 O OD1 . ASN C 3 848 ? 239.959 -63.821 253.162 1.0 47.96765  ? 848 ASN C OD1 848 ASN C OD1 1 
ATOM 21052 N ND2 . ASN C 3 848 ? 241.869 -63.165 254.133 1.0 47.96765  ? 848 ASN C ND2 848 ASN C ND2 1 
ATOM 21053 N N   . VAL C 3 849 ? 241.066 -68.622 255.110 1.0 45.92101  ? 849 VAL C N   849 VAL C N   1 
ATOM 21054 C CA  . VAL C 3 849 ? 241.383 -70.045 255.023 1.0 45.92101  ? 849 VAL C CA  849 VAL C CA  1 
ATOM 21055 C C   . VAL C 3 849 ? 240.096 -70.808 254.729 1.0 45.92101  ? 849 VAL C C   849 VAL C C   1 
ATOM 21056 O O   . VAL C 3 849 ? 240.102 -71.819 254.017 1.0 45.92101  ? 849 VAL C O   849 VAL C O   1 
ATOM 21057 C CB  . VAL C 3 849 ? 242.085 -70.526 256.309 1.0 45.92101  ? 849 VAL C CB  849 VAL C CB  1 
ATOM 21058 C CG1 . VAL C 3 849 ? 242.244 -72.031 256.346 1.0 45.92101  ? 849 VAL C CG1 849 VAL C CG1 1 
ATOM 21059 C CG2 . VAL C 3 849 ? 243.459 -69.913 256.387 1.0 45.92101  ? 849 VAL C CG2 849 VAL C CG2 1 
ATOM 21060 N N   . MET C 3 850 ? 238.966 -70.264 255.169 1.0 49.32299  ? 850 MET C N   850 MET C N   1 
ATOM 21061 C CA  . MET C 3 850 ? 237.659 -70.860 254.922 1.0 49.32299  ? 850 MET C CA  850 MET C CA  1 
ATOM 21062 C C   . MET C 3 850 ? 237.183 -70.767 253.474 1.0 49.32299  ? 850 MET C C   850 MET C C   1 
ATOM 21063 O O   . MET C 3 850 ? 236.040 -71.146 253.204 1.0 49.32299  ? 850 MET C O   850 MET C O   1 
ATOM 21064 C CB  . MET C 3 850 ? 236.603 -70.214 255.820 1.0 49.32299  ? 850 MET C CB  850 MET C CB  1 
ATOM 21065 C CG  . MET C 3 850 ? 236.682 -70.581 257.280 1.0 49.32299  ? 850 MET C CG  850 MET C CG  1 
ATOM 21066 S SD  . MET C 3 850 ? 235.308 -69.805 258.137 1.0 49.32299  ? 850 MET C SD  850 MET C SD  1 
ATOM 21067 C CE  . MET C 3 850 ? 235.577 -70.313 259.827 1.0 49.32299  ? 850 MET C CE  850 MET C CE  1 
ATOM 21068 N N   . TYR C 3 851 ? 237.999 -70.257 252.549 1.0 51.50906  ? 851 TYR C N   851 TYR C N   1 
ATOM 21069 C CA  . TYR C 3 851 ? 237.648 -70.275 251.135 1.0 51.50906  ? 851 TYR C CA  851 TYR C CA  1 
ATOM 21070 C C   . TYR C 3 851 ? 237.584 -71.709 250.643 1.0 51.50906  ? 851 TYR C C   851 TYR C C   1 
ATOM 21071 O O   . TYR C 3 851 ? 238.555 -72.459 250.775 1.0 51.50906  ? 851 TYR C O   851 TYR C O   1 
ATOM 21072 C CB  . TYR C 3 851 ? 238.665 -69.489 250.310 1.0 51.50906  ? 851 TYR C CB  851 TYR C CB  1 
ATOM 21073 C CG  . TYR C 3 851 ? 238.325 -69.428 248.834 1.0 51.50906  ? 851 TYR C CG  851 TYR C CG  1 
ATOM 21074 C CD1 . TYR C 3 851 ? 237.391 -68.520 248.355 1.0 51.50906  ? 851 TYR C CD1 851 TYR C CD1 1 
ATOM 21075 C CD2 . TYR C 3 851 ? 238.918 -70.296 247.924 1.0 51.50906  ? 851 TYR C CD2 851 TYR C CD2 1 
ATOM 21076 C CE1 . TYR C 3 851 ? 237.074 -68.464 247.012 1.0 51.50906  ? 851 TYR C CE1 851 TYR C CE1 1 
ATOM 21077 C CE2 . TYR C 3 851 ? 238.606 -70.249 246.585 1.0 51.50906  ? 851 TYR C CE2 851 TYR C CE2 1 
ATOM 21078 C CZ  . TYR C 3 851 ? 237.684 -69.333 246.135 1.0 51.50906  ? 851 TYR C CZ  851 TYR C CZ  1 
ATOM 21079 O OH  . TYR C 3 851 ? 237.374 -69.288 244.799 1.0 51.50906  ? 851 TYR C OH  851 TYR C OH  1 
ATOM 21080 N N   . ALA C 3 852 ? 236.411 -72.097 250.134 1.0 52.78943  ? 852 ALA C N   852 ALA C N   1 
ATOM 21081 C CA  . ALA C 3 852 ? 236.075 -73.396 249.546 1.0 52.78943  ? 852 ALA C CA  852 ALA C CA  1 
ATOM 21082 C C   . ALA C 3 852 ? 236.162 -74.564 250.522 1.0 52.78943  ? 852 ALA C C   852 ALA C C   1 
ATOM 21083 O O   . ALA C 3 852 ? 235.922 -75.705 250.104 1.0 52.78943  ? 852 ALA C O   852 ALA C O   1 
ATOM 21084 C CB  . ALA C 3 852 ? 236.924 -73.706 248.306 1.0 52.78943  ? 852 ALA C CB  852 ALA C CB  1 
ATOM 21085 N N   . ASN C 3 853 ? 236.494 -74.308 251.797 1.0 55.63736  ? 853 ASN C N   853 ASN C N   1 
ATOM 21086 C CA  . ASN C 3 853 ? 236.397 -75.259 252.910 1.0 55.63736  ? 853 ASN C CA  853 ASN C CA  1 
ATOM 21087 C C   . ASN C 3 853 ? 237.242 -76.508 252.673 1.0 55.63736  ? 853 ASN C C   853 ASN C C   1 
ATOM 21088 O O   . ASN C 3 853 ? 236.775 -77.630 252.873 1.0 55.63736  ? 853 ASN C O   853 ASN C O   1 
ATOM 21089 C CB  . ASN C 3 853 ? 234.931 -75.637 253.163 1.0 55.63736  ? 853 ASN C CB  853 ASN C CB  1 
ATOM 21090 C CG  . ASN C 3 853 ? 234.653 -76.043 254.602 1.0 55.63736  ? 853 ASN C CG  853 ASN C CG  1 
ATOM 21091 O OD1 . ASN C 3 853 ? 233.496 -76.180 254.998 1.0 55.63736  ? 853 ASN C OD1 853 ASN C OD1 1 
ATOM 21092 N ND2 . ASN C 3 853 ? 235.702 -76.205 255.397 1.0 55.63736  ? 853 ASN C ND2 853 ASN C ND2 1 
ATOM 21093 N N   . SER C 3 854 ? 238.488 -76.335 252.215 1.0 54.25286  ? 854 SER C N   854 SER C N   1 
ATOM 21094 C CA  . SER C 3 854 ? 239.164 -77.537 251.739 1.0 54.25286  ? 854 SER C CA  854 SER C CA  1 
ATOM 21095 C C   . SER C 3 854 ? 239.813 -78.318 252.875 1.0 54.25286  ? 854 SER C C   854 SER C C   1 
ATOM 21096 O O   . SER C 3 854 ? 239.169 -79.201 253.454 1.0 54.25286  ? 854 SER C O   854 SER C O   1 
ATOM 21097 C CB  . SER C 3 854 ? 240.220 -77.159 250.698 1.0 54.25286  ? 854 SER C CB  854 SER C CB  1 
ATOM 21098 O OG  . SER C 3 854 ? 239.640 -76.549 249.558 1.0 54.25286  ? 854 SER C OG  854 SER C OG  1 
ATOM 21099 N N   . SER C 3 855 ? 241.042 -77.929 253.256 1.0 49.65601  ? 855 SER C N   855 SER C N   1 
ATOM 21100 C CA  . SER C 3 855 ? 241.833 -78.376 254.406 1.0 49.65601  ? 855 SER C CA  855 SER C CA  1 
ATOM 21101 C C   . SER C 3 855 ? 243.229 -77.776 254.321 1.0 49.65601  ? 855 SER C C   855 SER C C   1 
ATOM 21102 O O   . SER C 3 855 ? 243.625 -77.290 253.259 1.0 49.65601  ? 855 SER C O   855 SER C O   1 
ATOM 21103 C CB  . SER C 3 855 ? 241.988 -79.894 254.492 1.0 49.65601  ? 855 SER C CB  855 SER C CB  1 
ATOM 21104 O OG  . SER C 3 855 ? 242.742 -80.387 253.402 1.0 49.65601  ? 855 SER C OG  855 SER C OG  1 
ATOM 21105 N N   . HIS C 3 856 ? 244.001 -77.877 255.406 1.0 46.98812  ? 856 HIS C N   856 HIS C N   1 
ATOM 21106 C CA  . HIS C 3 856 ? 245.449 -77.687 255.396 1.0 46.98812  ? 856 HIS C CA  856 HIS C CA  1 
ATOM 21107 C C   . HIS C 3 856 ? 246.060 -78.589 256.461 1.0 46.98812  ? 856 HIS C C   856 HIS C C   1 
ATOM 21108 O O   . HIS C 3 856 ? 245.347 -79.050 257.354 1.0 46.98812  ? 856 HIS C O   856 HIS C O   1 
ATOM 21109 C CB  . HIS C 3 856 ? 245.838 -76.228 255.646 1.0 46.98812  ? 856 HIS C CB  856 HIS C CB  1 
ATOM 21110 C CG  . HIS C 3 856 ? 245.438 -75.294 254.550 1.0 46.98812  ? 856 HIS C CG  856 HIS C CG  1 
ATOM 21111 N ND1 . HIS C 3 856 ? 244.209 -74.672 254.518 1.0 46.98812  ? 856 HIS C ND1 856 HIS C ND1 1 
ATOM 21112 C CD2 . HIS C 3 856 ? 246.085 -74.906 253.427 1.0 46.98812  ? 856 HIS C CD2 856 HIS C CD2 1 
ATOM 21113 C CE1 . HIS C 3 856 ? 244.124 -73.925 253.433 1.0 46.98812  ? 856 HIS C CE1 856 HIS C CE1 1 
ATOM 21114 N NE2 . HIS C 3 856 ? 245.250 -74.048 252.754 1.0 46.98812  ? 856 HIS C NE2 856 HIS C NE2 1 
ATOM 21115 N N   . SER C 3 857 ? 247.366 -78.853 256.388 1.0 45.25444  ? 857 SER C N   857 SER C N   1 
ATOM 21116 C CA  . SER C 3 857 ? 247.990 -79.807 257.311 1.0 45.25444  ? 857 SER C CA  857 SER C CA  1 
ATOM 21117 C C   . SER C 3 857 ? 249.450 -79.410 257.520 1.0 45.25444  ? 857 SER C C   857 SER C C   1 
ATOM 21118 O O   . SER C 3 857 ? 250.329 -79.876 256.794 1.0 45.25444  ? 857 SER C O   857 SER C O   1 
ATOM 21119 C CB  . SER C 3 857 ? 247.893 -81.214 256.756 1.0 45.25444  ? 857 SER C CB  857 SER C CB  1 
ATOM 21120 O OG  . SER C 3 857 ? 248.631 -81.312 255.553 1.0 45.25444  ? 857 SER C OG  857 SER C OG  1 
ATOM 21121 N N   . LEU C 3 858 ? 249.707 -78.608 258.546 1.0 44.4821   ? 858 LEU C N   858 LEU C N   1 
ATOM 21122 C CA  . LEU C 3 858 ? 250.999 -77.941 258.617 1.0 44.4821   ? 858 LEU C CA  858 LEU C CA  1 
ATOM 21123 C C   . LEU C 3 858 ? 251.998 -78.727 259.459 1.0 44.4821   ? 858 LEU C C   858 LEU C C   1 
ATOM 21124 O O   . LEU C 3 858 ? 251.637 -79.598 260.250 1.0 44.4821   ? 858 LEU C O   858 LEU C O   1 
ATOM 21125 C CB  . LEU C 3 858 ? 250.867 -76.532 259.193 1.0 44.4821   ? 858 LEU C CB  858 LEU C CB  1 
ATOM 21126 C CG  . LEU C 3 858 ? 250.950 -76.341 260.710 1.0 44.4821   ? 858 LEU C CG  858 LEU C CG  1 
ATOM 21127 C CD1 . LEU C 3 858 ? 251.187 -74.875 261.042 1.0 44.4821   ? 858 LEU C CD1 858 LEU C CD1 1 
ATOM 21128 C CD2 . LEU C 3 858 ? 249.735 -76.852 261.429 1.0 44.4821   ? 858 LEU C CD2 858 LEU C CD2 1 
ATOM 21129 N N   . ASN C 3 859 ? 253.276 -78.405 259.265 1.0 47.54668  ? 859 ASN C N   859 ASN C N   1 
ATOM 21130 C CA  . ASN C 3 859 ? 254.339 -78.815 260.168 1.0 47.54668  ? 859 ASN C CA  859 ASN C CA  1 
ATOM 21131 C C   . ASN C 3 859 ? 255.171 -77.597 260.541 1.0 47.54668  ? 859 ASN C C   859 ASN C C   1 
ATOM 21132 O O   . ASN C 3 859 ? 255.228 -76.618 259.797 1.0 47.54668  ? 859 ASN C O   859 ASN C O   1 
ATOM 21133 C CB  . ASN C 3 859 ? 255.232 -79.924 259.570 1.0 47.54668  ? 859 ASN C CB  859 ASN C CB  1 
ATOM 21134 C CG  . ASN C 3 859 ? 255.859 -79.548 258.245 1.0 47.54668  ? 859 ASN C CG  859 ASN C CG  1 
ATOM 21135 O OD1 . ASN C 3 859 ? 255.567 -78.508 257.664 1.0 47.54668  ? 859 ASN C OD1 859 ASN C OD1 1 
ATOM 21136 N ND2 . ASN C 3 859 ? 256.776 -80.385 257.782 1.0 47.54668  ? 859 ASN C ND2 859 ASN C ND2 1 
ATOM 21137 N N   . MET C 3 860 ? 255.798 -77.648 261.712 1.0 49.86395  ? 860 MET C N   860 MET C N   1 
ATOM 21138 C CA  . MET C 3 860 ? 256.583 -76.528 262.221 1.0 49.86395  ? 860 MET C CA  860 MET C CA  1 
ATOM 21139 C C   . MET C 3 860 ? 257.914 -77.076 262.705 1.0 49.86395  ? 860 MET C C   860 MET C C   1 
ATOM 21140 O O   . MET C 3 860 ? 257.986 -77.680 263.779 1.0 49.86395  ? 860 MET C O   860 MET C O   1 
ATOM 21141 C CB  . MET C 3 860 ? 255.856 -75.798 263.350 1.0 49.86395  ? 860 MET C CB  860 MET C CB  1 
ATOM 21142 C CG  . MET C 3 860 ? 254.545 -75.157 262.951 1.0 49.86395  ? 860 MET C CG  860 MET C CG  1 
ATOM 21143 S SD  . MET C 3 860 ? 253.650 -74.496 264.360 1.0 49.86395  ? 860 MET C SD  860 MET C SD  1 
ATOM 21144 C CE  . MET C 3 860 ? 254.714 -73.127 264.788 1.0 49.86395  ? 860 MET C CE  860 MET C CE  1 
ATOM 21145 N N   . GLN C 3 861 ? 258.959 -76.875 261.916 1.0 50.93334  ? 861 GLN C N   861 GLN C N   1 
ATOM 21146 C CA  . GLN C 3 861 ? 260.296 -77.309 262.283 1.0 50.93334  ? 861 GLN C CA  861 GLN C CA  1 
ATOM 21147 C C   . GLN C 3 861 ? 260.976 -76.212 263.085 1.0 50.93334  ? 861 GLN C C   861 GLN C C   1 
ATOM 21148 O O   . GLN C 3 861 ? 261.061 -75.068 262.631 1.0 50.93334  ? 861 GLN C O   861 GLN C O   1 
ATOM 21149 C CB  . GLN C 3 861 ? 261.120 -77.633 261.040 1.0 50.93334  ? 861 GLN C CB  861 GLN C CB  1 
ATOM 21150 C CG  . GLN C 3 861 ? 260.610 -78.814 260.254 1.0 50.93334  ? 861 GLN C CG  861 GLN C CG  1 
ATOM 21151 C CD  . GLN C 3 861 ? 261.427 -79.078 259.009 1.0 50.93334  ? 861 GLN C CD  861 GLN C CD  1 
ATOM 21152 O OE1 . GLN C 3 861 ? 262.355 -78.335 258.690 1.0 50.93334  ? 861 GLN C OE1 861 GLN C OE1 1 
ATOM 21153 N NE2 . GLN C 3 861 ? 261.085 -80.141 258.295 1.0 50.93334  ? 861 GLN C NE2 861 GLN C NE2 1 
ATOM 21154 N N   . PHE C 3 862 ? 261.462 -76.563 264.269 1.0 50.84337  ? 862 PHE C N   862 PHE C N   1 
ATOM 21155 C CA  . PHE C 3 862 ? 262.151 -75.627 265.142 1.0 50.84337  ? 862 PHE C CA  862 PHE C CA  1 
ATOM 21156 C C   . PHE C 3 862 ? 263.630 -75.974 265.217 1.0 50.84337  ? 862 PHE C C   862 PHE C C   1 
ATOM 21157 O O   . PHE C 3 862 ? 264.066 -77.057 264.825 1.0 50.84337  ? 862 PHE C O   862 PHE C O   1 
ATOM 21158 C CB  . PHE C 3 862 ? 261.549 -75.634 266.549 1.0 50.84337  ? 862 PHE C CB  862 PHE C CB  1 
ATOM 21159 C CG  . PHE C 3 862 ? 260.165 -75.065 266.630 1.0 50.84337  ? 862 PHE C CG  862 PHE C CG  1 
ATOM 21160 C CD1 . PHE C 3 862 ? 259.655 -74.268 265.626 1.0 50.84337  ? 862 PHE C CD1 862 PHE C CD1 1 
ATOM 21161 C CD2 . PHE C 3 862 ? 259.370 -75.333 267.721 1.0 50.84337  ? 862 PHE C CD2 862 PHE C CD2 1 
ATOM 21162 C CE1 . PHE C 3 862 ? 258.378 -73.762 265.712 1.0 50.84337  ? 862 PHE C CE1 862 PHE C CE1 1 
ATOM 21163 C CE2 . PHE C 3 862 ? 258.094 -74.825 267.808 1.0 50.84337  ? 862 PHE C CE2 862 PHE C CE2 1 
ATOM 21164 C CZ  . PHE C 3 862 ? 257.602 -74.038 266.804 1.0 50.84337  ? 862 PHE C CZ  862 PHE C CZ  1 
ATOM 21165 N N   . THR C 3 863 ? 264.404 -75.028 265.738 1.0 53.18201  ? 863 THR C N   863 THR C N   1 
ATOM 21166 C CA  . THR C 3 863 ? 265.822 -75.238 265.991 1.0 53.18201  ? 863 THR C CA  863 THR C CA  1 
ATOM 21167 C C   . THR C 3 863 ? 266.162 -74.569 267.308 1.0 53.18201  ? 863 THR C C   863 THR C C   1 
ATOM 21168 O O   . THR C 3 863 ? 266.049 -73.348 267.435 1.0 53.18201  ? 863 THR C O   863 THR C O   1 
ATOM 21169 C CB  . THR C 3 863 ? 266.688 -74.678 264.864 1.0 53.18201  ? 863 THR C CB  863 THR C CB  1 
ATOM 21170 O OG1 . THR C 3 863 ? 266.359 -75.339 263.638 1.0 53.18201  ? 863 THR C OG1 863 THR C OG1 1 
ATOM 21171 C CG2 . THR C 3 863 ? 268.155 -74.897 265.169 1.0 53.18201  ? 863 THR C CG2 863 THR C CG2 1 
ATOM 21172 N N   . VAL C 3 864 ? 266.577 -75.370 268.282 1.0 53.2127   ? 864 VAL C N   864 VAL C N   1 
ATOM 21173 C CA  . VAL C 3 864 ? 266.805 -74.907 269.639 1.0 53.2127   ? 864 VAL C CA  864 VAL C CA  1 
ATOM 21174 C C   . VAL C 3 864 ? 268.276 -75.094 269.983 1.0 53.2127   ? 864 VAL C C   864 VAL C C   1 
ATOM 21175 O O   . VAL C 3 864 ? 269.005 -75.827 269.318 1.0 53.2127   ? 864 VAL C O   864 VAL C O   1 
ATOM 21176 C CB  . VAL C 3 864 ? 265.919 -75.652 270.641 1.0 53.2127   ? 864 VAL C CB  864 VAL C CB  1 
ATOM 21177 C CG1 . VAL C 3 864 ? 264.464 -75.334 270.381 1.0 53.2127   ? 864 VAL C CG1 864 VAL C CG1 1 
ATOM 21178 C CG2 . VAL C 3 864 ? 266.165 -77.130 270.490 1.0 53.2127   ? 864 VAL C CG2 864 VAL C CG2 1 
ATOM 21179 N N   . ASP C 3 865 ? 268.705 -74.413 271.038 1.0 56.48341  ? 865 ASP C N   865 ASP C N   1 
ATOM 21180 C CA  . ASP C 3 865 ? 270.041 -74.640 271.557 1.0 56.48341  ? 865 ASP C CA  865 ASP C CA  1 
ATOM 21181 C C   . ASP C 3 865 ? 270.092 -75.985 272.273 1.0 56.48341  ? 865 ASP C C   865 ASP C C   1 
ATOM 21182 O O   . ASP C 3 865 ? 269.156 -76.338 272.993 1.0 56.48341  ? 865 ASP C O   865 ASP C O   1 
ATOM 21183 C CB  . ASP C 3 865 ? 270.448 -73.531 272.519 1.0 56.48341  ? 865 ASP C CB  865 ASP C CB  1 
ATOM 21184 C CG  . ASP C 3 865 ? 270.726 -72.229 271.815 1.0 56.48341  ? 865 ASP C CG  865 ASP C CG  1 
ATOM 21185 O OD1 . ASP C 3 865 ? 271.185 -72.275 270.657 1.0 56.48341  ? 865 ASP C OD1 865 ASP C OD1 1 
ATOM 21186 O OD2 . ASP C 3 865 ? 270.489 -71.164 272.418 1.0 56.48341  ? 865 ASP C OD2 865 ASP C OD2 1 
ATOM 21187 N N   . PRO C 3 866 ? 271.159 -76.752 272.094 1.0 60.20606  ? 866 PRO C N   866 PRO C N   1 
ATOM 21188 C CA  . PRO C 3 866 ? 271.224 -78.075 272.725 1.0 60.20606  ? 866 PRO C CA  866 PRO C CA  1 
ATOM 21189 C C   . PRO C 3 866 ? 271.434 -78.005 274.229 1.0 60.20606  ? 866 PRO C C   866 PRO C C   1 
ATOM 21190 O O   . PRO C 3 866 ? 272.521 -77.676 274.712 1.0 60.20606  ? 866 PRO C O   866 PRO C O   1 
ATOM 21191 C CB  . PRO C 3 866 ? 272.407 -78.740 272.012 1.0 60.20606  ? 866 PRO C CB  866 PRO C CB  1 
ATOM 21192 C CG  . PRO C 3 866 ? 273.247 -77.608 271.534 1.0 60.20606  ? 866 PRO C CG  866 PRO C CG  1 
ATOM 21193 C CD  . PRO C 3 866 ? 272.304 -76.498 271.205 1.0 60.20606  ? 866 PRO C CD  866 PRO C CD  1 
ATOM 21194 N N   . MET C 3 867 ? 270.382 -78.309 274.975 1.0 63.35755  ? 867 MET C N   867 MET C N   1 
ATOM 21195 C CA  . MET C 3 867 ? 270.436 -78.320 276.426 1.0 63.35755  ? 867 MET C CA  867 MET C CA  1 
ATOM 21196 C C   . MET C 3 867 ? 270.802 -79.708 276.928 1.0 63.35755  ? 867 MET C C   867 MET C C   1 
ATOM 21197 O O   . MET C 3 867 ? 270.535 -80.718 276.273 1.0 63.35755  ? 867 MET C O   867 MET C O   1 
ATOM 21198 C CB  . MET C 3 867 ? 269.095 -77.892 277.014 1.0 63.35755  ? 867 MET C CB  867 MET C CB  1 
ATOM 21199 C CG  . MET C 3 867 ? 268.755 -76.440 276.778 1.0 63.35755  ? 867 MET C CG  867 MET C CG  1 
ATOM 21200 S SD  . MET C 3 867 ? 267.087 -76.051 277.328 1.0 63.35755  ? 867 MET C SD  867 MET C SD  1 
ATOM 21201 C CE  . MET C 3 867 ? 267.267 -76.249 279.095 1.0 63.35755  ? 867 MET C CE  867 MET C CE  1 
ATOM 21202 N N   . THR C 3 868 ? 271.414 -79.751 278.110 1.0 67.28192  ? 868 THR C N   868 THR C N   1 
ATOM 21203 C CA  . THR C 3 868 ? 271.840 -81.017 278.687 1.0 67.28192  ? 868 THR C CA  868 THR C CA  1 
ATOM 21204 C C   . THR C 3 868 ? 270.701 -81.792 279.334 1.0 67.28192  ? 868 THR C C   868 THR C C   1 
ATOM 21205 O O   . THR C 3 868 ? 270.894 -82.959 279.687 1.0 67.28192  ? 868 THR C O   868 THR C O   1 
ATOM 21206 C CB  . THR C 3 868 ? 272.946 -80.780 279.715 1.0 67.28192  ? 868 THR C CB  868 THR C CB  1 
ATOM 21207 O OG1 . THR C 3 868 ? 273.457 -82.039 280.168 1.0 67.28192  ? 868 THR C OG1 868 THR C OG1 1 
ATOM 21208 C CG2 . THR C 3 868 ? 272.411 -80.001 280.900 1.0 67.28192  ? 868 THR C CG2 868 THR C CG2 1 
ATOM 21209 N N   . GLU C 3 869 ? 269.529 -81.186 279.490 1.0 66.47193  ? 869 GLU C N   869 GLU C N   1 
ATOM 21210 C CA  . GLU C 3 869 ? 268.390 -81.847 280.102 1.0 66.47193  ? 869 GLU C CA  869 GLU C CA  1 
ATOM 21211 C C   . GLU C 3 869 ? 267.316 -82.136 279.060 1.0 66.47193  ? 869 GLU C C   869 GLU C C   1 
ATOM 21212 O O   . GLU C 3 869 ? 267.216 -81.425 278.057 1.0 66.47193  ? 869 GLU C O   869 GLU C O   1 
ATOM 21213 C CB  . GLU C 3 869 ? 267.786 -80.985 281.216 1.0 66.47193  ? 869 GLU C CB  869 GLU C CB  1 
ATOM 21214 C CG  . GLU C 3 869 ? 268.700 -80.766 282.409 1.0 66.47193  ? 869 GLU C CG  869 GLU C CG  1 
ATOM 21215 C CD  . GLU C 3 869 ? 268.954 -82.036 283.197 1.0 66.47193  ? 869 GLU C CD  869 GLU C CD  1 
ATOM 21216 O OE1 . GLU C 3 869 ? 268.050 -82.896 283.255 1.0 66.47193  ? 869 GLU C OE1 869 GLU C OE1 1 
ATOM 21217 O OE2 . GLU C 3 869 ? 270.059 -82.171 283.763 1.0 66.47193  ? 869 GLU C OE2 869 GLU C OE2 1 
ATOM 21218 N N   . PRO C 3 870 ? 266.517 -83.187 279.248 1.0 62.29354  ? 870 PRO C N   870 PRO C N   1 
ATOM 21219 C CA  . PRO C 3 870 ? 265.343 -83.380 278.388 1.0 62.29354  ? 870 PRO C CA  870 PRO C CA  1 
ATOM 21220 C C   . PRO C 3 870 ? 264.320 -82.287 278.643 1.0 62.29354  ? 870 PRO C C   870 PRO C C   1 
ATOM 21221 O O   . PRO C 3 870 ? 264.078 -81.904 279.789 1.0 62.29354  ? 870 PRO C O   870 PRO C O   1 
ATOM 21222 C CB  . PRO C 3 870 ? 264.817 -84.756 278.808 1.0 62.29354  ? 870 PRO C CB  870 PRO C CB  1 
ATOM 21223 C CG  . PRO C 3 870 ? 265.995 -85.439 279.395 1.0 62.29354  ? 870 PRO C CG  870 PRO C CG  1 
ATOM 21224 C CD  . PRO C 3 870 ? 266.775 -84.367 280.087 1.0 62.29354  ? 870 PRO C CD  870 PRO C CD  1 
ATOM 21225 N N   . THR C 3 871 ? 263.739 -81.765 277.567 1.0 55.97418  ? 871 THR C N   871 THR C N   1 
ATOM 21226 C CA  . THR C 3 871 ? 262.809 -80.651 277.657 1.0 55.97418  ? 871 THR C CA  871 THR C CA  1 
ATOM 21227 C C   . THR C 3 871 ? 261.541 -80.931 276.867 1.0 55.97418  ? 871 THR C C   871 THR C C   1 
ATOM 21228 O O   . THR C 3 871 ? 261.540 -81.701 275.905 1.0 55.97418  ? 871 THR C O   871 THR C O   1 
ATOM 21229 C CB  . THR C 3 871 ? 263.433 -79.343 277.155 1.0 55.97418  ? 871 THR C CB  871 THR C CB  1 
ATOM 21230 O OG1 . THR C 3 871 ? 263.977 -79.542 275.846 1.0 55.97418  ? 871 THR C OG1 871 THR C OG1 1 
ATOM 21231 C CG2 . THR C 3 871 ? 264.513 -78.851 278.100 1.0 55.97418  ? 871 THR C CG2 871 THR C CG2 1 
ATOM 21232 N N   . TYR C 3 872 ? 260.456 -80.298 277.299 1.0 53.45369  ? 872 TYR C N   872 TYR C N   1 
ATOM 21233 C CA  . TYR C 3 872 ? 259.208 -80.278 276.552 1.0 53.45369  ? 872 TYR C CA  872 TYR C CA  1 
ATOM 21234 C C   . TYR C 3 872 ? 259.248 -79.145 275.537 1.0 53.45369  ? 872 TYR C C   872 TYR C C   1 
ATOM 21235 O O   . TYR C 3 872 ? 260.287 -78.535 275.276 1.0 53.45369  ? 872 TYR C O   872 TYR C O   1 
ATOM 21236 C CB  . TYR C 3 872 ? 258.016 -80.104 277.488 1.0 53.45369  ? 872 TYR C CB  872 TYR C CB  1 
ATOM 21237 C CG  . TYR C 3 872 ? 257.627 -81.309 278.305 1.0 53.45369  ? 872 TYR C CG  872 TYR C CG  1 
ATOM 21238 C CD1 . TYR C 3 872 ? 257.993 -82.587 277.923 1.0 53.45369  ? 872 TYR C CD1 872 TYR C CD1 1 
ATOM 21239 C CD2 . TYR C 3 872 ? 256.900 -81.160 279.476 1.0 53.45369  ? 872 TYR C CD2 872 TYR C CD2 1 
ATOM 21240 C CE1 . TYR C 3 872 ? 257.631 -83.686 278.680 1.0 53.45369  ? 872 TYR C CE1 872 TYR C CE1 1 
ATOM 21241 C CE2 . TYR C 3 872 ? 256.536 -82.247 280.237 1.0 53.45369  ? 872 TYR C CE2 872 TYR C CE2 1 
ATOM 21242 C CZ  . TYR C 3 872 ? 256.908 -83.507 279.838 1.0 53.45369  ? 872 TYR C CZ  872 TYR C CZ  1 
ATOM 21243 O OH  . TYR C 3 872 ? 256.548 -84.596 280.597 1.0 53.45369  ? 872 TYR C OH  872 TYR C OH  1 
ATOM 21244 N N   . LEU C 3 873 ? 258.091 -78.849 274.963 1.0 49.42182  ? 873 LEU C N   873 LEU C N   1 
ATOM 21245 C CA  . LEU C 3 873 ? 257.921 -77.702 274.081 1.0 49.42182  ? 873 LEU C CA  873 LEU C CA  1 
ATOM 21246 C C   . LEU C 3 873 ? 256.458 -77.292 274.189 1.0 49.42182  ? 873 LEU C C   873 LEU C C   1 
ATOM 21247 O O   . LEU C 3 873 ? 255.593 -77.926 273.581 1.0 49.42182  ? 873 LEU C O   873 LEU C O   1 
ATOM 21248 C CB  . LEU C 3 873 ? 258.289 -78.049 272.652 1.0 49.42182  ? 873 LEU C CB  873 LEU C CB  1 
ATOM 21249 C CG  . LEU C 3 873 ? 258.066 -76.933 271.640 1.0 49.42182  ? 873 LEU C CG  873 LEU C CG  1 
ATOM 21250 C CD1 . LEU C 3 873 ? 259.063 -75.803 271.811 1.0 49.42182  ? 873 LEU C CD1 873 LEU C CD1 1 
ATOM 21251 C CD2 . LEU C 3 873 ? 258.095 -77.516 270.256 1.0 49.42182  ? 873 LEU C CD2 873 LEU C CD2 1 
ATOM 21252 N N   . MET C 3 874 ? 256.183 -76.265 274.978 1.0 47.06527  ? 874 MET C N   874 MET C N   1 
ATOM 21253 C CA  . MET C 3 874 ? 254.818 -75.783 275.103 1.0 47.06527  ? 874 MET C CA  874 MET C CA  1 
ATOM 21254 C C   . MET C 3 874 ? 254.464 -75.005 273.849 1.0 47.06527  ? 874 MET C C   874 MET C C   1 
ATOM 21255 O O   . MET C 3 874 ? 255.108 -74.002 273.542 1.0 47.06527  ? 874 MET C O   874 MET C O   1 
ATOM 21256 C CB  . MET C 3 874 ? 254.662 -74.910 276.340 1.0 47.06527  ? 874 MET C CB  874 MET C CB  1 
ATOM 21257 C CG  . MET C 3 874 ? 253.242 -74.456 276.563 1.0 47.06527  ? 874 MET C CG  874 MET C CG  1 
ATOM 21258 S SD  . MET C 3 874 ? 253.040 -73.489 278.056 1.0 47.06527  ? 874 MET C SD  874 MET C SD  1 
ATOM 21259 C CE  . MET C 3 874 ? 251.308 -73.091 277.925 1.0 47.06527  ? 874 MET C CE  874 MET C CE  1 
ATOM 21260 N N   . LEU C 3 875 ? 253.458 -75.470 273.117 1.0 42.8613   ? 875 LEU C N   875 LEU C N   1 
ATOM 21261 C CA  . LEU C 3 875 ? 253.015 -74.822 271.891 1.0 42.8613   ? 875 LEU C CA  875 LEU C CA  1 
ATOM 21262 C C   . LEU C 3 875 ? 251.525 -74.562 272.009 1.0 42.8613   ? 875 LEU C C   875 LEU C C   1 
ATOM 21263 O O   . LEU C 3 875 ? 250.760 -75.478 272.322 1.0 42.8613   ? 875 LEU C O   875 LEU C O   1 
ATOM 21264 C CB  . LEU C 3 875 ? 253.320 -75.686 270.668 1.0 42.8613   ? 875 LEU C CB  875 LEU C CB  1 
ATOM 21265 C CG  . LEU C 3 875 ? 252.933 -75.121 269.306 1.0 42.8613   ? 875 LEU C CG  875 LEU C CG  1 
ATOM 21266 C CD1 . LEU C 3 875 ? 253.690 -73.849 269.029 1.0 42.8613   ? 875 LEU C CD1 875 LEU C CD1 1 
ATOM 21267 C CD2 . LEU C 3 875 ? 253.213 -76.142 268.232 1.0 42.8613   ? 875 LEU C CD2 875 LEU C CD2 1 
ATOM 21268 N N   . LEU C 3 876 ? 251.116 -73.324 271.770 1.0 40.62454  ? 876 LEU C N   876 LEU C N   1 
ATOM 21269 C CA  . LEU C 3 876 ? 249.729 -72.905 271.930 1.0 40.62454  ? 876 LEU C CA  876 LEU C CA  1 
ATOM 21270 C C   . LEU C 3 876 ? 249.170 -72.474 270.584 1.0 40.62454  ? 876 LEU C C   876 LEU C C   1 
ATOM 21271 O O   . LEU C 3 876 ? 249.608 -71.469 270.018 1.0 40.62454  ? 876 LEU C O   876 LEU C O   1 
ATOM 21272 C CB  . LEU C 3 876 ? 249.622 -71.768 272.938 1.0 40.62454  ? 876 LEU C CB  876 LEU C CB  1 
ATOM 21273 C CG  . LEU C 3 876 ? 249.941 -72.132 274.376 1.0 40.62454  ? 876 LEU C CG  876 LEU C CG  1 
ATOM 21274 C CD1 . LEU C 3 876 ? 249.854 -70.901 275.235 1.0 40.62454  ? 876 LEU C CD1 876 LEU C CD1 1 
ATOM 21275 C CD2 . LEU C 3 876 ? 248.964 -73.176 274.833 1.0 40.62454  ? 876 LEU C CD2 876 LEU C CD2 1 
ATOM 21276 N N   . PHE C 3 877 ? 248.198 -73.221 270.080 1.0 39.89765  ? 877 PHE C N   877 PHE C N   1 
ATOM 21277 C CA  . PHE C 3 877 ? 247.459 -72.820 268.893 1.0 39.89765  ? 877 PHE C CA  877 PHE C CA  1 
ATOM 21278 C C   . PHE C 3 877 ? 246.293 -71.951 269.332 1.0 39.89765  ? 877 PHE C C   877 PHE C C   1 
ATOM 21279 O O   . PHE C 3 877 ? 245.410 -72.423 270.050 1.0 39.89765  ? 877 PHE C O   877 PHE C O   1 
ATOM 21280 C CB  . PHE C 3 877 ? 246.955 -74.037 268.126 1.0 39.89765  ? 877 PHE C CB  877 PHE C CB  1 
ATOM 21281 C CG  . PHE C 3 877 ? 248.042 -74.870 267.536 1.0 39.89765  ? 877 PHE C CG  877 PHE C CG  1 
ATOM 21282 C CD1 . PHE C 3 877 ? 248.646 -74.503 266.352 1.0 39.89765  ? 877 PHE C CD1 877 PHE C CD1 1 
ATOM 21283 C CD2 . PHE C 3 877 ? 248.456 -76.022 268.165 1.0 39.89765  ? 877 PHE C CD2 877 PHE C CD2 1 
ATOM 21284 C CE1 . PHE C 3 877 ? 249.645 -75.274 265.809 1.0 39.89765  ? 877 PHE C CE1 877 PHE C CE1 1 
ATOM 21285 C CE2 . PHE C 3 877 ? 249.454 -76.794 267.629 1.0 39.89765  ? 877 PHE C CE2 877 PHE C CE2 1 
ATOM 21286 C CZ  . PHE C 3 877 ? 250.050 -76.420 266.448 1.0 39.89765  ? 877 PHE C CZ  877 PHE C CZ  1 
ATOM 21287 N N   . GLY C 3 878 ? 246.290 -70.692 268.900 1.0 40.53472  ? 878 GLY C N   878 GLY C N   1 
ATOM 21288 C CA  . GLY C 3 878 ? 245.274 -69.753 269.336 1.0 40.53472  ? 878 GLY C CA  878 GLY C CA  1 
ATOM 21289 C C   . GLY C 3 878 ? 243.919 -70.099 268.758 1.0 40.53472  ? 878 GLY C C   878 GLY C C   1 
ATOM 21290 O O   . GLY C 3 878 ? 243.750 -70.122 267.528 1.0 40.53472  ? 878 GLY C O   878 GLY C O   1 
ATOM 21291 N N   . VAL C 3 879 ? 242.950 -70.389 269.621 1.0 40.32087  ? 879 VAL C N   879 VAL C N   1 
ATOM 21292 C CA  . VAL C 3 879 ? 241.606 -70.753 269.189 1.0 40.32087  ? 879 VAL C CA  879 VAL C CA  1 
ATOM 21293 C C   . VAL C 3 879 ? 240.619 -69.775 269.803 1.0 40.32087  ? 879 VAL C C   879 VAL C C   1 
ATOM 21294 O O   . VAL C 3 879 ? 241.013 -68.844 270.511 1.0 40.32087  ? 879 VAL C O   879 VAL C O   1 
ATOM 21295 C CB  . VAL C 3 879 ? 241.256 -72.194 269.589 1.0 40.32087  ? 879 VAL C CB  879 VAL C CB  1 
ATOM 21296 C CG1 . VAL C 3 879 ? 242.210 -73.169 268.954 1.0 40.32087  ? 879 VAL C CG1 879 VAL C CG1 1 
ATOM 21297 C CG2 . VAL C 3 879 ? 241.286 -72.329 271.088 1.0 40.32087  ? 879 VAL C CG2 879 VAL C CG2 1 
ATOM 21298 N N   . PHE C 3 880 ? 239.335 -69.970 269.531 1.0 42.48997  ? 880 PHE C N   880 PHE C N   1 
ATOM 21299 C CA  . PHE C 3 880 ? 238.272 -69.223 270.186 1.0 42.48997  ? 880 PHE C CA  880 PHE C CA  1 
ATOM 21300 C C   . PHE C 3 880 ? 237.464 -70.182 271.036 1.0 42.48997  ? 880 PHE C C   880 PHE C C   1 
ATOM 21301 O O   . PHE C 3 880 ? 236.629 -70.918 270.509 1.0 42.48997  ? 880 PHE C O   880 PHE C O   1 
ATOM 21302 C CB  . PHE C 3 880 ? 237.336 -68.550 269.181 1.0 42.48997  ? 880 PHE C CB  880 PHE C CB  1 
ATOM 21303 C CG  . PHE C 3 880 ? 237.948 -67.413 268.426 1.0 42.48997  ? 880 PHE C CG  880 PHE C CG  1 
ATOM 21304 C CD1 . PHE C 3 880 ? 239.139 -66.840 268.823 1.0 42.48997  ? 880 PHE C CD1 880 PHE C CD1 1 
ATOM 21305 C CD2 . PHE C 3 880 ? 237.310 -66.907 267.318 1.0 42.48997  ? 880 PHE C CD2 880 PHE C CD2 1 
ATOM 21306 C CE1 . PHE C 3 880 ? 239.687 -65.800 268.113 1.0 42.48997  ? 880 PHE C CE1 880 PHE C CE1 1 
ATOM 21307 C CE2 . PHE C 3 880 ? 237.845 -65.864 266.610 1.0 42.48997  ? 880 PHE C CE2 880 PHE C CE2 1 
ATOM 21308 C CZ  . PHE C 3 880 ? 239.035 -65.310 267.005 1.0 42.48997  ? 880 PHE C CZ  880 PHE C CZ  1 
ATOM 21309 N N   . ASP C 3 881 ? 237.687 -70.160 272.344 1.0 43.09238  ? 881 ASP C N   881 ASP C N   1 
ATOM 21310 C CA  . ASP C 3 881 ? 236.983 -71.048 273.257 1.0 43.09238  ? 881 ASP C CA  881 ASP C CA  1 
ATOM 21311 C C   . ASP C 3 881 ? 235.758 -70.308 273.771 1.0 43.09238  ? 881 ASP C C   881 ASP C C   1 
ATOM 21312 O O   . ASP C 3 881 ? 235.884 -69.234 274.365 1.0 43.09238  ? 881 ASP C O   881 ASP C O   1 
ATOM 21313 C CB  . ASP C 3 881 ? 237.891 -71.484 274.404 1.0 43.09238  ? 881 ASP C CB  881 ASP C CB  1 
ATOM 21314 C CG  . ASP C 3 881 ? 237.356 -72.689 275.146 1.0 43.09238  ? 881 ASP C CG  881 ASP C CG  1 
ATOM 21315 O OD1 . ASP C 3 881 ? 236.262 -73.173 274.792 1.0 43.09238  ? 881 ASP C OD1 881 ASP C OD1 1 
ATOM 21316 O OD2 . ASP C 3 881 ? 238.037 -73.165 276.076 1.0 43.09238  ? 881 ASP C OD2 881 ASP C OD2 1 
ATOM 21317 N N   . GLN C 3 882 ? 234.578 -70.873 273.532 1.0 39.86726  ? 882 GLN C N   882 GLN C N   1 
ATOM 21318 C CA  . GLN C 3 882 ? 233.323 -70.213 273.851 1.0 39.86726  ? 882 GLN C CA  882 GLN C CA  1 
ATOM 21319 C C   . GLN C 3 882 ? 232.449 -71.134 274.688 1.0 39.86726  ? 882 GLN C C   882 GLN C C   1 
ATOM 21320 O O   . GLN C 3 882 ? 232.719 -72.328 274.831 1.0 39.86726  ? 882 GLN C O   882 GLN C O   1 
ATOM 21321 C CB  . GLN C 3 882 ? 232.570 -69.801 272.581 1.0 39.86726  ? 882 GLN C CB  882 GLN C CB  1 
ATOM 21322 C CG  . GLN C 3 882 ? 233.293 -68.805 271.698 1.0 39.86726  ? 882 GLN C CG  882 GLN C CG  1 
ATOM 21323 C CD  . GLN C 3 882 ? 233.388 -67.441 272.324 1.0 39.86726  ? 882 GLN C CD  882 GLN C CD  1 
ATOM 21324 O OE1 . GLN C 3 882 ? 232.447 -66.976 272.960 1.0 39.86726  ? 882 GLN C OE1 882 GLN C OE1 1 
ATOM 21325 N NE2 . GLN C 3 882 ? 234.526 -66.786 272.147 1.0 39.86726  ? 882 GLN C NE2 882 GLN C NE2 1 
ATOM 21326 N N   . VAL C 3 883 ? 231.384 -70.550 275.235 1.0 37.10405  ? 883 VAL C N   883 VAL C N   1 
ATOM 21327 C CA  . VAL C 3 883 ? 230.358 -71.246 276.006 1.0 37.10405  ? 883 VAL C CA  883 VAL C CA  1 
ATOM 21328 C C   . VAL C 3 883 ? 229.092 -70.397 276.010 1.0 37.10405  ? 883 VAL C C   883 VAL C C   1 
ATOM 21329 O O   . VAL C 3 883 ? 229.154 -69.187 276.220 1.0 37.10405  ? 883 VAL C O   883 VAL C O   1 
ATOM 21330 C CB  . VAL C 3 883 ? 230.853 -71.560 277.434 1.0 37.10405  ? 883 VAL C CB  883 VAL C CB  1 
ATOM 21331 C CG1 . VAL C 3 883 ? 231.460 -70.343 278.079 1.0 37.10405  ? 883 VAL C CG1 883 VAL C CG1 1 
ATOM 21332 C CG2 . VAL C 3 883 ? 229.717 -72.034 278.304 1.0 37.10405  ? 883 VAL C CG2 883 VAL C CG2 1 
ATOM 21333 N N   . VAL C 3 884 ? 227.941 -70.996 275.729 1.0 37.55718  ? 884 VAL C N   884 VAL C N   1 
ATOM 21334 C CA  . VAL C 3 884 ? 226.669 -70.335 275.987 1.0 37.55718  ? 884 VAL C CA  884 VAL C CA  1 
ATOM 21335 C C   . VAL C 3 884 ? 225.968 -71.113 277.085 1.0 37.55718  ? 884 VAL C C   884 VAL C C   1 
ATOM 21336 O O   . VAL C 3 884 ? 226.191 -72.315 277.260 1.0 37.55718  ? 884 VAL C O   884 VAL C O   1 
ATOM 21337 C CB  . VAL C 3 884 ? 225.776 -70.206 274.738 1.0 37.55718  ? 884 VAL C CB  884 VAL C CB  1 
ATOM 21338 C CG1 . VAL C 3 884 ? 226.451 -69.336 273.711 1.0 37.55718  ? 884 VAL C CG1 884 VAL C CG1 1 
ATOM 21339 C CG2 . VAL C 3 884 ? 225.466 -71.560 274.156 1.0 37.55718  ? 884 VAL C CG2 884 VAL C CG2 1 
ATOM 21340 N N   . ILE C 3 885 ? 225.155 -70.408 277.866 1.0 38.08695  ? 885 ILE C N   885 ILE C N   1 
ATOM 21341 C CA  . ILE C 3 885 ? 224.541 -70.960 279.068 1.0 38.08695  ? 885 ILE C CA  885 ILE C CA  1 
ATOM 21342 C C   . ILE C 3 885 ? 223.050 -70.670 279.008 1.0 38.08695  ? 885 ILE C C   885 ILE C C   1 
ATOM 21343 O O   . ILE C 3 885 ? 222.638 -69.508 279.093 1.0 38.08695  ? 885 ILE C O   885 ILE C O   1 
ATOM 21344 C CB  . ILE C 3 885 ? 225.151 -70.379 280.346 1.0 38.08695  ? 885 ILE C CB  885 ILE C CB  1 
ATOM 21345 C CG1 . ILE C 3 885 ? 226.635 -70.713 280.432 1.0 38.08695  ? 885 ILE C CG1 885 ILE C CG1 1 
ATOM 21346 C CG2 . ILE C 3 885 ? 224.451 -70.940 281.554 1.0 38.08695  ? 885 ILE C CG2 885 ILE C CG2 1 
ATOM 21347 C CD1 . ILE C 3 885 ? 227.372 -69.910 281.435 1.0 38.08695  ? 885 ILE C CD1 885 ILE C CD1 1 
ATOM 21348 N N   . ASN C 3 886 ? 222.243 -71.715 278.876 1.0 41.10913  ? 886 ASN C N   886 ASN C N   1 
ATOM 21349 C CA  . ASN C 3 886 ? 220.796 -71.579 278.804 1.0 41.10913  ? 886 ASN C CA  886 ASN C CA  1 
ATOM 21350 C C   . ASN C 3 886 ? 220.194 -71.926 280.158 1.0 41.10913  ? 886 ASN C C   886 ASN C C   1 
ATOM 21351 O O   . ASN C 3 886 ? 220.566 -72.933 280.767 1.0 41.10913  ? 886 ASN C O   886 ASN C O   1 
ATOM 21352 C CB  . ASN C 3 886 ? 220.219 -72.489 277.722 1.0 41.10913  ? 886 ASN C CB  886 ASN C CB  1 
ATOM 21353 C CG  . ASN C 3 886 ? 218.789 -72.144 277.373 1.0 41.10913  ? 886 ASN C CG  886 ASN C CG  1 
ATOM 21354 O OD1 . ASN C 3 886 ? 218.229 -71.178 277.887 1.0 41.10913  ? 886 ASN C OD1 886 ASN C OD1 1 
ATOM 21355 N ND2 . ASN C 3 886 ? 218.182 -72.944 276.506 1.0 41.10913  ? 886 ASN C ND2 886 ASN C ND2 1 
ATOM 21356 N N   . GLN C 3 887 ? 219.266 -71.094 280.625 1.0 41.68603  ? 887 GLN C N   887 GLN C N   1 
ATOM 21357 C CA  . GLN C 3 887 ? 218.601 -71.288 281.914 1.0 41.68603  ? 887 GLN C CA  887 GLN C CA  1 
ATOM 21358 C C   . GLN C 3 887 ? 217.098 -71.193 281.700 1.0 41.68603  ? 887 GLN C C   887 GLN C C   1 
ATOM 21359 O O   . GLN C 3 887 ? 216.489 -70.156 281.979 1.0 41.68603  ? 887 GLN C O   887 GLN C O   1 
ATOM 21360 C CB  . GLN C 3 887 ? 219.073 -70.254 282.937 1.0 41.68603  ? 887 GLN C CB  887 GLN C CB  1 
ATOM 21361 C CG  . GLN C 3 887 ? 220.554 -70.323 283.234 1.0 41.68603  ? 887 GLN C CG  887 GLN C CG  1 
ATOM 21362 C CD  . GLN C 3 887 ? 220.975 -69.394 284.339 1.0 41.68603  ? 887 GLN C CD  887 GLN C CD  1 
ATOM 21363 O OE1 . GLN C 3 887 ? 220.180 -68.610 284.833 1.0 41.68603  ? 887 GLN C OE1 887 GLN C OE1 1 
ATOM 21364 N NE2 . GLN C 3 887 ? 222.228 -69.491 284.748 1.0 41.68603  ? 887 GLN C NE2 887 GLN C NE2 1 
ATOM 21365 N N   . PRO C 3 888 ? 216.466 -72.255 281.199 1.0 40.39017  ? 888 PRO C N   888 PRO C N   1 
ATOM 21366 C CA  . PRO C 3 888 ? 215.053 -72.150 280.813 1.0 40.39017  ? 888 PRO C CA  888 PRO C CA  1 
ATOM 21367 C C   . PRO C 3 888 ? 214.071 -72.145 281.978 1.0 40.39017  ? 888 PRO C C   888 PRO C C   1 
ATOM 21368 O O   . PRO C 3 888 ? 213.119 -71.361 281.979 1.0 40.39017  ? 888 PRO C O   888 PRO C O   1 
ATOM 21369 C CB  . PRO C 3 888 ? 214.851 -73.380 279.922 1.0 40.39017  ? 888 PRO C CB  888 PRO C CB  1 
ATOM 21370 C CG  . PRO C 3 888 ? 215.852 -74.363 280.404 1.0 40.39017  ? 888 PRO C CG  888 PRO C CG  1 
ATOM 21371 C CD  . PRO C 3 888 ? 217.036 -73.572 280.866 1.0 40.39017  ? 888 PRO C CD  888 PRO C CD  1 
ATOM 21372 N N   . THR C 3 889 ? 214.286 -73.004 282.968 1.0 43.41663  ? 889 THR C N   889 THR C N   1 
ATOM 21373 C CA  . THR C 3 889 ? 213.355 -73.203 284.066 1.0 43.41663  ? 889 THR C CA  889 THR C CA  1 
ATOM 21374 C C   . THR C 3 889 ? 214.171 -73.170 285.349 1.0 43.41663  ? 889 THR C C   889 THR C C   1 
ATOM 21375 O O   . THR C 3 889 ? 215.389 -73.360 285.320 1.0 43.41663  ? 889 THR C O   889 THR C O   1 
ATOM 21376 C CB  . THR C 3 889 ? 212.610 -74.545 283.909 1.0 43.41663  ? 889 THR C CB  889 THR C CB  1 
ATOM 21377 O OG1 . THR C 3 889 ? 212.187 -74.685 282.552 1.0 43.41663  ? 889 THR C OG1 889 THR C OG1 1 
ATOM 21378 C CG2 . THR C 3 889 ? 211.345 -74.595 284.755 1.0 43.41663  ? 889 THR C CG2 889 THR C CG2 1 
ATOM 21379 N N   . ARG C 3 890 ? 213.516 -72.880 286.473 1.0 44.76103  ? 890 ARG C N   890 ARG C N   1 
ATOM 21380 C CA  . ARG C 3 890 ? 214.195 -72.954 287.756 1.0 44.76103  ? 890 ARG C CA  890 ARG C CA  1 
ATOM 21381 C C   . ARG C 3 890 ? 214.612 -74.390 288.049 1.0 44.76103  ? 890 ARG C C   890 ARG C C   1 
ATOM 21382 O O   . ARG C 3 890 ? 213.978 -75.348 287.599 1.0 44.76103  ? 890 ARG C O   890 ARG C O   1 
ATOM 21383 C CB  . ARG C 3 890 ? 213.309 -72.414 288.876 1.0 44.76103  ? 890 ARG C CB  890 ARG C CB  1 
ATOM 21384 C CG  . ARG C 3 890 ? 212.070 -73.221 289.157 1.0 44.76103  ? 890 ARG C CG  890 ARG C CG  1 
ATOM 21385 C CD  . ARG C 3 890 ? 211.258 -72.591 290.269 1.0 44.76103  ? 890 ARG C CD  890 ARG C CD  1 
ATOM 21386 N NE  . ARG C 3 890 ? 211.962 -72.623 291.545 1.0 44.76103  ? 890 ARG C NE  890 ARG C NE  1 
ATOM 21387 C CZ  . ARG C 3 890 ? 211.951 -73.656 292.379 1.0 44.76103  ? 890 ARG C CZ  890 ARG C CZ  1 
ATOM 21388 N NH1 . ARG C 3 890 ? 211.269 -74.751 292.078 1.0 44.76103  ? 890 ARG C NH1 890 ARG C NH1 1 
ATOM 21389 N NH2 . ARG C 3 890 ? 212.623 -73.593 293.519 1.0 44.76103  ? 890 ARG C NH2 890 ARG C NH2 1 
ATOM 21390 N N   . SER C 3 891 ? 215.749 -74.515 288.734 1.0 46.95688  ? 891 SER C N   891 SER C N   1 
ATOM 21391 C CA  . SER C 3 891 ? 216.468 -75.749 289.055 1.0 46.95688  ? 891 SER C CA  891 SER C CA  1 
ATOM 21392 C C   . SER C 3 891 ? 216.972 -76.499 287.828 1.0 46.95688  ? 891 SER C C   891 SER C C   1 
ATOM 21393 O O   . SER C 3 891 ? 217.440 -77.631 287.962 1.0 46.95688  ? 891 SER C O   891 SER C O   1 
ATOM 21394 C CB  . SER C 3 891 ? 215.634 -76.697 289.933 1.0 46.95688  ? 891 SER C CB  891 SER C CB  1 
ATOM 21395 O OG  . SER C 3 891 ? 215.357 -76.119 291.194 1.0 46.95688  ? 891 SER C OG  891 SER C OG  1 
ATOM 21396 N N   . GLY C 3 892 ? 216.902 -75.911 286.638 1.0 44.77312  ? 892 GLY C N   892 GLY C N   1 
ATOM 21397 C CA  . GLY C 3 892 ? 217.407 -76.577 285.455 1.0 44.77312  ? 892 GLY C CA  892 GLY C CA  1 
ATOM 21398 C C   . GLY C 3 892 ? 218.183 -75.660 284.538 1.0 44.77312  ? 892 GLY C C   892 GLY C C   1 
ATOM 21399 O O   . GLY C 3 892 ? 217.626 -74.701 284.000 1.0 44.77312  ? 892 GLY C O   892 GLY C O   1 
ATOM 21400 N N   . ILE C 3 893 ? 219.472 -75.935 284.349 1.0 42.50899  ? 893 ILE C N   893 ILE C N   1 
ATOM 21401 C CA  . ILE C 3 893 ? 220.324 -75.136 283.481 1.0 42.50899  ? 893 ILE C CA  893 ILE C CA  1 
ATOM 21402 C C   . ILE C 3 893 ? 221.063 -76.070 282.535 1.0 42.50899  ? 893 ILE C C   893 ILE C C   1 
ATOM 21403 O O   . ILE C 3 893 ? 221.268 -77.251 282.832 1.0 42.50899  ? 893 ILE C O   893 ILE C O   1 
ATOM 21404 C CB  . ILE C 3 893 ? 221.320 -74.255 284.271 1.0 42.50899  ? 893 ILE C CB  893 ILE C CB  1 
ATOM 21405 C CG1 . ILE C 3 893 ? 222.264 -75.101 285.101 1.0 42.50899  ? 893 ILE C CG1 893 ILE C CG1 1 
ATOM 21406 C CG2 . ILE C 3 893 ? 220.606 -73.327 285.228 1.0 42.50899  ? 893 ILE C CG2 893 ILE C CG2 1 
ATOM 21407 C CD1 . ILE C 3 893 ? 223.388 -74.299 285.682 1.0 42.50899  ? 893 ILE C CD1 893 ILE C CD1 1 
ATOM 21408 N N   . SER C 3 894 ? 221.453 -75.536 281.381 1.0 41.03997  ? 894 SER C N   894 SER C N   1 
ATOM 21409 C CA  . SER C 3 894 ? 222.083 -76.333 280.338 1.0 41.03997  ? 894 SER C CA  894 SER C CA  1 
ATOM 21410 C C   . SER C 3 894 ? 223.038 -75.449 279.557 1.0 41.03997  ? 894 SER C C   894 SER C C   1 
ATOM 21411 O O   . SER C 3 894 ? 222.770 -74.262 279.365 1.0 41.03997  ? 894 SER C O   894 SER C O   1 
ATOM 21412 C CB  . SER C 3 894 ? 221.042 -76.940 279.395 1.0 41.03997  ? 894 SER C CB  894 SER C CB  1 
ATOM 21413 O OG  . SER C 3 894 ? 220.189 -77.837 280.082 1.0 41.03997  ? 894 SER C OG  894 SER C OG  1 
ATOM 21414 N N   . VAL C 3 895 ? 224.149 -76.027 279.108 1.0 39.11719  ? 895 VAL C N   895 VAL C N   1 
ATOM 21415 C CA  . VAL C 3 895 ? 225.174 -75.277 278.399 1.0 39.11719  ? 895 VAL C CA  895 VAL C CA  1 
ATOM 21416 C C   . VAL C 3 895 ? 225.442 -75.924 277.053 1.0 39.11719  ? 895 VAL C C   895 VAL C C   1 
ATOM 21417 O O   . VAL C 3 895 ? 224.878 -76.959 276.704 1.0 39.11719  ? 895 VAL C O   895 VAL C O   1 
ATOM 21418 C CB  . VAL C 3 895 ? 226.484 -75.173 279.190 1.0 39.11719  ? 895 VAL C CB  895 VAL C CB  1 
ATOM 21419 C CG1 . VAL C 3 895 ? 226.267 -74.417 280.473 1.0 39.11719  ? 895 VAL C CG1 895 VAL C CG1 1 
ATOM 21420 C CG2 . VAL C 3 895 ? 227.030 -76.553 279.447 1.0 39.11719  ? 895 VAL C CG2 895 VAL C CG2 1 
ATOM 21421 N N   . ALA C 3 896 ? 226.333 -75.285 276.302 1.0 39.18679  ? 896 ALA C N   896 ALA C N   1 
ATOM 21422 C CA  . ALA C 3 896 ? 226.852 -75.813 275.054 1.0 39.18679  ? 896 ALA C CA  896 ALA C CA  1 
ATOM 21423 C C   . ALA C 3 896 ? 228.213 -75.182 274.818 1.0 39.18679  ? 896 ALA C C   896 ALA C C   1 
ATOM 21424 O O   . ALA C 3 896 ? 228.313 -73.964 274.671 1.0 39.18679  ? 896 ALA C O   896 ALA C O   1 
ATOM 21425 C CB  . ALA C 3 896 ? 225.911 -75.520 273.884 1.0 39.18679  ? 896 ALA C CB  896 ALA C CB  1 
ATOM 21426 N N   . TYR C 3 897 ? 229.257 -76.006 274.815 1.0 41.80997  ? 897 TYR C N   897 TYR C N   1 
ATOM 21427 C CA  . TYR C 3 897 ? 230.617 -75.542 274.581 1.0 41.80997  ? 897 TYR C CA  897 TYR C CA  1 
ATOM 21428 C C   . TYR C 3 897 ? 230.880 -75.588 273.088 1.0 41.80997  ? 897 TYR C C   897 TYR C C   1 
ATOM 21429 O O   . TYR C 3 897 ? 230.358 -76.464 272.394 1.0 41.80997  ? 897 TYR C O   897 TYR C O   1 
ATOM 21430 C CB  . TYR C 3 897 ? 231.662 -76.404 275.293 1.0 41.80997  ? 897 TYR C CB  897 TYR C CB  1 
ATOM 21431 C CG  . TYR C 3 897 ? 231.668 -76.340 276.798 1.0 41.80997  ? 897 TYR C CG  897 TYR C CG  1 
ATOM 21432 C CD1 . TYR C 3 897 ? 230.960 -75.372 277.480 1.0 41.80997  ? 897 TYR C CD1 897 TYR C CD1 1 
ATOM 21433 C CD2 . TYR C 3 897 ? 232.403 -77.244 277.539 1.0 41.80997  ? 897 TYR C CD2 897 TYR C CD2 1 
ATOM 21434 C CE1 . TYR C 3 897 ? 230.967 -75.321 278.855 1.0 41.80997  ? 897 TYR C CE1 897 TYR C CE1 1 
ATOM 21435 C CE2 . TYR C 3 897 ? 232.418 -77.191 278.916 1.0 41.80997  ? 897 TYR C CE2 897 TYR C CE2 1 
ATOM 21436 C CZ  . TYR C 3 897 ? 231.699 -76.226 279.564 1.0 41.80997  ? 897 TYR C CZ  897 TYR C CZ  1 
ATOM 21437 O OH  . TYR C 3 897 ? 231.699 -76.160 280.931 1.0 41.80997  ? 897 TYR C OH  897 TYR C OH  1 
ATOM 21438 N N   . LEU C 3 898 ? 231.673 -74.644 272.593 1.0 41.15662  ? 898 LEU C N   898 LEU C N   1 
ATOM 21439 C CA  . LEU C 3 898 ? 232.120 -74.657 271.202 1.0 41.15662  ? 898 LEU C CA  898 LEU C CA  1 
ATOM 21440 C C   . LEU C 3 898 ? 233.430 -73.890 271.122 1.0 41.15662  ? 898 LEU C C   898 LEU C C   1 
ATOM 21441 O O   . LEU C 3 898 ? 233.447 -72.660 271.078 1.0 41.15662  ? 898 LEU C O   898 LEU C O   1 
ATOM 21442 C CB  . LEU C 3 898 ? 231.046 -74.082 270.274 1.0 41.15662  ? 898 LEU C CB  898 LEU C CB  1 
ATOM 21443 C CG  . LEU C 3 898 ? 231.151 -74.178 268.748 1.0 41.15662  ? 898 LEU C CG  898 LEU C CG  1 
ATOM 21444 C CD1 . LEU C 3 898 ? 231.915 -73.019 268.142 1.0 41.15662  ? 898 LEU C CD1 898 LEU C CD1 1 
ATOM 21445 C CD2 . LEU C 3 898 ? 231.795 -75.497 268.358 1.0 41.15662  ? 898 LEU C CD2 898 LEU C CD2 1 
ATOM 21446 N N   . ARG C 3 899 ? 234.531 -74.624 271.099 1.0 41.84689  ? 899 ARG C N   899 ARG C N   1 
ATOM 21447 C CA  . ARG C 3 899 ? 235.801 -74.071 270.663 1.0 41.84689  ? 899 ARG C CA  899 ARG C CA  1 
ATOM 21448 C C   . ARG C 3 899 ? 236.030 -74.559 269.242 1.0 41.84689  ? 899 ARG C C   899 ARG C C   1 
ATOM 21449 O O   . ARG C 3 899 ? 235.590 -75.656 268.889 1.0 41.84689  ? 899 ARG C O   899 ARG C O   1 
ATOM 21450 C CB  . ARG C 3 899 ? 236.938 -74.462 271.611 1.0 41.84689  ? 899 ARG C CB  899 ARG C CB  1 
ATOM 21451 C CG  . ARG C 3 899 ? 237.252 -75.940 271.751 1.0 41.84689  ? 899 ARG C CG  899 ARG C CG  1 
ATOM 21452 C CD  . ARG C 3 899 ? 238.460 -76.340 270.924 1.0 41.84689  ? 899 ARG C CD  899 ARG C CD  1 
ATOM 21453 N NE  . ARG C 3 899 ? 238.817 -77.741 271.112 1.0 41.84689  ? 899 ARG C NE  899 ARG C NE  1 
ATOM 21454 C CZ  . ARG C 3 899 ? 239.720 -78.174 271.985 1.0 41.84689  ? 899 ARG C CZ  899 ARG C CZ  1 
ATOM 21455 N NH1 . ARG C 3 899 ? 240.367 -77.317 272.760 1.0 41.84689  ? 899 ARG C NH1 899 ARG C NH1 1 
ATOM 21456 N NH2 . ARG C 3 899 ? 239.976 -79.469 272.080 1.0 41.84689  ? 899 ARG C NH2 899 ARG C NH2 1 
ATOM 21457 N N   . LEU C 3 900 ? 236.636 -73.720 268.413 1.0 40.94657  ? 900 LEU C N   900 LEU C N   1 
ATOM 21458 C CA  . LEU C 3 900 ? 237.066 -74.101 267.079 1.0 40.94657  ? 900 LEU C CA  900 LEU C CA  1 
ATOM 21459 C C   . LEU C 3 900 ? 238.287 -73.275 266.712 1.0 40.94657  ? 900 LEU C C   900 LEU C C   1 
ATOM 21460 O O   . LEU C 3 900 ? 238.428 -72.150 267.197 1.0 40.94657  ? 900 LEU C O   900 LEU C O   1 
ATOM 21461 C CB  . LEU C 3 900 ? 235.945 -73.924 266.035 1.0 40.94657  ? 900 LEU C CB  900 LEU C CB  1 
ATOM 21462 C CG  . LEU C 3 900 ? 235.183 -72.650 265.651 1.0 40.94657  ? 900 LEU C CG  900 LEU C CG  1 
ATOM 21463 C CD1 . LEU C 3 900 ? 235.922 -71.816 264.649 1.0 40.94657  ? 900 LEU C CD1 900 LEU C CD1 1 
ATOM 21464 C CD2 . LEU C 3 900 ? 233.870 -73.064 265.034 1.0 40.94657  ? 900 LEU C CD2 900 LEU C CD2 1 
ATOM 21465 N N   . PRO C 3 901 ? 239.185 -73.788 265.844 1.0 42.07431  ? 901 PRO C N   901 PRO C N   1 
ATOM 21466 C CA  . PRO C 3 901 ? 239.275 -74.950 264.939 1.0 42.07431  ? 901 PRO C CA  901 PRO C CA  1 
ATOM 21467 C C   . PRO C 3 901 ? 239.180 -76.367 265.523 1.0 42.07431  ? 901 PRO C C   901 PRO C C   1 
ATOM 21468 O O   . PRO C 3 901 ? 238.765 -77.269 264.798 1.0 42.07431  ? 901 PRO C O   901 PRO C O   1 
ATOM 21469 C CB  . PRO C 3 901 ? 240.660 -74.781 264.310 1.0 42.07431  ? 901 PRO C CB  901 PRO C CB  1 
ATOM 21470 C CG  . PRO C 3 901 ? 240.959 -73.363 264.424 1.0 42.07431  ? 901 PRO C CG  901 PRO C CG  1 
ATOM 21471 C CD  . PRO C 3 901 ? 240.373 -72.931 265.710 1.0 42.07431  ? 901 PRO C CD  901 PRO C CD  1 
ATOM 21472 N N   . PHE C 3 902 ? 239.544 -76.571 266.782 1.0 41.77717  ? 902 PHE C N   902 PHE C N   1 
ATOM 21473 C CA  . PHE C 3 902 ? 239.631 -77.916 267.337 1.0 41.77717  ? 902 PHE C CA  902 PHE C CA  1 
ATOM 21474 C C   . PHE C 3 902 ? 238.262 -78.316 267.892 1.0 41.77717  ? 902 PHE C C   902 PHE C C   1 
ATOM 21475 O O   . PHE C 3 902 ? 237.296 -77.564 267.756 1.0 41.77717  ? 902 PHE C O   902 PHE C O   1 
ATOM 21476 C CB  . PHE C 3 902 ? 240.767 -77.958 268.355 1.0 41.77717  ? 902 PHE C CB  902 PHE C CB  1 
ATOM 21477 C CG  . PHE C 3 902 ? 242.118 -77.762 267.741 1.0 41.77717  ? 902 PHE C CG  902 PHE C CG  1 
ATOM 21478 C CD1 . PHE C 3 902 ? 242.811 -78.837 267.220 1.0 41.77717  ? 902 PHE C CD1 902 PHE C CD1 1 
ATOM 21479 C CD2 . PHE C 3 902 ? 242.677 -76.502 267.636 1.0 41.77717  ? 902 PHE C CD2 902 PHE C CD2 1 
ATOM 21480 C CE1 . PHE C 3 902 ? 244.050 -78.658 266.629 1.0 41.77717  ? 902 PHE C CE1 902 PHE C CE1 1 
ATOM 21481 C CE2 . PHE C 3 902 ? 243.913 -76.321 267.051 1.0 41.77717  ? 902 PHE C CE2 902 PHE C CE2 1 
ATOM 21482 C CZ  . PHE C 3 902 ? 244.602 -77.399 266.547 1.0 41.77717  ? 902 PHE C CZ  902 PHE C CZ  1 
ATOM 21483 N N   . ALA C 3 903 ? 238.149 -79.494 268.508 1.0 43.21339  ? 903 ALA C N   903 ALA C N   1 
ATOM 21484 C CA  . ALA C 3 903 ? 236.848 -80.000 268.934 1.0 43.21339  ? 903 ALA C CA  903 ALA C CA  1 
ATOM 21485 C C   . ALA C 3 903 ? 237.032 -81.087 269.983 1.0 43.21339  ? 903 ALA C C   903 ALA C C   1 
ATOM 21486 O O   . ALA C 3 903 ? 238.103 -81.684 270.107 1.0 43.21339  ? 903 ALA C O   903 ALA C O   1 
ATOM 21487 C CB  . ALA C 3 903 ? 236.040 -80.548 267.750 1.0 43.21339  ? 903 ALA C CB  903 ALA C CB  1 
ATOM 21488 N N   . SER C 3 904 ? 235.958 -81.329 270.736 1.0 46.74029  ? 904 SER C N   904 SER C N   1 
ATOM 21489 C CA  . SER C 3 904 ? 235.812 -82.460 271.653 1.0 46.74029  ? 904 SER C CA  904 SER C CA  1 
ATOM 21490 C C   . SER C 3 904 ? 234.326 -82.617 271.967 1.0 46.74029  ? 904 SER C C   904 SER C C   1 
ATOM 21491 O O   . SER C 3 904 ? 233.466 -82.081 271.262 1.0 46.74029  ? 904 SER C O   904 SER C O   1 
ATOM 21492 C CB  . SER C 3 904 ? 236.630 -82.287 272.931 1.0 46.74029  ? 904 SER C CB  904 SER C CB  1 
ATOM 21493 O OG  . SER C 3 904 ? 238.018 -82.336 272.657 1.0 46.74029  ? 904 SER C OG  904 SER C OG  1 
ATOM 21494 N N   . GLY C 3 905 ? 234.030 -83.377 273.018 1.0 45.37785  ? 905 GLY C N   905 GLY C N   1 
ATOM 21495 C CA  . GLY C 3 905 ? 232.643 -83.553 273.421 1.0 45.37785  ? 905 GLY C CA  905 GLY C CA  1 
ATOM 21496 C C   . GLY C 3 905 ? 232.104 -82.313 274.113 1.0 45.37785  ? 905 GLY C C   905 GLY C C   1 
ATOM 21497 O O   . GLY C 3 905 ? 232.785 -81.690 274.930 1.0 45.37785  ? 905 GLY C O   905 GLY C O   1 
ATOM 21498 N N   . SER C 3 906 ? 230.860 -81.958 273.789 1.0 45.57395  ? 906 SER C N   906 SER C N   1 
ATOM 21499 C CA  . SER C 3 906 ? 230.288 -80.703 274.258 1.0 45.57395  ? 906 SER C CA  906 SER C CA  1 
ATOM 21500 C C   . SER C 3 906 ? 228.770 -80.742 274.187 1.0 45.57395  ? 906 SER C C   906 SER C C   1 
ATOM 21501 O O   . SER C 3 906 ? 228.199 -80.852 273.101 1.0 45.57395  ? 906 SER C O   906 SER C O   1 
ATOM 21502 C CB  . SER C 3 906 ? 230.794 -79.530 273.423 1.0 45.57395  ? 906 SER C CB  906 SER C CB  1 
ATOM 21503 O OG  . SER C 3 906 ? 230.282 -79.601 272.106 1.0 45.57395  ? 906 SER C OG  906 SER C OG  1 
ATOM 21504 N N   . ALA C 3 907 ? 228.127 -80.611 275.343 1.0 43.67464  ? 907 ALA C N   907 ALA C N   1 
ATOM 21505 C CA  . ALA C 3 907 ? 226.670 -80.601 275.425 1.0 43.67464  ? 907 ALA C CA  907 ALA C CA  1 
ATOM 21506 C C   . ALA C 3 907 ? 226.202 -79.874 276.678 1.0 43.67464  ? 907 ALA C C   907 ALA C C   1 
ATOM 21507 O O   . ALA C 3 907 ? 225.436 -80.419 277.473 1.0 43.67464  ? 907 ALA C O   907 ALA C O   1 
ATOM 21508 C CB  . ALA C 3 907 ? 226.124 -82.016 275.408 1.0 43.67464  ? 907 ALA C CB  907 ALA C CB  1 
# 
"""

h2="""data_atom
# 
_pdbx_database_status.entry_id                           atom 
_pdbx_database_status.ndb_tid                            ? 
_pdbx_database_status.status_code                        ? 
_pdbx_database_status.status_code_sf                     ? 
_pdbx_database_status.status_code_mr                     ? 
_pdbx_database_status.status_code_cs                     ? 
_pdbx_database_status.status_coordinates_in_NDB          ? 
_pdbx_database_status.recvd_deposit_form                 ? 
_pdbx_database_status.date_deposition_form               ? 
_pdbx_database_status.recvd_coordinates                  ? 
_pdbx_database_status.date_coordinates                   ? 
_pdbx_database_status.recvd_struct_fact                  ? 
_pdbx_database_status.date_struct_fact                   ? 
_pdbx_database_status.recvd_internal_approval            ? 
_pdbx_database_status.recvd_nmr_constraints              ? 
_pdbx_database_status.date_nmr_constraints               ? 
_pdbx_database_status.recvd_chemical_shifts              ? 
_pdbx_database_status.date_chemical_shifts               ? 
_pdbx_database_status.recvd_manuscript                   ? 
_pdbx_database_status.date_manuscript                    ? 
_pdbx_database_status.name_depositor                     ? 
_pdbx_database_status.pdbx_annotator                     ? 
_pdbx_database_status.recvd_author_approval              ? 
_pdbx_database_status.date_author_approval               ? 
_pdbx_database_status.recvd_initial_deposition_date      ? 
_pdbx_database_status.date_submitted                     ? 
_pdbx_database_status.author_approval_type               ? 
_pdbx_database_status.author_release_status_code         ? 
_pdbx_database_status.auth_req_rel_date                  ? 
_pdbx_database_status.date_revised                       ? 
_pdbx_database_status.revision_id                        ? 
_pdbx_database_status.replaced_entry_id                  ? 
_pdbx_database_status.revision_description               ? 
_pdbx_database_status.date_of_NDB_release                ? 
_pdbx_database_status.date_released_to_PDB               ? 
_pdbx_database_status.date_of_PDB_release                ? 
_pdbx_database_status.date_of_sf_release                 ? 
_pdbx_database_status.date_of_mr_release                 ? 
_pdbx_database_status.date_of_cs_release                 ? 
_pdbx_database_status.date_hold_coordinates              ? 
_pdbx_database_status.date_hold_struct_fact              ? 
_pdbx_database_status.hold_for_publication               ? 
_pdbx_database_status.date_hold_nmr_constraints          ? 
_pdbx_database_status.date_hold_chemical_shifts          ? 
_pdbx_database_status.dep_release_code_coordinates       ? 
_pdbx_database_status.dep_release_code_struct_fact       ? 
_pdbx_database_status.dep_release_code_nmr_constraints   ? 
_pdbx_database_status.dep_release_code_chemical_shifts   ? 
_pdbx_database_status.dep_release_code_sequence          ? 
_pdbx_database_status.pdb_date_of_author_approval        ? 
_pdbx_database_status.deposit_site                       ? 
_pdbx_database_status.process_site                       ? 
_pdbx_database_status.skip_PDB_REMARK                    ? 
_pdbx_database_status.SG_entry                           ? 
_pdbx_database_status.date_begin_deposition              ? 
_pdbx_database_status.date_author_release_request        ? 
_pdbx_database_status.date_begin_release_preparation     ? 
_pdbx_database_status.date_begin_processing              ? 
_pdbx_database_status.date_end_processing                ? 
_pdbx_database_status.pdb_format_compatible              Y 
_pdbx_database_status.title_suppression                  ? 
_pdbx_database_status.methods_development_category       ? 
# 
loop_
_entity_poly.entity_id 
_entity_poly.type 
_entity_poly.nstd_linkage 
_entity_poly.nstd_monomer 
_entity_poly.pdbx_seq_one_letter_code 
_entity_poly.pdbx_seq_one_letter_code_can 
_entity_poly.pdbx_sequence_evidence_code 
_entity_poly.pdbx_strand_id 
_entity_poly.pdbx_target_identifier 
1 "polypeptide(L)" no no 
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVVINQPTRSGISVAYLRLPFASGS
;
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVVINQPTRSGISVAYLRLPFASGS
;
"derived from coordinates" D ? 
2 "polypeptide(L)" no no 
;EPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFTL
NVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQV
SGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGTM
ATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYLL
ADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIGY
GNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVNP
FNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQIN
LYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGAT
QDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMAA
SYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVAN
WPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVFD
QVVINQPTRSGISVAYLRLPFASGSA
;
;EPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFTL
NVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQV
SGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGTM
ATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYLL
ADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIGY
GNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVNP
FNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQIN
LYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGAT
QDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMAA
SYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVAN
WPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVFD
QVVINQPTRSGISVAYLRLPFASGSA
;
"derived from coordinates" E ? 
3 "polypeptide(L)" no no 
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVINQPTRSGISVAYLRLPFASGSA
;
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVINQPTRSGISVAYLRLPFASGSA
;
"derived from coordinates" F ? 
# 
loop_
_entity_poly_seq.entity_id 
_entity_poly_seq.num 
_entity_poly_seq.mon_id 
_entity_poly_seq.hetero 
1 1   MET n 
1 2   GLU n 
1 3   PRO n 
1 4   GLN n 
1 5   ARG n 
1 6   GLU n 
1 7   PHE n 
1 8   PHE n 
1 9   HIS n 
1 10  ILE n 
1 11  ALA n 
1 12  GLY n 
1 13  ARG n 
1 14  SER n 
1 15  ALA n 
1 16  LYS n 
1 17  GLU n 
1 18  TYR n 
1 19  LEU n 
1 20  SER n 
1 21  GLU n 
1 22  ASN n 
1 23  LEU n 
1 24  VAL n 
1 25  GLN n 
1 26  PHE n 
1 27  ILE n 
1 28  GLN n 
1 29  ALA n 
1 30  THR n 
1 31  GLN n 
1 32  ASN n 
1 33  TYR n 
1 34  PHE n 
1 35  ASN n 
1 36  ILE n 
1 37  GLY n 
1 38  GLU n 
1 39  LYS n 
1 40  PHE n 
1 41  ARG n 
1 42  ASP n 
1 43  PRO n 
1 44  TYR n 
1 45  VAL n 
1 46  ALA n 
1 47  PRO n 
1 48  SER n 
1 49  ALA n 
1 50  GLY n 
1 51  VAL n 
1 52  THR n 
1 53  THR n 
1 54  ASP n 
1 55  ARG n 
1 56  SER n 
1 57  GLN n 
1 58  LYS n 
1 59  LEU n 
1 60  GLN n 
1 61  LEU n 
1 62  ARG n 
1 63  VAL n 
1 64  VAL n 
1 65  PRO n 
1 66  ILE n 
1 67  GLN n 
1 68  THR n 
1 69  GLU n 
1 70  ASP n 
1 71  ASN n 
1 72  VAL n 
1 73  ASN n 
1 74  TYR n 
1 75  TYR n 
1 76  LYS n 
1 77  ALA n 
1 78  ARG n 
1 79  PHE n 
1 80  THR n 
1 81  LEU n 
1 82  ASN n 
1 83  VAL n 
1 84  GLY n 
1 85  ASP n 
1 86  ASN n 
1 87  ARG n 
1 88  LEU n 
1 89  VAL n 
1 90  ASP n 
1 91  LEU n 
1 92  GLY n 
1 93  SER n 
1 94  SER n 
1 95  TYR n 
1 96  PHE n 
1 97  ASP n 
1 98  ILE n 
1 99  LYS n 
1 100 GLY n 
1 101 THR n 
1 102 LEU n 
1 103 ASP n 
1 104 ARG n 
1 105 GLY n 
1 106 PRO n 
1 107 SER n 
1 108 PHE n 
1 109 LYS n 
1 110 PRO n 
1 111 TYR n 
1 112 GLY n 
1 113 GLY n 
1 114 THR n 
1 115 ALA n 
1 116 TYR n 
1 117 ASN n 
1 118 PRO n 
1 119 LEU n 
1 120 ALA n 
1 121 PRO n 
1 122 LYS n 
1 123 SER n 
1 124 ALA n 
1 125 PRO n 
1 126 ILE n 
1 127 ASN n 
1 128 SER n 
1 129 ALA n 
1 130 PHE n 
1 131 THR n 
1 132 VAL n 
1 133 GLY n 
1 134 ASN n 
1 135 ASP n 
1 136 THR n 
1 137 HIS n 
1 138 PHE n 
1 139 VAL n 
1 140 ALA n 
1 141 GLN n 
1 142 LEU n 
1 143 PRO n 
1 144 GLN n 
1 145 THR n 
1 146 TYR n 
1 147 ALA n 
1 148 ALA n 
1 149 GLY n 
1 150 GLY n 
1 151 THR n 
1 152 GLY n 
1 153 VAL n 
1 154 THR n 
1 155 GLU n 
1 156 ALA n 
1 157 ILE n 
1 158 GLN n 
1 159 GLN n 
1 160 GLN n 
1 161 VAL n 
1 162 SER n 
1 163 GLY n 
1 164 VAL n 
1 165 ASP n 
1 166 PRO n 
1 167 ASN n 
1 168 PRO n 
1 169 GLN n 
1 170 VAL n 
1 171 GLY n 
1 172 GLN n 
1 173 PRO n 
1 174 ASN n 
1 175 TYR n 
1 176 ALA n 
1 177 GLY n 
1 178 PRO n 
1 179 VAL n 
1 180 VAL n 
1 181 VAL n 
1 182 ASN n 
1 183 THR n 
1 184 THR n 
1 185 ASN n 
1 186 ASN n 
1 187 ALA n 
1 188 GLY n 
1 189 LEU n 
1 190 GLY n 
1 191 ARG n 
1 192 ILE n 
1 193 VAL n 
1 194 SER n 
1 195 ALA n 
1 196 ASP n 
1 197 SER n 
1 198 GLU n 
1 199 GLY n 
1 200 GLN n 
1 201 GLN n 
1 202 PHE n 
1 203 PRO n 
1 204 CYS n 
1 205 TYR n 
1 206 GLY n 
1 207 ALA n 
1 208 TYR n 
1 209 ALA n 
1 210 PRO n 
1 211 PRO n 
1 212 GLN n 
1 213 SER n 
1 214 ALA n 
1 215 GLY n 
1 216 GLY n 
1 217 ASP n 
1 218 VAL n 
1 219 SER n 
1 220 THR n 
1 221 ALA n 
1 222 ALA n 
1 223 VAL n 
1 224 THR n 
1 225 LYS n 
1 226 THR n 
1 227 TYR n 
1 228 ILE n 
1 229 ASN n 
1 230 THR n 
1 231 THR n 
1 232 ASN n 
1 233 ASN n 
1 234 ASN n 
1 235 GLY n 
1 236 ARG n 
1 237 VAL n 
1 238 SER n 
1 239 GLY n 
1 240 THR n 
1 241 MET n 
1 242 ALA n 
1 243 THR n 
1 244 ASP n 
1 245 THR n 
1 246 ILE n 
1 247 THR n 
1 248 TRP n 
1 249 GLU n 
1 250 ASN n 
1 251 PRO n 
1 252 ASP n 
1 253 ALA n 
1 254 HIS n 
1 255 PHE n 
1 256 ALA n 
1 257 ASP n 
1 258 PHE n 
1 259 VAL n 
1 260 ASP n 
1 261 ASP n 
1 262 ARG n 
1 263 ARG n 
1 264 ALA n 
1 265 THR n 
1 266 ALA n 
1 267 ALA n 
1 268 GLY n 
1 269 ASN n 
1 270 ARG n 
1 271 PRO n 
1 272 ASN n 
1 273 TYR n 
1 274 ILE n 
1 275 GLY n 
1 276 PHE n 
1 277 ARG n 
1 278 ASP n 
1 279 ASN n 
1 280 PHE n 
1 281 ILE n 
1 282 GLY n 
1 283 MET n 
1 284 MET n 
1 285 TYR n 
1 286 TYR n 
1 287 ASN n 
1 288 SER n 
1 289 GLY n 
1 290 SER n 
1 291 ASN n 
1 292 THR n 
1 293 GLY n 
1 294 SER n 
1 295 PHE n 
1 296 SER n 
1 297 SER n 
1 298 GLN n 
1 299 THR n 
1 300 GLN n 
1 301 GLN n 
1 302 LEU n 
1 303 ASN n 
1 304 ILE n 
1 305 VAL n 
1 306 LEU n 
1 307 ASP n 
1 308 LEU n 
1 309 ASN n 
1 310 ASP n 
1 311 ARG n 
1 312 ASN n 
1 313 SER n 
1 314 GLU n 
1 315 LEU n 
1 316 SER n 
1 317 TYR n 
1 318 GLN n 
1 319 TYR n 
1 320 LEU n 
1 321 LEU n 
1 322 ALA n 
1 323 ASP n 
1 324 LEU n 
1 325 THR n 
1 326 SER n 
1 327 ARG n 
1 328 TRP n 
1 329 HIS n 
1 330 TYR n 
1 331 PHE n 
1 332 ALA n 
1 333 LEU n 
1 334 TRP n 
1 335 ASN n 
1 336 GLN n 
1 337 ALA n 
1 338 VAL n 
1 339 ASP n 
1 340 ASP n 
1 341 TYR n 
1 342 ASP n 
1 343 HIS n 
1 344 HIS n 
1 345 VAL n 
1 346 ARG n 
1 347 ILE n 
1 348 LEU n 
1 349 GLU n 
1 350 ASN n 
1 351 ASP n 
1 352 GLY n 
1 353 TYR n 
1 354 GLU n 
1 355 GLU n 
1 356 GLY n 
1 357 PRO n 
1 358 PRO n 
1 359 ASN n 
1 360 LEU n 
1 361 ALA n 
1 362 PHE n 
1 363 PRO n 
1 364 PRO n 
1 365 HIS n 
1 366 VAL n 
1 367 ILE n 
1 368 SER n 
1 369 ASN n 
1 370 PRO n 
1 371 PHE n 
1 372 ALA n 
1 373 PRO n 
1 374 ALA n 
1 375 ALA n 
1 376 VAL n 
1 377 GLY n 
1 378 THR n 
1 379 GLY n 
1 380 MET n 
1 381 THR n 
1 382 VAL n 
1 383 ASN n 
1 384 GLU n 
1 385 GLN n 
1 386 GLN n 
1 387 GLN n 
1 388 THR n 
1 389 ALA n 
1 390 ALA n 
1 391 VAL n 
1 392 THR n 
1 393 ALA n 
1 394 ASN n 
1 395 THR n 
1 396 VAL n 
1 397 ALA n 
1 398 LEU n 
1 399 ILE n 
1 400 GLY n 
1 401 TYR n 
1 402 GLY n 
1 403 ASN n 
1 404 ILE n 
1 405 PRO n 
1 406 ALA n 
1 407 VAL n 
1 408 GLU n 
1 409 MET n 
1 410 ASN n 
1 411 LEU n 
1 412 PRO n 
1 413 ALA n 
1 414 ASN n 
1 415 LEU n 
1 416 LYS n 
1 417 ARG n 
1 418 THR n 
1 419 PHE n 
1 420 LEU n 
1 421 TYR n 
1 422 SER n 
1 423 ASN n 
1 424 VAL n 
1 425 ALA n 
1 426 MET n 
1 427 TYR n 
1 428 LEU n 
1 429 PRO n 
1 430 ASP n 
1 431 THR n 
1 432 TYR n 
1 433 LYS n 
1 434 PHE n 
1 435 THR n 
1 436 PRO n 
1 437 ALA n 
1 438 ASN n 
1 439 VAL n 
1 440 ASP n 
1 441 LEU n 
1 442 PRO n 
1 443 GLU n 
1 444 ASN n 
1 445 HIS n 
1 446 LEU n 
1 447 SER n 
1 448 TYR n 
1 449 GLY n 
1 450 TYR n 
1 451 ILE n 
1 452 ASN n 
1 453 GLY n 
1 454 ARG n 
1 455 LEU n 
1 456 PRO n 
1 457 LEU n 
1 458 PRO n 
1 459 ASN n 
1 460 ILE n 
1 461 VAL n 
1 462 ASP n 
1 463 THR n 
1 464 TRP n 
1 465 THR n 
1 466 ASP n 
1 467 ILE n 
1 468 GLY n 
1 469 ALA n 
1 470 ARG n 
1 471 TRP n 
1 472 SER n 
1 473 LEU n 
1 474 ASP n 
1 475 VAL n 
1 476 MET n 
1 477 ASP n 
1 478 THR n 
1 479 VAL n 
1 480 ASN n 
1 481 PRO n 
1 482 PHE n 
1 483 ASN n 
1 484 HIS n 
1 485 HIS n 
1 486 ARG n 
1 487 ASN n 
1 488 THR n 
1 489 GLY n 
1 490 LEU n 
1 491 LYS n 
1 492 TYR n 
1 493 ARG n 
1 494 SER n 
1 495 GLN n 
1 496 LEU n 
1 497 LEU n 
1 498 GLY n 
1 499 ASN n 
1 500 GLY n 
1 501 ARG n 
1 502 TYR n 
1 503 CYS n 
1 504 ASP n 
1 505 PHE n 
1 506 HIS n 
1 507 ILE n 
1 508 GLN n 
1 509 VAL n 
1 510 PRO n 
1 511 GLN n 
1 512 LYS n 
1 513 PHE n 
1 514 PHE n 
1 515 ALA n 
1 516 ILE n 
1 517 LYS n 
1 518 ASN n 
1 519 LEU n 
1 520 LEU n 
1 521 LEU n 
1 522 LEU n 
1 523 PRO n 
1 524 GLY n 
1 525 THR n 
1 526 TYR n 
1 527 ASN n 
1 528 TYR n 
1 529 GLU n 
1 530 TRP n 
1 531 TYR n 
1 532 PHE n 
1 533 ARG n 
1 534 LYS n 
1 535 ASP n 
1 536 PRO n 
1 537 ASN n 
1 538 MET n 
1 539 VAL n 
1 540 LEU n 
1 541 GLN n 
1 542 SER n 
1 543 THR n 
1 544 LEU n 
1 545 GLY n 
1 546 ASN n 
1 547 ASP n 
1 548 LEU n 
1 549 ARG n 
1 550 ALA n 
1 551 ASP n 
1 552 GLY n 
1 553 ALA n 
1 554 SER n 
1 555 ILE n 
1 556 THR n 
1 557 TYR n 
1 558 THR n 
1 559 GLN n 
1 560 ILE n 
1 561 ASN n 
1 562 LEU n 
1 563 TYR n 
1 564 VAL n 
1 565 SER n 
1 566 PHE n 
1 567 PHE n 
1 568 PRO n 
1 569 MET n 
1 570 ASN n 
1 571 TYR n 
1 572 ASP n 
1 573 THR n 
1 574 GLN n 
1 575 SER n 
1 576 GLU n 
1 577 LEU n 
1 578 GLU n 
1 579 LEU n 
1 580 MET n 
1 581 LEU n 
1 582 ARG n 
1 583 ASN n 
1 584 ALA n 
1 585 THR n 
1 586 ASN n 
1 587 ASP n 
1 588 GLN n 
1 589 ASN n 
1 590 PHE n 
1 591 SER n 
1 592 ASP n 
1 593 TYR n 
1 594 LEU n 
1 595 GLY n 
1 596 ALA n 
1 597 VAL n 
1 598 ASN n 
1 599 ASN n 
1 600 LEU n 
1 601 TYR n 
1 602 GLN n 
1 603 ILE n 
1 604 PRO n 
1 605 ALA n 
1 606 GLY n 
1 607 SER n 
1 608 SER n 
1 609 THR n 
1 610 VAL n 
1 611 VAL n 
1 612 VAL n 
1 613 ASN n 
1 614 ILE n 
1 615 PRO n 
1 616 ASP n 
1 617 ARG n 
1 618 SER n 
1 619 TRP n 
1 620 GLY n 
1 621 ALA n 
1 622 PHE n 
1 623 ARG n 
1 624 GLY n 
1 625 TRP n 
1 626 SER n 
1 627 PHE n 
1 628 THR n 
1 629 ARG n 
1 630 LEU n 
1 631 LYS n 
1 632 VAL n 
1 633 SER n 
1 634 GLU n 
1 635 THR n 
1 636 PRO n 
1 637 ARG n 
1 638 ILE n 
1 639 GLY n 
1 640 ALA n 
1 641 THR n 
1 642 GLN n 
1 643 ASP n 
1 644 PRO n 
1 645 ASN n 
1 646 PHE n 
1 647 GLN n 
1 648 TYR n 
1 649 SER n 
1 650 GLY n 
1 651 SER n 
1 652 ILE n 
1 653 PRO n 
1 654 TYR n 
1 655 LEU n 
1 656 ASP n 
1 657 GLY n 
1 658 THR n 
1 659 PHE n 
1 660 TYR n 
1 661 LEU n 
1 662 SER n 
1 663 HIS n 
1 664 THR n 
1 665 PHE n 
1 666 GLN n 
1 667 ARG n 
1 668 CYS n 
1 669 SER n 
1 670 ILE n 
1 671 GLN n 
1 672 TRP n 
1 673 ASP n 
1 674 SER n 
1 675 SER n 
1 676 VAL n 
1 677 PRO n 
1 678 TRP n 
1 679 PRO n 
1 680 GLY n 
1 681 ASN n 
1 682 ASP n 
1 683 ARG n 
1 684 MET n 
1 685 LEU n 
1 686 THR n 
1 687 PRO n 
1 688 ASN n 
1 689 TRP n 
1 690 PHE n 
1 691 GLU n 
1 692 ILE n 
1 693 LYS n 
1 694 ARG n 
1 695 PRO n 
1 696 ILE n 
1 697 ASN n 
1 698 GLN n 
1 699 ASP n 
1 700 ALA n 
1 701 GLU n 
1 702 GLY n 
1 703 ASN n 
1 704 ASP n 
1 705 THR n 
1 706 MET n 
1 707 GLN n 
1 708 SER n 
1 709 ASN n 
1 710 LEU n 
1 711 THR n 
1 712 LYS n 
1 713 ASP n 
1 714 PHE n 
1 715 PHE n 
1 716 MET n 
1 717 VAL n 
1 718 GLN n 
1 719 MET n 
1 720 ALA n 
1 721 ALA n 
1 722 SER n 
1 723 TYR n 
1 724 ASN n 
1 725 GLN n 
1 726 GLY n 
1 727 TYR n 
1 728 GLN n 
1 729 GLY n 
1 730 PHE n 
1 731 ASN n 
1 732 TRP n 
1 733 PRO n 
1 734 ASN n 
1 735 CYS n 
1 736 THR n 
1 737 LYS n 
1 738 HIS n 
1 739 TYR n 
1 740 GLY n 
1 741 PHE n 
1 742 ILE n 
1 743 ASN n 
1 744 ASN n 
1 745 PHE n 
1 746 GLU n 
1 747 PRO n 
1 748 MET n 
1 749 SER n 
1 750 ARG n 
1 751 GLN n 
1 752 VAL n 
1 753 PRO n 
1 754 GLU n 
1 755 TYR n 
1 756 GLY n 
1 757 ALA n 
1 758 ASN n 
1 759 TYR n 
1 760 PRO n 
1 761 ASN n 
1 762 LEU n 
1 763 MET n 
1 764 ALA n 
1 765 ALA n 
1 766 TYR n 
1 767 LEU n 
1 768 ALA n 
1 769 ASN n 
1 770 PRO n 
1 771 GLN n 
1 772 THR n 
1 773 MET n 
1 774 PRO n 
1 775 ILE n 
1 776 TRP n 
1 777 ASN n 
1 778 ASN n 
1 779 CYS n 
1 780 GLY n 
1 781 PHE n 
1 782 GLN n 
1 783 GLN n 
1 784 LYS n 
1 785 THR n 
1 786 ALA n 
1 787 THR n 
1 788 ASN n 
1 789 VAL n 
1 790 LEU n 
1 791 LEU n 
1 792 GLU n 
1 793 ARG n 
1 794 CYS n 
1 795 GLY n 
1 796 HIS n 
1 797 PRO n 
1 798 TYR n 
1 799 VAL n 
1 800 ALA n 
1 801 ASN n 
1 802 TRP n 
1 803 PRO n 
1 804 TYR n 
1 805 PRO n 
1 806 LEU n 
1 807 SER n 
1 808 GLY n 
1 809 ARG n 
1 810 ASN n 
1 811 ALA n 
1 812 VAL n 
1 813 PRO n 
1 814 ASN n 
1 815 GLN n 
1 816 VAL n 
1 817 THR n 
1 818 GLU n 
1 819 ARG n 
1 820 LYS n 
1 821 PHE n 
1 822 LEU n 
1 823 VAL n 
1 824 ASP n 
1 825 ARG n 
1 826 TYR n 
1 827 LEU n 
1 828 TRP n 
1 829 GLN n 
1 830 ILE n 
1 831 PRO n 
1 832 PHE n 
1 833 SER n 
1 834 SER n 
1 835 ASN n 
1 836 PHE n 
1 837 LEU n 
1 838 ASN n 
1 839 MET n 
1 840 GLY n 
1 841 THR n 
1 842 LEU n 
1 843 THR n 
1 844 ASP n 
1 845 LEU n 
1 846 GLY n 
1 847 GLN n 
1 848 ASN n 
1 849 VAL n 
1 850 MET n 
1 851 TYR n 
1 852 ALA n 
1 853 ASN n 
1 854 SER n 
1 855 SER n 
1 856 HIS n 
1 857 SER n 
1 858 LEU n 
1 859 ASN n 
1 860 MET n 
1 861 GLN n 
1 862 PHE n 
1 863 THR n 
1 864 VAL n 
1 865 ASP n 
1 866 PRO n 
1 867 MET n 
1 868 THR n 
1 869 GLU n 
1 870 PRO n 
1 871 THR n 
1 872 TYR n 
1 873 LEU n 
1 874 MET n 
1 875 LEU n 
1 876 LEU n 
1 877 PHE n 
1 878 GLY n 
1 879 VAL n 
1 880 PHE n 
1 881 ASP n 
1 882 GLN n 
1 883 VAL n 
1 884 VAL n 
1 885 ILE n 
1 886 ASN n 
1 887 GLN n 
1 888 PRO n 
1 889 THR n 
1 890 ARG n 
1 891 SER n 
1 892 GLY n 
1 893 ILE n 
1 894 SER n 
1 895 VAL n 
1 896 ALA n 
1 897 TYR n 
1 898 LEU n 
1 899 ARG n 
1 900 LEU n 
1 901 PRO n 
1 902 PHE n 
1 903 ALA n 
1 904 SER n 
1 905 GLY n 
1 906 SER n 
2 1   GLU n 
2 2   PRO n 
2 3   GLN n 
2 4   ARG n 
2 5   GLU n 
2 6   PHE n 
2 7   PHE n 
2 8   HIS n 
2 9   ILE n 
2 10  ALA n 
2 11  GLY n 
2 12  ARG n 
2 13  SER n 
2 14  ALA n 
2 15  LYS n 
2 16  GLU n 
2 17  TYR n 
2 18  LEU n 
2 19  SER n 
2 20  GLU n 
2 21  ASN n 
2 22  LEU n 
2 23  VAL n 
2 24  GLN n 
2 25  PHE n 
2 26  ILE n 
2 27  GLN n 
2 28  ALA n 
2 29  THR n 
2 30  GLN n 
2 31  ASN n 
2 32  TYR n 
2 33  PHE n 
2 34  ASN n 
2 35  ILE n 
2 36  GLY n 
2 37  GLU n 
2 38  LYS n 
2 39  PHE n 
2 40  ARG n 
2 41  ASP n 
2 42  PRO n 
2 43  TYR n 
2 44  VAL n 
2 45  ALA n 
2 46  PRO n 
2 47  SER n 
2 48  ALA n 
2 49  GLY n 
2 50  VAL n 
2 51  THR n 
2 52  THR n 
2 53  ASP n 
2 54  ARG n 
2 55  SER n 
2 56  GLN n 
2 57  LYS n 
2 58  LEU n 
2 59  GLN n 
2 60  LEU n 
2 61  ARG n 
2 62  VAL n 
2 63  VAL n 
2 64  PRO n 
2 65  ILE n 
2 66  GLN n 
2 67  THR n 
2 68  GLU n 
2 69  ASP n 
2 70  ASN n 
2 71  VAL n 
2 72  ASN n 
2 73  TYR n 
2 74  TYR n 
2 75  LYS n 
2 76  ALA n 
2 77  ARG n 
2 78  PHE n 
2 79  THR n 
2 80  LEU n 
2 81  ASN n 
2 82  VAL n 
2 83  GLY n 
2 84  ASP n 
2 85  ASN n 
2 86  ARG n 
2 87  LEU n 
2 88  VAL n 
2 89  ASP n 
2 90  LEU n 
2 91  GLY n 
2 92  SER n 
2 93  SER n 
2 94  TYR n 
2 95  PHE n 
2 96  ASP n 
2 97  ILE n 
2 98  LYS n 
2 99  GLY n 
2 100 THR n 
2 101 LEU n 
2 102 ASP n 
2 103 ARG n 
2 104 GLY n 
2 105 PRO n 
2 106 SER n 
2 107 PHE n 
2 108 LYS n 
2 109 PRO n 
2 110 TYR n 
2 111 GLY n 
2 112 GLY n 
2 113 THR n 
2 114 ALA n 
2 115 TYR n 
2 116 ASN n 
2 117 PRO n 
2 118 LEU n 
2 119 ALA n 
2 120 PRO n 
2 121 LYS n 
2 122 SER n 
2 123 ALA n 
2 124 PRO n 
2 125 ILE n 
2 126 ASN n 
2 127 SER n 
2 128 ALA n 
2 129 PHE n 
2 130 THR n 
2 131 VAL n 
2 132 GLY n 
2 133 ASN n 
2 134 ASP n 
2 135 THR n 
2 136 HIS n 
2 137 PHE n 
2 138 VAL n 
2 139 ALA n 
2 140 GLN n 
2 141 LEU n 
2 142 PRO n 
2 143 GLN n 
2 144 THR n 
2 145 TYR n 
2 146 ALA n 
2 147 ALA n 
2 148 GLY n 
2 149 GLY n 
2 150 THR n 
2 151 GLY n 
2 152 VAL n 
2 153 THR n 
2 154 GLU n 
2 155 ALA n 
2 156 ILE n 
2 157 GLN n 
2 158 GLN n 
2 159 GLN n 
2 160 VAL n 
2 161 SER n 
2 162 GLY n 
2 163 VAL n 
2 164 ASP n 
2 165 PRO n 
2 166 ASN n 
2 167 PRO n 
2 168 GLN n 
2 169 VAL n 
2 170 GLY n 
2 171 GLN n 
2 172 PRO n 
2 173 ASN n 
2 174 TYR n 
2 175 ALA n 
2 176 GLY n 
2 177 PRO n 
2 178 VAL n 
2 179 VAL n 
2 180 VAL n 
2 181 ASN n 
2 182 THR n 
2 183 THR n 
2 184 ASN n 
2 185 ASN n 
2 186 ALA n 
2 187 GLY n 
2 188 LEU n 
2 189 GLY n 
2 190 ARG n 
2 191 ILE n 
2 192 VAL n 
2 193 SER n 
2 194 ALA n 
2 195 ASP n 
2 196 SER n 
2 197 GLU n 
2 198 GLY n 
2 199 GLN n 
2 200 GLN n 
2 201 PHE n 
2 202 PRO n 
2 203 CYS n 
2 204 TYR n 
2 205 GLY n 
2 206 ALA n 
2 207 TYR n 
2 208 ALA n 
2 209 PRO n 
2 210 PRO n 
2 211 GLN n 
2 212 SER n 
2 213 ALA n 
2 214 GLY n 
2 215 GLY n 
2 216 ASP n 
2 217 VAL n 
2 218 SER n 
2 219 THR n 
2 220 ALA n 
2 221 ALA n 
2 222 VAL n 
2 223 THR n 
2 224 LYS n 
2 225 THR n 
2 226 TYR n 
2 227 ILE n 
2 228 ASN n 
2 229 THR n 
2 230 THR n 
2 231 ASN n 
2 232 ASN n 
2 233 ASN n 
2 234 GLY n 
2 235 ARG n 
2 236 VAL n 
2 237 SER n 
2 238 GLY n 
2 239 THR n 
2 240 MET n 
2 241 ALA n 
2 242 THR n 
2 243 ASP n 
2 244 THR n 
2 245 ILE n 
2 246 THR n 
2 247 TRP n 
2 248 GLU n 
2 249 ASN n 
2 250 PRO n 
2 251 ASP n 
2 252 ALA n 
2 253 HIS n 
2 254 PHE n 
2 255 ALA n 
2 256 ASP n 
2 257 PHE n 
2 258 VAL n 
2 259 ASP n 
2 260 ASP n 
2 261 ARG n 
2 262 ARG n 
2 263 ALA n 
2 264 THR n 
2 265 ALA n 
2 266 ALA n 
2 267 GLY n 
2 268 ASN n 
2 269 ARG n 
2 270 PRO n 
2 271 ASN n 
2 272 TYR n 
2 273 ILE n 
2 274 GLY n 
2 275 PHE n 
2 276 ARG n 
2 277 ASP n 
2 278 ASN n 
2 279 PHE n 
2 280 ILE n 
2 281 GLY n 
2 282 MET n 
2 283 MET n 
2 284 TYR n 
2 285 TYR n 
2 286 ASN n 
2 287 SER n 
2 288 GLY n 
2 289 SER n 
2 290 ASN n 
2 291 THR n 
2 292 GLY n 
2 293 SER n 
2 294 PHE n 
2 295 SER n 
2 296 SER n 
2 297 GLN n 
2 298 THR n 
2 299 GLN n 
2 300 GLN n 
2 301 LEU n 
2 302 ASN n 
2 303 ILE n 
2 304 VAL n 
2 305 LEU n 
2 306 ASP n 
2 307 LEU n 
2 308 ASN n 
2 309 ASP n 
2 310 ARG n 
2 311 ASN n 
2 312 SER n 
2 313 GLU n 
2 314 LEU n 
2 315 SER n 
2 316 TYR n 
2 317 GLN n 
2 318 TYR n 
2 319 LEU n 
2 320 LEU n 
2 321 ALA n 
2 322 ASP n 
2 323 LEU n 
2 324 THR n 
2 325 SER n 
2 326 ARG n 
2 327 TRP n 
2 328 HIS n 
2 329 TYR n 
2 330 PHE n 
2 331 ALA n 
2 332 LEU n 
2 333 TRP n 
2 334 ASN n 
2 335 GLN n 
2 336 ALA n 
2 337 VAL n 
2 338 ASP n 
2 339 ASP n 
2 340 TYR n 
2 341 ASP n 
2 342 HIS n 
2 343 HIS n 
2 344 VAL n 
2 345 ARG n 
2 346 ILE n 
2 347 LEU n 
2 348 GLU n 
2 349 ASN n 
2 350 ASP n 
2 351 GLY n 
2 352 TYR n 
2 353 GLU n 
2 354 GLU n 
2 355 GLY n 
2 356 PRO n 
2 357 PRO n 
2 358 ASN n 
2 359 LEU n 
2 360 ALA n 
2 361 PHE n 
2 362 PRO n 
2 363 PRO n 
2 364 HIS n 
2 365 VAL n 
2 366 ILE n 
2 367 SER n 
2 368 ASN n 
2 369 PRO n 
2 370 PHE n 
2 371 ALA n 
2 372 PRO n 
2 373 ALA n 
2 374 ALA n 
2 375 VAL n 
2 376 GLY n 
2 377 THR n 
2 378 GLY n 
2 379 MET n 
2 380 THR n 
2 381 VAL n 
2 382 ASN n 
2 383 GLU n 
2 384 GLN n 
2 385 GLN n 
2 386 GLN n 
2 387 THR n 
2 388 ALA n 
2 389 ALA n 
2 390 VAL n 
2 391 THR n 
2 392 ALA n 
2 393 ASN n 
2 394 THR n 
2 395 VAL n 
2 396 ALA n 
2 397 LEU n 
2 398 ILE n 
2 399 GLY n 
2 400 TYR n 
2 401 GLY n 
2 402 ASN n 
2 403 ILE n 
2 404 PRO n 
2 405 ALA n 
2 406 VAL n 
2 407 GLU n 
2 408 MET n 
2 409 ASN n 
2 410 LEU n 
2 411 PRO n 
2 412 ALA n 
2 413 ASN n 
2 414 LEU n 
2 415 LYS n 
2 416 ARG n 
2 417 THR n 
2 418 PHE n 
2 419 LEU n 
2 420 TYR n 
2 421 SER n 
2 422 ASN n 
2 423 VAL n 
2 424 ALA n 
2 425 MET n 
2 426 TYR n 
2 427 LEU n 
2 428 PRO n 
2 429 ASP n 
2 430 THR n 
2 431 TYR n 
2 432 LYS n 
2 433 PHE n 
2 434 THR n 
2 435 PRO n 
2 436 ALA n 
2 437 ASN n 
2 438 VAL n 
2 439 ASP n 
2 440 LEU n 
2 441 PRO n 
2 442 GLU n 
2 443 ASN n 
2 444 HIS n 
2 445 LEU n 
2 446 SER n 
2 447 TYR n 
2 448 GLY n 
2 449 TYR n 
2 450 ILE n 
2 451 ASN n 
2 452 GLY n 
2 453 ARG n 
2 454 LEU n 
2 455 PRO n 
2 456 LEU n 
2 457 PRO n 
2 458 ASN n 
2 459 ILE n 
2 460 VAL n 
2 461 ASP n 
2 462 THR n 
2 463 TRP n 
2 464 THR n 
2 465 ASP n 
2 466 ILE n 
2 467 GLY n 
2 468 ALA n 
2 469 ARG n 
2 470 TRP n 
2 471 SER n 
2 472 LEU n 
2 473 ASP n 
2 474 VAL n 
2 475 MET n 
2 476 ASP n 
2 477 THR n 
2 478 VAL n 
2 479 ASN n 
2 480 PRO n 
2 481 PHE n 
2 482 ASN n 
2 483 HIS n 
2 484 HIS n 
2 485 ARG n 
2 486 ASN n 
2 487 THR n 
2 488 GLY n 
2 489 LEU n 
2 490 LYS n 
2 491 TYR n 
2 492 ARG n 
2 493 SER n 
2 494 GLN n 
2 495 LEU n 
2 496 LEU n 
2 497 GLY n 
2 498 ASN n 
2 499 GLY n 
2 500 ARG n 
2 501 TYR n 
2 502 CYS n 
2 503 ASP n 
2 504 PHE n 
2 505 HIS n 
2 506 ILE n 
2 507 GLN n 
2 508 VAL n 
2 509 PRO n 
2 510 GLN n 
2 511 LYS n 
2 512 PHE n 
2 513 PHE n 
2 514 ALA n 
2 515 ILE n 
2 516 LYS n 
2 517 ASN n 
2 518 LEU n 
2 519 LEU n 
2 520 LEU n 
2 521 LEU n 
2 522 PRO n 
2 523 GLY n 
2 524 THR n 
2 525 TYR n 
2 526 ASN n 
2 527 TYR n 
2 528 GLU n 
2 529 TRP n 
2 530 TYR n 
2 531 PHE n 
2 532 ARG n 
2 533 LYS n 
2 534 ASP n 
2 535 PRO n 
2 536 ASN n 
2 537 MET n 
2 538 VAL n 
2 539 LEU n 
2 540 GLN n 
2 541 SER n 
2 542 THR n 
2 543 LEU n 
2 544 GLY n 
2 545 ASN n 
2 546 ASP n 
2 547 LEU n 
2 548 ARG n 
2 549 ALA n 
2 550 ASP n 
2 551 GLY n 
2 552 ALA n 
2 553 SER n 
2 554 ILE n 
2 555 THR n 
2 556 TYR n 
2 557 THR n 
2 558 GLN n 
2 559 ILE n 
2 560 ASN n 
2 561 LEU n 
2 562 TYR n 
2 563 VAL n 
2 564 SER n 
2 565 PHE n 
2 566 PHE n 
2 567 PRO n 
2 568 MET n 
2 569 ASN n 
2 570 TYR n 
2 571 ASP n 
2 572 THR n 
2 573 GLN n 
2 574 SER n 
2 575 GLU n 
2 576 LEU n 
2 577 GLU n 
2 578 LEU n 
2 579 MET n 
2 580 LEU n 
2 581 ARG n 
2 582 ASN n 
2 583 ALA n 
2 584 THR n 
2 585 ASN n 
2 586 ASP n 
2 587 GLN n 
2 588 ASN n 
2 589 PHE n 
2 590 SER n 
2 591 ASP n 
2 592 TYR n 
2 593 LEU n 
2 594 GLY n 
2 595 ALA n 
2 596 VAL n 
2 597 ASN n 
2 598 ASN n 
2 599 LEU n 
2 600 TYR n 
2 601 GLN n 
2 602 ILE n 
2 603 PRO n 
2 604 ALA n 
2 605 GLY n 
2 606 SER n 
2 607 SER n 
2 608 THR n 
2 609 VAL n 
2 610 VAL n 
2 611 VAL n 
2 612 ASN n 
2 613 ILE n 
2 614 PRO n 
2 615 ASP n 
2 616 ARG n 
2 617 SER n 
2 618 TRP n 
2 619 GLY n 
2 620 ALA n 
2 621 PHE n 
2 622 ARG n 
2 623 GLY n 
2 624 TRP n 
2 625 SER n 
2 626 PHE n 
2 627 THR n 
2 628 ARG n 
2 629 LEU n 
2 630 LYS n 
2 631 VAL n 
2 632 SER n 
2 633 GLU n 
2 634 THR n 
2 635 PRO n 
2 636 ARG n 
2 637 ILE n 
2 638 GLY n 
2 639 ALA n 
2 640 THR n 
2 641 GLN n 
2 642 ASP n 
2 643 PRO n 
2 644 ASN n 
2 645 PHE n 
2 646 GLN n 
2 647 TYR n 
2 648 SER n 
2 649 GLY n 
2 650 SER n 
2 651 ILE n 
2 652 PRO n 
2 653 TYR n 
2 654 LEU n 
2 655 ASP n 
2 656 GLY n 
2 657 THR n 
2 658 PHE n 
2 659 TYR n 
2 660 LEU n 
2 661 SER n 
2 662 HIS n 
2 663 THR n 
2 664 PHE n 
2 665 GLN n 
2 666 ARG n 
2 667 CYS n 
2 668 SER n 
2 669 ILE n 
2 670 GLN n 
2 671 TRP n 
2 672 ASP n 
2 673 SER n 
2 674 SER n 
2 675 VAL n 
2 676 PRO n 
2 677 TRP n 
2 678 PRO n 
2 679 GLY n 
2 680 ASN n 
2 681 ASP n 
2 682 ARG n 
2 683 MET n 
2 684 LEU n 
2 685 THR n 
2 686 PRO n 
2 687 ASN n 
2 688 TRP n 
2 689 PHE n 
2 690 GLU n 
2 691 ILE n 
2 692 LYS n 
2 693 ARG n 
2 694 PRO n 
2 695 ILE n 
2 696 ASN n 
2 697 GLN n 
2 698 ASP n 
2 699 ALA n 
2 700 GLU n 
2 701 GLY n 
2 702 ASN n 
2 703 ASP n 
2 704 THR n 
2 705 MET n 
2 706 GLN n 
2 707 SER n 
2 708 ASN n 
2 709 LEU n 
2 710 THR n 
2 711 LYS n 
2 712 ASP n 
2 713 PHE n 
2 714 PHE n 
2 715 MET n 
2 716 VAL n 
2 717 GLN n 
2 718 MET n 
2 719 ALA n 
2 720 ALA n 
2 721 SER n 
2 722 TYR n 
2 723 ASN n 
2 724 GLN n 
2 725 GLY n 
2 726 TYR n 
2 727 GLN n 
2 728 GLY n 
2 729 PHE n 
2 730 ASN n 
2 731 TRP n 
2 732 PRO n 
2 733 ASN n 
2 734 CYS n 
2 735 THR n 
2 736 LYS n 
2 737 HIS n 
2 738 TYR n 
2 739 GLY n 
2 740 PHE n 
2 741 ILE n 
2 742 ASN n 
2 743 ASN n 
2 744 PHE n 
2 745 GLU n 
2 746 PRO n 
2 747 MET n 
2 748 SER n 
2 749 ARG n 
2 750 GLN n 
2 751 VAL n 
2 752 PRO n 
2 753 GLU n 
2 754 TYR n 
2 755 GLY n 
2 756 ALA n 
2 757 ASN n 
2 758 TYR n 
2 759 PRO n 
2 760 ASN n 
2 761 LEU n 
2 762 MET n 
2 763 ALA n 
2 764 ALA n 
2 765 TYR n 
2 766 LEU n 
2 767 ALA n 
2 768 ASN n 
2 769 PRO n 
2 770 GLN n 
2 771 THR n 
2 772 MET n 
2 773 PRO n 
2 774 ILE n 
2 775 TRP n 
2 776 ASN n 
2 777 ASN n 
2 778 CYS n 
2 779 GLY n 
2 780 PHE n 
2 781 GLN n 
2 782 GLN n 
2 783 LYS n 
2 784 THR n 
2 785 ALA n 
2 786 THR n 
2 787 ASN n 
2 788 VAL n 
2 789 LEU n 
2 790 LEU n 
2 791 GLU n 
2 792 ARG n 
2 793 CYS n 
2 794 GLY n 
2 795 HIS n 
2 796 PRO n 
2 797 TYR n 
2 798 VAL n 
2 799 ALA n 
2 800 ASN n 
2 801 TRP n 
2 802 PRO n 
2 803 TYR n 
2 804 PRO n 
2 805 LEU n 
2 806 SER n 
2 807 GLY n 
2 808 ARG n 
2 809 ASN n 
2 810 ALA n 
2 811 VAL n 
2 812 PRO n 
2 813 ASN n 
2 814 GLN n 
2 815 VAL n 
2 816 THR n 
2 817 GLU n 
2 818 ARG n 
2 819 LYS n 
2 820 PHE n 
2 821 LEU n 
2 822 VAL n 
2 823 ASP n 
2 824 ARG n 
2 825 TYR n 
2 826 LEU n 
2 827 TRP n 
2 828 GLN n 
2 829 ILE n 
2 830 PRO n 
2 831 PHE n 
2 832 SER n 
2 833 SER n 
2 834 ASN n 
2 835 PHE n 
2 836 LEU n 
2 837 ASN n 
2 838 MET n 
2 839 GLY n 
2 840 THR n 
2 841 LEU n 
2 842 THR n 
2 843 ASP n 
2 844 LEU n 
2 845 GLY n 
2 846 GLN n 
2 847 ASN n 
2 848 VAL n 
2 849 MET n 
2 850 TYR n 
2 851 ALA n 
2 852 ASN n 
2 853 SER n 
2 854 SER n 
2 855 HIS n 
2 856 SER n 
2 857 LEU n 
2 858 ASN n 
2 859 MET n 
2 860 GLN n 
2 861 PHE n 
2 862 THR n 
2 863 VAL n 
2 864 ASP n 
2 865 PRO n 
2 866 MET n 
2 867 THR n 
2 868 GLU n 
2 869 PRO n 
2 870 THR n 
2 871 TYR n 
2 872 LEU n 
2 873 MET n 
2 874 LEU n 
2 875 LEU n 
2 876 PHE n 
2 877 GLY n 
2 878 VAL n 
2 879 PHE n 
2 880 ASP n 
2 881 GLN n 
2 882 VAL n 
2 883 VAL n 
2 884 ILE n 
2 885 ASN n 
2 886 GLN n 
2 887 PRO n 
2 888 THR n 
2 889 ARG n 
2 890 SER n 
2 891 GLY n 
2 892 ILE n 
2 893 SER n 
2 894 VAL n 
2 895 ALA n 
2 896 TYR n 
2 897 LEU n 
2 898 ARG n 
2 899 LEU n 
2 900 PRO n 
2 901 PHE n 
2 902 ALA n 
2 903 SER n 
2 904 GLY n 
2 905 SER n 
2 906 ALA n 
3 1   MET n 
3 2   GLU n 
3 3   PRO n 
3 4   GLN n 
3 5   ARG n 
3 6   GLU n 
3 7   PHE n 
3 8   PHE n 
3 9   HIS n 
3 10  ILE n 
3 11  ALA n 
3 12  GLY n 
3 13  ARG n 
3 14  SER n 
3 15  ALA n 
3 16  LYS n 
3 17  GLU n 
3 18  TYR n 
3 19  LEU n 
3 20  SER n 
3 21  GLU n 
3 22  ASN n 
3 23  LEU n 
3 24  VAL n 
3 25  GLN n 
3 26  PHE n 
3 27  ILE n 
3 28  GLN n 
3 29  ALA n 
3 30  THR n 
3 31  GLN n 
3 32  ASN n 
3 33  TYR n 
3 34  PHE n 
3 35  ASN n 
3 36  ILE n 
3 37  GLY n 
3 38  GLU n 
3 39  LYS n 
3 40  PHE n 
3 41  ARG n 
3 42  ASP n 
3 43  PRO n 
3 44  TYR n 
3 45  VAL n 
3 46  ALA n 
3 47  PRO n 
3 48  SER n 
3 49  ALA n 
3 50  GLY n 
3 51  VAL n 
3 52  THR n 
3 53  THR n 
3 54  ASP n 
3 55  ARG n 
3 56  SER n 
3 57  GLN n 
3 58  LYS n 
3 59  LEU n 
3 60  GLN n 
3 61  LEU n 
3 62  ARG n 
3 63  VAL n 
3 64  VAL n 
3 65  PRO n 
3 66  ILE n 
3 67  GLN n 
3 68  THR n 
3 69  GLU n 
3 70  ASP n 
3 71  ASN n 
3 72  VAL n 
3 73  ASN n 
3 74  TYR n 
3 75  TYR n 
3 76  LYS n 
3 77  ALA n 
3 78  ARG n 
3 79  PHE n 
3 80  THR n 
3 81  LEU n 
3 82  ASN n 
3 83  VAL n 
3 84  GLY n 
3 85  ASP n 
3 86  ASN n 
3 87  ARG n 
3 88  LEU n 
3 89  VAL n 
3 90  ASP n 
3 91  LEU n 
3 92  GLY n 
3 93  SER n 
3 94  SER n 
3 95  TYR n 
3 96  PHE n 
3 97  ASP n 
3 98  ILE n 
3 99  LYS n 
3 100 GLY n 
3 101 THR n 
3 102 LEU n 
3 103 ASP n 
3 104 ARG n 
3 105 GLY n 
3 106 PRO n 
3 107 SER n 
3 108 PHE n 
3 109 LYS n 
3 110 PRO n 
3 111 TYR n 
3 112 GLY n 
3 113 GLY n 
3 114 THR n 
3 115 ALA n 
3 116 TYR n 
3 117 ASN n 
3 118 PRO n 
3 119 LEU n 
3 120 ALA n 
3 121 PRO n 
3 122 LYS n 
3 123 SER n 
3 124 ALA n 
3 125 PRO n 
3 126 ILE n 
3 127 ASN n 
3 128 SER n 
3 129 ALA n 
3 130 PHE n 
3 131 THR n 
3 132 VAL n 
3 133 GLY n 
3 134 ASN n 
3 135 ASP n 
3 136 THR n 
3 137 HIS n 
3 138 PHE n 
3 139 VAL n 
3 140 ALA n 
3 141 GLN n 
3 142 LEU n 
3 143 PRO n 
3 144 GLN n 
3 145 THR n 
3 146 TYR n 
3 147 ALA n 
3 148 ALA n 
3 149 GLY n 
3 150 GLY n 
3 151 THR n 
3 152 GLY n 
3 153 VAL n 
3 154 THR n 
3 155 GLU n 
3 156 ALA n 
3 157 ILE n 
3 158 GLN n 
3 159 GLN n 
3 160 GLN n 
3 161 VAL n 
3 162 SER n 
3 163 GLY n 
3 164 VAL n 
3 165 ASP n 
3 166 PRO n 
3 167 ASN n 
3 168 PRO n 
3 169 GLN n 
3 170 VAL n 
3 171 GLY n 
3 172 GLN n 
3 173 PRO n 
3 174 ASN n 
3 175 TYR n 
3 176 ALA n 
3 177 GLY n 
3 178 PRO n 
3 179 VAL n 
3 180 VAL n 
3 181 VAL n 
3 182 ASN n 
3 183 THR n 
3 184 THR n 
3 185 ASN n 
3 186 ASN n 
3 187 ALA n 
3 188 GLY n 
3 189 LEU n 
3 190 GLY n 
3 191 ARG n 
3 192 ILE n 
3 193 VAL n 
3 194 SER n 
3 195 ALA n 
3 196 ASP n 
3 197 SER n 
3 198 GLU n 
3 199 GLY n 
3 200 GLN n 
3 201 GLN n 
3 202 PHE n 
3 203 PRO n 
3 204 CYS n 
3 205 TYR n 
3 206 GLY n 
3 207 ALA n 
3 208 TYR n 
3 209 ALA n 
3 210 PRO n 
3 211 PRO n 
3 212 GLN n 
3 213 SER n 
3 214 ALA n 
3 215 GLY n 
3 216 GLY n 
3 217 ASP n 
3 218 VAL n 
3 219 SER n 
3 220 THR n 
3 221 ALA n 
3 222 ALA n 
3 223 VAL n 
3 224 THR n 
3 225 LYS n 
3 226 THR n 
3 227 TYR n 
3 228 ILE n 
3 229 ASN n 
3 230 THR n 
3 231 THR n 
3 232 ASN n 
3 233 ASN n 
3 234 ASN n 
3 235 GLY n 
3 236 ARG n 
3 237 VAL n 
3 238 SER n 
3 239 GLY n 
3 240 THR n 
3 241 MET n 
3 242 ALA n 
3 243 THR n 
3 244 ASP n 
3 245 THR n 
3 246 ILE n 
3 247 THR n 
3 248 TRP n 
3 249 GLU n 
3 250 ASN n 
3 251 PRO n 
3 252 ASP n 
3 253 ALA n 
3 254 HIS n 
3 255 PHE n 
3 256 ALA n 
3 257 ASP n 
3 258 PHE n 
3 259 VAL n 
3 260 ASP n 
3 261 ASP n 
3 262 ARG n 
3 263 ARG n 
3 264 ALA n 
3 265 THR n 
3 266 ALA n 
3 267 ALA n 
3 268 GLY n 
3 269 ASN n 
3 270 ARG n 
3 271 PRO n 
3 272 ASN n 
3 273 TYR n 
3 274 ILE n 
3 275 GLY n 
3 276 PHE n 
3 277 ARG n 
3 278 ASP n 
3 279 ASN n 
3 280 PHE n 
3 281 ILE n 
3 282 GLY n 
3 283 MET n 
3 284 MET n 
3 285 TYR n 
3 286 TYR n 
3 287 ASN n 
3 288 SER n 
3 289 GLY n 
3 290 SER n 
3 291 ASN n 
3 292 THR n 
3 293 GLY n 
3 294 SER n 
3 295 PHE n 
3 296 SER n 
3 297 SER n 
3 298 GLN n 
3 299 THR n 
3 300 GLN n 
3 301 GLN n 
3 302 LEU n 
3 303 ASN n 
3 304 ILE n 
3 305 VAL n 
3 306 LEU n 
3 307 ASP n 
3 308 LEU n 
3 309 ASN n 
3 310 ASP n 
3 311 ARG n 
3 312 ASN n 
3 313 SER n 
3 314 GLU n 
3 315 LEU n 
3 316 SER n 
3 317 TYR n 
3 318 GLN n 
3 319 TYR n 
3 320 LEU n 
3 321 LEU n 
3 322 ALA n 
3 323 ASP n 
3 324 LEU n 
3 325 THR n 
3 326 SER n 
3 327 ARG n 
3 328 TRP n 
3 329 HIS n 
3 330 TYR n 
3 331 PHE n 
3 332 ALA n 
3 333 LEU n 
3 334 TRP n 
3 335 ASN n 
3 336 GLN n 
3 337 ALA n 
3 338 VAL n 
3 339 ASP n 
3 340 ASP n 
3 341 TYR n 
3 342 ASP n 
3 343 HIS n 
3 344 HIS n 
3 345 VAL n 
3 346 ARG n 
3 347 ILE n 
3 348 LEU n 
3 349 GLU n 
3 350 ASN n 
3 351 ASP n 
3 352 GLY n 
3 353 TYR n 
3 354 GLU n 
3 355 GLU n 
3 356 GLY n 
3 357 PRO n 
3 358 PRO n 
3 359 ASN n 
3 360 LEU n 
3 361 ALA n 
3 362 PHE n 
3 363 PRO n 
3 364 PRO n 
3 365 HIS n 
3 366 VAL n 
3 367 ILE n 
3 368 SER n 
3 369 ASN n 
3 370 PRO n 
3 371 PHE n 
3 372 ALA n 
3 373 PRO n 
3 374 ALA n 
3 375 ALA n 
3 376 VAL n 
3 377 GLY n 
3 378 THR n 
3 379 GLY n 
3 380 MET n 
3 381 THR n 
3 382 VAL n 
3 383 ASN n 
3 384 GLU n 
3 385 GLN n 
3 386 GLN n 
3 387 GLN n 
3 388 THR n 
3 389 ALA n 
3 390 ALA n 
3 391 VAL n 
3 392 THR n 
3 393 ALA n 
3 394 ASN n 
3 395 THR n 
3 396 VAL n 
3 397 ALA n 
3 398 LEU n 
3 399 ILE n 
3 400 GLY n 
3 401 TYR n 
3 402 GLY n 
3 403 ASN n 
3 404 ILE n 
3 405 PRO n 
3 406 ALA n 
3 407 VAL n 
3 408 GLU n 
3 409 MET n 
3 410 ASN n 
3 411 LEU n 
3 412 PRO n 
3 413 ALA n 
3 414 ASN n 
3 415 LEU n 
3 416 LYS n 
3 417 ARG n 
3 418 THR n 
3 419 PHE n 
3 420 LEU n 
3 421 TYR n 
3 422 SER n 
3 423 ASN n 
3 424 VAL n 
3 425 ALA n 
3 426 MET n 
3 427 TYR n 
3 428 LEU n 
3 429 PRO n 
3 430 ASP n 
3 431 THR n 
3 432 TYR n 
3 433 LYS n 
3 434 PHE n 
3 435 THR n 
3 436 PRO n 
3 437 ALA n 
3 438 ASN n 
3 439 VAL n 
3 440 ASP n 
3 441 LEU n 
3 442 PRO n 
3 443 GLU n 
3 444 ASN n 
3 445 HIS n 
3 446 LEU n 
3 447 SER n 
3 448 TYR n 
3 449 GLY n 
3 450 TYR n 
3 451 ILE n 
3 452 ASN n 
3 453 GLY n 
3 454 ARG n 
3 455 LEU n 
3 456 PRO n 
3 457 LEU n 
3 458 PRO n 
3 459 ASN n 
3 460 ILE n 
3 461 VAL n 
3 462 ASP n 
3 463 THR n 
3 464 TRP n 
3 465 THR n 
3 466 ASP n 
3 467 ILE n 
3 468 GLY n 
3 469 ALA n 
3 470 ARG n 
3 471 TRP n 
3 472 SER n 
3 473 LEU n 
3 474 ASP n 
3 475 VAL n 
3 476 MET n 
3 477 ASP n 
3 478 THR n 
3 479 VAL n 
3 480 ASN n 
3 481 PRO n 
3 482 PHE n 
3 483 ASN n 
3 484 HIS n 
3 485 HIS n 
3 486 ARG n 
3 487 ASN n 
3 488 THR n 
3 489 GLY n 
3 490 LEU n 
3 491 LYS n 
3 492 TYR n 
3 493 ARG n 
3 494 SER n 
3 495 GLN n 
3 496 LEU n 
3 497 LEU n 
3 498 GLY n 
3 499 ASN n 
3 500 GLY n 
3 501 ARG n 
3 502 TYR n 
3 503 CYS n 
3 504 ASP n 
3 505 PHE n 
3 506 HIS n 
3 507 ILE n 
3 508 GLN n 
3 509 VAL n 
3 510 PRO n 
3 511 GLN n 
3 512 LYS n 
3 513 PHE n 
3 514 PHE n 
3 515 ALA n 
3 516 ILE n 
3 517 LYS n 
3 518 ASN n 
3 519 LEU n 
3 520 LEU n 
3 521 LEU n 
3 522 LEU n 
3 523 PRO n 
3 524 GLY n 
3 525 THR n 
3 526 TYR n 
3 527 ASN n 
3 528 TYR n 
3 529 GLU n 
3 530 TRP n 
3 531 TYR n 
3 532 PHE n 
3 533 ARG n 
3 534 LYS n 
3 535 ASP n 
3 536 PRO n 
3 537 ASN n 
3 538 MET n 
3 539 VAL n 
3 540 LEU n 
3 541 GLN n 
3 542 SER n 
3 543 THR n 
3 544 LEU n 
3 545 GLY n 
3 546 ASN n 
3 547 ASP n 
3 548 LEU n 
3 549 ARG n 
3 550 ALA n 
3 551 ASP n 
3 552 GLY n 
3 553 ALA n 
3 554 SER n 
3 555 ILE n 
3 556 THR n 
3 557 TYR n 
3 558 THR n 
3 559 GLN n 
3 560 ILE n 
3 561 ASN n 
3 562 LEU n 
3 563 TYR n 
3 564 VAL n 
3 565 SER n 
3 566 PHE n 
3 567 PHE n 
3 568 PRO n 
3 569 MET n 
3 570 ASN n 
3 571 TYR n 
3 572 ASP n 
3 573 THR n 
3 574 GLN n 
3 575 SER n 
3 576 GLU n 
3 577 LEU n 
3 578 GLU n 
3 579 LEU n 
3 580 MET n 
3 581 LEU n 
3 582 ARG n 
3 583 ASN n 
3 584 ALA n 
3 585 THR n 
3 586 ASN n 
3 587 ASP n 
3 588 GLN n 
3 589 ASN n 
3 590 PHE n 
3 591 SER n 
3 592 ASP n 
3 593 TYR n 
3 594 LEU n 
3 595 GLY n 
3 596 ALA n 
3 597 VAL n 
3 598 ASN n 
3 599 ASN n 
3 600 LEU n 
3 601 TYR n 
3 602 GLN n 
3 603 ILE n 
3 604 PRO n 
3 605 ALA n 
3 606 GLY n 
3 607 SER n 
3 608 SER n 
3 609 THR n 
3 610 VAL n 
3 611 VAL n 
3 612 VAL n 
3 613 ASN n 
3 614 ILE n 
3 615 PRO n 
3 616 ASP n 
3 617 ARG n 
3 618 SER n 
3 619 TRP n 
3 620 GLY n 
3 621 ALA n 
3 622 PHE n 
3 623 ARG n 
3 624 GLY n 
3 625 TRP n 
3 626 SER n 
3 627 PHE n 
3 628 THR n 
3 629 ARG n 
3 630 LEU n 
3 631 LYS n 
3 632 VAL n 
3 633 SER n 
3 634 GLU n 
3 635 THR n 
3 636 PRO n 
3 637 ARG n 
3 638 ILE n 
3 639 GLY n 
3 640 ALA n 
3 641 THR n 
3 642 GLN n 
3 643 ASP n 
3 644 PRO n 
3 645 ASN n 
3 646 PHE n 
3 647 GLN n 
3 648 TYR n 
3 649 SER n 
3 650 GLY n 
3 651 SER n 
3 652 ILE n 
3 653 PRO n 
3 654 TYR n 
3 655 LEU n 
3 656 ASP n 
3 657 GLY n 
3 658 THR n 
3 659 PHE n 
3 660 TYR n 
3 661 LEU n 
3 662 SER n 
3 663 HIS n 
3 664 THR n 
3 665 PHE n 
3 666 GLN n 
3 667 ARG n 
3 668 CYS n 
3 669 SER n 
3 670 ILE n 
3 671 GLN n 
3 672 TRP n 
3 673 ASP n 
3 674 SER n 
3 675 SER n 
3 676 VAL n 
3 677 PRO n 
3 678 TRP n 
3 679 PRO n 
3 680 GLY n 
3 681 ASN n 
3 682 ASP n 
3 683 ARG n 
3 684 MET n 
3 685 LEU n 
3 686 THR n 
3 687 PRO n 
3 688 ASN n 
3 689 TRP n 
3 690 PHE n 
3 691 GLU n 
3 692 ILE n 
3 693 LYS n 
3 694 ARG n 
3 695 PRO n 
3 696 ILE n 
3 697 ASN n 
3 698 GLN n 
3 699 ASP n 
3 700 ALA n 
3 701 GLU n 
3 702 GLY n 
3 703 ASN n 
3 704 ASP n 
3 705 THR n 
3 706 MET n 
3 707 GLN n 
3 708 SER n 
3 709 ASN n 
3 710 LEU n 
3 711 THR n 
3 712 LYS n 
3 713 ASP n 
3 714 PHE n 
3 715 PHE n 
3 716 MET n 
3 717 VAL n 
3 718 GLN n 
3 719 MET n 
3 720 ALA n 
3 721 ALA n 
3 722 SER n 
3 723 TYR n 
3 724 ASN n 
3 725 GLN n 
3 726 GLY n 
3 727 TYR n 
3 728 GLN n 
3 729 GLY n 
3 730 PHE n 
3 731 ASN n 
3 732 TRP n 
3 733 PRO n 
3 734 ASN n 
3 735 CYS n 
3 736 THR n 
3 737 LYS n 
3 738 HIS n 
3 739 TYR n 
3 740 GLY n 
3 741 PHE n 
3 742 ILE n 
3 743 ASN n 
3 744 ASN n 
3 745 PHE n 
3 746 GLU n 
3 747 PRO n 
3 748 MET n 
3 749 SER n 
3 750 ARG n 
3 751 GLN n 
3 752 VAL n 
3 753 PRO n 
3 754 GLU n 
3 755 TYR n 
3 756 GLY n 
3 757 ALA n 
3 758 ASN n 
3 759 TYR n 
3 760 PRO n 
3 761 ASN n 
3 762 LEU n 
3 763 MET n 
3 764 ALA n 
3 765 ALA n 
3 766 TYR n 
3 767 LEU n 
3 768 ALA n 
3 769 ASN n 
3 770 PRO n 
3 771 GLN n 
3 772 THR n 
3 773 MET n 
3 774 PRO n 
3 775 ILE n 
3 776 TRP n 
3 777 ASN n 
3 778 ASN n 
3 779 CYS n 
3 780 GLY n 
3 781 PHE n 
3 782 GLN n 
3 783 GLN n 
3 784 LYS n 
3 785 THR n 
3 786 ALA n 
3 787 THR n 
3 788 ASN n 
3 789 VAL n 
3 790 LEU n 
3 791 LEU n 
3 792 GLU n 
3 793 ARG n 
3 794 CYS n 
3 795 GLY n 
3 796 HIS n 
3 797 PRO n 
3 798 TYR n 
3 799 VAL n 
3 800 ALA n 
3 801 ASN n 
3 802 TRP n 
3 803 PRO n 
3 804 TYR n 
3 805 PRO n 
3 806 LEU n 
3 807 SER n 
3 808 GLY n 
3 809 ARG n 
3 810 ASN n 
3 811 ALA n 
3 812 VAL n 
3 813 PRO n 
3 814 ASN n 
3 815 GLN n 
3 816 VAL n 
3 817 THR n 
3 818 GLU n 
3 819 ARG n 
3 820 LYS n 
3 821 PHE n 
3 822 LEU n 
3 823 VAL n 
3 824 ASP n 
3 825 ARG n 
3 826 TYR n 
3 827 LEU n 
3 828 TRP n 
3 829 GLN n 
3 830 ILE n 
3 831 PRO n 
3 832 PHE n 
3 833 SER n 
3 834 SER n 
3 835 ASN n 
3 836 PHE n 
3 837 LEU n 
3 838 ASN n 
3 839 MET n 
3 840 GLY n 
3 841 THR n 
3 842 LEU n 
3 843 THR n 
3 844 ASP n 
3 845 LEU n 
3 846 GLY n 
3 847 GLN n 
3 848 ASN n 
3 849 VAL n 
3 850 MET n 
3 851 TYR n 
3 852 ALA n 
3 853 ASN n 
3 854 SER n 
3 855 SER n 
3 856 HIS n 
3 857 SER n 
3 858 LEU n 
3 859 ASN n 
3 860 MET n 
3 861 GLN n 
3 862 PHE n 
3 863 THR n 
3 864 VAL n 
3 865 ASP n 
3 866 PRO n 
3 867 MET n 
3 868 THR n 
3 869 GLU n 
3 870 PRO n 
3 871 THR n 
3 872 TYR n 
3 873 LEU n 
3 874 MET n 
3 875 LEU n 
3 876 LEU n 
3 877 PHE n 
3 878 GLY n 
3 879 VAL n 
3 880 PHE n 
3 881 ASP n 
3 882 GLN n 
3 883 VAL n 
3 884 ILE n 
3 885 ASN n 
3 886 GLN n 
3 887 PRO n 
3 888 THR n 
3 889 ARG n 
3 890 SER n 
3 891 GLY n 
3 892 ILE n 
3 893 SER n 
3 894 VAL n 
3 895 ALA n 
3 896 TYR n 
3 897 LEU n 
3 898 ARG n 
3 899 LEU n 
3 900 PRO n 
3 901 PHE n 
3 902 ALA n 
3 903 SER n 
3 904 GLY n 
3 905 SER n 
3 906 ALA n 
# 
loop_
_entity.id 
_entity.type 
_entity.src_method 
_entity.pdbx_description 
_entity.formula_weight 
_entity.pdbx_number_of_molecules 
_entity.pdbx_ec 
_entity.pdbx_mutation 
_entity.pdbx_fragment 
_entity.details 
1 polymer man ? 101618.672 1 ? ? ? ? 
2 polymer man ? 101558.555 1 ? ? ? ? 
3 polymer man ? 101590.617 1 ? ? ? ? 
# 
loop_
_pdbx_poly_seq_scheme.asym_id 
_pdbx_poly_seq_scheme.entity_id 
_pdbx_poly_seq_scheme.seq_id 
_pdbx_poly_seq_scheme.mon_id 
_pdbx_poly_seq_scheme.ndb_seq_num 
_pdbx_poly_seq_scheme.pdb_seq_num 
_pdbx_poly_seq_scheme.auth_seq_num 
_pdbx_poly_seq_scheme.pdb_mon_id 
_pdbx_poly_seq_scheme.auth_mon_id 
_pdbx_poly_seq_scheme.pdb_strand_id 
_pdbx_poly_seq_scheme.pdb_ins_code 
_pdbx_poly_seq_scheme.hetero 
A 1 1   MET 1   1   1   MET MET D . n 
A 1 2   GLU 2   2   2   GLU GLU D . n 
A 1 3   PRO 3   3   3   PRO PRO D . n 
A 1 4   GLN 4   4   4   GLN GLN D . n 
A 1 5   ARG 5   5   5   ARG ARG D . n 
A 1 6   GLU 6   6   6   GLU GLU D . n 
A 1 7   PHE 7   7   7   PHE PHE D . n 
A 1 8   PHE 8   8   8   PHE PHE D . n 
A 1 9   HIS 9   9   9   HIS HIS D . n 
A 1 10  ILE 10  10  10  ILE ILE D . n 
A 1 11  ALA 11  11  11  ALA ALA D . n 
A 1 12  GLY 12  12  12  GLY GLY D . n 
A 1 13  ARG 13  13  13  ARG ARG D . n 
A 1 14  SER 14  14  14  SER SER D . n 
A 1 15  ALA 15  15  15  ALA ALA D . n 
A 1 16  LYS 16  16  16  LYS LYS D . n 
A 1 17  GLU 17  17  17  GLU GLU D . n 
A 1 18  TYR 18  18  18  TYR TYR D . n 
A 1 19  LEU 19  19  19  LEU LEU D . n 
A 1 20  SER 20  20  20  SER SER D . n 
A 1 21  GLU 21  21  21  GLU GLU D . n 
A 1 22  ASN 22  22  22  ASN ASN D . n 
A 1 23  LEU 23  23  23  LEU LEU D . n 
A 1 24  VAL 24  24  24  VAL VAL D . n 
A 1 25  GLN 25  25  25  GLN GLN D . n 
A 1 26  PHE 26  26  26  PHE PHE D . n 
A 1 27  ILE 27  27  27  ILE ILE D . n 
A 1 28  GLN 28  28  28  GLN GLN D . n 
A 1 29  ALA 29  29  29  ALA ALA D . n 
A 1 30  THR 30  30  30  THR THR D . n 
A 1 31  GLN 31  31  31  GLN GLN D . n 
A 1 32  ASN 32  32  32  ASN ASN D . n 
A 1 33  TYR 33  33  33  TYR TYR D . n 
A 1 34  PHE 34  34  34  PHE PHE D . n 
A 1 35  ASN 35  35  35  ASN ASN D . n 
A 1 36  ILE 36  36  36  ILE ILE D . n 
A 1 37  GLY 37  37  37  GLY GLY D . n 
A 1 38  GLU 38  38  38  GLU GLU D . n 
A 1 39  LYS 39  39  39  LYS LYS D . n 
A 1 40  PHE 40  40  40  PHE PHE D . n 
A 1 41  ARG 41  41  41  ARG ARG D . n 
A 1 42  ASP 42  42  42  ASP ASP D . n 
A 1 43  PRO 43  43  43  PRO PRO D . n 
A 1 44  TYR 44  44  44  TYR TYR D . n 
A 1 45  VAL 45  45  45  VAL VAL D . n 
A 1 46  ALA 46  46  46  ALA ALA D . n 
A 1 47  PRO 47  47  47  PRO PRO D . n 
A 1 48  SER 48  48  48  SER SER D . n 
A 1 49  ALA 49  49  49  ALA ALA D . n 
A 1 50  GLY 50  50  50  GLY GLY D . n 
A 1 51  VAL 51  51  51  VAL VAL D . n 
A 1 52  THR 52  52  52  THR THR D . n 
A 1 53  THR 53  53  53  THR THR D . n 
A 1 54  ASP 54  54  54  ASP ASP D . n 
A 1 55  ARG 55  55  55  ARG ARG D . n 
A 1 56  SER 56  56  56  SER SER D . n 
A 1 57  GLN 57  57  57  GLN GLN D . n 
A 1 58  LYS 58  58  58  LYS LYS D . n 
A 1 59  LEU 59  59  59  LEU LEU D . n 
A 1 60  GLN 60  60  60  GLN GLN D . n 
A 1 61  LEU 61  61  61  LEU LEU D . n 
A 1 62  ARG 62  62  62  ARG ARG D . n 
A 1 63  VAL 63  63  63  VAL VAL D . n 
A 1 64  VAL 64  64  64  VAL VAL D . n 
A 1 65  PRO 65  65  65  PRO PRO D . n 
A 1 66  ILE 66  66  66  ILE ILE D . n 
A 1 67  GLN 67  67  67  GLN GLN D . n 
A 1 68  THR 68  68  68  THR THR D . n 
A 1 69  GLU 69  69  69  GLU GLU D . n 
A 1 70  ASP 70  70  70  ASP ASP D . n 
A 1 71  ASN 71  71  71  ASN ASN D . n 
A 1 72  VAL 72  72  72  VAL VAL D . n 
A 1 73  ASN 73  73  73  ASN ASN D . n 
A 1 74  TYR 74  74  74  TYR TYR D . n 
A 1 75  TYR 75  75  75  TYR TYR D . n 
A 1 76  LYS 76  76  76  LYS LYS D . n 
A 1 77  ALA 77  77  77  ALA ALA D . n 
A 1 78  ARG 78  78  78  ARG ARG D . n 
A 1 79  PHE 79  79  79  PHE PHE D . n 
A 1 80  THR 80  80  80  THR THR D . n 
A 1 81  LEU 81  81  81  LEU LEU D . n 
A 1 82  ASN 82  82  82  ASN ASN D . n 
A 1 83  VAL 83  83  83  VAL VAL D . n 
A 1 84  GLY 84  84  84  GLY GLY D . n 
A 1 85  ASP 85  85  85  ASP ASP D . n 
A 1 86  ASN 86  86  86  ASN ASN D . n 
A 1 87  ARG 87  87  87  ARG ARG D . n 
A 1 88  LEU 88  88  88  LEU LEU D . n 
A 1 89  VAL 89  89  89  VAL VAL D . n 
A 1 90  ASP 90  90  90  ASP ASP D . n 
A 1 91  LEU 91  91  91  LEU LEU D . n 
A 1 92  GLY 92  92  92  GLY GLY D . n 
A 1 93  SER 93  93  93  SER SER D . n 
A 1 94  SER 94  94  94  SER SER D . n 
A 1 95  TYR 95  95  95  TYR TYR D . n 
A 1 96  PHE 96  96  96  PHE PHE D . n 
A 1 97  ASP 97  97  97  ASP ASP D . n 
A 1 98  ILE 98  98  98  ILE ILE D . n 
A 1 99  LYS 99  99  99  LYS LYS D . n 
A 1 100 GLY 100 100 100 GLY GLY D . n 
A 1 101 THR 101 101 101 THR THR D . n 
A 1 102 LEU 102 102 102 LEU LEU D . n 
A 1 103 ASP 103 103 103 ASP ASP D . n 
A 1 104 ARG 104 104 104 ARG ARG D . n 
A 1 105 GLY 105 105 105 GLY GLY D . n 
A 1 106 PRO 106 106 106 PRO PRO D . n 
A 1 107 SER 107 107 107 SER SER D . n 
A 1 108 PHE 108 108 108 PHE PHE D . n 
A 1 109 LYS 109 109 109 LYS LYS D . n 
A 1 110 PRO 110 110 110 PRO PRO D . n 
A 1 111 TYR 111 111 111 TYR TYR D . n 
A 1 112 GLY 112 112 112 GLY GLY D . n 
A 1 113 GLY 113 113 113 GLY GLY D . n 
A 1 114 THR 114 114 114 THR THR D . n 
A 1 115 ALA 115 115 115 ALA ALA D . n 
A 1 116 TYR 116 116 116 TYR TYR D . n 
A 1 117 ASN 117 117 117 ASN ASN D . n 
A 1 118 PRO 118 118 118 PRO PRO D . n 
A 1 119 LEU 119 119 119 LEU LEU D . n 
A 1 120 ALA 120 120 120 ALA ALA D . n 
A 1 121 PRO 121 121 121 PRO PRO D . n 
A 1 122 LYS 122 122 122 LYS LYS D . n 
A 1 123 SER 123 123 123 SER SER D . n 
A 1 124 ALA 124 124 124 ALA ALA D . n 
A 1 125 PRO 125 125 125 PRO PRO D . n 
A 1 126 ILE 126 126 126 ILE ILE D . n 
A 1 127 ASN 127 127 127 ASN ASN D . n 
A 1 128 SER 128 128 128 SER SER D . n 
A 1 129 ALA 129 129 129 ALA ALA D . n 
A 1 130 PHE 130 130 130 PHE PHE D . n 
A 1 131 THR 131 131 131 THR THR D . n 
A 1 132 VAL 132 132 132 VAL VAL D . n 
A 1 133 GLY 133 133 133 GLY GLY D . n 
A 1 134 ASN 134 134 134 ASN ASN D . n 
A 1 135 ASP 135 135 135 ASP ASP D . n 
A 1 136 THR 136 136 136 THR THR D . n 
A 1 137 HIS 137 137 137 HIS HIS D . n 
A 1 138 PHE 138 138 138 PHE PHE D . n 
A 1 139 VAL 139 139 139 VAL VAL D . n 
A 1 140 ALA 140 140 140 ALA ALA D . n 
A 1 141 GLN 141 141 141 GLN GLN D . n 
A 1 142 LEU 142 142 142 LEU LEU D . n 
A 1 143 PRO 143 143 143 PRO PRO D . n 
A 1 144 GLN 144 144 144 GLN GLN D . n 
A 1 145 THR 145 145 145 THR THR D . n 
A 1 146 TYR 146 146 146 TYR TYR D . n 
A 1 147 ALA 147 147 147 ALA ALA D . n 
A 1 148 ALA 148 148 148 ALA ALA D . n 
A 1 149 GLY 149 149 149 GLY GLY D . n 
A 1 150 GLY 150 150 150 GLY GLY D . n 
A 1 151 THR 151 151 151 THR THR D . n 
A 1 152 GLY 152 152 152 GLY GLY D . n 
A 1 153 VAL 153 153 153 VAL VAL D . n 
A 1 154 THR 154 154 154 THR THR D . n 
A 1 155 GLU 155 155 155 GLU GLU D . n 
A 1 156 ALA 156 156 156 ALA ALA D . n 
A 1 157 ILE 157 157 157 ILE ILE D . n 
A 1 158 GLN 158 158 158 GLN GLN D . n 
A 1 159 GLN 159 159 159 GLN GLN D . n 
A 1 160 GLN 160 160 160 GLN GLN D . n 
A 1 161 VAL 161 161 161 VAL VAL D . n 
A 1 162 SER 162 162 162 SER SER D . n 
A 1 163 GLY 163 163 163 GLY GLY D . n 
A 1 164 VAL 164 164 164 VAL VAL D . n 
A 1 165 ASP 165 165 165 ASP ASP D . n 
A 1 166 PRO 166 166 166 PRO PRO D . n 
A 1 167 ASN 167 167 167 ASN ASN D . n 
A 1 168 PRO 168 168 168 PRO PRO D . n 
A 1 169 GLN 169 169 169 GLN GLN D . n 
A 1 170 VAL 170 170 170 VAL VAL D . n 
A 1 171 GLY 171 171 171 GLY GLY D . n 
A 1 172 GLN 172 172 172 GLN GLN D . n 
A 1 173 PRO 173 173 173 PRO PRO D . n 
A 1 174 ASN 174 174 174 ASN ASN D . n 
A 1 175 TYR 175 175 175 TYR TYR D . n 
A 1 176 ALA 176 176 176 ALA ALA D . n 
A 1 177 GLY 177 177 177 GLY GLY D . n 
A 1 178 PRO 178 178 178 PRO PRO D . n 
A 1 179 VAL 179 179 179 VAL VAL D . n 
A 1 180 VAL 180 180 180 VAL VAL D . n 
A 1 181 VAL 181 181 181 VAL VAL D . n 
A 1 182 ASN 182 182 182 ASN ASN D . n 
A 1 183 THR 183 183 183 THR THR D . n 
A 1 184 THR 184 184 184 THR THR D . n 
A 1 185 ASN 185 185 185 ASN ASN D . n 
A 1 186 ASN 186 186 186 ASN ASN D . n 
A 1 187 ALA 187 187 187 ALA ALA D . n 
A 1 188 GLY 188 188 188 GLY GLY D . n 
A 1 189 LEU 189 189 189 LEU LEU D . n 
A 1 190 GLY 190 190 190 GLY GLY D . n 
A 1 191 ARG 191 191 191 ARG ARG D . n 
A 1 192 ILE 192 192 192 ILE ILE D . n 
A 1 193 VAL 193 193 193 VAL VAL D . n 
A 1 194 SER 194 194 194 SER SER D . n 
A 1 195 ALA 195 195 195 ALA ALA D . n 
A 1 196 ASP 196 196 196 ASP ASP D . n 
A 1 197 SER 197 197 197 SER SER D . n 
A 1 198 GLU 198 198 198 GLU GLU D . n 
A 1 199 GLY 199 199 199 GLY GLY D . n 
A 1 200 GLN 200 200 200 GLN GLN D . n 
A 1 201 GLN 201 201 201 GLN GLN D . n 
A 1 202 PHE 202 202 202 PHE PHE D . n 
A 1 203 PRO 203 203 203 PRO PRO D . n 
A 1 204 CYS 204 204 204 CYS CYS D . n 
A 1 205 TYR 205 205 205 TYR TYR D . n 
A 1 206 GLY 206 206 206 GLY GLY D . n 
A 1 207 ALA 207 207 207 ALA ALA D . n 
A 1 208 TYR 208 208 208 TYR TYR D . n 
A 1 209 ALA 209 209 209 ALA ALA D . n 
A 1 210 PRO 210 210 210 PRO PRO D . n 
A 1 211 PRO 211 211 211 PRO PRO D . n 
A 1 212 GLN 212 212 212 GLN GLN D . n 
A 1 213 SER 213 213 213 SER SER D . n 
A 1 214 ALA 214 214 214 ALA ALA D . n 
A 1 215 GLY 215 215 215 GLY GLY D . n 
A 1 216 GLY 216 216 216 GLY GLY D . n 
A 1 217 ASP 217 217 217 ASP ASP D . n 
A 1 218 VAL 218 218 218 VAL VAL D . n 
A 1 219 SER 219 219 219 SER SER D . n 
A 1 220 THR 220 220 220 THR THR D . n 
A 1 221 ALA 221 221 221 ALA ALA D . n 
A 1 222 ALA 222 222 222 ALA ALA D . n 
A 1 223 VAL 223 223 223 VAL VAL D . n 
A 1 224 THR 224 224 224 THR THR D . n 
A 1 225 LYS 225 225 225 LYS LYS D . n 
A 1 226 THR 226 226 226 THR THR D . n 
A 1 227 TYR 227 227 227 TYR TYR D . n 
A 1 228 ILE 228 228 228 ILE ILE D . n 
A 1 229 ASN 229 229 229 ASN ASN D . n 
A 1 230 THR 230 230 230 THR THR D . n 
A 1 231 THR 231 231 231 THR THR D . n 
A 1 232 ASN 232 232 232 ASN ASN D . n 
A 1 233 ASN 233 233 233 ASN ASN D . n 
A 1 234 ASN 234 234 234 ASN ASN D . n 
A 1 235 GLY 235 235 235 GLY GLY D . n 
A 1 236 ARG 236 236 236 ARG ARG D . n 
A 1 237 VAL 237 237 237 VAL VAL D . n 
A 1 238 SER 238 238 238 SER SER D . n 
A 1 239 GLY 239 239 239 GLY GLY D . n 
A 1 240 THR 240 240 240 THR THR D . n 
A 1 241 MET 241 241 241 MET MET D . n 
A 1 242 ALA 242 242 242 ALA ALA D . n 
A 1 243 THR 243 243 243 THR THR D . n 
A 1 244 ASP 244 244 244 ASP ASP D . n 
A 1 245 THR 245 245 245 THR THR D . n 
A 1 246 ILE 246 246 246 ILE ILE D . n 
A 1 247 THR 247 247 247 THR THR D . n 
A 1 248 TRP 248 248 248 TRP TRP D . n 
A 1 249 GLU 249 249 249 GLU GLU D . n 
A 1 250 ASN 250 250 250 ASN ASN D . n 
A 1 251 PRO 251 251 251 PRO PRO D . n 
A 1 252 ASP 252 252 252 ASP ASP D . n 
A 1 253 ALA 253 253 253 ALA ALA D . n 
A 1 254 HIS 254 254 254 HIS HIS D . n 
A 1 255 PHE 255 255 255 PHE PHE D . n 
A 1 256 ALA 256 256 256 ALA ALA D . n 
A 1 257 ASP 257 257 257 ASP ASP D . n 
A 1 258 PHE 258 258 258 PHE PHE D . n 
A 1 259 VAL 259 259 259 VAL VAL D . n 
A 1 260 ASP 260 260 260 ASP ASP D . n 
A 1 261 ASP 261 261 261 ASP ASP D . n 
A 1 262 ARG 262 262 262 ARG ARG D . n 
A 1 263 ARG 263 263 263 ARG ARG D . n 
A 1 264 ALA 264 264 264 ALA ALA D . n 
A 1 265 THR 265 265 265 THR THR D . n 
A 1 266 ALA 266 266 266 ALA ALA D . n 
A 1 267 ALA 267 267 267 ALA ALA D . n 
A 1 268 GLY 268 268 268 GLY GLY D . n 
A 1 269 ASN 269 269 269 ASN ASN D . n 
A 1 270 ARG 270 270 270 ARG ARG D . n 
A 1 271 PRO 271 271 271 PRO PRO D . n 
A 1 272 ASN 272 272 272 ASN ASN D . n 
A 1 273 TYR 273 273 273 TYR TYR D . n 
A 1 274 ILE 274 274 274 ILE ILE D . n 
A 1 275 GLY 275 275 275 GLY GLY D . n 
A 1 276 PHE 276 276 276 PHE PHE D . n 
A 1 277 ARG 277 277 277 ARG ARG D . n 
A 1 278 ASP 278 278 278 ASP ASP D . n 
A 1 279 ASN 279 279 279 ASN ASN D . n 
A 1 280 PHE 280 280 280 PHE PHE D . n 
A 1 281 ILE 281 281 281 ILE ILE D . n 
A 1 282 GLY 282 282 282 GLY GLY D . n 
A 1 283 MET 283 283 283 MET MET D . n 
A 1 284 MET 284 284 284 MET MET D . n 
A 1 285 TYR 285 285 285 TYR TYR D . n 
A 1 286 TYR 286 286 286 TYR TYR D . n 
A 1 287 ASN 287 287 287 ASN ASN D . n 
A 1 288 SER 288 288 288 SER SER D . n 
A 1 289 GLY 289 289 289 GLY GLY D . n 
A 1 290 SER 290 290 290 SER SER D . n 
A 1 291 ASN 291 291 291 ASN ASN D . n 
A 1 292 THR 292 292 292 THR THR D . n 
A 1 293 GLY 293 293 293 GLY GLY D . n 
A 1 294 SER 294 294 294 SER SER D . n 
A 1 295 PHE 295 295 295 PHE PHE D . n 
A 1 296 SER 296 296 296 SER SER D . n 
A 1 297 SER 297 297 297 SER SER D . n 
A 1 298 GLN 298 298 298 GLN GLN D . n 
A 1 299 THR 299 299 299 THR THR D . n 
A 1 300 GLN 300 300 300 GLN GLN D . n 
A 1 301 GLN 301 301 301 GLN GLN D . n 
A 1 302 LEU 302 302 302 LEU LEU D . n 
A 1 303 ASN 303 303 303 ASN ASN D . n 
A 1 304 ILE 304 304 304 ILE ILE D . n 
A 1 305 VAL 305 305 305 VAL VAL D . n 
A 1 306 LEU 306 306 306 LEU LEU D . n 
A 1 307 ASP 307 307 307 ASP ASP D . n 
A 1 308 LEU 308 308 308 LEU LEU D . n 
A 1 309 ASN 309 309 309 ASN ASN D . n 
A 1 310 ASP 310 310 310 ASP ASP D . n 
A 1 311 ARG 311 311 311 ARG ARG D . n 
A 1 312 ASN 312 312 312 ASN ASN D . n 
A 1 313 SER 313 313 313 SER SER D . n 
A 1 314 GLU 314 314 314 GLU GLU D . n 
A 1 315 LEU 315 315 315 LEU LEU D . n 
A 1 316 SER 316 316 316 SER SER D . n 
A 1 317 TYR 317 317 317 TYR TYR D . n 
A 1 318 GLN 318 318 318 GLN GLN D . n 
A 1 319 TYR 319 319 319 TYR TYR D . n 
A 1 320 LEU 320 320 320 LEU LEU D . n 
A 1 321 LEU 321 321 321 LEU LEU D . n 
A 1 322 ALA 322 322 322 ALA ALA D . n 
A 1 323 ASP 323 323 323 ASP ASP D . n 
A 1 324 LEU 324 324 324 LEU LEU D . n 
A 1 325 THR 325 325 325 THR THR D . n 
A 1 326 SER 326 326 326 SER SER D . n 
A 1 327 ARG 327 327 327 ARG ARG D . n 
A 1 328 TRP 328 328 328 TRP TRP D . n 
A 1 329 HIS 329 329 329 HIS HIS D . n 
A 1 330 TYR 330 330 330 TYR TYR D . n 
A 1 331 PHE 331 331 331 PHE PHE D . n 
A 1 332 ALA 332 332 332 ALA ALA D . n 
A 1 333 LEU 333 333 333 LEU LEU D . n 
A 1 334 TRP 334 334 334 TRP TRP D . n 
A 1 335 ASN 335 335 335 ASN ASN D . n 
A 1 336 GLN 336 336 336 GLN GLN D . n 
A 1 337 ALA 337 337 337 ALA ALA D . n 
A 1 338 VAL 338 338 338 VAL VAL D . n 
A 1 339 ASP 339 339 339 ASP ASP D . n 
A 1 340 ASP 340 340 340 ASP ASP D . n 
A 1 341 TYR 341 341 341 TYR TYR D . n 
A 1 342 ASP 342 342 342 ASP ASP D . n 
A 1 343 HIS 343 343 343 HIS HIS D . n 
A 1 344 HIS 344 344 344 HIS HIS D . n 
A 1 345 VAL 345 345 345 VAL VAL D . n 
A 1 346 ARG 346 346 346 ARG ARG D . n 
A 1 347 ILE 347 347 347 ILE ILE D . n 
A 1 348 LEU 348 348 348 LEU LEU D . n 
A 1 349 GLU 349 349 349 GLU GLU D . n 
A 1 350 ASN 350 350 350 ASN ASN D . n 
A 1 351 ASP 351 351 351 ASP ASP D . n 
A 1 352 GLY 352 352 352 GLY GLY D . n 
A 1 353 TYR 353 353 353 TYR TYR D . n 
A 1 354 GLU 354 354 354 GLU GLU D . n 
A 1 355 GLU 355 355 355 GLU GLU D . n 
A 1 356 GLY 356 356 356 GLY GLY D . n 
A 1 357 PRO 357 357 357 PRO PRO D . n 
A 1 358 PRO 358 358 358 PRO PRO D . n 
A 1 359 ASN 359 359 359 ASN ASN D . n 
A 1 360 LEU 360 360 360 LEU LEU D . n 
A 1 361 ALA 361 361 361 ALA ALA D . n 
A 1 362 PHE 362 362 362 PHE PHE D . n 
A 1 363 PRO 363 363 363 PRO PRO D . n 
A 1 364 PRO 364 364 364 PRO PRO D . n 
A 1 365 HIS 365 365 365 HIS HIS D . n 
A 1 366 VAL 366 366 366 VAL VAL D . n 
A 1 367 ILE 367 367 367 ILE ILE D . n 
A 1 368 SER 368 368 368 SER SER D . n 
A 1 369 ASN 369 369 369 ASN ASN D . n 
A 1 370 PRO 370 370 370 PRO PRO D . n 
A 1 371 PHE 371 371 371 PHE PHE D . n 
A 1 372 ALA 372 372 372 ALA ALA D . n 
A 1 373 PRO 373 373 373 PRO PRO D . n 
A 1 374 ALA 374 374 374 ALA ALA D . n 
A 1 375 ALA 375 375 375 ALA ALA D . n 
A 1 376 VAL 376 376 376 VAL VAL D . n 
A 1 377 GLY 377 377 377 GLY GLY D . n 
A 1 378 THR 378 378 378 THR THR D . n 
A 1 379 GLY 379 379 379 GLY GLY D . n 
A 1 380 MET 380 380 380 MET MET D . n 
A 1 381 THR 381 381 381 THR THR D . n 
A 1 382 VAL 382 382 382 VAL VAL D . n 
A 1 383 ASN 383 383 383 ASN ASN D . n 
A 1 384 GLU 384 384 384 GLU GLU D . n 
A 1 385 GLN 385 385 385 GLN GLN D . n 
A 1 386 GLN 386 386 386 GLN GLN D . n 
A 1 387 GLN 387 387 387 GLN GLN D . n 
A 1 388 THR 388 388 388 THR THR D . n 
A 1 389 ALA 389 389 389 ALA ALA D . n 
A 1 390 ALA 390 390 390 ALA ALA D . n 
A 1 391 VAL 391 391 391 VAL VAL D . n 
A 1 392 THR 392 392 392 THR THR D . n 
A 1 393 ALA 393 393 393 ALA ALA D . n 
A 1 394 ASN 394 394 394 ASN ASN D . n 
A 1 395 THR 395 395 395 THR THR D . n 
A 1 396 VAL 396 396 396 VAL VAL D . n 
A 1 397 ALA 397 397 397 ALA ALA D . n 
A 1 398 LEU 398 398 398 LEU LEU D . n 
A 1 399 ILE 399 399 399 ILE ILE D . n 
A 1 400 GLY 400 400 400 GLY GLY D . n 
A 1 401 TYR 401 401 401 TYR TYR D . n 
A 1 402 GLY 402 402 402 GLY GLY D . n 
A 1 403 ASN 403 403 403 ASN ASN D . n 
A 1 404 ILE 404 404 404 ILE ILE D . n 
A 1 405 PRO 405 405 405 PRO PRO D . n 
A 1 406 ALA 406 406 406 ALA ALA D . n 
A 1 407 VAL 407 407 407 VAL VAL D . n 
A 1 408 GLU 408 408 408 GLU GLU D . n 
A 1 409 MET 409 409 409 MET MET D . n 
A 1 410 ASN 410 410 410 ASN ASN D . n 
A 1 411 LEU 411 411 411 LEU LEU D . n 
A 1 412 PRO 412 412 412 PRO PRO D . n 
A 1 413 ALA 413 413 413 ALA ALA D . n 
A 1 414 ASN 414 414 414 ASN ASN D . n 
A 1 415 LEU 415 415 415 LEU LEU D . n 
A 1 416 LYS 416 416 416 LYS LYS D . n 
A 1 417 ARG 417 417 417 ARG ARG D . n 
A 1 418 THR 418 418 418 THR THR D . n 
A 1 419 PHE 419 419 419 PHE PHE D . n 
A 1 420 LEU 420 420 420 LEU LEU D . n 
A 1 421 TYR 421 421 421 TYR TYR D . n 
A 1 422 SER 422 422 422 SER SER D . n 
A 1 423 ASN 423 423 423 ASN ASN D . n 
A 1 424 VAL 424 424 424 VAL VAL D . n 
A 1 425 ALA 425 425 425 ALA ALA D . n 
A 1 426 MET 426 426 426 MET MET D . n 
A 1 427 TYR 427 427 427 TYR TYR D . n 
A 1 428 LEU 428 428 428 LEU LEU D . n 
A 1 429 PRO 429 429 429 PRO PRO D . n 
A 1 430 ASP 430 430 430 ASP ASP D . n 
A 1 431 THR 431 431 431 THR THR D . n 
A 1 432 TYR 432 432 432 TYR TYR D . n 
A 1 433 LYS 433 433 433 LYS LYS D . n 
A 1 434 PHE 434 434 434 PHE PHE D . n 
A 1 435 THR 435 435 435 THR THR D . n 
A 1 436 PRO 436 436 436 PRO PRO D . n 
A 1 437 ALA 437 437 437 ALA ALA D . n 
A 1 438 ASN 438 438 438 ASN ASN D . n 
A 1 439 VAL 439 439 439 VAL VAL D . n 
A 1 440 ASP 440 440 440 ASP ASP D . n 
A 1 441 LEU 441 441 441 LEU LEU D . n 
A 1 442 PRO 442 442 442 PRO PRO D . n 
A 1 443 GLU 443 443 443 GLU GLU D . n 
A 1 444 ASN 444 444 444 ASN ASN D . n 
A 1 445 HIS 445 445 445 HIS HIS D . n 
A 1 446 LEU 446 446 446 LEU LEU D . n 
A 1 447 SER 447 447 447 SER SER D . n 
A 1 448 TYR 448 448 448 TYR TYR D . n 
A 1 449 GLY 449 449 449 GLY GLY D . n 
A 1 450 TYR 450 450 450 TYR TYR D . n 
A 1 451 ILE 451 451 451 ILE ILE D . n 
A 1 452 ASN 452 452 452 ASN ASN D . n 
A 1 453 GLY 453 453 453 GLY GLY D . n 
A 1 454 ARG 454 454 454 ARG ARG D . n 
A 1 455 LEU 455 455 455 LEU LEU D . n 
A 1 456 PRO 456 456 456 PRO PRO D . n 
A 1 457 LEU 457 457 457 LEU LEU D . n 
A 1 458 PRO 458 458 458 PRO PRO D . n 
A 1 459 ASN 459 459 459 ASN ASN D . n 
A 1 460 ILE 460 460 460 ILE ILE D . n 
A 1 461 VAL 461 461 461 VAL VAL D . n 
A 1 462 ASP 462 462 462 ASP ASP D . n 
A 1 463 THR 463 463 463 THR THR D . n 
A 1 464 TRP 464 464 464 TRP TRP D . n 
A 1 465 THR 465 465 465 THR THR D . n 
A 1 466 ASP 466 466 466 ASP ASP D . n 
A 1 467 ILE 467 467 467 ILE ILE D . n 
A 1 468 GLY 468 468 468 GLY GLY D . n 
A 1 469 ALA 469 469 469 ALA ALA D . n 
A 1 470 ARG 470 470 470 ARG ARG D . n 
A 1 471 TRP 471 471 471 TRP TRP D . n 
A 1 472 SER 472 472 472 SER SER D . n 
A 1 473 LEU 473 473 473 LEU LEU D . n 
A 1 474 ASP 474 474 474 ASP ASP D . n 
A 1 475 VAL 475 475 475 VAL VAL D . n 
A 1 476 MET 476 476 476 MET MET D . n 
A 1 477 ASP 477 477 477 ASP ASP D . n 
A 1 478 THR 478 478 478 THR THR D . n 
A 1 479 VAL 479 479 479 VAL VAL D . n 
A 1 480 ASN 480 480 480 ASN ASN D . n 
A 1 481 PRO 481 481 481 PRO PRO D . n 
A 1 482 PHE 482 482 482 PHE PHE D . n 
A 1 483 ASN 483 483 483 ASN ASN D . n 
A 1 484 HIS 484 484 484 HIS HIS D . n 
A 1 485 HIS 485 485 485 HIS HIS D . n 
A 1 486 ARG 486 486 486 ARG ARG D . n 
A 1 487 ASN 487 487 487 ASN ASN D . n 
A 1 488 THR 488 488 488 THR THR D . n 
A 1 489 GLY 489 489 489 GLY GLY D . n 
A 1 490 LEU 490 490 490 LEU LEU D . n 
A 1 491 LYS 491 491 491 LYS LYS D . n 
A 1 492 TYR 492 492 492 TYR TYR D . n 
A 1 493 ARG 493 493 493 ARG ARG D . n 
A 1 494 SER 494 494 494 SER SER D . n 
A 1 495 GLN 495 495 495 GLN GLN D . n 
A 1 496 LEU 496 496 496 LEU LEU D . n 
A 1 497 LEU 497 497 497 LEU LEU D . n 
A 1 498 GLY 498 498 498 GLY GLY D . n 
A 1 499 ASN 499 499 499 ASN ASN D . n 
A 1 500 GLY 500 500 500 GLY GLY D . n 
A 1 501 ARG 501 501 501 ARG ARG D . n 
A 1 502 TYR 502 502 502 TYR TYR D . n 
A 1 503 CYS 503 503 503 CYS CYS D . n 
A 1 504 ASP 504 504 504 ASP ASP D . n 
A 1 505 PHE 505 505 505 PHE PHE D . n 
A 1 506 HIS 506 506 506 HIS HIS D . n 
A 1 507 ILE 507 507 507 ILE ILE D . n 
A 1 508 GLN 508 508 508 GLN GLN D . n 
A 1 509 VAL 509 509 509 VAL VAL D . n 
A 1 510 PRO 510 510 510 PRO PRO D . n 
A 1 511 GLN 511 511 511 GLN GLN D . n 
A 1 512 LYS 512 512 512 LYS LYS D . n 
A 1 513 PHE 513 513 513 PHE PHE D . n 
A 1 514 PHE 514 514 514 PHE PHE D . n 
A 1 515 ALA 515 515 515 ALA ALA D . n 
A 1 516 ILE 516 516 516 ILE ILE D . n 
A 1 517 LYS 517 517 517 LYS LYS D . n 
A 1 518 ASN 518 518 518 ASN ASN D . n 
A 1 519 LEU 519 519 519 LEU LEU D . n 
A 1 520 LEU 520 520 520 LEU LEU D . n 
A 1 521 LEU 521 521 521 LEU LEU D . n 
A 1 522 LEU 522 522 522 LEU LEU D . n 
A 1 523 PRO 523 523 523 PRO PRO D . n 
A 1 524 GLY 524 524 524 GLY GLY D . n 
A 1 525 THR 525 525 525 THR THR D . n 
A 1 526 TYR 526 526 526 TYR TYR D . n 
A 1 527 ASN 527 527 527 ASN ASN D . n 
A 1 528 TYR 528 528 528 TYR TYR D . n 
A 1 529 GLU 529 529 529 GLU GLU D . n 
A 1 530 TRP 530 530 530 TRP TRP D . n 
A 1 531 TYR 531 531 531 TYR TYR D . n 
A 1 532 PHE 532 532 532 PHE PHE D . n 
A 1 533 ARG 533 533 533 ARG ARG D . n 
A 1 534 LYS 534 534 534 LYS LYS D . n 
A 1 535 ASP 535 535 535 ASP ASP D . n 
A 1 536 PRO 536 536 536 PRO PRO D . n 
A 1 537 ASN 537 537 537 ASN ASN D . n 
A 1 538 MET 538 538 538 MET MET D . n 
A 1 539 VAL 539 539 539 VAL VAL D . n 
A 1 540 LEU 540 540 540 LEU LEU D . n 
A 1 541 GLN 541 541 541 GLN GLN D . n 
A 1 542 SER 542 542 542 SER SER D . n 
A 1 543 THR 543 543 543 THR THR D . n 
A 1 544 LEU 544 544 544 LEU LEU D . n 
A 1 545 GLY 545 545 545 GLY GLY D . n 
A 1 546 ASN 546 546 546 ASN ASN D . n 
A 1 547 ASP 547 547 547 ASP ASP D . n 
A 1 548 LEU 548 548 548 LEU LEU D . n 
A 1 549 ARG 549 549 549 ARG ARG D . n 
A 1 550 ALA 550 550 550 ALA ALA D . n 
A 1 551 ASP 551 551 551 ASP ASP D . n 
A 1 552 GLY 552 552 552 GLY GLY D . n 
A 1 553 ALA 553 553 553 ALA ALA D . n 
A 1 554 SER 554 554 554 SER SER D . n 
A 1 555 ILE 555 555 555 ILE ILE D . n 
A 1 556 THR 556 556 556 THR THR D . n 
A 1 557 TYR 557 557 557 TYR TYR D . n 
A 1 558 THR 558 558 558 THR THR D . n 
A 1 559 GLN 559 559 559 GLN GLN D . n 
A 1 560 ILE 560 560 560 ILE ILE D . n 
A 1 561 ASN 561 561 561 ASN ASN D . n 
A 1 562 LEU 562 562 562 LEU LEU D . n 
A 1 563 TYR 563 563 563 TYR TYR D . n 
A 1 564 VAL 564 564 564 VAL VAL D . n 
A 1 565 SER 565 565 565 SER SER D . n 
A 1 566 PHE 566 566 566 PHE PHE D . n 
A 1 567 PHE 567 567 567 PHE PHE D . n 
A 1 568 PRO 568 568 568 PRO PRO D . n 
A 1 569 MET 569 569 569 MET MET D . n 
A 1 570 ASN 570 570 570 ASN ASN D . n 
A 1 571 TYR 571 571 571 TYR TYR D . n 
A 1 572 ASP 572 572 572 ASP ASP D . n 
A 1 573 THR 573 573 573 THR THR D . n 
A 1 574 GLN 574 574 574 GLN GLN D . n 
A 1 575 SER 575 575 575 SER SER D . n 
A 1 576 GLU 576 576 576 GLU GLU D . n 
A 1 577 LEU 577 577 577 LEU LEU D . n 
A 1 578 GLU 578 578 578 GLU GLU D . n 
A 1 579 LEU 579 579 579 LEU LEU D . n 
A 1 580 MET 580 580 580 MET MET D . n 
A 1 581 LEU 581 581 581 LEU LEU D . n 
A 1 582 ARG 582 582 582 ARG ARG D . n 
A 1 583 ASN 583 583 583 ASN ASN D . n 
A 1 584 ALA 584 584 584 ALA ALA D . n 
A 1 585 THR 585 585 585 THR THR D . n 
A 1 586 ASN 586 586 586 ASN ASN D . n 
A 1 587 ASP 587 587 587 ASP ASP D . n 
A 1 588 GLN 588 588 588 GLN GLN D . n 
A 1 589 ASN 589 589 589 ASN ASN D . n 
A 1 590 PHE 590 590 590 PHE PHE D . n 
A 1 591 SER 591 591 591 SER SER D . n 
A 1 592 ASP 592 592 592 ASP ASP D . n 
A 1 593 TYR 593 593 593 TYR TYR D . n 
A 1 594 LEU 594 594 594 LEU LEU D . n 
A 1 595 GLY 595 595 595 GLY GLY D . n 
A 1 596 ALA 596 596 596 ALA ALA D . n 
A 1 597 VAL 597 597 597 VAL VAL D . n 
A 1 598 ASN 598 598 598 ASN ASN D . n 
A 1 599 ASN 599 599 599 ASN ASN D . n 
A 1 600 LEU 600 600 600 LEU LEU D . n 
A 1 601 TYR 601 601 601 TYR TYR D . n 
A 1 602 GLN 602 602 602 GLN GLN D . n 
A 1 603 ILE 603 603 603 ILE ILE D . n 
A 1 604 PRO 604 604 604 PRO PRO D . n 
A 1 605 ALA 605 605 605 ALA ALA D . n 
A 1 606 GLY 606 606 606 GLY GLY D . n 
A 1 607 SER 607 607 607 SER SER D . n 
A 1 608 SER 608 608 608 SER SER D . n 
A 1 609 THR 609 609 609 THR THR D . n 
A 1 610 VAL 610 610 610 VAL VAL D . n 
A 1 611 VAL 611 611 611 VAL VAL D . n 
A 1 612 VAL 612 612 612 VAL VAL D . n 
A 1 613 ASN 613 613 613 ASN ASN D . n 
A 1 614 ILE 614 614 614 ILE ILE D . n 
A 1 615 PRO 615 615 615 PRO PRO D . n 
A 1 616 ASP 616 616 616 ASP ASP D . n 
A 1 617 ARG 617 617 617 ARG ARG D . n 
A 1 618 SER 618 618 618 SER SER D . n 
A 1 619 TRP 619 619 619 TRP TRP D . n 
A 1 620 GLY 620 620 620 GLY GLY D . n 
A 1 621 ALA 621 621 621 ALA ALA D . n 
A 1 622 PHE 622 622 622 PHE PHE D . n 
A 1 623 ARG 623 623 623 ARG ARG D . n 
A 1 624 GLY 624 624 624 GLY GLY D . n 
A 1 625 TRP 625 625 625 TRP TRP D . n 
A 1 626 SER 626 626 626 SER SER D . n 
A 1 627 PHE 627 627 627 PHE PHE D . n 
A 1 628 THR 628 628 628 THR THR D . n 
A 1 629 ARG 629 629 629 ARG ARG D . n 
A 1 630 LEU 630 630 630 LEU LEU D . n 
A 1 631 LYS 631 631 631 LYS LYS D . n 
A 1 632 VAL 632 632 632 VAL VAL D . n 
A 1 633 SER 633 633 633 SER SER D . n 
A 1 634 GLU 634 634 634 GLU GLU D . n 
A 1 635 THR 635 635 635 THR THR D . n 
A 1 636 PRO 636 636 636 PRO PRO D . n 
A 1 637 ARG 637 637 637 ARG ARG D . n 
A 1 638 ILE 638 638 638 ILE ILE D . n 
A 1 639 GLY 639 639 639 GLY GLY D . n 
A 1 640 ALA 640 640 640 ALA ALA D . n 
A 1 641 THR 641 641 641 THR THR D . n 
A 1 642 GLN 642 642 642 GLN GLN D . n 
A 1 643 ASP 643 643 643 ASP ASP D . n 
A 1 644 PRO 644 644 644 PRO PRO D . n 
A 1 645 ASN 645 645 645 ASN ASN D . n 
A 1 646 PHE 646 646 646 PHE PHE D . n 
A 1 647 GLN 647 647 647 GLN GLN D . n 
A 1 648 TYR 648 648 648 TYR TYR D . n 
A 1 649 SER 649 649 649 SER SER D . n 
A 1 650 GLY 650 650 650 GLY GLY D . n 
A 1 651 SER 651 651 651 SER SER D . n 
A 1 652 ILE 652 652 652 ILE ILE D . n 
A 1 653 PRO 653 653 653 PRO PRO D . n 
A 1 654 TYR 654 654 654 TYR TYR D . n 
A 1 655 LEU 655 655 655 LEU LEU D . n 
A 1 656 ASP 656 656 656 ASP ASP D . n 
A 1 657 GLY 657 657 657 GLY GLY D . n 
A 1 658 THR 658 658 658 THR THR D . n 
A 1 659 PHE 659 659 659 PHE PHE D . n 
A 1 660 TYR 660 660 660 TYR TYR D . n 
A 1 661 LEU 661 661 661 LEU LEU D . n 
A 1 662 SER 662 662 662 SER SER D . n 
A 1 663 HIS 663 663 663 HIS HIS D . n 
A 1 664 THR 664 664 664 THR THR D . n 
A 1 665 PHE 665 665 665 PHE PHE D . n 
A 1 666 GLN 666 666 666 GLN GLN D . n 
A 1 667 ARG 667 667 667 ARG ARG D . n 
A 1 668 CYS 668 668 668 CYS CYS D . n 
A 1 669 SER 669 669 669 SER SER D . n 
A 1 670 ILE 670 670 670 ILE ILE D . n 
A 1 671 GLN 671 671 671 GLN GLN D . n 
A 1 672 TRP 672 672 672 TRP TRP D . n 
A 1 673 ASP 673 673 673 ASP ASP D . n 
A 1 674 SER 674 674 674 SER SER D . n 
A 1 675 SER 675 675 675 SER SER D . n 
A 1 676 VAL 676 676 676 VAL VAL D . n 
A 1 677 PRO 677 677 677 PRO PRO D . n 
A 1 678 TRP 678 678 678 TRP TRP D . n 
A 1 679 PRO 679 679 679 PRO PRO D . n 
A 1 680 GLY 680 680 680 GLY GLY D . n 
A 1 681 ASN 681 681 681 ASN ASN D . n 
A 1 682 ASP 682 682 682 ASP ASP D . n 
A 1 683 ARG 683 683 683 ARG ARG D . n 
A 1 684 MET 684 684 684 MET MET D . n 
A 1 685 LEU 685 685 685 LEU LEU D . n 
A 1 686 THR 686 686 686 THR THR D . n 
A 1 687 PRO 687 687 687 PRO PRO D . n 
A 1 688 ASN 688 688 688 ASN ASN D . n 
A 1 689 TRP 689 689 689 TRP TRP D . n 
A 1 690 PHE 690 690 690 PHE PHE D . n 
A 1 691 GLU 691 691 691 GLU GLU D . n 
A 1 692 ILE 692 692 692 ILE ILE D . n 
A 1 693 LYS 693 693 693 LYS LYS D . n 
A 1 694 ARG 694 694 694 ARG ARG D . n 
A 1 695 PRO 695 695 695 PRO PRO D . n 
A 1 696 ILE 696 696 696 ILE ILE D . n 
A 1 697 ASN 697 697 697 ASN ASN D . n 
A 1 698 GLN 698 698 698 GLN GLN D . n 
A 1 699 ASP 699 699 699 ASP ASP D . n 
A 1 700 ALA 700 700 700 ALA ALA D . n 
A 1 701 GLU 701 701 701 GLU GLU D . n 
A 1 702 GLY 702 702 702 GLY GLY D . n 
A 1 703 ASN 703 703 703 ASN ASN D . n 
A 1 704 ASP 704 704 704 ASP ASP D . n 
A 1 705 THR 705 705 705 THR THR D . n 
A 1 706 MET 706 706 706 MET MET D . n 
A 1 707 GLN 707 707 707 GLN GLN D . n 
A 1 708 SER 708 708 708 SER SER D . n 
A 1 709 ASN 709 709 709 ASN ASN D . n 
A 1 710 LEU 710 710 710 LEU LEU D . n 
A 1 711 THR 711 711 711 THR THR D . n 
A 1 712 LYS 712 712 712 LYS LYS D . n 
A 1 713 ASP 713 713 713 ASP ASP D . n 
A 1 714 PHE 714 714 714 PHE PHE D . n 
A 1 715 PHE 715 715 715 PHE PHE D . n 
A 1 716 MET 716 716 716 MET MET D . n 
A 1 717 VAL 717 717 717 VAL VAL D . n 
A 1 718 GLN 718 718 718 GLN GLN D . n 
A 1 719 MET 719 719 719 MET MET D . n 
A 1 720 ALA 720 720 720 ALA ALA D . n 
A 1 721 ALA 721 721 721 ALA ALA D . n 
A 1 722 SER 722 722 722 SER SER D . n 
A 1 723 TYR 723 723 723 TYR TYR D . n 
A 1 724 ASN 724 724 724 ASN ASN D . n 
A 1 725 GLN 725 725 725 GLN GLN D . n 
A 1 726 GLY 726 726 726 GLY GLY D . n 
A 1 727 TYR 727 727 727 TYR TYR D . n 
A 1 728 GLN 728 728 728 GLN GLN D . n 
A 1 729 GLY 729 729 729 GLY GLY D . n 
A 1 730 PHE 730 730 730 PHE PHE D . n 
A 1 731 ASN 731 731 731 ASN ASN D . n 
A 1 732 TRP 732 732 732 TRP TRP D . n 
A 1 733 PRO 733 733 733 PRO PRO D . n 
A 1 734 ASN 734 734 734 ASN ASN D . n 
A 1 735 CYS 735 735 735 CYS CYS D . n 
A 1 736 THR 736 736 736 THR THR D . n 
A 1 737 LYS 737 737 737 LYS LYS D . n 
A 1 738 HIS 738 738 738 HIS HIS D . n 
A 1 739 TYR 739 739 739 TYR TYR D . n 
A 1 740 GLY 740 740 740 GLY GLY D . n 
A 1 741 PHE 741 741 741 PHE PHE D . n 
A 1 742 ILE 742 742 742 ILE ILE D . n 
A 1 743 ASN 743 743 743 ASN ASN D . n 
A 1 744 ASN 744 744 744 ASN ASN D . n 
A 1 745 PHE 745 745 745 PHE PHE D . n 
A 1 746 GLU 746 746 746 GLU GLU D . n 
A 1 747 PRO 747 747 747 PRO PRO D . n 
A 1 748 MET 748 748 748 MET MET D . n 
A 1 749 SER 749 749 749 SER SER D . n 
A 1 750 ARG 750 750 750 ARG ARG D . n 
A 1 751 GLN 751 751 751 GLN GLN D . n 
A 1 752 VAL 752 752 752 VAL VAL D . n 
A 1 753 PRO 753 753 753 PRO PRO D . n 
A 1 754 GLU 754 754 754 GLU GLU D . n 
A 1 755 TYR 755 755 755 TYR TYR D . n 
A 1 756 GLY 756 756 756 GLY GLY D . n 
A 1 757 ALA 757 757 757 ALA ALA D . n 
A 1 758 ASN 758 758 758 ASN ASN D . n 
A 1 759 TYR 759 759 759 TYR TYR D . n 
A 1 760 PRO 760 760 760 PRO PRO D . n 
A 1 761 ASN 761 761 761 ASN ASN D . n 
A 1 762 LEU 762 762 762 LEU LEU D . n 
A 1 763 MET 763 763 763 MET MET D . n 
A 1 764 ALA 764 764 764 ALA ALA D . n 
A 1 765 ALA 765 765 765 ALA ALA D . n 
A 1 766 TYR 766 766 766 TYR TYR D . n 
A 1 767 LEU 767 767 767 LEU LEU D . n 
A 1 768 ALA 768 768 768 ALA ALA D . n 
A 1 769 ASN 769 769 769 ASN ASN D . n 
A 1 770 PRO 770 770 770 PRO PRO D . n 
A 1 771 GLN 771 771 771 GLN GLN D . n 
A 1 772 THR 772 772 772 THR THR D . n 
A 1 773 MET 773 773 773 MET MET D . n 
A 1 774 PRO 774 774 774 PRO PRO D . n 
A 1 775 ILE 775 775 775 ILE ILE D . n 
A 1 776 TRP 776 776 776 TRP TRP D . n 
A 1 777 ASN 777 777 777 ASN ASN D . n 
A 1 778 ASN 778 778 778 ASN ASN D . n 
A 1 779 CYS 779 779 779 CYS CYS D . n 
A 1 780 GLY 780 780 780 GLY GLY D . n 
A 1 781 PHE 781 781 781 PHE PHE D . n 
A 1 782 GLN 782 782 782 GLN GLN D . n 
A 1 783 GLN 783 783 783 GLN GLN D . n 
A 1 784 LYS 784 784 784 LYS LYS D . n 
A 1 785 THR 785 785 785 THR THR D . n 
A 1 786 ALA 786 786 786 ALA ALA D . n 
A 1 787 THR 787 787 787 THR THR D . n 
A 1 788 ASN 788 788 788 ASN ASN D . n 
A 1 789 VAL 789 789 789 VAL VAL D . n 
A 1 790 LEU 790 790 790 LEU LEU D . n 
A 1 791 LEU 791 791 791 LEU LEU D . n 
A 1 792 GLU 792 792 792 GLU GLU D . n 
A 1 793 ARG 793 793 793 ARG ARG D . n 
A 1 794 CYS 794 794 794 CYS CYS D . n 
A 1 795 GLY 795 795 795 GLY GLY D . n 
A 1 796 HIS 796 796 796 HIS HIS D . n 
A 1 797 PRO 797 797 797 PRO PRO D . n 
A 1 798 TYR 798 798 798 TYR TYR D . n 
A 1 799 VAL 799 799 799 VAL VAL D . n 
A 1 800 ALA 800 800 800 ALA ALA D . n 
A 1 801 ASN 801 801 801 ASN ASN D . n 
A 1 802 TRP 802 802 802 TRP TRP D . n 
A 1 803 PRO 803 803 803 PRO PRO D . n 
A 1 804 TYR 804 804 804 TYR TYR D . n 
A 1 805 PRO 805 805 805 PRO PRO D . n 
A 1 806 LEU 806 806 806 LEU LEU D . n 
A 1 807 SER 807 807 807 SER SER D . n 
A 1 808 GLY 808 808 808 GLY GLY D . n 
A 1 809 ARG 809 809 809 ARG ARG D . n 
A 1 810 ASN 810 810 810 ASN ASN D . n 
A 1 811 ALA 811 811 811 ALA ALA D . n 
A 1 812 VAL 812 812 812 VAL VAL D . n 
A 1 813 PRO 813 813 813 PRO PRO D . n 
A 1 814 ASN 814 814 814 ASN ASN D . n 
A 1 815 GLN 815 815 815 GLN GLN D . n 
A 1 816 VAL 816 816 816 VAL VAL D . n 
A 1 817 THR 817 817 817 THR THR D . n 
A 1 818 GLU 818 818 818 GLU GLU D . n 
A 1 819 ARG 819 819 819 ARG ARG D . n 
A 1 820 LYS 820 820 820 LYS LYS D . n 
A 1 821 PHE 821 821 821 PHE PHE D . n 
A 1 822 LEU 822 822 822 LEU LEU D . n 
A 1 823 VAL 823 823 823 VAL VAL D . n 
A 1 824 ASP 824 824 824 ASP ASP D . n 
A 1 825 ARG 825 825 825 ARG ARG D . n 
A 1 826 TYR 826 826 826 TYR TYR D . n 
A 1 827 LEU 827 827 827 LEU LEU D . n 
A 1 828 TRP 828 828 828 TRP TRP D . n 
A 1 829 GLN 829 829 829 GLN GLN D . n 
A 1 830 ILE 830 830 830 ILE ILE D . n 
A 1 831 PRO 831 831 831 PRO PRO D . n 
A 1 832 PHE 832 832 832 PHE PHE D . n 
A 1 833 SER 833 833 833 SER SER D . n 
A 1 834 SER 834 834 834 SER SER D . n 
A 1 835 ASN 835 835 835 ASN ASN D . n 
A 1 836 PHE 836 836 836 PHE PHE D . n 
A 1 837 LEU 837 837 837 LEU LEU D . n 
A 1 838 ASN 838 838 838 ASN ASN D . n 
A 1 839 MET 839 839 839 MET MET D . n 
A 1 840 GLY 840 840 840 GLY GLY D . n 
A 1 841 THR 841 841 841 THR THR D . n 
A 1 842 LEU 842 842 842 LEU LEU D . n 
A 1 843 THR 843 843 843 THR THR D . n 
A 1 844 ASP 844 844 844 ASP ASP D . n 
A 1 845 LEU 845 845 845 LEU LEU D . n 
A 1 846 GLY 846 846 846 GLY GLY D . n 
A 1 847 GLN 847 847 847 GLN GLN D . n 
A 1 848 ASN 848 848 848 ASN ASN D . n 
A 1 849 VAL 849 849 849 VAL VAL D . n 
A 1 850 MET 850 850 850 MET MET D . n 
A 1 851 TYR 851 851 851 TYR TYR D . n 
A 1 852 ALA 852 852 852 ALA ALA D . n 
A 1 853 ASN 853 853 853 ASN ASN D . n 
A 1 854 SER 854 854 854 SER SER D . n 
A 1 855 SER 855 855 855 SER SER D . n 
A 1 856 HIS 856 856 856 HIS HIS D . n 
A 1 857 SER 857 857 857 SER SER D . n 
A 1 858 LEU 858 858 858 LEU LEU D . n 
A 1 859 ASN 859 859 859 ASN ASN D . n 
A 1 860 MET 860 860 860 MET MET D . n 
A 1 861 GLN 861 861 861 GLN GLN D . n 
A 1 862 PHE 862 862 862 PHE PHE D . n 
A 1 863 THR 863 863 863 THR THR D . n 
A 1 864 VAL 864 864 864 VAL VAL D . n 
A 1 865 ASP 865 865 865 ASP ASP D . n 
A 1 866 PRO 866 866 866 PRO PRO D . n 
A 1 867 MET 867 867 867 MET MET D . n 
A 1 868 THR 868 868 868 THR THR D . n 
A 1 869 GLU 869 869 869 GLU GLU D . n 
A 1 870 PRO 870 870 870 PRO PRO D . n 
A 1 871 THR 871 871 871 THR THR D . n 
A 1 872 TYR 872 872 872 TYR TYR D . n 
A 1 873 LEU 873 873 873 LEU LEU D . n 
A 1 874 MET 874 874 874 MET MET D . n 
A 1 875 LEU 875 875 875 LEU LEU D . n 
A 1 876 LEU 876 876 876 LEU LEU D . n 
A 1 877 PHE 877 877 877 PHE PHE D . n 
A 1 878 GLY 878 878 878 GLY GLY D . n 
A 1 879 VAL 879 879 879 VAL VAL D . n 
A 1 880 PHE 880 880 880 PHE PHE D . n 
A 1 881 ASP 881 881 881 ASP ASP D . n 
A 1 882 GLN 882 882 882 GLN GLN D . n 
A 1 883 VAL 883 883 883 VAL VAL D . n 
A 1 884 VAL 884 884 884 VAL VAL D . n 
A 1 885 ILE 885 885 885 ILE ILE D . n 
A 1 886 ASN 886 886 886 ASN ASN D . n 
A 1 887 GLN 887 887 887 GLN GLN D . n 
A 1 888 PRO 888 888 888 PRO PRO D . n 
A 1 889 THR 889 889 889 THR THR D . n 
A 1 890 ARG 890 890 890 ARG ARG D . n 
A 1 891 SER 891 891 891 SER SER D . n 
A 1 892 GLY 892 892 892 GLY GLY D . n 
A 1 893 ILE 893 893 893 ILE ILE D . n 
A 1 894 SER 894 894 894 SER SER D . n 
A 1 895 VAL 895 895 895 VAL VAL D . n 
A 1 896 ALA 896 896 896 ALA ALA D . n 
A 1 897 TYR 897 897 897 TYR TYR D . n 
A 1 898 LEU 898 898 898 LEU LEU D . n 
A 1 899 ARG 899 899 899 ARG ARG D . n 
A 1 900 LEU 900 900 900 LEU LEU D . n 
A 1 901 PRO 901 901 901 PRO PRO D . n 
A 1 902 PHE 902 902 902 PHE PHE D . n 
A 1 903 ALA 903 903 903 ALA ALA D . n 
A 1 904 SER 904 904 904 SER SER D . n 
A 1 905 GLY 905 905 905 GLY GLY D . n 
A 1 906 SER 906 906 906 SER SER D . n 
B 2 1   GLU 1   2   2   GLU GLU E . n 
B 2 2   PRO 2   3   3   PRO PRO E . n 
B 2 3   GLN 3   4   4   GLN GLN E . n 
B 2 4   ARG 4   5   5   ARG ARG E . n 
B 2 5   GLU 5   6   6   GLU GLU E . n 
B 2 6   PHE 6   7   7   PHE PHE E . n 
B 2 7   PHE 7   8   8   PHE PHE E . n 
B 2 8   HIS 8   9   9   HIS HIS E . n 
B 2 9   ILE 9   10  10  ILE ILE E . n 
B 2 10  ALA 10  11  11  ALA ALA E . n 
B 2 11  GLY 11  12  12  GLY GLY E . n 
B 2 12  ARG 12  13  13  ARG ARG E . n 
B 2 13  SER 13  14  14  SER SER E . n 
B 2 14  ALA 14  15  15  ALA ALA E . n 
B 2 15  LYS 15  16  16  LYS LYS E . n 
B 2 16  GLU 16  17  17  GLU GLU E . n 
B 2 17  TYR 17  18  18  TYR TYR E . n 
B 2 18  LEU 18  19  19  LEU LEU E . n 
B 2 19  SER 19  20  20  SER SER E . n 
B 2 20  GLU 20  21  21  GLU GLU E . n 
B 2 21  ASN 21  22  22  ASN ASN E . n 
B 2 22  LEU 22  23  23  LEU LEU E . n 
B 2 23  VAL 23  24  24  VAL VAL E . n 
B 2 24  GLN 24  25  25  GLN GLN E . n 
B 2 25  PHE 25  26  26  PHE PHE E . n 
B 2 26  ILE 26  27  27  ILE ILE E . n 
B 2 27  GLN 27  28  28  GLN GLN E . n 
B 2 28  ALA 28  29  29  ALA ALA E . n 
B 2 29  THR 29  30  30  THR THR E . n 
B 2 30  GLN 30  31  31  GLN GLN E . n 
B 2 31  ASN 31  32  32  ASN ASN E . n 
B 2 32  TYR 32  33  33  TYR TYR E . n 
B 2 33  PHE 33  34  34  PHE PHE E . n 
B 2 34  ASN 34  35  35  ASN ASN E . n 
B 2 35  ILE 35  36  36  ILE ILE E . n 
B 2 36  GLY 36  37  37  GLY GLY E . n 
B 2 37  GLU 37  38  38  GLU GLU E . n 
B 2 38  LYS 38  39  39  LYS LYS E . n 
B 2 39  PHE 39  40  40  PHE PHE E . n 
B 2 40  ARG 40  41  41  ARG ARG E . n 
B 2 41  ASP 41  42  42  ASP ASP E . n 
B 2 42  PRO 42  43  43  PRO PRO E . n 
B 2 43  TYR 43  44  44  TYR TYR E . n 
B 2 44  VAL 44  45  45  VAL VAL E . n 
B 2 45  ALA 45  46  46  ALA ALA E . n 
B 2 46  PRO 46  47  47  PRO PRO E . n 
B 2 47  SER 47  48  48  SER SER E . n 
B 2 48  ALA 48  49  49  ALA ALA E . n 
B 2 49  GLY 49  50  50  GLY GLY E . n 
B 2 50  VAL 50  51  51  VAL VAL E . n 
B 2 51  THR 51  52  52  THR THR E . n 
B 2 52  THR 52  53  53  THR THR E . n 
B 2 53  ASP 53  54  54  ASP ASP E . n 
B 2 54  ARG 54  55  55  ARG ARG E . n 
B 2 55  SER 55  56  56  SER SER E . n 
B 2 56  GLN 56  57  57  GLN GLN E . n 
B 2 57  LYS 57  58  58  LYS LYS E . n 
B 2 58  LEU 58  59  59  LEU LEU E . n 
B 2 59  GLN 59  60  60  GLN GLN E . n 
B 2 60  LEU 60  61  61  LEU LEU E . n 
B 2 61  ARG 61  62  62  ARG ARG E . n 
B 2 62  VAL 62  63  63  VAL VAL E . n 
B 2 63  VAL 63  64  64  VAL VAL E . n 
B 2 64  PRO 64  65  65  PRO PRO E . n 
B 2 65  ILE 65  66  66  ILE ILE E . n 
B 2 66  GLN 66  67  67  GLN GLN E . n 
B 2 67  THR 67  68  68  THR THR E . n 
B 2 68  GLU 68  69  69  GLU GLU E . n 
B 2 69  ASP 69  70  70  ASP ASP E . n 
B 2 70  ASN 70  71  71  ASN ASN E . n 
B 2 71  VAL 71  72  72  VAL VAL E . n 
B 2 72  ASN 72  73  73  ASN ASN E . n 
B 2 73  TYR 73  74  74  TYR TYR E . n 
B 2 74  TYR 74  75  75  TYR TYR E . n 
B 2 75  LYS 75  76  76  LYS LYS E . n 
B 2 76  ALA 76  77  77  ALA ALA E . n 
B 2 77  ARG 77  78  78  ARG ARG E . n 
B 2 78  PHE 78  79  79  PHE PHE E . n 
B 2 79  THR 79  80  80  THR THR E . n 
B 2 80  LEU 80  81  81  LEU LEU E . n 
B 2 81  ASN 81  82  82  ASN ASN E . n 
B 2 82  VAL 82  83  83  VAL VAL E . n 
B 2 83  GLY 83  84  84  GLY GLY E . n 
B 2 84  ASP 84  85  85  ASP ASP E . n 
B 2 85  ASN 85  86  86  ASN ASN E . n 
B 2 86  ARG 86  87  87  ARG ARG E . n 
B 2 87  LEU 87  88  88  LEU LEU E . n 
B 2 88  VAL 88  89  89  VAL VAL E . n 
B 2 89  ASP 89  90  90  ASP ASP E . n 
B 2 90  LEU 90  91  91  LEU LEU E . n 
B 2 91  GLY 91  92  92  GLY GLY E . n 
B 2 92  SER 92  93  93  SER SER E . n 
B 2 93  SER 93  94  94  SER SER E . n 
B 2 94  TYR 94  95  95  TYR TYR E . n 
B 2 95  PHE 95  96  96  PHE PHE E . n 
B 2 96  ASP 96  97  97  ASP ASP E . n 
B 2 97  ILE 97  98  98  ILE ILE E . n 
B 2 98  LYS 98  99  99  LYS LYS E . n 
B 2 99  GLY 99  100 100 GLY GLY E . n 
B 2 100 THR 100 101 101 THR THR E . n 
B 2 101 LEU 101 102 102 LEU LEU E . n 
B 2 102 ASP 102 103 103 ASP ASP E . n 
B 2 103 ARG 103 104 104 ARG ARG E . n 
B 2 104 GLY 104 105 105 GLY GLY E . n 
B 2 105 PRO 105 106 106 PRO PRO E . n 
B 2 106 SER 106 107 107 SER SER E . n 
B 2 107 PHE 107 108 108 PHE PHE E . n 
B 2 108 LYS 108 109 109 LYS LYS E . n 
B 2 109 PRO 109 110 110 PRO PRO E . n 
B 2 110 TYR 110 111 111 TYR TYR E . n 
B 2 111 GLY 111 112 112 GLY GLY E . n 
B 2 112 GLY 112 113 113 GLY GLY E . n 
B 2 113 THR 113 114 114 THR THR E . n 
B 2 114 ALA 114 115 115 ALA ALA E . n 
B 2 115 TYR 115 116 116 TYR TYR E . n 
B 2 116 ASN 116 117 117 ASN ASN E . n 
B 2 117 PRO 117 118 118 PRO PRO E . n 
B 2 118 LEU 118 119 119 LEU LEU E . n 
B 2 119 ALA 119 120 120 ALA ALA E . n 
B 2 120 PRO 120 121 121 PRO PRO E . n 
B 2 121 LYS 121 122 122 LYS LYS E . n 
B 2 122 SER 122 123 123 SER SER E . n 
B 2 123 ALA 123 124 124 ALA ALA E . n 
B 2 124 PRO 124 125 125 PRO PRO E . n 
B 2 125 ILE 125 126 126 ILE ILE E . n 
B 2 126 ASN 126 127 127 ASN ASN E . n 
B 2 127 SER 127 128 128 SER SER E . n 
B 2 128 ALA 128 129 129 ALA ALA E . n 
B 2 129 PHE 129 130 130 PHE PHE E . n 
B 2 130 THR 130 131 131 THR THR E . n 
B 2 131 VAL 131 132 132 VAL VAL E . n 
B 2 132 GLY 132 133 133 GLY GLY E . n 
B 2 133 ASN 133 134 134 ASN ASN E . n 
B 2 134 ASP 134 135 135 ASP ASP E . n 
B 2 135 THR 135 136 136 THR THR E . n 
B 2 136 HIS 136 137 137 HIS HIS E . n 
B 2 137 PHE 137 138 138 PHE PHE E . n 
B 2 138 VAL 138 139 139 VAL VAL E . n 
B 2 139 ALA 139 140 140 ALA ALA E . n 
B 2 140 GLN 140 141 141 GLN GLN E . n 
B 2 141 LEU 141 142 142 LEU LEU E . n 
B 2 142 PRO 142 143 143 PRO PRO E . n 
B 2 143 GLN 143 144 144 GLN GLN E . n 
B 2 144 THR 144 145 145 THR THR E . n 
B 2 145 TYR 145 146 146 TYR TYR E . n 
B 2 146 ALA 146 147 147 ALA ALA E . n 
B 2 147 ALA 147 148 148 ALA ALA E . n 
B 2 148 GLY 148 149 149 GLY GLY E . n 
B 2 149 GLY 149 150 150 GLY GLY E . n 
B 2 150 THR 150 151 151 THR THR E . n 
B 2 151 GLY 151 152 152 GLY GLY E . n 
B 2 152 VAL 152 153 153 VAL VAL E . n 
B 2 153 THR 153 154 154 THR THR E . n 
B 2 154 GLU 154 155 155 GLU GLU E . n 
B 2 155 ALA 155 156 156 ALA ALA E . n 
B 2 156 ILE 156 157 157 ILE ILE E . n 
B 2 157 GLN 157 158 158 GLN GLN E . n 
B 2 158 GLN 158 159 159 GLN GLN E . n 
B 2 159 GLN 159 160 160 GLN GLN E . n 
B 2 160 VAL 160 161 161 VAL VAL E . n 
B 2 161 SER 161 162 162 SER SER E . n 
B 2 162 GLY 162 163 163 GLY GLY E . n 
B 2 163 VAL 163 164 164 VAL VAL E . n 
B 2 164 ASP 164 165 165 ASP ASP E . n 
B 2 165 PRO 165 166 166 PRO PRO E . n 
B 2 166 ASN 166 167 167 ASN ASN E . n 
B 2 167 PRO 167 168 168 PRO PRO E . n 
B 2 168 GLN 168 169 169 GLN GLN E . n 
B 2 169 VAL 169 170 170 VAL VAL E . n 
B 2 170 GLY 170 171 171 GLY GLY E . n 
B 2 171 GLN 171 172 172 GLN GLN E . n 
B 2 172 PRO 172 173 173 PRO PRO E . n 
B 2 173 ASN 173 174 174 ASN ASN E . n 
B 2 174 TYR 174 175 175 TYR TYR E . n 
B 2 175 ALA 175 176 176 ALA ALA E . n 
B 2 176 GLY 176 177 177 GLY GLY E . n 
B 2 177 PRO 177 178 178 PRO PRO E . n 
B 2 178 VAL 178 179 179 VAL VAL E . n 
B 2 179 VAL 179 180 180 VAL VAL E . n 
B 2 180 VAL 180 181 181 VAL VAL E . n 
B 2 181 ASN 181 182 182 ASN ASN E . n 
B 2 182 THR 182 183 183 THR THR E . n 
B 2 183 THR 183 184 184 THR THR E . n 
B 2 184 ASN 184 185 185 ASN ASN E . n 
B 2 185 ASN 185 186 186 ASN ASN E . n 
B 2 186 ALA 186 187 187 ALA ALA E . n 
B 2 187 GLY 187 188 188 GLY GLY E . n 
B 2 188 LEU 188 189 189 LEU LEU E . n 
B 2 189 GLY 189 190 190 GLY GLY E . n 
B 2 190 ARG 190 191 191 ARG ARG E . n 
B 2 191 ILE 191 192 192 ILE ILE E . n 
B 2 192 VAL 192 193 193 VAL VAL E . n 
B 2 193 SER 193 194 194 SER SER E . n 
B 2 194 ALA 194 195 195 ALA ALA E . n 
B 2 195 ASP 195 196 196 ASP ASP E . n 
B 2 196 SER 196 197 197 SER SER E . n 
B 2 197 GLU 197 198 198 GLU GLU E . n 
B 2 198 GLY 198 199 199 GLY GLY E . n 
B 2 199 GLN 199 200 200 GLN GLN E . n 
B 2 200 GLN 200 201 201 GLN GLN E . n 
B 2 201 PHE 201 202 202 PHE PHE E . n 
B 2 202 PRO 202 203 203 PRO PRO E . n 
B 2 203 CYS 203 204 204 CYS CYS E . n 
B 2 204 TYR 204 205 205 TYR TYR E . n 
B 2 205 GLY 205 206 206 GLY GLY E . n 
B 2 206 ALA 206 207 207 ALA ALA E . n 
B 2 207 TYR 207 208 208 TYR TYR E . n 
B 2 208 ALA 208 209 209 ALA ALA E . n 
B 2 209 PRO 209 210 210 PRO PRO E . n 
B 2 210 PRO 210 211 211 PRO PRO E . n 
B 2 211 GLN 211 212 212 GLN GLN E . n 
B 2 212 SER 212 213 213 SER SER E . n 
B 2 213 ALA 213 214 214 ALA ALA E . n 
B 2 214 GLY 214 215 215 GLY GLY E . n 
B 2 215 GLY 215 216 216 GLY GLY E . n 
B 2 216 ASP 216 217 217 ASP ASP E . n 
B 2 217 VAL 217 218 218 VAL VAL E . n 
B 2 218 SER 218 219 219 SER SER E . n 
B 2 219 THR 219 220 220 THR THR E . n 
B 2 220 ALA 220 221 221 ALA ALA E . n 
B 2 221 ALA 221 222 222 ALA ALA E . n 
B 2 222 VAL 222 223 223 VAL VAL E . n 
B 2 223 THR 223 224 224 THR THR E . n 
B 2 224 LYS 224 225 225 LYS LYS E . n 
B 2 225 THR 225 226 226 THR THR E . n 
B 2 226 TYR 226 227 227 TYR TYR E . n 
B 2 227 ILE 227 228 228 ILE ILE E . n 
B 2 228 ASN 228 229 229 ASN ASN E . n 
B 2 229 THR 229 230 230 THR THR E . n 
B 2 230 THR 230 231 231 THR THR E . n 
B 2 231 ASN 231 232 232 ASN ASN E . n 
B 2 232 ASN 232 233 233 ASN ASN E . n 
B 2 233 ASN 233 234 234 ASN ASN E . n 
B 2 234 GLY 234 235 235 GLY GLY E . n 
B 2 235 ARG 235 236 236 ARG ARG E . n 
B 2 236 VAL 236 237 237 VAL VAL E . n 
B 2 237 SER 237 238 238 SER SER E . n 
B 2 238 GLY 238 239 239 GLY GLY E . n 
B 2 239 THR 239 240 240 THR THR E . n 
B 2 240 MET 240 241 241 MET MET E . n 
B 2 241 ALA 241 242 242 ALA ALA E . n 
B 2 242 THR 242 243 243 THR THR E . n 
B 2 243 ASP 243 244 244 ASP ASP E . n 
B 2 244 THR 244 245 245 THR THR E . n 
B 2 245 ILE 245 246 246 ILE ILE E . n 
B 2 246 THR 246 247 247 THR THR E . n 
B 2 247 TRP 247 248 248 TRP TRP E . n 
B 2 248 GLU 248 249 249 GLU GLU E . n 
B 2 249 ASN 249 250 250 ASN ASN E . n 
B 2 250 PRO 250 251 251 PRO PRO E . n 
B 2 251 ASP 251 252 252 ASP ASP E . n 
B 2 252 ALA 252 253 253 ALA ALA E . n 
B 2 253 HIS 253 254 254 HIS HIS E . n 
B 2 254 PHE 254 255 255 PHE PHE E . n 
B 2 255 ALA 255 256 256 ALA ALA E . n 
B 2 256 ASP 256 257 257 ASP ASP E . n 
B 2 257 PHE 257 258 258 PHE PHE E . n 
B 2 258 VAL 258 259 259 VAL VAL E . n 
B 2 259 ASP 259 260 260 ASP ASP E . n 
B 2 260 ASP 260 261 261 ASP ASP E . n 
B 2 261 ARG 261 262 262 ARG ARG E . n 
B 2 262 ARG 262 263 263 ARG ARG E . n 
B 2 263 ALA 263 264 264 ALA ALA E . n 
B 2 264 THR 264 265 265 THR THR E . n 
B 2 265 ALA 265 266 266 ALA ALA E . n 
B 2 266 ALA 266 267 267 ALA ALA E . n 
B 2 267 GLY 267 268 268 GLY GLY E . n 
B 2 268 ASN 268 269 269 ASN ASN E . n 
B 2 269 ARG 269 270 270 ARG ARG E . n 
B 2 270 PRO 270 271 271 PRO PRO E . n 
B 2 271 ASN 271 272 272 ASN ASN E . n 
B 2 272 TYR 272 273 273 TYR TYR E . n 
B 2 273 ILE 273 274 274 ILE ILE E . n 
B 2 274 GLY 274 275 275 GLY GLY E . n 
B 2 275 PHE 275 276 276 PHE PHE E . n 
B 2 276 ARG 276 277 277 ARG ARG E . n 
B 2 277 ASP 277 278 278 ASP ASP E . n 
B 2 278 ASN 278 279 279 ASN ASN E . n 
B 2 279 PHE 279 280 280 PHE PHE E . n 
B 2 280 ILE 280 281 281 ILE ILE E . n 
B 2 281 GLY 281 282 282 GLY GLY E . n 
B 2 282 MET 282 283 283 MET MET E . n 
B 2 283 MET 283 284 284 MET MET E . n 
B 2 284 TYR 284 285 285 TYR TYR E . n 
B 2 285 TYR 285 286 286 TYR TYR E . n 
B 2 286 ASN 286 287 287 ASN ASN E . n 
B 2 287 SER 287 288 288 SER SER E . n 
B 2 288 GLY 288 289 289 GLY GLY E . n 
B 2 289 SER 289 290 290 SER SER E . n 
B 2 290 ASN 290 291 291 ASN ASN E . n 
B 2 291 THR 291 292 292 THR THR E . n 
B 2 292 GLY 292 293 293 GLY GLY E . n 
B 2 293 SER 293 294 294 SER SER E . n 
B 2 294 PHE 294 295 295 PHE PHE E . n 
B 2 295 SER 295 296 296 SER SER E . n 
B 2 296 SER 296 297 297 SER SER E . n 
B 2 297 GLN 297 298 298 GLN GLN E . n 
B 2 298 THR 298 299 299 THR THR E . n 
B 2 299 GLN 299 300 300 GLN GLN E . n 
B 2 300 GLN 300 301 301 GLN GLN E . n 
B 2 301 LEU 301 302 302 LEU LEU E . n 
B 2 302 ASN 302 303 303 ASN ASN E . n 
B 2 303 ILE 303 304 304 ILE ILE E . n 
B 2 304 VAL 304 305 305 VAL VAL E . n 
B 2 305 LEU 305 306 306 LEU LEU E . n 
B 2 306 ASP 306 307 307 ASP ASP E . n 
B 2 307 LEU 307 308 308 LEU LEU E . n 
B 2 308 ASN 308 309 309 ASN ASN E . n 
B 2 309 ASP 309 310 310 ASP ASP E . n 
B 2 310 ARG 310 311 311 ARG ARG E . n 
B 2 311 ASN 311 312 312 ASN ASN E . n 
B 2 312 SER 312 313 313 SER SER E . n 
B 2 313 GLU 313 314 314 GLU GLU E . n 
B 2 314 LEU 314 315 315 LEU LEU E . n 
B 2 315 SER 315 316 316 SER SER E . n 
B 2 316 TYR 316 317 317 TYR TYR E . n 
B 2 317 GLN 317 318 318 GLN GLN E . n 
B 2 318 TYR 318 319 319 TYR TYR E . n 
B 2 319 LEU 319 320 320 LEU LEU E . n 
B 2 320 LEU 320 321 321 LEU LEU E . n 
B 2 321 ALA 321 322 322 ALA ALA E . n 
B 2 322 ASP 322 323 323 ASP ASP E . n 
B 2 323 LEU 323 324 324 LEU LEU E . n 
B 2 324 THR 324 325 325 THR THR E . n 
B 2 325 SER 325 326 326 SER SER E . n 
B 2 326 ARG 326 327 327 ARG ARG E . n 
B 2 327 TRP 327 328 328 TRP TRP E . n 
B 2 328 HIS 328 329 329 HIS HIS E . n 
B 2 329 TYR 329 330 330 TYR TYR E . n 
B 2 330 PHE 330 331 331 PHE PHE E . n 
B 2 331 ALA 331 332 332 ALA ALA E . n 
B 2 332 LEU 332 333 333 LEU LEU E . n 
B 2 333 TRP 333 334 334 TRP TRP E . n 
B 2 334 ASN 334 335 335 ASN ASN E . n 
B 2 335 GLN 335 336 336 GLN GLN E . n 
B 2 336 ALA 336 337 337 ALA ALA E . n 
B 2 337 VAL 337 338 338 VAL VAL E . n 
B 2 338 ASP 338 339 339 ASP ASP E . n 
B 2 339 ASP 339 340 340 ASP ASP E . n 
B 2 340 TYR 340 341 341 TYR TYR E . n 
B 2 341 ASP 341 342 342 ASP ASP E . n 
B 2 342 HIS 342 343 343 HIS HIS E . n 
B 2 343 HIS 343 344 344 HIS HIS E . n 
B 2 344 VAL 344 345 345 VAL VAL E . n 
B 2 345 ARG 345 346 346 ARG ARG E . n 
B 2 346 ILE 346 347 347 ILE ILE E . n 
B 2 347 LEU 347 348 348 LEU LEU E . n 
B 2 348 GLU 348 349 349 GLU GLU E . n 
B 2 349 ASN 349 350 350 ASN ASN E . n 
B 2 350 ASP 350 351 351 ASP ASP E . n 
B 2 351 GLY 351 352 352 GLY GLY E . n 
B 2 352 TYR 352 353 353 TYR TYR E . n 
B 2 353 GLU 353 354 354 GLU GLU E . n 
B 2 354 GLU 354 355 355 GLU GLU E . n 
B 2 355 GLY 355 356 356 GLY GLY E . n 
B 2 356 PRO 356 357 357 PRO PRO E . n 
B 2 357 PRO 357 358 358 PRO PRO E . n 
B 2 358 ASN 358 359 359 ASN ASN E . n 
B 2 359 LEU 359 360 360 LEU LEU E . n 
B 2 360 ALA 360 361 361 ALA ALA E . n 
B 2 361 PHE 361 362 362 PHE PHE E . n 
B 2 362 PRO 362 363 363 PRO PRO E . n 
B 2 363 PRO 363 364 364 PRO PRO E . n 
B 2 364 HIS 364 365 365 HIS HIS E . n 
B 2 365 VAL 365 366 366 VAL VAL E . n 
B 2 366 ILE 366 367 367 ILE ILE E . n 
B 2 367 SER 367 368 368 SER SER E . n 
B 2 368 ASN 368 369 369 ASN ASN E . n 
B 2 369 PRO 369 370 370 PRO PRO E . n 
B 2 370 PHE 370 371 371 PHE PHE E . n 
B 2 371 ALA 371 372 372 ALA ALA E . n 
B 2 372 PRO 372 373 373 PRO PRO E . n 
B 2 373 ALA 373 374 374 ALA ALA E . n 
B 2 374 ALA 374 375 375 ALA ALA E . n 
B 2 375 VAL 375 376 376 VAL VAL E . n 
B 2 376 GLY 376 377 377 GLY GLY E . n 
B 2 377 THR 377 378 378 THR THR E . n 
B 2 378 GLY 378 379 379 GLY GLY E . n 
B 2 379 MET 379 380 380 MET MET E . n 
B 2 380 THR 380 381 381 THR THR E . n 
B 2 381 VAL 381 382 382 VAL VAL E . n 
B 2 382 ASN 382 383 383 ASN ASN E . n 
B 2 383 GLU 383 384 384 GLU GLU E . n 
B 2 384 GLN 384 385 385 GLN GLN E . n 
B 2 385 GLN 385 386 386 GLN GLN E . n 
B 2 386 GLN 386 387 387 GLN GLN E . n 
B 2 387 THR 387 388 388 THR THR E . n 
B 2 388 ALA 388 389 389 ALA ALA E . n 
B 2 389 ALA 389 390 390 ALA ALA E . n 
B 2 390 VAL 390 391 391 VAL VAL E . n 
B 2 391 THR 391 392 392 THR THR E . n 
B 2 392 ALA 392 393 393 ALA ALA E . n 
B 2 393 ASN 393 394 394 ASN ASN E . n 
B 2 394 THR 394 395 395 THR THR E . n 
B 2 395 VAL 395 396 396 VAL VAL E . n 
B 2 396 ALA 396 397 397 ALA ALA E . n 
B 2 397 LEU 397 398 398 LEU LEU E . n 
B 2 398 ILE 398 399 399 ILE ILE E . n 
B 2 399 GLY 399 400 400 GLY GLY E . n 
B 2 400 TYR 400 401 401 TYR TYR E . n 
B 2 401 GLY 401 402 402 GLY GLY E . n 
B 2 402 ASN 402 403 403 ASN ASN E . n 
B 2 403 ILE 403 404 404 ILE ILE E . n 
B 2 404 PRO 404 405 405 PRO PRO E . n 
B 2 405 ALA 405 406 406 ALA ALA E . n 
B 2 406 VAL 406 407 407 VAL VAL E . n 
B 2 407 GLU 407 408 408 GLU GLU E . n 
B 2 408 MET 408 409 409 MET MET E . n 
B 2 409 ASN 409 410 410 ASN ASN E . n 
B 2 410 LEU 410 411 411 LEU LEU E . n 
B 2 411 PRO 411 412 412 PRO PRO E . n 
B 2 412 ALA 412 413 413 ALA ALA E . n 
B 2 413 ASN 413 414 414 ASN ASN E . n 
B 2 414 LEU 414 415 415 LEU LEU E . n 
B 2 415 LYS 415 416 416 LYS LYS E . n 
B 2 416 ARG 416 417 417 ARG ARG E . n 
B 2 417 THR 417 418 418 THR THR E . n 
B 2 418 PHE 418 419 419 PHE PHE E . n 
B 2 419 LEU 419 420 420 LEU LEU E . n 
B 2 420 TYR 420 421 421 TYR TYR E . n 
B 2 421 SER 421 422 422 SER SER E . n 
B 2 422 ASN 422 423 423 ASN ASN E . n 
B 2 423 VAL 423 424 424 VAL VAL E . n 
B 2 424 ALA 424 425 425 ALA ALA E . n 
B 2 425 MET 425 426 426 MET MET E . n 
B 2 426 TYR 426 427 427 TYR TYR E . n 
B 2 427 LEU 427 428 428 LEU LEU E . n 
B 2 428 PRO 428 429 429 PRO PRO E . n 
B 2 429 ASP 429 430 430 ASP ASP E . n 
B 2 430 THR 430 431 431 THR THR E . n 
B 2 431 TYR 431 432 432 TYR TYR E . n 
B 2 432 LYS 432 433 433 LYS LYS E . n 
B 2 433 PHE 433 434 434 PHE PHE E . n 
B 2 434 THR 434 435 435 THR THR E . n 
B 2 435 PRO 435 436 436 PRO PRO E . n 
B 2 436 ALA 436 437 437 ALA ALA E . n 
B 2 437 ASN 437 438 438 ASN ASN E . n 
B 2 438 VAL 438 439 439 VAL VAL E . n 
B 2 439 ASP 439 440 440 ASP ASP E . n 
B 2 440 LEU 440 441 441 LEU LEU E . n 
B 2 441 PRO 441 442 442 PRO PRO E . n 
B 2 442 GLU 442 443 443 GLU GLU E . n 
B 2 443 ASN 443 444 444 ASN ASN E . n 
B 2 444 HIS 444 445 445 HIS HIS E . n 
B 2 445 LEU 445 446 446 LEU LEU E . n 
B 2 446 SER 446 447 447 SER SER E . n 
B 2 447 TYR 447 448 448 TYR TYR E . n 
B 2 448 GLY 448 449 449 GLY GLY E . n 
B 2 449 TYR 449 450 450 TYR TYR E . n 
B 2 450 ILE 450 451 451 ILE ILE E . n 
B 2 451 ASN 451 452 452 ASN ASN E . n 
B 2 452 GLY 452 453 453 GLY GLY E . n 
B 2 453 ARG 453 454 454 ARG ARG E . n 
B 2 454 LEU 454 455 455 LEU LEU E . n 
B 2 455 PRO 455 456 456 PRO PRO E . n 
B 2 456 LEU 456 457 457 LEU LEU E . n 
B 2 457 PRO 457 458 458 PRO PRO E . n 
B 2 458 ASN 458 459 459 ASN ASN E . n 
B 2 459 ILE 459 460 460 ILE ILE E . n 
B 2 460 VAL 460 461 461 VAL VAL E . n 
B 2 461 ASP 461 462 462 ASP ASP E . n 
B 2 462 THR 462 463 463 THR THR E . n 
B 2 463 TRP 463 464 464 TRP TRP E . n 
B 2 464 THR 464 465 465 THR THR E . n 
B 2 465 ASP 465 466 466 ASP ASP E . n 
B 2 466 ILE 466 467 467 ILE ILE E . n 
B 2 467 GLY 467 468 468 GLY GLY E . n 
B 2 468 ALA 468 469 469 ALA ALA E . n 
B 2 469 ARG 469 470 470 ARG ARG E . n 
B 2 470 TRP 470 471 471 TRP TRP E . n 
B 2 471 SER 471 472 472 SER SER E . n 
B 2 472 LEU 472 473 473 LEU LEU E . n 
B 2 473 ASP 473 474 474 ASP ASP E . n 
B 2 474 VAL 474 475 475 VAL VAL E . n 
B 2 475 MET 475 476 476 MET MET E . n 
B 2 476 ASP 476 477 477 ASP ASP E . n 
B 2 477 THR 477 478 478 THR THR E . n 
B 2 478 VAL 478 479 479 VAL VAL E . n 
B 2 479 ASN 479 480 480 ASN ASN E . n 
B 2 480 PRO 480 481 481 PRO PRO E . n 
B 2 481 PHE 481 482 482 PHE PHE E . n 
B 2 482 ASN 482 483 483 ASN ASN E . n 
B 2 483 HIS 483 484 484 HIS HIS E . n 
B 2 484 HIS 484 485 485 HIS HIS E . n 
B 2 485 ARG 485 486 486 ARG ARG E . n 
B 2 486 ASN 486 487 487 ASN ASN E . n 
B 2 487 THR 487 488 488 THR THR E . n 
B 2 488 GLY 488 489 489 GLY GLY E . n 
B 2 489 LEU 489 490 490 LEU LEU E . n 
B 2 490 LYS 490 491 491 LYS LYS E . n 
B 2 491 TYR 491 492 492 TYR TYR E . n 
B 2 492 ARG 492 493 493 ARG ARG E . n 
B 2 493 SER 493 494 494 SER SER E . n 
B 2 494 GLN 494 495 495 GLN GLN E . n 
B 2 495 LEU 495 496 496 LEU LEU E . n 
B 2 496 LEU 496 497 497 LEU LEU E . n 
B 2 497 GLY 497 498 498 GLY GLY E . n 
B 2 498 ASN 498 499 499 ASN ASN E . n 
B 2 499 GLY 499 500 500 GLY GLY E . n 
B 2 500 ARG 500 501 501 ARG ARG E . n 
B 2 501 TYR 501 502 502 TYR TYR E . n 
B 2 502 CYS 502 503 503 CYS CYS E . n 
B 2 503 ASP 503 504 504 ASP ASP E . n 
B 2 504 PHE 504 505 505 PHE PHE E . n 
B 2 505 HIS 505 506 506 HIS HIS E . n 
B 2 506 ILE 506 507 507 ILE ILE E . n 
B 2 507 GLN 507 508 508 GLN GLN E . n 
B 2 508 VAL 508 509 509 VAL VAL E . n 
B 2 509 PRO 509 510 510 PRO PRO E . n 
B 2 510 GLN 510 511 511 GLN GLN E . n 
B 2 511 LYS 511 512 512 LYS LYS E . n 
B 2 512 PHE 512 513 513 PHE PHE E . n 
B 2 513 PHE 513 514 514 PHE PHE E . n 
B 2 514 ALA 514 515 515 ALA ALA E . n 
B 2 515 ILE 515 516 516 ILE ILE E . n 
B 2 516 LYS 516 517 517 LYS LYS E . n 
B 2 517 ASN 517 518 518 ASN ASN E . n 
B 2 518 LEU 518 519 519 LEU LEU E . n 
B 2 519 LEU 519 520 520 LEU LEU E . n 
B 2 520 LEU 520 521 521 LEU LEU E . n 
B 2 521 LEU 521 522 522 LEU LEU E . n 
B 2 522 PRO 522 523 523 PRO PRO E . n 
B 2 523 GLY 523 524 524 GLY GLY E . n 
B 2 524 THR 524 525 525 THR THR E . n 
B 2 525 TYR 525 526 526 TYR TYR E . n 
B 2 526 ASN 526 527 527 ASN ASN E . n 
B 2 527 TYR 527 528 528 TYR TYR E . n 
B 2 528 GLU 528 529 529 GLU GLU E . n 
B 2 529 TRP 529 530 530 TRP TRP E . n 
B 2 530 TYR 530 531 531 TYR TYR E . n 
B 2 531 PHE 531 532 532 PHE PHE E . n 
B 2 532 ARG 532 533 533 ARG ARG E . n 
B 2 533 LYS 533 534 534 LYS LYS E . n 
B 2 534 ASP 534 535 535 ASP ASP E . n 
B 2 535 PRO 535 536 536 PRO PRO E . n 
B 2 536 ASN 536 537 537 ASN ASN E . n 
B 2 537 MET 537 538 538 MET MET E . n 
B 2 538 VAL 538 539 539 VAL VAL E . n 
B 2 539 LEU 539 540 540 LEU LEU E . n 
B 2 540 GLN 540 541 541 GLN GLN E . n 
B 2 541 SER 541 542 542 SER SER E . n 
B 2 542 THR 542 543 543 THR THR E . n 
B 2 543 LEU 543 544 544 LEU LEU E . n 
B 2 544 GLY 544 545 545 GLY GLY E . n 
B 2 545 ASN 545 546 546 ASN ASN E . n 
B 2 546 ASP 546 547 547 ASP ASP E . n 
B 2 547 LEU 547 548 548 LEU LEU E . n 
B 2 548 ARG 548 549 549 ARG ARG E . n 
B 2 549 ALA 549 550 550 ALA ALA E . n 
B 2 550 ASP 550 551 551 ASP ASP E . n 
B 2 551 GLY 551 552 552 GLY GLY E . n 
B 2 552 ALA 552 553 553 ALA ALA E . n 
B 2 553 SER 553 554 554 SER SER E . n 
B 2 554 ILE 554 555 555 ILE ILE E . n 
B 2 555 THR 555 556 556 THR THR E . n 
B 2 556 TYR 556 557 557 TYR TYR E . n 
B 2 557 THR 557 558 558 THR THR E . n 
B 2 558 GLN 558 559 559 GLN GLN E . n 
B 2 559 ILE 559 560 560 ILE ILE E . n 
B 2 560 ASN 560 561 561 ASN ASN E . n 
B 2 561 LEU 561 562 562 LEU LEU E . n 
B 2 562 TYR 562 563 563 TYR TYR E . n 
B 2 563 VAL 563 564 564 VAL VAL E . n 
B 2 564 SER 564 565 565 SER SER E . n 
B 2 565 PHE 565 566 566 PHE PHE E . n 
B 2 566 PHE 566 567 567 PHE PHE E . n 
B 2 567 PRO 567 568 568 PRO PRO E . n 
B 2 568 MET 568 569 569 MET MET E . n 
B 2 569 ASN 569 570 570 ASN ASN E . n 
B 2 570 TYR 570 571 571 TYR TYR E . n 
B 2 571 ASP 571 572 572 ASP ASP E . n 
B 2 572 THR 572 573 573 THR THR E . n 
B 2 573 GLN 573 574 574 GLN GLN E . n 
B 2 574 SER 574 575 575 SER SER E . n 
B 2 575 GLU 575 576 576 GLU GLU E . n 
B 2 576 LEU 576 577 577 LEU LEU E . n 
B 2 577 GLU 577 578 578 GLU GLU E . n 
B 2 578 LEU 578 579 579 LEU LEU E . n 
B 2 579 MET 579 580 580 MET MET E . n 
B 2 580 LEU 580 581 581 LEU LEU E . n 
B 2 581 ARG 581 582 582 ARG ARG E . n 
B 2 582 ASN 582 583 583 ASN ASN E . n 
B 2 583 ALA 583 584 584 ALA ALA E . n 
B 2 584 THR 584 585 585 THR THR E . n 
B 2 585 ASN 585 586 586 ASN ASN E . n 
B 2 586 ASP 586 587 587 ASP ASP E . n 
B 2 587 GLN 587 588 588 GLN GLN E . n 
B 2 588 ASN 588 589 589 ASN ASN E . n 
B 2 589 PHE 589 590 590 PHE PHE E . n 
B 2 590 SER 590 591 591 SER SER E . n 
B 2 591 ASP 591 592 592 ASP ASP E . n 
B 2 592 TYR 592 593 593 TYR TYR E . n 
B 2 593 LEU 593 594 594 LEU LEU E . n 
B 2 594 GLY 594 595 595 GLY GLY E . n 
B 2 595 ALA 595 596 596 ALA ALA E . n 
B 2 596 VAL 596 597 597 VAL VAL E . n 
B 2 597 ASN 597 598 598 ASN ASN E . n 
B 2 598 ASN 598 599 599 ASN ASN E . n 
B 2 599 LEU 599 600 600 LEU LEU E . n 
B 2 600 TYR 600 601 601 TYR TYR E . n 
B 2 601 GLN 601 602 602 GLN GLN E . n 
B 2 602 ILE 602 603 603 ILE ILE E . n 
B 2 603 PRO 603 604 604 PRO PRO E . n 
B 2 604 ALA 604 605 605 ALA ALA E . n 
B 2 605 GLY 605 606 606 GLY GLY E . n 
B 2 606 SER 606 607 607 SER SER E . n 
B 2 607 SER 607 608 608 SER SER E . n 
B 2 608 THR 608 609 609 THR THR E . n 
B 2 609 VAL 609 610 610 VAL VAL E . n 
B 2 610 VAL 610 611 611 VAL VAL E . n 
B 2 611 VAL 611 612 612 VAL VAL E . n 
B 2 612 ASN 612 613 613 ASN ASN E . n 
B 2 613 ILE 613 614 614 ILE ILE E . n 
B 2 614 PRO 614 615 615 PRO PRO E . n 
B 2 615 ASP 615 616 616 ASP ASP E . n 
B 2 616 ARG 616 617 617 ARG ARG E . n 
B 2 617 SER 617 618 618 SER SER E . n 
B 2 618 TRP 618 619 619 TRP TRP E . n 
B 2 619 GLY 619 620 620 GLY GLY E . n 
B 2 620 ALA 620 621 621 ALA ALA E . n 
B 2 621 PHE 621 622 622 PHE PHE E . n 
B 2 622 ARG 622 623 623 ARG ARG E . n 
B 2 623 GLY 623 624 624 GLY GLY E . n 
B 2 624 TRP 624 625 625 TRP TRP E . n 
B 2 625 SER 625 626 626 SER SER E . n 
B 2 626 PHE 626 627 627 PHE PHE E . n 
B 2 627 THR 627 628 628 THR THR E . n 
B 2 628 ARG 628 629 629 ARG ARG E . n 
B 2 629 LEU 629 630 630 LEU LEU E . n 
B 2 630 LYS 630 631 631 LYS LYS E . n 
B 2 631 VAL 631 632 632 VAL VAL E . n 
B 2 632 SER 632 633 633 SER SER E . n 
B 2 633 GLU 633 634 634 GLU GLU E . n 
B 2 634 THR 634 635 635 THR THR E . n 
B 2 635 PRO 635 636 636 PRO PRO E . n 
B 2 636 ARG 636 637 637 ARG ARG E . n 
B 2 637 ILE 637 638 638 ILE ILE E . n 
B 2 638 GLY 638 639 639 GLY GLY E . n 
B 2 639 ALA 639 640 640 ALA ALA E . n 
B 2 640 THR 640 641 641 THR THR E . n 
B 2 641 GLN 641 642 642 GLN GLN E . n 
B 2 642 ASP 642 643 643 ASP ASP E . n 
B 2 643 PRO 643 644 644 PRO PRO E . n 
B 2 644 ASN 644 645 645 ASN ASN E . n 
B 2 645 PHE 645 646 646 PHE PHE E . n 
B 2 646 GLN 646 647 647 GLN GLN E . n 
B 2 647 TYR 647 648 648 TYR TYR E . n 
B 2 648 SER 648 649 649 SER SER E . n 
B 2 649 GLY 649 650 650 GLY GLY E . n 
B 2 650 SER 650 651 651 SER SER E . n 
B 2 651 ILE 651 652 652 ILE ILE E . n 
B 2 652 PRO 652 653 653 PRO PRO E . n 
B 2 653 TYR 653 654 654 TYR TYR E . n 
B 2 654 LEU 654 655 655 LEU LEU E . n 
B 2 655 ASP 655 656 656 ASP ASP E . n 
B 2 656 GLY 656 657 657 GLY GLY E . n 
B 2 657 THR 657 658 658 THR THR E . n 
B 2 658 PHE 658 659 659 PHE PHE E . n 
B 2 659 TYR 659 660 660 TYR TYR E . n 
B 2 660 LEU 660 661 661 LEU LEU E . n 
B 2 661 SER 661 662 662 SER SER E . n 
B 2 662 HIS 662 663 663 HIS HIS E . n 
B 2 663 THR 663 664 664 THR THR E . n 
B 2 664 PHE 664 665 665 PHE PHE E . n 
B 2 665 GLN 665 666 666 GLN GLN E . n 
B 2 666 ARG 666 667 667 ARG ARG E . n 
B 2 667 CYS 667 668 668 CYS CYS E . n 
B 2 668 SER 668 669 669 SER SER E . n 
B 2 669 ILE 669 670 670 ILE ILE E . n 
B 2 670 GLN 670 671 671 GLN GLN E . n 
B 2 671 TRP 671 672 672 TRP TRP E . n 
B 2 672 ASP 672 673 673 ASP ASP E . n 
B 2 673 SER 673 674 674 SER SER E . n 
B 2 674 SER 674 675 675 SER SER E . n 
B 2 675 VAL 675 676 676 VAL VAL E . n 
B 2 676 PRO 676 677 677 PRO PRO E . n 
B 2 677 TRP 677 678 678 TRP TRP E . n 
B 2 678 PRO 678 679 679 PRO PRO E . n 
B 2 679 GLY 679 680 680 GLY GLY E . n 
B 2 680 ASN 680 681 681 ASN ASN E . n 
B 2 681 ASP 681 682 682 ASP ASP E . n 
B 2 682 ARG 682 683 683 ARG ARG E . n 
B 2 683 MET 683 684 684 MET MET E . n 
B 2 684 LEU 684 685 685 LEU LEU E . n 
B 2 685 THR 685 686 686 THR THR E . n 
B 2 686 PRO 686 687 687 PRO PRO E . n 
B 2 687 ASN 687 688 688 ASN ASN E . n 
B 2 688 TRP 688 689 689 TRP TRP E . n 
B 2 689 PHE 689 690 690 PHE PHE E . n 
B 2 690 GLU 690 691 691 GLU GLU E . n 
B 2 691 ILE 691 692 692 ILE ILE E . n 
B 2 692 LYS 692 693 693 LYS LYS E . n 
B 2 693 ARG 693 694 694 ARG ARG E . n 
B 2 694 PRO 694 695 695 PRO PRO E . n 
B 2 695 ILE 695 696 696 ILE ILE E . n 
B 2 696 ASN 696 697 697 ASN ASN E . n 
B 2 697 GLN 697 698 698 GLN GLN E . n 
B 2 698 ASP 698 699 699 ASP ASP E . n 
B 2 699 ALA 699 700 700 ALA ALA E . n 
B 2 700 GLU 700 701 701 GLU GLU E . n 
B 2 701 GLY 701 702 702 GLY GLY E . n 
B 2 702 ASN 702 703 703 ASN ASN E . n 
B 2 703 ASP 703 704 704 ASP ASP E . n 
B 2 704 THR 704 705 705 THR THR E . n 
B 2 705 MET 705 706 706 MET MET E . n 
B 2 706 GLN 706 707 707 GLN GLN E . n 
B 2 707 SER 707 708 708 SER SER E . n 
B 2 708 ASN 708 709 709 ASN ASN E . n 
B 2 709 LEU 709 710 710 LEU LEU E . n 
B 2 710 THR 710 711 711 THR THR E . n 
B 2 711 LYS 711 712 712 LYS LYS E . n 
B 2 712 ASP 712 713 713 ASP ASP E . n 
B 2 713 PHE 713 714 714 PHE PHE E . n 
B 2 714 PHE 714 715 715 PHE PHE E . n 
B 2 715 MET 715 716 716 MET MET E . n 
B 2 716 VAL 716 717 717 VAL VAL E . n 
B 2 717 GLN 717 718 718 GLN GLN E . n 
B 2 718 MET 718 719 719 MET MET E . n 
B 2 719 ALA 719 720 720 ALA ALA E . n 
B 2 720 ALA 720 721 721 ALA ALA E . n 
B 2 721 SER 721 722 722 SER SER E . n 
B 2 722 TYR 722 723 723 TYR TYR E . n 
B 2 723 ASN 723 724 724 ASN ASN E . n 
B 2 724 GLN 724 725 725 GLN GLN E . n 
B 2 725 GLY 725 726 726 GLY GLY E . n 
B 2 726 TYR 726 727 727 TYR TYR E . n 
B 2 727 GLN 727 728 728 GLN GLN E . n 
B 2 728 GLY 728 729 729 GLY GLY E . n 
B 2 729 PHE 729 730 730 PHE PHE E . n 
B 2 730 ASN 730 731 731 ASN ASN E . n 
B 2 731 TRP 731 732 732 TRP TRP E . n 
B 2 732 PRO 732 733 733 PRO PRO E . n 
B 2 733 ASN 733 734 734 ASN ASN E . n 
B 2 734 CYS 734 735 735 CYS CYS E . n 
B 2 735 THR 735 736 736 THR THR E . n 
B 2 736 LYS 736 737 737 LYS LYS E . n 
B 2 737 HIS 737 738 738 HIS HIS E . n 
B 2 738 TYR 738 739 739 TYR TYR E . n 
B 2 739 GLY 739 740 740 GLY GLY E . n 
B 2 740 PHE 740 741 741 PHE PHE E . n 
B 2 741 ILE 741 742 742 ILE ILE E . n 
B 2 742 ASN 742 743 743 ASN ASN E . n 
B 2 743 ASN 743 744 744 ASN ASN E . n 
B 2 744 PHE 744 745 745 PHE PHE E . n 
B 2 745 GLU 745 746 746 GLU GLU E . n 
B 2 746 PRO 746 747 747 PRO PRO E . n 
B 2 747 MET 747 748 748 MET MET E . n 
B 2 748 SER 748 749 749 SER SER E . n 
B 2 749 ARG 749 750 750 ARG ARG E . n 
B 2 750 GLN 750 751 751 GLN GLN E . n 
B 2 751 VAL 751 752 752 VAL VAL E . n 
B 2 752 PRO 752 753 753 PRO PRO E . n 
B 2 753 GLU 753 754 754 GLU GLU E . n 
B 2 754 TYR 754 755 755 TYR TYR E . n 
B 2 755 GLY 755 756 756 GLY GLY E . n 
B 2 756 ALA 756 757 757 ALA ALA E . n 
B 2 757 ASN 757 758 758 ASN ASN E . n 
B 2 758 TYR 758 759 759 TYR TYR E . n 
B 2 759 PRO 759 760 760 PRO PRO E . n 
B 2 760 ASN 760 761 761 ASN ASN E . n 
B 2 761 LEU 761 762 762 LEU LEU E . n 
B 2 762 MET 762 763 763 MET MET E . n 
B 2 763 ALA 763 764 764 ALA ALA E . n 
B 2 764 ALA 764 765 765 ALA ALA E . n 
B 2 765 TYR 765 766 766 TYR TYR E . n 
B 2 766 LEU 766 767 767 LEU LEU E . n 
B 2 767 ALA 767 768 768 ALA ALA E . n 
B 2 768 ASN 768 769 769 ASN ASN E . n 
B 2 769 PRO 769 770 770 PRO PRO E . n 
B 2 770 GLN 770 771 771 GLN GLN E . n 
B 2 771 THR 771 772 772 THR THR E . n 
B 2 772 MET 772 773 773 MET MET E . n 
B 2 773 PRO 773 774 774 PRO PRO E . n 
B 2 774 ILE 774 775 775 ILE ILE E . n 
B 2 775 TRP 775 776 776 TRP TRP E . n 
B 2 776 ASN 776 777 777 ASN ASN E . n 
B 2 777 ASN 777 778 778 ASN ASN E . n 
B 2 778 CYS 778 779 779 CYS CYS E . n 
B 2 779 GLY 779 780 780 GLY GLY E . n 
B 2 780 PHE 780 781 781 PHE PHE E . n 
B 2 781 GLN 781 782 782 GLN GLN E . n 
B 2 782 GLN 782 783 783 GLN GLN E . n 
B 2 783 LYS 783 784 784 LYS LYS E . n 
B 2 784 THR 784 785 785 THR THR E . n 
B 2 785 ALA 785 786 786 ALA ALA E . n 
B 2 786 THR 786 787 787 THR THR E . n 
B 2 787 ASN 787 788 788 ASN ASN E . n 
B 2 788 VAL 788 789 789 VAL VAL E . n 
B 2 789 LEU 789 790 790 LEU LEU E . n 
B 2 790 LEU 790 791 791 LEU LEU E . n 
B 2 791 GLU 791 792 792 GLU GLU E . n 
B 2 792 ARG 792 793 793 ARG ARG E . n 
B 2 793 CYS 793 794 794 CYS CYS E . n 
B 2 794 GLY 794 795 795 GLY GLY E . n 
B 2 795 HIS 795 796 796 HIS HIS E . n 
B 2 796 PRO 796 797 797 PRO PRO E . n 
B 2 797 TYR 797 798 798 TYR TYR E . n 
B 2 798 VAL 798 799 799 VAL VAL E . n 
B 2 799 ALA 799 800 800 ALA ALA E . n 
B 2 800 ASN 800 801 801 ASN ASN E . n 
B 2 801 TRP 801 802 802 TRP TRP E . n 
B 2 802 PRO 802 803 803 PRO PRO E . n 
B 2 803 TYR 803 804 804 TYR TYR E . n 
B 2 804 PRO 804 805 805 PRO PRO E . n 
B 2 805 LEU 805 806 806 LEU LEU E . n 
B 2 806 SER 806 807 807 SER SER E . n 
B 2 807 GLY 807 808 808 GLY GLY E . n 
B 2 808 ARG 808 809 809 ARG ARG E . n 
B 2 809 ASN 809 810 810 ASN ASN E . n 
B 2 810 ALA 810 811 811 ALA ALA E . n 
B 2 811 VAL 811 812 812 VAL VAL E . n 
B 2 812 PRO 812 813 813 PRO PRO E . n 
B 2 813 ASN 813 814 814 ASN ASN E . n 
B 2 814 GLN 814 815 815 GLN GLN E . n 
B 2 815 VAL 815 816 816 VAL VAL E . n 
B 2 816 THR 816 817 817 THR THR E . n 
B 2 817 GLU 817 818 818 GLU GLU E . n 
B 2 818 ARG 818 819 819 ARG ARG E . n 
B 2 819 LYS 819 820 820 LYS LYS E . n 
B 2 820 PHE 820 821 821 PHE PHE E . n 
B 2 821 LEU 821 822 822 LEU LEU E . n 
B 2 822 VAL 822 823 823 VAL VAL E . n 
B 2 823 ASP 823 824 824 ASP ASP E . n 
B 2 824 ARG 824 825 825 ARG ARG E . n 
B 2 825 TYR 825 826 826 TYR TYR E . n 
B 2 826 LEU 826 827 827 LEU LEU E . n 
B 2 827 TRP 827 828 828 TRP TRP E . n 
B 2 828 GLN 828 829 829 GLN GLN E . n 
B 2 829 ILE 829 830 830 ILE ILE E . n 
B 2 830 PRO 830 831 831 PRO PRO E . n 
B 2 831 PHE 831 832 832 PHE PHE E . n 
B 2 832 SER 832 833 833 SER SER E . n 
B 2 833 SER 833 834 834 SER SER E . n 
B 2 834 ASN 834 835 835 ASN ASN E . n 
B 2 835 PHE 835 836 836 PHE PHE E . n 
B 2 836 LEU 836 837 837 LEU LEU E . n 
B 2 837 ASN 837 838 838 ASN ASN E . n 
B 2 838 MET 838 839 839 MET MET E . n 
B 2 839 GLY 839 840 840 GLY GLY E . n 
B 2 840 THR 840 841 841 THR THR E . n 
B 2 841 LEU 841 842 842 LEU LEU E . n 
B 2 842 THR 842 843 843 THR THR E . n 
B 2 843 ASP 843 844 844 ASP ASP E . n 
B 2 844 LEU 844 845 845 LEU LEU E . n 
B 2 845 GLY 845 846 846 GLY GLY E . n 
B 2 846 GLN 846 847 847 GLN GLN E . n 
B 2 847 ASN 847 848 848 ASN ASN E . n 
B 2 848 VAL 848 849 849 VAL VAL E . n 
B 2 849 MET 849 850 850 MET MET E . n 
B 2 850 TYR 850 851 851 TYR TYR E . n 
B 2 851 ALA 851 852 852 ALA ALA E . n 
B 2 852 ASN 852 853 853 ASN ASN E . n 
B 2 853 SER 853 854 854 SER SER E . n 
B 2 854 SER 854 855 855 SER SER E . n 
B 2 855 HIS 855 856 856 HIS HIS E . n 
B 2 856 SER 856 857 857 SER SER E . n 
B 2 857 LEU 857 858 858 LEU LEU E . n 
B 2 858 ASN 858 859 859 ASN ASN E . n 
B 2 859 MET 859 860 860 MET MET E . n 
B 2 860 GLN 860 861 861 GLN GLN E . n 
B 2 861 PHE 861 862 862 PHE PHE E . n 
B 2 862 THR 862 863 863 THR THR E . n 
B 2 863 VAL 863 864 864 VAL VAL E . n 
B 2 864 ASP 864 865 865 ASP ASP E . n 
B 2 865 PRO 865 866 866 PRO PRO E . n 
B 2 866 MET 866 867 867 MET MET E . n 
B 2 867 THR 867 868 868 THR THR E . n 
B 2 868 GLU 868 869 869 GLU GLU E . n 
B 2 869 PRO 869 870 870 PRO PRO E . n 
B 2 870 THR 870 871 871 THR THR E . n 
B 2 871 TYR 871 872 872 TYR TYR E . n 
B 2 872 LEU 872 873 873 LEU LEU E . n 
B 2 873 MET 873 874 874 MET MET E . n 
B 2 874 LEU 874 875 875 LEU LEU E . n 
B 2 875 LEU 875 876 876 LEU LEU E . n 
B 2 876 PHE 876 877 877 PHE PHE E . n 
B 2 877 GLY 877 878 878 GLY GLY E . n 
B 2 878 VAL 878 879 879 VAL VAL E . n 
B 2 879 PHE 879 880 880 PHE PHE E . n 
B 2 880 ASP 880 881 881 ASP ASP E . n 
B 2 881 GLN 881 882 882 GLN GLN E . n 
B 2 882 VAL 882 883 883 VAL VAL E . n 
B 2 883 VAL 883 884 884 VAL VAL E . n 
B 2 884 ILE 884 885 885 ILE ILE E . n 
B 2 885 ASN 885 886 886 ASN ASN E . n 
B 2 886 GLN 886 887 887 GLN GLN E . n 
B 2 887 PRO 887 888 888 PRO PRO E . n 
B 2 888 THR 888 889 889 THR THR E . n 
B 2 889 ARG 889 890 890 ARG ARG E . n 
B 2 890 SER 890 891 891 SER SER E . n 
B 2 891 GLY 891 892 892 GLY GLY E . n 
B 2 892 ILE 892 893 893 ILE ILE E . n 
B 2 893 SER 893 894 894 SER SER E . n 
B 2 894 VAL 894 895 895 VAL VAL E . n 
B 2 895 ALA 895 896 896 ALA ALA E . n 
B 2 896 TYR 896 897 897 TYR TYR E . n 
B 2 897 LEU 897 898 898 LEU LEU E . n 
B 2 898 ARG 898 899 899 ARG ARG E . n 
B 2 899 LEU 899 900 900 LEU LEU E . n 
B 2 900 PRO 900 901 901 PRO PRO E . n 
B 2 901 PHE 901 902 902 PHE PHE E . n 
B 2 902 ALA 902 903 903 ALA ALA E . n 
B 2 903 SER 903 904 904 SER SER E . n 
B 2 904 GLY 904 905 905 GLY GLY E . n 
B 2 905 SER 905 906 906 SER SER E . n 
B 2 906 ALA 906 907 907 ALA ALA E . n 
C 3 1   MET 1   1   1   MET MET F . n 
C 3 2   GLU 2   2   2   GLU GLU F . n 
C 3 3   PRO 3   3   3   PRO PRO F . n 
C 3 4   GLN 4   4   4   GLN GLN F . n 
C 3 5   ARG 5   5   5   ARG ARG F . n 
C 3 6   GLU 6   6   6   GLU GLU F . n 
C 3 7   PHE 7   7   7   PHE PHE F . n 
C 3 8   PHE 8   8   8   PHE PHE F . n 
C 3 9   HIS 9   9   9   HIS HIS F . n 
C 3 10  ILE 10  10  10  ILE ILE F . n 
C 3 11  ALA 11  11  11  ALA ALA F . n 
C 3 12  GLY 12  12  12  GLY GLY F . n 
C 3 13  ARG 13  13  13  ARG ARG F . n 
C 3 14  SER 14  14  14  SER SER F . n 
C 3 15  ALA 15  15  15  ALA ALA F . n 
C 3 16  LYS 16  16  16  LYS LYS F . n 
C 3 17  GLU 17  17  17  GLU GLU F . n 
C 3 18  TYR 18  18  18  TYR TYR F . n 
C 3 19  LEU 19  19  19  LEU LEU F . n 
C 3 20  SER 20  20  20  SER SER F . n 
C 3 21  GLU 21  21  21  GLU GLU F . n 
C 3 22  ASN 22  22  22  ASN ASN F . n 
C 3 23  LEU 23  23  23  LEU LEU F . n 
C 3 24  VAL 24  24  24  VAL VAL F . n 
C 3 25  GLN 25  25  25  GLN GLN F . n 
C 3 26  PHE 26  26  26  PHE PHE F . n 
C 3 27  ILE 27  27  27  ILE ILE F . n 
C 3 28  GLN 28  28  28  GLN GLN F . n 
C 3 29  ALA 29  29  29  ALA ALA F . n 
C 3 30  THR 30  30  30  THR THR F . n 
C 3 31  GLN 31  31  31  GLN GLN F . n 
C 3 32  ASN 32  32  32  ASN ASN F . n 
C 3 33  TYR 33  33  33  TYR TYR F . n 
C 3 34  PHE 34  34  34  PHE PHE F . n 
C 3 35  ASN 35  35  35  ASN ASN F . n 
C 3 36  ILE 36  36  36  ILE ILE F . n 
C 3 37  GLY 37  37  37  GLY GLY F . n 
C 3 38  GLU 38  38  38  GLU GLU F . n 
C 3 39  LYS 39  39  39  LYS LYS F . n 
C 3 40  PHE 40  40  40  PHE PHE F . n 
C 3 41  ARG 41  41  41  ARG ARG F . n 
C 3 42  ASP 42  42  42  ASP ASP F . n 
C 3 43  PRO 43  43  43  PRO PRO F . n 
C 3 44  TYR 44  44  44  TYR TYR F . n 
C 3 45  VAL 45  45  45  VAL VAL F . n 
C 3 46  ALA 46  46  46  ALA ALA F . n 
C 3 47  PRO 47  47  47  PRO PRO F . n 
C 3 48  SER 48  48  48  SER SER F . n 
C 3 49  ALA 49  49  49  ALA ALA F . n 
C 3 50  GLY 50  50  50  GLY GLY F . n 
C 3 51  VAL 51  51  51  VAL VAL F . n 
C 3 52  THR 52  52  52  THR THR F . n 
C 3 53  THR 53  53  53  THR THR F . n 
C 3 54  ASP 54  54  54  ASP ASP F . n 
C 3 55  ARG 55  55  55  ARG ARG F . n 
C 3 56  SER 56  56  56  SER SER F . n 
C 3 57  GLN 57  57  57  GLN GLN F . n 
C 3 58  LYS 58  58  58  LYS LYS F . n 
C 3 59  LEU 59  59  59  LEU LEU F . n 
C 3 60  GLN 60  60  60  GLN GLN F . n 
C 3 61  LEU 61  61  61  LEU LEU F . n 
C 3 62  ARG 62  62  62  ARG ARG F . n 
C 3 63  VAL 63  63  63  VAL VAL F . n 
C 3 64  VAL 64  64  64  VAL VAL F . n 
C 3 65  PRO 65  65  65  PRO PRO F . n 
C 3 66  ILE 66  66  66  ILE ILE F . n 
C 3 67  GLN 67  67  67  GLN GLN F . n 
C 3 68  THR 68  68  68  THR THR F . n 
C 3 69  GLU 69  69  69  GLU GLU F . n 
C 3 70  ASP 70  70  70  ASP ASP F . n 
C 3 71  ASN 71  71  71  ASN ASN F . n 
C 3 72  VAL 72  72  72  VAL VAL F . n 
C 3 73  ASN 73  73  73  ASN ASN F . n 
C 3 74  TYR 74  74  74  TYR TYR F . n 
C 3 75  TYR 75  75  75  TYR TYR F . n 
C 3 76  LYS 76  76  76  LYS LYS F . n 
C 3 77  ALA 77  77  77  ALA ALA F . n 
C 3 78  ARG 78  78  78  ARG ARG F . n 
C 3 79  PHE 79  79  79  PHE PHE F . n 
C 3 80  THR 80  80  80  THR THR F . n 
C 3 81  LEU 81  81  81  LEU LEU F . n 
C 3 82  ASN 82  82  82  ASN ASN F . n 
C 3 83  VAL 83  83  83  VAL VAL F . n 
C 3 84  GLY 84  84  84  GLY GLY F . n 
C 3 85  ASP 85  85  85  ASP ASP F . n 
C 3 86  ASN 86  86  86  ASN ASN F . n 
C 3 87  ARG 87  87  87  ARG ARG F . n 
C 3 88  LEU 88  88  88  LEU LEU F . n 
C 3 89  VAL 89  89  89  VAL VAL F . n 
C 3 90  ASP 90  90  90  ASP ASP F . n 
C 3 91  LEU 91  91  91  LEU LEU F . n 
C 3 92  GLY 92  92  92  GLY GLY F . n 
C 3 93  SER 93  93  93  SER SER F . n 
C 3 94  SER 94  94  94  SER SER F . n 
C 3 95  TYR 95  95  95  TYR TYR F . n 
C 3 96  PHE 96  96  96  PHE PHE F . n 
C 3 97  ASP 97  97  97  ASP ASP F . n 
C 3 98  ILE 98  98  98  ILE ILE F . n 
C 3 99  LYS 99  99  99  LYS LYS F . n 
C 3 100 GLY 100 100 100 GLY GLY F . n 
C 3 101 THR 101 101 101 THR THR F . n 
C 3 102 LEU 102 102 102 LEU LEU F . n 
C 3 103 ASP 103 103 103 ASP ASP F . n 
C 3 104 ARG 104 104 104 ARG ARG F . n 
C 3 105 GLY 105 105 105 GLY GLY F . n 
C 3 106 PRO 106 106 106 PRO PRO F . n 
C 3 107 SER 107 107 107 SER SER F . n 
C 3 108 PHE 108 108 108 PHE PHE F . n 
C 3 109 LYS 109 109 109 LYS LYS F . n 
C 3 110 PRO 110 110 110 PRO PRO F . n 
C 3 111 TYR 111 111 111 TYR TYR F . n 
C 3 112 GLY 112 112 112 GLY GLY F . n 
C 3 113 GLY 113 113 113 GLY GLY F . n 
C 3 114 THR 114 114 114 THR THR F . n 
C 3 115 ALA 115 115 115 ALA ALA F . n 
C 3 116 TYR 116 116 116 TYR TYR F . n 
C 3 117 ASN 117 117 117 ASN ASN F . n 
C 3 118 PRO 118 118 118 PRO PRO F . n 
C 3 119 LEU 119 119 119 LEU LEU F . n 
C 3 120 ALA 120 120 120 ALA ALA F . n 
C 3 121 PRO 121 121 121 PRO PRO F . n 
C 3 122 LYS 122 122 122 LYS LYS F . n 
C 3 123 SER 123 123 123 SER SER F . n 
C 3 124 ALA 124 124 124 ALA ALA F . n 
C 3 125 PRO 125 125 125 PRO PRO F . n 
C 3 126 ILE 126 126 126 ILE ILE F . n 
C 3 127 ASN 127 127 127 ASN ASN F . n 
C 3 128 SER 128 128 128 SER SER F . n 
C 3 129 ALA 129 129 129 ALA ALA F . n 
C 3 130 PHE 130 130 130 PHE PHE F . n 
C 3 131 THR 131 131 131 THR THR F . n 
C 3 132 VAL 132 132 132 VAL VAL F . n 
C 3 133 GLY 133 133 133 GLY GLY F . n 
C 3 134 ASN 134 134 134 ASN ASN F . n 
C 3 135 ASP 135 135 135 ASP ASP F . n 
C 3 136 THR 136 136 136 THR THR F . n 
C 3 137 HIS 137 137 137 HIS HIS F . n 
C 3 138 PHE 138 138 138 PHE PHE F . n 
C 3 139 VAL 139 139 139 VAL VAL F . n 
C 3 140 ALA 140 140 140 ALA ALA F . n 
C 3 141 GLN 141 141 141 GLN GLN F . n 
C 3 142 LEU 142 142 142 LEU LEU F . n 
C 3 143 PRO 143 143 143 PRO PRO F . n 
C 3 144 GLN 144 144 144 GLN GLN F . n 
C 3 145 THR 145 145 145 THR THR F . n 
C 3 146 TYR 146 146 146 TYR TYR F . n 
C 3 147 ALA 147 147 147 ALA ALA F . n 
C 3 148 ALA 148 148 148 ALA ALA F . n 
C 3 149 GLY 149 149 149 GLY GLY F . n 
C 3 150 GLY 150 150 150 GLY GLY F . n 
C 3 151 THR 151 151 151 THR THR F . n 
C 3 152 GLY 152 152 152 GLY GLY F . n 
C 3 153 VAL 153 153 153 VAL VAL F . n 
C 3 154 THR 154 154 154 THR THR F . n 
C 3 155 GLU 155 155 155 GLU GLU F . n 
C 3 156 ALA 156 156 156 ALA ALA F . n 
C 3 157 ILE 157 157 157 ILE ILE F . n 
C 3 158 GLN 158 158 158 GLN GLN F . n 
C 3 159 GLN 159 159 159 GLN GLN F . n 
C 3 160 GLN 160 160 160 GLN GLN F . n 
C 3 161 VAL 161 161 161 VAL VAL F . n 
C 3 162 SER 162 162 162 SER SER F . n 
C 3 163 GLY 163 163 163 GLY GLY F . n 
C 3 164 VAL 164 164 164 VAL VAL F . n 
C 3 165 ASP 165 165 165 ASP ASP F . n 
C 3 166 PRO 166 166 166 PRO PRO F . n 
C 3 167 ASN 167 167 167 ASN ASN F . n 
C 3 168 PRO 168 168 168 PRO PRO F . n 
C 3 169 GLN 169 169 169 GLN GLN F . n 
C 3 170 VAL 170 170 170 VAL VAL F . n 
C 3 171 GLY 171 171 171 GLY GLY F . n 
C 3 172 GLN 172 172 172 GLN GLN F . n 
C 3 173 PRO 173 173 173 PRO PRO F . n 
C 3 174 ASN 174 174 174 ASN ASN F . n 
C 3 175 TYR 175 175 175 TYR TYR F . n 
C 3 176 ALA 176 176 176 ALA ALA F . n 
C 3 177 GLY 177 177 177 GLY GLY F . n 
C 3 178 PRO 178 178 178 PRO PRO F . n 
C 3 179 VAL 179 179 179 VAL VAL F . n 
C 3 180 VAL 180 180 180 VAL VAL F . n 
C 3 181 VAL 181 181 181 VAL VAL F . n 
C 3 182 ASN 182 182 182 ASN ASN F . n 
C 3 183 THR 183 183 183 THR THR F . n 
C 3 184 THR 184 184 184 THR THR F . n 
C 3 185 ASN 185 185 185 ASN ASN F . n 
C 3 186 ASN 186 186 186 ASN ASN F . n 
C 3 187 ALA 187 187 187 ALA ALA F . n 
C 3 188 GLY 188 188 188 GLY GLY F . n 
C 3 189 LEU 189 189 189 LEU LEU F . n 
C 3 190 GLY 190 190 190 GLY GLY F . n 
C 3 191 ARG 191 191 191 ARG ARG F . n 
C 3 192 ILE 192 192 192 ILE ILE F . n 
C 3 193 VAL 193 193 193 VAL VAL F . n 
C 3 194 SER 194 194 194 SER SER F . n 
C 3 195 ALA 195 195 195 ALA ALA F . n 
C 3 196 ASP 196 196 196 ASP ASP F . n 
C 3 197 SER 197 197 197 SER SER F . n 
C 3 198 GLU 198 198 198 GLU GLU F . n 
C 3 199 GLY 199 199 199 GLY GLY F . n 
C 3 200 GLN 200 200 200 GLN GLN F . n 
C 3 201 GLN 201 201 201 GLN GLN F . n 
C 3 202 PHE 202 202 202 PHE PHE F . n 
C 3 203 PRO 203 203 203 PRO PRO F . n 
C 3 204 CYS 204 204 204 CYS CYS F . n 
C 3 205 TYR 205 205 205 TYR TYR F . n 
C 3 206 GLY 206 206 206 GLY GLY F . n 
C 3 207 ALA 207 207 207 ALA ALA F . n 
C 3 208 TYR 208 208 208 TYR TYR F . n 
C 3 209 ALA 209 209 209 ALA ALA F . n 
C 3 210 PRO 210 210 210 PRO PRO F . n 
C 3 211 PRO 211 211 211 PRO PRO F . n 
C 3 212 GLN 212 212 212 GLN GLN F . n 
C 3 213 SER 213 213 213 SER SER F . n 
C 3 214 ALA 214 214 214 ALA ALA F . n 
C 3 215 GLY 215 215 215 GLY GLY F . n 
C 3 216 GLY 216 216 216 GLY GLY F . n 
C 3 217 ASP 217 217 217 ASP ASP F . n 
C 3 218 VAL 218 218 218 VAL VAL F . n 
C 3 219 SER 219 219 219 SER SER F . n 
C 3 220 THR 220 220 220 THR THR F . n 
C 3 221 ALA 221 221 221 ALA ALA F . n 
C 3 222 ALA 222 222 222 ALA ALA F . n 
C 3 223 VAL 223 223 223 VAL VAL F . n 
C 3 224 THR 224 224 224 THR THR F . n 
C 3 225 LYS 225 225 225 LYS LYS F . n 
C 3 226 THR 226 226 226 THR THR F . n 
C 3 227 TYR 227 227 227 TYR TYR F . n 
C 3 228 ILE 228 228 228 ILE ILE F . n 
C 3 229 ASN 229 229 229 ASN ASN F . n 
C 3 230 THR 230 230 230 THR THR F . n 
C 3 231 THR 231 231 231 THR THR F . n 
C 3 232 ASN 232 232 232 ASN ASN F . n 
C 3 233 ASN 233 233 233 ASN ASN F . n 
C 3 234 ASN 234 234 234 ASN ASN F . n 
C 3 235 GLY 235 235 235 GLY GLY F . n 
C 3 236 ARG 236 236 236 ARG ARG F . n 
C 3 237 VAL 237 237 237 VAL VAL F . n 
C 3 238 SER 238 238 238 SER SER F . n 
C 3 239 GLY 239 239 239 GLY GLY F . n 
C 3 240 THR 240 240 240 THR THR F . n 
C 3 241 MET 241 241 241 MET MET F . n 
C 3 242 ALA 242 242 242 ALA ALA F . n 
C 3 243 THR 243 243 243 THR THR F . n 
C 3 244 ASP 244 244 244 ASP ASP F . n 
C 3 245 THR 245 245 245 THR THR F . n 
C 3 246 ILE 246 246 246 ILE ILE F . n 
C 3 247 THR 247 247 247 THR THR F . n 
C 3 248 TRP 248 248 248 TRP TRP F . n 
C 3 249 GLU 249 249 249 GLU GLU F . n 
C 3 250 ASN 250 250 250 ASN ASN F . n 
C 3 251 PRO 251 251 251 PRO PRO F . n 
C 3 252 ASP 252 252 252 ASP ASP F . n 
C 3 253 ALA 253 253 253 ALA ALA F . n 
C 3 254 HIS 254 254 254 HIS HIS F . n 
C 3 255 PHE 255 255 255 PHE PHE F . n 
C 3 256 ALA 256 256 256 ALA ALA F . n 
C 3 257 ASP 257 257 257 ASP ASP F . n 
C 3 258 PHE 258 258 258 PHE PHE F . n 
C 3 259 VAL 259 259 259 VAL VAL F . n 
C 3 260 ASP 260 260 260 ASP ASP F . n 
C 3 261 ASP 261 261 261 ASP ASP F . n 
C 3 262 ARG 262 262 262 ARG ARG F . n 
C 3 263 ARG 263 263 263 ARG ARG F . n 
C 3 264 ALA 264 264 264 ALA ALA F . n 
C 3 265 THR 265 265 265 THR THR F . n 
C 3 266 ALA 266 266 266 ALA ALA F . n 
C 3 267 ALA 267 267 267 ALA ALA F . n 
C 3 268 GLY 268 268 268 GLY GLY F . n 
C 3 269 ASN 269 269 269 ASN ASN F . n 
C 3 270 ARG 270 270 270 ARG ARG F . n 
C 3 271 PRO 271 271 271 PRO PRO F . n 
C 3 272 ASN 272 272 272 ASN ASN F . n 
C 3 273 TYR 273 273 273 TYR TYR F . n 
C 3 274 ILE 274 274 274 ILE ILE F . n 
C 3 275 GLY 275 275 275 GLY GLY F . n 
C 3 276 PHE 276 276 276 PHE PHE F . n 
C 3 277 ARG 277 277 277 ARG ARG F . n 
C 3 278 ASP 278 278 278 ASP ASP F . n 
C 3 279 ASN 279 279 279 ASN ASN F . n 
C 3 280 PHE 280 280 280 PHE PHE F . n 
C 3 281 ILE 281 281 281 ILE ILE F . n 
C 3 282 GLY 282 282 282 GLY GLY F . n 
C 3 283 MET 283 283 283 MET MET F . n 
C 3 284 MET 284 284 284 MET MET F . n 
C 3 285 TYR 285 285 285 TYR TYR F . n 
C 3 286 TYR 286 286 286 TYR TYR F . n 
C 3 287 ASN 287 287 287 ASN ASN F . n 
C 3 288 SER 288 288 288 SER SER F . n 
C 3 289 GLY 289 289 289 GLY GLY F . n 
C 3 290 SER 290 290 290 SER SER F . n 
C 3 291 ASN 291 291 291 ASN ASN F . n 
C 3 292 THR 292 292 292 THR THR F . n 
C 3 293 GLY 293 293 293 GLY GLY F . n 
C 3 294 SER 294 294 294 SER SER F . n 
C 3 295 PHE 295 295 295 PHE PHE F . n 
C 3 296 SER 296 296 296 SER SER F . n 
C 3 297 SER 297 297 297 SER SER F . n 
C 3 298 GLN 298 298 298 GLN GLN F . n 
C 3 299 THR 299 299 299 THR THR F . n 
C 3 300 GLN 300 300 300 GLN GLN F . n 
C 3 301 GLN 301 301 301 GLN GLN F . n 
C 3 302 LEU 302 302 302 LEU LEU F . n 
C 3 303 ASN 303 303 303 ASN ASN F . n 
C 3 304 ILE 304 304 304 ILE ILE F . n 
C 3 305 VAL 305 305 305 VAL VAL F . n 
C 3 306 LEU 306 306 306 LEU LEU F . n 
C 3 307 ASP 307 307 307 ASP ASP F . n 
C 3 308 LEU 308 308 308 LEU LEU F . n 
C 3 309 ASN 309 309 309 ASN ASN F . n 
C 3 310 ASP 310 310 310 ASP ASP F . n 
C 3 311 ARG 311 311 311 ARG ARG F . n 
C 3 312 ASN 312 312 312 ASN ASN F . n 
C 3 313 SER 313 313 313 SER SER F . n 
C 3 314 GLU 314 314 314 GLU GLU F . n 
C 3 315 LEU 315 315 315 LEU LEU F . n 
C 3 316 SER 316 316 316 SER SER F . n 
C 3 317 TYR 317 317 317 TYR TYR F . n 
C 3 318 GLN 318 318 318 GLN GLN F . n 
C 3 319 TYR 319 319 319 TYR TYR F . n 
C 3 320 LEU 320 320 320 LEU LEU F . n 
C 3 321 LEU 321 321 321 LEU LEU F . n 
C 3 322 ALA 322 322 322 ALA ALA F . n 
C 3 323 ASP 323 323 323 ASP ASP F . n 
C 3 324 LEU 324 324 324 LEU LEU F . n 
C 3 325 THR 325 325 325 THR THR F . n 
C 3 326 SER 326 326 326 SER SER F . n 
C 3 327 ARG 327 327 327 ARG ARG F . n 
C 3 328 TRP 328 328 328 TRP TRP F . n 
C 3 329 HIS 329 329 329 HIS HIS F . n 
C 3 330 TYR 330 330 330 TYR TYR F . n 
C 3 331 PHE 331 331 331 PHE PHE F . n 
C 3 332 ALA 332 332 332 ALA ALA F . n 
C 3 333 LEU 333 333 333 LEU LEU F . n 
C 3 334 TRP 334 334 334 TRP TRP F . n 
C 3 335 ASN 335 335 335 ASN ASN F . n 
C 3 336 GLN 336 336 336 GLN GLN F . n 
C 3 337 ALA 337 337 337 ALA ALA F . n 
C 3 338 VAL 338 338 338 VAL VAL F . n 
C 3 339 ASP 339 339 339 ASP ASP F . n 
C 3 340 ASP 340 340 340 ASP ASP F . n 
C 3 341 TYR 341 341 341 TYR TYR F . n 
C 3 342 ASP 342 342 342 ASP ASP F . n 
C 3 343 HIS 343 343 343 HIS HIS F . n 
C 3 344 HIS 344 344 344 HIS HIS F . n 
C 3 345 VAL 345 345 345 VAL VAL F . n 
C 3 346 ARG 346 346 346 ARG ARG F . n 
C 3 347 ILE 347 347 347 ILE ILE F . n 
C 3 348 LEU 348 348 348 LEU LEU F . n 
C 3 349 GLU 349 349 349 GLU GLU F . n 
C 3 350 ASN 350 350 350 ASN ASN F . n 
C 3 351 ASP 351 351 351 ASP ASP F . n 
C 3 352 GLY 352 352 352 GLY GLY F . n 
C 3 353 TYR 353 353 353 TYR TYR F . n 
C 3 354 GLU 354 354 354 GLU GLU F . n 
C 3 355 GLU 355 355 355 GLU GLU F . n 
C 3 356 GLY 356 356 356 GLY GLY F . n 
C 3 357 PRO 357 357 357 PRO PRO F . n 
C 3 358 PRO 358 358 358 PRO PRO F . n 
C 3 359 ASN 359 359 359 ASN ASN F . n 
C 3 360 LEU 360 360 360 LEU LEU F . n 
C 3 361 ALA 361 361 361 ALA ALA F . n 
C 3 362 PHE 362 362 362 PHE PHE F . n 
C 3 363 PRO 363 363 363 PRO PRO F . n 
C 3 364 PRO 364 364 364 PRO PRO F . n 
C 3 365 HIS 365 365 365 HIS HIS F . n 
C 3 366 VAL 366 366 366 VAL VAL F . n 
C 3 367 ILE 367 367 367 ILE ILE F . n 
C 3 368 SER 368 368 368 SER SER F . n 
C 3 369 ASN 369 369 369 ASN ASN F . n 
C 3 370 PRO 370 370 370 PRO PRO F . n 
C 3 371 PHE 371 371 371 PHE PHE F . n 
C 3 372 ALA 372 372 372 ALA ALA F . n 
C 3 373 PRO 373 373 373 PRO PRO F . n 
C 3 374 ALA 374 374 374 ALA ALA F . n 
C 3 375 ALA 375 375 375 ALA ALA F . n 
C 3 376 VAL 376 376 376 VAL VAL F . n 
C 3 377 GLY 377 377 377 GLY GLY F . n 
C 3 378 THR 378 378 378 THR THR F . n 
C 3 379 GLY 379 379 379 GLY GLY F . n 
C 3 380 MET 380 380 380 MET MET F . n 
C 3 381 THR 381 381 381 THR THR F . n 
C 3 382 VAL 382 382 382 VAL VAL F . n 
C 3 383 ASN 383 383 383 ASN ASN F . n 
C 3 384 GLU 384 384 384 GLU GLU F . n 
C 3 385 GLN 385 385 385 GLN GLN F . n 
C 3 386 GLN 386 386 386 GLN GLN F . n 
C 3 387 GLN 387 387 387 GLN GLN F . n 
C 3 388 THR 388 388 388 THR THR F . n 
C 3 389 ALA 389 389 389 ALA ALA F . n 
C 3 390 ALA 390 390 390 ALA ALA F . n 
C 3 391 VAL 391 391 391 VAL VAL F . n 
C 3 392 THR 392 392 392 THR THR F . n 
C 3 393 ALA 393 393 393 ALA ALA F . n 
C 3 394 ASN 394 394 394 ASN ASN F . n 
C 3 395 THR 395 395 395 THR THR F . n 
C 3 396 VAL 396 396 396 VAL VAL F . n 
C 3 397 ALA 397 397 397 ALA ALA F . n 
C 3 398 LEU 398 398 398 LEU LEU F . n 
C 3 399 ILE 399 399 399 ILE ILE F . n 
C 3 400 GLY 400 400 400 GLY GLY F . n 
C 3 401 TYR 401 401 401 TYR TYR F . n 
C 3 402 GLY 402 402 402 GLY GLY F . n 
C 3 403 ASN 403 403 403 ASN ASN F . n 
C 3 404 ILE 404 404 404 ILE ILE F . n 
C 3 405 PRO 405 405 405 PRO PRO F . n 
C 3 406 ALA 406 406 406 ALA ALA F . n 
C 3 407 VAL 407 407 407 VAL VAL F . n 
C 3 408 GLU 408 408 408 GLU GLU F . n 
C 3 409 MET 409 409 409 MET MET F . n 
C 3 410 ASN 410 410 410 ASN ASN F . n 
C 3 411 LEU 411 411 411 LEU LEU F . n 
C 3 412 PRO 412 412 412 PRO PRO F . n 
C 3 413 ALA 413 413 413 ALA ALA F . n 
C 3 414 ASN 414 414 414 ASN ASN F . n 
C 3 415 LEU 415 415 415 LEU LEU F . n 
C 3 416 LYS 416 416 416 LYS LYS F . n 
C 3 417 ARG 417 417 417 ARG ARG F . n 
C 3 418 THR 418 418 418 THR THR F . n 
C 3 419 PHE 419 419 419 PHE PHE F . n 
C 3 420 LEU 420 420 420 LEU LEU F . n 
C 3 421 TYR 421 421 421 TYR TYR F . n 
C 3 422 SER 422 422 422 SER SER F . n 
C 3 423 ASN 423 423 423 ASN ASN F . n 
C 3 424 VAL 424 424 424 VAL VAL F . n 
C 3 425 ALA 425 425 425 ALA ALA F . n 
C 3 426 MET 426 426 426 MET MET F . n 
C 3 427 TYR 427 427 427 TYR TYR F . n 
C 3 428 LEU 428 428 428 LEU LEU F . n 
C 3 429 PRO 429 429 429 PRO PRO F . n 
C 3 430 ASP 430 430 430 ASP ASP F . n 
C 3 431 THR 431 431 431 THR THR F . n 
C 3 432 TYR 432 432 432 TYR TYR F . n 
C 3 433 LYS 433 433 433 LYS LYS F . n 
C 3 434 PHE 434 434 434 PHE PHE F . n 
C 3 435 THR 435 435 435 THR THR F . n 
C 3 436 PRO 436 436 436 PRO PRO F . n 
C 3 437 ALA 437 437 437 ALA ALA F . n 
C 3 438 ASN 438 438 438 ASN ASN F . n 
C 3 439 VAL 439 439 439 VAL VAL F . n 
C 3 440 ASP 440 440 440 ASP ASP F . n 
C 3 441 LEU 441 441 441 LEU LEU F . n 
C 3 442 PRO 442 442 442 PRO PRO F . n 
C 3 443 GLU 443 443 443 GLU GLU F . n 
C 3 444 ASN 444 444 444 ASN ASN F . n 
C 3 445 HIS 445 445 445 HIS HIS F . n 
C 3 446 LEU 446 446 446 LEU LEU F . n 
C 3 447 SER 447 447 447 SER SER F . n 
C 3 448 TYR 448 448 448 TYR TYR F . n 
C 3 449 GLY 449 449 449 GLY GLY F . n 
C 3 450 TYR 450 450 450 TYR TYR F . n 
C 3 451 ILE 451 451 451 ILE ILE F . n 
C 3 452 ASN 452 452 452 ASN ASN F . n 
C 3 453 GLY 453 453 453 GLY GLY F . n 
C 3 454 ARG 454 454 454 ARG ARG F . n 
C 3 455 LEU 455 455 455 LEU LEU F . n 
C 3 456 PRO 456 456 456 PRO PRO F . n 
C 3 457 LEU 457 457 457 LEU LEU F . n 
C 3 458 PRO 458 458 458 PRO PRO F . n 
C 3 459 ASN 459 459 459 ASN ASN F . n 
C 3 460 ILE 460 460 460 ILE ILE F . n 
C 3 461 VAL 461 461 461 VAL VAL F . n 
C 3 462 ASP 462 462 462 ASP ASP F . n 
C 3 463 THR 463 463 463 THR THR F . n 
C 3 464 TRP 464 464 464 TRP TRP F . n 
C 3 465 THR 465 465 465 THR THR F . n 
C 3 466 ASP 466 466 466 ASP ASP F . n 
C 3 467 ILE 467 467 467 ILE ILE F . n 
C 3 468 GLY 468 468 468 GLY GLY F . n 
C 3 469 ALA 469 469 469 ALA ALA F . n 
C 3 470 ARG 470 470 470 ARG ARG F . n 
C 3 471 TRP 471 471 471 TRP TRP F . n 
C 3 472 SER 472 472 472 SER SER F . n 
C 3 473 LEU 473 473 473 LEU LEU F . n 
C 3 474 ASP 474 474 474 ASP ASP F . n 
C 3 475 VAL 475 475 475 VAL VAL F . n 
C 3 476 MET 476 476 476 MET MET F . n 
C 3 477 ASP 477 477 477 ASP ASP F . n 
C 3 478 THR 478 478 478 THR THR F . n 
C 3 479 VAL 479 479 479 VAL VAL F . n 
C 3 480 ASN 480 480 480 ASN ASN F . n 
C 3 481 PRO 481 481 481 PRO PRO F . n 
C 3 482 PHE 482 482 482 PHE PHE F . n 
C 3 483 ASN 483 483 483 ASN ASN F . n 
C 3 484 HIS 484 484 484 HIS HIS F . n 
C 3 485 HIS 485 485 485 HIS HIS F . n 
C 3 486 ARG 486 486 486 ARG ARG F . n 
C 3 487 ASN 487 487 487 ASN ASN F . n 
C 3 488 THR 488 488 488 THR THR F . n 
C 3 489 GLY 489 489 489 GLY GLY F . n 
C 3 490 LEU 490 490 490 LEU LEU F . n 
C 3 491 LYS 491 491 491 LYS LYS F . n 
C 3 492 TYR 492 492 492 TYR TYR F . n 
C 3 493 ARG 493 493 493 ARG ARG F . n 
C 3 494 SER 494 494 494 SER SER F . n 
C 3 495 GLN 495 495 495 GLN GLN F . n 
C 3 496 LEU 496 496 496 LEU LEU F . n 
C 3 497 LEU 497 497 497 LEU LEU F . n 
C 3 498 GLY 498 498 498 GLY GLY F . n 
C 3 499 ASN 499 499 499 ASN ASN F . n 
C 3 500 GLY 500 500 500 GLY GLY F . n 
C 3 501 ARG 501 501 501 ARG ARG F . n 
C 3 502 TYR 502 502 502 TYR TYR F . n 
C 3 503 CYS 503 503 503 CYS CYS F . n 
C 3 504 ASP 504 504 504 ASP ASP F . n 
C 3 505 PHE 505 505 505 PHE PHE F . n 
C 3 506 HIS 506 506 506 HIS HIS F . n 
C 3 507 ILE 507 507 507 ILE ILE F . n 
C 3 508 GLN 508 508 508 GLN GLN F . n 
C 3 509 VAL 509 509 509 VAL VAL F . n 
C 3 510 PRO 510 510 510 PRO PRO F . n 
C 3 511 GLN 511 511 511 GLN GLN F . n 
C 3 512 LYS 512 512 512 LYS LYS F . n 
C 3 513 PHE 513 513 513 PHE PHE F . n 
C 3 514 PHE 514 514 514 PHE PHE F . n 
C 3 515 ALA 515 515 515 ALA ALA F . n 
C 3 516 ILE 516 516 516 ILE ILE F . n 
C 3 517 LYS 517 517 517 LYS LYS F . n 
C 3 518 ASN 518 518 518 ASN ASN F . n 
C 3 519 LEU 519 519 519 LEU LEU F . n 
C 3 520 LEU 520 520 520 LEU LEU F . n 
C 3 521 LEU 521 521 521 LEU LEU F . n 
C 3 522 LEU 522 522 522 LEU LEU F . n 
C 3 523 PRO 523 523 523 PRO PRO F . n 
C 3 524 GLY 524 524 524 GLY GLY F . n 
C 3 525 THR 525 525 525 THR THR F . n 
C 3 526 TYR 526 526 526 TYR TYR F . n 
C 3 527 ASN 527 527 527 ASN ASN F . n 
C 3 528 TYR 528 528 528 TYR TYR F . n 
C 3 529 GLU 529 529 529 GLU GLU F . n 
C 3 530 TRP 530 530 530 TRP TRP F . n 
C 3 531 TYR 531 531 531 TYR TYR F . n 
C 3 532 PHE 532 532 532 PHE PHE F . n 
C 3 533 ARG 533 533 533 ARG ARG F . n 
C 3 534 LYS 534 534 534 LYS LYS F . n 
C 3 535 ASP 535 535 535 ASP ASP F . n 
C 3 536 PRO 536 536 536 PRO PRO F . n 
C 3 537 ASN 537 537 537 ASN ASN F . n 
C 3 538 MET 538 538 538 MET MET F . n 
C 3 539 VAL 539 539 539 VAL VAL F . n 
C 3 540 LEU 540 540 540 LEU LEU F . n 
C 3 541 GLN 541 541 541 GLN GLN F . n 
C 3 542 SER 542 542 542 SER SER F . n 
C 3 543 THR 543 543 543 THR THR F . n 
C 3 544 LEU 544 544 544 LEU LEU F . n 
C 3 545 GLY 545 545 545 GLY GLY F . n 
C 3 546 ASN 546 546 546 ASN ASN F . n 
C 3 547 ASP 547 547 547 ASP ASP F . n 
C 3 548 LEU 548 548 548 LEU LEU F . n 
C 3 549 ARG 549 549 549 ARG ARG F . n 
C 3 550 ALA 550 550 550 ALA ALA F . n 
C 3 551 ASP 551 551 551 ASP ASP F . n 
C 3 552 GLY 552 552 552 GLY GLY F . n 
C 3 553 ALA 553 553 553 ALA ALA F . n 
C 3 554 SER 554 554 554 SER SER F . n 
C 3 555 ILE 555 555 555 ILE ILE F . n 
C 3 556 THR 556 556 556 THR THR F . n 
C 3 557 TYR 557 557 557 TYR TYR F . n 
C 3 558 THR 558 558 558 THR THR F . n 
C 3 559 GLN 559 559 559 GLN GLN F . n 
C 3 560 ILE 560 560 560 ILE ILE F . n 
C 3 561 ASN 561 561 561 ASN ASN F . n 
C 3 562 LEU 562 562 562 LEU LEU F . n 
C 3 563 TYR 563 563 563 TYR TYR F . n 
C 3 564 VAL 564 564 564 VAL VAL F . n 
C 3 565 SER 565 565 565 SER SER F . n 
C 3 566 PHE 566 566 566 PHE PHE F . n 
C 3 567 PHE 567 567 567 PHE PHE F . n 
C 3 568 PRO 568 568 568 PRO PRO F . n 
C 3 569 MET 569 569 569 MET MET F . n 
C 3 570 ASN 570 570 570 ASN ASN F . n 
C 3 571 TYR 571 571 571 TYR TYR F . n 
C 3 572 ASP 572 572 572 ASP ASP F . n 
C 3 573 THR 573 573 573 THR THR F . n 
C 3 574 GLN 574 574 574 GLN GLN F . n 
C 3 575 SER 575 575 575 SER SER F . n 
C 3 576 GLU 576 576 576 GLU GLU F . n 
C 3 577 LEU 577 577 577 LEU LEU F . n 
C 3 578 GLU 578 578 578 GLU GLU F . n 
C 3 579 LEU 579 579 579 LEU LEU F . n 
C 3 580 MET 580 580 580 MET MET F . n 
C 3 581 LEU 581 581 581 LEU LEU F . n 
C 3 582 ARG 582 582 582 ARG ARG F . n 
C 3 583 ASN 583 583 583 ASN ASN F . n 
C 3 584 ALA 584 584 584 ALA ALA F . n 
C 3 585 THR 585 585 585 THR THR F . n 
C 3 586 ASN 586 586 586 ASN ASN F . n 
C 3 587 ASP 587 587 587 ASP ASP F . n 
C 3 588 GLN 588 588 588 GLN GLN F . n 
C 3 589 ASN 589 589 589 ASN ASN F . n 
C 3 590 PHE 590 590 590 PHE PHE F . n 
C 3 591 SER 591 591 591 SER SER F . n 
C 3 592 ASP 592 592 592 ASP ASP F . n 
C 3 593 TYR 593 593 593 TYR TYR F . n 
C 3 594 LEU 594 594 594 LEU LEU F . n 
C 3 595 GLY 595 595 595 GLY GLY F . n 
C 3 596 ALA 596 596 596 ALA ALA F . n 
C 3 597 VAL 597 597 597 VAL VAL F . n 
C 3 598 ASN 598 598 598 ASN ASN F . n 
C 3 599 ASN 599 599 599 ASN ASN F . n 
C 3 600 LEU 600 600 600 LEU LEU F . n 
C 3 601 TYR 601 601 601 TYR TYR F . n 
C 3 602 GLN 602 602 602 GLN GLN F . n 
C 3 603 ILE 603 603 603 ILE ILE F . n 
C 3 604 PRO 604 604 604 PRO PRO F . n 
C 3 605 ALA 605 605 605 ALA ALA F . n 
C 3 606 GLY 606 606 606 GLY GLY F . n 
C 3 607 SER 607 607 607 SER SER F . n 
C 3 608 SER 608 608 608 SER SER F . n 
C 3 609 THR 609 609 609 THR THR F . n 
C 3 610 VAL 610 610 610 VAL VAL F . n 
C 3 611 VAL 611 611 611 VAL VAL F . n 
C 3 612 VAL 612 612 612 VAL VAL F . n 
C 3 613 ASN 613 613 613 ASN ASN F . n 
C 3 614 ILE 614 614 614 ILE ILE F . n 
C 3 615 PRO 615 615 615 PRO PRO F . n 
C 3 616 ASP 616 616 616 ASP ASP F . n 
C 3 617 ARG 617 617 617 ARG ARG F . n 
C 3 618 SER 618 618 618 SER SER F . n 
C 3 619 TRP 619 619 619 TRP TRP F . n 
C 3 620 GLY 620 620 620 GLY GLY F . n 
C 3 621 ALA 621 621 621 ALA ALA F . n 
C 3 622 PHE 622 622 622 PHE PHE F . n 
C 3 623 ARG 623 623 623 ARG ARG F . n 
C 3 624 GLY 624 624 624 GLY GLY F . n 
C 3 625 TRP 625 625 625 TRP TRP F . n 
C 3 626 SER 626 626 626 SER SER F . n 
C 3 627 PHE 627 627 627 PHE PHE F . n 
C 3 628 THR 628 628 628 THR THR F . n 
C 3 629 ARG 629 629 629 ARG ARG F . n 
C 3 630 LEU 630 630 630 LEU LEU F . n 
C 3 631 LYS 631 631 631 LYS LYS F . n 
C 3 632 VAL 632 632 632 VAL VAL F . n 
C 3 633 SER 633 633 633 SER SER F . n 
C 3 634 GLU 634 634 634 GLU GLU F . n 
C 3 635 THR 635 635 635 THR THR F . n 
C 3 636 PRO 636 636 636 PRO PRO F . n 
C 3 637 ARG 637 637 637 ARG ARG F . n 
C 3 638 ILE 638 638 638 ILE ILE F . n 
C 3 639 GLY 639 639 639 GLY GLY F . n 
C 3 640 ALA 640 640 640 ALA ALA F . n 
C 3 641 THR 641 641 641 THR THR F . n 
C 3 642 GLN 642 642 642 GLN GLN F . n 
C 3 643 ASP 643 643 643 ASP ASP F . n 
C 3 644 PRO 644 644 644 PRO PRO F . n 
C 3 645 ASN 645 645 645 ASN ASN F . n 
C 3 646 PHE 646 646 646 PHE PHE F . n 
C 3 647 GLN 647 647 647 GLN GLN F . n 
C 3 648 TYR 648 648 648 TYR TYR F . n 
C 3 649 SER 649 649 649 SER SER F . n 
C 3 650 GLY 650 650 650 GLY GLY F . n 
C 3 651 SER 651 651 651 SER SER F . n 
C 3 652 ILE 652 652 652 ILE ILE F . n 
C 3 653 PRO 653 653 653 PRO PRO F . n 
C 3 654 TYR 654 654 654 TYR TYR F . n 
C 3 655 LEU 655 655 655 LEU LEU F . n 
C 3 656 ASP 656 656 656 ASP ASP F . n 
C 3 657 GLY 657 657 657 GLY GLY F . n 
C 3 658 THR 658 658 658 THR THR F . n 
C 3 659 PHE 659 659 659 PHE PHE F . n 
C 3 660 TYR 660 660 660 TYR TYR F . n 
C 3 661 LEU 661 661 661 LEU LEU F . n 
C 3 662 SER 662 662 662 SER SER F . n 
C 3 663 HIS 663 663 663 HIS HIS F . n 
C 3 664 THR 664 664 664 THR THR F . n 
C 3 665 PHE 665 665 665 PHE PHE F . n 
C 3 666 GLN 666 666 666 GLN GLN F . n 
C 3 667 ARG 667 667 667 ARG ARG F . n 
C 3 668 CYS 668 668 668 CYS CYS F . n 
C 3 669 SER 669 669 669 SER SER F . n 
C 3 670 ILE 670 670 670 ILE ILE F . n 
C 3 671 GLN 671 671 671 GLN GLN F . n 
C 3 672 TRP 672 672 672 TRP TRP F . n 
C 3 673 ASP 673 673 673 ASP ASP F . n 
C 3 674 SER 674 674 674 SER SER F . n 
C 3 675 SER 675 675 675 SER SER F . n 
C 3 676 VAL 676 676 676 VAL VAL F . n 
C 3 677 PRO 677 677 677 PRO PRO F . n 
C 3 678 TRP 678 678 678 TRP TRP F . n 
C 3 679 PRO 679 679 679 PRO PRO F . n 
C 3 680 GLY 680 680 680 GLY GLY F . n 
C 3 681 ASN 681 681 681 ASN ASN F . n 
C 3 682 ASP 682 682 682 ASP ASP F . n 
C 3 683 ARG 683 683 683 ARG ARG F . n 
C 3 684 MET 684 684 684 MET MET F . n 
C 3 685 LEU 685 685 685 LEU LEU F . n 
C 3 686 THR 686 686 686 THR THR F . n 
C 3 687 PRO 687 687 687 PRO PRO F . n 
C 3 688 ASN 688 688 688 ASN ASN F . n 
C 3 689 TRP 689 689 689 TRP TRP F . n 
C 3 690 PHE 690 690 690 PHE PHE F . n 
C 3 691 GLU 691 691 691 GLU GLU F . n 
C 3 692 ILE 692 692 692 ILE ILE F . n 
C 3 693 LYS 693 693 693 LYS LYS F . n 
C 3 694 ARG 694 694 694 ARG ARG F . n 
C 3 695 PRO 695 695 695 PRO PRO F . n 
C 3 696 ILE 696 696 696 ILE ILE F . n 
C 3 697 ASN 697 697 697 ASN ASN F . n 
C 3 698 GLN 698 698 698 GLN GLN F . n 
C 3 699 ASP 699 699 699 ASP ASP F . n 
C 3 700 ALA 700 700 700 ALA ALA F . n 
C 3 701 GLU 701 701 701 GLU GLU F . n 
C 3 702 GLY 702 702 702 GLY GLY F . n 
C 3 703 ASN 703 703 703 ASN ASN F . n 
C 3 704 ASP 704 704 704 ASP ASP F . n 
C 3 705 THR 705 705 705 THR THR F . n 
C 3 706 MET 706 706 706 MET MET F . n 
C 3 707 GLN 707 707 707 GLN GLN F . n 
C 3 708 SER 708 708 708 SER SER F . n 
C 3 709 ASN 709 709 709 ASN ASN F . n 
C 3 710 LEU 710 710 710 LEU LEU F . n 
C 3 711 THR 711 711 711 THR THR F . n 
C 3 712 LYS 712 712 712 LYS LYS F . n 
C 3 713 ASP 713 713 713 ASP ASP F . n 
C 3 714 PHE 714 714 714 PHE PHE F . n 
C 3 715 PHE 715 715 715 PHE PHE F . n 
C 3 716 MET 716 716 716 MET MET F . n 
C 3 717 VAL 717 717 717 VAL VAL F . n 
C 3 718 GLN 718 718 718 GLN GLN F . n 
C 3 719 MET 719 719 719 MET MET F . n 
C 3 720 ALA 720 720 720 ALA ALA F . n 
C 3 721 ALA 721 721 721 ALA ALA F . n 
C 3 722 SER 722 722 722 SER SER F . n 
C 3 723 TYR 723 723 723 TYR TYR F . n 
C 3 724 ASN 724 724 724 ASN ASN F . n 
C 3 725 GLN 725 725 725 GLN GLN F . n 
C 3 726 GLY 726 726 726 GLY GLY F . n 
C 3 727 TYR 727 727 727 TYR TYR F . n 
C 3 728 GLN 728 728 728 GLN GLN F . n 
C 3 729 GLY 729 729 729 GLY GLY F . n 
C 3 730 PHE 730 730 730 PHE PHE F . n 
C 3 731 ASN 731 731 731 ASN ASN F . n 
C 3 732 TRP 732 732 732 TRP TRP F . n 
C 3 733 PRO 733 733 733 PRO PRO F . n 
C 3 734 ASN 734 734 734 ASN ASN F . n 
C 3 735 CYS 735 735 735 CYS CYS F . n 
C 3 736 THR 736 736 736 THR THR F . n 
C 3 737 LYS 737 737 737 LYS LYS F . n 
C 3 738 HIS 738 738 738 HIS HIS F . n 
C 3 739 TYR 739 739 739 TYR TYR F . n 
C 3 740 GLY 740 740 740 GLY GLY F . n 
C 3 741 PHE 741 741 741 PHE PHE F . n 
C 3 742 ILE 742 742 742 ILE ILE F . n 
C 3 743 ASN 743 743 743 ASN ASN F . n 
C 3 744 ASN 744 744 744 ASN ASN F . n 
C 3 745 PHE 745 745 745 PHE PHE F . n 
C 3 746 GLU 746 746 746 GLU GLU F . n 
C 3 747 PRO 747 747 747 PRO PRO F . n 
C 3 748 MET 748 748 748 MET MET F . n 
C 3 749 SER 749 749 749 SER SER F . n 
C 3 750 ARG 750 750 750 ARG ARG F . n 
C 3 751 GLN 751 751 751 GLN GLN F . n 
C 3 752 VAL 752 752 752 VAL VAL F . n 
C 3 753 PRO 753 753 753 PRO PRO F . n 
C 3 754 GLU 754 754 754 GLU GLU F . n 
C 3 755 TYR 755 755 755 TYR TYR F . n 
C 3 756 GLY 756 756 756 GLY GLY F . n 
C 3 757 ALA 757 757 757 ALA ALA F . n 
C 3 758 ASN 758 758 758 ASN ASN F . n 
C 3 759 TYR 759 759 759 TYR TYR F . n 
C 3 760 PRO 760 760 760 PRO PRO F . n 
C 3 761 ASN 761 761 761 ASN ASN F . n 
C 3 762 LEU 762 762 762 LEU LEU F . n 
C 3 763 MET 763 763 763 MET MET F . n 
C 3 764 ALA 764 764 764 ALA ALA F . n 
C 3 765 ALA 765 765 765 ALA ALA F . n 
C 3 766 TYR 766 766 766 TYR TYR F . n 
C 3 767 LEU 767 767 767 LEU LEU F . n 
C 3 768 ALA 768 768 768 ALA ALA F . n 
C 3 769 ASN 769 769 769 ASN ASN F . n 
C 3 770 PRO 770 770 770 PRO PRO F . n 
C 3 771 GLN 771 771 771 GLN GLN F . n 
C 3 772 THR 772 772 772 THR THR F . n 
C 3 773 MET 773 773 773 MET MET F . n 
C 3 774 PRO 774 774 774 PRO PRO F . n 
C 3 775 ILE 775 775 775 ILE ILE F . n 
C 3 776 TRP 776 776 776 TRP TRP F . n 
C 3 777 ASN 777 777 777 ASN ASN F . n 
C 3 778 ASN 778 778 778 ASN ASN F . n 
C 3 779 CYS 779 779 779 CYS CYS F . n 
C 3 780 GLY 780 780 780 GLY GLY F . n 
C 3 781 PHE 781 781 781 PHE PHE F . n 
C 3 782 GLN 782 782 782 GLN GLN F . n 
C 3 783 GLN 783 783 783 GLN GLN F . n 
C 3 784 LYS 784 784 784 LYS LYS F . n 
C 3 785 THR 785 785 785 THR THR F . n 
C 3 786 ALA 786 786 786 ALA ALA F . n 
C 3 787 THR 787 787 787 THR THR F . n 
C 3 788 ASN 788 788 788 ASN ASN F . n 
C 3 789 VAL 789 789 789 VAL VAL F . n 
C 3 790 LEU 790 790 790 LEU LEU F . n 
C 3 791 LEU 791 791 791 LEU LEU F . n 
C 3 792 GLU 792 792 792 GLU GLU F . n 
C 3 793 ARG 793 793 793 ARG ARG F . n 
C 3 794 CYS 794 794 794 CYS CYS F . n 
C 3 795 GLY 795 795 795 GLY GLY F . n 
C 3 796 HIS 796 796 796 HIS HIS F . n 
C 3 797 PRO 797 797 797 PRO PRO F . n 
C 3 798 TYR 798 798 798 TYR TYR F . n 
C 3 799 VAL 799 799 799 VAL VAL F . n 
C 3 800 ALA 800 800 800 ALA ALA F . n 
C 3 801 ASN 801 801 801 ASN ASN F . n 
C 3 802 TRP 802 802 802 TRP TRP F . n 
C 3 803 PRO 803 803 803 PRO PRO F . n 
C 3 804 TYR 804 804 804 TYR TYR F . n 
C 3 805 PRO 805 805 805 PRO PRO F . n 
C 3 806 LEU 806 806 806 LEU LEU F . n 
C 3 807 SER 807 807 807 SER SER F . n 
C 3 808 GLY 808 808 808 GLY GLY F . n 
C 3 809 ARG 809 809 809 ARG ARG F . n 
C 3 810 ASN 810 810 810 ASN ASN F . n 
C 3 811 ALA 811 811 811 ALA ALA F . n 
C 3 812 VAL 812 812 812 VAL VAL F . n 
C 3 813 PRO 813 813 813 PRO PRO F . n 
C 3 814 ASN 814 814 814 ASN ASN F . n 
C 3 815 GLN 815 815 815 GLN GLN F . n 
C 3 816 VAL 816 816 816 VAL VAL F . n 
C 3 817 THR 817 817 817 THR THR F . n 
C 3 818 GLU 818 818 818 GLU GLU F . n 
C 3 819 ARG 819 819 819 ARG ARG F . n 
C 3 820 LYS 820 820 820 LYS LYS F . n 
C 3 821 PHE 821 821 821 PHE PHE F . n 
C 3 822 LEU 822 822 822 LEU LEU F . n 
C 3 823 VAL 823 823 823 VAL VAL F . n 
C 3 824 ASP 824 824 824 ASP ASP F . n 
C 3 825 ARG 825 825 825 ARG ARG F . n 
C 3 826 TYR 826 826 826 TYR TYR F . n 
C 3 827 LEU 827 827 827 LEU LEU F . n 
C 3 828 TRP 828 828 828 TRP TRP F . n 
C 3 829 GLN 829 829 829 GLN GLN F . n 
C 3 830 ILE 830 830 830 ILE ILE F . n 
C 3 831 PRO 831 831 831 PRO PRO F . n 
C 3 832 PHE 832 832 832 PHE PHE F . n 
C 3 833 SER 833 833 833 SER SER F . n 
C 3 834 SER 834 834 834 SER SER F . n 
C 3 835 ASN 835 835 835 ASN ASN F . n 
C 3 836 PHE 836 836 836 PHE PHE F . n 
C 3 837 LEU 837 837 837 LEU LEU F . n 
C 3 838 ASN 838 838 838 ASN ASN F . n 
C 3 839 MET 839 839 839 MET MET F . n 
C 3 840 GLY 840 840 840 GLY GLY F . n 
C 3 841 THR 841 841 841 THR THR F . n 
C 3 842 LEU 842 842 842 LEU LEU F . n 
C 3 843 THR 843 843 843 THR THR F . n 
C 3 844 ASP 844 844 844 ASP ASP F . n 
C 3 845 LEU 845 845 845 LEU LEU F . n 
C 3 846 GLY 846 846 846 GLY GLY F . n 
C 3 847 GLN 847 847 847 GLN GLN F . n 
C 3 848 ASN 848 848 848 ASN ASN F . n 
C 3 849 VAL 849 849 849 VAL VAL F . n 
C 3 850 MET 850 850 850 MET MET F . n 
C 3 851 TYR 851 851 851 TYR TYR F . n 
C 3 852 ALA 852 852 852 ALA ALA F . n 
C 3 853 ASN 853 853 853 ASN ASN F . n 
C 3 854 SER 854 854 854 SER SER F . n 
C 3 855 SER 855 855 855 SER SER F . n 
C 3 856 HIS 856 856 856 HIS HIS F . n 
C 3 857 SER 857 857 857 SER SER F . n 
C 3 858 LEU 858 858 858 LEU LEU F . n 
C 3 859 ASN 859 859 859 ASN ASN F . n 
C 3 860 MET 860 860 860 MET MET F . n 
C 3 861 GLN 861 861 861 GLN GLN F . n 
C 3 862 PHE 862 862 862 PHE PHE F . n 
C 3 863 THR 863 863 863 THR THR F . n 
C 3 864 VAL 864 864 864 VAL VAL F . n 
C 3 865 ASP 865 865 865 ASP ASP F . n 
C 3 866 PRO 866 866 866 PRO PRO F . n 
C 3 867 MET 867 867 867 MET MET F . n 
C 3 868 THR 868 868 868 THR THR F . n 
C 3 869 GLU 869 869 869 GLU GLU F . n 
C 3 870 PRO 870 870 870 PRO PRO F . n 
C 3 871 THR 871 871 871 THR THR F . n 
C 3 872 TYR 872 872 872 TYR TYR F . n 
C 3 873 LEU 873 873 873 LEU LEU F . n 
C 3 874 MET 874 874 874 MET MET F . n 
C 3 875 LEU 875 875 875 LEU LEU F . n 
C 3 876 LEU 876 876 876 LEU LEU F . n 
C 3 877 PHE 877 877 877 PHE PHE F . n 
C 3 878 GLY 878 878 878 GLY GLY F . n 
C 3 879 VAL 879 879 879 VAL VAL F . n 
C 3 880 PHE 880 880 880 PHE PHE F . n 
C 3 881 ASP 881 881 881 ASP ASP F . n 
C 3 882 GLN 882 882 882 GLN GLN F . n 
C 3 883 VAL 883 883 883 VAL VAL F . n 
C 3 884 ILE 884 885 885 ILE ILE F . n 
C 3 885 ASN 885 886 886 ASN ASN F . n 
C 3 886 GLN 886 887 887 GLN GLN F . n 
C 3 887 PRO 887 888 888 PRO PRO F . n 
C 3 888 THR 888 889 889 THR THR F . n 
C 3 889 ARG 889 890 890 ARG ARG F . n 
C 3 890 SER 890 891 891 SER SER F . n 
C 3 891 GLY 891 892 892 GLY GLY F . n 
C 3 892 ILE 892 893 893 ILE ILE F . n 
C 3 893 SER 893 894 894 SER SER F . n 
C 3 894 VAL 894 895 895 VAL VAL F . n 
C 3 895 ALA 895 896 896 ALA ALA F . n 
C 3 896 TYR 896 897 897 TYR TYR F . n 
C 3 897 LEU 897 898 898 LEU LEU F . n 
C 3 898 ARG 898 899 899 ARG ARG F . n 
C 3 899 LEU 899 900 900 LEU LEU F . n 
C 3 900 PRO 900 901 901 PRO PRO F . n 
C 3 901 PHE 901 902 902 PHE PHE F . n 
C 3 902 ALA 902 903 903 ALA ALA F . n 
C 3 903 SER 903 904 904 SER SER F . n 
C 3 904 GLY 904 905 905 GLY GLY F . n 
C 3 905 SER 905 906 906 SER SER F . n 
C 3 906 ALA 906 907 907 ALA ALA F . n 
# 
loop_
_chem_comp.id 
_chem_comp.type 
_chem_comp.mon_nstd_flag 
_chem_comp.name 
_chem_comp.pdbx_synonyms 
_chem_comp.formula 
_chem_comp.formula_weight 
ALA "L-peptide linking" y ALANINE         ? "C3 H7 N O2"     89.093  
ARG "L-peptide linking" y ARGININE        ? "C6 H15 N4 O2 1" 175.209 
ASN "L-peptide linking" y ASPARAGINE      ? "C4 H8 N2 O3"    132.118 
ASP "L-peptide linking" y "ASPARTIC ACID" ? "C4 H7 N O4"     133.103 
CYS "L-peptide linking" y CYSTEINE        ? "C3 H7 N O2 S"   121.158 
GLN "L-peptide linking" y GLUTAMINE       ? "C5 H10 N2 O3"   146.144 
GLU "L-peptide linking" y "GLUTAMIC ACID" ? "C5 H9 N O4"     147.129 
GLY "peptide linking"   y GLYCINE         ? "C2 H5 N O2"     75.067  
HIS "L-peptide linking" y HISTIDINE       ? "C6 H10 N3 O2 1" 156.162 
ILE "L-peptide linking" y ISOLEUCINE      ? "C6 H13 N O2"    131.173 
LEU "L-peptide linking" y LEUCINE         ? "C6 H13 N O2"    131.173 
LYS "L-peptide linking" y LYSINE          ? "C6 H15 N2 O2 1" 147.195 
MET "L-peptide linking" y METHIONINE      ? "C5 H11 N O2 S"  149.211 
PHE "L-peptide linking" y PHENYLALANINE   ? "C9 H11 N O2"    165.189 
PRO "L-peptide linking" y PROLINE         ? "C5 H9 N O2"     115.130 
SER "L-peptide linking" y SERINE          ? "C3 H7 N O3"     105.093 
THR "L-peptide linking" y THREONINE       ? "C4 H9 N O3"     119.119 
TRP "L-peptide linking" y TRYPTOPHAN      ? "C11 H12 N2 O2"  204.225 
TYR "L-peptide linking" y TYROSINE        ? "C9 H11 N O3"    181.189 
VAL "L-peptide linking" y VALINE          ? "C5 H11 N O2"    117.146 
# 
loop_
_struct_asym.id 
_struct_asym.pdbx_PDB_id 
_struct_asym.pdbx_alt_id 
_struct_asym.pdbx_blank_PDB_chainid_flag 
_struct_asym.pdbx_type 
_struct_asym.pdbx_order 
_struct_asym.pdbx_modified 
_struct_asym.entity_id 
_struct_asym.details 
A D D N ATOMP 1 N 1 ? 
B E E N ATOMP 2 N 2 ? 
C F F N ATOMP 3 N 3 ? 
# 
_struct_conf_type.id          HELX_P 
_struct_conf_type.criteria    ? 
_struct_conf_type.reference   ? 
# 
loop_
_struct_conf.conf_type_id 
_struct_conf.id 
_struct_conf.pdbx_PDB_helix_id 
_struct_conf.beg_label_comp_id 
_struct_conf.beg_label_asym_id 
_struct_conf.beg_label_seq_id 
_struct_conf.pdbx_beg_PDB_ins_code 
_struct_conf.end_label_comp_id 
_struct_conf.end_label_asym_id 
_struct_conf.end_label_seq_id 
_struct_conf.pdbx_end_PDB_ins_code 
_struct_conf.beg_auth_comp_id 
_struct_conf.beg_auth_asym_id 
_struct_conf.beg_auth_seq_id 
_struct_conf.end_auth_comp_id 
_struct_conf.end_auth_asym_id 
_struct_conf.end_auth_seq_id 
_struct_conf.pdbx_PDB_helix_class 
_struct_conf.details 
_struct_conf.pdbx_PDB_helix_length 
HELX_P HELX_P1  AA1 PRO A 3   ? PHE A 8   ? PRO D 3   PHE D 8   1 ? 6  
HELX_P HELX_P2  AA2 ASN A 22  ? GLN A 28  ? ASN D 22  GLN D 28  1 ? 7  
HELX_P HELX_P3  AA3 GLY A 92  ? SER A 94  ? GLY D 92  SER D 94  5 ? 3  
HELX_P HELX_P4  AA4 VAL A 153 ? GLN A 158 ? VAL D 153 GLN D 158 1 ? 6  
HELX_P HELX_P5  AA5 ASP A 278 ? ILE A 281 ? ASP D 278 ILE D 281 5 ? 4  
HELX_P HELX_P6  AA6 ASN A 312 ? THR A 325 ? ASN D 312 THR D 325 1 ? 14 
HELX_P HELX_P7  AA7 ASN A 410 ? VAL A 424 ? ASN D 410 VAL D 424 1 ? 15 
HELX_P HELX_P8  AA8 ALA A 425 ? LEU A 428 ? ALA D 425 LEU D 428 5 ? 4  
HELX_P HELX_P9  AA9 PRO A 429 ? THR A 431 ? PRO D 429 THR D 431 5 ? 3  
HELX_P HELX_P10 AB1 SER A 447 ? GLY A 453 ? SER D 447 GLY D 453 1 ? 7  
HELX_P HELX_P11 AB2 ASN A 487 ? LEU A 496 ? ASN D 487 LEU D 496 1 ? 10 
HELX_P HELX_P12 AB3 ASP A 535 ? VAL A 539 ? ASP D 535 VAL D 539 1 ? 5  
HELX_P HELX_P13 AB4 ASN A 570 ? ARG A 582 ? ASN D 570 ARG D 582 1 ? 13 
HELX_P HELX_P14 AB5 ASN A 583 ? ASP A 587 ? ASN D 583 ASP D 587 5 ? 5  
HELX_P HELX_P15 AB6 ILE A 652 ? GLY A 657 ? ILE D 652 GLY D 657 1 ? 6  
HELX_P HELX_P16 AB7 THR A 711 ? ASN A 724 ? THR D 711 ASN D 724 1 ? 14 
HELX_P HELX_P17 AB8 ASN A 761 ? ASN A 769 ? ASN D 761 ASN D 769 1 ? 9  
HELX_P HELX_P18 AB9 ASP A 844 ? ASN A 848 ? ASP D 844 ASN D 848 5 ? 5  
HELX_P HELX_P19 AC1 SER B 13  ? LEU B 18  ? SER E 14  LEU E 19  1 ? 6  
HELX_P HELX_P20 AC2 SER B 19  ? THR B 29  ? SER E 20  THR E 30  1 ? 11 
HELX_P HELX_P21 AC3 GLY B 91  ? SER B 93  ? GLY E 92  SER E 94  5 ? 3  
HELX_P HELX_P22 AC4 ASP B 277 ? ILE B 280 ? ASP E 278 ILE E 281 5 ? 4  
HELX_P HELX_P23 AC5 SER B 287 ? THR B 291 ? SER E 288 THR E 292 5 ? 5  
HELX_P HELX_P24 AC6 GLU B 313 ? THR B 324 ? GLU E 314 THR E 325 1 ? 12 
HELX_P HELX_P25 AC7 ASP B 341 ? ILE B 346 ? ASP E 342 ILE E 347 1 ? 6  
HELX_P HELX_P26 AC8 ASN B 409 ? VAL B 423 ? ASN E 410 VAL E 424 1 ? 15 
HELX_P HELX_P27 AC9 ALA B 424 ? LEU B 427 ? ALA E 425 LEU E 428 5 ? 4  
HELX_P HELX_P28 AD1 PRO B 428 ? THR B 430 ? PRO E 429 THR E 431 5 ? 3  
HELX_P HELX_P29 AD2 SER B 446 ? GLY B 452 ? SER E 447 GLY E 453 1 ? 7  
HELX_P HELX_P30 AD3 PRO B 457 ? VAL B 460 ? PRO E 458 VAL E 461 5 ? 4  
HELX_P HELX_P31 AD4 ASN B 486 ? LEU B 495 ? ASN E 487 LEU E 496 1 ? 10 
HELX_P HELX_P32 AD5 ASP B 534 ? VAL B 538 ? ASP E 535 VAL E 539 1 ? 5  
HELX_P HELX_P33 AD6 ASN B 569 ? ARG B 581 ? ASN E 570 ARG E 582 1 ? 13 
HELX_P HELX_P34 AD7 ASN B 582 ? ASP B 586 ? ASN E 583 ASP E 587 5 ? 5  
HELX_P HELX_P35 AD8 THR B 710 ? TYR B 722 ? THR E 711 TYR E 723 1 ? 13 
HELX_P HELX_P36 AD9 ASN B 760 ? ASN B 768 ? ASN E 761 ASN E 769 1 ? 9  
HELX_P HELX_P37 AE1 GLU C 2   ? PHE C 8   ? GLU F 2   PHE F 8   1 ? 7  
HELX_P HELX_P38 AE2 SER C 14  ? LEU C 19  ? SER F 14  LEU F 19  1 ? 6  
HELX_P HELX_P39 AE3 SER C 20  ? THR C 30  ? SER F 20  THR F 30  1 ? 11 
HELX_P HELX_P40 AE4 GLY C 92  ? SER C 94  ? GLY F 92  SER F 94  5 ? 3  
HELX_P HELX_P41 AE5 ASP C 278 ? ILE C 281 ? ASP F 278 ILE F 281 5 ? 4  
HELX_P HELX_P42 AE6 ASN C 312 ? THR C 325 ? ASN F 312 THR F 325 1 ? 14 
HELX_P HELX_P43 AE7 ASP C 342 ? ILE C 347 ? ASP F 342 ILE F 347 1 ? 6  
HELX_P HELX_P44 AE8 ASN C 410 ? VAL C 424 ? ASN F 410 VAL F 424 1 ? 15 
HELX_P HELX_P45 AE9 PRO C 429 ? THR C 431 ? PRO F 429 THR F 431 5 ? 3  
HELX_P HELX_P46 AF1 SER C 447 ? ARG C 454 ? SER F 447 ARG F 454 1 ? 8  
HELX_P HELX_P47 AF2 GLY C 489 ? LEU C 496 ? GLY F 489 LEU F 496 1 ? 8  
HELX_P HELX_P48 AF3 ASP C 535 ? VAL C 539 ? ASP F 535 VAL F 539 1 ? 5  
HELX_P HELX_P49 AF4 ASP C 547 ? GLY C 552 ? ASP F 547 GLY F 552 1 ? 6  
HELX_P HELX_P50 AF5 ASN C 570 ? LEU C 581 ? ASN F 570 LEU F 581 1 ? 12 
HELX_P HELX_P51 AF6 THR C 711 ? ASN C 724 ? THR F 711 ASN F 724 1 ? 14 
HELX_P HELX_P52 AF7 PHE C 741 ? ASN C 743 ? PHE F 741 ASN F 743 5 ? 3  
HELX_P HELX_P53 AF8 ASN C 761 ? ASN C 769 ? ASN F 761 ASN F 769 1 ? 9  
# 
loop_
_struct_mon_prot_cis.pdbx_id 
_struct_mon_prot_cis.label_comp_id 
_struct_mon_prot_cis.label_seq_id 
_struct_mon_prot_cis.label_asym_id 
_struct_mon_prot_cis.label_alt_id 
_struct_mon_prot_cis.pdbx_PDB_ins_code 
_struct_mon_prot_cis.auth_comp_id 
_struct_mon_prot_cis.auth_seq_id 
_struct_mon_prot_cis.auth_asym_id 
_struct_mon_prot_cis.pdbx_label_comp_id_2 
_struct_mon_prot_cis.pdbx_label_seq_id_2 
_struct_mon_prot_cis.pdbx_label_asym_id_2 
_struct_mon_prot_cis.pdbx_PDB_ins_code_2 
_struct_mon_prot_cis.pdbx_auth_comp_id_2 
_struct_mon_prot_cis.pdbx_auth_seq_id_2 
_struct_mon_prot_cis.pdbx_auth_asym_id_2 
_struct_mon_prot_cis.pdbx_PDB_model_num 
_struct_mon_prot_cis.pdbx_omega_angle 
1  ASP 165 A . ? ASP 165 D PRO 166 A ? PRO 166 D 1 7.01   
2  TRP 678 A . ? TRP 678 D PRO 679 A ? PRO 679 D 1 1.61   
3  TRP 802 A . ? TRP 802 D PRO 803 A ? PRO 803 D 1 1.59   
4  LEU 900 A . ? LEU 900 D PRO 901 A ? PRO 901 D 1 9.00   
5  TRP 677 B . ? TRP 678 E PRO 678 B ? PRO 679 E 1 -2.14  
6  TRP 801 B . ? TRP 802 E PRO 802 B ? PRO 803 E 1 2.63   
7  LEU 899 B . ? LEU 900 E PRO 900 B ? PRO 901 E 1 6.41   
8  ASP 165 C . ? ASP 165 F PRO 166 C ? PRO 166 F 1 2.22   
9  TRP 678 C . ? TRP 678 F PRO 679 C ? PRO 679 F 1 -0.09  
10 MET 773 C . ? MET 773 F PRO 774 C ? PRO 774 F 1 -20.37 
11 TRP 802 C . ? TRP 802 F PRO 803 C ? PRO 803 F 1 3.06   
12 LEU 899 C . ? LEU 900 F PRO 900 C ? PRO 901 F 1 8.36   
# 
loop_
_struct_sheet.id 
_struct_sheet.type 
_struct_sheet.number_strands 
_struct_sheet.details 
AA1 ? 4 ? 
AA2 ? 2 ? 
AA3 ? 3 ? 
AA4 ? 4 ? 
AA5 ? 2 ? 
AA6 ? 2 ? 
AA7 ? 2 ? 
AA8 ? 3 ? 
AA9 ? 2 ? 
AB1 ? 3 ? 
AB2 ? 4 ? 
AB3 ? 4 ? 
AB4 ? 2 ? 
AB5 ? 4 ? 
AB6 ? 4 ? 
AB7 ? 2 ? 
AB8 ? 5 ? 
AB9 ? 2 ? 
AC1 ? 2 ? 
AC2 ? 2 ? 
AC3 ? 2 ? 
AC4 ? 2 ? 
AC5 ? 3 ? 
AC6 ? 4 ? 
AC7 ? 3 ? 
AC8 ? 2 ? 
AC9 ? 4 ? 
AD1 ? 4 ? 
AD2 ? 2 ? 
AD3 ? 2 ? 
AD4 ? 2 ? 
AD5 ? 2 ? 
AD6 ? 2 ? 
AD7 ? 2 ? 
AD8 ? 2 ? 
AD9 ? 4 ? 
AE1 ? 4 ? 
AE2 ? 4 ? 
AE3 ? 2 ? 
AE4 ? 2 ? 
# 
loop_
_struct_sheet_order.sheet_id 
_struct_sheet_order.range_id_1 
_struct_sheet_order.range_id_2 
_struct_sheet_order.offset 
_struct_sheet_order.sense 
AA1 1 2 ? anti-parallel 
AA1 2 3 ? anti-parallel 
AA1 3 4 ? anti-parallel 
AA2 1 2 ? anti-parallel 
AA3 1 2 ? anti-parallel 
AA3 2 3 ? anti-parallel 
AA4 1 2 ? parallel      
AA4 2 3 ? anti-parallel 
AA4 3 4 ? anti-parallel 
AA5 1 2 ? anti-parallel 
AA6 1 2 ? anti-parallel 
AA7 1 2 ? anti-parallel 
AA8 1 2 ? parallel      
AA8 2 3 ? anti-parallel 
AA9 1 2 ? anti-parallel 
AB1 1 2 ? anti-parallel 
AB1 2 3 ? anti-parallel 
AB2 1 2 ? anti-parallel 
AB2 2 3 ? anti-parallel 
AB2 3 4 ? anti-parallel 
AB3 1 2 ? anti-parallel 
AB3 2 3 ? anti-parallel 
AB3 3 4 ? anti-parallel 
AB4 1 2 ? anti-parallel 
AB5 1 2 ? anti-parallel 
AB5 2 3 ? anti-parallel 
AB5 3 4 ? anti-parallel 
AB6 1 2 ? anti-parallel 
AB6 2 3 ? anti-parallel 
AB6 3 4 ? anti-parallel 
AB7 1 2 ? anti-parallel 
AB8 1 2 ? anti-parallel 
AB8 2 3 ? parallel      
AB8 3 4 ? anti-parallel 
AB8 4 5 ? anti-parallel 
AB9 1 2 ? anti-parallel 
AC1 1 2 ? anti-parallel 
AC2 1 2 ? anti-parallel 
AC3 1 2 ? anti-parallel 
AC4 1 2 ? anti-parallel 
AC5 1 2 ? anti-parallel 
AC5 2 3 ? anti-parallel 
AC6 1 2 ? anti-parallel 
AC6 2 3 ? anti-parallel 
AC6 3 4 ? anti-parallel 
AC7 1 2 ? anti-parallel 
AC7 2 3 ? anti-parallel 
AC8 1 2 ? anti-parallel 
AC9 1 2 ? anti-parallel 
AC9 2 3 ? anti-parallel 
AC9 3 4 ? anti-parallel 
AD1 1 2 ? anti-parallel 
AD1 2 3 ? anti-parallel 
AD1 3 4 ? anti-parallel 
AD2 1 2 ? anti-parallel 
AD3 1 2 ? anti-parallel 
AD4 1 2 ? parallel      
AD5 1 2 ? anti-parallel 
AD6 1 2 ? anti-parallel 
AD7 1 2 ? anti-parallel 
AD8 1 2 ? anti-parallel 
AD9 1 2 ? anti-parallel 
AD9 2 3 ? anti-parallel 
AD9 3 4 ? anti-parallel 
AE1 1 2 ? anti-parallel 
AE1 2 3 ? anti-parallel 
AE1 3 4 ? anti-parallel 
AE2 1 2 ? anti-parallel 
AE2 2 3 ? anti-parallel 
AE2 3 4 ? anti-parallel 
AE3 1 2 ? anti-parallel 
AE4 1 2 ? anti-parallel 
# 
loop_
_struct_sheet_range.sheet_id 
_struct_sheet_range.id 
_struct_sheet_range.beg_label_comp_id 
_struct_sheet_range.beg_label_asym_id 
_struct_sheet_range.beg_label_seq_id 
_struct_sheet_range.pdbx_beg_PDB_ins_code 
_struct_sheet_range.end_label_comp_id 
_struct_sheet_range.end_label_asym_id 
_struct_sheet_range.end_label_seq_id 
_struct_sheet_range.pdbx_end_PDB_ins_code 
_struct_sheet_range.beg_auth_comp_id 
_struct_sheet_range.beg_auth_asym_id 
_struct_sheet_range.beg_auth_seq_id 
_struct_sheet_range.end_auth_comp_id 
_struct_sheet_range.end_auth_asym_id 
_struct_sheet_range.end_auth_seq_id 
AA1 1 GLN A 67  ? ASP A 70  ? GLN D 67  ASP D 70  
AA1 2 TYR A 74  ? VAL A 83  ? TYR D 74  VAL D 83  
AA1 3 GLY A 524 ? ARG A 533 ? GLY D 524 ARG D 533 
AA1 4 SER A 294 ? SER A 297 ? SER D 294 SER D 297 
AA2 1 VAL A 89  ? ASP A 90  ? VAL D 89  ASP D 90  
AA2 2 LEU A 520 ? LEU A 521 ? LEU D 520 LEU D 521 
AA3 1 TYR A 502 ? VAL A 509 ? TYR D 502 VAL D 509 
AA3 2 TYR A 95  ? ASP A 103 ? TYR D 95  ASP D 103 
AA3 3 SER A 554 ? TYR A 563 ? SER D 554 TYR D 563 
AA4 1 THR A 136 ? LEU A 142 ? THR D 136 LEU D 142 
AA4 2 THR B 394 ? TYR B 400 ? THR E 395 TYR E 401 
AA4 3 ALA B 374 ? MET B 379 ? ALA E 375 MET E 380 
AA4 4 TYR A 227 ? ASN A 229 ? TYR D 227 ASN D 229 
AA5 1 GLY A 275 ? PHE A 276 ? GLY D 275 PHE D 276 
AA5 2 LEU A 540 ? GLN A 541 ? LEU D 540 GLN D 541 
AA6 1 ASN A 359 ? ALA A 361 ? ASN D 359 ALA D 361 
AA6 2 VAL A 407 ? MET A 409 ? VAL D 407 MET D 409 
AA7 1 THR A 381 ? VAL A 382 ? THR D 381 VAL D 382 
AA7 2 ALA A 389 ? ALA A 390 ? ALA D 389 ALA D 390 
AA8 1 VAL A 396 ? LEU A 398 ? VAL D 396 LEU D 398 
AA8 2 ASP C 135 ? VAL C 139 ? ASP F 135 VAL F 139 
AA8 3 SER C 128 ? VAL C 132 ? SER F 128 VAL F 132 
AA9 1 LYS A 433 ? PHE A 434 ? LYS D 433 PHE D 434 
AA9 2 LEU A 455 ? PRO A 456 ? LEU D 455 PRO D 456 
AB1 1 GLN A 588 ? SER A 591 ? GLN D 588 SER D 591 
AB1 2 GLN A 882 ? ASN A 886 ? GLN D 882 ASN D 886 
AB1 3 SER A 894 ? LEU A 898 ? SER D 894 LEU D 898 
AB2 1 ALA A 596 ? LEU A 600 ? ALA D 596 LEU D 600 
AB2 2 LEU A 873 ? GLY A 878 ? LEU D 873 GLY D 878 
AB2 3 GLY A 624 ? ARG A 629 ? GLY D 624 ARG D 629 
AB2 4 TRP A 828 ? PRO A 831 ? TRP D 828 PRO D 831 
AB3 1 THR A 609 ? ASN A 613 ? THR D 609 ASN D 613 
AB3 2 ASN A 859 ? THR A 863 ? ASN D 859 THR D 863 
AB3 3 ARG A 667 ? GLN A 671 ? ARG D 667 GLN D 671 
AB3 4 PHE A 690 ? GLU A 691 ? PHE D 690 GLU D 691 
AB4 1 GLU A 746 ? PRO A 753 ? GLU D 746 PRO D 753 
AB4 2 GLN A 815 ? LEU A 822 ? GLN D 815 LEU D 822 
AB5 1 GLN B 59  ? VAL B 62  ? GLN E 60  VAL E 63  
AB5 2 SER B 553 ? SER B 564 ? SER E 554 SER E 565 
AB5 3 TYR B 94  ? ASP B 102 ? TYR E 95  ASP E 103 
AB5 4 TYR B 501 ? VAL B 508 ? TYR E 502 VAL E 509 
AB6 1 GLU B 68  ? ASP B 69  ? GLU E 69  ASP E 70  
AB6 2 TYR B 73  ? LEU B 80  ? TYR E 74  LEU E 81  
AB6 3 TYR B 525 ? ARG B 532 ? TYR E 526 ARG E 533 
AB6 4 SER B 293 ? SER B 296 ? SER E 294 SER E 297 
AB7 1 VAL B 88  ? ASP B 89  ? VAL E 89  ASP E 90  
AB7 2 LEU B 519 ? LEU B 520 ? LEU E 520 LEU E 521 
AB8 1 SER B 127 ? ALA B 128 ? SER E 128 ALA E 129 
AB8 2 THR B 135 ? VAL B 138 ? THR E 136 VAL E 139 
AB8 3 ALA C 389 ? ILE C 399 ? ALA F 389 ILE F 399 
AB8 4 ALA C 375 ? VAL C 382 ? ALA F 375 VAL F 382 
AB8 5 TYR B 226 ? ASN B 228 ? TYR E 227 ASN E 229 
AB9 1 GLN B 143 ? THR B 144 ? GLN E 144 THR E 145 
AB9 2 GLY B 187 ? LEU B 188 ? GLY E 188 LEU E 189 
AC1 1 ASP B 256 ? PHE B 257 ? ASP E 257 PHE E 258 
AC1 2 ALA B 263 ? THR B 264 ? ALA E 264 THR E 265 
AC2 1 ILE B 273 ? PHE B 275 ? ILE E 274 PHE E 276 
AC2 2 LEU B 539 ? SER B 541 ? LEU E 540 SER E 542 
AC3 1 LEU B 359 ? ALA B 360 ? LEU E 360 ALA E 361 
AC3 2 VAL B 406 ? GLU B 407 ? VAL E 407 GLU E 408 
AC4 1 LYS B 432 ? PHE B 433 ? LYS E 433 PHE E 434 
AC4 2 LEU B 454 ? PRO B 455 ? LEU E 455 PRO E 456 
AC5 1 GLN B 587 ? SER B 590 ? GLN E 588 SER E 591 
AC5 2 PHE B 879 ? ASN B 885 ? PHE E 880 ASN E 886 
AC5 3 SER B 893 ? LEU B 899 ? SER E 894 LEU E 900 
AC6 1 ALA B 595 ? LEU B 599 ? ALA E 596 LEU E 600 
AC6 2 MET B 873 ? GLY B 877 ? MET E 874 GLY E 878 
AC6 3 GLY B 623 ? THR B 627 ? GLY E 624 THR E 628 
AC6 4 TRP B 827 ? PRO B 830 ? TRP E 828 PRO E 831 
AC7 1 THR B 608 ? ARG B 616 ? THR E 609 ARG E 617 
AC7 2 HIS B 855 ? THR B 862 ? HIS E 856 THR E 863 
AC7 3 SER B 668 ? GLN B 670 ? SER E 669 GLN E 671 
AC8 1 GLU B 745 ? VAL B 751 ? GLU E 746 VAL E 752 
AC8 2 VAL B 815 ? LEU B 821 ? VAL E 816 LEU E 822 
AC9 1 LEU C 61  ? VAL C 63  ? LEU F 61  VAL F 63  
AC9 2 SER C 554 ? VAL C 564 ? SER F 554 VAL F 564 
AC9 3 TYR C 95  ? ASP C 103 ? TYR F 95  ASP F 103 
AC9 4 TYR C 502 ? HIS C 506 ? TYR F 502 HIS F 506 
AD1 1 GLN C 67  ? ASP C 70  ? GLN F 67  ASP F 70  
AD1 2 TYR C 74  ? VAL C 83  ? TYR F 74  VAL F 83  
AD1 3 GLY C 524 ? ARG C 533 ? GLY F 524 ARG F 533 
AD1 4 SER C 294 ? SER C 296 ? SER F 294 SER F 296 
AD2 1 VAL C 89  ? ASP C 90  ? VAL F 89  ASP F 90  
AD2 2 LEU C 520 ? LEU C 521 ? LEU F 520 LEU F 521 
AD3 1 GLN C 144 ? ALA C 147 ? GLN F 144 ALA F 147 
AD3 2 ASN C 186 ? LEU C 189 ? ASN F 186 LEU F 189 
AD4 1 ARG C 191 ? VAL C 193 ? ARG F 191 VAL F 193 
AD4 2 ALA C 242 ? ASP C 244 ? ALA F 242 ASP F 244 
AD5 1 ALA C 253 ? PHE C 258 ? ALA F 253 PHE F 258 
AD5 2 ALA C 264 ? GLY C 268 ? ALA F 264 GLY F 268 
AD6 1 GLY C 275 ? PHE C 276 ? GLY F 275 PHE F 276 
AD6 2 LEU C 540 ? GLN C 541 ? LEU F 540 GLN F 541 
AD7 1 ASN C 359 ? ALA C 361 ? ASN F 359 ALA F 361 
AD7 2 VAL C 407 ? MET C 409 ? VAL F 407 MET F 409 
AD8 1 LYS C 433 ? PHE C 434 ? LYS F 433 PHE F 434 
AD8 2 LEU C 455 ? PRO C 456 ? LEU F 455 PRO F 456 
AD9 1 ALA C 596 ? LEU C 600 ? ALA F 596 LEU F 600 
AD9 2 THR C 871 ? GLY C 878 ? THR F 871 GLY F 878 
AD9 3 GLY C 624 ? LYS C 631 ? GLY F 624 LYS F 631 
AD9 4 TRP C 828 ? PRO C 831 ? TRP F 828 PRO F 831 
AE1 1 THR C 609 ? ARG C 617 ? THR F 609 ARG F 617 
AE1 2 HIS C 856 ? VAL C 864 ? HIS F 856 VAL F 864 
AE1 3 PHE C 665 ? TRP C 672 ? PHE F 665 TRP F 672 
AE1 4 VAL C 676 ? PRO C 677 ? VAL F 676 PRO F 677 
AE2 1 THR C 609 ? ARG C 617 ? THR F 609 ARG F 617 
AE2 2 HIS C 856 ? VAL C 864 ? HIS F 856 VAL F 864 
AE2 3 PHE C 665 ? TRP C 672 ? PHE F 665 TRP F 672 
AE2 4 PHE C 690 ? GLU C 691 ? PHE F 690 GLU F 691 
AE3 1 PHE C 745 ? VAL C 752 ? PHE F 745 VAL F 752 
AE3 2 VAL C 816 ? VAL C 823 ? VAL F 816 VAL F 823 
AE4 1 ASN C 885 ? THR C 888 ? ASN F 886 THR F 889 
AE4 2 GLY C 891 ? SER C 893 ? GLY F 892 SER F 894 
# 
_atom_sites.entry_id                    atom 
_atom_sites.fract_transf_matrix[1][1]   1.000000 
_atom_sites.fract_transf_matrix[1][2]   0.000000 
_atom_sites.fract_transf_matrix[1][3]   0.000000 
_atom_sites.fract_transf_matrix[2][1]   0.000000 
_atom_sites.fract_transf_matrix[2][2]   1.000000 
_atom_sites.fract_transf_matrix[2][3]   0.000000 
_atom_sites.fract_transf_matrix[3][1]   0.000000 
_atom_sites.fract_transf_matrix[3][2]   0.000000 
_atom_sites.fract_transf_matrix[3][3]   1.000000 
_atom_sites.fract_transf_vector[1]      0.00000 
_atom_sites.fract_transf_vector[2]      0.00000 
_atom_sites.fract_transf_vector[3]      0.00000 
# 
_pdbx_validate_rmsd_angle.id                         1 
_pdbx_validate_rmsd_angle.PDB_model_num              1 
_pdbx_validate_rmsd_angle.auth_atom_id_1             CB 
_pdbx_validate_rmsd_angle.auth_asym_id_1             E 
_pdbx_validate_rmsd_angle.auth_comp_id_1             ASP 
_pdbx_validate_rmsd_angle.auth_seq_id_1              252 
_pdbx_validate_rmsd_angle.PDB_ins_code_1             ? 
_pdbx_validate_rmsd_angle.label_alt_id_1             ? 
_pdbx_validate_rmsd_angle.auth_atom_id_2             CG 
_pdbx_validate_rmsd_angle.auth_asym_id_2             E 
_pdbx_validate_rmsd_angle.auth_comp_id_2             ASP 
_pdbx_validate_rmsd_angle.auth_seq_id_2              252 
_pdbx_validate_rmsd_angle.PDB_ins_code_2             ? 
_pdbx_validate_rmsd_angle.label_alt_id_2             ? 
_pdbx_validate_rmsd_angle.auth_atom_id_3             OD1 
_pdbx_validate_rmsd_angle.auth_asym_id_3             E 
_pdbx_validate_rmsd_angle.auth_comp_id_3             ASP 
_pdbx_validate_rmsd_angle.auth_seq_id_3              252 
_pdbx_validate_rmsd_angle.PDB_ins_code_3             ? 
_pdbx_validate_rmsd_angle.label_alt_id_3             ? 
_pdbx_validate_rmsd_angle.angle_value                124.40 
_pdbx_validate_rmsd_angle.angle_target_value         118.30 
_pdbx_validate_rmsd_angle.angle_deviation            6.10 
_pdbx_validate_rmsd_angle.angle_standard_deviation   0.90 
_pdbx_validate_rmsd_angle.linker_flag                N 
# 
loop_
_pdbx_validate_torsion.id 
_pdbx_validate_torsion.PDB_model_num 
_pdbx_validate_torsion.auth_comp_id 
_pdbx_validate_torsion.auth_asym_id 
_pdbx_validate_torsion.auth_seq_id 
_pdbx_validate_torsion.PDB_ins_code 
_pdbx_validate_torsion.label_alt_id 
_pdbx_validate_torsion.phi 
_pdbx_validate_torsion.psi 
1  1 GLU D 21  ? ? 51.88   15.15   
2  1 THR D 30  ? ? -94.33  51.41   
3  1 LYS D 109 ? ? -159.73 89.18   
4  1 PRO D 110 ? ? -87.46  40.54   
5  1 TYR D 111 ? ? -162.66 -164.97 
6  1 LEU D 142 ? ? -117.87 79.63   
7  1 PRO D 168 ? ? -69.37  4.26    
8  1 ALA D 187 ? ? -96.01  -62.66  
9  1 PRO D 203 ? ? -67.69  -174.06 
10 1 ALA D 221 ? ? -104.71 -169.44 
11 1 MET D 241 ? ? 47.94   72.50   
12 1 ASN D 291 ? ? -94.82  50.96   
13 1 ILE D 347 ? ? -34.95  120.34  
14 1 HIS D 365 ? ? -104.44 40.25   
15 1 VAL D 366 ? ? -38.68  -32.49  
16 1 ALA D 375 ? ? -105.68 73.38   
17 1 MET D 380 ? ? -37.29  126.60  
18 1 THR D 392 ? ? 54.57   70.18   
19 1 ASN D 487 ? ? -67.53  97.71   
20 1 TRP D 619 ? ? -98.46  35.10   
21 1 LEU D 630 ? ? -127.68 -166.97 
22 1 GLN D 647 ? ? -97.97  58.69   
23 1 SER D 675 ? ? -134.01 -37.13  
24 1 ASN D 681 ? ? 59.25   12.55   
25 1 GLU D 701 ? ? 49.63   24.42   
26 1 TYR D 727 ? ? 72.34   -9.02   
27 1 TYR D 739 ? ? -92.37  51.10   
28 1 ASN D 778 ? ? 32.03   48.17   
29 1 CYS D 794 ? ? -121.36 -55.12  
30 1 ASN D 810 ? ? -97.38  33.92   
31 1 ALA D 903 ? ? -69.22  87.64   
32 1 GLN E 4   ? ? 86.00   -2.26   
33 1 PRO E 110 ? ? -86.11  41.84   
34 1 ALA E 147 ? ? 60.25   66.91   
35 1 PRO E 203 ? ? -69.28  -178.08 
36 1 ASN E 234 ? ? 68.24   -3.33   
37 1 MET E 241 ? ? 60.37   73.54   
38 1 ASP E 252 ? ? 43.88   23.97   
39 1 VAL E 259 ? ? -109.57 -169.97 
40 1 ASP E 260 ? ? -42.44  153.48  
41 1 ARG E 263 ? ? -92.33  32.09   
42 1 THR E 299 ? ? 57.54   70.33   
43 1 GLN E 300 ? ? -92.39  31.40   
44 1 HIS E 365 ? ? -101.92 40.22   
45 1 VAL E 366 ? ? -38.47  -31.29  
46 1 GLN E 385 ? ? 74.14   -9.84   
47 1 ASP E 462 ? ? -162.89 -167.11 
48 1 SER E 649 ? ? -140.35 15.75   
49 1 LEU E 661 ? ? -95.20  33.57   
50 1 GLN E 666 ? ? 68.79   -21.22  
51 1 SER E 675 ? ? -133.79 -35.72  
52 1 ASN E 697 ? ? 83.98   -2.50   
53 1 TYR E 739 ? ? -93.20  49.76   
54 1 ASN E 758 ? ? 72.71   -9.04   
55 1 ASN E 778 ? ? 32.65   51.46   
56 1 LEU E 827 ? ? 59.83   78.12   
57 1 ASN E 853 ? ? -91.57  52.95   
58 1 PRO F 110 ? ? -86.86  41.75   
59 1 ASN F 134 ? ? -95.23  -61.28  
60 1 PRO F 203 ? ? -69.43  -174.27 
61 1 MET F 241 ? ? 59.73   70.51   
62 1 VAL F 259 ? ? -120.35 -60.00  
63 1 ASN F 279 ? ? 57.95   14.54   
64 1 THR F 299 ? ? 58.44   83.68   
65 1 GLN F 300 ? ? 69.84   77.81   
66 1 GLN F 301 ? ? -48.72  -16.67  
67 1 LEU F 348 ? ? -33.01  129.73  
68 1 ASN F 350 ? ? -100.20 62.85   
69 1 GLU F 384 ? ? 73.17   -12.07  
70 1 ASP F 462 ? ? -162.69 -168.49 
71 1 ASN F 483 ? ? -96.25  57.44   
72 1 ASN F 586 ? ? -94.16  52.28   
73 1 ASP F 673 ? ? 32.56   45.86   
74 1 SER F 674 ? ? 67.10   -3.55   
75 1 ASP F 682 ? ? 31.53   52.13   
76 1 ASN F 697 ? ? 79.49   -8.20   
77 1 ASP F 699 ? ? 61.49   67.90   
78 1 TYR F 727 ? ? 69.57   -6.36   
79 1 TYR F 759 ? ? 52.40   74.73   
80 1 THR F 772 ? ? 54.57   71.03   
81 1 ASN F 778 ? ? 32.00   50.40   
82 1 ASN F 810 ? ? -95.79  31.80   
83 1 MET F 850 ? ? -67.68  97.44   
84 1 SER F 904 ? ? -160.89 -168.66 
# 
loop_
_pdbx_validate_peptide_omega.id 
_pdbx_validate_peptide_omega.PDB_model_num 
_pdbx_validate_peptide_omega.auth_comp_id_1 
_pdbx_validate_peptide_omega.auth_asym_id_1 
_pdbx_validate_peptide_omega.auth_seq_id_1 
_pdbx_validate_peptide_omega.PDB_ins_code_1 
_pdbx_validate_peptide_omega.label_alt_id_1 
_pdbx_validate_peptide_omega.auth_comp_id_2 
_pdbx_validate_peptide_omega.auth_asym_id_2 
_pdbx_validate_peptide_omega.auth_seq_id_2 
_pdbx_validate_peptide_omega.PDB_ins_code_2 
_pdbx_validate_peptide_omega.label_alt_id_2 
_pdbx_validate_peptide_omega.omega 
1 1 VAL D 345 ? ? ARG D 346 ? ? 142.17  
2 1 ARG D 346 ? ? ILE D 347 ? ? -132.89 
3 1 HIS D 365 ? ? VAL D 366 ? ? -135.73 
4 1 PRO E 3   ? ? GLN E 4   ? ? -147.84 
5 1 GLN E 298 ? ? THR E 299 ? ? -141.29 
6 1 HIS E 365 ? ? VAL E 366 ? ? -136.46 
# 
_pdbx_validate_polymer_linkage.id               1 
_pdbx_validate_polymer_linkage.PDB_model_num    1 
_pdbx_validate_polymer_linkage.auth_atom_id_1   C 
_pdbx_validate_polymer_linkage.auth_asym_id_1   F 
_pdbx_validate_polymer_linkage.auth_comp_id_1   VAL 
_pdbx_validate_polymer_linkage.auth_seq_id_1    883 
_pdbx_validate_polymer_linkage.PDB_ins_code_1   ? 
_pdbx_validate_polymer_linkage.label_alt_id_1   ? 
_pdbx_validate_polymer_linkage.auth_atom_id_2   N 
_pdbx_validate_polymer_linkage.auth_asym_id_2   F 
_pdbx_validate_polymer_linkage.auth_comp_id_2   ILE 
_pdbx_validate_polymer_linkage.auth_seq_id_2    885 
_pdbx_validate_polymer_linkage.PDB_ins_code_2   ? 
_pdbx_validate_polymer_linkage.label_alt_id_2   ? 
_pdbx_validate_polymer_linkage.dist             4.15 
# 
loop_
_atom_type.symbol 
C 
N 
O 
S 
# 
_entry.id   atom 
# 
loop_
_pdbx_seq_map_depositor_info.entity_id 
_pdbx_seq_map_depositor_info.auth_asym_id 
_pdbx_seq_map_depositor_info.one_letter_code 
_pdbx_seq_map_depositor_info.one_letter_code_mod 
1 D 
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVVINQPTRSGISVAYLRLPFASGS
;
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVVINQPTRSGISVAYLRLPFASGS
;
2 E 
;EPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFTL
NVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQV
SGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGTM
ATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYLL
ADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIGY
GNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVNP
FNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQIN
LYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGAT
QDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMAA
SYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVAN
WPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVFD
QVVINQPTRSGISVAYLRLPFASGSA
;
;EPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFTL
NVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQV
SGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGTM
ATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYLL
ADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIGY
GNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVNP
FNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQIN
LYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGAT
QDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMAA
SYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVAN
WPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVFD
QVVINQPTRSGISVAYLRLPFASGSA
;
3 F 
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVINQPTRSGISVAYLRLPFASGSA
;
;MEPQREFFHIAGRSAKEYLSENLVQFIQATQNYFNIGEKFRDPYVAPSAGVTTDRSQKLQLRVVPIQTEDNVNYYKARFT
LNVGDNRLVDLGSSYFDIKGTLDRGPSFKPYGGTAYNPLAPKSAPINSAFTVGNDTHFVAQLPQTYAAGGTGVTEAIQQQ
VSGVDPNPQVGQPNYAGPVVVNTTNNAGLGRIVSADSEGQQFPCYGAYAPPQSAGGDVSTAAVTKTYINTTNNNGRVSGT
MATDTITWENPDAHFADFVDDRRATAAGNRPNYIGFRDNFIGMMYYNSGSNTGSFSSQTQQLNIVLDLNDRNSELSYQYL
LADLTSRWHYFALWNQAVDDYDHHVRILENDGYEEGPPNLAFPPHVISNPFAPAAVGTGMTVNEQQQTAAVTANTVALIG
YGNIPAVEMNLPANLKRTFLYSNVAMYLPDTYKFTPANVDLPENHLSYGYINGRLPLPNIVDTWTDIGARWSLDVMDTVN
PFNHHRNTGLKYRSQLLGNGRYCDFHIQVPQKFFAIKNLLLLPGTYNYEWYFRKDPNMVLQSTLGNDLRADGASITYTQI
NLYVSFFPMNYDTQSELELMLRNATNDQNFSDYLGAVNNLYQIPAGSSTVVVNIPDRSWGAFRGWSFTRLKVSETPRIGA
TQDPNFQYSGSIPYLDGTFYLSHTFQRCSIQWDSSVPWPGNDRMLTPNWFEIKRPINQDAEGNDTMQSNLTKDFFMVQMA
ASYNQGYQGFNWPNCTKHYGFINNFEPMSRQVPEYGANYPNLMAAYLANPQTMPIWNNCGFQQKTATNVLLERCGHPYVA
NWPYPLSGRNAVPNQVTERKFLVDRYLWQIPFSSNFLNMGTLTDLGQNVMYANSSHSLNMQFTVDPMTEPTYLMLLFGVF
DQVINQPTRSGISVAYLRLPFASGSA
;
# 
loop_
_pdbx_struct_sheet_hbond.sheet_id 
_pdbx_struct_sheet_hbond.range_id_1 
_pdbx_struct_sheet_hbond.range_id_2 
_pdbx_struct_sheet_hbond.range_1_label_atom_id 
_pdbx_struct_sheet_hbond.range_1_label_comp_id 
_pdbx_struct_sheet_hbond.range_1_label_asym_id 
_pdbx_struct_sheet_hbond.range_1_label_seq_id 
_pdbx_struct_sheet_hbond.range_1_PDB_ins_code 
_pdbx_struct_sheet_hbond.range_1_auth_atom_id 
_pdbx_struct_sheet_hbond.range_1_auth_comp_id 
_pdbx_struct_sheet_hbond.range_1_auth_asym_id 
_pdbx_struct_sheet_hbond.range_1_auth_seq_id 
_pdbx_struct_sheet_hbond.range_2_label_atom_id 
_pdbx_struct_sheet_hbond.range_2_label_comp_id 
_pdbx_struct_sheet_hbond.range_2_label_asym_id 
_pdbx_struct_sheet_hbond.range_2_label_seq_id 
_pdbx_struct_sheet_hbond.range_2_PDB_ins_code 
_pdbx_struct_sheet_hbond.range_2_auth_atom_id 
_pdbx_struct_sheet_hbond.range_2_auth_comp_id 
_pdbx_struct_sheet_hbond.range_2_auth_asym_id 
_pdbx_struct_sheet_hbond.range_2_auth_seq_id 
AA1 1 2 N GLN A 67  ? N GLN D 67  O ARG A 78  ? O ARG D 78  
AA1 2 3 N LEU A 81  ? N LEU D 81  O TYR A 526 ? O TYR D 526 
AA1 3 4 O GLU A 529 ? O GLU D 529 N SER A 294 ? N SER D 294 
AA2 1 2 N VAL A 89  ? N VAL D 89  O LEU A 521 ? O LEU D 521 
AA3 1 2 O CYS A 503 ? O CYS D 503 N LEU A 102 ? N LEU D 102 
AA3 2 3 N ASP A 103 ? N ASP D 103 O SER A 554 ? O SER D 554 
AA4 1 2 N PHE A 138 ? N PHE D 138 O LEU B 397 ? O LEU E 398 
AA4 2 3 O ALA B 396 ? O ALA E 397 N GLY B 376 ? N GLY E 377 
AA4 3 4 O MET B 379 ? O MET E 380 N TYR A 227 ? N TYR D 227 
AA5 1 2 N GLY A 275 ? N GLY D 275 O GLN A 541 ? O GLN D 541 
AA6 1 2 N ALA A 361 ? N ALA D 361 O VAL A 407 ? O VAL D 407 
AA7 1 2 N THR A 381 ? N THR D 381 O ALA A 390 ? O ALA D 390 
AA8 1 2 N VAL A 396 ? N VAL D 396 O PHE C 138 ? O PHE F 138 
AA8 2 3 O HIS C 137 ? O HIS F 137 N PHE C 130 ? N PHE F 130 
AA9 1 2 N PHE A 434 ? N PHE D 434 O LEU A 455 ? O LEU D 455 
AB1 1 2 N GLN A 588 ? N GLN D 588 O ILE A 885 ? O ILE D 885 
AB1 2 3 N ASN A 886 ? N ASN D 886 O SER A 894 ? O SER D 894 
AB2 1 2 N ASN A 599 ? N ASN D 599 O LEU A 875 ? O LEU D 875 
AB2 2 3 O GLY A 878 ? O GLY D 878 N GLY A 624 ? N GLY D 624 
AB2 3 4 N PHE A 627 ? N PHE D 627 O TRP A 828 ? O TRP D 828 
AB3 1 2 N VAL A 610 ? N VAL D 610 O PHE A 862 ? O PHE D 862 
AB3 2 3 O ASN A 859 ? O ASN D 859 N GLN A 671 ? N GLN D 671 
AB3 3 4 N CYS A 668 ? N CYS D 668 O PHE A 690 ? O PHE D 690 
AB4 1 2 N VAL A 752 ? N VAL D 752 O VAL A 816 ? O VAL D 816 
AB5 1 2 N LEU B 60  ? N LEU E 61  O VAL B 563 ? O VAL E 564 
AB5 2 3 O ASN B 560 ? O ASN E 561 N ASP B 96  ? N ASP E 97  
AB5 3 4 N LEU B 101 ? N LEU E 102 O CYS B 502 ? O CYS E 503 
AB6 1 2 N GLU B 68  ? N GLU E 69  O LYS B 75  ? O LYS E 76  
AB6 2 3 N LEU B 80  ? N LEU E 81  O TYR B 525 ? O TYR E 526 
AB6 3 4 O ASN B 526 ? O ASN E 527 N SER B 295 ? N SER E 296 
AB7 1 2 N VAL B 88  ? N VAL E 89  O LEU B 520 ? O LEU E 521 
AB8 1 2 N SER B 127 ? N SER E 128 O VAL B 138 ? O VAL E 139 
AB8 2 3 N PHE B 137 ? N PHE E 138 O VAL C 396 ? O VAL F 396 
AB8 3 4 O ALA C 397 ? O ALA F 397 N GLY C 377 ? N GLY F 377 
AB8 4 5 O THR C 378 ? O THR F 378 N ASN B 228 ? N ASN E 229 
AB9 1 2 N GLN B 143 ? N GLN E 144 O LEU B 188 ? O LEU E 189 
AC1 1 2 N ASP B 256 ? N ASP E 257 O THR B 264 ? O THR E 265 
AC2 1 2 N GLY B 274 ? N GLY E 275 O GLN B 540 ? O GLN E 541 
AC3 1 2 N ALA B 360 ? N ALA E 361 O VAL B 406 ? O VAL E 407 
AC4 1 2 N PHE B 433 ? N PHE E 434 O LEU B 454 ? O LEU E 455 
AC5 1 2 N PHE B 589 ? N PHE E 590 O VAL B 882 ? O VAL E 883 
AC5 2 3 N PHE B 879 ? N PHE E 880 O LEU B 899 ? O LEU E 900 
AC6 1 2 N ASN B 598 ? N ASN E 599 O LEU B 874 ? O LEU E 875 
AC6 2 3 O GLY B 877 ? O GLY E 878 N GLY B 623 ? N GLY E 624 
AC6 3 4 N TRP B 624 ? N TRP E 625 O ILE B 829 ? O ILE E 830 
AC7 1 2 N ARG B 616 ? N ARG E 617 O HIS B 855 ? O HIS E 856 
AC7 2 3 O GLN B 860 ? O GLN E 861 N SER B 668 ? N SER E 669 
AC8 1 2 N ARG B 749 ? N ARG E 750 O GLU B 817 ? O GLU E 818 
AC9 1 2 N VAL C 63  ? N VAL F 63  O LEU C 562 ? O LEU F 562 
AC9 2 3 O ASN C 561 ? O ASN F 561 N ASP C 97  ? N ASP F 97  
AC9 3 4 N LEU C 102 ? N LEU F 102 O CYS C 503 ? O CYS F 503 
AD1 1 2 N GLU C 69  ? N GLU F 69  O LYS C 76  ? O LYS F 76  
AD1 2 3 N LEU C 81  ? N LEU F 81  O TYR C 526 ? O TYR F 526 
AD1 3 4 O GLU C 529 ? O GLU F 529 N SER C 294 ? N SER F 294 
AD2 1 2 N VAL C 89  ? N VAL F 89  O LEU C 521 ? O LEU F 521 
AD3 1 2 N TYR C 146 ? N TYR F 146 O ALA C 187 ? O ALA F 187 
AD4 1 2 N ILE C 192 ? N ILE F 192 O ASP C 244 ? O ASP F 244 
AD5 1 2 N HIS C 254 ? N HIS F 254 O ALA C 267 ? O ALA F 267 
AD6 1 2 N GLY C 275 ? N GLY F 275 O GLN C 541 ? O GLN F 541 
AD7 1 2 N ALA C 361 ? N ALA F 361 O VAL C 407 ? O VAL F 407 
AD8 1 2 N PHE C 434 ? N PHE F 434 O LEU C 455 ? O LEU F 455 
AD9 1 2 N ASN C 599 ? N ASN F 599 O LEU C 875 ? O LEU F 875 
AD9 2 3 O TYR C 872 ? O TYR F 872 N LEU C 630 ? N LEU F 630 
AD9 3 4 N TRP C 625 ? N TRP F 625 O ILE C 830 ? O ILE F 830 
AE1 1 2 N ILE C 614 ? N ILE F 614 O LEU C 858 ? O LEU F 858 
AE1 2 3 O THR C 863 ? O THR F 863 N GLN C 666 ? N GLN F 666 
AE1 3 4 N TRP C 672 ? N TRP F 672 O VAL C 676 ? O VAL F 676 
AE2 1 2 N ILE C 614 ? N ILE F 614 O LEU C 858 ? O LEU F 858 
AE2 2 3 O THR C 863 ? O THR F 863 N GLN C 666 ? N GLN F 666 
AE2 3 4 N CYS C 668 ? N CYS F 668 O PHE C 690 ? O PHE F 690 
AE3 1 2 N VAL C 752 ? N VAL F 752 O VAL C 816 ? O VAL F 816 
AE4 1 2 N ASN C 885 ? N ASN F 886 O SER C 893 ? O SER F 894 
# 
loop_
_atom_site.group_PDB 
_atom_site.id 
_atom_site.type_symbol 
_atom_site.label_atom_id 
_atom_site.label_alt_id 
_atom_site.label_comp_id 
_atom_site.label_asym_id 
_atom_site.label_entity_id 
_atom_site.label_seq_id 
_atom_site.pdbx_PDB_ins_code 
_atom_site.Cartn_x 
_atom_site.Cartn_y 
_atom_site.Cartn_z 
_atom_site.occupancy 
_atom_site.B_iso_or_equiv 
_atom_site.pdbx_formal_charge 
_atom_site.auth_seq_id 
_atom_site.auth_comp_id 
_atom_site.auth_asym_id 
_atom_site.auth_atom_id 
_atom_site.pdbx_auth_seq_id 
_atom_site.pdbx_auth_comp_id 
_atom_site.pdbx_auth_asym_id 
_atom_site.pdbx_auth_atom_name 
_atom_site.pdbx_PDB_model_num 
ATOM 1     N N   . MET A 1 1   ? 255.882 -117.104 190.686 1.0 54.83176  ? 1   MET D N   1   MET D N   1 
ATOM 2     C CA  . MET A 1 1   ? 255.069 -116.581 189.595 1.0 54.83176  ? 1   MET D CA  1   MET D CA  1 
ATOM 3     C C   . MET A 1 1   ? 253.927 -115.717 190.114 1.0 54.83176  ? 1   MET D C   1   MET D C   1 
ATOM 4     O O   . MET A 1 1   ? 253.732 -115.620 191.319 1.0 54.83176  ? 1   MET D O   1   MET D O   1 
ATOM 5     C CB  . MET A 1 1   ? 254.553 -117.728 188.729 1.0 54.83176  ? 1   MET D CB  1   MET D CB  1 
ATOM 6     C CG  . MET A 1 1   ? 253.691 -118.705 189.461 1.0 54.83176  ? 1   MET D CG  1   MET D CG  1 
ATOM 7     S SD  . MET A 1 1   ? 254.661 -119.550 190.731 1.0 54.83176  ? 1   MET D SD  1   MET D SD  1 
ATOM 8     C CE  . MET A 1 1   ? 255.851 -120.444 189.740 1.0 54.83176  ? 1   MET D CE  1   MET D CE  1 
ATOM 9     N N   . GLU A 1 2   ? 253.178 -115.120 189.177 1.0 54.04758  ? 2   GLU D N   2   GLU D N   1 
ATOM 10    C CA  . GLU A 1 2   ? 252.309 -113.948 189.315 1.0 54.04758  ? 2   GLU D CA  2   GLU D CA  1 
ATOM 11    C C   . GLU A 1 2   ? 251.418 -113.870 190.564 1.0 54.04758  ? 2   GLU D C   2   GLU D C   1 
ATOM 12    O O   . GLU A 1 2   ? 251.400 -112.804 191.190 1.0 54.04758  ? 2   GLU D O   2   GLU D O   1 
ATOM 13    C CB  . GLU A 1 2   ? 251.451 -113.807 188.046 1.0 54.04758  ? 2   GLU D CB  2   GLU D CB  1 
ATOM 14    C CG  . GLU A 1 2   ? 252.234 -113.544 186.768 1.0 54.04758  ? 2   GLU D CG  2   GLU D CG  1 
ATOM 15    C CD  . GLU A 1 2   ? 252.827 -112.151 186.714 1.0 54.04758  ? 2   GLU D CD  2   GLU D CD  1 
ATOM 16    O OE1 . GLU A 1 2   ? 252.220 -111.221 187.290 1.0 54.04758  ? 2   GLU D OE1 2   GLU D OE1 1 
ATOM 17    O OE2 . GLU A 1 2   ? 253.890 -111.984 186.080 1.0 54.04758  ? 2   GLU D OE2 2   GLU D OE2 1 
ATOM 18    N N   . PRO A 1 3   ? 250.665 -114.906 190.985 1.0 50.00117  ? 3   PRO D N   3   PRO D N   1 
ATOM 19    C CA  . PRO A 1 3   ? 249.848 -114.698 192.193 1.0 50.00117  ? 3   PRO D CA  3   PRO D CA  1 
ATOM 20    C C   . PRO A 1 3   ? 250.586 -114.981 193.490 1.0 50.00117  ? 3   PRO D C   3   PRO D C   1 
ATOM 21    O O   . PRO A 1 3   ? 250.221 -114.425 194.530 1.0 50.00117  ? 3   PRO D O   3   PRO D O   1 
ATOM 22    C CB  . PRO A 1 3   ? 248.675 -115.657 191.984 1.0 50.00117  ? 3   PRO D CB  3   PRO D CB  1 
ATOM 23    C CG  . PRO A 1 3   ? 249.262 -116.770 191.267 1.0 50.00117  ? 3   PRO D CG  3   PRO D CG  1 
ATOM 24    C CD  . PRO A 1 3   ? 250.331 -116.214 190.374 1.0 50.00117  ? 3   PRO D CD  3   PRO D CD  1 
ATOM 25    N N   . GLN A 1 4   ? 251.609 -115.836 193.467 1.0 49.41582  ? 4   GLN D N   4   GLN D N   1 
ATOM 26    C CA  . GLN A 1 4   ? 252.339 -116.148 194.692 1.0 49.41582  ? 4   GLN D CA  4   GLN D CA  1 
ATOM 27    C C   . GLN A 1 4   ? 253.301 -115.027 195.063 1.0 49.41582  ? 4   GLN D C   4   GLN D C   1 
ATOM 28    O O   . GLN A 1 4   ? 253.718 -114.911 196.218 1.0 49.41582  ? 4   GLN D O   4   GLN D O   1 
ATOM 29    C CB  . GLN A 1 4   ? 253.093 -117.468 194.539 1.0 49.41582  ? 4   GLN D CB  4   GLN D CB  1 
ATOM 30    C CG  . GLN A 1 4   ? 252.236 -118.722 194.588 1.0 49.41582  ? 4   GLN D CG  4   GLN D CG  1 
ATOM 31    C CD  . GLN A 1 4   ? 251.565 -119.036 193.277 1.0 49.41582  ? 4   GLN D CD  4   GLN D CD  1 
ATOM 32    O OE1 . GLN A 1 4   ? 251.903 -118.460 192.248 1.0 49.41582  ? 4   GLN D OE1 4   GLN D OE1 1 
ATOM 33    N NE2 . GLN A 1 4   ? 250.627 -119.969 193.299 1.0 49.41582  ? 4   GLN D NE2 4   GLN D NE2 1 
ATOM 34    N N   . ARG A 1 5   ? 253.662 -114.185 194.097 1.0 47.79715  ? 5   ARG D N   5   ARG D N   1 
ATOM 35    C CA  . ARG A 1 5   ? 254.593 -113.095 194.360 1.0 47.79715  ? 5   ARG D CA  5   ARG D CA  1 
ATOM 36    C C   . ARG A 1 5   ? 253.860 -111.856 194.850 1.0 47.79715  ? 5   ARG D C   5   ARG D C   1 
ATOM 37    O O   . ARG A 1 5   ? 254.469 -110.798 195.024 1.0 47.79715  ? 5   ARG D O   5   ARG D O   1 
ATOM 38    C CB  . ARG A 1 5   ? 255.395 -112.751 193.106 1.0 47.79715  ? 5   ARG D CB  5   ARG D CB  1 
ATOM 39    C CG  . ARG A 1 5   ? 256.320 -113.846 192.637 1.0 47.79715  ? 5   ARG D CG  5   ARG D CG  1 
ATOM 40    C CD  . ARG A 1 5   ? 257.091 -113.425 191.397 1.0 47.79715  ? 5   ARG D CD  5   ARG D CD  1 
ATOM 41    N NE  . ARG A 1 5   ? 257.874 -114.532 190.859 1.0 47.79715  ? 5   ARG D NE  5   ARG D NE  1 
ATOM 42    C CZ  . ARG A 1 5   ? 259.097 -114.845 191.270 1.0 47.79715  ? 5   ARG D CZ  5   ARG D CZ  1 
ATOM 43    N NH1 . ARG A 1 5   ? 259.676 -114.133 192.227 1.0 47.79715  ? 5   ARG D NH1 5   ARG D NH1 1 
ATOM 44    N NH2 . ARG A 1 5   ? 259.742 -115.871 190.730 1.0 47.79715  ? 5   ARG D NH2 5   ARG D NH2 1 
ATOM 45    N N   . GLU A 1 6   ? 252.556 -111.972 195.073 1.0 45.94447  ? 6   GLU D N   6   GLU D N   1 
ATOM 46    C CA  . GLU A 1 6   ? 251.759 -110.842 195.524 1.0 45.94447  ? 6   GLU D CA  6   GLU D CA  1 
ATOM 47    C C   . GLU A 1 6   ? 251.040 -111.197 196.814 1.0 45.94447  ? 6   GLU D C   6   GLU D C   1 
ATOM 48    O O   . GLU A 1 6   ? 250.563 -110.313 197.529 1.0 45.94447  ? 6   GLU D O   6   GLU D O   1 
ATOM 49    C CB  . GLU A 1 6   ? 250.762 -110.424 194.448 1.0 45.94447  ? 6   GLU D CB  6   GLU D CB  1 
ATOM 50    C CG  . GLU A 1 6   ? 251.418 -109.840 193.213 1.0 45.94447  ? 6   GLU D CG  6   GLU D CG  1 
ATOM 51    C CD  . GLU A 1 6   ? 250.418 -109.417 192.161 1.0 45.94447  ? 6   GLU D CD  6   GLU D CD  1 
ATOM 52    O OE1 . GLU A 1 6   ? 249.215 -109.702 192.333 1.0 45.94447  ? 6   GLU D OE1 6   GLU D OE1 1 
ATOM 53    O OE2 . GLU A 1 6   ? 250.836 -108.793 191.163 1.0 45.94447  ? 6   GLU D OE2 6   GLU D OE2 1 
ATOM 54    N N   . PHE A 1 7   ? 250.948 -112.492 197.112 1.0 37.74484  ? 7   PHE D N   7   PHE D N   1 
ATOM 55    C CA  . PHE A 1 7   ? 250.405 -112.911 198.397 1.0 37.74484  ? 7   PHE D CA  7   PHE D CA  1 
ATOM 56    C C   . PHE A 1 7   ? 251.438 -112.762 199.500 1.0 37.74484  ? 7   PHE D C   7   PHE D C   1 
ATOM 57    O O   . PHE A 1 7   ? 251.111 -112.331 200.610 1.0 37.74484  ? 7   PHE D O   7   PHE D O   1 
ATOM 58    C CB  . PHE A 1 7   ? 249.919 -114.352 198.318 1.0 37.74484  ? 7   PHE D CB  7   PHE D CB  1 
ATOM 59    C CG  . PHE A 1 7   ? 249.322 -114.859 199.593 1.0 37.74484  ? 7   PHE D CG  7   PHE D CG  1 
ATOM 60    C CD1 . PHE A 1 7   ? 248.078 -114.423 200.004 1.0 37.74484  ? 7   PHE D CD1 7   PHE D CD1 1 
ATOM 61    C CD2 . PHE A 1 7   ? 249.993 -115.786 200.369 1.0 37.74484  ? 7   PHE D CD2 7   PHE D CD2 1 
ATOM 62    C CE1 . PHE A 1 7   ? 247.520 -114.889 201.171 1.0 37.74484  ? 7   PHE D CE1 7   PHE D CE1 1 
ATOM 63    C CE2 . PHE A 1 7   ? 249.438 -116.257 201.537 1.0 37.74484  ? 7   PHE D CE2 7   PHE D CE2 1 
ATOM 64    C CZ  . PHE A 1 7   ? 248.201 -115.808 201.937 1.0 37.74484  ? 7   PHE D CZ  7   PHE D CZ  1 
ATOM 65    N N   . PHE A 1 8   ? 252.688 -113.105 199.214 1.0 36.34253  ? 8   PHE D N   8   PHE D N   1 
ATOM 66    C CA  . PHE A 1 8   ? 253.773 -112.993 200.175 1.0 36.34253  ? 8   PHE D CA  8   PHE D CA  1 
ATOM 67    C C   . PHE A 1 8   ? 254.441 -111.633 200.133 1.0 36.34253  ? 8   PHE D C   8   PHE D C   1 
ATOM 68    O O   . PHE A 1 8   ? 255.453 -111.436 200.812 1.0 36.34253  ? 8   PHE D O   8   PHE D O   1 
ATOM 69    C CB  . PHE A 1 8   ? 254.796 -114.098 199.931 1.0 36.34253  ? 8   PHE D CB  8   PHE D CB  1 
ATOM 70    C CG  . PHE A 1 8   ? 254.259 -115.458 200.205 1.0 36.34253  ? 8   PHE D CG  8   PHE D CG  1 
ATOM 71    C CD1 . PHE A 1 8   ? 254.241 -115.955 201.488 1.0 36.34253  ? 8   PHE D CD1 8   PHE D CD1 1 
ATOM 72    C CD2 . PHE A 1 8   ? 253.719 -116.220 199.188 1.0 36.34253  ? 8   PHE D CD2 8   PHE D CD2 1 
ATOM 73    C CE1 . PHE A 1 8   ? 253.723 -117.197 201.746 1.0 36.34253  ? 8   PHE D CE1 8   PHE D CE1 1 
ATOM 74    C CE2 . PHE A 1 8   ? 253.198 -117.465 199.442 1.0 36.34253  ? 8   PHE D CE2 8   PHE D CE2 1 
ATOM 75    C CZ  . PHE A 1 8   ? 253.198 -117.953 200.724 1.0 36.34253  ? 8   PHE D CZ  8   PHE D CZ  1 
ATOM 76    N N   . HIS A 1 9   ? 253.895 -110.713 199.333 1.0 38.17127  ? 9   HIS D N   9   HIS D N   1 
ATOM 77    C CA  . HIS A 1 9   ? 254.277 -109.301 199.283 1.0 38.17127  ? 9   HIS D CA  9   HIS D CA  1 
ATOM 78    C C   . HIS A 1 9   ? 255.731 -109.119 198.868 1.0 38.17127  ? 9   HIS D C   9   HIS D C   1 
ATOM 79    O O   . HIS A 1 9   ? 256.497 -108.373 199.476 1.0 38.17127  ? 9   HIS D O   9   HIS D O   1 
ATOM 80    C CB  . HIS A 1 9   ? 253.966 -108.607 200.603 1.0 38.17127  ? 9   HIS D CB  9   HIS D CB  1 
ATOM 81    C CG  . HIS A 1 9   ? 252.507 -108.577 200.905 1.0 38.17127  ? 9   HIS D CG  9   HIS D CG  1 
ATOM 82    N ND1 . HIS A 1 9   ? 251.874 -109.569 201.621 1.0 38.17127  ? 9   HIS D ND1 9   HIS D ND1 1 
ATOM 83    C CD2 . HIS A 1 9   ? 251.540 -107.713 200.524 1.0 38.17127  ? 9   HIS D CD2 9   HIS D CD2 1 
ATOM 84    C CE1 . HIS A 1 9   ? 250.587 -109.292 201.709 1.0 38.17127  ? 9   HIS D CE1 9   HIS D CE1 1 
ATOM 85    N NE2 . HIS A 1 9   ? 250.358 -108.173 201.047 1.0 38.17127  ? 9   HIS D NE2 9   HIS D NE2 1 
ATOM 86    N N   . ILE A 1 10  ? 256.097 -109.830 197.809 1.0 40.30967  ? 10  ILE D N   10  ILE D N   1 
ATOM 87    C CA  . ILE A 1 10  ? 257.327 -109.552 197.088 1.0 40.30967  ? 10  ILE D CA  10  ILE D CA  1 
ATOM 88    C C   . ILE A 1 10  ? 257.135 -108.364 196.160 1.0 40.30967  ? 10  ILE D C   10  ILE D C   1 
ATOM 89    O O   . ILE A 1 10  ? 257.965 -107.451 196.119 1.0 40.30967  ? 10  ILE D O   10  ILE D O   1 
ATOM 90    C CB  . ILE A 1 10  ? 257.752 -110.824 196.339 1.0 40.30967  ? 10  ILE D CB  10  ILE D CB  1 
ATOM 91    C CG1 . ILE A 1 10  ? 258.293 -111.848 197.331 1.0 40.30967  ? 10  ILE D CG1 10  ILE D CG1 1 
ATOM 92    C CG2 . ILE A 1 10  ? 258.703 -110.523 195.208 1.0 40.30967  ? 10  ILE D CG2 10  ILE D CG2 1 
ATOM 93    C CD1 . ILE A 1 10  ? 258.470 -113.208 196.747 1.0 40.30967  ? 10  ILE D CD1 10  ILE D CD1 1 
ATOM 94    N N   . ALA A 1 11  ? 256.031 -108.345 195.424 1.0 41.11448  ? 11  ALA D N   11  ALA D N   1 
ATOM 95    C CA  . ALA A 1 11  ? 255.616 -107.194 194.645 1.0 41.11448  ? 11  ALA D CA  11  ALA D CA  1 
ATOM 96    C C   . ALA A 1 11  ? 254.157 -106.903 194.955 1.0 41.11448  ? 11  ALA D C   11  ALA D C   1 
ATOM 97    O O   . ALA A 1 11  ? 253.464 -107.704 195.585 1.0 41.11448  ? 11  ALA D O   11  ALA D O   1 
ATOM 98    C CB  . ALA A 1 11  ? 255.813 -107.428 193.145 1.0 41.11448  ? 11  ALA D CB  11  ALA D CB  1 
ATOM 99    N N   . GLY A 1 12  ? 253.689 -105.743 194.514 1.0 42.8989   ? 12  GLY D N   12  GLY D N   1 
ATOM 100   C CA  . GLY A 1 12  ? 252.293 -105.404 194.695 1.0 42.8989   ? 12  GLY D CA  12  GLY D CA  1 
ATOM 101   C C   . GLY A 1 12  ? 252.032 -104.200 195.574 1.0 42.8989   ? 12  GLY D C   12  GLY D C   1 
ATOM 102   O O   . GLY A 1 12  ? 252.753 -103.201 195.511 1.0 42.8989   ? 12  GLY D O   12  GLY D O   1 
ATOM 103   N N   . ARG A 1 13  ? 250.998 -104.292 196.403 1.0 41.92367  ? 13  ARG D N   13  ARG D N   1 
ATOM 104   C CA  . ARG A 1 13  ? 250.523 -103.148 197.164 1.0 41.92367  ? 13  ARG D CA  13  ARG D CA  1 
ATOM 105   C C   . ARG A 1 13  ? 251.394 -102.900 198.387 1.0 41.92367  ? 13  ARG D C   13  ARG D C   1 
ATOM 106   O O   . ARG A 1 13  ? 251.868 -103.838 199.031 1.0 41.92367  ? 13  ARG D O   13  ARG D O   1 
ATOM 107   C CB  . ARG A 1 13  ? 249.075 -103.374 197.590 1.0 41.92367  ? 13  ARG D CB  13  ARG D CB  1 
ATOM 108   C CG  . ARG A 1 13  ? 248.099 -103.415 196.437 1.0 41.92367  ? 13  ARG D CG  13  ARG D CG  1 
ATOM 109   C CD  . ARG A 1 13  ? 246.688 -103.665 196.923 1.0 41.92367  ? 13  ARG D CD  13  ARG D CD  1 
ATOM 110   N NE  . ARG A 1 13  ? 246.529 -105.010 197.462 1.0 41.92367  ? 13  ARG D NE  13  ARG D NE  1 
ATOM 111   C CZ  . ARG A 1 13  ? 245.433 -105.443 198.075 1.0 41.92367  ? 13  ARG D CZ  13  ARG D CZ  1 
ATOM 112   N NH1 . ARG A 1 13  ? 244.395 -104.636 198.230 1.0 41.92367  ? 13  ARG D NH1 13  ARG D NH1 1 
ATOM 113   N NH2 . ARG A 1 13  ? 245.375 -106.683 198.534 1.0 41.92367  ? 13  ARG D NH2 13  ARG D NH2 1 
ATOM 114   N N   . SER A 1 14  ? 251.594 -101.626 198.707 1.0 41.77117  ? 14  SER D N   14  SER D N   1 
ATOM 115   C CA  . SER A 1 14  ? 252.383 -101.238 199.863 1.0 41.77117  ? 14  SER D CA  14  SER D CA  1 
ATOM 116   C C   . SER A 1 14  ? 251.591 -101.461 201.145 1.0 41.77117  ? 14  SER D C   14  SER D C   1 
ATOM 117   O O   . SER A 1 14  ? 250.393 -101.743 201.120 1.0 41.77117  ? 14  SER D O   14  SER D O   1 
ATOM 118   C CB  . SER A 1 14  ? 252.812 -99.780  199.752 1.0 41.77117  ? 14  SER D CB  14  SER D CB  1 
ATOM 119   O OG  . SER A 1 14  ? 251.688 -98.923  199.820 1.0 41.77117  ? 14  SER D OG  14  SER D OG  1 
ATOM 120   N N   . ALA A 1 15  ? 252.275 -101.275 202.279 1.0 41.05183  ? 15  ALA D N   15  ALA D N   1 
ATOM 121   C CA  . ALA A 1 15  ? 251.765 -101.731 203.572 1.0 41.05183  ? 15  ALA D CA  15  ALA D CA  1 
ATOM 122   C C   . ALA A 1 15  ? 250.543 -100.952 204.031 1.0 41.05183  ? 15  ALA D C   15  ALA D C   1 
ATOM 123   O O   . ALA A 1 15  ? 249.748 -101.464 204.824 1.0 41.05183  ? 15  ALA D O   15  ALA D O   1 
ATOM 124   C CB  . ALA A 1 15  ? 252.863 -101.643 204.627 1.0 41.05183  ? 15  ALA D CB  15  ALA D CB  1 
ATOM 125   N N   . LYS A 1 16  ? 250.374 -99.726  203.550 1.0 41.80407  ? 16  LYS D N   16  LYS D N   1 
ATOM 126   C CA  . LYS A 1 16  ? 249.203 -98.944  203.904 1.0 41.80407  ? 16  LYS D CA  16  LYS D CA  1 
ATOM 127   C C   . LYS A 1 16  ? 247.963 -99.392  203.143 1.0 41.80407  ? 16  LYS D C   16  LYS D C   1 
ATOM 128   O O   . LYS A 1 16  ? 246.846 -99.208  203.635 1.0 41.80407  ? 16  LYS D O   16  LYS D O   1 
ATOM 129   C CB  . LYS A 1 16  ? 249.492 -97.461  203.646 1.0 41.80407  ? 16  LYS D CB  16  LYS D CB  1 
ATOM 130   C CG  . LYS A 1 16  ? 248.458 -96.488  204.191 1.0 41.80407  ? 16  LYS D CG  16  LYS D CG  1 
ATOM 131   C CD  . LYS A 1 16  ? 248.816 -95.044  203.882 1.0 41.80407  ? 16  LYS D CD  16  LYS D CD  1 
ATOM 132   C CE  . LYS A 1 16  ? 249.501 -94.380  205.065 1.0 41.80407  ? 16  LYS D CE  16  LYS D CE  1 
ATOM 133   N NZ  . LYS A 1 16  ? 250.926 -94.789  205.195 1.0 41.80407  ? 16  LYS D NZ  16  LYS D NZ  1 
ATOM 134   N N   . GLU A 1 17  ? 248.130 -100.022 201.981 1.0 43.32285  ? 17  GLU D N   17  GLU D N   1 
ATOM 135   C CA  . GLU A 1 17  ? 247.015 -100.225 201.065 1.0 43.32285  ? 17  GLU D CA  17  GLU D CA  1 
ATOM 136   C C   . GLU A 1 17  ? 246.695 -101.692 200.798 1.0 43.32285  ? 17  GLU D C   17  GLU D C   1 
ATOM 137   O O   . GLU A 1 17  ? 245.997 -101.989 199.825 1.0 43.32285  ? 17  GLU D O   17  GLU D O   1 
ATOM 138   C CB  . GLU A 1 17  ? 247.277 -99.493  199.749 1.0 43.32285  ? 17  GLU D CB  17  GLU D CB  1 
ATOM 139   C CG  . GLU A 1 17  ? 248.491 -99.977  198.992 1.0 43.32285  ? 17  GLU D CG  17  GLU D CG  1 
ATOM 140   C CD  . GLU A 1 17  ? 248.734 -99.185  197.724 1.0 43.32285  ? 17  GLU D CD  17  GLU D CD  1 
ATOM 141   O OE1 . GLU A 1 17  ? 247.957 -98.248  197.452 1.0 43.32285  ? 17  GLU D OE1 17  GLU D OE1 1 
ATOM 142   O OE2 . GLU A 1 17  ? 249.701 -99.498  197.000 1.0 43.32285  ? 17  GLU D OE2 17  GLU D OE2 1 
ATOM 143   N N   . TYR A 1 18  ? 247.167 -102.623 201.629 1.0 38.19004  ? 18  TYR D N   18  TYR D N   1 
ATOM 144   C CA  . TYR A 1 18  ? 246.549 -103.941 201.653 1.0 38.19004  ? 18  TYR D CA  18  TYR D CA  1 
ATOM 145   C C   . TYR A 1 18  ? 245.968 -104.312 203.003 1.0 38.19004  ? 18  TYR D C   18  TYR D C   1 
ATOM 146   O O   . TYR A 1 18  ? 245.342 -105.370 203.112 1.0 38.19004  ? 18  TYR D O   18  TYR D O   1 
ATOM 147   C CB  . TYR A 1 18  ? 247.515 -105.053 201.198 1.0 38.19004  ? 18  TYR D CB  18  TYR D CB  1 
ATOM 148   C CG  . TYR A 1 18  ? 248.726 -105.351 202.056 1.0 38.19004  ? 18  TYR D CG  18  TYR D CG  1 
ATOM 149   C CD1 . TYR A 1 18  ? 249.943 -104.770 201.773 1.0 38.19004  ? 18  TYR D CD1 18  TYR D CD1 1 
ATOM 150   C CD2 . TYR A 1 18  ? 248.668 -106.253 203.113 1.0 38.19004  ? 18  TYR D CD2 18  TYR D CD2 1 
ATOM 151   C CE1 . TYR A 1 18  ? 251.057 -105.041 202.525 1.0 38.19004  ? 18  TYR D CE1 18  TYR D CE1 1 
ATOM 152   C CE2 . TYR A 1 18  ? 249.788 -106.526 203.877 1.0 38.19004  ? 18  TYR D CE2 18  TYR D CE2 1 
ATOM 153   C CZ  . TYR A 1 18  ? 250.978 -105.913 203.570 1.0 38.19004  ? 18  TYR D CZ  18  TYR D CZ  1 
ATOM 154   O OH  . TYR A 1 18  ? 252.106 -106.166 204.305 1.0 38.19004  ? 18  TYR D OH  18  TYR D OH  1 
ATOM 155   N N   . LEU A 1 19  ? 246.150 -103.489 204.027 1.0 35.38411  ? 19  LEU D N   19  LEU D N   1 
ATOM 156   C CA  . LEU A 1 19  ? 245.538 -103.765 205.311 1.0 35.38411  ? 19  LEU D CA  19  LEU D CA  1 
ATOM 157   C C   . LEU A 1 19  ? 244.096 -103.267 205.311 1.0 35.38411  ? 19  LEU D C   19  LEU D C   1 
ATOM 158   O O   . LEU A 1 19  ? 243.587 -102.755 204.313 1.0 35.38411  ? 19  LEU D O   19  LEU D O   1 
ATOM 159   C CB  . LEU A 1 19  ? 246.357 -103.138 206.430 1.0 35.38411  ? 19  LEU D CB  19  LEU D CB  1 
ATOM 160   C CG  . LEU A 1 19  ? 247.760 -103.707 206.599 1.0 35.38411  ? 19  LEU D CG  19  LEU D CG  1 
ATOM 161   C CD1 . LEU A 1 19  ? 248.517 -102.932 207.653 1.0 35.38411  ? 19  LEU D CD1 19  LEU D CD1 1 
ATOM 162   C CD2 . LEU A 1 19  ? 247.686 -105.168 206.960 1.0 35.38411  ? 19  LEU D CD2 19  LEU D CD2 1 
ATOM 163   N N   . SER A 1 20  ? 243.429 -103.402 206.451 1.0 36.33102  ? 20  SER D N   20  SER D N   1 
ATOM 164   C CA  . SER A 1 20  ? 241.981 -103.256 206.504 1.0 36.33102  ? 20  SER D CA  20  SER D CA  1 
ATOM 165   C C   . SER A 1 20  ? 241.508 -101.813 206.566 1.0 36.33102  ? 20  SER D C   20  SER D C   1 
ATOM 166   O O   . SER A 1 20  ? 240.299 -101.599 206.683 1.0 36.33102  ? 20  SER D O   20  SER D O   1 
ATOM 167   C CB  . SER A 1 20  ? 241.428 -104.013 207.711 1.0 36.33102  ? 20  SER D CB  20  SER D CB  1 
ATOM 168   O OG  . SER A 1 20  ? 241.659 -105.402 207.587 1.0 36.33102  ? 20  SER D OG  20  SER D OG  1 
ATOM 169   N N   . GLU A 1 21  ? 242.427 -100.840 206.574 1.0 37.75668  ? 21  GLU D N   21  GLU D N   1 
ATOM 170   C CA  . GLU A 1 21  ? 242.242 -99.382  206.660 1.0 37.75668  ? 21  GLU D CA  21  GLU D CA  1 
ATOM 171   C C   . GLU A 1 21  ? 241.363 -98.911  207.822 1.0 37.75668  ? 21  GLU D C   21  GLU D C   1 
ATOM 172   O O   . GLU A 1 21  ? 240.917 -97.761  207.843 1.0 37.75668  ? 21  GLU D O   21  GLU D O   1 
ATOM 173   C CB  . GLU A 1 21  ? 241.753 -98.784  205.324 1.0 37.75668  ? 21  GLU D CB  21  GLU D CB  1 
ATOM 174   C CG  . GLU A 1 21  ? 240.319 -99.011  204.866 1.0 37.75668  ? 21  GLU D CG  21  GLU D CG  1 
ATOM 175   C CD  . GLU A 1 21  ? 240.065 -98.470  203.469 1.0 37.75668  ? 21  GLU D CD  21  GLU D CD  1 
ATOM 176   O OE1 . GLU A 1 21  ? 241.004 -97.912  202.864 1.0 37.75668  ? 21  GLU D OE1 21  GLU D OE1 1 
ATOM 177   O OE2 . GLU A 1 21  ? 238.931 -98.619  202.970 1.0 37.75668  ? 21  GLU D OE2 21  GLU D OE2 1 
ATOM 178   N N   . ASN A 1 22  ? 241.120 -99.791  208.792 1.0 36.67406  ? 22  ASN D N   22  ASN D N   1 
ATOM 179   C CA  . ASN A 1 22  ? 240.875 -99.433  210.176 1.0 36.67406  ? 22  ASN D CA  22  ASN D CA  1 
ATOM 180   C C   . ASN A 1 22  ? 241.973 -99.957  211.075 1.0 36.67406  ? 22  ASN D C   22  ASN D C   1 
ATOM 181   O O   . ASN A 1 22  ? 242.182 -99.411  212.160 1.0 36.67406  ? 22  ASN D O   22  ASN D O   1 
ATOM 182   C CB  . ASN A 1 22  ? 239.535 -99.995  210.665 1.0 36.67406  ? 22  ASN D CB  22  ASN D CB  1 
ATOM 183   C CG  . ASN A 1 22  ? 238.355 -99.298  210.047 1.0 36.67406  ? 22  ASN D CG  22  ASN D CG  1 
ATOM 184   O OD1 . ASN A 1 22  ? 238.337 -98.076  209.924 1.0 36.67406  ? 22  ASN D OD1 22  ASN D OD1 1 
ATOM 185   N ND2 . ASN A 1 22  ? 237.358 -100.073 209.645 1.0 36.67406  ? 22  ASN D ND2 22  ASN D ND2 1 
ATOM 186   N N   . LEU A 1 23  ? 242.663 -101.012 210.642 1.0 34.45651  ? 23  LEU D N   23  LEU D N   1 
ATOM 187   C CA  . LEU A 1 23  ? 243.880 -101.451 211.303 1.0 34.45651  ? 23  LEU D CA  23  LEU D CA  1 
ATOM 188   C C   . LEU A 1 23  ? 245.008 -100.466 211.056 1.0 34.45651  ? 23  LEU D C   23  LEU D C   1 
ATOM 189   O O   . LEU A 1 23  ? 245.900 -100.329 211.896 1.0 34.45651  ? 23  LEU D O   23  LEU D O   1 
ATOM 190   C CB  . LEU A 1 23  ? 244.243 -102.853 210.808 1.0 34.45651  ? 23  LEU D CB  23  LEU D CB  1 
ATOM 191   C CG  . LEU A 1 23  ? 245.285 -103.768 211.460 1.0 34.45651  ? 23  LEU D CG  23  LEU D CG  1 
ATOM 192   C CD1 . LEU A 1 23  ? 246.711 -103.487 211.026 1.0 34.45651  ? 23  LEU D CD1 23  LEU D CD1 1 
ATOM 193   C CD2 . LEU A 1 23  ? 245.172 -103.664 212.958 1.0 34.45651  ? 23  LEU D CD2 23  LEU D CD2 1 
ATOM 194   N N   . VAL A 1 24  ? 244.987 -99.777  209.915 1.0 33.54038  ? 24  VAL D N   24  VAL D N   1 
ATOM 195   C CA  . VAL A 1 24  ? 245.983 -98.745  209.654 1.0 33.54038  ? 24  VAL D CA  24  VAL D CA  1 
ATOM 196   C C   . VAL A 1 24  ? 245.735 -97.537  210.544 1.0 33.54038  ? 24  VAL D C   24  VAL D C   1 
ATOM 197   O O   . VAL A 1 24  ? 246.667 -96.988  211.139 1.0 33.54038  ? 24  VAL D O   24  VAL D O   1 
ATOM 198   C CB  . VAL A 1 24  ? 245.980 -98.368  208.164 1.0 33.54038  ? 24  VAL D CB  24  VAL D CB  1 
ATOM 199   C CG1 . VAL A 1 24  ? 246.948 -97.250  207.900 1.0 33.54038  ? 24  VAL D CG1 24  VAL D CG1 1 
ATOM 200   C CG2 . VAL A 1 24  ? 246.344 -99.561  207.333 1.0 33.54038  ? 24  VAL D CG2 24  VAL D CG2 1 
ATOM 201   N N   . GLN A 1 25  ? 244.474 -97.127  210.685 1.0 35.14349  ? 25  GLN D N   25  GLN D N   1 
ATOM 202   C CA  . GLN A 1 25  ? 244.154 -96.019  211.576 1.0 35.14349  ? 25  GLN D CA  25  GLN D CA  1 
ATOM 203   C C   . GLN A 1 25  ? 244.273 -96.402  213.041 1.0 35.14349  ? 25  GLN D C   25  GLN D C   1 
ATOM 204   O O   . GLN A 1 25  ? 244.330 -95.514  213.893 1.0 35.14349  ? 25  GLN D O   25  GLN D O   1 
ATOM 205   C CB  . GLN A 1 25  ? 242.751 -95.496  211.298 1.0 35.14349  ? 25  GLN D CB  25  GLN D CB  1 
ATOM 206   C CG  . GLN A 1 25  ? 242.614 -94.818  209.962 1.0 35.14349  ? 25  GLN D CG  25  GLN D CG  1 
ATOM 207   C CD  . GLN A 1 25  ? 241.221 -94.293  209.724 1.0 35.14349  ? 25  GLN D CD  25  GLN D CD  1 
ATOM 208   O OE1 . GLN A 1 25  ? 240.327 -94.480  210.547 1.0 35.14349  ? 25  GLN D OE1 25  GLN D OE1 1 
ATOM 209   N NE2 . GLN A 1 25  ? 241.025 -93.631  208.591 1.0 35.14349  ? 25  GLN D NE2 25  GLN D NE2 1 
ATOM 210   N N   . PHE A 1 26  ? 244.300 -97.696  213.354 1.0 34.07315  ? 26  PHE D N   26  PHE D N   1 
ATOM 211   C CA  . PHE A 1 26  ? 244.599 -98.106  214.718 1.0 34.07315  ? 26  PHE D CA  26  PHE D CA  1 
ATOM 212   C C   . PHE A 1 26  ? 246.086 -97.990  215.016 1.0 34.07315  ? 26  PHE D C   26  PHE D C   1 
ATOM 213   O O   . PHE A 1 26  ? 246.464 -97.515  216.090 1.0 34.07315  ? 26  PHE D O   26  PHE D O   1 
ATOM 214   C CB  . PHE A 1 26  ? 244.137 -99.540  214.972 1.0 34.07315  ? 26  PHE D CB  26  PHE D CB  1 
ATOM 215   C CG  . PHE A 1 26  ? 244.383 -100.009 216.377 1.0 34.07315  ? 26  PHE D CG  26  PHE D CG  1 
ATOM 216   C CD1 . PHE A 1 26  ? 243.566 -99.587  217.407 1.0 34.07315  ? 26  PHE D CD1 26  PHE D CD1 1 
ATOM 217   C CD2 . PHE A 1 26  ? 245.438 -100.856 216.672 1.0 34.07315  ? 26  PHE D CD2 26  PHE D CD2 1 
ATOM 218   C CE1 . PHE A 1 26  ? 243.789 -100.001 218.697 1.0 34.07315  ? 26  PHE D CE1 26  PHE D CE1 1 
ATOM 219   C CE2 . PHE A 1 26  ? 245.668 -101.268 217.966 1.0 34.07315  ? 26  PHE D CE2 26  PHE D CE2 1 
ATOM 220   C CZ  . PHE A 1 26  ? 244.840 -100.844 218.976 1.0 34.07315  ? 26  PHE D CZ  26  PHE D CZ  1 
ATOM 221   N N   . ILE A 1 27  ? 246.942 -98.427  214.090 1.0 33.84676  ? 27  ILE D N   27  ILE D N   1 
ATOM 222   C CA  . ILE A 1 27  ? 248.367 -98.453  214.393 1.0 33.84676  ? 27  ILE D CA  27  ILE D CA  1 
ATOM 223   C C   . ILE A 1 27  ? 248.975 -97.060  214.325 1.0 33.84676  ? 27  ILE D C   27  ILE D C   1 
ATOM 224   O O   . ILE A 1 27  ? 249.963 -96.801  215.014 1.0 33.84676  ? 27  ILE D O   27  ILE D O   1 
ATOM 225   C CB  . ILE A 1 27  ? 249.125 -99.455  213.494 1.0 33.84676  ? 27  ILE D CB  27  ILE D CB  1 
ATOM 226   C CG1 . ILE A 1 27  ? 248.978 -99.157  211.997 1.0 33.84676  ? 27  ILE D CG1 27  ILE D CG1 1 
ATOM 227   C CG2 . ILE A 1 27  ? 248.648 -100.867 213.753 1.0 33.84676  ? 27  ILE D CG2 27  ILE D CG2 1 
ATOM 228   C CD1 . ILE A 1 27  ? 250.125 -98.371  211.375 1.0 33.84676  ? 27  ILE D CD1 27  ILE D CD1 1 
ATOM 229   N N   . GLN A 1 28  ? 248.393 -96.149  213.541 1.0 34.22684  ? 28  GLN D N   28  GLN D N   1 
ATOM 230   C CA  . GLN A 1 28  ? 248.902 -94.783  213.491 1.0 34.22684  ? 28  GLN D CA  28  GLN D CA  1 
ATOM 231   C C   . GLN A 1 28  ? 248.646 -94.035  214.787 1.0 34.22684  ? 28  GLN D C   28  GLN D C   1 
ATOM 232   O O   . GLN A 1 28  ? 249.362 -93.080  215.100 1.0 34.22684  ? 28  GLN D O   28  GLN D O   1 
ATOM 233   C CB  . GLN A 1 28  ? 248.272 -94.029  212.326 1.0 34.22684  ? 28  GLN D CB  28  GLN D CB  1 
ATOM 234   C CG  . GLN A 1 28  ? 248.774 -94.456  210.982 1.0 34.22684  ? 28  GLN D CG  28  GLN D CG  1 
ATOM 235   C CD  . GLN A 1 28  ? 248.084 -93.712  209.876 1.0 34.22684  ? 28  GLN D CD  28  GLN D CD  1 
ATOM 236   O OE1 . GLN A 1 28  ? 247.167 -92.931  210.122 1.0 34.22684  ? 28  GLN D OE1 28  GLN D OE1 1 
ATOM 237   N NE2 . GLN A 1 28  ? 248.514 -93.944  208.647 1.0 34.22684  ? 28  GLN D NE2 28  GLN D NE2 1 
ATOM 238   N N   . ALA A 1 29  ? 247.629 -94.441  215.543 1.0 33.90018  ? 29  ALA D N   29  ALA D N   1 
ATOM 239   C CA  . ALA A 1 29  ? 247.430 -93.867  216.864 1.0 33.90018  ? 29  ALA D CA  29  ALA D CA  1 
ATOM 240   C C   . ALA A 1 29  ? 248.508 -94.344  217.824 1.0 33.90018  ? 29  ALA D C   29  ALA D C   1 
ATOM 241   O O   . ALA A 1 29  ? 249.144 -93.538  218.510 1.0 33.90018  ? 29  ALA D O   29  ALA D O   1 
ATOM 242   C CB  . ALA A 1 29  ? 246.046 -94.230  217.391 1.0 33.90018  ? 29  ALA D CB  29  ALA D CB  1 
ATOM 243   N N   . THR A 1 30  ? 248.726 -95.652  217.886 1.0 34.79543  ? 30  THR D N   30  THR D N   1 
ATOM 244   C CA  . THR A 1 30  ? 249.689 -96.239  218.813 1.0 34.79543  ? 30  THR D CA  30  THR D CA  1 
ATOM 245   C C   . THR A 1 30  ? 251.053 -96.443  218.165 1.0 34.79543  ? 30  THR D C   30  THR D C   1 
ATOM 246   O O   . THR A 1 30  ? 251.614 -97.528  218.223 1.0 34.79543  ? 30  THR D O   30  THR D O   1 
ATOM 247   C CB  . THR A 1 30  ? 249.148 -97.559  219.336 1.0 34.79543  ? 30  THR D CB  30  THR D CB  1 
ATOM 248   O OG1 . THR A 1 30  ? 249.129 -98.510  218.270 1.0 34.79543  ? 30  THR D OG1 30  THR D OG1 1 
ATOM 249   C CG2 . THR A 1 30  ? 247.738 -97.378  219.826 1.0 34.79543  ? 30  THR D CG2 30  THR D CG2 1 
ATOM 250   N N   . GLN A 1 31  ? 251.610 -95.410  217.541 1.0 37.95252  ? 31  GLN D N   31  GLN D N   1 
ATOM 251   C CA  . GLN A 1 31  ? 252.957 -95.537  216.999 1.0 37.95252  ? 31  GLN D CA  31  GLN D CA  1 
ATOM 252   C C   . GLN A 1 31  ? 254.033 -95.329  218.047 1.0 37.95252  ? 31  GLN D C   31  GLN D C   1 
ATOM 253   O O   . GLN A 1 31  ? 255.189 -95.690  217.808 1.0 37.95252  ? 31  GLN D O   31  GLN D O   1 
ATOM 254   C CB  . GLN A 1 31  ? 253.187 -94.541  215.859 1.0 37.95252  ? 31  GLN D CB  31  GLN D CB  1 
ATOM 255   C CG  . GLN A 1 31  ? 252.581 -94.932  214.529 1.0 37.95252  ? 31  GLN D CG  31  GLN D CG  1 
ATOM 256   C CD  . GLN A 1 31  ? 253.260 -96.138  213.924 1.0 37.95252  ? 31  GLN D CD  31  GLN D CD  1 
ATOM 257   O OE1 . GLN A 1 31  ? 252.688 -97.241  213.892 1.0 37.95252  ? 31  GLN D OE1 31  GLN D OE1 1 
ATOM 258   N NE2 . GLN A 1 31  ? 254.464 -95.942  213.418 1.0 37.95252  ? 31  GLN D NE2 31  GLN D NE2 1 
ATOM 259   N N   . ASN A 1 32  ? 253.690 -94.753  219.194 1.0 39.17265  ? 32  ASN D N   32  ASN D N   1 
ATOM 260   C CA  . ASN A 1 32  ? 254.700 -94.283  220.127 1.0 39.17265  ? 32  ASN D CA  32  ASN D CA  1 
ATOM 261   C C   . ASN A 1 32  ? 254.931 -95.214  221.304 1.0 39.17265  ? 32  ASN D C   32  ASN D C   1 
ATOM 262   O O   . ASN A 1 32  ? 255.984 -95.119  221.942 1.0 39.17265  ? 32  ASN D O   32  ASN D O   1 
ATOM 263   C CB  . ASN A 1 32  ? 254.315 -92.899  220.650 1.0 39.17265  ? 32  ASN D CB  32  ASN D CB  1 
ATOM 264   C CG  . ASN A 1 32  ? 254.238 -91.871  219.546 1.0 39.17265  ? 32  ASN D CG  32  ASN D CG  1 
ATOM 265   O OD1 . ASN A 1 32  ? 253.162 -91.370  219.224 1.0 39.17265  ? 32  ASN D OD1 32  ASN D OD1 1 
ATOM 266   N ND2 . ASN A 1 32  ? 255.382 -91.553  218.954 1.0 39.17265  ? 32  ASN D ND2 32  ASN D ND2 1 
ATOM 267   N N   . TYR A 1 33  ? 253.994 -96.105  221.615 1.0 38.82155  ? 33  TYR D N   33  TYR D N   1 
ATOM 268   C CA  . TYR A 1 33  ? 254.171 -96.929  222.801 1.0 38.82155  ? 33  TYR D CA  33  TYR D CA  1 
ATOM 269   C C   . TYR A 1 33  ? 253.919 -98.409  222.544 1.0 38.82155  ? 33  TYR D C   33  TYR D C   1 
ATOM 270   O O   . TYR A 1 33  ? 254.484 -99.261  223.235 1.0 38.82155  ? 33  TYR D O   33  TYR D O   1 
ATOM 271   C CB  . TYR A 1 33  ? 253.282 -96.411  223.931 1.0 38.82155  ? 33  TYR D CB  33  TYR D CB  1 
ATOM 272   C CG  . TYR A 1 33  ? 251.799 -96.401  223.652 1.0 38.82155  ? 33  TYR D CG  33  TYR D CG  1 
ATOM 273   C CD1 . TYR A 1 33  ? 251.195 -95.310  223.043 1.0 38.82155  ? 33  TYR D CD1 33  TYR D CD1 1 
ATOM 274   C CD2 . TYR A 1 33  ? 250.995 -97.458  224.045 1.0 38.82155  ? 33  TYR D CD2 33  TYR D CD2 1 
ATOM 275   C CE1 . TYR A 1 33  ? 249.840 -95.289  222.803 1.0 38.82155  ? 33  TYR D CE1 33  TYR D CE1 1 
ATOM 276   C CE2 . TYR A 1 33  ? 249.640 -97.445  223.811 1.0 38.82155  ? 33  TYR D CE2 33  TYR D CE2 1 
ATOM 277   C CZ  . TYR A 1 33  ? 249.071 -96.358  223.190 1.0 38.82155  ? 33  TYR D CZ  33  TYR D CZ  1 
ATOM 278   O OH  . TYR A 1 33  ? 247.720 -96.341  222.959 1.0 38.82155  ? 33  TYR D OH  33  TYR D OH  1 
ATOM 279   N N   . PHE A 1 34  ? 253.088 -98.739  221.560 1.0 39.04324  ? 34  PHE D N   34  PHE D N   1 
ATOM 280   C CA  . PHE A 1 34  ? 252.823 -100.134 221.212 1.0 39.04324  ? 34  PHE D CA  34  PHE D CA  1 
ATOM 281   C C   . PHE A 1 34  ? 252.899 -100.251 219.696 1.0 39.04324  ? 34  PHE D C   34  PHE D C   1 
ATOM 282   O O   . PHE A 1 34  ? 251.876 -100.225 219.011 1.0 39.04324  ? 34  PHE D O   34  PHE D O   1 
ATOM 283   C CB  . PHE A 1 34  ? 251.478 -100.574 221.761 1.0 39.04324  ? 34  PHE D CB  34  PHE D CB  1 
ATOM 284   C CG  . PHE A 1 34  ? 251.159 -102.010 221.505 1.0 39.04324  ? 34  PHE D CG  34  PHE D CG  1 
ATOM 285   C CD1 . PHE A 1 34  ? 251.894 -103.011 222.116 1.0 39.04324  ? 34  PHE D CD1 34  PHE D CD1 1 
ATOM 286   C CD2 . PHE A 1 34  ? 250.094 -102.360 220.698 1.0 39.04324  ? 34  PHE D CD2 34  PHE D CD2 1 
ATOM 287   C CE1 . PHE A 1 34  ? 251.599 -104.335 221.894 1.0 39.04324  ? 34  PHE D CE1 34  PHE D CE1 1 
ATOM 288   C CE2 . PHE A 1 34  ? 249.785 -103.681 220.480 1.0 39.04324  ? 34  PHE D CE2 34  PHE D CE2 1 
ATOM 289   C CZ  . PHE A 1 34  ? 250.543 -104.671 221.075 1.0 39.04324  ? 34  PHE D CZ  34  PHE D CZ  1 
ATOM 290   N N   . ASN A 1 35  ? 254.109 -100.437 219.182 1.0 38.62894  ? 35  ASN D N   35  ASN D N   1 
ATOM 291   C CA  . ASN A 1 35  ? 254.376 -100.298 217.759 1.0 38.62894  ? 35  ASN D CA  35  ASN D CA  1 
ATOM 292   C C   . ASN A 1 35  ? 254.119 -101.625 217.053 1.0 38.62894  ? 35  ASN D C   35  ASN D C   1 
ATOM 293   O O   . ASN A 1 35  ? 254.683 -102.656 217.429 1.0 38.62894  ? 35  ASN D O   35  ASN D O   1 
ATOM 294   C CB  . ASN A 1 35  ? 255.812 -99.833  217.535 1.0 38.62894  ? 35  ASN D CB  35  ASN D CB  1 
ATOM 295   C CG  . ASN A 1 35  ? 256.027 -99.265  216.154 1.0 38.62894  ? 35  ASN D CG  35  ASN D CG  1 
ATOM 296   O OD1 . ASN A 1 35  ? 255.097 -99.185  215.356 1.0 38.62894  ? 35  ASN D OD1 35  ASN D OD1 1 
ATOM 297   N ND2 . ASN A 1 35  ? 257.257 -98.867  215.859 1.0 38.62894  ? 35  ASN D ND2 35  ASN D ND2 1 
ATOM 298   N N   . ILE A 1 36  ? 253.268 -101.591 216.031 1.0 36.50211  ? 36  ILE D N   36  ILE D N   1 
ATOM 299   C CA  . ILE A 1 36  ? 252.902 -102.782 215.277 1.0 36.50211  ? 36  ILE D CA  36  ILE D CA  1 
ATOM 300   C C   . ILE A 1 36  ? 253.332 -102.705 213.814 1.0 36.50211  ? 36  ILE D C   36  ILE D C   1 
ATOM 301   O O   . ILE A 1 36  ? 253.635 -103.747 213.212 1.0 36.50211  ? 36  ILE D O   36  ILE D O   1 
ATOM 302   C CB  . ILE A 1 36  ? 251.379 -103.040 215.391 1.0 36.50211  ? 36  ILE D CB  36  ILE D CB  1 
ATOM 303   C CG1 . ILE A 1 36  ? 250.995 -103.199 216.854 1.0 36.50211  ? 36  ILE D CG1 36  ILE D CG1 1 
ATOM 304   C CG2 . ILE A 1 36  ? 250.915 -104.316 214.698 1.0 36.50211  ? 36  ILE D CG2 36  ILE D CG2 1 
ATOM 305   C CD1 . ILE A 1 36  ? 251.698 -104.358 217.519 1.0 36.50211  ? 36  ILE D CD1 36  ILE D CD1 1 
ATOM 306   N N   . GLY A 1 37  ? 253.495 -101.512 213.242 1.0 35.7246   ? 37  GLY D N   37  GLY D N   1 
ATOM 307   C CA  . GLY A 1 37  ? 253.683 -101.318 211.810 1.0 35.7246   ? 37  GLY D CA  37  GLY D CA  1 
ATOM 308   C C   . GLY A 1 37  ? 254.959 -101.892 211.211 1.0 35.7246   ? 37  GLY D C   37  GLY D C   1 
ATOM 309   O O   . GLY A 1 37  ? 255.141 -101.778 209.995 1.0 35.7246   ? 37  GLY D O   37  GLY D O   1 
ATOM 310   N N   . GLU A 1 38  ? 255.840 -102.487 212.010 1.0 38.90404  ? 38  GLU D N   38  GLU D N   1 
ATOM 311   C CA  . GLU A 1 38  ? 256.960 -103.239 211.465 1.0 38.90404  ? 38  GLU D CA  38  GLU D CA  1 
ATOM 312   C C   . GLU A 1 38  ? 256.666 -104.726 211.358 1.0 38.90404  ? 38  GLU D C   38  GLU D C   1 
ATOM 313   O O   . GLU A 1 38  ? 257.542 -105.489 210.944 1.0 38.90404  ? 38  GLU D O   38  GLU D O   1 
ATOM 314   C CB  . GLU A 1 38  ? 258.222 -103.032 212.308 1.0 38.90404  ? 38  GLU D CB  38  GLU D CB  1 
ATOM 315   C CG  . GLU A 1 38  ? 258.807 -101.633 212.229 1.0 38.90404  ? 38  GLU D CG  38  GLU D CG  1 
ATOM 316   C CD  . GLU A 1 38  ? 258.191 -100.688 213.238 1.0 38.90404  ? 38  GLU D CD  38  GLU D CD  1 
ATOM 317   O OE1 . GLU A 1 38  ? 257.391 -101.158 214.074 1.0 38.90404  ? 38  GLU D OE1 38  GLU D OE1 1 
ATOM 318   O OE2 . GLU A 1 38  ? 258.495 -99.477  213.191 1.0 38.90404  ? 38  GLU D OE2 38  GLU D OE2 1 
ATOM 319   N N   . LYS A 1 39  ? 255.463 -105.157 211.716 1.0 35.45231  ? 39  LYS D N   39  LYS D N   1 
ATOM 320   C CA  . LYS A 1 39  ? 255.094 -106.560 211.613 1.0 35.45231  ? 39  LYS D CA  39  LYS D CA  1 
ATOM 321   C C   . LYS A 1 39  ? 254.539 -106.896 210.239 1.0 35.45231  ? 39  LYS D C   39  LYS D C   1 
ATOM 322   O O   . LYS A 1 39  ? 254.177 -108.049 209.996 1.0 35.45231  ? 39  LYS D O   39  LYS D O   1 
ATOM 323   C CB  . LYS A 1 39  ? 254.056 -106.936 212.684 1.0 35.45231  ? 39  LYS D CB  39  LYS D CB  1 
ATOM 324   C CG  . LYS A 1 39  ? 254.601 -107.337 214.063 1.0 35.45231  ? 39  LYS D CG  39  LYS D CG  1 
ATOM 325   C CD  . LYS A 1 39  ? 255.184 -106.159 214.823 1.0 35.45231  ? 39  LYS D CD  39  LYS D CD  1 
ATOM 326   C CE  . LYS A 1 39  ? 255.893 -106.577 216.082 1.0 35.45231  ? 39  LYS D CE  39  LYS D CE  1 
ATOM 327   N NZ  . LYS A 1 39  ? 254.976 -107.253 217.028 1.0 35.45231  ? 39  LYS D NZ  39  LYS D NZ  1 
ATOM 328   N N   . PHE A 1 40  ? 254.457 -105.918 209.345 1.0 34.46526  ? 40  PHE D N   40  PHE D N   1 
ATOM 329   C CA  . PHE A 1 40  ? 253.860 -106.084 208.030 1.0 34.46526  ? 40  PHE D CA  40  PHE D CA  1 
ATOM 330   C C   . PHE A 1 40  ? 254.880 -105.697 206.973 1.0 34.46526  ? 40  PHE D C   40  PHE D C   1 
ATOM 331   O O   . PHE A 1 40  ? 255.500 -104.634 207.063 1.0 34.46526  ? 40  PHE D O   40  PHE D O   1 
ATOM 332   C CB  . PHE A 1 40  ? 252.602 -105.234 207.904 1.0 34.46526  ? 40  PHE D CB  40  PHE D CB  1 
ATOM 333   C CG  . PHE A 1 40  ? 251.515 -105.649 208.838 1.0 34.46526  ? 40  PHE D CG  40  PHE D CG  1 
ATOM 334   C CD1 . PHE A 1 40  ? 250.711 -106.729 208.540 1.0 34.46526  ? 40  PHE D CD1 40  PHE D CD1 1 
ATOM 335   C CD2 . PHE A 1 40  ? 251.311 -104.974 210.026 1.0 34.46526  ? 40  PHE D CD2 40  PHE D CD2 1 
ATOM 336   C CE1 . PHE A 1 40  ? 249.715 -107.123 209.405 1.0 34.46526  ? 40  PHE D CE1 40  PHE D CE1 1 
ATOM 337   C CE2 . PHE A 1 40  ? 250.318 -105.364 210.894 1.0 34.46526  ? 40  PHE D CE2 40  PHE D CE2 1 
ATOM 338   C CZ  . PHE A 1 40  ? 249.519 -106.439 210.582 1.0 34.46526  ? 40  PHE D CZ  40  PHE D CZ  1 
ATOM 339   N N   . ARG A 1 41  ? 255.050 -106.558 205.978 1.0 38.19698  ? 41  ARG D N   41  ARG D N   1 
ATOM 340   C CA  . ARG A 1 41  ? 256.102 -106.378 204.993 1.0 38.19698  ? 41  ARG D CA  41  ARG D CA  1 
ATOM 341   C C   . ARG A 1 41  ? 255.664 -105.382 203.928 1.0 38.19698  ? 41  ARG D C   41  ARG D C   1 
ATOM 342   O O   . ARG A 1 41  ? 254.506 -105.368 203.508 1.0 38.19698  ? 41  ARG D O   41  ARG D O   1 
ATOM 343   C CB  . ARG A 1 41  ? 256.455 -107.724 204.365 1.0 38.19698  ? 41  ARG D CB  41  ARG D CB  1 
ATOM 344   C CG  . ARG A 1 41  ? 257.599 -107.690 203.398 1.0 38.19698  ? 41  ARG D CG  41  ARG D CG  1 
ATOM 345   C CD  . ARG A 1 41  ? 258.895 -107.369 204.097 1.0 38.19698  ? 41  ARG D CD  41  ARG D CD  1 
ATOM 346   N NE  . ARG A 1 41  ? 259.979 -107.310 203.129 1.0 38.19698  ? 41  ARG D NE  41  ARG D NE  1 
ATOM 347   C CZ  . ARG A 1 41  ? 261.203 -106.886 203.400 1.0 38.19698  ? 41  ARG D CZ  41  ARG D CZ  1 
ATOM 348   N NH1 . ARG A 1 41  ? 261.510 -106.486 204.624 1.0 38.19698  ? 41  ARG D NH1 41  ARG D NH1 1 
ATOM 349   N NH2 . ARG A 1 41  ? 262.119 -106.865 202.443 1.0 38.19698  ? 41  ARG D NH2 41  ARG D NH2 1 
ATOM 350   N N   . ASP A 1 42  ? 256.598 -104.535 203.505 1.0 41.69984  ? 42  ASP D N   42  ASP D N   1 
ATOM 351   C CA  . ASP A 1 42  ? 256.362 -103.521 202.488 1.0 41.69984  ? 42  ASP D CA  42  ASP D CA  1 
ATOM 352   C C   . ASP A 1 42  ? 257.253 -103.829 201.293 1.0 41.69984  ? 42  ASP D C   42  ASP D C   1 
ATOM 353   O O   . ASP A 1 42  ? 258.482 -103.903 201.454 1.0 41.69984  ? 42  ASP D O   42  ASP D O   1 
ATOM 354   C CB  . ASP A 1 42  ? 256.675 -102.135 203.053 1.0 41.69984  ? 42  ASP D CB  42  ASP D CB  1 
ATOM 355   C CG  . ASP A 1 42  ? 256.149 -101.007 202.192 1.0 41.69984  ? 42  ASP D CG  42  ASP D CG  1 
ATOM 356   O OD1 . ASP A 1 42  ? 255.486 -101.271 201.173 1.0 41.69984  ? 42  ASP D OD1 42  ASP D OD1 1 
ATOM 357   O OD2 . ASP A 1 42  ? 256.414 -99.838  202.537 1.0 41.69984  ? 42  ASP D OD2 42  ASP D OD2 1 
ATOM 358   N N   . PRO A 1 43  ? 256.706 -104.039 200.098 1.0 42.321    ? 43  PRO D N   43  PRO D N   1 
ATOM 359   C CA  . PRO A 1 43  ? 257.557 -104.286 198.931 1.0 42.321    ? 43  PRO D CA  43  PRO D CA  1 
ATOM 360   C C   . PRO A 1 43  ? 258.316 -103.041 198.500 1.0 42.321    ? 43  PRO D C   43  PRO D C   1 
ATOM 361   O O   . PRO A 1 43  ? 257.956 -101.910 198.825 1.0 42.321    ? 43  PRO D O   43  PRO D O   1 
ATOM 362   C CB  . PRO A 1 43  ? 256.561 -104.723 197.854 1.0 42.321    ? 43  PRO D CB  43  PRO D CB  1 
ATOM 363   C CG  . PRO A 1 43  ? 255.270 -104.152 198.286 1.0 42.321    ? 43  PRO D CG  43  PRO D CG  1 
ATOM 364   C CD  . PRO A 1 43  ? 255.281 -104.200 199.777 1.0 42.321    ? 43  PRO D CD  43  PRO D CD  1 
ATOM 365   N N   . TYR A 1 44  ? 259.392 -103.275 197.750 1.0 45.72624  ? 44  TYR D N   44  TYR D N   1 
ATOM 366   C CA  . TYR A 1 44  ? 260.271 -102.202 197.291 1.0 45.72624  ? 44  TYR D CA  44  TYR D CA  1 
ATOM 367   C C   . TYR A 1 44  ? 260.860 -102.657 195.960 1.0 45.72624  ? 44  TYR D C   44  TYR D C   1 
ATOM 368   O O   . TYR A 1 44  ? 261.846 -103.397 195.937 1.0 45.72624  ? 44  TYR D O   44  TYR D O   1 
ATOM 369   C CB  . TYR A 1 44  ? 261.344 -101.910 198.330 1.0 45.72624  ? 44  TYR D CB  44  TYR D CB  1 
ATOM 370   C CG  . TYR A 1 44  ? 262.269 -100.769 197.997 1.0 45.72624  ? 44  TYR D CG  44  TYR D CG  1 
ATOM 371   C CD1 . TYR A 1 44  ? 261.803 -99.466  197.961 1.0 45.72624  ? 44  TYR D CD1 44  TYR D CD1 1 
ATOM 372   C CD2 . TYR A 1 44  ? 263.621 -100.987 197.785 1.0 45.72624  ? 44  TYR D CD2 44  TYR D CD2 1 
ATOM 373   C CE1 . TYR A 1 44  ? 262.647 -98.416  197.674 1.0 45.72624  ? 44  TYR D CE1 44  TYR D CE1 1 
ATOM 374   C CE2 . TYR A 1 44  ? 264.473 -99.942  197.508 1.0 45.72624  ? 44  TYR D CE2 44  TYR D CE2 1 
ATOM 375   C CZ  . TYR A 1 44  ? 263.980 -98.660  197.449 1.0 45.72624  ? 44  TYR D CZ  44  TYR D CZ  1 
ATOM 376   O OH  . TYR A 1 44  ? 264.828 -97.615  197.169 1.0 45.72624  ? 44  TYR D OH  44  TYR D OH  1 
ATOM 377   N N   . VAL A 1 45  ? 260.255 -102.208 194.863 1.0 44.91612  ? 45  VAL D N   45  VAL D N   1 
ATOM 378   C CA  . VAL A 1 45  ? 260.441 -102.802 193.545 1.0 44.91612  ? 45  VAL D CA  45  VAL D CA  1 
ATOM 379   C C   . VAL A 1 45  ? 261.147 -101.802 192.639 1.0 44.91612  ? 45  VAL D C   45  VAL D C   1 
ATOM 380   O O   . VAL A 1 45  ? 260.727 -100.644 192.536 1.0 44.91612  ? 45  VAL D O   45  VAL D O   1 
ATOM 381   C CB  . VAL A 1 45  ? 259.090 -103.233 192.948 1.0 44.91612  ? 45  VAL D CB  45  VAL D CB  1 
ATOM 382   C CG1 . VAL A 1 45  ? 259.261 -103.806 191.564 1.0 44.91612  ? 45  VAL D CG1 45  VAL D CG1 1 
ATOM 383   C CG2 . VAL A 1 45  ? 258.417 -104.241 193.851 1.0 44.91612  ? 45  VAL D CG2 45  VAL D CG2 1 
ATOM 384   N N   . ALA A 1 46  ? 262.218 -102.253 191.983 1.0 49.09339  ? 46  ALA D N   46  ALA D N   1 
ATOM 385   C CA  . ALA A 1 46  ? 262.933 -101.457 190.998 1.0 49.09339  ? 46  ALA D CA  46  ALA D CA  1 
ATOM 386   C C   . ALA A 1 46  ? 262.046 -101.209 189.777 1.0 49.09339  ? 46  ALA D C   46  ALA D C   1 
ATOM 387   O O   . ALA A 1 46  ? 261.103 -101.964 189.535 1.0 49.09339  ? 46  ALA D O   46  ALA D O   1 
ATOM 388   C CB  . ALA A 1 46  ? 264.219 -102.178 190.596 1.0 49.09339  ? 46  ALA D CB  46  ALA D CB  1 
ATOM 389   N N   . PRO A 1 47  ? 262.311 -100.142 189.003 1.0 51.4936   ? 47  PRO D N   47  PRO D N   1 
ATOM 390   C CA  . PRO A 1 47  ? 261.414 -99.836  187.867 1.0 51.4936   ? 47  PRO D CA  47  PRO D CA  1 
ATOM 391   C C   . PRO A 1 47  ? 261.410 -100.875 186.757 1.0 51.4936   ? 47  PRO D C   47  PRO D C   1 
ATOM 392   O O   . PRO A 1 47  ? 260.327 -101.299 186.330 1.0 51.4936   ? 47  PRO D O   47  PRO D O   1 
ATOM 393   C CB  . PRO A 1 47  ? 261.941 -98.484  187.372 1.0 51.4936   ? 47  PRO D CB  47  PRO D CB  1 
ATOM 394   C CG  . PRO A 1 47  ? 262.590 -97.883  188.541 1.0 51.4936   ? 47  PRO D CG  47  PRO D CG  1 
ATOM 395   C CD  . PRO A 1 47  ? 263.220 -99.012  189.275 1.0 51.4936   ? 47  PRO D CD  47  PRO D CD  1 
ATOM 396   N N   . SER A 1 48  ? 262.593 -101.279 186.275 1.0 54.89573  ? 48  SER D N   48  SER D N   1 
ATOM 397   C CA  . SER A 1 48  ? 262.776 -102.295 185.226 1.0 54.89573  ? 48  SER D CA  48  SER D CA  1 
ATOM 398   C C   . SER A 1 48  ? 262.066 -101.941 183.923 1.0 54.89573  ? 48  SER D C   48  SER D C   1 
ATOM 399   O O   . SER A 1 48  ? 261.613 -102.827 183.196 1.0 54.89573  ? 48  SER D O   48  SER D O   1 
ATOM 400   C CB  . SER A 1 48  ? 262.341 -103.686 185.691 1.0 54.89573  ? 48  SER D CB  48  SER D CB  1 
ATOM 401   O OG  . SER A 1 48  ? 262.423 -104.617 184.626 1.0 54.89573  ? 48  SER D OG  48  SER D OG  1 
ATOM 402   N N   . ALA A 1 49  ? 261.977 -100.649 183.618 1.0 55.78604  ? 49  ALA D N   49  ALA D N   1 
ATOM 403   C CA  . ALA A 1 49  ? 261.355 -100.186 182.382 1.0 55.78604  ? 49  ALA D CA  49  ALA D CA  1 
ATOM 404   C C   . ALA A 1 49  ? 261.865 -98.786  182.102 1.0 55.78604  ? 49  ALA D C   49  ALA D C   1 
ATOM 405   O O   . ALA A 1 49  ? 261.613 -97.871  182.890 1.0 55.78604  ? 49  ALA D O   49  ALA D O   1 
ATOM 406   C CB  . ALA A 1 49  ? 259.831 -100.189 182.490 1.0 55.78604  ? 49  ALA D CB  49  ALA D CB  1 
ATOM 407   N N   . GLY A 1 50  ? 262.577 -98.618  180.994 1.0 54.06767  ? 50  GLY D N   50  GLY D N   1 
ATOM 408   C CA  . GLY A 1 50  ? 263.016 -97.295  180.606 1.0 54.06767  ? 50  GLY D CA  50  GLY D CA  1 
ATOM 409   C C   . GLY A 1 50  ? 264.159 -96.735  181.413 1.0 54.06767  ? 50  GLY D C   50  GLY D C   1 
ATOM 410   O O   . GLY A 1 50  ? 264.297 -95.514  181.502 1.0 54.06767  ? 50  GLY D O   50  GLY D O   1 
ATOM 411   N N   . VAL A 1 51  ? 264.986 -97.587  182.009 1.0 51.18073  ? 51  VAL D N   51  VAL D N   1 
ATOM 412   C CA  . VAL A 1 51  ? 266.131 -97.150  182.800 1.0 51.18073  ? 51  VAL D CA  51  VAL D CA  1 
ATOM 413   C C   . VAL A 1 51  ? 267.443 -97.561  182.148 1.0 51.18073  ? 51  VAL D C   51  VAL D C   1 
ATOM 414   O O   . VAL A 1 51  ? 268.273 -96.714  181.818 1.0 51.18073  ? 51  VAL D O   51  VAL D O   1 
ATOM 415   C CB  . VAL A 1 51  ? 266.041 -97.672  184.250 1.0 51.18073  ? 51  VAL D CB  51  VAL D CB  1 
ATOM 416   C CG1 . VAL A 1 51  ? 267.304 -97.326  185.004 1.0 51.18073  ? 51  VAL D CG1 51  VAL D CG1 1 
ATOM 417   C CG2 . VAL A 1 51  ? 264.840 -97.075  184.940 1.0 51.18073  ? 51  VAL D CG2 51  VAL D CG2 1 
ATOM 418   N N   . THR A 1 52  ? 267.652 -98.858  181.953 1.0 51.65845  ? 52  THR D N   52  THR D N   1 
ATOM 419   C CA  . THR A 1 52  ? 268.923 -99.367  181.465 1.0 51.65845  ? 52  THR D CA  52  THR D CA  1 
ATOM 420   C C   . THR A 1 52  ? 268.697 -100.172 180.196 1.0 51.65845  ? 52  THR D C   52  THR D C   1 
ATOM 421   O O   . THR A 1 52  ? 267.817 -101.037 180.151 1.0 51.65845  ? 52  THR D O   52  THR D O   1 
ATOM 422   C CB  . THR A 1 52  ? 269.615 -100.209 182.534 1.0 51.65845  ? 52  THR D CB  52  THR D CB  1 
ATOM 423   O OG1 . THR A 1 52  ? 269.764 -99.422  183.721 1.0 51.65845  ? 52  THR D OG1 52  THR D OG1 1 
ATOM 424   C CG2 . THR A 1 52  ? 270.995 -100.625 182.061 1.0 51.65845  ? 52  THR D CG2 52  THR D CG2 1 
ATOM 425   N N   . THR A 1 53  ? 269.492 -99.884  179.171 1.0 54.38868  ? 53  THR D N   53  THR D N   1 
ATOM 426   C CA  . THR A 1 53  ? 269.306 -100.453 177.850 1.0 54.38868  ? 53  THR D CA  53  THR D CA  1 
ATOM 427   C C   . THR A 1 53  ? 269.811 -101.891 177.784 1.0 54.38868  ? 53  THR D C   53  THR D C   1 
ATOM 428   O O   . THR A 1 53  ? 270.290 -102.465 178.763 1.0 54.38868  ? 53  THR D O   53  THR D O   1 
ATOM 429   C CB  . THR A 1 53  ? 270.016 -99.599  176.808 1.0 54.38868  ? 53  THR D CB  53  THR D CB  1 
ATOM 430   O OG1 . THR A 1 53  ? 269.740 -100.120 175.503 1.0 54.38868  ? 53  THR D OG1 53  THR D OG1 1 
ATOM 431   C CG2 . THR A 1 53  ? 271.512 -99.607  177.055 1.0 54.38868  ? 53  THR D CG2 53  THR D CG2 1 
ATOM 432   N N   . ASP A 1 54  ? 269.699 -102.476 176.594 1.0 59.33201  ? 54  ASP D N   54  ASP D N   1 
ATOM 433   C CA  . ASP A 1 54  ? 270.165 -103.823 176.317 1.0 59.33201  ? 54  ASP D CA  54  ASP D CA  1 
ATOM 434   C C   . ASP A 1 54  ? 271.447 -103.834 175.494 1.0 59.33201  ? 54  ASP D C   54  ASP D C   1 
ATOM 435   O O   . ASP A 1 54  ? 272.106 -104.877 175.413 1.0 59.33201  ? 54  ASP D O   54  ASP D O   1 
ATOM 436   C CB  . ASP A 1 54  ? 269.074 -104.604 175.564 1.0 59.33201  ? 54  ASP D CB  54  ASP D CB  1 
ATOM 437   C CG  . ASP A 1 54  ? 269.222 -106.111 175.698 1.0 59.33201  ? 54  ASP D CG  54  ASP D CG  1 
ATOM 438   O OD1 . ASP A 1 54  ? 270.061 -106.571 176.499 1.0 59.33201  ? 54  ASP D OD1 54  ASP D OD1 1 
ATOM 439   O OD2 . ASP A 1 54  ? 268.517 -106.843 174.979 1.0 59.33201  ? 54  ASP D OD2 54  ASP D OD2 1 
ATOM 440   N N   . ARG A 1 55  ? 271.820 -102.701 174.902 1.0 56.99056  ? 55  ARG D N   55  ARG D N   1 
ATOM 441   C CA  . ARG A 1 55  ? 272.896 -102.654 173.926 1.0 56.99056  ? 55  ARG D CA  55  ARG D CA  1 
ATOM 442   C C   . ARG A 1 55  ? 274.257 -102.824 174.591 1.0 56.99056  ? 55  ARG D C   55  ARG D C   1 
ATOM 443   O O   . ARG A 1 55  ? 274.454 -102.506 175.764 1.0 56.99056  ? 55  ARG D O   55  ARG D O   1 
ATOM 444   C CB  . ARG A 1 55  ? 272.860 -101.335 173.160 1.0 56.99056  ? 55  ARG D CB  55  ARG D CB  1 
ATOM 445   C CG  . ARG A 1 55  ? 271.580 -101.097 172.388 1.0 56.99056  ? 55  ARG D CG  55  ARG D CG  1 
ATOM 446   C CD  . ARG A 1 55  ? 271.443 -102.074 171.241 1.0 56.99056  ? 55  ARG D CD  55  ARG D CD  1 
ATOM 447   N NE  . ARG A 1 55  ? 270.212 -101.857 170.489 1.0 56.99056  ? 55  ARG D NE  55  ARG D NE  1 
ATOM 448   C CZ  . ARG A 1 55  ? 270.113 -101.030 169.455 1.0 56.99056  ? 55  ARG D CZ  55  ARG D CZ  1 
ATOM 449   N NH1 . ARG A 1 55  ? 271.172 -100.341 169.056 1.0 56.99056  ? 55  ARG D NH1 55  ARG D NH1 1 
ATOM 450   N NH2 . ARG A 1 55  ? 268.957 -100.889 168.821 1.0 56.99056  ? 55  ARG D NH2 55  ARG D NH2 1 
ATOM 451   N N   . SER A 1 56  ? 275.210 -103.320 173.808 1.0 52.62063  ? 56  SER D N   56  SER D N   1 
ATOM 452   C CA  . SER A 1 56  ? 276.553 -103.626 174.291 1.0 52.62063  ? 56  SER D CA  56  SER D CA  1 
ATOM 453   C C   . SER A 1 56  ? 277.365 -102.339 174.337 1.0 52.62063  ? 56  SER D C   56  SER D C   1 
ATOM 454   O O   . SER A 1 56  ? 277.953 -101.925 173.336 1.0 52.62063  ? 56  SER D O   56  SER D O   1 
ATOM 455   C CB  . SER A 1 56  ? 277.209 -104.670 173.396 1.0 52.62063  ? 56  SER D CB  56  SER D CB  1 
ATOM 456   O OG  . SER A 1 56  ? 278.546 -104.924 173.782 1.0 52.62063  ? 56  SER D OG  56  SER D OG  1 
ATOM 457   N N   . GLN A 1 57  ? 277.396 -101.700 175.505 1.0 50.09415  ? 57  GLN D N   57  GLN D N   1 
ATOM 458   C CA  . GLN A 1 57  ? 278.254 -100.548 175.735 1.0 50.09415  ? 57  GLN D CA  57  GLN D CA  1 
ATOM 459   C C   . GLN A 1 57  ? 278.936 -100.707 177.084 1.0 50.09415  ? 57  GLN D C   57  GLN D C   1 
ATOM 460   O O   . GLN A 1 57  ? 278.563 -101.553 177.898 1.0 50.09415  ? 57  GLN D O   57  GLN D O   1 
ATOM 461   C CB  . GLN A 1 57  ? 277.479 -99.233  175.672 1.0 50.09415  ? 57  GLN D CB  57  GLN D CB  1 
ATOM 462   C CG  . GLN A 1 57  ? 276.463 -99.058  176.767 1.0 50.09415  ? 57  GLN D CG  57  GLN D CG  1 
ATOM 463   C CD  . GLN A 1 57  ? 275.703 -97.762  176.627 1.0 50.09415  ? 57  GLN D CD  57  GLN D CD  1 
ATOM 464   O OE1 . GLN A 1 57  ? 275.991 -96.953  175.748 1.0 50.09415  ? 57  GLN D OE1 57  GLN D OE1 1 
ATOM 465   N NE2 . GLN A 1 57  ? 274.718 -97.561  177.487 1.0 50.09415  ? 57  GLN D NE2 57  GLN D NE2 1 
ATOM 466   N N   . LYS A 1 58  ? 279.938 -99.870  177.319 1.0 46.48843  ? 58  LYS D N   58  LYS D N   1 
ATOM 467   C CA  . LYS A 1 58  ? 280.893 -100.077 178.395 1.0 46.48843  ? 58  LYS D CA  58  LYS D CA  1 
ATOM 468   C C   . LYS A 1 58  ? 280.548 -99.191  179.585 1.0 46.48843  ? 58  LYS D C   58  LYS D C   1 
ATOM 469   O O   . LYS A 1 58  ? 280.127 -98.045  179.415 1.0 46.48843  ? 58  LYS D O   58  LYS D O   1 
ATOM 470   C CB  . LYS A 1 58  ? 282.310 -99.790  177.893 1.0 46.48843  ? 58  LYS D CB  58  LYS D CB  1 
ATOM 471   C CG  . LYS A 1 58  ? 283.417 -100.263 178.807 1.0 46.48843  ? 58  LYS D CG  58  LYS D CG  1 
ATOM 472   C CD  . LYS A 1 58  ? 284.790 -99.958  178.236 1.0 46.48843  ? 58  LYS D CD  58  LYS D CD  1 
ATOM 473   C CE  . LYS A 1 58  ? 285.133 -100.891 177.098 1.0 46.48843  ? 58  LYS D CE  58  LYS D CE  1 
ATOM 474   N NZ  . LYS A 1 58  ? 285.332 -102.272 177.602 1.0 46.48843  ? 58  LYS D NZ  58  LYS D NZ  1 
ATOM 475   N N   . LEU A 1 59  ? 280.712 -99.735  180.792 1.0 43.34733  ? 59  LEU D N   59  LEU D N   1 
ATOM 476   C CA  . LEU A 1 59  ? 280.386 -98.974  181.993 1.0 43.34733  ? 59  LEU D CA  59  LEU D CA  1 
ATOM 477   C C   . LEU A 1 59  ? 281.493 -97.984  182.326 1.0 43.34733  ? 59  LEU D C   59  LEU D C   1 
ATOM 478   O O   . LEU A 1 59  ? 281.264 -96.774  182.368 1.0 43.34733  ? 59  LEU D O   59  LEU D O   1 
ATOM 479   C CB  . LEU A 1 59  ? 280.138 -99.911  183.172 1.0 43.34733  ? 59  LEU D CB  59  LEU D CB  1 
ATOM 480   C CG  . LEU A 1 59  ? 279.005 -100.921 183.007 1.0 43.34733  ? 59  LEU D CG  59  LEU D CG  1 
ATOM 481   C CD1 . LEU A 1 59  ? 278.848 -101.743 184.268 1.0 43.34733  ? 59  LEU D CD1 59  LEU D CD1 1 
ATOM 482   C CD2 . LEU A 1 59  ? 277.694 -100.271 182.613 1.0 43.34733  ? 59  LEU D CD2 59  LEU D CD2 1 
ATOM 483   N N   . GLN A 1 60  ? 282.705 -98.482  182.561 1.0 43.26774  ? 60  GLN D N   60  GLN D N   1 
ATOM 484   C CA  . GLN A 1 60  ? 283.873 -97.630  182.717 1.0 43.26774  ? 60  GLN D CA  60  GLN D CA  1 
ATOM 485   C C   . GLN A 1 60  ? 284.349 -97.153  181.349 1.0 43.26774  ? 60  GLN D C   60  GLN D C   1 
ATOM 486   O O   . GLN A 1 60  ? 283.711 -97.392  180.323 1.0 43.26774  ? 60  GLN D O   60  GLN D O   1 
ATOM 487   C CB  . GLN A 1 60  ? 284.990 -98.381  183.431 1.0 43.26774  ? 60  GLN D CB  60  GLN D CB  1 
ATOM 488   C CG  . GLN A 1 60  ? 284.672 -98.783  184.849 1.0 43.26774  ? 60  GLN D CG  60  GLN D CG  1 
ATOM 489   C CD  . GLN A 1 60  ? 284.502 -97.595  185.761 1.0 43.26774  ? 60  GLN D CD  60  GLN D CD  1 
ATOM 490   O OE1 . GLN A 1 60  ? 283.395 -97.290  186.201 1.0 43.26774  ? 60  GLN D OE1 60  GLN D OE1 1 
ATOM 491   N NE2 . GLN A 1 60  ? 285.601 -96.912  186.052 1.0 43.26774  ? 60  GLN D NE2 60  GLN D NE2 1 
ATOM 492   N N   . LEU A 1 61  ? 285.495 -96.477  181.326 1.0 39.84601  ? 61  LEU D N   61  LEU D N   1 
ATOM 493   C CA  . LEU A 1 61  ? 286.134 -96.118  180.069 1.0 39.84601  ? 61  LEU D CA  61  LEU D CA  1 
ATOM 494   C C   . LEU A 1 61  ? 287.608 -95.884  180.343 1.0 39.84601  ? 61  LEU D C   61  LEU D C   1 
ATOM 495   O O   . LEU A 1 61  ? 287.987 -95.442  181.427 1.0 39.84601  ? 61  LEU D O   61  LEU D O   1 
ATOM 496   C CB  . LEU A 1 61  ? 285.487 -94.880  179.431 1.0 39.84601  ? 61  LEU D CB  61  LEU D CB  1 
ATOM 497   C CG  . LEU A 1 61  ? 285.742 -94.485  177.972 1.0 39.84601  ? 61  LEU D CG  61  LEU D CG  1 
ATOM 498   C CD1 . LEU A 1 61  ? 286.975 -93.619  177.756 1.0 39.84601  ? 61  LEU D CD1 61  LEU D CD1 1 
ATOM 499   C CD2 . LEU A 1 61  ? 285.830 -95.737  177.131 1.0 39.84601  ? 61  LEU D CD2 61  LEU D CD2 1 
ATOM 500   N N   . ARG A 1 62  ? 288.430 -96.193  179.349 1.0 41.77697  ? 62  ARG D N   62  ARG D N   1 
ATOM 501   C CA  . ARG A 1 62  ? 289.872 -95.999  179.416 1.0 41.77697  ? 62  ARG D CA  62  ARG D CA  1 
ATOM 502   C C   . ARG A 1 62  ? 290.335 -95.367  178.117 1.0 41.77697  ? 62  ARG D C   62  ARG D C   1 
ATOM 503   O O   . ARG A 1 62  ? 290.251 -95.997  177.058 1.0 41.77697  ? 62  ARG D O   62  ARG D O   1 
ATOM 504   C CB  . ARG A 1 62  ? 290.586 -97.322  179.636 1.0 41.77697  ? 62  ARG D CB  62  ARG D CB  1 
ATOM 505   C CG  . ARG A 1 62  ? 292.079 -97.212  179.572 1.0 41.77697  ? 62  ARG D CG  62  ARG D CG  1 
ATOM 506   C CD  . ARG A 1 62  ? 292.688 -98.552  179.823 1.0 41.77697  ? 62  ARG D CD  62  ARG D CD  1 
ATOM 507   N NE  . ARG A 1 62  ? 292.488 -99.470  178.712 1.0 41.77697  ? 62  ARG D NE  62  ARG D NE  1 
ATOM 508   C CZ  . ARG A 1 62  ? 293.306 -99.552  177.670 1.0 41.77697  ? 62  ARG D CZ  62  ARG D CZ  1 
ATOM 509   N NH1 . ARG A 1 62  ? 294.381 -98.780  177.613 1.0 41.77697  ? 62  ARG D NH1 62  ARG D NH1 1 
ATOM 510   N NH2 . ARG A 1 62  ? 293.057 -100.415 176.696 1.0 41.77697  ? 62  ARG D NH2 62  ARG D NH2 1 
ATOM 511   N N   . VAL A 1 63  ? 290.827 -94.137  178.185 1.0 36.70478  ? 63  VAL D N   63  VAL D N   1 
ATOM 512   C CA  . VAL A 1 63  ? 291.361 -93.458  177.014 1.0 36.70478  ? 63  VAL D CA  63  VAL D CA  1 
ATOM 513   C C   . VAL A 1 63  ? 292.816 -93.094  177.289 1.0 36.70478  ? 63  VAL D C   63  VAL D C   1 
ATOM 514   O O   . VAL A 1 63  ? 293.144 -92.547  178.349 1.0 36.70478  ? 63  VAL D O   63  VAL D O   1 
ATOM 515   C CB  . VAL A 1 63  ? 290.498 -92.247  176.607 1.0 36.70478  ? 63  VAL D CB  63  VAL D CB  1 
ATOM 516   C CG1 . VAL A 1 63  ? 290.249 -91.307  177.753 1.0 36.70478  ? 63  VAL D CG1 63  VAL D CG1 1 
ATOM 517   C CG2 . VAL A 1 63  ? 291.133 -91.494  175.458 1.0 36.70478  ? 63  VAL D CG2 63  VAL D CG2 1 
ATOM 518   N N   . VAL A 1 64  ? 293.692 -93.469  176.365 1.0 36.18122  ? 64  VAL D N   64  VAL D N   1 
ATOM 519   C CA  . VAL A 1 64  ? 295.122 -93.193  176.448 1.0 36.18122  ? 64  VAL D CA  64  VAL D CA  1 
ATOM 520   C C   . VAL A 1 64  ? 295.361 -91.838  175.788 1.0 36.18122  ? 64  VAL D C   64  VAL D C   1 
ATOM 521   O O   . VAL A 1 64  ? 294.537 -91.417  174.964 1.0 36.18122  ? 64  VAL D O   64  VAL D O   1 
ATOM 522   C CB  . VAL A 1 64  ? 295.926 -94.329  175.793 1.0 36.18122  ? 64  VAL D CB  64  VAL D CB  1 
ATOM 523   C CG1 . VAL A 1 64  ? 295.688 -95.620  176.535 1.0 36.18122  ? 64  VAL D CG1 64  VAL D CG1 1 
ATOM 524   C CG2 . VAL A 1 64  ? 295.548 -94.487  174.339 1.0 36.18122  ? 64  VAL D CG2 64  VAL D CG2 1 
ATOM 525   N N   . PRO A 1 65  ? 296.425 -91.103  176.121 1.0 36.96892  ? 65  PRO D N   65  PRO D N   1 
ATOM 526   C CA  . PRO A 1 65  ? 296.581 -89.763  175.552 1.0 36.96892  ? 65  PRO D CA  65  PRO D CA  1 
ATOM 527   C C   . PRO A 1 65  ? 297.012 -89.797  174.097 1.0 36.96892  ? 65  PRO D C   65  PRO D C   1 
ATOM 528   O O   . PRO A 1 65  ? 297.734 -90.691  173.654 1.0 36.96892  ? 65  PRO D O   65  PRO D O   1 
ATOM 529   C CB  . PRO A 1 65  ? 297.662 -89.130  176.430 1.0 36.96892  ? 65  PRO D CB  65  PRO D CB  1 
ATOM 530   C CG  . PRO A 1 65  ? 298.434 -90.256  176.929 1.0 36.96892  ? 65  PRO D CG  65  PRO D CG  1 
ATOM 531   C CD  . PRO A 1 65  ? 297.467 -91.370  177.127 1.0 36.96892  ? 65  PRO D CD  65  PRO D CD  1 
ATOM 532   N N   . ILE A 1 66  ? 296.541 -88.801  173.351 1.0 40.75755  ? 66  ILE D N   66  ILE D N   1 
ATOM 533   C CA  . ILE A 1 66  ? 296.955 -88.643  171.963 1.0 40.75755  ? 66  ILE D CA  66  ILE D CA  1 
ATOM 534   C C   . ILE A 1 66  ? 298.363 -88.078  171.888 1.0 40.75755  ? 66  ILE D C   66  ILE D C   1 
ATOM 535   O O   . ILE A 1 66  ? 299.226 -88.604  171.178 1.0 40.75755  ? 66  ILE D O   66  ILE D O   1 
ATOM 536   C CB  . ILE A 1 66  ? 295.957 -87.747  171.214 1.0 40.75755  ? 66  ILE D CB  66  ILE D CB  1 
ATOM 537   C CG1 . ILE A 1 66  ? 294.565 -88.356  171.281 1.0 40.75755  ? 66  ILE D CG1 66  ILE D CG1 1 
ATOM 538   C CG2 . ILE A 1 66  ? 296.378 -87.578  169.776 1.0 40.75755  ? 66  ILE D CG2 66  ILE D CG2 1 
ATOM 539   C CD1 . ILE A 1 66  ? 294.476 -89.713  170.643 1.0 40.75755  ? 66  ILE D CD1 66  ILE D CD1 1 
ATOM 540   N N   . GLN A 1 67  ? 298.613 -86.999  172.617 1.0 44.1407   ? 67  GLN D N   67  GLN D N   1 
ATOM 541   C CA  . GLN A 1 67  ? 299.909 -86.348  172.653 1.0 44.1407   ? 67  GLN D CA  67  GLN D CA  1 
ATOM 542   C C   . GLN A 1 67  ? 300.401 -86.272  174.085 1.0 44.1407   ? 67  GLN D C   67  GLN D C   1 
ATOM 543   O O   . GLN A 1 67  ? 299.620 -86.030  175.007 1.0 44.1407   ? 67  GLN D O   67  GLN D O   1 
ATOM 544   C CB  . GLN A 1 67  ? 299.843 -84.937  172.085 1.0 44.1407   ? 67  GLN D CB  67  GLN D CB  1 
ATOM 545   C CG  . GLN A 1 67  ? 299.565 -84.848  170.615 1.0 44.1407   ? 67  GLN D CG  67  GLN D CG  1 
ATOM 546   C CD  . GLN A 1 67  ? 299.499 -83.412  170.150 1.0 44.1407   ? 67  GLN D CD  67  GLN D CD  1 
ATOM 547   O OE1 . GLN A 1 67  ? 299.600 -82.487  170.954 1.0 44.1407   ? 67  GLN D OE1 67  GLN D OE1 1 
ATOM 548   N NE2 . GLN A 1 67  ? 299.327 -83.215  168.851 1.0 44.1407   ? 67  GLN D NE2 67  GLN D NE2 1 
ATOM 549   N N   . THR A 1 68  ? 301.697 -86.482  174.267 1.0 47.98336  ? 68  THR D N   68  THR D N   1 
ATOM 550   C CA  . THR A 1 68  ? 302.369 -86.190  175.519 1.0 47.98336  ? 68  THR D CA  68  THR D CA  1 
ATOM 551   C C   . THR A 1 68  ? 303.508 -85.219  175.249 1.0 47.98336  ? 68  THR D C   68  THR D C   1 
ATOM 552   O O   . THR A 1 68  ? 303.905 -84.999  174.103 1.0 47.98336  ? 68  THR D O   68  THR D O   1 
ATOM 553   C CB  . THR A 1 68  ? 302.913 -87.456  176.189 1.0 47.98336  ? 68  THR D CB  68  THR D CB  1 
ATOM 554   O OG1 . THR A 1 68  ? 303.877 -88.073  175.330 1.0 47.98336  ? 68  THR D OG1 68  THR D OG1 1 
ATOM 555   C CG2 . THR A 1 68  ? 301.792 -88.441  176.474 1.0 47.98336  ? 68  THR D CG2 68  THR D CG2 1 
ATOM 556   N N   . GLU A 1 69  ? 304.031 -84.630  176.318 1.0 47.66314  ? 69  GLU D N   69  GLU D N   1 
ATOM 557   C CA  . GLU A 1 69  ? 305.167 -83.729  176.219 1.0 47.66314  ? 69  GLU D CA  69  GLU D CA  1 
ATOM 558   C C   . GLU A 1 69  ? 305.947 -83.782  177.519 1.0 47.66314  ? 69  GLU D C   69  GLU D C   1 
ATOM 559   O O   . GLU A 1 69  ? 305.357 -83.784  178.600 1.0 47.66314  ? 69  GLU D O   69  GLU D O   1 
ATOM 560   C CB  . GLU A 1 69  ? 304.721 -82.292  175.931 1.0 47.66314  ? 69  GLU D CB  69  GLU D CB  1 
ATOM 561   C CG  . GLU A 1 69  ? 305.861 -81.311  175.732 1.0 47.66314  ? 69  GLU D CG  69  GLU D CG  1 
ATOM 562   C CD  . GLU A 1 69  ? 305.380 -79.898  175.487 1.0 47.66314  ? 69  GLU D CD  69  GLU D CD  1 
ATOM 563   O OE1 . GLU A 1 69  ? 304.151 -79.683  175.482 1.0 47.66314  ? 69  GLU D OE1 69  GLU D OE1 1 
ATOM 564   O OE2 . GLU A 1 69  ? 306.228 -79.000  175.304 1.0 47.66314  ? 69  GLU D OE2 69  GLU D OE2 1 
ATOM 565   N N   . ASP A 1 70  ? 307.267 -83.832  177.414 1.0 53.12398  ? 70  ASP D N   70  ASP D N   1 
ATOM 566   C CA  . ASP A 1 70  ? 308.137 -83.829  178.578 1.0 53.12398  ? 70  ASP D CA  70  ASP D CA  1 
ATOM 567   C C   . ASP A 1 70  ? 308.783 -82.463  178.748 1.0 53.12398  ? 70  ASP D C   70  ASP D C   1 
ATOM 568   O O   . ASP A 1 70  ? 308.994 -81.736  177.775 1.0 53.12398  ? 70  ASP D O   70  ASP D O   1 
ATOM 569   C CB  . ASP A 1 70  ? 309.223 -84.898  178.454 1.0 53.12398  ? 70  ASP D CB  70  ASP D CB  1 
ATOM 570   C CG  . ASP A 1 70  ? 308.674 -86.296  178.578 1.0 53.12398  ? 70  ASP D CG  70  ASP D CG  1 
ATOM 571   O OD1 . ASP A 1 70  ? 307.668 -86.468  179.288 1.0 53.12398  ? 70  ASP D OD1 70  ASP D OD1 1 
ATOM 572   O OD2 . ASP A 1 70  ? 309.244 -87.222  177.966 1.0 53.12398  ? 70  ASP D OD2 70  ASP D OD2 1 
ATOM 573   N N   . ASN A 1 71  ? 309.085 -82.117  179.992 1.0 51.15714  ? 71  ASN D N   71  ASN D N   1 
ATOM 574   C CA  . ASN A 1 71  ? 309.899 -80.959  180.305 1.0 51.15714  ? 71  ASN D CA  71  ASN D CA  1 
ATOM 575   C C   . ASN A 1 71  ? 310.679 -81.268  181.576 1.0 51.15714  ? 71  ASN D C   71  ASN D C   1 
ATOM 576   O O   . ASN A 1 71  ? 310.476 -82.303  182.214 1.0 51.15714  ? 71  ASN D O   71  ASN D O   1 
ATOM 577   C CB  . ASN A 1 71  ? 309.040 -79.698  180.469 1.0 51.15714  ? 71  ASN D CB  71  ASN D CB  1 
ATOM 578   C CG  . ASN A 1 71  ? 309.856 -78.420  180.379 1.0 51.15714  ? 71  ASN D CG  71  ASN D CG  1 
ATOM 579   O OD1 . ASN A 1 71  ? 311.063 -78.465  180.161 1.0 51.15714  ? 71  ASN D OD1 71  ASN D OD1 1 
ATOM 580   N ND2 . ASN A 1 71  ? 309.209 -77.284  180.555 1.0 51.15714  ? 71  ASN D ND2 71  ASN D ND2 1 
ATOM 581   N N   . VAL A 1 72  ? 311.605 -80.372  181.923 1.0 51.48123  ? 72  VAL D N   72  VAL D N   1 
ATOM 582   C CA  . VAL A 1 72  ? 312.216 -80.393  183.245 1.0 51.48123  ? 72  VAL D CA  72  VAL D CA  1 
ATOM 583   C C   . VAL A 1 72  ? 311.156 -80.177  184.320 1.0 51.48123  ? 72  VAL D C   72  VAL D C   1 
ATOM 584   O O   . VAL A 1 72  ? 311.211 -80.782  185.398 1.0 51.48123  ? 72  VAL D O   72  VAL D O   1 
ATOM 585   C CB  . VAL A 1 72  ? 313.333 -79.334  183.322 1.0 51.48123  ? 72  VAL D CB  72  VAL D CB  1 
ATOM 586   C CG1 . VAL A 1 72  ? 314.018 -79.340  184.688 1.0 51.48123  ? 72  VAL D CG1 72  VAL D CG1 1 
ATOM 587   C CG2 . VAL A 1 72  ? 314.344 -79.541  182.202 1.0 51.48123  ? 72  VAL D CG2 72  VAL D CG2 1 
ATOM 588   N N   . ASN A 1 73  ? 310.143 -79.351  184.030 1.0 48.92074  ? 73  ASN D N   73  ASN D N   1 
ATOM 589   C CA  . ASN A 1 73  ? 309.229 -78.909  185.073 1.0 48.92074  ? 73  ASN D CA  73  ASN D CA  1 
ATOM 590   C C   . ASN A 1 73  ? 307.740 -79.139  184.805 1.0 48.92074  ? 73  ASN D C   73  ASN D C   1 
ATOM 591   O O   . ASN A 1 73  ? 306.930 -78.804  185.675 1.0 48.92074  ? 73  ASN D O   73  ASN D O   1 
ATOM 592   C CB  . ASN A 1 73  ? 309.483 -77.428  185.388 1.0 48.92074  ? 73  ASN D CB  73  ASN D CB  1 
ATOM 593   C CG  . ASN A 1 73  ? 309.431 -76.548  184.161 1.0 48.92074  ? 73  ASN D CG  73  ASN D CG  1 
ATOM 594   O OD1 . ASN A 1 73  ? 309.102 -77.000  183.070 1.0 48.92074  ? 73  ASN D OD1 73  ASN D OD1 1 
ATOM 595   N ND2 . ASN A 1 73  ? 309.774 -75.279  184.333 1.0 48.92074  ? 73  ASN D ND2 73  ASN D ND2 1 
ATOM 596   N N   . TYR A 1 74  ? 307.338 -79.703  183.663 1.0 46.03974  ? 74  TYR D N   74  TYR D N   1 
ATOM 597   C CA  . TYR A 1 74  ? 305.938 -80.103  183.521 1.0 46.03974  ? 74  TYR D CA  74  TYR D CA  1 
ATOM 598   C C   . TYR A 1 74  ? 305.800 -81.310  182.599 1.0 46.03974  ? 74  TYR D C   74  TYR D C   1 
ATOM 599   O O   . TYR A 1 74  ? 306.780 -81.843  182.075 1.0 46.03974  ? 74  TYR D O   74  TYR D O   1 
ATOM 600   C CB  . TYR A 1 74  ? 305.025 -78.954  183.047 1.0 46.03974  ? 74  TYR D CB  74  TYR D CB  1 
ATOM 601   C CG  . TYR A 1 74  ? 305.219 -78.390  181.654 1.0 46.03974  ? 74  TYR D CG  74  TYR D CG  1 
ATOM 602   C CD1 . TYR A 1 74  ? 305.968 -77.245  181.451 1.0 46.03974  ? 74  TYR D CD1 74  TYR D CD1 1 
ATOM 603   C CD2 . TYR A 1 74  ? 304.610 -78.973  180.550 1.0 46.03974  ? 74  TYR D CD2 74  TYR D CD2 1 
ATOM 604   C CE1 . TYR A 1 74  ? 306.118 -76.711  180.190 1.0 46.03974  ? 74  TYR D CE1 74  TYR D CE1 1 
ATOM 605   C CE2 . TYR A 1 74  ? 304.775 -78.456  179.286 1.0 46.03974  ? 74  TYR D CE2 74  TYR D CE2 1 
ATOM 606   C CZ  . TYR A 1 74  ? 305.533 -77.327  179.114 1.0 46.03974  ? 74  TYR D CZ  74  TYR D CZ  1 
ATOM 607   O OH  . TYR A 1 74  ? 305.698 -76.793  177.860 1.0 46.03974  ? 74  TYR D OH  74  TYR D OH  1 
ATOM 608   N N   . TYR A 1 75  ? 304.549 -81.729  182.406 1.0 42.27768  ? 75  TYR D N   75  TYR D N   1 
ATOM 609   C CA  . TYR A 1 75  ? 304.203 -82.891  181.593 1.0 42.27768  ? 75  TYR D CA  75  TYR D CA  1 
ATOM 610   C C   . TYR A 1 75  ? 302.807 -82.678  181.026 1.0 42.27768  ? 75  TYR D C   75  TYR D C   1 
ATOM 611   O O   . TYR A 1 75  ? 301.844 -82.596  181.790 1.0 42.27768  ? 75  TYR D O   75  TYR D O   1 
ATOM 612   C CB  . TYR A 1 75  ? 304.243 -84.170  182.426 1.0 42.27768  ? 75  TYR D CB  75  TYR D CB  1 
ATOM 613   C CG  . TYR A 1 75  ? 303.963 -85.434  181.650 1.0 42.27768  ? 75  TYR D CG  75  TYR D CG  1 
ATOM 614   C CD1 . TYR A 1 75  ? 304.955 -86.052  180.915 1.0 42.27768  ? 75  TYR D CD1 75  TYR D CD1 1 
ATOM 615   C CD2 . TYR A 1 75  ? 302.703 -86.008  181.644 1.0 42.27768  ? 75  TYR D CD2 75  TYR D CD2 1 
ATOM 616   C CE1 . TYR A 1 75  ? 304.704 -87.208  180.205 1.0 42.27768  ? 75  TYR D CE1 75  TYR D CE1 1 
ATOM 617   C CE2 . TYR A 1 75  ? 302.447 -87.158  180.921 1.0 42.27768  ? 75  TYR D CE2 75  TYR D CE2 1 
ATOM 618   C CZ  . TYR A 1 75  ? 303.455 -87.755  180.215 1.0 42.27768  ? 75  TYR D CZ  75  TYR D CZ  1 
ATOM 619   O OH  . TYR A 1 75  ? 303.206 -88.902  179.503 1.0 42.27768  ? 75  TYR D OH  75  TYR D OH  1 
ATOM 620   N N   . LYS A 1 76  ? 302.690 -82.600  179.704 1.0 43.58713  ? 76  LYS D N   76  LYS D N   1 
ATOM 621   C CA  . LYS A 1 76  ? 301.401 -82.412  179.048 1.0 43.58713  ? 76  LYS D CA  76  LYS D CA  1 
ATOM 622   C C   . LYS A 1 76  ? 300.760 -83.756  178.735 1.0 43.58713  ? 76  LYS D C   76  LYS D C   1 
ATOM 623   O O   . LYS A 1 76  ? 301.440 -84.698  178.328 1.0 43.58713  ? 76  LYS D O   76  LYS D O   1 
ATOM 624   C CB  . LYS A 1 76  ? 301.570 -81.606  177.757 1.0 43.58713  ? 76  LYS D CB  76  LYS D CB  1 
ATOM 625   C CG  . LYS A 1 76  ? 300.297 -81.403  176.940 1.0 43.58713  ? 76  LYS D CG  76  LYS D CG  1 
ATOM 626   C CD  . LYS A 1 76  ? 300.521 -80.475  175.772 1.0 43.58713  ? 76  LYS D CD  76  LYS D CD  1 
ATOM 627   C CE  . LYS A 1 76  ? 301.261 -81.169  174.656 1.0 43.58713  ? 76  LYS D CE  76  LYS D CE  1 
ATOM 628   N NZ  . LYS A 1 76  ? 300.411 -82.184  173.981 1.0 43.58713  ? 76  LYS D NZ  76  LYS D NZ  1 
ATOM 629   N N   . ALA A 1 77  ? 299.448 -83.844  178.937 1.0 40.88799  ? 77  ALA D N   77  ALA D N   1 
ATOM 630   C CA  . ALA A 1 77  ? 298.658 -84.976  178.471 1.0 40.88799  ? 77  ALA D CA  77  ALA D CA  1 
ATOM 631   C C   . ALA A 1 77  ? 297.413 -84.437  177.789 1.0 40.88799  ? 77  ALA D C   77  ALA D C   1 
ATOM 632   O O   . ALA A 1 77  ? 296.625 -83.727  178.418 1.0 40.88799  ? 77  ALA D O   77  ALA D O   1 
ATOM 633   C CB  . ALA A 1 77  ? 298.280 -85.899  179.627 1.0 40.88799  ? 77  ALA D CB  77  ALA D CB  1 
ATOM 634   N N   . ARG A 1 78  ? 297.237 -84.759  176.511 1.0 40.37414  ? 78  ARG D N   78  ARG D N   1 
ATOM 635   C CA  . ARG A 1 78  ? 296.062 -84.336  175.762 1.0 40.37414  ? 78  ARG D CA  78  ARG D CA  1 
ATOM 636   C C   . ARG A 1 78  ? 295.270 -85.560  175.341 1.0 40.37414  ? 78  ARG D C   78  ARG D C   1 
ATOM 637   O O   . ARG A 1 78  ? 295.818 -86.476  174.723 1.0 40.37414  ? 78  ARG D O   78  ARG D O   1 
ATOM 638   C CB  . ARG A 1 78  ? 296.438 -83.507  174.537 1.0 40.37414  ? 78  ARG D CB  78  ARG D CB  1 
ATOM 639   C CG  . ARG A 1 78  ? 295.228 -82.968  173.805 1.0 40.37414  ? 78  ARG D CG  78  ARG D CG  1 
ATOM 640   C CD  . ARG A 1 78  ? 295.599 -82.083  172.630 1.0 40.37414  ? 78  ARG D CD  78  ARG D CD  1 
ATOM 641   N NE  . ARG A 1 78  ? 296.276 -82.810  171.564 1.0 40.37414  ? 78  ARG D NE  78  ARG D NE  1 
ATOM 642   C CZ  . ARG A 1 78  ? 295.648 -83.514  170.628 1.0 40.37414  ? 78  ARG D CZ  78  ARG D CZ  1 
ATOM 643   N NH1 . ARG A 1 78  ? 294.327 -83.596  170.628 1.0 40.37414  ? 78  ARG D NH1 78  ARG D NH1 1 
ATOM 644   N NH2 . ARG A 1 78  ? 296.341 -84.138  169.688 1.0 40.37414  ? 78  ARG D NH2 78  ARG D NH2 1 
ATOM 645   N N   . PHE A 1 79  ? 293.984 -85.564  175.664 1.0 36.85636  ? 79  PHE D N   79  PHE D N   1 
ATOM 646   C CA  . PHE A 1 79  ? 293.113 -86.709  175.470 1.0 36.85636  ? 79  PHE D CA  79  PHE D CA  1 
ATOM 647   C C   . PHE A 1 79  ? 292.051 -86.378  174.433 1.0 36.85636  ? 79  PHE D C   79  PHE D C   1 
ATOM 648   O O   . PHE A 1 79  ? 291.938 -85.246  173.964 1.0 36.85636  ? 79  PHE D O   79  PHE D O   1 
ATOM 649   C CB  . PHE A 1 79  ? 292.457 -87.113  176.790 1.0 36.85636  ? 79  PHE D CB  79  PHE D CB  1 
ATOM 650   C CG  . PHE A 1 79  ? 293.428 -87.588  177.818 1.0 36.85636  ? 79  PHE D CG  79  PHE D CG  1 
ATOM 651   C CD1 . PHE A 1 79  ? 293.857 -88.897  177.824 1.0 36.85636  ? 79  PHE D CD1 79  PHE D CD1 1 
ATOM 652   C CD2 . PHE A 1 79  ? 293.925 -86.719  178.769 1.0 36.85636  ? 79  PHE D CD2 79  PHE D CD2 1 
ATOM 653   C CE1 . PHE A 1 79  ? 294.755 -89.335  178.764 1.0 36.85636  ? 79  PHE D CE1 79  PHE D CE1 1 
ATOM 654   C CE2 . PHE A 1 79  ? 294.825 -87.150  179.711 1.0 36.85636  ? 79  PHE D CE2 79  PHE D CE2 1 
ATOM 655   C CZ  . PHE A 1 79  ? 295.239 -88.459  179.709 1.0 36.85636  ? 79  PHE D CZ  79  PHE D CZ  1 
ATOM 656   N N   . THR A 1 80  ? 291.265 -87.389  174.074 1.0 38.99641  ? 80  THR D N   80  THR D N   1 
ATOM 657   C CA  . THR A 1 80  ? 290.145 -87.214  173.151 1.0 38.99641  ? 80  THR D CA  80  THR D CA  1 
ATOM 658   C C   . THR A 1 80  ? 288.967 -87.992  173.723 1.0 38.99641  ? 80  THR D C   80  THR D C   1 
ATOM 659   O O   . THR A 1 80  ? 288.900 -89.218  173.599 1.0 38.99641  ? 80  THR D O   80  THR D O   1 
ATOM 660   C CB  . THR A 1 80  ? 290.494 -87.683  171.747 1.0 38.99641  ? 80  THR D CB  80  THR D CB  1 
ATOM 661   O OG1 . THR A 1 80  ? 291.591 -86.908  171.254 1.0 38.99641  ? 80  THR D OG1 80  THR D OG1 1 
ATOM 662   C CG2 . THR A 1 80  ? 289.309 -87.507  170.813 1.0 38.99641  ? 80  THR D CG2 80  THR D CG2 1 
ATOM 663   N N   . LEU A 1 81  ? 288.049 -87.276  174.359 1.0 40.61787  ? 81  LEU D N   81  LEU D N   1 
ATOM 664   C CA  . LEU A 1 81  ? 286.900 -87.887  175.016 1.0 40.61787  ? 81  LEU D CA  81  LEU D CA  1 
ATOM 665   C C   . LEU A 1 81  ? 285.771 -87.992  174.001 1.0 40.61787  ? 81  LEU D C   81  LEU D C   1 
ATOM 666   O O   . LEU A 1 81  ? 285.103 -87.004  173.693 1.0 40.61787  ? 81  LEU D O   81  LEU D O   1 
ATOM 667   C CB  . LEU A 1 81  ? 286.492 -87.070  176.233 1.0 40.61787  ? 81  LEU D CB  81  LEU D CB  1 
ATOM 668   C CG  . LEU A 1 81  ? 285.305 -87.614  177.016 1.0 40.61787  ? 81  LEU D CG  81  LEU D CG  1 
ATOM 669   C CD1 . LEU A 1 81  ? 285.631 -88.994  177.522 1.0 40.61787  ? 81  LEU D CD1 81  LEU D CD1 1 
ATOM 670   C CD2 . LEU A 1 81  ? 284.962 -86.685  178.163 1.0 40.61787  ? 81  LEU D CD2 81  LEU D CD2 1 
ATOM 671   N N   . ASN A 1 82  ? 285.558 -89.191  173.475 1.0 40.69234  ? 82  ASN D N   82  ASN D N   1 
ATOM 672   C CA  . ASN A 1 82  ? 284.531 -89.435  172.474 1.0 40.69234  ? 82  ASN D CA  82  ASN D CA  1 
ATOM 673   C C   . ASN A 1 82  ? 283.279 -89.941  173.174 1.0 40.69234  ? 82  ASN D C   82  ASN D C   1 
ATOM 674   O O   . ASN A 1 82  ? 283.308 -90.990  173.824 1.0 40.69234  ? 82  ASN D O   82  ASN D O   1 
ATOM 675   C CB  . ASN A 1 82  ? 285.010 -90.447  171.436 1.0 40.69234  ? 82  ASN D CB  82  ASN D CB  1 
ATOM 676   C CG  . ASN A 1 82  ? 284.105 -90.522  170.224 1.0 40.69234  ? 82  ASN D CG  82  ASN D CG  1 
ATOM 677   O OD1 . ASN A 1 82  ? 283.114 -89.803  170.119 1.0 40.69234  ? 82  ASN D OD1 82  ASN D OD1 1 
ATOM 678   N ND2 . ASN A 1 82  ? 284.445 -91.406  169.296 1.0 40.69234  ? 82  ASN D ND2 82  ASN D ND2 1 
ATOM 679   N N   . VAL A 1 83  ? 282.188 -89.202  173.037 1.0 40.00359  ? 83  VAL D N   83  VAL D N   1 
ATOM 680   C CA  . VAL A 1 83  ? 280.898 -89.585  173.592 1.0 40.00359  ? 83  VAL D CA  83  VAL D CA  1 
ATOM 681   C C   . VAL A 1 83  ? 279.958 -89.793  172.419 1.0 40.00359  ? 83  VAL D C   83  VAL D C   1 
ATOM 682   O O   . VAL A 1 83  ? 279.514 -88.825  171.792 1.0 40.00359  ? 83  VAL D O   83  VAL D O   1 
ATOM 683   C CB  . VAL A 1 83  ? 280.358 -88.527  174.558 1.0 40.00359  ? 83  VAL D CB  83  VAL D CB  1 
ATOM 684   C CG1 . VAL A 1 83  ? 279.002 -88.937  175.083 1.0 40.00359  ? 83  VAL D CG1 83  VAL D CG1 1 
ATOM 685   C CG2 . VAL A 1 83  ? 281.327 -88.335  175.681 1.0 40.00359  ? 83  VAL D CG2 83  VAL D CG2 1 
ATOM 686   N N   . GLY A 1 84  ? 279.651 -91.048  172.120 1.0 43.77724  ? 84  GLY D N   84  GLY D N   1 
ATOM 687   C CA  . GLY A 1 84  ? 278.846 -91.370  170.965 1.0 43.77724  ? 84  GLY D CA  84  GLY D CA  1 
ATOM 688   C C   . GLY A 1 84  ? 277.399 -90.956  171.132 1.0 43.77724  ? 84  GLY D C   84  GLY D C   1 
ATOM 689   O O   . GLY A 1 84  ? 276.977 -90.407  172.149 1.0 43.77724  ? 84  GLY D O   84  GLY D O   1 
ATOM 690   N N   . ASP A 1 85  ? 276.628 -91.210  170.081 1.0 47.15803  ? 85  ASP D N   85  ASP D N   1 
ATOM 691   C CA  . ASP A 1 85  ? 275.200 -90.953  170.132 1.0 47.15803  ? 85  ASP D CA  85  ASP D CA  1 
ATOM 692   C C   . ASP A 1 85  ? 274.537 -91.905  171.115 1.0 47.15803  ? 85  ASP D C   85  ASP D C   1 
ATOM 693   O O   . ASP A 1 85  ? 274.926 -93.070  171.219 1.0 47.15803  ? 85  ASP D O   85  ASP D O   1 
ATOM 694   C CB  . ASP A 1 85  ? 274.581 -91.110  168.747 1.0 47.15803  ? 85  ASP D CB  85  ASP D CB  1 
ATOM 695   C CG  . ASP A 1 85  ? 275.016 -90.023  167.793 1.0 47.15803  ? 85  ASP D CG  85  ASP D CG  1 
ATOM 696   O OD1 . ASP A 1 85  ? 275.284 -88.895  168.257 1.0 47.15803  ? 85  ASP D OD1 85  ASP D OD1 1 
ATOM 697   O OD2 . ASP A 1 85  ? 275.097 -90.299  166.579 1.0 47.15803  ? 85  ASP D OD2 85  ASP D OD2 1 
ATOM 698   N N   . ASN A 1 86  ? 273.555 -91.370  171.850 1.0 46.37991  ? 86  ASN D N   86  ASN D N   1 
ATOM 699   C CA  . ASN A 1 86  ? 272.779 -92.067  172.884 1.0 46.37991  ? 86  ASN D CA  86  ASN D CA  1 
ATOM 700   C C   . ASN A 1 86  ? 273.648 -92.486  174.073 1.0 46.37991  ? 86  ASN D C   86  ASN D C   1 
ATOM 701   O O   . ASN A 1 86  ? 273.435 -93.537  174.678 1.0 46.37991  ? 86  ASN D O   86  ASN D O   1 
ATOM 702   C CB  . ASN A 1 86  ? 272.010 -93.268  172.316 1.0 46.37991  ? 86  ASN D CB  86  ASN D CB  1 
ATOM 703   C CG  . ASN A 1 86  ? 271.034 -92.884  171.225 1.0 46.37991  ? 86  ASN D CG  86  ASN D CG  1 
ATOM 704   O OD1 . ASN A 1 86  ? 271.213 -93.246  170.066 1.0 46.37991  ? 86  ASN D OD1 86  ASN D OD1 1 
ATOM 705   N ND2 . ASN A 1 86  ? 269.978 -92.175  171.594 1.0 46.37991  ? 86  ASN D ND2 86  ASN D ND2 1 
ATOM 706   N N   . ARG A 1 87  ? 274.624 -91.650  174.429 1.0 44.29213  ? 87  ARG D N   87  ARG D N   1 
ATOM 707   C CA  . ARG A 1 87  ? 275.433 -91.853  175.626 1.0 44.29213  ? 87  ARG D CA  87  ARG D CA  1 
ATOM 708   C C   . ARG A 1 87  ? 275.478 -90.571  176.444 1.0 44.29213  ? 87  ARG D C   87  ARG D C   1 
ATOM 709   O O   . ARG A 1 87  ? 275.387 -89.469  175.904 1.0 44.29213  ? 87  ARG D O   87  ARG D O   1 
ATOM 710   C CB  . ARG A 1 87  ? 276.880 -92.283  175.303 1.0 44.29213  ? 87  ARG D CB  87  ARG D CB  1 
ATOM 711   C CG  . ARG A 1 87  ? 277.126 -93.780  175.073 1.0 44.29213  ? 87  ARG D CG  87  ARG D CG  1 
ATOM 712   C CD  . ARG A 1 87  ? 276.664 -94.232  173.704 1.0 44.29213  ? 87  ARG D CD  87  ARG D CD  1 
ATOM 713   N NE  . ARG A 1 87  ? 277.025 -95.609  173.383 1.0 44.29213  ? 87  ARG D NE  87  ARG D NE  1 
ATOM 714   C CZ  . ARG A 1 87  ? 278.145 -95.960  172.760 1.0 44.29213  ? 87  ARG D CZ  87  ARG D CZ  1 
ATOM 715   N NH1 . ARG A 1 87  ? 279.020 -95.035  172.390 1.0 44.29213  ? 87  ARG D NH1 87  ARG D NH1 1 
ATOM 716   N NH2 . ARG A 1 87  ? 278.392 -97.235  172.499 1.0 44.29213  ? 87  ARG D NH2 87  ARG D NH2 1 
ATOM 717   N N   . LEU A 1 88  ? 275.616 -90.728  177.756 1.0 41.45155  ? 88  LEU D N   88  LEU D N   1 
ATOM 718   C CA  . LEU A 1 88  ? 275.849 -89.630  178.683 1.0 41.45155  ? 88  LEU D CA  88  LEU D CA  1 
ATOM 719   C C   . LEU A 1 88  ? 277.073 -89.938  179.528 1.0 41.45155  ? 88  LEU D C   88  LEU D C   1 
ATOM 720   O O   . LEU A 1 88  ? 277.383 -91.101  179.784 1.0 41.45155  ? 88  LEU D O   88  LEU D O   1 
ATOM 721   C CB  . LEU A 1 88  ? 274.658 -89.400  179.618 1.0 41.45155  ? 88  LEU D CB  88  LEU D CB  1 
ATOM 722   C CG  . LEU A 1 88  ? 273.568 -88.388  179.272 1.0 41.45155  ? 88  LEU D CG  88  LEU D CG  1 
ATOM 723   C CD1 . LEU A 1 88  ? 274.152 -87.007  179.215 1.0 41.45155  ? 88  LEU D CD1 88  LEU D CD1 1 
ATOM 724   C CD2 . LEU A 1 88  ? 272.893 -88.689  177.980 1.0 41.45155  ? 88  LEU D CD2 88  LEU D CD2 1 
ATOM 725   N N   . VAL A 1 89  ? 277.764 -88.893  179.970 1.0 39.00517  ? 89  VAL D N   89  VAL D N   1 
ATOM 726   C CA  . VAL A 1 89  ? 278.810 -89.052  180.975 1.0 39.00517  ? 89  VAL D CA  89  VAL D CA  1 
ATOM 727   C C   . VAL A 1 89  ? 278.853 -87.799  181.839 1.0 39.00517  ? 89  VAL D C   89  VAL D C   1 
ATOM 728   O O   . VAL A 1 89  ? 278.779 -86.674  181.336 1.0 39.00517  ? 89  VAL D O   89  VAL D O   1 
ATOM 729   C CB  . VAL A 1 89  ? 280.183 -89.390  180.345 1.0 39.00517  ? 89  VAL D CB  89  VAL D CB  1 
ATOM 730   C CG1 . VAL A 1 89  ? 280.585 -88.396  179.322 1.0 39.00517  ? 89  VAL D CG1 89  VAL D CG1 1 
ATOM 731   C CG2 . VAL A 1 89  ? 281.268 -89.486  181.403 1.0 39.00517  ? 89  VAL D CG2 89  VAL D CG2 1 
ATOM 732   N N   . ASP A 1 90  ? 278.880 -88.006  183.150 1.0 39.43195  ? 90  ASP D N   90  ASP D N   1 
ATOM 733   C CA  . ASP A 1 90  ? 279.137 -86.945  184.105 1.0 39.43195  ? 90  ASP D CA  90  ASP D CA  1 
ATOM 734   C C   . ASP A 1 90  ? 280.639 -86.874  184.335 1.0 39.43195  ? 90  ASP D C   90  ASP D C   1 
ATOM 735   O O   . ASP A 1 90  ? 281.290 -87.906  184.519 1.0 39.43195  ? 90  ASP D O   90  ASP D O   1 
ATOM 736   C CB  . ASP A 1 90  ? 278.397 -87.225  185.412 1.0 39.43195  ? 90  ASP D CB  90  ASP D CB  1 
ATOM 737   C CG  . ASP A 1 90  ? 278.371 -86.034  186.348 1.0 39.43195  ? 90  ASP D CG  90  ASP D CG  1 
ATOM 738   O OD1 . ASP A 1 90  ? 278.933 -84.974  186.011 1.0 39.43195  ? 90  ASP D OD1 90  ASP D OD1 1 
ATOM 739   O OD2 . ASP A 1 90  ? 277.774 -86.159  187.435 1.0 39.43195  ? 90  ASP D OD2 90  ASP D OD2 1 
ATOM 740   N N   . LEU A 1 91  ? 281.187 -85.663  184.326 1.0 36.88627  ? 91  LEU D N   91  LEU D N   1 
ATOM 741   C CA  . LEU A 1 91  ? 282.614 -85.499  184.564 1.0 36.88627  ? 91  LEU D CA  91  LEU D CA  1 
ATOM 742   C C   . LEU A 1 91  ? 282.988 -85.566  186.035 1.0 36.88627  ? 91  LEU D C   91  LEU D C   1 
ATOM 743   O O   . LEU A 1 91  ? 284.170 -85.408  186.356 1.0 36.88627  ? 91  LEU D O   91  LEU D O   1 
ATOM 744   C CB  . LEU A 1 91  ? 283.111 -84.179  183.985 1.0 36.88627  ? 91  LEU D CB  91  LEU D CB  1 
ATOM 745   C CG  . LEU A 1 91  ? 283.159 -84.081  182.470 1.0 36.88627  ? 91  LEU D CG  91  LEU D CG  1 
ATOM 746   C CD1 . LEU A 1 91  ? 283.631 -82.706  182.074 1.0 36.88627  ? 91  LEU D CD1 91  LEU D CD1 1 
ATOM 747   C CD2 . LEU A 1 91  ? 284.079 -85.140  181.917 1.0 36.88627  ? 91  LEU D CD2 91  LEU D CD2 1 
ATOM 748   N N   . GLY A 1 92  ? 282.024 -85.780  186.931 1.0 38.64217  ? 92  GLY D N   92  GLY D N   1 
ATOM 749   C CA  . GLY A 1 92  ? 282.359 -85.997  188.324 1.0 38.64217  ? 92  GLY D CA  92  GLY D CA  1 
ATOM 750   C C   . GLY A 1 92  ? 283.095 -87.298  188.549 1.0 38.64217  ? 92  GLY D C   92  GLY D C   1 
ATOM 751   O O   . GLY A 1 92  ? 283.888 -87.411  189.487 1.0 38.64217  ? 92  GLY D O   92  GLY D O   1 
ATOM 752   N N   . SER A 1 93  ? 282.864 -88.284  187.689 1.0 37.81902  ? 93  SER D N   93  SER D N   1 
ATOM 753   C CA  . SER A 1 93  ? 283.539 -89.569  187.759 1.0 37.81902  ? 93  SER D CA  93  SER D CA  1 
ATOM 754   C C   . SER A 1 93  ? 284.864 -89.585  187.016 1.0 37.81902  ? 93  SER D C   93  SER D C   1 
ATOM 755   O O   . SER A 1 93  ? 285.544 -90.614  187.016 1.0 37.81902  ? 93  SER D O   93  SER D O   1 
ATOM 756   C CB  . SER A 1 93  ? 282.635 -90.656  187.193 1.0 37.81902  ? 93  SER D CB  93  SER D CB  1 
ATOM 757   O OG  . SER A 1 93  ? 282.414 -90.438  185.813 1.0 37.81902  ? 93  SER D OG  93  SER D OG  1 
ATOM 758   N N   . SER A 1 94  ? 285.242 -88.482  186.383 1.0 37.38042  ? 94  SER D N   94  SER D N   1 
ATOM 759   C CA  . SER A 1 94  ? 286.480 -88.433  185.624 1.0 37.38042  ? 94  SER D CA  94  SER D CA  1 
ATOM 760   C C   . SER A 1 94  ? 287.669 -88.248  186.551 1.0 37.38042  ? 94  SER D C   94  SER D C   1 
ATOM 761   O O   . SER A 1 94  ? 287.640 -87.418  187.462 1.0 37.38042  ? 94  SER D O   94  SER D O   1 
ATOM 762   C CB  . SER A 1 94  ? 286.439 -87.296  184.611 1.0 37.38042  ? 94  SER D CB  94  SER D CB  1 
ATOM 763   O OG  . SER A 1 94  ? 286.411 -86.045  185.270 1.0 37.38042  ? 94  SER D OG  94  SER D OG  1 
ATOM 764   N N   . TYR A 1 95  ? 288.721 -89.023  186.309 1.0 35.071    ? 95  TYR D N   95  TYR D N   1 
ATOM 765   C CA  . TYR A 1 95  ? 289.967 -88.855  187.036 1.0 35.071    ? 95  TYR D CA  95  TYR D CA  1 
ATOM 766   C C   . TYR A 1 95  ? 291.115 -89.325  186.163 1.0 35.071    ? 95  TYR D C   95  TYR D C   1 
ATOM 767   O O   . TYR A 1 95  ? 290.916 -89.877  185.081 1.0 35.071    ? 95  TYR D O   95  TYR D O   1 
ATOM 768   C CB  . TYR A 1 95  ? 289.951 -89.597  188.374 1.0 35.071    ? 95  TYR D CB  95  TYR D CB  1 
ATOM 769   C CG  . TYR A 1 95  ? 289.770 -91.092  188.304 1.0 35.071    ? 95  TYR D CG  95  TYR D CG  1 
ATOM 770   C CD1 . TYR A 1 95  ? 288.507 -91.652  188.309 1.0 35.071    ? 95  TYR D CD1 95  TYR D CD1 1 
ATOM 771   C CD2 . TYR A 1 95  ? 290.861 -91.943  188.289 1.0 35.071    ? 95  TYR D CD2 95  TYR D CD2 1 
ATOM 772   C CE1 . TYR A 1 95  ? 288.337 -93.016  188.263 1.0 35.071    ? 95  TYR D CE1 95  TYR D CE1 1 
ATOM 773   C CE2 . TYR A 1 95  ? 290.700 -93.303  188.239 1.0 35.071    ? 95  TYR D CE2 95  TYR D CE2 1 
ATOM 774   C CZ  . TYR A 1 95  ? 289.438 -93.834  188.230 1.0 35.071    ? 95  TYR D CZ  95  TYR D CZ  1 
ATOM 775   O OH  . TYR A 1 95  ? 289.273 -95.194  188.185 1.0 35.071    ? 95  TYR D OH  95  TYR D OH  1 
ATOM 776   N N   . PHE A 1 96  ? 292.327 -89.093  186.648 1.0 35.89967  ? 96  PHE D N   96  PHE D N   1 
ATOM 777   C CA  . PHE A 1 96  ? 293.537 -89.510  185.964 1.0 35.89967  ? 96  PHE D CA  96  PHE D CA  1 
ATOM 778   C C   . PHE A 1 96  ? 294.113 -90.743  186.642 1.0 35.89967  ? 96  PHE D C   96  PHE D C   1 
ATOM 779   O O   . PHE A 1 96  ? 293.864 -91.005  187.816 1.0 35.89967  ? 96  PHE D O   96  PHE D O   1 
ATOM 780   C CB  . PHE A 1 96  ? 294.576 -88.393  185.956 1.0 35.89967  ? 96  PHE D CB  96  PHE D CB  1 
ATOM 781   C CG  . PHE A 1 96  ? 294.171 -87.193  185.162 1.0 35.89967  ? 96  PHE D CG  96  PHE D CG  1 
ATOM 782   C CD1 . PHE A 1 96  ? 294.383 -87.147  183.799 1.0 35.89967  ? 96  PHE D CD1 96  PHE D CD1 1 
ATOM 783   C CD2 . PHE A 1 96  ? 293.575 -86.110  185.779 1.0 35.89967  ? 96  PHE D CD2 96  PHE D CD2 1 
ATOM 784   C CE1 . PHE A 1 96  ? 294.011 -86.042  183.068 1.0 35.89967  ? 96  PHE D CE1 96  PHE D CE1 1 
ATOM 785   C CE2 . PHE A 1 96  ? 293.202 -85.004  185.051 1.0 35.89967  ? 96  PHE D CE2 96  PHE D CE2 1 
ATOM 786   C CZ  . PHE A 1 96  ? 293.427 -84.970  183.699 1.0 35.89967  ? 96  PHE D CZ  96  PHE D CZ  1 
ATOM 787   N N   . ASP A 1 97  ? 294.896 -91.500  185.886 1.0 39.49799  ? 97  ASP D N   97  ASP D N   1 
ATOM 788   C CA  . ASP A 1 97  ? 295.507 -92.736  186.367 1.0 39.49799  ? 97  ASP D CA  97  ASP D CA  1 
ATOM 789   C C   . ASP A 1 97  ? 297.000 -92.640  186.094 1.0 39.49799  ? 97  ASP D C   97  ASP D C   1 
ATOM 790   O O   . ASP A 1 97  ? 297.491 -93.111  185.069 1.0 39.49799  ? 97  ASP D O   97  ASP D O   1 
ATOM 791   C CB  . ASP A 1 97  ? 294.886 -93.937  185.695 1.0 39.49799  ? 97  ASP D CB  97  ASP D CB  1 
ATOM 792   C CG  . ASP A 1 97  ? 295.418 -95.245  186.229 1.0 39.49799  ? 97  ASP D CG  97  ASP D CG  1 
ATOM 793   O OD1 . ASP A 1 97  ? 295.031 -95.643  187.347 1.0 39.49799  ? 97  ASP D OD1 97  ASP D OD1 1 
ATOM 794   O OD2 . ASP A 1 97  ? 296.226 -95.885  185.528 1.0 39.49799  ? 97  ASP D OD2 97  ASP D OD2 1 
ATOM 795   N N   . ILE A 1 98  ? 297.720 -92.032  187.022 1.0 39.21295  ? 98  ILE D N   98  ILE D N   1 
ATOM 796   C CA  . ILE A 1 98  ? 299.150 -91.820  186.863 1.0 39.21295  ? 98  ILE D CA  98  ILE D CA  1 
ATOM 797   C C   . ILE A 1 98  ? 299.891 -93.077  187.296 1.0 39.21295  ? 98  ILE D C   98  ILE D C   1 
ATOM 798   O O   . ILE A 1 98  ? 299.624 -93.627  188.369 1.0 39.21295  ? 98  ILE D O   98  ILE D O   1 
ATOM 799   C CB  . ILE A 1 98  ? 299.607 -90.597  187.675 1.0 39.21295  ? 98  ILE D CB  98  ILE D CB  1 
ATOM 800   C CG1 . ILE A 1 98  ? 299.119 -89.287  187.055 1.0 39.21295  ? 98  ILE D CG1 98  ILE D CG1 1 
ATOM 801   C CG2 . ILE A 1 98  ? 301.093 -90.588  187.878 1.0 39.21295  ? 98  ILE D CG2 98  ILE D CG2 1 
ATOM 802   C CD1 . ILE A 1 98  ? 297.876 -88.751  187.666 1.0 39.21295  ? 98  ILE D CD1 98  ILE D CD1 1 
ATOM 803   N N   . LYS A 1 99  ? 300.797 -93.554  186.451 1.0 43.28787  ? 99  LYS D N   99  LYS D N   1 
ATOM 804   C CA  . LYS A 1 99  ? 301.800 -94.528  186.847 1.0 43.28787  ? 99  LYS D CA  99  LYS D CA  1 
ATOM 805   C C   . LYS A 1 99  ? 303.166 -93.906  186.625 1.0 43.28787  ? 99  LYS D C   99  LYS D C   1 
ATOM 806   O O   . LYS A 1 99  ? 303.438 -93.372  185.547 1.0 43.28787  ? 99  LYS D O   99  LYS D O   1 
ATOM 807   C CB  . LYS A 1 99  ? 301.677 -95.830  186.057 1.0 43.28787  ? 99  LYS D CB  99  LYS D CB  1 
ATOM 808   C CG  . LYS A 1 99  ? 300.473 -96.659  186.418 1.0 43.28787  ? 99  LYS D CG  99  LYS D CG  1 
ATOM 809   C CD  . LYS A 1 99  ? 300.361 -97.871  185.522 1.0 43.28787  ? 99  LYS D CD  99  LYS D CD  1 
ATOM 810   C CE  . LYS A 1 99  ? 301.449 -98.880  185.832 1.0 43.28787  ? 99  LYS D CE  99  LYS D CE  1 
ATOM 811   N NZ  . LYS A 1 99  ? 301.273 -100.138 185.054 1.0 43.28787  ? 99  LYS D NZ  99  LYS D NZ  1 
ATOM 812   N N   . GLY A 1 100 ? 304.010 -93.962  187.637 1.0 44.46409  ? 100 GLY D N   100 GLY D N   1 
ATOM 813   C CA  . GLY A 1 100 ? 305.350 -93.446  187.509 1.0 44.46409  ? 100 GLY D CA  100 GLY D CA  1 
ATOM 814   C C   . GLY A 1 100 ? 306.267 -94.042  188.542 1.0 44.46409  ? 100 GLY D C   100 GLY D C   1 
ATOM 815   O O   . GLY A 1 100 ? 305.946 -95.043  189.182 1.0 44.46409  ? 100 GLY D O   100 GLY D O   1 
ATOM 816   N N   . THR A 1 101 ? 307.428 -93.418  188.699 1.0 46.35539  ? 101 THR D N   101 THR D N   1 
ATOM 817   C CA  . THR A 1 101 ? 308.371 -93.810  189.730 1.0 46.35539  ? 101 THR D CA  101 THR D CA  1 
ATOM 818   C C   . THR A 1 101 ? 308.864 -92.556  190.429 1.0 46.35539  ? 101 THR D C   101 THR D C   1 
ATOM 819   O O   . THR A 1 101 ? 308.747 -91.445  189.909 1.0 46.35539  ? 101 THR D O   101 THR D O   1 
ATOM 820   C CB  . THR A 1 101 ? 309.539 -94.627  189.164 1.0 46.35539  ? 101 THR D CB  101 THR D CB  1 
ATOM 821   O OG1 . THR A 1 101 ? 310.338 -95.126  190.243 1.0 46.35539  ? 101 THR D OG1 101 THR D OG1 1 
ATOM 822   C CG2 . THR A 1 101 ? 310.403 -93.791  188.251 1.0 46.35539  ? 101 THR D CG2 101 THR D CG2 1 
ATOM 823   N N   . LEU A 1 102 ? 309.407 -92.740  191.625 1.0 44.41196  ? 102 LEU D N   102 LEU D N   1 
ATOM 824   C CA  . LEU A 1 102 ? 309.648 -91.618  192.516 1.0 44.41196  ? 102 LEU D CA  102 LEU D CA  1 
ATOM 825   C C   . LEU A 1 102 ? 310.986 -91.781  193.214 1.0 44.41196  ? 102 LEU D C   102 LEU D C   1 
ATOM 826   O O   . LEU A 1 102 ? 311.369 -92.889  193.596 1.0 44.41196  ? 102 LEU D O   102 LEU D O   1 
ATOM 827   C CB  . LEU A 1 102 ? 308.520 -91.502  193.543 1.0 44.41196  ? 102 LEU D CB  102 LEU D CB  1 
ATOM 828   C CG  . LEU A 1 102 ? 308.522 -90.357  194.547 1.0 44.41196  ? 102 LEU D CG  102 LEU D CG  1 
ATOM 829   C CD1 . LEU A 1 102 ? 308.416 -89.043  193.832 1.0 44.41196  ? 102 LEU D CD1 102 LEU D CD1 1 
ATOM 830   C CD2 . LEU A 1 102 ? 307.374 -90.518  195.504 1.0 44.41196  ? 102 LEU D CD2 102 LEU D CD2 1 
ATOM 831   N N   . ASP A 1 103 ? 311.691 -90.666  193.371 1.0 47.31881  ? 103 ASP D N   103 ASP D N   1 
ATOM 832   C CA  . ASP A 1 103 ? 312.953 -90.612  194.093 1.0 47.31881  ? 103 ASP D CA  103 ASP D CA  1 
ATOM 833   C C   . ASP A 1 103 ? 312.786 -89.600  195.211 1.0 47.31881  ? 103 ASP D C   103 ASP D C   1 
ATOM 834   O O   . ASP A 1 103 ? 312.330 -88.478  194.973 1.0 47.31881  ? 103 ASP D O   103 ASP D O   1 
ATOM 835   C CB  . ASP A 1 103 ? 314.102 -90.212  193.167 1.0 47.31881  ? 103 ASP D CB  103 ASP D CB  1 
ATOM 836   C CG  . ASP A 1 103 ? 315.462 -90.432  193.790 1.0 47.31881  ? 103 ASP D CG  103 ASP D CG  1 
ATOM 837   O OD1 . ASP A 1 103 ? 315.539 -90.936  194.927 1.0 47.31881  ? 103 ASP D OD1 103 ASP D OD1 1 
ATOM 838   O OD2 . ASP A 1 103 ? 316.467 -90.091  193.137 1.0 47.31881  ? 103 ASP D OD2 103 ASP D OD2 1 
ATOM 839   N N   . ARG A 1 104 ? 313.156 -89.991  196.422 1.0 44.36371  ? 104 ARG D N   104 ARG D N   1 
ATOM 840   C CA  . ARG A 1 104 ? 312.911 -89.178  197.599 1.0 44.36371  ? 104 ARG D CA  104 ARG D CA  1 
ATOM 841   C C   . ARG A 1 104 ? 314.166 -88.547  198.175 1.0 44.36371  ? 104 ARG D C   104 ARG D C   1 
ATOM 842   O O   . ARG A 1 104 ? 314.061 -87.714  199.079 1.0 44.36371  ? 104 ARG D O   104 ARG D O   1 
ATOM 843   C CB  . ARG A 1 104 ? 312.228 -90.026  198.663 1.0 44.36371  ? 104 ARG D CB  104 ARG D CB  1 
ATOM 844   C CG  . ARG A 1 104 ? 310.793 -90.313  198.356 1.0 44.36371  ? 104 ARG D CG  104 ARG D CG  1 
ATOM 845   C CD  . ARG A 1 104 ? 310.294 -91.358  199.284 1.0 44.36371  ? 104 ARG D CD  104 ARG D CD  1 
ATOM 846   N NE  . ARG A 1 104 ? 308.850 -91.482  199.245 1.0 44.36371  ? 104 ARG D NE  104 ARG D NE  1 
ATOM 847   C CZ  . ARG A 1 104 ? 308.181 -92.491  199.779 1.0 44.36371  ? 104 ARG D CZ  104 ARG D CZ  1 
ATOM 848   N NH1 . ARG A 1 104 ? 306.875 -92.513  199.728 1.0 44.36371  ? 104 ARG D NH1 104 ARG D NH1 1 
ATOM 849   N NH2 . ARG A 1 104 ? 308.827 -93.501  200.321 1.0 44.36371  ? 104 ARG D NH2 104 ARG D NH2 1 
ATOM 850   N N   . GLY A 1 105 ? 315.339 -88.923  197.689 1.0 47.8854   ? 105 GLY D N   105 GLY D N   1 
ATOM 851   C CA  . GLY A 1 105 ? 316.559 -88.276  198.094 1.0 47.8854   ? 105 GLY D CA  105 GLY D CA  1 
ATOM 852   C C   . GLY A 1 105 ? 317.075 -88.813  199.407 1.0 47.8854   ? 105 GLY D C   105 GLY D C   1 
ATOM 853   O O   . GLY A 1 105 ? 316.482 -89.708  200.014 1.0 47.8854   ? 105 GLY D O   105 GLY D O   1 
ATOM 854   N N   . PRO A 1 106 ? 318.206 -88.277  199.868 1.0 49.43869  ? 106 PRO D N   106 PRO D N   1 
ATOM 855   C CA  . PRO A 1 106 ? 318.788 -88.768  201.121 1.0 49.43869  ? 106 PRO D CA  106 PRO D CA  1 
ATOM 856   C C   . PRO A 1 106 ? 317.995 -88.391  202.356 1.0 49.43869  ? 106 PRO D C   106 PRO D C   1 
ATOM 857   O O   . PRO A 1 106 ? 318.166 -89.033  203.398 1.0 49.43869  ? 106 PRO D O   106 PRO D O   1 
ATOM 858   C CB  . PRO A 1 106 ? 320.173 -88.113  201.137 1.0 49.43869  ? 106 PRO D CB  106 PRO D CB  1 
ATOM 859   C CG  . PRO A 1 106 ? 320.453 -87.780  199.710 1.0 49.43869  ? 106 PRO D CG  106 PRO D CG  1 
ATOM 860   C CD  . PRO A 1 106 ? 319.132 -87.391  199.150 1.0 49.43869  ? 106 PRO D CD  106 PRO D CD  1 
ATOM 861   N N   . SER A 1 107 ? 317.122 -87.390  202.273 1.0 48.19842  ? 107 SER D N   107 SER D N   1 
ATOM 862   C CA  . SER A 1 107 ? 316.454 -86.852  203.449 1.0 48.19842  ? 107 SER D CA  107 SER D CA  1 
ATOM 863   C C   . SER A 1 107 ? 315.321 -87.725  203.965 1.0 48.19842  ? 107 SER D C   107 SER D C   1 
ATOM 864   O O   . SER A 1 107 ? 314.781 -87.431  205.033 1.0 48.19842  ? 107 SER D O   107 SER D O   1 
ATOM 865   C CB  . SER A 1 107 ? 315.906 -85.461  203.142 1.0 48.19842  ? 107 SER D CB  107 SER D CB  1 
ATOM 866   O OG  . SER A 1 107 ? 314.886 -85.519  202.164 1.0 48.19842  ? 107 SER D OG  107 SER D OG  1 
ATOM 867   N N   . PHE A 1 108 ? 314.946 -88.775  203.252 1.0 45.92772  ? 108 PHE D N   108 PHE D N   1 
ATOM 868   C CA  . PHE A 1 108 ? 313.801 -89.578  203.646 1.0 45.92772  ? 108 PHE D CA  108 PHE D CA  1 
ATOM 869   C C   . PHE A 1 108 ? 314.187 -90.537  204.762 1.0 45.92772  ? 108 PHE D C   108 PHE D C   1 
ATOM 870   O O   . PHE A 1 108 ? 315.228 -91.196  204.693 1.0 45.92772  ? 108 PHE D O   108 PHE D O   1 
ATOM 871   C CB  . PHE A 1 108 ? 313.258 -90.334  202.438 1.0 45.92772  ? 108 PHE D CB  108 PHE D CB  1 
ATOM 872   C CG  . PHE A 1 108 ? 312.060 -91.158  202.735 1.0 45.92772  ? 108 PHE D CG  108 PHE D CG  1 
ATOM 873   C CD1 . PHE A 1 108 ? 310.860 -90.559  203.072 1.0 45.92772  ? 108 PHE D CD1 108 PHE D CD1 1 
ATOM 874   C CD2 . PHE A 1 108 ? 312.116 -92.530  202.632 1.0 45.92772  ? 108 PHE D CD2 108 PHE D CD2 1 
ATOM 875   C CE1 . PHE A 1 108 ? 309.749 -91.322  203.336 1.0 45.92772  ? 108 PHE D CE1 108 PHE D CE1 1 
ATOM 876   C CE2 . PHE A 1 108 ? 311.009 -93.293  202.881 1.0 45.92772  ? 108 PHE D CE2 108 PHE D CE2 1 
ATOM 877   C CZ  . PHE A 1 108 ? 309.826 -92.688  203.246 1.0 45.92772  ? 108 PHE D CZ  108 PHE D CZ  1 
ATOM 878   N N   . LYS A 1 109 ? 313.345 -90.611  205.786 1.0 46.95309  ? 109 LYS D N   109 LYS D N   1 
ATOM 879   C CA  . LYS A 1 109 ? 313.598 -91.417  206.971 1.0 46.95309  ? 109 LYS D CA  109 LYS D CA  1 
ATOM 880   C C   . LYS A 1 109 ? 312.271 -91.673  207.676 1.0 46.95309  ? 109 LYS D C   109 LYS D C   1 
ATOM 881   O O   . LYS A 1 109 ? 311.846 -90.868  208.510 1.0 46.95309  ? 109 LYS D O   109 LYS D O   1 
ATOM 882   C CB  . LYS A 1 109 ? 314.599 -90.705  207.878 1.0 46.95309  ? 109 LYS D CB  109 LYS D CB  1 
ATOM 883   C CG  . LYS A 1 109 ? 315.053 -91.504  209.059 1.0 46.95309  ? 109 LYS D CG  109 LYS D CG  1 
ATOM 884   C CD  . LYS A 1 109 ? 314.486 -91.024  210.374 1.0 46.95309  ? 109 LYS D CD  109 LYS D CD  1 
ATOM 885   C CE  . LYS A 1 109 ? 314.997 -91.848  211.525 1.0 46.95309  ? 109 LYS D CE  109 LYS D CE  1 
ATOM 886   N NZ  . LYS A 1 109 ? 316.456 -91.734  211.656 1.0 46.95309  ? 109 LYS D NZ  109 LYS D NZ  1 
ATOM 887   N N   . PRO A 1 110 ? 311.563 -92.738  207.332 1.0 46.70894  ? 110 PRO D N   110 PRO D N   1 
ATOM 888   C CA  . PRO A 1 110 ? 310.176 -92.873  207.791 1.0 46.70894  ? 110 PRO D CA  110 PRO D CA  1 
ATOM 889   C C   . PRO A 1 110 ? 309.979 -93.531  209.148 1.0 46.70894  ? 110 PRO D C   110 PRO D C   1 
ATOM 890   O O   . PRO A 1 110 ? 309.004 -94.270  209.310 1.0 46.70894  ? 110 PRO D O   110 PRO D O   1 
ATOM 891   C CB  . PRO A 1 110 ? 309.554 -93.742  206.697 1.0 46.70894  ? 110 PRO D CB  110 PRO D CB  1 
ATOM 892   C CG  . PRO A 1 110 ? 310.684 -94.597  206.250 1.0 46.70894  ? 110 PRO D CG  110 PRO D CG  1 
ATOM 893   C CD  . PRO A 1 110 ? 311.918 -93.755  206.332 1.0 46.70894  ? 110 PRO D CD  110 PRO D CD  1 
ATOM 894   N N   . TYR A 1 111 ? 310.817 -93.229  210.136 1.0 48.50738  ? 111 TYR D N   111 TYR D N   1 
ATOM 895   C CA  . TYR A 1 111 ? 310.668 -93.783  211.479 1.0 48.50738  ? 111 TYR D CA  111 TYR D CA  1 
ATOM 896   C C   . TYR A 1 111 ? 311.481 -92.939  212.448 1.0 48.50738  ? 111 TYR D C   111 TYR D C   1 
ATOM 897   O O   . TYR A 1 111 ? 311.836 -91.798  212.150 1.0 48.50738  ? 111 TYR D O   111 TYR D O   1 
ATOM 898   C CB  . TYR A 1 111 ? 311.049 -95.265  211.534 1.0 48.50738  ? 111 TYR D CB  111 TYR D CB  1 
ATOM 899   C CG  . TYR A 1 111 ? 312.434 -95.640  211.085 1.0 48.50738  ? 111 TYR D CG  111 TYR D CG  1 
ATOM 900   C CD1 . TYR A 1 111 ? 312.693 -95.937  209.758 1.0 48.50738  ? 111 TYR D CD1 111 TYR D CD1 1 
ATOM 901   C CD2 . TYR A 1 111 ? 313.465 -95.765  211.996 1.0 48.50738  ? 111 TYR D CD2 111 TYR D CD2 1 
ATOM 902   C CE1 . TYR A 1 111 ? 313.947 -96.313  209.346 1.0 48.50738  ? 111 TYR D CE1 111 TYR D CE1 1 
ATOM 903   C CE2 . TYR A 1 111 ? 314.722 -96.145  211.592 1.0 48.50738  ? 111 TYR D CE2 111 TYR D CE2 1 
ATOM 904   C CZ  . TYR A 1 111 ? 314.956 -96.414  210.266 1.0 48.50738  ? 111 TYR D CZ  111 TYR D CZ  1 
ATOM 905   O OH  . TYR A 1 111 ? 316.202 -96.802  209.846 1.0 48.50738  ? 111 TYR D OH  111 TYR D OH  1 
ATOM 906   N N   . GLY A 1 112 ? 311.709 -93.472  213.646 1.0 50.35143  ? 112 GLY D N   112 GLY D N   1 
ATOM 907   C CA  . GLY A 1 112 ? 312.490 -92.780  214.643 1.0 50.35143  ? 112 GLY D CA  112 GLY D CA  1 
ATOM 908   C C   . GLY A 1 112 ? 313.512 -93.716  215.254 1.0 50.35143  ? 112 GLY D C   112 GLY D C   1 
ATOM 909   O O   . GLY A 1 112 ? 313.407 -94.937  215.156 1.0 50.35143  ? 112 GLY D O   112 GLY D O   1 
ATOM 910   N N   . GLY A 1 113 ? 314.509 -93.117  215.893 1.0 52.73818  ? 113 GLY D N   113 GLY D N   1 
ATOM 911   C CA  . GLY A 1 113 ? 315.571 -93.917  216.474 1.0 52.73818  ? 113 GLY D CA  113 GLY D CA  1 
ATOM 912   C C   . GLY A 1 113 ? 316.433 -94.535  215.393 1.0 52.73818  ? 113 GLY D C   113 GLY D C   1 
ATOM 913   O O   . GLY A 1 113 ? 316.797 -93.886  214.409 1.0 52.73818  ? 113 GLY D O   113 GLY D O   1 
ATOM 914   N N   . THR A 1 114 ? 316.748 -95.816  215.564 1.0 52.88911  ? 114 THR D N   114 THR D N   1 
ATOM 915   C CA  . THR A 1 114 ? 317.551 -96.529  214.586 1.0 52.88911  ? 114 THR D CA  114 THR D CA  1 
ATOM 916   C C   . THR A 1 114 ? 317.089 -97.976  214.517 1.0 52.88911  ? 114 THR D C   114 THR D C   1 
ATOM 917   O O   . THR A 1 114 ? 316.316 -98.446  215.356 1.0 52.88911  ? 114 THR D O   114 THR D O   1 
ATOM 918   C CB  . THR A 1 114 ? 319.039 -96.464  214.922 1.0 52.88911  ? 114 THR D CB  114 THR D CB  1 
ATOM 919   O OG1 . THR A 1 114 ? 319.793 -96.999  213.833 1.0 52.88911  ? 114 THR D OG1 114 THR D OG1 1 
ATOM 920   C CG2 . THR A 1 114 ? 319.327 -97.275  216.157 1.0 52.88911  ? 114 THR D CG2 114 THR D CG2 1 
ATOM 921   N N   . ALA A 1 115 ? 317.564 -98.677  213.492 1.0 54.25916  ? 115 ALA D N   115 ALA D N   1 
ATOM 922   C CA  . ALA A 1 115 ? 317.253 -100.083 213.297 1.0 54.25916  ? 115 ALA D CA  115 ALA D CA  1 
ATOM 923   C C   . ALA A 1 115 ? 318.453 -100.983 213.520 1.0 54.25916  ? 115 ALA D C   115 ALA D C   1 
ATOM 924   O O   . ALA A 1 115 ? 318.333 -102.201 213.367 1.0 54.25916  ? 115 ALA D O   115 ALA D O   1 
ATOM 925   C CB  . ALA A 1 115 ? 316.700 -100.314 211.890 1.0 54.25916  ? 115 ALA D CB  115 ALA D CB  1 
ATOM 926   N N   . TYR A 1 116 ? 319.603 -100.420 213.872 1.0 54.18445  ? 116 TYR D N   116 TYR D N   1 
ATOM 927   C CA  . TYR A 1 116 ? 320.829 -101.184 214.036 1.0 54.18445  ? 116 TYR D CA  116 TYR D CA  1 
ATOM 928   C C   . TYR A 1 116 ? 321.362 -100.950 215.437 1.0 54.18445  ? 116 TYR D C   116 TYR D C   1 
ATOM 929   O O   . TYR A 1 116 ? 321.632 -99.805  215.811 1.0 54.18445  ? 116 TYR D O   116 TYR D O   1 
ATOM 930   C CB  . TYR A 1 116 ? 321.853 -100.788 212.980 1.0 54.18445  ? 116 TYR D CB  116 TYR D CB  1 
ATOM 931   C CG  . TYR A 1 116 ? 321.337 -101.050 211.599 1.0 54.18445  ? 116 TYR D CG  116 TYR D CG  1 
ATOM 932   C CD1 . TYR A 1 116 ? 321.245 -102.338 211.113 1.0 54.18445  ? 116 TYR D CD1 116 TYR D CD1 1 
ATOM 933   C CD2 . TYR A 1 116 ? 320.935 -100.011 210.782 1.0 54.18445  ? 116 TYR D CD2 116 TYR D CD2 1 
ATOM 934   C CE1 . TYR A 1 116 ? 320.755 -102.587 209.853 1.0 54.18445  ? 116 TYR D CE1 116 TYR D CE1 1 
ATOM 935   C CE2 . TYR A 1 116 ? 320.456 -100.249 209.515 1.0 54.18445  ? 116 TYR D CE2 116 TYR D CE2 1 
ATOM 936   C CZ  . TYR A 1 116 ? 320.372 -101.537 209.055 1.0 54.18445  ? 116 TYR D CZ  116 TYR D CZ  1 
ATOM 937   O OH  . TYR A 1 116 ? 319.890 -101.770 207.792 1.0 54.18445  ? 116 TYR D OH  116 TYR D OH  1 
ATOM 938   N N   . ASN A 1 117 ? 321.524 -102.042 216.181 1.0 56.65569  ? 117 ASN D N   117 ASN D N   1 
ATOM 939   C CA  . ASN A 1 117 ? 321.829 -102.033 217.609 1.0 56.65569  ? 117 ASN D CA  117 ASN D CA  1 
ATOM 940   C C   . ASN A 1 117 ? 320.929 -101.095 218.422 1.0 56.65569  ? 117 ASN D C   117 ASN D C   1 
ATOM 941   O O   . ASN A 1 117 ? 321.424 -100.171 219.074 1.0 56.65569  ? 117 ASN D O   117 ASN D O   1 
ATOM 942   C CB  . ASN A 1 117 ? 323.295 -101.686 217.823 1.0 56.65569  ? 117 ASN D CB  117 ASN D CB  1 
ATOM 943   C CG  . ASN A 1 117 ? 324.230 -102.625 217.090 1.0 56.65569  ? 117 ASN D CG  117 ASN D CG  1 
ATOM 944   O OD1 . ASN A 1 117 ? 324.816 -102.258 216.077 1.0 56.65569  ? 117 ASN D OD1 117 ASN D OD1 1 
ATOM 945   N ND2 . ASN A 1 117 ? 324.418 -103.816 217.624 1.0 56.65569  ? 117 ASN D ND2 117 ASN D ND2 1 
ATOM 946   N N   . PRO A 1 118 ? 319.603 -101.299 218.407 1.0 54.86273  ? 118 PRO D N   118 PRO D N   1 
ATOM 947   C CA  . PRO A 1 118 ? 318.718 -100.306 219.032 1.0 54.86273  ? 118 PRO D CA  118 PRO D CA  1 
ATOM 948   C C   . PRO A 1 118 ? 318.735 -100.342 220.546 1.0 54.86273  ? 118 PRO D C   118 PRO D C   1 
ATOM 949   O O   . PRO A 1 118 ? 318.369 -99.342  221.172 1.0 54.86273  ? 118 PRO D O   118 PRO D O   1 
ATOM 950   C CB  . PRO A 1 118 ? 317.339 -100.683 218.490 1.0 54.86273  ? 118 PRO D CB  118 PRO D CB  1 
ATOM 951   C CG  . PRO A 1 118 ? 317.424 -102.133 218.315 1.0 54.86273  ? 118 PRO D CG  118 PRO D CG  1 
ATOM 952   C CD  . PRO A 1 118 ? 318.827 -102.443 217.895 1.0 54.86273  ? 118 PRO D CD  118 PRO D CD  1 
ATOM 953   N N   . LEU A 1 119 ? 319.149 -101.452 221.153 1.0 55.98873  ? 119 LEU D N   119 LEU D N   1 
ATOM 954   C CA  . LEU A 1 119 ? 319.205 -101.568 222.601 1.0 55.98873  ? 119 LEU D CA  119 LEU D CA  1 
ATOM 955   C C   . LEU A 1 119 ? 320.511 -101.067 223.182 1.0 55.98873  ? 119 LEU D C   119 LEU D C   1 
ATOM 956   O O   . LEU A 1 119 ? 320.644 -101.018 224.409 1.0 55.98873  ? 119 LEU D O   119 LEU D O   1 
ATOM 957   C CB  . LEU A 1 119 ? 319.007 -103.021 223.025 1.0 55.98873  ? 119 LEU D CB  119 LEU D CB  1 
ATOM 958   C CG  . LEU A 1 119 ? 317.638 -103.585 222.679 1.0 55.98873  ? 119 LEU D CG  119 LEU D CG  1 
ATOM 959   C CD1 . LEU A 1 119 ? 317.550 -105.046 223.067 1.0 55.98873  ? 119 LEU D CD1 119 LEU D CD1 1 
ATOM 960   C CD2 . LEU A 1 119 ? 316.568 -102.770 223.359 1.0 55.98873  ? 119 LEU D CD2 119 LEU D CD2 1 
ATOM 961   N N   . ALA A 1 120 ? 321.473 -100.714 222.340 1.0 58.36122  ? 120 ALA D N   120 ALA D N   1 
ATOM 962   C CA  . ALA A 1 120 ? 322.765 -100.283 222.828 1.0 58.36122  ? 120 ALA D CA  120 ALA D CA  1 
ATOM 963   C C   . ALA A 1 120 ? 322.667 -98.887  223.432 1.0 58.36122  ? 120 ALA D C   120 ALA D C   1 
ATOM 964   O O   . ALA A 1 120 ? 321.824 -98.085  223.025 1.0 58.36122  ? 120 ALA D O   120 ALA D O   1 
ATOM 965   C CB  . ALA A 1 120 ? 323.784 -100.279 221.696 1.0 58.36122  ? 120 ALA D CB  120 ALA D CB  1 
ATOM 966   N N   . PRO A 1 121 ? 323.489 -98.586  224.432 1.0 60.78623  ? 121 PRO D N   121 PRO D N   1 
ATOM 967   C CA  . PRO A 1 121 ? 323.645 -97.194  224.852 1.0 60.78623  ? 121 PRO D CA  121 PRO D CA  1 
ATOM 968   C C   . PRO A 1 121 ? 324.293 -96.378  223.748 1.0 60.78623  ? 121 PRO D C   121 PRO D C   1 
ATOM 969   O O   . PRO A 1 121 ? 325.076 -96.889  222.944 1.0 60.78623  ? 121 PRO D O   121 PRO D O   1 
ATOM 970   C CB  . PRO A 1 121 ? 324.554 -97.292  226.081 1.0 60.78623  ? 121 PRO D CB  121 PRO D CB  1 
ATOM 971   C CG  . PRO A 1 121 ? 324.356 -98.677  226.577 1.0 60.78623  ? 121 PRO D CG  121 PRO D CG  1 
ATOM 972   C CD  . PRO A 1 121 ? 324.162 -99.512  225.354 1.0 60.78623  ? 121 PRO D CD  121 PRO D CD  1 
ATOM 973   N N   . LYS A 1 122 ? 323.945 -95.094  223.708 1.0 60.26772  ? 122 LYS D N   122 LYS D N   1 
ATOM 974   C CA  . LYS A 1 122 ? 324.470 -94.221  222.666 1.0 60.26772  ? 122 LYS D CA  122 LYS D CA  1 
ATOM 975   C C   . LYS A 1 122 ? 325.953 -93.940  222.865 1.0 60.26772  ? 122 LYS D C   122 LYS D C   1 
ATOM 976   O O   . LYS A 1 122 ? 326.663 -93.648  221.899 1.0 60.26772  ? 122 LYS D O   122 LYS D O   1 
ATOM 977   C CB  . LYS A 1 122 ? 323.665 -92.926  222.640 1.0 60.26772  ? 122 LYS D CB  122 LYS D CB  1 
ATOM 978   C CG  . LYS A 1 122 ? 322.213 -93.146  222.265 1.0 60.26772  ? 122 LYS D CG  122 LYS D CG  1 
ATOM 979   C CD  . LYS A 1 122 ? 321.407 -91.870  222.340 1.0 60.26772  ? 122 LYS D CD  122 LYS D CD  1 
ATOM 980   C CE  . LYS A 1 122 ? 319.981 -92.112  221.880 1.0 60.26772  ? 122 LYS D CE  122 LYS D CE  1 
ATOM 981   N NZ  . LYS A 1 122 ? 319.248 -93.032  222.788 1.0 60.26772  ? 122 LYS D NZ  122 LYS D NZ  1 
ATOM 982   N N   . SER A 1 123 ? 326.437 -94.043  224.098 1.0 63.26773  ? 123 SER D N   123 SER D N   1 
ATOM 983   C CA  . SER A 1 123 ? 327.844 -93.857  224.412 1.0 63.26773  ? 123 SER D CA  123 SER D CA  1 
ATOM 984   C C   . SER A 1 123 ? 328.693 -95.091  224.139 1.0 63.26773  ? 123 SER D C   123 SER D C   1 
ATOM 985   O O   . SER A 1 123 ? 329.914 -95.028  224.303 1.0 63.26773  ? 123 SER D O   123 SER D O   1 
ATOM 986   C CB  . SER A 1 123 ? 327.983 -93.459  225.882 1.0 63.26773  ? 123 SER D CB  123 SER D CB  1 
ATOM 987   O OG  . SER A 1 123 ? 329.335 -93.433  226.284 1.0 63.26773  ? 123 SER D OG  123 SER D OG  1 
ATOM 988   N N   . ALA A 1 124 ? 328.089 -96.193  223.726 1.0 62.26192  ? 124 ALA D N   124 ALA D N   1 
ATOM 989   C CA  . ALA A 1 124 ? 328.793 -97.469  223.676 1.0 62.26192  ? 124 ALA D CA  124 ALA D CA  1 
ATOM 990   C C   . ALA A 1 124 ? 329.584 -97.597  222.380 1.0 62.26192  ? 124 ALA D C   124 ALA D C   1 
ATOM 991   O O   . ALA A 1 124 ? 329.037 -97.355  221.300 1.0 62.26192  ? 124 ALA D O   124 ALA D O   1 
ATOM 992   C CB  . ALA A 1 124 ? 327.807 -98.621  223.796 1.0 62.26192  ? 124 ALA D CB  124 ALA D CB  1 
ATOM 993   N N   . PRO A 1 125 ? 330.861 -97.964  222.443 1.0 62.5257   ? 125 PRO D N   125 PRO D N   1 
ATOM 994   C CA  . PRO A 1 125 ? 331.598 -98.277  221.214 1.0 62.5257   ? 125 PRO D CA  125 PRO D CA  1 
ATOM 995   C C   . PRO A 1 125 ? 331.494 -99.750  220.864 1.0 62.5257   ? 125 PRO D C   125 PRO D C   1 
ATOM 996   O O   . PRO A 1 125 ? 330.972 -100.540 221.653 1.0 62.5257   ? 125 PRO D O   125 PRO D O   1 
ATOM 997   C CB  . PRO A 1 125 ? 333.035 -97.895  221.571 1.0 62.5257   ? 125 PRO D CB  125 PRO D CB  1 
ATOM 998   C CG  . PRO A 1 125 ? 333.110 -98.160  223.031 1.0 62.5257   ? 125 PRO D CG  125 PRO D CG  1 
ATOM 999   C CD  . PRO A 1 125 ? 331.759 -97.828  223.600 1.0 62.5257   ? 125 PRO D CD  125 PRO D CD  1 
ATOM 1000  N N   . ILE A 1 126 ? 332.000 -100.132 219.699 1.0 63.80435  ? 126 ILE D N   126 ILE D N   1 
ATOM 1001  C CA  . ILE A 1 126 ? 332.113 -101.527 219.329 1.0 63.80435  ? 126 ILE D CA  126 ILE D CA  1 
ATOM 1002  C C   . ILE A 1 126 ? 333.532 -101.995 219.619 1.0 63.80435  ? 126 ILE D C   126 ILE D C   1 
ATOM 1003  O O   . ILE A 1 126 ? 334.422 -101.202 219.919 1.0 63.80435  ? 126 ILE D O   126 ILE D O   1 
ATOM 1004  C CB  . ILE A 1 126 ? 331.751 -101.773 217.852 1.0 63.80435  ? 126 ILE D CB  126 ILE D CB  1 
ATOM 1005  C CG1 . ILE A 1 126 ? 332.650 -100.957 216.935 1.0 63.80435  ? 126 ILE D CG1 126 ILE D CG1 1 
ATOM 1006  C CG2 . ILE A 1 126 ? 330.310 -101.478 217.596 1.0 63.80435  ? 126 ILE D CG2 126 ILE D CG2 1 
ATOM 1007  C CD1 . ILE A 1 126 ? 332.475 -101.336 215.507 1.0 63.80435  ? 126 ILE D CD1 126 ILE D CD1 1 
ATOM 1008  N N   . ASN A 1 127 ? 333.745 -103.304 219.551 1.0 67.24402  ? 127 ASN D N   127 ASN D N   1 
ATOM 1009  C CA  . ASN A 1 127 ? 335.080 -103.851 219.751 1.0 67.24402  ? 127 ASN D CA  127 ASN D CA  1 
ATOM 1010  C C   . ASN A 1 127 ? 335.908 -103.532 218.519 1.0 67.24402  ? 127 ASN D C   127 ASN D C   1 
ATOM 1011  O O   . ASN A 1 127 ? 335.827 -104.224 217.503 1.0 67.24402  ? 127 ASN D O   127 ASN D O   1 
ATOM 1012  C CB  . ASN A 1 127 ? 335.029 -105.350 219.994 1.0 67.24402  ? 127 ASN D CB  127 ASN D CB  1 
ATOM 1013  C CG  . ASN A 1 127 ? 334.220 -105.710 221.196 1.0 67.24402  ? 127 ASN D CG  127 ASN D CG  1 
ATOM 1014  O OD1 . ASN A 1 127 ? 334.065 -104.916 222.119 1.0 67.24402  ? 127 ASN D OD1 127 ASN D OD1 1 
ATOM 1015  N ND2 . ASN A 1 127 ? 333.760 -106.940 221.236 1.0 67.24402  ? 127 ASN D ND2 127 ASN D ND2 1 
ATOM 1016  N N   . SER A 1 128 ? 336.717 -102.483 218.601 1.0 71.38847  ? 128 SER D N   128 SER D N   1 
ATOM 1017  C CA  . SER A 1 128 ? 337.376 -101.950 217.423 1.0 71.38847  ? 128 SER D CA  128 SER D CA  1 
ATOM 1018  C C   . SER A 1 128 ? 338.840 -101.696 217.747 1.0 71.38847  ? 128 SER D C   128 SER D C   1 
ATOM 1019  O O   . SER A 1 128 ? 339.352 -102.112 218.790 1.0 71.38847  ? 128 SER D O   128 SER D O   1 
ATOM 1020  C CB  . SER A 1 128 ? 336.662 -100.679 216.945 1.0 71.38847  ? 128 SER D CB  128 SER D CB  1 
ATOM 1021  O OG  . SER A 1 128 ? 336.781 -99.641  217.899 1.0 71.38847  ? 128 SER D OG  128 SER D OG  1 
ATOM 1022  N N   . ALA A 1 129 ? 339.517 -101.012 216.831 1.0 76.78681  ? 129 ALA D N   129 ALA D N   1 
ATOM 1023  C CA  . ALA A 1 129 ? 340.917 -100.653 216.992 1.0 76.78681  ? 129 ALA D CA  129 ALA D CA  1 
ATOM 1024  C C   . ALA A 1 129 ? 341.168 -99.359  216.239 1.0 76.78681  ? 129 ALA D C   129 ALA D C   1 
ATOM 1025  O O   . ALA A 1 129 ? 340.953 -99.298  215.026 1.0 76.78681  ? 129 ALA D O   129 ALA D O   1 
ATOM 1026  C CB  . ALA A 1 129 ? 341.839 -101.757 216.474 1.0 76.78681  ? 129 ALA D CB  129 ALA D CB  1 
ATOM 1027  N N   . PHE A 1 130 ? 341.622 -98.335  216.951 1.0 82.37854  ? 130 PHE D N   130 PHE D N   1 
ATOM 1028  C CA  . PHE A 1 130 ? 341.805 -97.014  216.373 1.0 82.37854  ? 130 PHE D CA  130 PHE D CA  1 
ATOM 1029  C C   . PHE A 1 130 ? 343.217 -96.515  216.640 1.0 82.37854  ? 130 PHE D C   130 PHE D C   1 
ATOM 1030  O O   . PHE A 1 130 ? 343.834 -96.854  217.652 1.0 82.37854  ? 130 PHE D O   130 PHE D O   1 
ATOM 1031  C CB  . PHE A 1 130 ? 340.759 -96.020  216.913 1.0 82.37854  ? 130 PHE D CB  130 PHE D CB  1 
ATOM 1032  C CG  . PHE A 1 130 ? 340.798 -95.823  218.404 1.0 82.37854  ? 130 PHE D CG  130 PHE D CG  1 
ATOM 1033  C CD1 . PHE A 1 130 ? 340.083 -96.659  219.246 1.0 82.37854  ? 130 PHE D CD1 130 PHE D CD1 1 
ATOM 1034  C CD2 . PHE A 1 130 ? 341.509 -94.771  218.960 1.0 82.37854  ? 130 PHE D CD2 130 PHE D CD2 1 
ATOM 1035  C CE1 . PHE A 1 130 ? 340.109 -96.475  220.613 1.0 82.37854  ? 130 PHE D CE1 130 PHE D CE1 1 
ATOM 1036  C CE2 . PHE A 1 130 ? 341.534 -94.576  220.326 1.0 82.37854  ? 130 PHE D CE2 130 PHE D CE2 1 
ATOM 1037  C CZ  . PHE A 1 130 ? 340.836 -95.430  221.153 1.0 82.37854  ? 130 PHE D CZ  130 PHE D CZ  1 
ATOM 1038  N N   . THR A 1 131 ? 343.715 -95.691  215.720 1.0 85.40059  ? 131 THR D N   131 THR D N   1 
ATOM 1039  C CA  . THR A 1 131 ? 345.092 -95.203  215.741 1.0 85.40059  ? 131 THR D CA  131 THR D CA  1 
ATOM 1040  C C   . THR A 1 131 ? 345.188 -93.747  216.172 1.0 85.40059  ? 131 THR D C   131 THR D C   1 
ATOM 1041  O O   . THR A 1 131 ? 345.990 -92.990  215.620 1.0 85.40059  ? 131 THR D O   131 THR D O   1 
ATOM 1042  C CB  . THR A 1 131 ? 345.740 -95.387  214.373 1.0 85.40059  ? 131 THR D CB  131 THR D CB  1 
ATOM 1043  O OG1 . THR A 1 131 ? 344.983 -94.677  213.385 1.0 85.40059  ? 131 THR D OG1 131 THR D OG1 1 
ATOM 1044  C CG2 . THR A 1 131 ? 345.807 -96.855  214.007 1.0 85.40059  ? 131 THR D CG2 131 THR D CG2 1 
ATOM 1045  N N   . VAL A 1 132 ? 344.385 -93.321  217.143 1.0 86.74609  ? 132 VAL D N   132 VAL D N   1 
ATOM 1046  C CA  . VAL A 1 132 ? 344.474 -91.949  217.629 1.0 86.74609  ? 132 VAL D CA  132 VAL D CA  1 
ATOM 1047  C C   . VAL A 1 132 ? 345.729 -91.807  218.478 1.0 86.74609  ? 132 VAL D C   132 VAL D C   1 
ATOM 1048  O O   . VAL A 1 132 ? 345.902 -92.505  219.483 1.0 86.74609  ? 132 VAL D O   132 VAL D O   1 
ATOM 1049  C CB  . VAL A 1 132 ? 343.211 -91.559  218.403 1.0 86.74609  ? 132 VAL D CB  132 VAL D CB  1 
ATOM 1050  C CG1 . VAL A 1 132 ? 343.389 -90.209  219.077 1.0 86.74609  ? 132 VAL D CG1 132 VAL D CG1 1 
ATOM 1051  C CG2 . VAL A 1 132 ? 342.037 -91.515  217.444 1.0 86.74609  ? 132 VAL D CG2 132 VAL D CG2 1 
ATOM 1052  N N   . GLY A 1 133 ? 346.609 -90.904  218.069 1.0 88.05503  ? 133 GLY D N   133 GLY D N   1 
ATOM 1053  C CA  . GLY A 1 133 ? 347.963 -90.852  218.575 1.0 88.05503  ? 133 GLY D CA  133 GLY D CA  1 
ATOM 1054  C C   . GLY A 1 133 ? 348.926 -91.515  217.611 1.0 88.05503  ? 133 GLY D C   133 GLY D C   1 
ATOM 1055  O O   . GLY A 1 133 ? 348.579 -91.898  216.491 1.0 88.05503  ? 133 GLY D O   133 GLY D O   1 
ATOM 1056  N N   . ASN A 1 134 ? 350.168 -91.648  218.065 1.0 89.1503   ? 134 ASN D N   134 ASN D N   1 
ATOM 1057  C CA  . ASN A 1 134 ? 351.187 -92.349  217.295 1.0 89.1503   ? 134 ASN D CA  134 ASN D CA  1 
ATOM 1058  C C   . ASN A 1 134 ? 351.257 -93.830  217.626 1.0 89.1503   ? 134 ASN D C   134 ASN D C   1 
ATOM 1059  O O   . ASN A 1 134 ? 352.185 -94.509  217.178 1.0 89.1503   ? 134 ASN D O   134 ASN D O   1 
ATOM 1060  C CB  . ASN A 1 134 ? 352.556 -91.703  217.508 1.0 89.1503   ? 134 ASN D CB  134 ASN D CB  1 
ATOM 1061  C CG  . ASN A 1 134 ? 352.640 -90.322  216.905 1.0 89.1503   ? 134 ASN D CG  134 ASN D CG  1 
ATOM 1062  O OD1 . ASN A 1 134 ? 352.774 -89.327  217.616 1.0 89.1503   ? 134 ASN D OD1 134 ASN D OD1 1 
ATOM 1063  N ND2 . ASN A 1 134 ? 352.560 -90.251  215.584 1.0 89.1503   ? 134 ASN D ND2 134 ASN D ND2 1 
ATOM 1064  N N   . ASP A 1 135 ? 350.312 -94.338  218.402 1.0 88.4035   ? 135 ASP D N   135 ASP D N   1 
ATOM 1065  C CA  . ASP A 1 135 ? 350.174 -95.754  218.689 1.0 88.4035   ? 135 ASP D CA  135 ASP D CA  1 
ATOM 1066  C C   . ASP A 1 135 ? 348.875 -96.270  218.085 1.0 88.4035   ? 135 ASP D C   135 ASP D C   1 
ATOM 1067  O O   . ASP A 1 135 ? 348.164 -95.556  217.374 1.0 88.4035   ? 135 ASP D O   135 ASP D O   1 
ATOM 1068  C CB  . ASP A 1 135 ? 350.232 -96.003  220.200 1.0 88.4035   ? 135 ASP D CB  135 ASP D CB  1 
ATOM 1069  C CG  . ASP A 1 135 ? 349.217 -95.175  220.979 1.0 88.4035   ? 135 ASP D CG  135 ASP D CG  1 
ATOM 1070  O OD1 . ASP A 1 135 ? 348.573 -94.281  220.392 1.0 88.4035   ? 135 ASP D OD1 135 ASP D OD1 1 
ATOM 1071  O OD2 . ASP A 1 135 ? 349.052 -95.430  222.190 1.0 88.4035   ? 135 ASP D OD2 135 ASP D OD2 1 
ATOM 1072  N N   . THR A 1 136 ? 348.572 -97.530  218.366 1.0 86.70535  ? 136 THR D N   136 THR D N   1 
ATOM 1073  C CA  . THR A 1 136 ? 347.261 -98.087  218.092 1.0 86.70535  ? 136 THR D CA  136 THR D CA  1 
ATOM 1074  C C   . THR A 1 136 ? 346.615 -98.484  219.411 1.0 86.70535  ? 136 THR D C   136 THR D C   1 
ATOM 1075  O O   . THR A 1 136 ? 347.298 -98.714  220.414 1.0 86.70535  ? 136 THR D O   136 THR D O   1 
ATOM 1076  C CB  . THR A 1 136 ? 347.331 -99.289  217.137 1.0 86.70535  ? 136 THR D CB  136 THR D CB  1 
ATOM 1077  O OG1 . THR A 1 136 ? 346.005 -99.709  216.799 1.0 86.70535  ? 136 THR D OG1 136 THR D OG1 1 
ATOM 1078  C CG2 . THR A 1 136 ? 348.081 -100.452 217.761 1.0 86.70535  ? 136 THR D CG2 136 THR D CG2 1 
ATOM 1079  N N   . HIS A 1 137 ? 345.292 -98.523  219.414 1.0 83.36666  ? 137 HIS D N   137 HIS D N   1 
ATOM 1080  C CA  . HIS A 1 137 ? 344.528 -98.832  220.608 1.0 83.36666  ? 137 HIS D CA  137 HIS D CA  1 
ATOM 1081  C C   . HIS A 1 137 ? 343.650 -100.041 220.343 1.0 83.36666  ? 137 HIS D C   137 HIS D C   1 
ATOM 1082  O O   . HIS A 1 137 ? 343.354 -100.371 219.193 1.0 83.36666  ? 137 HIS D O   137 HIS D O   1 
ATOM 1083  C CB  . HIS A 1 137 ? 343.670 -97.643  221.031 1.0 83.36666  ? 137 HIS D CB  137 HIS D CB  1 
ATOM 1084  C CG  . HIS A 1 137 ? 344.465 -96.462  221.488 1.0 83.36666  ? 137 HIS D CG  137 HIS D CG  1 
ATOM 1085  N ND1 . HIS A 1 137 ? 344.981 -96.362  222.760 1.0 83.36666  ? 137 HIS D ND1 137 HIS D ND1 1 
ATOM 1086  C CD2 . HIS A 1 137 ? 344.856 -95.342  220.835 1.0 83.36666  ? 137 HIS D CD2 137 HIS D CD2 1 
ATOM 1087  C CE1 . HIS A 1 137 ? 345.643 -95.224  222.878 1.0 83.36666  ? 137 HIS D CE1 137 HIS D CE1 1 
ATOM 1088  N NE2 . HIS A 1 137 ? 345.581 -94.587  221.723 1.0 83.36666  ? 137 HIS D NE2 137 HIS D NE2 1 
ATOM 1089  N N   . PHE A 1 138 ? 343.253 -100.714 221.413 1.0 77.40011  ? 138 PHE D N   138 PHE D N   1 
ATOM 1090  C CA  . PHE A 1 138 ? 342.329 -101.829 221.303 1.0 77.40011  ? 138 PHE D CA  138 PHE D CA  1 
ATOM 1091  C C   . PHE A 1 138 ? 341.279 -101.737 222.392 1.0 77.40011  ? 138 PHE D C   138 PHE D C   1 
ATOM 1092  O O   . PHE A 1 138 ? 341.580 -101.406 223.541 1.0 77.40011  ? 138 PHE D O   138 PHE D O   1 
ATOM 1093  C CB  . PHE A 1 138 ? 343.044 -103.181 221.390 1.0 77.40011  ? 138 PHE D CB  138 PHE D CB  1 
ATOM 1094  C CG  . PHE A 1 138 ? 343.886 -103.500 220.193 1.0 77.40011  ? 138 PHE D CG  138 PHE D CG  1 
ATOM 1095  C CD1 . PHE A 1 138 ? 343.304 -103.936 219.018 1.0 77.40011  ? 138 PHE D CD1 138 PHE D CD1 1 
ATOM 1096  C CD2 . PHE A 1 138 ? 345.261 -103.386 220.247 1.0 77.40011  ? 138 PHE D CD2 138 PHE D CD2 1 
ATOM 1097  C CE1 . PHE A 1 138 ? 344.081 -104.235 217.912 1.0 77.40011  ? 138 PHE D CE1 138 PHE D CE1 1 
ATOM 1098  C CE2 . PHE A 1 138 ? 346.042 -103.686 219.144 1.0 77.40011  ? 138 PHE D CE2 138 PHE D CE2 1 
ATOM 1099  C CZ  . PHE A 1 138 ? 345.450 -104.106 217.979 1.0 77.40011  ? 138 PHE D CZ  138 PHE D CZ  1 
ATOM 1100  N N   . VAL A 1 139 ? 340.046 -102.028 222.009 1.0 72.30197  ? 139 VAL D N   139 VAL D N   1 
ATOM 1101  C CA  . VAL A 1 139 ? 338.918 -102.094 222.922 1.0 72.30197  ? 139 VAL D CA  139 VAL D CA  1 
ATOM 1102  C C   . VAL A 1 139 ? 338.115 -103.331 222.555 1.0 72.30197  ? 139 VAL D C   139 VAL D C   1 
ATOM 1103  O O   . VAL A 1 139 ? 337.896 -103.605 221.371 1.0 72.30197  ? 139 VAL D O   139 VAL D O   1 
ATOM 1104  C CB  . VAL A 1 139 ? 338.081 -100.799 222.871 1.0 72.30197  ? 139 VAL D CB  139 VAL D CB  1 
ATOM 1105  C CG1 . VAL A 1 139 ? 337.693 -100.421 221.452 1.0 72.30197  ? 139 VAL D CG1 139 VAL D CG1 1 
ATOM 1106  C CG2 . VAL A 1 139 ? 336.843 -100.934 223.706 1.0 72.30197  ? 139 VAL D CG2 139 VAL D CG2 1 
ATOM 1107  N N   . ALA A 1 140 ? 337.748 -104.127 223.555 1.0 70.50097  ? 140 ALA D N   140 ALA D N   1 
ATOM 1108  C CA  . ALA A 1 140 ? 337.091 -105.384 223.255 1.0 70.50097  ? 140 ALA D CA  140 ALA D CA  1 
ATOM 1109  C C   . ALA A 1 140 ? 336.277 -105.847 224.452 1.0 70.50097  ? 140 ALA D C   140 ALA D C   1 
ATOM 1110  O O   . ALA A 1 140 ? 336.537 -105.465 225.591 1.0 70.50097  ? 140 ALA D O   140 ALA D O   1 
ATOM 1111  C CB  . ALA A 1 140 ? 338.093 -106.468 222.879 1.0 70.50097  ? 140 ALA D CB  140 ALA D CB  1 
ATOM 1112  N N   . GLN A 1 141 ? 335.275 -106.663 224.161 1.0 70.49057  ? 141 GLN D N   141 GLN D N   1 
ATOM 1113  C CA  . GLN A 1 141 ? 334.733 -107.623 225.111 1.0 70.49057  ? 141 GLN D CA  141 GLN D CA  1 
ATOM 1114  C C   . GLN A 1 141 ? 335.066 -109.013 224.601 1.0 70.49057  ? 141 GLN D C   141 GLN D C   1 
ATOM 1115  O O   . GLN A 1 141 ? 335.036 -109.264 223.394 1.0 70.49057  ? 141 GLN D O   141 GLN D O   1 
ATOM 1116  C CB  . GLN A 1 141 ? 333.218 -107.478 225.285 1.0 70.49057  ? 141 GLN D CB  141 GLN D CB  1 
ATOM 1117  C CG  . GLN A 1 141 ? 332.817 -106.300 226.133 1.0 70.49057  ? 141 GLN D CG  141 GLN D CG  1 
ATOM 1118  C CD  . GLN A 1 141 ? 333.190 -106.512 227.583 1.0 70.49057  ? 141 GLN D CD  141 GLN D CD  1 
ATOM 1119  O OE1 . GLN A 1 141 ? 332.961 -107.563 228.158 1.0 70.49057  ? 141 GLN D OE1 141 GLN D OE1 1 
ATOM 1120  N NE2 . GLN A 1 141 ? 333.826 -105.505 228.171 1.0 70.49057  ? 141 GLN D NE2 141 GLN D NE2 1 
ATOM 1121  N N   . LEU A 1 142 ? 335.407 -109.908 225.523 1.0 73.04753  ? 142 LEU D N   142 LEU D N   1 
ATOM 1122  C CA  . LEU A 1 142 ? 335.755 -111.289 225.203 1.0 73.04753  ? 142 LEU D CA  142 LEU D CA  1 
ATOM 1123  C C   . LEU A 1 142 ? 334.733 -112.185 225.889 1.0 73.04753  ? 142 LEU D C   142 LEU D C   1 
ATOM 1124  O O   . LEU A 1 142 ? 335.006 -112.750 226.958 1.0 73.04753  ? 142 LEU D O   142 LEU D O   1 
ATOM 1125  C CB  . LEU A 1 142 ? 337.185 -111.607 225.632 1.0 73.04753  ? 142 LEU D CB  142 LEU D CB  1 
ATOM 1126  C CG  . LEU A 1 142 ? 338.332 -111.306 224.660 1.0 73.04753  ? 142 LEU D CG  142 LEU D CG  1 
ATOM 1127  C CD1 . LEU A 1 142 ? 338.508 -109.845 224.364 1.0 73.04753  ? 142 LEU D CD1 142 LEU D CD1 1 
ATOM 1128  C CD2 . LEU A 1 142 ? 339.616 -111.825 225.257 1.0 73.04753  ? 142 LEU D CD2 142 LEU D CD2 1 
ATOM 1129  N N   . PRO A 1 143 ? 333.539 -112.334 225.307 1.0 70.76527  ? 143 PRO D N   143 PRO D N   1 
ATOM 1130  C CA  . PRO A 1 143 ? 332.465 -113.034 226.014 1.0 70.76527  ? 143 PRO D CA  143 PRO D CA  1 
ATOM 1131  C C   . PRO A 1 143 ? 332.649 -114.542 225.984 1.0 70.76527  ? 143 PRO D C   143 PRO D C   1 
ATOM 1132  O O   . PRO A 1 143 ? 332.207 -115.239 226.900 1.0 70.76527  ? 143 PRO D O   143 PRO D O   1 
ATOM 1133  C CB  . PRO A 1 143 ? 331.212 -112.588 225.256 1.0 70.76527  ? 143 PRO D CB  143 PRO D CB  1 
ATOM 1134  C CG  . PRO A 1 143 ? 331.689 -112.345 223.880 1.0 70.76527  ? 143 PRO D CG  143 PRO D CG  1 
ATOM 1135  C CD  . PRO A 1 143 ? 333.091 -111.827 223.998 1.0 70.76527  ? 143 PRO D CD  143 PRO D CD  1 
ATOM 1136  N N   . GLN A 1 144 ? 333.295 -115.058 224.944 1.0 73.57102  ? 144 GLN D N   144 GLN D N   1 
ATOM 1137  C CA  . GLN A 1 144 ? 333.711 -116.448 224.952 1.0 73.57102  ? 144 GLN D CA  144 GLN D CA  1 
ATOM 1138  C C   . GLN A 1 144 ? 334.962 -116.600 225.800 1.0 73.57102  ? 144 GLN D C   144 GLN D C   1 
ATOM 1139  O O   . GLN A 1 144 ? 335.769 -115.678 225.920 1.0 73.57102  ? 144 GLN D O   144 GLN D O   1 
ATOM 1140  C CB  . GLN A 1 144 ? 333.993 -116.944 223.538 1.0 73.57102  ? 144 GLN D CB  144 GLN D CB  1 
ATOM 1141  C CG  . GLN A 1 144 ? 332.786 -117.041 222.633 1.0 73.57102  ? 144 GLN D CG  144 GLN D CG  1 
ATOM 1142  C CD  . GLN A 1 144 ? 333.159 -117.572 221.269 1.0 73.57102  ? 144 GLN D CD  144 GLN D CD  1 
ATOM 1143  O OE1 . GLN A 1 144 ? 334.328 -117.810 220.988 1.0 73.57102  ? 144 GLN D OE1 144 GLN D OE1 1 
ATOM 1144  N NE2 . GLN A 1 144 ? 332.174 -117.768 220.419 1.0 73.57102  ? 144 GLN D NE2 144 GLN D NE2 1 
ATOM 1145  N N   . THR A 1 145 ? 335.106 -117.767 226.417 1.0 77.67931  ? 145 THR D N   145 THR D N   1 
ATOM 1146  C CA  . THR A 1 145 ? 336.322 -118.135 227.124 1.0 77.67931  ? 145 THR D CA  145 THR D CA  1 
ATOM 1147  C C   . THR A 1 145 ? 336.711 -119.549 226.725 1.0 77.67931  ? 145 THR D C   145 THR D C   1 
ATOM 1148  O O   . THR A 1 145 ? 335.890 -120.324 226.231 1.0 77.67931  ? 145 THR D O   145 THR D O   1 
ATOM 1149  C CB  . THR A 1 145 ? 336.168 -118.057 228.652 1.0 77.67931  ? 145 THR D CB  145 THR D CB  1 
ATOM 1150  O OG1 . THR A 1 145 ? 335.069 -118.877 229.068 1.0 77.67931  ? 145 THR D OG1 145 THR D OG1 1 
ATOM 1151  C CG2 . THR A 1 145 ? 335.958 -116.627 229.126 1.0 77.67931  ? 145 THR D CG2 145 THR D CG2 1 
ATOM 1152  N N   . TYR A 1 146 ? 337.981 -119.877 226.938 1.0 82.47998  ? 146 TYR D N   146 TYR D N   1 
ATOM 1153  C CA  . TYR A 1 146 ? 338.469 -121.221 226.679 1.0 82.47998  ? 146 TYR D CA  146 TYR D CA  1 
ATOM 1154  C C   . TYR A 1 146 ? 339.638 -121.493 227.613 1.0 82.47998  ? 146 TYR D C   146 TYR D C   1 
ATOM 1155  O O   . TYR A 1 146 ? 340.156 -120.590 228.273 1.0 82.47998  ? 146 TYR D O   146 TYR D O   1 
ATOM 1156  C CB  . TYR A 1 146 ? 338.856 -121.404 225.204 1.0 82.47998  ? 146 TYR D CB  146 TYR D CB  1 
ATOM 1157  C CG  . TYR A 1 146 ? 340.022 -120.564 224.736 1.0 82.47998  ? 146 TYR D CG  146 TYR D CG  1 
ATOM 1158  C CD1 . TYR A 1 146 ? 339.833 -119.263 224.294 1.0 82.47998  ? 146 TYR D CD1 146 TYR D CD1 1 
ATOM 1159  C CD2 . TYR A 1 146 ? 341.307 -121.089 224.694 1.0 82.47998  ? 146 TYR D CD2 146 TYR D CD2 1 
ATOM 1160  C CE1 . TYR A 1 146 ? 340.895 -118.498 223.857 1.0 82.47998  ? 146 TYR D CE1 146 TYR D CE1 1 
ATOM 1161  C CE2 . TYR A 1 146 ? 342.373 -120.331 224.260 1.0 82.47998  ? 146 TYR D CE2 146 TYR D CE2 1 
ATOM 1162  C CZ  . TYR A 1 146 ? 342.160 -119.038 223.840 1.0 82.47998  ? 146 TYR D CZ  146 TYR D CZ  1 
ATOM 1163  O OH  . TYR A 1 146 ? 343.220 -118.282 223.407 1.0 82.47998  ? 146 TYR D OH  146 TYR D OH  1 
ATOM 1164  N N   . ALA A 1 147 ? 340.047 -122.756 227.668 1.0 84.4252   ? 147 ALA D N   147 ALA D N   1 
ATOM 1165  C CA  . ALA A 1 147 ? 341.123 -123.160 228.560 1.0 84.4252   ? 147 ALA D CA  147 ALA D CA  1 
ATOM 1166  C C   . ALA A 1 147 ? 342.471 -122.760 227.977 1.0 84.4252   ? 147 ALA D C   147 ALA D C   1 
ATOM 1167  O O   . ALA A 1 147 ? 342.758 -123.033 226.808 1.0 84.4252   ? 147 ALA D O   147 ALA D O   1 
ATOM 1168  C CB  . ALA A 1 147 ? 341.080 -124.666 228.802 1.0 84.4252   ? 147 ALA D CB  147 ALA D CB  1 
ATOM 1169  N N   . ALA A 1 148 ? 343.298 -122.118 228.798 1.0 88.7215   ? 148 ALA D N   148 ALA D N   1 
ATOM 1170  C CA  . ALA A 1 148 ? 344.638 -121.714 228.389 1.0 88.7215   ? 148 ALA D CA  148 ALA D CA  1 
ATOM 1171  C C   . ALA A 1 148 ? 345.512 -121.637 229.629 1.0 88.7215   ? 148 ALA D C   148 ALA D C   1 
ATOM 1172  O O   . ALA A 1 148 ? 345.233 -120.844 230.532 1.0 88.7215   ? 148 ALA D O   148 ALA D O   1 
ATOM 1173  C CB  . ALA A 1 148 ? 344.615 -120.370 227.663 1.0 88.7215   ? 148 ALA D CB  148 ALA D CB  1 
ATOM 1174  N N   . GLY A 1 149 ? 346.569 -122.441 229.668 1.0 91.25329  ? 149 GLY D N   149 GLY D N   1 
ATOM 1175  C CA  . GLY A 1 149 ? 347.438 -122.504 230.822 1.0 91.25329  ? 149 GLY D CA  149 GLY D CA  1 
ATOM 1176  C C   . GLY A 1 149 ? 348.398 -121.332 230.904 1.0 91.25329  ? 149 GLY D C   149 GLY D C   1 
ATOM 1177  O O   . GLY A 1 149 ? 348.222 -120.285 230.278 1.0 91.25329  ? 149 GLY D O   149 GLY D O   1 
ATOM 1178  N N   . GLY A 1 150 ? 349.433 -121.520 231.720 1.0 91.89664  ? 150 GLY D N   150 GLY D N   1 
ATOM 1179  C CA  . GLY A 1 150 ? 350.485 -120.530 231.836 1.0 91.89664  ? 150 GLY D CA  150 GLY D CA  1 
ATOM 1180  C C   . GLY A 1 150 ? 351.278 -120.472 230.550 1.0 91.89664  ? 150 GLY D C   150 GLY D C   1 
ATOM 1181  O O   . GLY A 1 150 ? 351.823 -121.498 230.107 1.0 91.89664  ? 150 GLY D O   150 GLY D O   1 
ATOM 1182  N N   . THR A 1 151 ? 351.369 -119.282 229.949 1.0 92.79684  ? 151 THR D N   151 THR D N   1 
ATOM 1183  C CA  . THR A 1 151 ? 351.784 -119.061 228.561 1.0 92.79684  ? 151 THR D CA  151 THR D CA  1 
ATOM 1184  C C   . THR A 1 151 ? 350.962 -119.957 227.627 1.0 92.79684  ? 151 THR D C   151 THR D C   1 
ATOM 1185  O O   . THR A 1 151 ? 351.439 -120.916 227.019 1.0 92.79684  ? 151 THR D O   151 THR D O   1 
ATOM 1186  C CB  . THR A 1 151 ? 353.300 -119.242 228.382 1.0 92.79684  ? 151 THR D CB  151 THR D CB  1 
ATOM 1187  O OG1 . THR A 1 151 ? 353.981 -118.479 229.383 1.0 92.79684  ? 151 THR D OG1 151 THR D OG1 1 
ATOM 1188  C CG2 . THR A 1 151 ? 353.762 -118.715 227.025 1.0 92.79684  ? 151 THR D CG2 151 THR D CG2 1 
ATOM 1189  N N   . GLY A 1 152 ? 349.671 -119.640 227.582 1.0 92.90331  ? 152 GLY D N   152 GLY D N   1 
ATOM 1190  C CA  . GLY A 1 152 ? 348.742 -120.352 226.728 1.0 92.90331  ? 152 GLY D CA  152 GLY D CA  1 
ATOM 1191  C C   . GLY A 1 152 ? 348.752 -119.870 225.292 1.0 92.90331  ? 152 GLY D C   152 GLY D C   1 
ATOM 1192  O O   . GLY A 1 152 ? 347.700 -119.566 224.724 1.0 92.90331  ? 152 GLY D O   152 GLY D O   1 
ATOM 1193  N N   . VAL A 1 153 ? 349.940 -119.800 224.692 1.0 93.73341  ? 153 VAL D N   153 VAL D N   1 
ATOM 1194  C CA  . VAL A 1 153 ? 350.067 -119.369 223.308 1.0 93.73341  ? 153 VAL D CA  153 VAL D CA  1 
ATOM 1195  C C   . VAL A 1 153 ? 349.899 -120.545 222.350 1.0 93.73341  ? 153 VAL D C   153 VAL D C   1 
ATOM 1196  O O   . VAL A 1 153 ? 349.570 -120.342 221.174 1.0 93.73341  ? 153 VAL D O   153 VAL D O   1 
ATOM 1197  C CB  . VAL A 1 153 ? 351.411 -118.631 223.153 1.0 93.73341  ? 153 VAL D CB  153 VAL D CB  1 
ATOM 1198  C CG1 . VAL A 1 153 ? 352.580 -119.580 223.334 1.0 93.73341  ? 153 VAL D CG1 153 VAL D CG1 1 
ATOM 1199  C CG2 . VAL A 1 153 ? 351.501 -117.862 221.841 1.0 93.73341  ? 153 VAL D CG2 153 VAL D CG2 1 
ATOM 1200  N N   . THR A 1 154 ? 350.077 -121.776 222.835 1.0 93.18212  ? 154 THR D N   154 THR D N   1 
ATOM 1201  C CA  . THR A 1 154 ? 349.806 -122.950 222.013 1.0 93.18212  ? 154 THR D CA  154 THR D CA  1 
ATOM 1202  C C   . THR A 1 154 ? 348.315 -123.091 221.740 1.0 93.18212  ? 154 THR D C   154 THR D C   1 
ATOM 1203  O O   . THR A 1 154 ? 347.904 -123.336 220.600 1.0 93.18212  ? 154 THR D O   154 THR D O   1 
ATOM 1204  C CB  . THR A 1 154 ? 350.344 -124.200 222.707 1.0 93.18212  ? 154 THR D CB  154 THR D CB  1 
ATOM 1205  O OG1 . THR A 1 154 ? 351.744 -124.040 222.957 1.0 93.18212  ? 154 THR D OG1 154 THR D OG1 1 
ATOM 1206  C CG2 . THR A 1 154 ? 350.133 -125.431 221.841 1.0 93.18212  ? 154 THR D CG2 154 THR D CG2 1 
ATOM 1207  N N   . GLU A 1 155 ? 347.490 -122.910 222.771 1.0 92.20995  ? 155 GLU D N   155 GLU D N   1 
ATOM 1208  C CA  . GLU A 1 155 ? 346.045 -122.966 222.608 1.0 92.20995  ? 155 GLU D CA  155 GLU D CA  1 
ATOM 1209  C C   . GLU A 1 155 ? 345.491 -121.742 221.896 1.0 92.20995  ? 155 GLU D C   155 GLU D C   1 
ATOM 1210  O O   . GLU A 1 155 ? 344.360 -121.788 221.403 1.0 92.20995  ? 155 GLU D O   155 GLU D O   1 
ATOM 1211  C CB  . GLU A 1 155 ? 345.367 -123.120 223.972 1.0 92.20995  ? 155 GLU D CB  155 GLU D CB  1 
ATOM 1212  C CG  . GLU A 1 155 ? 345.616 -124.460 224.659 1.0 92.20995  ? 155 GLU D CG  155 GLU D CG  1 
ATOM 1213  C CD  . GLU A 1 155 ? 346.903 -124.486 225.466 1.0 92.20995  ? 155 GLU D CD  155 GLU D CD  1 
ATOM 1214  O OE1 . GLU A 1 155 ? 347.573 -123.437 225.557 1.0 92.20995  ? 155 GLU D OE1 155 GLU D OE1 1 
ATOM 1215  O OE2 . GLU A 1 155 ? 347.245 -125.559 226.007 1.0 92.20995  ? 155 GLU D OE2 155 GLU D OE2 1 
ATOM 1216  N N   . ALA A 1 156 ? 346.257 -120.652 221.832 1.0 90.19709  ? 156 ALA D N   156 ALA D N   1 
ATOM 1217  C CA  . ALA A 1 156 ? 345.808 -119.469 221.113 1.0 90.19709  ? 156 ALA D CA  156 ALA D CA  1 
ATOM 1218  C C   . ALA A 1 156 ? 345.918 -119.641 219.605 1.0 90.19709  ? 156 ALA D C   156 ALA D C   1 
ATOM 1219  O O   . ALA A 1 156 ? 345.073 -119.129 218.866 1.0 90.19709  ? 156 ALA D O   156 ALA D O   1 
ATOM 1220  C CB  . ALA A 1 156 ? 346.610 -118.248 221.560 1.0 90.19709  ? 156 ALA D CB  156 ALA D CB  1 
ATOM 1221  N N   . ILE A 1 157 ? 346.940 -120.357 219.135 1.0 89.58984  ? 157 ILE D N   157 ILE D N   1 
ATOM 1222  C CA  . ILE A 1 157 ? 347.144 -120.522 217.701 1.0 89.58984  ? 157 ILE D CA  157 ILE D CA  1 
ATOM 1223  C C   . ILE A 1 157 ? 346.136 -121.507 217.114 1.0 89.58984  ? 157 ILE D C   157 ILE D C   1 
ATOM 1224  O O   . ILE A 1 157 ? 345.664 -121.323 215.985 1.0 89.58984  ? 157 ILE D O   157 ILE D O   1 
ATOM 1225  C CB  . ILE A 1 157 ? 348.604 -120.941 217.446 1.0 89.58984  ? 157 ILE D CB  157 ILE D CB  1 
ATOM 1226  C CG1 . ILE A 1 157 ? 349.546 -119.832 217.909 1.0 89.58984  ? 157 ILE D CG1 157 ILE D CG1 1 
ATOM 1227  C CG2 . ILE A 1 157 ? 348.877 -121.233 215.977 1.0 89.58984  ? 157 ILE D CG2 157 ILE D CG2 1 
ATOM 1228  C CD1 . ILE A 1 157 ? 350.993 -120.243 217.955 1.0 89.58984  ? 157 ILE D CD1 157 ILE D CD1 1 
ATOM 1229  N N   . GLN A 1 158 ? 345.730 -122.517 217.884 1.0 89.59147  ? 158 GLN D N   158 GLN D N   1 
ATOM 1230  C CA  . GLN A 1 158 ? 344.833 -123.553 217.382 1.0 89.59147  ? 158 GLN D CA  158 GLN D CA  1 
ATOM 1231  C C   . GLN A 1 158 ? 343.396 -123.080 217.194 1.0 89.59147  ? 158 GLN D C   158 GLN D C   1 
ATOM 1232  O O   . GLN A 1 158 ? 342.582 -123.841 216.661 1.0 89.59147  ? 158 GLN D O   158 GLN D O   1 
ATOM 1233  C CB  . GLN A 1 158 ? 344.857 -124.754 218.323 1.0 89.59147  ? 158 GLN D CB  158 GLN D CB  1 
ATOM 1234  C CG  . GLN A 1 158 ? 346.190 -125.475 218.353 1.0 89.59147  ? 158 GLN D CG  158 GLN D CG  1 
ATOM 1235  C CD  . GLN A 1 158 ? 346.197 -126.635 219.320 1.0 89.59147  ? 158 GLN D CD  158 GLN D CD  1 
ATOM 1236  O OE1 . GLN A 1 158 ? 345.222 -126.867 220.035 1.0 89.59147  ? 158 GLN D OE1 158 GLN D OE1 1 
ATOM 1237  N NE2 . GLN A 1 158 ? 347.299 -127.375 219.350 1.0 89.59147  ? 158 GLN D NE2 158 GLN D NE2 1 
ATOM 1238  N N   . GLN A 1 159 ? 343.060 -121.864 217.616 1.0 86.57565  ? 159 GLN D N   159 GLN D N   1 
ATOM 1239  C CA  . GLN A 1 159 ? 341.737 -121.307 217.361 1.0 86.57565  ? 159 GLN D CA  159 GLN D CA  1 
ATOM 1240  C C   . GLN A 1 159 ? 341.647 -120.878 215.903 1.0 86.57565  ? 159 GLN D C   159 GLN D C   1 
ATOM 1241  O O   . GLN A 1 159 ? 342.279 -119.899 215.496 1.0 86.57565  ? 159 GLN D O   159 GLN D O   1 
ATOM 1242  C CB  . GLN A 1 159 ? 341.470 -120.129 218.291 1.0 86.57565  ? 159 GLN D CB  159 GLN D CB  1 
ATOM 1243  C CG  . GLN A 1 159 ? 341.425 -120.492 219.759 1.0 86.57565  ? 159 GLN D CG  159 GLN D CG  1 
ATOM 1244  C CD  . GLN A 1 159 ? 340.230 -121.349 220.111 1.0 86.57565  ? 159 GLN D CD  159 GLN D CD  1 
ATOM 1245  O OE1 . GLN A 1 159 ? 339.130 -121.139 219.603 1.0 86.57565  ? 159 GLN D OE1 159 GLN D OE1 1 
ATOM 1246  N NE2 . GLN A 1 159 ? 340.438 -122.324 220.987 1.0 86.57565  ? 159 GLN D NE2 159 GLN D NE2 1 
ATOM 1247  N N   . GLN A 1 160 ? 340.872 -121.612 215.114 1.0 84.16802  ? 160 GLN D N   160 GLN D N   1 
ATOM 1248  C CA  . GLN A 1 160 ? 340.629 -121.254 213.726 1.0 84.16802  ? 160 GLN D CA  160 GLN D CA  1 
ATOM 1249  C C   . GLN A 1 160 ? 339.368 -120.410 213.638 1.0 84.16802  ? 160 GLN D C   160 GLN D C   1 
ATOM 1250  O O   . GLN A 1 160 ? 338.388 -120.668 214.343 1.0 84.16802  ? 160 GLN D O   160 GLN D O   1 
ATOM 1251  C CB  . GLN A 1 160 ? 340.492 -122.508 212.866 1.0 84.16802  ? 160 GLN D CB  160 GLN D CB  1 
ATOM 1252  C CG  . GLN A 1 160 ? 341.757 -123.341 212.796 1.0 84.16802  ? 160 GLN D CG  160 GLN D CG  1 
ATOM 1253  C CD  . GLN A 1 160 ? 341.583 -124.584 211.953 1.0 84.16802  ? 160 GLN D CD  160 GLN D CD  1 
ATOM 1254  O OE1 . GLN A 1 160 ? 340.491 -124.864 211.459 1.0 84.16802  ? 160 GLN D OE1 160 GLN D OE1 1 
ATOM 1255  N NE2 . GLN A 1 160 ? 342.662 -125.338 211.782 1.0 84.16802  ? 160 GLN D NE2 160 GLN D NE2 1 
ATOM 1256  N N   . VAL A 1 161 ? 339.395 -119.393 212.775 1.0 78.0596   ? 161 VAL D N   161 VAL D N   1 
ATOM 1257  C CA  . VAL A 1 161 ? 338.312 -118.416 212.761 1.0 78.0596   ? 161 VAL D CA  161 VAL D CA  1 
ATOM 1258  C C   . VAL A 1 161 ? 337.579 -118.341 211.421 1.0 78.0596   ? 161 VAL D C   161 VAL D C   1 
ATOM 1259  O O   . VAL A 1 161 ? 336.409 -118.730 211.347 1.0 78.0596   ? 161 VAL D O   161 VAL D O   1 
ATOM 1260  C CB  . VAL A 1 161 ? 338.848 -117.048 213.227 1.0 78.0596   ? 161 VAL D CB  161 VAL D CB  1 
ATOM 1261  C CG1 . VAL A 1 161 ? 338.948 -117.057 214.730 1.0 78.0596   ? 161 VAL D CG1 161 VAL D CG1 1 
ATOM 1262  C CG2 . VAL A 1 161 ? 340.259 -116.803 212.701 1.0 78.0596   ? 161 VAL D CG2 161 VAL D CG2 1 
ATOM 1263  N N   . SER A 1 162 ? 338.263 -117.891 210.359 1.0 78.08352  ? 162 SER D N   162 SER D N   1 
ATOM 1264  C CA  . SER A 1 162 ? 337.737 -117.829 208.986 1.0 78.08352  ? 162 SER D CA  162 SER D CA  1 
ATOM 1265  C C   . SER A 1 162 ? 336.419 -117.053 208.879 1.0 78.08352  ? 162 SER D C   162 SER D C   1 
ATOM 1266  O O   . SER A 1 162 ? 335.482 -117.468 208.195 1.0 78.08352  ? 162 SER D O   162 SER D O   1 
ATOM 1267  C CB  . SER A 1 162 ? 337.594 -119.236 208.393 1.0 78.08352  ? 162 SER D CB  162 SER D CB  1 
ATOM 1268  O OG  . SER A 1 162 ? 337.018 -119.196 207.103 1.0 78.08352  ? 162 SER D OG  162 SER D OG  1 
ATOM 1269  N N   . GLY A 1 163 ? 336.344 -115.924 209.576 1.0 74.95689  ? 163 GLY D N   163 GLY D N   1 
ATOM 1270  C CA  . GLY A 1 163 ? 335.265 -114.986 209.340 1.0 74.95689  ? 163 GLY D CA  163 GLY D CA  1 
ATOM 1271  C C   . GLY A 1 163 ? 333.949 -115.208 210.055 1.0 74.95689  ? 163 GLY D C   163 GLY D C   1 
ATOM 1272  O O   . GLY A 1 163 ? 333.535 -114.361 210.849 1.0 74.95689  ? 163 GLY D O   163 GLY D O   1 
ATOM 1273  N N   . VAL A 1 164 ? 333.266 -116.322 209.783 1.0 73.50006  ? 164 VAL D N   164 VAL D N   1 
ATOM 1274  C CA  . VAL A 1 164 ? 331.872 -116.446 210.206 1.0 73.50006  ? 164 VAL D CA  164 VAL D CA  1 
ATOM 1275  C C   . VAL A 1 164 ? 331.776 -116.778 211.697 1.0 73.50006  ? 164 VAL D C   164 VAL D C   1 
ATOM 1276  O O   . VAL A 1 164 ? 330.814 -116.386 212.369 1.0 73.50006  ? 164 VAL D O   164 VAL D O   1 
ATOM 1277  C CB  . VAL A 1 164 ? 331.133 -117.467 209.311 1.0 73.50006  ? 164 VAL D CB  164 VAL D CB  1 
ATOM 1278  C CG1 . VAL A 1 164 ? 331.684 -118.880 209.470 1.0 73.50006  ? 164 VAL D CG1 164 VAL D CG1 1 
ATOM 1279  C CG2 . VAL A 1 164 ? 329.624 -117.430 209.540 1.0 73.50006  ? 164 VAL D CG2 164 VAL D CG2 1 
ATOM 1280  N N   . ASP A 1 165 ? 332.780 -117.462 212.251 1.0 74.13948  ? 165 ASP D N   165 ASP D N   1 
ATOM 1281  C CA  . ASP A 1 165 ? 332.790 -117.658 213.693 1.0 74.13948  ? 165 ASP D CA  165 ASP D CA  1 
ATOM 1282  C C   . ASP A 1 165 ? 334.144 -117.262 214.277 1.0 74.13948  ? 165 ASP D C   165 ASP D C   1 
ATOM 1283  O O   . ASP A 1 165 ? 335.155 -117.349 213.575 1.0 74.13948  ? 165 ASP D O   165 ASP D O   1 
ATOM 1284  C CB  . ASP A 1 165 ? 332.435 -119.111 214.090 1.0 74.13948  ? 165 ASP D CB  165 ASP D CB  1 
ATOM 1285  C CG  . ASP A 1 165 ? 333.308 -120.148 213.422 1.0 74.13948  ? 165 ASP D CG  165 ASP D CG  1 
ATOM 1286  O OD1 . ASP A 1 165 ? 334.045 -119.809 212.486 1.0 74.13948  ? 165 ASP D OD1 165 ASP D OD1 1 
ATOM 1287  O OD2 . ASP A 1 165 ? 333.268 -121.316 213.854 1.0 74.13948  ? 165 ASP D OD2 165 ASP D OD2 1 
ATOM 1288  N N   . PRO A 1 166 ? 334.210 -116.802 215.547 1.0 70.85587  ? 166 PRO D N   166 PRO D N   1 
ATOM 1289  C CA  . PRO A 1 166 ? 333.270 -116.668 216.671 1.0 70.85587  ? 166 PRO D CA  166 PRO D CA  1 
ATOM 1290  C C   . PRO A 1 166 ? 332.090 -115.733 216.422 1.0 70.85587  ? 166 PRO D C   166 PRO D C   1 
ATOM 1291  O O   . PRO A 1 166 ? 332.265 -114.625 215.933 1.0 70.85587  ? 166 PRO D O   166 PRO D O   1 
ATOM 1292  C CB  . PRO A 1 166 ? 334.151 -116.115 217.792 1.0 70.85587  ? 166 PRO D CB  166 PRO D CB  1 
ATOM 1293  C CG  . PRO A 1 166 ? 335.225 -115.405 217.105 1.0 70.85587  ? 166 PRO D CG  166 PRO D CG  1 
ATOM 1294  C CD  . PRO A 1 166 ? 335.509 -116.194 215.875 1.0 70.85587  ? 166 PRO D CD  166 PRO D CD  1 
ATOM 1295  N N   . ASN A 1 167 ? 330.896 -116.226 216.714 1.0 67.93846  ? 167 ASN D N   167 ASN D N   1 
ATOM 1296  C CA  . ASN A 1 167 ? 329.691 -115.432 216.551 1.0 67.93846  ? 167 ASN D CA  167 ASN D CA  1 
ATOM 1297  C C   . ASN A 1 167 ? 329.685 -114.318 217.597 1.0 67.93846  ? 167 ASN D C   167 ASN D C   1 
ATOM 1298  O O   . ASN A 1 167 ? 330.003 -114.564 218.766 1.0 67.93846  ? 167 ASN D O   167 ASN D O   1 
ATOM 1299  C CB  . ASN A 1 167 ? 328.471 -116.344 216.707 1.0 67.93846  ? 167 ASN D CB  167 ASN D CB  1 
ATOM 1300  C CG  . ASN A 1 167 ? 327.176 -115.730 216.202 1.0 67.93846  ? 167 ASN D CG  167 ASN D CG  1 
ATOM 1301  O OD1 . ASN A 1 167 ? 327.131 -114.603 215.732 1.0 67.93846  ? 167 ASN D OD1 167 ASN D OD1 1 
ATOM 1302  N ND2 . ASN A 1 167 ? 326.106 -116.499 216.294 1.0 67.93846  ? 167 ASN D ND2 167 ASN D ND2 1 
ATOM 1303  N N   . PRO A 1 168 ? 329.372 -113.077 217.214 1.0 63.63219  ? 168 PRO D N   168 PRO D N   1 
ATOM 1304  C CA  . PRO A 1 168 ? 329.355 -111.983 218.201 1.0 63.63219  ? 168 PRO D CA  168 PRO D CA  1 
ATOM 1305  C C   . PRO A 1 168 ? 328.242 -112.034 219.234 1.0 63.63219  ? 168 PRO D C   168 PRO D C   1 
ATOM 1306  O O   . PRO A 1 168 ? 328.137 -111.095 220.032 1.0 63.63219  ? 168 PRO D O   168 PRO D O   1 
ATOM 1307  C CB  . PRO A 1 168 ? 329.214 -110.737 217.323 1.0 63.63219  ? 168 PRO D CB  168 PRO D CB  1 
ATOM 1308  C CG  . PRO A 1 168 ? 329.851 -111.114 216.077 1.0 63.63219  ? 168 PRO D CG  168 PRO D CG  1 
ATOM 1309  C CD  . PRO A 1 168 ? 329.552 -112.555 215.852 1.0 63.63219  ? 168 PRO D CD  168 PRO D CD  1 
ATOM 1310  N N   . GLN A 1 169 ? 327.409 -113.069 219.264 1.0 66.14642  ? 169 GLN D N   169 GLN D N   1 
ATOM 1311  C CA  . GLN A 1 169 ? 326.264 -113.088 220.158 1.0 66.14642  ? 169 GLN D CA  169 GLN D CA  1 
ATOM 1312  C C   . GLN A 1 169 ? 326.156 -114.362 220.988 1.0 66.14642  ? 169 GLN D C   169 GLN D C   1 
ATOM 1313  O O   . GLN A 1 169 ? 325.242 -114.465 221.810 1.0 66.14642  ? 169 GLN D O   169 GLN D O   1 
ATOM 1314  C CB  . GLN A 1 169 ? 324.984 -112.864 219.355 1.0 66.14642  ? 169 GLN D CB  169 GLN D CB  1 
ATOM 1315  C CG  . GLN A 1 169 ? 324.719 -113.916 218.305 1.0 66.14642  ? 169 GLN D CG  169 GLN D CG  1 
ATOM 1316  C CD  . GLN A 1 169 ? 323.493 -113.604 217.479 1.0 66.14642  ? 169 GLN D CD  169 GLN D CD  1 
ATOM 1317  O OE1 . GLN A 1 169 ? 322.793 -112.626 217.733 1.0 66.14642  ? 169 GLN D OE1 169 GLN D OE1 1 
ATOM 1318  N NE2 . GLN A 1 169 ? 323.226 -114.432 216.480 1.0 66.14642  ? 169 GLN D NE2 169 GLN D NE2 1 
ATOM 1319  N N   . VAL A 1 170 ? 327.065 -115.323 220.822 1.0 67.54956  ? 170 VAL D N   170 VAL D N   1 
ATOM 1320  C CA  . VAL A 1 170 ? 326.920 -116.584 221.548 1.0 67.54956  ? 170 VAL D CA  170 VAL D CA  1 
ATOM 1321  C C   . VAL A 1 170 ? 327.436 -116.463 222.982 1.0 67.54956  ? 170 VAL D C   170 VAL D C   1 
ATOM 1322  O O   . VAL A 1 170 ? 326.780 -116.925 223.922 1.0 67.54956  ? 170 VAL D O   170 VAL D O   1 
ATOM 1323  C CB  . VAL A 1 170 ? 327.582 -117.739 220.774 1.0 67.54956  ? 170 VAL D CB  170 VAL D CB  1 
ATOM 1324  C CG1 . VAL A 1 170 ? 326.735 -118.107 219.582 1.0 67.54956  ? 170 VAL D CG1 170 VAL D CG1 1 
ATOM 1325  C CG2 . VAL A 1 170 ? 328.916 -117.333 220.260 1.0 67.54956  ? 170 VAL D CG2 170 VAL D CG2 1 
ATOM 1326  N N   . GLY A 1 171 ? 328.604 -115.844 223.174 1.0 69.63412  ? 171 GLY D N   171 GLY D N   1 
ATOM 1327  C CA  . GLY A 1 171 ? 329.107 -115.461 224.485 1.0 69.63412  ? 171 GLY D CA  171 GLY D CA  1 
ATOM 1328  C C   . GLY A 1 171 ? 329.409 -116.608 225.439 1.0 69.63412  ? 171 GLY D C   171 GLY D C   1 
ATOM 1329  O O   . GLY A 1 171 ? 329.880 -117.681 225.056 1.0 69.63412  ? 171 GLY D O   171 GLY D O   1 
ATOM 1330  N N   . GLN A 1 172 ? 329.122 -116.354 226.717 1.0 71.84902  ? 172 GLN D N   172 GLN D N   1 
ATOM 1331  C CA  . GLN A 1 172 ? 329.234 -117.336 227.784 1.0 71.84902  ? 172 GLN D CA  172 GLN D CA  1 
ATOM 1332  C C   . GLN A 1 172 ? 328.165 -118.417 227.626 1.0 71.84902  ? 172 GLN D C   172 GLN D C   1 
ATOM 1333  O O   . GLN A 1 172 ? 327.246 -118.283 226.816 1.0 71.84902  ? 172 GLN D O   172 GLN D O   1 
ATOM 1334  C CB  . GLN A 1 172 ? 329.083 -116.641 229.141 1.0 71.84902  ? 172 GLN D CB  172 GLN D CB  1 
ATOM 1335  C CG  . GLN A 1 172 ? 330.197 -115.688 229.516 1.0 71.84902  ? 172 GLN D CG  172 GLN D CG  1 
ATOM 1336  C CD  . GLN A 1 172 ? 331.506 -116.391 229.783 1.0 71.84902  ? 172 GLN D CD  172 GLN D CD  1 
ATOM 1337  O OE1 . GLN A 1 172 ? 331.535 -117.478 230.355 1.0 71.84902  ? 172 GLN D OE1 172 GLN D OE1 1 
ATOM 1338  N NE2 . GLN A 1 172 ? 332.603 -115.766 229.380 1.0 71.84902  ? 172 GLN D NE2 172 GLN D NE2 1 
ATOM 1339  N N   . PRO A 1 173 ? 328.248 -119.508 228.394 1.0 73.12643  ? 173 PRO D N   173 PRO D N   1 
ATOM 1340  C CA  . PRO A 1 173 ? 327.056 -120.339 228.606 1.0 73.12643  ? 173 PRO D CA  173 PRO D CA  1 
ATOM 1341  C C   . PRO A 1 173 ? 325.957 -119.570 229.329 1.0 73.12643  ? 173 PRO D C   173 PRO D C   1 
ATOM 1342  O O   . PRO A 1 173 ? 326.171 -118.502 229.907 1.0 73.12643  ? 173 PRO D O   173 PRO D O   1 
ATOM 1343  C CB  . PRO A 1 173 ? 327.579 -121.515 229.439 1.0 73.12643  ? 173 PRO D CB  173 PRO D CB  1 
ATOM 1344  C CG  . PRO A 1 173 ? 328.886 -121.057 229.991 1.0 73.12643  ? 173 PRO D CG  173 PRO D CG  1 
ATOM 1345  C CD  . PRO A 1 173 ? 329.452 -120.168 228.932 1.0 73.12643  ? 173 PRO D CD  173 PRO D CD  1 
ATOM 1346  N N   . ASN A 1 174 ? 324.758 -120.158 229.303 1.0 75.14583  ? 174 ASN D N   174 ASN D N   1 
ATOM 1347  C CA  . ASN A 1 174 ? 323.529 -119.419 229.585 1.0 75.14583  ? 174 ASN D CA  174 ASN D CA  1 
ATOM 1348  C C   . ASN A 1 174 ? 323.422 -119.006 231.048 1.0 75.14583  ? 174 ASN D C   174 ASN D C   1 
ATOM 1349  O O   . ASN A 1 174 ? 323.330 -117.815 231.365 1.0 75.14583  ? 174 ASN D O   174 ASN D O   1 
ATOM 1350  C CB  . ASN A 1 174 ? 322.318 -120.263 229.187 1.0 75.14583  ? 174 ASN D CB  174 ASN D CB  1 
ATOM 1351  C CG  . ASN A 1 174 ? 322.157 -120.380 227.690 1.0 75.14583  ? 174 ASN D CG  174 ASN D CG  1 
ATOM 1352  O OD1 . ASN A 1 174 ? 322.292 -119.398 226.963 1.0 75.14583  ? 174 ASN D OD1 174 ASN D OD1 1 
ATOM 1353  N ND2 . ASN A 1 174 ? 321.874 -121.588 227.218 1.0 75.14583  ? 174 ASN D ND2 174 ASN D ND2 1 
ATOM 1354  N N   . TYR A 1 175 ? 323.430 -119.976 231.956 1.0 74.85707  ? 175 TYR D N   175 TYR D N   1 
ATOM 1355  C CA  . TYR A 1 175 ? 323.049 -119.730 233.338 1.0 74.85707  ? 175 TYR D CA  175 TYR D CA  1 
ATOM 1356  C C   . TYR A 1 175 ? 324.243 -119.595 234.267 1.0 74.85707  ? 175 TYR D C   175 TYR D C   1 
ATOM 1357  O O   . TYR A 1 175 ? 324.082 -119.679 235.489 1.0 74.85707  ? 175 TYR D O   175 TYR D O   1 
ATOM 1358  C CB  . TYR A 1 175 ? 322.112 -120.834 233.807 1.0 74.85707  ? 175 TYR D CB  175 TYR D CB  1 
ATOM 1359  C CG  . TYR A 1 175 ? 320.762 -120.750 233.146 1.0 74.85707  ? 175 TYR D CG  175 TYR D CG  1 
ATOM 1360  C CD1 . TYR A 1 175 ? 320.269 -119.537 232.689 1.0 74.85707  ? 175 TYR D CD1 175 TYR D CD1 1 
ATOM 1361  C CD2 . TYR A 1 175 ? 320.017 -121.890 232.910 1.0 74.85707  ? 175 TYR D CD2 175 TYR D CD2 1 
ATOM 1362  C CE1 . TYR A 1 175 ? 319.049 -119.458 232.068 1.0 74.85707  ? 175 TYR D CE1 175 TYR D CE1 1 
ATOM 1363  C CE2 . TYR A 1 175 ? 318.796 -121.822 232.290 1.0 74.85707  ? 175 TYR D CE2 175 TYR D CE2 1 
ATOM 1364  C CZ  . TYR A 1 175 ? 318.320 -120.605 231.870 1.0 74.85707  ? 175 TYR D CZ  175 TYR D CZ  1 
ATOM 1365  O OH  . TYR A 1 175 ? 317.106 -120.539 231.244 1.0 74.85707  ? 175 TYR D OH  175 TYR D OH  1 
ATOM 1366  N N   . ALA A 1 176 ? 325.432 -119.388 233.718 1.0 75.63106  ? 176 ALA D N   176 ALA D N   1 
ATOM 1367  C CA  . ALA A 1 176 ? 326.564 -118.972 234.526 1.0 75.63106  ? 176 ALA D CA  176 ALA D CA  1 
ATOM 1368  C C   . ALA A 1 176 ? 326.398 -117.504 234.889 1.0 75.63106  ? 176 ALA D C   176 ALA D C   1 
ATOM 1369  O O   . ALA A 1 176 ? 326.078 -116.673 234.035 1.0 75.63106  ? 176 ALA D O   176 ALA D O   1 
ATOM 1370  C CB  . ALA A 1 176 ? 327.874 -119.192 233.773 1.0 75.63106  ? 176 ALA D CB  176 ALA D CB  1 
ATOM 1371  N N   . GLY A 1 177 ? 326.610 -117.184 236.163 1.0 77.40904  ? 177 GLY D N   177 GLY D N   1 
ATOM 1372  C CA  . GLY A 1 177 ? 326.339 -115.859 236.665 1.0 77.40904  ? 177 GLY D CA  177 GLY D CA  1 
ATOM 1373  C C   . GLY A 1 177 ? 327.385 -114.830 236.280 1.0 77.40904  ? 177 GLY D C   177 GLY D C   1 
ATOM 1374  O O   . GLY A 1 177 ? 328.020 -114.912 235.225 1.0 77.40904  ? 177 GLY D O   177 GLY D O   1 
ATOM 1375  N N   . PRO A 1 178 ? 327.592 -113.833 237.140 1.0 76.31512  ? 178 PRO D N   178 PRO D N   1 
ATOM 1376  C CA  . PRO A 1 178 ? 328.585 -112.779 236.870 1.0 76.31512  ? 178 PRO D CA  178 PRO D CA  1 
ATOM 1377  C C   . PRO A 1 178 ? 329.994 -113.208 237.264 1.0 76.31512  ? 178 PRO D C   178 PRO D C   1 
ATOM 1378  O O   . PRO A 1 178 ? 330.672 -112.560 238.066 1.0 76.31512  ? 178 PRO D O   178 PRO D O   1 
ATOM 1379  C CB  . PRO A 1 178 ? 328.070 -111.621 237.730 1.0 76.31512  ? 178 PRO D CB  178 PRO D CB  1 
ATOM 1380  C CG  . PRO A 1 178 ? 327.477 -112.306 238.893 1.0 76.31512  ? 178 PRO D CG  178 PRO D CG  1 
ATOM 1381  C CD  . PRO A 1 178 ? 326.856 -113.572 238.384 1.0 76.31512  ? 178 PRO D CD  178 PRO D CD  1 
ATOM 1382  N N   . VAL A 1 179 ? 330.442 -114.318 236.696 1.0 79.38794  ? 179 VAL D N   179 VAL D N   1 
ATOM 1383  C CA  . VAL A 1 179 ? 331.687 -114.942 237.114 1.0 79.38794  ? 179 VAL D CA  179 VAL D CA  1 
ATOM 1384  C C   . VAL A 1 179 ? 332.861 -114.146 236.557 1.0 79.38794  ? 179 VAL D C   179 VAL D C   1 
ATOM 1385  O O   . VAL A 1 179 ? 332.841 -113.688 235.408 1.0 79.38794  ? 179 VAL D O   179 VAL D O   1 
ATOM 1386  C CB  . VAL A 1 179 ? 331.714 -116.425 236.692 1.0 79.38794  ? 179 VAL D CB  179 VAL D CB  1 
ATOM 1387  C CG1 . VAL A 1 179 ? 331.573 -116.607 235.176 1.0 79.38794  ? 179 VAL D CG1 179 VAL D CG1 1 
ATOM 1388  C CG2 . VAL A 1 179 ? 332.956 -117.134 237.222 1.0 79.38794  ? 179 VAL D CG2 179 VAL D CG2 1 
ATOM 1389  N N   . VAL A 1 180 ? 333.846 -113.894 237.407 1.0 80.95279  ? 180 VAL D N   180 VAL D N   1 
ATOM 1390  C CA  . VAL A 1 180 ? 335.109 -113.335 236.954 1.0 80.95279  ? 180 VAL D CA  180 VAL D CA  1 
ATOM 1391  C C   . VAL A 1 180 ? 335.947 -114.465 236.377 1.0 80.95279  ? 180 VAL D C   180 VAL D C   1 
ATOM 1392  O O   . VAL A 1 180 ? 335.885 -115.609 236.844 1.0 80.95279  ? 180 VAL D O   180 VAL D O   1 
ATOM 1393  C CB  . VAL A 1 180 ? 335.825 -112.604 238.104 1.0 80.95279  ? 180 VAL D CB  180 VAL D CB  1 
ATOM 1394  C CG1 . VAL A 1 180 ? 335.031 -111.380 238.513 1.0 80.95279  ? 180 VAL D CG1 180 VAL D CG1 1 
ATOM 1395  C CG2 . VAL A 1 180 ? 336.004 -113.516 239.308 1.0 80.95279  ? 180 VAL D CG2 180 VAL D CG2 1 
ATOM 1396  N N   . VAL A 1 181 ? 336.691 -114.175 235.336 1.0 84.16269  ? 181 VAL D N   181 VAL D N   1 
ATOM 1397  C CA  . VAL A 1 181 ? 337.477 -115.212 234.686 1.0 84.16269  ? 181 VAL D CA  181 VAL D CA  1 
ATOM 1398  C C   . VAL A 1 181 ? 338.893 -115.192 235.238 1.0 84.16269  ? 181 VAL D C   181 VAL D C   1 
ATOM 1399  O O   . VAL A 1 181 ? 339.454 -114.132 235.543 1.0 84.16269  ? 181 VAL D O   181 VAL D O   1 
ATOM 1400  C CB  . VAL A 1 181 ? 337.450 -115.055 233.153 1.0 84.16269  ? 181 VAL D CB  181 VAL D CB  1 
ATOM 1401  C CG1 . VAL A 1 181 ? 336.045 -115.287 232.636 1.0 84.16269  ? 181 VAL D CG1 181 VAL D CG1 1 
ATOM 1402  C CG2 . VAL A 1 181 ? 337.928 -113.685 232.734 1.0 84.16269  ? 181 VAL D CG2 181 VAL D CG2 1 
ATOM 1403  N N   . ASN A 1 182 ? 339.455 -116.379 235.425 1.0 87.7426   ? 182 ASN D N   182 ASN D N   1 
ATOM 1404  C CA  . ASN A 1 182 ? 340.863 -116.493 235.775 1.0 87.7426   ? 182 ASN D CA  182 ASN D CA  1 
ATOM 1405  C C   . ASN A 1 182 ? 341.661 -116.179 234.523 1.0 87.7426   ? 182 ASN D C   182 ASN D C   1 
ATOM 1406  O O   . ASN A 1 182 ? 341.773 -117.014 233.623 1.0 87.7426   ? 182 ASN D O   182 ASN D O   1 
ATOM 1407  C CB  . ASN A 1 182 ? 341.179 -117.884 236.308 1.0 87.7426   ? 182 ASN D CB  182 ASN D CB  1 
ATOM 1408  C CG  . ASN A 1 182 ? 340.471 -118.183 237.610 1.0 87.7426   ? 182 ASN D CG  182 ASN D CG  1 
ATOM 1409  O OD1 . ASN A 1 182 ? 339.613 -119.062 237.676 1.0 87.7426   ? 182 ASN D OD1 182 ASN D OD1 1 
ATOM 1410  N ND2 . ASN A 1 182 ? 340.830 -117.452 238.658 1.0 87.7426   ? 182 ASN D ND2 182 ASN D ND2 1 
ATOM 1411  N N   . THR A 1 183 ? 342.194 -114.955 234.451 1.0 86.20227  ? 183 THR D N   183 THR D N   1 
ATOM 1412  C CA  . THR A 1 183 ? 342.945 -114.526 233.276 1.0 86.20227  ? 183 THR D CA  183 THR D CA  1 
ATOM 1413  C C   . THR A 1 183 ? 344.239 -115.318 233.138 1.0 86.20227  ? 183 THR D C   183 THR D C   1 
ATOM 1414  O O   . THR A 1 183 ? 344.717 -115.545 232.021 1.0 86.20227  ? 183 THR D O   183 THR D O   1 
ATOM 1415  C CB  . THR A 1 183 ? 343.223 -113.024 233.365 1.0 86.20227  ? 183 THR D CB  183 THR D CB  1 
ATOM 1416  O OG1 . THR A 1 183 ? 342.002 -112.339 233.660 1.0 86.20227  ? 183 THR D OG1 183 THR D OG1 1 
ATOM 1417  C CG2 . THR A 1 183 ? 343.730 -112.482 232.042 1.0 86.20227  ? 183 THR D CG2 183 THR D CG2 1 
ATOM 1418  N N   . THR A 1 184 ? 344.788 -115.784 234.262 1.0 87.24507  ? 184 THR D N   184 THR D N   1 
ATOM 1419  C CA  . THR A 1 184 ? 345.919 -116.701 234.230 1.0 87.24507  ? 184 THR D CA  184 THR D CA  1 
ATOM 1420  C C   . THR A 1 184 ? 345.517 -118.058 233.651 1.0 87.24507  ? 184 THR D C   184 THR D C   1 
ATOM 1421  O O   . THR A 1 184 ? 346.337 -118.732 233.018 1.0 87.24507  ? 184 THR D O   184 THR D O   1 
ATOM 1422  C CB  . THR A 1 184 ? 346.482 -116.847 235.648 1.0 87.24507  ? 184 THR D CB  184 THR D CB  1 
ATOM 1423  O OG1 . THR A 1 184 ? 346.725 -115.546 236.195 1.0 87.24507  ? 184 THR D OG1 184 THR D OG1 1 
ATOM 1424  C CG2 . THR A 1 184 ? 347.802 -117.602 235.649 1.0 87.24507  ? 184 THR D CG2 184 THR D CG2 1 
ATOM 1425  N N   . ASN A 1 185 ? 344.252 -118.453 233.809 1.0 86.87703  ? 185 ASN D N   185 ASN D N   1 
ATOM 1426  C CA  . ASN A 1 185 ? 343.799 -119.766 233.374 1.0 86.87703  ? 185 ASN D CA  185 ASN D CA  1 
ATOM 1427  C C   . ASN A 1 185 ? 342.815 -119.741 232.211 1.0 86.87703  ? 185 ASN D C   185 ASN D C   1 
ATOM 1428  O O   . ASN A 1 185 ? 342.477 -120.811 231.694 1.0 86.87703  ? 185 ASN D O   185 ASN D O   1 
ATOM 1429  C CB  . ASN A 1 185 ? 343.164 -120.515 234.552 1.0 86.87703  ? 185 ASN D CB  185 ASN D CB  1 
ATOM 1430  C CG  . ASN A 1 185 ? 344.147 -120.767 235.671 1.0 86.87703  ? 185 ASN D CG  185 ASN D CG  1 
ATOM 1431  O OD1 . ASN A 1 185 ? 344.000 -120.240 236.772 1.0 86.87703  ? 185 ASN D OD1 185 ASN D OD1 1 
ATOM 1432  N ND2 . ASN A 1 185 ? 345.165 -121.570 235.391 1.0 86.87703  ? 185 ASN D ND2 185 ASN D ND2 1 
ATOM 1433  N N   . ASN A 1 186 ? 342.343 -118.570 231.787 1.0 85.63872  ? 186 ASN D N   186 ASN D N   1 
ATOM 1434  C CA  . ASN A 1 186 ? 341.444 -118.462 230.645 1.0 85.63872  ? 186 ASN D CA  186 ASN D CA  1 
ATOM 1435  C C   . ASN A 1 186 ? 341.804 -117.227 229.836 1.0 85.63872  ? 186 ASN D C   186 ASN D C   1 
ATOM 1436  O O   . ASN A 1 186 ? 342.069 -116.163 230.401 1.0 85.63872  ? 186 ASN D O   186 ASN D O   1 
ATOM 1437  C CB  . ASN A 1 186 ? 339.978 -118.384 231.081 1.0 85.63872  ? 186 ASN D CB  186 ASN D CB  1 
ATOM 1438  C CG  . ASN A 1 186 ? 339.506 -119.648 231.760 1.0 85.63872  ? 186 ASN D CG  186 ASN D CG  1 
ATOM 1439  O OD1 . ASN A 1 186 ? 339.168 -119.641 232.942 1.0 85.63872  ? 186 ASN D OD1 186 ASN D OD1 1 
ATOM 1440  N ND2 . ASN A 1 186 ? 339.487 -120.746 231.017 1.0 85.63872  ? 186 ASN D ND2 186 ASN D ND2 1 
ATOM 1441  N N   . ALA A 1 187 ? 341.813 -117.370 228.510 1.0 81.66594  ? 187 ALA D N   187 ALA D N   1 
ATOM 1442  C CA  . ALA A 1 187 ? 342.206 -116.280 227.624 1.0 81.66594  ? 187 ALA D CA  187 ALA D CA  1 
ATOM 1443  C C   . ALA A 1 187 ? 341.012 -115.492 227.093 1.0 81.66594  ? 187 ALA D C   187 ALA D C   1 
ATOM 1444  O O   . ALA A 1 187 ? 340.879 -114.299 227.376 1.0 81.66594  ? 187 ALA D O   187 ALA D O   1 
ATOM 1445  C CB  . ALA A 1 187 ? 343.042 -116.829 226.464 1.0 81.66594  ? 187 ALA D CB  187 ALA D CB  1 
ATOM 1446  N N   . GLY A 1 188 ? 340.136 -116.132 226.339 1.0 78.77605  ? 188 GLY D N   188 GLY D N   1 
ATOM 1447  C CA  . GLY A 1 188 ? 339.002 -115.428 225.781 1.0 78.77605  ? 188 GLY D CA  188 GLY D CA  1 
ATOM 1448  C C   . GLY A 1 188 ? 339.122 -115.249 224.274 1.0 78.77605  ? 188 GLY D C   188 GLY D C   1 
ATOM 1449  O O   . GLY A 1 188 ? 340.202 -115.337 223.686 1.0 78.77605  ? 188 GLY D O   188 GLY D O   1 
ATOM 1450  N N   . LEU A 1 189 ? 337.977 -114.973 223.648 1.0 75.53311  ? 189 LEU D N   189 LEU D N   1 
ATOM 1451  C CA  . LEU A 1 189 ? 337.880 -114.923 222.192 1.0 75.53311  ? 189 LEU D CA  189 LEU D CA  1 
ATOM 1452  C C   . LEU A 1 189 ? 336.693 -114.066 221.776 1.0 75.53311  ? 189 LEU D C   189 LEU D C   1 
ATOM 1453  O O   . LEU A 1 189 ? 335.584 -114.251 222.283 1.0 75.53311  ? 189 LEU D O   189 LEU D O   1 
ATOM 1454  C CB  . LEU A 1 189 ? 337.762 -116.338 221.618 1.0 75.53311  ? 189 LEU D CB  189 LEU D CB  1 
ATOM 1455  C CG  . LEU A 1 189 ? 337.386 -116.563 220.152 1.0 75.53311  ? 189 LEU D CG  189 LEU D CG  1 
ATOM 1456  C CD1 . LEU A 1 189 ? 338.286 -115.843 219.178 1.0 75.53311  ? 189 LEU D CD1 189 LEU D CD1 1 
ATOM 1457  C CD2 . LEU A 1 189 ? 337.430 -118.050 219.862 1.0 75.53311  ? 189 LEU D CD2 189 LEU D CD2 1 
ATOM 1458  N N   . GLY A 1 190 ? 336.931 -113.144 220.854 1.0 72.46547  ? 190 GLY D N   190 GLY D N   1 
ATOM 1459  C CA  . GLY A 1 190 ? 335.907 -112.236 220.364 1.0 72.46547  ? 190 GLY D CA  190 GLY D CA  1 
ATOM 1460  C C   . GLY A 1 190 ? 336.195 -111.846 218.931 1.0 72.46547  ? 190 GLY D C   190 GLY D C   1 
ATOM 1461  O O   . GLY A 1 190 ? 336.741 -112.640 218.160 1.0 72.46547  ? 190 GLY D O   190 GLY D O   1 
ATOM 1462  N N   . ARG A 1 191 ? 335.807 -110.624 218.560 1.0 68.64995  ? 191 ARG D N   191 ARG D N   1 
ATOM 1463  C CA  . ARG A 1 191 ? 336.069 -110.085 217.230 1.0 68.64995  ? 191 ARG D CA  191 ARG D CA  1 
ATOM 1464  C C   . ARG A 1 191 ? 336.434 -108.613 217.330 1.0 68.64995  ? 191 ARG D C   191 ARG D C   1 
ATOM 1465  O O   . ARG A 1 191 ? 335.870 -107.881 218.144 1.0 68.64995  ? 191 ARG D O   191 ARG D O   1 
ATOM 1466  C CB  . ARG A 1 191 ? 334.864 -110.232 216.293 1.0 68.64995  ? 191 ARG D CB  191 ARG D CB  1 
ATOM 1467  C CG  . ARG A 1 191 ? 334.548 -111.649 215.884 1.0 68.64995  ? 191 ARG D CG  191 ARG D CG  1 
ATOM 1468  C CD  . ARG A 1 191 ? 333.329 -111.706 215.003 1.0 68.64995  ? 191 ARG D CD  191 ARG D CD  1 
ATOM 1469  N NE  . ARG A 1 191 ? 333.557 -111.172 213.672 1.0 68.64995  ? 191 ARG D NE  191 ARG D NE  1 
ATOM 1470  C CZ  . ARG A 1 191 ? 334.006 -111.902 212.661 1.0 68.64995  ? 191 ARG D CZ  191 ARG D CZ  1 
ATOM 1471  N NH1 . ARG A 1 191 ? 334.274 -113.184 212.845 1.0 68.64995  ? 191 ARG D NH1 191 ARG D NH1 1 
ATOM 1472  N NH2 . ARG A 1 191 ? 334.177 -111.363 211.467 1.0 68.64995  ? 191 ARG D NH2 191 ARG D NH2 1 
ATOM 1473  N N   . ILE A 1 192 ? 337.376 -108.190 216.494 1.0 70.12212  ? 192 ILE D N   192 ILE D N   1 
ATOM 1474  C CA  . ILE A 1 192 ? 337.809 -106.805 216.364 1.0 70.12212  ? 192 ILE D CA  192 ILE D CA  1 
ATOM 1475  C C   . ILE A 1 192 ? 337.552 -106.404 214.917 1.0 70.12212  ? 192 ILE D C   192 ILE D C   1 
ATOM 1476  O O   . ILE A 1 192 ? 337.404 -107.264 214.046 1.0 70.12212  ? 192 ILE D O   192 ILE D O   1 
ATOM 1477  C CB  . ILE A 1 192 ? 339.306 -106.665 216.760 1.0 70.12212  ? 192 ILE D CB  192 ILE D CB  1 
ATOM 1478  C CG1 . ILE A 1 192 ? 339.519 -107.202 218.163 1.0 70.12212  ? 192 ILE D CG1 192 ILE D CG1 1 
ATOM 1479  C CG2 . ILE A 1 192 ? 339.811 -105.220 216.810 1.0 70.12212  ? 192 ILE D CG2 192 ILE D CG2 1 
ATOM 1480  C CD1 . ILE A 1 192 ? 338.716 -106.457 219.201 1.0 70.12212  ? 192 ILE D CD1 192 ILE D CD1 1 
ATOM 1481  N N   . VAL A 1 193 ? 337.414 -105.108 214.667 1.0 71.91939  ? 193 VAL D N   193 VAL D N   1 
ATOM 1482  C CA  . VAL A 1 193 ? 337.597 -104.552 213.335 1.0 71.91939  ? 193 VAL D CA  193 VAL D CA  1 
ATOM 1483  C C   . VAL A 1 193 ? 338.907 -103.773 213.314 1.0 71.91939  ? 193 VAL D C   193 VAL D C   1 
ATOM 1484  O O   . VAL A 1 193 ? 339.168 -102.948 214.199 1.0 71.91939  ? 193 VAL D O   193 VAL D O   1 
ATOM 1485  C CB  . VAL A 1 193 ? 336.385 -103.701 212.913 1.0 71.91939  ? 193 VAL D CB  193 VAL D CB  1 
ATOM 1486  C CG1 . VAL A 1 193 ? 335.935 -102.816 214.029 1.0 71.91939  ? 193 VAL D CG1 193 VAL D CG1 1 
ATOM 1487  C CG2 . VAL A 1 193 ? 336.746 -102.839 211.731 1.0 71.91939  ? 193 VAL D CG2 193 VAL D CG2 1 
ATOM 1488  N N   . SER A 1 194 ? 339.766 -104.091 212.344 1.0 76.72063  ? 194 SER D N   194 SER D N   1 
ATOM 1489  C CA  . SER A 1 194 ? 341.079 -103.476 212.257 1.0 76.72063  ? 194 SER D CA  194 SER D CA  1 
ATOM 1490  C C   . SER A 1 194 ? 340.970 -102.004 211.877 1.0 76.72063  ? 194 SER D C   194 SER D C   1 
ATOM 1491  O O   . SER A 1 194 ? 339.948 -101.527 211.378 1.0 76.72063  ? 194 SER D O   194 SER D O   1 
ATOM 1492  C CB  . SER A 1 194 ? 341.952 -104.200 211.236 1.0 76.72063  ? 194 SER D CB  194 SER D CB  1 
ATOM 1493  O OG  . SER A 1 194 ? 343.216 -103.567 211.127 1.0 76.72063  ? 194 SER D OG  194 SER D OG  1 
ATOM 1494  N N   . ALA A 1 195 ? 342.061 -101.281 212.116 1.0 78.61294  ? 195 ALA D N   195 ALA D N   1 
ATOM 1495  C CA  . ALA A 1 195 ? 342.095 -99.859  211.811 1.0 78.61294  ? 195 ALA D CA  195 ALA D CA  1 
ATOM 1496  C C   . ALA A 1 195 ? 342.258 -99.599  210.324 1.0 78.61294  ? 195 ALA D C   195 ALA D C   1 
ATOM 1497  O O   . ALA A 1 195 ? 341.860 -98.535  209.839 1.0 78.61294  ? 195 ALA D O   195 ALA D O   1 
ATOM 1498  C CB  . ALA A 1 195 ? 343.229 -99.188  212.582 1.0 78.61294  ? 195 ALA D CB  195 ALA D CB  1 
ATOM 1499  N N   . ASP A 1 196 ? 342.838 -100.548 209.590 1.0 80.94434  ? 196 ASP D N   196 ASP D N   1 
ATOM 1500  C CA  . ASP A 1 196 ? 343.010 -100.438 208.143 1.0 80.94434  ? 196 ASP D CA  196 ASP D CA  1 
ATOM 1501  C C   . ASP A 1 196 ? 341.666 -100.734 207.482 1.0 80.94434  ? 196 ASP D C   196 ASP D C   1 
ATOM 1502  O O   . ASP A 1 196 ? 341.422 -101.810 206.932 1.0 80.94434  ? 196 ASP D O   196 ASP D O   1 
ATOM 1503  C CB  . ASP A 1 196 ? 344.105 -101.385 207.667 1.0 80.94434  ? 196 ASP D CB  196 ASP D CB  1 
ATOM 1504  C CG  . ASP A 1 196 ? 344.424 -101.223 206.195 1.0 80.94434  ? 196 ASP D CG  196 ASP D CG  1 
ATOM 1505  O OD1 . ASP A 1 196 ? 345.084 -100.227 205.827 1.0 80.94434  ? 196 ASP D OD1 196 ASP D OD1 1 
ATOM 1506  O OD2 . ASP A 1 196 ? 344.016 -102.099 205.404 1.0 80.94434  ? 196 ASP D OD2 196 ASP D OD2 1 
ATOM 1507  N N   . SER A 1 197 ? 340.775 -99.747  207.548 1.0 76.59439  ? 197 SER D N   197 SER D N   1 
ATOM 1508  C CA  . SER A 1 197 ? 339.414 -99.879  207.047 1.0 76.59439  ? 197 SER D CA  197 SER D CA  1 
ATOM 1509  C C   . SER A 1 197 ? 338.902 -98.506  206.648 1.0 76.59439  ? 197 SER D C   197 SER D C   1 
ATOM 1510  O O   . SER A 1 197 ? 339.012 -97.554  207.426 1.0 76.59439  ? 197 SER D O   197 SER D O   1 
ATOM 1511  C CB  . SER A 1 197 ? 338.494 -100.496 208.099 1.0 76.59439  ? 197 SER D CB  197 SER D CB  1 
ATOM 1512  O OG  . SER A 1 197 ? 338.877 -101.823 208.392 1.0 76.59439  ? 197 SER D OG  197 SER D OG  1 
ATOM 1513  N N   . GLU A 1 198 ? 338.343 -98.413  205.446 1.0 78.28559  ? 198 GLU D N   198 GLU D N   1 
ATOM 1514  C CA  . GLU A 1 198 ? 337.845 -97.146  204.937 1.0 78.28559  ? 198 GLU D CA  198 GLU D CA  1 
ATOM 1515  C C   . GLU A 1 198 ? 336.582 -96.728  205.682 1.0 78.28559  ? 198 GLU D C   198 GLU D C   1 
ATOM 1516  O O   . GLU A 1 198 ? 335.795 -97.557  206.139 1.0 78.28559  ? 198 GLU D O   198 GLU D O   1 
ATOM 1517  C CB  . GLU A 1 198 ? 337.557 -97.248  203.440 1.0 78.28559  ? 198 GLU D CB  198 GLU D CB  1 
ATOM 1518  C CG  . GLU A 1 198 ? 338.795 -97.443  202.580 1.0 78.28559  ? 198 GLU D CG  198 GLU D CG  1 
ATOM 1519  C CD  . GLU A 1 198 ? 338.468 -97.591  201.105 1.0 78.28559  ? 198 GLU D CD  198 GLU D CD  1 
ATOM 1520  O OE1 . GLU A 1 198 ? 337.269 -97.661  200.761 1.0 78.28559  ? 198 GLU D OE1 198 GLU D OE1 1 
ATOM 1521  O OE2 . GLU A 1 198 ? 339.413 -97.643  200.289 1.0 78.28559  ? 198 GLU D OE2 198 GLU D OE2 1 
ATOM 1522  N N   . GLY A 1 199 ? 336.400 -95.418  205.804 1.0 73.83173  ? 199 GLY D N   199 GLY D N   1 
ATOM 1523  C CA  . GLY A 1 199 ? 335.221 -94.861  206.427 1.0 73.83173  ? 199 GLY D CA  199 GLY D CA  1 
ATOM 1524  C C   . GLY A 1 199 ? 335.468 -94.372  207.842 1.0 73.83173  ? 199 GLY D C   199 GLY D C   1 
ATOM 1525  O O   . GLY A 1 199 ? 336.462 -94.699  208.495 1.0 73.83173  ? 199 GLY D O   199 GLY D O   1 
ATOM 1526  N N   . GLN A 1 200 ? 334.527 -93.565  208.321 1.0 71.94987  ? 200 GLN D N   200 GLN D N   1 
ATOM 1527  C CA  . GLN A 1 200 ? 334.607 -93.000  209.660 1.0 71.94987  ? 200 GLN D CA  200 GLN D CA  1 
ATOM 1528  C C   . GLN A 1 200 ? 334.222 -94.049  210.692 1.0 71.94987  ? 200 GLN D C   200 GLN D C   1 
ATOM 1529  O O   . GLN A 1 200 ? 333.233 -94.767  210.515 1.0 71.94987  ? 200 GLN D O   200 GLN D O   1 
ATOM 1530  C CB  . GLN A 1 200 ? 333.686 -91.787  209.775 1.0 71.94987  ? 200 GLN D CB  200 GLN D CB  1 
ATOM 1531  C CG  . GLN A 1 200 ? 333.740 -91.088  211.116 1.0 71.94987  ? 200 GLN D CG  200 GLN D CG  1 
ATOM 1532  C CD  . GLN A 1 200 ? 335.083 -90.448  211.373 1.0 71.94987  ? 200 GLN D CD  200 GLN D CD  1 
ATOM 1533  O OE1 . GLN A 1 200 ? 335.676 -89.850  210.477 1.0 71.94987  ? 200 GLN D OE1 200 GLN D OE1 1 
ATOM 1534  N NE2 . GLN A 1 200 ? 335.575 -90.573  212.598 1.0 71.94987  ? 200 GLN D NE2 200 GLN D NE2 1 
ATOM 1535  N N   . GLN A 1 201 ? 335.005 -94.143  211.764 1.0 70.6714   ? 201 GLN D N   201 GLN D N   1 
ATOM 1536  C CA  . GLN A 1 201 ? 334.652 -95.031  212.862 1.0 70.6714   ? 201 GLN D CA  201 GLN D CA  1 
ATOM 1537  C C   . GLN A 1 201 ? 333.420 -94.498  213.580 1.0 70.6714   ? 201 GLN D C   201 GLN D C   1 
ATOM 1538  O O   . GLN A 1 201 ? 333.281 -93.292  213.795 1.0 70.6714   ? 201 GLN D O   201 GLN D O   1 
ATOM 1539  C CB  . GLN A 1 201 ? 335.814 -95.173  213.844 1.0 70.6714   ? 201 GLN D CB  201 GLN D CB  1 
ATOM 1540  C CG  . GLN A 1 201 ? 335.557 -96.200  214.935 1.0 70.6714   ? 201 GLN D CG  201 GLN D CG  1 
ATOM 1541  C CD  . GLN A 1 201 ? 336.713 -96.361  215.878 1.0 70.6714   ? 201 GLN D CD  201 GLN D CD  1 
ATOM 1542  O OE1 . GLN A 1 201 ? 337.726 -95.681  215.752 1.0 70.6714   ? 201 GLN D OE1 201 GLN D OE1 1 
ATOM 1543  N NE2 . GLN A 1 201 ? 336.569 -97.261  216.839 1.0 70.6714   ? 201 GLN D NE2 201 GLN D NE2 1 
ATOM 1544  N N   . PHE A 1 202 ? 332.522 -95.403  213.945 1.0 61.21257  ? 202 PHE D N   202 PHE D N   1 
ATOM 1545  C CA  . PHE A 1 202 ? 331.221 -95.046  214.474 1.0 61.21257  ? 202 PHE D CA  202 PHE D CA  1 
ATOM 1546  C C   . PHE A 1 202 ? 330.929 -95.870  215.722 1.0 61.21257  ? 202 PHE D C   202 PHE D C   1 
ATOM 1547  O O   . PHE A 1 202 ? 331.423 -96.993  215.845 1.0 61.21257  ? 202 PHE D O   202 PHE D O   1 
ATOM 1548  C CB  . PHE A 1 202 ? 330.151 -95.295  213.401 1.0 61.21257  ? 202 PHE D CB  202 PHE D CB  1 
ATOM 1549  C CG  . PHE A 1 202 ? 328.815 -94.757  213.750 1.0 61.21257  ? 202 PHE D CG  202 PHE D CG  1 
ATOM 1550  C CD1 . PHE A 1 202 ? 328.566 -93.401  213.672 1.0 61.21257  ? 202 PHE D CD1 202 PHE D CD1 1 
ATOM 1551  C CD2 . PHE A 1 202 ? 327.809 -95.597  214.167 1.0 61.21257  ? 202 PHE D CD2 202 PHE D CD2 1 
ATOM 1552  C CE1 . PHE A 1 202 ? 327.342 -92.897  214.008 1.0 61.21257  ? 202 PHE D CE1 202 PHE D CE1 1 
ATOM 1553  C CE2 . PHE A 1 202 ? 326.582 -95.098  214.503 1.0 61.21257  ? 202 PHE D CE2 202 PHE D CE2 1 
ATOM 1554  C CZ  . PHE A 1 202 ? 326.353 -93.747  214.425 1.0 61.21257  ? 202 PHE D CZ  202 PHE D CZ  1 
ATOM 1555  N N   . PRO A 1 203 ? 330.129 -95.337  216.677 1.0 59.81484  ? 203 PRO D N   203 PRO D N   1 
ATOM 1556  C CA  . PRO A 1 203 ? 329.758 -96.131  217.862 1.0 59.81484  ? 203 PRO D CA  203 PRO D CA  1 
ATOM 1557  C C   . PRO A 1 203 ? 328.850 -97.321  217.592 1.0 59.81484  ? 203 PRO D C   203 PRO D C   1 
ATOM 1558  O O   . PRO A 1 203 ? 328.569 -97.661  216.442 1.0 59.81484  ? 203 PRO D O   203 PRO D O   1 
ATOM 1559  C CB  . PRO A 1 203 ? 329.041 -95.110  218.750 1.0 59.81484  ? 203 PRO D CB  203 PRO D CB  1 
ATOM 1560  C CG  . PRO A 1 203 ? 329.613 -93.838  218.366 1.0 59.81484  ? 203 PRO D CG  203 PRO D CG  1 
ATOM 1561  C CD  . PRO A 1 203 ? 329.878 -93.906  216.906 1.0 59.81484  ? 203 PRO D CD  203 PRO D CD  1 
ATOM 1562  N N   . CYS A 1 204 ? 328.402 -97.981  218.660 1.0 58.99432  ? 204 CYS D N   204 CYS D N   1 
ATOM 1563  C CA  . CYS A 1 204 ? 327.593 -99.182  218.491 1.0 58.99432  ? 204 CYS D CA  204 CYS D CA  1 
ATOM 1564  C C   . CYS A 1 204 ? 326.190 -98.846  218.013 1.0 58.99432  ? 204 CYS D C   204 CYS D C   1 
ATOM 1565  O O   . CYS A 1 204 ? 325.655 -99.519  217.127 1.0 58.99432  ? 204 CYS D O   204 CYS D O   1 
ATOM 1566  C CB  . CYS A 1 204 ? 327.543 -99.968  219.797 1.0 58.99432  ? 204 CYS D CB  204 CYS D CB  1 
ATOM 1567  S SG  . CYS A 1 204 ? 326.647 -101.527 219.681 1.0 58.99432  ? 204 CYS D SG  204 CYS D SG  1 
ATOM 1568  N N   . TYR A 1 205 ? 325.601 -97.785  218.555 1.0 57.05018  ? 205 TYR D N   205 TYR D N   1 
ATOM 1569  C CA  . TYR A 1 205 ? 324.219 -97.414  218.282 1.0 57.05018  ? 205 TYR D CA  205 TYR D CA  1 
ATOM 1570  C C   . TYR A 1 205 ? 324.057 -96.892  216.863 1.0 57.05018  ? 205 TYR D C   205 TYR D C   1 
ATOM 1571  O O   . TYR A 1 205 ? 324.250 -95.702  216.606 1.0 57.05018  ? 205 TYR D O   205 TYR D O   1 
ATOM 1572  C CB  . TYR A 1 205 ? 323.776 -96.359  219.293 1.0 57.05018  ? 205 TYR D CB  205 TYR D CB  1 
ATOM 1573  C CG  . TYR A 1 205 ? 322.351 -95.885  219.170 1.0 57.05018  ? 205 TYR D CG  205 TYR D CG  1 
ATOM 1574  C CD1 . TYR A 1 205 ? 321.302 -96.664  219.621 1.0 57.05018  ? 205 TYR D CD1 205 TYR D CD1 1 
ATOM 1575  C CD2 . TYR A 1 205 ? 322.059 -94.639  218.635 1.0 57.05018  ? 205 TYR D CD2 205 TYR D CD2 1 
ATOM 1576  C CE1 . TYR A 1 205 ? 320.005 -96.224  219.528 1.0 57.05018  ? 205 TYR D CE1 205 TYR D CE1 1 
ATOM 1577  C CE2 . TYR A 1 205 ? 320.766 -94.194  218.532 1.0 57.05018  ? 205 TYR D CE2 205 TYR D CE2 1 
ATOM 1578  C CZ  . TYR A 1 205 ? 319.744 -94.989  218.978 1.0 57.05018  ? 205 TYR D CZ  205 TYR D CZ  1 
ATOM 1579  O OH  . TYR A 1 205 ? 318.452 -94.537  218.876 1.0 57.05018  ? 205 TYR D OH  205 TYR D OH  1 
ATOM 1580  N N   . GLY A 1 206 ? 323.704 -97.771  215.939 1.0 55.88949  ? 206 GLY D N   206 GLY D N   1 
ATOM 1581  C CA  . GLY A 1 206 ? 323.491 -97.387  214.564 1.0 55.88949  ? 206 GLY D CA  206 GLY D CA  1 
ATOM 1582  C C   . GLY A 1 206 ? 324.563 -97.818  213.593 1.0 55.88949  ? 206 GLY D C   206 GLY D C   1 
ATOM 1583  O O   . GLY A 1 206 ? 324.543 -97.364  212.446 1.0 55.88949  ? 206 GLY D O   206 GLY D O   1 
ATOM 1584  N N   . ALA A 1 207 ? 325.482 -98.685  214.003 1.0 55.55602  ? 207 ALA D N   207 ALA D N   1 
ATOM 1585  C CA  . ALA A 1 207 ? 326.565 -99.128  213.139 1.0 55.55602  ? 207 ALA D CA  207 ALA D CA  1 
ATOM 1586  C C   . ALA A 1 207 ? 326.072 -100.224 212.209 1.0 55.55602  ? 207 ALA D C   207 ALA D C   1 
ATOM 1587  O O   . ALA A 1 207 ? 325.339 -101.122 212.631 1.0 55.55602  ? 207 ALA D O   207 ALA D O   1 
ATOM 1588  C CB  . ALA A 1 207 ? 327.742 -99.638  213.964 1.0 55.55602  ? 207 ALA D CB  207 ALA D CB  1 
ATOM 1589  N N   . TYR A 1 208 ? 326.486 -100.152 210.950 1.0 54.5788   ? 208 TYR D N   208 TYR D N   1 
ATOM 1590  C CA  . TYR A 1 208 ? 326.060 -101.099 209.936 1.0 54.5788   ? 208 TYR D CA  208 TYR D CA  1 
ATOM 1591  C C   . TYR A 1 208 ? 327.211 -101.400 208.989 1.0 54.5788   ? 208 TYR D C   208 TYR D C   1 
ATOM 1592  O O   . TYR A 1 208 ? 328.046 -100.540 208.704 1.0 54.5788   ? 208 TYR D O   208 TYR D O   1 
ATOM 1593  C CB  . TYR A 1 208 ? 324.866 -100.566 209.158 1.0 54.5788   ? 208 TYR D CB  208 TYR D CB  1 
ATOM 1594  C CG  . TYR A 1 208 ? 324.418 -101.472 208.041 1.0 54.5788   ? 208 TYR D CG  208 TYR D CG  1 
ATOM 1595  C CD1 . TYR A 1 208 ? 323.800 -102.667 208.318 1.0 54.5788   ? 208 TYR D CD1 208 TYR D CD1 1 
ATOM 1596  C CD2 . TYR A 1 208 ? 324.629 -101.136 206.723 1.0 54.5788   ? 208 TYR D CD2 208 TYR D CD2 1 
ATOM 1597  C CE1 . TYR A 1 208 ? 323.383 -103.507 207.320 1.0 54.5788   ? 208 TYR D CE1 208 TYR D CE1 1 
ATOM 1598  C CE2 . TYR A 1 208 ? 324.225 -101.972 205.707 1.0 54.5788   ? 208 TYR D CE2 208 TYR D CE2 1 
ATOM 1599  C CZ  . TYR A 1 208 ? 323.601 -103.155 206.017 1.0 54.5788   ? 208 TYR D CZ  208 TYR D CZ  1 
ATOM 1600  O OH  . TYR A 1 208 ? 323.193 -103.996 205.026 1.0 54.5788   ? 208 TYR D OH  208 TYR D OH  1 
ATOM 1601  N N   . ALA A 1 209 ? 327.253 -102.642 208.514 1.0 55.8115   ? 209 ALA D N   209 ALA D N   1 
ATOM 1602  C CA  . ALA A 1 209 ? 328.216 -103.060 207.546 1.0 55.8115   ? 209 ALA D CA  209 ALA D CA  1 
ATOM 1603  C C   . ALA A 1 209 ? 327.554 -104.136 206.699 1.0 55.8115   ? 209 ALA D C   209 ALA D C   1 
ATOM 1604  O O   . ALA A 1 209 ? 326.977 -105.074 207.266 1.0 55.8115   ? 209 ALA D O   209 ALA D O   1 
ATOM 1605  C CB  . ALA A 1 209 ? 329.472 -103.598 208.206 1.0 55.8115   ? 209 ALA D CB  209 ALA D CB  1 
ATOM 1606  N N   . PRO A 1 210 ? 327.607 -104.030 205.373 1.0 57.59203  ? 210 PRO D N   210 PRO D N   1 
ATOM 1607  C CA  . PRO A 1 210 ? 326.833 -104.935 204.515 1.0 57.59203  ? 210 PRO D CA  210 PRO D CA  1 
ATOM 1608  C C   . PRO A 1 210 ? 327.408 -106.338 204.530 1.0 57.59203  ? 210 PRO D C   210 PRO D C   1 
ATOM 1609  O O   . PRO A 1 210 ? 328.635 -106.511 204.511 1.0 57.59203  ? 210 PRO D O   210 PRO D O   1 
ATOM 1610  C CB  . PRO A 1 210 ? 326.971 -104.303 203.123 1.0 57.59203  ? 210 PRO D CB  210 PRO D CB  1 
ATOM 1611  C CG  . PRO A 1 210 ? 327.372 -102.896 203.375 1.0 57.59203  ? 210 PRO D CG  210 PRO D CG  1 
ATOM 1612  C CD  . PRO A 1 210 ? 328.228 -102.946 204.597 1.0 57.59203  ? 210 PRO D CD  210 PRO D CD  1 
ATOM 1613  N N   . PRO A 1 211 ? 326.558 -107.361 204.565 1.0 59.39268  ? 211 PRO D N   211 PRO D N   1 
ATOM 1614  C CA  . PRO A 1 211 ? 327.064 -108.736 204.554 1.0 59.39268  ? 211 PRO D CA  211 PRO D CA  1 
ATOM 1615  C C   . PRO A 1 211 ? 327.594 -109.112 203.183 1.0 59.39268  ? 211 PRO D C   211 PRO D C   1 
ATOM 1616  O O   . PRO A 1 211 ? 327.094 -108.650 202.156 1.0 59.39268  ? 211 PRO D O   211 PRO D O   1 
ATOM 1617  C CB  . PRO A 1 211 ? 325.834 -109.567 204.921 1.0 59.39268  ? 211 PRO D CB  211 PRO D CB  1 
ATOM 1618  C CG  . PRO A 1 211 ? 324.697 -108.749 204.444 1.0 59.39268  ? 211 PRO D CG  211 PRO D CG  1 
ATOM 1619  C CD  . PRO A 1 211 ? 325.089 -107.320 204.644 1.0 59.39268  ? 211 PRO D CD  211 PRO D CD  1 
ATOM 1620  N N   . GLN A 1 212 ? 328.616 -109.962 203.174 1.0 64.90331  ? 212 GLN D N   212 GLN D N   1 
ATOM 1621  C CA  . GLN A 1 212 ? 329.294 -110.287 201.927 1.0 64.90331  ? 212 GLN D CA  212 GLN D CA  1 
ATOM 1622  C C   . GLN A 1 212 ? 328.719 -111.529 201.258 1.0 64.90331  ? 212 GLN D C   212 GLN D C   1 
ATOM 1623  O O   . GLN A 1 212 ? 328.404 -111.500 200.066 1.0 64.90331  ? 212 GLN D O   212 GLN D O   1 
ATOM 1624  C CB  . GLN A 1 212 ? 330.791 -110.453 202.182 1.0 64.90331  ? 212 GLN D CB  212 GLN D CB  1 
ATOM 1625  C CG  . GLN A 1 212 ? 331.442 -109.172 202.653 1.0 64.90331  ? 212 GLN D CG  212 GLN D CG  1 
ATOM 1626  C CD  . GLN A 1 212 ? 331.392 -108.085 201.601 1.0 64.90331  ? 212 GLN D CD  212 GLN D CD  1 
ATOM 1627  O OE1 . GLN A 1 212 ? 331.590 -108.345 200.415 1.0 64.90331  ? 212 GLN D OE1 212 GLN D OE1 1 
ATOM 1628  N NE2 . GLN A 1 212 ? 331.112 -106.861 202.028 1.0 64.90331  ? 212 GLN D NE2 212 GLN D NE2 1 
ATOM 1629  N N   . SER A 1 213 ? 328.578 -112.620 201.997 1.0 67.42322  ? 213 SER D N   213 SER D N   1 
ATOM 1630  C CA  . SER A 1 213 ? 328.003 -113.844 201.460 1.0 67.42322  ? 213 SER D CA  213 SER D CA  1 
ATOM 1631  C C   . SER A 1 213 ? 326.721 -114.177 202.211 1.0 67.42322  ? 213 SER D C   213 SER D C   1 
ATOM 1632  O O   . SER A 1 213 ? 326.351 -113.515 203.181 1.0 67.42322  ? 213 SER D O   213 SER D O   1 
ATOM 1633  C CB  . SER A 1 213 ? 328.998 -115.004 201.543 1.0 67.42322  ? 213 SER D CB  213 SER D CB  1 
ATOM 1634  O OG  . SER A 1 213 ? 330.155 -114.741 200.768 1.0 67.42322  ? 213 SER D OG  213 SER D OG  1 
ATOM 1635  N N   . ALA A 1 214 ? 326.042 -115.227 201.749 1.0 67.89235  ? 214 ALA D N   214 ALA D N   1 
ATOM 1636  C CA  . ALA A 1 214 ? 324.820 -115.684 202.397 1.0 67.89235  ? 214 ALA D CA  214 ALA D CA  1 
ATOM 1637  C C   . ALA A 1 214 ? 325.082 -116.342 203.743 1.0 67.89235  ? 214 ALA D C   214 ALA D C   1 
ATOM 1638  O O   . ALA A 1 214 ? 324.150 -116.473 204.542 1.0 67.89235  ? 214 ALA D O   214 ALA D O   1 
ATOM 1639  C CB  . ALA A 1 214 ? 324.073 -116.654 201.482 1.0 67.89235  ? 214 ALA D CB  214 ALA D CB  1 
ATOM 1640  N N   . GLY A 1 215 ? 326.321 -116.751 204.014 1.0 68.55783  ? 215 GLY D N   215 GLY D N   1 
ATOM 1641  C CA  . GLY A 1 215 ? 326.691 -117.245 205.325 1.0 68.55783  ? 215 GLY D CA  215 GLY D CA  1 
ATOM 1642  C C   . GLY A 1 215 ? 326.831 -116.170 206.379 1.0 68.55783  ? 215 GLY D C   215 GLY D C   1 
ATOM 1643  O O   . GLY A 1 215 ? 327.041 -116.503 207.549 1.0 68.55783  ? 215 GLY D O   215 GLY D O   1 
ATOM 1644  N N   . GLY A 1 216 ? 326.747 -114.902 205.993 1.0 65.41652  ? 216 GLY D N   216 GLY D N   1 
ATOM 1645  C CA  . GLY A 1 216 ? 326.722 -113.809 206.934 1.0 65.41652  ? 216 GLY D CA  216 GLY D CA  1 
ATOM 1646  C C   . GLY A 1 216 ? 328.059 -113.227 207.311 1.0 65.41652  ? 216 GLY D C   216 GLY D C   1 
ATOM 1647  O O   . GLY A 1 216 ? 328.136 -112.527 208.323 1.0 65.41652  ? 216 GLY D O   216 GLY D O   1 
ATOM 1648  N N   . ASP A 1 217 ? 329.111 -113.496 206.545 1.0 69.17357  ? 217 ASP D N   217 ASP D N   1 
ATOM 1649  C CA  . ASP A 1 217 ? 330.400 -112.893 206.838 1.0 69.17357  ? 217 ASP D CA  217 ASP D CA  1 
ATOM 1650  C C   . ASP A 1 217 ? 330.382 -111.411 206.484 1.0 69.17357  ? 217 ASP D C   217 ASP D C   1 
ATOM 1651  O O   . ASP A 1 217 ? 329.707 -110.984 205.544 1.0 69.17357  ? 217 ASP D O   217 ASP D O   1 
ATOM 1652  C CB  . ASP A 1 217 ? 331.521 -113.627 206.099 1.0 69.17357  ? 217 ASP D CB  217 ASP D CB  1 
ATOM 1653  C CG  . ASP A 1 217 ? 331.274 -113.737 204.607 1.0 69.17357  ? 217 ASP D CG  217 ASP D CG  1 
ATOM 1654  O OD1 . ASP A 1 217 ? 330.162 -113.422 204.154 1.0 69.17357  ? 217 ASP D OD1 217 ASP D OD1 1 
ATOM 1655  O OD2 . ASP A 1 217 ? 332.205 -114.121 203.873 1.0 69.17357  ? 217 ASP D OD2 217 ASP D OD2 1 
ATOM 1656  N N   . VAL A 1 218 ? 331.101 -110.615 207.268 1.0 67.60889  ? 218 VAL D N   218 VAL D N   1 
ATOM 1657  C CA  . VAL A 1 218 ? 331.020 -109.170 207.164 1.0 67.60889  ? 218 VAL D CA  218 VAL D CA  1 
ATOM 1658  C C   . VAL A 1 218 ? 332.323 -108.540 206.669 1.0 67.60889  ? 218 VAL D C   218 VAL D C   1 
ATOM 1659  O O   . VAL A 1 218 ? 332.275 -107.571 205.899 1.0 67.60889  ? 218 VAL D O   218 VAL D O   1 
ATOM 1660  C CB  . VAL A 1 218 ? 330.587 -108.585 208.527 1.0 67.60889  ? 218 VAL D CB  218 VAL D CB  1 
ATOM 1661  C CG1 . VAL A 1 218 ? 330.474 -107.113 208.491 1.0 67.60889  ? 218 VAL D CG1 218 VAL D CG1 1 
ATOM 1662  C CG2 . VAL A 1 218 ? 329.236 -109.141 208.925 1.0 67.60889  ? 218 VAL D CG2 218 VAL D CG2 1 
ATOM 1663  N N   . SER A 1 219 ? 333.480 -109.084 207.044 1.0 71.48529  ? 219 SER D N   219 SER D N   1 
ATOM 1664  C CA  . SER A 1 219 ? 334.752 -108.608 206.512 1.0 71.48529  ? 219 SER D CA  219 SER D CA  1 
ATOM 1665  C C   . SER A 1 219 ? 334.869 -108.914 205.026 1.0 71.48529  ? 219 SER D C   219 SER D C   1 
ATOM 1666  O O   . SER A 1 219 ? 334.473 -109.988 204.568 1.0 71.48529  ? 219 SER D O   219 SER D O   1 
ATOM 1667  C CB  . SER A 1 219 ? 335.909 -109.257 207.264 1.0 71.48529  ? 219 SER D CB  219 SER D CB  1 
ATOM 1668  O OG  . SER A 1 219 ? 335.922 -110.653 207.041 1.0 71.48529  ? 219 SER D OG  219 SER D OG  1 
ATOM 1669  N N   . THR A 1 220 ? 335.414 -107.964 204.271 1.0 73.3444   ? 220 THR D N   220 THR D N   1 
ATOM 1670  C CA  . THR A 1 220 ? 335.533 -108.137 202.831 1.0 73.3444   ? 220 THR D CA  220 THR D CA  1 
ATOM 1671  C C   . THR A 1 220 ? 336.871 -108.734 202.407 1.0 73.3444   ? 220 THR D C   220 THR D C   1 
ATOM 1672  O O   . THR A 1 220 ? 336.951 -109.340 201.333 1.0 73.3444   ? 220 THR D O   220 THR D O   1 
ATOM 1673  C CB  . THR A 1 220 ? 335.288 -106.800 202.119 1.0 73.3444   ? 220 THR D CB  220 THR D CB  1 
ATOM 1674  O OG1 . THR A 1 220 ? 335.343 -106.990 200.700 1.0 73.3444   ? 220 THR D OG1 220 THR D OG1 1 
ATOM 1675  C CG2 . THR A 1 220 ? 336.295 -105.742 202.543 1.0 73.3444   ? 220 THR D CG2 220 THR D CG2 1 
ATOM 1676  N N   . ALA A 1 221 ? 337.919 -108.583 203.211 1.0 75.94816  ? 221 ALA D N   221 ALA D N   1 
ATOM 1677  C CA  . ALA A 1 221 ? 339.198 -109.222 202.953 1.0 75.94816  ? 221 ALA D CA  221 ALA D CA  1 
ATOM 1678  C C   . ALA A 1 221 ? 339.376 -110.403 203.903 1.0 75.94816  ? 221 ALA D C   221 ALA D C   1 
ATOM 1679  O O   . ALA A 1 221 ? 338.438 -110.827 204.584 1.0 75.94816  ? 221 ALA D O   221 ALA D O   1 
ATOM 1680  C CB  . ALA A 1 221 ? 340.341 -108.212 203.066 1.0 75.94816  ? 221 ALA D CB  221 ALA D CB  1 
ATOM 1681  N N   . ALA A 1 222 ? 340.588 -110.955 203.938 1.0 78.93659  ? 222 ALA D N   222 ALA D N   1 
ATOM 1682  C CA  . ALA A 1 222 ? 340.897 -112.098 204.783 1.0 78.93659  ? 222 ALA D CA  222 ALA D CA  1 
ATOM 1683  C C   . ALA A 1 222 ? 340.881 -111.706 206.263 1.0 78.93659  ? 222 ALA D C   222 ALA D C   1 
ATOM 1684  O O   . ALA A 1 222 ? 340.844 -110.528 206.629 1.0 78.93659  ? 222 ALA D O   222 ALA D O   1 
ATOM 1685  C CB  . ALA A 1 222 ? 342.253 -112.689 204.403 1.0 78.93659  ? 222 ALA D CB  222 ALA D CB  1 
ATOM 1686  N N   . VAL A 1 223 ? 340.920 -112.721 207.122 1.0 77.82797  ? 223 VAL D N   223 VAL D N   1 
ATOM 1687  C CA  . VAL A 1 223 ? 340.716 -112.560 208.557 1.0 77.82797  ? 223 VAL D CA  223 VAL D CA  1 
ATOM 1688  C C   . VAL A 1 223 ? 342.022 -112.863 209.278 1.0 77.82797  ? 223 VAL D C   223 VAL D C   1 
ATOM 1689  O O   . VAL A 1 223 ? 342.627 -113.921 209.065 1.0 77.82797  ? 223 VAL D O   223 VAL D O   1 
ATOM 1690  C CB  . VAL A 1 223 ? 339.578 -113.466 209.054 1.0 77.82797  ? 223 VAL D CB  223 VAL D CB  1 
ATOM 1691  C CG1 . VAL A 1 223 ? 339.435 -113.376 210.555 1.0 77.82797  ? 223 VAL D CG1 223 VAL D CG1 1 
ATOM 1692  C CG2 . VAL A 1 223 ? 338.284 -113.072 208.380 1.0 77.82797  ? 223 VAL D CG2 223 VAL D CG2 1 
ATOM 1693  N N   . THR A 1 224 ? 342.454 -111.937 210.130 1.0 78.22936  ? 224 THR D N   224 THR D N   1 
ATOM 1694  C CA  . THR A 1 224 ? 343.706 -112.044 210.862 1.0 78.22936  ? 224 THR D CA  224 THR D CA  1 
ATOM 1695  C C   . THR A 1 224 ? 343.398 -112.044 212.356 1.0 78.22936  ? 224 THR D C   224 THR D C   1 
ATOM 1696  O O   . THR A 1 224 ? 342.427 -111.430 212.797 1.0 78.22936  ? 224 THR D O   224 THR D O   1 
ATOM 1697  C CB  . THR A 1 224 ? 344.641 -110.874 210.483 1.0 78.22936  ? 224 THR D CB  224 THR D CB  1 
ATOM 1698  O OG1 . THR A 1 224 ? 344.740 -110.800 209.058 1.0 78.22936  ? 224 THR D OG1 224 THR D OG1 1 
ATOM 1699  C CG2 . THR A 1 224 ? 346.053 -111.065 211.028 1.0 78.22936  ? 224 THR D CG2 224 THR D CG2 1 
ATOM 1700  N N   . LYS A 1 225 ? 344.197 -112.764 213.134 1.0 80.50224  ? 225 LYS D N   225 LYS D N   1 
ATOM 1701  C CA  . LYS A 1 225 ? 344.036 -112.754 214.578 1.0 80.50224  ? 225 LYS D CA  225 LYS D CA  1 
ATOM 1702  C C   . LYS A 1 225 ? 344.926 -111.681 215.201 1.0 80.50224  ? 225 LYS D C   225 LYS D C   1 
ATOM 1703  O O   . LYS A 1 225 ? 345.928 -111.260 214.620 1.0 80.50224  ? 225 LYS D O   225 LYS D O   1 
ATOM 1704  C CB  . LYS A 1 225 ? 344.362 -114.130 215.148 1.0 80.50224  ? 225 LYS D CB  225 LYS D CB  1 
ATOM 1705  C CG  . LYS A 1 225 ? 343.401 -115.196 214.665 1.0 80.50224  ? 225 LYS D CG  225 LYS D CG  1 
ATOM 1706  C CD  . LYS A 1 225 ? 343.833 -116.581 215.086 1.0 80.50224  ? 225 LYS D CD  225 LYS D CD  1 
ATOM 1707  C CE  . LYS A 1 225 ? 343.606 -116.803 216.561 1.0 80.50224  ? 225 LYS D CE  225 LYS D CE  1 
ATOM 1708  N NZ  . LYS A 1 225 ? 343.909 -118.206 216.942 1.0 80.50224  ? 225 LYS D NZ  225 LYS D NZ  1 
ATOM 1709  N N   . THR A 1 226 ? 344.542 -111.229 216.397 1.0 81.73494  ? 226 THR D N   226 THR D N   1 
ATOM 1710  C CA  . THR A 1 226 ? 345.209 -110.094 217.040 1.0 81.73494  ? 226 THR D CA  226 THR D CA  1 
ATOM 1711  C C   . THR A 1 226 ? 345.322 -110.360 218.539 1.0 81.73494  ? 226 THR D C   226 THR D C   1 
ATOM 1712  O O   . THR A 1 226 ? 344.362 -110.152 219.285 1.0 81.73494  ? 226 THR D O   226 THR D O   1 
ATOM 1713  C CB  . THR A 1 226 ? 344.454 -108.799 216.782 1.0 81.73494  ? 226 THR D CB  226 THR D CB  1 
ATOM 1714  O OG1 . THR A 1 226 ? 344.314 -108.595 215.372 1.0 81.73494  ? 226 THR D OG1 226 THR D OG1 1 
ATOM 1715  C CG2 . THR A 1 226 ? 345.224 -107.640 217.359 1.0 81.73494  ? 226 THR D CG2 226 THR D CG2 1 
ATOM 1716  N N   . TYR A 1 227 ? 346.507 -110.752 218.986 1.0 86.11688  ? 227 TYR D N   227 TYR D N   1 
ATOM 1717  C CA  . TYR A 1 227 ? 346.688 -111.221 220.352 1.0 86.11688  ? 227 TYR D CA  227 TYR D CA  1 
ATOM 1718  C C   . TYR A 1 227 ? 346.989 -110.053 221.284 1.0 86.11688  ? 227 TYR D C   227 TYR D C   1 
ATOM 1719  O O   . TYR A 1 227 ? 347.558 -109.039 220.873 1.0 86.11688  ? 227 TYR D O   227 TYR D O   1 
ATOM 1720  C CB  . TYR A 1 227 ? 347.820 -112.242 220.427 1.0 86.11688  ? 227 TYR D CB  227 TYR D CB  1 
ATOM 1721  C CG  . TYR A 1 227 ? 347.592 -113.526 219.659 1.0 86.11688  ? 227 TYR D CG  227 TYR D CG  1 
ATOM 1722  C CD1 . TYR A 1 227 ? 346.331 -113.899 219.212 1.0 86.11688  ? 227 TYR D CD1 227 TYR D CD1 1 
ATOM 1723  C CD2 . TYR A 1 227 ? 348.651 -114.366 219.381 1.0 86.11688  ? 227 TYR D CD2 227 TYR D CD2 1 
ATOM 1724  C CE1 . TYR A 1 227 ? 346.143 -115.064 218.505 1.0 86.11688  ? 227 TYR D CE1 227 TYR D CE1 1 
ATOM 1725  C CE2 . TYR A 1 227 ? 348.470 -115.533 218.682 1.0 86.11688  ? 227 TYR D CE2 227 TYR D CE2 1 
ATOM 1726  C CZ  . TYR A 1 227 ? 347.217 -115.877 218.246 1.0 86.11688  ? 227 TYR D CZ  227 TYR D CZ  1 
ATOM 1727  O OH  . TYR A 1 227 ? 347.045 -117.045 217.548 1.0 86.11688  ? 227 TYR D OH  227 TYR D OH  1 
ATOM 1728  N N   . ILE A 1 228 ? 346.604 -110.209 222.553 1.0 84.18346  ? 228 ILE D N   228 ILE D N   1 
ATOM 1729  C CA  . ILE A 1 228 ? 346.746 -109.174 223.571 1.0 84.18346  ? 228 ILE D CA  228 ILE D CA  1 
ATOM 1730  C C   . ILE A 1 228 ? 347.195 -109.804 224.885 1.0 84.18346  ? 228 ILE D C   228 ILE D C   1 
ATOM 1731  O O   . ILE A 1 228 ? 347.374 -111.018 224.992 1.0 84.18346  ? 228 ILE D O   228 ILE D O   1 
ATOM 1732  C CB  . ILE A 1 228 ? 345.448 -108.359 223.768 1.0 84.18346  ? 228 ILE D CB  228 ILE D CB  1 
ATOM 1733  C CG1 . ILE A 1 228 ? 344.214 -109.262 223.868 1.0 84.18346  ? 228 ILE D CG1 228 ILE D CG1 1 
ATOM 1734  C CG2 . ILE A 1 228 ? 345.308 -107.292 222.706 1.0 84.18346  ? 228 ILE D CG2 228 ILE D CG2 1 
ATOM 1735  C CD1 . ILE A 1 228 ? 343.787 -109.607 225.276 1.0 84.18346  ? 228 ILE D CD1 228 ILE D CD1 1 
ATOM 1736  N N   . ASN A 1 229 ? 347.347 -108.957 225.901 1.0 84.37182  ? 229 ASN D N   229 ASN D N   1 
ATOM 1737  C CA  . ASN A 1 229 ? 347.815 -109.364 227.216 1.0 84.37182  ? 229 ASN D CA  229 ASN D CA  1 
ATOM 1738  C C   . ASN A 1 229 ? 347.092 -108.536 228.265 1.0 84.37182  ? 229 ASN D C   229 ASN D C   1 
ATOM 1739  O O   . ASN A 1 229 ? 346.683 -107.403 228.007 1.0 84.37182  ? 229 ASN D O   229 ASN D O   1 
ATOM 1740  C CB  . ASN A 1 229 ? 349.328 -109.166 227.355 1.0 84.37182  ? 229 ASN D CB  229 ASN D CB  1 
ATOM 1741  C CG  . ASN A 1 229 ? 349.905 -109.843 228.581 1.0 84.37182  ? 229 ASN D CG  229 ASN D CG  1 
ATOM 1742  O OD1 . ASN A 1 229 ? 349.197 -110.502 229.341 1.0 84.37182  ? 229 ASN D OD1 229 ASN D OD1 1 
ATOM 1743  N ND2 . ASN A 1 229 ? 351.204 -109.670 228.787 1.0 84.37182  ? 229 ASN D ND2 229 ASN D ND2 1 
ATOM 1744  N N   . THR A 1 230 ? 346.928 -109.110 229.431 1.0 84.41263  ? 230 THR D N   230 THR D N   1 
ATOM 1745  C CA  . THR A 1 230 ? 346.431 -108.362 230.577 1.0 84.41263  ? 230 THR D CA  230 THR D CA  1 
ATOM 1746  C C   . THR A 1 230 ? 347.297 -108.549 231.813 1.0 84.41263  ? 230 THR D C   230 THR D C   1 
ATOM 1747  O O   . THR A 1 230 ? 347.559 -107.579 232.531 1.0 84.41263  ? 230 THR D O   230 THR D O   1 
ATOM 1748  C CB  . THR A 1 230 ? 344.982 -108.789 230.860 1.0 84.41263  ? 230 THR D CB  230 THR D CB  1 
ATOM 1749  O OG1 . THR A 1 230 ? 344.182 -108.541 229.699 1.0 84.41263  ? 230 THR D OG1 230 THR D OG1 1 
ATOM 1750  C CG2 . THR A 1 230 ? 344.400 -108.019 232.025 1.0 84.41263  ? 230 THR D CG2 230 THR D CG2 1 
ATOM 1751  N N   . THR A 1 231 ? 347.808 -109.755 232.035 1.0 87.08263  ? 231 THR D N   231 THR D N   1 
ATOM 1752  C CA  . THR A 1 231 ? 348.480 -110.102 233.276 1.0 87.08263  ? 231 THR D CA  231 THR D CA  1 
ATOM 1753  C C   . THR A 1 231 ? 349.880 -109.491 233.331 1.0 87.08263  ? 231 THR D C   231 THR D C   1 
ATOM 1754  O O   . THR A 1 231 ? 350.327 -108.787 232.422 1.0 87.08263  ? 231 THR D O   231 THR D O   1 
ATOM 1755  C CB  . THR A 1 231 ? 348.556 -111.616 233.414 1.0 87.08263  ? 231 THR D CB  231 THR D CB  1 
ATOM 1756  O OG1 . THR A 1 231 ? 349.292 -112.147 232.309 1.0 87.08263  ? 231 THR D OG1 231 THR D OG1 1 
ATOM 1757  C CG2 . THR A 1 231 ? 347.171 -112.210 233.402 1.0 87.08263  ? 231 THR D CG2 231 THR D CG2 1 
ATOM 1758  N N   . ASN A 1 232 ? 350.586 -109.777 234.425 1.0 90.7653   ? 232 ASN D N   232 ASN D N   1 
ATOM 1759  C CA  . ASN A 1 232 ? 351.955 -109.311 234.592 1.0 90.7653   ? 232 ASN D CA  232 ASN D CA  1 
ATOM 1760  C C   . ASN A 1 232 ? 352.964 -110.159 233.833 1.0 90.7653   ? 232 ASN D C   232 ASN D C   1 
ATOM 1761  O O   . ASN A 1 232 ? 354.143 -109.794 233.787 1.0 90.7653   ? 232 ASN D O   232 ASN D O   1 
ATOM 1762  C CB  . ASN A 1 232 ? 352.320 -109.284 236.075 1.0 90.7653   ? 232 ASN D CB  232 ASN D CB  1 
ATOM 1763  C CG  . ASN A 1 232 ? 351.476 -108.306 236.859 1.0 90.7653   ? 232 ASN D CG  232 ASN D CG  1 
ATOM 1764  O OD1 . ASN A 1 232 ? 350.683 -108.700 237.713 1.0 90.7653   ? 232 ASN D OD1 232 ASN D OD1 1 
ATOM 1765  N ND2 . ASN A 1 232 ? 351.638 -107.019 236.571 1.0 90.7653   ? 232 ASN D ND2 232 ASN D ND2 1 
ATOM 1766  N N   . ASN A 1 233 ? 352.535 -111.275 233.251 1.0 91.15439  ? 233 ASN D N   233 ASN D N   1 
ATOM 1767  C CA  . ASN A 1 233 ? 353.417 -112.068 232.410 1.0 91.15439  ? 233 ASN D CA  233 ASN D CA  1 
ATOM 1768  C C   . ASN A 1 233 ? 353.638 -111.342 231.090 1.0 91.15439  ? 233 ASN D C   233 ASN D C   1 
ATOM 1769  O O   . ASN A 1 233 ? 352.681 -110.950 230.417 1.0 91.15439  ? 233 ASN D O   233 ASN D O   1 
ATOM 1770  C CB  . ASN A 1 233 ? 352.816 -113.454 232.177 1.0 91.15439  ? 233 ASN D CB  233 ASN D CB  1 
ATOM 1771  C CG  . ASN A 1 233 ? 353.815 -114.445 231.607 1.0 91.15439  ? 233 ASN D CG  233 ASN D CG  1 
ATOM 1772  O OD1 . ASN A 1 233 ? 354.966 -114.109 231.336 1.0 91.15439  ? 233 ASN D OD1 233 ASN D OD1 1 
ATOM 1773  N ND2 . ASN A 1 233 ? 353.378 -115.686 231.443 1.0 91.15439  ? 233 ASN D ND2 233 ASN D ND2 1 
ATOM 1774  N N   . ASN A 1 234 ? 354.907 -111.155 230.727 1.0 93.12781  ? 234 ASN D N   234 ASN D N   1 
ATOM 1775  C CA  . ASN A 1 234 ? 355.232 -110.406 229.519 1.0 93.12781  ? 234 ASN D CA  234 ASN D CA  1 
ATOM 1776  C C   . ASN A 1 234 ? 354.951 -111.210 228.260 1.0 93.12781  ? 234 ASN D C   234 ASN D C   1 
ATOM 1777  O O   . ASN A 1 234 ? 354.714 -110.628 227.197 1.0 93.12781  ? 234 ASN D O   234 ASN D O   1 
ATOM 1778  C CB  . ASN A 1 234 ? 356.696 -109.980 229.547 1.0 93.12781  ? 234 ASN D CB  234 ASN D CB  1 
ATOM 1779  C CG  . ASN A 1 234 ? 356.976 -108.940 230.606 1.0 93.12781  ? 234 ASN D CG  234 ASN D CG  1 
ATOM 1780  O OD1 . ASN A 1 234 ? 356.199 -108.005 230.794 1.0 93.12781  ? 234 ASN D OD1 234 ASN D OD1 1 
ATOM 1781  N ND2 . ASN A 1 234 ? 358.088 -109.098 231.311 1.0 93.12781  ? 234 ASN D ND2 234 ASN D ND2 1 
ATOM 1782  N N   . GLY A 1 235 ? 354.976 -112.535 228.351 1.0 92.59251  ? 235 GLY D N   235 GLY D N   1 
ATOM 1783  C CA  . GLY A 1 235 ? 354.829 -113.347 227.164 1.0 92.59251  ? 235 GLY D CA  235 GLY D CA  1 
ATOM 1784  C C   . GLY A 1 235 ? 353.656 -114.304 227.173 1.0 92.59251  ? 235 GLY D C   235 GLY D C   1 
ATOM 1785  O O   . GLY A 1 235 ? 353.791 -115.434 226.698 1.0 92.59251  ? 235 GLY D O   235 GLY D O   1 
ATOM 1786  N N   . ARG A 1 236 ? 352.505 -113.884 227.691 1.0 89.03877  ? 236 ARG D N   236 ARG D N   1 
ATOM 1787  C CA  . ARG A 1 236 ? 351.328 -114.743 227.751 1.0 89.03877  ? 236 ARG D CA  236 ARG D CA  1 
ATOM 1788  C C   . ARG A 1 236 ? 350.153 -114.086 227.044 1.0 89.03877  ? 236 ARG D C   236 ARG D C   1 
ATOM 1789  O O   . ARG A 1 236 ? 349.707 -113.007 227.445 1.0 89.03877  ? 236 ARG D O   236 ARG D O   1 
ATOM 1790  C CB  . ARG A 1 236 ? 350.939 -115.064 229.190 1.0 89.03877  ? 236 ARG D CB  236 ARG D CB  1 
ATOM 1791  C CG  . ARG A 1 236 ? 349.756 -115.995 229.237 1.0 89.03877  ? 236 ARG D CG  236 ARG D CG  1 
ATOM 1792  C CD  . ARG A 1 236 ? 349.335 -116.365 230.633 1.0 89.03877  ? 236 ARG D CD  236 ARG D CD  1 
ATOM 1793  N NE  . ARG A 1 236 ? 348.242 -117.325 230.571 1.0 89.03877  ? 236 ARG D NE  236 ARG D NE  1 
ATOM 1794  C CZ  . ARG A 1 236 ? 346.963 -116.987 230.475 1.0 89.03877  ? 236 ARG D CZ  236 ARG D CZ  1 
ATOM 1795  N NH1 . ARG A 1 236 ? 346.614 -115.709 230.443 1.0 89.03877  ? 236 ARG D NH1 236 ARG D NH1 1 
ATOM 1796  N NH2 . ARG A 1 236 ? 346.029 -117.925 230.421 1.0 89.03877  ? 236 ARG D NH2 236 ARG D NH2 1 
ATOM 1797  N N   . VAL A 1 237 ? 349.631 -114.761 226.026 1.0 86.42018  ? 237 VAL D N   237 VAL D N   1 
ATOM 1798  C CA  . VAL A 1 237 ? 348.460 -114.289 225.296 1.0 86.42018  ? 237 VAL D CA  237 VAL D CA  1 
ATOM 1799  C C   . VAL A 1 237 ? 347.212 -114.601 226.111 1.0 86.42018  ? 237 VAL D C   237 VAL D C   1 
ATOM 1800  O O   . VAL A 1 237 ? 346.985 -115.749 226.503 1.0 86.42018  ? 237 VAL D O   237 VAL D O   1 
ATOM 1801  C CB  . VAL A 1 237 ? 348.388 -114.931 223.904 1.0 86.42018  ? 237 VAL D CB  237 VAL D CB  1 
ATOM 1802  C CG1 . VAL A 1 237 ? 347.084 -114.581 223.219 1.0 86.42018  ? 237 VAL D CG1 237 VAL D CG1 1 
ATOM 1803  C CG2 . VAL A 1 237 ? 349.564 -114.481 223.060 1.0 86.42018  ? 237 VAL D CG2 237 VAL D CG2 1 
ATOM 1804  N N   . SER A 1 238 ? 346.398 -113.577 226.365 1.0 81.60608  ? 238 SER D N   238 SER D N   1 
ATOM 1805  C CA  . SER A 1 238 ? 345.145 -113.766 227.082 1.0 81.60608  ? 238 SER D CA  238 SER D CA  1 
ATOM 1806  C C   . SER A 1 238 ? 343.982 -113.224 226.264 1.0 81.60608  ? 238 SER D C   238 SER D C   1 
ATOM 1807  O O   . SER A 1 238 ? 343.131 -112.498 226.786 1.0 81.60608  ? 238 SER D O   238 SER D O   1 
ATOM 1808  C CB  . SER A 1 238 ? 345.194 -113.086 228.448 1.0 81.60608  ? 238 SER D CB  238 SER D CB  1 
ATOM 1809  O OG  . SER A 1 238 ? 345.257 -111.680 228.312 1.0 81.60608  ? 238 SER D OG  238 SER D OG  1 
ATOM 1810  N N   . GLY A 1 239 ? 343.939 -113.574 224.981 1.0 82.55294  ? 239 GLY D N   239 GLY D N   1 
ATOM 1811  C CA  . GLY A 1 239 ? 342.881 -113.147 224.087 1.0 82.55294  ? 239 GLY D CA  239 GLY D CA  1 
ATOM 1812  C C   . GLY A 1 239 ? 343.335 -113.153 222.643 1.0 82.55294  ? 239 GLY D C   239 GLY D C   1 
ATOM 1813  O O   . GLY A 1 239 ? 344.440 -112.698 222.346 1.0 82.55294  ? 239 GLY D O   239 GLY D O   1 
ATOM 1814  N N   . THR A 1 240 ? 342.494 -113.653 221.736 1.0 81.30023  ? 240 THR D N   240 THR D N   1 
ATOM 1815  C CA  . THR A 1 240 ? 342.871 -113.877 220.344 1.0 81.30023  ? 240 THR D CA  240 THR D CA  1 
ATOM 1816  C C   . THR A 1 240 ? 342.140 -112.984 219.354 1.0 81.30023  ? 240 THR D C   240 THR D C   1 
ATOM 1817  O O   . THR A 1 240 ? 342.804 -112.357 218.528 1.0 81.30023  ? 240 THR D O   240 THR D O   1 
ATOM 1818  C CB  . THR A 1 240 ? 342.665 -115.349 219.983 1.0 81.30023  ? 240 THR D CB  240 THR D CB  1 
ATOM 1819  O OG1 . THR A 1 240 ? 341.317 -115.708 220.283 1.0 81.30023  ? 240 THR D OG1 240 THR D OG1 1 
ATOM 1820  C CG2 . THR A 1 240 ? 343.595 -116.221 220.784 1.0 81.30023  ? 240 THR D CG2 240 THR D CG2 1 
ATOM 1821  N N   . MET A 1 241 ? 340.802 -112.960 219.394 1.0 78.83689  ? 241 MET D N   241 MET D N   1 
ATOM 1822  C CA  . MET A 1 241 ? 339.899 -111.924 218.850 1.0 78.83689  ? 241 MET D CA  241 MET D CA  1 
ATOM 1823  C C   . MET A 1 241 ? 340.231 -111.509 217.403 1.0 78.83689  ? 241 MET D C   241 MET D C   1 
ATOM 1824  O O   . MET A 1 241 ? 340.813 -110.458 217.128 1.0 78.83689  ? 241 MET D O   241 MET D O   1 
ATOM 1825  C CB  . MET A 1 241 ? 339.781 -110.734 219.821 1.0 78.83689  ? 241 MET D CB  241 MET D CB  1 
ATOM 1826  C CG  . MET A 1 241 ? 341.001 -109.897 220.191 1.0 78.83689  ? 241 MET D CG  241 MET D CG  1 
ATOM 1827  S SD  . MET A 1 241 ? 340.483 -108.714 221.418 1.0 78.83689  ? 241 MET D SD  241 MET D SD  1 
ATOM 1828  C CE  . MET A 1 241 ? 341.889 -107.636 221.447 1.0 78.83689  ? 241 MET D CE  241 MET D CE  1 
ATOM 1829  N N   . ALA A 1 242 ? 339.917 -112.430 216.489 1.0 74.72781  ? 242 ALA D N   242 ALA D N   1 
ATOM 1830  C CA  . ALA A 1 242 ? 340.195 -112.258 215.062 1.0 74.72781  ? 242 ALA D CA  242 ALA D CA  1 
ATOM 1831  C C   . ALA A 1 242 ? 339.587 -110.981 214.486 1.0 74.72781  ? 242 ALA D C   242 ALA D C   1 
ATOM 1832  O O   . ALA A 1 242 ? 338.466 -110.597 214.827 1.0 74.72781  ? 242 ALA D O   242 ALA D O   1 
ATOM 1833  C CB  . ALA A 1 242 ? 339.663 -113.459 214.290 1.0 74.72781  ? 242 ALA D CB  242 ALA D CB  1 
ATOM 1834  N N   . THR A 1 243 ? 340.338 -110.323 213.604 1.0 75.01859  ? 243 THR D N   243 THR D N   1 
ATOM 1835  C CA  . THR A 1 243 ? 340.006 -108.978 213.157 1.0 75.01859  ? 243 THR D CA  243 THR D CA  1 
ATOM 1836  C C   . THR A 1 243 ? 339.335 -108.999 211.784 1.0 75.01859  ? 243 THR D C   243 THR D C   1 
ATOM 1837  O O   . THR A 1 243 ? 339.305 -110.016 211.090 1.0 75.01859  ? 243 THR D O   243 THR D O   1 
ATOM 1838  C CB  . THR A 1 243 ? 341.254 -108.085 213.134 1.0 75.01859  ? 243 THR D CB  243 THR D CB  1 
ATOM 1839  O OG1 . THR A 1 243 ? 340.851 -106.713 213.099 1.0 75.01859  ? 243 THR D OG1 243 THR D OG1 1 
ATOM 1840  C CG2 . THR A 1 243 ? 342.090 -108.341 211.898 1.0 75.01859  ? 243 THR D CG2 243 THR D CG2 1 
ATOM 1841  N N   . ASP A 1 244 ? 338.790 -107.841 211.399 1.0 72.81663  ? 244 ASP D N   244 ASP D N   1 
ATOM 1842  C CA  . ASP A 1 244 ? 338.034 -107.692 210.160 1.0 72.81663  ? 244 ASP D CA  244 ASP D CA  1 
ATOM 1843  C C   . ASP A 1 244 ? 338.491 -106.489 209.347 1.0 72.81663  ? 244 ASP D C   244 ASP D C   1 
ATOM 1844  O O   . ASP A 1 244 ? 339.485 -105.842 209.686 1.0 72.81663  ? 244 ASP D O   244 ASP D O   1 
ATOM 1845  C CB  . ASP A 1 244 ? 336.545 -107.535 210.459 1.0 72.81663  ? 244 ASP D CB  244 ASP D CB  1 
ATOM 1846  C CG  . ASP A 1 244 ? 335.919 -108.799 210.967 1.0 72.81663  ? 244 ASP D CG  244 ASP D CG  1 
ATOM 1847  O OD1 . ASP A 1 244 ? 336.401 -109.885 210.604 1.0 72.81663  ? 244 ASP D OD1 244 ASP D OD1 1 
ATOM 1848  O OD2 . ASP A 1 244 ? 334.936 -108.720 211.723 1.0 72.81663  ? 244 ASP D OD2 244 ASP D OD2 1 
ATOM 1849  N N   . THR A 1 245 ? 337.762 -106.182 208.275 1.0 74.02668  ? 245 THR D N   245 THR D N   1 
ATOM 1850  C CA  . THR A 1 245 ? 337.863 -104.891 207.608 1.0 74.02668  ? 245 THR D CA  245 THR D CA  1 
ATOM 1851  C C   . THR A 1 245 ? 336.482 -104.504 207.092 1.0 74.02668  ? 245 THR D C   245 THR D C   1 
ATOM 1852  O O   . THR A 1 245 ? 335.740 -105.347 206.582 1.0 74.02668  ? 245 THR D O   245 THR D O   1 
ATOM 1853  C CB  . THR A 1 245 ? 338.919 -104.901 206.493 1.0 74.02668  ? 245 THR D CB  245 THR D CB  1 
ATOM 1854  O OG1 . THR A 1 245 ? 338.939 -103.627 205.837 1.0 74.02668  ? 245 THR D OG1 245 THR D OG1 1 
ATOM 1855  C CG2 . THR A 1 245 ? 338.685 -106.006 205.497 1.0 74.02668  ? 245 THR D CG2 245 THR D CG2 1 
ATOM 1856  N N   . ILE A 1 246 ? 336.114 -103.243 207.304 1.0 71.98944  ? 246 ILE D N   246 ILE D N   1 
ATOM 1857  C CA  . ILE A 1 246 ? 334.734 -102.777 207.224 1.0 71.98944  ? 246 ILE D CA  246 ILE D CA  1 
ATOM 1858  C C   . ILE A 1 246 ? 334.712 -101.490 206.406 1.0 71.98944  ? 246 ILE D C   246 ILE D C   1 
ATOM 1859  O O   . ILE A 1 246 ? 335.640 -100.680 206.492 1.0 71.98944  ? 246 ILE D O   246 ILE D O   1 
ATOM 1860  C CB  . ILE A 1 246 ? 334.149 -102.560 208.648 1.0 71.98944  ? 246 ILE D CB  246 ILE D CB  1 
ATOM 1861  C CG1 . ILE A 1 246 ? 334.105 -103.863 209.446 1.0 71.98944  ? 246 ILE D CG1 246 ILE D CG1 1 
ATOM 1862  C CG2 . ILE A 1 246 ? 332.756 -101.997 208.646 1.0 71.98944  ? 246 ILE D CG2 246 ILE D CG2 1 
ATOM 1863  C CD1 . ILE A 1 246 ? 333.334 -104.919 208.801 1.0 71.98944  ? 246 ILE D CD1 246 ILE D CD1 1 
ATOM 1864  N N   . THR A 1 247 ? 333.669 -101.307 205.593 1.0 72.22643  ? 247 THR D N   247 THR D N   1 
ATOM 1865  C CA  . THR A 1 247 ? 333.515 -100.067 204.842 1.0 72.22643  ? 247 THR D CA  247 THR D CA  1 
ATOM 1866  C C   . THR A 1 247 ? 332.979 -98.908  205.682 1.0 72.22643  ? 247 THR D C   247 THR D C   1 
ATOM 1867  O O   . THR A 1 247 ? 333.007 -97.772  205.199 1.0 72.22643  ? 247 THR D O   247 THR D O   1 
ATOM 1868  C CB  . THR A 1 247 ? 332.608 -100.293 203.632 1.0 72.22643  ? 247 THR D CB  247 THR D CB  1 
ATOM 1869  O OG1 . THR A 1 247 ? 332.576 -99.107  202.828 1.0 72.22643  ? 247 THR D OG1 247 THR D OG1 1 
ATOM 1870  C CG2 . THR A 1 247 ? 331.200 -100.644 204.077 1.0 72.22643  ? 247 THR D CG2 247 THR D CG2 1 
ATOM 1871  N N   . TRP A 1 248 ? 332.494 -99.175  206.902 1.0 70.85433  ? 248 TRP D N   248 TRP D N   1 
ATOM 1872  C CA  . TRP A 1 248 ? 332.166 -98.188  207.942 1.0 70.85433  ? 248 TRP D CA  248 TRP D CA  1 
ATOM 1873  C C   . TRP A 1 248 ? 331.122 -97.167  207.481 1.0 70.85433  ? 248 TRP D C   248 TRP D C   1 
ATOM 1874  O O   . TRP A 1 248 ? 331.397 -95.977  207.343 1.0 70.85433  ? 248 TRP D O   248 TRP D O   1 
ATOM 1875  C CB  . TRP A 1 248 ? 333.409 -97.442  208.437 1.0 70.85433  ? 248 TRP D CB  248 TRP D CB  1 
ATOM 1876  C CG  . TRP A 1 248 ? 334.310 -98.188  209.345 1.0 70.85433  ? 248 TRP D CG  248 TRP D CG  1 
ATOM 1877  C CD1 . TRP A 1 248 ? 335.504 -98.753  209.029 1.0 70.85433  ? 248 TRP D CD1 248 TRP D CD1 1 
ATOM 1878  C CD2 . TRP A 1 248 ? 334.104 -98.429  210.734 1.0 70.85433  ? 248 TRP D CD2 248 TRP D CD2 1 
ATOM 1879  N NE1 . TRP A 1 248 ? 336.056 -99.340  210.140 1.0 70.85433  ? 248 TRP D NE1 248 TRP D NE1 1 
ATOM 1880  C CE2 . TRP A 1 248 ? 335.211 -99.155  211.201 1.0 70.85433  ? 248 TRP D CE2 248 TRP D CE2 1 
ATOM 1881  C CE3 . TRP A 1 248 ? 333.084 -98.107  211.629 1.0 70.85433  ? 248 TRP D CE3 248 TRP D CE3 1 
ATOM 1882  C CZ2 . TRP A 1 248 ? 335.332 -99.555  212.517 1.0 70.85433  ? 248 TRP D CZ2 248 TRP D CZ2 1 
ATOM 1883  C CZ3 . TRP A 1 248 ? 333.205 -98.510  212.935 1.0 70.85433  ? 248 TRP D CZ3 248 TRP D CZ3 1 
ATOM 1884  C CH2 . TRP A 1 248 ? 334.321 -99.224  213.367 1.0 70.85433  ? 248 TRP D CH2 248 TRP D CH2 1 
ATOM 1885  N N   . GLU A 1 249 ? 329.914 -97.651  207.252 1.0 61.16723  ? 249 GLU D N   249 GLU D N   1 
ATOM 1886  C CA  . GLU A 1 249 ? 328.811 -96.746  206.984 1.0 61.16723  ? 249 GLU D CA  249 GLU D CA  1 
ATOM 1887  C C   . GLU A 1 249 ? 327.850 -96.723  208.164 1.0 61.16723  ? 249 GLU D C   249 GLU D C   1 
ATOM 1888  O O   . GLU A 1 249 ? 327.688 -97.715  208.880 1.0 61.16723  ? 249 GLU D O   249 GLU D O   1 
ATOM 1889  C CB  . GLU A 1 249 ? 328.079 -97.120  205.693 1.0 61.16723  ? 249 GLU D CB  249 GLU D CB  1 
ATOM 1890  C CG  . GLU A 1 249 ? 327.397 -98.465  205.701 1.0 61.16723  ? 249 GLU D CG  249 GLU D CG  1 
ATOM 1891  C CD  . GLU A 1 249 ? 326.788 -98.800  204.357 1.0 61.16723  ? 249 GLU D CD  249 GLU D CD  1 
ATOM 1892  O OE1 . GLU A 1 249 ? 326.907 -97.980  203.425 1.0 61.16723  ? 249 GLU D OE1 249 GLU D OE1 1 
ATOM 1893  O OE2 . GLU A 1 249 ? 326.201 -99.889  204.225 1.0 61.16723  ? 249 GLU D OE2 249 GLU D OE2 1 
ATOM 1894  N N   . ASN A 1 250 ? 327.246 -95.554  208.384 1.0 58.89842  ? 250 ASN D N   250 ASN D N   1 
ATOM 1895  C CA  . ASN A 1 250 ? 326.196 -95.365  209.380 1.0 58.89842  ? 250 ASN D CA  250 ASN D CA  1 
ATOM 1896  C C   . ASN A 1 250 ? 324.924 -94.913  208.670 1.0 58.89842  ? 250 ASN D C   250 ASN D C   1 
ATOM 1897  O O   . ASN A 1 250 ? 324.617 -93.714  208.636 1.0 58.89842  ? 250 ASN D O   250 ASN D O   1 
ATOM 1898  C CB  . ASN A 1 250 ? 326.634 -94.383  210.475 1.0 58.89842  ? 250 ASN D CB  250 ASN D CB  1 
ATOM 1899  C CG  . ASN A 1 250 ? 327.276 -93.110  209.920 1.0 58.89842  ? 250 ASN D CG  250 ASN D CG  1 
ATOM 1900  O OD1 . ASN A 1 250 ? 327.430 -92.951  208.706 1.0 58.89842  ? 250 ASN D OD1 250 ASN D OD1 1 
ATOM 1901  N ND2 . ASN A 1 250 ? 327.622 -92.190  210.806 1.0 58.89842  ? 250 ASN D ND2 250 ASN D ND2 1 
ATOM 1902  N N   . PRO A 1 251 ? 324.158 -95.829  208.077 1.0 57.07358  ? 251 PRO D N   251 PRO D N   1 
ATOM 1903  C CA  . PRO A 1 251 ? 322.815 -95.439  207.657 1.0 57.07358  ? 251 PRO D CA  251 PRO D CA  1 
ATOM 1904  C C   . PRO A 1 251 ? 321.962 -95.238  208.890 1.0 57.07358  ? 251 PRO D C   251 PRO D C   1 
ATOM 1905  O O   . PRO A 1 251 ? 322.053 -96.002  209.854 1.0 57.07358  ? 251 PRO D O   251 PRO D O   1 
ATOM 1906  C CB  . PRO A 1 251 ? 322.335 -96.621  206.813 1.0 57.07358  ? 251 PRO D CB  251 PRO D CB  1 
ATOM 1907  C CG  . PRO A 1 251 ? 323.077 -97.764  207.338 1.0 57.07358  ? 251 PRO D CG  251 PRO D CG  1 
ATOM 1908  C CD  . PRO A 1 251 ? 324.427 -97.232  207.732 1.0 57.07358  ? 251 PRO D CD  251 PRO D CD  1 
ATOM 1909  N N   . ASP A 1 252 ? 321.209 -94.139  208.876 1.0 54.598    ? 252 ASP D N   252 ASP D N   1 
ATOM 1910  C CA  . ASP A 1 252 ? 320.192 -93.813  209.876 1.0 54.598    ? 252 ASP D CA  252 ASP D CA  1 
ATOM 1911  C C   . ASP A 1 252 ? 320.787 -93.562  211.268 1.0 54.598    ? 252 ASP D C   252 ASP D C   1 
ATOM 1912  O O   . ASP A 1 252 ? 320.403 -94.209  212.243 1.0 54.598    ? 252 ASP D O   252 ASP D O   1 
ATOM 1913  C CB  . ASP A 1 252 ? 319.108 -94.889  209.928 1.0 54.598    ? 252 ASP D CB  252 ASP D CB  1 
ATOM 1914  C CG  . ASP A 1 252 ? 317.890 -94.415  210.623 1.0 54.598    ? 252 ASP D CG  252 ASP D CG  1 
ATOM 1915  O OD1 . ASP A 1 252 ? 317.214 -93.588  210.017 1.0 54.598    ? 252 ASP D OD1 252 ASP D OD1 1 
ATOM 1916  O OD2 . ASP A 1 252 ? 317.614 -94.846  211.756 1.0 54.598    ? 252 ASP D OD2 252 ASP D OD2 1 
ATOM 1917  N N   . ALA A 1 253 ? 321.739 -92.626  211.341 1.0 54.7005   ? 253 ALA D N   253 ALA D N   1 
ATOM 1918  C CA  . ALA A 1 253 ? 322.249 -92.057  212.590 1.0 54.7005   ? 253 ALA D CA  253 ALA D CA  1 
ATOM 1919  C C   . ALA A 1 253 ? 323.135 -90.868  212.253 1.0 54.7005   ? 253 ALA D C   253 ALA D C   1 
ATOM 1920  O O   . ALA A 1 253 ? 323.469 -90.627  211.091 1.0 54.7005   ? 253 ALA D O   253 ALA D O   1 
ATOM 1921  C CB  . ALA A 1 253 ? 323.050 -93.051  213.431 1.0 54.7005   ? 253 ALA D CB  253 ALA D CB  1 
ATOM 1922  N N   . HIS A 1 254 ? 323.523 -90.134  213.293 1.0 54.64921  ? 254 HIS D N   254 HIS D N   1 
ATOM 1923  C CA  . HIS A 1 254 ? 324.470 -89.037  213.156 1.0 54.64921  ? 254 HIS D CA  254 HIS D CA  1 
ATOM 1924  C C   . HIS A 1 254 ? 325.182 -88.861  214.491 1.0 54.64921  ? 254 HIS D C   254 HIS D C   1 
ATOM 1925  O O   . HIS A 1 254 ? 324.884 -89.551  215.468 1.0 54.64921  ? 254 HIS D O   254 HIS D O   1 
ATOM 1926  C CB  . HIS A 1 254 ? 323.772 -87.752  212.702 1.0 54.64921  ? 254 HIS D CB  254 HIS D CB  1 
ATOM 1927  C CG  . HIS A 1 254 ? 322.861 -87.159  213.729 1.0 54.64921  ? 254 HIS D CG  254 HIS D CG  1 
ATOM 1928  N ND1 . HIS A 1 254 ? 321.598 -87.648  213.979 1.0 54.64921  ? 254 HIS D ND1 254 HIS D ND1 1 
ATOM 1929  C CD2 . HIS A 1 254 ? 323.025 -86.102  214.557 1.0 54.64921  ? 254 HIS D CD2 254 HIS D CD2 1 
ATOM 1930  C CE1 . HIS A 1 254 ? 321.029 -86.926  214.927 1.0 54.64921  ? 254 HIS D CE1 254 HIS D CE1 1 
ATOM 1931  N NE2 . HIS A 1 254 ? 321.873 -85.981  215.294 1.0 54.64921  ? 254 HIS D NE2 254 HIS D NE2 1 
ATOM 1932  N N   . PHE A 1 255 ? 326.139 -87.938  214.528 1.0 59.61343  ? 255 PHE D N   255 PHE D N   1 
ATOM 1933  C CA  . PHE A 1 255 ? 326.910 -87.679  215.738 1.0 59.61343  ? 255 PHE D CA  255 PHE D CA  1 
ATOM 1934  C C   . PHE A 1 255 ? 326.234 -86.588  216.555 1.0 59.61343  ? 255 PHE D C   255 PHE D C   1 
ATOM 1935  O O   . PHE A 1 255 ? 326.015 -85.480  216.057 1.0 59.61343  ? 255 PHE D O   255 PHE D O   1 
ATOM 1936  C CB  . PHE A 1 255 ? 328.338 -87.259  215.406 1.0 59.61343  ? 255 PHE D CB  255 PHE D CB  1 
ATOM 1937  C CG  . PHE A 1 255 ? 329.177 -88.352  214.834 1.0 59.61343  ? 255 PHE D CG  255 PHE D CG  1 
ATOM 1938  C CD1 . PHE A 1 255 ? 329.720 -89.324  215.654 1.0 59.61343  ? 255 PHE D CD1 255 PHE D CD1 1 
ATOM 1939  C CD2 . PHE A 1 255 ? 329.455 -88.386  213.481 1.0 59.61343  ? 255 PHE D CD2 255 PHE D CD2 1 
ATOM 1940  C CE1 . PHE A 1 255 ? 330.507 -90.323  215.130 1.0 59.61343  ? 255 PHE D CE1 255 PHE D CE1 1 
ATOM 1941  C CE2 . PHE A 1 255 ? 330.242 -89.382  212.950 1.0 59.61343  ? 255 PHE D CE2 255 PHE D CE2 1 
ATOM 1942  C CZ  . PHE A 1 255 ? 330.769 -90.352  213.777 1.0 59.61343  ? 255 PHE D CZ  255 PHE D CZ  1 
ATOM 1943  N N   . ALA A 1 256 ? 325.914 -86.900  217.807 1.0 62.98604  ? 256 ALA D N   256 ALA D N   1 
ATOM 1944  C CA  . ALA A 1 256 ? 325.398 -85.903  218.732 1.0 62.98604  ? 256 ALA D CA  256 ALA D CA  1 
ATOM 1945  C C   . ALA A 1 256 ? 326.506 -85.165  219.460 1.0 62.98604  ? 256 ALA D C   256 ALA D C   1 
ATOM 1946  O O   . ALA A 1 256 ? 326.327 -84.001  219.834 1.0 62.98604  ? 256 ALA D O   256 ALA D O   1 
ATOM 1947  C CB  . ALA A 1 256 ? 324.468 -86.559  219.752 1.0 62.98604  ? 256 ALA D CB  256 ALA D CB  1 
ATOM 1948  N N   . ASP A 1 257 ? 327.641 -85.821  219.679 1.0 67.68238  ? 257 ASP D N   257 ASP D N   1 
ATOM 1949  C CA  . ASP A 1 257 ? 328.806 -85.183  220.283 1.0 67.68238  ? 257 ASP D CA  257 ASP D CA  1 
ATOM 1950  C C   . ASP A 1 257 ? 330.017 -85.964  219.805 1.0 67.68238  ? 257 ASP D C   257 ASP D C   1 
ATOM 1951  O O   . ASP A 1 257 ? 330.210 -87.110  220.214 1.0 67.68238  ? 257 ASP D O   257 ASP D O   1 
ATOM 1952  C CB  . ASP A 1 257 ? 328.721 -85.185  221.806 1.0 67.68238  ? 257 ASP D CB  257 ASP D CB  1 
ATOM 1953  C CG  . ASP A 1 257 ? 329.737 -84.260  222.452 1.0 67.68238  ? 257 ASP D CG  257 ASP D CG  1 
ATOM 1954  O OD1 . ASP A 1 257 ? 330.476 -83.568  221.722 1.0 67.68238  ? 257 ASP D OD1 257 ASP D OD1 1 
ATOM 1955  O OD2 . ASP A 1 257 ? 329.806 -84.231  223.699 1.0 67.68238  ? 257 ASP D OD2 257 ASP D OD2 1 
ATOM 1956  N N   . PHE A 1 258 ? 330.821 -85.358  218.941 1.0 70.37243  ? 258 PHE D N   258 PHE D N   1 
ATOM 1957  C CA  . PHE A 1 258 ? 331.996 -86.010  218.379 1.0 70.37243  ? 258 PHE D CA  258 PHE D CA  1 
ATOM 1958  C C   . PHE A 1 258 ? 333.231 -85.244  218.820 1.0 70.37243  ? 258 PHE D C   258 PHE D C   1 
ATOM 1959  O O   . PHE A 1 258 ? 333.477 -84.130  218.348 1.0 70.37243  ? 258 PHE D O   258 PHE D O   1 
ATOM 1960  C CB  . PHE A 1 258 ? 331.918 -86.077  216.858 1.0 70.37243  ? 258 PHE D CB  258 PHE D CB  1 
ATOM 1961  C CG  . PHE A 1 258 ? 333.091 -86.760  216.228 1.0 70.37243  ? 258 PHE D CG  258 PHE D CG  1 
ATOM 1962  C CD1 . PHE A 1 258 ? 333.212 -88.136  216.280 1.0 70.37243  ? 258 PHE D CD1 258 PHE D CD1 1 
ATOM 1963  C CD2 . PHE A 1 258 ? 334.072 -86.029  215.583 1.0 70.37243  ? 258 PHE D CD2 258 PHE D CD2 1 
ATOM 1964  C CE1 . PHE A 1 258 ? 334.288 -88.774  215.699 1.0 70.37243  ? 258 PHE D CE1 258 PHE D CE1 1 
ATOM 1965  C CE2 . PHE A 1 258 ? 335.155 -86.660  215.002 1.0 70.37243  ? 258 PHE D CE2 258 PHE D CE2 1 
ATOM 1966  C CZ  . PHE A 1 258 ? 335.262 -88.036  215.062 1.0 70.37243  ? 258 PHE D CZ  258 PHE D CZ  1 
ATOM 1967  N N   . VAL A 1 259 ? 334.004 -85.838  219.721 1.0 72.1016   ? 259 VAL D N   259 VAL D N   1 
ATOM 1968  C CA  . VAL A 1 259 ? 335.307 -85.299  220.078 1.0 72.1016   ? 259 VAL D CA  259 VAL D CA  1 
ATOM 1969  C C   . VAL A 1 259 ? 336.448 -86.232  219.683 1.0 72.1016   ? 259 VAL D C   259 VAL D C   1 
ATOM 1970  O O   . VAL A 1 259 ? 337.578 -85.760  219.471 1.0 72.1016   ? 259 VAL D O   259 VAL D O   1 
ATOM 1971  C CB  . VAL A 1 259 ? 335.362 -84.955  221.587 1.0 72.1016   ? 259 VAL D CB  259 VAL D CB  1 
ATOM 1972  C CG1 . VAL A 1 259 ? 335.401 -86.185  222.449 1.0 72.1016   ? 259 VAL D CG1 259 VAL D CG1 1 
ATOM 1973  C CG2 . VAL A 1 259 ? 336.497 -84.008  221.926 1.0 72.1016   ? 259 VAL D CG2 259 VAL D CG2 1 
ATOM 1974  N N   . ASP A 1 260 ? 336.183 -87.519  219.479 1.0 76.31187  ? 260 ASP D N   260 ASP D N   1 
ATOM 1975  C CA  . ASP A 1 260 ? 337.200 -88.477  219.075 1.0 76.31187  ? 260 ASP D CA  260 ASP D CA  1 
ATOM 1976  C C   . ASP A 1 260 ? 336.480 -89.649  218.423 1.0 76.31187  ? 260 ASP D C   260 ASP D C   1 
ATOM 1977  O O   . ASP A 1 260 ? 335.264 -89.798  218.555 1.0 76.31187  ? 260 ASP D O   260 ASP D O   1 
ATOM 1978  C CB  . ASP A 1 260 ? 338.037 -88.920  220.277 1.0 76.31187  ? 260 ASP D CB  260 ASP D CB  1 
ATOM 1979  C CG  . ASP A 1 260 ? 339.324 -89.608  219.880 1.0 76.31187  ? 260 ASP D CG  260 ASP D CG  1 
ATOM 1980  O OD1 . ASP A 1 260 ? 339.563 -89.756  218.667 1.0 76.31187  ? 260 ASP D OD1 260 ASP D OD1 1 
ATOM 1981  O OD2 . ASP A 1 260 ? 340.096 -90.000  220.780 1.0 76.31187  ? 260 ASP D OD2 260 ASP D OD2 1 
ATOM 1982  N N   . ASP A 1 261 ? 337.248 -90.476  217.702 1.0 77.73592  ? 261 ASP D N   261 ASP D N   1 
ATOM 1983  C CA  . ASP A 1 261 ? 336.687 -91.672  217.076 1.0 77.73592  ? 261 ASP D CA  261 ASP D CA  1 
ATOM 1984  C C   . ASP A 1 261 ? 336.185 -92.657  218.122 1.0 77.73592  ? 261 ASP D C   261 ASP D C   1 
ATOM 1985  O O   . ASP A 1 261 ? 335.142 -93.295  217.940 1.0 77.73592  ? 261 ASP D O   261 ASP D O   1 
ATOM 1986  C CB  . ASP A 1 261 ? 337.733 -92.335  216.184 1.0 77.73592  ? 261 ASP D CB  261 ASP D CB  1 
ATOM 1987  C CG  . ASP A 1 261 ? 338.061 -91.510  214.963 1.0 77.73592  ? 261 ASP D CG  261 ASP D CG  1 
ATOM 1988  O OD1 . ASP A 1 261 ? 337.171 -90.777  214.483 1.0 77.73592  ? 261 ASP D OD1 261 ASP D OD1 1 
ATOM 1989  O OD2 . ASP A 1 261 ? 339.211 -91.589  214.485 1.0 77.73592  ? 261 ASP D OD2 261 ASP D OD2 1 
ATOM 1990  N N   . ARG A 1 262 ? 336.917 -92.793  219.223 1.0 76.81487  ? 262 ARG D N   262 ARG D N   1 
ATOM 1991  C CA  . ARG A 1 262 ? 336.418 -93.537  220.369 1.0 76.81487  ? 262 ARG D CA  262 ARG D CA  1 
ATOM 1992  C C   . ARG A 1 262 ? 335.344 -92.756  221.108 1.0 76.81487  ? 262 ARG D C   262 ARG D C   1 
ATOM 1993  O O   . ARG A 1 262 ? 334.247 -93.265  221.357 1.0 76.81487  ? 262 ARG D O   262 ARG D O   1 
ATOM 1994  C CB  . ARG A 1 262 ? 337.562 -93.844  221.323 1.0 76.81487  ? 262 ARG D CB  262 ARG D CB  1 
ATOM 1995  C CG  . ARG A 1 262 ? 337.103 -94.569  222.545 1.0 76.81487  ? 262 ARG D CG  262 ARG D CG  1 
ATOM 1996  C CD  . ARG A 1 262 ? 338.234 -94.779  223.514 1.0 76.81487  ? 262 ARG D CD  262 ARG D CD  1 
ATOM 1997  N NE  . ARG A 1 262 ? 337.766 -95.510  224.677 1.0 76.81487  ? 262 ARG D NE  262 ARG D NE  1 
ATOM 1998  C CZ  . ARG A 1 262 ? 337.713 -96.833  224.725 1.0 76.81487  ? 262 ARG D CZ  262 ARG D CZ  1 
ATOM 1999  N NH1 . ARG A 1 262 ? 338.114 -97.540  223.679 1.0 76.81487  ? 262 ARG D NH1 262 ARG D NH1 1 
ATOM 2000  N NH2 . ARG A 1 262 ? 337.268 -97.447  225.810 1.0 76.81487  ? 262 ARG D NH2 262 ARG D NH2 1 
ATOM 2001  N N   . ARG A 1 263 ? 335.653 -91.511  221.456 1.0 74.91681  ? 263 ARG D N   263 ARG D N   1 
ATOM 2002  C CA  . ARG A 1 263 ? 334.839 -90.711  222.363 1.0 74.91681  ? 263 ARG D CA  263 ARG D CA  1 
ATOM 2003  C C   . ARG A 1 263 ? 333.781 -89.975  221.546 1.0 74.91681  ? 263 ARG D C   263 ARG D C   1 
ATOM 2004  O O   . ARG A 1 263 ? 333.944 -88.821  221.150 1.0 74.91681  ? 263 ARG D O   263 ARG D O   1 
ATOM 2005  C CB  . ARG A 1 263 ? 335.725 -89.750  223.144 1.0 74.91681  ? 263 ARG D CB  263 ARG D CB  1 
ATOM 2006  C CG  . ARG A 1 263 ? 336.483 -90.356  224.312 1.0 74.91681  ? 263 ARG D CG  263 ARG D CG  1 
ATOM 2007  C CD  . ARG A 1 263 ? 337.793 -91.041  223.954 1.0 74.91681  ? 263 ARG D CD  263 ARG D CD  1 
ATOM 2008  N NE  . ARG A 1 263 ? 338.738 -90.153  223.289 1.0 74.91681  ? 263 ARG D NE  263 ARG D NE  1 
ATOM 2009  C CZ  . ARG A 1 263 ? 339.551 -89.312  223.916 1.0 74.91681  ? 263 ARG D CZ  263 ARG D CZ  1 
ATOM 2010  N NH1 . ARG A 1 263 ? 339.535 -89.228  225.239 1.0 74.91681  ? 263 ARG D NH1 263 ARG D NH1 1 
ATOM 2011  N NH2 . ARG A 1 263 ? 340.380 -88.549  223.218 1.0 74.91681  ? 263 ARG D NH2 263 ARG D NH2 1 
ATOM 2012  N N   . ALA A 1 264 ? 332.672 -90.664  221.293 1.0 67.49366  ? 264 ALA D N   264 ALA D N   1 
ATOM 2013  C CA  . ALA A 1 264 ? 331.604 -90.105  220.479 1.0 67.49366  ? 264 ALA D CA  264 ALA D CA  1 
ATOM 2014  C C   . ALA A 1 264 ? 330.297 -90.806  220.801 1.0 67.49366  ? 264 ALA D C   264 ALA D C   1 
ATOM 2015  O O   . ALA A 1 264 ? 330.275 -92.022  221.001 1.0 67.49366  ? 264 ALA D O   264 ALA D O   1 
ATOM 2016  C CB  . ALA A 1 264 ? 331.904 -90.243  218.984 1.0 67.49366  ? 264 ALA D CB  264 ALA D CB  1 
ATOM 2017  N N   . THR A 1 265 ? 329.220 -90.031  220.888 1.0 62.45854  ? 265 THR D N   265 THR D N   1 
ATOM 2018  C CA  . THR A 1 265 ? 327.885 -90.595  220.983 1.0 62.45854  ? 265 THR D CA  265 THR D CA  1 
ATOM 2019  C C   . THR A 1 265 ? 327.311 -90.839  219.597 1.0 62.45854  ? 265 THR D C   265 THR D C   1 
ATOM 2020  O O   . THR A 1 265 ? 327.973 -90.672  218.573 1.0 62.45854  ? 265 THR D O   265 THR D O   1 
ATOM 2021  C CB  . THR A 1 265 ? 326.932 -89.683  221.753 1.0 62.45854  ? 265 THR D CB  265 THR D CB  1 
ATOM 2022  O OG1 . THR A 1 265 ? 327.019 -88.350  221.236 1.0 62.45854  ? 265 THR D OG1 265 THR D OG1 1 
ATOM 2023  C CG2 . THR A 1 265 ? 327.196 -89.707  223.231 1.0 62.45854  ? 265 THR D CG2 265 THR D CG2 1 
ATOM 2024  N N   . ALA A 1 266 ? 326.047 -91.238  219.577 1.0 57.98544  ? 266 ALA D N   266 ALA D N   1 
ATOM 2025  C CA  . ALA A 1 266 ? 325.279 -91.334  218.354 1.0 57.98544  ? 266 ALA D CA  266 ALA D CA  1 
ATOM 2026  C C   . ALA A 1 266 ? 323.858 -90.903  218.658 1.0 57.98544  ? 266 ALA D C   266 ALA D C   1 
ATOM 2027  O O   . ALA A 1 266 ? 323.416 -90.915  219.807 1.0 57.98544  ? 266 ALA D O   266 ALA D O   1 
ATOM 2028  C CB  . ALA A 1 266 ? 325.296 -92.750  217.779 1.0 57.98544  ? 266 ALA D CB  266 ALA D CB  1 
ATOM 2029  N N   . ALA A 1 267 ? 323.148 -90.511  217.611 1.0 55.04211  ? 267 ALA D N   267 ALA D N   1 
ATOM 2030  C CA  . ALA A 1 267 ? 321.736 -90.197  217.722 1.0 55.04211  ? 267 ALA D CA  267 ALA D CA  1 
ATOM 2031  C C   . ALA A 1 267 ? 321.096 -90.505  216.384 1.0 55.04211  ? 267 ALA D C   267 ALA D C   1 
ATOM 2032  O O   . ALA A 1 267 ? 321.680 -90.218  215.337 1.0 55.04211  ? 267 ALA D O   267 ALA D O   1 
ATOM 2033  C CB  . ALA A 1 267 ? 321.505 -88.734  218.107 1.0 55.04211  ? 267 ALA D CB  267 ALA D CB  1 
ATOM 2034  N N   . GLY A 1 268 ? 319.919 -91.122  216.422 1.0 54.27486  ? 268 GLY D N   268 GLY D N   1 
ATOM 2035  C CA  . GLY A 1 268 ? 319.191 -91.377  215.197 1.0 54.27486  ? 268 GLY D CA  268 GLY D CA  1 
ATOM 2036  C C   . GLY A 1 268 ? 318.727 -90.085  214.556 1.0 54.27486  ? 268 GLY D C   268 GLY D C   1 
ATOM 2037  O O   . GLY A 1 268 ? 318.540 -89.069  215.221 1.0 54.27486  ? 268 GLY D O   268 GLY D O   1 
ATOM 2038  N N   . ASN A 1 269 ? 318.561 -90.122  213.238 1.0 51.94823  ? 269 ASN D N   269 ASN D N   1 
ATOM 2039  C CA  . ASN A 1 269 ? 318.242 -88.903  212.519 1.0 51.94823  ? 269 ASN D CA  269 ASN D CA  1 
ATOM 2040  C C   . ASN A 1 269 ? 316.796 -88.492  212.789 1.0 51.94823  ? 269 ASN D C   269 ASN D C   1 
ATOM 2041  O O   . ASN A 1 269 ? 315.999 -89.246  213.351 1.0 51.94823  ? 269 ASN D O   269 ASN D O   1 
ATOM 2042  C CB  . ASN A 1 269 ? 318.469 -89.083  211.021 1.0 51.94823  ? 269 ASN D CB  269 ASN D CB  1 
ATOM 2043  C CG  . ASN A 1 269 ? 319.869 -89.548  210.695 1.0 51.94823  ? 269 ASN D CG  269 ASN D CG  1 
ATOM 2044  O OD1 . ASN A 1 269 ? 320.056 -90.560  210.030 1.0 51.94823  ? 269 ASN D OD1 269 ASN D OD1 1 
ATOM 2045  N ND2 . ASN A 1 269 ? 320.862 -88.838  211.201 1.0 51.94823  ? 269 ASN D ND2 269 ASN D ND2 1 
ATOM 2046  N N   . ARG A 1 270 ? 316.474 -87.264  212.411 1.0 48.70899  ? 270 ARG D N   270 ARG D N   1 
ATOM 2047  C CA  . ARG A 1 270 ? 315.130 -86.766  212.628 1.0 48.70899  ? 270 ARG D CA  270 ARG D CA  1 
ATOM 2048  C C   . ARG A 1 270 ? 314.161 -87.463  211.680 1.0 48.70899  ? 270 ARG D C   270 ARG D C   1 
ATOM 2049  O O   . ARG A 1 270 ? 314.509 -87.723  210.527 1.0 48.70899  ? 270 ARG D O   270 ARG D O   1 
ATOM 2050  C CB  . ARG A 1 270 ? 315.080 -85.263  212.404 1.0 48.70899  ? 270 ARG D CB  270 ARG D CB  1 
ATOM 2051  C CG  . ARG A 1 270 ? 315.891 -84.458  213.385 1.0 48.70899  ? 270 ARG D CG  270 ARG D CG  1 
ATOM 2052  C CD  . ARG A 1 270 ? 315.881 -83.017  212.952 1.0 48.70899  ? 270 ARG D CD  270 ARG D CD  1 
ATOM 2053  N NE  . ARG A 1 270 ? 314.544 -82.449  213.021 1.0 48.70899  ? 270 ARG D NE  270 ARG D NE  1 
ATOM 2054  C CZ  . ARG A 1 270 ? 314.111 -81.718  214.035 1.0 48.70899  ? 270 ARG D CZ  270 ARG D CZ  1 
ATOM 2055  N NH1 . ARG A 1 270 ? 314.931 -81.443  215.034 1.0 48.70899  ? 270 ARG D NH1 270 ARG D NH1 1 
ATOM 2056  N NH2 . ARG A 1 270 ? 312.879 -81.237  214.038 1.0 48.70899  ? 270 ARG D NH2 270 ARG D NH2 1 
ATOM 2057  N N   . PRO A 1 271 ? 312.959 -87.799  212.144 1.0 45.69891  ? 271 PRO D N   271 PRO D N   1 
ATOM 2058  C CA  . PRO A 1 271 ? 311.962 -88.403  211.254 1.0 45.69891  ? 271 PRO D CA  271 PRO D CA  1 
ATOM 2059  C C   . PRO A 1 271 ? 311.524 -87.432  210.174 1.0 45.69891  ? 271 PRO D C   271 PRO D C   1 
ATOM 2060  O O   . PRO A 1 271 ? 311.261 -86.258  210.435 1.0 45.69891  ? 271 PRO D O   271 PRO D O   1 
ATOM 2061  C CB  . PRO A 1 271 ? 310.809 -88.746  212.200 1.0 45.69891  ? 271 PRO D CB  271 PRO D CB  1 
ATOM 2062  C CG  . PRO A 1 271 ? 310.988 -87.846  213.356 1.0 45.69891  ? 271 PRO D CG  271 PRO D CG  1 
ATOM 2063  C CD  . PRO A 1 271 ? 312.457 -87.660  213.518 1.0 45.69891  ? 271 PRO D CD  271 PRO D CD  1 
ATOM 2064  N N   . ASN A 1 272 ? 311.470 -87.929  208.944 1.0 44.33356  ? 272 ASN D N   272 ASN D N   1 
ATOM 2065  C CA  . ASN A 1 272 ? 311.131 -87.099  207.791 1.0 44.33356  ? 272 ASN D CA  272 ASN D CA  1 
ATOM 2066  C C   . ASN A 1 272 ? 310.286 -87.961  206.857 1.0 44.33356  ? 272 ASN D C   272 ASN D C   1 
ATOM 2067  O O   . ASN A 1 272 ? 310.818 -88.678  206.009 1.0 44.33356  ? 272 ASN D O   272 ASN D O   1 
ATOM 2068  C CB  . ASN A 1 272 ? 312.390 -86.580  207.115 1.0 44.33356  ? 272 ASN D CB  272 ASN D CB  1 
ATOM 2069  C CG  . ASN A 1 272 ? 312.114 -85.467  206.130 1.0 44.33356  ? 272 ASN D CG  272 ASN D CG  1 
ATOM 2070  O OD1 . ASN A 1 272 ? 310.977 -85.050  205.949 1.0 44.33356  ? 272 ASN D OD1 272 ASN D OD1 1 
ATOM 2071  N ND2 . ASN A 1 272 ? 313.161 -84.984  205.481 1.0 44.33356  ? 272 ASN D ND2 272 ASN D ND2 1 
ATOM 2072  N N   . TYR A 1 273 ? 308.971 -87.891  207.028 1.0 43.0339   ? 273 TYR D N   273 TYR D N   1 
ATOM 2073  C CA  . TYR A 1 273 ? 308.050 -88.600  206.154 1.0 43.0339   ? 273 TYR D CA  273 TYR D CA  1 
ATOM 2074  C C   . TYR A 1 273 ? 307.822 -87.781  204.895 1.0 43.0339   ? 273 TYR D C   273 TYR D C   1 
ATOM 2075  O O   . TYR A 1 273 ? 307.412 -86.621  204.972 1.0 43.0339   ? 273 TYR D O   273 TYR D O   1 
ATOM 2076  C CB  . TYR A 1 273 ? 306.719 -88.834  206.858 1.0 43.0339   ? 273 TYR D CB  273 TYR D CB  1 
ATOM 2077  C CG  . TYR A 1 273 ? 306.780 -89.754  208.045 1.0 43.0339   ? 273 TYR D CG  273 TYR D CG  1 
ATOM 2078  C CD1 . TYR A 1 273 ? 306.739 -91.128  207.882 1.0 43.0339   ? 273 TYR D CD1 273 TYR D CD1 1 
ATOM 2079  C CD2 . TYR A 1 273 ? 306.866 -89.247  209.330 1.0 43.0339   ? 273 TYR D CD2 273 TYR D CD2 1 
ATOM 2080  C CE1 . TYR A 1 273 ? 306.784 -91.971  208.966 1.0 43.0339   ? 273 TYR D CE1 273 TYR D CE1 1 
ATOM 2081  C CE2 . TYR A 1 273 ? 306.915 -90.082  210.421 1.0 43.0339   ? 273 TYR D CE2 273 TYR D CE2 1 
ATOM 2082  C CZ  . TYR A 1 273 ? 306.874 -91.442  210.232 1.0 43.0339   ? 273 TYR D CZ  273 TYR D CZ  1 
ATOM 2083  O OH  . TYR A 1 273 ? 306.922 -92.282  211.317 1.0 43.0339   ? 273 TYR D OH  273 TYR D OH  1 
ATOM 2084  N N   . ILE A 1 274 ? 308.076 -88.377  203.737 1.0 40.9474   ? 274 ILE D N   274 ILE D N   1 
ATOM 2085  C CA  . ILE A 1 274 ? 307.935 -87.684  202.463 1.0 40.9474   ? 274 ILE D CA  274 ILE D CA  1 
ATOM 2086  C C   . ILE A 1 274 ? 306.922 -88.433  201.614 1.0 40.9474   ? 274 ILE D C   274 ILE D C   1 
ATOM 2087  O O   . ILE A 1 274 ? 307.163 -89.578  201.215 1.0 40.9474   ? 274 ILE D O   274 ILE D O   1 
ATOM 2088  C CB  . ILE A 1 274 ? 309.273 -87.559  201.726 1.0 40.9474   ? 274 ILE D CB  274 ILE D CB  1 
ATOM 2089  C CG1 . ILE A 1 274 ? 310.254 -86.728  202.539 1.0 40.9474   ? 274 ILE D CG1 274 ILE D CG1 1 
ATOM 2090  C CG2 . ILE A 1 274 ? 309.066 -86.902  200.400 1.0 40.9474   ? 274 ILE D CG2 274 ILE D CG2 1 
ATOM 2091  C CD1 . ILE A 1 274 ? 311.646 -86.742  201.981 1.0 40.9474   ? 274 ILE D CD1 274 ILE D CD1 1 
ATOM 2092  N N   . GLY A 1 275 ? 305.799 -87.786  201.331 1.0 38.93598  ? 275 GLY D N   275 GLY D N   1 
ATOM 2093  C CA  . GLY A 1 275 ? 304.784 -88.360  200.473 1.0 38.93598  ? 275 GLY D CA  275 GLY D CA  1 
ATOM 2094  C C   . GLY A 1 275 ? 304.043 -87.278  199.724 1.0 38.93598  ? 275 GLY D C   275 GLY D C   1 
ATOM 2095  O O   . GLY A 1 275 ? 304.452 -86.117  199.760 1.0 38.93598  ? 275 GLY D O   275 GLY D O   1 
ATOM 2096  N N   . PHE A 1 276 ? 302.958 -87.629  199.043 1.0 38.26186  ? 276 PHE D N   276 PHE D N   1 
ATOM 2097  C CA  . PHE A 1 276 ? 302.186 -86.610  198.354 1.0 38.26186  ? 276 PHE D CA  276 PHE D CA  1 
ATOM 2098  C C   . PHE A 1 276 ? 301.373 -85.795  199.355 1.0 38.26186  ? 276 PHE D C   276 PHE D C   1 
ATOM 2099  O O   . PHE A 1 276 ? 301.246 -86.143  200.531 1.0 38.26186  ? 276 PHE D O   276 PHE D O   1 
ATOM 2100  C CB  . PHE A 1 276 ? 301.254 -87.230  197.318 1.0 38.26186  ? 276 PHE D CB  276 PHE D CB  1 
ATOM 2101  C CG  . PHE A 1 276 ? 301.963 -87.913  196.195 1.0 38.26186  ? 276 PHE D CG  276 PHE D CG  1 
ATOM 2102  C CD1 . PHE A 1 276 ? 302.599 -87.182  195.214 1.0 38.26186  ? 276 PHE D CD1 276 PHE D CD1 1 
ATOM 2103  C CD2 . PHE A 1 276 ? 301.956 -89.289  196.097 1.0 38.26186  ? 276 PHE D CD2 276 PHE D CD2 1 
ATOM 2104  C CE1 . PHE A 1 276 ? 303.244 -87.813  194.176 1.0 38.26186  ? 276 PHE D CE1 276 PHE D CE1 1 
ATOM 2105  C CE2 . PHE A 1 276 ? 302.593 -89.920  195.056 1.0 38.26186  ? 276 PHE D CE2 276 PHE D CE2 1 
ATOM 2106  C CZ  . PHE A 1 276 ? 303.237 -89.180  194.097 1.0 38.26186  ? 276 PHE D CZ  276 PHE D CZ  1 
ATOM 2107  N N   . ARG A 1 277 ? 300.817 -84.692  198.872 1.0 39.17953  ? 277 ARG D N   277 ARG D N   1 
ATOM 2108  C CA  . ARG A 1 277 ? 299.957 -83.879  199.709 1.0 39.17953  ? 277 ARG D CA  277 ARG D CA  1 
ATOM 2109  C C   . ARG A 1 277 ? 298.555 -84.472  199.741 1.0 39.17953  ? 277 ARG D C   277 ARG D C   1 
ATOM 2110  O O   . ARG A 1 277 ? 298.243 -85.422  199.021 1.0 39.17953  ? 277 ARG D O   277 ARG D O   1 
ATOM 2111  C CB  . ARG A 1 277 ? 299.936 -82.445  199.200 1.0 39.17953  ? 277 ARG D CB  277 ARG D CB  1 
ATOM 2112  C CG  . ARG A 1 277 ? 301.285 -81.789  199.318 1.0 39.17953  ? 277 ARG D CG  277 ARG D CG  1 
ATOM 2113  C CD  . ARG A 1 277 ? 301.288 -80.358  198.858 1.0 39.17953  ? 277 ARG D CD  277 ARG D CD  1 
ATOM 2114  N NE  . ARG A 1 277 ? 302.633 -79.805  198.934 1.0 39.17953  ? 277 ARG D NE  277 ARG D NE  1 
ATOM 2115  C CZ  . ARG A 1 277 ? 303.135 -79.224  200.016 1.0 39.17953  ? 277 ARG D CZ  277 ARG D CZ  1 
ATOM 2116  N NH1 . ARG A 1 277 ? 302.398 -79.113  201.109 1.0 39.17953  ? 277 ARG D NH1 277 ARG D NH1 1 
ATOM 2117  N NH2 . ARG A 1 277 ? 304.371 -78.754  200.007 1.0 39.17953  ? 277 ARG D NH2 277 ARG D NH2 1 
ATOM 2118  N N   . ASP A 1 278 ? 297.707 -83.923  200.606 1.0 40.44888  ? 278 ASP D N   278 ASP D N   1 
ATOM 2119  C CA  . ASP A 1 278 ? 296.321 -84.367  200.640 1.0 40.44888  ? 278 ASP D CA  278 ASP D CA  1 
ATOM 2120  C C   . ASP A 1 278 ? 295.585 -83.897  199.400 1.0 40.44888  ? 278 ASP D C   278 ASP D C   1 
ATOM 2121  O O   . ASP A 1 278 ? 295.827 -82.798  198.897 1.0 40.44888  ? 278 ASP D O   278 ASP D O   1 
ATOM 2122  C CB  . ASP A 1 278 ? 295.604 -83.873  201.894 1.0 40.44888  ? 278 ASP D CB  278 ASP D CB  1 
ATOM 2123  C CG  . ASP A 1 278 ? 295.731 -82.385  202.100 1.0 40.44888  ? 278 ASP D CG  278 ASP D CG  1 
ATOM 2124  O OD1 . ASP A 1 278 ? 296.576 -81.759  201.440 1.0 40.44888  ? 278 ASP D OD1 278 ASP D OD1 1 
ATOM 2125  O OD2 . ASP A 1 278 ? 294.964 -81.831  202.908 1.0 40.44888  ? 278 ASP D OD2 278 ASP D OD2 1 
ATOM 2126  N N   . ASN A 1 279 ? 294.726 -84.773  198.877 1.0 38.11981  ? 279 ASN D N   279 ASN D N   1 
ATOM 2127  C CA  . ASN A 1 279 ? 293.922 -84.567  197.669 1.0 38.11981  ? 279 ASN D CA  279 ASN D CA  1 
ATOM 2128  C C   . ASN A 1 279 ? 294.769 -84.297  196.428 1.0 38.11981  ? 279 ASN D C   279 ASN D C   1 
ATOM 2129  O O   . ASN A 1 279 ? 294.255 -83.759  195.444 1.0 38.11981  ? 279 ASN D O   279 ASN D O   1 
ATOM 2130  C CB  . ASN A 1 279 ? 292.885 -83.457  197.866 1.0 38.11981  ? 279 ASN D CB  279 ASN D CB  1 
ATOM 2131  C CG  . ASN A 1 279 ? 291.842 -83.822  198.894 1.0 38.11981  ? 279 ASN D CG  279 ASN D CG  1 
ATOM 2132  O OD1 . ASN A 1 279 ? 291.312 -84.931  198.894 1.0 38.11981  ? 279 ASN D OD1 279 ASN D OD1 1 
ATOM 2133  N ND2 . ASN A 1 279 ? 291.560 -82.895  199.797 1.0 38.11981  ? 279 ASN D ND2 279 ASN D ND2 1 
ATOM 2134  N N   . PHE A 1 280 ? 296.040 -84.713  196.467 1.0 36.6562   ? 280 PHE D N   280 PHE D N   1 
ATOM 2135  C CA  . PHE A 1 280 ? 297.050 -84.463  195.434 1.0 36.6562   ? 280 PHE D CA  280 PHE D CA  1 
ATOM 2136  C C   . PHE A 1 280 ? 297.125 -82.989  195.053 1.0 36.6562   ? 280 PHE D C   280 PHE D C   1 
ATOM 2137  O O   . PHE A 1 280 ? 297.154 -82.626  193.877 1.0 36.6562   ? 280 PHE D O   280 PHE D O   1 
ATOM 2138  C CB  . PHE A 1 280 ? 296.823 -85.348  194.214 1.0 36.6562   ? 280 PHE D CB  280 PHE D CB  1 
ATOM 2139  C CG  . PHE A 1 280 ? 296.967 -86.800  194.515 1.0 36.6562   ? 280 PHE D CG  280 PHE D CG  1 
ATOM 2140  C CD1 . PHE A 1 280 ? 298.215 -87.352  194.721 1.0 36.6562   ? 280 PHE D CD1 280 PHE D CD1 1 
ATOM 2141  C CD2 . PHE A 1 280 ? 295.858 -87.611  194.601 1.0 36.6562   ? 280 PHE D CD2 280 PHE D CD2 1 
ATOM 2142  C CE1 . PHE A 1 280 ? 298.349 -88.685  195.015 1.0 36.6562   ? 280 PHE D CE1 280 PHE D CE1 1 
ATOM 2143  C CE2 . PHE A 1 280 ? 295.989 -88.946  194.880 1.0 36.6562   ? 280 PHE D CE2 280 PHE D CE2 1 
ATOM 2144  C CZ  . PHE A 1 280 ? 297.234 -89.479  195.095 1.0 36.6562   ? 280 PHE D CZ  280 PHE D CZ  1 
ATOM 2145  N N   . ILE A 1 281 ? 297.131 -82.133  196.071 1.0 37.89655  ? 281 ILE D N   281 ILE D N   1 
ATOM 2146  C CA  . ILE A 1 281 ? 297.318 -80.706  195.866 1.0 37.89655  ? 281 ILE D CA  281 ILE D CA  1 
ATOM 2147  C C   . ILE A 1 281 ? 298.744 -80.451  195.408 1.0 37.89655  ? 281 ILE D C   281 ILE D C   1 
ATOM 2148  O O   . ILE A 1 281 ? 299.701 -80.969  195.993 1.0 37.89655  ? 281 ILE D O   281 ILE D O   1 
ATOM 2149  C CB  . ILE A 1 281 ? 296.976 -79.945  197.154 1.0 37.89655  ? 281 ILE D CB  281 ILE D CB  1 
ATOM 2150  C CG1 . ILE A 1 281 ? 295.470 -79.957  197.371 1.0 37.89655  ? 281 ILE D CG1 281 ILE D CG1 1 
ATOM 2151  C CG2 . ILE A 1 281 ? 297.495 -78.534  197.134 1.0 37.89655  ? 281 ILE D CG2 281 ILE D CG2 1 
ATOM 2152  C CD1 . ILE A 1 281 ? 295.073 -79.478  198.703 1.0 37.89655  ? 281 ILE D CD1 281 ILE D CD1 1 
ATOM 2153  N N   . GLY A 1 282 ? 298.892 -79.676  194.340 1.0 38.92658  ? 282 GLY D N   282 GLY D N   1 
ATOM 2154  C CA  . GLY A 1 282 ? 300.186 -79.438  193.754 1.0 38.92658  ? 282 GLY D CA  282 GLY D CA  1 
ATOM 2155  C C   . GLY A 1 282 ? 300.582 -80.431  192.691 1.0 38.92658  ? 282 GLY D C   282 GLY D C   1 
ATOM 2156  O O   . GLY A 1 282 ? 301.702 -80.355  192.186 1.0 38.92658  ? 282 GLY D O   282 GLY D O   1 
ATOM 2157  N N   . MET A 1 283 ? 299.716 -81.377  192.351 1.0 39.50902  ? 283 MET D N   283 MET D N   1 
ATOM 2158  C CA  . MET A 1 283 ? 300.003 -82.259  191.231 1.0 39.50902  ? 283 MET D CA  283 MET D CA  1 
ATOM 2159  C C   . MET A 1 283 ? 299.780 -81.557  189.904 1.0 39.50902  ? 283 MET D C   283 MET D C   1 
ATOM 2160  O O   . MET A 1 283 ? 300.498 -81.816  188.933 1.0 39.50902  ? 283 MET D O   283 MET D O   1 
ATOM 2161  C CB  . MET A 1 283 ? 299.123 -83.503  191.318 1.0 39.50902  ? 283 MET D CB  283 MET D CB  1 
ATOM 2162  C CG  . MET A 1 283 ? 299.409 -84.554  190.280 1.0 39.50902  ? 283 MET D CG  283 MET D CG  1 
ATOM 2163  S SD  . MET A 1 283 ? 301.075 -85.179  190.465 1.0 39.50902  ? 283 MET D SD  283 MET D SD  1 
ATOM 2164  C CE  . MET A 1 283 ? 300.888 -86.037  192.013 1.0 39.50902  ? 283 MET D CE  283 MET D CE  1 
ATOM 2165  N N   . MET A 1 284 ? 298.820 -80.642  189.861 1.0 40.68478  ? 284 MET D N   284 MET D N   1 
ATOM 2166  C CA  . MET A 1 284 ? 298.273 -80.117  188.625 1.0 40.68478  ? 284 MET D CA  284 MET D CA  1 
ATOM 2167  C C   . MET A 1 284 ? 298.292 -78.599  188.643 1.0 40.68478  ? 284 MET D C   284 MET D C   1 
ATOM 2168  O O   . MET A 1 284 ? 298.183 -77.975  189.699 1.0 40.68478  ? 284 MET D O   284 MET D O   1 
ATOM 2169  C CB  . MET A 1 284 ? 296.852 -80.606  188.439 1.0 40.68478  ? 284 MET D CB  284 MET D CB  1 
ATOM 2170  C CG  . MET A 1 284 ? 296.746 -82.102  188.265 1.0 40.68478  ? 284 MET D CG  284 MET D CG  1 
ATOM 2171  S SD  . MET A 1 284 ? 295.063 -82.677  188.028 1.0 40.68478  ? 284 MET D SD  284 MET D SD  1 
ATOM 2172  C CE  . MET A 1 284 ? 294.473 -82.517  189.704 1.0 40.68478  ? 284 MET D CE  284 MET D CE  1 
ATOM 2173  N N   . TYR A 1 285 ? 298.409 -78.007  187.460 1.0 41.27212  ? 285 TYR D N   285 TYR D N   1 
ATOM 2174  C CA  . TYR A 1 285 ? 298.482 -76.554  187.328 1.0 41.27212  ? 285 TYR D CA  285 TYR D CA  1 
ATOM 2175  C C   . TYR A 1 285 ? 297.081 -75.964  187.347 1.0 41.27212  ? 285 TYR D C   285 TYR D C   1 
ATOM 2176  O O   . TYR A 1 285 ? 296.461 -75.749  186.307 1.0 41.27212  ? 285 TYR D O   285 TYR D O   1 
ATOM 2177  C CB  . TYR A 1 285 ? 299.203 -76.161  186.048 1.0 41.27212  ? 285 TYR D CB  285 TYR D CB  1 
ATOM 2178  C CG  . TYR A 1 285 ? 300.688 -76.384  186.055 1.0 41.27212  ? 285 TYR D CG  285 TYR D CG  1 
ATOM 2179  C CD1 . TYR A 1 285 ? 301.546 -75.447  186.601 1.0 41.27212  ? 285 TYR D CD1 285 TYR D CD1 1 
ATOM 2180  C CD2 . TYR A 1 285 ? 301.232 -77.522  185.503 1.0 41.27212  ? 285 TYR D CD2 285 TYR D CD2 1 
ATOM 2181  C CE1 . TYR A 1 285 ? 302.904 -75.645  186.596 1.0 41.27212  ? 285 TYR D CE1 285 TYR D CE1 1 
ATOM 2182  C CE2 . TYR A 1 285 ? 302.586 -77.725  185.492 1.0 41.27212  ? 285 TYR D CE2 285 TYR D CE2 1 
ATOM 2183  C CZ  . TYR A 1 285 ? 303.416 -76.786  186.042 1.0 41.27212  ? 285 TYR D CZ  285 TYR D CZ  1 
ATOM 2184  O OH  . TYR A 1 285 ? 304.772 -76.991  186.040 1.0 41.27212  ? 285 TYR D OH  285 TYR D OH  1 
ATOM 2185  N N   . TYR A 1 286 ? 296.577 -75.690  188.542 1.0 40.956    ? 286 TYR D N   286 TYR D N   1 
ATOM 2186  C CA  . TYR A 1 286 ? 295.417 -74.830  188.693 1.0 40.956    ? 286 TYR D CA  286 TYR D CA  1 
ATOM 2187  C C   . TYR A 1 286 ? 295.893 -73.402  188.884 1.0 40.956    ? 286 TYR D C   286 TYR D C   1 
ATOM 2188  O O   . TYR A 1 286 ? 296.920 -73.170  189.525 1.0 40.956    ? 286 TYR D O   286 TYR D O   1 
ATOM 2189  C CB  . TYR A 1 286 ? 294.561 -75.253  189.881 1.0 40.956    ? 286 TYR D CB  286 TYR D CB  1 
ATOM 2190  C CG  . TYR A 1 286 ? 293.911 -76.587  189.692 1.0 40.956    ? 286 TYR D CG  286 TYR D CG  1 
ATOM 2191  C CD1 . TYR A 1 286 ? 292.772 -76.716  188.923 1.0 40.956    ? 286 TYR D CD1 286 TYR D CD1 1 
ATOM 2192  C CD2 . TYR A 1 286 ? 294.438 -77.717  190.280 1.0 40.956    ? 286 TYR D CD2 286 TYR D CD2 1 
ATOM 2193  C CE1 . TYR A 1 286 ? 292.173 -77.934  188.749 1.0 40.956    ? 286 TYR D CE1 286 TYR D CE1 1 
ATOM 2194  C CE2 . TYR A 1 286 ? 293.849 -78.941  190.107 1.0 40.956    ? 286 TYR D CE2 286 TYR D CE2 1 
ATOM 2195  C CZ  . TYR A 1 286 ? 292.717 -79.043  189.339 1.0 40.956    ? 286 TYR D CZ  286 TYR D CZ  1 
ATOM 2196  O OH  . TYR A 1 286 ? 292.118 -80.263  189.161 1.0 40.956    ? 286 TYR D OH  286 TYR D OH  1 
ATOM 2197  N N   . ASN A 1 287 ? 295.163 -72.461  188.280 1.0 43.74624  ? 287 ASN D N   287 ASN D N   1 
ATOM 2198  C CA  . ASN A 1 287 ? 295.380 -71.014  188.369 1.0 43.74624  ? 287 ASN D CA  287 ASN D CA  1 
ATOM 2199  C C   . ASN A 1 287 ? 296.730 -70.576  187.813 1.0 43.74624  ? 287 ASN D C   287 ASN D C   1 
ATOM 2200  O O   . ASN A 1 287 ? 297.202 -69.482  188.127 1.0 43.74624  ? 287 ASN D O   287 ASN D O   1 
ATOM 2201  C CB  . ASN A 1 287 ? 295.215 -70.514  189.807 1.0 43.74624  ? 287 ASN D CB  287 ASN D CB  1 
ATOM 2202  C CG  . ASN A 1 287 ? 293.827 -70.733  190.334 1.0 43.74624  ? 287 ASN D CG  287 ASN D CG  1 
ATOM 2203  O OD1 . ASN A 1 287 ? 292.839 -70.465  189.654 1.0 43.74624  ? 287 ASN D OD1 287 ASN D OD1 1 
ATOM 2204  N ND2 . ASN A 1 287 ? 293.739 -71.252  191.541 1.0 43.74624  ? 287 ASN D ND2 287 ASN D ND2 1 
ATOM 2205  N N   . SER A 1 288 ? 297.364 -71.393  186.978 1.0 47.03394  ? 288 SER D N   288 SER D N   1 
ATOM 2206  C CA  . SER A 1 288 ? 298.643 -71.022  186.400 1.0 47.03394  ? 288 SER D CA  288 SER D CA  1 
ATOM 2207  C C   . SER A 1 288 ? 298.429 -70.090  185.221 1.0 47.03394  ? 288 SER D C   288 SER D C   1 
ATOM 2208  O O   . SER A 1 288 ? 297.382 -70.108  184.573 1.0 47.03394  ? 288 SER D O   288 SER D O   1 
ATOM 2209  C CB  . SER A 1 288 ? 299.420 -72.256  185.948 1.0 47.03394  ? 288 SER D CB  288 SER D CB  1 
ATOM 2210  O OG  . SER A 1 288 ? 300.650 -71.885  185.355 1.0 47.03394  ? 288 SER D OG  288 SER D OG  1 
ATOM 2211  N N   . GLY A 1 289 ? 299.429 -69.258  184.956 1.0 48.83408  ? 289 GLY D N   289 GLY D N   1 
ATOM 2212  C CA  . GLY A 1 289 ? 299.317 -68.313  183.866 1.0 48.83408  ? 289 GLY D CA  289 GLY D CA  1 
ATOM 2213  C C   . GLY A 1 289 ? 299.487 -68.945  182.504 1.0 48.83408  ? 289 GLY D C   289 GLY D C   1 
ATOM 2214  O O   . GLY A 1 289 ? 298.525 -69.066  181.744 1.0 48.83408  ? 289 GLY D O   289 GLY D O   1 
ATOM 2215  N N   . SER A 1 290 ? 300.703 -69.387  182.198 1.0 49.04418  ? 290 SER D N   290 SER D N   1 
ATOM 2216  C CA  . SER A 1 290 ? 300.971 -69.958  180.886 1.0 49.04418  ? 290 SER D CA  290 SER D CA  1 
ATOM 2217  C C   . SER A 1 290 ? 300.521 -71.404  180.797 1.0 49.04418  ? 290 SER D C   290 SER D C   1 
ATOM 2218  O O   . SER A 1 290 ? 300.186 -71.881  179.709 1.0 49.04418  ? 290 SER D O   290 SER D O   1 
ATOM 2219  C CB  . SER A 1 290 ? 302.460 -69.861  180.568 1.0 49.04418  ? 290 SER D CB  290 SER D CB  1 
ATOM 2220  O OG  . SER A 1 290 ? 303.215 -70.652  181.465 1.0 49.04418  ? 290 SER D OG  290 SER D OG  1 
ATOM 2221  N N   . ASN A 1 291 ? 300.514 -72.107  181.919 1.0 47.18555  ? 291 ASN D N   291 ASN D N   1 
ATOM 2222  C CA  . ASN A 1 291 ? 300.212 -73.535  181.949 1.0 47.18555  ? 291 ASN D CA  291 ASN D CA  1 
ATOM 2223  C C   . ASN A 1 291 ? 298.744 -73.801  182.253 1.0 47.18555  ? 291 ASN D C   291 ASN D C   1 
ATOM 2224  O O   . ASN A 1 291 ? 298.413 -74.595  183.128 1.0 47.18555  ? 291 ASN D O   291 ASN D O   1 
ATOM 2225  C CB  . ASN A 1 291 ? 301.113 -74.219  182.961 1.0 47.18555  ? 291 ASN D CB  291 ASN D CB  1 
ATOM 2226  C CG  . ASN A 1 291 ? 302.547 -74.274  182.500 1.0 47.18555  ? 291 ASN D CG  291 ASN D CG  1 
ATOM 2227  O OD1 . ASN A 1 291 ? 302.823 -74.483  181.323 1.0 47.18555  ? 291 ASN D OD1 291 ASN D OD1 1 
ATOM 2228  N ND2 . ASN A 1 291 ? 303.470 -74.098  183.428 1.0 47.18555  ? 291 ASN D ND2 291 ASN D ND2 1 
ATOM 2229  N N   . THR A 1 292 ? 297.843 -73.155  181.522 1.0 48.62346  ? 292 THR D N   292 THR D N   1 
ATOM 2230  C CA  . THR A 1 292 ? 296.429 -73.437  181.695 1.0 48.62346  ? 292 THR D CA  292 THR D CA  1 
ATOM 2231  C C   . THR A 1 292 ? 296.070 -74.757  181.028 1.0 48.62346  ? 292 THR D C   292 THR D C   1 
ATOM 2232  O O   . THR A 1 292 ? 296.759 -75.236  180.125 1.0 48.62346  ? 292 THR D O   292 THR D O   1 
ATOM 2233  C CB  . THR A 1 292 ? 295.561 -72.324  181.107 1.0 48.62346  ? 292 THR D CB  292 THR D CB  1 
ATOM 2234  O OG1 . THR A 1 292 ? 295.845 -72.185  179.710 1.0 48.62346  ? 292 THR D OG1 292 THR D OG1 1 
ATOM 2235  C CG2 . THR A 1 292 ? 295.816 -71.006  181.807 1.0 48.62346  ? 292 THR D CG2 292 THR D CG2 1 
ATOM 2236  N N   . GLY A 1 293 ? 294.974 -75.345  181.485 1.0 44.70395  ? 293 GLY D N   293 GLY D N   1 
ATOM 2237  C CA  . GLY A 1 293 ? 294.447 -76.537  180.866 1.0 44.70395  ? 293 GLY D CA  293 GLY D CA  1 
ATOM 2238  C C   . GLY A 1 293 ? 293.552 -76.203  179.695 1.0 44.70395  ? 293 GLY D C   293 GLY D C   1 
ATOM 2239  O O   . GLY A 1 293 ? 293.472 -75.066  179.232 1.0 44.70395  ? 293 GLY D O   293 GLY D O   1 
ATOM 2240  N N   . SER A 1 294 ? 292.854 -77.225  179.213 1.0 41.6673   ? 294 SER D N   294 SER D N   1 
ATOM 2241  C CA  . SER A 1 294 ? 291.994 -77.048  178.048 1.0 41.6673   ? 294 SER D CA  294 SER D CA  1 
ATOM 2242  C C   . SER A 1 294 ? 290.905 -78.102  178.067 1.0 41.6673   ? 294 SER D C   294 SER D C   1 
ATOM 2243  O O   . SER A 1 294 ? 291.208 -79.297  178.097 1.0 41.6673   ? 294 SER D O   294 SER D O   1 
ATOM 2244  C CB  . SER A 1 294 ? 292.804 -77.142  176.757 1.0 41.6673   ? 294 SER D CB  294 SER D CB  1 
ATOM 2245  O OG  . SER A 1 294 ? 291.966 -77.034  175.621 1.0 41.6673   ? 294 SER D OG  294 SER D OG  1 
ATOM 2246  N N   . PHE A 1 295 ? 289.649 -77.669  178.053 1.0 38.76916  ? 295 PHE D N   295 PHE D N   1 
ATOM 2247  C CA  . PHE A 1 295 ? 288.532 -78.554  177.754 1.0 38.76916  ? 295 PHE D CA  295 PHE D CA  1 
ATOM 2248  C C   . PHE A 1 295 ? 287.704 -77.918  176.654 1.0 38.76916  ? 295 PHE D C   295 PHE D C   1 
ATOM 2249  O O   . PHE A 1 295 ? 286.936 -76.989  176.911 1.0 38.76916  ? 295 PHE D O   295 PHE D O   1 
ATOM 2250  C CB  . PHE A 1 295 ? 287.661 -78.830  178.975 1.0 38.76916  ? 295 PHE D CB  295 PHE D CB  1 
ATOM 2251  C CG  . PHE A 1 295 ? 286.531 -79.775  178.696 1.0 38.76916  ? 295 PHE D CG  295 PHE D CG  1 
ATOM 2252  C CD1 . PHE A 1 295 ? 286.771 -81.117  178.501 1.0 38.76916  ? 295 PHE D CD1 295 PHE D CD1 1 
ATOM 2253  C CD2 . PHE A 1 295 ? 285.230 -79.321  178.624 1.0 38.76916  ? 295 PHE D CD2 295 PHE D CD2 1 
ATOM 2254  C CE1 . PHE A 1 295 ? 285.750 -81.994  178.244 1.0 38.76916  ? 295 PHE D CE1 295 PHE D CE1 1 
ATOM 2255  C CE2 . PHE A 1 295 ? 284.201 -80.197  178.361 1.0 38.76916  ? 295 PHE D CE2 295 PHE D CE2 1 
ATOM 2256  C CZ  . PHE A 1 295 ? 284.463 -81.537  178.172 1.0 38.76916  ? 295 PHE D CZ  295 PHE D CZ  1 
ATOM 2257  N N   . SER A 1 296 ? 287.857 -78.424  175.439 1.0 39.78836  ? 296 SER D N   296 SER D N   1 
ATOM 2258  C CA  . SER A 1 296 ? 287.131 -77.914  174.292 1.0 39.78836  ? 296 SER D CA  296 SER D CA  1 
ATOM 2259  C C   . SER A 1 296 ? 286.604 -79.098  173.502 1.0 39.78836  ? 296 SER D C   296 SER D C   1 
ATOM 2260  O O   . SER A 1 296 ? 286.866 -80.256  173.834 1.0 39.78836  ? 296 SER D O   296 SER D O   1 
ATOM 2261  C CB  . SER A 1 296 ? 288.026 -77.022  173.433 1.0 39.78836  ? 296 SER D CB  296 SER D CB  1 
ATOM 2262  O OG  . SER A 1 296 ? 289.092 -77.767  172.876 1.0 39.78836  ? 296 SER D OG  296 SER D OG  1 
ATOM 2263  N N   . SER A 1 297 ? 285.857 -78.805  172.449 1.0 39.77917  ? 297 SER D N   297 SER D N   1 
ATOM 2264  C CA  . SER A 1 297 ? 285.371 -79.849  171.568 1.0 39.77917  ? 297 SER D CA  297 SER D CA  1 
ATOM 2265  C C   . SER A 1 297 ? 286.357 -80.053  170.425 1.0 39.77917  ? 297 SER D C   297 SER D C   1 
ATOM 2266  O O   . SER A 1 297 ? 287.409 -79.421  170.362 1.0 39.77917  ? 297 SER D O   297 SER D O   1 
ATOM 2267  C CB  . SER A 1 297 ? 283.983 -79.496  171.047 1.0 39.77917  ? 297 SER D CB  297 SER D CB  1 
ATOM 2268  O OG  . SER A 1 297 ? 284.027 -78.335  170.251 1.0 39.77917  ? 297 SER D OG  297 SER D OG  1 
ATOM 2269  N N   . GLN A 1 298 ? 286.043 -80.981  169.534 1.0 42.74008  ? 298 GLN D N   298 GLN D N   1 
ATOM 2270  C CA  . GLN A 1 298 ? 286.665 -80.958  168.225 1.0 42.74008  ? 298 GLN D CA  298 GLN D CA  1 
ATOM 2271  C C   . GLN A 1 298 ? 285.793 -80.141  167.288 1.0 42.74008  ? 298 GLN D C   298 GLN D C   1 
ATOM 2272  O O   . GLN A 1 298 ? 284.662 -79.778  167.620 1.0 42.74008  ? 298 GLN D O   298 GLN D O   1 
ATOM 2273  C CB  . GLN A 1 298 ? 286.877 -82.364  167.676 1.0 42.74008  ? 298 GLN D CB  298 GLN D CB  1 
ATOM 2274  C CG  . GLN A 1 298 ? 287.992 -83.122  168.347 1.0 42.74008  ? 298 GLN D CG  298 GLN D CG  1 
ATOM 2275  C CD  . GLN A 1 298 ? 288.207 -84.479  167.727 1.0 42.74008  ? 298 GLN D CD  298 GLN D CD  1 
ATOM 2276  O OE1 . GLN A 1 298 ? 287.461 -84.893  166.843 1.0 42.74008  ? 298 GLN D OE1 298 GLN D OE1 1 
ATOM 2277  N NE2 . GLN A 1 298 ? 289.237 -85.180  168.180 1.0 42.74008  ? 298 GLN D NE2 298 GLN D NE2 1 
ATOM 2278  N N   . THR A 1 299 ? 286.350 -79.825  166.114 1.0 43.84306  ? 299 THR D N   299 THR D N   1 
ATOM 2279  C CA  . THR A 1 299 ? 285.774 -78.939  165.096 1.0 43.84306  ? 299 THR D CA  299 THR D CA  1 
ATOM 2280  C C   . THR A 1 299 ? 285.448 -77.554  165.644 1.0 43.84306  ? 299 THR D C   299 THR D C   1 
ATOM 2281  O O   . THR A 1 299 ? 284.585 -76.863  165.103 1.0 43.84306  ? 299 THR D O   299 THR D O   1 
ATOM 2282  C CB  . THR A 1 299 ? 284.525 -79.543  164.434 1.0 43.84306  ? 299 THR D CB  299 THR D CB  1 
ATOM 2283  O OG1 . THR A 1 299 ? 283.448 -79.569  165.377 1.0 43.84306  ? 299 THR D OG1 299 THR D OG1 1 
ATOM 2284  C CG2 . THR A 1 299 ? 284.809 -80.963  163.973 1.0 43.84306  ? 299 THR D CG2 299 THR D CG2 1 
ATOM 2285  N N   . GLN A 1 300 ? 286.147 -77.154  166.705 1.0 43.35588  ? 300 GLN D N   300 GLN D N   1 
ATOM 2286  C CA  . GLN A 1 300 ? 285.958 -75.929  167.468 1.0 43.35588  ? 300 GLN D CA  300 GLN D CA  1 
ATOM 2287  C C   . GLN A 1 300 ? 287.075 -75.960  168.495 1.0 43.35588  ? 300 GLN D C   300 GLN D C   1 
ATOM 2288  O O   . GLN A 1 300 ? 287.524 -77.045  168.858 1.0 43.35588  ? 300 GLN D O   300 GLN D O   1 
ATOM 2289  C CB  . GLN A 1 300 ? 284.584 -75.895  168.135 1.0 43.35588  ? 300 GLN D CB  300 GLN D CB  1 
ATOM 2290  C CG  . GLN A 1 300 ? 284.206 -74.621  168.838 1.0 43.35588  ? 300 GLN D CG  300 GLN D CG  1 
ATOM 2291  C CD  . GLN A 1 300 ? 282.811 -74.714  169.408 1.0 43.35588  ? 300 GLN D CD  300 GLN D CD  1 
ATOM 2292  O OE1 . GLN A 1 300 ? 282.170 -75.757  169.323 1.0 43.35588  ? 300 GLN D OE1 300 GLN D OE1 1 
ATOM 2293  N NE2 . GLN A 1 300 ? 282.326 -73.623  169.981 1.0 43.35588  ? 300 GLN D NE2 300 GLN D NE2 1 
ATOM 2294  N N   . GLN A 1 301 ? 287.565 -74.818  168.959 1.0 42.30431  ? 301 GLN D N   301 GLN D N   1 
ATOM 2295  C CA  . GLN A 1 301 ? 288.638 -74.870  169.945 1.0 42.30431  ? 301 GLN D CA  301 GLN D CA  1 
ATOM 2296  C C   . GLN A 1 301 ? 288.424 -73.854  171.053 1.0 42.30431  ? 301 GLN D C   301 GLN D C   1 
ATOM 2297  O O   . GLN A 1 301 ? 289.393 -73.328  171.607 1.0 42.30431  ? 301 GLN D O   301 GLN D O   1 
ATOM 2298  C CB  . GLN A 1 301 ? 290.016 -74.641  169.313 1.0 42.30431  ? 301 GLN D CB  301 GLN D CB  1 
ATOM 2299  C CG  . GLN A 1 301 ? 290.487 -75.716  168.346 1.0 42.30431  ? 301 GLN D CG  301 GLN D CG  1 
ATOM 2300  C CD  . GLN A 1 301 ? 290.658 -77.064  169.008 1.0 42.30431  ? 301 GLN D CD  301 GLN D CD  1 
ATOM 2301  O OE1 . GLN A 1 301 ? 291.150 -77.163  170.130 1.0 42.30431  ? 301 GLN D OE1 301 GLN D OE1 1 
ATOM 2302  N NE2 . GLN A 1 301 ? 290.240 -78.114  168.317 1.0 42.30431  ? 301 GLN D NE2 301 GLN D NE2 1 
ATOM 2303  N N   . LEU A 1 302 ? 287.174 -73.556  171.382 1.0 43.28384  ? 302 LEU D N   302 LEU D N   1 
ATOM 2304  C CA  . LEU A 1 302 ? 286.898 -72.611  172.455 1.0 43.28384  ? 302 LEU D CA  302 LEU D CA  1 
ATOM 2305  C C   . LEU A 1 302 ? 287.203 -73.265  173.792 1.0 43.28384  ? 302 LEU D C   302 LEU D C   1 
ATOM 2306  O O   . LEU A 1 302 ? 286.519 -74.206  174.203 1.0 43.28384  ? 302 LEU D O   302 LEU D O   1 
ATOM 2307  C CB  . LEU A 1 302 ? 285.453 -72.133  172.400 1.0 43.28384  ? 302 LEU D CB  302 LEU D CB  1 
ATOM 2308  C CG  . LEU A 1 302 ? 285.087 -71.255  171.209 1.0 43.28384  ? 302 LEU D CG  302 LEU D CG  1 
ATOM 2309  C CD1 . LEU A 1 302 ? 283.631 -70.832  171.312 1.0 43.28384  ? 302 LEU D CD1 302 LEU D CD1 1 
ATOM 2310  C CD2 . LEU A 1 302 ? 286.011 -70.056  171.154 1.0 43.28384  ? 302 LEU D CD2 302 LEU D CD2 1 
ATOM 2311  N N   . ASN A 1 303 ? 288.229 -72.767  174.467 1.0 41.29758  ? 303 ASN D N   303 ASN D N   1 
ATOM 2312  C CA  . ASN A 1 303 ? 288.611 -73.293  175.766 1.0 41.29758  ? 303 ASN D CA  303 ASN D CA  1 
ATOM 2313  C C   . ASN A 1 303 ? 287.584 -72.866  176.809 1.0 41.29758  ? 303 ASN D C   303 ASN D C   1 
ATOM 2314  O O   . ASN A 1 303 ? 287.330 -71.671  176.987 1.0 41.29758  ? 303 ASN D O   303 ASN D O   1 
ATOM 2315  C CB  . ASN A 1 303 ? 290.005 -72.790  176.128 1.0 41.29758  ? 303 ASN D CB  303 ASN D CB  1 
ATOM 2316  C CG  . ASN A 1 303 ? 290.608 -73.527  177.294 1.0 41.29758  ? 303 ASN D CG  303 ASN D CG  1 
ATOM 2317  O OD1 . ASN A 1 303 ? 290.003 -74.440  177.843 1.0 41.29758  ? 303 ASN D OD1 303 ASN D OD1 1 
ATOM 2318  N ND2 . ASN A 1 303 ? 291.809 -73.126  177.688 1.0 41.29758  ? 303 ASN D ND2 303 ASN D ND2 1 
ATOM 2319  N N   . ILE A 1 304 ? 286.979 -73.848  177.480 1.0 39.53431  ? 304 ILE D N   304 ILE D N   1 
ATOM 2320  C CA  . ILE A 1 304 ? 286.056 -73.555  178.570 1.0 39.53431  ? 304 ILE D CA  304 ILE D CA  1 
ATOM 2321  C C   . ILE A 1 304 ? 286.806 -73.016  179.778 1.0 39.53431  ? 304 ILE D C   304 ILE D C   1 
ATOM 2322  O O   . ILE A 1 304 ? 286.398 -72.019  180.385 1.0 39.53431  ? 304 ILE D O   304 ILE D O   1 
ATOM 2323  C CB  . ILE A 1 304 ? 285.233 -74.809  178.921 1.0 39.53431  ? 304 ILE D CB  304 ILE D CB  1 
ATOM 2324  C CG1 . ILE A 1 304 ? 284.176 -75.072  177.857 1.0 39.53431  ? 304 ILE D CG1 304 ILE D CG1 1 
ATOM 2325  C CG2 . ILE A 1 304 ? 284.630 -74.736  180.318 1.0 39.53431  ? 304 ILE D CG2 304 ILE D CG2 1 
ATOM 2326  C CD1 . ILE A 1 304 ? 283.329 -76.269  178.175 1.0 39.53431  ? 304 ILE D CD1 304 ILE D CD1 1 
ATOM 2327  N N   . VAL A 1 305 ? 287.930 -73.635  180.122 1.0 40.44851  ? 305 VAL D N   305 VAL D N   1 
ATOM 2328  C CA  . VAL A 1 305 ? 288.653 -73.289  181.338 1.0 40.44851  ? 305 VAL D CA  305 VAL D CA  1 
ATOM 2329  C C   . VAL A 1 305 ? 289.386 -71.975  181.079 1.0 40.44851  ? 305 VAL D C   305 VAL D C   1 
ATOM 2330  O O   . VAL A 1 305 ? 290.468 -71.952  180.492 1.0 40.44851  ? 305 VAL D O   305 VAL D O   1 
ATOM 2331  C CB  . VAL A 1 305 ? 289.605 -74.406  181.762 1.0 40.44851  ? 305 VAL D CB  305 VAL D CB  1 
ATOM 2332  C CG1 . VAL A 1 305 ? 290.317 -74.037  183.033 1.0 40.44851  ? 305 VAL D CG1 305 VAL D CG1 1 
ATOM 2333  C CG2 . VAL A 1 305 ? 288.829 -75.695  181.944 1.0 40.44851  ? 305 VAL D CG2 305 VAL D CG2 1 
ATOM 2334  N N   . LEU A 1 306 ? 288.774 -70.869  181.492 1.0 42.56022  ? 306 LEU D N   306 LEU D N   1 
ATOM 2335  C CA  . LEU A 1 306 ? 289.399 -69.551  181.436 1.0 42.56022  ? 306 LEU D CA  306 LEU D CA  1 
ATOM 2336  C C   . LEU A 1 306 ? 289.872 -69.260  182.853 1.0 42.56022  ? 306 LEU D C   306 LEU D C   1 
ATOM 2337  O O   . LEU A 1 306 ? 289.115 -68.791  183.702 1.0 42.56022  ? 306 LEU D O   306 LEU D O   1 
ATOM 2338  C CB  . LEU A 1 306 ? 288.430 -68.499  180.918 1.0 42.56022  ? 306 LEU D CB  306 LEU D CB  1 
ATOM 2339  C CG  . LEU A 1 306 ? 287.915 -68.790  179.510 1.0 42.56022  ? 306 LEU D CG  306 LEU D CG  1 
ATOM 2340  C CD1 . LEU A 1 306 ? 286.948 -67.716  179.060 1.0 42.56022  ? 306 LEU D CD1 306 LEU D CD1 1 
ATOM 2341  C CD2 . LEU A 1 306 ? 289.058 -68.951  178.526 1.0 42.56022  ? 306 LEU D CD2 306 LEU D CD2 1 
ATOM 2342  N N   . ASP A 1 307 ? 291.139 -69.554  183.105 1.0 46.66559  ? 307 ASP D N   307 ASP D N   1 
ATOM 2343  C CA  . ASP A 1 307 ? 291.665 -69.642  184.455 1.0 46.66559  ? 307 ASP D CA  307 ASP D CA  1 
ATOM 2344  C C   . ASP A 1 307 ? 292.435 -68.373  184.803 1.0 46.66559  ? 307 ASP D C   307 ASP D C   1 
ATOM 2345  O O   . ASP A 1 307 ? 293.186 -67.837  183.984 1.0 46.66559  ? 307 ASP D O   307 ASP D O   1 
ATOM 2346  C CB  . ASP A 1 307 ? 292.564 -70.871  184.574 1.0 46.66559  ? 307 ASP D CB  307 ASP D CB  1 
ATOM 2347  C CG  . ASP A 1 307 ? 292.691 -71.363  185.989 1.0 46.66559  ? 307 ASP D CG  307 ASP D CG  1 
ATOM 2348  O OD1 . ASP A 1 307 ? 292.101 -70.731  186.886 1.0 46.66559  ? 307 ASP D OD1 307 ASP D OD1 1 
ATOM 2349  O OD2 . ASP A 1 307 ? 293.354 -72.401  186.195 1.0 46.66559  ? 307 ASP D OD2 307 ASP D OD2 1 
ATOM 2350  N N   . LEU A 1 308 ? 292.247 -67.898  186.028 1.0 46.00123  ? 308 LEU D N   308 LEU D N   1 
ATOM 2351  C CA  . LEU A 1 308 ? 292.790 -66.622  186.478 1.0 46.00123  ? 308 LEU D CA  308 LEU D CA  1 
ATOM 2352  C C   . LEU A 1 308 ? 293.786 -66.844  187.611 1.0 46.00123  ? 308 LEU D C   308 LEU D C   1 
ATOM 2353  O O   . LEU A 1 308 ? 293.988 -67.964  188.078 1.0 46.00123  ? 308 LEU D O   308 LEU D O   1 
ATOM 2354  C CB  . LEU A 1 308 ? 291.665 -65.695  186.933 1.0 46.00123  ? 308 LEU D CB  308 LEU D CB  1 
ATOM 2355  C CG  . LEU A 1 308 ? 290.658 -65.304  185.859 1.0 46.00123  ? 308 LEU D CG  308 LEU D CG  1 
ATOM 2356  C CD1 . LEU A 1 308 ? 289.522 -64.562  186.512 1.0 46.00123  ? 308 LEU D CD1 308 LEU D CD1 1 
ATOM 2357  C CD2 . LEU A 1 308 ? 291.309 -64.457  184.783 1.0 46.00123  ? 308 LEU D CD2 308 LEU D CD2 1 
ATOM 2358  N N   . ASN A 1 309 ? 294.413 -65.756  188.059 1.0 46.60866  ? 309 ASN D N   309 ASN D N   1 
ATOM 2359  C CA  . ASN A 1 309 ? 295.316 -65.824  189.200 1.0 46.60866  ? 309 ASN D CA  309 ASN D CA  1 
ATOM 2360  C C   . ASN A 1 309 ? 294.652 -65.438  190.512 1.0 46.60866  ? 309 ASN D C   309 ASN D C   1 
ATOM 2361  O O   . ASN A 1 309 ? 295.195 -65.751  191.577 1.0 46.60866  ? 309 ASN D O   309 ASN D O   1 
ATOM 2362  C CB  . ASN A 1 309 ? 296.535 -64.923  188.979 1.0 46.60866  ? 309 ASN D CB  309 ASN D CB  1 
ATOM 2363  C CG  . ASN A 1 309 ? 297.374 -65.360  187.802 1.0 46.60866  ? 309 ASN D CG  309 ASN D CG  1 
ATOM 2364  O OD1 . ASN A 1 309 ? 297.516 -64.629  186.826 1.0 46.60866  ? 309 ASN D OD1 309 ASN D OD1 1 
ATOM 2365  N ND2 . ASN A 1 309 ? 297.929 -66.561  187.883 1.0 46.60866  ? 309 ASN D ND2 309 ASN D ND2 1 
ATOM 2366  N N   . ASP A 1 310 ? 293.502 -64.772  190.461 1.0 44.98592  ? 310 ASP D N   310 ASP D N   1 
ATOM 2367  C CA  . ASP A 1 310 ? 292.781 -64.373  191.660 1.0 44.98592  ? 310 ASP D CA  310 ASP D CA  1 
ATOM 2368  C C   . ASP A 1 310 ? 291.981 -65.508  192.278 1.0 44.98592  ? 310 ASP D C   310 ASP D C   1 
ATOM 2369  O O   . ASP A 1 310 ? 291.530 -65.376  193.419 1.0 44.98592  ? 310 ASP D O   310 ASP D O   1 
ATOM 2370  C CB  . ASP A 1 310 ? 291.840 -63.217  191.336 1.0 44.98592  ? 310 ASP D CB  310 ASP D CB  1 
ATOM 2371  C CG  . ASP A 1 310 ? 292.579 -61.935  191.042 1.0 44.98592  ? 310 ASP D CG  310 ASP D CG  1 
ATOM 2372  O OD1 . ASP A 1 310 ? 293.674 -61.740  191.605 1.0 44.98592  ? 310 ASP D OD1 310 ASP D OD1 1 
ATOM 2373  O OD2 . ASP A 1 310 ? 292.066 -61.124  190.244 1.0 44.98592  ? 310 ASP D OD2 310 ASP D OD2 1 
ATOM 2374  N N   . ARG A 1 311 ? 291.785 -66.599  191.556 1.0 43.48383  ? 311 ARG D N   311 ARG D N   1 
ATOM 2375  C CA  . ARG A 1 311 ? 291.040 -67.745  192.043 1.0 43.48383  ? 311 ARG D CA  311 ARG D CA  1 
ATOM 2376  C C   . ARG A 1 311 ? 291.983 -68.680  192.796 1.0 43.48383  ? 311 ARG D C   311 ARG D C   1 
ATOM 2377  O O   . ARG A 1 311 ? 293.197 -68.668  192.587 1.0 43.48383  ? 311 ARG D O   311 ARG D O   1 
ATOM 2378  C CB  . ARG A 1 311 ? 290.370 -68.450  190.859 1.0 43.48383  ? 311 ARG D CB  311 ARG D CB  1 
ATOM 2379  C CG  . ARG A 1 311 ? 289.355 -69.527  191.185 1.0 43.48383  ? 311 ARG D CG  311 ARG D CG  1 
ATOM 2380  C CD  . ARG A 1 311 ? 288.743 -70.091  189.927 1.0 43.48383  ? 311 ARG D CD  311 ARG D CD  1 
ATOM 2381  N NE  . ARG A 1 311 ? 287.887 -69.124  189.249 1.0 43.48383  ? 311 ARG D NE  311 ARG D NE  1 
ATOM 2382  C CZ  . ARG A 1 311 ? 288.160 -68.578  188.070 1.0 43.48383  ? 311 ARG D CZ  311 ARG D CZ  1 
ATOM 2383  N NH1 . ARG A 1 311 ? 289.276 -68.893  187.434 1.0 43.48383  ? 311 ARG D NH1 311 ARG D NH1 1 
ATOM 2384  N NH2 . ARG A 1 311 ? 287.316 -67.712  187.528 1.0 43.48383  ? 311 ARG D NH2 311 ARG D NH2 1 
ATOM 2385  N N   . ASN A 1 312 ? 291.420 -69.469  193.712 1.0 40.69847  ? 312 ASN D N   312 ASN D N   1 
ATOM 2386  C CA  . ASN A 1 312 ? 292.172 -70.500  194.426 1.0 40.69847  ? 312 ASN D CA  312 ASN D CA  1 
ATOM 2387  C C   . ASN A 1 312 ? 291.362 -71.790  194.320 1.0 40.69847  ? 312 ASN D C   312 ASN D C   1 
ATOM 2388  O O   . ASN A 1 312 ? 290.506 -72.069  195.162 1.0 40.69847  ? 312 ASN D O   312 ASN D O   1 
ATOM 2389  C CB  . ASN A 1 312 ? 292.428 -70.098  195.868 1.0 40.69847  ? 312 ASN D CB  312 ASN D CB  1 
ATOM 2390  C CG  . ASN A 1 312 ? 293.578 -70.850  196.480 1.0 40.69847  ? 312 ASN D CG  312 ASN D CG  1 
ATOM 2391  O OD1 . ASN A 1 312 ? 294.159 -71.727  195.850 1.0 40.69847  ? 312 ASN D OD1 312 ASN D OD1 1 
ATOM 2392  N ND2 . ASN A 1 312 ? 293.941 -70.487  197.700 1.0 40.69847  ? 312 ASN D ND2 312 ASN D ND2 1 
ATOM 2393  N N   . SER A 1 313 ? 291.629 -72.574  193.276 1.0 39.59262  ? 313 SER D N   313 SER D N   1 
ATOM 2394  C CA  . SER A 1 313 ? 290.854 -73.778  193.017 1.0 39.59262  ? 313 SER D CA  313 SER D CA  1 
ATOM 2395  C C   . SER A 1 313 ? 291.268 -74.946  193.893 1.0 39.59262  ? 313 SER D C   313 SER D C   1 
ATOM 2396  O O   . SER A 1 313 ? 290.500 -75.902  194.029 1.0 39.59262  ? 313 SER D O   313 SER D O   1 
ATOM 2397  C CB  . SER A 1 313 ? 290.977 -74.181  191.548 1.0 39.59262  ? 313 SER D CB  313 SER D CB  1 
ATOM 2398  O OG  . SER A 1 313 ? 290.404 -73.205  190.697 1.0 39.59262  ? 313 SER D OG  313 SER D OG  1 
ATOM 2399  N N   . GLU A 1 314 ? 292.458 -74.901  194.481 1.0 39.53308  ? 314 GLU D N   314 GLU D N   1 
ATOM 2400  C CA  . GLU A 1 314 ? 292.914 -75.974  195.347 1.0 39.53308  ? 314 GLU D CA  314 GLU D CA  1 
ATOM 2401  C C   . GLU A 1 314 ? 292.594 -75.728  196.809 1.0 39.53308  ? 314 GLU D C   314 GLU D C   1 
ATOM 2402  O O   . GLU A 1 314 ? 292.708 -76.655  197.612 1.0 39.53308  ? 314 GLU D O   314 GLU D O   1 
ATOM 2403  C CB  . GLU A 1 314 ? 294.414 -76.188  195.168 1.0 39.53308  ? 314 GLU D CB  314 GLU D CB  1 
ATOM 2404  C CG  . GLU A 1 314 ? 294.759 -76.791  193.823 1.0 39.53308  ? 314 GLU D CG  314 GLU D CG  1 
ATOM 2405  C CD  . GLU A 1 314 ? 296.244 -76.933  193.610 1.0 39.53308  ? 314 GLU D CD  314 GLU D CD  1 
ATOM 2406  O OE1 . GLU A 1 314 ? 297.009 -76.392  194.430 1.0 39.53308  ? 314 GLU D OE1 314 GLU D OE1 1 
ATOM 2407  O OE2 . GLU A 1 314 ? 296.649 -77.595  192.633 1.0 39.53308  ? 314 GLU D OE2 314 GLU D OE2 1 
ATOM 2408  N N   . LEU A 1 315 ? 292.208 -74.511  197.175 1.0 37.17849  ? 315 LEU D N   315 LEU D N   1 
ATOM 2409  C CA  . LEU A 1 315 ? 291.620 -74.278  198.485 1.0 37.17849  ? 315 LEU D CA  315 LEU D CA  1 
ATOM 2410  C C   . LEU A 1 315 ? 290.108 -74.396  198.449 1.0 37.17849  ? 315 LEU D C   315 LEU D C   1 
ATOM 2411  O O   . LEU A 1 315 ? 289.499 -74.783  199.453 1.0 37.17849  ? 315 LEU D O   315 LEU D O   1 
ATOM 2412  C CB  . LEU A 1 315 ? 292.030 -72.902  199.010 1.0 37.17849  ? 315 LEU D CB  315 LEU D CB  1 
ATOM 2413  C CG  . LEU A 1 315 ? 291.541 -72.464  200.387 1.0 37.17849  ? 315 LEU D CG  315 LEU D CG  1 
ATOM 2414  C CD1 . LEU A 1 315 ? 291.947 -73.464  201.429 1.0 37.17849  ? 315 LEU D CD1 315 LEU D CD1 1 
ATOM 2415  C CD2 . LEU A 1 315 ? 292.110 -71.122  200.719 1.0 37.17849  ? 315 LEU D CD2 315 LEU D CD2 1 
ATOM 2416  N N   . SER A 1 316 ? 289.505 -74.095  197.297 1.0 37.583    ? 316 SER D N   316 SER D N   1 
ATOM 2417  C CA  . SER A 1 316 ? 288.072 -74.285  197.111 1.0 37.583    ? 316 SER D CA  316 SER D CA  1 
ATOM 2418  C C   . SER A 1 316 ? 287.669 -75.740  197.269 1.0 37.583    ? 316 SER D C   316 SER D C   1 
ATOM 2419  O O   . SER A 1 316 ? 286.591 -76.031  197.794 1.0 37.583    ? 316 SER D O   316 SER D O   1 
ATOM 2420  C CB  . SER A 1 316 ? 287.662 -73.790  195.731 1.0 37.583    ? 316 SER D CB  316 SER D CB  1 
ATOM 2421  O OG  . SER A 1 316 ? 286.281 -74.006  195.512 1.0 37.583    ? 316 SER D OG  316 SER D OG  1 
ATOM 2422  N N   . TYR A 1 317 ? 288.521 -76.663  196.837 1.0 37.65084  ? 317 TYR D N   317 TYR D N   1 
ATOM 2423  C CA  . TYR A 1 317 ? 288.248 -78.075  197.028 1.0 37.65084  ? 317 TYR D CA  317 TYR D CA  1 
ATOM 2424  C C   . TYR A 1 317 ? 288.462 -78.512  198.467 1.0 37.65084  ? 317 TYR D C   317 TYR D C   1 
ATOM 2425  O O   . TYR A 1 317 ? 287.853 -79.493  198.898 1.0 37.65084  ? 317 TYR D O   317 TYR D O   1 
ATOM 2426  C CB  . TYR A 1 317 ? 289.127 -78.901  196.093 1.0 37.65084  ? 317 TYR D CB  317 TYR D CB  1 
ATOM 2427  C CG  . TYR A 1 317 ? 288.836 -80.378  196.097 1.0 37.65084  ? 317 TYR D CG  317 TYR D CG  1 
ATOM 2428  C CD1 . TYR A 1 317 ? 287.724 -80.887  195.445 1.0 37.65084  ? 317 TYR D CD1 317 TYR D CD1 1 
ATOM 2429  C CD2 . TYR A 1 317 ? 289.677 -81.263  196.744 1.0 37.65084  ? 317 TYR D CD2 317 TYR D CD2 1 
ATOM 2430  C CE1 . TYR A 1 317 ? 287.460 -82.240  195.443 1.0 37.65084  ? 317 TYR D CE1 317 TYR D CE1 1 
ATOM 2431  C CE2 . TYR A 1 317 ? 289.424 -82.612  196.742 1.0 37.65084  ? 317 TYR D CE2 317 TYR D CE2 1 
ATOM 2432  C CZ  . TYR A 1 317 ? 288.315 -83.096  196.095 1.0 37.65084  ? 317 TYR D CZ  317 TYR D CZ  1 
ATOM 2433  O OH  . TYR A 1 317 ? 288.073 -84.447  196.107 1.0 37.65084  ? 317 TYR D OH  317 TYR D OH  1 
ATOM 2434  N N   . GLN A 1 318 ? 289.301 -77.808  199.223 1.0 36.88368  ? 318 GLN D N   318 GLN D N   1 
ATOM 2435  C CA  . GLN A 1 318 ? 289.507 -78.174  200.617 1.0 36.88368  ? 318 GLN D CA  318 GLN D CA  1 
ATOM 2436  C C   . GLN A 1 318 ? 288.337 -77.767  201.494 1.0 36.88368  ? 318 GLN D C   318 GLN D C   1 
ATOM 2437  O O   . GLN A 1 318 ? 288.004 -78.482  202.443 1.0 36.88368  ? 318 GLN D O   318 GLN D O   1 
ATOM 2438  C CB  . GLN A 1 318 ? 290.791 -77.546  201.144 1.0 36.88368  ? 318 GLN D CB  318 GLN D CB  1 
ATOM 2439  C CG  . GLN A 1 318 ? 292.022 -78.097  200.497 1.0 36.88368  ? 318 GLN D CG  318 GLN D CG  1 
ATOM 2440  C CD  . GLN A 1 318 ? 292.184 -79.565  200.762 1.0 36.88368  ? 318 GLN D CD  318 GLN D CD  1 
ATOM 2441  O OE1 . GLN A 1 318 ? 292.032 -80.390  199.866 1.0 36.88368  ? 318 GLN D OE1 318 GLN D OE1 1 
ATOM 2442  N NE2 . GLN A 1 318 ? 292.489 -79.906  202.003 1.0 36.88368  ? 318 GLN D NE2 318 GLN D NE2 1 
ATOM 2443  N N   . TYR A 1 319 ? 287.706 -76.635  201.201 1.0 35.55493  ? 319 TYR D N   319 TYR D N   1 
ATOM 2444  C CA  . TYR A 1 319 ? 286.549 -76.231  201.985 1.0 35.55493  ? 319 TYR D CA  319 TYR D CA  1 
ATOM 2445  C C   . TYR A 1 319 ? 285.289 -76.954  201.544 1.0 35.55493  ? 319 TYR D C   319 TYR D C   1 
ATOM 2446  O O   . TYR A 1 319 ? 284.383 -77.154  202.358 1.0 35.55493  ? 319 TYR D O   319 TYR D O   1 
ATOM 2447  C CB  . TYR A 1 319 ? 286.342 -74.720  201.900 1.0 35.55493  ? 319 TYR D CB  319 TYR D CB  1 
ATOM 2448  C CG  . TYR A 1 319 ? 287.348 -73.907  202.680 1.0 35.55493  ? 319 TYR D CG  319 TYR D CG  1 
ATOM 2449  C CD1 . TYR A 1 319 ? 288.202 -74.508  203.586 1.0 35.55493  ? 319 TYR D CD1 319 TYR D CD1 1 
ATOM 2450  C CD2 . TYR A 1 319 ? 287.420 -72.535  202.532 1.0 35.55493  ? 319 TYR D CD2 319 TYR D CD2 1 
ATOM 2451  C CE1 . TYR A 1 319 ? 289.115 -73.771  204.302 1.0 35.55493  ? 319 TYR D CE1 319 TYR D CE1 1 
ATOM 2452  C CE2 . TYR A 1 319 ? 288.333 -71.787  203.249 1.0 35.55493  ? 319 TYR D CE2 319 TYR D CE2 1 
ATOM 2453  C CZ  . TYR A 1 319 ? 289.176 -72.415  204.133 1.0 35.55493  ? 319 TYR D CZ  319 TYR D CZ  1 
ATOM 2454  O OH  . TYR A 1 319 ? 290.091 -71.695  204.857 1.0 35.55493  ? 319 TYR D OH  319 TYR D OH  1 
ATOM 2455  N N   . LEU A 1 320 ? 285.209 -77.345  200.273 1.0 36.08497  ? 320 LEU D N   320 LEU D N   1 
ATOM 2456  C CA  . LEU A 1 320 ? 284.049 -78.091  199.801 1.0 36.08497  ? 320 LEU D CA  320 LEU D CA  1 
ATOM 2457  C C   . LEU A 1 320 ? 284.046 -79.505  200.356 1.0 36.08497  ? 320 LEU D C   320 LEU D C   1 
ATOM 2458  O O   . LEU A 1 320 ? 282.998 -80.022  200.753 1.0 36.08497  ? 320 LEU D O   320 LEU D O   1 
ATOM 2459  C CB  . LEU A 1 320 ? 284.030 -78.122  198.277 1.0 36.08497  ? 320 LEU D CB  320 LEU D CB  1 
ATOM 2460  C CG  . LEU A 1 320 ? 282.854 -78.849  197.638 1.0 36.08497  ? 320 LEU D CG  320 LEU D CG  1 
ATOM 2461  C CD1 . LEU A 1 320 ? 281.558 -78.168  198.008 1.0 36.08497  ? 320 LEU D CD1 320 LEU D CD1 1 
ATOM 2462  C CD2 . LEU A 1 320 ? 283.023 -78.887  196.141 1.0 36.08497  ? 320 LEU D CD2 320 LEU D CD2 1 
ATOM 2463  N N   . LEU A 1 321 ? 285.213 -80.140  200.399 1.0 36.80569  ? 321 LEU D N   321 LEU D N   1 
ATOM 2464  C CA  . LEU A 1 321 ? 285.303 -81.497  200.911 1.0 36.80569  ? 321 LEU D CA  321 LEU D CA  1 
ATOM 2465  C C   . LEU A 1 321 ? 285.144 -81.550  202.422 1.0 36.80569  ? 321 LEU D C   321 LEU D C   1 
ATOM 2466  O O   . LEU A 1 321 ? 284.729 -82.584  202.952 1.0 36.80569  ? 321 LEU D O   321 LEU D O   1 
ATOM 2467  C CB  . LEU A 1 321 ? 286.627 -82.105  200.453 1.0 36.80569  ? 321 LEU D CB  321 LEU D CB  1 
ATOM 2468  C CG  . LEU A 1 321 ? 286.985 -83.557  200.718 1.0 36.80569  ? 321 LEU D CG  321 LEU D CG  1 
ATOM 2469  C CD1 . LEU A 1 321 ? 287.709 -84.101  199.526 1.0 36.80569  ? 321 LEU D CD1 321 LEU D CD1 1 
ATOM 2470  C CD2 . LEU A 1 321 ? 287.907 -83.615  201.903 1.0 36.80569  ? 321 LEU D CD2 321 LEU D CD2 1 
ATOM 2471  N N   . ALA A 1 322 ? 285.448 -80.462  203.126 1.0 37.31095  ? 322 ALA D N   322 ALA D N   1 
ATOM 2472  C CA  . ALA A 1 322 ? 285.200 -80.401  204.558 1.0 37.31095  ? 322 ALA D CA  322 ALA D CA  1 
ATOM 2473  C C   . ALA A 1 322 ? 283.762 -80.036  204.886 1.0 37.31095  ? 322 ALA D C   322 ALA D C   1 
ATOM 2474  O O   . ALA A 1 322 ? 283.351 -80.187  206.040 1.0 37.31095  ? 322 ALA D O   322 ALA D O   1 
ATOM 2475  C CB  . ALA A 1 322 ? 286.145 -79.400  205.219 1.0 37.31095  ? 322 ALA D CB  322 ALA D CB  1 
ATOM 2476  N N   . ASP A 1 323 ? 282.995 -79.562  203.908 1.0 40.33099  ? 323 ASP D N   323 ASP D N   1 
ATOM 2477  C CA  . ASP A 1 323 ? 281.588 -79.254  204.115 1.0 40.33099  ? 323 ASP D CA  323 ASP D CA  1 
ATOM 2478  C C   . ASP A 1 323 ? 280.677 -80.417  203.760 1.0 40.33099  ? 323 ASP D C   323 ASP D C   1 
ATOM 2479  O O   . ASP A 1 323 ? 279.635 -80.595  204.399 1.0 40.33099  ? 323 ASP D O   323 ASP D O   1 
ATOM 2480  C CB  . ASP A 1 323 ? 281.190 -78.033  203.287 1.0 40.33099  ? 323 ASP D CB  323 ASP D CB  1 
ATOM 2481  C CG  . ASP A 1 323 ? 279.775 -77.585  203.558 1.0 40.33099  ? 323 ASP D CG  323 ASP D CG  1 
ATOM 2482  O OD1 . ASP A 1 323 ? 279.540 -76.965  204.615 1.0 40.33099  ? 323 ASP D OD1 323 ASP D OD1 1 
ATOM 2483  O OD2 . ASP A 1 323 ? 278.893 -77.863  202.720 1.0 40.33099  ? 323 ASP D OD2 323 ASP D OD2 1 
ATOM 2484  N N   . LEU A 1 324 ? 281.043 -81.210  202.754 1.0 39.81653  ? 324 LEU D N   324 LEU D N   1 
ATOM 2485  C CA  . LEU A 1 324 ? 280.232 -82.366  202.392 1.0 39.81653  ? 324 LEU D CA  324 LEU D CA  1 
ATOM 2486  C C   . LEU A 1 324 ? 280.368 -83.472  203.427 1.0 39.81653  ? 324 LEU D C   324 LEU D C   1 
ATOM 2487  O O   . LEU A 1 324 ? 279.369 -83.967  203.958 1.0 39.81653  ? 324 LEU D O   324 LEU D O   1 
ATOM 2488  C CB  . LEU A 1 324 ? 280.636 -82.883  201.015 1.0 39.81653  ? 324 LEU D CB  324 LEU D CB  1 
ATOM 2489  C CG  . LEU A 1 324 ? 280.386 -81.970  199.822 1.0 39.81653  ? 324 LEU D CG  324 LEU D CG  1 
ATOM 2490  C CD1 . LEU A 1 324 ? 280.955 -82.605  198.573 1.0 39.81653  ? 324 LEU D CD1 324 LEU D CD1 1 
ATOM 2491  C CD2 . LEU A 1 324 ? 278.906 -81.697  199.661 1.0 39.81653  ? 324 LEU D CD2 324 LEU D CD2 1 
ATOM 2492  N N   . THR A 1 325 ? 281.595 -83.872  203.721 1.0 41.31311  ? 325 THR D N   325 THR D N   1 
ATOM 2493  C CA  . THR A 1 325 ? 281.878 -84.981  204.615 1.0 41.31311  ? 325 THR D CA  325 THR D CA  1 
ATOM 2494  C C   . THR A 1 325 ? 282.562 -84.468  205.874 1.0 41.31311  ? 325 THR D C   325 THR D C   1 
ATOM 2495  O O   . THR A 1 325 ? 282.760 -83.267  206.064 1.0 41.31311  ? 325 THR D O   325 THR D O   1 
ATOM 2496  C CB  . THR A 1 325 ? 282.755 -86.022  203.918 1.0 41.31311  ? 325 THR D CB  325 THR D CB  1 
ATOM 2497  O OG1 . THR A 1 325 ? 284.031 -85.446  203.622 1.0 41.31311  ? 325 THR D OG1 325 THR D OG1 1 
ATOM 2498  C CG2 . THR A 1 325 ? 282.112 -86.478  202.620 1.0 41.31311  ? 325 THR D CG2 325 THR D CG2 1 
ATOM 2499  N N   . SER A 1 326 ? 282.922 -85.402  206.743 1.0 43.13363  ? 326 SER D N   326 SER D N   1 
ATOM 2500  C CA  . SER A 1 326 ? 283.764 -85.116  207.890 1.0 43.13363  ? 326 SER D CA  326 SER D CA  1 
ATOM 2501  C C   . SER A 1 326 ? 285.196 -85.502  207.562 1.0 43.13363  ? 326 SER D C   326 SER D C   1 
ATOM 2502  O O   . SER A 1 326 ? 285.445 -86.420  206.780 1.0 43.13363  ? 326 SER D O   326 SER D O   1 
ATOM 2503  C CB  . SER A 1 326 ? 283.291 -85.872  209.130 1.0 43.13363  ? 326 SER D CB  326 SER D CB  1 
ATOM 2504  O OG  . SER A 1 326 ? 284.156 -85.631  210.224 1.0 43.13363  ? 326 SER D OG  326 SER D OG  1 
ATOM 2505  N N   . ARG A 1 327 ? 286.137 -84.790  208.167 1.0 43.82346  ? 327 ARG D N   327 ARG D N   1 
ATOM 2506  C CA  . ARG A 1 327 ? 287.543 -84.963  207.851 1.0 43.82346  ? 327 ARG D CA  327 ARG D CA  1 
ATOM 2507  C C   . ARG A 1 327 ? 288.238 -85.981  208.743 1.0 43.82346  ? 327 ARG D C   327 ARG D C   1 
ATOM 2508  O O   . ARG A 1 327 ? 289.456 -86.141  208.641 1.0 43.82346  ? 327 ARG D O   327 ARG D O   1 
ATOM 2509  C CB  . ARG A 1 327 ? 288.261 -83.622  207.936 1.0 43.82346  ? 327 ARG D CB  327 ARG D CB  1 
ATOM 2510  C CG  . ARG A 1 327 ? 287.746 -82.599  206.962 1.0 43.82346  ? 327 ARG D CG  327 ARG D CG  1 
ATOM 2511  C CD  . ARG A 1 327 ? 287.908 -83.059  205.531 1.0 43.82346  ? 327 ARG D CD  327 ARG D CD  1 
ATOM 2512  N NE  . ARG A 1 327 ? 289.294 -83.267  205.119 1.0 43.82346  ? 327 ARG D NE  327 ARG D NE  1 
ATOM 2513  C CZ  . ARG A 1 327 ? 290.074 -82.316  204.617 1.0 43.82346  ? 327 ARG D CZ  327 ARG D CZ  1 
ATOM 2514  N NH1 . ARG A 1 327 ? 289.606 -81.086  204.471 1.0 43.82346  ? 327 ARG D NH1 327 ARG D NH1 1 
ATOM 2515  N NH2 . ARG A 1 327 ? 291.320 -82.591  204.261 1.0 43.82346  ? 327 ARG D NH2 327 ARG D NH2 1 
ATOM 2516  N N   . TRP A 1 328 ? 287.499 -86.677  209.606 1.0 48.73748  ? 328 TRP D N   328 TRP D N   1 
ATOM 2517  C CA  . TRP A 1 328 ? 288.113 -87.689  210.456 1.0 48.73748  ? 328 TRP D CA  328 TRP D CA  1 
ATOM 2518  C C   . TRP A 1 328 ? 288.524 -88.928  209.673 1.0 48.73748  ? 328 TRP D C   328 TRP D C   1 
ATOM 2519  O O   . TRP A 1 328 ? 289.455 -89.627  210.083 1.0 48.73748  ? 328 TRP D O   328 TRP D O   1 
ATOM 2520  C CB  . TRP A 1 328 ? 287.151 -88.072  211.583 1.0 48.73748  ? 328 TRP D CB  328 TRP D CB  1 
ATOM 2521  C CG  . TRP A 1 328 ? 287.707 -89.070  212.552 1.0 48.73748  ? 328 TRP D CG  328 TRP D CG  1 
ATOM 2522  C CD1 . TRP A 1 328 ? 288.772 -88.896  213.383 1.0 48.73748  ? 328 TRP D CD1 328 TRP D CD1 1 
ATOM 2523  C CD2 . TRP A 1 328 ? 287.227 -90.398  212.790 1.0 48.73748  ? 328 TRP D CD2 328 TRP D CD2 1 
ATOM 2524  N NE1 . TRP A 1 328 ? 288.987 -90.032  214.124 1.0 48.73748  ? 328 TRP D NE1 328 TRP D NE1 1 
ATOM 2525  C CE2 . TRP A 1 328 ? 288.050 -90.970  213.778 1.0 48.73748  ? 328 TRP D CE2 328 TRP D CE2 1 
ATOM 2526  C CE3 . TRP A 1 328 ? 286.179 -91.159  212.264 1.0 48.73748  ? 328 TRP D CE3 328 TRP D CE3 1 
ATOM 2527  C CZ2 . TRP A 1 328 ? 287.860 -92.267  214.250 1.0 48.73748  ? 328 TRP D CZ2 328 TRP D CZ2 1 
ATOM 2528  C CZ3 . TRP A 1 328 ? 285.991 -92.448  212.733 1.0 48.73748  ? 328 TRP D CZ3 328 TRP D CZ3 1 
ATOM 2529  C CH2 . TRP A 1 328 ? 286.826 -92.988  213.716 1.0 48.73748  ? 328 TRP D CH2 328 TRP D CH2 1 
ATOM 2530  N N   . HIS A 1 329 ? 287.877 -89.196  208.544 1.0 46.2859   ? 329 HIS D N   329 HIS D N   1 
ATOM 2531  C CA  . HIS A 1 329 ? 288.053 -90.449  207.829 1.0 46.2859   ? 329 HIS D CA  329 HIS D CA  1 
ATOM 2532  C C   . HIS A 1 329 ? 289.194 -90.358  206.828 1.0 46.2859   ? 329 HIS D C   329 HIS D C   1 
ATOM 2533  O O   . HIS A 1 329 ? 289.395 -89.324  206.187 1.0 46.2859   ? 329 HIS D O   329 HIS D O   1 
ATOM 2534  C CB  . HIS A 1 329 ? 286.761 -90.827  207.111 1.0 46.2859   ? 329 HIS D CB  329 HIS D CB  1 
ATOM 2535  C CG  . HIS A 1 329 ? 285.607 -91.048  208.034 1.0 46.2859   ? 329 HIS D CG  329 HIS D CG  1 
ATOM 2536  N ND1 . HIS A 1 329 ? 285.494 -92.167  208.828 1.0 46.2859   ? 329 HIS D ND1 329 HIS D ND1 1 
ATOM 2537  C CD2 . HIS A 1 329 ? 284.513 -90.293  208.290 1.0 46.2859   ? 329 HIS D CD2 329 HIS D CD2 1 
ATOM 2538  C CE1 . HIS A 1 329 ? 284.377 -92.096  209.529 1.0 46.2859   ? 329 HIS D CE1 329 HIS D CE1 1 
ATOM 2539  N NE2 . HIS A 1 329 ? 283.765 -90.967  209.223 1.0 46.2859   ? 329 HIS D NE2 329 HIS D NE2 1 
ATOM 2540  N N   . TYR A 1 330 ? 289.933 -91.456  206.693 1.0 44.16224  ? 330 TYR D N   330 TYR D N   1 
ATOM 2541  C CA  . TYR A 1 330 ? 291.049 -91.561  205.761 1.0 44.16224  ? 330 TYR D CA  330 TYR D CA  1 
ATOM 2542  C C   . TYR A 1 330 ? 290.571 -92.323  204.535 1.0 44.16224  ? 330 TYR D C   330 TYR D C   1 
ATOM 2543  O O   . TYR A 1 330 ? 290.301 -93.524  204.613 1.0 44.16224  ? 330 TYR D O   330 TYR D O   1 
ATOM 2544  C CB  . TYR A 1 330 ? 292.234 -92.275  206.406 1.0 44.16224  ? 330 TYR D CB  330 TYR D CB  1 
ATOM 2545  C CG  . TYR A 1 330 ? 292.952 -91.484  207.472 1.0 44.16224  ? 330 TYR D CG  330 TYR D CG  1 
ATOM 2546  C CD1 . TYR A 1 330 ? 292.800 -90.110  207.570 1.0 44.16224  ? 330 TYR D CD1 330 TYR D CD1 1 
ATOM 2547  C CD2 . TYR A 1 330 ? 293.783 -92.118  208.383 1.0 44.16224  ? 330 TYR D CD2 330 TYR D CD2 1 
ATOM 2548  C CE1 . TYR A 1 330 ? 293.457 -89.389  208.543 1.0 44.16224  ? 330 TYR D CE1 330 TYR D CE1 1 
ATOM 2549  C CE2 . TYR A 1 330 ? 294.443 -91.405  209.360 1.0 44.16224  ? 330 TYR D CE2 330 TYR D CE2 1 
ATOM 2550  C CZ  . TYR A 1 330 ? 294.276 -90.042  209.434 1.0 44.16224  ? 330 TYR D CZ  330 TYR D CZ  1 
ATOM 2551  O OH  . TYR A 1 330 ? 294.929 -89.325  210.406 1.0 44.16224  ? 330 TYR D OH  330 TYR D OH  1 
ATOM 2552  N N   . PHE A 1 331 ? 290.471 -91.636  203.409 1.0 38.74273  ? 331 PHE D N   331 PHE D N   1 
ATOM 2553  C CA  . PHE A 1 331 ? 290.003 -92.235  202.166 1.0 38.74273  ? 331 PHE D CA  331 PHE D CA  1 
ATOM 2554  C C   . PHE A 1 331 ? 291.198 -92.316  201.229 1.0 38.74273  ? 331 PHE D C   331 PHE D C   1 
ATOM 2555  O O   . PHE A 1 331 ? 291.716 -91.287  200.788 1.0 38.74273  ? 331 PHE D O   331 PHE D O   1 
ATOM 2556  C CB  . PHE A 1 331 ? 288.857 -91.416  201.581 1.0 38.74273  ? 331 PHE D CB  331 PHE D CB  1 
ATOM 2557  C CG  . PHE A 1 331 ? 288.215 -92.029  200.377 1.0 38.74273  ? 331 PHE D CG  331 PHE D CG  1 
ATOM 2558  C CD1 . PHE A 1 331 ? 287.478 -93.192  200.482 1.0 38.74273  ? 331 PHE D CD1 331 PHE D CD1 1 
ATOM 2559  C CD2 . PHE A 1 331 ? 288.289 -91.405  199.151 1.0 38.74273  ? 331 PHE D CD2 331 PHE D CD2 1 
ATOM 2560  C CE1 . PHE A 1 331 ? 286.870 -93.741  199.371 1.0 38.74273  ? 331 PHE D CE1 331 PHE D CE1 1 
ATOM 2561  C CE2 . PHE A 1 331 ? 287.671 -91.946  198.049 1.0 38.74273  ? 331 PHE D CE2 331 PHE D CE2 1 
ATOM 2562  C CZ  . PHE A 1 331 ? 286.971 -93.119  198.159 1.0 38.74273  ? 331 PHE D CZ  331 PHE D CZ  1 
ATOM 2563  N N   . ALA A 1 332 ? 291.641 -93.536  200.940 1.0 39.20412  ? 332 ALA D N   332 ALA D N   1 
ATOM 2564  C CA  . ALA A 1 332 ? 292.927 -93.747  200.294 1.0 39.20412  ? 332 ALA D CA  332 ALA D CA  1 
ATOM 2565  C C   . ALA A 1 332 ? 292.905 -93.547  198.789 1.0 39.20412  ? 332 ALA D C   332 ALA D C   1 
ATOM 2566  O O   . ALA A 1 332 ? 293.975 -93.577  198.176 1.0 39.20412  ? 332 ALA D O   332 ALA D O   1 
ATOM 2567  C CB  . ALA A 1 332 ? 293.443 -95.154  200.591 1.0 39.20412  ? 332 ALA D CB  332 ALA D CB  1 
ATOM 2568  N N   . LEU A 1 333 ? 291.738 -93.373  198.168 1.0 37.95505  ? 333 LEU D N   333 LEU D N   1 
ATOM 2569  C CA  . LEU A 1 333 ? 291.713 -93.223  196.716 1.0 37.95505  ? 333 LEU D CA  333 LEU D CA  1 
ATOM 2570  C C   . LEU A 1 333 ? 292.235 -91.855  196.314 1.0 37.95505  ? 333 LEU D C   333 LEU D C   1 
ATOM 2571  O O   . LEU A 1 333 ? 293.241 -91.746  195.607 1.0 37.95505  ? 333 LEU D O   333 LEU D O   1 
ATOM 2572  C CB  . LEU A 1 333 ? 290.302 -93.440  196.171 1.0 37.95505  ? 333 LEU D CB  333 LEU D CB  1 
ATOM 2573  C CG  . LEU A 1 333 ? 290.119 -93.684  194.667 1.0 37.95505  ? 333 LEU D CG  333 LEU D CG  1 
ATOM 2574  C CD1 . LEU A 1 333 ? 288.954 -94.592  194.489 1.0 37.95505  ? 333 LEU D CD1 333 LEU D CD1 1 
ATOM 2575  C CD2 . LEU A 1 333 ? 289.862 -92.428  193.845 1.0 37.95505  ? 333 LEU D CD2 333 LEU D CD2 1 
ATOM 2576  N N   . TRP A 1 334 ? 291.586 -90.793  196.790 1.0 37.70363  ? 334 TRP D N   334 TRP D N   1 
ATOM 2577  C CA  . TRP A 1 334 ? 291.986 -89.438  196.452 1.0 37.70363  ? 334 TRP D CA  334 TRP D CA  1 
ATOM 2578  C C   . TRP A 1 334 ? 293.114 -88.921  197.316 1.0 37.70363  ? 334 TRP D C   334 TRP D C   1 
ATOM 2579  O O   . TRP A 1 334 ? 293.344 -87.712  197.306 1.0 37.70363  ? 334 TRP D O   334 TRP D O   1 
ATOM 2580  C CB  . TRP A 1 334 ? 290.814 -88.469  196.577 1.0 37.70363  ? 334 TRP D CB  334 TRP D CB  1 
ATOM 2581  C CG  . TRP A 1 334 ? 289.622 -88.832  195.760 1.0 37.70363  ? 334 TRP D CG  334 TRP D CG  1 
ATOM 2582  C CD1 . TRP A 1 334 ? 288.422 -89.207  196.234 1.0 37.70363  ? 334 TRP D CD1 334 TRP D CD1 1 
ATOM 2583  C CD2 . TRP A 1 334 ? 289.541 -88.919  194.340 1.0 37.70363  ? 334 TRP D CD2 334 TRP D CD2 1 
ATOM 2584  N NE1 . TRP A 1 334 ? 287.575 -89.494  195.214 1.0 37.70363  ? 334 TRP D NE1 334 TRP D NE1 1 
ATOM 2585  C CE2 . TRP A 1 334 ? 288.237 -89.324  194.031 1.0 37.70363  ? 334 TRP D CE2 334 TRP D CE2 1 
ATOM 2586  C CE3 . TRP A 1 334 ? 290.438 -88.684  193.300 1.0 37.70363  ? 334 TRP D CE3 334 TRP D CE3 1 
ATOM 2587  C CZ2 . TRP A 1 334 ? 287.803 -89.506  192.723 1.0 37.70363  ? 334 TRP D CZ2 334 TRP D CZ2 1 
ATOM 2588  C CZ3 . TRP A 1 334 ? 290.023 -88.874  192.007 1.0 37.70363  ? 334 TRP D CZ3 334 TRP D CZ3 1 
ATOM 2589  C CH2 . TRP A 1 334 ? 288.705 -89.266  191.725 1.0 37.70363  ? 334 TRP D CH2 334 TRP D CH2 1 
ATOM 2590  N N   . ASN A 1 335 ? 293.808 -89.800  198.050 1.0 37.91166  ? 335 ASN D N   335 ASN D N   1 
ATOM 2591  C CA  . ASN A 1 335 ? 294.813 -89.435  199.056 1.0 37.91166  ? 335 ASN D CA  335 ASN D CA  1 
ATOM 2592  C C   . ASN A 1 335 ? 294.204 -88.492  200.090 1.0 37.91166  ? 335 ASN D C   335 ASN D C   1 
ATOM 2593  O O   . ASN A 1 335 ? 294.811 -87.504  200.499 1.0 37.91166  ? 335 ASN D O   335 ASN D O   1 
ATOM 2594  C CB  . ASN A 1 335 ? 296.066 -88.826  198.419 1.0 37.91166  ? 335 ASN D CB  335 ASN D CB  1 
ATOM 2595  C CG  . ASN A 1 335 ? 297.324 -89.151  199.180 1.0 37.91166  ? 335 ASN D CG  335 ASN D CG  1 
ATOM 2596  O OD1 . ASN A 1 335 ? 298.435 -88.864  198.737 1.0 37.91166  ? 335 ASN D OD1 335 ASN D OD1 1 
ATOM 2597  N ND2 . ASN A 1 335 ? 297.159 -89.816  200.301 1.0 37.91166  ? 335 ASN D ND2 335 ASN D ND2 1 
ATOM 2598  N N   . GLN A 1 336 ? 292.973 -88.792  200.490 1.0 39.01265  ? 336 GLN D N   336 GLN D N   1 
ATOM 2599  C CA  . GLN A 1 336 ? 292.173 -87.916  201.339 1.0 39.01265  ? 336 GLN D CA  336 GLN D CA  1 
ATOM 2600  C C   . GLN A 1 336 ? 292.535 -88.219  202.785 1.0 39.01265  ? 336 GLN D C   336 GLN D C   1 
ATOM 2601  O O   . GLN A 1 336 ? 291.992 -89.142  203.393 1.0 39.01265  ? 336 GLN D O   336 GLN D O   1 
ATOM 2602  C CB  . GLN A 1 336 ? 290.692 -88.127  201.045 1.0 39.01265  ? 336 GLN D CB  336 GLN D CB  1 
ATOM 2603  C CG  . GLN A 1 336 ? 289.715 -87.290  201.848 1.0 39.01265  ? 336 GLN D CG  336 GLN D CG  1 
ATOM 2604  C CD  . GLN A 1 336 ? 288.282 -87.512  201.403 1.0 39.01265  ? 336 GLN D CD  336 GLN D CD  1 
ATOM 2605  O OE1 . GLN A 1 336 ? 288.029 -88.220  200.434 1.0 39.01265  ? 336 GLN D OE1 336 GLN D OE1 1 
ATOM 2606  N NE2 . GLN A 1 336 ? 287.335 -86.941  202.136 1.0 39.01265  ? 336 GLN D NE2 336 GLN D NE2 1 
ATOM 2607  N N   . ALA A 1 337 ? 293.473 -87.448  203.328 1.0 40.97114  ? 337 ALA D N   337 ALA D N   1 
ATOM 2608  C CA  . ALA A 1 337 ? 293.951 -87.645  204.694 1.0 40.97114  ? 337 ALA D CA  337 ALA D CA  1 
ATOM 2609  C C   . ALA A 1 337 ? 294.496 -86.318  205.189 1.0 40.97114  ? 337 ALA D C   337 ALA D C   1 
ATOM 2610  O O   . ALA A 1 337 ? 295.398 -85.756  204.566 1.0 40.97114  ? 337 ALA D O   337 ALA D O   1 
ATOM 2611  C CB  . ALA A 1 337 ? 295.023 -88.723  204.748 1.0 40.97114  ? 337 ALA D CB  337 ALA D CB  1 
ATOM 2612  N N   . VAL A 1 338 ? 293.977 -85.840  206.321 1.0 43.68862  ? 338 VAL D N   338 VAL D N   1 
ATOM 2613  C CA  . VAL A 1 338 ? 294.128 -84.436  206.691 1.0 43.68862  ? 338 VAL D CA  338 VAL D CA  1 
ATOM 2614  C C   . VAL A 1 338 ? 295.533 -84.142  207.192 1.0 43.68862  ? 338 VAL D C   338 VAL D C   1 
ATOM 2615  O O   . VAL A 1 338 ? 296.326 -85.034  207.491 1.0 43.68862  ? 338 VAL D O   338 VAL D O   1 
ATOM 2616  C CB  . VAL A 1 338 ? 293.090 -84.064  207.756 1.0 43.68862  ? 338 VAL D CB  338 VAL D CB  1 
ATOM 2617  C CG1 . VAL A 1 338 ? 291.747 -84.268  207.201 1.0 43.68862  ? 338 VAL D CG1 338 VAL D CG1 1 
ATOM 2618  C CG2 . VAL A 1 338 ? 293.272 -84.931  208.990 1.0 43.68862  ? 338 VAL D CG2 338 VAL D CG2 1 
ATOM 2619  N N   . ASP A 1 339 ? 295.834 -82.854  207.287 1.0 46.79114  ? 339 ASP D N   339 ASP D N   1 
ATOM 2620  C CA  . ASP A 1 339 ? 296.970 -82.376  208.062 1.0 46.79114  ? 339 ASP D CA  339 ASP D CA  1 
ATOM 2621  C C   . ASP A 1 339 ? 296.450 -81.965  209.432 1.0 46.79114  ? 339 ASP D C   339 ASP D C   1 
ATOM 2622  O O   . ASP A 1 339 ? 295.696 -80.996  209.550 1.0 46.79114  ? 339 ASP D O   339 ASP D O   1 
ATOM 2623  C CB  . ASP A 1 339 ? 297.656 -81.203  207.370 1.0 46.79114  ? 339 ASP D CB  339 ASP D CB  1 
ATOM 2624  C CG  . ASP A 1 339 ? 298.406 -81.615  206.128 1.0 46.79114  ? 339 ASP D CG  339 ASP D CG  1 
ATOM 2625  O OD1 . ASP A 1 339 ? 298.906 -82.756  206.080 1.0 46.79114  ? 339 ASP D OD1 339 ASP D OD1 1 
ATOM 2626  O OD2 . ASP A 1 339 ? 298.494 -80.793  205.195 1.0 46.79114  ? 339 ASP D OD2 339 ASP D OD2 1 
ATOM 2627  N N   . ASP A 1 340 ? 296.828 -82.708  210.457 1.0 48.96551  ? 340 ASP D N   340 ASP D N   1 
ATOM 2628  C CA  . ASP A 1 340 ? 296.494 -82.368  211.827 1.0 48.96551  ? 340 ASP D CA  340 ASP D CA  1 
ATOM 2629  C C   . ASP A 1 340 ? 297.763 -82.308  212.668 1.0 48.96551  ? 340 ASP D C   340 ASP D C   1 
ATOM 2630  O O   . ASP A 1 340 ? 298.854 -82.657  212.218 1.0 48.96551  ? 340 ASP D O   340 ASP D O   1 
ATOM 2631  C CB  . ASP A 1 340 ? 295.486 -83.363  212.413 1.0 48.96551  ? 340 ASP D CB  340 ASP D CB  1 
ATOM 2632  C CG  . ASP A 1 340 ? 295.962 -84.804  212.331 1.0 48.96551  ? 340 ASP D CG  340 ASP D CG  1 
ATOM 2633  O OD1 . ASP A 1 340 ? 296.982 -85.070  211.666 1.0 48.96551  ? 340 ASP D OD1 340 ASP D OD1 1 
ATOM 2634  O OD2 . ASP A 1 340 ? 295.319 -85.677  212.948 1.0 48.96551  ? 340 ASP D OD2 340 ASP D OD2 1 
ATOM 2635  N N   . TYR A 1 341 ? 297.597 -81.867  213.908 1.0 49.34199  ? 341 TYR D N   341 TYR D N   1 
ATOM 2636  C CA  . TYR A 1 341 ? 298.675 -81.859  214.881 1.0 49.34199  ? 341 TYR D CA  341 TYR D CA  1 
ATOM 2637  C C   . TYR A 1 341 ? 298.216 -82.661  216.087 1.0 49.34199  ? 341 TYR D C   341 TYR D C   1 
ATOM 2638  O O   . TYR A 1 341 ? 297.184 -83.336  216.025 1.0 49.34199  ? 341 TYR D O   341 TYR D O   1 
ATOM 2639  C CB  . TYR A 1 341 ? 299.067 -80.426  215.254 1.0 49.34199  ? 341 TYR D CB  341 TYR D CB  1 
ATOM 2640  C CG  . TYR A 1 341 ? 297.961 -79.579  215.852 1.0 49.34199  ? 341 TYR D CG  341 TYR D CG  1 
ATOM 2641  C CD1 . TYR A 1 341 ? 297.131 -78.816  215.047 1.0 49.34199  ? 341 TYR D CD1 341 TYR D CD1 1 
ATOM 2642  C CD2 . TYR A 1 341 ? 297.771 -79.520  217.224 1.0 49.34199  ? 341 TYR D CD2 341 TYR D CD2 1 
ATOM 2643  C CE1 . TYR A 1 341 ? 296.131 -78.039  215.593 1.0 49.34199  ? 341 TYR D CE1 341 TYR D CE1 1 
ATOM 2644  C CE2 . TYR A 1 341 ? 296.775 -78.751  217.778 1.0 49.34199  ? 341 TYR D CE2 341 TYR D CE2 1 
ATOM 2645  C CZ  . TYR A 1 341 ? 295.961 -78.010  216.960 1.0 49.34199  ? 341 TYR D CZ  341 TYR D CZ  1 
ATOM 2646  O OH  . TYR A 1 341 ? 294.971 -77.241  217.523 1.0 49.34199  ? 341 TYR D OH  341 TYR D OH  1 
ATOM 2647  N N   . ASP A 1 342 ? 298.966 -82.616  217.177 1.0 53.54655  ? 342 ASP D N   342 ASP D N   1 
ATOM 2648  C CA  . ASP A 1 342 ? 298.572 -83.290  218.400 1.0 53.54655  ? 342 ASP D CA  342 ASP D CA  1 
ATOM 2649  C C   . ASP A 1 342 ? 298.167 -82.250  219.431 1.0 53.54655  ? 342 ASP D C   342 ASP D C   1 
ATOM 2650  O O   . ASP A 1 342 ? 298.857 -81.245  219.620 1.0 53.54655  ? 342 ASP D O   342 ASP D O   1 
ATOM 2651  C CB  . ASP A 1 342 ? 299.707 -84.158  218.942 1.0 53.54655  ? 342 ASP D CB  342 ASP D CB  1 
ATOM 2652  C CG  . ASP A 1 342 ? 299.232 -85.178  219.962 1.0 53.54655  ? 342 ASP D CG  342 ASP D CG  1 
ATOM 2653  O OD1 . ASP A 1 342 ? 298.015 -85.237  220.225 1.0 53.54655  ? 342 ASP D OD1 342 ASP D OD1 1 
ATOM 2654  O OD2 . ASP A 1 342 ? 300.077 -85.922  220.503 1.0 53.54655  ? 342 ASP D OD2 342 ASP D OD2 1 
ATOM 2655  N N   . HIS A 1 343 ? 297.063 -82.520  220.126 1.0 56.46682  ? 343 HIS D N   343 HIS D N   1 
ATOM 2656  C CA  . HIS A 1 343 ? 296.538 -81.642  221.163 1.0 56.46682  ? 343 HIS D CA  343 HIS D CA  1 
ATOM 2657  C C   . HIS A 1 343 ? 297.474 -81.511  222.366 1.0 56.46682  ? 343 HIS D C   343 HIS D C   1 
ATOM 2658  O O   . HIS A 1 343 ? 297.294 -80.595  223.175 1.0 56.46682  ? 343 HIS D O   343 HIS D O   1 
ATOM 2659  C CB  . HIS A 1 343 ? 295.157 -82.170  221.578 1.0 56.46682  ? 343 HIS D CB  343 HIS D CB  1 
ATOM 2660  C CG  . HIS A 1 343 ? 294.447 -81.320  222.584 1.0 56.46682  ? 343 HIS D CG  343 HIS D CG  1 
ATOM 2661  N ND1 . HIS A 1 343 ? 293.887 -80.101  222.269 1.0 56.46682  ? 343 HIS D ND1 343 HIS D ND1 1 
ATOM 2662  C CD2 . HIS A 1 343 ? 294.215 -81.511  223.904 1.0 56.46682  ? 343 HIS D CD2 343 HIS D CD2 1 
ATOM 2663  C CE1 . HIS A 1 343 ? 293.338 -79.579  223.352 1.0 56.46682  ? 343 HIS D CE1 343 HIS D CE1 1 
ATOM 2664  N NE2 . HIS A 1 343 ? 293.523 -80.415  224.357 1.0 56.46682  ? 343 HIS D NE2 343 HIS D NE2 1 
ATOM 2665  N N   . HIS A 1 344 ? 298.485 -82.372  222.494 1.0 56.74017  ? 344 HIS D N   344 HIS D N   1 
ATOM 2666  C CA  . HIS A 1 344 ? 299.445 -82.277  223.585 1.0 56.74017  ? 344 HIS D CA  344 HIS D CA  1 
ATOM 2667  C C   . HIS A 1 344 ? 300.873 -82.057  223.088 1.0 56.74017  ? 344 HIS D C   344 HIS D C   1 
ATOM 2668  O O   . HIS A 1 344 ? 301.827 -82.338  223.817 1.0 56.74017  ? 344 HIS D O   344 HIS D O   1 
ATOM 2669  C CB  . HIS A 1 344 ? 299.342 -83.520  224.466 1.0 56.74017  ? 344 HIS D CB  344 HIS D CB  1 
ATOM 2670  C CG  . HIS A 1 344 ? 297.997 -83.680  225.101 1.0 56.74017  ? 344 HIS D CG  344 HIS D CG  1 
ATOM 2671  N ND1 . HIS A 1 344 ? 297.590 -82.924  226.179 1.0 56.74017  ? 344 HIS D ND1 344 HIS D ND1 1 
ATOM 2672  C CD2 . HIS A 1 344 ? 296.951 -84.479  224.787 1.0 56.74017  ? 344 HIS D CD2 344 HIS D CD2 1 
ATOM 2673  C CE1 . HIS A 1 344 ? 296.359 -83.266  226.514 1.0 56.74017  ? 344 HIS D CE1 344 HIS D CE1 1 
ATOM 2674  N NE2 . HIS A 1 344 ? 295.948 -84.207  225.685 1.0 56.74017  ? 344 HIS D NE2 344 HIS D NE2 1 
ATOM 2675  N N   . VAL A 1 345 ? 301.040 -81.559  221.865 1.0 51.51246  ? 345 VAL D N   345 VAL D N   1 
ATOM 2676  C CA  . VAL A 1 345 ? 302.320 -81.062  221.369 1.0 51.51246  ? 345 VAL D CA  345 VAL D CA  1 
ATOM 2677  C C   . VAL A 1 345 ? 302.265 -79.557  221.138 1.0 51.51246  ? 345 VAL D C   345 VAL D C   1 
ATOM 2678  O O   . VAL A 1 345 ? 303.106 -78.809  221.638 1.0 51.51246  ? 345 VAL D O   345 VAL D O   1 
ATOM 2679  C CB  . VAL A 1 345 ? 302.748 -81.809  220.090 1.0 51.51246  ? 345 VAL D CB  345 VAL D CB  1 
ATOM 2680  C CG1 . VAL A 1 345 ? 303.996 -81.186  219.518 1.0 51.51246  ? 345 VAL D CG1 345 VAL D CG1 1 
ATOM 2681  C CG2 . VAL A 1 345 ? 302.994 -83.265  220.407 1.0 51.51246  ? 345 VAL D CG2 345 VAL D CG2 1 
ATOM 2682  N N   . ARG A 1 346 ? 301.249 -79.091  220.413 1.0 51.30613  ? 346 ARG D N   346 ARG D N   1 
ATOM 2683  C CA  . ARG A 1 346 ? 300.632 -77.827  220.779 1.0 51.30613  ? 346 ARG D CA  346 ARG D CA  1 
ATOM 2684  C C   . ARG A 1 346 ? 299.848 -78.041  222.062 1.0 51.30613  ? 346 ARG D C   346 ARG D C   1 
ATOM 2685  O O   . ARG A 1 346 ? 299.665 -79.178  222.504 1.0 51.30613  ? 346 ARG D O   346 ARG D O   1 
ATOM 2686  C CB  . ARG A 1 346 ? 299.713 -77.307  219.683 1.0 51.30613  ? 346 ARG D CB  346 ARG D CB  1 
ATOM 2687  C CG  . ARG A 1 346 ? 300.422 -76.826  218.465 1.0 51.30613  ? 346 ARG D CG  346 ARG D CG  1 
ATOM 2688  C CD  . ARG A 1 346 ? 299.426 -76.368  217.432 1.0 51.30613  ? 346 ARG D CD  346 ARG D CD  1 
ATOM 2689  N NE  . ARG A 1 346 ? 298.776 -75.110  217.744 1.0 51.30613  ? 346 ARG D NE  346 ARG D NE  1 
ATOM 2690  C CZ  . ARG A 1 346 ? 299.271 -73.928  217.408 1.0 51.30613  ? 346 ARG D CZ  346 ARG D CZ  1 
ATOM 2691  N NH1 . ARG A 1 346 ? 300.424 -73.841  216.768 1.0 51.30613  ? 346 ARG D NH1 346 ARG D NH1 1 
ATOM 2692  N NH2 . ARG A 1 346 ? 298.606 -72.836  217.709 1.0 51.30613  ? 346 ARG D NH2 346 ARG D NH2 1 
ATOM 2693  N N   . ILE A 1 347 ? 299.184 -76.977  222.520 1.0 53.62088  ? 347 ILE D N   347 ILE D N   1 
ATOM 2694  C CA  . ILE A 1 347 ? 299.201 -76.516  223.908 1.0 53.62088  ? 347 ILE D CA  347 ILE D CA  1 
ATOM 2695  C C   . ILE A 1 347 ? 299.279 -77.646  224.922 1.0 53.62088  ? 347 ILE D C   347 ILE D C   1 
ATOM 2696  O O   . ILE A 1 347 ? 298.391 -78.501  224.987 1.0 53.62088  ? 347 ILE D O   347 ILE D O   1 
ATOM 2697  C CB  . ILE A 1 347 ? 297.937 -75.697  224.187 1.0 53.62088  ? 347 ILE D CB  347 ILE D CB  1 
ATOM 2698  C CG1 . ILE A 1 347 ? 297.811 -74.538  223.200 1.0 53.62088  ? 347 ILE D CG1 347 ILE D CG1 1 
ATOM 2699  C CG2 . ILE A 1 347 ? 297.979 -75.207  225.598 1.0 53.62088  ? 347 ILE D CG2 347 ILE D CG2 1 
ATOM 2700  C CD1 . ILE A 1 347 ? 296.419 -73.934  223.156 1.0 53.62088  ? 347 ILE D CD1 347 ILE D CD1 1 
ATOM 2701  N N   . LEU A 1 348 ? 300.327 -77.639  225.735 1.0 53.62576  ? 348 LEU D N   348 LEU D N   1 
ATOM 2702  C CA  . LEU A 1 348 ? 300.728 -78.816  226.486 1.0 53.62576  ? 348 LEU D CA  348 LEU D CA  1 
ATOM 2703  C C   . LEU A 1 348 ? 300.292 -78.691  227.935 1.0 53.62576  ? 348 LEU D C   348 LEU D C   1 
ATOM 2704  O O   . LEU A 1 348 ? 300.468 -77.640  228.558 1.0 53.62576  ? 348 LEU D O   348 LEU D O   1 
ATOM 2705  C CB  . LEU A 1 348 ? 302.240 -79.033  226.367 1.0 53.62576  ? 348 LEU D CB  348 LEU D CB  1 
ATOM 2706  C CG  . LEU A 1 348 ? 303.271 -77.957  226.723 1.0 53.62576  ? 348 LEU D CG  348 LEU D CG  1 
ATOM 2707  C CD1 . LEU A 1 348 ? 303.735 -78.004  228.182 1.0 53.62576  ? 348 LEU D CD1 348 LEU D CD1 1 
ATOM 2708  C CD2 . LEU A 1 348 ? 304.455 -78.064  225.777 1.0 53.62576  ? 348 LEU D CD2 348 LEU D CD2 1 
ATOM 2709  N N   . GLU A 1 349 ? 299.699 -79.757  228.457 1.0 55.31147  ? 349 GLU D N   349 GLU D N   1 
ATOM 2710  C CA  . GLU A 1 349 ? 299.265 -79.794  229.848 1.0 55.31147  ? 349 GLU D CA  349 GLU D CA  1 
ATOM 2711  C C   . GLU A 1 349 ? 300.415 -80.366  230.660 1.0 55.31147  ? 349 GLU D C   349 GLU D C   1 
ATOM 2712  O O   . GLU A 1 349 ? 300.479 -81.566  230.926 1.0 55.31147  ? 349 GLU D O   349 GLU D O   1 
ATOM 2713  C CB  . GLU A 1 349 ? 298.000 -80.626  229.995 1.0 55.31147  ? 349 GLU D CB  349 GLU D CB  1 
ATOM 2714  C CG  . GLU A 1 349 ? 296.791 -80.039  229.302 1.0 55.31147  ? 349 GLU D CG  349 GLU D CG  1 
ATOM 2715  C CD  . GLU A 1 349 ? 295.558 -80.902  229.468 1.0 55.31147  ? 349 GLU D CD  349 GLU D CD  1 
ATOM 2716  O OE1 . GLU A 1 349 ? 295.686 -82.025  230.000 1.0 55.31147  ? 349 GLU D OE1 349 GLU D OE1 1 
ATOM 2717  O OE2 . GLU A 1 349 ? 294.461 -80.454  229.075 1.0 55.31147  ? 349 GLU D OE2 349 GLU D OE2 1 
ATOM 2718  N N   . ASN A 1 350 ? 301.348 -79.499  231.042 1.0 54.56362  ? 350 ASN D N   350 ASN D N   1 
ATOM 2719  C CA  . ASN A 1 350 ? 302.468 -79.921  231.873 1.0 54.56362  ? 350 ASN D CA  350 ASN D CA  1 
ATOM 2720  C C   . ASN A 1 350 ? 301.951 -80.205  233.274 1.0 54.56362  ? 350 ASN D C   350 ASN D C   1 
ATOM 2721  O O   . ASN A 1 350 ? 301.657 -79.281  234.037 1.0 54.56362  ? 350 ASN D O   350 ASN D O   1 
ATOM 2722  C CB  . ASN A 1 350 ? 303.556 -78.854  231.896 1.0 54.56362  ? 350 ASN D CB  350 ASN D CB  1 
ATOM 2723  C CG  . ASN A 1 350 ? 304.853 -79.358  232.498 1.0 54.56362  ? 350 ASN D CG  350 ASN D CG  1 
ATOM 2724  O OD1 . ASN A 1 350 ? 304.967 -80.519  232.884 1.0 54.56362  ? 350 ASN D OD1 350 ASN D OD1 1 
ATOM 2725  N ND2 . ASN A 1 350 ? 305.840 -78.480  232.587 1.0 54.56362  ? 350 ASN D ND2 350 ASN D ND2 1 
ATOM 2726  N N   . ASP A 1 351 ? 301.847 -81.486  233.615 1.0 52.05972  ? 351 ASP D N   351 ASP D N   1 
ATOM 2727  C CA  . ASP A 1 351 ? 301.260 -81.907  234.878 1.0 52.05972  ? 351 ASP D CA  351 ASP D CA  1 
ATOM 2728  C C   . ASP A 1 351 ? 302.187 -82.832  235.647 1.0 52.05972  ? 351 ASP D C   351 ASP D C   1 
ATOM 2729  O O   . ASP A 1 351 ? 301.722 -83.608  236.488 1.0 52.05972  ? 351 ASP D O   351 ASP D O   1 
ATOM 2730  C CB  . ASP A 1 351 ? 299.920 -82.582  234.625 1.0 52.05972  ? 351 ASP D CB  351 ASP D CB  1 
ATOM 2731  C CG  . ASP A 1 351 ? 298.915 -81.629  234.060 1.0 52.05972  ? 351 ASP D CG  351 ASP D CG  1 
ATOM 2732  O OD1 . ASP A 1 351 ? 298.950 -80.445  234.446 1.0 52.05972  ? 351 ASP D OD1 351 ASP D OD1 1 
ATOM 2733  O OD2 . ASP A 1 351 ? 298.130 -82.042  233.189 1.0 52.05972  ? 351 ASP D OD2 351 ASP D OD2 1 
ATOM 2734  N N   . GLY A 1 352 ? 303.486 -82.753  235.385 1.0 53.921    ? 352 GLY D N   352 GLY D N   1 
ATOM 2735  C CA  . GLY A 1 352 ? 304.446 -83.614  236.033 1.0 53.921    ? 352 GLY D CA  352 GLY D CA  1 
ATOM 2736  C C   . GLY A 1 352 ? 304.290 -85.055  235.608 1.0 53.921    ? 352 GLY D C   352 GLY D C   1 
ATOM 2737  O O   . GLY A 1 352 ? 304.439 -85.384  234.429 1.0 53.921    ? 352 GLY D O   352 GLY D O   1 
ATOM 2738  N N   . TYR A 1 353 ? 303.951 -85.909  236.566 1.0 55.46047  ? 353 TYR D N   353 TYR D N   1 
ATOM 2739  C CA  . TYR A 1 353 ? 303.867 -87.347  236.376 1.0 55.46047  ? 353 TYR D CA  353 TYR D CA  1 
ATOM 2740  C C   . TYR A 1 353 ? 303.179 -87.944  237.589 1.0 55.46047  ? 353 TYR D C   353 TYR D C   1 
ATOM 2741  O O   . TYR A 1 353 ? 303.193 -87.354  238.671 1.0 55.46047  ? 353 TYR D O   353 TYR D O   1 
ATOM 2742  C CB  . TYR A 1 353 ? 305.257 -87.970  236.183 1.0 55.46047  ? 353 TYR D CB  353 TYR D CB  1 
ATOM 2743  C CG  . TYR A 1 353 ? 306.204 -87.770  237.345 1.0 55.46047  ? 353 TYR D CG  353 TYR D CG  1 
ATOM 2744  C CD1 . TYR A 1 353 ? 306.976 -86.621  237.444 1.0 55.46047  ? 353 TYR D CD1 353 TYR D CD1 1 
ATOM 2745  C CD2 . TYR A 1 353 ? 306.357 -88.746  238.320 1.0 55.46047  ? 353 TYR D CD2 353 TYR D CD2 1 
ATOM 2746  C CE1 . TYR A 1 353 ? 307.844 -86.436  238.496 1.0 55.46047  ? 353 TYR D CE1 353 TYR D CE1 1 
ATOM 2747  C CE2 . TYR A 1 353 ? 307.225 -88.569  239.373 1.0 55.46047  ? 353 TYR D CE2 353 TYR D CE2 1 
ATOM 2748  C CZ  . TYR A 1 353 ? 307.964 -87.414  239.454 1.0 55.46047  ? 353 TYR D CZ  353 TYR D CZ  1 
ATOM 2749  O OH  . TYR A 1 353 ? 308.831 -87.241  240.501 1.0 55.46047  ? 353 TYR D OH  353 TYR D OH  1 
ATOM 2750  N N   . GLU A 1 354 ? 302.585 -89.115  237.403 1.0 56.10128  ? 354 GLU D N   354 GLU D N   1 
ATOM 2751  C CA  . GLU A 1 354 ? 301.956 -89.828  238.509 1.0 56.10128  ? 354 GLU D CA  354 GLU D CA  1 
ATOM 2752  C C   . GLU A 1 354 ? 303.020 -90.677  239.187 1.0 56.10128  ? 354 GLU D C   354 GLU D C   1 
ATOM 2753  O O   . GLU A 1 354 ? 303.418 -91.722  238.672 1.0 56.10128  ? 354 GLU D O   354 GLU D O   1 
ATOM 2754  C CB  . GLU A 1 354 ? 300.792 -90.673  238.009 1.0 56.10128  ? 354 GLU D CB  354 GLU D CB  1 
ATOM 2755  C CG  . GLU A 1 354 ? 299.630 -89.845  237.489 1.0 56.10128  ? 354 GLU D CG  354 GLU D CG  1 
ATOM 2756  C CD  . GLU A 1 354 ? 298.486 -90.691  236.971 1.0 56.10128  ? 354 GLU D CD  354 GLU D CD  1 
ATOM 2757  O OE1 . GLU A 1 354 ? 298.641 -91.927  236.901 1.0 56.10128  ? 354 GLU D OE1 354 GLU D OE1 1 
ATOM 2758  O OE2 . GLU A 1 354 ? 297.430 -90.117  236.632 1.0 56.10128  ? 354 GLU D OE2 354 GLU D OE2 1 
ATOM 2759  N N   . GLU A 1 355 ? 303.492 -90.224  240.342 1.0 59.1993   ? 355 GLU D N   355 GLU D N   1 
ATOM 2760  C CA  . GLU A 1 355 ? 304.513 -90.952  241.073 1.0 59.1993   ? 355 GLU D CA  355 GLU D CA  1 
ATOM 2761  C C   . GLU A 1 355 ? 303.896 -92.138  241.808 1.0 59.1993   ? 355 GLU D C   355 GLU D C   1 
ATOM 2762  O O   . GLU A 1 355 ? 302.676 -92.278  241.899 1.0 59.1993   ? 355 GLU D O   355 GLU D O   1 
ATOM 2763  C CB  . GLU A 1 355 ? 305.239 -90.021  242.048 1.0 59.1993   ? 355 GLU D CB  355 GLU D CB  1 
ATOM 2764  C CG  . GLU A 1 355 ? 304.362 -89.355  243.100 1.0 59.1993   ? 355 GLU D CG  355 GLU D CG  1 
ATOM 2765  C CD  . GLU A 1 355 ? 304.288 -90.142  244.394 1.0 59.1993   ? 355 GLU D CD  355 GLU D CD  1 
ATOM 2766  O OE1 . GLU A 1 355 ? 305.175 -90.991  244.623 1.0 59.1993   ? 355 GLU D OE1 355 GLU D OE1 1 
ATOM 2767  O OE2 . GLU A 1 355 ? 303.342 -89.915  245.177 1.0 59.1993   ? 355 GLU D OE2 355 GLU D OE2 1 
ATOM 2768  N N   . GLY A 1 356 ? 304.761 -92.997  242.340 1.0 58.33413  ? 356 GLY D N   356 GLY D N   1 
ATOM 2769  C CA  . GLY A 1 356 ? 304.308 -94.176  243.036 1.0 58.33413  ? 356 GLY D CA  356 GLY D CA  1 
ATOM 2770  C C   . GLY A 1 356 ? 305.398 -94.884  243.814 1.0 58.33413  ? 356 GLY D C   356 GLY D C   1 
ATOM 2771  O O   . GLY A 1 356 ? 306.274 -94.257  244.414 1.0 58.33413  ? 356 GLY D O   356 GLY D O   1 
ATOM 2772  N N   . PRO A 1 357 ? 305.352 -96.214  243.825 1.0 57.17467  ? 357 PRO D N   357 PRO D N   1 
ATOM 2773  C CA  . PRO A 1 357 ? 306.396 -96.996  244.487 1.0 57.17467  ? 357 PRO D CA  357 PRO D CA  1 
ATOM 2774  C C   . PRO A 1 357 ? 307.690 -96.922  243.698 1.0 57.17467  ? 357 PRO D C   357 PRO D C   1 
ATOM 2775  O O   . PRO A 1 357 ? 307.667 -96.552  242.515 1.0 57.17467  ? 357 PRO D O   357 PRO D O   1 
ATOM 2776  C CB  . PRO A 1 357 ? 305.811 -98.417  244.484 1.0 57.17467  ? 357 PRO D CB  357 PRO D CB  1 
ATOM 2777  C CG  . PRO A 1 357 ? 304.935 -98.444  243.310 1.0 57.17467  ? 357 PRO D CG  357 PRO D CG  1 
ATOM 2778  C CD  . PRO A 1 357 ? 304.339 -97.075  243.198 1.0 57.17467  ? 357 PRO D CD  357 PRO D CD  1 
ATOM 2779  N N   . PRO A 1 358 ? 308.838 -97.235  244.309 1.0 58.04237  ? 358 PRO D N   358 PRO D N   1 
ATOM 2780  C CA  . PRO A 1 358 ? 310.100 -97.155  243.565 1.0 58.04237  ? 358 PRO D CA  358 PRO D CA  1 
ATOM 2781  C C   . PRO A 1 358 ? 310.194 -98.225  242.490 1.0 58.04237  ? 358 PRO D C   358 PRO D C   1 
ATOM 2782  O O   . PRO A 1 358 ? 309.873 -99.393  242.714 1.0 58.04237  ? 358 PRO D O   358 PRO D O   1 
ATOM 2783  C CB  . PRO A 1 358 ? 311.164 -97.355  244.647 1.0 58.04237  ? 358 PRO D CB  358 PRO D CB  1 
ATOM 2784  C CG  . PRO A 1 358 ? 310.480 -98.093  245.710 1.0 58.04237  ? 358 PRO D CG  358 PRO D CG  1 
ATOM 2785  C CD  . PRO A 1 358 ? 309.072 -97.595  245.717 1.0 58.04237  ? 358 PRO D CD  358 PRO D CD  1 
ATOM 2786  N N   . ASN A 1 359 ? 310.627 -97.802  241.308 1.0 58.78991  ? 359 ASN D N   359 ASN D N   1 
ATOM 2787  C CA  . ASN A 1 359 ? 310.682 -98.655  240.126 1.0 58.78991  ? 359 ASN D CA  359 ASN D CA  1 
ATOM 2788  C C   . ASN A 1 359 ? 312.109 -99.176  240.002 1.0 58.78991  ? 359 ASN D C   359 ASN D C   1 
ATOM 2789  O O   . ASN A 1 359 ? 312.947 -98.601  239.310 1.0 58.78991  ? 359 ASN D O   359 ASN D O   1 
ATOM 2790  C CB  . ASN A 1 359 ? 310.233 -97.874  238.899 1.0 58.78991  ? 359 ASN D CB  359 ASN D CB  1 
ATOM 2791  C CG  . ASN A 1 359 ? 308.750 -97.568  238.928 1.0 58.78991  ? 359 ASN D CG  359 ASN D CG  1 
ATOM 2792  O OD1 . ASN A 1 359 ? 307.932 -98.449  239.176 1.0 58.78991  ? 359 ASN D OD1 359 ASN D OD1 1 
ATOM 2793  N ND2 . ASN A 1 359 ? 308.401 -96.305  238.730 1.0 58.78991  ? 359 ASN D ND2 359 ASN D ND2 1 
ATOM 2794  N N   . LEU A 1 360 ? 312.373 -100.284 240.680 1.0 59.42472  ? 360 LEU D N   360 LEU D N   1 
ATOM 2795  C CA  . LEU A 1 360 ? 313.708 -100.834 240.839 1.0 59.42472  ? 360 LEU D CA  360 LEU D CA  1 
ATOM 2796  C C   . LEU A 1 360 ? 314.061 -101.760 239.683 1.0 59.42472  ? 360 LEU D C   360 LEU D C   1 
ATOM 2797  O O   . LEU A 1 360 ? 313.194 -102.252 238.960 1.0 59.42472  ? 360 LEU D O   360 LEU D O   1 
ATOM 2798  C CB  . LEU A 1 360 ? 313.795 -101.599 242.156 1.0 59.42472  ? 360 LEU D CB  360 LEU D CB  1 
ATOM 2799  C CG  . LEU A 1 360 ? 313.601 -100.742 243.401 1.0 59.42472  ? 360 LEU D CG  360 LEU D CG  1 
ATOM 2800  C CD1 . LEU A 1 360 ? 313.388 -101.616 244.613 1.0 59.42472  ? 360 LEU D CD1 360 LEU D CD1 1 
ATOM 2801  C CD2 . LEU A 1 360 ? 314.808 -99.866  243.602 1.0 59.42472  ? 360 LEU D CD2 360 LEU D CD2 1 
ATOM 2802  N N   . ALA A 1 361 ? 315.359 -101.997 239.520 1.0 61.37456  ? 361 ALA D N   361 ALA D N   1 
ATOM 2803  C CA  . ALA A 1 361 ? 315.858 -102.972 238.561 1.0 61.37456  ? 361 ALA D CA  361 ALA D CA  1 
ATOM 2804  C C   . ALA A 1 361 ? 316.973 -103.764 239.219 1.0 61.37456  ? 361 ALA D C   361 ALA D C   1 
ATOM 2805  O O   . ALA A 1 361 ? 317.877 -103.183 239.824 1.0 61.37456  ? 361 ALA D O   361 ALA D O   1 
ATOM 2806  C CB  . ALA A 1 361 ? 316.359 -102.301 237.280 1.0 61.37456  ? 361 ALA D CB  361 ALA D CB  1 
ATOM 2807  N N   . PHE A 1 362 ? 316.906 -105.085 239.104 1.0 64.20187  ? 362 PHE D N   362 PHE D N   1 
ATOM 2808  C CA  . PHE A 1 362 ? 317.743 -105.998 239.861 1.0 64.20187  ? 362 PHE D CA  362 PHE D CA  1 
ATOM 2809  C C   . PHE A 1 362 ? 318.572 -106.865 238.923 1.0 64.20187  ? 362 PHE D C   362 PHE D C   1 
ATOM 2810  O O   . PHE A 1 362 ? 318.154 -107.120 237.792 1.0 64.20187  ? 362 PHE D O   362 PHE D O   1 
ATOM 2811  C CB  . PHE A 1 362 ? 316.871 -106.891 240.750 1.0 64.20187  ? 362 PHE D CB  362 PHE D CB  1 
ATOM 2812  C CG  . PHE A 1 362 ? 316.220 -106.165 241.879 1.0 64.20187  ? 362 PHE D CG  362 PHE D CG  1 
ATOM 2813  C CD1 . PHE A 1 362 ? 316.731 -104.975 242.359 1.0 64.20187  ? 362 PHE D CD1 362 PHE D CD1 1 
ATOM 2814  C CD2 . PHE A 1 362 ? 315.073 -106.658 242.443 1.0 64.20187  ? 362 PHE D CD2 362 PHE D CD2 1 
ATOM 2815  C CE1 . PHE A 1 362 ? 316.106 -104.310 243.392 1.0 64.20187  ? 362 PHE D CE1 362 PHE D CE1 1 
ATOM 2816  C CE2 . PHE A 1 362 ? 314.450 -105.994 243.478 1.0 64.20187  ? 362 PHE D CE2 362 PHE D CE2 1 
ATOM 2817  C CZ  . PHE A 1 362 ? 314.966 -104.825 243.952 1.0 64.20187  ? 362 PHE D CZ  362 PHE D CZ  1 
ATOM 2818  N N   . PRO A 1 363 ? 319.750 -107.326 239.353 1.0 65.98604  ? 363 PRO D N   363 PRO D N   1 
ATOM 2819  C CA  . PRO A 1 363 ? 320.534 -108.212 238.498 1.0 65.98604  ? 363 PRO D CA  363 PRO D CA  1 
ATOM 2820  C C   . PRO A 1 363 ? 319.899 -109.587 238.414 1.0 65.98604  ? 363 PRO D C   363 PRO D C   1 
ATOM 2821  O O   . PRO A 1 363 ? 319.312 -110.076 239.394 1.0 65.98604  ? 363 PRO D O   363 PRO D O   1 
ATOM 2822  C CB  . PRO A 1 363 ? 321.901 -108.262 239.199 1.0 65.98604  ? 363 PRO D CB  363 PRO D CB  1 
ATOM 2823  C CG  . PRO A 1 363 ? 321.609 -107.941 240.607 1.0 65.98604  ? 363 PRO D CG  363 PRO D CG  1 
ATOM 2824  C CD  . PRO A 1 363 ? 320.485 -106.959 240.576 1.0 65.98604  ? 363 PRO D CD  363 PRO D CD  1 
ATOM 2825  N N   . PRO A 1 364 ? 319.988 -110.252 237.258 1.0 65.85345  ? 364 PRO D N   364 PRO D N   1 
ATOM 2826  C CA  . PRO A 1 364 ? 319.203 -111.473 237.031 1.0 65.85345  ? 364 PRO D CA  364 PRO D CA  1 
ATOM 2827  C C   . PRO A 1 364 ? 319.766 -112.731 237.676 1.0 65.85345  ? 364 PRO D C   364 PRO D C   1 
ATOM 2828  O O   . PRO A 1 364 ? 319.196 -113.809 237.480 1.0 65.85345  ? 364 PRO D O   364 PRO D O   1 
ATOM 2829  C CB  . PRO A 1 364 ? 319.222 -111.607 235.499 1.0 65.85345  ? 364 PRO D CB  364 PRO D CB  1 
ATOM 2830  C CG  . PRO A 1 364 ? 319.634 -110.266 234.985 1.0 65.85345  ? 364 PRO D CG  364 PRO D CG  1 
ATOM 2831  C CD  . PRO A 1 364 ? 320.580 -109.750 236.011 1.0 65.85345  ? 364 PRO D CD  364 PRO D CD  1 
ATOM 2832  N N   . HIS A 1 365 ? 320.862 -112.641 238.423 1.0 70.53773  ? 365 HIS D N   365 HIS D N   1 
ATOM 2833  C CA  . HIS A 1 365 ? 321.469 -113.787 239.096 1.0 70.53773  ? 365 HIS D CA  365 HIS D CA  1 
ATOM 2834  C C   . HIS A 1 365 ? 321.176 -113.769 240.587 1.0 70.53773  ? 365 HIS D C   365 HIS D C   1 
ATOM 2835  O O   . HIS A 1 365 ? 321.989 -114.237 241.388 1.0 70.53773  ? 365 HIS D O   365 HIS D O   1 
ATOM 2836  C CB  . HIS A 1 365 ? 322.971 -113.805 238.845 1.0 70.53773  ? 365 HIS D CB  365 HIS D CB  1 
ATOM 2837  C CG  . HIS A 1 365 ? 323.690 -112.625 239.417 1.0 70.53773  ? 365 HIS D CG  365 HIS D CG  1 
ATOM 2838  N ND1 . HIS A 1 365 ? 323.783 -111.417 238.760 1.0 70.53773  ? 365 HIS D ND1 365 HIS D ND1 1 
ATOM 2839  C CD2 . HIS A 1 365 ? 324.348 -112.466 240.590 1.0 70.53773  ? 365 HIS D CD2 365 HIS D CD2 1 
ATOM 2840  C CE1 . HIS A 1 365 ? 324.473 -110.569 239.501 1.0 70.53773  ? 365 HIS D CE1 365 HIS D CE1 1 
ATOM 2841  N NE2 . HIS A 1 365 ? 324.822 -111.179 240.619 1.0 70.53773  ? 365 HIS D NE2 365 HIS D NE2 1 
ATOM 2842  N N   . VAL A 1 366 ? 319.946 -113.402 240.949 1.0 69.11408  ? 366 VAL D N   366 VAL D N   1 
ATOM 2843  C CA  . VAL A 1 366 ? 319.580 -112.485 242.032 1.0 69.11408  ? 366 VAL D CA  366 VAL D CA  1 
ATOM 2844  C C   . VAL A 1 366 ? 320.411 -112.581 243.318 1.0 69.11408  ? 366 VAL D C   366 VAL D C   1 
ATOM 2845  O O   . VAL A 1 366 ? 320.659 -111.560 243.969 1.0 69.11408  ? 366 VAL D O   366 VAL D O   1 
ATOM 2846  C CB  . VAL A 1 366 ? 318.066 -112.643 242.321 1.0 69.11408  ? 366 VAL D CB  366 VAL D CB  1 
ATOM 2847  C CG1 . VAL A 1 366 ? 317.718 -113.985 242.978 1.0 69.11408  ? 366 VAL D CG1 366 VAL D CG1 1 
ATOM 2848  C CG2 . VAL A 1 366 ? 317.516 -111.467 243.107 1.0 69.11408  ? 366 VAL D CG2 366 VAL D CG2 1 
ATOM 2849  N N   . ILE A 1 367 ? 320.897 -113.765 243.678 1.0 70.49805  ? 367 ILE D N   367 ILE D N   1 
ATOM 2850  C CA  . ILE A 1 367 ? 321.681 -113.904 244.899 1.0 70.49805  ? 367 ILE D CA  367 ILE D CA  1 
ATOM 2851  C C   . ILE A 1 367 ? 323.121 -113.470 244.626 1.0 70.49805  ? 367 ILE D C   367 ILE D C   1 
ATOM 2852  O O   . ILE A 1 367 ? 323.739 -113.903 243.647 1.0 70.49805  ? 367 ILE D O   367 ILE D O   1 
ATOM 2853  C CB  . ILE A 1 367 ? 321.580 -115.335 245.461 1.0 70.49805  ? 367 ILE D CB  367 ILE D CB  1 
ATOM 2854  C CG1 . ILE A 1 367 ? 321.917 -116.420 244.433 1.0 70.49805  ? 367 ILE D CG1 367 ILE D CG1 1 
ATOM 2855  C CG2 . ILE A 1 367 ? 320.167 -115.606 245.949 1.0 70.49805  ? 367 ILE D CG2 367 ILE D CG2 1 
ATOM 2856  C CD1 . ILE A 1 367 ? 323.335 -116.968 244.510 1.0 70.49805  ? 367 ILE D CD1 367 ILE D CD1 1 
ATOM 2857  N N   . SER A 1 368 ? 323.628 -112.558 245.458 1.0 73.74639  ? 368 SER D N   368 SER D N   1 
ATOM 2858  C CA  . SER A 1 368 ? 324.977 -112.008 245.358 1.0 73.74639  ? 368 SER D CA  368 SER D CA  1 
ATOM 2859  C C   . SER A 1 368 ? 325.254 -111.140 246.573 1.0 73.74639  ? 368 SER D C   368 SER D C   1 
ATOM 2860  O O   . SER A 1 368 ? 324.340 -110.536 247.140 1.0 73.74639  ? 368 SER D O   368 SER D O   1 
ATOM 2861  C CB  . SER A 1 368 ? 325.173 -111.153 244.097 1.0 73.74639  ? 368 SER D CB  368 SER D CB  1 
ATOM 2862  O OG  . SER A 1 368 ? 324.385 -109.981 244.161 1.0 73.74639  ? 368 SER D OG  368 SER D OG  1 
ATOM 2863  N N   . ASN A 1 369 ? 326.528 -111.075 246.951 1.0 75.10553  ? 369 ASN D N   369 ASN D N   1 
ATOM 2864  C CA  . ASN A 1 369 ? 327.027 -109.921 247.676 1.0 75.10553  ? 369 ASN D CA  369 ASN D CA  1 
ATOM 2865  C C   . ASN A 1 369 ? 326.956 -108.703 246.753 1.0 75.10553  ? 369 ASN D C   369 ASN D C   1 
ATOM 2866  O O   . ASN A 1 369 ? 327.019 -108.846 245.530 1.0 75.10553  ? 369 ASN D O   369 ASN D O   1 
ATOM 2867  C CB  . ASN A 1 369 ? 328.469 -110.153 248.124 1.0 75.10553  ? 369 ASN D CB  369 ASN D CB  1 
ATOM 2868  C CG  . ASN A 1 369 ? 328.581 -111.152 249.244 1.0 75.10553  ? 369 ASN D CG  369 ASN D CG  1 
ATOM 2869  O OD1 . ASN A 1 369 ? 327.842 -111.091 250.218 1.0 75.10553  ? 369 ASN D OD1 369 ASN D OD1 1 
ATOM 2870  N ND2 . ASN A 1 369 ? 329.513 -112.086 249.112 1.0 75.10553  ? 369 ASN D ND2 369 ASN D ND2 1 
ATOM 2871  N N   . PRO A 1 370 ? 326.838 -107.488 247.303 1.0 74.40735  ? 370 PRO D N   370 PRO D N   1 
ATOM 2872  C CA  . PRO A 1 370 ? 326.770 -106.305 246.430 1.0 74.40735  ? 370 PRO D CA  370 PRO D CA  1 
ATOM 2873  C C   . PRO A 1 370 ? 328.061 -105.980 245.688 1.0 74.40735  ? 370 PRO D C   370 PRO D C   1 
ATOM 2874  O O   . PRO A 1 370 ? 328.038 -105.089 244.830 1.0 74.40735  ? 370 PRO D O   370 PRO D O   1 
ATOM 2875  C CB  . PRO A 1 370 ? 326.388 -105.177 247.395 1.0 74.40735  ? 370 PRO D CB  370 PRO D CB  1 
ATOM 2876  C CG  . PRO A 1 370 ? 326.807 -105.654 248.723 1.0 74.40735  ? 370 PRO D CG  370 PRO D CG  1 
ATOM 2877  C CD  . PRO A 1 370 ? 326.595 -107.131 248.710 1.0 74.40735  ? 370 PRO D CD  370 PRO D CD  1 
ATOM 2878  N N   . PHE A 1 371 ? 329.179 -106.660 245.969 1.0 74.22639  ? 371 PHE D N   371 PHE D N   1 
ATOM 2879  C CA  . PHE A 1 371 ? 330.399 -106.412 245.211 1.0 74.22639  ? 371 PHE D CA  371 PHE D CA  1 
ATOM 2880  C C   . PHE A 1 371 ? 331.181 -107.677 244.870 1.0 74.22639  ? 371 PHE D C   371 PHE D C   1 
ATOM 2881  O O   . PHE A 1 371 ? 332.305 -107.565 244.363 1.0 74.22639  ? 371 PHE D O   371 PHE D O   1 
ATOM 2882  C CB  . PHE A 1 371 ? 331.301 -105.434 245.965 1.0 74.22639  ? 371 PHE D CB  371 PHE D CB  1 
ATOM 2883  C CG  . PHE A 1 371 ? 330.719 -104.061 246.081 1.0 74.22639  ? 371 PHE D CG  371 PHE D CG  1 
ATOM 2884  C CD1 . PHE A 1 371 ? 330.762 -103.188 245.009 1.0 74.22639  ? 371 PHE D CD1 371 PHE D CD1 1 
ATOM 2885  C CD2 . PHE A 1 371 ? 330.105 -103.652 247.253 1.0 74.22639  ? 371 PHE D CD2 371 PHE D CD2 1 
ATOM 2886  C CE1 . PHE A 1 371 ? 330.216 -101.923 245.106 1.0 74.22639  ? 371 PHE D CE1 371 PHE D CE1 1 
ATOM 2887  C CE2 . PHE A 1 371 ? 329.557 -102.388 247.358 1.0 74.22639  ? 371 PHE D CE2 371 PHE D CE2 1 
ATOM 2888  C CZ  . PHE A 1 371 ? 329.612 -101.523 246.283 1.0 74.22639  ? 371 PHE D CZ  371 PHE D CZ  1 
ATOM 2889  N N   . ALA A 1 372 ? 330.624 -108.862 245.103 1.0 77.86027  ? 372 ALA D N   372 ALA D N   1 
ATOM 2890  C CA  . ALA A 1 372 ? 331.274 -110.122 244.760 1.0 77.86027  ? 372 ALA D CA  372 ALA D CA  1 
ATOM 2891  C C   . ALA A 1 372 ? 330.208 -111.207 244.717 1.0 77.86027  ? 372 ALA D C   372 ALA D C   1 
ATOM 2892  O O   . ALA A 1 372 ? 329.046 -110.959 245.059 1.0 77.86027  ? 372 ALA D O   372 ALA D O   1 
ATOM 2893  C CB  . ALA A 1 372 ? 332.374 -110.483 245.775 1.0 77.86027  ? 372 ALA D CB  372 ALA D CB  1 
ATOM 2894  N N   . PRO A 1 373 ? 330.550 -112.400 244.246 1.0 80.29871  ? 373 PRO D N   373 PRO D N   1 
ATOM 2895  C CA  . PRO A 1 373 ? 329.748 -113.576 244.609 1.0 80.29871  ? 373 PRO D CA  373 PRO D CA  1 
ATOM 2896  C C   . PRO A 1 373 ? 330.325 -114.241 245.850 1.0 80.29871  ? 373 PRO D C   373 PRO D C   1 
ATOM 2897  O O   . PRO A 1 373 ? 331.414 -113.862 246.290 1.0 80.29871  ? 373 PRO D O   373 PRO D O   1 
ATOM 2898  C CB  . PRO A 1 373 ? 329.865 -114.483 243.378 1.0 80.29871  ? 373 PRO D CB  373 PRO D CB  1 
ATOM 2899  C CG  . PRO A 1 373 ? 330.359 -113.589 242.278 1.0 80.29871  ? 373 PRO D CG  373 PRO D CG  1 
ATOM 2900  C CD  . PRO A 1 373 ? 331.247 -112.603 242.966 1.0 80.29871  ? 373 PRO D CD  373 PRO D CD  1 
ATOM 2901  N N   . ALA A 1 374 ? 329.631 -115.223 246.430 1.0 81.40845  ? 374 ALA D N   374 ALA D N   1 
ATOM 2902  C CA  . ALA A 1 374 ? 330.197 -115.953 247.570 1.0 81.40845  ? 374 ALA D CA  374 ALA D CA  1 
ATOM 2903  C C   . ALA A 1 374 ? 329.976 -117.446 247.321 1.0 81.40845  ? 374 ALA D C   374 ALA D C   1 
ATOM 2904  O O   . ALA A 1 374 ? 328.969 -118.016 247.745 1.0 81.40845  ? 374 ALA D O   374 ALA D O   1 
ATOM 2905  C CB  . ALA A 1 374 ? 329.584 -115.509 248.888 1.0 81.40845  ? 374 ALA D CB  374 ALA D CB  1 
ATOM 2906  N N   . ALA A 1 375 ? 330.933 -118.066 246.632 1.0 86.83941  ? 375 ALA D N   375 ALA D N   1 
ATOM 2907  C CA  . ALA A 1 375 ? 330.850 -119.480 246.271 1.0 86.83941  ? 375 ALA D CA  375 ALA D CA  1 
ATOM 2908  C C   . ALA A 1 375 ? 331.798 -120.288 247.151 1.0 86.83941  ? 375 ALA D C   375 ALA D C   1 
ATOM 2909  O O   . ALA A 1 375 ? 332.844 -120.764 246.714 1.0 86.83941  ? 375 ALA D O   375 ALA D O   1 
ATOM 2910  C CB  . ALA A 1 375 ? 331.165 -119.669 244.791 1.0 86.83941  ? 375 ALA D CB  375 ALA D CB  1 
ATOM 2911  N N   . VAL A 1 376 ? 331.417 -120.455 248.412 1.0 88.98407  ? 376 VAL D N   376 VAL D N   1 
ATOM 2912  C CA  . VAL A 1 376 ? 332.147 -121.309 249.341 1.0 88.98407  ? 376 VAL D CA  376 VAL D CA  1 
ATOM 2913  C C   . VAL A 1 376 ? 331.153 -122.320 249.885 1.0 88.98407  ? 376 VAL D C   376 VAL D C   1 
ATOM 2914  O O   . VAL A 1 376 ? 330.120 -121.945 250.452 1.0 88.98407  ? 376 VAL D O   376 VAL D O   1 
ATOM 2915  C CB  . VAL A 1 376 ? 332.815 -120.517 250.473 1.0 88.98407  ? 376 VAL D CB  376 VAL D CB  1 
ATOM 2916  C CG1 . VAL A 1 376 ? 333.442 -121.467 251.479 1.0 88.98407  ? 376 VAL D CG1 376 VAL D CG1 1 
ATOM 2917  C CG2 . VAL A 1 376 ? 333.872 -119.577 249.918 1.0 88.98407  ? 376 VAL D CG2 376 VAL D CG2 1 
ATOM 2918  N N   . GLY A 1 377 ? 331.451 -123.600 249.706 1.0 91.70816  ? 377 GLY D N   377 GLY D N   1 
ATOM 2919  C CA  . GLY A 1 377 ? 330.476 -124.613 250.034 1.0 91.70816  ? 377 GLY D CA  377 GLY D CA  1 
ATOM 2920  C C   . GLY A 1 377 ? 330.746 -125.430 251.274 1.0 91.70816  ? 377 GLY D C   377 GLY D C   1 
ATOM 2921  O O   . GLY A 1 377 ? 331.607 -126.312 251.261 1.0 91.70816  ? 377 GLY D O   377 GLY D O   1 
ATOM 2922  N N   . THR A 1 378 ? 330.017 -125.159 252.352 1.0 94.10978  ? 378 THR D N   378 THR D N   1 
ATOM 2923  C CA  . THR A 1 378 ? 330.077 -126.002 253.535 1.0 94.10978  ? 378 THR D CA  378 THR D CA  1 
ATOM 2924  C C   . THR A 1 378 ? 328.707 -125.984 254.196 1.0 94.10978  ? 378 THR D C   378 THR D C   1 
ATOM 2925  O O   . THR A 1 378 ? 328.075 -124.931 254.303 1.0 94.10978  ? 378 THR D O   378 THR D O   1 
ATOM 2926  C CB  . THR A 1 378 ? 331.159 -125.543 254.527 1.0 94.10978  ? 378 THR D CB  378 THR D CB  1 
ATOM 2927  O OG1 . THR A 1 378 ? 332.405 -125.368 253.846 1.0 94.10978  ? 378 THR D OG1 378 THR D OG1 1 
ATOM 2928  C CG2 . THR A 1 378 ? 331.393 -126.618 255.551 1.0 94.10978  ? 378 THR D CG2 378 THR D CG2 1 
ATOM 2929  N N   . GLY A 1 379 ? 328.260 -127.154 254.642 1.0 94.90306  ? 379 GLY D N   379 GLY D N   1 
ATOM 2930  C CA  . GLY A 1 379 ? 326.908 -127.371 255.118 1.0 94.90306  ? 379 GLY D CA  379 GLY D CA  1 
ATOM 2931  C C   . GLY A 1 379 ? 326.842 -127.746 256.580 1.0 94.90306  ? 379 GLY D C   379 GLY D C   1 
ATOM 2932  O O   . GLY A 1 379 ? 326.201 -128.747 256.919 1.0 94.90306  ? 379 GLY D O   379 GLY D O   1 
ATOM 2933  N N   . MET A 1 380 ? 327.541 -126.956 257.410 1.0 95.18145  ? 380 MET D N   380 MET D N   1 
ATOM 2934  C CA  . MET A 1 380 ? 327.900 -127.208 258.811 1.0 95.18145  ? 380 MET D CA  380 MET D CA  1 
ATOM 2935  C C   . MET A 1 380 ? 326.831 -127.921 259.634 1.0 95.18145  ? 380 MET D C   380 MET D C   1 
ATOM 2936  O O   . MET A 1 380 ? 325.674 -127.497 259.679 1.0 95.18145  ? 380 MET D O   380 MET D O   1 
ATOM 2937  C CB  . MET A 1 380 ? 328.235 -125.872 259.482 1.0 95.18145  ? 380 MET D CB  380 MET D CB  1 
ATOM 2938  C CG  . MET A 1 380 ? 329.518 -125.200 259.013 1.0 95.18145  ? 380 MET D CG  380 MET D CG  1 
ATOM 2939  S SD  . MET A 1 380 ? 330.975 -126.167 259.446 1.0 95.18145  ? 380 MET D SD  380 MET D SD  1 
ATOM 2940  C CE  . MET A 1 380 ? 332.307 -125.160 258.807 1.0 95.18145  ? 380 MET D CE  380 MET D CE  1 
ATOM 2941  N N   . THR A 1 381 ? 327.233 -129.021 260.268 1.0 97.62342  ? 381 THR D N   381 THR D N   1 
ATOM 2942  C CA  . THR A 1 381 ? 326.389 -129.796 261.171 1.0 97.62342  ? 381 THR D CA  381 THR D CA  1 
ATOM 2943  C C   . THR A 1 381 ? 326.938 -129.621 262.578 1.0 97.62342  ? 381 THR D C   381 THR D C   1 
ATOM 2944  O O   . THR A 1 381 ? 328.102 -129.944 262.835 1.0 97.62342  ? 381 THR D O   381 THR D O   1 
ATOM 2945  C CB  . THR A 1 381 ? 326.370 -131.275 260.780 1.0 97.62342  ? 381 THR D CB  381 THR D CB  1 
ATOM 2946  O OG1 . THR A 1 381 ? 325.888 -131.413 259.439 1.0 97.62342  ? 381 THR D OG1 381 THR D OG1 1 
ATOM 2947  C CG2 . THR A 1 381 ? 325.469 -132.072 261.715 1.0 97.62342  ? 381 THR D CG2 381 THR D CG2 1 
ATOM 2948  N N   . VAL A 1 382 ? 326.118 -129.103 263.479 1.0 98.61197  ? 382 VAL D N   382 VAL D N   1 
ATOM 2949  C CA  . VAL A 1 382 ? 326.583 -128.771 264.810 1.0 98.61197  ? 382 VAL D CA  382 VAL D CA  1 
ATOM 2950  C C   . VAL A 1 382 ? 326.067 -129.804 265.799 1.0 98.61197  ? 382 VAL D C   382 VAL D C   1 
ATOM 2951  O O   . VAL A 1 382 ? 325.099 -130.527 265.548 1.0 98.61197  ? 382 VAL D O   382 VAL D O   1 
ATOM 2952  C CB  . VAL A 1 382 ? 326.159 -127.346 265.234 1.0 98.61197  ? 382 VAL D CB  382 VAL D CB  1 
ATOM 2953  C CG1 . VAL A 1 382 ? 326.677 -126.319 264.240 1.0 98.61197  ? 382 VAL D CG1 382 VAL D CG1 1 
ATOM 2954  C CG2 . VAL A 1 382 ? 324.658 -127.257 265.383 1.0 98.61197  ? 382 VAL D CG2 382 VAL D CG2 1 
ATOM 2955  N N   . ASN A 1 383 ? 326.741 -129.886 266.937 1.0 103.1775  ? 383 ASN D N   383 ASN D N   1 
ATOM 2956  C CA  . ASN A 1 383 ? 326.265 -130.642 268.081 1.0 103.1775  ? 383 ASN D CA  383 ASN D CA  1 
ATOM 2957  C C   . ASN A 1 383 ? 325.591 -129.696 269.063 1.0 103.1775  ? 383 ASN D C   383 ASN D C   1 
ATOM 2958  O O   . ASN A 1 383 ? 325.812 -128.484 269.043 1.0 103.1775  ? 383 ASN D O   383 ASN D O   1 
ATOM 2959  C CB  . ASN A 1 383 ? 327.413 -131.382 268.768 1.0 103.1775  ? 383 ASN D CB  383 ASN D CB  1 
ATOM 2960  C CG  . ASN A 1 383 ? 328.039 -132.433 267.882 1.0 103.1775  ? 383 ASN D CG  383 ASN D CG  1 
ATOM 2961  O OD1 . ASN A 1 383 ? 329.200 -132.322 267.493 1.0 103.1775  ? 383 ASN D OD1 383 ASN D OD1 1 
ATOM 2962  N ND2 . ASN A 1 383 ? 327.272 -133.466 267.559 1.0 103.1775  ? 383 ASN D ND2 383 ASN D ND2 1 
ATOM 2963  N N   . GLU A 1 384 ? 324.756 -130.265 269.925 1.0 104.55663 ? 384 GLU D N   384 GLU D N   1 
ATOM 2964  C CA  . GLU A 1 384 ? 324.072 -129.481 270.940 1.0 104.55663 ? 384 GLU D CA  384 GLU D CA  1 
ATOM 2965  C C   . GLU A 1 384 ? 324.553 -129.768 272.350 1.0 104.55663 ? 384 GLU D C   384 GLU D C   1 
ATOM 2966  O O   . GLU A 1 384 ? 324.468 -128.887 273.207 1.0 104.55663 ? 384 GLU D O   384 GLU D O   1 
ATOM 2967  C CB  . GLU A 1 384 ? 322.560 -129.711 270.857 1.0 104.55663 ? 384 GLU D CB  384 GLU D CB  1 
ATOM 2968  C CG  . GLU A 1 384 ? 321.951 -129.162 269.577 1.0 104.55663 ? 384 GLU D CG  384 GLU D CG  1 
ATOM 2969  C CD  . GLU A 1 384 ? 320.456 -129.374 269.496 1.0 104.55663 ? 384 GLU D CD  384 GLU D CD  1 
ATOM 2970  O OE1 . GLU A 1 384 ? 319.902 -130.058 270.381 1.0 104.55663 ? 384 GLU D OE1 384 GLU D OE1 1 
ATOM 2971  O OE2 . GLU A 1 384 ? 319.835 -128.855 268.545 1.0 104.55663 ? 384 GLU D OE2 384 GLU D OE2 1 
ATOM 2972  N N   . GLN A 1 385 ? 325.058 -130.974 272.612 1.0 107.96713 ? 385 GLN D N   385 GLN D N   1 
ATOM 2973  C CA  . GLN A 1 385 ? 325.747 -131.227 273.871 1.0 107.96713 ? 385 GLN D CA  385 GLN D CA  1 
ATOM 2974  C C   . GLN A 1 385 ? 327.087 -130.505 273.892 1.0 107.96713 ? 385 GLN D C   385 GLN D C   1 
ATOM 2975  O O   . GLN A 1 385 ? 327.327 -129.629 274.731 1.0 107.96713 ? 385 GLN D O   385 GLN D O   1 
ATOM 2976  C CB  . GLN A 1 385 ? 325.932 -132.731 274.075 1.0 107.96713 ? 385 GLN D CB  385 GLN D CB  1 
ATOM 2977  C CG  . GLN A 1 385 ? 324.627 -133.493 274.230 1.0 107.96713 ? 385 GLN D CG  385 GLN D CG  1 
ATOM 2978  C CD  . GLN A 1 385 ? 323.836 -133.049 275.446 1.0 107.96713 ? 385 GLN D CD  385 GLN D CD  1 
ATOM 2979  O OE1 . GLN A 1 385 ? 322.794 -132.406 275.322 1.0 107.96713 ? 385 GLN D OE1 385 GLN D OE1 1 
ATOM 2980  N NE2 . GLN A 1 385 ? 324.329 -133.390 276.632 1.0 107.96713 ? 385 GLN D NE2 385 GLN D NE2 1 
ATOM 2981  N N   . GLN A 1 386 ? 327.968 -130.851 272.959 1.0 107.39968 ? 386 GLN D N   386 GLN D N   1 
ATOM 2982  C CA  . GLN A 1 386 ? 329.170 -130.078 272.713 1.0 107.39968 ? 386 GLN D CA  386 GLN D CA  1 
ATOM 2983  C C   . GLN A 1 386 ? 328.838 -128.955 271.733 1.0 107.39968 ? 386 GLN D C   386 GLN D C   1 
ATOM 2984  O O   . GLN A 1 386 ? 327.713 -128.838 271.245 1.0 107.39968 ? 386 GLN D O   386 GLN D O   1 
ATOM 2985  C CB  . GLN A 1 386 ? 330.291 -130.976 272.187 1.0 107.39968 ? 386 GLN D CB  386 GLN D CB  1 
ATOM 2986  C CG  . GLN A 1 386 ? 330.842 -131.972 273.206 1.0 107.39968 ? 386 GLN D CG  386 GLN D CG  1 
ATOM 2987  C CD  . GLN A 1 386 ? 330.029 -133.251 273.286 1.0 107.39968 ? 386 GLN D CD  386 GLN D CD  1 
ATOM 2988  O OE1 . GLN A 1 386 ? 329.252 -133.562 272.385 1.0 107.39968 ? 386 GLN D OE1 386 GLN D OE1 1 
ATOM 2989  N NE2 . GLN A 1 386 ? 330.204 -133.996 274.370 1.0 107.39968 ? 386 GLN D NE2 386 GLN D NE2 1 
ATOM 2990  N N   . GLN A 1 387 ? 329.819 -128.107 271.444 1.0 105.68042 ? 387 GLN D N   387 GLN D N   1 
ATOM 2991  C CA  . GLN A 1 387 ? 329.640 -127.000 270.508 1.0 105.68042 ? 387 GLN D CA  387 GLN D CA  1 
ATOM 2992  C C   . GLN A 1 387 ? 330.710 -127.125 269.428 1.0 105.68042 ? 387 GLN D C   387 GLN D C   1 
ATOM 2993  O O   . GLN A 1 387 ? 331.774 -126.509 269.513 1.0 105.68042 ? 387 GLN D O   387 GLN D O   1 
ATOM 2994  C CB  . GLN A 1 387 ? 329.710 -125.647 271.217 1.0 105.68042 ? 387 GLN D CB  387 GLN D CB  1 
ATOM 2995  C CG  . GLN A 1 387 ? 328.460 -125.257 271.996 1.0 105.68042 ? 387 GLN D CG  387 GLN D CG  1 
ATOM 2996  C CD  . GLN A 1 387 ? 328.307 -126.017 273.295 1.0 105.68042 ? 387 GLN D CD  387 GLN D CD  1 
ATOM 2997  O OE1 . GLN A 1 387 ? 327.334 -126.745 273.490 1.0 105.68042 ? 387 GLN D OE1 387 GLN D OE1 1 
ATOM 2998  N NE2 . GLN A 1 387 ? 329.272 -125.853 274.194 1.0 105.68042 ? 387 GLN D NE2 387 GLN D NE2 1 
ATOM 2999  N N   . THR A 1 388 ? 330.420 -127.927 268.410 1.0 102.47295 ? 388 THR D N   388 THR D N   1 
ATOM 3000  C CA  . THR A 1 388 ? 331.318 -128.160 267.288 1.0 102.47295 ? 388 THR D CA  388 THR D CA  1 
ATOM 3001  C C   . THR A 1 388 ? 330.602 -127.818 265.986 1.0 102.47295 ? 388 THR D C   388 THR D C   1 
ATOM 3002  O O   . THR A 1 388 ? 329.490 -127.285 265.981 1.0 102.47295 ? 388 THR D O   388 THR D O   1 
ATOM 3003  C CB  . THR A 1 388 ? 331.813 -129.608 267.261 1.0 102.47295 ? 388 THR D CB  388 THR D CB  1 
ATOM 3004  O OG1 . THR A 1 388 ? 330.692 -130.492 267.136 1.0 102.47295 ? 388 THR D OG1 388 THR D OG1 1 
ATOM 3005  C CG2 . THR A 1 388 ? 332.598 -129.948 268.518 1.0 102.47295 ? 388 THR D CG2 388 THR D CG2 1 
ATOM 3006  N N   . ALA A 1 389 ? 331.256 -128.142 264.871 1.0 97.50736  ? 389 ALA D N   389 ALA D N   1 
ATOM 3007  C CA  . ALA A 1 389 ? 330.695 -127.884 263.548 1.0 97.50736  ? 389 ALA D CA  389 ALA D CA  1 
ATOM 3008  C C   . ALA A 1 389 ? 331.285 -128.909 262.583 1.0 97.50736  ? 389 ALA D C   389 ALA D C   1 
ATOM 3009  O O   . ALA A 1 389 ? 332.418 -128.747 262.121 1.0 97.50736  ? 389 ALA D O   389 ALA D O   1 
ATOM 3010  C CB  . ALA A 1 389 ? 330.989 -126.460 263.103 1.0 97.50736  ? 389 ALA D CB  389 ALA D CB  1 
ATOM 3011  N N   . ALA A 1 390 ? 330.516 -129.952 262.285 1.0 99.46384  ? 390 ALA D N   390 ALA D N   1 
ATOM 3012  C CA  . ALA A 1 390 ? 330.943 -130.941 261.308 1.0 99.46384  ? 390 ALA D CA  390 ALA D CA  1 
ATOM 3013  C C   . ALA A 1 390 ? 330.872 -130.357 259.900 1.0 99.46384  ? 390 ALA D C   390 ALA D C   1 
ATOM 3014  O O   . ALA A 1 390 ? 330.259 -129.318 259.661 1.0 99.46384  ? 390 ALA D O   390 ALA D O   1 
ATOM 3015  C CB  . ALA A 1 390 ? 330.085 -132.203 261.406 1.0 99.46384  ? 390 ALA D CB  390 ALA D CB  1 
ATOM 3016  N N   . VAL A 1 391 ? 331.500 -131.052 258.954 1.0 97.83245  ? 391 VAL D N   391 VAL D N   1 
ATOM 3017  C CA  . VAL A 1 391 ? 331.739 -130.446 257.649 1.0 97.83245  ? 391 VAL D CA  391 VAL D CA  1 
ATOM 3018  C C   . VAL A 1 391 ? 330.536 -130.613 256.727 1.0 97.83245  ? 391 VAL D C   391 VAL D C   1 
ATOM 3019  O O   . VAL A 1 391 ? 330.099 -129.639 256.104 1.0 97.83245  ? 391 VAL D O   391 VAL D O   1 
ATOM 3020  C CB  . VAL A 1 391 ? 333.018 -131.028 257.024 1.0 97.83245  ? 391 VAL D CB  391 VAL D CB  1 
ATOM 3021  C CG1 . VAL A 1 391 ? 333.281 -130.401 255.659 1.0 97.83245  ? 391 VAL D CG1 391 VAL D CG1 1 
ATOM 3022  C CG2 . VAL A 1 391 ? 334.204 -130.824 257.957 1.0 97.83245  ? 391 VAL D CG2 391 VAL D CG2 1 
ATOM 3023  N N   . THR A 1 392 ? 329.982 -131.832 256.645 1.0 99.12589  ? 392 THR D N   392 THR D N   1 
ATOM 3024  C CA  . THR A 1 392 ? 329.014 -132.261 255.621 1.0 99.12589  ? 392 THR D CA  392 THR D CA  1 
ATOM 3025  C C   . THR A 1 392 ? 329.596 -132.007 254.225 1.0 99.12589  ? 392 THR D C   392 THR D C   1 
ATOM 3026  O O   . THR A 1 392 ? 329.188 -131.110 253.485 1.0 99.12589  ? 392 THR D O   392 THR D O   1 
ATOM 3027  C CB  . THR A 1 392 ? 327.631 -131.610 255.802 1.0 99.12589  ? 392 THR D CB  392 THR D CB  1 
ATOM 3028  O OG1 . THR A 1 392 ? 327.224 -131.725 257.169 1.0 99.12589  ? 392 THR D OG1 392 THR D OG1 1 
ATOM 3029  C CG2 . THR A 1 392 ? 326.590 -132.334 254.960 1.0 99.12589  ? 392 THR D CG2 392 THR D CG2 1 
ATOM 3030  N N   . ALA A 1 393 ? 330.610 -132.824 253.919 1.0 102.1346  ? 393 ALA D N   393 ALA D N   1 
ATOM 3031  C CA  . ALA A 1 393 ? 331.659 -132.456 252.968 1.0 102.1346  ? 393 ALA D CA  393 ALA D CA  1 
ATOM 3032  C C   . ALA A 1 393 ? 331.169 -132.303 251.530 1.0 102.1346  ? 393 ALA D C   393 ALA D C   1 
ATOM 3033  O O   . ALA A 1 393 ? 331.766 -131.555 250.746 1.0 102.1346  ? 393 ALA D O   393 ALA D O   1 
ATOM 3034  C CB  . ALA A 1 393 ? 332.780 -133.495 253.025 1.0 102.1346  ? 393 ALA D CB  393 ALA D CB  1 
ATOM 3035  N N   . ASN A 1 394 ? 330.096 -132.997 251.152 1.0 101.65832 ? 394 ASN D N   394 ASN D N   1 
ATOM 3036  C CA  . ASN A 1 394 ? 329.741 -133.117 249.743 1.0 101.65832 ? 394 ASN D CA  394 ASN D CA  1 
ATOM 3037  C C   . ASN A 1 394 ? 328.740 -132.063 249.275 1.0 101.65832 ? 394 ASN D C   394 ASN D C   1 
ATOM 3038  O O   . ASN A 1 394 ? 328.078 -132.262 248.253 1.0 101.65832 ? 394 ASN D O   394 ASN D O   1 
ATOM 3039  C CB  . ASN A 1 394 ? 329.204 -134.516 249.447 1.0 101.65832 ? 394 ASN D CB  394 ASN D CB  1 
ATOM 3040  C CG  . ASN A 1 394 ? 330.281 -135.574 249.491 1.0 101.65832 ? 394 ASN D CG  394 ASN D CG  1 
ATOM 3041  O OD1 . ASN A 1 394 ? 331.398 -135.363 249.018 1.0 101.65832 ? 394 ASN D OD1 394 ASN D OD1 1 
ATOM 3042  N ND2 . ASN A 1 394 ? 329.949 -136.728 250.054 1.0 101.65832 ? 394 ASN D ND2 394 ASN D ND2 1 
ATOM 3043  N N   . THR A 1 395 ? 328.638 -130.928 249.960 1.0 96.24383  ? 395 THR D N   395 THR D N   1 
ATOM 3044  C CA  . THR A 1 395 ? 327.690 -129.899 249.556 1.0 96.24383  ? 395 THR D CA  395 THR D CA  1 
ATOM 3045  C C   . THR A 1 395 ? 328.409 -128.624 249.127 1.0 96.24383  ? 395 THR D C   395 THR D C   1 
ATOM 3046  O O   . THR A 1 395 ? 329.579 -128.399 249.450 1.0 96.24383  ? 395 THR D O   395 THR D O   1 
ATOM 3047  C CB  . THR A 1 395 ? 326.692 -129.581 250.674 1.0 96.24383  ? 395 THR D CB  395 THR D CB  1 
ATOM 3048  O OG1 . THR A 1 395 ? 325.675 -128.713 250.164 1.0 96.24383  ? 395 THR D OG1 395 THR D OG1 1 
ATOM 3049  C CG2 . THR A 1 395 ? 327.384 -128.898 251.821 1.0 96.24383  ? 395 THR D CG2 395 THR D CG2 1 
ATOM 3050  N N   . VAL A 1 396 ? 327.692 -127.805 248.353 1.0 89.90218  ? 396 VAL D N   396 VAL D N   1 
ATOM 3051  C CA  . VAL A 1 396 ? 328.182 -126.537 247.820 1.0 89.90218  ? 396 VAL D CA  396 VAL D CA  1 
ATOM 3052  C C   . VAL A 1 396 ? 327.126 -125.477 248.117 1.0 89.90218  ? 396 VAL D C   396 VAL D C   1 
ATOM 3053  O O   . VAL A 1 396 ? 325.928 -125.729 247.960 1.0 89.90218  ? 396 VAL D O   396 VAL D O   1 
ATOM 3054  C CB  . VAL A 1 396 ? 328.468 -126.629 246.299 1.0 89.90218  ? 396 VAL D CB  396 VAL D CB  1 
ATOM 3055  C CG1 . VAL A 1 396 ? 328.912 -125.291 245.718 1.0 89.90218  ? 396 VAL D CG1 396 VAL D CG1 1 
ATOM 3056  C CG2 . VAL A 1 396 ? 329.512 -127.699 245.987 1.0 89.90218  ? 396 VAL D CG2 396 VAL D CG2 1 
ATOM 3057  N N   . ALA A 1 397 ? 327.563 -124.299 248.559 1.0 84.57638  ? 397 ALA D N   397 ALA D N   1 
ATOM 3058  C CA  . ALA A 1 397 ? 326.671 -123.223 248.962 1.0 84.57638  ? 397 ALA D CA  397 ALA D CA  1 
ATOM 3059  C C   . ALA A 1 397 ? 326.933 -121.973 248.136 1.0 84.57638  ? 397 ALA D C   397 ALA D C   1 
ATOM 3060  O O   . ALA A 1 397 ? 328.079 -121.676 247.787 1.0 84.57638  ? 397 ALA D O   397 ALA D O   1 
ATOM 3061  C CB  . ALA A 1 397 ? 326.836 -122.902 250.443 1.0 84.57638  ? 397 ALA D CB  397 ALA D CB  1 
ATOM 3062  N N   . LEU A 1 398 ? 325.860 -121.249 247.819 1.0 79.40519  ? 398 LEU D N   398 LEU D N   1 
ATOM 3063  C CA  . LEU A 1 398 ? 325.908 -119.975 247.097 1.0 79.40519  ? 398 LEU D CA  398 LEU D CA  1 
ATOM 3064  C C   . LEU A 1 398 ? 325.016 -119.004 247.863 1.0 79.40519  ? 398 LEU D C   398 LEU D C   1 
ATOM 3065  O O   . LEU A 1 398 ? 323.826 -118.890 247.561 1.0 79.40519  ? 398 LEU D O   398 LEU D O   1 
ATOM 3066  C CB  . LEU A 1 398 ? 325.431 -120.124 245.653 1.0 79.40519  ? 398 LEU D CB  398 LEU D CB  1 
ATOM 3067  C CG  . LEU A 1 398 ? 326.329 -120.532 244.483 1.0 79.40519  ? 398 LEU D CG  398 LEU D CG  1 
ATOM 3068  C CD1 . LEU A 1 398 ? 327.438 -119.515 244.292 1.0 79.40519  ? 398 LEU D CD1 398 LEU D CD1 1 
ATOM 3069  C CD2 . LEU A 1 398 ? 326.879 -121.947 244.614 1.0 79.40519  ? 398 LEU D CD2 398 LEU D CD2 1 
ATOM 3070  N N   . ILE A 1 399 ? 325.573 -118.299 248.845 1.0 77.37432  ? 399 ILE D N   399 ILE D N   1 
ATOM 3071  C CA  . ILE A 1 399 ? 324.756 -117.466 249.715 1.0 77.37432  ? 399 ILE D CA  399 ILE D CA  1 
ATOM 3072  C C   . ILE A 1 399 ? 325.152 -116.005 249.545 1.0 77.37432  ? 399 ILE D C   399 ILE D C   1 
ATOM 3073  O O   . ILE A 1 399 ? 326.230 -115.681 249.044 1.0 77.37432  ? 399 ILE D O   399 ILE D O   1 
ATOM 3074  C CB  . ILE A 1 399 ? 324.846 -117.909 251.185 1.0 77.37432  ? 399 ILE D CB  399 ILE D CB  1 
ATOM 3075  C CG1 . ILE A 1 399 ? 326.257 -117.745 251.725 1.0 77.37432  ? 399 ILE D CG1 399 ILE D CG1 1 
ATOM 3076  C CG2 . ILE A 1 399 ? 324.452 -119.361 251.309 1.0 77.37432  ? 399 ILE D CG2 399 ILE D CG2 1 
ATOM 3077  C CD1 . ILE A 1 399 ? 326.328 -118.026 253.203 1.0 77.37432  ? 399 ILE D CD1 399 ILE D CD1 1 
ATOM 3078  N N   . GLY A 1 400 ? 324.253 -115.117 249.972 1.0 75.49886  ? 400 GLY D N   400 GLY D N   1 
ATOM 3079  C CA  . GLY A 1 400 ? 324.275 -113.741 249.511 1.0 75.49886  ? 400 GLY D CA  400 GLY D CA  1 
ATOM 3080  C C   . GLY A 1 400 ? 324.596 -112.623 250.486 1.0 75.49886  ? 400 GLY D C   400 GLY D C   1 
ATOM 3081  O O   . GLY A 1 400 ? 325.054 -111.570 250.040 1.0 75.49886  ? 400 GLY D O   400 GLY D O   1 
ATOM 3082  N N   . TYR A 1 401 ? 324.318 -112.810 251.782 1.0 77.62048  ? 401 TYR D N   401 TYR D N   1 
ATOM 3083  C CA  . TYR A 1 401 ? 324.692 -111.897 252.873 1.0 77.62048  ? 401 TYR D CA  401 TYR D CA  1 
ATOM 3084  C C   . TYR A 1 401 ? 324.116 -110.488 252.690 1.0 77.62048  ? 401 TYR D C   401 TYR D C   1 
ATOM 3085  O O   . TYR A 1 401 ? 324.836 -109.515 252.469 1.0 77.62048  ? 401 TYR D O   401 TYR D O   1 
ATOM 3086  C CB  . TYR A 1 401 ? 326.208 -111.796 253.045 1.0 77.62048  ? 401 TYR D CB  401 TYR D CB  1 
ATOM 3087  C CG  . TYR A 1 401 ? 326.852 -113.036 253.565 1.0 77.62048  ? 401 TYR D CG  401 TYR D CG  1 
ATOM 3088  C CD1 . TYR A 1 401 ? 326.733 -113.389 254.899 1.0 77.62048  ? 401 TYR D CD1 401 TYR D CD1 1 
ATOM 3089  C CD2 . TYR A 1 401 ? 327.616 -113.832 252.734 1.0 77.62048  ? 401 TYR D CD2 401 TYR D CD2 1 
ATOM 3090  C CE1 . TYR A 1 401 ? 327.334 -114.521 255.385 1.0 77.62048  ? 401 TYR D CE1 401 TYR D CE1 1 
ATOM 3091  C CE2 . TYR A 1 401 ? 328.223 -114.955 253.206 1.0 77.62048  ? 401 TYR D CE2 401 TYR D CE2 1 
ATOM 3092  C CZ  . TYR A 1 401 ? 328.082 -115.299 254.533 1.0 77.62048  ? 401 TYR D CZ  401 TYR D CZ  1 
ATOM 3093  O OH  . TYR A 1 401 ? 328.693 -116.436 255.002 1.0 77.62048  ? 401 TYR D OH  401 TYR D OH  1 
ATOM 3094  N N   . GLY A 1 402 ? 322.799 -110.398 252.782 1.0 72.95251  ? 402 GLY D N   402 GLY D N   1 
ATOM 3095  C CA  . GLY A 1 402 ? 322.214 -109.080 252.905 1.0 72.95251  ? 402 GLY D CA  402 GLY D CA  1 
ATOM 3096  C C   . GLY A 1 402 ? 321.158 -108.748 251.880 1.0 72.95251  ? 402 GLY D C   402 GLY D C   1 
ATOM 3097  O O   . GLY A 1 402 ? 320.440 -109.626 251.399 1.0 72.95251  ? 402 GLY D O   402 GLY D O   1 
ATOM 3098  N N   . ASN A 1 403 ? 321.046 -107.470 251.548 1.0 71.77787  ? 403 ASN D N   403 ASN D N   1 
ATOM 3099  C CA  . ASN A 1 403 ? 320.053 -107.048 250.583 1.0 71.77787  ? 403 ASN D CA  403 ASN D CA  1 
ATOM 3100  C C   . ASN A 1 403 ? 320.511 -107.385 249.172 1.0 71.77787  ? 403 ASN D C   403 ASN D C   1 
ATOM 3101  O O   . ASN A 1 403 ? 321.704 -107.522 248.884 1.0 71.77787  ? 403 ASN D O   403 ASN D O   1 
ATOM 3102  C CB  . ASN A 1 403 ? 319.786 -105.552 250.693 1.0 71.77787  ? 403 ASN D CB  403 ASN D CB  1 
ATOM 3103  C CG  . ASN A 1 403 ? 319.065 -105.187 251.963 1.0 71.77787  ? 403 ASN D CG  403 ASN D CG  1 
ATOM 3104  O OD1 . ASN A 1 403 ? 318.150 -105.884 252.391 1.0 71.77787  ? 403 ASN D OD1 403 ASN D OD1 1 
ATOM 3105  N ND2 . ASN A 1 403 ? 319.475 -104.086 252.579 1.0 71.77787  ? 403 ASN D ND2 403 ASN D ND2 1 
ATOM 3106  N N   . ILE A 1 404 ? 319.534 -107.530 248.294 1.0 68.67675  ? 404 ILE D N   404 ILE D N   1 
ATOM 3107  C CA  . ILE A 1 404 ? 319.818 -107.696 246.866 1.0 68.67675  ? 404 ILE D CA  404 ILE D CA  1 
ATOM 3108  C C   . ILE A 1 404 ? 320.344 -106.375 246.322 1.0 68.67675  ? 404 ILE D C   404 ILE D C   1 
ATOM 3109  O O   . ILE A 1 404 ? 319.798 -105.315 246.677 1.0 68.67675  ? 404 ILE D O   404 ILE D O   1 
ATOM 3110  C CB  . ILE A 1 404 ? 318.547 -108.132 246.139 1.0 68.67675  ? 404 ILE D CB  404 ILE D CB  1 
ATOM 3111  C CG1 . ILE A 1 404 ? 318.058 -109.446 246.739 1.0 68.67675  ? 404 ILE D CG1 404 ILE D CG1 1 
ATOM 3112  C CG2 . ILE A 1 404 ? 318.778 -108.291 244.655 1.0 68.67675  ? 404 ILE D CG2 404 ILE D CG2 1 
ATOM 3113  C CD1 . ILE A 1 404 ? 316.676 -109.823 246.331 1.0 68.67675  ? 404 ILE D CD1 404 ILE D CD1 1 
ATOM 3114  N N   . PRO A 1 405 ? 321.417 -106.365 245.527 1.0 69.26358  ? 405 PRO D N   405 PRO D N   1 
ATOM 3115  C CA  . PRO A 1 405 ? 321.872 -105.104 244.927 1.0 69.26358  ? 405 PRO D CA  405 PRO D CA  1 
ATOM 3116  C C   . PRO A 1 405 ? 320.830 -104.532 243.976 1.0 69.26358  ? 405 PRO D C   405 PRO D C   1 
ATOM 3117  O O   . PRO A 1 405 ? 320.007 -105.254 243.410 1.0 69.26358  ? 405 PRO D O   405 PRO D O   1 
ATOM 3118  C CB  . PRO A 1 405 ? 323.157 -105.502 244.192 1.0 69.26358  ? 405 PRO D CB  405 PRO D CB  1 
ATOM 3119  C CG  . PRO A 1 405 ? 323.044 -106.968 243.988 1.0 69.26358  ? 405 PRO D CG  405 PRO D CG  1 
ATOM 3120  C CD  . PRO A 1 405 ? 322.312 -107.484 245.186 1.0 69.26358  ? 405 PRO D CD  405 PRO D CD  1 
ATOM 3121  N N   . ALA A 1 406 ? 320.852 -103.211 243.832 1.0 65.88377  ? 406 ALA D N   406 ALA D N   1 
ATOM 3122  C CA  . ALA A 1 406 ? 319.710 -102.517 243.263 1.0 65.88377  ? 406 ALA D CA  406 ALA D CA  1 
ATOM 3123  C C   . ALA A 1 406 ? 320.151 -101.276 242.510 1.0 65.88377  ? 406 ALA D C   406 ALA D C   1 
ATOM 3124  O O   . ALA A 1 406 ? 321.172 -100.664 242.829 1.0 65.88377  ? 406 ALA D O   406 ALA D O   1 
ATOM 3125  C CB  . ALA A 1 406 ? 318.719 -102.106 244.354 1.0 65.88377  ? 406 ALA D CB  406 ALA D CB  1 
ATOM 3126  N N   . VAL A 1 407 ? 319.361 -100.918 241.497 1.0 61.93975  ? 407 VAL D N   407 VAL D N   1 
ATOM 3127  C CA  . VAL A 1 407 ? 319.357 -99.582  240.921 1.0 61.93975  ? 407 VAL D CA  407 VAL D CA  1 
ATOM 3128  C C   . VAL A 1 407 ? 317.908 -99.124  240.853 1.0 61.93975  ? 407 VAL D C   407 VAL D C   1 
ATOM 3129  O O   . VAL A 1 407 ? 316.975 -99.922  240.952 1.0 61.93975  ? 407 VAL D O   407 VAL D O   1 
ATOM 3130  C CB  . VAL A 1 407 ? 320.014 -99.508  239.527 1.0 61.93975  ? 407 VAL D CB  407 VAL D CB  1 
ATOM 3131  C CG1 . VAL A 1 407 ? 321.496 -99.827  239.606 1.0 61.93975  ? 407 VAL D CG1 407 VAL D CG1 1 
ATOM 3132  C CG2 . VAL A 1 407 ? 319.320 -100.440 238.567 1.0 61.93975  ? 407 VAL D CG2 407 VAL D CG2 1 
ATOM 3133  N N   . GLU A 1 408 ? 317.726 -97.817  240.687 1.0 64.0815   ? 408 GLU D N   408 GLU D N   1 
ATOM 3134  C CA  . GLU A 1 408 ? 316.406 -97.204  240.748 1.0 64.0815   ? 408 GLU D CA  408 GLU D CA  1 
ATOM 3135  C C   . GLU A 1 408 ? 316.336 -96.046  239.770 1.0 64.0815   ? 408 GLU D C   408 GLU D C   1 
ATOM 3136  O O   . GLU A 1 408 ? 317.229 -95.196  239.754 1.0 64.0815   ? 408 GLU D O   408 GLU D O   1 
ATOM 3137  C CB  . GLU A 1 408 ? 316.106 -96.697  242.161 1.0 64.0815   ? 408 GLU D CB  408 GLU D CB  1 
ATOM 3138  C CG  . GLU A 1 408 ? 314.762 -96.014  242.299 1.0 64.0815   ? 408 GLU D CG  408 GLU D CG  1 
ATOM 3139  C CD  . GLU A 1 408 ? 314.482 -95.551  243.711 1.0 64.0815   ? 408 GLU D CD  408 GLU D CD  1 
ATOM 3140  O OE1 . GLU A 1 408 ? 315.338 -95.766  244.593 1.0 64.0815   ? 408 GLU D OE1 408 GLU D OE1 1 
ATOM 3141  O OE2 . GLU A 1 408 ? 313.404 -94.964  243.937 1.0 64.0815   ? 408 GLU D OE2 408 GLU D OE2 1 
ATOM 3142  N N   . MET A 1 409 ? 315.280 -96.006  238.965 1.0 62.28879  ? 409 MET D N   409 MET D N   1 
ATOM 3143  C CA  . MET A 1 409 ? 314.999 -94.852  238.129 1.0 62.28879  ? 409 MET D CA  409 MET D CA  1 
ATOM 3144  C C   . MET A 1 409 ? 313.606 -94.325  238.440 1.0 62.28879  ? 409 MET D C   409 MET D C   1 
ATOM 3145  O O   . MET A 1 409 ? 312.721 -95.070  238.871 1.0 62.28879  ? 409 MET D O   409 MET D O   1 
ATOM 3146  C CB  . MET A 1 409 ? 315.108 -95.185  236.631 1.0 62.28879  ? 409 MET D CB  409 MET D CB  1 
ATOM 3147  C CG  . MET A 1 409 ? 314.036 -96.118  236.098 1.0 62.28879  ? 409 MET D CG  409 MET D CG  1 
ATOM 3148  S SD  . MET A 1 409 ? 314.230 -96.476  234.347 1.0 62.28879  ? 409 MET D SD  409 MET D SD  1 
ATOM 3149  C CE  . MET A 1 409 ? 315.606 -97.613  234.405 1.0 62.28879  ? 409 MET D CE  409 MET D CE  1 
ATOM 3150  N N   . ASN A 1 410 ? 313.424 -93.023  238.248 1.0 58.20847  ? 410 ASN D N   410 ASN D N   1 
ATOM 3151  C CA  . ASN A 1 410 ? 312.091 -92.432  238.310 1.0 58.20847  ? 410 ASN D CA  410 ASN D CA  1 
ATOM 3152  C C   . ASN A 1 410 ? 311.447 -92.687  236.957 1.0 58.20847  ? 410 ASN D C   410 ASN D C   1 
ATOM 3153  O O   . ASN A 1 410 ? 311.558 -91.887  236.029 1.0 58.20847  ? 410 ASN D O   410 ASN D O   1 
ATOM 3154  C CB  . ASN A 1 410 ? 312.164 -90.947  238.636 1.0 58.20847  ? 410 ASN D CB  410 ASN D CB  1 
ATOM 3155  C CG  . ASN A 1 410 ? 310.808 -90.351  238.962 1.0 58.20847  ? 410 ASN D CG  410 ASN D CG  1 
ATOM 3156  O OD1 . ASN A 1 410 ? 309.790 -91.038  238.934 1.0 58.20847  ? 410 ASN D OD1 410 ASN D OD1 1 
ATOM 3157  N ND2 . ASN A 1 410 ? 310.790 -89.065  239.281 1.0 58.20847  ? 410 ASN D ND2 410 ASN D ND2 1 
ATOM 3158  N N   . LEU A 1 411 ? 310.771 -93.826  236.851 1.0 56.9558   ? 411 LEU D N   411 LEU D N   1 
ATOM 3159  C CA  . LEU A 1 411 ? 310.227 -94.318  235.590 1.0 56.9558   ? 411 LEU D CA  411 LEU D CA  1 
ATOM 3160  C C   . LEU A 1 411 ? 309.105 -93.450  235.006 1.0 56.9558   ? 411 LEU D C   411 LEU D C   1 
ATOM 3161  O O   . LEU A 1 411 ? 309.168 -93.184  233.802 1.0 56.9558   ? 411 LEU D O   411 LEU D O   1 
ATOM 3162  C CB  . LEU A 1 411 ? 309.792 -95.785  235.751 1.0 56.9558   ? 411 LEU D CB  411 LEU D CB  1 
ATOM 3163  C CG  . LEU A 1 411 ? 309.400 -96.703  234.587 1.0 56.9558   ? 411 LEU D CG  411 LEU D CG  1 
ATOM 3164  C CD1 . LEU A 1 411 ? 307.945 -96.587  234.149 1.0 56.9558   ? 411 LEU D CD1 411 LEU D CD1 1 
ATOM 3165  C CD2 . LEU A 1 411 ? 310.313 -96.441  233.415 1.0 56.9558   ? 411 LEU D CD2 411 LEU D CD2 1 
ATOM 3166  N N   . PRO A 1 412 ? 308.084 -92.974  235.749 1.0 55.94719  ? 412 PRO D N   412 PRO D N   1 
ATOM 3167  C CA  . PRO A 1 412 ? 307.080 -92.121  235.086 1.0 55.94719  ? 412 PRO D CA  412 PRO D CA  1 
ATOM 3168  C C   . PRO A 1 412 ? 307.585 -90.734  234.729 1.0 55.94719  ? 412 PRO D C   412 PRO D C   1 
ATOM 3169  O O   . PRO A 1 412 ? 306.947 -90.056  233.916 1.0 55.94719  ? 412 PRO D O   412 PRO D O   1 
ATOM 3170  C CB  . PRO A 1 412 ? 305.941 -92.046  236.110 1.0 55.94719  ? 412 PRO D CB  412 PRO D CB  1 
ATOM 3171  C CG  . PRO A 1 412 ? 306.144 -93.191  236.993 1.0 55.94719  ? 412 PRO D CG  412 PRO D CG  1 
ATOM 3172  C CD  . PRO A 1 412 ? 307.614 -93.309  237.109 1.0 55.94719  ? 412 PRO D CD  412 PRO D CD  1 
ATOM 3173  N N   . ALA A 1 413 ? 308.700 -90.286  235.304 1.0 55.6775   ? 413 ALA D N   413 ALA D N   1 
ATOM 3174  C CA  . ALA A 1 413 ? 309.298 -89.033  234.864 1.0 55.6775   ? 413 ALA D CA  413 ALA D CA  1 
ATOM 3175  C C   . ALA A 1 413 ? 310.132 -89.222  233.609 1.0 55.6775   ? 413 ALA D C   413 ALA D C   1 
ATOM 3176  O O   . ALA A 1 413 ? 310.234 -88.300  232.796 1.0 55.6775   ? 413 ALA D O   413 ALA D O   1 
ATOM 3177  C CB  . ALA A 1 413 ? 310.158 -88.435  235.974 1.0 55.6775   ? 413 ALA D CB  413 ALA D CB  1 
ATOM 3178  N N   . ASN A 1 414 ? 310.728 -90.402  233.435 1.0 56.36667  ? 414 ASN D N   414 ASN D N   1 
ATOM 3179  C CA  . ASN A 1 414 ? 311.534 -90.667  232.250 1.0 56.36667  ? 414 ASN D CA  414 ASN D CA  1 
ATOM 3180  C C   . ASN A 1 414 ? 310.677 -90.809  230.998 1.0 56.36667  ? 414 ASN D C   414 ASN D C   1 
ATOM 3181  O O   . ASN A 1 414 ? 311.151 -90.519  229.895 1.0 56.36667  ? 414 ASN D O   414 ASN D O   1 
ATOM 3182  C CB  . ASN A 1 414 ? 312.377 -91.922  232.463 1.0 56.36667  ? 414 ASN D CB  414 ASN D CB  1 
ATOM 3183  C CG  . ASN A 1 414 ? 313.506 -91.705  233.443 1.0 56.36667  ? 414 ASN D CG  414 ASN D CG  1 
ATOM 3184  O OD1 . ASN A 1 414 ? 314.184 -90.683  233.406 1.0 56.36667  ? 414 ASN D OD1 414 ASN D OD1 1 
ATOM 3185  N ND2 . ASN A 1 414 ? 313.714 -92.669  234.330 1.0 56.36667  ? 414 ASN D ND2 414 ASN D ND2 1 
ATOM 3186  N N   . LEU A 1 415 ? 309.428 -91.264  231.140 1.0 54.73349  ? 415 LEU D N   415 LEU D N   1 
ATOM 3187  C CA  . LEU A 1 415 ? 308.513 -91.253  230.003 1.0 54.73349  ? 415 LEU D CA  415 LEU D CA  1 
ATOM 3188  C C   . LEU A 1 415 ? 308.135 -89.831  229.616 1.0 54.73349  ? 415 LEU D C   415 LEU D C   1 
ATOM 3189  O O   . LEU A 1 415 ? 308.023 -89.513  228.428 1.0 54.73349  ? 415 LEU D O   415 LEU D O   1 
ATOM 3190  C CB  . LEU A 1 415 ? 307.253 -92.068  230.307 1.0 54.73349  ? 415 LEU D CB  415 LEU D CB  1 
ATOM 3191  C CG  . LEU A 1 415 ? 307.190 -93.576  230.026 1.0 54.73349  ? 415 LEU D CG  415 LEU D CG  1 
ATOM 3192  C CD1 . LEU A 1 415 ? 308.005 -94.387  230.995 1.0 54.73349  ? 415 LEU D CD1 415 LEU D CD1 1 
ATOM 3193  C CD2 . LEU A 1 415 ? 305.744 -94.061  230.038 1.0 54.73349  ? 415 LEU D CD2 415 LEU D CD2 1 
ATOM 3194  N N   . LYS A 1 416 ? 307.943 -88.961  230.605 1.0 54.99897  ? 416 LYS D N   416 LYS D N   1 
ATOM 3195  C CA  . LYS A 1 416 ? 307.578 -87.578  230.332 1.0 54.99897  ? 416 LYS D CA  416 LYS D CA  1 
ATOM 3196  C C   . LYS A 1 416 ? 308.779 -86.762  229.870 1.0 54.99897  ? 416 LYS D C   416 LYS D C   1 
ATOM 3197  O O   . LYS A 1 416 ? 308.621 -85.807  229.103 1.0 54.99897  ? 416 LYS D O   416 LYS D O   1 
ATOM 3198  C CB  . LYS A 1 416 ? 306.933 -86.978  231.584 1.0 54.99897  ? 416 LYS D CB  416 LYS D CB  1 
ATOM 3199  C CG  . LYS A 1 416 ? 306.375 -85.580  231.442 1.0 54.99897  ? 416 LYS D CG  416 LYS D CG  1 
ATOM 3200  C CD  . LYS A 1 416 ? 307.268 -84.555  232.105 1.0 54.99897  ? 416 LYS D CD  416 LYS D CD  1 
ATOM 3201  C CE  . LYS A 1 416 ? 306.678 -83.174  231.980 1.0 54.99897  ? 416 LYS D CE  416 LYS D CE  1 
ATOM 3202  N NZ  . LYS A 1 416 ? 305.377 -83.051  232.677 1.0 54.99897  ? 416 LYS D NZ  416 LYS D NZ  1 
ATOM 3203  N N   . ARG A 1 417 ? 309.981 -87.131  230.307 1.0 55.27801  ? 417 ARG D N   417 ARG D N   1 
ATOM 3204  C CA  . ARG A 1 417 ? 311.185 -86.450  229.851 1.0 55.27801  ? 417 ARG D CA  417 ARG D CA  1 
ATOM 3205  C C   . ARG A 1 417 ? 311.494 -86.775  228.396 1.0 55.27801  ? 417 ARG D C   417 ARG D C   1 
ATOM 3206  O O   . ARG A 1 417 ? 312.020 -85.927  227.668 1.0 55.27801  ? 417 ARG D O   417 ARG D O   1 
ATOM 3207  C CB  . ARG A 1 417 ? 312.347 -86.842  230.758 1.0 55.27801  ? 417 ARG D CB  417 ARG D CB  1 
ATOM 3208  C CG  . ARG A 1 417 ? 313.654 -86.154  230.501 1.0 55.27801  ? 417 ARG D CG  417 ARG D CG  1 
ATOM 3209  C CD  . ARG A 1 417 ? 314.653 -86.589  231.549 1.0 55.27801  ? 417 ARG D CD  417 ARG D CD  1 
ATOM 3210  N NE  . ARG A 1 417 ? 315.980 -86.053  231.296 1.0 55.27801  ? 417 ARG D NE  417 ARG D NE  1 
ATOM 3211  C CZ  . ARG A 1 417 ? 316.387 -84.858  231.703 1.0 55.27801  ? 417 ARG D CZ  417 ARG D CZ  1 
ATOM 3212  N NH1 . ARG A 1 417 ? 315.566 -84.070  232.381 1.0 55.27801  ? 417 ARG D NH1 417 ARG D NH1 1 
ATOM 3213  N NH2 . ARG A 1 417 ? 317.616 -84.451  231.432 1.0 55.27801  ? 417 ARG D NH2 417 ARG D NH2 1 
ATOM 3214  N N   . THR A 1 418 ? 311.164 -87.988  227.954 1.0 55.07849  ? 418 THR D N   418 THR D N   1 
ATOM 3215  C CA  . THR A 1 418 ? 311.368 -88.374  226.563 1.0 55.07849  ? 418 THR D CA  418 THR D CA  1 
ATOM 3216  C C   . THR A 1 418 ? 310.297 -87.765  225.666 1.0 55.07849  ? 418 THR D C   418 THR D C   1 
ATOM 3217  O O   . THR A 1 418 ? 310.582 -87.376  224.527 1.0 55.07849  ? 418 THR D O   418 THR D O   1 
ATOM 3218  C CB  . THR A 1 418 ? 311.380 -89.901  226.456 1.0 55.07849  ? 418 THR D CB  418 THR D CB  1 
ATOM 3219  O OG1 . THR A 1 418 ? 312.400 -90.426  227.312 1.0 55.07849  ? 418 THR D OG1 418 THR D OG1 1 
ATOM 3220  C CG2 . THR A 1 418 ? 311.667 -90.360  225.042 1.0 55.07849  ? 418 THR D CG2 418 THR D CG2 1 
ATOM 3221  N N   . PHE A 1 419 ? 309.069 -87.653  226.178 1.0 53.99248  ? 419 PHE D N   419 PHE D N   1 
ATOM 3222  C CA  . PHE A 1 419 ? 307.985 -87.035  225.421 1.0 53.99248  ? 419 PHE D CA  419 PHE D CA  1 
ATOM 3223  C C   . PHE A 1 419 ? 308.254 -85.558  225.177 1.0 53.99248  ? 419 PHE D C   419 PHE D C   1 
ATOM 3224  O O   . PHE A 1 419 ? 308.094 -85.064  224.057 1.0 53.99248  ? 419 PHE D O   419 PHE D O   1 
ATOM 3225  C CB  . PHE A 1 419 ? 306.662 -87.218  226.163 1.0 53.99248  ? 419 PHE D CB  419 PHE D CB  1 
ATOM 3226  C CG  . PHE A 1 419 ? 305.483 -86.617  225.459 1.0 53.99248  ? 419 PHE D CG  419 PHE D CG  1 
ATOM 3227  C CD1 . PHE A 1 419 ? 304.884 -87.276  224.403 1.0 53.99248  ? 419 PHE D CD1 419 PHE D CD1 1 
ATOM 3228  C CD2 . PHE A 1 419 ? 304.972 -85.390  225.855 1.0 53.99248  ? 419 PHE D CD2 419 PHE D CD2 1 
ATOM 3229  C CE1 . PHE A 1 419 ? 303.798 -86.720  223.750 1.0 53.99248  ? 419 PHE D CE1 419 PHE D CE1 1 
ATOM 3230  C CE2 . PHE A 1 419 ? 303.895 -84.828  225.204 1.0 53.99248  ? 419 PHE D CE2 419 PHE D CE2 1 
ATOM 3231  C CZ  . PHE A 1 419 ? 303.307 -85.493  224.151 1.0 53.99248  ? 419 PHE D CZ  419 PHE D CZ  1 
ATOM 3232  N N   . LEU A 1 420 ? 308.667 -84.835  226.220 1.0 53.33184  ? 420 LEU D N   420 LEU D N   1 
ATOM 3233  C CA  . LEU A 1 420 ? 308.909 -83.402  226.099 1.0 53.33184  ? 420 LEU D CA  420 LEU D CA  1 
ATOM 3234  C C   . LEU A 1 420 ? 310.130 -83.076  225.257 1.0 53.33184  ? 420 LEU D C   420 LEU D C   1 
ATOM 3235  O O   . LEU A 1 420 ? 310.236 -81.953  224.759 1.0 53.33184  ? 420 LEU D O   420 LEU D O   1 
ATOM 3236  C CB  . LEU A 1 420 ? 309.066 -82.761  227.478 1.0 53.33184  ? 420 LEU D CB  420 LEU D CB  1 
ATOM 3237  C CG  . LEU A 1 420 ? 307.845 -82.122  228.145 1.0 53.33184  ? 420 LEU D CG  420 LEU D CG  1 
ATOM 3238  C CD1 . LEU A 1 420 ? 307.402 -80.899  227.360 1.0 53.33184  ? 420 LEU D CD1 420 LEU D CD1 1 
ATOM 3239  C CD2 . LEU A 1 420 ? 306.689 -83.095  228.299 1.0 53.33184  ? 420 LEU D CD2 420 LEU D CD2 1 
ATOM 3240  N N   . TYR A 1 421 ? 311.054 -84.014  225.089 1.0 53.44634  ? 421 TYR D N   421 TYR D N   1 
ATOM 3241  C CA  . TYR A 1 421 ? 312.223 -83.727  224.274 1.0 53.44634  ? 421 TYR D CA  421 TYR D CA  1 
ATOM 3242  C C   . TYR A 1 421 ? 311.988 -84.048  222.805 1.0 53.44634  ? 421 TYR D C   421 TYR D C   1 
ATOM 3243  O O   . TYR A 1 421 ? 312.337 -83.251  221.931 1.0 53.44634  ? 421 TYR D O   421 TYR D O   1 
ATOM 3244  C CB  . TYR A 1 421 ? 313.435 -84.503  224.787 1.0 53.44634  ? 421 TYR D CB  421 TYR D CB  1 
ATOM 3245  C CG  . TYR A 1 421 ? 314.673 -84.243  223.975 1.0 53.44634  ? 421 TYR D CG  421 TYR D CG  1 
ATOM 3246  C CD1 . TYR A 1 421 ? 315.352 -83.041  224.084 1.0 53.44634  ? 421 TYR D CD1 421 TYR D CD1 1 
ATOM 3247  C CD2 . TYR A 1 421 ? 315.161 -85.196  223.094 1.0 53.44634  ? 421 TYR D CD2 421 TYR D CD2 1 
ATOM 3248  C CE1 . TYR A 1 421 ? 316.479 -82.794  223.341 1.0 53.44634  ? 421 TYR D CE1 421 TYR D CE1 1 
ATOM 3249  C CE2 . TYR A 1 421 ? 316.286 -84.958  222.349 1.0 53.44634  ? 421 TYR D CE2 421 TYR D CE2 1 
ATOM 3250  C CZ  . TYR A 1 421 ? 316.940 -83.756  222.475 1.0 53.44634  ? 421 TYR D CZ  421 TYR D CZ  1 
ATOM 3251  O OH  . TYR A 1 421 ? 318.066 -83.518  221.729 1.0 53.44634  ? 421 TYR D OH  421 TYR D OH  1 
ATOM 3252  N N   . SER A 1 422 ? 311.405 -85.210  222.519 1.0 52.0259   ? 422 SER D N   422 SER D N   1 
ATOM 3253  C CA  . SER A 1 422 ? 311.264 -85.652  221.139 1.0 52.0259   ? 422 SER D CA  422 SER D CA  1 
ATOM 3254  C C   . SER A 1 422 ? 310.163 -84.918  220.392 1.0 52.0259   ? 422 SER D C   422 SER D C   1 
ATOM 3255  O O   . SER A 1 422 ? 310.138 -84.963  219.160 1.0 52.0259   ? 422 SER D O   422 SER D O   1 
ATOM 3256  C CB  . SER A 1 422 ? 310.987 -87.150  221.095 1.0 52.0259   ? 422 SER D CB  422 SER D CB  1 
ATOM 3257  O OG  . SER A 1 422 ? 310.798 -87.584  219.762 1.0 52.0259   ? 422 SER D OG  422 SER D OG  1 
ATOM 3258  N N   . ASN A 1 423 ? 309.258 -84.246  221.097 1.0 51.32194  ? 423 ASN D N   423 ASN D N   1 
ATOM 3259  C CA  . ASN A 1 423 ? 308.094 -83.645  220.466 1.0 51.32194  ? 423 ASN D CA  423 ASN D CA  1 
ATOM 3260  C C   . ASN A 1 423 ? 308.035 -82.136  220.572 1.0 51.32194  ? 423 ASN D C   423 ASN D C   1 
ATOM 3261  O O   . ASN A 1 423 ? 307.443 -81.498  219.703 1.0 51.32194  ? 423 ASN D O   423 ASN D O   1 
ATOM 3262  C CB  . ASN A 1 423 ? 306.814 -84.228  221.063 1.0 51.32194  ? 423 ASN D CB  423 ASN D CB  1 
ATOM 3263  C CG  . ASN A 1 423 ? 306.586 -85.641  220.631 1.0 51.32194  ? 423 ASN D CG  423 ASN D CG  1 
ATOM 3264  O OD1 . ASN A 1 423 ? 306.752 -85.973  219.464 1.0 51.32194  ? 423 ASN D OD1 423 ASN D OD1 1 
ATOM 3265  N ND2 . ASN A 1 423 ? 306.230 -86.495  221.568 1.0 51.32194  ? 423 ASN D ND2 423 ASN D ND2 1 
ATOM 3266  N N   . VAL A 1 424 ? 308.620 -81.547  221.604 1.0 50.23203  ? 424 VAL D N   424 VAL D N   1 
ATOM 3267  C CA  . VAL A 1 424 ? 308.620 -80.102  221.780 1.0 50.23203  ? 424 VAL D CA  424 VAL D CA  1 
ATOM 3268  C C   . VAL A 1 424 ? 309.994 -79.513  221.495 1.0 50.23203  ? 424 VAL D C   424 VAL D C   1 
ATOM 3269  O O   . VAL A 1 424 ? 310.142 -78.660  220.621 1.0 50.23203  ? 424 VAL D O   424 VAL D O   1 
ATOM 3270  C CB  . VAL A 1 424 ? 308.125 -79.710  223.188 1.0 50.23203  ? 424 VAL D CB  424 VAL D CB  1 
ATOM 3271  C CG1 . VAL A 1 424 ? 308.197 -78.208  223.353 1.0 50.23203  ? 424 VAL D CG1 424 VAL D CG1 1 
ATOM 3272  C CG2 . VAL A 1 424 ? 306.713 -80.211  223.406 1.0 50.23203  ? 424 VAL D CG2 424 VAL D CG2 1 
ATOM 3273  N N   . ALA A 1 425 ? 311.018 -79.961  222.222 1.0 50.56763  ? 425 ALA D N   425 ALA D N   1 
ATOM 3274  C CA  . ALA A 1 425 ? 312.343 -79.370  222.094 1.0 50.56763  ? 425 ALA D CA  425 ALA D CA  1 
ATOM 3275  C C   . ALA A 1 425 ? 313.042 -79.765  220.808 1.0 50.56763  ? 425 ALA D C   425 ALA D C   1 
ATOM 3276  O O   . ALA A 1 425 ? 313.990 -79.092  220.403 1.0 50.56763  ? 425 ALA D O   425 ALA D O   1 
ATOM 3277  C CB  . ALA A 1 425 ? 313.213 -79.759  223.286 1.0 50.56763  ? 425 ALA D CB  425 ALA D CB  1 
ATOM 3278  N N   . MET A 1 426 ? 312.605 -80.836  220.162 1.0 48.99374  ? 426 MET D N   426 MET D N   1 
ATOM 3279  C CA  . MET A 1 426 ? 313.186 -81.222  218.889 1.0 48.99374  ? 426 MET D CA  426 MET D CA  1 
ATOM 3280  C C   . MET A 1 426 ? 312.737 -80.306  217.759 1.0 48.99374  ? 426 MET D C   426 MET D C   1 
ATOM 3281  O O   . MET A 1 426 ? 313.476 -80.131  216.786 1.0 48.99374  ? 426 MET D O   426 MET D O   1 
ATOM 3282  C CB  . MET A 1 426 ? 312.823 -82.682  218.609 1.0 48.99374  ? 426 MET D CB  426 MET D CB  1 
ATOM 3283  C CG  . MET A 1 426 ? 313.528 -83.305  217.440 1.0 48.99374  ? 426 MET D CG  426 MET D CG  1 
ATOM 3284  S SD  . MET A 1 426 ? 315.317 -83.243  217.637 1.0 48.99374  ? 426 MET D SD  426 MET D SD  1 
ATOM 3285  C CE  . MET A 1 426 ? 315.541 -84.497  218.881 1.0 48.99374  ? 426 MET D CE  426 MET D CE  1 
ATOM 3286  N N   . TYR A 1 427 ? 311.571 -79.673  217.891 1.0 47.97844  ? 427 TYR D N   427 TYR D N   1 
ATOM 3287  C CA  . TYR A 1 427 ? 310.987 -78.859  216.833 1.0 47.97844  ? 427 TYR D CA  427 TYR D CA  1 
ATOM 3288  C C   . TYR A 1 427 ? 311.077 -77.364  217.117 1.0 47.97844  ? 427 TYR D C   427 TYR D C   1 
ATOM 3289  O O   . TYR A 1 427 ? 310.192 -76.606  216.714 1.0 47.97844  ? 427 TYR D O   427 TYR D O   1 
ATOM 3290  C CB  . TYR A 1 427 ? 309.536 -79.276  216.599 1.0 47.97844  ? 427 TYR D CB  427 TYR D CB  1 
ATOM 3291  C CG  . TYR A 1 427 ? 309.429 -80.643  215.980 1.0 47.97844  ? 427 TYR D CG  427 TYR D CG  1 
ATOM 3292  C CD1 . TYR A 1 427 ? 309.531 -80.812  214.609 1.0 47.97844  ? 427 TYR D CD1 427 TYR D CD1 1 
ATOM 3293  C CD2 . TYR A 1 427 ? 309.273 -81.770  216.769 1.0 47.97844  ? 427 TYR D CD2 427 TYR D CD2 1 
ATOM 3294  C CE1 . TYR A 1 427 ? 309.454 -82.062  214.038 1.0 47.97844  ? 427 TYR D CE1 427 TYR D CE1 1 
ATOM 3295  C CE2 . TYR A 1 427 ? 309.197 -83.025  216.207 1.0 47.97844  ? 427 TYR D CE2 427 TYR D CE2 1 
ATOM 3296  C CZ  . TYR A 1 427 ? 309.290 -83.162  214.840 1.0 47.97844  ? 427 TYR D CZ  427 TYR D CZ  1 
ATOM 3297  O OH  . TYR A 1 427 ? 309.217 -84.405  214.262 1.0 47.97844  ? 427 TYR D OH  427 TYR D OH  1 
ATOM 3298  N N   . LEU A 1 428 ? 312.142 -76.922  217.777 1.0 50.14789  ? 428 LEU D N   428 LEU D N   1 
ATOM 3299  C CA  . LEU A 1 428 ? 312.343 -75.513  218.067 1.0 50.14789  ? 428 LEU D CA  428 LEU D CA  1 
ATOM 3300  C C   . LEU A 1 428 ? 312.733 -74.746  216.806 1.0 50.14789  ? 428 LEU D C   428 LEU D C   1 
ATOM 3301  O O   . LEU A 1 428 ? 313.111 -75.347  215.800 1.0 50.14789  ? 428 LEU D O   428 LEU D O   1 
ATOM 3302  C CB  . LEU A 1 428 ? 313.436 -75.364  219.114 1.0 50.14789  ? 428 LEU D CB  428 LEU D CB  1 
ATOM 3303  C CG  . LEU A 1 428 ? 313.087 -75.871  220.495 1.0 50.14789  ? 428 LEU D CG  428 LEU D CG  1 
ATOM 3304  C CD1 . LEU A 1 428 ? 314.340 -75.837  221.286 1.0 50.14789  ? 428 LEU D CD1 428 LEU D CD1 1 
ATOM 3305  C CD2 . LEU A 1 428 ? 312.043 -74.985  221.116 1.0 50.14789  ? 428 LEU D CD2 428 LEU D CD2 1 
ATOM 3306  N N   . PRO A 1 429 ? 312.651 -73.414  216.830 1.0 52.59651  ? 429 PRO D N   429 PRO D N   1 
ATOM 3307  C CA  . PRO A 1 429 ? 313.301 -72.628  215.779 1.0 52.59651  ? 429 PRO D CA  429 PRO D CA  1 
ATOM 3308  C C   . PRO A 1 429 ? 314.817 -72.732  215.843 1.0 52.59651  ? 429 PRO D C   429 PRO D C   1 
ATOM 3309  O O   . PRO A 1 429 ? 315.403 -73.188  216.825 1.0 52.59651  ? 429 PRO D O   429 PRO D O   1 
ATOM 3310  C CB  . PRO A 1 429 ? 312.829 -71.198  216.057 1.0 52.59651  ? 429 PRO D CB  429 PRO D CB  1 
ATOM 3311  C CG  . PRO A 1 429 ? 312.371 -71.207  217.461 1.0 52.59651  ? 429 PRO D CG  429 PRO D CG  1 
ATOM 3312  C CD  . PRO A 1 429 ? 311.788 -72.561  217.666 1.0 52.59651  ? 429 PRO D CD  429 PRO D CD  1 
ATOM 3313  N N   . ASP A 1 430 ? 315.452 -72.285  214.759 1.0 59.34709  ? 430 ASP D N   430 ASP D N   1 
ATOM 3314  C CA  . ASP A 1 430 ? 316.899 -72.402  214.615 1.0 59.34709  ? 430 ASP D CA  430 ASP D CA  1 
ATOM 3315  C C   . ASP A 1 430 ? 317.657 -71.464  215.547 1.0 59.34709  ? 430 ASP D C   430 ASP D C   1 
ATOM 3316  O O   . ASP A 1 430 ? 318.847 -71.683  215.797 1.0 59.34709  ? 430 ASP D O   430 ASP D O   1 
ATOM 3317  C CB  . ASP A 1 430 ? 317.279 -72.138  213.157 1.0 59.34709  ? 430 ASP D CB  430 ASP D CB  1 
ATOM 3318  C CG  . ASP A 1 430 ? 318.727 -72.439  212.863 1.0 59.34709  ? 430 ASP D CG  430 ASP D CG  1 
ATOM 3319  O OD1 . ASP A 1 430 ? 319.078 -73.632  212.811 1.0 59.34709  ? 430 ASP D OD1 430 ASP D OD1 1 
ATOM 3320  O OD2 . ASP A 1 430 ? 319.511 -71.483  212.689 1.0 59.34709  ? 430 ASP D OD2 430 ASP D OD2 1 
ATOM 3321  N N   . THR A 1 431 ? 316.991 -70.439  216.079 1.0 59.33837  ? 431 THR D N   431 THR D N   1 
ATOM 3322  C CA  . THR A 1 431 ? 317.652 -69.498  216.975 1.0 59.33837  ? 431 THR D CA  431 THR D CA  1 
ATOM 3323  C C   . THR A 1 431 ? 317.995 -70.154  218.308 1.0 59.33837  ? 431 THR D C   431 THR D C   1 
ATOM 3324  O O   . THR A 1 431 ? 319.062 -69.899  218.879 1.0 59.33837  ? 431 THR D O   431 THR D O   1 
ATOM 3325  C CB  . THR A 1 431 ? 316.753 -68.279  217.180 1.0 59.33837  ? 431 THR D CB  431 THR D CB  1 
ATOM 3326  O OG1 . THR A 1 431 ? 316.425 -67.717  215.904 1.0 59.33837  ? 431 THR D OG1 431 THR D OG1 1 
ATOM 3327  C CG2 . THR A 1 431 ? 317.446 -67.214  218.016 1.0 59.33837  ? 431 THR D CG2 431 THR D CG2 1 
ATOM 3328  N N   . TYR A 1 432 ? 317.125 -71.031  218.798 1.0 58.40996  ? 432 TYR D N   432 TYR D N   1 
ATOM 3329  C CA  . TYR A 1 432 ? 317.310 -71.668  220.094 1.0 58.40996  ? 432 TYR D CA  432 TYR D CA  1 
ATOM 3330  C C   . TYR A 1 432 ? 318.018 -73.010  220.004 1.0 58.40996  ? 432 TYR D C   432 TYR D C   1 
ATOM 3331  O O   . TYR A 1 432 ? 318.030 -73.755  220.986 1.0 58.40996  ? 432 TYR D O   432 TYR D O   1 
ATOM 3332  C CB  . TYR A 1 432 ? 315.963 -71.846  220.793 1.0 58.40996  ? 432 TYR D CB  432 TYR D CB  1 
ATOM 3333  C CG  . TYR A 1 432 ? 315.346 -70.557  221.274 1.0 58.40996  ? 432 TYR D CG  432 TYR D CG  1 
ATOM 3334  C CD1 . TYR A 1 432 ? 316.097 -69.392  221.371 1.0 58.40996  ? 432 TYR D CD1 432 TYR D CD1 1 
ATOM 3335  C CD2 . TYR A 1 432 ? 314.013 -70.506  221.638 1.0 58.40996  ? 432 TYR D CD2 432 TYR D CD2 1 
ATOM 3336  C CE1 . TYR A 1 432 ? 315.534 -68.215  221.808 1.0 58.40996  ? 432 TYR D CE1 432 TYR D CE1 1 
ATOM 3337  C CE2 . TYR A 1 432 ? 313.444 -69.337  222.080 1.0 58.40996  ? 432 TYR D CE2 432 TYR D CE2 1 
ATOM 3338  C CZ  . TYR A 1 432 ? 314.206 -68.194  222.162 1.0 58.40996  ? 432 TYR D CZ  432 TYR D CZ  1 
ATOM 3339  O OH  . TYR A 1 432 ? 313.634 -67.025  222.602 1.0 58.40996  ? 432 TYR D OH  432 TYR D OH  1 
ATOM 3340  N N   . LYS A 1 433 ? 318.594 -73.340  218.857 1.0 56.23069  ? 433 LYS D N   433 LYS D N   1 
ATOM 3341  C CA  . LYS A 1 433 ? 319.371 -74.554  218.706 1.0 56.23069  ? 433 LYS D CA  433 LYS D CA  1 
ATOM 3342  C C   . LYS A 1 433 ? 320.844 -74.195  218.553 1.0 56.23069  ? 433 LYS D C   433 LYS D C   1 
ATOM 3343  O O   . LYS A 1 433 ? 321.220 -73.024  218.477 1.0 56.23069  ? 433 LYS D O   433 LYS D O   1 
ATOM 3344  C CB  . LYS A 1 433 ? 318.873 -75.363  217.511 1.0 56.23069  ? 433 LYS D CB  433 LYS D CB  1 
ATOM 3345  C CG  . LYS A 1 433 ? 317.486 -75.937  217.681 1.0 56.23069  ? 433 LYS D CG  433 LYS D CG  1 
ATOM 3346  C CD  . LYS A 1 433 ? 317.107 -76.769  216.477 1.0 56.23069  ? 433 LYS D CD  433 LYS D CD  1 
ATOM 3347  C CE  . LYS A 1 433 ? 315.719 -77.343  216.619 1.0 56.23069  ? 433 LYS D CE  433 LYS D CE  1 
ATOM 3348  N NZ  . LYS A 1 433 ? 315.356 -78.162  215.436 1.0 56.23069  ? 433 LYS D NZ  433 LYS D NZ  1 
ATOM 3349  N N   . PHE A 1 434 ? 321.689 -75.220  218.498 1.0 60.46365  ? 434 PHE D N   434 PHE D N   1 
ATOM 3350  C CA  . PHE A 1 434 ? 323.114 -75.015  218.296 1.0 60.46365  ? 434 PHE D CA  434 PHE D CA  1 
ATOM 3351  C C   . PHE A 1 434 ? 323.691 -76.229  217.589 1.0 60.46365  ? 434 PHE D C   434 PHE D C   1 
ATOM 3352  O O   . PHE A 1 434 ? 323.091 -77.305  217.564 1.0 60.46365  ? 434 PHE D O   434 PHE D O   1 
ATOM 3353  C CB  . PHE A 1 434 ? 323.846 -74.752  219.619 1.0 60.46365  ? 434 PHE D CB  434 PHE D CB  1 
ATOM 3354  C CG  . PHE A 1 434 ? 323.802 -75.900  220.589 1.0 60.46365  ? 434 PHE D CG  434 PHE D CG  1 
ATOM 3355  C CD1 . PHE A 1 434 ? 322.743 -76.034  221.465 1.0 60.46365  ? 434 PHE D CD1 434 PHE D CD1 1 
ATOM 3356  C CD2 . PHE A 1 434 ? 324.839 -76.818  220.659 1.0 60.46365  ? 434 PHE D CD2 434 PHE D CD2 1 
ATOM 3357  C CE1 . PHE A 1 434 ? 322.701 -77.075  222.362 1.0 60.46365  ? 434 PHE D CE1 434 PHE D CE1 1 
ATOM 3358  C CE2 . PHE A 1 434 ? 324.797 -77.864  221.550 1.0 60.46365  ? 434 PHE D CE2 434 PHE D CE2 1 
ATOM 3359  C CZ  . PHE A 1 434 ? 323.728 -77.989  222.405 1.0 60.46365  ? 434 PHE D CZ  434 PHE D CZ  1 
ATOM 3360  N N   . THR A 1 435 ? 324.873 -76.044  217.022 1.0 62.46776  ? 435 THR D N   435 THR D N   1 
ATOM 3361  C CA  . THR A 1 435 ? 325.539 -77.205  216.462 1.0 62.46776  ? 435 THR D CA  435 THR D CA  1 
ATOM 3362  C C   . THR A 1 435 ? 326.492 -77.813  217.483 1.0 62.46776  ? 435 THR D C   435 THR D C   1 
ATOM 3363  O O   . THR A 1 435 ? 327.037 -77.094  218.328 1.0 62.46776  ? 435 THR D O   435 THR D O   1 
ATOM 3364  C CB  . THR A 1 435 ? 326.300 -76.830  215.187 1.0 62.46776  ? 435 THR D CB  435 THR D CB  1 
ATOM 3365  O OG1 . THR A 1 435 ? 326.967 -77.982  214.660 1.0 62.46776  ? 435 THR D OG1 435 THR D OG1 1 
ATOM 3366  C CG2 . THR A 1 435 ? 327.298 -75.704  215.428 1.0 62.46776  ? 435 THR D CG2 435 THR D CG2 1 
ATOM 3367  N N   . PRO A 1 436 ? 326.673 -79.130  217.480 1.0 64.57828  ? 436 PRO D N   436 PRO D N   1 
ATOM 3368  C CA  . PRO A 1 436 ? 327.631 -79.745  218.401 1.0 64.57828  ? 436 PRO D CA  436 PRO D CA  1 
ATOM 3369  C C   . PRO A 1 436 ? 329.062 -79.385  218.039 1.0 64.57828  ? 436 PRO D C   436 PRO D C   1 
ATOM 3370  O O   . PRO A 1 436 ? 329.363 -78.852  216.970 1.0 64.57828  ? 436 PRO D O   436 PRO D O   1 
ATOM 3371  C CB  . PRO A 1 436 ? 327.378 -81.244  218.234 1.0 64.57828  ? 436 PRO D CB  436 PRO D CB  1 
ATOM 3372  C CG  . PRO A 1 436 ? 325.991 -81.332  217.746 1.0 64.57828  ? 436 PRO D CG  436 PRO D CG  1 
ATOM 3373  C CD  . PRO A 1 436 ? 325.802 -80.141  216.859 1.0 64.57828  ? 436 PRO D CD  436 PRO D CD  1 
ATOM 3374  N N   . ALA A 1 437 ? 329.955 -79.683  218.972 1.0 69.01903  ? 437 ALA D N   437 ALA D N   1 
ATOM 3375  C CA  . ALA A 1 437 ? 331.363 -79.396  218.765 1.0 69.01903  ? 437 ALA D CA  437 ALA D CA  1 
ATOM 3376  C C   . ALA A 1 437 ? 331.967 -80.390  217.784 1.0 69.01903  ? 437 ALA D C   437 ALA D C   1 
ATOM 3377  O O   . ALA A 1 437 ? 331.680 -81.589  217.842 1.0 69.01903  ? 437 ALA D O   437 ALA D O   1 
ATOM 3378  C CB  . ALA A 1 437 ? 332.108 -79.444  220.095 1.0 69.01903  ? 437 ALA D CB  437 ALA D CB  1 
ATOM 3379  N N   . ASN A 1 438 ? 332.774 -79.859  216.859 1.0 70.96158  ? 438 ASN D N   438 ASN D N   1 
ATOM 3380  C CA  . ASN A 1 438 ? 333.595 -80.629  215.917 1.0 70.96158  ? 438 ASN D CA  438 ASN D CA  1 
ATOM 3381  C C   . ASN A 1 438 ? 332.754 -81.490  214.980 1.0 70.96158  ? 438 ASN D C   438 ASN D C   1 
ATOM 3382  O O   . ASN A 1 438 ? 333.071 -82.651  214.719 1.0 70.96158  ? 438 ASN D O   438 ASN D O   1 
ATOM 3383  C CB  . ASN A 1 438 ? 334.636 -81.475  216.648 1.0 70.96158  ? 438 ASN D CB  438 ASN D CB  1 
ATOM 3384  C CG  . ASN A 1 438 ? 335.598 -80.631  217.432 1.0 70.96158  ? 438 ASN D CG  438 ASN D CG  1 
ATOM 3385  O OD1 . ASN A 1 438 ? 335.700 -80.744  218.653 1.0 70.96158  ? 438 ASN D OD1 438 ASN D OD1 1 
ATOM 3386  N ND2 . ASN A 1 438 ? 336.284 -79.739  216.737 1.0 70.96158  ? 438 ASN D ND2 438 ASN D ND2 1 
ATOM 3387  N N   . VAL A 1 439 ? 331.676 -80.915  214.463 1.0 70.36167  ? 439 VAL D N   439 VAL D N   1 
ATOM 3388  C CA  . VAL A 1 439 ? 330.873 -81.543  213.426 1.0 70.36167  ? 439 VAL D CA  439 VAL D CA  1 
ATOM 3389  C C   . VAL A 1 439 ? 330.597 -80.493  212.355 1.0 70.36167  ? 439 VAL D C   439 VAL D C   1 
ATOM 3390  O O   . VAL A 1 439 ? 330.435 -79.306  212.660 1.0 70.36167  ? 439 VAL D O   439 VAL D O   1 
ATOM 3391  C CB  . VAL A 1 439 ? 329.580 -82.169  214.012 1.0 70.36167  ? 439 VAL D CB  439 VAL D CB  1 
ATOM 3392  C CG1 . VAL A 1 439 ? 328.665 -81.127  214.629 1.0 70.36167  ? 439 VAL D CG1 439 VAL D CG1 1 
ATOM 3393  C CG2 . VAL A 1 439 ? 328.842 -83.006  212.975 1.0 70.36167  ? 439 VAL D CG2 439 VAL D CG2 1 
ATOM 3394  N N   . ASP A 1 440 ? 330.629 -80.914  211.095 1.0 75.19843  ? 440 ASP D N   440 ASP D N   1 
ATOM 3395  C CA  . ASP A 1 440 ? 330.510 -80.004  209.966 1.0 75.19843  ? 440 ASP D CA  440 ASP D CA  1 
ATOM 3396  C C   . ASP A 1 440 ? 329.113 -80.096  209.371 1.0 75.19843  ? 440 ASP D C   440 ASP D C   1 
ATOM 3397  O O   . ASP A 1 440 ? 328.595 -81.196  209.152 1.0 75.19843  ? 440 ASP D O   440 ASP D O   1 
ATOM 3398  C CB  . ASP A 1 440 ? 331.562 -80.316  208.902 1.0 75.19843  ? 440 ASP D CB  440 ASP D CB  1 
ATOM 3399  C CG  . ASP A 1 440 ? 332.964 -79.959  209.352 1.0 75.19843  ? 440 ASP D CG  440 ASP D CG  1 
ATOM 3400  O OD1 . ASP A 1 440 ? 333.108 -79.011  210.152 1.0 75.19843  ? 440 ASP D OD1 440 ASP D OD1 1 
ATOM 3401  O OD2 . ASP A 1 440 ? 333.922 -80.627  208.909 1.0 75.19843  ? 440 ASP D OD2 440 ASP D OD2 1 
ATOM 3402  N N   . LEU A 1 441 ? 328.514 -78.946  209.114 1.0 68.52211  ? 441 LEU D N   441 LEU D N   1 
ATOM 3403  C CA  . LEU A 1 441 ? 327.186 -78.841  208.548 1.0 68.52211  ? 441 LEU D CA  441 LEU D CA  1 
ATOM 3404  C C   . LEU A 1 441 ? 327.260 -78.321  207.118 1.0 68.52211  ? 441 LEU D C   441 LEU D C   1 
ATOM 3405  O O   . LEU A 1 441 ? 328.249 -77.690  206.731 1.0 68.52211  ? 441 LEU D O   441 LEU D O   1 
ATOM 3406  C CB  . LEU A 1 441 ? 326.324 -77.902  209.403 1.0 68.52211  ? 441 LEU D CB  441 LEU D CB  1 
ATOM 3407  C CG  . LEU A 1 441 ? 326.048 -78.397  210.823 1.0 68.52211  ? 441 LEU D CG  441 LEU D CG  1 
ATOM 3408  C CD1 . LEU A 1 441 ? 325.276 -77.357  211.609 1.0 68.52211  ? 441 LEU D CD1 441 LEU D CD1 1 
ATOM 3409  C CD2 . LEU A 1 441 ? 325.305 -79.718  210.802 1.0 68.52211  ? 441 LEU D CD2 441 LEU D CD2 1 
ATOM 3410  N N   . PRO A 1 442 ? 326.247 -78.589  206.294 1.0 68.03329  ? 442 PRO D N   442 PRO D N   1 
ATOM 3411  C CA  . PRO A 1 442 ? 326.212 -78.000  204.950 1.0 68.03329  ? 442 PRO D CA  442 PRO D CA  1 
ATOM 3412  C C   . PRO A 1 442 ? 326.019 -76.490  204.990 1.0 68.03329  ? 442 PRO D C   442 PRO D C   1 
ATOM 3413  O O   . PRO A 1 442 ? 325.741 -75.883  206.026 1.0 68.03329  ? 442 PRO D O   442 PRO D O   1 
ATOM 3414  C CB  . PRO A 1 442 ? 325.022 -78.697  204.289 1.0 68.03329  ? 442 PRO D CB  442 PRO D CB  1 
ATOM 3415  C CG  . PRO A 1 442 ? 324.913 -79.986  205.004 1.0 68.03329  ? 442 PRO D CG  442 PRO D CG  1 
ATOM 3416  C CD  . PRO A 1 442 ? 325.275 -79.687  206.423 1.0 68.03329  ? 442 PRO D CD  442 PRO D CD  1 
ATOM 3417  N N   . GLU A 1 443 ? 326.170 -75.884  203.812 1.0 71.19707  ? 443 GLU D N   443 GLU D N   1 
ATOM 3418  C CA  . GLU A 1 443 ? 326.249 -74.431  203.720 1.0 71.19707  ? 443 GLU D CA  443 GLU D CA  1 
ATOM 3419  C C   . GLU A 1 443 ? 324.892 -73.779  203.953 1.0 71.19707  ? 443 GLU D C   443 GLU D C   1 
ATOM 3420  O O   . GLU A 1 443 ? 324.745 -72.927  204.837 1.0 71.19707  ? 443 GLU D O   443 GLU D O   1 
ATOM 3421  C CB  . GLU A 1 443 ? 326.814 -74.023  202.359 1.0 71.19707  ? 443 GLU D CB  443 GLU D CB  1 
ATOM 3422  C CG  . GLU A 1 443 ? 326.959 -72.522  202.190 1.0 71.19707  ? 443 GLU D CG  443 GLU D CG  1 
ATOM 3423  C CD  . GLU A 1 443 ? 328.009 -71.921  203.110 1.0 71.19707  ? 443 GLU D CD  443 GLU D CD  1 
ATOM 3424  O OE1 . GLU A 1 443 ? 328.994 -72.616  203.439 1.0 71.19707  ? 443 GLU D OE1 443 GLU D OE1 1 
ATOM 3425  O OE2 . GLU A 1 443 ? 327.840 -70.753  203.518 1.0 71.19707  ? 443 GLU D OE2 443 GLU D OE2 1 
ATOM 3426  N N   . ASN A 1 444 ? 323.890 -74.161  203.168 1.0 67.36563  ? 444 ASN D N   444 ASN D N   1 
ATOM 3427  C CA  . ASN A 1 444 ? 322.583 -73.536  203.274 1.0 67.36563  ? 444 ASN D CA  444 ASN D CA  1 
ATOM 3428  C C   . ASN A 1 444 ? 321.841 -74.015  204.516 1.0 67.36563  ? 444 ASN D C   444 ASN D C   1 
ATOM 3429  O O   . ASN A 1 444 ? 322.043 -75.130  205.001 1.0 67.36563  ? 444 ASN D O   444 ASN D O   1 
ATOM 3430  C CB  . ASN A 1 444 ? 321.750 -73.791  202.015 1.0 67.36563  ? 444 ASN D CB  444 ASN D CB  1 
ATOM 3431  C CG  . ASN A 1 444 ? 321.644 -75.260  201.654 1.0 67.36563  ? 444 ASN D CG  444 ASN D CG  1 
ATOM 3432  O OD1 . ASN A 1 444 ? 322.236 -76.123  202.300 1.0 67.36563  ? 444 ASN D OD1 444 ASN D OD1 1 
ATOM 3433  N ND2 . ASN A 1 444 ? 320.856 -75.554  200.628 1.0 67.36563  ? 444 ASN D ND2 444 ASN D ND2 1 
ATOM 3434  N N   . HIS A 1 445 ? 320.978 -73.148  205.033 1.0 62.89099  ? 445 HIS D N   445 HIS D N   1 
ATOM 3435  C CA  . HIS A 1 445 ? 320.269 -73.392  206.278 1.0 62.89099  ? 445 HIS D CA  445 HIS D CA  1 
ATOM 3436  C C   . HIS A 1 445 ? 318.956 -74.126  206.074 1.0 62.89099  ? 445 HIS D C   445 HIS D C   1 
ATOM 3437  O O   . HIS A 1 445 ? 318.161 -74.221  207.012 1.0 62.89099  ? 445 HIS D O   445 HIS D O   1 
ATOM 3438  C CB  . HIS A 1 445 ? 320.013 -72.065  206.991 1.0 62.89099  ? 445 HIS D CB  445 HIS D CB  1 
ATOM 3439  C CG  . HIS A 1 445 ? 321.263 -71.346  207.382 1.0 62.89099  ? 445 HIS D CG  445 HIS D CG  1 
ATOM 3440  N ND1 . HIS A 1 445 ? 321.965 -70.552  206.502 1.0 62.89099  ? 445 HIS D ND1 445 HIS D ND1 1 
ATOM 3441  C CD2 . HIS A 1 445 ? 321.928 -71.282  208.558 1.0 62.89099  ? 445 HIS D CD2 445 HIS D CD2 1 
ATOM 3442  C CE1 . HIS A 1 445 ? 323.018 -70.043  207.115 1.0 62.89099  ? 445 HIS D CE1 445 HIS D CE1 1 
ATOM 3443  N NE2 . HIS A 1 445 ? 323.019 -70.470  208.365 1.0 62.89099  ? 445 HIS D NE2 445 HIS D NE2 1 
ATOM 3444  N N   . LEU A 1 446 ? 318.708 -74.642  204.875 1.0 59.318    ? 446 LEU D N   446 LEU D N   1 
ATOM 3445  C CA  . LEU A 1 446 ? 317.431 -75.246  204.542 1.0 59.318    ? 446 LEU D CA  446 LEU D CA  1 
ATOM 3446  C C   . LEU A 1 446 ? 317.557 -76.652  203.985 1.0 59.318    ? 446 LEU D C   446 LEU D C   1 
ATOM 3447  O O   . LEU A 1 446 ? 316.546 -77.227  203.571 1.0 59.318    ? 446 LEU D O   446 LEU D O   1 
ATOM 3448  C CB  . LEU A 1 446 ? 316.676 -74.366  203.539 1.0 59.318    ? 446 LEU D CB  446 LEU D CB  1 
ATOM 3449  C CG  . LEU A 1 446 ? 316.196 -73.025  204.086 1.0 59.318    ? 446 LEU D CG  446 LEU D CG  1 
ATOM 3450  C CD1 . LEU A 1 446 ? 315.651 -72.163  202.977 1.0 59.318    ? 446 LEU D CD1 446 LEU D CD1 1 
ATOM 3451  C CD2 . LEU A 1 446 ? 315.141 -73.249  205.151 1.0 59.318    ? 446 LEU D CD2 446 LEU D CD2 1 
ATOM 3452  N N   . SER A 1 447 ? 318.755 -77.223  203.955 1.0 57.48378  ? 447 SER D N   447 SER D N   1 
ATOM 3453  C CA  . SER A 1 447 ? 318.912 -78.593  203.502 1.0 57.48378  ? 447 SER D CA  447 SER D CA  1 
ATOM 3454  C C   . SER A 1 447 ? 318.617 -79.550  204.652 1.0 57.48378  ? 447 SER D C   447 SER D C   1 
ATOM 3455  O O   . SER A 1 447 ? 318.250 -79.143  205.756 1.0 57.48378  ? 447 SER D O   447 SER D O   1 
ATOM 3456  C CB  . SER A 1 447 ? 320.315 -78.819  202.955 1.0 57.48378  ? 447 SER D CB  447 SER D CB  1 
ATOM 3457  O OG  . SER A 1 447 ? 321.266 -78.755  203.998 1.0 57.48378  ? 447 SER D OG  447 SER D OG  1 
ATOM 3458  N N   . TYR A 1 448 ? 318.783 -80.845  204.396 1.0 52.91122  ? 448 TYR D N   448 TYR D N   1 
ATOM 3459  C CA  . TYR A 1 448 ? 318.518 -81.819  205.445 1.0 52.91122  ? 448 TYR D CA  448 TYR D CA  1 
ATOM 3460  C C   . TYR A 1 448 ? 319.654 -81.883  206.450 1.0 52.91122  ? 448 TYR D C   448 TYR D C   1 
ATOM 3461  O O   . TYR A 1 448 ? 319.405 -81.985  207.653 1.0 52.91122  ? 448 TYR D O   448 TYR D O   1 
ATOM 3462  C CB  . TYR A 1 448 ? 318.271 -83.198  204.845 1.0 52.91122  ? 448 TYR D CB  448 TYR D CB  1 
ATOM 3463  C CG  . TYR A 1 448 ? 317.938 -84.255  205.873 1.0 52.91122  ? 448 TYR D CG  448 TYR D CG  1 
ATOM 3464  C CD1 . TYR A 1 448 ? 316.730 -84.225  206.554 1.0 52.91122  ? 448 TYR D CD1 448 TYR D CD1 1 
ATOM 3465  C CD2 . TYR A 1 448 ? 318.813 -85.298  206.137 1.0 52.91122  ? 448 TYR D CD2 448 TYR D CD2 1 
ATOM 3466  C CE1 . TYR A 1 448 ? 316.414 -85.188  207.485 1.0 52.91122  ? 448 TYR D CE1 448 TYR D CE1 1 
ATOM 3467  C CE2 . TYR A 1 448 ? 318.502 -86.269  207.066 1.0 52.91122  ? 448 TYR D CE2 448 TYR D CE2 1 
ATOM 3468  C CZ  . TYR A 1 448 ? 317.301 -86.207  207.733 1.0 52.91122  ? 448 TYR D CZ  448 TYR D CZ  1 
ATOM 3469  O OH  . TYR A 1 448 ? 316.989 -87.170  208.656 1.0 52.91122  ? 448 TYR D OH  448 TYR D OH  1 
ATOM 3470  N N   . GLY A 1 449 ? 320.901 -81.804  205.980 1.0 56.87917  ? 449 GLY D N   449 GLY D N   1 
ATOM 3471  C CA  . GLY A 1 449 ? 322.055 -81.962  206.850 1.0 56.87917  ? 449 GLY D CA  449 GLY D CA  1 
ATOM 3472  C C   . GLY A 1 449 ? 322.237 -80.853  207.863 1.0 56.87917  ? 449 GLY D C   449 GLY D C   1 
ATOM 3473  O O   . GLY A 1 449 ? 322.901 -81.066  208.881 1.0 56.87917  ? 449 GLY D O   449 GLY D O   1 
ATOM 3474  N N   . TYR A 1 450 ? 321.663 -79.680  207.614 1.0 58.7124   ? 450 TYR D N   450 TYR D N   1 
ATOM 3475  C CA  . TYR A 1 450 ? 321.707 -78.606  208.596 1.0 58.7124   ? 450 TYR D CA  450 TYR D CA  1 
ATOM 3476  C C   . TYR A 1 450 ? 320.593 -78.720  209.626 1.0 58.7124   ? 450 TYR D C   450 TYR D C   1 
ATOM 3477  O O   . TYR A 1 450 ? 320.819 -78.442  210.806 1.0 58.7124   ? 450 TYR D O   450 TYR D O   1 
ATOM 3478  C CB  . TYR A 1 450 ? 321.620 -77.250  207.901 1.0 58.7124   ? 450 TYR D CB  450 TYR D CB  1 
ATOM 3479  C CG  . TYR A 1 450 ? 321.733 -76.073  208.838 1.0 58.7124   ? 450 TYR D CG  450 TYR D CG  1 
ATOM 3480  C CD1 . TYR A 1 450 ? 322.965 -75.669  209.326 1.0 58.7124   ? 450 TYR D CD1 450 TYR D CD1 1 
ATOM 3481  C CD2 . TYR A 1 450 ? 320.607 -75.367  209.237 1.0 58.7124   ? 450 TYR D CD2 450 TYR D CD2 1 
ATOM 3482  C CE1 . TYR A 1 450 ? 323.074 -74.589  210.180 1.0 58.7124   ? 450 TYR D CE1 450 TYR D CE1 1 
ATOM 3483  C CE2 . TYR A 1 450 ? 320.706 -74.286  210.087 1.0 58.7124   ? 450 TYR D CE2 450 TYR D CE2 1 
ATOM 3484  C CZ  . TYR A 1 450 ? 321.941 -73.905  210.557 1.0 58.7124   ? 450 TYR D CZ  450 TYR D CZ  1 
ATOM 3485  O OH  . TYR A 1 450 ? 322.043 -72.831  211.407 1.0 58.7124   ? 450 TYR D OH  450 TYR D OH  1 
ATOM 3486  N N   . ILE A 1 451 ? 319.385 -79.095  209.200 1.0 54.05826  ? 451 ILE D N   451 ILE D N   1 
ATOM 3487  C CA  . ILE A 1 451 ? 318.280 -79.250  210.140 1.0 54.05826  ? 451 ILE D CA  451 ILE D CA  1 
ATOM 3488  C C   . ILE A 1 451 ? 318.501 -80.474  211.011 1.0 54.05826  ? 451 ILE D C   451 ILE D C   1 
ATOM 3489  O O   . ILE A 1 451 ? 318.145 -80.483  212.197 1.0 54.05826  ? 451 ILE D O   451 ILE D O   1 
ATOM 3490  C CB  . ILE A 1 451 ? 316.950 -79.320  209.366 1.0 54.05826  ? 451 ILE D CB  451 ILE D CB  1 
ATOM 3491  C CG1 . ILE A 1 451 ? 316.745 -78.035  208.575 1.0 54.05826  ? 451 ILE D CG1 451 ILE D CG1 1 
ATOM 3492  C CG2 . ILE A 1 451 ? 315.759 -79.509  210.290 1.0 54.05826  ? 451 ILE D CG2 451 ILE D CG2 1 
ATOM 3493  C CD1 . ILE A 1 451 ? 315.602 -78.110  207.617 1.0 54.05826  ? 451 ILE D CD1 451 ILE D CD1 1 
ATOM 3494  N N   . ASN A 1 452 ? 319.142 -81.501  210.460 1.0 54.21649  ? 452 ASN D N   452 ASN D N   1 
ATOM 3495  C CA  . ASN A 1 452 ? 319.378 -82.723  211.215 1.0 54.21649  ? 452 ASN D CA  452 ASN D CA  1 
ATOM 3496  C C   . ASN A 1 452 ? 320.483 -82.532  212.242 1.0 54.21649  ? 452 ASN D C   452 ASN D C   1 
ATOM 3497  O O   . ASN A 1 452 ? 320.332 -82.913  213.407 1.0 54.21649  ? 452 ASN D O   452 ASN D O   1 
ATOM 3498  C CB  . ASN A 1 452 ? 319.740 -83.845  210.259 1.0 54.21649  ? 452 ASN D CB  452 ASN D CB  1 
ATOM 3499  C CG  . ASN A 1 452 ? 319.636 -85.192  210.883 1.0 54.21649  ? 452 ASN D CG  452 ASN D CG  1 
ATOM 3500  O OD1 . ASN A 1 452 ? 319.242 -85.346  212.038 1.0 54.21649  ? 452 ASN D OD1 452 ASN D OD1 1 
ATOM 3501  N ND2 . ASN A 1 452 ? 319.994 -86.194  210.116 1.0 54.21649  ? 452 ASN D ND2 452 ASN D ND2 1 
ATOM 3502  N N   . GLY A 1 453 ? 321.597 -81.935  211.835 1.0 58.26034  ? 453 GLY D N   453 GLY D N   1 
ATOM 3503  C CA  . GLY A 1 453 ? 322.766 -81.873  212.689 1.0 58.26034  ? 453 GLY D CA  453 GLY D CA  1 
ATOM 3504  C C   . GLY A 1 453 ? 322.787 -80.759  213.715 1.0 58.26034  ? 453 GLY D C   453 GLY D C   1 
ATOM 3505  O O   . GLY A 1 453 ? 323.865 -80.309  214.109 1.0 58.26034  ? 453 GLY D O   453 GLY D O   1 
ATOM 3506  N N   . ARG A 1 454 ? 321.624 -80.300  214.161 1.0 57.52852  ? 454 ARG D N   454 ARG D N   1 
ATOM 3507  C CA  . ARG A 1 454 ? 321.544 -79.289  215.203 1.0 57.52852  ? 454 ARG D CA  454 ARG D CA  1 
ATOM 3508  C C   . ARG A 1 454 ? 320.698 -79.794  216.357 1.0 57.52852  ? 454 ARG D C   454 ARG D C   1 
ATOM 3509  O O   . ARG A 1 454 ? 319.652 -80.414  216.150 1.0 57.52852  ? 454 ARG D O   454 ARG D O   1 
ATOM 3510  C CB  . ARG A 1 454 ? 320.969 -77.991  214.674 1.0 57.52852  ? 454 ARG D CB  454 ARG D CB  1 
ATOM 3511  C CG  . ARG A 1 454 ? 321.887 -77.294  213.719 1.0 57.52852  ? 454 ARG D CG  454 ARG D CG  1 
ATOM 3512  C CD  . ARG A 1 454 ? 321.256 -76.032  213.231 1.0 57.52852  ? 454 ARG D CD  454 ARG D CD  1 
ATOM 3513  N NE  . ARG A 1 454 ? 321.081 -75.057  214.301 1.0 57.52852  ? 454 ARG D NE  454 ARG D NE  1 
ATOM 3514  C CZ  . ARG A 1 454 ? 322.002 -74.169  214.652 1.0 57.52852  ? 454 ARG D CZ  454 ARG D CZ  1 
ATOM 3515  N NH1 . ARG A 1 454 ? 323.162 -74.135  214.018 1.0 57.52852  ? 454 ARG D NH1 454 ARG D NH1 1 
ATOM 3516  N NH2 . ARG A 1 454 ? 321.764 -73.311  215.630 1.0 57.52852  ? 454 ARG D NH2 454 ARG D NH2 1 
ATOM 3517  N N   . LEU A 1 455 ? 321.152 -79.512  217.568 1.0 58.11375  ? 455 LEU D N   455 LEU D N   1 
ATOM 3518  C CA  . LEU A 1 455 ? 320.531 -80.008  218.776 1.0 58.11375  ? 455 LEU D CA  455 LEU D CA  1 
ATOM 3519  C C   . LEU A 1 455 ? 320.058 -78.842  219.633 1.0 58.11375  ? 455 LEU D C   455 LEU D C   1 
ATOM 3520  O O   . LEU A 1 455 ? 320.682 -77.778  219.633 1.0 58.11375  ? 455 LEU D O   455 LEU D O   1 
ATOM 3521  C CB  . LEU A 1 455 ? 321.509 -80.881  219.573 1.0 58.11375  ? 455 LEU D CB  455 LEU D CB  1 
ATOM 3522  C CG  . LEU A 1 455 ? 321.641 -82.358  219.190 1.0 58.11375  ? 455 LEU D CG  455 LEU D CG  1 
ATOM 3523  C CD1 . LEU A 1 455 ? 322.392 -82.589  217.888 1.0 58.11375  ? 455 LEU D CD1 455 LEU D CD1 1 
ATOM 3524  C CD2 . LEU A 1 455 ? 322.315 -83.097  220.320 1.0 58.11375  ? 455 LEU D CD2 455 LEU D CD2 1 
ATOM 3525  N N   . PRO A 1 456 ? 318.957 -79.000  220.359 1.0 56.00615  ? 456 PRO D N   456 PRO D N   1 
ATOM 3526  C CA  . PRO A 1 456 ? 318.408 -77.877  221.120 1.0 56.00615  ? 456 PRO D CA  456 PRO D CA  1 
ATOM 3527  C C   . PRO A 1 456 ? 319.173 -77.590  222.401 1.0 56.00615  ? 456 PRO D C   456 PRO D C   1 
ATOM 3528  O O   . PRO A 1 456 ? 319.893 -78.433  222.938 1.0 56.00615  ? 456 PRO D O   456 PRO D O   1 
ATOM 3529  C CB  . PRO A 1 456 ? 316.990 -78.344  221.443 1.0 56.00615  ? 456 PRO D CB  456 PRO D CB  1 
ATOM 3530  C CG  . PRO A 1 456 ? 317.068 -79.803  221.430 1.0 56.00615  ? 456 PRO D CG  456 PRO D CG  1 
ATOM 3531  C CD  . PRO A 1 456 ? 318.048 -80.157  220.371 1.0 56.00615  ? 456 PRO D CD  456 PRO D CD  1 
ATOM 3532  N N   . LEU A 1 457 ? 318.986 -76.363  222.883 1.0 59.09162  ? 457 LEU D N   457 LEU D N   1 
ATOM 3533  C CA  . LEU A 1 457 ? 319.458 -75.974  224.200 1.0 59.09162  ? 457 LEU D CA  457 LEU D CA  1 
ATOM 3534  C C   . LEU A 1 457 ? 318.747 -76.800  225.273 1.0 59.09162  ? 457 LEU D C   457 LEU D C   1 
ATOM 3535  O O   . LEU A 1 457 ? 317.558 -77.099  225.145 1.0 59.09162  ? 457 LEU D O   457 LEU D O   1 
ATOM 3536  C CB  . LEU A 1 457 ? 319.218 -74.484  224.427 1.0 59.09162  ? 457 LEU D CB  457 LEU D CB  1 
ATOM 3537  C CG  . LEU A 1 457 ? 320.081 -73.531  223.603 1.0 59.09162  ? 457 LEU D CG  457 LEU D CG  1 
ATOM 3538  C CD1 . LEU A 1 457 ? 319.617 -72.102  223.795 1.0 59.09162  ? 457 LEU D CD1 457 LEU D CD1 1 
ATOM 3539  C CD2 . LEU A 1 457 ? 321.536 -73.673  223.994 1.0 59.09162  ? 457 LEU D CD2 457 LEU D CD2 1 
ATOM 3540  N N   . PRO A 1 458 ? 319.461 -77.196  226.334 1.0 60.45581  ? 458 PRO D N   458 PRO D N   1 
ATOM 3541  C CA  . PRO A 1 458 ? 318.945 -78.240  227.230 1.0 60.45581  ? 458 PRO D CA  458 PRO D CA  1 
ATOM 3542  C C   . PRO A 1 458 ? 317.764 -77.858  228.113 1.0 60.45581  ? 458 PRO D C   458 PRO D C   1 
ATOM 3543  O O   . PRO A 1 458 ? 316.802 -78.628  228.194 1.0 60.45581  ? 458 PRO D O   458 PRO D O   1 
ATOM 3544  C CB  . PRO A 1 458 ? 320.168 -78.588  228.085 1.0 60.45581  ? 458 PRO D CB  458 PRO D CB  1 
ATOM 3545  C CG  . PRO A 1 458 ? 321.015 -77.391  228.031 1.0 60.45581  ? 458 PRO D CG  458 PRO D CG  1 
ATOM 3546  C CD  . PRO A 1 458 ? 320.839 -76.813  226.680 1.0 60.45581  ? 458 PRO D CD  458 PRO D CD  1 
ATOM 3547  N N   . ASN A 1 459 ? 317.795 -76.703  228.774 1.0 61.12404  ? 459 ASN D N   459 ASN D N   1 
ATOM 3548  C CA  . ASN A 1 459 ? 316.764 -76.445  229.773 1.0 61.12404  ? 459 ASN D CA  459 ASN D CA  1 
ATOM 3549  C C   . ASN A 1 459 ? 315.878 -75.250  229.452 1.0 61.12404  ? 459 ASN D C   459 ASN D C   1 
ATOM 3550  O O   . ASN A 1 459 ? 315.538 -74.470  230.345 1.0 61.12404  ? 459 ASN D O   459 ASN D O   1 
ATOM 3551  C CB  . ASN A 1 459 ? 317.402 -76.291  231.159 1.0 61.12404  ? 459 ASN D CB  459 ASN D CB  1 
ATOM 3552  C CG  . ASN A 1 459 ? 318.495 -75.247  231.197 1.0 61.12404  ? 459 ASN D CG  459 ASN D CG  1 
ATOM 3553  O OD1 . ASN A 1 459 ? 318.735 -74.537  230.228 1.0 61.12404  ? 459 ASN D OD1 459 ASN D OD1 1 
ATOM 3554  N ND2 . ASN A 1 459 ? 319.181 -75.165  232.325 1.0 61.12404  ? 459 ASN D ND2 459 ASN D ND2 1 
ATOM 3555  N N   . ILE A 1 460 ? 315.481 -75.103  228.190 1.0 59.33913  ? 460 ILE D N   460 ILE D N   1 
ATOM 3556  C CA  . ILE A 1 460 ? 314.422 -74.161  227.857 1.0 59.33913  ? 460 ILE D CA  460 ILE D CA  1 
ATOM 3557  C C   . ILE A 1 460 ? 313.069 -74.863  227.775 1.0 59.33913  ? 460 ILE D C   460 ILE D C   1 
ATOM 3558  O O   . ILE A 1 460 ? 312.032 -74.207  227.958 1.0 59.33913  ? 460 ILE D O   460 ILE D O   1 
ATOM 3559  C CB  . ILE A 1 460 ? 314.748 -73.388  226.557 1.0 59.33913  ? 460 ILE D CB  460 ILE D CB  1 
ATOM 3560  C CG1 . ILE A 1 460 ? 314.842 -74.286  225.326 1.0 59.33913  ? 460 ILE D CG1 460 ILE D CG1 1 
ATOM 3561  C CG2 . ILE A 1 460 ? 316.052 -72.639  226.694 1.0 59.33913  ? 460 ILE D CG2 460 ILE D CG2 1 
ATOM 3562  C CD1 . ILE A 1 460 ? 313.607 -74.244  224.464 1.0 59.33913  ? 460 ILE D CD1 460 ILE D CD1 1 
ATOM 3563  N N   . VAL A 1 461 ? 313.050 -76.161  227.483 1.0 57.9871   ? 461 VAL D N   461 VAL D N   1 
ATOM 3564  C CA  . VAL A 1 461 ? 311.883 -77.020  227.646 1.0 57.9871   ? 461 VAL D CA  461 VAL D CA  1 
ATOM 3565  C C   . VAL A 1 461 ? 312.334 -78.233  228.441 1.0 57.9871   ? 461 VAL D C   461 VAL D C   1 
ATOM 3566  O O   . VAL A 1 461 ? 313.212 -78.979  227.994 1.0 57.9871   ? 461 VAL D O   461 VAL D O   1 
ATOM 3567  C CB  . VAL A 1 461 ? 311.276 -77.460  226.305 1.0 57.9871   ? 461 VAL D CB  461 VAL D CB  1 
ATOM 3568  C CG1 . VAL A 1 461 ? 310.214 -78.512  226.535 1.0 57.9871   ? 461 VAL D CG1 461 VAL D CG1 1 
ATOM 3569  C CG2 . VAL A 1 461 ? 310.668 -76.283  225.586 1.0 57.9871   ? 461 VAL D CG2 461 VAL D CG2 1 
ATOM 3570  N N   . ASP A 1 462 ? 311.739 -78.433  229.609 1.0 59.07733  ? 462 ASP D N   462 ASP D N   1 
ATOM 3571  C CA  . ASP A 1 462 ? 312.163 -79.491  230.508 1.0 59.07733  ? 462 ASP D CA  462 ASP D CA  1 
ATOM 3572  C C   . ASP A 1 462 ? 310.918 -79.989  231.236 1.0 59.07733  ? 462 ASP D C   462 ASP D C   1 
ATOM 3573  O O   . ASP A 1 462 ? 309.794 -79.621  230.891 1.0 59.07733  ? 462 ASP D O   462 ASP D O   1 
ATOM 3574  C CB  . ASP A 1 462 ? 313.272 -78.947  231.420 1.0 59.07733  ? 462 ASP D CB  462 ASP D CB  1 
ATOM 3575  C CG  . ASP A 1 462 ? 314.070 -80.036  232.105 1.0 59.07733  ? 462 ASP D CG  462 ASP D CG  1 
ATOM 3576  O OD1 . ASP A 1 462 ? 313.769 -81.227  231.880 1.0 59.07733  ? 462 ASP D OD1 462 ASP D OD1 1 
ATOM 3577  O OD2 . ASP A 1 462 ? 314.982 -79.694  232.886 1.0 59.07733  ? 462 ASP D OD2 462 ASP D OD2 1 
ATOM 3578  N N   . THR A 1 463 ? 311.102 -80.835  232.239 1.0 56.07453  ? 463 THR D N   463 THR D N   1 
ATOM 3579  C CA  . THR A 1 463 ? 309.981 -81.347  233.010 1.0 56.07453  ? 463 THR D CA  463 THR D CA  1 
ATOM 3580  C C   . THR A 1 463 ? 309.536 -80.404  234.124 1.0 56.07453  ? 463 THR D C   463 THR D C   1 
ATOM 3581  O O   . THR A 1 463 ? 308.664 -80.774  234.913 1.0 56.07453  ? 463 THR D O   463 THR D O   1 
ATOM 3582  C CB  . THR A 1 463 ? 310.335 -82.721  233.579 1.0 56.07453  ? 463 THR D CB  463 THR D CB  1 
ATOM 3583  O OG1 . THR A 1 463 ? 309.253 -83.207  234.382 1.0 56.07453  ? 463 THR D OG1 463 THR D OG1 1 
ATOM 3584  C CG2 . THR A 1 463 ? 311.612 -82.660  234.390 1.0 56.07453  ? 463 THR D CG2 463 THR D CG2 1 
ATOM 3585  N N   . TRP A 1 464 ? 310.087 -79.194  234.195 1.0 55.14565  ? 464 TRP D N   464 TRP D N   1 
ATOM 3586  C CA  . TRP A 1 464 ? 309.637 -78.199  235.152 1.0 55.14565  ? 464 TRP D CA  464 TRP D CA  1 
ATOM 3587  C C   . TRP A 1 464 ? 308.916 -77.011  234.535 1.0 55.14565  ? 464 TRP D C   464 TRP D C   1 
ATOM 3588  O O   . TRP A 1 464 ? 308.313 -76.235  235.284 1.0 55.14565  ? 464 TRP D O   464 TRP D O   1 
ATOM 3589  C CB  . TRP A 1 464 ? 310.818 -77.667  235.984 1.0 55.14565  ? 464 TRP D CB  464 TRP D CB  1 
ATOM 3590  C CG  . TRP A 1 464 ? 311.946 -77.097  235.171 1.0 55.14565  ? 464 TRP D CG  464 TRP D CG  1 
ATOM 3591  C CD1 . TRP A 1 464 ? 313.056 -77.755  234.764 1.0 55.14565  ? 464 TRP D CD1 464 TRP D CD1 1 
ATOM 3592  C CD2 . TRP A 1 464 ? 312.066 -75.757  234.660 1.0 55.14565  ? 464 TRP D CD2 464 TRP D CD2 1 
ATOM 3593  N NE1 . TRP A 1 464 ? 313.868 -76.916  234.042 1.0 55.14565  ? 464 TRP D NE1 464 TRP D NE1 1 
ATOM 3594  C CE2 . TRP A 1 464 ? 313.278 -75.685  233.962 1.0 55.14565  ? 464 TRP D CE2 464 TRP D CE2 1 
ATOM 3595  C CE3 . TRP A 1 464 ? 311.268 -74.613  234.736 1.0 55.14565  ? 464 TRP D CE3 464 TRP D CE3 1 
ATOM 3596  C CZ2 . TRP A 1 464 ? 313.709 -74.523  233.334 1.0 55.14565  ? 464 TRP D CZ2 464 TRP D CZ2 1 
ATOM 3597  C CZ3 . TRP A 1 464 ? 311.696 -73.463  234.108 1.0 55.14565  ? 464 TRP D CZ3 464 TRP D CZ3 1 
ATOM 3598  C CH2 . TRP A 1 464 ? 312.900 -73.430  233.412 1.0 55.14565  ? 464 TRP D CH2 464 TRP D CH2 1 
ATOM 3599  N N   . THR A 1 465 ? 308.963 -76.829  233.216 1.0 55.34652  ? 465 THR D N   465 THR D N   1 
ATOM 3600  C CA  . THR A 1 465 ? 308.564 -75.554  232.627 1.0 55.34652  ? 465 THR D CA  465 THR D CA  1 
ATOM 3601  C C   . THR A 1 465 ? 307.044 -75.409  232.596 1.0 55.34652  ? 465 THR D C   465 THR D C   1 
ATOM 3602  O O   . THR A 1 465 ? 306.333 -76.228  232.000 1.0 55.34652  ? 465 THR D O   465 THR D O   1 
ATOM 3603  C CB  . THR A 1 465 ? 309.203 -75.359  231.246 1.0 55.34652  ? 465 THR D CB  465 THR D CB  1 
ATOM 3604  O OG1 . THR A 1 465 ? 308.745 -74.131  230.667 1.0 55.34652  ? 465 THR D OG1 465 THR D OG1 1 
ATOM 3605  C CG2 . THR A 1 465 ? 308.979 -76.523  230.291 1.0 55.34652  ? 465 THR D CG2 465 THR D CG2 1 
ATOM 3606  N N   . ASP A 1 466 ? 306.566 -74.368  233.282 1.0 54.38423  ? 466 ASP D N   466 ASP D N   1 
ATOM 3607  C CA  . ASP A 1 466 ? 305.151 -74.058  233.489 1.0 54.38423  ? 466 ASP D CA  466 ASP D CA  1 
ATOM 3608  C C   . ASP A 1 466 ? 304.400 -75.251  234.080 1.0 54.38423  ? 466 ASP D C   466 ASP D C   1 
ATOM 3609  O O   . ASP A 1 466 ? 303.538 -75.860  233.445 1.0 54.38423  ? 466 ASP D O   466 ASP D O   1 
ATOM 3610  C CB  . ASP A 1 466 ? 304.508 -73.555  232.196 1.0 54.38423  ? 466 ASP D CB  466 ASP D CB  1 
ATOM 3611  C CG  . ASP A 1 466 ? 305.038 -72.192  231.785 1.0 54.38423  ? 466 ASP D CG  466 ASP D CG  1 
ATOM 3612  O OD1 . ASP A 1 466 ? 305.441 -71.422  232.681 1.0 54.38423  ? 466 ASP D OD1 466 ASP D OD1 1 
ATOM 3613  O OD2 . ASP A 1 466 ? 305.062 -71.890  230.575 1.0 54.38423  ? 466 ASP D OD2 466 ASP D OD2 1 
ATOM 3614  N N   . ILE A 1 467 ? 304.786 -75.599  235.310 1.0 51.54779  ? 467 ILE D N   467 ILE D N   1 
ATOM 3615  C CA  . ILE A 1 467 ? 304.148 -76.693  236.029 1.0 51.54779  ? 467 ILE D CA  467 ILE D CA  1 
ATOM 3616  C C   . ILE A 1 467 ? 302.693 -76.350  236.311 1.0 51.54779  ? 467 ILE D C   467 ILE D C   1 
ATOM 3617  O O   . ILE A 1 467 ? 302.368 -75.248  236.764 1.0 51.54779  ? 467 ILE D O   467 ILE D O   1 
ATOM 3618  C CB  . ILE A 1 467 ? 304.931 -77.029  237.309 1.0 51.54779  ? 467 ILE D CB  467 ILE D CB  1 
ATOM 3619  C CG1 . ILE A 1 467 ? 305.466 -75.765  238.005 1.0 51.54779  ? 467 ILE D CG1 467 ILE D CG1 1 
ATOM 3620  C CG2 . ILE A 1 467 ? 306.033 -78.033  237.025 1.0 51.54779  ? 467 ILE D CG2 467 ILE D CG2 1 
ATOM 3621  C CD1 . ILE A 1 467 ? 304.587 -75.175  239.095 1.0 51.54779  ? 467 ILE D CD1 467 ILE D CD1 1 
ATOM 3622  N N   . GLY A 1 468 ? 301.801 -77.274  235.969 1.0 50.6102   ? 468 GLY D N   468 GLY D N   1 
ATOM 3623  C CA  . GLY A 1 468 ? 300.386 -77.089  236.164 1.0 50.6102   ? 468 GLY D CA  468 GLY D CA  1 
ATOM 3624  C C   . GLY A 1 468 ? 299.695 -76.242  235.118 1.0 50.6102   ? 468 GLY D C   468 GLY D C   1 
ATOM 3625  O O   . GLY A 1 468 ? 298.468 -76.130  235.149 1.0 50.6102   ? 468 GLY D O   468 GLY D O   1 
ATOM 3626  N N   . ALA A 1 469 ? 300.438 -75.646  234.194 1.0 50.58809  ? 469 ALA D N   469 ALA D N   1 
ATOM 3627  C CA  . ALA A 1 469 ? 299.873 -74.683  233.265 1.0 50.58809  ? 469 ALA D CA  469 ALA D CA  1 
ATOM 3628  C C   . ALA A 1 469 ? 299.609 -75.331  231.918 1.0 50.58809  ? 469 ALA D C   469 ALA D C   1 
ATOM 3629  O O   . ALA A 1 469 ? 300.514 -75.906  231.309 1.0 50.58809  ? 469 ALA D O   469 ALA D O   1 
ATOM 3630  C CB  . ALA A 1 469 ? 300.811 -73.493  233.092 1.0 50.58809  ? 469 ALA D CB  469 ALA D CB  1 
ATOM 3631  N N   . ARG A 1 470 ? 298.369 -75.236  231.459 1.0 51.30807  ? 470 ARG D N   470 ARG D N   1 
ATOM 3632  C CA  . ARG A 1 470 ? 298.028 -75.554  230.078 1.0 51.30807  ? 470 ARG D CA  470 ARG D CA  1 
ATOM 3633  C C   . ARG A 1 470 ? 298.432 -74.335  229.264 1.0 51.30807  ? 470 ARG D C   470 ARG D C   1 
ATOM 3634  O O   . ARG A 1 470 ? 297.713 -73.338  229.218 1.0 51.30807  ? 470 ARG D O   470 ARG D O   1 
ATOM 3635  C CB  . ARG A 1 470 ? 296.547 -75.897  229.962 1.0 51.30807  ? 470 ARG D CB  470 ARG D CB  1 
ATOM 3636  C CG  . ARG A 1 470 ? 296.048 -76.218  228.576 1.0 51.30807  ? 470 ARG D CG  470 ARG D CG  1 
ATOM 3637  C CD  . ARG A 1 470 ? 295.214 -75.080  228.018 1.0 51.30807  ? 470 ARG D CD  470 ARG D CD  1 
ATOM 3638  N NE  . ARG A 1 470 ? 294.738 -75.360  226.671 1.0 51.30807  ? 470 ARG D NE  470 ARG D NE  1 
ATOM 3639  C CZ  . ARG A 1 470 ? 293.615 -76.007  226.407 1.0 51.30807  ? 470 ARG D CZ  470 ARG D CZ  1 
ATOM 3640  N NH1 . ARG A 1 470 ? 292.864 -76.434  227.405 1.0 51.30807  ? 470 ARG D NH1 470 ARG D NH1 1 
ATOM 3641  N NH2 . ARG A 1 470 ? 293.241 -76.228  225.154 1.0 51.30807  ? 470 ARG D NH2 470 ARG D NH2 1 
ATOM 3642  N N   . TRP A 1 471 ? 299.612 -74.402  228.653 1.0 50.10842  ? 471 TRP D N   471 TRP D N   1 
ATOM 3643  C CA  . TRP A 1 471 ? 300.237 -73.214  228.082 1.0 50.10842  ? 471 TRP D CA  471 TRP D CA  1 
ATOM 3644  C C   . TRP A 1 471 ? 301.262 -73.666  227.054 1.0 50.10842  ? 471 TRP D C   471 TRP D C   1 
ATOM 3645  O O   . TRP A 1 471 ? 302.272 -74.272  227.422 1.0 50.10842  ? 471 TRP D O   471 TRP D O   1 
ATOM 3646  C CB  . TRP A 1 471 ? 300.893 -72.389  229.178 1.0 50.10842  ? 471 TRP D CB  471 TRP D CB  1 
ATOM 3647  C CG  . TRP A 1 471 ? 301.521 -71.130  228.716 1.0 50.10842  ? 471 TRP D CG  471 TRP D CG  1 
ATOM 3648  C CD1 . TRP A 1 471 ? 302.840 -70.917  228.478 1.0 50.10842  ? 471 TRP D CD1 471 TRP D CD1 1 
ATOM 3649  C CD2 . TRP A 1 471 ? 300.864 -69.885  228.475 1.0 50.10842  ? 471 TRP D CD2 471 TRP D CD2 1 
ATOM 3650  N NE1 . TRP A 1 471 ? 303.047 -69.623  228.078 1.0 50.10842  ? 471 TRP D NE1 471 TRP D NE1 1 
ATOM 3651  C CE2 . TRP A 1 471 ? 301.846 -68.967  228.075 1.0 50.10842  ? 471 TRP D CE2 471 TRP D CE2 1 
ATOM 3652  C CE3 . TRP A 1 471 ? 299.538 -69.458  228.561 1.0 50.10842  ? 471 TRP D CE3 471 TRP D CE3 1 
ATOM 3653  C CZ2 . TRP A 1 471 ? 301.546 -67.651  227.753 1.0 50.10842  ? 471 TRP D CZ2 471 TRP D CZ2 1 
ATOM 3654  C CZ3 . TRP A 1 471 ? 299.243 -68.154  228.240 1.0 50.10842  ? 471 TRP D CZ3 471 TRP D CZ3 1 
ATOM 3655  C CH2 . TRP A 1 471 ? 300.241 -67.265  227.843 1.0 50.10842  ? 471 TRP D CH2 471 TRP D CH2 1 
ATOM 3656  N N   . SER A 1 472 ? 301.004 -73.382  225.782 1.0 51.19489  ? 472 SER D N   472 SER D N   1 
ATOM 3657  C CA  . SER A 1 472 ? 302.012 -73.619  224.764 1.0 51.19489  ? 472 SER D CA  472 SER D CA  1 
ATOM 3658  C C   . SER A 1 472 ? 303.138 -72.605  224.910 1.0 51.19489  ? 472 SER D C   472 SER D C   1 
ATOM 3659  O O   . SER A 1 472 ? 302.962 -71.530  225.484 1.0 51.19489  ? 472 SER D O   472 SER D O   1 
ATOM 3660  C CB  . SER A 1 472 ? 301.412 -73.524  223.366 1.0 51.19489  ? 472 SER D CB  472 SER D CB  1 
ATOM 3661  O OG  . SER A 1 472 ? 301.041 -72.193  223.071 1.0 51.19489  ? 472 SER D OG  472 SER D OG  1 
ATOM 3662  N N   . LEU A 1 473 ? 304.304 -72.963  224.380 1.0 51.39967  ? 473 LEU D N   473 LEU D N   1 
ATOM 3663  C CA  . LEU A 1 473 ? 305.489 -72.129  224.523 1.0 51.39967  ? 473 LEU D CA  473 LEU D CA  1 
ATOM 3664  C C   . LEU A 1 473 ? 305.327 -70.820  223.759 1.0 51.39967  ? 473 LEU D C   473 LEU D C   1 
ATOM 3665  O O   . LEU A 1 473 ? 304.699 -70.765  222.700 1.0 51.39967  ? 473 LEU D O   473 LEU D O   1 
ATOM 3666  C CB  . LEU A 1 473 ? 306.732 -72.863  224.025 1.0 51.39967  ? 473 LEU D CB  473 LEU D CB  1 
ATOM 3667  C CG  . LEU A 1 473 ? 307.527 -73.799  224.942 1.0 51.39967  ? 473 LEU D CG  473 LEU D CG  1 
ATOM 3668  C CD1 . LEU A 1 473 ? 308.062 -73.032  226.137 1.0 51.39967  ? 473 LEU D CD1 473 LEU D CD1 1 
ATOM 3669  C CD2 . LEU A 1 473 ? 306.741 -75.024  225.387 1.0 51.39967  ? 473 LEU D CD2 473 LEU D CD2 1 
ATOM 3670  N N   . ASP A 1 474 ? 305.898 -69.754  224.326 1.0 54.03161  ? 474 ASP D N   474 ASP D N   1 
ATOM 3671  C CA  . ASP A 1 474 ? 305.734 -68.415  223.772 1.0 54.03161  ? 474 ASP D CA  474 ASP D CA  1 
ATOM 3672  C C   . ASP A 1 474 ? 306.441 -68.245  222.437 1.0 54.03161  ? 474 ASP D C   474 ASP D C   1 
ATOM 3673  O O   . ASP A 1 474 ? 306.067 -67.359  221.661 1.0 54.03161  ? 474 ASP D O   474 ASP D O   1 
ATOM 3674  C CB  . ASP A 1 474 ? 306.253 -67.374  224.762 1.0 54.03161  ? 474 ASP D CB  474 ASP D CB  1 
ATOM 3675  C CG  . ASP A 1 474 ? 305.397 -67.278  226.007 1.0 54.03161  ? 474 ASP D CG  474 ASP D CG  1 
ATOM 3676  O OD1 . ASP A 1 474 ? 304.183 -67.541  225.913 1.0 54.03161  ? 474 ASP D OD1 474 ASP D OD1 1 
ATOM 3677  O OD2 . ASP A 1 474 ? 305.939 -66.942  227.079 1.0 54.03161  ? 474 ASP D OD2 474 ASP D OD2 1 
ATOM 3678  N N   . VAL A 1 475 ? 307.447 -69.072  222.152 1.0 53.53652  ? 475 VAL D N   475 VAL D N   1 
ATOM 3679  C CA  . VAL A 1 475 ? 308.158 -69.009  220.882 1.0 53.53652  ? 475 VAL D CA  475 VAL D CA  1 
ATOM 3680  C C   . VAL A 1 475 ? 307.704 -70.079  219.905 1.0 53.53652  ? 475 VAL D C   475 VAL D C   1 
ATOM 3681  O O   . VAL A 1 475 ? 308.130 -70.057  218.740 1.0 53.53652  ? 475 VAL D O   475 VAL D O   1 
ATOM 3682  C CB  . VAL A 1 475 ? 309.677 -69.116  221.104 1.0 53.53652  ? 475 VAL D CB  475 VAL D CB  1 
ATOM 3683  C CG1 . VAL A 1 475 ? 310.140 -67.963  221.961 1.0 53.53652  ? 475 VAL D CG1 475 VAL D CG1 1 
ATOM 3684  C CG2 . VAL A 1 475 ? 310.006 -70.437  221.757 1.0 53.53652  ? 475 VAL D CG2 475 VAL D CG2 1 
ATOM 3685  N N   . MET A 1 476 ? 306.853 -71.011  220.332 1.0 52.78823  ? 476 MET D N   476 MET D N   1 
ATOM 3686  C CA  . MET A 1 476 ? 306.323 -72.046  219.456 1.0 52.78823  ? 476 MET D CA  476 MET D CA  1 
ATOM 3687  C C   . MET A 1 476 ? 304.977 -71.667  218.853 1.0 52.78823  ? 476 MET D C   476 MET D C   1 
ATOM 3688  O O   . MET A 1 476 ? 304.174 -72.551  218.530 1.0 52.78823  ? 476 MET D O   476 MET D O   1 
ATOM 3689  C CB  . MET A 1 476 ? 306.221 -73.367  220.217 1.0 52.78823  ? 476 MET D CB  476 MET D CB  1 
ATOM 3690  C CG  . MET A 1 476 ? 307.564 -73.939  220.623 1.0 52.78823  ? 476 MET D CG  476 MET D CG  1 
ATOM 3691  S SD  . MET A 1 476 ? 308.570 -74.449  219.232 1.0 52.78823  ? 476 MET D SD  476 MET D SD  1 
ATOM 3692  C CE  . MET A 1 476 ? 307.685 -75.924  218.756 1.0 52.78823  ? 476 MET D CE  476 MET D CE  1 
ATOM 3693  N N   . ASP A 1 477 ? 304.703 -70.374  218.706 1.0 48.70326  ? 477 ASP D N   477 ASP D N   1 
ATOM 3694  C CA  . ASP A 1 477 ? 303.523 -69.908  217.993 1.0 48.70326  ? 477 ASP D CA  477 ASP D CA  1 
ATOM 3695  C C   . ASP A 1 477 ? 303.844 -69.408  216.598 1.0 48.70326  ? 477 ASP D C   477 ASP D C   1 
ATOM 3696  O O   . ASP A 1 477 ? 302.964 -69.400  215.733 1.0 48.70326  ? 477 ASP D O   477 ASP D O   1 
ATOM 3697  C CB  . ASP A 1 477 ? 302.833 -68.791  218.775 1.0 48.70326  ? 477 ASP D CB  477 ASP D CB  1 
ATOM 3698  C CG  . ASP A 1 477 ? 302.196 -69.288  220.046 1.0 48.70326  ? 477 ASP D CG  477 ASP D CG  1 
ATOM 3699  O OD1 . ASP A 1 477 ? 301.840 -70.482  220.093 1.0 48.70326  ? 477 ASP D OD1 477 ASP D OD1 1 
ATOM 3700  O OD2 . ASP A 1 477 ? 302.043 -68.487  220.989 1.0 48.70326  ? 477 ASP D OD2 477 ASP D OD2 1 
ATOM 3701  N N   . THR A 1 478 ? 305.080 -68.979  216.370 1.0 49.35468  ? 478 THR D N   478 THR D N   1 
ATOM 3702  C CA  . THR A 1 478 ? 305.539 -68.650  215.033 1.0 49.35468  ? 478 THR D CA  478 THR D CA  1 
ATOM 3703  C C   . THR A 1 478 ? 305.961 -69.876  214.239 1.0 49.35468  ? 478 THR D C   478 THR D C   1 
ATOM 3704  O O   . THR A 1 478 ? 306.208 -69.756  213.036 1.0 49.35468  ? 478 THR D O   478 THR D O   1 
ATOM 3705  C CB  . THR A 1 478 ? 306.705 -67.665  215.106 1.0 49.35468  ? 478 THR D CB  478 THR D CB  1 
ATOM 3706  O OG1 . THR A 1 478 ? 307.111 -67.302  213.780 1.0 49.35468  ? 478 THR D OG1 478 THR D OG1 1 
ATOM 3707  C CG2 . THR A 1 478 ? 307.886 -68.284  215.829 1.0 49.35468  ? 478 THR D CG2 478 THR D CG2 1 
ATOM 3708  N N   . VAL A 1 479 ? 306.053 -71.038  214.874 1.0 44.95133  ? 479 VAL D N   479 VAL D N   1 
ATOM 3709  C CA  . VAL A 1 479 ? 306.470 -72.250  214.182 1.0 44.95133  ? 479 VAL D CA  479 VAL D CA  1 
ATOM 3710  C C   . VAL A 1 479 ? 305.256 -72.859  213.489 1.0 44.95133  ? 479 VAL D C   479 VAL D C   1 
ATOM 3711  O O   . VAL A 1 479 ? 304.107 -72.618  213.875 1.0 44.95133  ? 479 VAL D O   479 VAL D O   1 
ATOM 3712  C CB  . VAL A 1 479 ? 307.135 -73.230  215.174 1.0 44.95133  ? 479 VAL D CB  479 VAL D CB  1 
ATOM 3713  C CG1 . VAL A 1 479 ? 306.108 -73.889  216.083 1.0 44.95133  ? 479 VAL D CG1 479 VAL D CG1 1 
ATOM 3714  C CG2 . VAL A 1 479 ? 308.018 -74.254  214.460 1.0 44.95133  ? 479 VAL D CG2 479 VAL D CG2 1 
ATOM 3715  N N   . ASN A 1 480 ? 305.502 -73.605  212.413 1.0 42.17188  ? 480 ASN D N   480 ASN D N   1 
ATOM 3716  C CA  . ASN A 1 480 ? 304.441 -74.329  211.730 1.0 42.17188  ? 480 ASN D CA  480 ASN D CA  1 
ATOM 3717  C C   . ASN A 1 480 ? 304.239 -75.664  212.428 1.0 42.17188  ? 480 ASN D C   480 ASN D C   1 
ATOM 3718  O O   . ASN A 1 480 ? 305.153 -76.500  212.414 1.0 42.17188  ? 480 ASN D O   480 ASN D O   1 
ATOM 3719  C CB  . ASN A 1 480 ? 304.792 -74.547  210.269 1.0 42.17188  ? 480 ASN D CB  480 ASN D CB  1 
ATOM 3720  C CG  . ASN A 1 480 ? 303.602 -74.984  209.435 1.0 42.17188  ? 480 ASN D CG  480 ASN D CG  1 
ATOM 3721  O OD1 . ASN A 1 480 ? 302.493 -75.126  209.937 1.0 42.17188  ? 480 ASN D OD1 480 ASN D OD1 1 
ATOM 3722  N ND2 . ASN A 1 480 ? 303.830 -75.191  208.148 1.0 42.17188  ? 480 ASN D ND2 480 ASN D ND2 1 
ATOM 3723  N N   . PRO A 1 481 ? 303.087 -75.908  213.055 1.0 41.16805  ? 481 PRO D N   481 PRO D N   1 
ATOM 3724  C CA  . PRO A 1 481 ? 302.912 -77.131  213.841 1.0 41.16805  ? 481 PRO D CA  481 PRO D CA  1 
ATOM 3725  C C   . PRO A 1 481 ? 302.473 -78.337  213.040 1.0 41.16805  ? 481 PRO D C   481 PRO D C   1 
ATOM 3726  O O   . PRO A 1 481 ? 302.362 -79.431  213.609 1.0 41.16805  ? 481 PRO D O   481 PRO D O   1 
ATOM 3727  C CB  . PRO A 1 481 ? 301.818 -76.735  214.815 1.0 41.16805  ? 481 PRO D CB  481 PRO D CB  1 
ATOM 3728  C CG  . PRO A 1 481 ? 300.998 -75.778  214.052 1.0 41.16805  ? 481 PRO D CG  481 PRO D CG  1 
ATOM 3729  C CD  . PRO A 1 481 ? 301.942 -75.000  213.199 1.0 41.16805  ? 481 PRO D CD  481 PRO D CD  1 
ATOM 3730  N N   . PHE A 1 482 ? 302.191 -78.160  211.763 1.0 41.13802  ? 482 PHE D N   482 PHE D N   1 
ATOM 3731  C CA  . PHE A 1 482 ? 301.828 -79.247  210.875 1.0 41.13802  ? 482 PHE D CA  482 PHE D CA  1 
ATOM 3732  C C   . PHE A 1 482 ? 303.055 -79.869  210.236 1.0 41.13802  ? 482 PHE D C   482 PHE D C   1 
ATOM 3733  O O   . PHE A 1 482 ? 302.930 -80.836  209.480 1.0 41.13802  ? 482 PHE D O   482 PHE D O   1 
ATOM 3734  C CB  . PHE A 1 482 ? 300.855 -78.727  209.817 1.0 41.13802  ? 482 PHE D CB  482 PHE D CB  1 
ATOM 3735  C CG  . PHE A 1 482 ? 299.546 -78.254  210.390 1.0 41.13802  ? 482 PHE D CG  482 PHE D CG  1 
ATOM 3736  C CD1 . PHE A 1 482 ? 298.499 -79.134  210.575 1.0 41.13802  ? 482 PHE D CD1 482 PHE D CD1 1 
ATOM 3737  C CD2 . PHE A 1 482 ? 299.384 -76.937  210.797 1.0 41.13802  ? 482 PHE D CD2 482 PHE D CD2 1 
ATOM 3738  C CE1 . PHE A 1 482 ? 297.304 -78.705  211.114 1.0 41.13802  ? 482 PHE D CE1 482 PHE D CE1 1 
ATOM 3739  C CE2 . PHE A 1 482 ? 298.194 -76.507  211.341 1.0 41.13802  ? 482 PHE D CE2 482 PHE D CE2 1 
ATOM 3740  C CZ  . PHE A 1 482 ? 297.153 -77.392  211.496 1.0 41.13802  ? 482 PHE D CZ  482 PHE D CZ  1 
ATOM 3741  N N   . ASN A 1 483 ? 304.233 -79.324  210.529 1.0 43.25669  ? 483 ASN D N   483 ASN D N   1 
ATOM 3742  C CA  . ASN A 1 483 ? 305.511 -79.915  210.157 1.0 43.25669  ? 483 ASN D CA  483 ASN D CA  1 
ATOM 3743  C C   . ASN A 1 483 ? 306.028 -80.676  211.373 1.0 43.25669  ? 483 ASN D C   483 ASN D C   1 
ATOM 3744  O O   . ASN A 1 483 ? 306.900 -80.219  212.108 1.0 43.25669  ? 483 ASN D O   483 ASN D O   1 
ATOM 3745  C CB  . ASN A 1 483 ? 306.483 -78.837  209.709 1.0 43.25669  ? 483 ASN D CB  483 ASN D CB  1 
ATOM 3746  C CG  . ASN A 1 483 ? 306.074 -78.200  208.413 1.0 43.25669  ? 483 ASN D CG  483 ASN D CG  1 
ATOM 3747  O OD1 . ASN A 1 483 ? 305.555 -78.865  207.522 1.0 43.25669  ? 483 ASN D OD1 483 ASN D OD1 1 
ATOM 3748  N ND2 . ASN A 1 483 ? 306.330 -76.912  208.284 1.0 43.25669  ? 483 ASN D ND2 483 ASN D ND2 1 
ATOM 3749  N N   . HIS A 1 484 ? 305.471 -81.864  211.577 1.0 44.98559  ? 484 HIS D N   484 HIS D N   1 
ATOM 3750  C CA  . HIS A 1 484 ? 305.711 -82.622  212.790 1.0 44.98559  ? 484 HIS D CA  484 HIS D CA  1 
ATOM 3751  C C   . HIS A 1 484 ? 305.513 -84.092  212.456 1.0 44.98559  ? 484 HIS D C   484 HIS D C   1 
ATOM 3752  O O   . HIS A 1 484 ? 304.829 -84.422  211.488 1.0 44.98559  ? 484 HIS D O   484 HIS D O   1 
ATOM 3753  C CB  . HIS A 1 484 ? 304.756 -82.152  213.890 1.0 44.98559  ? 484 HIS D CB  484 HIS D CB  1 
ATOM 3754  C CG  . HIS A 1 484 ? 305.164 -82.561  215.264 1.0 44.98559  ? 484 HIS D CG  484 HIS D CG  1 
ATOM 3755  N ND1 . HIS A 1 484 ? 304.796 -83.763  215.824 1.0 44.98559  ? 484 HIS D ND1 484 HIS D ND1 1 
ATOM 3756  C CD2 . HIS A 1 484 ? 305.907 -81.922  216.196 1.0 44.98559  ? 484 HIS D CD2 484 HIS D CD2 1 
ATOM 3757  C CE1 . HIS A 1 484 ? 305.306 -83.853  217.038 1.0 44.98559  ? 484 HIS D CE1 484 HIS D CE1 1 
ATOM 3758  N NE2 . HIS A 1 484 ? 305.983 -82.748  217.289 1.0 44.98559  ? 484 HIS D NE2 484 HIS D NE2 1 
ATOM 3759  N N   . HIS A 1 485 ? 306.131 -84.979  213.229 1.0 46.46921  ? 485 HIS D N   485 HIS D N   1 
ATOM 3760  C CA  . HIS A 1 485 ? 306.002 -86.395  212.917 1.0 46.46921  ? 485 HIS D CA  485 HIS D CA  1 
ATOM 3761  C C   . HIS A 1 485 ? 304.802 -87.046  213.588 1.0 46.46921  ? 485 HIS D C   485 HIS D C   1 
ATOM 3762  O O   . HIS A 1 485 ? 304.543 -88.226  213.345 1.0 46.46921  ? 485 HIS D O   485 HIS D O   1 
ATOM 3763  C CB  . HIS A 1 485 ? 307.266 -87.157  213.298 1.0 46.46921  ? 485 HIS D CB  485 HIS D CB  1 
ATOM 3764  C CG  . HIS A 1 485 ? 307.512 -87.218  214.768 1.0 46.46921  ? 485 HIS D CG  485 HIS D CG  1 
ATOM 3765  N ND1 . HIS A 1 485 ? 308.105 -86.188  215.462 1.0 46.46921  ? 485 HIS D ND1 485 HIS D ND1 1 
ATOM 3766  C CD2 . HIS A 1 485 ? 307.252 -88.186  215.676 1.0 46.46921  ? 485 HIS D CD2 485 HIS D CD2 1 
ATOM 3767  C CE1 . HIS A 1 485 ? 308.200 -86.521  216.736 1.0 46.46921  ? 485 HIS D CE1 485 HIS D CE1 1 
ATOM 3768  N NE2 . HIS A 1 485 ? 307.688 -87.727  216.893 1.0 46.46921  ? 485 HIS D NE2 485 HIS D NE2 1 
ATOM 3769  N N   . ARG A 1 486 ? 304.073 -86.318  214.426 1.0 48.86226  ? 486 ARG D N   486 ARG D N   1 
ATOM 3770  C CA  . ARG A 1 486 ? 302.786 -86.768  214.929 1.0 48.86226  ? 486 ARG D CA  486 ARG D CA  1 
ATOM 3771  C C   . ARG A 1 486 ? 301.657 -86.329  213.993 1.0 48.86226  ? 486 ARG D C   486 ARG D C   1 
ATOM 3772  O O   . ARG A 1 486 ? 300.480 -86.583  214.269 1.0 48.86226  ? 486 ARG D O   486 ARG D O   1 
ATOM 3773  C CB  . ARG A 1 486 ? 302.602 -86.261  216.376 1.0 48.86226  ? 486 ARG D CB  486 ARG D CB  1 
ATOM 3774  C CG  . ARG A 1 486 ? 301.465 -86.873  217.210 1.0 48.86226  ? 486 ARG D CG  486 ARG D CG  1 
ATOM 3775  C CD  . ARG A 1 486 ? 301.607 -88.367  217.464 1.0 48.86226  ? 486 ARG D CD  486 ARG D CD  1 
ATOM 3776  N NE  . ARG A 1 486 ? 302.714 -88.687  218.356 1.0 48.86226  ? 486 ARG D NE  486 ARG D NE  1 
ATOM 3777  C CZ  . ARG A 1 486 ? 302.635 -88.641  219.682 1.0 48.86226  ? 486 ARG D CZ  486 ARG D CZ  1 
ATOM 3778  N NH1 . ARG A 1 486 ? 301.504 -88.277  220.271 1.0 48.86226  ? 486 ARG D NH1 486 ARG D NH1 1 
ATOM 3779  N NH2 . ARG A 1 486 ? 303.686 -88.954  220.424 1.0 48.86226  ? 486 ARG D NH2 486 ARG D NH2 1 
ATOM 3780  N N   . ASN A 1 487 ? 301.999 -85.725  212.858 1.0 46.2155   ? 487 ASN D N   487 ASN D N   1 
ATOM 3781  C CA  . ASN A 1 487 ? 301.036 -85.468  211.794 1.0 46.2155   ? 487 ASN D CA  487 ASN D CA  1 
ATOM 3782  C C   . ASN A 1 487 ? 300.633 -86.819  211.230 1.0 46.2155   ? 487 ASN D C   487 ASN D C   1 
ATOM 3783  O O   . ASN A 1 487 ? 301.328 -87.385  210.386 1.0 46.2155   ? 487 ASN D O   487 ASN D O   1 
ATOM 3784  C CB  . ASN A 1 487 ? 301.658 -84.587  210.719 1.0 46.2155   ? 487 ASN D CB  487 ASN D CB  1 
ATOM 3785  C CG  . ASN A 1 487 ? 300.632 -83.873  209.865 1.0 46.2155   ? 487 ASN D CG  487 ASN D CG  1 
ATOM 3786  O OD1 . ASN A 1 487 ? 300.973 -82.973  209.103 1.0 46.2155   ? 487 ASN D OD1 487 ASN D OD1 1 
ATOM 3787  N ND2 . ASN A 1 487 ? 299.375 -84.253  209.995 1.0 46.2155   ? 487 ASN D ND2 487 ASN D ND2 1 
ATOM 3788  N N   . THR A 1 488 ? 299.492 -87.326  211.699 1.0 44.79931  ? 488 THR D N   488 THR D N   1 
ATOM 3789  C CA  . THR A 1 488 ? 299.091 -88.692  211.397 1.0 44.79931  ? 488 THR D CA  488 THR D CA  1 
ATOM 3790  C C   . THR A 1 488 ? 298.701 -88.839  209.937 1.0 44.79931  ? 488 THR D C   488 THR D C   1 
ATOM 3791  O O   . THR A 1 488 ? 298.916 -89.899  209.344 1.0 44.79931  ? 488 THR D O   488 THR D O   1 
ATOM 3792  C CB  . THR A 1 488 ? 297.941 -89.095  212.318 1.0 44.79931  ? 488 THR D CB  488 THR D CB  1 
ATOM 3793  O OG1 . THR A 1 488 ? 298.318 -88.825  213.670 1.0 44.79931  ? 488 THR D OG1 488 THR D OG1 1 
ATOM 3794  C CG2 . THR A 1 488 ? 297.640 -90.578  212.217 1.0 44.79931  ? 488 THR D CG2 488 THR D CG2 1 
ATOM 3795  N N   . GLY A 1 489 ? 298.185 -87.773  209.328 1.0 42.05004  ? 489 GLY D N   489 GLY D N   1 
ATOM 3796  C CA  . GLY A 1 489 ? 297.863 -87.831  207.916 1.0 42.05004  ? 489 GLY D CA  489 GLY D CA  1 
ATOM 3797  C C   . GLY A 1 489 ? 299.093 -87.877  207.033 1.0 42.05004  ? 489 GLY D C   489 GLY D C   1 
ATOM 3798  O O   . GLY A 1 489 ? 299.144 -88.649  206.076 1.0 42.05004  ? 489 GLY D O   489 GLY D O   1 
ATOM 3799  N N   . LEU A 1 490 ? 300.100 -87.058  207.340 1.0 41.87715  ? 490 LEU D N   490 LEU D N   1 
ATOM 3800  C CA  . LEU A 1 490 ? 301.356 -87.132  206.601 1.0 41.87715  ? 490 LEU D CA  490 LEU D CA  1 
ATOM 3801  C C   . LEU A 1 490 ? 302.096 -88.429  206.895 1.0 41.87715  ? 490 LEU D C   490 LEU D C   1 
ATOM 3802  O O   . LEU A 1 490 ? 302.769 -88.972  206.014 1.0 41.87715  ? 490 LEU D O   490 LEU D O   1 
ATOM 3803  C CB  . LEU A 1 490 ? 302.234 -85.931  206.934 1.0 41.87715  ? 490 LEU D CB  490 LEU D CB  1 
ATOM 3804  C CG  . LEU A 1 490 ? 303.581 -85.832  206.226 1.0 41.87715  ? 490 LEU D CG  490 LEU D CG  1 
ATOM 3805  C CD1 . LEU A 1 490 ? 303.358 -85.807  204.738 1.0 41.87715  ? 490 LEU D CD1 490 LEU D CD1 1 
ATOM 3806  C CD2 . LEU A 1 490 ? 304.333 -84.598  206.677 1.0 41.87715  ? 490 LEU D CD2 490 LEU D CD2 1 
ATOM 3807  N N   . LYS A 1 491 ? 301.964 -88.943  208.117 1.0 43.49165  ? 491 LYS D N   491 LYS D N   1 
ATOM 3808  C CA  . LYS A 1 491 ? 302.481 -90.268  208.426 1.0 43.49165  ? 491 LYS D CA  491 LYS D CA  1 
ATOM 3809  C C   . LYS A 1 491 ? 301.732 -91.343  207.642 1.0 43.49165  ? 491 LYS D C   491 LYS D C   1 
ATOM 3810  O O   . LYS A 1 491 ? 302.312 -92.369  207.289 1.0 43.49165  ? 491 LYS D O   491 LYS D O   1 
ATOM 3811  C CB  . LYS A 1 491 ? 302.379 -90.513  209.931 1.0 43.49165  ? 491 LYS D CB  491 LYS D CB  1 
ATOM 3812  C CG  . LYS A 1 491 ? 302.995 -91.796  210.436 1.0 43.49165  ? 491 LYS D CG  491 LYS D CG  1 
ATOM 3813  C CD  . LYS A 1 491 ? 302.960 -91.836  211.948 1.0 43.49165  ? 491 LYS D CD  491 LYS D CD  1 
ATOM 3814  C CE  . LYS A 1 491 ? 301.551 -92.049  212.457 1.0 43.49165  ? 491 LYS D CE  491 LYS D CE  1 
ATOM 3815  N NZ  . LYS A 1 491 ? 301.037 -93.395  212.082 1.0 43.49165  ? 491 LYS D NZ  491 LYS D NZ  1 
ATOM 3816  N N   . TYR A 1 492 ? 300.466 -91.096  207.321 1.0 42.75928  ? 492 TYR D N   492 TYR D N   1 
ATOM 3817  C CA  . TYR A 1 492 ? 299.655 -92.005  206.525 1.0 42.75928  ? 492 TYR D CA  492 TYR D CA  1 
ATOM 3818  C C   . TYR A 1 492 ? 299.922 -91.845  205.031 1.0 42.75928  ? 492 TYR D C   492 TYR D C   1 
ATOM 3819  O O   . TYR A 1 492 ? 300.074 -92.836  204.331 1.0 42.75928  ? 492 TYR D O   492 TYR D O   1 
ATOM 3820  C CB  . TYR A 1 492 ? 298.176 -91.779  206.838 1.0 42.75928  ? 492 TYR D CB  492 TYR D CB  1 
ATOM 3821  C CG  . TYR A 1 492 ? 297.186 -92.681  206.160 1.0 42.75928  ? 492 TYR D CG  492 TYR D CG  1 
ATOM 3822  C CD1 . TYR A 1 492 ? 297.056 -94.008  206.534 1.0 42.75928  ? 492 TYR D CD1 492 TYR D CD1 1 
ATOM 3823  C CD2 . TYR A 1 492 ? 296.335 -92.186  205.187 1.0 42.75928  ? 492 TYR D CD2 492 TYR D CD2 1 
ATOM 3824  C CE1 . TYR A 1 492 ? 296.128 -94.826  205.928 1.0 42.75928  ? 492 TYR D CE1 492 TYR D CE1 1 
ATOM 3825  C CE2 . TYR A 1 492 ? 295.404 -92.992  204.578 1.0 42.75928  ? 492 TYR D CE2 492 TYR D CE2 1 
ATOM 3826  C CZ  . TYR A 1 492 ? 295.302 -94.310  204.951 1.0 42.75928  ? 492 TYR D CZ  492 TYR D CZ  1 
ATOM 3827  O OH  . TYR A 1 492 ? 294.374 -95.115  204.334 1.0 42.75928  ? 492 TYR D OH  492 TYR D OH  1 
ATOM 3828  N N   . ARG A 1 493 ? 300.051 -90.605  204.536 1.0 40.43361  ? 493 ARG D N   493 ARG D N   1 
ATOM 3829  C CA  . ARG A 1 493 ? 300.279 -90.391  203.107 1.0 40.43361  ? 493 ARG D CA  493 ARG D CA  1 
ATOM 3830  C C   . ARG A 1 493 ? 301.662 -90.832  202.662 1.0 40.43361  ? 493 ARG D C   493 ARG D C   1 
ATOM 3831  O O   . ARG A 1 493 ? 301.858 -91.067  201.470 1.0 40.43361  ? 493 ARG D O   493 ARG D O   1 
ATOM 3832  C CB  . ARG A 1 493 ? 300.082 -88.915  202.733 1.0 40.43361  ? 493 ARG D CB  493 ARG D CB  1 
ATOM 3833  C CG  . ARG A 1 493 ? 298.668 -88.421  202.880 1.0 40.43361  ? 493 ARG D CG  493 ARG D CG  1 
ATOM 3834  C CD  . ARG A 1 493 ? 298.497 -87.068  202.238 1.0 40.43361  ? 493 ARG D CD  493 ARG D CD  1 
ATOM 3835  N NE  . ARG A 1 493 ? 299.348 -86.065  202.863 1.0 40.43361  ? 493 ARG D NE  493 ARG D NE  1 
ATOM 3836  C CZ  . ARG A 1 493 ? 298.982 -85.310  203.888 1.0 40.43361  ? 493 ARG D CZ  493 ARG D CZ  1 
ATOM 3837  N NH1 . ARG A 1 493 ? 297.773 -85.433  204.410 1.0 40.43361  ? 493 ARG D NH1 493 ARG D NH1 1 
ATOM 3838  N NH2 . ARG A 1 493 ? 299.829 -84.429  204.386 1.0 40.43361  ? 493 ARG D NH2 493 ARG D NH2 1 
ATOM 3839  N N   . SER A 1 494 ? 302.617 -90.960  203.580 1.0 43.0705   ? 494 SER D N   494 SER D N   1 
ATOM 3840  C CA  . SER A 1 494 ? 303.936 -91.457  203.217 1.0 43.0705   ? 494 SER D CA  494 SER D CA  1 
ATOM 3841  C C   . SER A 1 494 ? 304.019 -92.968  203.255 1.0 43.0705   ? 494 SER D C   494 SER D C   1 
ATOM 3842  O O   . SER A 1 494 ? 304.833 -93.549  202.533 1.0 43.0705   ? 494 SER D O   494 SER D O   1 
ATOM 3843  C CB  . SER A 1 494 ? 304.999 -90.889  204.149 1.0 43.0705   ? 494 SER D CB  494 SER D CB  1 
ATOM 3844  O OG  . SER A 1 494 ? 306.267 -91.428  203.827 1.0 43.0705   ? 494 SER D OG  494 SER D OG  1 
ATOM 3845  N N   . GLN A 1 495 ? 303.209 -93.617  204.086 1.0 44.46233  ? 495 GLN D N   495 GLN D N   1 
ATOM 3846  C CA  . GLN A 1 495 ? 303.220 -95.068  204.203 1.0 44.46233  ? 495 GLN D CA  495 GLN D CA  1 
ATOM 3847  C C   . GLN A 1 495 ? 302.268 -95.760  203.240 1.0 44.46233  ? 495 GLN D C   495 GLN D C   1 
ATOM 3848  O O   . GLN A 1 495 ? 302.293 -96.992  203.156 1.0 44.46233  ? 495 GLN D O   495 GLN D O   1 
ATOM 3849  C CB  . GLN A 1 495 ? 302.883 -95.473  205.633 1.0 44.46233  ? 495 GLN D CB  495 GLN D CB  1 
ATOM 3850  C CG  . GLN A 1 495 ? 303.964 -95.129  206.611 1.0 44.46233  ? 495 GLN D CG  495 GLN D CG  1 
ATOM 3851  C CD  . GLN A 1 495 ? 303.567 -95.431  208.029 1.0 44.46233  ? 495 GLN D CD  495 GLN D CD  1 
ATOM 3852  O OE1 . GLN A 1 495 ? 302.435 -95.824  208.297 1.0 44.46233  ? 495 GLN D OE1 495 GLN D OE1 1 
ATOM 3853  N NE2 . GLN A 1 495 ? 304.496 -95.246  208.953 1.0 44.46233  ? 495 GLN D NE2 495 GLN D NE2 1 
ATOM 3854  N N   . LEU A 1 496 ? 301.415 -95.013  202.537 1.0 42.2603   ? 496 LEU D N   496 LEU D N   1 
ATOM 3855  C CA  . LEU A 1 496 ? 300.714 -95.574  201.388 1.0 42.2603   ? 496 LEU D CA  496 LEU D CA  1 
ATOM 3856  C C   . LEU A 1 496 ? 301.651 -95.911  200.243 1.0 42.2603   ? 496 LEU D C   496 LEU D C   1 
ATOM 3857  O O   . LEU A 1 496 ? 301.317 -96.770  199.422 1.0 42.2603   ? 496 LEU D O   496 LEU D O   1 
ATOM 3858  C CB  . LEU A 1 496 ? 299.630 -94.616  200.888 1.0 42.2603   ? 496 LEU D CB  496 LEU D CB  1 
ATOM 3859  C CG  . LEU A 1 496 ? 298.164 -94.869  201.256 1.0 42.2603   ? 496 LEU D CG  496 LEU D CG  1 
ATOM 3860  C CD1 . LEU A 1 496 ? 297.960 -94.814  202.736 1.0 42.2603   ? 496 LEU D CD1 496 LEU D CD1 1 
ATOM 3861  C CD2 . LEU A 1 496 ? 297.266 -93.843  200.590 1.0 42.2603   ? 496 LEU D CD2 496 LEU D CD2 1 
ATOM 3862  N N   . LEU A 1 497 ? 302.804 -95.262  200.159 1.0 42.46589  ? 497 LEU D N   497 LEU D N   1 
ATOM 3863  C CA  . LEU A 1 497 ? 303.701 -95.507  199.045 1.0 42.46589  ? 497 LEU D CA  497 LEU D CA  1 
ATOM 3864  C C   . LEU A 1 497 ? 304.820 -96.469  199.392 1.0 42.46589  ? 497 LEU D C   497 LEU D C   1 
ATOM 3865  O O   . LEU A 1 497 ? 305.493 -96.965  198.484 1.0 42.46589  ? 497 LEU D O   497 LEU D O   1 
ATOM 3866  C CB  . LEU A 1 497 ? 304.308 -94.201  198.546 1.0 42.46589  ? 497 LEU D CB  497 LEU D CB  1 
ATOM 3867  C CG  . LEU A 1 497 ? 303.520 -93.247  197.654 1.0 42.46589  ? 497 LEU D CG  497 LEU D CG  1 
ATOM 3868  C CD1 . LEU A 1 497 ? 302.499 -92.426  198.420 1.0 42.46589  ? 497 LEU D CD1 497 LEU D CD1 1 
ATOM 3869  C CD2 . LEU A 1 497 ? 304.490 -92.341  196.966 1.0 42.46589  ? 497 LEU D CD2 497 LEU D CD2 1 
ATOM 3870  N N   . GLY A 1 498 ? 305.040 -96.734  200.672 1.0 45.49015  ? 498 GLY D N   498 GLY D N   1 
ATOM 3871  C CA  . GLY A 1 498 ? 306.030 -97.683  201.114 1.0 45.49015  ? 498 GLY D CA  498 GLY D CA  1 
ATOM 3872  C C   . GLY A 1 498 ? 307.026 -97.039  202.040 1.0 45.49015  ? 498 GLY D C   498 GLY D C   1 
ATOM 3873  O O   . GLY A 1 498 ? 306.810 -95.944  202.568 1.0 45.49015  ? 498 GLY D O   498 GLY D O   1 
ATOM 3874  N N   . ASN A 1 499 ? 308.141 -97.733  202.250 1.0 47.49104  ? 499 ASN D N   499 ASN D N   1 
ATOM 3875  C CA  . ASN A 1 499 ? 309.173 -97.286  203.168 1.0 47.49104  ? 499 ASN D CA  499 ASN D CA  1 
ATOM 3876  C C   . ASN A 1 499 ? 310.513 -97.019  202.505 1.0 47.49104  ? 499 ASN D C   499 ASN D C   1 
ATOM 3877  O O   . ASN A 1 499 ? 311.445 -96.585  203.187 1.0 47.49104  ? 499 ASN D O   499 ASN D O   1 
ATOM 3878  C CB  . ASN A 1 499 ? 309.361 -98.313  204.290 1.0 47.49104  ? 499 ASN D CB  499 ASN D CB  1 
ATOM 3879  C CG  . ASN A 1 499 ? 309.612 -99.710  203.768 1.0 47.49104  ? 499 ASN D CG  499 ASN D CG  1 
ATOM 3880  O OD1 . ASN A 1 499 ? 309.640 -99.943  202.564 1.0 47.49104  ? 499 ASN D OD1 499 ASN D OD1 1 
ATOM 3881  N ND2 . ASN A 1 499 ? 309.811 -100.649 204.678 1.0 47.49104  ? 499 ASN D ND2 499 ASN D ND2 1 
ATOM 3882  N N   . GLY A 1 500 ? 310.641 -97.263  201.213 1.0 47.49151  ? 500 GLY D N   500 GLY D N   1 
ATOM 3883  C CA  . GLY A 1 500 ? 311.919 -97.122  200.554 1.0 47.49151  ? 500 GLY D CA  500 GLY D CA  1 
ATOM 3884  C C   . GLY A 1 500 ? 312.133 -95.754  199.947 1.0 47.49151  ? 500 GLY D C   500 GLY D C   1 
ATOM 3885  O O   . GLY A 1 500 ? 311.234 -94.923  199.868 1.0 47.49151  ? 500 GLY D O   500 GLY D O   1 
ATOM 3886  N N   . ARG A 1 501 ? 313.368 -95.528  199.513 1.0 48.13915  ? 501 ARG D N   501 ARG D N   1 
ATOM 3887  C CA  . ARG A 1 501 ? 313.722 -94.275  198.860 1.0 48.13915  ? 501 ARG D CA  501 ARG D CA  1 
ATOM 3888  C C   . ARG A 1 501 ? 313.227 -94.247  197.422 1.0 48.13915  ? 501 ARG D C   501 ARG D C   1 
ATOM 3889  O O   . ARG A 1 501 ? 312.681 -93.239  196.964 1.0 48.13915  ? 501 ARG D O   501 ARG D O   1 
ATOM 3890  C CB  . ARG A 1 501 ? 315.235 -94.081  198.914 1.0 48.13915  ? 501 ARG D CB  501 ARG D CB  1 
ATOM 3891  C CG  . ARG A 1 501 ? 315.739 -92.814  198.263 1.0 48.13915  ? 501 ARG D CG  501 ARG D CG  1 
ATOM 3892  C CD  . ARG A 1 501 ? 317.233 -92.698  198.447 1.0 48.13915  ? 501 ARG D CD  501 ARG D CD  1 
ATOM 3893  N NE  . ARG A 1 501 ? 317.797 -91.540  197.770 1.0 48.13915  ? 501 ARG D NE  501 ARG D NE  1 
ATOM 3894  C CZ  . ARG A 1 501 ? 319.081 -91.209  197.822 1.0 48.13915  ? 501 ARG D CZ  501 ARG D CZ  1 
ATOM 3895  N NH1 . ARG A 1 501 ? 319.927 -91.944  198.524 1.0 48.13915  ? 501 ARG D NH1 501 ARG D NH1 1 
ATOM 3896  N NH2 . ARG A 1 501 ? 319.523 -90.144  197.173 1.0 48.13915  ? 501 ARG D NH2 501 ARG D NH2 1 
ATOM 3897  N N   . TYR A 1 502 ? 313.425 -95.339  196.695 1.0 49.36355  ? 502 TYR D N   502 TYR D N   1 
ATOM 3898  C CA  . TYR A 1 502 ? 312.950 -95.481  195.327 1.0 49.36355  ? 502 TYR D CA  502 TYR D CA  1 
ATOM 3899  C C   . TYR A 1 502 ? 311.662 -96.287  195.342 1.0 49.36355  ? 502 TYR D C   502 TYR D C   1 
ATOM 3900  O O   . TYR A 1 502 ? 311.599 -97.344  195.975 1.0 49.36355  ? 502 TYR D O   502 TYR D O   1 
ATOM 3901  C CB  . TYR A 1 502 ? 314.000 -96.177  194.463 1.0 49.36355  ? 502 TYR D CB  502 TYR D CB  1 
ATOM 3902  C CG  . TYR A 1 502 ? 315.270 -95.384  194.300 1.0 49.36355  ? 502 TYR D CG  502 TYR D CG  1 
ATOM 3903  C CD1 . TYR A 1 502 ? 315.364 -94.381  193.349 1.0 49.36355  ? 502 TYR D CD1 502 TYR D CD1 1 
ATOM 3904  C CD2 . TYR A 1 502 ? 316.373 -95.631  195.105 1.0 49.36355  ? 502 TYR D CD2 502 TYR D CD2 1 
ATOM 3905  C CE1 . TYR A 1 502 ? 316.522 -93.652  193.195 1.0 49.36355  ? 502 TYR D CE1 502 TYR D CE1 1 
ATOM 3906  C CE2 . TYR A 1 502 ? 317.536 -94.905  194.961 1.0 49.36355  ? 502 TYR D CE2 502 TYR D CE2 1 
ATOM 3907  C CZ  . TYR A 1 502 ? 317.604 -93.916  194.004 1.0 49.36355  ? 502 TYR D CZ  502 TYR D CZ  1 
ATOM 3908  O OH  . TYR A 1 502 ? 318.759 -93.186  193.851 1.0 49.36355  ? 502 TYR D OH  502 TYR D OH  1 
ATOM 3909  N N   . CYS A 1 503 ? 310.639 -95.797  194.648 1.0 48.35423  ? 503 CYS D N   503 CYS D N   1 
ATOM 3910  C CA  . CYS A 1 503 ? 309.343 -96.453  194.709 1.0 48.35423  ? 503 CYS D CA  503 CYS D CA  1 
ATOM 3911  C C   . CYS A 1 503 ? 308.555 -96.196  193.436 1.0 48.35423  ? 503 CYS D C   503 CYS D C   1 
ATOM 3912  O O   . CYS A 1 503 ? 308.706 -95.156  192.793 1.0 48.35423  ? 503 CYS D O   503 CYS D O   1 
ATOM 3913  C CB  . CYS A 1 503 ? 308.540 -95.976  195.920 1.0 48.35423  ? 503 CYS D CB  503 CYS D CB  1 
ATOM 3914  S SG  . CYS A 1 503 ? 308.099 -94.239  195.897 1.0 48.35423  ? 503 CYS D SG  503 CYS D SG  1 
ATOM 3915  N N   . ASP A 1 504 ? 307.721 -97.167  193.077 1.0 48.57439  ? 504 ASP D N   504 ASP D N   1 
ATOM 3916  C CA  . ASP A 1 504 ? 306.717 -96.985  192.042 1.0 48.57439  ? 504 ASP D CA  504 ASP D CA  1 
ATOM 3917  C C   . ASP A 1 504 ? 305.401 -96.597  192.694 1.0 48.57439  ? 504 ASP D C   504 ASP D C   1 
ATOM 3918  O O   . ASP A 1 504 ? 305.088 -97.047  193.799 1.0 48.57439  ? 504 ASP D O   504 ASP D O   1 
ATOM 3919  C CB  . ASP A 1 504 ? 306.532 -98.260  191.221 1.0 48.57439  ? 504 ASP D CB  504 ASP D CB  1 
ATOM 3920  C CG  . ASP A 1 504 ? 307.742 -98.592  190.375 1.0 48.57439  ? 504 ASP D CG  504 ASP D CG  1 
ATOM 3921  O OD1 . ASP A 1 504 ? 308.487 -97.662  190.012 1.0 48.57439  ? 504 ASP D OD1 504 ASP D OD1 1 
ATOM 3922  O OD2 . ASP A 1 504 ? 307.942 -99.784  190.060 1.0 48.57439  ? 504 ASP D OD2 504 ASP D OD2 1 
ATOM 3923  N N   . PHE A 1 505 ? 304.630 -95.765  192.009 1.0 43.27307  ? 505 PHE D N   505 PHE D N   1 
ATOM 3924  C CA  . PHE A 1 505 ? 303.372 -95.284  192.548 1.0 43.27307  ? 505 PHE D CA  505 PHE D CA  1 
ATOM 3925  C C   . PHE A 1 505 ? 302.302 -95.316  191.469 1.0 43.27307  ? 505 PHE D C   505 PHE D C   1 
ATOM 3926  O O   . PHE A 1 505 ? 302.573 -95.088  190.289 1.0 43.27307  ? 505 PHE D O   505 PHE D O   1 
ATOM 3927  C CB  . PHE A 1 505 ? 303.519 -93.872  193.142 1.0 43.27307  ? 505 PHE D CB  505 PHE D CB  1 
ATOM 3928  C CG  . PHE A 1 505 ? 303.900 -92.813  192.148 1.0 43.27307  ? 505 PHE D CG  505 PHE D CG  1 
ATOM 3929  C CD1 . PHE A 1 505 ? 305.226 -92.582  191.833 1.0 43.27307  ? 505 PHE D CD1 505 PHE D CD1 1 
ATOM 3930  C CD2 . PHE A 1 505 ? 302.935 -92.005  191.576 1.0 43.27307  ? 505 PHE D CD2 505 PHE D CD2 1 
ATOM 3931  C CE1 . PHE A 1 505 ? 305.574 -91.600  190.933 1.0 43.27307  ? 505 PHE D CE1 505 PHE D CE1 1 
ATOM 3932  C CE2 . PHE A 1 505 ? 303.280 -91.022  190.682 1.0 43.27307  ? 505 PHE D CE2 505 PHE D CE2 1 
ATOM 3933  C CZ  . PHE A 1 505 ? 304.598 -90.819  190.358 1.0 43.27307  ? 505 PHE D CZ  505 PHE D CZ  1 
ATOM 3934  N N   . HIS A 1 506 ? 301.080 -95.614  191.895 1.0 41.47939  ? 506 HIS D N   506 HIS D N   1 
ATOM 3935  C CA  . HIS A 1 506 ? 299.932 -95.730  191.002 1.0 41.47939  ? 506 HIS D CA  506 HIS D CA  1 
ATOM 3936  C C   . HIS A 1 506 ? 298.796 -94.978  191.682 1.0 41.47939  ? 506 HIS D C   506 HIS D C   1 
ATOM 3937  O O   . HIS A 1 506 ? 298.098 -95.539  192.528 1.0 41.47939  ? 506 HIS D O   506 HIS D O   1 
ATOM 3938  C CB  . HIS A 1 506 ? 299.580 -97.190  190.754 1.0 41.47939  ? 506 HIS D CB  506 HIS D CB  1 
ATOM 3939  C CG  . HIS A 1 506 ? 298.512 -97.396  189.728 1.0 41.47939  ? 506 HIS D CG  506 HIS D CG  1 
ATOM 3940  N ND1 . HIS A 1 506 ? 297.927 -98.623  189.507 1.0 41.47939  ? 506 HIS D ND1 506 HIS D ND1 1 
ATOM 3941  C CD2 . HIS A 1 506 ? 297.919 -96.537  188.869 1.0 41.47939  ? 506 HIS D CD2 506 HIS D CD2 1 
ATOM 3942  C CE1 . HIS A 1 506 ? 297.024 -98.511  188.551 1.0 41.47939  ? 506 HIS D CE1 506 HIS D CE1 1 
ATOM 3943  N NE2 . HIS A 1 506 ? 296.997 -97.255  188.149 1.0 41.47939  ? 506 HIS D NE2 506 HIS D NE2 1 
ATOM 3944  N N   . ILE A 1 507 ? 298.617 -93.713  191.316 1.0 37.90979  ? 507 ILE D N   507 ILE D N   1 
ATOM 3945  C CA  . ILE A 1 507 ? 297.740 -92.810  192.036 1.0 37.90979  ? 507 ILE D CA  507 ILE D CA  1 
ATOM 3946  C C   . ILE A 1 507 ? 296.575 -92.408  191.133 1.0 37.90979  ? 507 ILE D C   507 ILE D C   1 
ATOM 3947  O O   . ILE A 1 507 ? 296.561 -92.693  189.940 1.0 37.90979  ? 507 ILE D O   507 ILE D O   1 
ATOM 3948  C CB  . ILE A 1 507 ? 298.495 -91.573  192.531 1.0 37.90979  ? 507 ILE D CB  507 ILE D CB  1 
ATOM 3949  C CG1 . ILE A 1 507 ? 299.018 -90.791  191.342 1.0 37.90979  ? 507 ILE D CG1 507 ILE D CG1 1 
ATOM 3950  C CG2 . ILE A 1 507 ? 299.662 -91.980  193.399 1.0 37.90979  ? 507 ILE D CG2 507 ILE D CG2 1 
ATOM 3951  C CD1 . ILE A 1 507 ? 299.586 -89.475  191.709 1.0 37.90979  ? 507 ILE D CD1 507 ILE D CD1 1 
ATOM 3952  N N   . GLN A 1 508 ? 295.588 -91.737  191.734 1.0 37.88206  ? 508 GLN D N   508 GLN D N   1 
ATOM 3953  C CA  . GLN A 1 508 ? 294.398 -91.249  191.039 1.0 37.88206  ? 508 GLN D CA  508 GLN D CA  1 
ATOM 3954  C C   . GLN A 1 508 ? 294.130 -89.820  191.491 1.0 37.88206  ? 508 GLN D C   508 GLN D C   1 
ATOM 3955  O O   . GLN A 1 508 ? 293.785 -89.596  192.654 1.0 37.88206  ? 508 GLN D O   508 GLN D O   1 
ATOM 3956  C CB  . GLN A 1 508 ? 293.173 -92.115  191.325 1.0 37.88206  ? 508 GLN D CB  508 GLN D CB  1 
ATOM 3957  C CG  . GLN A 1 508 ? 293.219 -93.512  190.763 1.0 37.88206  ? 508 GLN D CG  508 GLN D CG  1 
ATOM 3958  C CD  . GLN A 1 508 ? 293.957 -94.478  191.653 1.0 37.88206  ? 508 GLN D CD  508 GLN D CD  1 
ATOM 3959  O OE1 . GLN A 1 508 ? 294.186 -94.211  192.830 1.0 37.88206  ? 508 GLN D OE1 508 GLN D OE1 1 
ATOM 3960  N NE2 . GLN A 1 508 ? 294.341 -95.611  191.091 1.0 37.88206  ? 508 GLN D NE2 508 GLN D NE2 1 
ATOM 3961  N N   . VAL A 1 509 ? 294.265 -88.859  190.583 1.0 37.11854  ? 509 VAL D N   509 VAL D N   1 
ATOM 3962  C CA  . VAL A 1 509 ? 294.126 -87.463  190.986 1.0 37.11854  ? 509 VAL D CA  509 VAL D CA  1 
ATOM 3963  C C   . VAL A 1 509 ? 292.762 -86.934  190.538 1.0 37.11854  ? 509 VAL D C   509 VAL D C   1 
ATOM 3964  O O   . VAL A 1 509 ? 292.213 -87.423  189.537 1.0 37.11854  ? 509 VAL D O   509 VAL D O   1 
ATOM 3965  C CB  . VAL A 1 509 ? 295.289 -86.605  190.458 1.0 37.11854  ? 509 VAL D CB  509 VAL D CB  1 
ATOM 3966  C CG1 . VAL A 1 509 ? 296.611 -87.186  190.898 1.0 37.11854  ? 509 VAL D CG1 509 VAL D CG1 1 
ATOM 3967  C CG2 . VAL A 1 509 ? 295.243 -86.451  188.976 1.0 37.11854  ? 509 VAL D CG2 509 VAL D CG2 1 
ATOM 3968  N N   . PRO A 1 510 ? 292.150 -85.982  191.268 1.0 39.83222  ? 510 PRO D N   510 PRO D N   1 
ATOM 3969  C CA  . PRO A 1 510 ? 290.800 -85.546  190.913 1.0 39.83222  ? 510 PRO D CA  510 PRO D CA  1 
ATOM 3970  C C   . PRO A 1 510 ? 290.785 -84.484  189.835 1.0 39.83222  ? 510 PRO D C   510 PRO D C   1 
ATOM 3971  O O   . PRO A 1 510 ? 291.804 -84.259  189.182 1.0 39.83222  ? 510 PRO D O   510 PRO D O   1 
ATOM 3972  C CB  . PRO A 1 510 ? 290.246 -85.029  192.237 1.0 39.83222  ? 510 PRO D CB  510 PRO D CB  1 
ATOM 3973  C CG  . PRO A 1 510 ? 291.411 -84.500  192.926 1.0 39.83222  ? 510 PRO D CG  510 PRO D CG  1 
ATOM 3974  C CD  . PRO A 1 510 ? 292.586 -85.363  192.534 1.0 39.83222  ? 510 PRO D CD  510 PRO D CD  1 
ATOM 3975  N N   . GLN A 1 511 ? 289.633 -83.864  189.601 1.0 41.19785  ? 511 GLN D N   511 GLN D N   1 
ATOM 3976  C CA  . GLN A 1 511 ? 289.533 -82.637  188.822 1.0 41.19785  ? 511 GLN D CA  511 GLN D CA  1 
ATOM 3977  C C   . GLN A 1 511 ? 288.911 -81.559  189.694 1.0 41.19785  ? 511 GLN D C   511 GLN D C   1 
ATOM 3978  O O   . GLN A 1 511 ? 287.699 -81.572  189.933 1.0 41.19785  ? 511 GLN D O   511 GLN D O   1 
ATOM 3979  C CB  . GLN A 1 511 ? 288.696 -82.822  187.560 1.0 41.19785  ? 511 GLN D CB  511 GLN D CB  1 
ATOM 3980  C CG  . GLN A 1 511 ? 288.572 -81.560  186.711 1.0 41.19785  ? 511 GLN D CG  511 GLN D CG  1 
ATOM 3981  C CD  . GLN A 1 511 ? 289.862 -81.176  186.015 1.0 41.19785  ? 511 GLN D CD  511 GLN D CD  1 
ATOM 3982  O OE1 . GLN A 1 511 ? 290.592 -82.033  185.526 1.0 41.19785  ? 511 GLN D OE1 511 GLN D OE1 1 
ATOM 3983  N NE2 . GLN A 1 511 ? 290.134 -79.880  185.942 1.0 41.19785  ? 511 GLN D NE2 511 GLN D NE2 1 
ATOM 3984  N N   . LYS A 1 512 ? 289.730 -80.616  190.149 1.0 39.55225  ? 512 LYS D N   512 LYS D N   1 
ATOM 3985  C CA  . LYS A 1 512 ? 289.313 -79.669  191.168 1.0 39.55225  ? 512 LYS D CA  512 LYS D CA  1 
ATOM 3986  C C   . LYS A 1 512 ? 288.823 -78.341  190.609 1.0 39.55225  ? 512 LYS D C   512 LYS D C   1 
ATOM 3987  O O   . LYS A 1 512 ? 288.395 -77.487  191.391 1.0 39.55225  ? 512 LYS D O   512 LYS D O   1 
ATOM 3988  C CB  . LYS A 1 512 ? 290.461 -79.442  192.154 1.0 39.55225  ? 512 LYS D CB  512 LYS D CB  1 
ATOM 3989  C CG  . LYS A 1 512 ? 290.802 -80.675  192.976 1.0 39.55225  ? 512 LYS D CG  512 LYS D CG  1 
ATOM 3990  C CD  . LYS A 1 512 ? 291.851 -80.379  194.033 1.0 39.55225  ? 512 LYS D CD  512 LYS D CD  1 
ATOM 3991  C CE  . LYS A 1 512 ? 293.226 -80.233  193.440 1.0 39.55225  ? 512 LYS D CE  512 LYS D CE  1 
ATOM 3992  N NZ  . LYS A 1 512 ? 293.693 -81.525  192.892 1.0 39.55225  ? 512 LYS D NZ  512 LYS D NZ  1 
ATOM 3993  N N   . PHE A 1 513 ? 288.859 -78.134  189.297 1.0 39.93898  ? 513 PHE D N   513 PHE D N   1 
ATOM 3994  C CA  . PHE A 1 513 ? 288.333 -76.901  188.727 1.0 39.93898  ? 513 PHE D CA  513 PHE D CA  1 
ATOM 3995  C C   . PHE A 1 513 ? 286.821 -77.017  188.627 1.0 39.93898  ? 513 PHE D C   513 PHE D C   1 
ATOM 3996  O O   . PHE A 1 513 ? 286.301 -77.999  188.096 1.0 39.93898  ? 513 PHE D O   513 PHE D O   1 
ATOM 3997  C CB  . PHE A 1 513 ? 288.958 -76.619  187.362 1.0 39.93898  ? 513 PHE D CB  513 PHE D CB  1 
ATOM 3998  C CG  . PHE A 1 513 ? 288.537 -75.310  186.759 1.0 39.93898  ? 513 PHE D CG  513 PHE D CG  1 
ATOM 3999  C CD1 . PHE A 1 513 ? 289.028 -74.111  187.246 1.0 39.93898  ? 513 PHE D CD1 513 PHE D CD1 1 
ATOM 4000  C CD2 . PHE A 1 513 ? 287.666 -75.280  185.689 1.0 39.93898  ? 513 PHE D CD2 513 PHE D CD2 1 
ATOM 4001  C CE1 . PHE A 1 513 ? 288.640 -72.905  186.683 1.0 39.93898  ? 513 PHE D CE1 513 PHE D CE1 1 
ATOM 4002  C CE2 . PHE A 1 513 ? 287.282 -74.081  185.120 1.0 39.93898  ? 513 PHE D CE2 513 PHE D CE2 1 
ATOM 4003  C CZ  . PHE A 1 513 ? 287.766 -72.895  185.620 1.0 39.93898  ? 513 PHE D CZ  513 PHE D CZ  1 
ATOM 4004  N N   . PHE A 1 514 ? 286.120 -76.002  189.132 1.0 38.71807  ? 514 PHE D N   514 PHE D N   1 
ATOM 4005  C CA  . PHE A 1 514 ? 284.720 -76.161  189.511 1.0 38.71807  ? 514 PHE D CA  514 PHE D CA  1 
ATOM 4006  C C   . PHE A 1 514 ? 283.778 -76.174  188.316 1.0 38.71807  ? 514 PHE D C   514 PHE D C   1 
ATOM 4007  O O   . PHE A 1 514 ? 282.685 -76.741  188.411 1.0 38.71807  ? 514 PHE D O   514 PHE D O   1 
ATOM 4008  C CB  . PHE A 1 514 ? 284.320 -75.057  190.492 1.0 38.71807  ? 514 PHE D CB  514 PHE D CB  1 
ATOM 4009  C CG  . PHE A 1 514 ? 284.351 -73.671  189.908 1.0 38.71807  ? 514 PHE D CG  514 PHE D CG  1 
ATOM 4010  C CD1 . PHE A 1 514 ? 285.532 -72.949  189.862 1.0 38.71807  ? 514 PHE D CD1 514 PHE D CD1 1 
ATOM 4011  C CD2 . PHE A 1 514 ? 283.191 -73.064  189.468 1.0 38.71807  ? 514 PHE D CD2 514 PHE D CD2 1 
ATOM 4012  C CE1 . PHE A 1 514 ? 285.559 -71.677  189.339 1.0 38.71807  ? 514 PHE D CE1 514 PHE D CE1 1 
ATOM 4013  C CE2 . PHE A 1 514 ? 283.220 -71.793  188.959 1.0 38.71807  ? 514 PHE D CE2 514 PHE D CE2 1 
ATOM 4014  C CZ  . PHE A 1 514 ? 284.401 -71.101  188.888 1.0 38.71807  ? 514 PHE D CZ  514 PHE D CZ  1 
ATOM 4015  N N   . ALA A 1 515 ? 284.157 -75.550  187.200 1.0 38.51885  ? 515 ALA D N   515 ALA D N   1 
ATOM 4016  C CA  . ALA A 1 515 ? 283.261 -75.526  186.046 1.0 38.51885  ? 515 ALA D CA  515 ALA D CA  1 
ATOM 4017  C C   . ALA A 1 515 ? 283.180 -76.890  185.378 1.0 38.51885  ? 515 ALA D C   515 ALA D C   1 
ATOM 4018  O O   . ALA A 1 515 ? 282.112 -77.296  184.908 1.0 38.51885  ? 515 ALA D O   515 ALA D O   1 
ATOM 4019  C CB  . ALA A 1 515 ? 283.712 -74.470  185.041 1.0 38.51885  ? 515 ALA D CB  515 ALA D CB  1 
ATOM 4020  N N   . ILE A 1 516 ? 284.295 -77.614  185.328 1.0 38.53439  ? 516 ILE D N   516 ILE D N   1 
ATOM 4021  C CA  . ILE A 1 516 ? 284.332 -78.943  184.741 1.0 38.53439  ? 516 ILE D CA  516 ILE D CA  1 
ATOM 4022  C C   . ILE A 1 516 ? 284.464 -80.024  185.804 1.0 38.53439  ? 516 ILE D C   516 ILE D C   1 
ATOM 4023  O O   . ILE A 1 516 ? 284.857 -81.150  185.491 1.0 38.53439  ? 516 ILE D O   516 ILE D O   1 
ATOM 4024  C CB  . ILE A 1 516 ? 285.459 -79.048  183.705 1.0 38.53439  ? 516 ILE D CB  516 ILE D CB  1 
ATOM 4025  C CG1 . ILE A 1 516 ? 286.810 -78.791  184.360 1.0 38.53439  ? 516 ILE D CG1 516 ILE D CG1 1 
ATOM 4026  C CG2 . ILE A 1 516 ? 285.252 -78.045  182.595 1.0 38.53439  ? 516 ILE D CG2 516 ILE D CG2 1 
ATOM 4027  C CD1 . ILE A 1 516 ? 287.964 -79.079  183.452 1.0 38.53439  ? 516 ILE D CD1 516 ILE D CD1 1 
ATOM 4028  N N   . LYS A 1 517 ? 284.151 -79.702  187.061 1.0 39.09823  ? 517 LYS D N   517 LYS D N   1 
ATOM 4029  C CA  . LYS A 1 517 ? 284.285 -80.678  188.137 1.0 39.09823  ? 517 LYS D CA  517 LYS D CA  1 
ATOM 4030  C C   . LYS A 1 517 ? 283.250 -81.779  188.002 1.0 39.09823  ? 517 LYS D C   517 LYS D C   1 
ATOM 4031  O O   . LYS A 1 517 ? 283.594 -82.958  187.883 1.0 39.09823  ? 517 LYS D O   517 LYS D O   1 
ATOM 4032  C CB  . LYS A 1 517 ? 284.157 -79.990  189.493 1.0 39.09823  ? 517 LYS D CB  517 LYS D CB  1 
ATOM 4033  C CG  . LYS A 1 517 ? 284.360 -80.910  190.672 1.0 39.09823  ? 517 LYS D CG  517 LYS D CG  1 
ATOM 4034  C CD  . LYS A 1 517 ? 284.389 -80.129  191.972 1.0 39.09823  ? 517 LYS D CD  517 LYS D CD  1 
ATOM 4035  C CE  . LYS A 1 517 ? 282.996 -79.943  192.546 1.0 39.09823  ? 517 LYS D CE  517 LYS D CE  1 
ATOM 4036  N NZ  . LYS A 1 517 ? 282.296 -78.741  192.016 1.0 39.09823  ? 517 LYS D NZ  517 LYS D NZ  1 
ATOM 4037  N N   . ASN A 1 518 ? 281.971 -81.409  188.015 1.0 37.44916  ? 518 ASN D N   518 ASN D N   1 
ATOM 4038  C CA  . ASN A 1 518 ? 280.895 -82.353  187.752 1.0 37.44916  ? 518 ASN D CA  518 ASN D CA  1 
ATOM 4039  C C   . ASN A 1 518 ? 279.989 -81.736  186.682 1.0 37.44916  ? 518 ASN D C   518 ASN D C   1 
ATOM 4040  O O   . ASN A 1 518 ? 278.959 -81.129  186.952 1.0 37.44916  ? 518 ASN D O   518 ASN D O   1 
ATOM 4041  C CB  . ASN A 1 518 ? 280.139 -82.713  189.029 1.0 37.44916  ? 518 ASN D CB  518 ASN D CB  1 
ATOM 4042  C CG  . ASN A 1 518 ? 279.805 -81.504  189.869 1.0 37.44916  ? 518 ASN D CG  518 ASN D CG  1 
ATOM 4043  O OD1 . ASN A 1 518 ? 280.125 -80.375  189.506 1.0 37.44916  ? 518 ASN D OD1 518 ASN D OD1 1 
ATOM 4044  N ND2 . ASN A 1 518 ? 279.149 -81.734  191.000 1.0 37.44916  ? 518 ASN D ND2 518 ASN D ND2 1 
ATOM 4045  N N   . LEU A 1 519 ? 280.374 -81.925  185.430 1.0 35.67713  ? 519 LEU D N   519 LEU D N   1 
ATOM 4046  C CA  . LEU A 1 519 ? 279.660 -81.383  184.286 1.0 35.67713  ? 519 LEU D CA  519 LEU D CA  1 
ATOM 4047  C C   . LEU A 1 519 ? 279.063 -82.534  183.493 1.0 35.67713  ? 519 LEU D C   519 LEU D C   1 
ATOM 4048  O O   . LEU A 1 519 ? 279.797 -83.371  182.961 1.0 35.67713  ? 519 LEU D O   519 LEU D O   1 
ATOM 4049  C CB  . LEU A 1 519 ? 280.607 -80.539  183.423 1.0 35.67713  ? 519 LEU D CB  519 LEU D CB  1 
ATOM 4050  C CG  . LEU A 1 519 ? 280.175 -79.692  182.218 1.0 35.67713  ? 519 LEU D CG  519 LEU D CG  1 
ATOM 4051  C CD1 . LEU A 1 519 ? 280.179 -80.449  180.916 1.0 35.67713  ? 519 LEU D CD1 519 LEU D CD1 1 
ATOM 4052  C CD2 . LEU A 1 519 ? 278.808 -79.144  182.461 1.0 35.67713  ? 519 LEU D CD2 519 LEU D CD2 1 
ATOM 4053  N N   . LEU A 1 520 ? 277.738 -82.587  183.434 1.0 36.1649   ? 520 LEU D N   520 LEU D N   1 
ATOM 4054  C CA  . LEU A 1 520 ? 277.038 -83.595  182.647 1.0 36.1649   ? 520 LEU D CA  520 LEU D CA  1 
ATOM 4055  C C   . LEU A 1 520 ? 277.013 -83.135  181.200 1.0 36.1649   ? 520 LEU D C   520 LEU D C   1 
ATOM 4056  O O   . LEU A 1 520 ? 276.312 -82.178  180.862 1.0 36.1649   ? 520 LEU D O   520 LEU D O   1 
ATOM 4057  C CB  . LEU A 1 520 ? 275.621 -83.811  183.162 1.0 36.1649   ? 520 LEU D CB  520 LEU D CB  1 
ATOM 4058  C CG  . LEU A 1 520 ? 274.886 -84.872  182.346 1.0 36.1649   ? 520 LEU D CG  520 LEU D CG  1 
ATOM 4059  C CD1 . LEU A 1 520 ? 275.509 -86.241  182.554 1.0 36.1649   ? 520 LEU D CD1 520 LEU D CD1 1 
ATOM 4060  C CD2 . LEU A 1 520 ? 273.412 -84.885  182.657 1.0 36.1649   ? 520 LEU D CD2 520 LEU D CD2 1 
ATOM 4061  N N   . LEU A 1 521 ? 277.761 -83.811  180.342 1.0 36.09128  ? 521 LEU D N   521 LEU D N   1 
ATOM 4062  C CA  . LEU A 1 521 ? 277.898 -83.377  178.963 1.0 36.09128  ? 521 LEU D CA  521 LEU D CA  1 
ATOM 4063  C C   . LEU A 1 521 ? 277.158 -84.318  178.023 1.0 36.09128  ? 521 LEU D C   521 LEU D C   1 
ATOM 4064  O O   . LEU A 1 521 ? 277.210 -85.541  178.179 1.0 36.09128  ? 521 LEU D O   521 LEU D O   1 
ATOM 4065  C CB  . LEU A 1 521 ? 279.374 -83.250  178.584 1.0 36.09128  ? 521 LEU D CB  521 LEU D CB  1 
ATOM 4066  C CG  . LEU A 1 521 ? 280.371 -84.390  178.729 1.0 36.09128  ? 521 LEU D CG  521 LEU D CG  1 
ATOM 4067  C CD1 . LEU A 1 521 ? 280.448 -85.251  177.490 1.0 36.09128  ? 521 LEU D CD1 521 LEU D CD1 1 
ATOM 4068  C CD2 . LEU A 1 521 ? 281.712 -83.791  179.026 1.0 36.09128  ? 521 LEU D CD2 521 LEU D CD2 1 
ATOM 4069  N N   . LEU A 1 522 ? 276.482 -83.730  177.053 1.0 38.08782  ? 522 LEU D N   522 LEU D N   1 
ATOM 4070  C CA  . LEU A 1 522 ? 275.701 -84.395  176.031 1.0 38.08782  ? 522 LEU D CA  522 LEU D CA  1 
ATOM 4071  C C   . LEU A 1 522 ? 276.640 -85.007  174.986 1.0 38.08782  ? 522 LEU D C   522 LEU D C   1 
ATOM 4072  O O   . LEU A 1 522 ? 277.851 -84.784  175.053 1.0 38.08782  ? 522 LEU D O   522 LEU D O   1 
ATOM 4073  C CB  . LEU A 1 522 ? 274.742 -83.361  175.446 1.0 38.08782  ? 522 LEU D CB  522 LEU D CB  1 
ATOM 4074  C CG  . LEU A 1 522 ? 273.813 -82.842  176.544 1.0 38.08782  ? 522 LEU D CG  522 LEU D CG  1 
ATOM 4075  C CD1 . LEU A 1 522 ? 272.970 -81.698  176.039 1.0 38.08782  ? 522 LEU D CD1 522 LEU D CD1 1 
ATOM 4076  C CD2 . LEU A 1 522 ? 272.946 -83.945  177.108 1.0 38.08782  ? 522 LEU D CD2 522 LEU D CD2 1 
ATOM 4077  N N   . PRO A 1 523 ? 276.129 -85.831  174.052 1.0 39.5259   ? 523 PRO D N   523 PRO D N   1 
ATOM 4078  C CA  . PRO A 1 523 ? 277.002 -86.411  173.019 1.0 39.5259   ? 523 PRO D CA  523 PRO D CA  1 
ATOM 4079  C C   . PRO A 1 523 ? 277.760 -85.399  172.168 1.0 39.5259   ? 523 PRO D C   523 PRO D C   1 
ATOM 4080  O O   . PRO A 1 523 ? 277.265 -84.320  171.845 1.0 39.5259   ? 523 PRO D O   523 PRO D O   1 
ATOM 4081  C CB  . PRO A 1 523 ? 276.030 -87.227  172.168 1.0 39.5259   ? 523 PRO D CB  523 PRO D CB  1 
ATOM 4082  C CG  . PRO A 1 523 ? 275.051 -87.690  173.124 1.0 39.5259   ? 523 PRO D CG  523 PRO D CG  1 
ATOM 4083  C CD  . PRO A 1 523 ? 274.856 -86.583  174.104 1.0 39.5259   ? 523 PRO D CD  523 PRO D CD  1 
ATOM 4084  N N   . GLY A 1 524 ? 278.983 -85.775  171.823 1.0 40.86715  ? 524 GLY D N   524 GLY D N   1 
ATOM 4085  C CA  . GLY A 1 524 ? 279.913 -84.911  171.131 1.0 40.86715  ? 524 GLY D CA  524 GLY D CA  1 
ATOM 4086  C C   . GLY A 1 524 ? 281.278 -85.559  171.150 1.0 40.86715  ? 524 GLY D C   524 GLY D C   1 
ATOM 4087  O O   . GLY A 1 524 ? 281.444 -86.688  171.614 1.0 40.86715  ? 524 GLY D O   524 GLY D O   1 
ATOM 4088  N N   . THR A 1 525 ? 282.264 -84.826  170.640 1.0 40.92825  ? 525 THR D N   525 THR D N   1 
ATOM 4089  C CA  . THR A 1 525 ? 283.647 -85.294  170.637 1.0 40.92825  ? 525 THR D CA  525 THR D CA  1 
ATOM 4090  C C   . THR A 1 525 ? 284.529 -84.190  171.195 1.0 40.92825  ? 525 THR D C   525 THR D C   1 
ATOM 4091  O O   . THR A 1 525 ? 284.760 -83.182  170.523 1.0 40.92825  ? 525 THR D O   525 THR D O   1 
ATOM 4092  C CB  . THR A 1 525 ? 284.100 -85.689  169.239 1.0 40.92825  ? 525 THR D CB  525 THR D CB  1 
ATOM 4093  O OG1 . THR A 1 525 ? 283.231 -86.705  168.728 1.0 40.92825  ? 525 THR D OG1 525 THR D OG1 1 
ATOM 4094  C CG2 . THR A 1 525 ? 285.512 -86.228  169.291 1.0 40.92825  ? 525 THR D CG2 525 THR D CG2 1 
ATOM 4095  N N   . TYR A 1 526 ? 285.036 -84.388  172.408 1.0 39.85671  ? 526 TYR D N   526 TYR D N   1 
ATOM 4096  C CA  . TYR A 1 526 ? 285.643 -83.325  173.193 1.0 39.85671  ? 526 TYR D CA  526 TYR D CA  1 
ATOM 4097  C C   . TYR A 1 526 ? 287.124 -83.595  173.415 1.0 39.85671  ? 526 TYR D C   526 TYR D C   1 
ATOM 4098  O O   . TYR A 1 526 ? 287.526 -84.728  173.686 1.0 39.85671  ? 526 TYR D O   526 TYR D O   1 
ATOM 4099  C CB  . TYR A 1 526 ? 284.944 -83.196  174.550 1.0 39.85671  ? 526 TYR D CB  526 TYR D CB  1 
ATOM 4100  C CG  . TYR A 1 526 ? 283.510 -82.728  174.473 1.0 39.85671  ? 526 TYR D CG  526 TYR D CG  1 
ATOM 4101  C CD1 . TYR A 1 526 ? 283.039 -82.045  173.367 1.0 39.85671  ? 526 TYR D CD1 526 TYR D CD1 1 
ATOM 4102  C CD2 . TYR A 1 526 ? 282.620 -82.992  175.495 1.0 39.85671  ? 526 TYR D CD2 526 TYR D CD2 1 
ATOM 4103  C CE1 . TYR A 1 526 ? 281.731 -81.624  173.286 1.0 39.85671  ? 526 TYR D CE1 526 TYR D CE1 1 
ATOM 4104  C CE2 . TYR A 1 526 ? 281.312 -82.566  175.421 1.0 39.85671  ? 526 TYR D CE2 526 TYR D CE2 1 
ATOM 4105  C CZ  . TYR A 1 526 ? 280.872 -81.893  174.316 1.0 39.85671  ? 526 TYR D CZ  526 TYR D CZ  1 
ATOM 4106  O OH  . TYR A 1 526 ? 279.564 -81.478  174.245 1.0 39.85671  ? 526 TYR D OH  526 TYR D OH  1 
ATOM 4107  N N   . ASN A 1 527 ? 287.933 -82.546  173.304 1.0 40.0772   ? 527 ASN D N   527 ASN D N   1 
ATOM 4108  C CA  . ASN A 1 527 ? 289.338 -82.600  173.680 1.0 40.0772   ? 527 ASN D CA  527 ASN D CA  1 
ATOM 4109  C C   . ASN A 1 527 ? 289.476 -82.309  175.165 1.0 40.0772   ? 527 ASN D C   527 ASN D C   1 
ATOM 4110  O O   . ASN A 1 527 ? 288.629 -81.647  175.763 1.0 40.0772   ? 527 ASN D O   527 ASN D O   1 
ATOM 4111  C CB  . ASN A 1 527 ? 290.174 -81.598  172.887 1.0 40.0772   ? 527 ASN D CB  527 ASN D CB  1 
ATOM 4112  C CG  . ASN A 1 527 ? 290.378 -82.015  171.453 1.0 40.0772   ? 527 ASN D CG  527 ASN D CG  1 
ATOM 4113  O OD1 . ASN A 1 527 ? 290.625 -83.183  171.165 1.0 40.0772   ? 527 ASN D OD1 527 ASN D OD1 1 
ATOM 4114  N ND2 . ASN A 1 527 ? 290.283 -81.058  170.540 1.0 40.0772   ? 527 ASN D ND2 527 ASN D ND2 1 
ATOM 4115  N N   . TYR A 1 528 ? 290.550 -82.817  175.762 1.0 37.92685  ? 528 TYR D N   528 TYR D N   1 
ATOM 4116  C CA  . TYR A 1 528 ? 290.747 -82.643  177.201 1.0 37.92685  ? 528 TYR D CA  528 TYR D CA  1 
ATOM 4117  C C   . TYR A 1 528 ? 292.252 -82.634  177.466 1.0 37.92685  ? 528 TYR D C   528 TYR D C   1 
ATOM 4118  O O   . TYR A 1 528 ? 292.869 -83.682  177.656 1.0 37.92685  ? 528 TYR D O   528 TYR D O   1 
ATOM 4119  C CB  . TYR A 1 528 ? 290.032 -83.738  177.973 1.0 37.92685  ? 528 TYR D CB  528 TYR D CB  1 
ATOM 4120  C CG  . TYR A 1 528 ? 290.080 -83.598  179.468 1.0 37.92685  ? 528 TYR D CG  528 TYR D CG  1 
ATOM 4121  C CD1 . TYR A 1 528 ? 289.390 -82.590  180.112 1.0 37.92685  ? 528 TYR D CD1 528 TYR D CD1 1 
ATOM 4122  C CD2 . TYR A 1 528 ? 290.773 -84.503  180.239 1.0 37.92685  ? 528 TYR D CD2 528 TYR D CD2 1 
ATOM 4123  C CE1 . TYR A 1 528 ? 289.413 -82.468  181.477 1.0 37.92685  ? 528 TYR D CE1 528 TYR D CE1 1 
ATOM 4124  C CE2 . TYR A 1 528 ? 290.793 -84.398  181.601 1.0 37.92685  ? 528 TYR D CE2 528 TYR D CE2 1 
ATOM 4125  C CZ  . TYR A 1 528 ? 290.118 -83.376  182.215 1.0 37.92685  ? 528 TYR D CZ  528 TYR D CZ  1 
ATOM 4126  O OH  . TYR A 1 528 ? 290.151 -83.272  183.582 1.0 37.92685  ? 528 TYR D OH  528 TYR D OH  1 
ATOM 4127  N N   . GLU A 1 529 ? 292.821 -81.435  177.489 1.0 42.6023   ? 529 GLU D N   529 GLU D N   1 
ATOM 4128  C CA  . GLU A 1 529 ? 294.256 -81.217  177.587 1.0 42.6023   ? 529 GLU D CA  529 GLU D CA  1 
ATOM 4129  C C   . GLU A 1 529 ? 294.568 -80.574  178.927 1.0 42.6023   ? 529 GLU D C   529 GLU D C   1 
ATOM 4130  O O   . GLU A 1 529 ? 293.911 -79.604  179.317 1.0 42.6023   ? 529 GLU D O   529 GLU D O   1 
ATOM 4131  C CB  . GLU A 1 529 ? 294.736 -80.320  176.447 1.0 42.6023   ? 529 GLU D CB  529 GLU D CB  1 
ATOM 4132  C CG  . GLU A 1 529 ? 296.216 -80.001  176.443 1.0 42.6023   ? 529 GLU D CG  529 GLU D CG  1 
ATOM 4133  C CD  . GLU A 1 529 ? 296.602 -79.113  175.272 1.0 42.6023   ? 529 GLU D CD  529 GLU D CD  1 
ATOM 4134  O OE1 . GLU A 1 529 ? 295.708 -78.757  174.478 1.0 42.6023   ? 529 GLU D OE1 529 GLU D OE1 1 
ATOM 4135  O OE2 . GLU A 1 529 ? 297.793 -78.763  175.147 1.0 42.6023   ? 529 GLU D OE2 529 GLU D OE2 1 
ATOM 4136  N N   . TRP A 1 530 ? 295.577 -81.095  179.617 1.0 41.67286  ? 530 TRP D N   530 TRP D N   1 
ATOM 4137  C CA  . TRP A 1 530 ? 295.809 -80.683  180.991 1.0 41.67286  ? 530 TRP D CA  530 TRP D CA  1 
ATOM 4138  C C   . TRP A 1 530 ? 297.252 -80.979  181.380 1.0 41.67286  ? 530 TRP D C   530 TRP D C   1 
ATOM 4139  O O   . TRP A 1 530 ? 297.772 -82.043  181.045 1.0 41.67286  ? 530 TRP D O   530 TRP D O   1 
ATOM 4140  C CB  . TRP A 1 530 ? 294.839 -81.405  181.924 1.0 41.67286  ? 530 TRP D CB  530 TRP D CB  1 
ATOM 4141  C CG  . TRP A 1 530 ? 294.939 -80.924  183.288 1.0 41.67286  ? 530 TRP D CG  530 TRP D CG  1 
ATOM 4142  C CD1 . TRP A 1 530 ? 295.654 -81.483  184.276 1.0 41.67286  ? 530 TRP D CD1 530 TRP D CD1 1 
ATOM 4143  C CD2 . TRP A 1 530 ? 294.298 -79.779  183.845 1.0 41.67286  ? 530 TRP D CD2 530 TRP D CD2 1 
ATOM 4144  N NE1 . TRP A 1 530 ? 295.523 -80.758  185.422 1.0 41.67286  ? 530 TRP D NE1 530 TRP D NE1 1 
ATOM 4145  C CE2 . TRP A 1 530 ? 294.690 -79.701  185.184 1.0 41.67286  ? 530 TRP D CE2 530 TRP D CE2 1 
ATOM 4146  C CE3 . TRP A 1 530 ? 293.431 -78.818  183.340 1.0 41.67286  ? 530 TRP D CE3 530 TRP D CE3 1 
ATOM 4147  C CZ2 . TRP A 1 530 ? 294.251 -78.698  186.027 1.0 41.67286  ? 530 TRP D CZ2 530 TRP D CZ2 1 
ATOM 4148  C CZ3 . TRP A 1 530 ? 293.000 -77.818  184.172 1.0 41.67286  ? 530 TRP D CZ3 530 TRP D CZ3 1 
ATOM 4149  C CH2 . TRP A 1 530 ? 293.407 -77.764  185.501 1.0 41.67286  ? 530 TRP D CH2 530 TRP D CH2 1 
ATOM 4150  N N   . TYR A 1 531 ? 297.881 -80.052  182.106 1.0 42.04683  ? 531 TYR D N   531 TYR D N   1 
ATOM 4151  C CA  . TYR A 1 531 ? 299.295 -80.154  182.455 1.0 42.04683  ? 531 TYR D CA  531 TYR D CA  1 
ATOM 4152  C C   . TYR A 1 531 ? 299.471 -80.672  183.876 1.0 42.04683  ? 531 TYR D C   531 TYR D C   1 
ATOM 4153  O O   . TYR A 1 531 ? 298.587 -80.546  184.721 1.0 42.04683  ? 531 TYR D O   531 TYR D O   1 
ATOM 4154  C CB  . TYR A 1 531 ? 300.014 -78.807  182.350 1.0 42.04683  ? 531 TYR D CB  531 TYR D CB  1 
ATOM 4155  C CG  . TYR A 1 531 ? 300.159 -78.205  180.972 1.0 42.04683  ? 531 TYR D CG  531 TYR D CG  1 
ATOM 4156  C CD1 . TYR A 1 531 ? 299.815 -78.897  179.831 1.0 42.04683  ? 531 TYR D CD1 531 TYR D CD1 1 
ATOM 4157  C CD2 . TYR A 1 531 ? 300.686 -76.943  180.820 1.0 42.04683  ? 531 TYR D CD2 531 TYR D CD2 1 
ATOM 4158  C CE1 . TYR A 1 531 ? 299.953 -78.321  178.586 1.0 42.04683  ? 531 TYR D CE1 531 TYR D CE1 1 
ATOM 4159  C CE2 . TYR A 1 531 ? 300.835 -76.366  179.584 1.0 42.04683  ? 531 TYR D CE2 531 TYR D CE2 1 
ATOM 4160  C CZ  . TYR A 1 531 ? 300.472 -77.059  178.470 1.0 42.04683  ? 531 TYR D CZ  531 TYR D CZ  1 
ATOM 4161  O OH  . TYR A 1 531 ? 300.627 -76.475  177.235 1.0 42.04683  ? 531 TYR D OH  531 TYR D OH  1 
ATOM 4162  N N   . PHE A 1 532 ? 300.661 -81.208  184.139 1.0 39.56106  ? 532 PHE D N   532 PHE D N   1 
ATOM 4163  C CA  . PHE A 1 532 ? 301.033 -81.827  185.404 1.0 39.56106  ? 532 PHE D CA  532 PHE D CA  1 
ATOM 4164  C C   . PHE A 1 532 ? 302.371 -81.258  185.849 1.0 39.56106  ? 532 PHE D C   532 PHE D C   1 
ATOM 4165  O O   . PHE A 1 532 ? 303.167 -80.838  185.017 1.0 39.56106  ? 532 PHE D O   532 PHE D O   1 
ATOM 4166  C CB  . PHE A 1 532 ? 301.136 -83.333  185.228 1.0 39.56106  ? 532 PHE D CB  532 PHE D CB  1 
ATOM 4167  C CG  . PHE A 1 532 ? 299.822 -83.998  184.997 1.0 39.56106  ? 532 PHE D CG  532 PHE D CG  1 
ATOM 4168  C CD1 . PHE A 1 532 ? 298.685 -83.548  185.618 1.0 39.56106  ? 532 PHE D CD1 532 PHE D CD1 1 
ATOM 4169  C CD2 . PHE A 1 532 ? 299.706 -85.008  184.078 1.0 39.56106  ? 532 PHE D CD2 532 PHE D CD2 1 
ATOM 4170  C CE1 . PHE A 1 532 ? 297.474 -84.143  185.387 1.0 39.56106  ? 532 PHE D CE1 532 PHE D CE1 1 
ATOM 4171  C CE2 . PHE A 1 532 ? 298.490 -85.600  183.834 1.0 39.56106  ? 532 PHE D CE2 532 PHE D CE2 1 
ATOM 4172  C CZ  . PHE A 1 532 ? 297.378 -85.164  184.490 1.0 39.56106  ? 532 PHE D CZ  532 PHE D CZ  1 
ATOM 4173  N N   . ARG A 1 533 ? 302.633 -81.247  187.153 1.0 40.73315  ? 533 ARG D N   533 ARG D N   1 
ATOM 4174  C CA  . ARG A 1 533 ? 303.893 -80.690  187.632 1.0 40.73315  ? 533 ARG D CA  533 ARG D CA  1 
ATOM 4175  C C   . ARG A 1 533 ? 304.962 -81.763  187.781 1.0 40.73315  ? 533 ARG D C   533 ARG D C   1 
ATOM 4176  O O   . ARG A 1 533 ? 304.676 -82.957  187.871 1.0 40.73315  ? 533 ARG D O   533 ARG D O   1 
ATOM 4177  C CB  . ARG A 1 533 ? 303.732 -79.990  188.978 1.0 40.73315  ? 533 ARG D CB  533 ARG D CB  1 
ATOM 4178  C CG  . ARG A 1 533 ? 302.942 -78.719  188.953 1.0 40.73315  ? 533 ARG D CG  533 ARG D CG  1 
ATOM 4179  C CD  . ARG A 1 533 ? 302.969 -78.077  190.314 1.0 40.73315  ? 533 ARG D CD  533 ARG D CD  1 
ATOM 4180  N NE  . ARG A 1 533 ? 302.060 -76.948  190.414 1.0 40.73315  ? 533 ARG D NE  533 ARG D NE  1 
ATOM 4181  C CZ  . ARG A 1 533 ? 302.409 -75.696  190.162 1.0 40.73315  ? 533 ARG D CZ  533 ARG D CZ  1 
ATOM 4182  N NH1 . ARG A 1 533 ? 303.652 -75.412  189.808 1.0 40.73315  ? 533 ARG D NH1 533 ARG D NH1 1 
ATOM 4183  N NH2 . ARG A 1 533 ? 301.516 -74.727  190.274 1.0 40.73315  ? 533 ARG D NH2 533 ARG D NH2 1 
ATOM 4184  N N   . LYS A 1 534 ? 306.215 -81.309  187.824 1.0 43.94903  ? 534 LYS D N   534 LYS D N   1 
ATOM 4185  C CA  . LYS A 1 534 ? 307.351 -82.154  188.174 1.0 43.94903  ? 534 LYS D CA  534 LYS D CA  1 
ATOM 4186  C C   . LYS A 1 534 ? 308.197 -81.518  189.268 1.0 43.94903  ? 534 LYS D C   534 LYS D C   1 
ATOM 4187  O O   . LYS A 1 534 ? 309.375 -81.854  189.407 1.0 43.94903  ? 534 LYS D O   534 LYS D O   1 
ATOM 4188  C CB  . LYS A 1 534 ? 308.226 -82.446  186.956 1.0 43.94903  ? 534 LYS D CB  534 LYS D CB  1 
ATOM 4189  C CG  . LYS A 1 534 ? 307.620 -83.380  185.940 1.0 43.94903  ? 534 LYS D CG  534 LYS D CG  1 
ATOM 4190  C CD  . LYS A 1 534 ? 308.611 -83.643  184.828 1.0 43.94903  ? 534 LYS D CD  534 LYS D CD  1 
ATOM 4191  C CE  . LYS A 1 534 ? 308.054 -84.604  183.804 1.0 43.94903  ? 534 LYS D CE  534 LYS D CE  1 
ATOM 4192  N NZ  . LYS A 1 534 ? 309.026 -84.842  182.706 1.0 43.94903  ? 534 LYS D NZ  534 LYS D NZ  1 
ATOM 4193  N N   . ASP A 1 535 ? 307.623 -80.600  190.030 1.0 46.70258  ? 535 ASP D N   535 ASP D N   1 
ATOM 4194  C CA  . ASP A 1 535 ? 308.355 -79.895  191.071 1.0 46.70258  ? 535 ASP D CA  535 ASP D CA  1 
ATOM 4195  C C   . ASP A 1 535 ? 308.362 -80.738  192.338 1.0 46.70258  ? 535 ASP D C   535 ASP D C   1 
ATOM 4196  O O   . ASP A 1 535 ? 307.290 -81.045  192.866 1.0 46.70258  ? 535 ASP D O   535 ASP D O   1 
ATOM 4197  C CB  . ASP A 1 535 ? 307.697 -78.549  191.341 1.0 46.70258  ? 535 ASP D CB  535 ASP D CB  1 
ATOM 4198  C CG  . ASP A 1 535 ? 308.574 -77.610  192.143 1.0 46.70258  ? 535 ASP D CG  535 ASP D CG  1 
ATOM 4199  O OD1 . ASP A 1 535 ? 309.730 -77.963  192.445 1.0 46.70258  ? 535 ASP D OD1 535 ASP D OD1 1 
ATOM 4200  O OD2 . ASP A 1 535 ? 308.095 -76.510  192.486 1.0 46.70258  ? 535 ASP D OD2 535 ASP D OD2 1 
ATOM 4201  N N   . PRO A 1 536 ? 309.528 -81.137  192.853 1.0 44.8304   ? 536 PRO D N   536 PRO D N   1 
ATOM 4202  C CA  . PRO A 1 536 ? 309.537 -81.943  194.081 1.0 44.8304   ? 536 PRO D CA  536 PRO D CA  1 
ATOM 4203  C C   . PRO A 1 536 ? 309.106 -81.169  195.309 1.0 44.8304   ? 536 PRO D C   536 PRO D C   1 
ATOM 4204  O O   . PRO A 1 536 ? 308.612 -81.777  196.264 1.0 44.8304   ? 536 PRO D O   536 PRO D O   1 
ATOM 4205  C CB  . PRO A 1 536 ? 310.997 -82.395  194.189 1.0 44.8304   ? 536 PRO D CB  536 PRO D CB  1 
ATOM 4206  C CG  . PRO A 1 536 ? 311.540 -82.259  192.814 1.0 44.8304   ? 536 PRO D CG  536 PRO D CG  1 
ATOM 4207  C CD  . PRO A 1 536 ? 310.862 -81.065  192.243 1.0 44.8304   ? 536 PRO D CD  536 PRO D CD  1 
ATOM 4208  N N   . ASN A 1 537 ? 309.269 -79.847  195.315 1.0 46.3607   ? 537 ASN D N   537 ASN D N   1 
ATOM 4209  C CA  . ASN A 1 537 ? 308.809 -79.056  196.450 1.0 46.3607   ? 537 ASN D CA  537 ASN D CA  1 
ATOM 4210  C C   . ASN A 1 537 ? 307.296 -78.932  196.476 1.0 46.3607   ? 537 ASN D C   537 ASN D C   1 
ATOM 4211  O O   . ASN A 1 537 ? 306.698 -78.884  197.554 1.0 46.3607   ? 537 ASN D O   537 ASN D O   1 
ATOM 4212  C CB  . ASN A 1 537 ? 309.437 -77.669  196.416 1.0 46.3607   ? 537 ASN D CB  537 ASN D CB  1 
ATOM 4213  C CG  . ASN A 1 537 ? 310.920 -77.702  196.655 1.0 46.3607   ? 537 ASN D CG  537 ASN D CG  1 
ATOM 4214  O OD1 . ASN A 1 537 ? 311.708 -77.385  195.771 1.0 46.3607   ? 537 ASN D OD1 537 ASN D OD1 1 
ATOM 4215  N ND2 . ASN A 1 537 ? 311.312 -78.079  197.861 1.0 46.3607   ? 537 ASN D ND2 537 ASN D ND2 1 
ATOM 4216  N N   . MET A 1 538 ? 306.661 -78.878  195.312 1.0 44.15358  ? 538 MET D N   538 MET D N   1 
ATOM 4217  C CA  . MET A 1 538 ? 305.223 -78.674  195.256 1.0 44.15358  ? 538 MET D CA  538 MET D CA  1 
ATOM 4218  C C   . MET A 1 538 ? 304.449 -79.982  195.306 1.0 44.15358  ? 538 MET D C   538 MET D C   1 
ATOM 4219  O O   . MET A 1 538 ? 303.448 -80.081  196.022 1.0 44.15358  ? 538 MET D O   538 MET D O   1 
ATOM 4220  C CB  . MET A 1 538 ? 304.853 -77.917  193.986 1.0 44.15358  ? 538 MET D CB  538 MET D CB  1 
ATOM 4221  C CG  . MET A 1 538 ? 303.404 -77.525  193.927 1.0 44.15358  ? 538 MET D CG  538 MET D CG  1 
ATOM 4222  S SD  . MET A 1 538 ? 303.027 -76.280  195.153 1.0 44.15358  ? 538 MET D SD  538 MET D SD  1 
ATOM 4223  C CE  . MET A 1 538 ? 303.884 -74.909  194.404 1.0 44.15358  ? 538 MET D CE  538 MET D CE  1 
ATOM 4224  N N   . VAL A 1 539 ? 304.897 -80.988  194.554 1.0 41.27618  ? 539 VAL D N   539 VAL D N   1 
ATOM 4225  C CA  . VAL A 1 539 ? 304.175 -82.252  194.483 1.0 41.27618  ? 539 VAL D CA  539 VAL D CA  1 
ATOM 4226  C C   . VAL A 1 539 ? 304.317 -83.030  195.785 1.0 41.27618  ? 539 VAL D C   539 VAL D C   1 
ATOM 4227  O O   . VAL A 1 539 ? 303.334 -83.549  196.324 1.0 41.27618  ? 539 VAL D O   539 VAL D O   1 
ATOM 4228  C CB  . VAL A 1 539 ? 304.670 -83.064  193.275 1.0 41.27618  ? 539 VAL D CB  539 VAL D CB  1 
ATOM 4229  C CG1 . VAL A 1 539 ? 304.029 -84.418  193.244 1.0 41.27618  ? 539 VAL D CG1 539 VAL D CG1 1 
ATOM 4230  C CG2 . VAL A 1 539 ? 304.372 -82.329  191.995 1.0 41.27618  ? 539 VAL D CG2 539 VAL D CG2 1 
ATOM 4231  N N   . LEU A 1 540 ? 305.526 -83.098  196.325 1.0 41.40342  ? 540 LEU D N   540 LEU D N   1 
ATOM 4232  C CA  . LEU A 1 540 ? 305.824 -83.912  197.491 1.0 41.40342  ? 540 LEU D CA  540 LEU D CA  1 
ATOM 4233  C C   . LEU A 1 540 ? 305.863 -83.045  198.743 1.0 41.40342  ? 540 LEU D C   540 LEU D C   1 
ATOM 4234  O O   . LEU A 1 540 ? 306.251 -81.878  198.698 1.0 41.40342  ? 540 LEU D O   540 LEU D O   1 
ATOM 4235  C CB  . LEU A 1 540 ? 307.161 -84.639  197.321 1.0 41.40342  ? 540 LEU D CB  540 LEU D CB  1 
ATOM 4236  C CG  . LEU A 1 540 ? 307.261 -85.911  196.469 1.0 41.40342  ? 540 LEU D CG  540 LEU D CG  1 
ATOM 4237  C CD1 . LEU A 1 540 ? 307.162 -85.646  194.982 1.0 41.40342  ? 540 LEU D CD1 540 LEU D CD1 1 
ATOM 4238  C CD2 . LEU A 1 540 ? 308.563 -86.612  196.752 1.0 41.40342  ? 540 LEU D CD2 540 LEU D CD2 1 
ATOM 4239  N N   . GLN A 1 541 ? 305.454 -83.629  199.865 1.0 40.23484  ? 541 GLN D N   541 GLN D N   1 
ATOM 4240  C CA  . GLN A 1 541 ? 305.425 -82.943  201.150 1.0 40.23484  ? 541 GLN D CA  541 GLN D CA  1 
ATOM 4241  C C   . GLN A 1 541 ? 306.297 -83.688  202.144 1.0 40.23484  ? 541 GLN D C   541 GLN D C   1 
ATOM 4242  O O   . GLN A 1 541 ? 306.116 -84.890  202.349 1.0 40.23484  ? 541 GLN D O   541 GLN D O   1 
ATOM 4243  C CB  . GLN A 1 541 ? 304.006 -82.845  201.702 1.0 40.23484  ? 541 GLN D CB  541 GLN D CB  1 
ATOM 4244  C CG  . GLN A 1 541 ? 303.935 -82.137  203.036 1.0 40.23484  ? 541 GLN D CG  541 GLN D CG  1 
ATOM 4245  C CD  . GLN A 1 541 ? 302.533 -82.063  203.585 1.0 40.23484  ? 541 GLN D CD  541 GLN D CD  1 
ATOM 4246  O OE1 . GLN A 1 541 ? 301.596 -82.590  202.995 1.0 40.23484  ? 541 GLN D OE1 541 GLN D OE1 1 
ATOM 4247  N NE2 . GLN A 1 541 ? 302.380 -81.405  204.723 1.0 40.23484  ? 541 GLN D NE2 541 GLN D NE2 1 
ATOM 4248  N N   . SER A 1 542 ? 307.221 -82.975  202.772 1.0 42.09918  ? 542 SER D N   542 SER D N   1 
ATOM 4249  C CA  . SER A 1 542 ? 308.116 -83.557  203.756 1.0 42.09918  ? 542 SER D CA  542 SER D CA  1 
ATOM 4250  C C   . SER A 1 542 ? 307.733 -83.100  205.155 1.0 42.09918  ? 542 SER D C   542 SER D C   1 
ATOM 4251  O O   . SER A 1 542 ? 306.988 -82.136  205.338 1.0 42.09918  ? 542 SER D O   542 SER D O   1 
ATOM 4252  C CB  . SER A 1 542 ? 309.567 -83.178  203.463 1.0 42.09918  ? 542 SER D CB  542 SER D CB  1 
ATOM 4253  O OG  . SER A 1 542 ? 309.751 -81.784  203.599 1.0 42.09918  ? 542 SER D OG  542 SER D OG  1 
ATOM 4254  N N   . THR A 1 543 ? 308.263 -83.810  206.147 1.0 42.41284  ? 543 THR D N   543 THR D N   1 
ATOM 4255  C CA  . THR A 1 543 ? 307.966 -83.484  207.535 1.0 42.41284  ? 543 THR D CA  543 THR D CA  1 
ATOM 4256  C C   . THR A 1 543 ? 308.742 -82.261  207.999 1.0 42.41284  ? 543 THR D C   543 THR D C   1 
ATOM 4257  O O   . THR A 1 543 ? 308.174 -81.365  208.624 1.0 42.41284  ? 543 THR D O   543 THR D O   1 
ATOM 4258  C CB  . THR A 1 543 ? 308.279 -84.682  208.428 1.0 42.41284  ? 543 THR D CB  543 THR D CB  1 
ATOM 4259  O OG1 . THR A 1 543 ? 307.501 -85.804  208.002 1.0 42.41284  ? 543 THR D OG1 543 THR D OG1 1 
ATOM 4260  C CG2 . THR A 1 543 ? 307.947 -84.384  209.868 1.0 42.41284  ? 543 THR D CG2 543 THR D CG2 1 
ATOM 4261  N N   . LEU A 1 544 ? 310.032 -82.196  207.699 1.0 44.5857   ? 544 LEU D N   544 LEU D N   1 
ATOM 4262  C CA  . LEU A 1 544 ? 310.855 -81.090  208.161 1.0 44.5857   ? 544 LEU D CA  544 LEU D CA  1 
ATOM 4263  C C   . LEU A 1 544 ? 310.769 -79.862  207.268 1.0 44.5857   ? 544 LEU D C   544 LEU D C   1 
ATOM 4264  O O   . LEU A 1 544 ? 311.213 -78.788  207.680 1.0 44.5857   ? 544 LEU D O   544 LEU D O   1 
ATOM 4265  C CB  . LEU A 1 544 ? 312.313 -81.534  208.275 1.0 44.5857   ? 544 LEU D CB  544 LEU D CB  1 
ATOM 4266  C CG  . LEU A 1 544 ? 312.541 -82.651  209.289 1.0 44.5857   ? 544 LEU D CG  544 LEU D CG  1 
ATOM 4267  C CD1 . LEU A 1 544 ? 313.990 -83.081  209.293 1.0 44.5857   ? 544 LEU D CD1 544 LEU D CD1 1 
ATOM 4268  C CD2 . LEU A 1 544 ? 312.102 -82.214  210.667 1.0 44.5857   ? 544 LEU D CD2 544 LEU D CD2 1 
ATOM 4269  N N   . GLY A 1 545 ? 310.215 -79.986  206.066 1.0 45.72567  ? 545 GLY D N   545 GLY D N   1 
ATOM 4270  C CA  . GLY A 1 545 ? 310.058 -78.832  205.206 1.0 45.72567  ? 545 GLY D CA  545 GLY D CA  1 
ATOM 4271  C C   . GLY A 1 545 ? 311.318 -78.375  204.517 1.0 45.72567  ? 545 GLY D C   545 GLY D C   1 
ATOM 4272  O O   . GLY A 1 545 ? 311.401 -77.213  204.112 1.0 45.72567  ? 545 GLY D O   545 GLY D O   1 
ATOM 4273  N N   . ASN A 1 546 ? 312.309 -79.249  204.381 1.0 48.77949  ? 546 ASN D N   546 ASN D N   1 
ATOM 4274  C CA  . ASN A 1 546 ? 313.527 -78.916  203.666 1.0 48.77949  ? 546 ASN D CA  546 ASN D CA  1 
ATOM 4275  C C   . ASN A 1 546 ? 313.277 -78.853  202.163 1.0 48.77949  ? 546 ASN D C   546 ASN D C   1 
ATOM 4276  O O   . ASN A 1 546 ? 312.278 -79.357  201.651 1.0 48.77949  ? 546 ASN D O   546 ASN D O   1 
ATOM 4277  C CB  . ASN A 1 546 ? 314.621 -79.935  203.981 1.0 48.77949  ? 546 ASN D CB  546 ASN D CB  1 
ATOM 4278  C CG  . ASN A 1 546 ? 314.175 -81.366  203.762 1.0 48.77949  ? 546 ASN D CG  546 ASN D CG  1 
ATOM 4279  O OD1 . ASN A 1 546 ? 313.039 -81.635  203.378 1.0 48.77949  ? 546 ASN D OD1 546 ASN D OD1 1 
ATOM 4280  N ND2 . ASN A 1 546 ? 315.080 -82.296  204.002 1.0 48.77949  ? 546 ASN D ND2 546 ASN D ND2 1 
ATOM 4281  N N   . ASP A 1 547 ? 314.215 -78.233  201.454 1.0 50.99251  ? 547 ASP D N   547 ASP D N   1 
ATOM 4282  C CA  . ASP A 1 547 ? 314.125 -78.118  200.004 1.0 50.99251  ? 547 ASP D CA  547 ASP D CA  1 
ATOM 4283  C C   . ASP A 1 547 ? 314.455 -79.457  199.358 1.0 50.99251  ? 547 ASP D C   547 ASP D C   1 
ATOM 4284  O O   . ASP A 1 547 ? 315.616 -79.875  199.339 1.0 50.99251  ? 547 ASP D O   547 ASP D O   1 
ATOM 4285  C CB  . ASP A 1 547 ? 315.071 -77.035  199.505 1.0 50.99251  ? 547 ASP D CB  547 ASP D CB  1 
ATOM 4286  C CG  . ASP A 1 547 ? 314.957 -76.812  198.021 1.0 50.99251  ? 547 ASP D CG  547 ASP D CG  1 
ATOM 4287  O OD1 . ASP A 1 547 ? 313.939 -76.242  197.584 1.0 50.99251  ? 547 ASP D OD1 547 ASP D OD1 1 
ATOM 4288  O OD2 . ASP A 1 547 ? 315.890 -77.189  197.287 1.0 50.99251  ? 547 ASP D OD2 547 ASP D OD2 1 
ATOM 4289  N N   . LEU A 1 548 ? 313.439 -80.128  198.813 1.0 49.47832  ? 548 LEU D N   548 LEU D N   1 
ATOM 4290  C CA  . LEU A 1 548 ? 313.672 -81.399  198.140 1.0 49.47832  ? 548 LEU D CA  548 LEU D CA  1 
ATOM 4291  C C   . LEU A 1 548 ? 314.330 -81.228  196.781 1.0 49.47832  ? 548 LEU D C   548 LEU D C   1 
ATOM 4292  O O   . LEU A 1 548 ? 314.825 -82.211  196.223 1.0 49.47832  ? 548 LEU D O   548 LEU D O   1 
ATOM 4293  C CB  . LEU A 1 548 ? 312.366 -82.175  197.963 1.0 49.47832  ? 548 LEU D CB  548 LEU D CB  1 
ATOM 4294  C CG  . LEU A 1 548 ? 311.874 -83.130  199.054 1.0 49.47832  ? 548 LEU D CG  548 LEU D CG  1 
ATOM 4295  C CD1 . LEU A 1 548 ? 312.915 -84.186  199.373 1.0 49.47832  ? 548 LEU D CD1 548 LEU D CD1 1 
ATOM 4296  C CD2 . LEU A 1 548 ? 311.472 -82.419  200.299 1.0 49.47832  ? 548 LEU D CD2 548 LEU D CD2 1 
ATOM 4297  N N   . ARG A 1 549 ? 314.334 -80.013  196.232 1.0 52.75506  ? 549 ARG D N   549 ARG D N   1 
ATOM 4298  C CA  . ARG A 1 549 ? 314.959 -79.790  194.934 1.0 52.75506  ? 549 ARG D CA  549 ARG D CA  1 
ATOM 4299  C C   . ARG A 1 549 ? 316.474 -79.898  195.028 1.0 52.75506  ? 549 ARG D C   549 ARG D C   1 
ATOM 4300  O O   . ARG A 1 549 ? 317.113 -80.505  194.161 1.0 52.75506  ? 549 ARG D O   549 ARG D O   1 
ATOM 4301  C CB  . ARG A 1 549 ? 314.552 -78.425  194.388 1.0 52.75506  ? 549 ARG D CB  549 ARG D CB  1 
ATOM 4302  C CG  . ARG A 1 549 ? 315.012 -78.183  192.972 1.0 52.75506  ? 549 ARG D CG  549 ARG D CG  1 
ATOM 4303  C CD  . ARG A 1 549 ? 314.565 -76.829  192.463 1.0 52.75506  ? 549 ARG D CD  549 ARG D CD  1 
ATOM 4304  N NE  . ARG A 1 549 ? 313.111 -76.700  192.435 1.0 52.75506  ? 549 ARG D NE  549 ARG D NE  1 
ATOM 4305  C CZ  . ARG A 1 549 ? 312.433 -75.814  193.154 1.0 52.75506  ? 549 ARG D CZ  549 ARG D CZ  1 
ATOM 4306  N NH1 . ARG A 1 549 ? 313.078 -74.974  193.947 1.0 52.75506  ? 549 ARG D NH1 549 ARG D NH1 1 
ATOM 4307  N NH2 . ARG A 1 549 ? 311.112 -75.761  193.077 1.0 52.75506  ? 549 ARG D NH2 549 ARG D NH2 1 
ATOM 4308  N N   . ALA A 1 550 ? 317.066 -79.325  196.073 1.0 53.29084  ? 550 ALA D N   550 ALA D N   1 
ATOM 4309  C CA  . ALA A 1 550 ? 318.495 -79.471  196.299 1.0 53.29084  ? 550 ALA D CA  550 ALA D CA  1 
ATOM 4310  C C   . ALA A 1 550 ? 318.847 -80.765  197.015 1.0 53.29084  ? 550 ALA D C   550 ALA D C   1 
ATOM 4311  O O   . ALA A 1 550 ? 320.034 -81.087  197.126 1.0 53.29084  ? 550 ALA D O   550 ALA D O   1 
ATOM 4312  C CB  . ALA A 1 550 ? 319.031 -78.284  197.100 1.0 53.29084  ? 550 ALA D CB  550 ALA D CB  1 
ATOM 4313  N N   . ASP A 1 551 ? 317.854 -81.509  197.501 1.0 53.77958  ? 551 ASP D N   551 ASP D N   1 
ATOM 4314  C CA  . ASP A 1 551 ? 318.082 -82.777  198.182 1.0 53.77958  ? 551 ASP D CA  551 ASP D CA  1 
ATOM 4315  C C   . ASP A 1 551 ? 317.769 -83.978  197.300 1.0 53.77958  ? 551 ASP D C   551 ASP D C   1 
ATOM 4316  O O   . ASP A 1 551 ? 317.289 -85.001  197.795 1.0 53.77958  ? 551 ASP D O   551 ASP D O   1 
ATOM 4317  C CB  . ASP A 1 551 ? 317.272 -82.840  199.475 1.0 53.77958  ? 551 ASP D CB  551 ASP D CB  1 
ATOM 4318  C CG  . ASP A 1 551 ? 317.818 -81.921  200.541 1.0 53.77958  ? 551 ASP D CG  551 ASP D CG  1 
ATOM 4319  O OD1 . ASP A 1 551 ? 319.039 -81.663  200.530 1.0 53.77958  ? 551 ASP D OD1 551 ASP D OD1 1 
ATOM 4320  O OD2 . ASP A 1 551 ? 317.033 -81.460  201.394 1.0 53.77958  ? 551 ASP D OD2 551 ASP D OD2 1 
ATOM 4321  N N   . GLY A 1 552 ? 318.007 -83.862  195.996 1.0 52.46138  ? 552 GLY D N   552 GLY D N   1 
ATOM 4322  C CA  . GLY A 1 552 ? 318.011 -85.004  195.105 1.0 52.46138  ? 552 GLY D CA  552 GLY D CA  1 
ATOM 4323  C C   . GLY A 1 552 ? 316.681 -85.669  194.839 1.0 52.46138  ? 552 GLY D C   552 GLY D C   1 
ATOM 4324  O O   . GLY A 1 552 ? 316.667 -86.776  194.294 1.0 52.46138  ? 552 GLY D O   552 GLY D O   1 
ATOM 4325  N N   . ALA A 1 553 ? 315.565 -85.046  195.201 1.0 49.74869  ? 553 ALA D N   553 ALA D N   1 
ATOM 4326  C CA  . ALA A 1 553 ? 314.283 -85.665  194.918 1.0 49.74869  ? 553 ALA D CA  553 ALA D CA  1 
ATOM 4327  C C   . ALA A 1 553 ? 313.922 -85.497  193.450 1.0 49.74869  ? 553 ALA D C   553 ALA D C   1 
ATOM 4328  O O   . ALA A 1 553 ? 314.361 -84.563  192.775 1.0 49.74869  ? 553 ALA D O   553 ALA D O   1 
ATOM 4329  C CB  . ALA A 1 553 ? 313.182 -85.073  195.787 1.0 49.74869  ? 553 ALA D CB  553 ALA D CB  1 
ATOM 4330  N N   . SER A 1 554 ? 313.101 -86.420  192.961 1.0 47.887    ? 554 SER D N   554 SER D N   1 
ATOM 4331  C CA  . SER A 1 554 ? 312.731 -86.446  191.557 1.0 47.887    ? 554 SER D CA  554 SER D CA  1 
ATOM 4332  C C   . SER A 1 554 ? 311.442 -87.230  191.404 1.0 47.887    ? 554 SER D C   554 SER D C   1 
ATOM 4333  O O   . SER A 1 554 ? 311.178 -88.165  192.160 1.0 47.887    ? 554 SER D O   554 SER D O   1 
ATOM 4334  C CB  . SER A 1 554 ? 313.832 -87.073  190.698 1.0 47.887    ? 554 SER D CB  554 SER D CB  1 
ATOM 4335  O OG  . SER A 1 554 ? 313.432 -87.170  189.344 1.0 47.887    ? 554 SER D OG  554 SER D OG  1 
ATOM 4336  N N   . ILE A 1 555 ? 310.650 -86.840  190.414 1.0 45.5756   ? 555 ILE D N   555 ILE D N   1 
ATOM 4337  C CA  . ILE A 1 555 ? 309.433 -87.553  190.052 1.0 45.5756   ? 555 ILE D CA  555 ILE D CA  1 
ATOM 4338  C C   . ILE A 1 555 ? 309.323 -87.549  188.533 1.0 45.5756   ? 555 ILE D C   555 ILE D C   1 
ATOM 4339  O O   . ILE A 1 555 ? 309.667 -86.563  187.874 1.0 45.5756   ? 555 ILE D O   555 ILE D O   1 
ATOM 4340  C CB  . ILE A 1 555 ? 308.190 -86.936  190.743 1.0 45.5756   ? 555 ILE D CB  555 ILE D CB  1 
ATOM 4341  C CG1 . ILE A 1 555 ? 306.931 -87.757  190.470 1.0 45.5756   ? 555 ILE D CG1 555 ILE D CG1 1 
ATOM 4342  C CG2 . ILE A 1 555 ? 307.993 -85.476  190.388 1.0 45.5756   ? 555 ILE D CG2 555 ILE D CG2 1 
ATOM 4343  C CD1 . ILE A 1 555 ? 305.769 -87.371  191.346 1.0 45.5756   ? 555 ILE D CD1 555 ILE D CD1 1 
ATOM 4344  N N   . THR A 1 556 ? 308.915 -88.681  187.968 1.0 45.67384  ? 556 THR D N   556 THR D N   1 
ATOM 4345  C CA  . THR A 1 556 ? 308.708 -88.768  186.534 1.0 45.67384  ? 556 THR D CA  556 THR D CA  1 
ATOM 4346  C C   . THR A 1 556 ? 307.491 -89.631  186.254 1.0 45.67384  ? 556 THR D C   556 THR D C   1 
ATOM 4347  O O   . THR A 1 556 ? 307.097 -90.469  187.069 1.0 45.67384  ? 556 THR D O   556 THR D O   1 
ATOM 4348  C CB  . THR A 1 556 ? 309.944 -89.313  185.804 1.0 45.67384  ? 556 THR D CB  556 THR D CB  1 
ATOM 4349  O OG1 . THR A 1 556 ? 309.731 -89.247  184.389 1.0 45.67384  ? 556 THR D OG1 556 THR D OG1 1 
ATOM 4350  C CG2 . THR A 1 556 ? 310.227 -90.740  186.195 1.0 45.67384  ? 556 THR D CG2 556 THR D CG2 1 
ATOM 4351  N N   . TYR A 1 557 ? 306.885 -89.397  185.098 1.0 42.05861  ? 557 TYR D N   557 TYR D N   1 
ATOM 4352  C CA  . TYR A 1 557 ? 305.626 -90.017  184.726 1.0 42.05861  ? 557 TYR D CA  557 TYR D CA  1 
ATOM 4353  C C   . TYR A 1 557 ? 305.865 -90.962  183.561 1.0 42.05861  ? 557 TYR D C   557 TYR D C   1 
ATOM 4354  O O   . TYR A 1 557 ? 306.555 -90.604  182.602 1.0 42.05861  ? 557 TYR D O   557 TYR D O   1 
ATOM 4355  C CB  . TYR A 1 557 ? 304.603 -88.953  184.344 1.0 42.05861  ? 557 TYR D CB  557 TYR D CB  1 
ATOM 4356  C CG  . TYR A 1 557 ? 304.304 -87.985  185.456 1.0 42.05861  ? 557 TYR D CG  557 TYR D CG  1 
ATOM 4357  C CD1 . TYR A 1 557 ? 303.472 -88.341  186.491 1.0 42.05861  ? 557 TYR D CD1 557 TYR D CD1 1 
ATOM 4358  C CD2 . TYR A 1 557 ? 304.845 -86.716  185.465 1.0 42.05861  ? 557 TYR D CD2 557 TYR D CD2 1 
ATOM 4359  C CE1 . TYR A 1 557 ? 303.185 -87.468  187.516 1.0 42.05861  ? 557 TYR D CE1 557 TYR D CE1 1 
ATOM 4360  C CE2 . TYR A 1 557 ? 304.562 -85.832  186.486 1.0 42.05861  ? 557 TYR D CE2 557 TYR D CE2 1 
ATOM 4361  C CZ  . TYR A 1 557 ? 303.732 -86.215  187.505 1.0 42.05861  ? 557 TYR D CZ  557 TYR D CZ  1 
ATOM 4362  O OH  . TYR A 1 557 ? 303.441 -85.353  188.527 1.0 42.05861  ? 557 TYR D OH  557 TYR D OH  1 
ATOM 4363  N N   . THR A 1 558 ? 305.302 -92.165  183.646 1.0 46.69097  ? 558 THR D N   558 THR D N   1 
ATOM 4364  C CA  . THR A 1 558 ? 305.458 -93.161  182.593 1.0 46.69097  ? 558 THR D CA  558 THR D CA  1 
ATOM 4365  C C   . THR A 1 558 ? 304.246 -93.196  181.670 1.0 46.69097  ? 558 THR D C   558 THR D C   1 
ATOM 4366  O O   . THR A 1 558 ? 304.376 -92.975  180.463 1.0 46.69097  ? 558 THR D O   558 THR D O   1 
ATOM 4367  C CB  . THR A 1 558 ? 305.695 -94.539  183.207 1.0 46.69097  ? 558 THR D CB  558 THR D CB  1 
ATOM 4368  O OG1 . THR A 1 558 ? 304.540 -94.916  183.959 1.0 46.69097  ? 558 THR D OG1 558 THR D OG1 1 
ATOM 4369  C CG2 . THR A 1 558 ? 306.891 -94.499  184.131 1.0 46.69097  ? 558 THR D CG2 558 THR D CG2 1 
ATOM 4370  N N   . GLN A 1 559 ? 303.063 -93.464  182.216 1.0 45.16981  ? 559 GLN D N   559 GLN D N   1 
ATOM 4371  C CA  . GLN A 1 559 ? 301.838 -93.380  181.438 1.0 45.16981  ? 559 GLN D CA  559 GLN D CA  1 
ATOM 4372  C C   . GLN A 1 559 ? 300.733 -92.811  182.311 1.0 45.16981  ? 559 GLN D C   559 GLN D C   1 
ATOM 4373  O O   . GLN A 1 559 ? 300.702 -93.026  183.525 1.0 45.16981  ? 559 GLN D O   559 GLN D O   1 
ATOM 4374  C CB  . GLN A 1 559 ? 301.425 -94.738  180.851 1.0 45.16981  ? 559 GLN D CB  559 GLN D CB  1 
ATOM 4375  C CG  . GLN A 1 559 ? 301.032 -95.789  181.861 1.0 45.16981  ? 559 GLN D CG  559 GLN D CG  1 
ATOM 4376  C CD  . GLN A 1 559 ? 300.664 -97.104  181.212 1.0 45.16981  ? 559 GLN D CD  559 GLN D CD  1 
ATOM 4377  O OE1 . GLN A 1 559 ? 300.670 -97.229  179.988 1.0 45.16981  ? 559 GLN D OE1 559 GLN D OE1 1 
ATOM 4378  N NE2 . GLN A 1 559 ? 300.333 -98.092  182.030 1.0 45.16981  ? 559 GLN D NE2 559 GLN D NE2 1 
ATOM 4379  N N   . ILE A 1 560 ? 299.850 -92.037  181.684 1.0 39.54457  ? 560 ILE D N   560 ILE D N   1 
ATOM 4380  C CA  . ILE A 1 560 ? 298.781 -91.315  182.369 1.0 39.54457  ? 560 ILE D CA  560 ILE D CA  1 
ATOM 4381  C C   . ILE A 1 560 ? 297.520 -91.439  181.528 1.0 39.54457  ? 560 ILE D C   560 ILE D C   1 
ATOM 4382  O O   . ILE A 1 560 ? 297.516 -91.045  180.359 1.0 39.54457  ? 560 ILE D O   560 ILE D O   1 
ATOM 4383  C CB  . ILE A 1 560 ? 299.134 -89.834  182.595 1.0 39.54457  ? 560 ILE D CB  560 ILE D CB  1 
ATOM 4384  C CG1 . ILE A 1 560 ? 300.249 -89.711  183.631 1.0 39.54457  ? 560 ILE D CG1 560 ILE D CG1 1 
ATOM 4385  C CG2 . ILE A 1 560 ? 297.925 -89.061  183.032 1.0 39.54457  ? 560 ILE D CG2 560 ILE D CG2 1 
ATOM 4386  C CD1 . ILE A 1 560 ? 300.798 -88.365  183.809 1.0 39.54457  ? 560 ILE D CD1 560 ILE D CD1 1 
ATOM 4387  N N   . ASN A 1 561 ? 296.456 -91.979  182.109 1.0 37.8202   ? 561 ASN D N   561 ASN D N   1 
ATOM 4388  C CA  . ASN A 1 561 ? 295.220 -92.235  181.385 1.0 37.8202   ? 561 ASN D CA  561 ASN D CA  1 
ATOM 4389  C C   . ASN A 1 561 ? 294.086 -91.420  181.998 1.0 37.8202   ? 561 ASN D C   561 ASN D C   1 
ATOM 4390  O O   . ASN A 1 561 ? 294.242 -90.792  183.041 1.0 37.8202   ? 561 ASN D O   561 ASN D O   1 
ATOM 4391  C CB  . ASN A 1 561 ? 294.897 -93.728  181.397 1.0 37.8202   ? 561 ASN D CB  561 ASN D CB  1 
ATOM 4392  C CG  . ASN A 1 561 ? 295.930 -94.548  180.661 1.0 37.8202   ? 561 ASN D CG  561 ASN D CG  1 
ATOM 4393  O OD1 . ASN A 1 561 ? 296.408 -94.161  179.598 1.0 37.8202   ? 561 ASN D OD1 561 ASN D OD1 1 
ATOM 4394  N ND2 . ASN A 1 561 ? 296.283 -95.690  181.228 1.0 37.8202   ? 561 ASN D ND2 561 ASN D ND2 1 
ATOM 4395  N N   . LEU A 1 562 ? 292.933 -91.432  181.335 1.0 35.67844  ? 562 LEU D N   562 LEU D N   1 
ATOM 4396  C CA  . LEU A 1 562 ? 291.749 -90.708  181.779 1.0 35.67844  ? 562 LEU D CA  562 LEU D CA  1 
ATOM 4397  C C   . LEU A 1 562 ? 290.587 -91.678  181.870 1.0 35.67844  ? 562 LEU D C   562 LEU D C   1 
ATOM 4398  O O   . LEU A 1 562 ? 290.281 -92.368  180.896 1.0 35.67844  ? 562 LEU D O   562 LEU D O   1 
ATOM 4399  C CB  . LEU A 1 562 ? 291.390 -89.580  180.816 1.0 35.67844  ? 562 LEU D CB  562 LEU D CB  1 
ATOM 4400  C CG  . LEU A 1 562 ? 290.138 -88.786  181.172 1.0 35.67844  ? 562 LEU D CG  562 LEU D CG  1 
ATOM 4401  C CD1 . LEU A 1 562 ? 290.364 -87.949  182.410 1.0 35.67844  ? 562 LEU D CD1 562 LEU D CD1 1 
ATOM 4402  C CD2 . LEU A 1 562 ? 289.688 -87.937  180.009 1.0 35.67844  ? 562 LEU D CD2 562 LEU D CD2 1 
ATOM 4403  N N   . TYR A 1 563 ? 289.934 -91.729  183.025 1.0 37.28305  ? 563 TYR D N   563 TYR D N   1 
ATOM 4404  C CA  . TYR A 1 563 ? 288.883 -92.709  183.280 1.0 37.28305  ? 563 TYR D CA  563 TYR D CA  1 
ATOM 4405  C C   . TYR A 1 563 ? 287.565 -91.995  183.525 1.0 37.28305  ? 563 TYR D C   563 TYR D C   1 
ATOM 4406  O O   . TYR A 1 563 ? 287.362 -91.415  184.594 1.0 37.28305  ? 563 TYR D O   563 TYR D O   1 
ATOM 4407  C CB  . TYR A 1 563 ? 289.234 -93.587  184.476 1.0 37.28305  ? 563 TYR D CB  563 TYR D CB  1 
ATOM 4408  C CG  . TYR A 1 563 ? 290.350 -94.559  184.226 1.0 37.28305  ? 563 TYR D CG  563 TYR D CG  1 
ATOM 4409  C CD1 . TYR A 1 563 ? 290.743 -94.879  182.945 1.0 37.28305  ? 563 TYR D CD1 563 TYR D CD1 1 
ATOM 4410  C CD2 . TYR A 1 563 ? 291.013 -95.161  185.273 1.0 37.28305  ? 563 TYR D CD2 563 TYR D CD2 1 
ATOM 4411  C CE1 . TYR A 1 563 ? 291.760 -95.758  182.720 1.0 37.28305  ? 563 TYR D CE1 563 TYR D CE1 1 
ATOM 4412  C CE2 . TYR A 1 563 ? 292.038 -96.044  185.041 1.0 37.28305  ? 563 TYR D CE2 563 TYR D CE2 1 
ATOM 4413  C CZ  . TYR A 1 563 ? 292.398 -96.345  183.765 1.0 37.28305  ? 563 TYR D CZ  563 TYR D CZ  1 
ATOM 4414  O OH  . TYR A 1 563 ? 293.417 -97.230  183.529 1.0 37.28305  ? 563 TYR D OH  563 TYR D OH  1 
ATOM 4415  N N   . VAL A 1 564 ? 286.664 -92.054  182.553 1.0 37.61132  ? 564 VAL D N   564 VAL D N   1 
ATOM 4416  C CA  . VAL A 1 564 ? 285.295 -91.611  182.738 1.0 37.61132  ? 564 VAL D CA  564 VAL D CA  1 
ATOM 4417  C C   . VAL A 1 564 ? 284.406 -92.846  182.798 1.0 37.61132  ? 564 VAL D C   564 VAL D C   1 
ATOM 4418  O O   . VAL A 1 564 ? 284.849 -93.968  182.561 1.0 37.61132  ? 564 VAL D O   564 VAL D O   1 
ATOM 4419  C CB  . VAL A 1 564 ? 284.841 -90.649  181.631 1.0 37.61132  ? 564 VAL D CB  564 VAL D CB  1 
ATOM 4420  C CG1 . VAL A 1 564 ? 285.733 -89.431  181.602 1.0 37.61132  ? 564 VAL D CG1 564 VAL D CG1 1 
ATOM 4421  C CG2 . VAL A 1 564 ? 284.852 -91.346  180.304 1.0 37.61132  ? 564 VAL D CG2 564 VAL D CG2 1 
ATOM 4422  N N   . SER A 1 565 ? 283.135 -92.634  183.126 1.0 39.05182  ? 565 SER D N   565 SER D N   1 
ATOM 4423  C CA  . SER A 1 565 ? 282.196 -93.739  183.256 1.0 39.05182  ? 565 SER D CA  565 SER D CA  1 
ATOM 4424  C C   . SER A 1 565 ? 280.860 -93.340  182.657 1.0 39.05182  ? 565 SER D C   565 SER D C   1 
ATOM 4425  O O   . SER A 1 565 ? 280.255 -92.354  183.083 1.0 39.05182  ? 565 SER D O   565 SER D O   1 
ATOM 4426  C CB  . SER A 1 565 ? 282.021 -94.141  184.715 1.0 39.05182  ? 565 SER D CB  565 SER D CB  1 
ATOM 4427  O OG  . SER A 1 565 ? 281.376 -93.105  185.414 1.0 39.05182  ? 565 SER D OG  565 SER D OG  1 
ATOM 4428  N N   . PHE A 1 566 ? 280.395 -94.120  181.687 1.0 40.5934   ? 566 PHE D N   566 PHE D N   1 
ATOM 4429  C CA  . PHE A 1 566 ? 279.135 -93.863  181.007 1.0 40.5934   ? 566 PHE D CA  566 PHE D CA  1 
ATOM 4430  C C   . PHE A 1 566 ? 278.013 -94.596  181.725 1.0 40.5934   ? 566 PHE D C   566 PHE D C   1 
ATOM 4431  O O   . PHE A 1 566 ? 278.048 -95.824  181.840 1.0 40.5934   ? 566 PHE D O   566 PHE D O   1 
ATOM 4432  C CB  . PHE A 1 566 ? 279.220 -94.318  179.555 1.0 40.5934   ? 566 PHE D CB  566 PHE D CB  1 
ATOM 4433  C CG  . PHE A 1 566 ? 280.196 -93.538  178.748 1.0 40.5934   ? 566 PHE D CG  566 PHE D CG  1 
ATOM 4434  C CD1 . PHE A 1 566 ? 279.839 -92.325  178.201 1.0 40.5934   ? 566 PHE D CD1 566 PHE D CD1 1 
ATOM 4435  C CD2 . PHE A 1 566 ? 281.477 -94.003  178.555 1.0 40.5934   ? 566 PHE D CD2 566 PHE D CD2 1 
ATOM 4436  C CE1 . PHE A 1 566 ? 280.735 -91.595  177.470 1.0 40.5934   ? 566 PHE D CE1 566 PHE D CE1 1 
ATOM 4437  C CE2 . PHE A 1 566 ? 282.376 -93.277  177.821 1.0 40.5934   ? 566 PHE D CE2 566 PHE D CE2 1 
ATOM 4438  C CZ  . PHE A 1 566 ? 282.006 -92.071  177.279 1.0 40.5934   ? 566 PHE D CZ  566 PHE D CZ  1 
ATOM 4439  N N   . PHE A 1 567 ? 277.020 -93.855  182.195 1.0 44.20493  ? 567 PHE D N   567 PHE D N   1 
ATOM 4440  C CA  . PHE A 1 567 ? 275.859 -94.474  182.819 1.0 44.20493  ? 567 PHE D CA  567 PHE D CA  1 
ATOM 4441  C C   . PHE A 1 567 ? 274.982 -95.104  181.745 1.0 44.20493  ? 567 PHE D C   567 PHE D C   1 
ATOM 4442  O O   . PHE A 1 567 ? 274.553 -94.402  180.821 1.0 44.20493  ? 567 PHE D O   567 PHE D O   1 
ATOM 4443  C CB  . PHE A 1 567 ? 275.062 -93.449  183.605 1.0 44.20493  ? 567 PHE D CB  567 PHE D CB  1 
ATOM 4444  C CG  . PHE A 1 567 ? 273.868 -94.024  184.305 1.0 44.20493  ? 567 PHE D CG  567 PHE D CG  1 
ATOM 4445  C CD1 . PHE A 1 567 ? 274.021 -94.786  185.449 1.0 44.20493  ? 567 PHE D CD1 567 PHE D CD1 1 
ATOM 4446  C CD2 . PHE A 1 567 ? 272.593 -93.797  183.827 1.0 44.20493  ? 567 PHE D CD2 567 PHE D CD2 1 
ATOM 4447  C CE1 . PHE A 1 567 ? 272.922 -95.312  186.100 1.0 44.20493  ? 567 PHE D CE1 567 PHE D CE1 1 
ATOM 4448  C CE2 . PHE A 1 567 ? 271.492 -94.322  184.472 1.0 44.20493  ? 567 PHE D CE2 567 PHE D CE2 1 
ATOM 4449  C CZ  . PHE A 1 567 ? 271.659 -95.080  185.609 1.0 44.20493  ? 567 PHE D CZ  567 PHE D CZ  1 
ATOM 4450  N N   . PRO A 1 568 ? 274.687 -96.400  181.823 1.0 46.59132  ? 568 PRO D N   568 PRO D N   1 
ATOM 4451  C CA  . PRO A 1 568 ? 273.919 -97.064  180.753 1.0 46.59132  ? 568 PRO D CA  568 PRO D CA  1 
ATOM 4452  C C   . PRO A 1 568 ? 272.439 -96.700  180.771 1.0 46.59132  ? 568 PRO D C   568 PRO D C   1 
ATOM 4453  O O   . PRO A 1 568 ? 271.573 -97.458  181.195 1.0 46.59132  ? 568 PRO D O   568 PRO D O   1 
ATOM 4454  C CB  . PRO A 1 568 ? 274.162 -98.546  181.051 1.0 46.59132  ? 568 PRO D CB  568 PRO D CB  1 
ATOM 4455  C CG  . PRO A 1 568 ? 274.371 -98.598  182.506 1.0 46.59132  ? 568 PRO D CG  568 PRO D CG  1 
ATOM 4456  C CD  . PRO A 1 568 ? 275.089 -97.341  182.876 1.0 46.59132  ? 568 PRO D CD  568 PRO D CD  1 
ATOM 4457  N N   . MET A 1 569 ? 272.122 -95.506  180.287 1.0 48.24946  ? 569 MET D N   569 MET D N   1 
ATOM 4458  C CA  . MET A 1 569 ? 270.737 -95.072  180.228 1.0 48.24946  ? 569 MET D CA  569 MET D CA  1 
ATOM 4459  C C   . MET A 1 569 ? 270.054 -95.691  179.013 1.0 48.24946  ? 569 MET D C   569 MET D C   1 
ATOM 4460  O O   . MET A 1 569 ? 270.699 -95.983  178.003 1.0 48.24946  ? 569 MET D O   569 MET D O   1 
ATOM 4461  C CB  . MET A 1 569 ? 270.672 -93.544  180.173 1.0 48.24946  ? 569 MET D CB  569 MET D CB  1 
ATOM 4462  C CG  . MET A 1 569 ? 269.295 -92.940  180.371 1.0 48.24946  ? 569 MET D CG  569 MET D CG  1 
ATOM 4463  S SD  . MET A 1 569 ? 269.322 -91.147  180.326 1.0 48.24946  ? 569 MET D SD  569 MET D SD  1 
ATOM 4464  C CE  . MET A 1 569 ? 270.143 -90.808  181.873 1.0 48.24946  ? 569 MET D CE  569 MET D CE  1 
ATOM 4465  N N   . ASN A 1 570 ? 268.747 -95.935  179.139 1.0 50.12359  ? 570 ASN D N   570 ASN D N   1 
ATOM 4466  C CA  . ASN A 1 570 ? 267.951 -96.383  178.004 1.0 50.12359  ? 570 ASN D CA  570 ASN D CA  1 
ATOM 4467  C C   . ASN A 1 570 ? 267.929 -95.302  176.936 1.0 50.12359  ? 570 ASN D C   570 ASN D C   1 
ATOM 4468  O O   . ASN A 1 570 ? 267.944 -94.109  177.242 1.0 50.12359  ? 570 ASN D O   570 ASN D O   1 
ATOM 4469  C CB  . ASN A 1 570 ? 266.521 -96.703  178.435 1.0 50.12359  ? 570 ASN D CB  570 ASN D CB  1 
ATOM 4470  C CG  . ASN A 1 570 ? 265.755 -97.476  177.379 1.0 50.12359  ? 570 ASN D CG  570 ASN D CG  1 
ATOM 4471  O OD1 . ASN A 1 570 ? 266.314 -97.878  176.362 1.0 50.12359  ? 570 ASN D OD1 570 ASN D OD1 1 
ATOM 4472  N ND2 . ASN A 1 570 ? 264.462 -97.660  177.599 1.0 50.12359  ? 570 ASN D ND2 570 ASN D ND2 1 
ATOM 4473  N N   . TYR A 1 571 ? 267.883 -95.726  175.673 1.0 50.55104  ? 571 TYR D N   571 TYR D N   1 
ATOM 4474  C CA  . TYR A 1 571 ? 268.083 -94.780  174.582 1.0 50.55104  ? 571 TYR D CA  571 TYR D CA  1 
ATOM 4475  C C   . TYR A 1 571 ? 266.861 -93.899  174.364 1.0 50.55104  ? 571 TYR D C   571 TYR D C   1 
ATOM 4476  O O   . TYR A 1 571 ? 266.989 -92.787  173.844 1.0 50.55104  ? 571 TYR D O   571 TYR D O   1 
ATOM 4477  C CB  . TYR A 1 571 ? 268.438 -95.513  173.289 1.0 50.55104  ? 571 TYR D CB  571 TYR D CB  1 
ATOM 4478  C CG  . TYR A 1 571 ? 269.810 -96.160  173.258 1.0 50.55104  ? 571 TYR D CG  571 TYR D CG  1 
ATOM 4479  C CD1 . TYR A 1 571 ? 270.737 -95.950  174.272 1.0 50.55104  ? 571 TYR D CD1 571 TYR D CD1 1 
ATOM 4480  C CD2 . TYR A 1 571 ? 270.191 -96.948  172.184 1.0 50.55104  ? 571 TYR D CD2 571 TYR D CD2 1 
ATOM 4481  C CE1 . TYR A 1 571 ? 271.988 -96.533  174.229 1.0 50.55104  ? 571 TYR D CE1 571 TYR D CE1 1 
ATOM 4482  C CE2 . TYR A 1 571 ? 271.440 -97.527  172.129 1.0 50.55104  ? 571 TYR D CE2 571 TYR D CE2 1 
ATOM 4483  C CZ  . TYR A 1 571 ? 272.332 -97.321  173.155 1.0 50.55104  ? 571 TYR D CZ  571 TYR D CZ  1 
ATOM 4484  O OH  . TYR A 1 571 ? 273.577 -97.901  173.104 1.0 50.55104  ? 571 TYR D OH  571 TYR D OH  1 
ATOM 4485  N N   . ASP A 1 572 ? 265.678 -94.367  174.751 1.0 52.21344  ? 572 ASP D N   572 ASP D N   1 
ATOM 4486  C CA  . ASP A 1 572 ? 264.499 -93.518  174.665 1.0 52.21344  ? 572 ASP D CA  572 ASP D CA  1 
ATOM 4487  C C   . ASP A 1 572 ? 264.424 -92.547  175.833 1.0 52.21344  ? 572 ASP D C   572 ASP D C   1 
ATOM 4488  O O   . ASP A 1 572 ? 263.921 -91.430  175.675 1.0 52.21344  ? 572 ASP D O   572 ASP D O   1 
ATOM 4489  C CB  . ASP A 1 572 ? 263.242 -94.378  174.602 1.0 52.21344  ? 572 ASP D CB  572 ASP D CB  1 
ATOM 4490  C CG  . ASP A 1 572 ? 263.155 -95.175  173.322 1.0 52.21344  ? 572 ASP D CG  572 ASP D CG  1 
ATOM 4491  O OD1 . ASP A 1 572 ? 263.682 -94.703  172.292 1.0 52.21344  ? 572 ASP D OD1 572 ASP D OD1 1 
ATOM 4492  O OD2 . ASP A 1 572 ? 262.567 -96.275  173.343 1.0 52.21344  ? 572 ASP D OD2 572 ASP D OD2 1 
ATOM 4493  N N   . THR A 1 573 ? 264.913 -92.952  177.002 1.0 49.37314  ? 573 THR D N   573 THR D N   1 
ATOM 4494  C CA  . THR A 1 573 ? 265.063 -92.027  178.115 1.0 49.37314  ? 573 THR D CA  573 THR D CA  1 
ATOM 4495  C C   . THR A 1 573 ? 266.213 -91.060  177.861 1.0 49.37314  ? 573 THR D C   573 THR D C   1 
ATOM 4496  O O   . THR A 1 573 ? 266.193 -89.925  178.350 1.0 49.37314  ? 573 THR D O   573 THR D O   1 
ATOM 4497  C CB  . THR A 1 573 ? 265.276 -92.825  179.405 1.0 49.37314  ? 573 THR D CB  573 THR D CB  1 
ATOM 4498  O OG1 . THR A 1 573 ? 264.237 -93.803  179.524 1.0 49.37314  ? 573 THR D OG1 573 THR D OG1 1 
ATOM 4499  C CG2 . THR A 1 573 ? 265.208 -91.937  180.634 1.0 49.37314  ? 573 THR D CG2 573 THR D CG2 1 
ATOM 4500  N N   . GLN A 1 574 ? 267.197 -91.481  177.067 1.0 47.30663  ? 574 GLN D N   574 GLN D N   1 
ATOM 4501  C CA  . GLN A 1 574 ? 268.310 -90.608  176.715 1.0 47.30663  ? 574 GLN D CA  574 GLN D CA  1 
ATOM 4502  C C   . GLN A 1 574 ? 267.839 -89.471  175.818 1.0 47.30663  ? 574 GLN D C   574 GLN D C   1 
ATOM 4503  O O   . GLN A 1 574 ? 268.128 -88.300  176.085 1.0 47.30663  ? 574 GLN D O   574 GLN D O   1 
ATOM 4504  C CB  . GLN A 1 574 ? 269.400 -91.430  176.025 1.0 47.30663  ? 574 GLN D CB  574 GLN D CB  1 
ATOM 4505  C CG  . GLN A 1 574 ? 270.781 -90.803  175.897 1.0 47.30663  ? 574 GLN D CG  574 GLN D CG  1 
ATOM 4506  C CD  . GLN A 1 574 ? 270.882 -89.739  174.827 1.0 47.30663  ? 574 GLN D CD  574 GLN D CD  1 
ATOM 4507  O OE1 . GLN A 1 574 ? 271.444 -88.672  175.041 1.0 47.30663  ? 574 GLN D OE1 574 GLN D OE1 1 
ATOM 4508  N NE2 . GLN A 1 574 ? 270.274 -90.002  173.685 1.0 47.30663  ? 574 GLN D NE2 574 GLN D NE2 1 
ATOM 4509  N N   . SER A 1 575 ? 267.110 -89.801  174.750 1.0 47.43165  ? 575 SER D N   575 SER D N   1 
ATOM 4510  C CA  . SER A 1 575 ? 266.725 -88.810  173.752 1.0 47.43165  ? 575 SER D CA  575 SER D CA  1 
ATOM 4511  C C   . SER A 1 575 ? 265.705 -87.810  174.277 1.0 47.43165  ? 575 SER D C   575 SER D C   1 
ATOM 4512  O O   . SER A 1 575 ? 265.559 -86.735  173.691 1.0 47.43165  ? 575 SER D O   575 SER D O   1 
ATOM 4513  C CB  . SER A 1 575 ? 266.178 -89.511  172.509 1.0 47.43165  ? 575 SER D CB  575 SER D CB  1 
ATOM 4514  O OG  . SER A 1 575 ? 265.778 -88.575  171.526 1.0 47.43165  ? 575 SER D OG  575 SER D OG  1 
ATOM 4515  N N   . GLU A 1 576 ? 264.995 -88.135  175.356 1.0 48.10853  ? 576 GLU D N   576 GLU D N   1 
ATOM 4516  C CA  . GLU A 1 576 ? 264.187 -87.129  176.031 1.0 48.10853  ? 576 GLU D CA  576 GLU D CA  1 
ATOM 4517  C C   . GLU A 1 576 ? 265.043 -86.230  176.905 1.0 48.10853  ? 576 GLU D C   576 GLU D C   1 
ATOM 4518  O O   . GLU A 1 576 ? 264.785 -85.026  176.987 1.0 48.10853  ? 576 GLU D O   576 GLU D O   1 
ATOM 4519  C CB  . GLU A 1 576 ? 263.104 -87.791  176.881 1.0 48.10853  ? 576 GLU D CB  576 GLU D CB  1 
ATOM 4520  C CG  . GLU A 1 576 ? 262.033 -88.514  176.086 1.0 48.10853  ? 576 GLU D CG  576 GLU D CG  1 
ATOM 4521  C CD  . GLU A 1 576 ? 260.981 -89.153  176.976 1.0 48.10853  ? 576 GLU D CD  576 GLU D CD  1 
ATOM 4522  O OE1 . GLU A 1 576 ? 261.155 -89.134  178.212 1.0 48.10853  ? 576 GLU D OE1 576 GLU D OE1 1 
ATOM 4523  O OE2 . GLU A 1 576 ? 259.980 -89.674  176.440 1.0 48.10853  ? 576 GLU D OE2 576 GLU D OE2 1 
ATOM 4524  N N   . LEU A 1 577 ? 266.070 -86.792  177.544 1.0 45.56439  ? 577 LEU D N   577 LEU D N   1 
ATOM 4525  C CA  . LEU A 1 577 ? 266.908 -86.035  178.464 1.0 45.56439  ? 577 LEU D CA  577 LEU D CA  1 
ATOM 4526  C C   . LEU A 1 577 ? 267.863 -85.105  177.729 1.0 45.56439  ? 577 LEU D C   577 LEU D C   1 
ATOM 4527  O O   . LEU A 1 577 ? 268.131 -83.997  178.204 1.0 45.56439  ? 577 LEU D O   577 LEU D O   1 
ATOM 4528  C CB  . LEU A 1 577 ? 267.665 -87.003  179.379 1.0 45.56439  ? 577 LEU D CB  577 LEU D CB  1 
ATOM 4529  C CG  . LEU A 1 577 ? 268.549 -86.554  180.553 1.0 45.56439  ? 577 LEU D CG  577 LEU D CG  1 
ATOM 4530  C CD1 . LEU A 1 577 ? 270.002 -86.330  180.173 1.0 45.56439  ? 577 LEU D CD1 577 LEU D CD1 1 
ATOM 4531  C CD2 . LEU A 1 577 ? 267.982 -85.295  181.201 1.0 45.56439  ? 577 LEU D CD2 577 LEU D CD2 1 
ATOM 4532  N N   . GLU A 1 578 ? 268.405 -85.529  176.589 1.0 45.61049  ? 578 GLU D N   578 GLU D N   1 
ATOM 4533  C CA  . GLU A 1 578 ? 269.303 -84.633  175.875 1.0 45.61049  ? 578 GLU D CA  578 GLU D CA  1 
ATOM 4534  C C   . GLU A 1 578 ? 268.532 -83.522  175.180 1.0 45.61049  ? 578 GLU D C   578 GLU D C   1 
ATOM 4535  O O   . GLU A 1 578 ? 269.029 -82.400  175.089 1.0 45.61049  ? 578 GLU D O   578 GLU D O   1 
ATOM 4536  C CB  . GLU A 1 578 ? 270.175 -85.412  174.886 1.0 45.61049  ? 578 GLU D CB  578 GLU D CB  1 
ATOM 4537  C CG  . GLU A 1 578 ? 269.445 -86.160  173.780 1.0 45.61049  ? 578 GLU D CG  578 GLU D CG  1 
ATOM 4538  C CD  . GLU A 1 578 ? 269.268 -85.333  172.522 1.0 45.61049  ? 578 GLU D CD  578 GLU D CD  1 
ATOM 4539  O OE1 . GLU A 1 578 ? 270.010 -84.344  172.360 1.0 45.61049  ? 578 GLU D OE1 578 GLU D OE1 1 
ATOM 4540  O OE2 . GLU A 1 578 ? 268.391 -85.670  171.698 1.0 45.61049  ? 578 GLU D OE2 578 GLU D OE2 1 
ATOM 4541  N N   . LEU A 1 579 ? 267.305 -83.801  174.732 1.0 44.82264  ? 579 LEU D N   579 LEU D N   1 
ATOM 4542  C CA  . LEU A 1 579 ? 266.504 -82.796  174.043 1.0 44.82264  ? 579 LEU D CA  579 LEU D CA  1 
ATOM 4543  C C   . LEU A 1 579 ? 266.067 -81.684  174.986 1.0 44.82264  ? 579 LEU D C   579 LEU D C   1 
ATOM 4544  O O   . LEU A 1 579 ? 265.848 -80.549  174.550 1.0 44.82264  ? 579 LEU D O   579 LEU D O   1 
ATOM 4545  C CB  . LEU A 1 579 ? 265.293 -83.465  173.398 1.0 44.82264  ? 579 LEU D CB  579 LEU D CB  1 
ATOM 4546  C CG  . LEU A 1 579 ? 264.362 -82.654  172.502 1.0 44.82264  ? 579 LEU D CG  579 LEU D CG  1 
ATOM 4547  C CD1 . LEU A 1 579 ? 265.117 -82.156  171.288 1.0 44.82264  ? 579 LEU D CD1 579 LEU D CD1 1 
ATOM 4548  C CD2 . LEU A 1 579 ? 263.171 -83.498  172.091 1.0 44.82264  ? 579 LEU D CD2 579 LEU D CD2 1 
ATOM 4549  N N   . MET A 1 580 ? 265.957 -81.978  176.279 1.0 44.82571  ? 580 MET D N   580 MET D N   1 
ATOM 4550  C CA  . MET A 1 580 ? 265.676 -80.928  177.246 1.0 44.82571  ? 580 MET D CA  580 MET D CA  1 
ATOM 4551  C C   . MET A 1 580 ? 266.927 -80.146  177.611 1.0 44.82571  ? 580 MET D C   580 MET D C   1 
ATOM 4552  O O   . MET A 1 580 ? 266.833 -78.962  177.947 1.0 44.82571  ? 580 MET D O   580 MET D O   1 
ATOM 4553  C CB  . MET A 1 580 ? 265.054 -81.527  178.504 1.0 44.82571  ? 580 MET D CB  580 MET D CB  1 
ATOM 4554  C CG  . MET A 1 580 ? 263.714 -82.169  178.264 1.0 44.82571  ? 580 MET D CG  580 MET D CG  1 
ATOM 4555  S SD  . MET A 1 580 ? 262.981 -82.781  179.783 1.0 44.82571  ? 580 MET D SD  580 MET D SD  1 
ATOM 4556  C CE  . MET A 1 580 ? 264.007 -84.204  180.113 1.0 44.82571  ? 580 MET D CE  580 MET D CE  1 
ATOM 4557  N N   . LEU A 1 581 ? 268.098 -80.774  177.548 1.0 41.52159  ? 581 LEU D N   581 LEU D N   1 
ATOM 4558  C CA  . LEU A 1 581 ? 269.332 -80.105  177.930 1.0 41.52159  ? 581 LEU D CA  581 LEU D CA  1 
ATOM 4559  C C   . LEU A 1 581 ? 270.035 -79.415  176.771 1.0 41.52159  ? 581 LEU D C   581 LEU D C   1 
ATOM 4560  O O   . LEU A 1 581 ? 270.970 -78.646  177.011 1.0 41.52159  ? 581 LEU D O   581 LEU D O   1 
ATOM 4561  C CB  . LEU A 1 581 ? 270.291 -81.094  178.587 1.0 41.52159  ? 581 LEU D CB  581 LEU D CB  1 
ATOM 4562  C CG  . LEU A 1 581 ? 269.848 -81.616  179.948 1.0 41.52159  ? 581 LEU D CG  581 LEU D CG  1 
ATOM 4563  C CD1 . LEU A 1 581 ? 270.815 -82.666  180.433 1.0 41.52159  ? 581 LEU D CD1 581 LEU D CD1 1 
ATOM 4564  C CD2 . LEU A 1 581 ? 269.757 -80.475  180.938 1.0 41.52159  ? 581 LEU D CD2 581 LEU D CD2 1 
ATOM 4565  N N   . ARG A 1 582 ? 269.623 -79.662  175.526 1.0 41.61663  ? 582 ARG D N   582 ARG D N   1 
ATOM 4566  C CA  . ARG A 1 582 ? 270.080 -78.814  174.433 1.0 41.61663  ? 582 ARG D CA  582 ARG D CA  1 
ATOM 4567  C C   . ARG A 1 582 ? 269.404 -77.453  174.460 1.0 41.61663  ? 582 ARG D C   582 ARG D C   1 
ATOM 4568  O O   . ARG A 1 582 ? 269.879 -76.526  173.798 1.0 41.61663  ? 582 ARG D O   582 ARG D O   1 
ATOM 4569  C CB  . ARG A 1 582 ? 269.811 -79.454  173.069 1.0 41.61663  ? 582 ARG D CB  582 ARG D CB  1 
ATOM 4570  C CG  . ARG A 1 582 ? 270.507 -80.769  172.781 1.0 41.61663  ? 582 ARG D CG  582 ARG D CG  1 
ATOM 4571  C CD  . ARG A 1 582 ? 271.990 -80.640  172.614 1.0 41.61663  ? 582 ARG D CD  582 ARG D CD  1 
ATOM 4572  N NE  . ARG A 1 582 ? 272.585 -81.929  172.296 1.0 41.61663  ? 582 ARG D NE  582 ARG D NE  1 
ATOM 4573  C CZ  . ARG A 1 582 ? 273.889 -82.138  172.197 1.0 41.61663  ? 582 ARG D CZ  582 ARG D CZ  1 
ATOM 4574  N NH1 . ARG A 1 582 ? 274.733 -81.142  172.397 1.0 41.61663  ? 582 ARG D NH1 582 ARG D NH1 1 
ATOM 4575  N NH2 . ARG A 1 582 ? 274.348 -83.343  171.902 1.0 41.61663  ? 582 ARG D NH2 582 ARG D NH2 1 
ATOM 4576  N N   . ASN A 1 583 ? 268.302 -77.323  175.193 1.0 44.8008   ? 583 ASN D N   583 ASN D N   1 
ATOM 4577  C CA  . ASN A 1 583 ? 267.523 -76.096  175.212 1.0 44.8008   ? 583 ASN D CA  583 ASN D CA  1 
ATOM 4578  C C   . ASN A 1 583 ? 268.263 -75.014  175.989 1.0 44.8008   ? 583 ASN D C   583 ASN D C   1 
ATOM 4579  O O   . ASN A 1 583 ? 268.981 -75.289  176.951 1.0 44.8008   ? 583 ASN D O   583 ASN D O   1 
ATOM 4580  C CB  . ASN A 1 583 ? 266.156 -76.363  175.838 1.0 44.8008   ? 583 ASN D CB  583 ASN D CB  1 
ATOM 4581  C CG  . ASN A 1 583 ? 265.148 -75.284  175.527 1.0 44.8008   ? 583 ASN D CG  583 ASN D CG  1 
ATOM 4582  O OD1 . ASN A 1 583 ? 265.444 -74.323  174.820 1.0 44.8008   ? 583 ASN D OD1 583 ASN D OD1 1 
ATOM 4583  N ND2 . ASN A 1 583 ? 263.940 -75.439  176.054 1.0 44.8008   ? 583 ASN D ND2 583 ASN D ND2 1 
ATOM 4584  N N   . ALA A 1 584 ? 268.081 -73.767  175.558 1.0 44.0211   ? 584 ALA D N   584 ALA D N   1 
ATOM 4585  C CA  . ALA A 1 584 ? 268.846 -72.664  176.123 1.0 44.0211   ? 584 ALA D CA  584 ALA D CA  1 
ATOM 4586  C C   . ALA A 1 584 ? 268.347 -72.232  177.492 1.0 44.0211   ? 584 ALA D C   584 ALA D C   1 
ATOM 4587  O O   . ALA A 1 584 ? 269.092 -71.573  178.224 1.0 44.0211   ? 584 ALA D O   584 ALA D O   1 
ATOM 4588  C CB  . ALA A 1 584 ? 268.826 -71.467  175.172 1.0 44.0211   ? 584 ALA D CB  584 ALA D CB  1 
ATOM 4589  N N   . THR A 1 585 ? 267.115 -72.577  177.856 1.0 44.07404  ? 585 THR D N   585 THR D N   1 
ATOM 4590  C CA  . THR A 1 585 ? 266.608 -72.243  179.179 1.0 44.07404  ? 585 THR D CA  585 THR D CA  1 
ATOM 4591  C C   . THR A 1 585 ? 267.029 -73.245  180.242 1.0 44.07404  ? 585 THR D C   585 THR D C   1 
ATOM 4592  O O   . THR A 1 585 ? 266.766 -73.014  181.425 1.0 44.07404  ? 585 THR D O   585 THR D O   1 
ATOM 4593  C CB  . THR A 1 585 ? 265.083 -72.140  179.154 1.0 44.07404  ? 585 THR D CB  585 THR D CB  1 
ATOM 4594  O OG1 . THR A 1 585 ? 264.616 -71.657  180.418 1.0 44.07404  ? 585 THR D OG1 585 THR D OG1 1 
ATOM 4595  C CG2 . THR A 1 585 ? 264.463 -73.493  178.881 1.0 44.07404  ? 585 THR D CG2 585 THR D CG2 1 
ATOM 4596  N N   . ASN A 1 586 ? 267.674 -74.340  179.855 1.0 42.8024   ? 586 ASN D N   586 ASN D N   1 
ATOM 4597  C CA  . ASN A 1 586 ? 268.112 -75.381  180.775 1.0 42.8024   ? 586 ASN D CA  586 ASN D CA  1 
ATOM 4598  C C   . ASN A 1 586 ? 269.632 -75.473  180.826 1.0 42.8024   ? 586 ASN D C   586 ASN D C   1 
ATOM 4599  O O   . ASN A 1 586 ? 270.201 -76.564  180.855 1.0 42.8024   ? 586 ASN D O   586 ASN D O   1 
ATOM 4600  C CB  . ASN A 1 586 ? 267.518 -76.726  180.381 1.0 42.8024   ? 586 ASN D CB  586 ASN D CB  1 
ATOM 4601  C CG  . ASN A 1 586 ? 266.029 -76.770  180.567 1.0 42.8024   ? 586 ASN D CG  586 ASN D CG  1 
ATOM 4602  O OD1 . ASN A 1 586 ? 265.505 -76.265  181.554 1.0 42.8024   ? 586 ASN D OD1 586 ASN D OD1 1 
ATOM 4603  N ND2 . ASN A 1 586 ? 265.333 -77.377  179.619 1.0 42.8024   ? 586 ASN D ND2 586 ASN D ND2 1 
ATOM 4604  N N   . ASP A 1 587 ? 270.302 -74.326  180.828 1.0 43.39478  ? 587 ASP D N   587 ASP D N   1 
ATOM 4605  C CA  . ASP A 1 587 ? 271.756 -74.305  180.878 1.0 43.39478  ? 587 ASP D CA  587 ASP D CA  1 
ATOM 4606  C C   . ASP A 1 587 ? 272.243 -74.689  182.266 1.0 43.39478  ? 587 ASP D C   587 ASP D C   1 
ATOM 4607  O O   . ASP A 1 587 ? 271.775 -74.148  183.271 1.0 43.39478  ? 587 ASP D O   587 ASP D O   1 
ATOM 4608  C CB  . ASP A 1 587 ? 272.282 -72.922  180.505 1.0 43.39478  ? 587 ASP D CB  587 ASP D CB  1 
ATOM 4609  C CG  . ASP A 1 587 ? 272.063 -72.589  179.046 1.0 43.39478  ? 587 ASP D CG  587 ASP D CG  1 
ATOM 4610  O OD1 . ASP A 1 587 ? 271.996 -73.528  178.228 1.0 43.39478  ? 587 ASP D OD1 587 ASP D OD1 1 
ATOM 4611  O OD2 . ASP A 1 587 ? 271.973 -71.388  178.713 1.0 43.39478  ? 587 ASP D OD2 587 ASP D OD2 1 
ATOM 4612  N N   . GLN A 1 588 ? 273.184 -75.623  182.320 1.0 37.48315  ? 588 GLN D N   588 GLN D N   1 
ATOM 4613  C CA  . GLN A 1 588 ? 273.745 -76.045  183.593 1.0 37.48315  ? 588 GLN D CA  588 GLN D CA  1 
ATOM 4614  C C   . GLN A 1 588 ? 274.659 -74.961  184.137 1.0 37.48315  ? 588 GLN D C   588 GLN D C   1 
ATOM 4615  O O   . GLN A 1 588 ? 275.574 -74.504  183.450 1.0 37.48315  ? 588 GLN D O   588 GLN D O   1 
ATOM 4616  C CB  . GLN A 1 588 ? 274.515 -77.344  183.420 1.0 37.48315  ? 588 GLN D CB  588 GLN D CB  1 
ATOM 4617  C CG  . GLN A 1 588 ? 273.651 -78.500  183.006 1.0 37.48315  ? 588 GLN D CG  588 GLN D CG  1 
ATOM 4618  C CD  . GLN A 1 588 ? 274.446 -79.757  182.837 1.0 37.48315  ? 588 GLN D CD  588 GLN D CD  1 
ATOM 4619  O OE1 . GLN A 1 588 ? 275.654 -79.756  183.011 1.0 37.48315  ? 588 GLN D OE1 588 GLN D OE1 1 
ATOM 4620  N NE2 . GLN A 1 588 ? 273.777 -80.841  182.483 1.0 37.48315  ? 588 GLN D NE2 588 GLN D NE2 1 
ATOM 4621  N N   . ASN A 1 589 ? 274.413 -74.544  185.371 1.0 36.94022  ? 589 ASN D N   589 ASN D N   1 
ATOM 4622  C CA  . ASN A 1 589 ? 275.193 -73.485  185.983 1.0 36.94022  ? 589 ASN D CA  589 ASN D CA  1 
ATOM 4623  C C   . ASN A 1 589 ? 275.827 -73.959  187.281 1.0 36.94022  ? 589 ASN D C   589 ASN D C   1 
ATOM 4624  O O   . ASN A 1 589 ? 275.269 -74.808  187.977 1.0 36.94022  ? 589 ASN D O   589 ASN D O   1 
ATOM 4625  C CB  . ASN A 1 589 ? 274.341 -72.233  186.209 1.0 36.94022  ? 589 ASN D CB  589 ASN D CB  1 
ATOM 4626  C CG  . ASN A 1 589 ? 273.055 -72.525  186.906 1.0 36.94022  ? 589 ASN D CG  589 ASN D CG  1 
ATOM 4627  O OD1 . ASN A 1 589 ? 272.737 -73.669  187.187 1.0 36.94022  ? 589 ASN D OD1 589 ASN D OD1 1 
ATOM 4628  N ND2 . ASN A 1 589 ? 272.315 -71.487  187.226 1.0 36.94022  ? 589 ASN D ND2 589 ASN D ND2 1 
ATOM 4629  N N   . PHE A 1 590 ? 277.005 -73.424  187.589 1.0 35.98368  ? 590 PHE D N   590 PHE D N   1 
ATOM 4630  C CA  . PHE A 1 590 ? 277.787 -73.865  188.732 1.0 35.98368  ? 590 PHE D CA  590 PHE D CA  1 
ATOM 4631  C C   . PHE A 1 590 ? 278.332 -72.656  189.472 1.0 35.98368  ? 590 PHE D C   590 PHE D C   1 
ATOM 4632  O O   . PHE A 1 590 ? 278.235 -71.520  189.007 1.0 35.98368  ? 590 PHE D O   590 PHE D O   1 
ATOM 4633  C CB  . PHE A 1 590 ? 278.933 -74.780  188.295 1.0 35.98368  ? 590 PHE D CB  590 PHE D CB  1 
ATOM 4634  C CG  . PHE A 1 590 ? 278.470 -76.042  187.657 1.0 35.98368  ? 590 PHE D CG  590 PHE D CG  1 
ATOM 4635  C CD1 . PHE A 1 590 ? 278.049 -77.105  188.426 1.0 35.98368  ? 590 PHE D CD1 590 PHE D CD1 1 
ATOM 4636  C CD2 . PHE A 1 590 ? 278.424 -76.154  186.283 1.0 35.98368  ? 590 PHE D CD2 590 PHE D CD2 1 
ATOM 4637  C CE1 . PHE A 1 590 ? 277.604 -78.261  187.835 1.0 35.98368  ? 590 PHE D CE1 590 PHE D CE1 1 
ATOM 4638  C CE2 . PHE A 1 590 ? 277.985 -77.303  185.689 1.0 35.98368  ? 590 PHE D CE2 590 PHE D CE2 1 
ATOM 4639  C CZ  . PHE A 1 590 ? 277.572 -78.356  186.463 1.0 35.98368  ? 590 PHE D CZ  590 PHE D CZ  1 
ATOM 4640  N N   . SER A 1 591 ? 278.916 -72.907  190.639 1.0 37.78178  ? 591 SER D N   591 SER D N   1 
ATOM 4641  C CA  . SER A 1 591 ? 279.437 -71.822  191.449 1.0 37.78178  ? 591 SER D CA  591 SER D CA  1 
ATOM 4642  C C   . SER A 1 591 ? 280.603 -72.317  192.283 1.0 37.78178  ? 591 SER D C   591 SER D C   1 
ATOM 4643  O O   . SER A 1 591 ? 280.598 -73.453  192.760 1.0 37.78178  ? 591 SER D O   591 SER D O   1 
ATOM 4644  C CB  . SER A 1 591 ? 278.359 -71.230  192.357 1.0 37.78178  ? 591 SER D CB  591 SER D CB  1 
ATOM 4645  O OG  . SER A 1 591 ? 278.894 -70.185  193.149 1.0 37.78178  ? 591 SER D OG  591 SER D OG  1 
ATOM 4646  N N   . ASP A 1 592 ? 281.596 -71.450  192.449 1.0 38.75959  ? 592 ASP D N   592 ASP D N   1 
ATOM 4647  C CA  . ASP A 1 592 ? 282.752 -71.764  193.272 1.0 38.75959  ? 592 ASP D CA  592 ASP D CA  1 
ATOM 4648  C C   . ASP A 1 592 ? 282.338 -71.783  194.737 1.0 38.75959  ? 592 ASP D C   592 ASP D C   1 
ATOM 4649  O O   . ASP A 1 592 ? 281.632 -70.883  195.200 1.0 38.75959  ? 592 ASP D O   592 ASP D O   1 
ATOM 4650  C CB  . ASP A 1 592 ? 283.846 -70.726  193.036 1.0 38.75959  ? 592 ASP D CB  592 ASP D CB  1 
ATOM 4651  C CG  . ASP A 1 592 ? 285.196 -71.169  193.548 1.0 38.75959  ? 592 ASP D CG  592 ASP D CG  1 
ATOM 4652  O OD1 . ASP A 1 592 ? 285.295 -72.304  194.047 1.0 38.75959  ? 592 ASP D OD1 592 ASP D OD1 1 
ATOM 4653  O OD2 . ASP A 1 592 ? 286.160 -70.380  193.454 1.0 38.75959  ? 592 ASP D OD2 592 ASP D OD2 1 
ATOM 4654  N N   . TYR A 1 593 ? 282.764 -72.816  195.469 1.0 35.09433  ? 593 TYR D N   593 TYR D N   1 
ATOM 4655  C CA  . TYR A 1 593 ? 282.408 -72.890  196.883 1.0 35.09433  ? 593 TYR D CA  593 TYR D CA  1 
ATOM 4656  C C   . TYR A 1 593 ? 283.190 -71.877  197.700 1.0 35.09433  ? 593 TYR D C   593 TYR D C   1 
ATOM 4657  O O   . TYR A 1 593 ? 282.673 -71.335  198.682 1.0 35.09433  ? 593 TYR D O   593 TYR D O   1 
ATOM 4658  C CB  . TYR A 1 593 ? 282.644 -74.293  197.440 1.0 35.09433  ? 593 TYR D CB  593 TYR D CB  1 
ATOM 4659  C CG  . TYR A 1 593 ? 282.231 -74.417  198.891 1.0 35.09433  ? 593 TYR D CG  593 TYR D CG  1 
ATOM 4660  C CD1 . TYR A 1 593 ? 280.894 -74.511  199.242 1.0 35.09433  ? 593 TYR D CD1 593 TYR D CD1 1 
ATOM 4661  C CD2 . TYR A 1 593 ? 283.174 -74.421  199.908 1.0 35.09433  ? 593 TYR D CD2 593 TYR D CD2 1 
ATOM 4662  C CE1 . TYR A 1 593 ? 280.508 -74.613  200.560 1.0 35.09433  ? 593 TYR D CE1 593 TYR D CE1 1 
ATOM 4663  C CE2 . TYR A 1 593 ? 282.795 -74.518  201.229 1.0 35.09433  ? 593 TYR D CE2 593 TYR D CE2 1 
ATOM 4664  C CZ  . TYR A 1 593 ? 281.463 -74.616  201.547 1.0 35.09433  ? 593 TYR D CZ  593 TYR D CZ  1 
ATOM 4665  O OH  . TYR A 1 593 ? 281.084 -74.718  202.863 1.0 35.09433  ? 593 TYR D OH  593 TYR D OH  1 
ATOM 4666  N N   . LEU A 1 594 ? 284.443 -71.630  197.331 1.0 34.37125  ? 594 LEU D N   594 LEU D N   1 
ATOM 4667  C CA  . LEU A 1 594 ? 285.256 -70.685  198.082 1.0 34.37125  ? 594 LEU D CA  594 LEU D CA  1 
ATOM 4668  C C   . LEU A 1 594 ? 284.777 -69.263  197.843 1.0 34.37125  ? 594 LEU D C   594 LEU D C   1 
ATOM 4669  O O   . LEU A 1 594 ? 284.490 -68.532  198.797 1.0 34.37125  ? 594 LEU D O   594 LEU D O   1 
ATOM 4670  C CB  . LEU A 1 594 ? 286.724 -70.872  197.706 1.0 34.37125  ? 594 LEU D CB  594 LEU D CB  1 
ATOM 4671  C CG  . LEU A 1 594 ? 287.924 -70.212  198.380 1.0 34.37125  ? 594 LEU D CG  594 LEU D CG  1 
ATOM 4672  C CD1 . LEU A 1 594 ? 288.295 -68.899  197.729 1.0 34.37125  ? 594 LEU D CD1 594 LEU D CD1 1 
ATOM 4673  C CD2 . LEU A 1 594 ? 287.645 -70.023  199.853 1.0 34.37125  ? 594 LEU D CD2 594 LEU D CD2 1 
ATOM 4674  N N   . GLY A 1 595 ? 284.634 -68.881  196.575 1.0 33.59045  ? 595 GLY D N   595 GLY D N   1 
ATOM 4675  C CA  . GLY A 1 595 ? 284.037 -67.622  196.177 1.0 33.59045  ? 595 GLY D CA  595 GLY D CA  1 
ATOM 4676  C C   . GLY A 1 595 ? 284.746 -66.402  196.714 1.0 33.59045  ? 595 GLY D C   595 GLY D C   1 
ATOM 4677  O O   . GLY A 1 595 ? 284.156 -65.632  197.475 1.0 33.59045  ? 595 GLY D O   595 GLY D O   1 
ATOM 4678  N N   . ALA A 1 596 ? 286.015 -66.232  196.363 1.0 35.75222  ? 596 ALA D N   596 ALA D N   1 
ATOM 4679  C CA  . ALA A 1 596 ? 286.780 -65.108  196.871 1.0 35.75222  ? 596 ALA D CA  596 ALA D CA  1 
ATOM 4680  C C   . ALA A 1 596 ? 287.908 -64.782  195.910 1.0 35.75222  ? 596 ALA D C   596 ALA D C   1 
ATOM 4681  O O   . ALA A 1 596 ? 288.241 -65.560  195.015 1.0 35.75222  ? 596 ALA D O   596 ALA D O   1 
ATOM 4682  C CB  . ALA A 1 596 ? 287.332 -65.385  198.271 1.0 35.75222  ? 596 ALA D CB  596 ALA D CB  1 
ATOM 4683  N N   . VAL A 1 597 ? 288.494 -63.609  196.114 1.0 38.74382  ? 597 VAL D N   597 VAL D N   1 
ATOM 4684  C CA  . VAL A 1 597 ? 289.570 -63.092  195.285 1.0 38.74382  ? 597 VAL D CA  597 VAL D CA  1 
ATOM 4685  C C   . VAL A 1 597 ? 290.817 -62.993  196.148 1.0 38.74382  ? 597 VAL D C   597 VAL D C   1 
ATOM 4686  O O   . VAL A 1 597 ? 290.835 -62.255  197.140 1.0 38.74382  ? 597 VAL D O   597 VAL D O   1 
ATOM 4687  C CB  . VAL A 1 597 ? 289.204 -61.732  194.675 1.0 38.74382  ? 597 VAL D CB  597 VAL D CB  1 
ATOM 4688  C CG1 . VAL A 1 597 ? 290.399 -61.110  194.003 1.0 38.74382  ? 597 VAL D CG1 597 VAL D CG1 1 
ATOM 4689  C CG2 . VAL A 1 597 ? 288.084 -61.907  193.677 1.0 38.74382  ? 597 VAL D CG2 597 VAL D CG2 1 
ATOM 4690  N N   . ASN A 1 598 ? 291.850 -63.743  195.780 1.0 41.63212  ? 598 ASN D N   598 ASN D N   1 
ATOM 4691  C CA  . ASN A 1 598 ? 293.094 -63.739  196.536 1.0 41.63212  ? 598 ASN D CA  598 ASN D CA  1 
ATOM 4692  C C   . ASN A 1 598 ? 293.851 -62.441  196.312 1.0 41.63212  ? 598 ASN D C   598 ASN D C   1 
ATOM 4693  O O   . ASN A 1 598 ? 294.060 -62.019  195.172 1.0 41.63212  ? 598 ASN D O   598 ASN D O   1 
ATOM 4694  C CB  . ASN A 1 598 ? 293.966 -64.910  196.114 1.0 41.63212  ? 598 ASN D CB  598 ASN D CB  1 
ATOM 4695  C CG  . ASN A 1 598 ? 293.324 -66.230  196.391 1.0 41.63212  ? 598 ASN D CG  598 ASN D CG  1 
ATOM 4696  O OD1 . ASN A 1 598 ? 292.893 -66.919  195.474 1.0 41.63212  ? 598 ASN D OD1 598 ASN D OD1 1 
ATOM 4697  N ND2 . ASN A 1 598 ? 293.287 -66.616  197.652 1.0 41.63212  ? 598 ASN D ND2 598 ASN D ND2 1 
ATOM 4698  N N   . ASN A 1 599 ? 294.273 -61.811  197.401 1.0 41.22846  ? 599 ASN D N   599 ASN D N   1 
ATOM 4699  C CA  . ASN A 1 599 ? 295.141 -60.644  197.330 1.0 41.22846  ? 599 ASN D CA  599 ASN D CA  1 
ATOM 4700  C C   . ASN A 1 599 ? 296.154 -60.746  198.456 1.0 41.22846  ? 599 ASN D C   599 ASN D C   1 
ATOM 4701  O O   . ASN A 1 599 ? 295.801 -60.572  199.624 1.0 41.22846  ? 599 ASN D O   599 ASN D O   1 
ATOM 4702  C CB  . ASN A 1 599 ? 294.341 -59.346  197.432 1.0 41.22846  ? 599 ASN D CB  599 ASN D CB  1 
ATOM 4703  C CG  . ASN A 1 599 ? 293.439 -59.125  196.246 1.0 41.22846  ? 599 ASN D CG  599 ASN D CG  1 
ATOM 4704  O OD1 . ASN A 1 599 ? 292.219 -59.104  196.377 1.0 41.22846  ? 599 ASN D OD1 599 ASN D OD1 1 
ATOM 4705  N ND2 . ASN A 1 599 ? 294.035 -58.969  195.074 1.0 41.22846  ? 599 ASN D ND2 599 ASN D ND2 1 
ATOM 4706  N N   . LEU A 1 600 ? 297.405 -61.021  198.108 1.0 41.48747  ? 600 LEU D N   600 LEU D N   1 
ATOM 4707  C CA  . LEU A 1 600 ? 298.453 -61.295  199.084 1.0 41.48747  ? 600 LEU D CA  600 LEU D CA  1 
ATOM 4708  C C   . LEU A 1 600 ? 299.319 -60.051  199.217 1.0 41.48747  ? 600 LEU D C   600 LEU D C   1 
ATOM 4709  O O   . LEU A 1 600 ? 300.085 -59.722  198.308 1.0 41.48747  ? 600 LEU D O   600 LEU D O   1 
ATOM 4710  C CB  . LEU A 1 600 ? 299.291 -62.501  198.669 1.0 41.48747  ? 600 LEU D CB  600 LEU D CB  1 
ATOM 4711  C CG  . LEU A 1 600 ? 298.737 -63.915  198.860 1.0 41.48747  ? 600 LEU D CG  600 LEU D CG  1 
ATOM 4712  C CD1 . LEU A 1 600 ? 297.737 -64.297  197.787 1.0 41.48747  ? 600 LEU D CD1 600 LEU D CD1 1 
ATOM 4713  C CD2 . LEU A 1 600 ? 299.863 -64.918  198.897 1.0 41.48747  ? 600 LEU D CD2 600 LEU D CD2 1 
ATOM 4714  N N   . TYR A 1 601 ? 299.207 -59.372  200.350 1.0 41.14863  ? 601 TYR D N   601 TYR D N   1 
ATOM 4715  C CA  . TYR A 1 601 ? 299.885 -58.105  200.572 1.0 41.14863  ? 601 TYR D CA  601 TYR D CA  1 
ATOM 4716  C C   . TYR A 1 601 ? 301.161 -58.327  201.364 1.0 41.14863  ? 601 TYR D C   601 TYR D C   1 
ATOM 4717  O O   . TYR A 1 601 ? 301.148 -59.001  202.396 1.0 41.14863  ? 601 TYR D O   601 TYR D O   1 
ATOM 4718  C CB  . TYR A 1 601 ? 298.967 -57.133  201.300 1.0 41.14863  ? 601 TYR D CB  601 TYR D CB  1 
ATOM 4719  C CG  . TYR A 1 601 ? 297.790 -56.728  200.461 1.0 41.14863  ? 601 TYR D CG  601 TYR D CG  1 
ATOM 4720  C CD1 . TYR A 1 601 ? 297.910 -55.730  199.511 1.0 41.14863  ? 601 TYR D CD1 601 TYR D CD1 1 
ATOM 4721  C CD2 . TYR A 1 601 ? 296.568 -57.360  200.600 1.0 41.14863  ? 601 TYR D CD2 601 TYR D CD2 1 
ATOM 4722  C CE1 . TYR A 1 601 ? 296.839 -55.356  198.738 1.0 41.14863  ? 601 TYR D CE1 601 TYR D CE1 1 
ATOM 4723  C CE2 . TYR A 1 601 ? 295.493 -56.992  199.833 1.0 41.14863  ? 601 TYR D CE2 601 TYR D CE2 1 
ATOM 4724  C CZ  . TYR A 1 601 ? 295.635 -55.994  198.899 1.0 41.14863  ? 601 TYR D CZ  601 TYR D CZ  1 
ATOM 4725  O OH  . TYR A 1 601 ? 294.563 -55.625  198.124 1.0 41.14863  ? 601 TYR D OH  601 TYR D OH  1 
ATOM 4726  N N   . GLN A 1 602 ? 302.252 -57.749  200.882 1.0 44.07795  ? 602 GLN D N   602 GLN D N   1 
ATOM 4727  C CA  . GLN A 1 602 ? 303.556 -57.974  201.482 1.0 44.07795  ? 602 GLN D CA  602 GLN D CA  1 
ATOM 4728  C C   . GLN A 1 602 ? 303.688 -57.202  202.786 1.0 44.07795  ? 602 GLN D C   602 GLN D C   1 
ATOM 4729  O O   . GLN A 1 602 ? 303.435 -55.996  202.833 1.0 44.07795  ? 602 GLN D O   602 GLN D O   1 
ATOM 4730  C CB  . GLN A 1 602 ? 304.648 -57.552  200.503 1.0 44.07795  ? 602 GLN D CB  602 GLN D CB  1 
ATOM 4731  C CG  . GLN A 1 602 ? 306.053 -57.784  200.994 1.0 44.07795  ? 602 GLN D CG  602 GLN D CG  1 
ATOM 4732  C CD  . GLN A 1 602 ? 306.353 -59.245  201.216 1.0 44.07795  ? 602 GLN D CD  602 GLN D CD  1 
ATOM 4733  O OE1 . GLN A 1 602 ? 306.413 -59.712  202.351 1.0 44.07795  ? 602 GLN D OE1 602 GLN D OE1 1 
ATOM 4734  N NE2 . GLN A 1 602 ? 306.544 -59.980  200.128 1.0 44.07795  ? 602 GLN D NE2 602 GLN D NE2 1 
ATOM 4735  N N   . ILE A 1 603 ? 304.073 -57.898  203.846 1.0 42.04885  ? 603 ILE D N   603 ILE D N   1 
ATOM 4736  C CA  . ILE A 1 603 ? 304.404 -57.288  205.131 1.0 42.04885  ? 603 ILE D CA  603 ILE D CA  1 
ATOM 4737  C C   . ILE A 1 603 ? 305.879 -57.552  205.403 1.0 42.04885  ? 603 ILE D C   603 ILE D C   1 
ATOM 4738  O O   . ILE A 1 603 ? 306.281 -58.718  205.496 1.0 42.04885  ? 603 ILE D O   603 ILE D O   1 
ATOM 4739  C CB  . ILE A 1 603 ? 303.539 -57.840  206.273 1.0 42.04885  ? 603 ILE D CB  603 ILE D CB  1 
ATOM 4740  C CG1 . ILE A 1 603 ? 302.069 -57.517  206.055 1.0 42.04885  ? 603 ILE D CG1 603 ILE D CG1 1 
ATOM 4741  C CG2 . ILE A 1 603 ? 303.993 -57.266  207.588 1.0 42.04885  ? 603 ILE D CG2 603 ILE D CG2 1 
ATOM 4742  C CD1 . ILE A 1 603 ? 301.163 -58.229  207.021 1.0 42.04885  ? 603 ILE D CD1 603 ILE D CD1 1 
ATOM 4743  N N   . PRO A 1 604 ? 306.713 -56.526  205.541 1.0 45.54999  ? 604 PRO D N   604 PRO D N   1 
ATOM 4744  C CA  . PRO A 1 604 ? 308.133 -56.765  205.808 1.0 45.54999  ? 604 PRO D CA  604 PRO D CA  1 
ATOM 4745  C C   . PRO A 1 604 ? 308.356 -57.228  207.238 1.0 45.54999  ? 604 PRO D C   604 PRO D C   1 
ATOM 4746  O O   . PRO A 1 604 ? 307.480 -57.128  208.098 1.0 45.54999  ? 604 PRO D O   604 PRO D O   1 
ATOM 4747  C CB  . PRO A 1 604 ? 308.774 -55.399  205.556 1.0 45.54999  ? 604 PRO D CB  604 PRO D CB  1 
ATOM 4748  C CG  . PRO A 1 604 ? 307.692 -54.434  205.833 1.0 45.54999  ? 604 PRO D CG  604 PRO D CG  1 
ATOM 4749  C CD  . PRO A 1 604 ? 306.412 -55.092  205.408 1.0 45.54999  ? 604 PRO D CD  604 PRO D CD  1 
ATOM 4750  N N   . ALA A 1 605 ? 309.554 -57.755  207.476 1.0 45.97627  ? 605 ALA D N   605 ALA D N   1 
ATOM 4751  C CA  . ALA A 1 605 ? 309.874 -58.344  208.769 1.0 45.97627  ? 605 ALA D CA  605 ALA D CA  1 
ATOM 4752  C C   . ALA A 1 605 ? 310.021 -57.262  209.828 1.0 45.97627  ? 605 ALA D C   605 ALA D C   1 
ATOM 4753  O O   . ALA A 1 605 ? 310.705 -56.258  209.615 1.0 45.97627  ? 605 ALA D O   605 ALA D O   1 
ATOM 4754  C CB  . ALA A 1 605 ? 311.156 -59.166  208.672 1.0 45.97627  ? 605 ALA D CB  605 ALA D CB  1 
ATOM 4755  N N   . GLY A 1 606 ? 309.375 -57.470  210.971 1.0 47.01894  ? 606 GLY D N   606 GLY D N   1 
ATOM 4756  C CA  . GLY A 1 606 ? 309.407 -56.501  212.043 1.0 47.01894  ? 606 GLY D CA  606 GLY D CA  1 
ATOM 4757  C C   . GLY A 1 606 ? 308.413 -55.374  211.913 1.0 47.01894  ? 606 GLY D C   606 GLY D C   1 
ATOM 4758  O O   . GLY A 1 606 ? 308.401 -54.480  212.764 1.0 47.01894  ? 606 GLY D O   606 GLY D O   1 
ATOM 4759  N N   . SER A 1 607 ? 307.581 -55.383  210.879 1.0 46.38863  ? 607 SER D N   607 SER D N   1 
ATOM 4760  C CA  . SER A 1 607 ? 306.582 -54.346  210.695 1.0 46.38863  ? 607 SER D CA  607 SER D CA  1 
ATOM 4761  C C   . SER A 1 607 ? 305.332 -54.673  211.493 1.0 46.38863  ? 607 SER D C   607 SER D C   1 
ATOM 4762  O O   . SER A 1 607 ? 305.005 -55.839  211.724 1.0 46.38863  ? 607 SER D O   607 SER D O   1 
ATOM 4763  C CB  . SER A 1 607 ? 306.225 -54.189  209.220 1.0 46.38863  ? 607 SER D CB  607 SER D CB  1 
ATOM 4764  O OG  . SER A 1 607 ? 305.225 -53.205  209.050 1.0 46.38863  ? 607 SER D OG  607 SER D OG  1 
ATOM 4765  N N   . SER A 1 608 ? 304.627 -53.626  211.909 1.0 48.74684  ? 608 SER D N   608 SER D N   1 
ATOM 4766  C CA  . SER A 1 608 ? 303.443 -53.777  212.738 1.0 48.74684  ? 608 SER D CA  608 SER D CA  1 
ATOM 4767  C C   . SER A 1 608 ? 302.138 -53.549  211.998 1.0 48.74684  ? 608 SER D C   608 SER D C   1 
ATOM 4768  O O   . SER A 1 608 ? 301.142 -54.188  212.331 1.0 48.74684  ? 608 SER D O   608 SER D O   1 
ATOM 4769  C CB  . SER A 1 608 ? 303.504 -52.816  213.929 1.0 48.74684  ? 608 SER D CB  608 SER D CB  1 
ATOM 4770  O OG  . SER A 1 608 ? 302.334 -52.918  214.719 1.0 48.74684  ? 608 SER D OG  608 SER D OG  1 
ATOM 4771  N N   . THR A 1 609 ? 302.107 -52.657  211.016 1.0 47.58042  ? 609 THR D N   609 THR D N   1 
ATOM 4772  C CA  . THR A 1 609 ? 300.880 -52.342  210.305 1.0 47.58042  ? 609 THR D CA  609 THR D CA  1 
ATOM 4773  C C   . THR A 1 609 ? 301.034 -52.632  208.821 1.0 47.58042  ? 609 THR D C   609 THR D C   1 
ATOM 4774  O O   . THR A 1 609 ? 302.135 -52.606  208.268 1.0 47.58042  ? 609 THR D O   609 THR D O   1 
ATOM 4775  C CB  . THR A 1 609 ? 300.479 -50.872  210.487 1.0 47.58042  ? 609 THR D CB  609 THR D CB  1 
ATOM 4776  O OG1 . THR A 1 609 ? 301.519 -50.029  209.980 1.0 47.58042  ? 609 THR D OG1 609 THR D OG1 1 
ATOM 4777  C CG2 . THR A 1 609 ? 300.236 -50.546  211.951 1.0 47.58042  ? 609 THR D CG2 609 THR D CG2 1 
ATOM 4778  N N   . VAL A 1 610 ? 299.905 -52.905  208.181 1.0 42.02079  ? 610 VAL D N   610 VAL D N   1 
ATOM 4779  C CA  . VAL A 1 610 ? 299.824 -52.984  206.730 1.0 42.02079  ? 610 VAL D CA  610 VAL D CA  1 
ATOM 4780  C C   . VAL A 1 610 ? 298.557 -52.255  206.301 1.0 42.02079  ? 610 VAL D C   610 VAL D C   1 
ATOM 4781  O O   . VAL A 1 610 ? 297.519 -52.340  206.965 1.0 42.02079  ? 610 VAL D O   610 VAL D O   1 
ATOM 4782  C CB  . VAL A 1 610 ? 299.881 -54.449  206.240 1.0 42.02079  ? 610 VAL D CB  610 VAL D CB  1 
ATOM 4783  C CG1 . VAL A 1 610 ? 298.775 -55.278  206.839 1.0 42.02079  ? 610 VAL D CG1 610 VAL D CG1 1 
ATOM 4784  C CG2 . VAL A 1 610 ? 299.840 -54.522  204.728 1.0 42.02079  ? 610 VAL D CG2 610 VAL D CG2 1 
ATOM 4785  N N   . VAL A 1 611 ? 298.666 -51.458  205.245 1.0 41.1742   ? 611 VAL D N   611 VAL D N   1 
ATOM 4786  C CA  . VAL A 1 611 ? 297.574 -50.616  204.784 1.0 41.1742   ? 611 VAL D CA  611 VAL D CA  1 
ATOM 4787  C C   . VAL A 1 611 ? 297.283 -50.978  203.340 1.0 41.1742   ? 611 VAL D C   611 VAL D C   1 
ATOM 4788  O O   . VAL A 1 611 ? 298.152 -50.832  202.474 1.0 41.1742   ? 611 VAL D O   611 VAL D O   1 
ATOM 4789  C CB  . VAL A 1 611 ? 297.913 -49.126  204.908 1.0 41.1742   ? 611 VAL D CB  611 VAL D CB  1 
ATOM 4790  C CG1 . VAL A 1 611 ? 296.773 -48.314  204.397 1.0 41.1742   ? 611 VAL D CG1 611 VAL D CG1 1 
ATOM 4791  C CG2 . VAL A 1 611 ? 298.225 -48.764  206.345 1.0 41.1742   ? 611 VAL D CG2 611 VAL D CG2 1 
ATOM 4792  N N   . VAL A 1 612 ? 296.069 -51.444  203.077 1.0 39.82567  ? 612 VAL D N   612 VAL D N   1 
ATOM 4793  C CA  . VAL A 1 612 ? 295.684 -51.832  201.732 1.0 39.82567  ? 612 VAL D CA  612 VAL D CA  1 
ATOM 4794  C C   . VAL A 1 612 ? 294.626 -50.863  201.231 1.0 39.82567  ? 612 VAL D C   612 VAL D C   1 
ATOM 4795  O O   . VAL A 1 612 ? 293.914 -50.215  202.003 1.0 39.82567  ? 612 VAL D O   612 VAL D O   1 
ATOM 4796  C CB  . VAL A 1 612 ? 295.183 -53.289  201.663 1.0 39.82567  ? 612 VAL D CB  612 VAL D CB  1 
ATOM 4797  C CG1 . VAL A 1 612 ? 296.174 -54.202  202.332 1.0 39.82567  ? 612 VAL D CG1 612 VAL D CG1 1 
ATOM 4798  C CG2 . VAL A 1 612 ? 293.824 -53.449  202.275 1.0 39.82567  ? 612 VAL D CG2 612 VAL D CG2 1 
ATOM 4799  N N   . ASN A 1 613 ? 294.547 -50.746  199.912 1.0 40.40501  ? 613 ASN D N   613 ASN D N   1 
ATOM 4800  C CA  . ASN A 1 613 ? 293.573 -49.886  199.267 1.0 40.40501  ? 613 ASN D CA  613 ASN D CA  1 
ATOM 4801  C C   . ASN A 1 613 ? 293.002 -50.579  198.049 1.0 40.40501  ? 613 ASN D C   613 ASN D C   1 
ATOM 4802  O O   . ASN A 1 613 ? 293.713 -51.288  197.335 1.0 40.40501  ? 613 ASN D O   613 ASN D O   1 
ATOM 4803  C CB  . ASN A 1 613 ? 294.175 -48.562  198.819 1.0 40.40501  ? 613 ASN D CB  613 ASN D CB  1 
ATOM 4804  C CG  . ASN A 1 613 ? 294.467 -47.651  199.957 1.0 40.40501  ? 613 ASN D CG  613 ASN D CG  1 
ATOM 4805  O OD1 . ASN A 1 613 ? 293.720 -47.580  200.923 1.0 40.40501  ? 613 ASN D OD1 613 ASN D OD1 1 
ATOM 4806  N ND2 . ASN A 1 613 ? 295.534 -46.904  199.834 1.0 40.40501  ? 613 ASN D ND2 613 ASN D ND2 1 
ATOM 4807  N N   . ILE A 1 614 ? 291.717 -50.359  197.820 1.0 37.89623  ? 614 ILE D N   614 ILE D N   1 
ATOM 4808  C CA  . ILE A 1 614 ? 291.066 -50.673  196.560 1.0 37.89623  ? 614 ILE D CA  614 ILE D CA  1 
ATOM 4809  C C   . ILE A 1 614 ? 290.566 -49.348  196.005 1.0 37.89623  ? 614 ILE D C   614 ILE D C   1 
ATOM 4810  O O   . ILE A 1 614 ? 289.876 -48.610  196.711 1.0 37.89623  ? 614 ILE D O   614 ILE D O   1 
ATOM 4811  C CB  . ILE A 1 614 ? 289.902 -51.662  196.734 1.0 37.89623  ? 614 ILE D CB  614 ILE D CB  1 
ATOM 4812  C CG1 . ILE A 1 614 ? 290.388 -52.947  197.398 1.0 37.89623  ? 614 ILE D CG1 614 ILE D CG1 1 
ATOM 4813  C CG2 . ILE A 1 614 ? 289.268 -51.970  195.396 1.0 37.89623  ? 614 ILE D CG2 614 ILE D CG2 1 
ATOM 4814  C CD1 . ILE A 1 614 ? 291.427 -53.682  196.602 1.0 37.89623  ? 614 ILE D CD1 614 ILE D CD1 1 
ATOM 4815  N N   . PRO A 1 615 ? 290.878 -48.993  194.761 1.0 39.34396  ? 615 PRO D N   615 PRO D N   1 
ATOM 4816  C CA  . PRO A 1 615 ? 290.336 -47.751  194.191 1.0 39.34396  ? 615 PRO D CA  615 PRO D CA  1 
ATOM 4817  C C   . PRO A 1 615 ? 288.844 -47.829  193.901 1.0 39.34396  ? 615 PRO D C   615 PRO D C   1 
ATOM 4818  O O   . PRO A 1 615 ? 288.203 -48.835  194.221 1.0 39.34396  ? 615 PRO D O   615 PRO D O   1 
ATOM 4819  C CB  . PRO A 1 615 ? 291.153 -47.571  192.910 1.0 39.34396  ? 615 PRO D CB  615 PRO D CB  1 
ATOM 4820  C CG  . PRO A 1 615 ? 291.588 -48.938  192.552 1.0 39.34396  ? 615 PRO D CG  615 PRO D CG  1 
ATOM 4821  C CD  . PRO A 1 615 ? 291.808 -49.664  193.841 1.0 39.34396  ? 615 PRO D CD  615 PRO D CD  1 
ATOM 4822  N N   . ASP A 1 616 ? 288.295 -46.772  193.299 1.0 41.64882  ? 616 ASP D N   616 ASP D N   1 
ATOM 4823  C CA  . ASP A 1 616 ? 286.852 -46.579  193.175 1.0 41.64882  ? 616 ASP D CA  616 ASP D CA  1 
ATOM 4824  C C   . ASP A 1 616 ? 286.201 -47.683  192.361 1.0 41.64882  ? 616 ASP D C   616 ASP D C   1 
ATOM 4825  O O   . ASP A 1 616 ? 286.559 -47.914  191.205 1.0 41.64882  ? 616 ASP D O   616 ASP D O   1 
ATOM 4826  C CB  . ASP A 1 616 ? 286.577 -45.225  192.535 1.0 41.64882  ? 616 ASP D CB  616 ASP D CB  1 
ATOM 4827  C CG  . ASP A 1 616 ? 285.114 -44.846  192.563 1.0 41.64882  ? 616 ASP D CG  616 ASP D CG  1 
ATOM 4828  O OD1 . ASP A 1 616 ? 284.613 -44.511  193.653 1.0 41.64882  ? 616 ASP D OD1 616 ASP D OD1 1 
ATOM 4829  O OD2 . ASP A 1 616 ? 284.468 -44.858  191.497 1.0 41.64882  ? 616 ASP D OD2 616 ASP D OD2 1 
ATOM 4830  N N   . ARG A 1 617 ? 285.240 -48.363  192.972 1.0 41.45535  ? 617 ARG D N   617 ARG D N   1 
ATOM 4831  C CA  . ARG A 1 617 ? 284.780 -49.630  192.435 1.0 41.45535  ? 617 ARG D CA  617 ARG D CA  1 
ATOM 4832  C C   . ARG A 1 617 ? 283.315 -49.807  192.794 1.0 41.45535  ? 617 ARG D C   617 ARG D C   1 
ATOM 4833  O O   . ARG A 1 617 ? 282.890 -49.399  193.873 1.0 41.45535  ? 617 ARG D O   617 ARG D O   1 
ATOM 4834  C CB  . ARG A 1 617 ? 285.629 -50.780  193.000 1.0 41.45535  ? 617 ARG D CB  617 ARG D CB  1 
ATOM 4835  C CG  . ARG A 1 617 ? 285.331 -52.121  192.383 1.0 41.45535  ? 617 ARG D CG  617 ARG D CG  1 
ATOM 4836  C CD  . ARG A 1 617 ? 285.675 -52.016  190.927 1.0 41.45535  ? 617 ARG D CD  617 ARG D CD  1 
ATOM 4837  N NE  . ARG A 1 617 ? 285.292 -53.168  190.138 1.0 41.45535  ? 617 ARG D NE  617 ARG D NE  1 
ATOM 4838  C CZ  . ARG A 1 617 ? 286.087 -54.199  189.921 1.0 41.45535  ? 617 ARG D CZ  617 ARG D CZ  1 
ATOM 4839  N NH1 . ARG A 1 617 ? 287.296 -54.218  190.451 1.0 41.45535  ? 617 ARG D NH1 617 ARG D NH1 1 
ATOM 4840  N NH2 . ARG A 1 617 ? 285.672 -55.198  189.165 1.0 41.45535  ? 617 ARG D NH2 617 ARG D NH2 1 
ATOM 4841  N N   . SER A 1 618 ? 282.543 -50.389  191.881 1.0 38.64026  ? 618 SER D N   618 SER D N   1 
ATOM 4842  C CA  . SER A 1 618 ? 281.189 -50.804  192.217 1.0 38.64026  ? 618 SER D CA  618 SER D CA  1 
ATOM 4843  C C   . SER A 1 618 ? 281.238 -52.059  193.072 1.0 38.64026  ? 618 SER D C   618 SER D C   1 
ATOM 4844  O O   . SER A 1 618 ? 281.692 -53.112  192.617 1.0 38.64026  ? 618 SER D O   618 SER D O   1 
ATOM 4845  C CB  . SER A 1 618 ? 280.385 -51.056  190.946 1.0 38.64026  ? 618 SER D CB  618 SER D CB  1 
ATOM 4846  O OG  . SER A 1 618 ? 279.081 -51.512  191.251 1.0 38.64026  ? 618 SER D OG  618 SER D OG  1 
ATOM 4847  N N   . TRP A 1 619 ? 280.771 -51.949  194.315 1.0 35.35958  ? 619 TRP D N   619 TRP D N   1 
ATOM 4848  C CA  . TRP A 1 619 ? 280.801 -53.050  195.268 1.0 35.35958  ? 619 TRP D CA  619 TRP D CA  1 
ATOM 4849  C C   . TRP A 1 619 ? 279.466 -53.772  195.348 1.0 35.35958  ? 619 TRP D C   619 TRP D C   1 
ATOM 4850  O O   . TRP A 1 619 ? 279.069 -54.213  196.430 1.0 35.35958  ? 619 TRP D O   619 TRP D O   1 
ATOM 4851  C CB  . TRP A 1 619 ? 281.199 -52.544  196.652 1.0 35.35958  ? 619 TRP D CB  619 TRP D CB  1 
ATOM 4852  C CG  . TRP A 1 619 ? 282.595 -52.057  196.736 1.0 35.35958  ? 619 TRP D CG  619 TRP D CG  1 
ATOM 4853  C CD1 . TRP A 1 619 ? 283.015 -50.780  196.594 1.0 35.35958  ? 619 TRP D CD1 619 TRP D CD1 1 
ATOM 4854  C CD2 . TRP A 1 619 ? 283.760 -52.834  197.012 1.0 35.35958  ? 619 TRP D CD2 619 TRP D CD2 1 
ATOM 4855  N NE1 . TRP A 1 619 ? 284.373 -50.707  196.739 1.0 35.35958  ? 619 TRP D NE1 619 TRP D NE1 1 
ATOM 4856  C CE2 . TRP A 1 619 ? 284.854 -51.959  197.001 1.0 35.35958  ? 619 TRP D CE2 619 TRP D CE2 1 
ATOM 4857  C CE3 . TRP A 1 619 ? 283.984 -54.187  197.257 1.0 35.35958  ? 619 TRP D CE3 619 TRP D CE3 1 
ATOM 4858  C CZ2 . TRP A 1 619 ? 286.149 -52.389  197.230 1.0 35.35958  ? 619 TRP D CZ2 619 TRP D CZ2 1 
ATOM 4859  C CZ3 . TRP A 1 619 ? 285.272 -54.611  197.484 1.0 35.35958  ? 619 TRP D CZ3 619 TRP D CZ3 1 
ATOM 4860  C CH2 . TRP A 1 619 ? 286.338 -53.717  197.467 1.0 35.35958  ? 619 TRP D CH2 619 TRP D CH2 1 
ATOM 4861  N N   . GLY A 1 620 ? 278.760 -53.884  194.227 1.0 36.09438  ? 620 GLY D N   620 GLY D N   1 
ATOM 4862  C CA  . GLY A 1 620 ? 277.448 -54.510  194.237 1.0 36.09438  ? 620 GLY D CA  620 GLY D CA  1 
ATOM 4863  C C   . GLY A 1 620 ? 277.560 -56.004  194.456 1.0 36.09438  ? 620 GLY D C   620 GLY D C   1 
ATOM 4864  O O   . GLY A 1 620 ? 278.389 -56.675  193.831 1.0 36.09438  ? 620 GLY D O   620 GLY D O   1 
ATOM 4865  N N   . ALA A 1 621 ? 276.727 -56.523  195.367 1.0 35.9042   ? 621 ALA D N   621 ALA D N   1 
ATOM 4866  C CA  . ALA A 1 621 ? 276.693 -57.931  195.785 1.0 35.9042   ? 621 ALA D CA  621 ALA D CA  1 
ATOM 4867  C C   . ALA A 1 621 ? 278.035 -58.405  196.338 1.0 35.9042   ? 621 ALA D C   621 ALA D C   1 
ATOM 4868  O O   . ALA A 1 621 ? 278.489 -59.511  196.049 1.0 35.9042   ? 621 ALA D O   621 ALA D O   1 
ATOM 4869  C CB  . ALA A 1 621 ? 276.217 -58.847  194.659 1.0 35.9042   ? 621 ALA D CB  621 ALA D CB  1 
ATOM 4870  N N   . PHE A 1 622 ? 278.668 -57.563  197.143 1.0 33.76813  ? 622 PHE D N   622 PHE D N   1 
ATOM 4871  C CA  . PHE A 1 622 ? 279.841 -57.957  197.905 1.0 33.76813  ? 622 PHE D CA  622 PHE D CA  1 
ATOM 4872  C C   . PHE A 1 622 ? 279.400 -58.747  199.132 1.0 33.76813  ? 622 PHE D C   622 PHE D C   1 
ATOM 4873  O O   . PHE A 1 622 ? 278.327 -58.506  199.686 1.0 33.76813  ? 622 PHE D O   622 PHE D O   1 
ATOM 4874  C CB  . PHE A 1 622 ? 280.628 -56.711  198.305 1.0 33.76813  ? 622 PHE D CB  622 PHE D CB  1 
ATOM 4875  C CG  . PHE A 1 622 ? 281.883 -56.992  199.057 1.0 33.76813  ? 622 PHE D CG  622 PHE D CG  1 
ATOM 4876  C CD1 . PHE A 1 622 ? 282.980 -57.527  198.417 1.0 33.76813  ? 622 PHE D CD1 622 PHE D CD1 1 
ATOM 4877  C CD2 . PHE A 1 622 ? 281.981 -56.679  200.396 1.0 33.76813  ? 622 PHE D CD2 622 PHE D CD2 1 
ATOM 4878  C CE1 . PHE A 1 622 ? 284.142 -57.773  199.108 1.0 33.76813  ? 622 PHE D CE1 622 PHE D CE1 1 
ATOM 4879  C CE2 . PHE A 1 622 ? 283.138 -56.920  201.089 1.0 33.76813  ? 622 PHE D CE2 622 PHE D CE2 1 
ATOM 4880  C CZ  . PHE A 1 622 ? 284.219 -57.468  200.445 1.0 33.76813  ? 622 PHE D CZ  622 PHE D CZ  1 
ATOM 4881  N N   . ARG A 1 623 ? 280.224 -59.712  199.551 1.0 32.61554  ? 623 ARG D N   623 ARG D N   1 
ATOM 4882  C CA  . ARG A 1 623 ? 279.808 -60.617  200.615 1.0 32.61554  ? 623 ARG D CA  623 ARG D CA  1 
ATOM 4883  C C   . ARG A 1 623 ? 280.617 -60.527  201.900 1.0 32.61554  ? 623 ARG D C   623 ARG D C   1 
ATOM 4884  O O   . ARG A 1 623 ? 280.109 -60.937  202.945 1.0 32.61554  ? 623 ARG D O   623 ARG D O   1 
ATOM 4885  C CB  . ARG A 1 623 ? 279.836 -62.074  200.136 1.0 32.61554  ? 623 ARG D CB  623 ARG D CB  1 
ATOM 4886  C CG  . ARG A 1 623 ? 278.795 -62.393  199.091 1.0 32.61554  ? 623 ARG D CG  623 ARG D CG  1 
ATOM 4887  C CD  . ARG A 1 623 ? 278.695 -63.878  198.844 1.0 32.61554  ? 623 ARG D CD  623 ARG D CD  1 
ATOM 4888  N NE  . ARG A 1 623 ? 279.900 -64.421  198.238 1.0 32.61554  ? 623 ARG D NE  623 ARG D NE  1 
ATOM 4889  C CZ  . ARG A 1 623 ? 280.706 -65.284  198.843 1.0 32.61554  ? 623 ARG D CZ  623 ARG D CZ  1 
ATOM 4890  N NH1 . ARG A 1 623 ? 280.436 -65.696  200.069 1.0 32.61554  ? 623 ARG D NH1 623 ARG D NH1 1 
ATOM 4891  N NH2 . ARG A 1 623 ? 281.785 -65.734  198.226 1.0 32.61554  ? 623 ARG D NH2 623 ARG D NH2 1 
ATOM 4892  N N   . GLY A 1 624 ? 281.847 -60.029  201.866 1.0 32.29889  ? 624 GLY D N   624 GLY D N   1 
ATOM 4893  C CA  . GLY A 1 624 ? 282.586 -59.890  203.107 1.0 32.29889  ? 624 GLY D CA  624 GLY D CA  1 
ATOM 4894  C C   . GLY A 1 624 ? 284.051 -60.255  203.025 1.0 32.29889  ? 624 GLY D C   624 GLY D C   1 
ATOM 4895  O O   . GLY A 1 624 ? 284.494 -60.841  202.037 1.0 32.29889  ? 624 GLY D O   624 GLY D O   1 
ATOM 4896  N N   . TRP A 1 625 ? 284.810 -59.928  204.063 1.0 32.42307  ? 625 TRP D N   625 TRP D N   1 
ATOM 4897  C CA  . TRP A 1 625 ? 286.249 -60.126  204.071 1.0 32.42307  ? 625 TRP D CA  625 TRP D CA  1 
ATOM 4898  C C   . TRP A 1 625 ? 286.620 -61.416  204.785 1.0 32.42307  ? 625 TRP D C   625 TRP D C   1 
ATOM 4899  O O   . TRP A 1 625 ? 285.848 -61.970  205.567 1.0 32.42307  ? 625 TRP D O   625 TRP D O   1 
ATOM 4900  C CB  . TRP A 1 625 ? 286.951 -58.951  204.745 1.0 32.42307  ? 625 TRP D CB  625 TRP D CB  1 
ATOM 4901  C CG  . TRP A 1 625 ? 286.818 -57.692  203.989 1.0 32.42307  ? 625 TRP D CG  625 TRP D CG  1 
ATOM 4902  C CD1 . TRP A 1 625 ? 287.670 -57.208  203.048 1.0 32.42307  ? 625 TRP D CD1 625 TRP D CD1 1 
ATOM 4903  C CD2 . TRP A 1 625 ? 285.750 -56.752  204.088 1.0 32.42307  ? 625 TRP D CD2 625 TRP D CD2 1 
ATOM 4904  N NE1 . TRP A 1 625 ? 287.205 -56.015  202.561 1.0 32.42307  ? 625 TRP D NE1 625 TRP D NE1 1 
ATOM 4905  C CE2 . TRP A 1 625 ? 286.024 -55.715  203.185 1.0 32.42307  ? 625 TRP D CE2 625 TRP D CE2 1 
ATOM 4906  C CE3 . TRP A 1 625 ? 284.589 -56.683  204.859 1.0 32.42307  ? 625 TRP D CE3 625 TRP D CE3 1 
ATOM 4907  C CZ2 . TRP A 1 625 ? 285.182 -54.625  203.030 1.0 32.42307  ? 625 TRP D CZ2 625 TRP D CZ2 1 
ATOM 4908  C CZ3 . TRP A 1 625 ? 283.756 -55.604  204.703 1.0 32.42307  ? 625 TRP D CZ3 625 TRP D CZ3 1 
ATOM 4909  C CH2 . TRP A 1 625 ? 284.054 -54.588  203.798 1.0 32.42307  ? 625 TRP D CH2 625 TRP D CH2 1 
ATOM 4910  N N   . SER A 1 626 ? 287.829 -61.888  204.499 1.0 34.18064  ? 626 SER D N   626 SER D N   1 
ATOM 4911  C CA  . SER A 1 626 ? 288.394 -63.041  205.185 1.0 34.18064  ? 626 SER D CA  626 SER D CA  1 
ATOM 4912  C C   . SER A 1 626 ? 289.906 -62.925  205.130 1.0 34.18064  ? 626 SER D C   626 SER D C   1 
ATOM 4913  O O   . SER A 1 626 ? 290.486 -62.987  204.044 1.0 34.18064  ? 626 SER D O   626 SER D O   1 
ATOM 4914  C CB  . SER A 1 626 ? 287.932 -64.352  204.558 1.0 34.18064  ? 626 SER D CB  626 SER D CB  1 
ATOM 4915  O OG  . SER A 1 626 ? 286.539 -64.533  204.720 1.0 34.18064  ? 626 SER D OG  626 SER D OG  1 
ATOM 4916  N N   . PHE A 1 627 ? 290.543 -62.764  206.284 1.0 35.02942  ? 627 PHE D N   627 PHE D N   1 
ATOM 4917  C CA  . PHE A 1 627 ? 291.951 -62.412  206.326 1.0 35.02942  ? 627 PHE D CA  627 PHE D CA  1 
ATOM 4918  C C   . PHE A 1 627 ? 292.718 -63.321  207.274 1.0 35.02942  ? 627 PHE D C   627 PHE D C   1 
ATOM 4919  O O   . PHE A 1 627 ? 292.179 -63.797  208.274 1.0 35.02942  ? 627 PHE D O   627 PHE D O   1 
ATOM 4920  C CB  . PHE A 1 627 ? 292.140 -60.935  206.716 1.0 35.02942  ? 627 PHE D CB  627 PHE D CB  1 
ATOM 4921  C CG  . PHE A 1 627 ? 291.581 -60.568  208.063 1.0 35.02942  ? 627 PHE D CG  627 PHE D CG  1 
ATOM 4922  C CD1 . PHE A 1 627 ? 290.260 -60.179  208.198 1.0 35.02942  ? 627 PHE D CD1 627 PHE D CD1 1 
ATOM 4923  C CD2 . PHE A 1 627 ? 292.391 -60.552  209.181 1.0 35.02942  ? 627 PHE D CD2 627 PHE D CD2 1 
ATOM 4924  C CE1 . PHE A 1 627 ? 289.752 -59.831  209.425 1.0 35.02942  ? 627 PHE D CE1 627 PHE D CE1 1 
ATOM 4925  C CE2 . PHE A 1 627 ? 291.888 -60.203  210.409 1.0 35.02942  ? 627 PHE D CE2 627 PHE D CE2 1 
ATOM 4926  C CZ  . PHE A 1 627 ? 290.567 -59.842  210.530 1.0 35.02942  ? 627 PHE D CZ  627 PHE D CZ  1 
ATOM 4927  N N   . THR A 1 628 ? 293.986 -63.553  206.941 1.0 37.12989  ? 628 THR D N   628 THR D N   1 
ATOM 4928  C CA  . THR A 1 628 ? 294.899 -64.344  207.759 1.0 37.12989  ? 628 THR D CA  628 THR D CA  1 
ATOM 4929  C C   . THR A 1 628 ? 296.328 -63.945  207.399 1.0 37.12989  ? 628 THR D C   628 THR D C   1 
ATOM 4930  O O   . THR A 1 628 ? 296.555 -63.129  206.504 1.0 37.12989  ? 628 THR D O   628 THR D O   1 
ATOM 4931  C CB  . THR A 1 628 ? 294.680 -65.842  207.550 1.0 37.12989  ? 628 THR D CB  628 THR D CB  1 
ATOM 4932  O OG1 . THR A 1 628 ? 295.427 -66.578  208.524 1.0 37.12989  ? 628 THR D OG1 628 THR D OG1 1 
ATOM 4933  C CG2 . THR A 1 628 ? 295.157 -66.238  206.181 1.0 37.12989  ? 628 THR D CG2 628 THR D CG2 1 
ATOM 4934  N N   . ARG A 1 629 ? 297.295 -64.524  208.105 1.0 38.61147  ? 629 ARG D N   629 ARG D N   1 
ATOM 4935  C CA  . ARG A 1 629 ? 298.704 -64.331  207.805 1.0 38.61147  ? 629 ARG D CA  629 ARG D CA  1 
ATOM 4936  C C   . ARG A 1 629 ? 299.310 -65.588  207.204 1.0 38.61147  ? 629 ARG D C   629 ARG D C   1 
ATOM 4937  O O   . ARG A 1 629 ? 298.874 -66.707  207.482 1.0 38.61147  ? 629 ARG D O   629 ARG D O   1 
ATOM 4938  C CB  . ARG A 1 629 ? 299.500 -63.946  209.051 1.0 38.61147  ? 629 ARG D CB  629 ARG D CB  1 
ATOM 4939  C CG  . ARG A 1 629 ? 299.246 -62.541  209.502 1.0 38.61147  ? 629 ARG D CG  629 ARG D CG  1 
ATOM 4940  C CD  . ARG A 1 629 ? 299.910 -62.207  210.823 1.0 38.61147  ? 629 ARG D CD  629 ARG D CD  1 
ATOM 4941  N NE  . ARG A 1 629 ? 301.367 -62.243  210.793 1.0 38.61147  ? 629 ARG D NE  629 ARG D NE  1 
ATOM 4942  C CZ  . ARG A 1 629 ? 302.119 -61.233  210.377 1.0 38.61147  ? 629 ARG D CZ  629 ARG D CZ  1 
ATOM 4943  N NH1 . ARG A 1 629 ? 301.543 -60.136  209.926 1.0 38.61147  ? 629 ARG D NH1 629 ARG D NH1 1 
ATOM 4944  N NH2 . ARG A 1 629 ? 303.436 -61.313  210.397 1.0 38.61147  ? 629 ARG D NH2 629 ARG D NH2 1 
ATOM 4945  N N   . LEU A 1 630 ? 300.336 -65.386  206.385 1.0 39.11521  ? 630 LEU D N   630 LEU D N   1 
ATOM 4946  C CA  . LEU A 1 630 ? 301.083 -66.476  205.775 1.0 39.11521  ? 630 LEU D CA  630 LEU D CA  1 
ATOM 4947  C C   . LEU A 1 630 ? 302.561 -66.265  206.054 1.0 39.11521  ? 630 LEU D C   630 LEU D C   1 
ATOM 4948  O O   . LEU A 1 630 ? 302.911 -65.475  206.928 1.0 39.11521  ? 630 LEU D O   630 LEU D O   1 
ATOM 4949  C CB  . LEU A 1 630 ? 300.811 -66.544  204.277 1.0 39.11521  ? 630 LEU D CB  630 LEU D CB  1 
ATOM 4950  C CG  . LEU A 1 630 ? 299.394 -66.933  203.869 1.0 39.11521  ? 630 LEU D CG  630 LEU D CG  1 
ATOM 4951  C CD1 . LEU A 1 630 ? 299.231 -66.780  202.376 1.0 39.11521  ? 630 LEU D CD1 630 LEU D CD1 1 
ATOM 4952  C CD2 . LEU A 1 630 ? 299.106 -68.351  204.287 1.0 39.11521  ? 630 LEU D CD2 630 LEU D CD2 1 
ATOM 4953  N N   . LYS A 1 631 ? 303.434 -66.993  205.371 1.0 42.36721  ? 631 LYS D N   631 LYS D N   1 
ATOM 4954  C CA  . LYS A 1 631 ? 304.857 -66.695  205.394 1.0 42.36721  ? 631 LYS D CA  631 LYS D CA  1 
ATOM 4955  C C   . LYS A 1 631 ? 305.390 -66.669  203.972 1.0 42.36721  ? 631 LYS D C   631 LYS D C   1 
ATOM 4956  O O   . LYS A 1 631 ? 304.935 -67.423  203.111 1.0 42.36721  ? 631 LYS D O   631 LYS D O   1 
ATOM 4957  C CB  . LYS A 1 631 ? 305.648 -67.701  206.225 1.0 42.36721  ? 631 LYS D CB  631 LYS D CB  1 
ATOM 4958  C CG  . LYS A 1 631 ? 305.450 -67.561  207.715 1.0 42.36721  ? 631 LYS D CG  631 LYS D CG  1 
ATOM 4959  C CD  . LYS A 1 631 ? 306.299 -68.561  208.468 1.0 42.36721  ? 631 LYS D CD  631 LYS D CD  1 
ATOM 4960  C CE  . LYS A 1 631 ? 306.098 -68.441  209.963 1.0 42.36721  ? 631 LYS D CE  631 LYS D CE  1 
ATOM 4961  N NZ  . LYS A 1 631 ? 306.903 -69.446  210.705 1.0 42.36721  ? 631 LYS D NZ  631 LYS D NZ  1 
ATOM 4962  N N   . VAL A 1 632 ? 306.359 -65.783  203.735 1.0 43.26972  ? 632 VAL D N   632 VAL D N   1 
ATOM 4963  C CA  . VAL A 1 632 ? 306.965 -65.669  202.414 1.0 43.26972  ? 632 VAL D CA  632 VAL D CA  1 
ATOM 4964  C C   . VAL A 1 632 ? 307.811 -66.897  202.106 1.0 43.26972  ? 632 VAL D C   632 VAL D C   1 
ATOM 4965  O O   . VAL A 1 632 ? 307.864 -67.355  200.957 1.0 43.26972  ? 632 VAL D O   632 VAL D O   1 
ATOM 4966  C CB  . VAL A 1 632 ? 307.769 -64.356  202.334 1.0 43.26972  ? 632 VAL D CB  632 VAL D CB  1 
ATOM 4967  C CG1 . VAL A 1 632 ? 308.519 -64.218  201.018 1.0 43.26972  ? 632 VAL D CG1 632 VAL D CG1 1 
ATOM 4968  C CG2 . VAL A 1 632 ? 306.835 -63.185  202.498 1.0 43.26972  ? 632 VAL D CG2 632 VAL D CG2 1 
ATOM 4969  N N   . SER A 1 633 ? 308.436 -67.490  203.125 1.0 45.59044  ? 633 SER D N   633 SER D N   1 
ATOM 4970  C CA  . SER A 1 633 ? 309.212 -68.703  202.908 1.0 45.59044  ? 633 SER D CA  633 SER D CA  1 
ATOM 4971  C C   . SER A 1 633 ? 308.334 -69.912  202.626 1.0 45.59044  ? 633 SER D C   633 SER D C   1 
ATOM 4972  O O   . SER A 1 633 ? 308.820 -70.886  202.050 1.0 45.59044  ? 633 SER D O   633 SER D O   1 
ATOM 4973  C CB  . SER A 1 633 ? 310.095 -68.994  204.117 1.0 45.59044  ? 633 SER D CB  633 SER D CB  1 
ATOM 4974  O OG  . SER A 1 633 ? 309.313 -69.377  205.232 1.0 45.59044  ? 633 SER D OG  633 SER D OG  1 
ATOM 4975  N N   . GLU A 1 634 ? 307.056 -69.871  203.003 1.0 46.5198   ? 634 GLU D N   634 GLU D N   1 
ATOM 4976  C CA  . GLU A 1 634 ? 306.176 -71.019  202.841 1.0 46.5198   ? 634 GLU D CA  634 GLU D CA  1 
ATOM 4977  C C   . GLU A 1 634 ? 305.206 -70.893  201.677 1.0 46.5198   ? 634 GLU D C   634 GLU D C   1 
ATOM 4978  O O   . GLU A 1 634 ? 304.686 -71.914  201.219 1.0 46.5198   ? 634 GLU D O   634 GLU D O   1 
ATOM 4979  C CB  . GLU A 1 634 ? 305.370 -71.253  204.122 1.0 46.5198   ? 634 GLU D CB  634 GLU D CB  1 
ATOM 4980  C CG  . GLU A 1 634 ? 306.211 -71.668  205.308 1.0 46.5198   ? 634 GLU D CG  634 GLU D CG  1 
ATOM 4981  C CD  . GLU A 1 634 ? 305.384 -71.893  206.551 1.0 46.5198   ? 634 GLU D CD  634 GLU D CD  1 
ATOM 4982  O OE1 . GLU A 1 634 ? 304.170 -71.604  206.520 1.0 46.5198   ? 634 GLU D OE1 634 GLU D OE1 1 
ATOM 4983  O OE2 . GLU A 1 634 ? 305.946 -72.359  207.562 1.0 46.5198   ? 634 GLU D OE2 634 GLU D OE2 1 
ATOM 4984  N N   . THR A 1 635 ? 304.943 -69.684  201.192 1.0 46.46962  ? 635 THR D N   635 THR D N   1 
ATOM 4985  C CA  . THR A 1 635 ? 303.935 -69.483  200.159 1.0 46.46962  ? 635 THR D CA  635 THR D CA  1 
ATOM 4986  C C   . THR A 1 635 ? 304.588 -69.424  198.787 1.0 46.46962  ? 635 THR D C   635 THR D C   1 
ATOM 4987  O O   . THR A 1 635 ? 305.481 -68.593  198.573 1.0 46.46962  ? 635 THR D O   635 THR D O   1 
ATOM 4988  C CB  . THR A 1 635 ? 303.153 -68.208  200.415 1.0 46.46962  ? 635 THR D CB  635 THR D CB  1 
ATOM 4989  O OG1 . THR A 1 635 ? 302.414 -68.346  201.633 1.0 46.46962  ? 635 THR D OG1 635 THR D OG1 1 
ATOM 4990  C CG2 . THR A 1 635 ? 302.193 -67.922  199.278 1.0 46.46962  ? 635 THR D CG2 635 THR D CG2 1 
ATOM 4991  N N   . PRO A 1 636 ? 304.184 -70.266  197.842 1.0 47.7618   ? 636 PRO D N   636 PRO D N   1 
ATOM 4992  C CA  . PRO A 1 636 ? 304.771 -70.217  196.502 1.0 47.7618   ? 636 PRO D CA  636 PRO D CA  1 
ATOM 4993  C C   . PRO A 1 636 ? 304.107 -69.170  195.633 1.0 47.7618   ? 636 PRO D C   636 PRO D C   1 
ATOM 4994  O O   . PRO A 1 636 ? 303.260 -68.403  196.099 1.0 47.7618   ? 636 PRO D O   636 PRO D O   1 
ATOM 4995  C CB  . PRO A 1 636 ? 304.505 -71.622  195.965 1.0 47.7618   ? 636 PRO D CB  636 PRO D CB  1 
ATOM 4996  C CG  . PRO A 1 636 ? 303.238 -71.995  196.614 1.0 47.7618   ? 636 PRO D CG  636 PRO D CG  1 
ATOM 4997  C CD  . PRO A 1 636 ? 303.245 -71.386  197.977 1.0 47.7618   ? 636 PRO D CD  636 PRO D CD  1 
ATOM 4998  N N   . ARG A 1 637 ? 304.479 -69.136  194.359 1.0 49.02189  ? 637 ARG D N   637 ARG D N   1 
ATOM 4999  C CA  . ARG A 1 637 ? 303.937 -68.183  193.400 1.0 49.02189  ? 637 ARG D CA  637 ARG D CA  1 
ATOM 5000  C C   . ARG A 1 637 ? 303.367 -68.979  192.237 1.0 49.02189  ? 637 ARG D C   637 ARG D C   1 
ATOM 5001  O O   . ARG A 1 637 ? 304.049 -69.221  191.239 1.0 49.02189  ? 637 ARG D O   637 ARG D O   1 
ATOM 5002  C CB  . ARG A 1 637 ? 304.992 -67.228  192.943 1.0 49.02189  ? 637 ARG D CB  637 ARG D CB  1 
ATOM 5003  C CG  . ARG A 1 637 ? 305.588 -66.382  194.042 1.0 49.02189  ? 637 ARG D CG  637 ARG D CG  1 
ATOM 5004  C CD  . ARG A 1 637 ? 304.604 -65.351  194.541 1.0 49.02189  ? 637 ARG D CD  637 ARG D CD  1 
ATOM 5005  N NE  . ARG A 1 637 ? 305.214 -64.491  195.547 1.0 49.02189  ? 637 ARG D NE  637 ARG D NE  1 
ATOM 5006  C CZ  . ARG A 1 637 ? 305.845 -63.355  195.273 1.0 49.02189  ? 637 ARG D CZ  637 ARG D CZ  1 
ATOM 5007  N NH1 . ARG A 1 637 ? 305.946 -62.931  194.023 1.0 49.02189  ? 637 ARG D NH1 637 ARG D NH1 1 
ATOM 5008  N NH2 . ARG A 1 637 ? 306.372 -62.639  196.255 1.0 49.02189  ? 637 ARG D NH2 637 ARG D NH2 1 
ATOM 5009  N N   . ILE A 1 638 ? 302.108 -69.387  192.370 1.0 49.34971  ? 638 ILE D N   638 ILE D N   1 
ATOM 5010  C CA  . ILE A 1 638 ? 301.453 -70.139  191.313 1.0 49.34971  ? 638 ILE D CA  638 ILE D CA  1 
ATOM 5011  C C   . ILE A 1 638 ? 301.077 -69.187  190.189 1.0 49.34971  ? 638 ILE D C   638 ILE D C   1 
ATOM 5012  O O   . ILE A 1 638 ? 300.398 -68.178  190.412 1.0 49.34971  ? 638 ILE D O   638 ILE D O   1 
ATOM 5013  C CB  . ILE A 1 638 ? 300.218 -70.874  191.848 1.0 49.34971  ? 638 ILE D CB  638 ILE D CB  1 
ATOM 5014  C CG1 . ILE A 1 638 ? 300.595 -71.898  192.916 1.0 49.34971  ? 638 ILE D CG1 638 ILE D CG1 1 
ATOM 5015  C CG2 . ILE A 1 638 ? 299.502 -71.573  190.733 1.0 49.34971  ? 638 ILE D CG2 638 ILE D CG2 1 
ATOM 5016  C CD1 . ILE A 1 638 ? 300.385 -71.415  194.318 1.0 49.34971  ? 638 ILE D CD1 638 ILE D CD1 1 
ATOM 5017  N N   . GLY A 1 639 ? 301.488 -69.516  188.973 1.0 50.14506  ? 639 GLY D N   639 GLY D N   1 
ATOM 5018  C CA  . GLY A 1 639 ? 301.241 -68.640  187.849 1.0 50.14506  ? 639 GLY D CA  639 GLY D CA  1 
ATOM 5019  C C   . GLY A 1 639 ? 302.376 -68.683  186.856 1.0 50.14506  ? 639 GLY D C   639 GLY D C   1 
ATOM 5020  O O   . GLY A 1 639 ? 302.190 -68.398  185.671 1.0 50.14506  ? 639 GLY D O   639 GLY D O   1 
ATOM 5021  N N   . ALA A 1 640 ? 303.558 -69.046  187.326 1.0 53.2045   ? 640 ALA D N   640 ALA D N   1 
ATOM 5022  C CA  . ALA A 1 640 ? 304.687 -69.295  186.449 1.0 53.2045   ? 640 ALA D CA  640 ALA D CA  1 
ATOM 5023  C C   . ALA A 1 640 ? 304.784 -70.783  186.142 1.0 53.2045   ? 640 ALA D C   640 ALA D C   1 
ATOM 5024  O O   . ALA A 1 640 ? 304.026 -71.604  186.659 1.0 53.2045   ? 640 ALA D O   640 ALA D O   1 
ATOM 5025  C CB  . ALA A 1 640 ? 305.984 -68.790  187.085 1.0 53.2045   ? 640 ALA D CB  640 ALA D CB  1 
ATOM 5026  N N   . THR A 1 641 ? 305.733 -71.127  185.272 1.0 55.20272  ? 641 THR D N   641 THR D N   1 
ATOM 5027  C CA  . THR A 1 641 ? 306.033 -72.535  185.051 1.0 55.20272  ? 641 THR D CA  641 THR D CA  1 
ATOM 5028  C C   . THR A 1 641 ? 306.857 -73.100  186.196 1.0 55.20272  ? 641 THR D C   641 THR D C   1 
ATOM 5029  O O   . THR A 1 641 ? 306.877 -74.317  186.405 1.0 55.20272  ? 641 THR D O   641 THR D O   1 
ATOM 5030  C CB  . THR A 1 641 ? 306.790 -72.727  183.739 1.0 55.20272  ? 641 THR D CB  641 THR D CB  1 
ATOM 5031  O OG1 . THR A 1 641 ? 308.081 -72.116  183.844 1.0 55.20272  ? 641 THR D OG1 641 THR D OG1 1 
ATOM 5032  C CG2 . THR A 1 641 ? 306.048 -72.078  182.590 1.0 55.20272  ? 641 THR D CG2 641 THR D CG2 1 
ATOM 5033  N N   . GLN A 1 642 ? 307.529 -72.232  186.945 1.0 56.84314  ? 642 GLN D N   642 GLN D N   1 
ATOM 5034  C CA  . GLN A 1 642 ? 308.499 -72.641  187.946 1.0 56.84314  ? 642 GLN D CA  642 GLN D CA  1 
ATOM 5035  C C   . GLN A 1 642 ? 308.659 -71.512  188.950 1.0 56.84314  ? 642 GLN D C   642 GLN D C   1 
ATOM 5036  O O   . GLN A 1 642 ? 308.679 -70.339  188.571 1.0 56.84314  ? 642 GLN D O   642 GLN D O   1 
ATOM 5037  C CB  . GLN A 1 642 ? 309.843 -72.972  187.287 1.0 56.84314  ? 642 GLN D CB  642 GLN D CB  1 
ATOM 5038  C CG  . GLN A 1 642 ? 310.927 -73.448  188.230 1.0 56.84314  ? 642 GLN D CG  642 GLN D CG  1 
ATOM 5039  C CD  . GLN A 1 642 ? 310.608 -74.786  188.843 1.0 56.84314  ? 642 GLN D CD  642 GLN D CD  1 
ATOM 5040  O OE1 . GLN A 1 642 ? 310.091 -75.678  188.176 1.0 56.84314  ? 642 GLN D OE1 642 GLN D OE1 1 
ATOM 5041  N NE2 . GLN A 1 642 ? 310.919 -74.937  190.120 1.0 56.84314  ? 642 GLN D NE2 642 GLN D NE2 1 
ATOM 5042  N N   . ASP A 1 643 ? 308.760 -71.867  190.228 1.0 56.68304  ? 643 ASP D N   643 ASP D N   1 
ATOM 5043  C CA  . ASP A 1 643 ? 309.060 -70.890  191.267 1.0 56.68304  ? 643 ASP D CA  643 ASP D CA  1 
ATOM 5044  C C   . ASP A 1 643 ? 310.476 -71.153  191.762 1.0 56.68304  ? 643 ASP D C   643 ASP D C   1 
ATOM 5045  O O   . ASP A 1 643 ? 310.682 -72.027  192.618 1.0 56.68304  ? 643 ASP D O   643 ASP D O   1 
ATOM 5046  C CB  . ASP A 1 643 ? 308.056 -70.991  192.417 1.0 56.68304  ? 643 ASP D CB  643 ASP D CB  1 
ATOM 5047  C CG  . ASP A 1 643 ? 308.075 -69.773  193.322 1.0 56.68304  ? 643 ASP D CG  643 ASP D CG  1 
ATOM 5048  O OD1 . ASP A 1 643 ? 308.849 -68.832  193.053 1.0 56.68304  ? 643 ASP D OD1 643 ASP D OD1 1 
ATOM 5049  O OD2 . ASP A 1 643 ? 307.311 -69.756  194.308 1.0 56.68304  ? 643 ASP D OD2 643 ASP D OD2 1 
ATOM 5050  N N   . PRO A 1 644 ? 311.485 -70.439  191.256 1.0 56.83344  ? 644 PRO D N   644 PRO D N   1 
ATOM 5051  C CA  . PRO A 1 644 ? 312.870 -70.738  191.639 1.0 56.83344  ? 644 PRO D CA  644 PRO D CA  1 
ATOM 5052  C C   . PRO A 1 644 ? 313.257 -70.236  193.016 1.0 56.83344  ? 644 PRO D C   644 PRO D C   1 
ATOM 5053  O O   . PRO A 1 644 ? 314.340 -70.588  193.500 1.0 56.83344  ? 644 PRO D O   644 PRO D O   1 
ATOM 5054  C CB  . PRO A 1 644 ? 313.685 -70.027  190.557 1.0 56.83344  ? 644 PRO D CB  644 PRO D CB  1 
ATOM 5055  C CG  . PRO A 1 644 ? 312.824 -68.888  190.152 1.0 56.83344  ? 644 PRO D CG  644 PRO D CG  1 
ATOM 5056  C CD  . PRO A 1 644 ? 311.410 -69.376  190.242 1.0 56.83344  ? 644 PRO D CD  644 PRO D CD  1 
ATOM 5057  N N   . ASN A 1 645 ? 312.422 -69.425  193.658 1.0 58.27361  ? 645 ASN D N   645 ASN D N   1 
ATOM 5058  C CA  . ASN A 1 645 ? 312.688 -68.927  195.000 1.0 58.27361  ? 645 ASN D CA  645 ASN D CA  1 
ATOM 5059  C C   . ASN A 1 645 ? 311.833 -69.635  196.043 1.0 58.27361  ? 645 ASN D C   645 ASN D C   1 
ATOM 5060  O O   . ASN A 1 645 ? 311.431 -69.031  197.037 1.0 58.27361  ? 645 ASN D O   645 ASN D O   1 
ATOM 5061  C CB  . ASN A 1 645 ? 312.461 -67.420  195.063 1.0 58.27361  ? 645 ASN D CB  645 ASN D CB  1 
ATOM 5062  C CG  . ASN A 1 645 ? 313.505 -66.645  194.296 1.0 58.27361  ? 645 ASN D CG  645 ASN D CG  1 
ATOM 5063  O OD1 . ASN A 1 645 ? 314.693 -66.953  194.359 1.0 58.27361  ? 645 ASN D OD1 645 ASN D OD1 1 
ATOM 5064  N ND2 . ASN A 1 645 ? 313.067 -65.632  193.562 1.0 58.27361  ? 645 ASN D ND2 645 ASN D ND2 1 
ATOM 5065  N N   . PHE A 1 646 ? 311.547 -70.915  195.828 1.0 51.00184  ? 646 PHE D N   646 PHE D N   1 
ATOM 5066  C CA  . PHE A 1 646 ? 310.660 -71.679  196.700 1.0 51.00184  ? 646 PHE D CA  646 PHE D CA  1 
ATOM 5067  C C   . PHE A 1 646 ? 311.468 -72.810  197.326 1.0 51.00184  ? 646 PHE D C   646 PHE D C   1 
ATOM 5068  O O   . PHE A 1 646 ? 311.476 -73.941  196.841 1.0 51.00184  ? 646 PHE D O   646 PHE D O   1 
ATOM 5069  C CB  . PHE A 1 646 ? 309.468 -72.178  195.909 1.0 51.00184  ? 646 PHE D CB  646 PHE D CB  1 
ATOM 5070  C CG  . PHE A 1 646 ? 308.446 -72.886  196.734 1.0 51.00184  ? 646 PHE D CG  646 PHE D CG  1 
ATOM 5071  C CD1 . PHE A 1 646 ? 307.728 -72.201  197.696 1.0 51.00184  ? 646 PHE D CD1 646 PHE D CD1 1 
ATOM 5072  C CD2 . PHE A 1 646 ? 308.161 -74.217  196.513 1.0 51.00184  ? 646 PHE D CD2 646 PHE D CD2 1 
ATOM 5073  C CE1 . PHE A 1 646 ? 306.781 -72.843  198.452 1.0 51.00184  ? 646 PHE D CE1 646 PHE D CE1 1 
ATOM 5074  C CE2 . PHE A 1 646 ? 307.204 -74.861  197.258 1.0 51.00184  ? 646 PHE D CE2 646 PHE D CE2 1 
ATOM 5075  C CZ  . PHE A 1 646 ? 306.517 -74.172  198.230 1.0 51.00184  ? 646 PHE D CZ  646 PHE D CZ  1 
ATOM 5076  N N   . GLN A 1 647 ? 312.152 -72.488  198.417 1.0 53.13606  ? 647 GLN D N   647 GLN D N   1 
ATOM 5077  C CA  . GLN A 1 647 ? 313.028 -73.426  199.115 1.0 53.13606  ? 647 GLN D CA  647 GLN D CA  1 
ATOM 5078  C C   . GLN A 1 647 ? 312.307 -74.048  200.310 1.0 53.13606  ? 647 GLN D C   647 GLN D C   1 
ATOM 5079  O O   . GLN A 1 647 ? 312.748 -73.938  201.450 1.0 53.13606  ? 647 GLN D O   647 GLN D O   1 
ATOM 5080  C CB  . GLN A 1 647 ? 314.301 -72.711  199.556 1.0 53.13606  ? 647 GLN D CB  647 GLN D CB  1 
ATOM 5081  C CG  . GLN A 1 647 ? 315.109 -72.095  198.427 1.0 53.13606  ? 647 GLN D CG  647 GLN D CG  1 
ATOM 5082  C CD  . GLN A 1 647 ? 315.811 -73.122  197.584 1.0 53.13606  ? 647 GLN D CD  647 GLN D CD  1 
ATOM 5083  O OE1 . GLN A 1 647 ? 316.367 -74.082  198.107 1.0 53.13606  ? 647 GLN D OE1 647 GLN D OE1 1 
ATOM 5084  N NE2 . GLN A 1 647 ? 315.798 -72.928  196.274 1.0 53.13606  ? 647 GLN D NE2 647 GLN D NE2 1 
ATOM 5085  N N   . TYR A 1 648 ? 311.187 -74.714  200.044 1.0 46.93455  ? 648 TYR D N   648 TYR D N   1 
ATOM 5086  C CA  . TYR A 1 648 ? 310.343 -75.209  201.124 1.0 46.93455  ? 648 TYR D CA  648 TYR D CA  1 
ATOM 5087  C C   . TYR A 1 648 ? 309.469 -76.336  200.602 1.0 46.93455  ? 648 TYR D C   648 TYR D C   1 
ATOM 5088  O O   . TYR A 1 648 ? 309.096 -76.350  199.429 1.0 46.93455  ? 648 TYR D O   648 TYR D O   1 
ATOM 5089  C CB  . TYR A 1 648 ? 309.478 -74.084  201.692 1.0 46.93455  ? 648 TYR D CB  648 TYR D CB  1 
ATOM 5090  C CG  . TYR A 1 648 ? 308.600 -74.463  202.856 1.0 46.93455  ? 648 TYR D CG  648 TYR D CG  1 
ATOM 5091  C CD1 . TYR A 1 648 ? 309.133 -74.641  204.123 1.0 46.93455  ? 648 TYR D CD1 648 TYR D CD1 1 
ATOM 5092  C CD2 . TYR A 1 648 ? 307.233 -74.613  202.692 1.0 46.93455  ? 648 TYR D CD2 648 TYR D CD2 1 
ATOM 5093  C CE1 . TYR A 1 648 ? 308.328 -74.972  205.191 1.0 46.93455  ? 648 TYR D CE1 648 TYR D CE1 1 
ATOM 5094  C CE2 . TYR A 1 648 ? 306.420 -74.943  203.753 1.0 46.93455  ? 648 TYR D CE2 648 TYR D CE2 1 
ATOM 5095  C CZ  . TYR A 1 648 ? 306.974 -75.122  204.998 1.0 46.93455  ? 648 TYR D CZ  648 TYR D CZ  1 
ATOM 5096  O OH  . TYR A 1 648 ? 306.165 -75.454  206.056 1.0 46.93455  ? 648 TYR D OH  648 TYR D OH  1 
ATOM 5097  N N   . SER A 1 649 ? 309.148 -77.286  201.481 1.0 44.6072   ? 649 SER D N   649 SER D N   1 
ATOM 5098  C CA  . SER A 1 649 ? 308.302 -78.399  201.072 1.0 44.6072   ? 649 SER D CA  649 SER D CA  1 
ATOM 5099  C C   . SER A 1 649 ? 307.304 -78.844  202.130 1.0 44.6072   ? 649 SER D C   649 SER D C   1 
ATOM 5100  O O   . SER A 1 649 ? 306.665 -79.885  201.946 1.0 44.6072   ? 649 SER D O   649 SER D O   1 
ATOM 5101  C CB  . SER A 1 649 ? 309.148 -79.591  200.689 1.0 44.6072   ? 649 SER D CB  649 SER D CB  1 
ATOM 5102  O OG  . SER A 1 649 ? 309.778 -80.100  201.846 1.0 44.6072   ? 649 SER D OG  649 SER D OG  1 
ATOM 5103  N N   . GLY A 1 650 ? 307.144 -78.117  203.225 1.0 43.71725  ? 650 GLY D N   650 GLY D N   1 
ATOM 5104  C CA  . GLY A 1 650 ? 306.233 -78.517  204.279 1.0 43.71725  ? 650 GLY D CA  650 GLY D CA  1 
ATOM 5105  C C   . GLY A 1 650 ? 304.786 -78.235  203.941 1.0 43.71725  ? 650 GLY D C   650 GLY D C   1 
ATOM 5106  O O   . GLY A 1 650 ? 304.394 -78.159  202.771 1.0 43.71725  ? 650 GLY D O   650 GLY D O   1 
ATOM 5107  N N   . SER A 1 651 ? 303.971 -78.085  204.980 1.0 44.39382  ? 651 SER D N   651 SER D N   1 
ATOM 5108  C CA  . SER A 1 651 ? 302.567 -77.771  204.767 1.0 44.39382  ? 651 SER D CA  651 SER D CA  1 
ATOM 5109  C C   . SER A 1 651 ? 302.435 -76.325  204.327 1.0 44.39382  ? 651 SER D C   651 SER D C   1 
ATOM 5110  O O   . SER A 1 651 ? 302.919 -75.415  205.004 1.0 44.39382  ? 651 SER D O   651 SER D O   1 
ATOM 5111  C CB  . SER A 1 651 ? 301.759 -78.007  206.036 1.0 44.39382  ? 651 SER D CB  651 SER D CB  1 
ATOM 5112  O OG  . SER A 1 651 ? 302.100 -77.057  207.026 1.0 44.39382  ? 651 SER D OG  651 SER D OG  1 
ATOM 5113  N N   . ILE A 1 652 ? 301.789 -76.118  203.186 1.0 42.43213  ? 652 ILE D N   652 ILE D N   1 
ATOM 5114  C CA  . ILE A 1 652 ? 301.623 -74.790  202.609 1.0 42.43213  ? 652 ILE D CA  652 ILE D CA  1 
ATOM 5115  C C   . ILE A 1 652 ? 300.226 -74.291  202.941 1.0 42.43213  ? 652 ILE D C   652 ILE D C   1 
ATOM 5116  O O   . ILE A 1 652 ? 299.263 -74.735  202.305 1.0 42.43213  ? 652 ILE D O   652 ILE D O   1 
ATOM 5117  C CB  . ILE A 1 652 ? 301.830 -74.818  201.090 1.0 42.43213  ? 652 ILE D CB  652 ILE D CB  1 
ATOM 5118  C CG1 . ILE A 1 652 ? 303.232 -75.302  200.744 1.0 42.43213  ? 652 ILE D CG1 652 ILE D CG1 1 
ATOM 5119  C CG2 . ILE A 1 652 ? 301.614 -73.450  200.515 1.0 42.43213  ? 652 ILE D CG2 652 ILE D CG2 1 
ATOM 5120  C CD1 . ILE A 1 652 ? 303.400 -75.592  199.279 1.0 42.43213  ? 652 ILE D CD1 652 ILE D CD1 1 
ATOM 5121  N N   . PRO A 1 653 ? 300.060 -73.366  203.895 1.0 41.06986  ? 653 PRO D N   653 PRO D N   1 
ATOM 5122  C CA  . PRO A 1 653 ? 298.704 -72.969  204.310 1.0 41.06986  ? 653 PRO D CA  653 PRO D CA  1 
ATOM 5123  C C   . PRO A 1 653 ? 297.912 -72.239  203.243 1.0 41.06986  ? 653 PRO D C   653 PRO D C   1 
ATOM 5124  O O   . PRO A 1 653 ? 296.687 -72.146  203.364 1.0 41.06986  ? 653 PRO D O   653 PRO D O   1 
ATOM 5125  C CB  . PRO A 1 653 ? 298.961 -72.056  205.515 1.0 41.06986  ? 653 PRO D CB  653 PRO D CB  1 
ATOM 5126  C CG  . PRO A 1 653 ? 300.316 -72.414  205.985 1.0 41.06986  ? 653 PRO D CG  653 PRO D CG  1 
ATOM 5127  C CD  . PRO A 1 653 ? 301.085 -72.756  204.752 1.0 41.06986  ? 653 PRO D CD  653 PRO D CD  1 
ATOM 5128  N N   . TYR A 1 654 ? 298.562 -71.733  202.197 1.0 41.82121  ? 654 TYR D N   654 TYR D N   1 
ATOM 5129  C CA  . TYR A 1 654 ? 297.835 -71.039  201.146 1.0 41.82121  ? 654 TYR D CA  654 TYR D CA  1 
ATOM 5130  C C   . TYR A 1 654 ? 297.052 -72.002  200.266 1.0 41.82121  ? 654 TYR D C   654 TYR D C   1 
ATOM 5131  O O   . TYR A 1 654 ? 296.026 -71.621  199.696 1.0 41.82121  ? 654 TYR D O   654 TYR D O   1 
ATOM 5132  C CB  . TYR A 1 654 ? 298.810 -70.207  200.316 1.0 41.82121  ? 654 TYR D CB  654 TYR D CB  1 
ATOM 5133  C CG  . TYR A 1 654 ? 298.156 -69.449  199.197 1.0 41.82121  ? 654 TYR D CG  654 TYR D CG  1 
ATOM 5134  C CD1 . TYR A 1 654 ? 297.263 -68.430  199.466 1.0 41.82121  ? 654 TYR D CD1 654 TYR D CD1 1 
ATOM 5135  C CD2 . TYR A 1 654 ? 298.455 -69.729  197.873 1.0 41.82121  ? 654 TYR D CD2 654 TYR D CD2 1 
ATOM 5136  C CE1 . TYR A 1 654 ? 296.658 -67.729  198.451 1.0 41.82121  ? 654 TYR D CE1 654 TYR D CE1 1 
ATOM 5137  C CE2 . TYR A 1 654 ? 297.859 -69.029  196.848 1.0 41.82121  ? 654 TYR D CE2 654 TYR D CE2 1 
ATOM 5138  C CZ  . TYR A 1 654 ? 296.962 -68.028  197.144 1.0 41.82121  ? 654 TYR D CZ  654 TYR D CZ  1 
ATOM 5139  O OH  . TYR A 1 654 ? 296.363 -67.323  196.129 1.0 41.82121  ? 654 TYR D OH  654 TYR D OH  1 
ATOM 5140  N N   . LEU A 1 655 ? 297.491 -73.252  200.161 1.0 41.39863  ? 655 LEU D N   655 LEU D N   1 
ATOM 5141  C CA  . LEU A 1 655 ? 296.889 -74.183  199.215 1.0 41.39863  ? 655 LEU D CA  655 LEU D CA  1 
ATOM 5142  C C   . LEU A 1 655 ? 295.874 -75.123  199.855 1.0 41.39863  ? 655 LEU D C   655 LEU D C   1 
ATOM 5143  O O   . LEU A 1 655 ? 294.828 -75.378  199.257 1.0 41.39863  ? 655 LEU D O   655 LEU D O   1 
ATOM 5144  C CB  . LEU A 1 655 ? 297.975 -74.989  198.491 1.0 41.39863  ? 655 LEU D CB  655 LEU D CB  1 
ATOM 5145  C CG  . LEU A 1 655 ? 298.585 -74.413  197.203 1.0 41.39863  ? 655 LEU D CG  655 LEU D CG  1 
ATOM 5146  C CD1 . LEU A 1 655 ? 299.426 -73.196  197.448 1.0 41.39863  ? 655 LEU D CD1 655 LEU D CD1 1 
ATOM 5147  C CD2 . LEU A 1 655 ? 299.440 -75.452  196.508 1.0 41.39863  ? 655 LEU D CD2 655 LEU D CD2 1 
ATOM 5148  N N   . ASP A 1 656 ? 296.148 -75.657  201.048 1.0 42.67388  ? 656 ASP D N   656 ASP D N   1 
ATOM 5149  C CA  . ASP A 1 656 ? 295.189 -76.537  201.708 1.0 42.67388  ? 656 ASP D CA  656 ASP D CA  1 
ATOM 5150  C C   . ASP A 1 656 ? 294.643 -75.965  203.013 1.0 42.67388  ? 656 ASP D C   656 ASP D C   1 
ATOM 5151  O O   . ASP A 1 656 ? 294.031 -76.698  203.793 1.0 42.67388  ? 656 ASP D O   656 ASP D O   1 
ATOM 5152  C CB  . ASP A 1 656 ? 295.782 -77.931  201.932 1.0 42.67388  ? 656 ASP D CB  656 ASP D CB  1 
ATOM 5153  C CG  . ASP A 1 656 ? 297.087 -77.907  202.680 1.0 42.67388  ? 656 ASP D CG  656 ASP D CG  1 
ATOM 5154  O OD1 . ASP A 1 656 ? 297.562 -76.810  202.967 1.0 42.67388  ? 656 ASP D OD1 656 ASP D OD1 1 
ATOM 5155  O OD2 . ASP A 1 656 ? 297.652 -78.983  202.973 1.0 42.67388  ? 656 ASP D OD2 656 ASP D OD2 1 
ATOM 5156  N N   . GLY A 1 657 ? 294.848 -74.675  203.261 1.0 40.92174  ? 657 GLY D N   657 GLY D N   1 
ATOM 5157  C CA  . GLY A 1 657 ? 294.131 -73.999  204.322 1.0 40.92174  ? 657 GLY D CA  657 GLY D CA  1 
ATOM 5158  C C   . GLY A 1 657 ? 294.519 -74.379  205.725 1.0 40.92174  ? 657 GLY D C   657 GLY D C   1 
ATOM 5159  O O   . GLY A 1 657 ? 293.725 -74.196  206.647 1.0 40.92174  ? 657 GLY D O   657 GLY D O   1 
ATOM 5160  N N   . THR A 1 658 ? 295.726 -74.889  205.920 1.0 40.68411  ? 658 THR D N   658 THR D N   1 
ATOM 5161  C CA  . THR A 1 658 ? 296.156 -75.360  207.229 1.0 40.68411  ? 658 THR D CA  658 THR D CA  1 
ATOM 5162  C C   . THR A 1 658 ? 296.798 -74.219  208.033 1.0 40.68411  ? 658 THR D C   658 THR D C   1 
ATOM 5163  O O   . THR A 1 658 ? 297.933 -74.279  208.499 1.0 40.68411  ? 658 THR D O   658 THR D O   1 
ATOM 5164  C CB  . THR A 1 658 ? 297.065 -76.574  207.045 1.0 40.68411  ? 658 THR D CB  658 THR D CB  1 
ATOM 5165  O OG1 . THR A 1 658 ? 297.520 -77.049  208.307 1.0 40.68411  ? 658 THR D OG1 658 THR D OG1 1 
ATOM 5166  C CG2 . THR A 1 658 ? 298.242 -76.311  206.092 1.0 40.68411  ? 658 THR D CG2 658 THR D CG2 1 
ATOM 5167  N N   . PHE A 1 659 ? 296.005 -73.164  208.232 1.0 38.57215  ? 659 PHE D N   659 PHE D N   1 
ATOM 5168  C CA  . PHE A 1 659 ? 296.500 -71.898  208.760 1.0 38.57215  ? 659 PHE D CA  659 PHE D CA  1 
ATOM 5169  C C   . PHE A 1 659 ? 296.822 -71.990  210.245 1.0 38.57215  ? 659 PHE D C   659 PHE D C   1 
ATOM 5170  O O   . PHE A 1 659 ? 296.167 -72.708  211.003 1.0 38.57215  ? 659 PHE D O   659 PHE D O   1 
ATOM 5171  C CB  . PHE A 1 659 ? 295.476 -70.785  208.563 1.0 38.57215  ? 659 PHE D CB  659 PHE D CB  1 
ATOM 5172  C CG  . PHE A 1 659 ? 295.137 -70.519  207.136 1.0 38.57215  ? 659 PHE D CG  659 PHE D CG  1 
ATOM 5173  C CD1 . PHE A 1 659 ? 296.027 -69.862  206.311 1.0 38.57215  ? 659 PHE D CD1 659 PHE D CD1 1 
ATOM 5174  C CD2 . PHE A 1 659 ? 293.908 -70.894  206.629 1.0 38.57215  ? 659 PHE D CD2 659 PHE D CD2 1 
ATOM 5175  C CE1 . PHE A 1 659 ? 295.711 -69.613  204.996 1.0 38.57215  ? 659 PHE D CE1 659 PHE D CE1 1 
ATOM 5176  C CE2 . PHE A 1 659 ? 293.583 -70.638  205.322 1.0 38.57215  ? 659 PHE D CE2 659 PHE D CE2 1 
ATOM 5177  C CZ  . PHE A 1 659 ? 294.486 -70.000  204.503 1.0 38.57215  ? 659 PHE D CZ  659 PHE D CZ  1 
ATOM 5178  N N   . TYR A 1 660 ? 297.837 -71.234  210.660 1.0 39.62053  ? 660 TYR D N   660 TYR D N   1 
ATOM 5179  C CA  . TYR A 1 660 ? 298.265 -71.242  212.049 1.0 39.62053  ? 660 TYR D CA  660 TYR D CA  1 
ATOM 5180  C C   . TYR A 1 660 ? 298.680 -69.879  212.581 1.0 39.62053  ? 660 TYR D C   660 TYR D C   1 
ATOM 5181  O O   . TYR A 1 660 ? 299.096 -69.797  213.739 1.0 39.62053  ? 660 TYR D O   660 TYR D O   1 
ATOM 5182  C CB  . TYR A 1 660 ? 299.421 -72.237  212.237 1.0 39.62053  ? 660 TYR D CB  660 TYR D CB  1 
ATOM 5183  C CG  . TYR A 1 660 ? 300.666 -71.899  211.451 1.0 39.62053  ? 660 TYR D CG  660 TYR D CG  1 
ATOM 5184  C CD1 . TYR A 1 660 ? 300.802 -72.299  210.131 1.0 39.62053  ? 660 TYR D CD1 660 TYR D CD1 1 
ATOM 5185  C CD2 . TYR A 1 660 ? 301.721 -71.215  212.039 1.0 39.62053  ? 660 TYR D CD2 660 TYR D CD2 1 
ATOM 5186  C CE1 . TYR A 1 660 ? 301.928 -71.996  209.410 1.0 39.62053  ? 660 TYR D CE1 660 TYR D CE1 1 
ATOM 5187  C CE2 . TYR A 1 660 ? 302.855 -70.913  211.323 1.0 39.62053  ? 660 TYR D CE2 660 TYR D CE2 1 
ATOM 5188  C CZ  . TYR A 1 660 ? 302.951 -71.310  210.010 1.0 39.62053  ? 660 TYR D CZ  660 TYR D CZ  1 
ATOM 5189  O OH  . TYR A 1 660 ? 304.079 -71.020  209.286 1.0 39.62053  ? 660 TYR D OH  660 TYR D OH  1 
ATOM 5190  N N   . LEU A 1 661 ? 298.591 -68.818  211.789 1.0 37.72726  ? 661 LEU D N   661 LEU D N   1 
ATOM 5191  C CA  . LEU A 1 661 ? 298.937 -67.475  212.231 1.0 37.72726  ? 661 LEU D CA  661 LEU D CA  1 
ATOM 5192  C C   . LEU A 1 661 ? 297.710 -66.579  212.249 1.0 37.72726  ? 661 LEU D C   661 LEU D C   1 
ATOM 5193  O O   . LEU A 1 661 ? 297.763 -65.414  211.863 1.0 37.72726  ? 661 LEU D O   661 LEU D O   1 
ATOM 5194  C CB  . LEU A 1 661 ? 300.016 -66.862  211.349 1.0 37.72726  ? 661 LEU D CB  661 LEU D CB  1 
ATOM 5195  C CG  . LEU A 1 661 ? 301.390 -67.509  211.411 1.0 37.72726  ? 661 LEU D CG  661 LEU D CG  1 
ATOM 5196  C CD1 . LEU A 1 661 ? 302.321 -66.858  210.412 1.0 37.72726  ? 661 LEU D CD1 661 LEU D CD1 1 
ATOM 5197  C CD2 . LEU A 1 661 ? 301.928 -67.379  212.805 1.0 37.72726  ? 661 LEU D CD2 661 LEU D CD2 1 
ATOM 5198  N N   . SER A 1 662 ? 296.579 -67.118  212.676 1.0 38.39748  ? 662 SER D N   662 SER D N   1 
ATOM 5199  C CA  . SER A 1 662 ? 295.388 -66.297  212.799 1.0 38.39748  ? 662 SER D CA  662 SER D CA  1 
ATOM 5200  C C   . SER A 1 662 ? 295.309 -65.600  214.142 1.0 38.39748  ? 662 SER D C   662 SER D C   1 
ATOM 5201  O O   . SER A 1 662 ? 294.599 -64.600  214.272 1.0 38.39748  ? 662 SER D O   662 SER D O   1 
ATOM 5202  C CB  . SER A 1 662 ? 294.137 -67.146  212.588 1.0 38.39748  ? 662 SER D CB  662 SER D CB  1 
ATOM 5203  O OG  . SER A 1 662 ? 294.088 -67.640  211.265 1.0 38.39748  ? 662 SER D OG  662 SER D OG  1 
ATOM 5204  N N   . HIS A 1 663 ? 296.028 -66.105  215.143 1.0 39.46783  ? 663 HIS D N   663 HIS D N   1 
ATOM 5205  C CA  . HIS A 1 663 ? 295.971 -65.520  216.474 1.0 39.46783  ? 663 HIS D CA  663 HIS D CA  1 
ATOM 5206  C C   . HIS A 1 663 ? 296.741 -64.214  216.569 1.0 39.46783  ? 663 HIS D C   663 HIS D C   1 
ATOM 5207  O O   . HIS A 1 663 ? 296.543 -63.462  217.525 1.0 39.46783  ? 663 HIS D O   663 HIS D O   1 
ATOM 5208  C CB  . HIS A 1 663 ? 296.528 -66.507  217.494 1.0 39.46783  ? 663 HIS D CB  663 HIS D CB  1 
ATOM 5209  C CG  . HIS A 1 663 ? 297.980 -66.802  217.303 1.0 39.46783  ? 663 HIS D CG  663 HIS D CG  1 
ATOM 5210  N ND1 . HIS A 1 663 ? 298.439 -67.698  216.363 1.0 39.46783  ? 663 HIS D ND1 663 HIS D ND1 1 
ATOM 5211  C CD2 . HIS A 1 663 ? 299.078 -66.313  217.923 1.0 39.46783  ? 663 HIS D CD2 663 HIS D CD2 1 
ATOM 5212  C CE1 . HIS A 1 663 ? 299.757 -67.747  216.411 1.0 39.46783  ? 663 HIS D CE1 663 HIS D CE1 1 
ATOM 5213  N NE2 . HIS A 1 663 ? 300.170 -66.917  217.351 1.0 39.46783  ? 663 HIS D NE2 663 HIS D NE2 1 
ATOM 5214  N N   . THR A 1 664 ? 297.620 -63.934  215.614 1.0 41.32177  ? 664 THR D N   664 THR D N   1 
ATOM 5215  C CA  . THR A 1 664 ? 298.531 -62.796  215.706 1.0 41.32177  ? 664 THR D CA  664 THR D CA  1 
ATOM 5216  C C   . THR A 1 664 ? 298.007 -61.590  214.923 1.0 41.32177  ? 664 THR D C   664 THR D C   1 
ATOM 5217  O O   . THR A 1 664 ? 298.609 -61.107  213.968 1.0 41.32177  ? 664 THR D O   664 THR D O   1 
ATOM 5218  C CB  . THR A 1 664 ? 299.924 -63.220  215.261 1.0 41.32177  ? 664 THR D CB  664 THR D CB  1 
ATOM 5219  O OG1 . THR A 1 664 ? 300.731 -62.059  215.056 1.0 41.32177  ? 664 THR D OG1 664 THR D OG1 1 
ATOM 5220  C CG2 . THR A 1 664 ? 299.875 -64.071  214.011 1.0 41.32177  ? 664 THR D CG2 664 THR D CG2 1 
ATOM 5221  N N   . PHE A 1 665 ? 296.866 -61.081  215.374 1.0 39.97357  ? 665 PHE D N   665 PHE D N   1 
ATOM 5222  C CA  . PHE A 1 665 ? 296.313 -59.836  214.863 1.0 39.97357  ? 665 PHE D CA  665 PHE D CA  1 
ATOM 5223  C C   . PHE A 1 665 ? 295.963 -58.923  216.025 1.0 39.97357  ? 665 PHE D C   665 PHE D C   1 
ATOM 5224  O O   . PHE A 1 665 ? 295.417 -59.376  217.031 1.0 39.97357  ? 665 PHE D O   665 PHE D O   1 
ATOM 5225  C CB  . PHE A 1 665 ? 295.059 -60.068  214.018 1.0 39.97357  ? 665 PHE D CB  665 PHE D CB  1 
ATOM 5226  C CG  . PHE A 1 665 ? 295.323 -60.660  212.668 1.0 39.97357  ? 665 PHE D CG  665 PHE D CG  1 
ATOM 5227  C CD1 . PHE A 1 665 ? 295.691 -59.857  211.605 1.0 39.97357  ? 665 PHE D CD1 665 PHE D CD1 1 
ATOM 5228  C CD2 . PHE A 1 665 ? 295.183 -62.016  212.458 1.0 39.97357  ? 665 PHE D CD2 665 PHE D CD2 1 
ATOM 5229  C CE1 . PHE A 1 665 ? 295.930 -60.398  210.361 1.0 39.97357  ? 665 PHE D CE1 665 PHE D CE1 1 
ATOM 5230  C CE2 . PHE A 1 665 ? 295.424 -62.563  211.218 1.0 39.97357  ? 665 PHE D CE2 665 PHE D CE2 1 
ATOM 5231  C CZ  . PHE A 1 665 ? 295.794 -61.752  210.168 1.0 39.97357  ? 665 PHE D CZ  665 PHE D CZ  1 
ATOM 5232  N N   . GLN A 1 666 ? 296.269 -57.637  215.890 1.0 43.01051  ? 666 GLN D N   666 GLN D N   1 
ATOM 5233  C CA  . GLN A 1 666 ? 295.865 -56.679  216.908 1.0 43.01051  ? 666 GLN D CA  666 GLN D CA  1 
ATOM 5234  C C   . GLN A 1 666 ? 294.484 -56.104  216.631 1.0 43.01051  ? 666 GLN D C   666 GLN D C   1 
ATOM 5235  O O   . GLN A 1 666 ? 293.577 -56.282  217.445 1.0 43.01051  ? 666 GLN D O   666 GLN D O   1 
ATOM 5236  C CB  . GLN A 1 666 ? 296.889 -55.547  217.023 1.0 43.01051  ? 666 GLN D CB  666 GLN D CB  1 
ATOM 5237  C CG  . GLN A 1 666 ? 298.266 -55.979  217.488 1.0 43.01051  ? 666 GLN D CG  666 GLN D CG  1 
ATOM 5238  C CD  . GLN A 1 666 ? 298.259 -56.516  218.896 1.0 43.01051  ? 666 GLN D CD  666 GLN D CD  1 
ATOM 5239  O OE1 . GLN A 1 666 ? 298.445 -57.710  219.119 1.0 43.01051  ? 666 GLN D OE1 666 GLN D OE1 1 
ATOM 5240  N NE2 . GLN A 1 666 ? 298.038 -55.635  219.859 1.0 43.01051  ? 666 GLN D NE2 666 GLN D NE2 1 
ATOM 5241  N N   . ARG A 1 667 ? 294.294 -55.454  215.486 1.0 44.74236  ? 667 ARG D N   667 ARG D N   1 
ATOM 5242  C CA  . ARG A 1 667 ? 293.037 -54.777  215.195 1.0 44.74236  ? 667 ARG D CA  667 ARG D CA  1 
ATOM 5243  C C   . ARG A 1 667 ? 292.906 -54.575  213.691 1.0 44.74236  ? 667 ARG D C   667 ARG D C   1 
ATOM 5244  O O   . ARG A 1 667 ? 293.741 -55.027  212.907 1.0 44.74236  ? 667 ARG D O   667 ARG D O   1 
ATOM 5245  C CB  . ARG A 1 667 ? 292.945 -53.463  215.972 1.0 44.74236  ? 667 ARG D CB  667 ARG D CB  1 
ATOM 5246  C CG  . ARG A 1 667 ? 294.090 -52.508  215.731 1.0 44.74236  ? 667 ARG D CG  667 ARG D CG  1 
ATOM 5247  C CD  . ARG A 1 667 ? 294.028 -51.348  216.695 1.0 44.74236  ? 667 ARG D CD  667 ARG D CD  1 
ATOM 5248  N NE  . ARG A 1 667 ? 295.085 -50.378  216.431 1.0 44.74236  ? 667 ARG D NE  667 ARG D NE  1 
ATOM 5249  C CZ  . ARG A 1 667 ? 296.294 -50.424  216.976 1.0 44.74236  ? 667 ARG D CZ  667 ARG D CZ  1 
ATOM 5250  N NH1 . ARG A 1 667 ? 296.604 -51.382  217.828 1.0 44.74236  ? 667 ARG D NH1 667 ARG D NH1 1 
ATOM 5251  N NH2 . ARG A 1 667 ? 297.194 -49.500  216.678 1.0 44.74236  ? 667 ARG D NH2 667 ARG D NH2 1 
ATOM 5252  N N   . CYS A 1 668 ? 291.846 -53.871  213.299 1.0 42.60579  ? 668 CYS D N   668 CYS D N   1 
ATOM 5253  C CA  . CYS A 1 668 ? 291.390 -53.805  211.915 1.0 42.60579  ? 668 CYS D CA  668 CYS D CA  1 
ATOM 5254  C C   . CYS A 1 668 ? 290.389 -52.674  211.732 1.0 42.60579  ? 668 CYS D C   668 CYS D C   1 
ATOM 5255  O O   . CYS A 1 668 ? 289.489 -52.514  212.558 1.0 42.60579  ? 668 CYS D O   668 CYS D O   1 
ATOM 5256  C CB  . CYS A 1 668 ? 290.752 -55.135  211.513 1.0 42.60579  ? 668 CYS D CB  668 CYS D CB  1 
ATOM 5257  S SG  . CYS A 1 668 ? 289.825 -55.088  209.972 1.0 42.60579  ? 668 CYS D SG  668 CYS D SG  1 
ATOM 5258  N N   . SER A 1 669 ? 290.516 -51.889  210.664 1.0 38.95309  ? 669 SER D N   669 SER D N   1 
ATOM 5259  C CA  . SER A 1 669 ? 289.574 -50.809  210.418 1.0 38.95309  ? 669 SER D CA  669 SER D CA  1 
ATOM 5260  C C   . SER A 1 669 ? 289.216 -50.758  208.943 1.0 38.95309  ? 669 SER D C   669 SER D C   1 
ATOM 5261  O O   . SER A 1 669 ? 290.051 -51.020  208.078 1.0 38.95309  ? 669 SER D O   669 SER D O   1 
ATOM 5262  C CB  . SER A 1 669 ? 290.130 -49.461  210.851 1.0 38.95309  ? 669 SER D CB  669 SER D CB  1 
ATOM 5263  O OG  . SER A 1 669 ? 291.193 -49.064  210.008 1.0 38.95309  ? 669 SER D OG  669 SER D OG  1 
ATOM 5264  N N   . ILE A 1 670 ? 287.964 -50.403  208.668 1.0 37.09964  ? 670 ILE D N   670 ILE D N   1 
ATOM 5265  C CA  . ILE A 1 670 ? 287.402 -50.416  207.324 1.0 37.09964  ? 670 ILE D CA  670 ILE D CA  1 
ATOM 5266  C C   . ILE A 1 670 ? 286.845 -49.030  207.024 1.0 37.09964  ? 670 ILE D C   670 ILE D C   1 
ATOM 5267  O O   . ILE A 1 670 ? 286.116 -48.461  207.841 1.0 37.09964  ? 670 ILE D O   670 ILE D O   1 
ATOM 5268  C CB  . ILE A 1 670 ? 286.322 -51.506  207.188 1.0 37.09964  ? 670 ILE D CB  670 ILE D CB  1 
ATOM 5269  C CG1 . ILE A 1 670 ? 286.966 -52.883  207.321 1.0 37.09964  ? 670 ILE D CG1 670 ILE D CG1 1 
ATOM 5270  C CG2 . ILE A 1 670 ? 285.593 -51.413  205.874 1.0 37.09964  ? 670 ILE D CG2 670 ILE D CG2 1 
ATOM 5271  C CD1 . ILE A 1 670 ? 285.994 -54.002  207.443 1.0 37.09964  ? 670 ILE D CD1 670 ILE D CD1 1 
ATOM 5272  N N   . GLN A 1 671 ? 287.186 -48.494  205.853 1.0 40.20373  ? 671 GLN D N   671 GLN D N   1 
ATOM 5273  C CA  . GLN A 1 671 ? 286.973 -47.097  205.505 1.0 40.20373  ? 671 GLN D CA  671 GLN D CA  1 
ATOM 5274  C C   . GLN A 1 671 ? 286.688 -47.017  204.011 1.0 40.20373  ? 671 GLN D C   671 GLN D C   1 
ATOM 5275  O O   . GLN A 1 671 ? 287.384 -47.651  203.216 1.0 40.20373  ? 671 GLN D O   671 GLN D O   1 
ATOM 5276  C CB  . GLN A 1 671 ? 288.219 -46.291  205.889 1.0 40.20373  ? 671 GLN D CB  671 GLN D CB  1 
ATOM 5277  C CG  . GLN A 1 671 ? 288.226 -44.818  205.572 1.0 40.20373  ? 671 GLN D CG  671 GLN D CG  1 
ATOM 5278  C CD  . GLN A 1 671 ? 287.274 -44.013  206.408 1.0 40.20373  ? 671 GLN D CD  671 GLN D CD  1 
ATOM 5279  O OE1 . GLN A 1 671 ? 286.250 -43.548  205.922 1.0 40.20373  ? 671 GLN D OE1 671 GLN D OE1 1 
ATOM 5280  N NE2 . GLN A 1 671 ? 287.614 -43.824  207.675 1.0 40.20373  ? 671 GLN D NE2 671 GLN D NE2 1 
ATOM 5281  N N   . TRP A 1 672 ? 285.669 -46.250  203.621 1.0 44.09084  ? 672 TRP D N   672 TRP D N   1 
ATOM 5282  C CA  . TRP A 1 672 ? 285.160 -46.296  202.251 1.0 44.09084  ? 672 TRP D CA  672 TRP D CA  1 
ATOM 5283  C C   . TRP A 1 672 ? 285.582 -45.130  201.377 1.0 44.09084  ? 672 TRP D C   672 TRP D C   1 
ATOM 5284  O O   . TRP A 1 672 ? 285.936 -45.331  200.222 1.0 44.09084  ? 672 TRP D O   672 TRP D O   1 
ATOM 5285  C CB  . TRP A 1 672 ? 283.641 -46.328  202.236 1.0 44.09084  ? 672 TRP D CB  672 TRP D CB  1 
ATOM 5286  C CG  . TRP A 1 672 ? 283.064 -47.527  202.745 1.0 44.09084  ? 672 TRP D CG  672 TRP D CG  1 
ATOM 5287  C CD1 . TRP A 1 672 ? 283.654 -48.736  202.902 1.0 44.09084  ? 672 TRP D CD1 672 TRP D CD1 1 
ATOM 5288  C CD2 . TRP A 1 672 ? 281.764 -47.633  203.269 1.0 44.09084  ? 672 TRP D CD2 672 TRP D CD2 1 
ATOM 5289  N NE1 . TRP A 1 672 ? 282.766 -49.616  203.463 1.0 44.09084  ? 672 TRP D NE1 672 TRP D NE1 1 
ATOM 5290  C CE2 . TRP A 1 672 ? 281.594 -48.950  203.703 1.0 44.09084  ? 672 TRP D CE2 672 TRP D CE2 1 
ATOM 5291  C CE3 . TRP A 1 672 ? 280.706 -46.738  203.391 1.0 44.09084  ? 672 TRP D CE3 672 TRP D CE3 1 
ATOM 5292  C CZ2 . TRP A 1 672 ? 280.411 -49.387  204.260 1.0 44.09084  ? 672 TRP D CZ2 672 TRP D CZ2 1 
ATOM 5293  C CZ3 . TRP A 1 672 ? 279.542 -47.166  203.949 1.0 44.09084  ? 672 TRP D CZ3 672 TRP D CZ3 1 
ATOM 5294  C CH2 . TRP A 1 672 ? 279.399 -48.472  204.391 1.0 44.09084  ? 672 TRP D CH2 672 TRP D CH2 1 
ATOM 5295  N N   . ASP A 1 673 ? 285.462 -43.908  201.856 1.0 44.10859  ? 673 ASP D N   673 ASP D N   1 
ATOM 5296  C CA  . ASP A 1 673 ? 285.733 -42.753  201.015 1.0 44.10859  ? 673 ASP D CA  673 ASP D CA  1 
ATOM 5297  C C   . ASP A 1 673 ? 286.680 -41.803  201.721 1.0 44.10859  ? 673 ASP D C   673 ASP D C   1 
ATOM 5298  O O   . ASP A 1 673 ? 286.691 -40.603  201.436 1.0 44.10859  ? 673 ASP D O   673 ASP D O   1 
ATOM 5299  C CB  . ASP A 1 673 ? 284.435 -42.044  200.648 1.0 44.10859  ? 673 ASP D CB  673 ASP D CB  1 
ATOM 5300  C CG  . ASP A 1 673 ? 283.593 -42.827  199.681 1.0 44.10859  ? 673 ASP D CG  673 ASP D CG  1 
ATOM 5301  O OD1 . ASP A 1 673 ? 284.161 -43.528  198.825 1.0 44.10859  ? 673 ASP D OD1 673 ASP D OD1 1 
ATOM 5302  O OD2 . ASP A 1 673 ? 282.353 -42.741  199.779 1.0 44.10859  ? 673 ASP D OD2 673 ASP D OD2 1 
ATOM 5303  N N   . SER A 1 674 ? 287.458 -42.347  202.665 1.0 43.91482  ? 674 SER D N   674 SER D N   1 
ATOM 5304  C CA  . SER A 1 674 ? 288.173 -41.604  203.712 1.0 43.91482  ? 674 SER D CA  674 SER D CA  1 
ATOM 5305  C C   . SER A 1 674 ? 287.227 -40.721  204.527 1.0 43.91482  ? 674 SER D C   674 SER D C   1 
ATOM 5306  O O   . SER A 1 674 ? 287.628 -39.687  205.065 1.0 43.91482  ? 674 SER D O   674 SER D O   1 
ATOM 5307  C CB  . SER A 1 674 ? 289.345 -40.788  203.147 1.0 43.91482  ? 674 SER D CB  674 SER D CB  1 
ATOM 5308  O OG  . SER A 1 674 ? 288.901 -39.736  202.310 1.0 43.91482  ? 674 SER D OG  674 SER D OG  1 
ATOM 5309  N N   . SER A 1 675 ? 285.958 -41.113  204.609 1.0 42.12     ? 675 SER D N   675 SER D N   1 
ATOM 5310  C CA  . SER A 1 675 ? 284.950 -40.422  205.398 1.0 42.12     ? 675 SER D CA  675 SER D CA  1 
ATOM 5311  C C   . SER A 1 675 ? 284.095 -41.354  206.240 1.0 42.12     ? 675 SER D C   675 SER D C   1 
ATOM 5312  O O   . SER A 1 675 ? 283.751 -41.004  207.370 1.0 42.12     ? 675 SER D O   675 SER D O   1 
ATOM 5313  C CB  . SER A 1 675 ? 284.060 -39.582  204.471 1.0 42.12     ? 675 SER D CB  675 SER D CB  1 
ATOM 5314  O OG  . SER A 1 675 ? 283.336 -40.400  203.572 1.0 42.12     ? 675 SER D OG  675 SER D OG  1 
ATOM 5315  N N   . VAL A 1 676 ? 283.755 -42.533  205.736 1.0 40.5848   ? 676 VAL D N   676 VAL D N   1 
ATOM 5316  C CA  . VAL A 1 676 ? 282.762 -43.388  206.378 1.0 40.5848   ? 676 VAL D CA  676 VAL D CA  1 
ATOM 5317  C C   . VAL A 1 676 ? 283.482 -44.573  207.007 1.0 40.5848   ? 676 VAL D C   676 VAL D C   1 
ATOM 5318  O O   . VAL A 1 676 ? 284.048 -45.397  206.278 1.0 40.5848   ? 676 VAL D O   676 VAL D O   1 
ATOM 5319  C CB  . VAL A 1 676 ? 281.705 -43.893  205.390 1.0 40.5848   ? 676 VAL D CB  676 VAL D CB  1 
ATOM 5320  C CG1 . VAL A 1 676 ? 280.592 -44.549  206.161 1.0 40.5848   ? 676 VAL D CG1 676 VAL D CG1 1 
ATOM 5321  C CG2 . VAL A 1 676 ? 281.197 -42.807  204.497 1.0 40.5848   ? 676 VAL D CG2 676 VAL D CG2 1 
ATOM 5322  N N   . PRO A 1 677 ? 283.461 -44.727  208.319 1.0 38.72707  ? 677 PRO D N   677 PRO D N   1 
ATOM 5323  C CA  . PRO A 1 677 ? 283.863 -45.995  208.923 1.0 38.72707  ? 677 PRO D CA  677 PRO D CA  1 
ATOM 5324  C C   . PRO A 1 677 ? 282.741 -47.011  208.743 1.0 38.72707  ? 677 PRO D C   677 PRO D C   1 
ATOM 5325  O O   . PRO A 1 677 ? 281.588 -46.660  208.525 1.0 38.72707  ? 677 PRO D O   677 PRO D O   1 
ATOM 5326  C CB  . PRO A 1 677 ? 284.069 -45.630  210.390 1.0 38.72707  ? 677 PRO D CB  677 PRO D CB  1 
ATOM 5327  C CG  . PRO A 1 677 ? 283.154 -44.494  210.610 1.0 38.72707  ? 677 PRO D CG  677 PRO D CG  1 
ATOM 5328  C CD  . PRO A 1 677 ? 283.139 -43.713  209.333 1.0 38.72707  ? 677 PRO D CD  677 PRO D CD  1 
ATOM 5329  N N   . TRP A 1 678 ? 283.096 -48.287  208.841 1.0 38.34073  ? 678 TRP D N   678 TRP D N   1 
ATOM 5330  C CA  . TRP A 1 678 ? 282.107 -49.343  208.756 1.0 38.34073  ? 678 TRP D CA  678 TRP D CA  1 
ATOM 5331  C C   . TRP A 1 678 ? 282.300 -50.239  209.972 1.0 38.34073  ? 678 TRP D C   678 TRP D C   1 
ATOM 5332  O O   . TRP A 1 678 ? 283.441 -50.598  210.291 1.0 38.34073  ? 678 TRP D O   678 TRP D O   1 
ATOM 5333  C CB  . TRP A 1 678 ? 282.235 -50.166  207.471 1.0 38.34073  ? 678 TRP D CB  678 TRP D CB  1 
ATOM 5334  C CG  . TRP A 1 678 ? 281.180 -51.207  207.333 1.0 38.34073  ? 678 TRP D CG  678 TRP D CG  1 
ATOM 5335  C CD1 . TRP A 1 678 ? 279.859 -51.011  207.074 1.0 38.34073  ? 678 TRP D CD1 678 TRP D CD1 1 
ATOM 5336  C CD2 . TRP A 1 678 ? 281.346 -52.610  207.506 1.0 38.34073  ? 678 TRP D CD2 678 TRP D CD2 1 
ATOM 5337  N NE1 . TRP A 1 678 ? 279.198 -52.207  207.038 1.0 38.34073  ? 678 TRP D NE1 678 TRP D NE1 1 
ATOM 5338  C CE2 . TRP A 1 678 ? 280.091 -53.207  207.307 1.0 38.34073  ? 678 TRP D CE2 678 TRP D CE2 1 
ATOM 5339  C CE3 . TRP A 1 678 ? 282.438 -53.422  207.799 1.0 38.34073  ? 678 TRP D CE3 678 TRP D CE3 1 
ATOM 5340  C CZ2 . TRP A 1 678 ? 279.901 -54.576  207.392 1.0 38.34073  ? 678 TRP D CZ2 678 TRP D CZ2 1 
ATOM 5341  C CZ3 . TRP A 1 678 ? 282.247 -54.774  207.881 1.0 38.34073  ? 678 TRP D CZ3 678 TRP D CZ3 1 
ATOM 5342  C CH2 . TRP A 1 678 ? 280.992 -55.341  207.679 1.0 38.34073  ? 678 TRP D CH2 678 TRP D CH2 1 
ATOM 5343  N N   . PRO A 1 679 ? 281.220 -50.619  210.676 1.0 40.00194  ? 679 PRO D N   679 PRO D N   1 
ATOM 5344  C CA  . PRO A 1 679 ? 279.790 -50.350  210.480 1.0 40.00194  ? 679 PRO D CA  679 PRO D CA  1 
ATOM 5345  C C   . PRO A 1 679 ? 279.374 -48.927  210.814 1.0 40.00194  ? 679 PRO D C   679 PRO D C   1 
ATOM 5346  O O   . PRO A 1 679 ? 278.287 -48.511  210.421 1.0 40.00194  ? 679 PRO D O   679 PRO D O   1 
ATOM 5347  C CB  . PRO A 1 679 ? 279.117 -51.333  211.441 1.0 40.00194  ? 679 PRO D CB  679 PRO D CB  1 
ATOM 5348  C CG  . PRO A 1 679 ? 280.141 -52.361  211.724 1.0 40.00194  ? 679 PRO D CG  679 PRO D CG  1 
ATOM 5349  C CD  . PRO A 1 679 ? 281.429 -51.625  211.725 1.0 40.00194  ? 679 PRO D CD  679 PRO D CD  1 
ATOM 5350  N N   . GLY A 1 680 ? 280.257 -48.192  211.488 1.0 43.00235  ? 680 GLY D N   680 GLY D N   1 
ATOM 5351  C CA  . GLY A 1 680 ? 279.924 -46.855  211.927 1.0 43.00235  ? 680 GLY D CA  680 GLY D CA  1 
ATOM 5352  C C   . GLY A 1 680 ? 278.808 -46.921  212.948 1.0 43.00235  ? 680 GLY D C   680 GLY D C   1 
ATOM 5353  O O   . GLY A 1 680 ? 278.728 -47.850  213.751 1.0 43.00235  ? 680 GLY D O   680 GLY D O   1 
ATOM 5354  N N   . ASN A 1 681 ? 277.959 -45.893  212.939 1.0 44.48758  ? 681 ASN D N   681 ASN D N   1 
ATOM 5355  C CA  . ASN A 1 681 ? 276.615 -45.883  213.517 1.0 44.48758  ? 681 ASN D CA  681 ASN D CA  1 
ATOM 5356  C C   . ASN A 1 681 ? 276.563 -46.171  215.015 1.0 44.48758  ? 681 ASN D C   681 ASN D C   1 
ATOM 5357  O O   . ASN A 1 681 ? 275.466 -46.390  215.542 1.0 44.48758  ? 681 ASN D O   681 ASN D O   1 
ATOM 5358  C CB  . ASN A 1 681 ? 275.698 -46.871  212.787 1.0 44.48758  ? 681 ASN D CB  681 ASN D CB  1 
ATOM 5359  C CG  . ASN A 1 681 ? 275.343 -46.414  211.393 1.0 44.48758  ? 681 ASN D CG  681 ASN D CG  1 
ATOM 5360  O OD1 . ASN A 1 681 ? 275.095 -45.233  211.162 1.0 44.48758  ? 681 ASN D OD1 681 ASN D OD1 1 
ATOM 5361  N ND2 . ASN A 1 681 ? 275.299 -47.349  210.457 1.0 44.48758  ? 681 ASN D ND2 681 ASN D ND2 1 
ATOM 5362  N N   . ASP A 1 682 ? 277.707 -46.149  215.705 1.0 45.64354  ? 682 ASP D N   682 ASP D N   1 
ATOM 5363  C CA  . ASP A 1 682 ? 277.875 -46.633  217.077 1.0 45.64354  ? 682 ASP D CA  682 ASP D CA  1 
ATOM 5364  C C   . ASP A 1 682 ? 277.325 -48.054  217.216 1.0 45.64354  ? 682 ASP D C   682 ASP D C   1 
ATOM 5365  O O   . ASP A 1 682 ? 276.346 -48.305  217.915 1.0 45.64354  ? 682 ASP D O   682 ASP D O   1 
ATOM 5366  C CB  . ASP A 1 682 ? 277.227 -45.673  218.083 1.0 45.64354  ? 682 ASP D CB  682 ASP D CB  1 
ATOM 5367  C CG  . ASP A 1 682 ? 277.668 -45.921  219.513 1.0 45.64354  ? 682 ASP D CG  682 ASP D CG  1 
ATOM 5368  O OD1 . ASP A 1 682 ? 278.530 -46.794  219.748 1.0 45.64354  ? 682 ASP D OD1 682 ASP D OD1 1 
ATOM 5369  O OD2 . ASP A 1 682 ? 277.134 -45.238  220.414 1.0 45.64354  ? 682 ASP D OD2 682 ASP D OD2 1 
ATOM 5370  N N   . ARG A 1 683 ? 277.957 -48.985  216.504 1.0 44.66417  ? 683 ARG D N   683 ARG D N   1 
ATOM 5371  C CA  . ARG A 1 683 ? 277.525 -50.378  216.512 1.0 44.66417  ? 683 ARG D CA  683 ARG D CA  1 
ATOM 5372  C C   . ARG A 1 683 ? 278.335 -51.256  217.457 1.0 44.66417  ? 683 ARG D C   683 ARG D C   1 
ATOM 5373  O O   . ARG A 1 683 ? 277.754 -52.058  218.190 1.0 44.66417  ? 683 ARG D O   683 ARG D O   1 
ATOM 5374  C CB  . ARG A 1 683 ? 277.579 -50.959  215.096 1.0 44.66417  ? 683 ARG D CB  683 ARG D CB  1 
ATOM 5375  C CG  . ARG A 1 683 ? 276.628 -50.290  214.115 1.0 44.66417  ? 683 ARG D CG  683 ARG D CG  1 
ATOM 5376  C CD  . ARG A 1 683 ? 275.204 -50.565  214.487 1.0 44.66417  ? 683 ARG D CD  683 ARG D CD  1 
ATOM 5377  N NE  . ARG A 1 683 ? 274.230 -49.891  213.641 1.0 44.66417  ? 683 ARG D NE  683 ARG D NE  1 
ATOM 5378  C CZ  . ARG A 1 683 ? 273.692 -50.430  212.557 1.0 44.66417  ? 683 ARG D CZ  683 ARG D CZ  1 
ATOM 5379  N NH1 . ARG A 1 683 ? 274.040 -51.652  212.186 1.0 44.66417  ? 683 ARG D NH1 683 ARG D NH1 1 
ATOM 5380  N NH2 . ARG A 1 683 ? 272.807 -49.750  211.847 1.0 44.66417  ? 683 ARG D NH2 683 ARG D NH2 1 
ATOM 5381  N N   . MET A 1 684 ? 279.657 -51.126  217.472 1.0 47.18926  ? 684 MET D N   684 MET D N   1 
ATOM 5382  C CA  . MET A 1 684 ? 280.499 -51.910  218.362 1.0 47.18926  ? 684 MET D CA  684 MET D CA  1 
ATOM 5383  C C   . MET A 1 684 ? 280.597 -51.231  219.727 1.0 47.18926  ? 684 MET D C   684 MET D C   1 
ATOM 5384  O O   . MET A 1 684 ? 279.995 -50.184  219.971 1.0 47.18926  ? 684 MET D O   684 MET D O   1 
ATOM 5385  C CB  . MET A 1 684 ? 281.887 -52.088  217.752 1.0 47.18926  ? 684 MET D CB  684 MET D CB  1 
ATOM 5386  C CG  . MET A 1 684 ? 281.937 -52.856  216.439 1.0 47.18926  ? 684 MET D CG  684 MET D CG  1 
ATOM 5387  S SD  . MET A 1 684 ? 281.477 -54.587  216.593 1.0 47.18926  ? 684 MET D SD  684 MET D SD  1 
ATOM 5388  C CE  . MET A 1 684 ? 279.842 -54.584  215.874 1.0 47.18926  ? 684 MET D CE  684 MET D CE  1 
ATOM 5389  N N   . LEU A 1 685 ? 281.365 -51.833  220.639 1.0 47.66556  ? 685 LEU D N   685 LEU D N   1 
ATOM 5390  C CA  . LEU A 1 685 ? 281.797 -51.079  221.811 1.0 47.66556  ? 685 LEU D CA  685 LEU D CA  1 
ATOM 5391  C C   . LEU A 1 685 ? 282.897 -50.098  221.436 1.0 47.66556  ? 685 LEU D C   685 LEU D C   1 
ATOM 5392  O O   . LEU A 1 685 ? 282.939 -48.979  221.954 1.0 47.66556  ? 685 LEU D O   685 LEU D O   1 
ATOM 5393  C CB  . LEU A 1 685 ? 282.283 -52.005  222.928 1.0 47.66556  ? 685 LEU D CB  685 LEU D CB  1 
ATOM 5394  C CG  . LEU A 1 685 ? 281.284 -52.593  223.932 1.0 47.66556  ? 685 LEU D CG  685 LEU D CG  1 
ATOM 5395  C CD1 . LEU A 1 685 ? 280.492 -51.487  224.628 1.0 47.66556  ? 685 LEU D CD1 685 LEU D CD1 1 
ATOM 5396  C CD2 . LEU A 1 685 ? 280.367 -53.629  223.322 1.0 47.66556  ? 685 LEU D CD2 685 LEU D CD2 1 
ATOM 5397  N N   . THR A 1 686 ? 283.797 -50.513  220.543 1.0 47.97618  ? 686 THR D N   686 THR D N   1 
ATOM 5398  C CA  . THR A 1 686 ? 284.784 -49.648  219.906 1.0 47.97618  ? 686 THR D CA  686 THR D CA  1 
ATOM 5399  C C   . THR A 1 686 ? 284.327 -49.446  218.468 1.0 47.97618  ? 686 THR D C   686 THR D C   1 
ATOM 5400  O O   . THR A 1 686 ? 284.679 -50.239  217.584 1.0 47.97618  ? 686 THR D O   686 THR D O   1 
ATOM 5401  C CB  . THR A 1 686 ? 286.179 -50.274  219.955 1.0 47.97618  ? 686 THR D CB  686 THR D CB  1 
ATOM 5402  O OG1 . THR A 1 686 ? 286.169 -51.507  219.230 1.0 47.97618  ? 686 THR D OG1 686 THR D OG1 1 
ATOM 5403  C CG2 . THR A 1 686 ? 286.575 -50.562  221.387 1.0 47.97618  ? 686 THR D CG2 686 THR D CG2 1 
ATOM 5404  N N   . PRO A 1 687 ? 283.539 -48.404  218.183 1.0 47.65305  ? 687 PRO D N   687 PRO D N   1 
ATOM 5405  C CA  . PRO A 1 687 ? 282.775 -48.373  216.927 1.0 47.65305  ? 687 PRO D CA  687 PRO D CA  1 
ATOM 5406  C C   . PRO A 1 687 ? 283.599 -48.097  215.688 1.0 47.65305  ? 687 PRO D C   687 PRO D C   1 
ATOM 5407  O O   . PRO A 1 687 ? 283.140 -48.411  214.584 1.0 47.65305  ? 687 PRO D O   687 PRO D O   1 
ATOM 5408  C CB  . PRO A 1 687 ? 281.767 -47.241  217.162 1.0 47.65305  ? 687 PRO D CB  687 PRO D CB  1 
ATOM 5409  C CG  . PRO A 1 687 ? 281.710 -47.079  218.633 1.0 47.65305  ? 687 PRO D CG  687 PRO D CG  1 
ATOM 5410  C CD  . PRO A 1 687 ? 283.091 -47.358  219.107 1.0 47.65305  ? 687 PRO D CD  687 PRO D CD  1 
ATOM 5411  N N   . ASN A 1 688 ? 284.788 -47.524  215.820 1.0 47.35803  ? 688 ASN D N   688 ASN D N   1 
ATOM 5412  C CA  . ASN A 1 688 ? 285.518 -47.064  214.652 1.0 47.35803  ? 688 ASN D CA  688 ASN D CA  1 
ATOM 5413  C C   . ASN A 1 688 ? 286.497 -48.088  214.096 1.0 47.35803  ? 688 ASN D C   688 ASN D C   1 
ATOM 5414  O O   . ASN A 1 688 ? 286.974 -47.907  212.971 1.0 47.35803  ? 688 ASN D O   688 ASN D O   1 
ATOM 5415  C CB  . ASN A 1 688 ? 286.249 -45.766  214.984 1.0 47.35803  ? 688 ASN D CB  688 ASN D CB  1 
ATOM 5416  C CG  . ASN A 1 688 ? 285.298 -44.603  215.140 1.0 47.35803  ? 688 ASN D CG  688 ASN D CG  1 
ATOM 5417  O OD1 . ASN A 1 688 ? 284.363 -44.450  214.358 1.0 47.35803  ? 688 ASN D OD1 688 ASN D OD1 1 
ATOM 5418  N ND2 . ASN A 1 688 ? 285.519 -43.785  216.155 1.0 47.35803  ? 688 ASN D ND2 688 ASN D ND2 1 
ATOM 5419  N N   . TRP A 1 689 ? 286.799 -49.154  214.832 1.0 45.59145  ? 689 TRP D N   689 TRP D N   1 
ATOM 5420  C CA  . TRP A 1 689 ? 287.659 -50.201  214.302 1.0 45.59145  ? 689 TRP D CA  689 TRP D CA  1 
ATOM 5421  C C   . TRP A 1 689 ? 287.345 -51.523  214.981 1.0 45.59145  ? 689 TRP D C   689 TRP D C   1 
ATOM 5422  O O   . TRP A 1 689 ? 286.991 -51.566  216.160 1.0 45.59145  ? 689 TRP D O   689 TRP D O   1 
ATOM 5423  C CB  . TRP A 1 689 ? 289.143 -49.862  214.471 1.0 45.59145  ? 689 TRP D CB  689 TRP D CB  1 
ATOM 5424  C CG  . TRP A 1 689 ? 289.590 -49.667  215.873 1.0 45.59145  ? 689 TRP D CG  689 TRP D CG  1 
ATOM 5425  C CD1 . TRP A 1 689 ? 290.008 -50.627  216.742 1.0 45.59145  ? 689 TRP D CD1 689 TRP D CD1 1 
ATOM 5426  C CD2 . TRP A 1 689 ? 289.705 -48.425  216.564 1.0 45.59145  ? 689 TRP D CD2 689 TRP D CD2 1 
ATOM 5427  N NE1 . TRP A 1 689 ? 290.357 -50.063  217.939 1.0 45.59145  ? 689 TRP D NE1 689 TRP D NE1 1 
ATOM 5428  C CE2 . TRP A 1 689 ? 290.181 -48.709  217.854 1.0 45.59145  ? 689 TRP D CE2 689 TRP D CE2 1 
ATOM 5429  C CE3 . TRP A 1 689 ? 289.443 -47.099  216.218 1.0 45.59145  ? 689 TRP D CE3 689 TRP D CE3 1 
ATOM 5430  C CZ2 . TRP A 1 689 ? 290.400 -47.719  218.798 1.0 45.59145  ? 689 TRP D CZ2 689 TRP D CZ2 1 
ATOM 5431  C CZ3 . TRP A 1 689 ? 289.660 -46.119  217.155 1.0 45.59145  ? 689 TRP D CZ3 689 TRP D CZ3 1 
ATOM 5432  C CH2 . TRP A 1 689 ? 290.133 -46.432  218.430 1.0 45.59145  ? 689 TRP D CH2 689 TRP D CH2 1 
ATOM 5433  N N   . PHE A 1 690 ? 287.480 -52.602  214.217 1.0 41.62155  ? 690 PHE D N   690 PHE D N   1 
ATOM 5434  C CA  . PHE A 1 690 ? 287.346 -53.958  214.739 1.0 41.62155  ? 690 PHE D CA  690 PHE D CA  1 
ATOM 5435  C C   . PHE A 1 690 ? 288.602 -54.281  215.528 1.0 41.62155  ? 690 PHE D C   690 PHE D C   1 
ATOM 5436  O O   . PHE A 1 690 ? 289.633 -54.627  214.952 1.0 41.62155  ? 690 PHE D O   690 PHE D O   1 
ATOM 5437  C CB  . PHE A 1 690 ? 287.164 -54.961  213.606 1.0 41.62155  ? 690 PHE D CB  690 PHE D CB  1 
ATOM 5438  C CG  . PHE A 1 690 ? 285.864 -54.838  212.873 1.0 41.62155  ? 690 PHE D CG  690 PHE D CG  1 
ATOM 5439  C CD1 . PHE A 1 690 ? 284.722 -55.449  213.356 1.0 41.62155  ? 690 PHE D CD1 690 PHE D CD1 1 
ATOM 5440  C CD2 . PHE A 1 690 ? 285.790 -54.129  211.688 1.0 41.62155  ? 690 PHE D CD2 690 PHE D CD2 1 
ATOM 5441  C CE1 . PHE A 1 690 ? 283.530 -55.348  212.677 1.0 41.62155  ? 690 PHE D CE1 690 PHE D CE1 1 
ATOM 5442  C CE2 . PHE A 1 690 ? 284.601 -54.022  211.005 1.0 41.62155  ? 690 PHE D CE2 690 PHE D CE2 1 
ATOM 5443  C CZ  . PHE A 1 690 ? 283.469 -54.634  211.499 1.0 41.62155  ? 690 PHE D CZ  690 PHE D CZ  1 
ATOM 5444  N N   . GLU A 1 691 ? 288.539 -54.167  216.848 1.0 46.172    ? 691 GLU D N   691 GLU D N   1 
ATOM 5445  C CA  . GLU A 1 691 ? 289.681 -54.557  217.662 1.0 46.172    ? 691 GLU D CA  691 GLU D CA  1 
ATOM 5446  C C   . GLU A 1 691 ? 289.584 -56.047  217.946 1.0 46.172    ? 691 GLU D C   691 GLU D C   1 
ATOM 5447  O O   . GLU A 1 691 ? 288.642 -56.503  218.599 1.0 46.172    ? 691 GLU D O   691 GLU D O   1 
ATOM 5448  C CB  . GLU A 1 691 ? 289.751 -53.765  218.958 1.0 46.172    ? 691 GLU D CB  691 GLU D CB  1 
ATOM 5449  C CG  . GLU A 1 691 ? 291.028 -54.081  219.685 1.0 46.172    ? 691 GLU D CG  691 GLU D CG  1 
ATOM 5450  C CD  . GLU A 1 691 ? 291.204 -53.301  220.954 1.0 46.172    ? 691 GLU D CD  691 GLU D CD  1 
ATOM 5451  O OE1 . GLU A 1 691 ? 290.288 -52.548  221.334 1.0 46.172    ? 691 GLU D OE1 691 GLU D OE1 1 
ATOM 5452  O OE2 . GLU A 1 691 ? 292.282 -53.439  221.565 1.0 46.172    ? 691 GLU D OE2 691 GLU D OE2 1 
ATOM 5453  N N   . ILE A 1 692 ? 290.564 -56.806  217.463 1.0 41.20036  ? 692 ILE D N   692 ILE D N   1 
ATOM 5454  C CA  . ILE A 1 692 ? 290.498 -58.258  217.558 1.0 41.20036  ? 692 ILE D CA  692 ILE D CA  1 
ATOM 5455  C C   . ILE A 1 692 ? 290.898 -58.733  218.946 1.0 41.20036  ? 692 ILE D C   692 ILE D C   1 
ATOM 5456  O O   . ILE A 1 692 ? 290.163 -59.488  219.589 1.0 41.20036  ? 692 ILE D O   692 ILE D O   1 
ATOM 5457  C CB  . ILE A 1 692 ? 291.357 -58.897  216.457 1.0 41.20036  ? 692 ILE D CB  692 ILE D CB  1 
ATOM 5458  C CG1 . ILE A 1 692 ? 290.723 -58.605  215.101 1.0 41.20036  ? 692 ILE D CG1 692 ILE D CG1 1 
ATOM 5459  C CG2 . ILE A 1 692 ? 291.497 -60.384  216.682 1.0 41.20036  ? 692 ILE D CG2 692 ILE D CG2 1 
ATOM 5460  C CD1 . ILE A 1 692 ? 291.586 -58.914  213.939 1.0 41.20036  ? 692 ILE D CD1 692 ILE D CD1 1 
ATOM 5461  N N   . LYS A 1 693 ? 292.055 -58.303  219.439 1.0 42.42164  ? 693 LYS D N   693 LYS D N   1 
ATOM 5462  C CA  . LYS A 1 693 ? 292.473 -58.688  220.776 1.0 42.42164  ? 693 LYS D CA  693 LYS D CA  1 
ATOM 5463  C C   . LYS A 1 693 ? 293.178 -57.526  221.456 1.0 42.42164  ? 693 LYS D C   693 LYS D C   1 
ATOM 5464  O O   . LYS A 1 693 ? 293.773 -56.667  220.803 1.0 42.42164  ? 693 LYS D O   693 LYS D O   1 
ATOM 5465  C CB  . LYS A 1 693 ? 293.379 -59.926  220.760 1.0 42.42164  ? 693 LYS D CB  693 LYS D CB  1 
ATOM 5466  C CG  . LYS A 1 693 ? 294.770 -59.720  220.203 1.0 42.42164  ? 693 LYS D CG  693 LYS D CG  1 
ATOM 5467  C CD  . LYS A 1 693 ? 295.544 -61.027  220.187 1.0 42.42164  ? 693 LYS D CD  693 LYS D CD  1 
ATOM 5468  C CE  . LYS A 1 693 ? 296.928 -60.854  219.600 1.0 42.42164  ? 693 LYS D CE  693 LYS D CE  1 
ATOM 5469  N NZ  . LYS A 1 693 ? 297.776 -59.995  220.461 1.0 42.42164  ? 693 LYS D NZ  693 LYS D NZ  1 
ATOM 5470  N N   . ARG A 1 694 ? 293.079 -57.501  222.781 1.0 51.58504  ? 694 ARG D N   694 ARG D N   1 
ATOM 5471  C CA  . ARG A 1 694 ? 293.716 -56.491  223.603 1.0 51.58504  ? 694 ARG D CA  694 ARG D CA  1 
ATOM 5472  C C   . ARG A 1 694 ? 294.444 -57.200  224.738 1.0 51.58504  ? 694 ARG D C   694 ARG D C   1 
ATOM 5473  O O   . ARG A 1 694 ? 293.863 -58.096  225.373 1.0 51.58504  ? 694 ARG D O   694 ARG D O   1 
ATOM 5474  C CB  . ARG A 1 694 ? 292.687 -55.502  224.159 1.0 51.58504  ? 694 ARG D CB  694 ARG D CB  1 
ATOM 5475  C CG  . ARG A 1 694 ? 293.297 -54.347  224.928 1.0 51.58504  ? 694 ARG D CG  694 ARG D CG  1 
ATOM 5476  C CD  . ARG A 1 694 ? 292.246 -53.410  225.492 1.0 51.58504  ? 694 ARG D CD  694 ARG D CD  1 
ATOM 5477  N NE  . ARG A 1 694 ? 291.542 -52.656  224.462 1.0 51.58504  ? 694 ARG D NE  694 ARG D NE  1 
ATOM 5478  C CZ  . ARG A 1 694 ? 291.977 -51.506  223.957 1.0 51.58504  ? 694 ARG D CZ  694 ARG D CZ  1 
ATOM 5479  N NH1 . ARG A 1 694 ? 293.118 -50.984  224.380 1.0 51.58504  ? 694 ARG D NH1 694 ARG D NH1 1 
ATOM 5480  N NH2 . ARG A 1 694 ? 291.274 -50.879  223.027 1.0 51.58504  ? 694 ARG D NH2 694 ARG D NH2 1 
ATOM 5481  N N   . PRO A 1 695 ? 295.702 -56.859  225.010 1.0 55.76944  ? 695 PRO D N   695 PRO D N   1 
ATOM 5482  C CA  . PRO A 1 695 ? 296.407 -57.478  226.137 1.0 55.76944  ? 695 PRO D CA  695 PRO D CA  1 
ATOM 5483  C C   . PRO A 1 695 ? 295.812 -57.052  227.468 1.0 55.76944  ? 695 PRO D C   695 PRO D C   1 
ATOM 5484  O O   . PRO A 1 695 ? 295.297 -55.943  227.618 1.0 55.76944  ? 695 PRO D O   695 PRO D O   1 
ATOM 5485  C CB  . PRO A 1 695 ? 297.843 -56.969  225.979 1.0 55.76944  ? 695 PRO D CB  695 PRO D CB  1 
ATOM 5486  C CG  . PRO A 1 695 ? 297.707 -55.705  225.211 1.0 55.76944  ? 695 PRO D CG  695 PRO D CG  1 
ATOM 5487  C CD  . PRO A 1 695 ? 296.561 -55.917  224.273 1.0 55.76944  ? 695 PRO D CD  695 PRO D CD  1 
ATOM 5488  N N   . ILE A 1 696 ? 295.886 -57.959  228.444 1.0 56.51158  ? 696 ILE D N   696 ILE D N   1 
ATOM 5489  C CA  . ILE A 1 696 ? 295.093 -57.804  229.659 1.0 56.51158  ? 696 ILE D CA  696 ILE D CA  1 
ATOM 5490  C C   . ILE A 1 696 ? 295.667 -56.777  230.628 1.0 56.51158  ? 696 ILE D C   696 ILE D C   1 
ATOM 5491  O O   . ILE A 1 696 ? 294.960 -56.349  231.548 1.0 56.51158  ? 696 ILE D O   696 ILE D O   1 
ATOM 5492  C CB  . ILE A 1 696 ? 294.902 -59.178  230.327 1.0 56.51158  ? 696 ILE D CB  696 ILE D CB  1 
ATOM 5493  C CG1 . ILE A 1 696 ? 296.234 -59.898  230.573 1.0 56.51158  ? 696 ILE D CG1 696 ILE D CG1 1 
ATOM 5494  C CG2 . ILE A 1 696 ? 293.999 -60.044  229.478 1.0 56.51158  ? 696 ILE D CG2 696 ILE D CG2 1 
ATOM 5495  C CD1 . ILE A 1 696 ? 296.838 -59.714  231.963 1.0 56.51158  ? 696 ILE D CD1 696 ILE D CD1 1 
ATOM 5496  N N   . ASN A 1 697 ? 296.930 -56.381  230.468 1.0 60.40566  ? 697 ASN D N   697 ASN D N   1 
ATOM 5497  C CA  . ASN A 1 697 ? 297.475 -55.343  231.334 1.0 60.40566  ? 697 ASN D CA  697 ASN D CA  1 
ATOM 5498  C C   . ASN A 1 697 ? 296.913 -53.971  230.974 1.0 60.40566  ? 697 ASN D C   697 ASN D C   1 
ATOM 5499  O O   . ASN A 1 697 ? 296.574 -53.181  231.862 1.0 60.40566  ? 697 ASN D O   697 ASN D O   1 
ATOM 5500  C CB  . ASN A 1 697 ? 299.006 -55.362  231.278 1.0 60.40566  ? 697 ASN D CB  697 ASN D CB  1 
ATOM 5501  C CG  . ASN A 1 697 ? 299.555 -55.276  229.862 1.0 60.40566  ? 697 ASN D CG  697 ASN D CG  1 
ATOM 5502  O OD1 . ASN A 1 697 ? 298.810 -55.159  228.892 1.0 60.40566  ? 697 ASN D OD1 697 ASN D OD1 1 
ATOM 5503  N ND2 . ASN A 1 697 ? 300.876 -55.323  229.743 1.0 60.40566  ? 697 ASN D ND2 697 ASN D ND2 1 
ATOM 5504  N N   . GLN A 1 698 ? 296.789 -53.677  229.682 1.0 61.33946  ? 698 GLN D N   698 GLN D N   1 
ATOM 5505  C CA  . GLN A 1 698 ? 296.151 -52.442  229.253 1.0 61.33946  ? 698 GLN D CA  698 GLN D CA  1 
ATOM 5506  C C   . GLN A 1 698 ? 294.636 -52.545  229.220 1.0 61.33946  ? 698 GLN D C   698 GLN D C   1 
ATOM 5507  O O   . GLN A 1 698 ? 293.964 -51.514  229.114 1.0 61.33946  ? 698 GLN D O   698 GLN D O   1 
ATOM 5508  C CB  . GLN A 1 698 ? 296.652 -52.036  227.869 1.0 61.33946  ? 698 GLN D CB  698 GLN D CB  1 
ATOM 5509  C CG  . GLN A 1 698 ? 298.100 -51.619  227.831 1.0 61.33946  ? 698 GLN D CG  698 GLN D CG  1 
ATOM 5510  C CD  . GLN A 1 698 ? 298.532 -51.234  226.439 1.0 61.33946  ? 698 GLN D CD  698 GLN D CD  1 
ATOM 5511  O OE1 . GLN A 1 698 ? 297.749 -51.322  225.495 1.0 61.33946  ? 698 GLN D OE1 698 GLN D OE1 1 
ATOM 5512  N NE2 . GLN A 1 698 ? 299.783 -50.815  226.298 1.0 61.33946  ? 698 GLN D NE2 698 GLN D NE2 1 
ATOM 5513  N N   . ASP A 1 699 ? 294.084 -53.750  229.307 1.0 57.31589  ? 699 ASP D N   699 ASP D N   1 
ATOM 5514  C CA  . ASP A 1 699 ? 292.638 -53.924  229.226 1.0 57.31589  ? 699 ASP D CA  699 ASP D CA  1 
ATOM 5515  C C   . ASP A 1 699 ? 292.011 -53.567  230.563 1.0 57.31589  ? 699 ASP D C   699 ASP D C   1 
ATOM 5516  O O   . ASP A 1 699 ? 291.795 -54.417  231.428 1.0 57.31589  ? 699 ASP D O   699 ASP D O   1 
ATOM 5517  C CB  . ASP A 1 699 ? 292.271 -55.342  228.822 1.0 57.31589  ? 699 ASP D CB  699 ASP D CB  1 
ATOM 5518  C CG  . ASP A 1 699 ? 290.781 -55.515  228.629 1.0 57.31589  ? 699 ASP D CG  699 ASP D CG  1 
ATOM 5519  O OD1 . ASP A 1 699 ? 290.255 -55.054  227.595 1.0 57.31589  ? 699 ASP D OD1 699 ASP D OD1 1 
ATOM 5520  O OD2 . ASP A 1 699 ? 290.131 -56.095  229.520 1.0 57.31589  ? 699 ASP D OD2 699 ASP D OD2 1 
ATOM 5521  N N   . ALA A 1 700 ? 291.714 -52.286  230.732 1.0 56.57664  ? 700 ALA D N   700 ALA D N   1 
ATOM 5522  C CA  . ALA A 1 700 ? 290.698 -51.907  231.691 1.0 56.57664  ? 700 ALA D CA  700 ALA D CA  1 
ATOM 5523  C C   . ALA A 1 700 ? 289.325 -52.133  231.068 1.0 56.57664  ? 700 ALA D C   700 ALA D C   1 
ATOM 5524  O O   . ALA A 1 700 ? 289.207 -52.505  229.898 1.0 56.57664  ? 700 ALA D O   700 ALA D O   1 
ATOM 5525  C CB  . ALA A 1 700 ? 290.875 -50.455  232.125 1.0 56.57664  ? 700 ALA D CB  700 ALA D CB  1 
ATOM 5526  N N   . GLU A 1 701 ? 288.286 -51.950  231.891 1.0 53.29991  ? 701 GLU D N   701 GLU D N   1 
ATOM 5527  C CA  . GLU A 1 701 ? 286.849 -52.098  231.576 1.0 53.29991  ? 701 GLU D CA  701 GLU D CA  1 
ATOM 5528  C C   . GLU A 1 701 ? 286.490 -53.420  230.870 1.0 53.29991  ? 701 GLU D C   701 GLU D C   1 
ATOM 5529  O O   . GLU A 1 701 ? 285.469 -53.496  230.182 1.0 53.29991  ? 701 GLU D O   701 GLU D O   1 
ATOM 5530  C CB  . GLU A 1 701 ? 286.286 -50.884  230.803 1.0 53.29991  ? 701 GLU D CB  701 GLU D CB  1 
ATOM 5531  C CG  . GLU A 1 701 ? 286.728 -50.607  229.368 1.0 53.29991  ? 701 GLU D CG  701 GLU D CG  1 
ATOM 5532  C CD  . GLU A 1 701 ? 286.099 -49.351  228.807 1.0 53.29991  ? 701 GLU D CD  701 GLU D CD  1 
ATOM 5533  O OE1 . GLU A 1 701 ? 285.277 -48.733  229.514 1.0 53.29991  ? 701 GLU D OE1 701 GLU D OE1 1 
ATOM 5534  O OE2 . GLU A 1 701 ? 286.439 -48.969  227.670 1.0 53.29991  ? 701 GLU D OE2 701 GLU D OE2 1 
ATOM 5535  N N   . GLY A 1 702 ? 287.310 -54.459  231.053 1.0 50.04737  ? 702 GLY D N   702 GLY D N   1 
ATOM 5536  C CA  . GLY A 1 702 ? 286.996 -55.855  230.786 1.0 50.04737  ? 702 GLY D CA  702 GLY D CA  1 
ATOM 5537  C C   . GLY A 1 702 ? 286.361 -56.290  229.480 1.0 50.04737  ? 702 GLY D C   702 GLY D C   1 
ATOM 5538  O O   . GLY A 1 702 ? 285.347 -56.992  229.499 1.0 50.04737  ? 702 GLY D O   702 GLY D O   1 
ATOM 5539  N N   . ASN A 1 703 ? 286.931 -55.903  228.344 1.0 48.62648  ? 703 ASN D N   703 ASN D N   1 
ATOM 5540  C CA  . ASN A 1 703 ? 286.412 -56.333  227.047 1.0 48.62648  ? 703 ASN D CA  703 ASN D CA  1 
ATOM 5541  C C   . ASN A 1 703 ? 287.239 -57.501  226.511 1.0 48.62648  ? 703 ASN D C   703 ASN D C   1 
ATOM 5542  O O   . ASN A 1 703 ? 287.933 -57.401  225.505 1.0 48.62648  ? 703 ASN D O   703 ASN D O   1 
ATOM 5543  C CB  . ASN A 1 703 ? 286.395 -55.162  226.073 1.0 48.62648  ? 703 ASN D CB  703 ASN D CB  1 
ATOM 5544  C CG  . ASN A 1 703 ? 285.435 -54.072  226.496 1.0 48.62648  ? 703 ASN D CG  703 ASN D CG  1 
ATOM 5545  O OD1 . ASN A 1 703 ? 285.846 -52.962  226.827 1.0 48.62648  ? 703 ASN D OD1 703 ASN D OD1 1 
ATOM 5546  N ND2 . ASN A 1 703 ? 284.146 -54.385  226.494 1.0 48.62648  ? 703 ASN D ND2 703 ASN D ND2 1 
ATOM 5547  N N   . ASP A 1 704 ? 287.138 -58.631  227.209 1.0 47.57444  ? 704 ASP D N   704 ASP D N   1 
ATOM 5548  C CA  . ASP A 1 704 ? 287.856 -59.851  226.856 1.0 47.57444  ? 704 ASP D CA  704 ASP D CA  1 
ATOM 5549  C C   . ASP A 1 704 ? 286.932 -61.040  227.047 1.0 47.57444  ? 704 ASP D C   704 ASP D C   1 
ATOM 5550  O O   . ASP A 1 704 ? 286.352 -61.198  228.124 1.0 47.57444  ? 704 ASP D O   704 ASP D O   1 
ATOM 5551  C CB  . ASP A 1 704 ? 289.104 -60.026  227.721 1.0 47.57444  ? 704 ASP D CB  704 ASP D CB  1 
ATOM 5552  C CG  . ASP A 1 704 ? 290.209 -59.067  227.358 1.0 47.57444  ? 704 ASP D CG  704 ASP D CG  1 
ATOM 5553  O OD1 . ASP A 1 704 ? 290.355 -58.741  226.165 1.0 47.57444  ? 704 ASP D OD1 704 ASP D OD1 1 
ATOM 5554  O OD2 . ASP A 1 704 ? 290.941 -58.640  228.272 1.0 47.57444  ? 704 ASP D OD2 704 ASP D OD2 1 
ATOM 5555  N N   . THR A 1 705 ? 286.772 -61.866  226.020 1.0 45.99237  ? 705 THR D N   705 THR D N   1 
ATOM 5556  C CA  . THR A 1 705 ? 285.932 -63.049  226.124 1.0 45.99237  ? 705 THR D CA  705 THR D CA  1 
ATOM 5557  C C   . THR A 1 705 ? 286.760 -64.265  226.488 1.0 45.99237  ? 705 THR D C   705 THR D C   1 
ATOM 5558  O O   . THR A 1 705 ? 287.992 -64.236  226.484 1.0 45.99237  ? 705 THR D O   705 THR D O   1 
ATOM 5559  C CB  . THR A 1 705 ? 285.210 -63.352  224.814 1.0 45.99237  ? 705 THR D CB  705 THR D CB  1 
ATOM 5560  O OG1 . THR A 1 705 ? 286.180 -63.626  223.798 1.0 45.99237  ? 705 THR D OG1 705 THR D OG1 1 
ATOM 5561  C CG2 . THR A 1 705 ? 284.365 -62.206  224.394 1.0 45.99237  ? 705 THR D CG2 705 THR D CG2 1 
ATOM 5562  N N   . MET A 1 706 ? 286.049 -65.343  226.820 1.0 46.86959  ? 706 MET D N   706 MET D N   1 
ATOM 5563  C CA  . MET A 1 706 ? 286.527 -66.723  226.777 1.0 46.86959  ? 706 MET D CA  706 MET D CA  1 
ATOM 5564  C C   . MET A 1 706 ? 287.684 -67.001  227.724 1.0 46.86959  ? 706 MET D C   706 MET D C   1 
ATOM 5565  O O   . MET A 1 706 ? 288.345 -68.035  227.579 1.0 46.86959  ? 706 MET D O   706 MET D O   1 
ATOM 5566  C CB  . MET A 1 706 ? 286.946 -67.104  225.358 1.0 46.86959  ? 706 MET D CB  706 MET D CB  1 
ATOM 5567  C CG  . MET A 1 706 ? 285.851 -67.066  224.319 1.0 46.86959  ? 706 MET D CG  706 MET D CG  1 
ATOM 5568  S SD  . MET A 1 706 ? 284.607 -68.336  224.530 1.0 46.86959  ? 706 MET D SD  706 MET D SD  1 
ATOM 5569  C CE  . MET A 1 706 ? 285.529 -69.800  224.088 1.0 46.86959  ? 706 MET D CE  706 MET D CE  1 
ATOM 5570  N N   . GLN A 1 707 ? 287.923 -66.111  228.691 1.0 46.93515  ? 707 GLN D N   707 GLN D N   1 
ATOM 5571  C CA  . GLN A 1 707 ? 289.151 -66.046  229.483 1.0 46.93515  ? 707 GLN D CA  707 GLN D CA  1 
ATOM 5572  C C   . GLN A 1 707 ? 290.384 -66.035  228.578 1.0 46.93515  ? 707 GLN D C   707 GLN D C   1 
ATOM 5573  O O   . GLN A 1 707 ? 291.277 -66.875  228.689 1.0 46.93515  ? 707 GLN D O   707 GLN D O   1 
ATOM 5574  C CB  . GLN A 1 707 ? 289.214 -67.180  230.508 1.0 46.93515  ? 707 GLN D CB  707 GLN D CB  1 
ATOM 5575  C CG  . GLN A 1 707 ? 288.017 -67.208  231.432 1.0 46.93515  ? 707 GLN D CG  707 GLN D CG  1 
ATOM 5576  C CD  . GLN A 1 707 ? 288.124 -68.269  232.494 1.0 46.93515  ? 707 GLN D CD  707 GLN D CD  1 
ATOM 5577  O OE1 . GLN A 1 707 ? 289.141 -68.945  232.608 1.0 46.93515  ? 707 GLN D OE1 707 GLN D OE1 1 
ATOM 5578  N NE2 . GLN A 1 707 ? 287.058 -68.451  233.256 1.0 46.93515  ? 707 GLN D NE2 707 GLN D NE2 1 
ATOM 5579  N N   . SER A 1 708 ? 290.417 -65.073  227.663 1.0 45.9671   ? 708 SER D N   708 SER D N   1 
ATOM 5580  C CA  . SER A 1 708 ? 291.503 -64.946  226.696 1.0 45.9671   ? 708 SER D CA  708 SER D CA  1 
ATOM 5581  C C   . SER A 1 708 ? 291.655 -63.471  226.340 1.0 45.9671   ? 708 SER D C   708 SER D C   1 
ATOM 5582  O O   . SER A 1 708 ? 291.166 -62.595  227.058 1.0 45.9671   ? 708 SER D O   708 SER D O   1 
ATOM 5583  C CB  . SER A 1 708 ? 291.229 -65.823  225.467 1.0 45.9671   ? 708 SER D CB  708 SER D CB  1 
ATOM 5584  O OG  . SER A 1 708 ? 290.105 -65.344  224.758 1.0 45.9671   ? 708 SER D OG  708 SER D OG  1 
ATOM 5585  N N   . ASN A 1 709 ? 292.346 -63.192  225.235 1.0 45.02523  ? 709 ASN D N   709 ASN D N   1 
ATOM 5586  C CA  . ASN A 1 709 ? 292.503 -61.824  224.759 1.0 45.02523  ? 709 ASN D CA  709 ASN D CA  1 
ATOM 5587  C C   . ASN A 1 709 ? 291.378 -61.366  223.844 1.0 45.02523  ? 709 ASN D C   709 ASN D C   1 
ATOM 5588  O O   . ASN A 1 709 ? 291.272 -60.164  223.585 1.0 45.02523  ? 709 ASN D O   709 ASN D O   1 
ATOM 5589  C CB  . ASN A 1 709 ? 293.817 -61.659  223.994 1.0 45.02523  ? 709 ASN D CB  709 ASN D CB  1 
ATOM 5590  C CG  . ASN A 1 709 ? 295.019 -61.703  224.885 1.0 45.02523  ? 709 ASN D CG  709 ASN D CG  1 
ATOM 5591  O OD1 . ASN A 1 709 ? 294.993 -61.206  226.006 1.0 45.02523  ? 709 ASN D OD1 709 ASN D OD1 1 
ATOM 5592  N ND2 . ASN A 1 709 ? 296.103 -62.265  224.378 1.0 45.02523  ? 709 ASN D ND2 709 ASN D ND2 1 
ATOM 5593  N N   . LEU A 1 710 ? 290.560 -62.287  223.341 1.0 42.1136   ? 710 LEU D N   710 LEU D N   1 
ATOM 5594  C CA  . LEU A 1 710 ? 289.593 -61.964  222.299 1.0 42.1136   ? 710 LEU D CA  710 LEU D CA  1 
ATOM 5595  C C   . LEU A 1 710 ? 288.465 -61.112  222.866 1.0 42.1136   ? 710 LEU D C   710 LEU D C   1 
ATOM 5596  O O   . LEU A 1 710 ? 287.914 -61.420  223.925 1.0 42.1136   ? 710 LEU D O   710 LEU D O   1 
ATOM 5597  C CB  . LEU A 1 710 ? 289.045 -63.251  221.693 1.0 42.1136   ? 710 LEU D CB  710 LEU D CB  1 
ATOM 5598  C CG  . LEU A 1 710 ? 288.174 -63.183  220.445 1.0 42.1136   ? 710 LEU D CG  710 LEU D CG  1 
ATOM 5599  C CD1 . LEU A 1 710 ? 288.971 -62.657  219.274 1.0 42.1136   ? 710 LEU D CD1 710 LEU D CD1 1 
ATOM 5600  C CD2 . LEU A 1 710 ? 287.621 -64.556  220.135 1.0 42.1136   ? 710 LEU D CD2 710 LEU D CD2 1 
ATOM 5601  N N   . THR A 1 711 ? 288.123 -60.043  222.154 1.0 41.78723  ? 711 THR D N   711 THR D N   1 
ATOM 5602  C CA  . THR A 1 711 ? 287.295 -58.981  222.699 1.0 41.78723  ? 711 THR D CA  711 THR D CA  1 
ATOM 5603  C C   . THR A 1 711 ? 285.812 -59.323  222.621 1.0 41.78723  ? 711 THR D C   711 THR D C   1 
ATOM 5604  O O   . THR A 1 711 ? 285.385 -60.230  221.904 1.0 41.78723  ? 711 THR D O   711 THR D O   1 
ATOM 5605  C CB  . THR A 1 711 ? 287.564 -57.674  221.965 1.0 41.78723  ? 711 THR D CB  711 THR D CB  1 
ATOM 5606  O OG1 . THR A 1 711 ? 287.254 -57.838  220.579 1.0 41.78723  ? 711 THR D OG1 711 THR D OG1 1 
ATOM 5607  C CG2 . THR A 1 711 ? 289.015 -57.294  222.099 1.0 41.78723  ? 711 THR D CG2 711 THR D CG2 1 
ATOM 5608  N N   . LYS A 1 712 ? 285.021 -58.562  223.383 1.0 43.06512  ? 712 LYS D N   712 LYS D N   1 
ATOM 5609  C CA  . LYS A 1 712 ? 283.573 -58.726  223.377 1.0 43.06512  ? 712 LYS D CA  712 LYS D CA  1 
ATOM 5610  C C   . LYS A 1 712 ? 282.973 -58.325  222.040 1.0 43.06512  ? 712 LYS D C   712 LYS D C   1 
ATOM 5611  O O   . LYS A 1 712 ? 281.935 -58.864  221.643 1.0 43.06512  ? 712 LYS D O   712 LYS D O   1 
ATOM 5612  C CB  . LYS A 1 712 ? 282.943 -57.896  224.496 1.0 43.06512  ? 712 LYS D CB  712 LYS D CB  1 
ATOM 5613  C CG  . LYS A 1 712 ? 283.351 -58.274  225.919 1.0 43.06512  ? 712 LYS D CG  712 LYS D CG  1 
ATOM 5614  C CD  . LYS A 1 712 ? 282.767 -59.610  226.328 1.0 43.06512  ? 712 LYS D CD  712 LYS D CD  1 
ATOM 5615  C CE  . LYS A 1 712 ? 282.920 -59.883  227.794 1.0 43.06512  ? 712 LYS D CE  712 LYS D CE  1 
ATOM 5616  N NZ  . LYS A 1 712 ? 284.292 -59.893  228.270 1.0 43.06512  ? 712 LYS D NZ  712 LYS D NZ  1 
ATOM 5617  N N   . ASP A 1 713 ? 283.605 -57.379  221.345 1.0 44.62199  ? 713 ASP D N   713 ASP D N   1 
ATOM 5618  C CA  . ASP A 1 713 ? 283.125 -56.948  220.039 1.0 44.62199  ? 713 ASP D CA  713 ASP D CA  1 
ATOM 5619  C C   . ASP A 1 713 ? 283.309 -58.041  219.001 1.0 44.62199  ? 713 ASP D C   713 ASP D C   1 
ATOM 5620  O O   . ASP A 1 713 ? 282.385 -58.355  218.245 1.0 44.62199  ? 713 ASP D O   713 ASP D O   1 
ATOM 5621  C CB  . ASP A 1 713 ? 283.869 -55.685  219.608 1.0 44.62199  ? 713 ASP D CB  713 ASP D CB  1 
ATOM 5622  C CG  . ASP A 1 713 ? 283.419 -54.456  220.361 1.0 44.62199  ? 713 ASP D CG  713 ASP D CG  1 
ATOM 5623  O OD1 . ASP A 1 713 ? 282.218 -54.373  220.676 1.0 44.62199  ? 713 ASP D OD1 713 ASP D OD1 1 
ATOM 5624  O OD2 . ASP A 1 713 ? 284.266 -53.585  220.645 1.0 44.62199  ? 713 ASP D OD2 713 ASP D OD2 1 
ATOM 5625  N N   . PHE A 1 714 ? 284.490 -58.647  218.968 1.0 38.88039  ? 714 PHE D N   714 PHE D N   1 
ATOM 5626  C CA  . PHE A 1 714 ? 284.893 -59.445  217.824 1.0 38.88039  ? 714 PHE D CA  714 PHE D CA  1 
ATOM 5627  C C   . PHE A 1 714 ? 284.599 -60.924  217.996 1.0 38.88039  ? 714 PHE D C   714 PHE D C   1 
ATOM 5628  O O   . PHE A 1 714 ? 284.514 -61.642  216.998 1.0 38.88039  ? 714 PHE D O   714 PHE D O   1 
ATOM 5629  C CB  . PHE A 1 714 ? 286.376 -59.213  217.563 1.0 38.88039  ? 714 PHE D CB  714 PHE D CB  1 
ATOM 5630  C CG  . PHE A 1 714 ? 286.849 -59.725  216.252 1.0 38.88039  ? 714 PHE D CG  714 PHE D CG  1 
ATOM 5631  C CD1 . PHE A 1 714 ? 286.483 -59.101  215.075 1.0 38.88039  ? 714 PHE D CD1 714 PHE D CD1 1 
ATOM 5632  C CD2 . PHE A 1 714 ? 287.692 -60.803  216.197 1.0 38.88039  ? 714 PHE D CD2 714 PHE D CD2 1 
ATOM 5633  C CE1 . PHE A 1 714 ? 286.939 -59.572  213.853 1.0 38.88039  ? 714 PHE D CE1 714 PHE D CE1 1 
ATOM 5634  C CE2 . PHE A 1 714 ? 288.161 -61.261  215.000 1.0 38.88039  ? 714 PHE D CE2 714 PHE D CE2 1 
ATOM 5635  C CZ  . PHE A 1 714 ? 287.773 -60.653  213.833 1.0 38.88039  ? 714 PHE D CZ  714 PHE D CZ  1 
ATOM 5636  N N   . PHE A 1 715 ? 284.427 -61.394  219.228 1.0 39.7302   ? 715 PHE D N   715 PHE D N   1 
ATOM 5637  C CA  . PHE A 1 715 ? 283.891 -62.735  219.422 1.0 39.7302   ? 715 PHE D CA  715 PHE D CA  1 
ATOM 5638  C C   . PHE A 1 715 ? 282.421 -62.795  219.040 1.0 39.7302   ? 715 PHE D C   715 PHE D C   1 
ATOM 5639  O O   . PHE A 1 715 ? 281.935 -63.842  218.605 1.0 39.7302   ? 715 PHE D O   715 PHE D O   1 
ATOM 5640  C CB  . PHE A 1 715 ? 284.092 -63.166  220.872 1.0 39.7302   ? 715 PHE D CB  715 PHE D CB  1 
ATOM 5641  C CG  . PHE A 1 715 ? 283.552 -64.527  221.188 1.0 39.7302   ? 715 PHE D CG  715 PHE D CG  1 
ATOM 5642  C CD1 . PHE A 1 715 ? 284.240 -65.665  220.817 1.0 39.7302   ? 715 PHE D CD1 715 PHE D CD1 1 
ATOM 5643  C CD2 . PHE A 1 715 ? 282.355 -64.666  221.864 1.0 39.7302   ? 715 PHE D CD2 715 PHE D CD2 1 
ATOM 5644  C CE1 . PHE A 1 715 ? 283.740 -66.919  221.113 1.0 39.7302   ? 715 PHE D CE1 715 PHE D CE1 1 
ATOM 5645  C CE2 . PHE A 1 715 ? 281.850 -65.913  222.155 1.0 39.7302   ? 715 PHE D CE2 715 PHE D CE2 1 
ATOM 5646  C CZ  . PHE A 1 715 ? 282.543 -67.040  221.782 1.0 39.7302   ? 715 PHE D CZ  715 PHE D CZ  1 
ATOM 5647  N N   . MET A 1 716 ? 281.705 -61.680  219.184 1.0 42.28608  ? 716 MET D N   716 MET D N   1 
ATOM 5648  C CA  . MET A 1 716 ? 280.311 -61.621  218.766 1.0 42.28608  ? 716 MET D CA  716 MET D CA  1 
ATOM 5649  C C   . MET A 1 716 ? 280.189 -61.636  217.248 1.0 42.28608  ? 716 MET D C   716 MET D C   1 
ATOM 5650  O O   . MET A 1 716 ? 279.202 -62.150  216.715 1.0 42.28608  ? 716 MET D O   716 MET D O   1 
ATOM 5651  C CB  . MET A 1 716 ? 279.657 -60.372  219.368 1.0 42.28608  ? 716 MET D CB  716 MET D CB  1 
ATOM 5652  C CG  . MET A 1 716 ? 278.163 -60.213  219.139 1.0 42.28608  ? 716 MET D CG  716 MET D CG  1 
ATOM 5653  S SD  . MET A 1 716 ? 277.737 -59.270  217.665 1.0 42.28608  ? 716 MET D SD  716 MET D SD  1 
ATOM 5654  C CE  . MET A 1 716 ? 275.968 -59.510  217.621 1.0 42.28608  ? 716 MET D CE  716 MET D CE  1 
ATOM 5655  N N   . VAL A 1 717 ? 281.181 -61.092  216.540 1.0 38.73345  ? 717 VAL D N   717 VAL D N   1 
ATOM 5656  C CA  . VAL A 1 717 ? 281.152 -61.094  215.080 1.0 38.73345  ? 717 VAL D CA  717 VAL D CA  1 
ATOM 5657  C C   . VAL A 1 717 ? 281.380 -62.501  214.543 1.0 38.73345  ? 717 VAL D C   717 VAL D C   1 
ATOM 5658  O O   . VAL A 1 717 ? 280.699 -62.941  213.609 1.0 38.73345  ? 717 VAL D O   717 VAL D O   1 
ATOM 5659  C CB  . VAL A 1 717 ? 282.191 -60.097  214.534 1.0 38.73345  ? 717 VAL D CB  717 VAL D CB  1 
ATOM 5660  C CG1 . VAL A 1 717 ? 282.278 -60.168  213.028 1.0 38.73345  ? 717 VAL D CG1 717 VAL D CG1 1 
ATOM 5661  C CG2 . VAL A 1 717 ? 281.835 -58.696  214.957 1.0 38.73345  ? 717 VAL D CG2 717 VAL D CG2 1 
ATOM 5662  N N   . GLN A 1 718 ? 282.311 -63.241  215.148 1.0 37.34039  ? 718 GLN D N   718 GLN D N   1 
ATOM 5663  C CA  . GLN A 1 718 ? 282.670 -64.557  214.633 1.0 37.34039  ? 718 GLN D CA  718 GLN D CA  1 
ATOM 5664  C C   . GLN A 1 718 ? 281.578 -65.583  214.898 1.0 37.34039  ? 718 GLN D C   718 GLN D C   1 
ATOM 5665  O O   . GLN A 1 718 ? 281.346 -66.472  214.073 1.0 37.34039  ? 718 GLN D O   718 GLN D O   1 
ATOM 5666  C CB  . GLN A 1 718 ? 283.988 -65.011  215.247 1.0 37.34039  ? 718 GLN D CB  718 GLN D CB  1 
ATOM 5667  C CG  . GLN A 1 718 ? 285.128 -64.103  214.902 1.0 37.34039  ? 718 GLN D CG  718 GLN D CG  1 
ATOM 5668  C CD  . GLN A 1 718 ? 285.401 -64.089  213.428 1.0 37.34039  ? 718 GLN D CD  718 GLN D CD  1 
ATOM 5669  O OE1 . GLN A 1 718 ? 285.390 -65.127  212.778 1.0 37.34039  ? 718 GLN D OE1 718 GLN D OE1 1 
ATOM 5670  N NE2 . GLN A 1 718 ? 285.618 -62.908  212.879 1.0 37.34039  ? 718 GLN D NE2 718 GLN D NE2 1 
ATOM 5671  N N   . MET A 1 719 ? 280.898 -65.482  216.039 1.0 38.46971  ? 719 MET D N   719 MET D N   1 
ATOM 5672  C CA  . MET A 1 719 ? 279.810 -66.406  216.325 1.0 38.46971  ? 719 MET D CA  719 MET D CA  1 
ATOM 5673  C C   . MET A 1 719 ? 278.559 -66.080  215.526 1.0 38.46971  ? 719 MET D C   719 MET D C   1 
ATOM 5674  O O   . MET A 1 719 ? 277.742 -66.972  215.286 1.0 38.46971  ? 719 MET D O   719 MET D O   1 
ATOM 5675  C CB  . MET A 1 719 ? 279.492 -66.400  217.815 1.0 38.46971  ? 719 MET D CB  719 MET D CB  1 
ATOM 5676  C CG  . MET A 1 719 ? 280.632 -66.877  218.674 1.0 38.46971  ? 719 MET D CG  719 MET D CG  1 
ATOM 5677  S SD  . MET A 1 719 ? 281.129 -68.565  218.331 1.0 38.46971  ? 719 MET D SD  719 MET D SD  1 
ATOM 5678  C CE  . MET A 1 719 ? 279.746 -69.443  219.026 1.0 38.46971  ? 719 MET D CE  719 MET D CE  1 
ATOM 5679  N N   . ALA A 1 720 ? 278.393 -64.830  215.105 1.0 37.16302  ? 720 ALA D N   720 ALA D N   1 
ATOM 5680  C CA  . ALA A 1 720 ? 277.257 -64.460  214.277 1.0 37.16302  ? 720 ALA D CA  720 ALA D CA  1 
ATOM 5681  C C   . ALA A 1 720 ? 277.501 -64.726  212.803 1.0 37.16302  ? 720 ALA D C   720 ALA D C   1 
ATOM 5682  O O   . ALA A 1 720 ? 276.547 -64.972  212.060 1.0 37.16302  ? 720 ALA D O   720 ALA D O   1 
ATOM 5683  C CB  . ALA A 1 720 ? 276.915 -62.984  214.475 1.0 37.16302  ? 720 ALA D CB  720 ALA D CB  1 
ATOM 5684  N N   . ALA A 1 721 ? 278.756 -64.675  212.362 1.0 37.39955  ? 721 ALA D N   721 ALA D N   1 
ATOM 5685  C CA  . ALA A 1 721 ? 279.057 -64.966  210.967 1.0 37.39955  ? 721 ALA D CA  721 ALA D CA  1 
ATOM 5686  C C   . ALA A 1 721 ? 278.984 -66.457  210.690 1.0 37.39955  ? 721 ALA D C   721 ALA D C   1 
ATOM 5687  O O   . ALA A 1 721 ? 278.519 -66.876  209.625 1.0 37.39955  ? 721 ALA D O   721 ALA D O   1 
ATOM 5688  C CB  . ALA A 1 721 ? 280.440 -64.439  210.608 1.0 37.39955  ? 721 ALA D CB  721 ALA D CB  1 
ATOM 5689  N N   . SER A 1 722 ? 279.438 -67.270  211.636 1.0 37.54893  ? 722 SER D N   722 SER D N   1 
ATOM 5690  C CA  . SER A 1 722 ? 279.557 -68.701  211.416 1.0 37.54893  ? 722 SER D CA  722 SER D CA  1 
ATOM 5691  C C   . SER A 1 722 ? 278.302 -69.464  211.810 1.0 37.54893  ? 722 SER D C   722 SER D C   1 
ATOM 5692  O O   . SER A 1 722 ? 277.904 -70.397  211.107 1.0 37.54893  ? 722 SER D O   722 SER D O   1 
ATOM 5693  C CB  . SER A 1 722 ? 280.754 -69.247  212.193 1.0 37.54893  ? 722 SER D CB  722 SER D CB  1 
ATOM 5694  O OG  . SER A 1 722 ? 281.962 -68.682  211.726 1.0 37.54893  ? 722 SER D OG  722 SER D OG  1 
ATOM 5695  N N   . TYR A 1 723 ? 277.664 -69.092  212.918 1.0 38.135    ? 723 TYR D N   723 TYR D N   1 
ATOM 5696  C CA  . TYR A 1 723 ? 276.608 -69.915  213.480 1.0 38.135    ? 723 TYR D CA  723 TYR D CA  1 
ATOM 5697  C C   . TYR A 1 723 ? 275.300 -69.183  213.726 1.0 38.135    ? 723 TYR D C   723 TYR D C   1 
ATOM 5698  O O   . TYR A 1 723 ? 274.393 -69.778  214.317 1.0 38.135    ? 723 TYR D O   723 TYR D O   1 
ATOM 5699  C CB  . TYR A 1 723 ? 277.080 -70.546  214.795 1.0 38.135    ? 723 TYR D CB  723 TYR D CB  1 
ATOM 5700  C CG  . TYR A 1 723 ? 278.264 -71.453  214.610 1.0 38.135    ? 723 TYR D CG  723 TYR D CG  1 
ATOM 5701  C CD1 . TYR A 1 723 ? 278.118 -72.679  213.985 1.0 38.135    ? 723 TYR D CD1 723 TYR D CD1 1 
ATOM 5702  C CD2 . TYR A 1 723 ? 279.521 -71.096  215.074 1.0 38.135    ? 723 TYR D CD2 723 TYR D CD2 1 
ATOM 5703  C CE1 . TYR A 1 723 ? 279.192 -73.518  213.806 1.0 38.135    ? 723 TYR D CE1 723 TYR D CE1 1 
ATOM 5704  C CE2 . TYR A 1 723 ? 280.604 -71.931  214.903 1.0 38.135    ? 723 TYR D CE2 723 TYR D CE2 1 
ATOM 5705  C CZ  . TYR A 1 723 ? 280.432 -73.141  214.270 1.0 38.135    ? 723 TYR D CZ  723 TYR D CZ  1 
ATOM 5706  O OH  . TYR A 1 723 ? 281.501 -73.985  214.094 1.0 38.135    ? 723 TYR D OH  723 TYR D OH  1 
ATOM 5707  N N   . ASN A 1 724 ? 275.182 -67.923  213.289 1.0 38.73916  ? 724 ASN D N   724 ASN D N   1 
ATOM 5708  C CA  . ASN A 1 724 ? 274.007 -67.063  213.493 1.0 38.73916  ? 724 ASN D CA  724 ASN D CA  1 
ATOM 5709  C C   . ASN A 1 724 ? 273.633 -66.932  214.966 1.0 38.73916  ? 724 ASN D C   724 ASN D C   1 
ATOM 5710  O O   . ASN A 1 724 ? 272.460 -66.834  215.323 1.0 38.73916  ? 724 ASN D O   724 ASN D O   1 
ATOM 5711  C CB  . ASN A 1 724 ? 272.804 -67.536  212.678 1.0 38.73916  ? 724 ASN D CB  724 ASN D CB  1 
ATOM 5712  C CG  . ASN A 1 724 ? 272.952 -67.251  211.208 1.0 38.73916  ? 724 ASN D CG  724 ASN D CG  1 
ATOM 5713  O OD1 . ASN A 1 724 ? 273.420 -66.184  210.820 1.0 38.73916  ? 724 ASN D OD1 724 ASN D OD1 1 
ATOM 5714  N ND2 . ASN A 1 724 ? 272.545 -68.200  210.377 1.0 38.73916  ? 724 ASN D ND2 724 ASN D ND2 1 
ATOM 5715  N N   . GLN A 1 725 ? 274.637 -66.930  215.832 1.0 39.67387  ? 725 GLN D N   725 GLN D N   1 
ATOM 5716  C CA  . GLN A 1 725 ? 274.405 -66.702  217.244 1.0 39.67387  ? 725 GLN D CA  725 GLN D CA  1 
ATOM 5717  C C   . GLN A 1 725 ? 274.657 -65.236  217.560 1.0 39.67387  ? 725 GLN D C   725 GLN D C   1 
ATOM 5718  O O   . GLN A 1 725 ? 274.901 -64.416  216.677 1.0 39.67387  ? 725 GLN D O   725 GLN D O   1 
ATOM 5719  C CB  . GLN A 1 725 ? 275.262 -67.636  218.095 1.0 39.67387  ? 725 GLN D CB  725 GLN D CB  1 
ATOM 5720  C CG  . GLN A 1 725 ? 274.827 -69.077  217.979 1.0 39.67387  ? 725 GLN D CG  725 GLN D CG  1 
ATOM 5721  C CD  . GLN A 1 725 ? 275.603 -69.993  218.871 1.0 39.67387  ? 725 GLN D CD  725 GLN D CD  1 
ATOM 5722  O OE1 . GLN A 1 725 ? 276.520 -69.569  219.559 1.0 39.67387  ? 725 GLN D OE1 725 GLN D OE1 1 
ATOM 5723  N NE2 . GLN A 1 725 ? 275.234 -71.261  218.877 1.0 39.67387  ? 725 GLN D NE2 725 GLN D NE2 1 
ATOM 5724  N N   . GLY A 1 726 ? 274.592 -64.901  218.832 1.0 42.92234  ? 726 GLY D N   726 GLY D N   1 
ATOM 5725  C CA  . GLY A 1 726 ? 274.433 -63.492  219.131 1.0 42.92234  ? 726 GLY D CA  726 GLY D CA  1 
ATOM 5726  C C   . GLY A 1 726 ? 272.973 -63.099  219.109 1.0 42.92234  ? 726 GLY D C   726 GLY D C   1 
ATOM 5727  O O   . GLY A 1 726 ? 272.155 -63.689  218.404 1.0 42.92234  ? 726 GLY D O   726 GLY D O   1 
ATOM 5728  N N   . TYR A 1 727 ? 272.632 -62.150  219.992 1.0 42.57368  ? 727 TYR D N   727 TYR D N   1 
ATOM 5729  C CA  . TYR A 1 727 ? 271.309 -61.583  220.283 1.0 42.57368  ? 727 TYR D CA  727 TYR D CA  1 
ATOM 5730  C C   . TYR A 1 727 ? 270.416 -62.565  221.042 1.0 42.57368  ? 727 TYR D C   727 TYR D C   1 
ATOM 5731  O O   . TYR A 1 727 ? 269.344 -62.188  221.523 1.0 42.57368  ? 727 TYR D O   727 TYR D O   1 
ATOM 5732  C CB  . TYR A 1 727 ? 270.579 -61.113  219.018 1.0 42.57368  ? 727 TYR D CB  727 TYR D CB  1 
ATOM 5733  C CG  . TYR A 1 727 ? 271.343 -60.146  218.169 1.0 42.57368  ? 727 TYR D CG  727 TYR D CG  1 
ATOM 5734  C CD1 . TYR A 1 727 ? 271.448 -58.822  218.531 1.0 42.57368  ? 727 TYR D CD1 727 TYR D CD1 1 
ATOM 5735  C CD2 . TYR A 1 727 ? 271.931 -60.539  216.978 1.0 42.57368  ? 727 TYR D CD2 727 TYR D CD2 1 
ATOM 5736  C CE1 . TYR A 1 727 ? 272.136 -57.922  217.752 1.0 42.57368  ? 727 TYR D CE1 727 TYR D CE1 1 
ATOM 5737  C CE2 . TYR A 1 727 ? 272.617 -59.628  216.189 1.0 42.57368  ? 727 TYR D CE2 727 TYR D CE2 1 
ATOM 5738  C CZ  . TYR A 1 727 ? 272.709 -58.331  216.576 1.0 42.57368  ? 727 TYR D CZ  727 TYR D CZ  1 
ATOM 5739  O OH  . TYR A 1 727 ? 273.391 -57.408  215.817 1.0 42.57368  ? 727 TYR D OH  727 TYR D OH  1 
ATOM 5740  N N   . GLN A 1 728 ? 270.855 -63.813  221.169 1.0 42.15035  ? 728 GLN D N   728 GLN D N   1 
ATOM 5741  C CA  . GLN A 1 728 ? 270.276 -64.821  222.038 1.0 42.15035  ? 728 GLN D CA  728 GLN D CA  1 
ATOM 5742  C C   . GLN A 1 728 ? 271.451 -65.497  222.730 1.0 42.15035  ? 728 GLN D C   728 GLN D C   1 
ATOM 5743  O O   . GLN A 1 728 ? 272.589 -65.027  222.641 1.0 42.15035  ? 728 GLN D O   728 GLN D O   1 
ATOM 5744  C CB  . GLN A 1 728 ? 269.390 -65.792  221.244 1.0 42.15035  ? 728 GLN D CB  728 GLN D CB  1 
ATOM 5745  C CG  . GLN A 1 728 ? 268.119 -65.153  220.686 1.0 42.15035  ? 728 GLN D CG  728 GLN D CG  1 
ATOM 5746  C CD  . GLN A 1 728 ? 267.261 -66.104  219.876 1.0 42.15035  ? 728 GLN D CD  728 GLN D CD  1 
ATOM 5747  O OE1 . GLN A 1 728 ? 267.621 -67.260  219.661 1.0 42.15035  ? 728 GLN D OE1 728 GLN D OE1 1 
ATOM 5748  N NE2 . GLN A 1 728 ? 266.118 -65.615  219.415 1.0 42.15035  ? 728 GLN D NE2 728 GLN D NE2 1 
ATOM 5749  N N   . GLY A 1 729 ? 271.191 -66.602  223.421 1.0 43.3443   ? 729 GLY D N   729 GLY D N   1 
ATOM 5750  C CA  . GLY A 1 729 ? 272.235 -67.226  224.219 1.0 43.3443   ? 729 GLY D CA  729 GLY D CA  1 
ATOM 5751  C C   . GLY A 1 729 ? 273.293 -67.890  223.355 1.0 43.3443   ? 729 GLY D C   729 GLY D C   1 
ATOM 5752  O O   . GLY A 1 729 ? 272.974 -68.626  222.413 1.0 43.3443   ? 729 GLY D O   729 GLY D O   1 
ATOM 5753  N N   . PHE A 1 730 ? 274.560 -67.602  223.649 1.0 40.48928  ? 730 PHE D N   730 PHE D N   1 
ATOM 5754  C CA  . PHE A 1 730 ? 275.643 -68.394  223.089 1.0 40.48928  ? 730 PHE D CA  730 PHE D CA  1 
ATOM 5755  C C   . PHE A 1 730 ? 275.586 -69.804  223.651 1.0 40.48928  ? 730 PHE D C   730 PHE D C   1 
ATOM 5756  O O   . PHE A 1 730 ? 275.253 -70.018  224.818 1.0 40.48928  ? 730 PHE D O   730 PHE D O   1 
ATOM 5757  C CB  . PHE A 1 730 ? 277.008 -67.797  223.419 1.0 40.48928  ? 730 PHE D CB  730 PHE D CB  1 
ATOM 5758  C CG  . PHE A 1 730 ? 277.273 -66.475  222.780 1.0 40.48928  ? 730 PHE D CG  730 PHE D CG  1 
ATOM 5759  C CD1 . PHE A 1 730 ? 277.602 -66.388  221.440 1.0 40.48928  ? 730 PHE D CD1 730 PHE D CD1 1 
ATOM 5760  C CD2 . PHE A 1 730 ? 277.247 -65.320  223.535 1.0 40.48928  ? 730 PHE D CD2 730 PHE D CD2 1 
ATOM 5761  C CE1 . PHE A 1 730 ? 277.862 -65.164  220.860 1.0 40.48928  ? 730 PHE D CE1 730 PHE D CE1 1 
ATOM 5762  C CE2 . PHE A 1 730 ? 277.511 -64.098  222.961 1.0 40.48928  ? 730 PHE D CE2 730 PHE D CE2 1 
ATOM 5763  C CZ  . PHE A 1 730 ? 277.817 -64.021  221.622 1.0 40.48928  ? 730 PHE D CZ  730 PHE D CZ  1 
ATOM 5764  N N   . ASN A 1 731 ? 275.924 -70.767  222.808 1.0 41.92029  ? 731 ASN D N   731 ASN D N   1 
ATOM 5765  C CA  . ASN A 1 731 ? 275.984 -72.161  223.213 1.0 41.92029  ? 731 ASN D CA  731 ASN D CA  1 
ATOM 5766  C C   . ASN A 1 731 ? 276.916 -72.887  222.259 1.0 41.92029  ? 731 ASN D C   731 ASN D C   1 
ATOM 5767  O O   . ASN A 1 731 ? 277.367 -72.327  221.259 1.0 41.92029  ? 731 ASN D O   731 ASN D O   1 
ATOM 5768  C CB  . ASN A 1 731 ? 274.593 -72.804  223.235 1.0 41.92029  ? 731 ASN D CB  731 ASN D CB  1 
ATOM 5769  C CG  . ASN A 1 731 ? 273.827 -72.602  221.937 1.0 41.92029  ? 731 ASN D CG  731 ASN D CG  1 
ATOM 5770  O OD1 . ASN A 1 731 ? 274.295 -71.939  221.013 1.0 41.92029  ? 731 ASN D OD1 731 ASN D OD1 1 
ATOM 5771  N ND2 . ASN A 1 731 ? 272.646 -73.199  221.857 1.0 41.92029  ? 731 ASN D ND2 731 ASN D ND2 1 
ATOM 5772  N N   . TRP A 1 732 ? 277.199 -74.133  222.581 1.0 42.88533  ? 732 TRP D N   732 TRP D N   1 
ATOM 5773  C CA  . TRP A 1 732 ? 277.927 -74.975  221.653 1.0 42.88533  ? 732 TRP D CA  732 TRP D CA  1 
ATOM 5774  C C   . TRP A 1 732 ? 276.996 -75.334  220.506 1.0 42.88533  ? 732 TRP D C   732 TRP D C   1 
ATOM 5775  O O   . TRP A 1 732 ? 275.929 -75.911  220.748 1.0 42.88533  ? 732 TRP D O   732 TRP D O   1 
ATOM 5776  C CB  . TRP A 1 732 ? 278.435 -76.229  222.338 1.0 42.88533  ? 732 TRP D CB  732 TRP D CB  1 
ATOM 5777  C CG  . TRP A 1 732 ? 279.262 -77.055  221.439 1.0 42.88533  ? 732 TRP D CG  732 TRP D CG  1 
ATOM 5778  C CD1 . TRP A 1 732 ? 278.869 -78.160  220.753 1.0 42.88533  ? 732 TRP D CD1 732 TRP D CD1 1 
ATOM 5779  C CD2 . TRP A 1 732 ? 280.634 -76.848  221.117 1.0 42.88533  ? 732 TRP D CD2 732 TRP D CD2 1 
ATOM 5780  N NE1 . TRP A 1 732 ? 279.913 -78.655  220.017 1.0 42.88533  ? 732 TRP D NE1 732 TRP D NE1 1 
ATOM 5781  C CE2 . TRP A 1 732 ? 281.010 -77.865  220.227 1.0 42.88533  ? 732 TRP D CE2 732 TRP D CE2 1 
ATOM 5782  C CE3 . TRP A 1 732 ? 281.583 -75.901  221.498 1.0 42.88533  ? 732 TRP D CE3 732 TRP D CE3 1 
ATOM 5783  C CZ2 . TRP A 1 732 ? 282.291 -77.959  219.708 1.0 42.88533  ? 732 TRP D CZ2 732 TRP D CZ2 1 
ATOM 5784  C CZ3 . TRP A 1 732 ? 282.852 -75.998  220.985 1.0 42.88533  ? 732 TRP D CZ3 732 TRP D CZ3 1 
ATOM 5785  C CH2 . TRP A 1 732 ? 283.197 -77.019  220.102 1.0 42.88533  ? 732 TRP D CH2 732 TRP D CH2 1 
ATOM 5786  N N   . PRO A 1 733 ? 277.334 -74.999  219.266 1.0 42.91018  ? 733 PRO D N   733 PRO D N   1 
ATOM 5787  C CA  . PRO A 1 733 ? 276.429 -75.278  218.150 1.0 42.91018  ? 733 PRO D CA  733 PRO D CA  1 
ATOM 5788  C C   . PRO A 1 733 ? 276.394 -76.758  217.817 1.0 42.91018  ? 733 PRO D C   733 PRO D C   1 
ATOM 5789  O O   . PRO A 1 733 ? 277.314 -77.516  218.125 1.0 42.91018  ? 733 PRO D O   733 PRO D O   1 
ATOM 5790  C CB  . PRO A 1 733 ? 277.031 -74.468  217.002 1.0 42.91018  ? 733 PRO D CB  733 PRO D CB  1 
ATOM 5791  C CG  . PRO A 1 733 ? 278.468 -74.384  217.341 1.0 42.91018  ? 733 PRO D CG  733 PRO D CG  1 
ATOM 5792  C CD  . PRO A 1 733 ? 278.551 -74.301  218.827 1.0 42.91018  ? 733 PRO D CD  733 PRO D CD  1 
ATOM 5793  N N   . ASN A 1 734 ? 275.297 -77.163  217.175 1.0 47.58138  ? 734 ASN D N   734 ASN D N   1 
ATOM 5794  C CA  . ASN A 1 734 ? 275.075 -78.577  216.893 1.0 47.58138  ? 734 ASN D CA  734 ASN D CA  1 
ATOM 5795  C C   . ASN A 1 734 ? 276.027 -79.093  215.823 1.0 47.58138  ? 734 ASN D C   734 ASN D C   1 
ATOM 5796  O O   . ASN A 1 734 ? 276.486 -80.238  215.894 1.0 47.58138  ? 734 ASN D O   734 ASN D O   1 
ATOM 5797  C CB  . ASN A 1 734 ? 273.629 -78.801  216.458 1.0 47.58138  ? 734 ASN D CB  734 ASN D CB  1 
ATOM 5798  C CG  . ASN A 1 734 ? 272.648 -78.620  217.591 1.0 47.58138  ? 734 ASN D CG  734 ASN D CG  1 
ATOM 5799  O OD1 . ASN A 1 734 ? 272.877 -79.087  218.705 1.0 47.58138  ? 734 ASN D OD1 734 ASN D OD1 1 
ATOM 5800  N ND2 . ASN A 1 734 ? 271.546 -77.933  217.314 1.0 47.58138  ? 734 ASN D ND2 734 ASN D ND2 1 
ATOM 5801  N N   . CYS A 1 735 ? 276.339 -78.268  214.831 1.0 48.75527  ? 735 CYS D N   735 CYS D N   1 
ATOM 5802  C CA  . CYS A 1 735 ? 277.061 -78.710  213.644 1.0 48.75527  ? 735 CYS D CA  735 CYS D CA  1 
ATOM 5803  C C   . CYS A 1 735 ? 278.290 -77.831  213.462 1.0 48.75527  ? 735 CYS D C   735 CYS D C   1 
ATOM 5804  O O   . CYS A 1 735 ? 278.178 -76.682  213.023 1.0 48.75527  ? 735 CYS D O   735 CYS D O   1 
ATOM 5805  C CB  . CYS A 1 735 ? 276.153 -78.659  212.418 1.0 48.75527  ? 735 CYS D CB  735 CYS D CB  1 
ATOM 5806  S SG  . CYS A 1 735 ? 276.861 -79.374  210.928 1.0 48.75527  ? 735 CYS D SG  735 CYS D SG  1 
ATOM 5807  N N   . THR A 1 736 ? 279.455 -78.374  213.795 1.0 43.42936  ? 736 THR D N   736 THR D N   1 
ATOM 5808  C CA  . THR A 1 736 ? 280.724 -77.670  213.688 1.0 43.42936  ? 736 THR D CA  736 THR D CA  1 
ATOM 5809  C C   . THR A 1 736 ? 281.563 -78.310  212.595 1.0 43.42936  ? 736 THR D C   736 THR D C   1 
ATOM 5810  O O   . THR A 1 736 ? 281.784 -79.525  212.610 1.0 43.42936  ? 736 THR D O   736 THR D O   1 
ATOM 5811  C CB  . THR A 1 736 ? 281.489 -77.713  215.008 1.0 43.42936  ? 736 THR D CB  736 THR D CB  1 
ATOM 5812  O OG1 . THR A 1 736 ? 281.765 -79.075  215.349 1.0 43.42936  ? 736 THR D OG1 736 THR D OG1 1 
ATOM 5813  C CG2 . THR A 1 736 ? 280.676 -77.086  216.105 1.0 43.42936  ? 736 THR D CG2 736 THR D CG2 1 
ATOM 5814  N N   . LYS A 1 737 ? 282.037 -77.494  211.661 1.0 40.87917  ? 737 LYS D N   737 LYS D N   1 
ATOM 5815  C CA  . LYS A 1 737 ? 282.824 -77.996  210.551 1.0 40.87917  ? 737 LYS D CA  737 LYS D CA  1 
ATOM 5816  C C   . LYS A 1 737 ? 284.301 -78.049  210.929 1.0 40.87917  ? 737 LYS D C   737 LYS D C   1 
ATOM 5817  O O   . LYS A 1 737 ? 284.701 -77.723  212.049 1.0 40.87917  ? 737 LYS D O   737 LYS D O   1 
ATOM 5818  C CB  . LYS A 1 737 ? 282.603 -77.132  209.314 1.0 40.87917  ? 737 LYS D CB  737 LYS D CB  1 
ATOM 5819  C CG  . LYS A 1 737 ? 281.162 -77.079  208.789 1.0 40.87917  ? 737 LYS D CG  737 LYS D CG  1 
ATOM 5820  C CD  . LYS A 1 737 ? 280.739 -78.344  208.025 1.0 40.87917  ? 737 LYS D CD  737 LYS D CD  1 
ATOM 5821  C CE  . LYS A 1 737 ? 279.868 -79.286  208.847 1.0 40.87917  ? 737 LYS D CE  737 LYS D CE  1 
ATOM 5822  N NZ  . LYS A 1 737 ? 279.403 -80.458  208.059 1.0 40.87917  ? 737 LYS D NZ  737 LYS D NZ  1 
ATOM 5823  N N   . HIS A 1 738 ? 285.125 -78.466  209.970 1.0 36.98726  ? 738 HIS D N   738 HIS D N   1 
ATOM 5824  C CA  . HIS A 1 738 ? 286.548 -78.642  210.228 1.0 36.98726  ? 738 HIS D CA  738 HIS D CA  1 
ATOM 5825  C C   . HIS A 1 738 ? 287.268 -77.304  210.301 1.0 36.98726  ? 738 HIS D C   738 HIS D C   1 
ATOM 5826  O O   . HIS A 1 738 ? 288.048 -77.061  211.226 1.0 36.98726  ? 738 HIS D O   738 HIS D O   1 
ATOM 5827  C CB  . HIS A 1 738 ? 287.162 -79.526  209.147 1.0 36.98726  ? 738 HIS D CB  738 HIS D CB  1 
ATOM 5828  C CG  . HIS A 1 738 ? 288.610 -79.827  209.361 1.0 36.98726  ? 738 HIS D CG  738 HIS D CG  1 
ATOM 5829  N ND1 . HIS A 1 738 ? 289.053 -80.691  210.337 1.0 36.98726  ? 738 HIS D ND1 738 HIS D ND1 1 
ATOM 5830  C CD2 . HIS A 1 738 ? 289.715 -79.392  208.714 1.0 36.98726  ? 738 HIS D CD2 738 HIS D CD2 1 
ATOM 5831  C CE1 . HIS A 1 738 ? 290.370 -80.769  210.288 1.0 36.98726  ? 738 HIS D CE1 738 HIS D CE1 1 
ATOM 5832  N NE2 . HIS A 1 738 ? 290.796 -79.991  209.310 1.0 36.98726  ? 738 HIS D NE2 738 HIS D NE2 1 
ATOM 5833  N N   . TYR A 1 739 ? 287.021 -76.424  209.339 1.0 36.6473   ? 739 TYR D N   739 TYR D N   1 
ATOM 5834  C CA  . TYR A 1 739 ? 287.621 -75.092  209.343 1.0 36.6473   ? 739 TYR D CA  739 TYR D CA  1 
ATOM 5835  C C   . TYR A 1 739 ? 286.709 -74.087  210.033 1.0 36.6473   ? 739 TYR D C   739 TYR D C   1 
ATOM 5836  O O   . TYR A 1 739 ? 286.400 -73.024  209.502 1.0 36.6473   ? 739 TYR D O   739 TYR D O   1 
ATOM 5837  C CB  . TYR A 1 739 ? 287.927 -74.665  207.916 1.0 36.6473   ? 739 TYR D CB  739 TYR D CB  1 
ATOM 5838  C CG  . TYR A 1 739 ? 288.938 -75.548  207.233 1.0 36.6473   ? 739 TYR D CG  739 TYR D CG  1 
ATOM 5839  C CD1 . TYR A 1 739 ? 290.293 -75.360  207.430 1.0 36.6473   ? 739 TYR D CD1 739 TYR D CD1 1 
ATOM 5840  C CD2 . TYR A 1 739 ? 288.536 -76.580  206.401 1.0 36.6473   ? 739 TYR D CD2 739 TYR D CD2 1 
ATOM 5841  C CE1 . TYR A 1 739 ? 291.217 -76.169  206.814 1.0 36.6473   ? 739 TYR D CE1 739 TYR D CE1 1 
ATOM 5842  C CE2 . TYR A 1 739 ? 289.456 -77.393  205.779 1.0 36.6473   ? 739 TYR D CE2 739 TYR D CE2 1 
ATOM 5843  C CZ  . TYR A 1 739 ? 290.794 -77.181  205.990 1.0 36.6473   ? 739 TYR D CZ  739 TYR D CZ  1 
ATOM 5844  O OH  . TYR A 1 739 ? 291.723 -77.985  205.378 1.0 36.6473   ? 739 TYR D OH  739 TYR D OH  1 
ATOM 5845  N N   . GLY A 1 740 ? 286.264 -74.428  211.241 1.0 37.7484   ? 740 GLY D N   740 GLY D N   1 
ATOM 5846  C CA  . GLY A 1 740 ? 285.341 -73.605  211.985 1.0 37.7484   ? 740 GLY D CA  740 GLY D CA  1 
ATOM 5847  C C   . GLY A 1 740 ? 286.042 -72.797  213.060 1.0 37.7484   ? 740 GLY D C   740 GLY D C   1 
ATOM 5848  O O   . GLY A 1 740 ? 287.253 -72.856  213.243 1.0 37.7484   ? 740 GLY D O   740 GLY D O   1 
ATOM 5849  N N   . PHE A 1 741 ? 285.241 -72.029  213.790 1.0 37.11191  ? 741 PHE D N   741 PHE D N   1 
ATOM 5850  C CA  . PHE A 1 741 ? 285.800 -71.149  214.808 1.0 37.11191  ? 741 PHE D CA  741 PHE D CA  1 
ATOM 5851  C C   . PHE A 1 741 ? 285.792 -71.785  216.191 1.0 37.11191  ? 741 PHE D C   741 PHE D C   1 
ATOM 5852  O O   . PHE A 1 741 ? 286.831 -71.856  216.850 1.0 37.11191  ? 741 PHE D O   741 PHE D O   1 
ATOM 5853  C CB  . PHE A 1 741 ? 285.046 -69.818  214.827 1.0 37.11191  ? 741 PHE D CB  741 PHE D CB  1 
ATOM 5854  C CG  . PHE A 1 741 ? 285.486 -68.898  215.920 1.0 37.11191  ? 741 PHE D CG  741 PHE D CG  1 
ATOM 5855  C CD1 . PHE A 1 741 ? 286.751 -68.344  215.910 1.0 37.11191  ? 741 PHE D CD1 741 PHE D CD1 1 
ATOM 5856  C CD2 . PHE A 1 741 ? 284.624 -68.562  216.943 1.0 37.11191  ? 741 PHE D CD2 741 PHE D CD2 1 
ATOM 5857  C CE1 . PHE A 1 741 ? 287.154 -67.491  216.911 1.0 37.11191  ? 741 PHE D CE1 741 PHE D CE1 1 
ATOM 5858  C CE2 . PHE A 1 741 ? 285.023 -67.707  217.945 1.0 37.11191  ? 741 PHE D CE2 741 PHE D CE2 1 
ATOM 5859  C CZ  . PHE A 1 741 ? 286.289 -67.172  217.928 1.0 37.11191  ? 741 PHE D CZ  741 PHE D CZ  1 
ATOM 5860  N N   . ILE A 1 742 ? 284.633 -72.268  216.636 1.0 37.79918  ? 742 ILE D N   742 ILE D N   1 
ATOM 5861  C CA  . ILE A 1 742 ? 284.481 -72.604  218.045 1.0 37.79918  ? 742 ILE D CA  742 ILE D CA  1 
ATOM 5862  C C   . ILE A 1 742 ? 285.127 -73.941  218.406 1.0 37.79918  ? 742 ILE D C   742 ILE D C   1 
ATOM 5863  O O   . ILE A 1 742 ? 285.478 -74.151  219.573 1.0 37.79918  ? 742 ILE D O   742 ILE D O   1 
ATOM 5864  C CB  . ILE A 1 742 ? 282.987 -72.536  218.411 1.0 37.79918  ? 742 ILE D CB  742 ILE D CB  1 
ATOM 5865  C CG1 . ILE A 1 742 ? 282.798 -72.421  219.921 1.0 37.79918  ? 742 ILE D CG1 742 ILE D CG1 1 
ATOM 5866  C CG2 . ILE A 1 742 ? 282.226 -73.722  217.856 1.0 37.79918  ? 742 ILE D CG2 742 ILE D CG2 1 
ATOM 5867  C CD1 . ILE A 1 742 ? 283.380 -71.157  220.487 1.0 37.79918  ? 742 ILE D CD1 742 ILE D CD1 1 
ATOM 5868  N N   . ASN A 1 743 ? 285.351 -74.838  217.447 1.0 40.17416  ? 743 ASN D N   743 ASN D N   1 
ATOM 5869  C CA  . ASN A 1 743 ? 286.063 -76.070  217.756 1.0 40.17416  ? 743 ASN D CA  743 ASN D CA  1 
ATOM 5870  C C   . ASN A 1 743 ? 287.575 -75.924  217.667 1.0 40.17416  ? 743 ASN D C   743 ASN D C   1 
ATOM 5871  O O   . ASN A 1 743 ? 288.297 -76.782  218.185 1.0 40.17416  ? 743 ASN D O   743 ASN D O   1 
ATOM 5872  C CB  . ASN A 1 743 ? 285.592 -77.210  216.843 1.0 40.17416  ? 743 ASN D CB  743 ASN D CB  1 
ATOM 5873  C CG  . ASN A 1 743 ? 285.681 -76.864  215.374 1.0 40.17416  ? 743 ASN D CG  743 ASN D CG  1 
ATOM 5874  O OD1 . ASN A 1 743 ? 286.072 -75.763  215.005 1.0 40.17416  ? 743 ASN D OD1 743 ASN D OD1 1 
ATOM 5875  N ND2 . ASN A 1 743 ? 285.338 -77.820  214.523 1.0 40.17416  ? 743 ASN D ND2 743 ASN D ND2 1 
ATOM 5876  N N   . ASN A 1 744 ? 288.064 -74.860  217.030 1.0 39.85934  ? 744 ASN D N   744 ASN D N   1 
ATOM 5877  C CA  . ASN A 1 744 ? 289.489 -74.606  216.897 1.0 39.85934  ? 744 ASN D CA  744 ASN D CA  1 
ATOM 5878  C C   . ASN A 1 744 ? 290.011 -73.570  217.878 1.0 39.85934  ? 744 ASN D C   744 ASN D C   1 
ATOM 5879  O O   . ASN A 1 744 ? 291.214 -73.554  218.150 1.0 39.85934  ? 744 ASN D O   744 ASN D O   1 
ATOM 5880  C CB  . ASN A 1 744 ? 289.806 -74.143  215.471 1.0 39.85934  ? 744 ASN D CB  744 ASN D CB  1 
ATOM 5881  C CG  . ASN A 1 744 ? 289.617 -75.240  214.452 1.0 39.85934  ? 744 ASN D CG  744 ASN D CG  1 
ATOM 5882  O OD1 . ASN A 1 744 ? 290.012 -76.380  214.674 1.0 39.85934  ? 744 ASN D OD1 744 ASN D OD1 1 
ATOM 5883  N ND2 . ASN A 1 744 ? 289.002 -74.904  213.329 1.0 39.85934  ? 744 ASN D ND2 744 ASN D ND2 1 
ATOM 5884  N N   . PHE A 1 745 ? 289.142 -72.717  218.410 1.0 42.54063  ? 745 PHE D N   745 PHE D N   1 
ATOM 5885  C CA  . PHE A 1 745 ? 289.538 -71.708  219.382 1.0 42.54063  ? 745 PHE D CA  745 PHE D CA  1 
ATOM 5886  C C   . PHE A 1 745 ? 289.875 -72.376  220.708 1.0 42.54063  ? 745 PHE D C   745 PHE D C   1 
ATOM 5887  O O   . PHE A 1 745 ? 289.033 -73.063  221.293 1.0 42.54063  ? 745 PHE D O   745 PHE D O   1 
ATOM 5888  C CB  . PHE A 1 745 ? 288.407 -70.703  219.563 1.0 42.54063  ? 745 PHE D CB  745 PHE D CB  1 
ATOM 5889  C CG  . PHE A 1 745 ? 288.742 -69.569  220.471 1.0 42.54063  ? 745 PHE D CG  745 PHE D CG  1 
ATOM 5890  C CD1 . PHE A 1 745 ? 289.476 -68.495  220.014 1.0 42.54063  ? 745 PHE D CD1 745 PHE D CD1 1 
ATOM 5891  C CD2 . PHE A 1 745 ? 288.326 -69.576  221.783 1.0 42.54063  ? 745 PHE D CD2 745 PHE D CD2 1 
ATOM 5892  C CE1 . PHE A 1 745 ? 289.785 -67.447  220.850 1.0 42.54063  ? 745 PHE D CE1 745 PHE D CE1 1 
ATOM 5893  C CE2 . PHE A 1 745 ? 288.643 -68.539  222.621 1.0 42.54063  ? 745 PHE D CE2 745 PHE D CE2 1 
ATOM 5894  C CZ  . PHE A 1 745 ? 289.367 -67.470  222.155 1.0 42.54063  ? 745 PHE D CZ  745 PHE D CZ  1 
ATOM 5895  N N   . GLU A 1 746 ? 291.099 -72.178  221.188 1.0 47.68408  ? 746 GLU D N   746 GLU D N   1 
ATOM 5896  C CA  . GLU A 1 746 ? 291.568 -72.811  222.419 1.0 47.68408  ? 746 GLU D CA  746 GLU D CA  1 
ATOM 5897  C C   . GLU A 1 746 ? 292.244 -71.776  223.308 1.0 47.68408  ? 746 GLU D C   746 GLU D C   1 
ATOM 5898  O O   . GLU A 1 746 ? 293.431 -71.467  223.109 1.0 47.68408  ? 746 GLU D O   746 GLU D O   1 
ATOM 5899  C CB  . GLU A 1 746 ? 292.516 -73.963  222.109 1.0 47.68408  ? 746 GLU D CB  746 GLU D CB  1 
ATOM 5900  C CG  . GLU A 1 746 ? 291.829 -75.160  221.462 1.0 47.68408  ? 746 GLU D CG  746 GLU D CG  1 
ATOM 5901  C CD  . GLU A 1 746 ? 292.791 -76.270  221.089 1.0 47.68408  ? 746 GLU D CD  746 GLU D CD  1 
ATOM 5902  O OE1 . GLU A 1 746 ? 294.018 -76.066  221.210 1.0 47.68408  ? 746 GLU D OE1 746 GLU D OE1 1 
ATOM 5903  O OE2 . GLU A 1 746 ? 292.317 -77.348  220.670 1.0 47.68408  ? 746 GLU D OE2 746 GLU D OE2 1 
ATOM 5904  N N   . PRO A 1 747 ? 291.535 -71.220  224.286 1.0 44.70663  ? 747 PRO D N   747 PRO D N   1 
ATOM 5905  C CA  . PRO A 1 747 ? 292.148 -70.243  225.186 1.0 44.70663  ? 747 PRO D CA  747 PRO D CA  1 
ATOM 5906  C C   . PRO A 1 747 ? 292.954 -70.920  226.282 1.0 44.70663  ? 747 PRO D C   747 PRO D C   1 
ATOM 5907  O O   . PRO A 1 747 ? 292.769 -72.098  226.589 1.0 44.70663  ? 747 PRO D O   747 PRO D O   1 
ATOM 5908  C CB  . PRO A 1 747 ? 290.941 -69.516  225.778 1.0 44.70663  ? 747 PRO D CB  747 PRO D CB  1 
ATOM 5909  C CG  . PRO A 1 747 ? 289.884 -70.535  225.770 1.0 44.70663  ? 747 PRO D CG  747 PRO D CG  1 
ATOM 5910  C CD  . PRO A 1 747 ? 290.095 -71.365  224.543 1.0 44.70663  ? 747 PRO D CD  747 PRO D CD  1 
ATOM 5911  N N   . MET A 1 748 ? 293.835 -70.134  226.897 1.0 48.9801   ? 748 MET D N   748 MET D N   1 
ATOM 5912  C CA  . MET A 1 748 ? 294.740 -70.655  227.912 1.0 48.9801   ? 748 MET D CA  748 MET D CA  1 
ATOM 5913  C C   . MET A 1 748 ? 295.301 -69.498  228.728 1.0 48.9801   ? 748 MET D C   748 MET D C   1 
ATOM 5914  O O   . MET A 1 748 ? 295.203 -68.334  228.336 1.0 48.9801   ? 748 MET D O   748 MET D O   1 
ATOM 5915  C CB  . MET A 1 748 ? 295.861 -71.453  227.266 1.0 48.9801   ? 748 MET D CB  748 MET D CB  1 
ATOM 5916  C CG  . MET A 1 748 ? 296.776 -70.599  226.465 1.0 48.9801   ? 748 MET D CG  748 MET D CG  1 
ATOM 5917  S SD  . MET A 1 748 ? 297.954 -71.609  225.592 1.0 48.9801   ? 748 MET D SD  748 MET D SD  1 
ATOM 5918  C CE  . MET A 1 748 ? 299.078 -70.361  225.046 1.0 48.9801   ? 748 MET D CE  748 MET D CE  1 
ATOM 5919  N N   . SER A 1 749 ? 295.902 -69.834  229.870 1.0 48.65458  ? 749 SER D N   749 SER D N   1 
ATOM 5920  C CA  . SER A 1 749 ? 296.432 -68.832  230.790 1.0 48.65458  ? 749 SER D CA  749 SER D CA  1 
ATOM 5921  C C   . SER A 1 749 ? 297.544 -69.439  231.631 1.0 48.65458  ? 749 SER D C   749 SER D C   1 
ATOM 5922  O O   . SER A 1 749 ? 297.652 -70.660  231.760 1.0 48.65458  ? 749 SER D O   749 SER D O   1 
ATOM 5923  C CB  . SER A 1 749 ? 295.344 -68.279  231.715 1.0 48.65458  ? 749 SER D CB  749 SER D CB  1 
ATOM 5924  O OG  . SER A 1 749 ? 294.346 -67.576  231.001 1.0 48.65458  ? 749 SER D OG  749 SER D OG  1 
ATOM 5925  N N   . ARG A 1 750 ? 298.358 -68.564  232.219 1.0 50.39029  ? 750 ARG D N   750 ARG D N   1 
ATOM 5926  C CA  . ARG A 1 750 ? 299.377 -68.971  233.180 1.0 50.39029  ? 750 ARG D CA  750 ARG D CA  1 
ATOM 5927  C C   . ARG A 1 750 ? 299.695 -67.788  234.085 1.0 50.39029  ? 750 ARG D C   750 ARG D C   1 
ATOM 5928  O O   . ARG A 1 750 ? 299.243 -66.666  233.854 1.0 50.39029  ? 750 ARG D O   750 ARG D O   1 
ATOM 5929  C CB  . ARG A 1 750 ? 300.640 -69.493  232.478 1.0 50.39029  ? 750 ARG D CB  750 ARG D CB  1 
ATOM 5930  C CG  . ARG A 1 750 ? 301.410 -68.487  231.627 1.0 50.39029  ? 750 ARG D CG  750 ARG D CG  1 
ATOM 5931  C CD  . ARG A 1 750 ? 302.642 -67.939  232.330 1.0 50.39029  ? 750 ARG D CD  750 ARG D CD  1 
ATOM 5932  N NE  . ARG A 1 750 ? 303.400 -67.007  231.499 1.0 50.39029  ? 750 ARG D NE  750 ARG D NE  1 
ATOM 5933  C CZ  . ARG A 1 750 ? 304.445 -67.343  230.751 1.0 50.39029  ? 750 ARG D CZ  750 ARG D CZ  1 
ATOM 5934  N NH1 . ARG A 1 750 ? 304.871 -68.597  230.721 1.0 50.39029  ? 750 ARG D NH1 750 ARG D NH1 1 
ATOM 5935  N NH2 . ARG A 1 750 ? 305.069 -66.420  230.037 1.0 50.39029  ? 750 ARG D NH2 750 ARG D NH2 1 
ATOM 5936  N N   . GLN A 1 751 ? 300.477 -68.057  235.126 1.0 50.57707  ? 751 GLN D N   751 GLN D N   1 
ATOM 5937  C CA  . GLN A 1 751 ? 301.057 -67.019  235.964 1.0 50.57707  ? 751 GLN D CA  751 GLN D CA  1 
ATOM 5938  C C   . GLN A 1 751 ? 302.577 -67.070  235.902 1.0 50.57707  ? 751 GLN D C   751 GLN D C   1 
ATOM 5939  O O   . GLN A 1 751 ? 303.179 -68.102  235.601 1.0 50.57707  ? 751 GLN D O   751 GLN D O   1 
ATOM 5940  C CB  . GLN A 1 751 ? 300.601 -67.133  237.423 1.0 50.57707  ? 751 GLN D CB  751 GLN D CB  1 
ATOM 5941  C CG  . GLN A 1 751 ? 299.248 -66.517  237.716 1.0 50.57707  ? 751 GLN D CG  751 GLN D CG  1 
ATOM 5942  C CD  . GLN A 1 751 ? 298.098 -67.351  237.243 1.0 50.57707  ? 751 GLN D CD  751 GLN D CD  1 
ATOM 5943  O OE1 . GLN A 1 751 ? 297.371 -66.976  236.333 1.0 50.57707  ? 751 GLN D OE1 751 GLN D OE1 1 
ATOM 5944  N NE2 . GLN A 1 751 ? 297.884 -68.467  237.909 1.0 50.57707  ? 751 GLN D NE2 751 GLN D NE2 1 
ATOM 5945  N N   . VAL A 1 752 ? 303.191 -65.933  236.212 1.0 53.55609  ? 752 VAL D N   752 VAL D N   1 
ATOM 5946  C CA  . VAL A 1 752 ? 304.639 -65.768  236.132 1.0 53.55609  ? 752 VAL D CA  752 VAL D CA  1 
ATOM 5947  C C   . VAL A 1 752 ? 305.042 -64.718  237.167 1.0 53.55609  ? 752 VAL D C   752 VAL D C   1 
ATOM 5948  O O   . VAL A 1 752 ? 304.267 -63.786  237.425 1.0 53.55609  ? 752 VAL D O   752 VAL D O   1 
ATOM 5949  C CB  . VAL A 1 752 ? 305.056 -65.418  234.689 1.0 53.55609  ? 752 VAL D CB  752 VAL D CB  1 
ATOM 5950  C CG1 . VAL A 1 752 ? 304.437 -64.114  234.222 1.0 53.55609  ? 752 VAL D CG1 752 VAL D CG1 1 
ATOM 5951  C CG2 . VAL A 1 752 ? 306.564 -65.383  234.516 1.0 53.55609  ? 752 VAL D CG2 752 VAL D CG2 1 
ATOM 5952  N N   . PRO A 1 753 ? 306.194 -64.856  237.849 1.0 57.19236  ? 753 PRO D N   753 PRO D N   1 
ATOM 5953  C CA  . PRO A 1 753 ? 306.583 -63.836  238.836 1.0 57.19236  ? 753 PRO D CA  753 PRO D CA  1 
ATOM 5954  C C   . PRO A 1 753 ? 306.988 -62.499  238.235 1.0 57.19236  ? 753 PRO D C   753 PRO D C   1 
ATOM 5955  O O   . PRO A 1 753 ? 307.008 -62.332  237.013 1.0 57.19236  ? 753 PRO D O   753 PRO D O   1 
ATOM 5956  C CB  . PRO A 1 753 ? 307.764 -64.489  239.561 1.0 57.19236  ? 753 PRO D CB  753 PRO D CB  1 
ATOM 5957  C CG  . PRO A 1 753 ? 307.543 -65.933  239.400 1.0 57.19236  ? 753 PRO D CG  753 PRO D CG  1 
ATOM 5958  C CD  . PRO A 1 753 ? 306.956 -66.102  238.040 1.0 57.19236  ? 753 PRO D CD  753 PRO D CD  1 
ATOM 5959  N N   . GLU A 1 754 ? 307.318 -61.535  239.099 1.0 62.86172  ? 754 GLU D N   754 GLU D N   1 
ATOM 5960  C CA  . GLU A 1 754 ? 307.638 -60.190  238.635 1.0 62.86172  ? 754 GLU D CA  754 GLU D CA  1 
ATOM 5961  C C   . GLU A 1 754 ? 309.002 -60.109  237.969 1.0 62.86172  ? 754 GLU D C   754 GLU D C   1 
ATOM 5962  O O   . GLU A 1 754 ? 309.169 -59.320  237.032 1.0 62.86172  ? 754 GLU D O   754 GLU D O   1 
ATOM 5963  C CB  . GLU A 1 754 ? 307.590 -59.196  239.795 1.0 62.86172  ? 754 GLU D CB  754 GLU D CB  1 
ATOM 5964  C CG  . GLU A 1 754 ? 306.211 -58.961  240.372 1.0 62.86172  ? 754 GLU D CG  754 GLU D CG  1 
ATOM 5965  C CD  . GLU A 1 754 ? 305.267 -58.278  239.401 1.0 62.86172  ? 754 GLU D CD  754 GLU D CD  1 
ATOM 5966  O OE1 . GLU A 1 754 ? 305.733 -57.464  238.577 1.0 62.86172  ? 754 GLU D OE1 754 GLU D OE1 1 
ATOM 5967  O OE2 . GLU A 1 754 ? 304.053 -58.554  239.466 1.0 62.86172  ? 754 GLU D OE2 754 GLU D OE2 1 
ATOM 5968  N N   . TYR A 1 755 ? 309.968 -60.900  238.450 1.0 62.00229  ? 755 TYR D N   755 TYR D N   1 
ATOM 5969  C CA  . TYR A 1 755 ? 311.355 -60.932  237.971 1.0 62.00229  ? 755 TYR D CA  755 TYR D CA  1 
ATOM 5970  C C   . TYR A 1 755 ? 312.007 -59.550  238.064 1.0 62.00229  ? 755 TYR D C   755 TYR D C   1 
ATOM 5971  O O   . TYR A 1 755 ? 312.396 -58.943  237.065 1.0 62.00229  ? 755 TYR D O   755 TYR D O   1 
ATOM 5972  C CB  . TYR A 1 755 ? 311.448 -61.495  236.547 1.0 62.00229  ? 755 TYR D CB  755 TYR D CB  1 
ATOM 5973  C CG  . TYR A 1 755 ? 311.127 -62.965  236.430 1.0 62.00229  ? 755 TYR D CG  755 TYR D CG  1 
ATOM 5974  C CD1 . TYR A 1 755 ? 311.142 -63.794  237.542 1.0 62.00229  ? 755 TYR D CD1 755 TYR D CD1 1 
ATOM 5975  C CD2 . TYR A 1 755 ? 310.792 -63.520  235.204 1.0 62.00229  ? 755 TYR D CD2 755 TYR D CD2 1 
ATOM 5976  C CE1 . TYR A 1 755 ? 310.839 -65.136  237.433 1.0 62.00229  ? 755 TYR D CE1 755 TYR D CE1 1 
ATOM 5977  C CE2 . TYR A 1 755 ? 310.492 -64.858  235.085 1.0 62.00229  ? 755 TYR D CE2 755 TYR D CE2 1 
ATOM 5978  C CZ  . TYR A 1 755 ? 310.516 -65.660  236.201 1.0 62.00229  ? 755 TYR D CZ  755 TYR D CZ  1 
ATOM 5979  O OH  . TYR A 1 755 ? 310.215 -66.995  236.084 1.0 62.00229  ? 755 TYR D OH  755 TYR D OH  1 
ATOM 5980  N N   . GLY A 1 756 ? 312.116 -59.058  239.294 1.0 67.01338  ? 756 GLY D N   756 GLY D N   1 
ATOM 5981  C CA  . GLY A 1 756 ? 312.657 -57.734  239.523 1.0 67.01338  ? 756 GLY D CA  756 GLY D CA  1 
ATOM 5982  C C   . GLY A 1 756 ? 314.033 -57.727  240.153 1.0 67.01338  ? 756 GLY D C   756 GLY D C   1 
ATOM 5983  O O   . GLY A 1 756 ? 314.977 -58.304  239.608 1.0 67.01338  ? 756 GLY D O   756 GLY D O   1 
ATOM 5984  N N   . ALA A 1 757 ? 314.159 -57.067  241.304 1.0 69.10527  ? 757 ALA D N   757 ALA D N   1 
ATOM 5985  C CA  . ALA A 1 757 ? 315.439 -56.962  241.994 1.0 69.10527  ? 757 ALA D CA  757 ALA D CA  1 
ATOM 5986  C C   . ALA A 1 757 ? 315.676 -58.115  242.959 1.0 69.10527  ? 757 ALA D C   757 ALA D C   1 
ATOM 5987  O O   . ALA A 1 757 ? 316.786 -58.654  243.016 1.0 69.10527  ? 757 ALA D O   757 ALA D O   1 
ATOM 5988  C CB  . ALA A 1 757 ? 315.524 -55.632  242.744 1.0 69.10527  ? 757 ALA D CB  757 ALA D CB  1 
ATOM 5989  N N   . ASN A 1 758 ? 314.657 -58.500  243.727 1.0 68.34826  ? 758 ASN D N   758 ASN D N   1 
ATOM 5990  C CA  . ASN A 1 758 ? 314.763 -59.654  244.609 1.0 68.34826  ? 758 ASN D CA  758 ASN D CA  1 
ATOM 5991  C C   . ASN A 1 758 ? 314.572 -60.972  243.876 1.0 68.34826  ? 758 ASN D C   758 ASN D C   1 
ATOM 5992  O O   . ASN A 1 758 ? 314.827 -62.030  244.460 1.0 68.34826  ? 758 ASN D O   758 ASN D O   1 
ATOM 5993  C CB  . ASN A 1 758 ? 313.741 -59.552  245.741 1.0 68.34826  ? 758 ASN D CB  758 ASN D CB  1 
ATOM 5994  C CG  . ASN A 1 758 ? 314.068 -58.447  246.719 1.0 68.34826  ? 758 ASN D CG  758 ASN D CG  1 
ATOM 5995  O OD1 . ASN A 1 758 ? 315.224 -58.257  247.097 1.0 68.34826  ? 758 ASN D OD1 758 ASN D OD1 1 
ATOM 5996  N ND2 . ASN A 1 758 ? 313.048 -57.705  247.135 1.0 68.34826  ? 758 ASN D ND2 758 ASN D ND2 1 
ATOM 5997  N N   . TYR A 1 759 ? 314.127 -60.936  242.624 1.0 65.29424  ? 759 TYR D N   759 TYR D N   1 
ATOM 5998  C CA  . TYR A 1 759 ? 313.964 -62.135  241.806 1.0 65.29424  ? 759 TYR D CA  759 TYR D CA  1 
ATOM 5999  C C   . TYR A 1 759 ? 314.730 -61.900  240.511 1.0 65.29424  ? 759 TYR D C   759 TYR D C   1 
ATOM 6000  O O   . TYR A 1 759 ? 314.235 -61.200  239.612 1.0 65.29424  ? 759 TYR D O   759 TYR D O   1 
ATOM 6001  C CB  . TYR A 1 759 ? 312.491 -62.422  241.556 1.0 65.29424  ? 759 TYR D CB  759 TYR D CB  1 
ATOM 6002  C CG  . TYR A 1 759 ? 311.742 -62.707  242.838 1.0 65.29424  ? 759 TYR D CG  759 TYR D CG  1 
ATOM 6003  C CD1 . TYR A 1 759 ? 311.810 -63.952  243.435 1.0 65.29424  ? 759 TYR D CD1 759 TYR D CD1 1 
ATOM 6004  C CD2 . TYR A 1 759 ? 310.992 -61.723  243.462 1.0 65.29424  ? 759 TYR D CD2 759 TYR D CD2 1 
ATOM 6005  C CE1 . TYR A 1 759 ? 311.142 -64.222  244.609 1.0 65.29424  ? 759 TYR D CE1 759 TYR D CE1 1 
ATOM 6006  C CE2 . TYR A 1 759 ? 310.318 -61.983  244.641 1.0 65.29424  ? 759 TYR D CE2 759 TYR D CE2 1 
ATOM 6007  C CZ  . TYR A 1 759 ? 310.402 -63.235  245.210 1.0 65.29424  ? 759 TYR D CZ  759 TYR D CZ  1 
ATOM 6008  O OH  . TYR A 1 759 ? 309.737 -63.509  246.382 1.0 65.29424  ? 759 TYR D OH  759 TYR D OH  1 
ATOM 6009  N N   . PRO A 1 760 ? 315.939 -62.452  240.380 1.0 65.49434  ? 760 PRO D N   760 PRO D N   1 
ATOM 6010  C CA  . PRO A 1 760 ? 316.866 -61.984  239.344 1.0 65.49434  ? 760 PRO D CA  760 PRO D CA  1 
ATOM 6011  C C   . PRO A 1 760 ? 316.641 -62.539  237.945 1.0 65.49434  ? 760 PRO D C   760 PRO D C   1 
ATOM 6012  O O   . PRO A 1 760 ? 317.404 -62.157  237.048 1.0 65.49434  ? 760 PRO D O   760 PRO D O   1 
ATOM 6013  C CB  . PRO A 1 760 ? 318.228 -62.433  239.890 1.0 65.49434  ? 760 PRO D CB  760 PRO D CB  1 
ATOM 6014  C CG  . PRO A 1 760 ? 317.923 -63.591  240.730 1.0 65.49434  ? 760 PRO D CG  760 PRO D CG  1 
ATOM 6015  C CD  . PRO A 1 760 ? 316.604 -63.327  241.355 1.0 65.49434  ? 760 PRO D CD  760 PRO D CD  1 
ATOM 6016  N N   . ASN A 1 761 ? 315.640 -63.404  237.734 1.0 62.5888   ? 761 ASN D N   761 ASN D N   1 
ATOM 6017  C CA  . ASN A 1 761 ? 315.279 -63.970  236.425 1.0 62.5888   ? 761 ASN D CA  761 ASN D CA  1 
ATOM 6018  C C   . ASN A 1 761 ? 316.456 -64.730  235.802 1.0 62.5888   ? 761 ASN D C   761 ASN D C   1 
ATOM 6019  O O   . ASN A 1 761 ? 317.063 -64.308  234.817 1.0 62.5888   ? 761 ASN D O   761 ASN D O   1 
ATOM 6020  C CB  . ASN A 1 761 ? 314.753 -62.896  235.460 1.0 62.5888   ? 761 ASN D CB  761 ASN D CB  1 
ATOM 6021  C CG  . ASN A 1 761 ? 314.081 -63.487  234.227 1.0 62.5888   ? 761 ASN D CG  761 ASN D CG  1 
ATOM 6022  O OD1 . ASN A 1 761 ? 313.900 -64.699  234.116 1.0 62.5888   ? 761 ASN D OD1 761 ASN D OD1 1 
ATOM 6023  N ND2 . ASN A 1 761 ? 313.728 -62.626  233.282 1.0 62.5888   ? 761 ASN D ND2 761 ASN D ND2 1 
ATOM 6024  N N   . LEU A 1 762 ? 316.771 -65.865  236.433 1.0 60.72025  ? 762 LEU D N   762 LEU D N   1 
ATOM 6025  C CA  . LEU A 1 762 ? 317.856 -66.738  235.983 1.0 60.72025  ? 762 LEU D CA  762 LEU D CA  1 
ATOM 6026  C C   . LEU A 1 762 ? 317.648 -67.293  234.578 1.0 60.72025  ? 762 LEU D C   762 LEU D C   1 
ATOM 6027  O O   . LEU A 1 762 ? 318.618 -67.732  233.953 1.0 60.72025  ? 762 LEU D O   762 LEU D O   1 
ATOM 6028  C CB  . LEU A 1 762 ? 318.028 -67.908  236.952 1.0 60.72025  ? 762 LEU D CB  762 LEU D CB  1 
ATOM 6029  C CG  . LEU A 1 762 ? 318.844 -67.791  238.236 1.0 60.72025  ? 762 LEU D CG  762 LEU D CG  1 
ATOM 6030  C CD1 . LEU A 1 762 ? 318.146 -66.955  239.266 1.0 60.72025  ? 762 LEU D CD1 762 LEU D CD1 1 
ATOM 6031  C CD2 . LEU A 1 762 ? 319.086 -69.170  238.793 1.0 60.72025  ? 762 LEU D CD2 762 LEU D CD2 1 
ATOM 6032  N N   . MET A 1 763 ? 316.410 -67.304  234.079 1.0 62.87096  ? 763 MET D N   763 MET D N   1 
ATOM 6033  C CA  . MET A 1 763 ? 316.140 -67.788  232.729 1.0 62.87096  ? 763 MET D CA  763 MET D CA  1 
ATOM 6034  C C   . MET A 1 763 ? 316.700 -66.843  231.676 1.0 62.87096  ? 763 MET D C   763 MET D C   1 
ATOM 6035  O O   . MET A 1 763 ? 317.259 -67.291  230.670 1.0 62.87096  ? 763 MET D O   763 MET D O   1 
ATOM 6036  C CB  . MET A 1 763 ? 314.637 -67.954  232.536 1.0 62.87096  ? 763 MET D CB  763 MET D CB  1 
ATOM 6037  C CG  . MET A 1 763 ? 314.228 -68.658  231.267 1.0 62.87096  ? 763 MET D CG  763 MET D CG  1 
ATOM 6038  S SD  . MET A 1 763 ? 314.642 -70.406  231.279 1.0 62.87096  ? 763 MET D SD  763 MET D SD  1 
ATOM 6039  C CE  . MET A 1 763 ? 314.604 -70.733  229.529 1.0 62.87096  ? 763 MET D CE  763 MET D CE  1 
ATOM 6040  N N   . ALA A 1 764 ? 316.551 -65.533  231.882 1.0 63.34185  ? 764 ALA D N   764 ALA D N   1 
ATOM 6041  C CA  . ALA A 1 764 ? 317.054 -64.577  230.903 1.0 63.34185  ? 764 ALA D CA  764 ALA D CA  1 
ATOM 6042  C C   . ALA A 1 764 ? 318.566 -64.439  230.978 1.0 63.34185  ? 764 ALA D C   764 ALA D C   1 
ATOM 6043  O O   . ALA A 1 764 ? 319.202 -64.067  229.987 1.0 63.34185  ? 764 ALA D O   764 ALA D O   1 
ATOM 6044  C CB  . ALA A 1 764 ? 316.388 -63.217  231.101 1.0 63.34185  ? 764 ALA D CB  764 ALA D CB  1 
ATOM 6045  N N   . ALA A 1 765 ? 319.158 -64.729  232.137 1.0 64.20089  ? 765 ALA D N   765 ALA D N   1 
ATOM 6046  C CA  . ALA A 1 765 ? 320.610 -64.744  232.240 1.0 64.20089  ? 765 ALA D CA  765 ALA D CA  1 
ATOM 6047  C C   . ALA A 1 765 ? 321.212 -65.983  231.598 1.0 64.20089  ? 765 ALA D C   765 ALA D C   1 
ATOM 6048  O O   . ALA A 1 765 ? 322.398 -65.974  231.255 1.0 64.20089  ? 765 ALA D O   765 ALA D O   1 
ATOM 6049  C CB  . ALA A 1 765 ? 321.039 -64.655  233.703 1.0 64.20089  ? 765 ALA D CB  765 ALA D CB  1 
ATOM 6050  N N   . TYR A 1 766 ? 320.422 -67.044  231.429 1.0 64.83801  ? 766 TYR D N   766 TYR D N   1 
ATOM 6051  C CA  . TYR A 1 766 ? 320.926 -68.245  230.777 1.0 64.83801  ? 766 TYR D CA  766 TYR D CA  1 
ATOM 6052  C C   . TYR A 1 766 ? 321.085 -68.031  229.278 1.0 64.83801  ? 766 TYR D C   766 TYR D C   1 
ATOM 6053  O O   . TYR A 1 766 ? 322.096 -68.429  228.691 1.0 64.83801  ? 766 TYR D O   766 TYR D O   1 
ATOM 6054  C CB  . TYR A 1 766 ? 319.996 -69.424  231.048 1.0 64.83801  ? 766 TYR D CB  766 TYR D CB  1 
ATOM 6055  C CG  . TYR A 1 766 ? 320.462 -70.706  230.409 1.0 64.83801  ? 766 TYR D CG  766 TYR D CG  1 
ATOM 6056  C CD1 . TYR A 1 766 ? 321.492 -71.444  230.969 1.0 64.83801  ? 766 TYR D CD1 766 TYR D CD1 1 
ATOM 6057  C CD2 . TYR A 1 766 ? 319.881 -71.172  229.236 1.0 64.83801  ? 766 TYR D CD2 766 TYR D CD2 1 
ATOM 6058  C CE1 . TYR A 1 766 ? 321.926 -72.613  230.385 1.0 64.83801  ? 766 TYR D CE1 766 TYR D CE1 1 
ATOM 6059  C CE2 . TYR A 1 766 ? 320.314 -72.330  228.641 1.0 64.83801  ? 766 TYR D CE2 766 TYR D CE2 1 
ATOM 6060  C CZ  . TYR A 1 766 ? 321.332 -73.049  229.223 1.0 64.83801  ? 766 TYR D CZ  766 TYR D CZ  1 
ATOM 6061  O OH  . TYR A 1 766 ? 321.760 -74.211  228.635 1.0 64.83801  ? 766 TYR D OH  766 TYR D OH  1 
ATOM 6062  N N   . LEU A 1 767 ? 320.087 -67.419  228.637 1.0 67.04555  ? 767 LEU D N   767 LEU D N   1 
ATOM 6063  C CA  . LEU A 1 767 ? 320.120 -67.264  227.186 1.0 67.04555  ? 767 LEU D CA  767 LEU D CA  1 
ATOM 6064  C C   . LEU A 1 767 ? 321.137 -66.231  226.729 1.0 67.04555  ? 767 LEU D C   767 LEU D C   1 
ATOM 6065  O O   . LEU A 1 767 ? 321.521 -66.240  225.555 1.0 67.04555  ? 767 LEU D O   767 LEU D O   1 
ATOM 6066  C CB  . LEU A 1 767 ? 318.739 -66.891  226.644 1.0 67.04555  ? 767 LEU D CB  767 LEU D CB  1 
ATOM 6067  C CG  . LEU A 1 767 ? 317.751 -68.008  226.298 1.0 67.04555  ? 767 LEU D CG  767 LEU D CG  1 
ATOM 6068  C CD1 . LEU A 1 767 ? 317.196 -68.696  227.530 1.0 67.04555  ? 767 LEU D CD1 767 LEU D CD1 1 
ATOM 6069  C CD2 . LEU A 1 767 ? 316.619 -67.460  225.429 1.0 67.04555  ? 767 LEU D CD2 767 LEU D CD2 1 
ATOM 6070  N N   . ALA A 1 768 ? 321.576 -65.343  227.618 1.0 69.65413  ? 768 ALA D N   768 ALA D N   1 
ATOM 6071  C CA  . ALA A 1 768 ? 322.666 -64.440  227.277 1.0 69.65413  ? 768 ALA D CA  768 ALA D CA  1 
ATOM 6072  C C   . ALA A 1 768 ? 323.985 -65.196  227.204 1.0 69.65413  ? 768 ALA D C   768 ALA D C   1 
ATOM 6073  O O   . ALA A 1 768 ? 324.674 -65.175  226.178 1.0 69.65413  ? 768 ALA D O   768 ALA D O   1 
ATOM 6074  C CB  . ALA A 1 768 ? 322.747 -63.306  228.298 1.0 69.65413  ? 768 ALA D CB  768 ALA D CB  1 
ATOM 6075  N N   . ASN A 1 769 ? 324.349 -65.878  228.286 1.0 70.0181   ? 769 ASN D N   769 ASN D N   1 
ATOM 6076  C CA  . ASN A 1 769 ? 325.573 -66.675  228.343 1.0 70.0181   ? 769 ASN D CA  769 ASN D CA  1 
ATOM 6077  C C   . ASN A 1 769 ? 325.219 -68.063  228.853 1.0 70.0181   ? 769 ASN D C   769 ASN D C   1 
ATOM 6078  O O   . ASN A 1 769 ? 325.074 -68.259  230.072 1.0 70.0181   ? 769 ASN D O   769 ASN D O   1 
ATOM 6079  C CB  . ASN A 1 769 ? 326.611 -66.017  229.249 1.0 70.0181   ? 769 ASN D CB  769 ASN D CB  1 
ATOM 6080  C CG  . ASN A 1 769 ? 327.991 -66.635  229.108 1.0 70.0181   ? 769 ASN D CG  769 ASN D CG  1 
ATOM 6081  O OD1 . ASN A 1 769 ? 328.208 -67.528  228.289 1.0 70.0181   ? 769 ASN D OD1 769 ASN D OD1 1 
ATOM 6082  N ND2 . ASN A 1 769 ? 328.931 -66.169  229.923 1.0 70.0181   ? 769 ASN D ND2 769 ASN D ND2 1 
ATOM 6083  N N   . PRO A 1 770 ? 325.058 -69.054  227.973 1.0 68.29598  ? 770 PRO D N   770 PRO D N   1 
ATOM 6084  C CA  . PRO A 1 770 ? 324.782 -70.418  228.450 1.0 68.29598  ? 770 PRO D CA  770 PRO D CA  1 
ATOM 6085  C C   . PRO A 1 770 ? 325.985 -71.107  229.067 1.0 68.29598  ? 770 PRO D C   770 PRO D C   1 
ATOM 6086  O O   . PRO A 1 770 ? 325.818 -72.178  229.661 1.0 68.29598  ? 770 PRO D O   770 PRO D O   1 
ATOM 6087  C CB  . PRO A 1 770 ? 324.324 -71.147  227.182 1.0 68.29598  ? 770 PRO D CB  770 PRO D CB  1 
ATOM 6088  C CG  . PRO A 1 770 ? 323.882 -70.066  226.258 1.0 68.29598  ? 770 PRO D CG  770 PRO D CG  1 
ATOM 6089  C CD  . PRO A 1 770 ? 324.797 -68.916  226.534 1.0 68.29598  ? 770 PRO D CD  770 PRO D CD  1 
ATOM 6090  N N   . GLN A 1 771 ? 327.185 -70.538  228.942 1.0 71.26178  ? 771 GLN D N   771 GLN D N   1 
ATOM 6091  C CA  . GLN A 1 771 ? 328.375 -71.179  229.489 1.0 71.26178  ? 771 GLN D CA  771 GLN D CA  1 
ATOM 6092  C C   . GLN A 1 771 ? 328.400 -71.086  231.007 1.0 71.26178  ? 771 GLN D C   771 GLN D C   1 
ATOM 6093  O O   . GLN A 1 771 ? 328.663 -72.079  231.695 1.0 71.26178  ? 771 GLN D O   771 GLN D O   1 
ATOM 6094  C CB  . GLN A 1 771 ? 329.622 -70.555  228.877 1.0 71.26178  ? 771 GLN D CB  771 GLN D CB  1 
ATOM 6095  C CG  . GLN A 1 771 ? 329.705 -70.807  227.393 1.0 71.26178  ? 771 GLN D CG  771 GLN D CG  1 
ATOM 6096  C CD  . GLN A 1 771 ? 329.885 -72.276  227.067 1.0 71.26178  ? 771 GLN D CD  771 GLN D CD  1 
ATOM 6097  O OE1 . GLN A 1 771 ? 330.620 -72.989  227.750 1.0 71.26178  ? 771 GLN D OE1 771 GLN D OE1 1 
ATOM 6098  N NE2 . GLN A 1 771 ? 329.210 -72.738  226.023 1.0 71.26178  ? 771 GLN D NE2 771 GLN D NE2 1 
ATOM 6099  N N   . THR A 1 772 ? 328.136 -69.904  231.553 1.0 69.4209   ? 772 THR D N   772 THR D N   1 
ATOM 6100  C CA  . THR A 1 772 ? 327.762 -69.840  232.955 1.0 69.4209   ? 772 THR D CA  772 THR D CA  1 
ATOM 6101  C C   . THR A 1 772 ? 326.377 -70.456  233.105 1.0 69.4209   ? 772 THR D C   772 THR D C   1 
ATOM 6102  O O   . THR A 1 772 ? 325.519 -70.306  232.229 1.0 69.4209   ? 772 THR D O   772 THR D O   1 
ATOM 6103  C CB  . THR A 1 772 ? 327.814 -68.402  233.486 1.0 69.4209   ? 772 THR D CB  772 THR D CB  1 
ATOM 6104  O OG1 . THR A 1 772 ? 327.455 -68.387  234.873 1.0 69.4209   ? 772 THR D OG1 772 THR D OG1 1 
ATOM 6105  C CG2 . THR A 1 772 ? 326.915 -67.454  232.708 1.0 69.4209   ? 772 THR D CG2 772 THR D CG2 1 
ATOM 6106  N N   . MET A 1 773 ? 326.185 -71.224  234.170 1.0 66.17089  ? 773 MET D N   773 MET D N   1 
ATOM 6107  C CA  . MET A 1 773 ? 324.986 -72.046  234.281 1.0 66.17089  ? 773 MET D CA  773 MET D CA  1 
ATOM 6108  C C   . MET A 1 773 ? 324.245 -71.720  235.565 1.0 66.17089  ? 773 MET D C   773 MET D C   1 
ATOM 6109  O O   . MET A 1 773 ? 324.519 -72.324  236.613 1.0 66.17089  ? 773 MET D O   773 MET D O   1 
ATOM 6110  C CB  . MET A 1 773 ? 325.353 -73.529  234.221 1.0 66.17089  ? 773 MET D CB  773 MET D CB  1 
ATOM 6111  C CG  . MET A 1 773 ? 325.884 -73.929  232.856 1.0 66.17089  ? 773 MET D CG  773 MET D CG  1 
ATOM 6112  S SD  . MET A 1 773 ? 326.335 -75.658  232.700 1.0 66.17089  ? 773 MET D SD  773 MET D SD  1 
ATOM 6113  C CE  . MET A 1 773 ? 327.867 -75.653  233.610 1.0 66.17089  ? 773 MET D CE  773 MET D CE  1 
ATOM 6114  N N   . PRO A 1 774 ? 323.311 -70.769  235.541 1.0 62.17875  ? 774 PRO D N   774 PRO D N   1 
ATOM 6115  C CA  . PRO A 1 774 ? 322.600 -70.427  236.778 1.0 62.17875  ? 774 PRO D CA  774 PRO D CA  1 
ATOM 6116  C C   . PRO A 1 774 ? 321.543 -71.445  237.148 1.0 62.17875  ? 774 PRO D C   774 PRO D C   1 
ATOM 6117  O O   . PRO A 1 774 ? 321.273 -71.647  238.338 1.0 62.17875  ? 774 PRO D O   774 PRO D O   1 
ATOM 6118  C CB  . PRO A 1 774 ? 321.977 -69.064  236.450 1.0 62.17875  ? 774 PRO D CB  774 PRO D CB  1 
ATOM 6119  C CG  . PRO A 1 774 ? 322.737 -68.558  235.266 1.0 62.17875  ? 774 PRO D CG  774 PRO D CG  1 
ATOM 6120  C CD  . PRO A 1 774 ? 323.078 -69.776  234.485 1.0 62.17875  ? 774 PRO D CD  774 PRO D CD  1 
ATOM 6121  N N   . ILE A 1 775 ? 320.936 -72.093  236.161 1.0 59.38769  ? 775 ILE D N   775 ILE D N   1 
ATOM 6122  C CA  . ILE A 1 775 ? 319.823 -73.001  236.403 1.0 59.38769  ? 775 ILE D CA  775 ILE D CA  1 
ATOM 6123  C C   . ILE A 1 775 ? 320.379 -74.290  236.988 1.0 59.38769  ? 775 ILE D C   775 ILE D C   1 
ATOM 6124  O O   . ILE A 1 775 ? 321.134 -75.006  236.323 1.0 59.38769  ? 775 ILE D O   775 ILE D O   1 
ATOM 6125  C CB  . ILE A 1 775 ? 319.051 -73.281  235.109 1.0 59.38769  ? 775 ILE D CB  775 ILE D CB  1 
ATOM 6126  C CG1 . ILE A 1 775 ? 318.704 -71.984  234.379 1.0 59.38769  ? 775 ILE D CG1 775 ILE D CG1 1 
ATOM 6127  C CG2 . ILE A 1 775 ? 317.789 -74.059  235.412 1.0 59.38769  ? 775 ILE D CG2 775 ILE D CG2 1 
ATOM 6128  C CD1 . ILE A 1 775 ? 317.794 -71.082  235.129 1.0 59.38769  ? 775 ILE D CD1 775 ILE D CD1 1 
ATOM 6129  N N   . TRP A 1 776 ? 320.028 -74.579  238.235 1.0 58.97662  ? 776 TRP D N   776 TRP D N   1 
ATOM 6130  C CA  . TRP A 1 776 ? 320.414 -75.819  238.902 1.0 58.97662  ? 776 TRP D CA  776 TRP D CA  1 
ATOM 6131  C C   . TRP A 1 776 ? 319.129 -76.588  239.171 1.0 58.97662  ? 776 TRP D C   776 TRP D C   1 
ATOM 6132  O O   . TRP A 1 776 ? 318.437 -76.324  240.154 1.0 58.97662  ? 776 TRP D O   776 TRP D O   1 
ATOM 6133  C CB  . TRP A 1 776 ? 321.177 -75.552  240.196 1.0 58.97662  ? 776 TRP D CB  776 TRP D CB  1 
ATOM 6134  C CG  . TRP A 1 776 ? 322.495 -74.904  239.994 1.0 58.97662  ? 776 TRP D CG  776 TRP D CG  1 
ATOM 6135  C CD1 . TRP A 1 776 ? 323.150 -74.739  238.815 1.0 58.97662  ? 776 TRP D CD1 776 TRP D CD1 1 
ATOM 6136  C CD2 . TRP A 1 776 ? 323.316 -74.304  240.998 1.0 58.97662  ? 776 TRP D CD2 776 TRP D CD2 1 
ATOM 6137  N NE1 . TRP A 1 776 ? 324.333 -74.082  239.019 1.0 58.97662  ? 776 TRP D NE1 776 TRP D NE1 1 
ATOM 6138  C CE2 . TRP A 1 776 ? 324.458 -73.803  240.353 1.0 58.97662  ? 776 TRP D CE2 776 TRP D CE2 1 
ATOM 6139  C CE3 . TRP A 1 776 ? 323.199 -74.145  242.379 1.0 58.97662  ? 776 TRP D CE3 776 TRP D CE3 1 
ATOM 6140  C CZ2 . TRP A 1 776 ? 325.475 -73.156  241.039 1.0 58.97662  ? 776 TRP D CZ2 776 TRP D CZ2 1 
ATOM 6141  C CZ3 . TRP A 1 776 ? 324.207 -73.504  243.057 1.0 58.97662  ? 776 TRP D CZ3 776 TRP D CZ3 1 
ATOM 6142  C CH2 . TRP A 1 776 ? 325.331 -73.017  242.389 1.0 58.97662  ? 776 TRP D CH2 776 TRP D CH2 1 
ATOM 6143  N N   . ASN A 1 777 ? 318.795 -77.516  238.285 1.0 55.89935  ? 777 ASN D N   777 ASN D N   1 
ATOM 6144  C CA  . ASN A 1 777 ? 317.650 -78.390  238.476 1.0 55.89935  ? 777 ASN D CA  777 ASN D CA  1 
ATOM 6145  C C   . ASN A 1 777 ? 318.113 -79.775  238.064 1.0 55.89935  ? 777 ASN D C   777 ASN D C   1 
ATOM 6146  O O   . ASN A 1 777 ? 318.836 -79.894  237.072 1.0 55.89935  ? 777 ASN D O   777 ASN D O   1 
ATOM 6147  C CB  . ASN A 1 777 ? 316.448 -77.937  237.641 1.0 55.89935  ? 777 ASN D CB  777 ASN D CB  1 
ATOM 6148  C CG  . ASN A 1 777 ? 315.124 -78.337  238.256 1.0 55.89935  ? 777 ASN D CG  777 ASN D CG  1 
ATOM 6149  O OD1 . ASN A 1 777 ? 314.066 -77.881  237.829 1.0 55.89935  ? 777 ASN D OD1 777 ASN D OD1 1 
ATOM 6150  N ND2 . ASN A 1 777 ? 315.177 -79.166  239.284 1.0 55.89935  ? 777 ASN D ND2 777 ASN D ND2 1 
ATOM 6151  N N   . ASN A 1 778 ? 317.762 -80.779  238.886 1.0 55.66894  ? 778 ASN D N   778 ASN D N   1 
ATOM 6152  C CA  . ASN A 1 778 ? 318.229 -82.173  238.936 1.0 55.66894  ? 778 ASN D CA  778 ASN D CA  1 
ATOM 6153  C C   . ASN A 1 778 ? 319.684 -82.343  238.512 1.0 55.66894  ? 778 ASN D C   778 ASN D C   1 
ATOM 6154  O O   . ASN A 1 778 ? 320.019 -83.217  237.707 1.0 55.66894  ? 778 ASN D O   778 ASN D O   1 
ATOM 6155  C CB  . ASN A 1 778 ? 317.268 -83.154  238.219 1.0 55.66894  ? 778 ASN D CB  778 ASN D CB  1 
ATOM 6156  C CG  . ASN A 1 778 ? 317.094 -82.931  236.727 1.0 55.66894  ? 778 ASN D CG  778 ASN D CG  1 
ATOM 6157  O OD1 . ASN A 1 778 ? 317.845 -82.237  236.072 1.0 55.66894  ? 778 ASN D OD1 778 ASN D OD1 1 
ATOM 6158  N ND2 . ASN A 1 778 ? 316.055 -83.549  236.184 1.0 55.66894  ? 778 ASN D ND2 778 ASN D ND2 1 
ATOM 6159  N N   . CYS A 1 779 ? 320.549 -81.502  239.072 1.0 57.36153  ? 779 CYS D N   779 CYS D N   1 
ATOM 6160  C CA  . CYS A 1 779 ? 321.977 -81.613  238.846 1.0 57.36153  ? 779 CYS D CA  779 CYS D CA  1 
ATOM 6161  C C   . CYS A 1 779 ? 322.516 -82.857  239.530 1.0 57.36153  ? 779 CYS D C   779 CYS D C   1 
ATOM 6162  O O   . CYS A 1 779 ? 322.040 -83.268  240.589 1.0 57.36153  ? 779 CYS D O   779 CYS D O   1 
ATOM 6163  C CB  . CYS A 1 779 ? 322.696 -80.370  239.361 1.0 57.36153  ? 779 CYS D CB  779 CYS D CB  1 
ATOM 6164  S SG  . CYS A 1 779 ? 322.510 -80.072  241.122 1.0 57.36153  ? 779 CYS D SG  779 CYS D SG  1 
ATOM 6165  N N   . GLY A 1 780 ? 323.504 -83.472  238.897 1.0 59.0818   ? 780 GLY D N   780 GLY D N   1 
ATOM 6166  C CA  . GLY A 1 780 ? 324.037 -84.726  239.361 1.0 59.0818   ? 780 GLY D CA  780 GLY D CA  1 
ATOM 6167  C C   . GLY A 1 780 ? 323.431 -85.942  238.707 1.0 59.0818   ? 780 GLY D C   780 GLY D C   1 
ATOM 6168  O O   . GLY A 1 780 ? 324.009 -87.030  238.797 1.0 59.0818   ? 780 GLY D O   780 GLY D O   1 
ATOM 6169  N N   . PHE A 1 781 ? 322.291 -85.796  238.045 1.0 57.84998  ? 781 PHE D N   781 PHE D N   1 
ATOM 6170  C CA  . PHE A 1 781 ? 321.636 -86.918  237.396 1.0 57.84998  ? 781 PHE D CA  781 PHE D CA  1 
ATOM 6171  C C   . PHE A 1 781 ? 321.407 -86.655  235.913 1.0 57.84998  ? 781 PHE D C   781 PHE D C   1 
ATOM 6172  O O   . PHE A 1 781 ? 320.576 -87.328  235.292 1.0 57.84998  ? 781 PHE D O   781 PHE D O   1 
ATOM 6173  C CB  . PHE A 1 781 ? 320.314 -87.221  238.098 1.0 57.84998  ? 781 PHE D CB  781 PHE D CB  1 
ATOM 6174  C CG  . PHE A 1 781 ? 320.451 -87.481  239.570 1.0 57.84998  ? 781 PHE D CG  781 PHE D CG  1 
ATOM 6175  C CD1 . PHE A 1 781 ? 320.949 -88.682  240.033 1.0 57.84998  ? 781 PHE D CD1 781 PHE D CD1 1 
ATOM 6176  C CD2 . PHE A 1 781 ? 320.059 -86.536  240.496 1.0 57.84998  ? 781 PHE D CD2 781 PHE D CD2 1 
ATOM 6177  C CE1 . PHE A 1 781 ? 321.036 -88.943  241.363 1.0 57.84998  ? 781 PHE D CE1 781 PHE D CE1 1 
ATOM 6178  C CE2 . PHE A 1 781 ? 320.172 -86.805  241.845 1.0 57.84998  ? 781 PHE D CE2 781 PHE D CE2 1 
ATOM 6179  C CZ  . PHE A 1 781 ? 320.668 -88.010  242.274 1.0 57.84998  ? 781 PHE D CZ  781 PHE D CZ  1 
ATOM 6180  N N   . GLN A 1 782 ? 322.100 -85.677  235.340 1.0 57.77011  ? 782 GLN D N   782 GLN D N   1 
ATOM 6181  C CA  . GLN A 1 782 ? 322.071 -85.428  233.907 1.0 57.77011  ? 782 GLN D CA  782 GLN D CA  1 
ATOM 6182  C C   . GLN A 1 782 ? 323.361 -84.710  233.532 1.0 57.77011  ? 782 GLN D C   782 GLN D C   1 
ATOM 6183  O O   . GLN A 1 782 ? 324.214 -84.437  234.380 1.0 57.77011  ? 782 GLN D O   782 GLN D O   1 
ATOM 6184  C CB  . GLN A 1 782 ? 320.847 -84.606  233.497 1.0 57.77011  ? 782 GLN D CB  782 GLN D CB  1 
ATOM 6185  C CG  . GLN A 1 782 ? 320.849 -83.191  234.029 1.0 57.77011  ? 782 GLN D CG  782 GLN D CG  1 
ATOM 6186  C CD  . GLN A 1 782 ? 319.645 -82.413  233.562 1.0 57.77011  ? 782 GLN D CD  782 GLN D CD  1 
ATOM 6187  O OE1 . GLN A 1 782 ? 318.801 -82.934  232.837 1.0 57.77011  ? 782 GLN D OE1 782 GLN D OE1 1 
ATOM 6188  N NE2 . GLN A 1 782 ? 319.567 -81.152  233.957 1.0 57.77011  ? 782 GLN D NE2 782 GLN D NE2 1 
ATOM 6189  N N   . GLN A 1 783 ? 323.487 -84.394  232.250 1.0 61.28766  ? 783 GLN D N   783 GLN D N   1 
ATOM 6190  C CA  . GLN A 1 783 ? 324.617 -83.641  231.739 1.0 61.28766  ? 783 GLN D CA  783 GLN D CA  1 
ATOM 6191  C C   . GLN A 1 783 ? 324.503 -82.182  232.177 1.0 61.28766  ? 783 GLN D C   783 GLN D C   1 
ATOM 6192  O O   . GLN A 1 783 ? 323.433 -81.713  232.577 1.0 61.28766  ? 783 GLN D O   783 GLN D O   1 
ATOM 6193  C CB  . GLN A 1 783 ? 324.665 -83.804  230.214 1.0 61.28766  ? 783 GLN D CB  783 GLN D CB  1 
ATOM 6194  C CG  . GLN A 1 783 ? 325.816 -83.158  229.436 1.0 61.28766  ? 783 GLN D CG  783 GLN D CG  1 
ATOM 6195  C CD  . GLN A 1 783 ? 327.174 -83.696  229.796 1.0 61.28766  ? 783 GLN D CD  783 GLN D CD  1 
ATOM 6196  O OE1 . GLN A 1 783 ? 327.352 -84.888  230.021 1.0 61.28766  ? 783 GLN D OE1 783 GLN D OE1 1 
ATOM 6197  N NE2 . GLN A 1 783 ? 328.154 -82.812  229.835 1.0 61.28766  ? 783 GLN D NE2 783 GLN D NE2 1 
ATOM 6198  N N   . LYS A 1 784 ? 325.647 -81.491  232.166 1.0 64.12293  ? 784 LYS D N   784 LYS D N   1 
ATOM 6199  C CA  . LYS A 1 784 ? 325.713 -80.043  232.302 1.0 64.12293  ? 784 LYS D CA  784 LYS D CA  1 
ATOM 6200  C C   . LYS A 1 784 ? 324.774 -79.352  231.322 1.0 64.12293  ? 784 LYS D C   784 LYS D C   1 
ATOM 6201  O O   . LYS A 1 784 ? 324.527 -79.833  230.213 1.0 64.12293  ? 784 LYS D O   784 LYS D O   1 
ATOM 6202  C CB  . LYS A 1 784 ? 327.137 -79.562  232.032 1.0 64.12293  ? 784 LYS D CB  784 LYS D CB  1 
ATOM 6203  C CG  . LYS A 1 784 ? 328.169 -80.120  232.969 1.0 64.12293  ? 784 LYS D CG  784 LYS D CG  1 
ATOM 6204  C CD  . LYS A 1 784 ? 329.537 -79.539  232.670 1.0 64.12293  ? 784 LYS D CD  784 LYS D CD  1 
ATOM 6205  C CE  . LYS A 1 784 ? 330.382 -80.453  231.797 1.0 64.12293  ? 784 LYS D CE  784 LYS D CE  1 
ATOM 6206  N NZ  . LYS A 1 784 ? 329.981 -80.409  230.369 1.0 64.12293  ? 784 LYS D NZ  784 LYS D NZ  1 
ATOM 6207  N N   . THR A 1 785 ? 324.266 -78.197  231.726 1.0 63.96066  ? 785 THR D N   785 THR D N   1 
ATOM 6208  C CA  . THR A 1 785 ? 323.365 -77.433  230.882 1.0 63.96066  ? 785 THR D CA  785 THR D CA  1 
ATOM 6209  C C   . THR A 1 785 ? 324.099 -76.506  229.920 1.0 63.96066  ? 785 THR D C   785 THR D C   1 
ATOM 6210  O O   . THR A 1 785 ? 323.486 -75.585  229.375 1.0 63.96066  ? 785 THR D O   785 THR D O   1 
ATOM 6211  C CB  . THR A 1 785 ? 322.389 -76.636  231.744 1.0 63.96066  ? 785 THR D CB  785 THR D CB  1 
ATOM 6212  O OG1 . THR A 1 785 ? 323.117 -75.701  232.545 1.0 63.96066  ? 785 THR D OG1 785 THR D OG1 1 
ATOM 6213  C CG2 . THR A 1 785 ? 321.628 -77.574  232.660 1.0 63.96066  ? 785 THR D CG2 785 THR D CG2 1 
ATOM 6214  N N   . ALA A 1 786 ? 325.396 -76.717  229.711 1.0 66.30004  ? 786 ALA D N   786 ALA D N   1 
ATOM 6215  C CA  . ALA A 1 786 ? 326.137 -76.039  228.657 1.0 66.30004  ? 786 ALA D CA  786 ALA D CA  1 
ATOM 6216  C C   . ALA A 1 786 ? 326.269 -76.891  227.406 1.0 66.30004  ? 786 ALA D C   786 ALA D C   1 
ATOM 6217  O O   . ALA A 1 786 ? 326.147 -76.377  226.292 1.0 66.30004  ? 786 ALA D O   786 ALA D O   1 
ATOM 6218  C CB  . ALA A 1 786 ? 327.529 -75.644  229.154 1.0 66.30004  ? 786 ALA D CB  786 ALA D CB  1 
ATOM 6219  N N   . THR A 1 787 ? 326.508 -78.184  227.570 1.0 68.00323  ? 787 THR D N   787 THR D N   1 
ATOM 6220  C CA  . THR A 1 787 ? 326.598 -79.117  226.458 1.0 68.00323  ? 787 THR D CA  787 THR D CA  1 
ATOM 6221  C C   . THR A 1 787 ? 325.192 -79.696  226.244 1.0 68.00323  ? 787 THR D C   787 THR D C   1 
ATOM 6222  O O   . THR A 1 787 ? 324.203 -79.125  226.709 1.0 68.00323  ? 787 THR D O   787 THR D O   1 
ATOM 6223  C CB  . THR A 1 787 ? 327.692 -80.153  226.750 1.0 68.00323  ? 787 THR D CB  787 THR D CB  1 
ATOM 6224  O OG1 . THR A 1 787 ? 328.753 -79.514  227.460 1.0 68.00323  ? 787 THR D OG1 787 THR D OG1 1 
ATOM 6225  C CG2 . THR A 1 787 ? 328.340 -80.639  225.456 1.0 68.00323  ? 787 THR D CG2 787 THR D CG2 1 
ATOM 6226  N N   . ASN A 1 788 ? 325.081 -80.816  225.531 1.0 65.91913  ? 788 ASN D N   788 ASN D N   1 
ATOM 6227  C CA  . ASN A 1 788 ? 323.820 -81.438  225.168 1.0 65.91913  ? 788 ASN D CA  788 ASN D CA  1 
ATOM 6228  C C   . ASN A 1 788 ? 323.069 -81.960  226.393 1.0 65.91913  ? 788 ASN D C   788 ASN D C   1 
ATOM 6229  O O   . ASN A 1 788 ? 323.518 -81.867  227.536 1.0 65.91913  ? 788 ASN D O   788 ASN D O   1 
ATOM 6230  C CB  . ASN A 1 788 ? 324.076 -82.595  224.212 1.0 65.91913  ? 788 ASN D CB  788 ASN D CB  1 
ATOM 6231  C CG  . ASN A 1 788 ? 324.590 -82.140  222.878 1.0 65.91913  ? 788 ASN D CG  788 ASN D CG  1 
ATOM 6232  O OD1 . ASN A 1 788 ? 324.123 -81.146  222.334 1.0 65.91913  ? 788 ASN D OD1 788 ASN D OD1 1 
ATOM 6233  N ND2 . ASN A 1 788 ? 325.555 -82.869  222.334 1.0 65.91913  ? 788 ASN D ND2 788 ASN D ND2 1 
ATOM 6234  N N   . VAL A 1 789 ? 321.890 -82.518  226.138 1.0 63.24393  ? 789 VAL D N   789 VAL D N   1 
ATOM 6235  C CA  . VAL A 1 789 ? 321.168 -83.292  227.141 1.0 63.24393  ? 789 VAL D CA  789 VAL D CA  1 
ATOM 6236  C C   . VAL A 1 789 ? 321.272 -84.786  226.875 1.0 63.24393  ? 789 VAL D C   789 VAL D C   1 
ATOM 6237  O O   . VAL A 1 789 ? 321.015 -85.588  227.788 1.0 63.24393  ? 789 VAL D O   789 VAL D O   1 
ATOM 6238  C CB  . VAL A 1 789 ? 319.686 -82.858  227.228 1.0 63.24393  ? 789 VAL D CB  789 VAL D CB  1 
ATOM 6239  C CG1 . VAL A 1 789 ? 318.862 -83.438  226.084 1.0 63.24393  ? 789 VAL D CG1 789 VAL D CG1 1 
ATOM 6240  C CG2 . VAL A 1 789 ? 319.076 -83.163  228.594 1.0 63.24393  ? 789 VAL D CG2 789 VAL D CG2 1 
ATOM 6241  N N   . LEU A 1 790 ? 321.705 -85.188  225.680 1.0 62.71826  ? 790 LEU D N   790 LEU D N   1 
ATOM 6242  C CA  . LEU A 1 790 ? 321.804 -86.592  225.307 1.0 62.71826  ? 790 LEU D CA  790 LEU D CA  1 
ATOM 6243  C C   . LEU A 1 790 ? 323.004 -87.296  225.925 1.0 62.71826  ? 790 LEU D C   790 LEU D C   1 
ATOM 6244  O O   . LEU A 1 790 ? 323.159 -88.503  225.719 1.0 62.71826  ? 790 LEU D O   790 LEU D O   1 
ATOM 6245  C CB  . LEU A 1 790 ? 321.880 -86.727  223.786 1.0 62.71826  ? 790 LEU D CB  790 LEU D CB  1 
ATOM 6246  C CG  . LEU A 1 790 ? 320.687 -86.262  222.957 1.0 62.71826  ? 790 LEU D CG  790 LEU D CG  1 
ATOM 6247  C CD1 . LEU A 1 790 ? 321.026 -86.377  221.491 1.0 62.71826  ? 790 LEU D CD1 790 LEU D CD1 1 
ATOM 6248  C CD2 . LEU A 1 790 ? 319.448 -87.068  223.274 1.0 62.71826  ? 790 LEU D CD2 790 LEU D CD2 1 
ATOM 6249  N N   . LEU A 1 791 ? 323.849 -86.587  226.665 1.0 63.83603  ? 791 LEU D N   791 LEU D N   1 
ATOM 6250  C CA  . LEU A 1 791 ? 325.070 -87.151  227.214 1.0 63.83603  ? 791 LEU D CA  791 LEU D CA  1 
ATOM 6251  C C   . LEU A 1 791 ? 324.790 -87.741  228.597 1.0 63.83603  ? 791 LEU D C   791 LEU D C   1 
ATOM 6252  O O   . LEU A 1 791 ? 323.637 -87.898  229.004 1.0 63.83603  ? 791 LEU D O   791 LEU D O   1 
ATOM 6253  C CB  . LEU A 1 791 ? 326.150 -86.080  227.255 1.0 63.83603  ? 791 LEU D CB  791 LEU D CB  1 
ATOM 6254  C CG  . LEU A 1 791 ? 326.559 -85.456  225.926 1.0 63.83603  ? 791 LEU D CG  791 LEU D CG  1 
ATOM 6255  C CD1 . LEU A 1 791 ? 327.461 -84.275  226.191 1.0 63.83603  ? 791 LEU D CD1 791 LEU D CD1 1 
ATOM 6256  C CD2 . LEU A 1 791 ? 327.258 -86.464  225.055 1.0 63.83603  ? 791 LEU D CD2 791 LEU D CD2 1 
ATOM 6257  N N   . GLU A 1 792 ? 325.842 -88.072  229.339 1.0 66.48509  ? 792 GLU D N   792 GLU D N   1 
ATOM 6258  C CA  . GLU A 1 792 ? 325.701 -88.802  230.590 1.0 66.48509  ? 792 GLU D CA  792 GLU D CA  1 
ATOM 6259  C C   . GLU A 1 792 ? 325.682 -87.858  231.792 1.0 66.48509  ? 792 GLU D C   792 GLU D C   1 
ATOM 6260  O O   . GLU A 1 792 ? 325.847 -86.649  231.664 1.0 66.48509  ? 792 GLU D O   792 GLU D O   1 
ATOM 6261  C CB  . GLU A 1 792 ? 326.829 -89.821  230.728 1.0 66.48509  ? 792 GLU D CB  792 GLU D CB  1 
ATOM 6262  C CG  . GLU A 1 792 ? 326.784 -90.900  229.667 1.0 66.48509  ? 792 GLU D CG  792 GLU D CG  1 
ATOM 6263  C CD  . GLU A 1 792 ? 325.572 -91.796  229.804 1.0 66.48509  ? 792 GLU D CD  792 GLU D CD  1 
ATOM 6264  O OE1 . GLU A 1 792 ? 325.157 -92.068  230.950 1.0 66.48509  ? 792 GLU D OE1 792 GLU D OE1 1 
ATOM 6265  O OE2 . GLU A 1 792 ? 325.025 -92.221  228.766 1.0 66.48509  ? 792 GLU D OE2 792 GLU D OE2 1 
ATOM 6266  N N   . ARG A 1 793 ? 325.471 -88.435  232.975 1.0 62.81015  ? 793 ARG D N   793 ARG D N   1 
ATOM 6267  C CA  . ARG A 1 793 ? 325.432 -87.663  234.214 1.0 62.81015  ? 793 ARG D CA  793 ARG D CA  1 
ATOM 6268  C C   . ARG A 1 793 ? 326.803 -87.073  234.540 1.0 62.81015  ? 793 ARG D C   793 ARG D C   1 
ATOM 6269  O O   . ARG A 1 793 ? 327.845 -87.636  234.195 1.0 62.81015  ? 793 ARG D O   793 ARG D O   1 
ATOM 6270  C CB  . ARG A 1 793 ? 324.929 -88.533  235.379 1.0 62.81015  ? 793 ARG D CB  793 ARG D CB  1 
ATOM 6271  C CG  . ARG A 1 793 ? 325.930 -89.519  236.002 1.0 62.81015  ? 793 ARG D CG  793 ARG D CG  1 
ATOM 6272  C CD  . ARG A 1 793 ? 326.140 -90.770  235.152 1.0 62.81015  ? 793 ARG D CD  793 ARG D CD  1 
ATOM 6273  N NE  . ARG A 1 793 ? 327.125 -91.682  235.718 1.0 62.81015  ? 793 ARG D NE  793 ARG D NE  1 
ATOM 6274  C CZ  . ARG A 1 793 ? 328.430 -91.584  235.501 1.0 62.81015  ? 793 ARG D CZ  793 ARG D CZ  1 
ATOM 6275  N NH1 . ARG A 1 793 ? 328.899 -90.613  234.731 1.0 62.81015  ? 793 ARG D NH1 793 ARG D NH1 1 
ATOM 6276  N NH2 . ARG A 1 793 ? 329.266 -92.455  236.051 1.0 62.81015  ? 793 ARG D NH2 793 ARG D NH2 1 
ATOM 6277  N N   . CYS A 1 794 ? 326.797 -85.886  235.155 1.0 63.6839   ? 794 CYS D N   794 CYS D N   1 
ATOM 6278  C CA  . CYS A 1 794 ? 328.042 -85.202  235.495 1.0 63.6839   ? 794 CYS D CA  794 CYS D CA  1 
ATOM 6279  C C   . CYS A 1 794 ? 328.208 -84.910  236.981 1.0 63.6839   ? 794 CYS D C   794 CYS D C   1 
ATOM 6280  O O   . CYS A 1 794 ? 329.220 -85.308  237.562 1.0 63.6839   ? 794 CYS D O   794 CYS D O   1 
ATOM 6281  C CB  . CYS A 1 794 ? 328.165 -83.906  234.688 1.0 63.6839   ? 794 CYS D CB  794 CYS D CB  1 
ATOM 6282  S SG  . CYS A 1 794 ? 328.561 -84.150  232.956 1.0 63.6839   ? 794 CYS D SG  794 CYS D SG  1 
ATOM 6283  N N   . GLY A 1 795 ? 327.265 -84.229  237.623 1.0 62.63904  ? 795 GLY D N   795 GLY D N   1 
ATOM 6284  C CA  . GLY A 1 795 ? 327.584 -83.587  238.888 1.0 62.63904  ? 795 GLY D CA  795 GLY D CA  1 
ATOM 6285  C C   . GLY A 1 795 ? 327.404 -84.399  240.153 1.0 62.63904  ? 795 GLY D C   795 GLY D C   1 
ATOM 6286  O O   . GLY A 1 795 ? 327.675 -85.601  240.179 1.0 62.63904  ? 795 GLY D O   795 GLY D O   1 
ATOM 6287  N N   . HIS A 1 796 ? 326.959 -83.734  241.211 1.0 61.03941  ? 796 HIS D N   796 HIS D N   1 
ATOM 6288  C CA  . HIS A 1 796 ? 326.620 -84.321  242.496 1.0 61.03941  ? 796 HIS D CA  796 HIS D CA  1 
ATOM 6289  C C   . HIS A 1 796 ? 325.236 -83.838  242.897 1.0 61.03941  ? 796 HIS D C   796 HIS D C   1 
ATOM 6290  O O   . HIS A 1 796 ? 324.764 -82.819  242.384 1.0 61.03941  ? 796 HIS D O   796 HIS D O   1 
ATOM 6291  C CB  . HIS A 1 796 ? 327.654 -83.943  243.571 1.0 61.03941  ? 796 HIS D CB  796 HIS D CB  1 
ATOM 6292  C CG  . HIS A 1 796 ? 327.765 -82.474  243.834 1.0 61.03941  ? 796 HIS D CG  796 HIS D CG  1 
ATOM 6293  N ND1 . HIS A 1 796 ? 326.892 -81.792  244.653 1.0 61.03941  ? 796 HIS D ND1 796 HIS D ND1 1 
ATOM 6294  C CD2 . HIS A 1 796 ? 328.680 -81.565  243.424 1.0 61.03941  ? 796 HIS D CD2 796 HIS D CD2 1 
ATOM 6295  C CE1 . HIS A 1 796 ? 327.252 -80.524  244.721 1.0 61.03941  ? 796 HIS D CE1 796 HIS D CE1 1 
ATOM 6296  N NE2 . HIS A 1 796 ? 328.335 -80.360  243.984 1.0 61.03941  ? 796 HIS D NE2 796 HIS D NE2 1 
ATOM 6297  N N   . PRO A 1 797 ? 324.544 -84.554  243.789 1.0 60.33645  ? 797 PRO D N   797 PRO D N   1 
ATOM 6298  C CA  . PRO A 1 797 ? 323.228 -84.079  244.230 1.0 60.33645  ? 797 PRO D CA  797 PRO D CA  1 
ATOM 6299  C C   . PRO A 1 797 ? 323.330 -82.824  245.080 1.0 60.33645  ? 797 PRO D C   797 PRO D C   1 
ATOM 6300  O O   . PRO A 1 797 ? 324.231 -82.682  245.909 1.0 60.33645  ? 797 PRO D O   797 PRO D O   1 
ATOM 6301  C CB  . PRO A 1 797 ? 322.678 -85.256  245.041 1.0 60.33645  ? 797 PRO D CB  797 PRO D CB  1 
ATOM 6302  C CG  . PRO A 1 797 ? 323.384 -86.426  244.516 1.0 60.33645  ? 797 PRO D CG  797 PRO D CG  1 
ATOM 6303  C CD  . PRO A 1 797 ? 324.761 -85.950  244.202 1.0 60.33645  ? 797 PRO D CD  797 PRO D CD  1 
ATOM 6304  N N   . TYR A 1 798 ? 322.383 -81.917  244.862 1.0 59.94291  ? 798 TYR D N   798 TYR D N   1 
ATOM 6305  C CA  . TYR A 1 798 ? 322.386 -80.602  245.484 1.0 59.94291  ? 798 TYR D CA  798 TYR D CA  1 
ATOM 6306  C C   . TYR A 1 798 ? 320.985 -80.029  245.323 1.0 59.94291  ? 798 TYR D C   798 TYR D C   1 
ATOM 6307  O O   . TYR A 1 798 ? 320.178 -80.534  244.539 1.0 59.94291  ? 798 TYR D O   798 TYR D O   1 
ATOM 6308  C CB  . TYR A 1 798 ? 323.458 -79.709  244.850 1.0 59.94291  ? 798 TYR D CB  798 TYR D CB  1 
ATOM 6309  C CG  . TYR A 1 798 ? 323.698 -78.386  245.526 1.0 59.94291  ? 798 TYR D CG  798 TYR D CG  1 
ATOM 6310  C CD1 . TYR A 1 798 ? 324.370 -78.312  246.736 1.0 59.94291  ? 798 TYR D CD1 798 TYR D CD1 1 
ATOM 6311  C CD2 . TYR A 1 798 ? 323.270 -77.207  244.939 1.0 59.94291  ? 798 TYR D CD2 798 TYR D CD2 1 
ATOM 6312  C CE1 . TYR A 1 798 ? 324.598 -77.100  247.345 1.0 59.94291  ? 798 TYR D CE1 798 TYR D CE1 1 
ATOM 6313  C CE2 . TYR A 1 798 ? 323.496 -75.996  245.535 1.0 59.94291  ? 798 TYR D CE2 798 TYR D CE2 1 
ATOM 6314  C CZ  . TYR A 1 798 ? 324.157 -75.948  246.737 1.0 59.94291  ? 798 TYR D CZ  798 TYR D CZ  1 
ATOM 6315  O OH  . TYR A 1 798 ? 324.371 -74.731  247.323 1.0 59.94291  ? 798 TYR D OH  798 TYR D OH  1 
ATOM 6316  N N   . VAL A 1 799 ? 320.697 -78.973  246.091 1.0 56.45923  ? 799 VAL D N   799 VAL D N   1 
ATOM 6317  C CA  . VAL A 1 799 ? 319.379 -78.348  246.055 1.0 56.45923  ? 799 VAL D CA  799 VAL D CA  1 
ATOM 6318  C C   . VAL A 1 799 ? 319.156 -77.649  244.722 1.0 56.45923  ? 799 VAL D C   799 VAL D C   1 
ATOM 6319  O O   . VAL A 1 799 ? 320.088 -77.352  243.968 1.0 56.45923  ? 799 VAL D O   799 VAL D O   1 
ATOM 6320  C CB  . VAL A 1 799 ? 319.206 -77.357  247.213 1.0 56.45923  ? 799 VAL D CB  799 VAL D CB  1 
ATOM 6321  C CG1 . VAL A 1 799 ? 319.294 -78.062  248.522 1.0 56.45923  ? 799 VAL D CG1 799 VAL D CG1 1 
ATOM 6322  C CG2 . VAL A 1 799 ? 320.246 -76.273  247.125 1.0 56.45923  ? 799 VAL D CG2 799 VAL D CG2 1 
ATOM 6323  N N   . ALA A 1 800 ? 317.893 -77.364  244.444 1.0 54.27719  ? 800 ALA D N   800 ALA D N   1 
ATOM 6324  C CA  . ALA A 1 800 ? 317.502 -76.650  243.242 1.0 54.27719  ? 800 ALA D CA  800 ALA D CA  1 
ATOM 6325  C C   . ALA A 1 800 ? 317.257 -75.180  243.545 1.0 54.27719  ? 800 ALA D C   800 ALA D C   1 
ATOM 6326  O O   . ALA A 1 800 ? 316.971 -74.792  244.680 1.0 54.27719  ? 800 ALA D O   800 ALA D O   1 
ATOM 6327  C CB  . ALA A 1 800 ? 316.251 -77.272  242.627 1.0 54.27719  ? 800 ALA D CB  800 ALA D CB  1 
ATOM 6328  N N   . ASN A 1 801 ? 317.372 -74.357  242.503 1.0 55.25767  ? 801 ASN D N   801 ASN D N   1 
ATOM 6329  C CA  . ASN A 1 801 ? 317.169 -72.922  242.635 1.0 55.25767  ? 801 ASN D CA  801 ASN D CA  1 
ATOM 6330  C C   . ASN A 1 801 ? 316.224 -72.352  241.587 1.0 55.25767  ? 801 ASN D C   801 ASN D C   1 
ATOM 6331  O O   . ASN A 1 801 ? 316.053 -71.131  241.528 1.0 55.25767  ? 801 ASN D O   801 ASN D O   1 
ATOM 6332  C CB  . ASN A 1 801 ? 318.508 -72.174  242.583 1.0 55.25767  ? 801 ASN D CB  801 ASN D CB  1 
ATOM 6333  C CG  . ASN A 1 801 ? 319.294 -72.455  241.321 1.0 55.25767  ? 801 ASN D CG  801 ASN D CG  1 
ATOM 6334  O OD1 . ASN A 1 801 ? 318.890 -73.250  240.479 1.0 55.25767  ? 801 ASN D OD1 801 ASN D OD1 1 
ATOM 6335  N ND2 . ASN A 1 801 ? 320.415 -71.771  241.169 1.0 55.25767  ? 801 ASN D ND2 801 ASN D ND2 1 
ATOM 6336  N N   . TRP A 1 802 ? 315.614 -73.193  240.755 1.0 54.86685  ? 802 TRP D N   802 TRP D N   1 
ATOM 6337  C CA  . TRP A 1 802 ? 314.817 -72.675  239.660 1.0 54.86685  ? 802 TRP D CA  802 TRP D CA  1 
ATOM 6338  C C   . TRP A 1 802 ? 313.859 -73.770  239.239 1.0 54.86685  ? 802 TRP D C   802 TRP D C   1 
ATOM 6339  O O   . TRP A 1 802 ? 314.275 -74.934  239.176 1.0 54.86685  ? 802 TRP D O   802 TRP D O   1 
ATOM 6340  C CB  . TRP A 1 802 ? 315.710 -72.259  238.490 1.0 54.86685  ? 802 TRP D CB  802 TRP D CB  1 
ATOM 6341  C CG  . TRP A 1 802 ? 314.979 -71.591  237.401 1.0 54.86685  ? 802 TRP D CG  802 TRP D CG  1 
ATOM 6342  C CD1 . TRP A 1 802 ? 314.579 -72.153  236.243 1.0 54.86685  ? 802 TRP D CD1 802 TRP D CD1 1 
ATOM 6343  C CD2 . TRP A 1 802 ? 314.551 -70.225  237.362 1.0 54.86685  ? 802 TRP D CD2 802 TRP D CD2 1 
ATOM 6344  N NE1 . TRP A 1 802 ? 313.933 -71.221  235.472 1.0 54.86685  ? 802 TRP D NE1 802 TRP D NE1 1 
ATOM 6345  C CE2 . TRP A 1 802 ? 313.893 -70.031  236.143 1.0 54.86685  ? 802 TRP D CE2 802 TRP D CE2 1 
ATOM 6346  C CE3 . TRP A 1 802 ? 314.662 -69.151  238.245 1.0 54.86685  ? 802 TRP D CE3 802 TRP D CE3 1 
ATOM 6347  C CZ2 . TRP A 1 802 ? 313.346 -68.815  235.774 1.0 54.86685  ? 802 TRP D CZ2 802 TRP D CZ2 1 
ATOM 6348  C CZ3 . TRP A 1 802 ? 314.122 -67.941  237.879 1.0 54.86685  ? 802 TRP D CZ3 802 TRP D CZ3 1 
ATOM 6349  C CH2 . TRP A 1 802 ? 313.468 -67.783  236.652 1.0 54.86685  ? 802 TRP D CH2 802 TRP D CH2 1 
ATOM 6350  N N   . PRO A 1 803 ? 312.588 -73.461  238.945 1.0 53.79475  ? 803 PRO D N   803 PRO D N   1 
ATOM 6351  C CA  . PRO A 1 803 ? 311.891 -72.171  238.920 1.0 53.79475  ? 803 PRO D CA  803 PRO D CA  1 
ATOM 6352  C C   . PRO A 1 803 ? 311.395 -71.711  240.280 1.0 53.79475  ? 803 PRO D C   803 PRO D C   1 
ATOM 6353  O O   . PRO A 1 803 ? 311.715 -72.335  241.283 1.0 53.79475  ? 803 PRO D O   803 PRO D O   1 
ATOM 6354  C CB  . PRO A 1 803 ? 310.705 -72.446  238.004 1.0 53.79475  ? 803 PRO D CB  803 PRO D CB  1 
ATOM 6355  C CG  . PRO A 1 803 ? 310.424 -73.874  238.209 1.0 53.79475  ? 803 PRO D CG  803 PRO D CG  1 
ATOM 6356  C CD  . PRO A 1 803 ? 311.743 -74.537  238.407 1.0 53.79475  ? 803 PRO D CD  803 PRO D CD  1 
ATOM 6357  N N   . TYR A 1 804 ? 310.638 -70.647  240.307 1.0 55.83754  ? 804 TYR D N   804 TYR D N   1 
ATOM 6358  C CA  . TYR A 1 804 ? 310.086 -70.292  241.601 1.0 55.83754  ? 804 TYR D CA  804 TYR D CA  1 
ATOM 6359  C C   . TYR A 1 804 ? 308.805 -71.073  241.864 1.0 55.83754  ? 804 TYR D C   804 TYR D C   1 
ATOM 6360  O O   . TYR A 1 804 ? 308.066 -71.391  240.930 1.0 55.83754  ? 804 TYR D O   804 TYR D O   1 
ATOM 6361  C CB  . TYR A 1 804 ? 309.799 -68.799  241.667 1.0 55.83754  ? 804 TYR D CB  804 TYR D CB  1 
ATOM 6362  C CG  . TYR A 1 804 ? 311.049 -67.974  241.679 1.0 55.83754  ? 804 TYR D CG  804 TYR D CG  1 
ATOM 6363  C CD1 . TYR A 1 804 ? 311.835 -67.910  242.815 1.0 55.83754  ? 804 TYR D CD1 804 TYR D CD1 1 
ATOM 6364  C CD2 . TYR A 1 804 ? 311.438 -67.247  240.567 1.0 55.83754  ? 804 TYR D CD2 804 TYR D CD2 1 
ATOM 6365  C CE1 . TYR A 1 804 ? 312.981 -67.173  242.840 1.0 55.83754  ? 804 TYR D CE1 804 TYR D CE1 1 
ATOM 6366  C CE2 . TYR A 1 804 ? 312.579 -66.490  240.589 1.0 55.83754  ? 804 TYR D CE2 804 TYR D CE2 1 
ATOM 6367  C CZ  . TYR A 1 804 ? 313.345 -66.463  241.726 1.0 55.83754  ? 804 TYR D CZ  804 TYR D CZ  1 
ATOM 6368  O OH  . TYR A 1 804 ? 314.486 -65.716  241.758 1.0 55.83754  ? 804 TYR D OH  804 TYR D OH  1 
ATOM 6369  N N   . PRO A 1 805 ? 308.519 -71.417  243.113 1.0 54.40585  ? 805 PRO D N   805 PRO D N   1 
ATOM 6370  C CA  . PRO A 1 805 ? 307.254 -72.099  243.401 1.0 54.40585  ? 805 PRO D CA  805 PRO D CA  1 
ATOM 6371  C C   . PRO A 1 805 ? 306.064 -71.169  243.262 1.0 54.40585  ? 805 PRO D C   805 PRO D C   1 
ATOM 6372  O O   . PRO A 1 805 ? 305.862 -70.264  244.074 1.0 54.40585  ? 805 PRO D O   805 PRO D O   1 
ATOM 6373  C CB  . PRO A 1 805 ? 307.439 -72.585  244.843 1.0 54.40585  ? 805 PRO D CB  805 PRO D CB  1 
ATOM 6374  C CG  . PRO A 1 805 ? 308.466 -71.694  245.414 1.0 54.40585  ? 805 PRO D CG  805 PRO D CG  1 
ATOM 6375  C CD  . PRO A 1 805 ? 309.386 -71.341  244.298 1.0 54.40585  ? 805 PRO D CD  805 PRO D CD  1 
ATOM 6376  N N   . LEU A 1 806 ? 305.279 -71.368  242.208 1.0 52.54787  ? 806 LEU D N   806 LEU D N   1 
ATOM 6377  C CA  . LEU A 1 806 ? 304.087 -70.557  242.020 1.0 52.54787  ? 806 LEU D CA  806 LEU D CA  1 
ATOM 6378  C C   . LEU A 1 806 ? 302.950 -70.983  242.929 1.0 52.54787  ? 806 LEU D C   806 LEU D C   1 
ATOM 6379  O O   . LEU A 1 806 ? 302.043 -70.185  243.178 1.0 52.54787  ? 806 LEU D O   806 LEU D O   1 
ATOM 6380  C CB  . LEU A 1 806 ? 303.632 -70.617  240.565 1.0 52.54787  ? 806 LEU D CB  806 LEU D CB  1 
ATOM 6381  C CG  . LEU A 1 806 ? 304.583 -69.968  239.570 1.0 52.54787  ? 806 LEU D CG  806 LEU D CG  1 
ATOM 6382  C CD1 . LEU A 1 806 ? 304.098 -70.207  238.156 1.0 52.54787  ? 806 LEU D CD1 806 LEU D CD1 1 
ATOM 6383  C CD2 . LEU A 1 806 ? 304.696 -68.489  239.860 1.0 52.54787  ? 806 LEU D CD2 806 LEU D CD2 1 
ATOM 6384  N N   . SER A 1 807 ? 302.975 -72.212  243.428 1.0 53.70496  ? 807 SER D N   807 SER D N   1 
ATOM 6385  C CA  . SER A 1 807 ? 301.959 -72.693  244.345 1.0 53.70496  ? 807 SER D CA  807 SER D CA  1 
ATOM 6386  C C   . SER A 1 807 ? 302.606 -73.492  245.464 1.0 53.70496  ? 807 SER D C   807 SER D C   1 
ATOM 6387  O O   . SER A 1 807 ? 303.738 -73.964  245.350 1.0 53.70496  ? 807 SER D O   807 SER D O   1 
ATOM 6388  C CB  . SER A 1 807 ? 300.923 -73.558  243.639 1.0 53.70496  ? 807 SER D CB  807 SER D CB  1 
ATOM 6389  O OG  . SER A 1 807 ? 299.997 -74.043  244.586 1.0 53.70496  ? 807 SER D OG  807 SER D OG  1 
ATOM 6390  N N   . GLY A 1 808 ? 301.862 -73.647  246.547 1.0 54.67737  ? 808 GLY D N   808 GLY D N   1 
ATOM 6391  C CA  . GLY A 1 808 ? 302.329 -74.345  247.723 1.0 54.67737  ? 808 GLY D CA  808 GLY D CA  1 
ATOM 6392  C C   . GLY A 1 808 ? 302.344 -73.439  248.937 1.0 54.67737  ? 808 GLY D C   808 GLY D C   1 
ATOM 6393  O O   . GLY A 1 808 ? 301.895 -72.295  248.902 1.0 54.67737  ? 808 GLY D O   808 GLY D O   1 
ATOM 6394  N N   . ARG A 1 809 ? 302.871 -73.986  250.032 1.0 58.7213   ? 809 ARG D N   809 ARG D N   1 
ATOM 6395  C CA  . ARG A 1 809 ? 302.984 -73.200  251.253 1.0 58.7213   ? 809 ARG D CA  809 ARG D CA  1 
ATOM 6396  C C   . ARG A 1 809 ? 304.082 -72.154  251.142 1.0 58.7213   ? 809 ARG D C   809 ARG D C   1 
ATOM 6397  O O   . ARG A 1 809 ? 303.960 -71.066  251.713 1.0 58.7213   ? 809 ARG D O   809 ARG D O   1 
ATOM 6398  C CB  . ARG A 1 809 ? 303.244 -74.114  252.445 1.0 58.7213   ? 809 ARG D CB  809 ARG D CB  1 
ATOM 6399  C CG  . ARG A 1 809 ? 302.072 -75.003  252.807 1.0 58.7213   ? 809 ARG D CG  809 ARG D CG  1 
ATOM 6400  C CD  . ARG A 1 809 ? 302.376 -75.823  254.045 1.0 58.7213   ? 809 ARG D CD  809 ARG D CD  1 
ATOM 6401  N NE  . ARG A 1 809 ? 303.407 -76.824  253.790 1.0 58.7213   ? 809 ARG D NE  809 ARG D NE  1 
ATOM 6402  C CZ  . ARG A 1 809 ? 304.619 -76.800  254.332 1.0 58.7213   ? 809 ARG D CZ  809 ARG D CZ  1 
ATOM 6403  N NH1 . ARG A 1 809 ? 304.956 -75.822  255.160 1.0 58.7213   ? 809 ARG D NH1 809 ARG D NH1 1 
ATOM 6404  N NH2 . ARG A 1 809 ? 305.494 -77.753  254.044 1.0 58.7213   ? 809 ARG D NH2 809 ARG D NH2 1 
ATOM 6405  N N   . ASN A 1 810 ? 305.152 -72.459  250.411 1.0 59.35896  ? 810 ASN D N   810 ASN D N   1 
ATOM 6406  C CA  . ASN A 1 810 ? 306.242 -71.522  250.180 1.0 59.35896  ? 810 ASN D CA  810 ASN D CA  1 
ATOM 6407  C C   . ASN A 1 810 ? 306.106 -70.808  248.844 1.0 59.35896  ? 810 ASN D C   810 ASN D C   1 
ATOM 6408  O O   . ASN A 1 810 ? 307.113 -70.509  248.197 1.0 59.35896  ? 810 ASN D O   810 ASN D O   1 
ATOM 6409  C CB  . ASN A 1 810 ? 307.586 -72.242  250.262 1.0 59.35896  ? 810 ASN D CB  810 ASN D CB  1 
ATOM 6410  C CG  . ASN A 1 810 ? 307.920 -72.682  251.669 1.0 59.35896  ? 810 ASN D CG  810 ASN D CG  1 
ATOM 6411  O OD1 . ASN A 1 810 ? 307.697 -71.946  252.629 1.0 59.35896  ? 810 ASN D OD1 810 ASN D OD1 1 
ATOM 6412  N ND2 . ASN A 1 810 ? 308.455 -73.888  251.802 1.0 59.35896  ? 810 ASN D ND2 810 ASN D ND2 1 
ATOM 6413  N N   . ALA A 1 811 ? 304.875 -70.539  248.420 1.0 56.37656  ? 811 ALA D N   811 ALA D N   1 
ATOM 6414  C CA  . ALA A 1 811 ? 304.633 -69.931  247.122 1.0 56.37656  ? 811 ALA D CA  811 ALA D CA  1 
ATOM 6415  C C   . ALA A 1 811 ? 305.067 -68.472  247.110 1.0 56.37656  ? 811 ALA D C   811 ALA D C   1 
ATOM 6416  O O   . ALA A 1 811 ? 305.025 -67.776  248.126 1.0 56.37656  ? 811 ALA D O   811 ALA D O   1 
ATOM 6417  C CB  . ALA A 1 811 ? 303.157 -70.036  246.750 1.0 56.37656  ? 811 ALA D CB  811 ALA D CB  1 
ATOM 6418  N N   . VAL A 1 812 ? 305.489 -68.015  245.937 1.0 56.97358  ? 812 VAL D N   812 VAL D N   1 
ATOM 6419  C CA  . VAL A 1 812 ? 306.026 -66.670  245.766 1.0 56.97358  ? 812 VAL D CA  812 VAL D CA  1 
ATOM 6420  C C   . VAL A 1 812 ? 304.868 -65.680  245.658 1.0 56.97358  ? 812 VAL D C   812 VAL D C   1 
ATOM 6421  O O   . VAL A 1 812 ? 303.857 -65.968  245.002 1.0 56.97358  ? 812 VAL D O   812 VAL D O   1 
ATOM 6422  C CB  . VAL A 1 812 ? 306.987 -66.625  244.561 1.0 56.97358  ? 812 VAL D CB  812 VAL D CB  1 
ATOM 6423  C CG1 . VAL A 1 812 ? 306.307 -67.046  243.265 1.0 56.97358  ? 812 VAL D CG1 812 VAL D CG1 1 
ATOM 6424  C CG2 . VAL A 1 812 ? 307.619 -65.262  244.406 1.0 56.97358  ? 812 VAL D CG2 812 VAL D CG2 1 
ATOM 6425  N N   . PRO A 1 813 ? 304.928 -64.546  246.341 1.0 56.90761  ? 813 PRO D N   813 PRO D N   1 
ATOM 6426  C CA  . PRO A 1 813 ? 303.917 -63.506  246.151 1.0 56.90761  ? 813 PRO D CA  813 PRO D CA  1 
ATOM 6427  C C   . PRO A 1 813 ? 304.247 -62.691  244.907 1.0 56.90761  ? 813 PRO D C   813 PRO D C   1 
ATOM 6428  O O   . PRO A 1 813 ? 305.275 -62.900  244.265 1.0 56.90761  ? 813 PRO D O   813 PRO D O   1 
ATOM 6429  C CB  . PRO A 1 813 ? 304.034 -62.669  247.422 1.0 56.90761  ? 813 PRO D CB  813 PRO D CB  1 
ATOM 6430  C CG  . PRO A 1 813 ? 305.441 -62.836  247.834 1.0 56.90761  ? 813 PRO D CG  813 PRO D CG  1 
ATOM 6431  C CD  . PRO A 1 813 ? 305.817 -64.240  247.473 1.0 56.90761  ? 813 PRO D CD  813 PRO D CD  1 
ATOM 6432  N N   . ASN A 1 814 ? 303.348 -61.753  244.591 1.0 58.32396  ? 814 ASN D N   814 ASN D N   1 
ATOM 6433  C CA  . ASN A 1 814 ? 303.457 -60.826  243.459 1.0 58.32396  ? 814 ASN D CA  814 ASN D CA  1 
ATOM 6434  C C   . ASN A 1 814 ? 303.585 -61.584  242.133 1.0 58.32396  ? 814 ASN D C   814 ASN D C   1 
ATOM 6435  O O   . ASN A 1 814 ? 304.619 -61.582  241.470 1.0 58.32396  ? 814 ASN D O   814 ASN D O   1 
ATOM 6436  C CB  . ASN A 1 814 ? 304.616 -59.840  243.654 1.0 58.32396  ? 814 ASN D CB  814 ASN D CB  1 
ATOM 6437  C CG  . ASN A 1 814 ? 304.353 -58.850  244.761 1.0 58.32396  ? 814 ASN D CG  814 ASN D CG  1 
ATOM 6438  O OD1 . ASN A 1 814 ? 303.243 -58.338  244.899 1.0 58.32396  ? 814 ASN D OD1 814 ASN D OD1 1 
ATOM 6439  N ND2 . ASN A 1 814 ? 305.375 -58.569  245.559 1.0 58.32396  ? 814 ASN D ND2 814 ASN D ND2 1 
ATOM 6440  N N   . GLN A 1 815 ? 302.504 -62.270  241.790 1.0 55.95095  ? 815 GLN D N   815 GLN D N   1 
ATOM 6441  C CA  . GLN A 1 815 ? 302.400 -62.985  240.529 1.0 55.95095  ? 815 GLN D CA  815 GLN D CA  1 
ATOM 6442  C C   . GLN A 1 815 ? 301.530 -62.190  239.567 1.0 55.95095  ? 815 GLN D C   815 GLN D C   1 
ATOM 6443  O O   . GLN A 1 815 ? 300.543 -61.574  239.977 1.0 55.95095  ? 815 GLN D O   815 GLN D O   1 
ATOM 6444  C CB  . GLN A 1 815 ? 301.801 -64.370  240.749 1.0 55.95095  ? 815 GLN D CB  815 GLN D CB  1 
ATOM 6445  C CG  . GLN A 1 815 ? 302.644 -65.269  241.617 1.0 55.95095  ? 815 GLN D CG  815 GLN D CG  1 
ATOM 6446  C CD  . GLN A 1 815 ? 301.969 -66.585  241.882 1.0 55.95095  ? 815 GLN D CD  815 GLN D CD  1 
ATOM 6447  O OE1 . GLN A 1 815 ? 300.835 -66.801  241.469 1.0 55.95095  ? 815 GLN D OE1 815 GLN D OE1 1 
ATOM 6448  N NE2 . GLN A 1 815 ? 302.658 -67.475  242.576 1.0 55.95095  ? 815 GLN D NE2 815 GLN D NE2 1 
ATOM 6449  N N   . VAL A 1 816 ? 301.896 -62.203  238.289 1.0 54.44404  ? 816 VAL D N   816 VAL D N   1 
ATOM 6450  C CA  . VAL A 1 816 ? 301.135 -61.522  237.251 1.0 54.44404  ? 816 VAL D CA  816 VAL D CA  1 
ATOM 6451  C C   . VAL A 1 816 ? 300.635 -62.568  236.262 1.0 54.44404  ? 816 VAL D C   816 VAL D C   1 
ATOM 6452  O O   . VAL A 1 816 ? 301.319 -63.562  235.993 1.0 54.44404  ? 816 VAL D O   816 VAL D O   1 
ATOM 6453  C CB  . VAL A 1 816 ? 301.975 -60.410  236.573 1.0 54.44404  ? 816 VAL D CB  816 VAL D CB  1 
ATOM 6454  C CG1 . VAL A 1 816 ? 303.192 -60.960  235.852 1.0 54.44404  ? 816 VAL D CG1 816 VAL D CG1 1 
ATOM 6455  C CG2 . VAL A 1 816 ? 301.129 -59.552  235.641 1.0 54.44404  ? 816 VAL D CG2 816 VAL D CG2 1 
ATOM 6456  N N   . THR A 1 817 ? 299.411 -62.384  235.780 1.0 53.5936   ? 817 THR D N   817 THR D N   1 
ATOM 6457  C CA  . THR A 1 817 ? 298.789 -63.350  234.889 1.0 53.5936   ? 817 THR D CA  817 THR D CA  1 
ATOM 6458  C C   . THR A 1 817 ? 299.035 -62.974  233.437 1.0 53.5936   ? 817 THR D C   817 THR D C   1 
ATOM 6459  O O   . THR A 1 817 ? 299.224 -61.803  233.100 1.0 53.5936   ? 817 THR D O   817 THR D O   1 
ATOM 6460  C CB  . THR A 1 817 ? 297.288 -63.430  235.142 1.0 53.5936   ? 817 THR D CB  817 THR D CB  1 
ATOM 6461  O OG1 . THR A 1 817 ? 296.686 -62.183  234.788 1.0 53.5936   ? 817 THR D OG1 817 THR D OG1 1 
ATOM 6462  C CG2 . THR A 1 817 ? 297.029 -63.687  236.601 1.0 53.5936   ? 817 THR D CG2 817 THR D CG2 1 
ATOM 6463  N N   . GLU A 1 818 ? 299.034 -63.983  232.576 1.0 52.94551  ? 818 GLU D N   818 GLU D N   1 
ATOM 6464  C CA  . GLU A 1 818 ? 299.123 -63.780  231.140 1.0 52.94551  ? 818 GLU D CA  818 GLU D CA  1 
ATOM 6465  C C   . GLU A 1 818 ? 298.056 -64.619  230.460 1.0 52.94551  ? 818 GLU D C   818 GLU D C   1 
ATOM 6466  O O   . GLU A 1 818 ? 297.814 -65.763  230.849 1.0 52.94551  ? 818 GLU D O   818 GLU D O   1 
ATOM 6467  C CB  . GLU A 1 818 ? 300.504 -64.148  230.600 1.0 52.94551  ? 818 GLU D CB  818 GLU D CB  1 
ATOM 6468  C CG  . GLU A 1 818 ? 301.613 -63.224  231.062 1.0 52.94551  ? 818 GLU D CG  818 GLU D CG  1 
ATOM 6469  C CD  . GLU A 1 818 ? 302.954 -63.577  230.461 1.0 52.94551  ? 818 GLU D CD  818 GLU D CD  1 
ATOM 6470  O OE1 . GLU A 1 818 ? 303.037 -64.604  229.757 1.0 52.94551  ? 818 GLU D OE1 818 GLU D OE1 1 
ATOM 6471  O OE2 . GLU A 1 818 ? 303.927 -62.831  230.692 1.0 52.94551  ? 818 GLU D OE2 818 GLU D OE2 1 
ATOM 6472  N N   . ARG A 1 819 ? 297.408 -64.043  229.452 1.0 48.56346  ? 819 ARG D N   819 ARG D N   1 
ATOM 6473  C CA  . ARG A 1 819 ? 296.341 -64.715  228.727 1.0 48.56346  ? 819 ARG D CA  819 ARG D CA  1 
ATOM 6474  C C   . ARG A 1 819 ? 296.577 -64.554  227.238 1.0 48.56346  ? 819 ARG D C   819 ARG D C   1 
ATOM 6475  O O   . ARG A 1 819 ? 296.853 -63.444  226.774 1.0 48.56346  ? 819 ARG D O   819 ARG D O   1 
ATOM 6476  C CB  . ARG A 1 819 ? 294.970 -64.139  229.080 1.0 48.56346  ? 819 ARG D CB  819 ARG D CB  1 
ATOM 6477  C CG  . ARG A 1 819 ? 294.555 -64.325  230.514 1.0 48.56346  ? 819 ARG D CG  819 ARG D CG  1 
ATOM 6478  C CD  . ARG A 1 819 ? 293.145 -63.823  230.745 1.0 48.56346  ? 819 ARG D CD  819 ARG D CD  1 
ATOM 6479  N NE  . ARG A 1 819 ? 292.778 -63.897  232.151 1.0 48.56346  ? 819 ARG D NE  819 ARG D NE  1 
ATOM 6480  C CZ  . ARG A 1 819 ? 292.290 -64.984  232.736 1.0 48.56346  ? 819 ARG D CZ  819 ARG D CZ  1 
ATOM 6481  N NH1 . ARG A 1 819 ? 292.117 -66.095  232.038 1.0 48.56346  ? 819 ARG D NH1 819 ARG D NH1 1 
ATOM 6482  N NH2 . ARG A 1 819 ? 291.985 -64.963  234.022 1.0 48.56346  ? 819 ARG D NH2 819 ARG D NH2 1 
ATOM 6483  N N   . LYS A 1 820 ? 296.467 -65.653  226.494 1.0 47.43702  ? 820 LYS D N   820 LYS D N   1 
ATOM 6484  C CA  . LYS A 1 820 ? 296.440 -65.583  225.041 1.0 47.43702  ? 820 LYS D CA  820 LYS D CA  1 
ATOM 6485  C C   . LYS A 1 820 ? 295.725 -66.806  224.498 1.0 47.43702  ? 820 LYS D C   820 LYS D C   1 
ATOM 6486  O O   . LYS A 1 820 ? 295.547 -67.806  225.195 1.0 47.43702  ? 820 LYS D O   820 LYS D O   1 
ATOM 6487  C CB  . LYS A 1 820 ? 297.842 -65.464  224.437 1.0 47.43702  ? 820 LYS D CB  820 LYS D CB  1 
ATOM 6488  C CG  . LYS A 1 820 ? 298.744 -66.655  224.607 1.0 47.43702  ? 820 LYS D CG  820 LYS D CG  1 
ATOM 6489  C CD  . LYS A 1 820 ? 300.090 -66.331  223.983 1.0 47.43702  ? 820 LYS D CD  820 LYS D CD  1 
ATOM 6490  C CE  . LYS A 1 820 ? 301.072 -67.475  224.073 1.0 47.43702  ? 820 LYS D CE  820 LYS D CE  1 
ATOM 6491  N NZ  . LYS A 1 820 ? 302.376 -67.111  223.463 1.0 47.43702  ? 820 LYS D NZ  820 LYS D NZ  1 
ATOM 6492  N N   . PHE A 1 821 ? 295.311 -66.705  223.241 1.0 41.42139  ? 821 PHE D N   821 PHE D N   1 
ATOM 6493  C CA  . PHE A 1 821 ? 294.552 -67.741  222.563 1.0 41.42139  ? 821 PHE D CA  821 PHE D CA  1 
ATOM 6494  C C   . PHE A 1 821 ? 295.298 -68.185  221.318 1.0 41.42139  ? 821 PHE D C   821 PHE D C   1 
ATOM 6495  O O   . PHE A 1 821 ? 296.078 -67.424  220.743 1.0 41.42139  ? 821 PHE D O   821 PHE D O   1 
ATOM 6496  C CB  . PHE A 1 821 ? 293.145 -67.247  222.191 1.0 41.42139  ? 821 PHE D CB  821 PHE D CB  1 
ATOM 6497  C CG  . PHE A 1 821 ? 293.126 -66.099  221.210 1.0 41.42139  ? 821 PHE D CG  821 PHE D CG  1 
ATOM 6498  C CD1 . PHE A 1 821 ? 293.233 -64.793  221.647 1.0 41.42139  ? 821 PHE D CD1 821 PHE D CD1 1 
ATOM 6499  C CD2 . PHE A 1 821 ? 292.941 -66.323  219.859 1.0 41.42139  ? 821 PHE D CD2 821 PHE D CD2 1 
ATOM 6500  C CE1 . PHE A 1 821 ? 293.198 -63.747  220.754 1.0 41.42139  ? 821 PHE D CE1 821 PHE D CE1 1 
ATOM 6501  C CE2 . PHE A 1 821 ? 292.907 -65.282  218.966 1.0 41.42139  ? 821 PHE D CE2 821 PHE D CE2 1 
ATOM 6502  C CZ  . PHE A 1 821 ? 293.033 -63.995  219.413 1.0 41.42139  ? 821 PHE D CZ  821 PHE D CZ  1 
ATOM 6503  N N   . LEU A 1 822 ? 295.057 -69.426  220.905 1.0 43.02726  ? 822 LEU D N   822 LEU D N   1 
ATOM 6504  C CA  . LEU A 1 822 ? 295.659 -69.979  219.698 1.0 43.02726  ? 822 LEU D CA  822 LEU D CA  1 
ATOM 6505  C C   . LEU A 1 822 ? 294.556 -70.526  218.809 1.0 43.02726  ? 822 LEU D C   822 LEU D C   1 
ATOM 6506  O O   . LEU A 1 822 ? 293.797 -71.404  219.227 1.0 43.02726  ? 822 LEU D O   822 LEU D O   1 
ATOM 6507  C CB  . LEU A 1 822 ? 296.683 -71.075  220.013 1.0 43.02726  ? 822 LEU D CB  822 LEU D CB  1 
ATOM 6508  C CG  . LEU A 1 822 ? 298.137 -70.646  220.238 1.0 43.02726  ? 822 LEU D CG  822 LEU D CG  1 
ATOM 6509  C CD1 . LEU A 1 822 ? 298.647 -69.839  219.066 1.0 43.02726  ? 822 LEU D CD1 822 LEU D CD1 1 
ATOM 6510  C CD2 . LEU A 1 822 ? 298.348 -69.872  221.494 1.0 43.02726  ? 822 LEU D CD2 822 LEU D CD2 1 
ATOM 6511  N N   . VAL A 1 823 ? 294.469 -70.009  217.590 1.0 41.31762  ? 823 VAL D N   823 VAL D N   1 
ATOM 6512  C CA  . VAL A 1 823 ? 293.461 -70.422  216.624 1.0 41.31762  ? 823 VAL D CA  823 VAL D CA  1 
ATOM 6513  C C   . VAL A 1 823 ? 294.178 -71.027  215.429 1.0 41.31762  ? 823 VAL D C   823 VAL D C   1 
ATOM 6514  O O   . VAL A 1 823 ? 295.063 -70.393  214.846 1.0 41.31762  ? 823 VAL D O   823 VAL D O   1 
ATOM 6515  C CB  . VAL A 1 823 ? 292.577 -69.241  216.191 1.0 41.31762  ? 823 VAL D CB  823 VAL D CB  1 
ATOM 6516  C CG1 . VAL A 1 823 ? 291.563 -69.683  215.188 1.0 41.31762  ? 823 VAL D CG1 823 VAL D CG1 1 
ATOM 6517  C CG2 . VAL A 1 823 ? 291.885 -68.662  217.374 1.0 41.31762  ? 823 VAL D CG2 823 VAL D CG2 1 
ATOM 6518  N N   . ASP A 1 824 ? 293.808 -72.249  215.074 1.0 43.39998  ? 824 ASP D N   824 ASP D N   1 
ATOM 6519  C CA  . ASP A 1 824 ? 294.397 -72.933  213.938 1.0 43.39998  ? 824 ASP D CA  824 ASP D CA  1 
ATOM 6520  C C   . ASP A 1 824 ? 293.320 -73.238  212.913 1.0 43.39998  ? 824 ASP D C   824 ASP D C   1 
ATOM 6521  O O   . ASP A 1 824 ? 292.144 -73.373  213.260 1.0 43.39998  ? 824 ASP D O   824 ASP D O   1 
ATOM 6522  C CB  . ASP A 1 824 ? 295.079 -74.226  214.363 1.0 43.39998  ? 824 ASP D CB  824 ASP D CB  1 
ATOM 6523  C CG  . ASP A 1 824 ? 296.275 -73.983  215.242 1.0 43.39998  ? 824 ASP D CG  824 ASP D CG  1 
ATOM 6524  O OD1 . ASP A 1 824 ? 296.901 -72.913  215.112 1.0 43.39998  ? 824 ASP D OD1 824 ASP D OD1 1 
ATOM 6525  O OD2 . ASP A 1 824 ? 296.588 -74.862  216.068 1.0 43.39998  ? 824 ASP D OD2 824 ASP D OD2 1 
ATOM 6526  N N   . ARG A 1 825 ? 293.747 -73.328  211.650 1.0 40.34532  ? 825 ARG D N   825 ARG D N   1 
ATOM 6527  C CA  . ARG A 1 825 ? 292.913 -73.732  210.514 1.0 40.34532  ? 825 ARG D CA  825 ARG D CA  1 
ATOM 6528  C C   . ARG A 1 825 ? 291.695 -72.835  210.330 1.0 40.34532  ? 825 ARG D C   825 ARG D C   1 
ATOM 6529  O O   . ARG A 1 825 ? 290.620 -73.308  209.967 1.0 40.34532  ? 825 ARG D O   825 ARG D O   1 
ATOM 6530  C CB  . ARG A 1 825 ? 292.467 -75.192  210.637 1.0 40.34532  ? 825 ARG D CB  825 ARG D CB  1 
ATOM 6531  C CG  . ARG A 1 825 ? 293.578 -76.202  210.498 1.0 40.34532  ? 825 ARG D CG  825 ARG D CG  1 
ATOM 6532  C CD  . ARG A 1 825 ? 293.016 -77.606  210.463 1.0 40.34532  ? 825 ARG D CD  825 ARG D CD  1 
ATOM 6533  N NE  . ARG A 1 825 ? 292.354 -77.935  211.719 1.0 40.34532  ? 825 ARG D NE  825 ARG D NE  1 
ATOM 6534  C CZ  . ARG A 1 825 ? 292.960 -78.496  212.757 1.0 40.34532  ? 825 ARG D CZ  825 ARG D CZ  1 
ATOM 6535  N NH1 . ARG A 1 825 ? 294.243 -78.811  212.690 1.0 40.34532  ? 825 ARG D NH1 825 ARG D NH1 1 
ATOM 6536  N NH2 . ARG A 1 825 ? 292.278 -78.752  213.862 1.0 40.34532  ? 825 ARG D NH2 825 ARG D NH2 1 
ATOM 6537  N N   . TYR A 1 826 ? 291.829 -71.537  210.578 1.0 35.46362  ? 826 TYR D N   826 TYR D N   1 
ATOM 6538  C CA  . TYR A 1 826 ? 290.666 -70.658  210.565 1.0 35.46362  ? 826 TYR D CA  826 TYR D CA  1 
ATOM 6539  C C   . TYR A 1 826 ? 291.044 -69.293  210.013 1.0 35.46362  ? 826 TYR D C   826 TYR D C   1 
ATOM 6540  O O   . TYR A 1 826 ? 291.823 -68.562  210.628 1.0 35.46362  ? 826 TYR D O   826 TYR D O   1 
ATOM 6541  C CB  . TYR A 1 826 ? 290.069 -70.532  211.963 1.0 35.46362  ? 826 TYR D CB  826 TYR D CB  1 
ATOM 6542  C CG  . TYR A 1 826 ? 288.849 -69.660  212.016 1.0 35.46362  ? 826 TYR D CG  826 TYR D CG  1 
ATOM 6543  C CD1 . TYR A 1 826 ? 287.656 -70.090  211.465 1.0 35.46362  ? 826 TYR D CD1 826 TYR D CD1 1 
ATOM 6544  C CD2 . TYR A 1 826 ? 288.882 -68.419  212.629 1.0 35.46362  ? 826 TYR D CD2 826 TYR D CD2 1 
ATOM 6545  C CE1 . TYR A 1 826 ? 286.535 -69.304  211.504 1.0 35.46362  ? 826 TYR D CE1 826 TYR D CE1 1 
ATOM 6546  C CE2 . TYR A 1 826 ? 287.760 -67.624  212.675 1.0 35.46362  ? 826 TYR D CE2 826 TYR D CE2 1 
ATOM 6547  C CZ  . TYR A 1 826 ? 286.592 -68.077  212.110 1.0 35.46362  ? 826 TYR D CZ  826 TYR D CZ  1 
ATOM 6548  O OH  . TYR A 1 826 ? 285.462 -67.307  212.144 1.0 35.46362  ? 826 TYR D OH  826 TYR D OH  1 
ATOM 6549  N N   . LEU A 1 827 ? 290.503 -68.967  208.846 1.0 33.92582  ? 827 LEU D N   827 LEU D N   1 
ATOM 6550  C CA  . LEU A 1 827 ? 290.464 -67.591  208.381 1.0 33.92582  ? 827 LEU D CA  827 LEU D CA  1 
ATOM 6551  C C   . LEU A 1 827 ? 289.545 -66.789  209.287 1.0 33.92582  ? 827 LEU D C   827 LEU D C   1 
ATOM 6552  O O   . LEU A 1 827 ? 288.450 -67.246  209.619 1.0 33.92582  ? 827 LEU D O   827 LEU D O   1 
ATOM 6553  C CB  . LEU A 1 827 ? 289.916 -67.549  206.963 1.0 33.92582  ? 827 LEU D CB  827 LEU D CB  1 
ATOM 6554  C CG  . LEU A 1 827 ? 290.622 -68.265  205.825 1.0 33.92582  ? 827 LEU D CG  827 LEU D CG  1 
ATOM 6555  C CD1 . LEU A 1 827 ? 289.654 -68.377  204.690 1.0 33.92582  ? 827 LEU D CD1 827 LEU D CD1 1 
ATOM 6556  C CD2 . LEU A 1 827 ? 291.786 -67.459  205.378 1.0 33.92582  ? 827 LEU D CD2 827 LEU D CD2 1 
ATOM 6557  N N   . TRP A 1 828 ? 289.972 -65.593  209.686 1.0 34.24944  ? 828 TRP D N   828 TRP D N   1 
ATOM 6558  C CA  . TRP A 1 828 ? 289.029 -64.699  210.342 1.0 34.24944  ? 828 TRP D CA  828 TRP D CA  1 
ATOM 6559  C C   . TRP A 1 828 ? 287.998 -64.229  209.330 1.0 34.24944  ? 828 TRP D C   828 TRP D C   1 
ATOM 6560  O O   . TRP A 1 828 ? 288.229 -64.267  208.128 1.0 34.24944  ? 828 TRP D O   828 TRP D O   1 
ATOM 6561  C CB  . TRP A 1 828 ? 289.716 -63.476  210.933 1.0 34.24944  ? 828 TRP D CB  828 TRP D CB  1 
ATOM 6562  C CG  . TRP A 1 828 ? 290.638 -63.739  212.050 1.0 34.24944  ? 828 TRP D CG  828 TRP D CG  1 
ATOM 6563  C CD1 . TRP A 1 828 ? 291.985 -63.671  212.014 1.0 34.24944  ? 828 TRP D CD1 828 TRP D CD1 1 
ATOM 6564  C CD2 . TRP A 1 828 ? 290.290 -64.137  213.376 1.0 34.24944  ? 828 TRP D CD2 828 TRP D CD2 1 
ATOM 6565  N NE1 . TRP A 1 828 ? 292.509 -63.979  213.240 1.0 34.24944  ? 828 TRP D NE1 828 TRP D NE1 1 
ATOM 6566  C CE2 . TRP A 1 828 ? 291.484 -64.272  214.096 1.0 34.24944  ? 828 TRP D CE2 828 TRP D CE2 1 
ATOM 6567  C CE3 . TRP A 1 828 ? 289.082 -64.393  214.023 1.0 34.24944  ? 828 TRP D CE3 828 TRP D CE3 1 
ATOM 6568  C CZ2 . TRP A 1 828 ? 291.509 -64.649  215.430 1.0 34.24944  ? 828 TRP D CZ2 828 TRP D CZ2 1 
ATOM 6569  C CZ3 . TRP A 1 828 ? 289.108 -64.763  215.343 1.0 34.24944  ? 828 TRP D CZ3 828 TRP D CZ3 1 
ATOM 6570  C CH2 . TRP A 1 828 ? 290.310 -64.884  216.035 1.0 34.24944  ? 828 TRP D CH2 828 TRP D CH2 1 
ATOM 6571  N N   . GLN A 1 829 ? 286.848 -63.779  209.814 1.0 33.98023  ? 829 GLN D N   829 GLN D N   1 
ATOM 6572  C CA  . GLN A 1 829 ? 285.838 -63.327  208.873 1.0 33.98023  ? 829 GLN D CA  829 GLN D CA  1 
ATOM 6573  C C   . GLN A 1 829 ? 285.029 -62.187  209.460 1.0 33.98023  ? 829 GLN D C   829 GLN D C   1 
ATOM 6574  O O   . GLN A 1 829 ? 284.734 -62.165  210.657 1.0 33.98023  ? 829 GLN D O   829 GLN D O   1 
ATOM 6575  C CB  . GLN A 1 829 ? 284.927 -64.478  208.436 1.0 33.98023  ? 829 GLN D CB  829 GLN D CB  1 
ATOM 6576  C CG  . GLN A 1 829 ? 284.139 -65.139  209.529 1.0 33.98023  ? 829 GLN D CG  829 GLN D CG  1 
ATOM 6577  C CD  . GLN A 1 829 ? 283.355 -66.315  209.016 1.0 33.98023  ? 829 GLN D CD  829 GLN D CD  1 
ATOM 6578  O OE1 . GLN A 1 829 ? 283.375 -66.612  207.824 1.0 33.98023  ? 829 GLN D OE1 829 GLN D OE1 1 
ATOM 6579  N NE2 . GLN A 1 829 ? 282.657 -66.996  209.910 1.0 33.98023  ? 829 GLN D NE2 829 GLN D NE2 1 
ATOM 6580  N N   . ILE A 1 830 ? 284.718 -61.222  208.604 1.0 32.80921  ? 830 ILE D N   830 ILE D N   1 
ATOM 6581  C CA  . ILE A 1 830 ? 283.858 -60.093  208.929 1.0 32.80921  ? 830 ILE D CA  830 ILE D CA  1 
ATOM 6582  C C   . ILE A 1 830 ? 282.775 -60.062  207.860 1.0 32.80921  ? 830 ILE D C   830 ILE D C   1 
ATOM 6583  O O   . ILE A 1 830 ? 283.055 -59.663  206.723 1.0 32.80921  ? 830 ILE D O   830 ILE D O   1 
ATOM 6584  C CB  . ILE A 1 830 ? 284.637 -58.772  208.954 1.0 32.80921  ? 830 ILE D CB  830 ILE D CB  1 
ATOM 6585  C CG1 . ILE A 1 830 ? 285.797 -58.831  209.937 1.0 32.80921  ? 830 ILE D CG1 830 ILE D CG1 1 
ATOM 6586  C CG2 . ILE A 1 830 ? 283.734 -57.664  209.376 1.0 32.80921  ? 830 ILE D CG2 830 ILE D CG2 1 
ATOM 6587  C CD1 . ILE A 1 830 ? 286.754 -57.687  209.788 1.0 32.80921  ? 830 ILE D CD1 830 ILE D CD1 1 
ATOM 6588  N N   . PRO A 1 831 ? 281.550 -60.484  208.154 1.0 34.1107   ? 831 PRO D N   831 PRO D N   1 
ATOM 6589  C CA  . PRO A 1 831 ? 280.530 -60.558  207.105 1.0 34.1107   ? 831 PRO D CA  831 PRO D CA  1 
ATOM 6590  C C   . PRO A 1 831 ? 280.009 -59.181  206.737 1.0 34.1107   ? 831 PRO D C   831 PRO D C   1 
ATOM 6591  O O   . PRO A 1 831 ? 279.818 -58.316  207.592 1.0 34.1107   ? 831 PRO D O   831 PRO D O   1 
ATOM 6592  C CB  . PRO A 1 831 ? 279.433 -61.414  207.745 1.0 34.1107   ? 831 PRO D CB  831 PRO D CB  1 
ATOM 6593  C CG  . PRO A 1 831 ? 279.575 -61.156  209.187 1.0 34.1107   ? 831 PRO D CG  831 PRO D CG  1 
ATOM 6594  C CD  . PRO A 1 831 ? 281.041 -60.962  209.448 1.0 34.1107   ? 831 PRO D CD  831 PRO D CD  1 
ATOM 6595  N N   . PHE A 1 832 ? 279.786 -58.978  205.443 1.0 35.36012  ? 832 PHE D N   832 PHE D N   1 
ATOM 6596  C CA  . PHE A 1 832 ? 279.298 -57.694  204.942 1.0 35.36012  ? 832 PHE D CA  832 PHE D CA  1 
ATOM 6597  C C   . PHE A 1 832 ? 277.774 -57.678  205.029 1.0 35.36012  ? 832 PHE D C   832 PHE D C   1 
ATOM 6598  O O   . PHE A 1 832 ? 277.049 -57.829  204.049 1.0 35.36012  ? 832 PHE D O   832 PHE D O   1 
ATOM 6599  C CB  . PHE A 1 832 ? 279.796 -57.457  203.525 1.0 35.36012  ? 832 PHE D CB  832 PHE D CB  1 
ATOM 6600  C CG  . PHE A 1 832 ? 279.419 -56.123  202.955 1.0 35.36012  ? 832 PHE D CG  832 PHE D CG  1 
ATOM 6601  C CD1 . PHE A 1 832 ? 279.986 -54.963  203.442 1.0 35.36012  ? 832 PHE D CD1 832 PHE D CD1 1 
ATOM 6602  C CD2 . PHE A 1 832 ? 278.542 -56.037  201.890 1.0 35.36012  ? 832 PHE D CD2 832 PHE D CD2 1 
ATOM 6603  C CE1 . PHE A 1 832 ? 279.654 -53.741  202.905 1.0 35.36012  ? 832 PHE D CE1 832 PHE D CE1 1 
ATOM 6604  C CE2 . PHE A 1 832 ? 278.210 -54.819  201.350 1.0 35.36012  ? 832 PHE D CE2 832 PHE D CE2 1 
ATOM 6605  C CZ  . PHE A 1 832 ? 278.768 -53.672  201.860 1.0 35.36012  ? 832 PHE D CZ  832 PHE D CZ  1 
ATOM 6606  N N   . SER A 1 833 ? 277.292 -57.507  206.254 1.0 37.8652   ? 833 SER D N   833 SER D N   1 
ATOM 6607  C CA  . SER A 1 833 ? 275.867 -57.472  206.520 1.0 37.8652   ? 833 SER D CA  833 SER D CA  1 
ATOM 6608  C C   . SER A 1 833 ? 275.596 -56.422  207.582 1.0 37.8652   ? 833 SER D C   833 SER D C   1 
ATOM 6609  O O   . SER A 1 833 ? 276.513 -55.889  208.209 1.0 37.8652   ? 833 SER D O   833 SER D O   1 
ATOM 6610  C CB  . SER A 1 833 ? 275.345 -58.838  206.963 1.0 37.8652   ? 833 SER D CB  833 SER D CB  1 
ATOM 6611  O OG  . SER A 1 833 ? 273.962 -58.775  207.244 1.0 37.8652   ? 833 SER D OG  833 SER D OG  1 
ATOM 6612  N N   . SER A 1 834 ? 274.314 -56.129  207.783 1.0 40.27352  ? 834 SER D N   834 SER D N   1 
ATOM 6613  C CA  . SER A 1 834 ? 273.930 -55.055  208.689 1.0 40.27352  ? 834 SER D CA  834 SER D CA  1 
ATOM 6614  C C   . SER A 1 834 ? 273.998 -55.479  210.148 1.0 40.27352  ? 834 SER D C   834 SER D C   1 
ATOM 6615  O O   . SER A 1 834 ? 274.339 -54.665  211.012 1.0 40.27352  ? 834 SER D O   834 SER D O   1 
ATOM 6616  C CB  . SER A 1 834 ? 272.521 -54.577  208.352 1.0 40.27352  ? 834 SER D CB  834 SER D CB  1 
ATOM 6617  O OG  . SER A 1 834 ? 272.466 -54.014  207.057 1.0 40.27352  ? 834 SER D OG  834 SER D OG  1 
ATOM 6618  N N   . ASN A 1 835 ? 273.674 -56.737  210.439 1.0 39.98997  ? 835 ASN D N   835 ASN D N   1 
ATOM 6619  C CA  . ASN A 1 835 ? 273.686 -57.257  211.799 1.0 39.98997  ? 835 ASN D CA  835 ASN D CA  1 
ATOM 6620  C C   . ASN A 1 835 ? 274.608 -58.460  211.941 1.0 39.98997  ? 835 ASN D C   835 ASN D C   1 
ATOM 6621  O O   . ASN A 1 835 ? 274.444 -59.242  212.881 1.0 39.98997  ? 835 ASN D O   835 ASN D O   1 
ATOM 6622  C CB  . ASN A 1 835 ? 272.265 -57.609  212.238 1.0 39.98997  ? 835 ASN D CB  835 ASN D CB  1 
ATOM 6623  C CG  . ASN A 1 835 ? 271.543 -58.479  211.231 1.0 39.98997  ? 835 ASN D CG  835 ASN D CG  1 
ATOM 6624  O OD1 . ASN A 1 835 ? 272.110 -58.877  210.216 1.0 39.98997  ? 835 ASN D OD1 835 ASN D OD1 1 
ATOM 6625  N ND2 . ASN A 1 835 ? 270.279 -58.771  211.503 1.0 39.98997  ? 835 ASN D ND2 835 ASN D ND2 1 
ATOM 6626  N N   . PHE A 1 836 ? 275.537 -58.634  210.996 1.0 37.73198  ? 836 PHE D N   836 PHE D N   1 
ATOM 6627  C CA  . PHE A 1 836 ? 276.563 -59.679  210.980 1.0 37.73198  ? 836 PHE D CA  836 PHE D CA  1 
ATOM 6628  C C   . PHE A 1 836 ? 275.984 -61.087  210.947 1.0 37.73198  ? 836 PHE D C   836 PHE D C   1 
ATOM 6629  O O   . PHE A 1 836 ? 276.661 -62.044  211.321 1.0 37.73198  ? 836 PHE D O   836 PHE D O   1 
ATOM 6630  C CB  . PHE A 1 836 ? 277.526 -59.533  212.160 1.0 37.73198  ? 836 PHE D CB  836 PHE D CB  1 
ATOM 6631  C CG  . PHE A 1 836 ? 278.335 -58.282  212.116 1.0 37.73198  ? 836 PHE D CG  836 PHE D CG  1 
ATOM 6632  C CD1 . PHE A 1 836 ? 279.472 -58.211  211.337 1.0 37.73198  ? 836 PHE D CD1 836 PHE D CD1 1 
ATOM 6633  C CD2 . PHE A 1 836 ? 277.951 -57.170  212.839 1.0 37.73198  ? 836 PHE D CD2 836 PHE D CD2 1 
ATOM 6634  C CE1 . PHE A 1 836 ? 280.218 -57.060  211.287 1.0 37.73198  ? 836 PHE D CE1 836 PHE D CE1 1 
ATOM 6635  C CE2 . PHE A 1 836 ? 278.693 -56.015  212.789 1.0 37.73198  ? 836 PHE D CE2 836 PHE D CE2 1 
ATOM 6636  C CZ  . PHE A 1 836 ? 279.829 -55.962  212.015 1.0 37.73198  ? 836 PHE D CZ  836 PHE D CZ  1 
ATOM 6637  N N   . LEU A 1 837 ? 274.751 -61.251  210.495 1.0 38.42111  ? 837 LEU D N   837 LEU D N   1 
ATOM 6638  C CA  . LEU A 1 837 ? 274.123 -62.559  210.447 1.0 38.42111  ? 837 LEU D CA  837 LEU D CA  1 
ATOM 6639  C C   . LEU A 1 837 ? 274.116 -63.093  209.024 1.0 38.42111  ? 837 LEU D C   837 LEU D C   1 
ATOM 6640  O O   . LEU A 1 837 ? 274.451 -62.397  208.064 1.0 38.42111  ? 837 LEU D O   837 LEU D O   1 
ATOM 6641  C CB  . LEU A 1 837 ? 272.699 -62.492  210.993 1.0 38.42111  ? 837 LEU D CB  837 LEU D CB  1 
ATOM 6642  C CG  . LEU A 1 837 ? 272.563 -62.186  212.477 1.0 38.42111  ? 837 LEU D CG  837 LEU D CG  1 
ATOM 6643  C CD1 . LEU A 1 837 ? 271.109 -62.013  212.825 1.0 38.42111  ? 837 LEU D CD1 837 LEU D CD1 1 
ATOM 6644  C CD2 . LEU A 1 837 ? 273.168 -63.301  213.285 1.0 38.42111  ? 837 LEU D CD2 837 LEU D CD2 1 
ATOM 6645  N N   . ASN A 1 838 ? 273.730 -64.359  208.898 1.0 43.30317  ? 838 ASN D N   838 ASN D N   1 
ATOM 6646  C CA  . ASN A 1 838 ? 273.540 -64.989  207.597 1.0 43.30317  ? 838 ASN D CA  838 ASN D CA  1 
ATOM 6647  C C   . ASN A 1 838 ? 272.039 -65.031  207.329 1.0 43.30317  ? 838 ASN D C   838 ASN D C   1 
ATOM 6648  O O   . ASN A 1 838 ? 271.366 -66.037  207.541 1.0 43.30317  ? 838 ASN D O   838 ASN D O   1 
ATOM 6649  C CB  . ASN A 1 838 ? 274.163 -66.381  207.573 1.0 43.30317  ? 838 ASN D CB  838 ASN D CB  1 
ATOM 6650  C CG  . ASN A 1 838 ? 274.507 -66.853  206.168 1.0 43.30317  ? 838 ASN D CG  838 ASN D CG  1 
ATOM 6651  O OD1 . ASN A 1 838 ? 275.225 -67.836  205.998 1.0 43.30317  ? 838 ASN D OD1 838 ASN D OD1 1 
ATOM 6652  N ND2 . ASN A 1 838 ? 274.018 -66.145  205.160 1.0 43.30317  ? 838 ASN D ND2 838 ASN D ND2 1 
ATOM 6653  N N   . MET A 1 839 ? 271.515 -63.912  206.849 1.0 45.13627  ? 839 MET D N   839 MET D N   1 
ATOM 6654  C CA  . MET A 1 839 ? 270.145 -63.871  206.366 1.0 45.13627  ? 839 MET D CA  839 MET D CA  1 
ATOM 6655  C C   . MET A 1 839 ? 270.050 -64.172  204.880 1.0 45.13627  ? 839 MET D C   839 MET D C   1 
ATOM 6656  O O   . MET A 1 839 ? 268.948 -64.156  204.327 1.0 45.13627  ? 839 MET D O   839 MET D O   1 
ATOM 6657  C CB  . MET A 1 839 ? 269.517 -62.509  206.655 1.0 45.13627  ? 839 MET D CB  839 MET D CB  1 
ATOM 6658  C CG  . MET A 1 839 ? 269.349 -62.212  208.125 1.0 45.13627  ? 839 MET D CG  839 MET D CG  1 
ATOM 6659  S SD  . MET A 1 839 ? 268.506 -60.648  208.395 1.0 45.13627  ? 839 MET D SD  839 MET D SD  1 
ATOM 6660  C CE  . MET A 1 839 ? 269.785 -59.503  207.907 1.0 45.13627  ? 839 MET D CE  839 MET D CE  1 
ATOM 6661  N N   . GLY A 1 840 ? 271.173 -64.448  204.227 1.0 41.56134  ? 840 GLY D N   840 GLY D N   1 
ATOM 6662  C CA  . GLY A 1 840 ? 271.182 -64.716  202.806 1.0 41.56134  ? 840 GLY D CA  840 GLY D CA  1 
ATOM 6663  C C   . GLY A 1 840 ? 272.577 -64.709  202.224 1.0 41.56134  ? 840 GLY D C   840 GLY D C   1 
ATOM 6664  O O   . GLY A 1 840 ? 273.456 -64.003  202.725 1.0 41.56134  ? 840 GLY D O   840 GLY D O   1 
ATOM 6665  N N   . THR A 1 841 ? 272.798 -65.502  201.174 1.0 39.04351  ? 841 THR D N   841 THR D N   1 
ATOM 6666  C CA  . THR A 1 841 ? 274.082 -65.473  200.484 1.0 39.04351  ? 841 THR D CA  841 THR D CA  1 
ATOM 6667  C C   . THR A 1 841 ? 274.260 -64.157  199.746 1.0 39.04351  ? 841 THR D C   841 THR D C   1 
ATOM 6668  O O   . THR A 1 841 ? 275.294 -63.495  199.874 1.0 39.04351  ? 841 THR D O   841 THR D O   1 
ATOM 6669  C CB  . THR A 1 841 ? 274.192 -66.649  199.520 1.0 39.04351  ? 841 THR D CB  841 THR D CB  1 
ATOM 6670  O OG1 . THR A 1 841 ? 274.021 -67.873  200.241 1.0 39.04351  ? 841 THR D OG1 841 THR D OG1 1 
ATOM 6671  C CG2 . THR A 1 841 ? 275.551 -66.661  198.875 1.0 39.04351  ? 841 THR D CG2 841 THR D CG2 1 
ATOM 6672  N N   . LEU A 1 842 ? 273.257 -63.760  198.973 1.0 40.93443  ? 842 LEU D N   842 LEU D N   1 
ATOM 6673  C CA  . LEU A 1 842 ? 273.150 -62.383  198.506 1.0 40.93443  ? 842 LEU D CA  842 LEU D CA  1 
ATOM 6674  C C   . LEU A 1 842 ? 272.699 -61.544  199.688 1.0 40.93443  ? 842 LEU D C   842 LEU D C   1 
ATOM 6675  O O   . LEU A 1 842 ? 271.510 -61.479  200.002 1.0 40.93443  ? 842 LEU D O   842 LEU D O   1 
ATOM 6676  C CB  . LEU A 1 842 ? 272.174 -62.276  197.343 1.0 40.93443  ? 842 LEU D CB  842 LEU D CB  1 
ATOM 6677  C CG  . LEU A 1 842 ? 271.992 -60.873  196.767 1.0 40.93443  ? 842 LEU D CG  842 LEU D CG  1 
ATOM 6678  C CD1 . LEU A 1 842 ? 273.294 -60.371  196.249 1.0 40.93443  ? 842 LEU D CD1 842 LEU D CD1 1 
ATOM 6679  C CD2 . LEU A 1 842 ? 270.964 -60.876  195.662 1.0 40.93443  ? 842 LEU D CD2 842 LEU D CD2 1 
ATOM 6680  N N   . THR A 1 843 ? 273.656 -60.909  200.357 1.0 41.73966  ? 843 THR D N   843 THR D N   1 
ATOM 6681  C CA  . THR A 1 843 ? 273.411 -60.239  201.623 1.0 41.73966  ? 843 THR D CA  843 THR D CA  1 
ATOM 6682  C C   . THR A 1 843 ? 272.580 -58.971  201.431 1.0 41.73966  ? 843 THR D C   843 THR D C   1 
ATOM 6683  O O   . THR A 1 843 ? 272.331 -58.519  200.312 1.0 41.73966  ? 843 THR D O   843 THR D O   1 
ATOM 6684  C CB  . THR A 1 843 ? 274.736 -59.912  202.296 1.0 41.73966  ? 843 THR D CB  843 THR D CB  1 
ATOM 6685  O OG1 . THR A 1 843 ? 274.491 -59.240  203.535 1.0 41.73966  ? 843 THR D OG1 843 THR D OG1 1 
ATOM 6686  C CG2 . THR A 1 843 ? 275.561 -59.048  201.390 1.0 41.73966  ? 843 THR D CG2 843 THR D CG2 1 
ATOM 6687  N N   . ASP A 1 844 ? 272.141 -58.396  202.554 1.0 43.22298  ? 844 ASP D N   844 ASP D N   1 
ATOM 6688  C CA  . ASP A 1 844 ? 271.213 -57.272  202.486 1.0 43.22298  ? 844 ASP D CA  844 ASP D CA  1 
ATOM 6689  C C   . ASP A 1 844 ? 271.910 -55.986  202.063 1.0 43.22298  ? 844 ASP D C   844 ASP D C   1 
ATOM 6690  O O   . ASP A 1 844 ? 271.346 -55.190  201.307 1.0 43.22298  ? 844 ASP D O   844 ASP D O   1 
ATOM 6691  C CB  . ASP A 1 844 ? 270.491 -57.090  203.824 1.0 43.22298  ? 844 ASP D CB  844 ASP D CB  1 
ATOM 6692  C CG  . ASP A 1 844 ? 271.439 -56.922  204.994 1.0 43.22298  ? 844 ASP D CG  844 ASP D CG  1 
ATOM 6693  O OD1 . ASP A 1 844 ? 272.657 -57.122  204.823 1.0 43.22298  ? 844 ASP D OD1 844 ASP D OD1 1 
ATOM 6694  O OD2 . ASP A 1 844 ? 270.964 -56.563  206.090 1.0 43.22298  ? 844 ASP D OD2 844 ASP D OD2 1 
ATOM 6695  N N   . LEU A 1 845 ? 273.137 -55.763  202.534 1.0 41.07525  ? 845 LEU D N   845 LEU D N   1 
ATOM 6696  C CA  . LEU A 1 845 ? 273.895 -54.614  202.064 1.0 41.07525  ? 845 LEU D CA  845 LEU D CA  1 
ATOM 6697  C C   . LEU A 1 845 ? 274.452 -54.827  200.665 1.0 41.07525  ? 845 LEU D C   845 LEU D C   1 
ATOM 6698  O O   . LEU A 1 845 ? 274.849 -53.857  200.019 1.0 41.07525  ? 845 LEU D O   845 LEU D O   1 
ATOM 6699  C CB  . LEU A 1 845 ? 275.032 -54.292  203.028 1.0 41.07525  ? 845 LEU D CB  845 LEU D CB  1 
ATOM 6700  C CG  . LEU A 1 845 ? 274.623 -53.788  204.405 1.0 41.07525  ? 845 LEU D CG  845 LEU D CG  1 
ATOM 6701  C CD1 . LEU A 1 845 ? 275.840 -53.607  205.277 1.0 41.07525  ? 845 LEU D CD1 845 LEU D CD1 1 
ATOM 6702  C CD2 . LEU A 1 845 ? 273.881 -52.488  204.264 1.0 41.07525  ? 845 LEU D CD2 845 LEU D CD2 1 
ATOM 6703  N N   . GLY A 1 846 ? 274.493 -56.069  200.184 1.0 41.44756  ? 846 GLY D N   846 GLY D N   1 
ATOM 6704  C CA  . GLY A 1 846 ? 274.970 -56.316  198.836 1.0 41.44756  ? 846 GLY D CA  846 GLY D CA  1 
ATOM 6705  C C   . GLY A 1 846 ? 274.019 -55.824  197.767 1.0 41.44756  ? 846 GLY D C   846 GLY D C   1 
ATOM 6706  O O   . GLY A 1 846 ? 274.442 -55.518  196.651 1.0 41.44756  ? 846 GLY D O   846 GLY D O   1 
ATOM 6707  N N   . GLN A 1 847 ? 272.730 -55.742  198.085 1.0 44.10257  ? 847 GLN D N   847 GLN D N   1 
ATOM 6708  C CA  . GLN A 1 847 ? 271.721 -55.211  197.181 1.0 44.10257  ? 847 GLN D CA  847 GLN D CA  1 
ATOM 6709  C C   . GLN A 1 847 ? 271.138 -53.899  197.696 1.0 44.10257  ? 847 GLN D C   847 GLN D C   1 
ATOM 6710  O O   . GLN A 1 847 ? 269.987 -53.564  197.415 1.0 44.10257  ? 847 GLN D O   847 GLN D O   1 
ATOM 6711  C CB  . GLN A 1 847 ? 270.629 -56.251  196.947 1.0 44.10257  ? 847 GLN D CB  847 GLN D CB  1 
ATOM 6712  C CG  . GLN A 1 847 ? 269.957 -56.737  198.211 1.0 44.10257  ? 847 GLN D CG  847 GLN D CG  1 
ATOM 6713  C CD  . GLN A 1 847 ? 268.990 -57.860  197.948 1.0 44.10257  ? 847 GLN D CD  847 GLN D CD  1 
ATOM 6714  O OE1 . GLN A 1 847 ? 268.771 -58.250  196.805 1.0 44.10257  ? 847 GLN D OE1 847 GLN D OE1 1 
ATOM 6715  N NE2 . GLN A 1 847 ? 268.404 -58.392  199.008 1.0 44.10257  ? 847 GLN D NE2 847 GLN D NE2 1 
ATOM 6716  N N   . ASN A 1 848 ? 271.936 -53.146  198.444 1.0 45.94339  ? 848 ASN D N   848 ASN D N   1 
ATOM 6717  C CA  . ASN A 1 848 ? 271.535 -51.845  198.944 1.0 45.94339  ? 848 ASN D CA  848 ASN D CA  1 
ATOM 6718  C C   . ASN A 1 848 ? 271.527 -50.828  197.799 1.0 45.94339  ? 848 ASN D C   848 ASN D C   1 
ATOM 6719  O O   . ASN A 1 848 ? 272.118 -51.041  196.738 1.0 45.94339  ? 848 ASN D O   848 ASN D O   1 
ATOM 6720  C CB  . ASN A 1 848 ? 272.485 -51.413  200.062 1.0 45.94339  ? 848 ASN D CB  848 ASN D CB  1 
ATOM 6721  C CG  . ASN A 1 848 ? 271.943 -50.278  200.899 1.0 45.94339  ? 848 ASN D CG  848 ASN D CG  1 
ATOM 6722  O OD1 . ASN A 1 848 ? 270.826 -49.815  200.691 1.0 45.94339  ? 848 ASN D OD1 848 ASN D OD1 1 
ATOM 6723  N ND2 . ASN A 1 848 ? 272.747 -49.809  201.843 1.0 45.94339  ? 848 ASN D ND2 848 ASN D ND2 1 
ATOM 6724  N N   . VAL A 1 849 ? 270.833 -49.710  198.022 1.0 48.13782  ? 849 VAL D N   849 VAL D N   1 
ATOM 6725  C CA  . VAL A 1 849 ? 270.785 -48.628  197.043 1.0 48.13782  ? 849 VAL D CA  849 VAL D CA  1 
ATOM 6726  C C   . VAL A 1 849 ? 272.129 -47.916  196.936 1.0 48.13782  ? 849 VAL D C   849 VAL D C   1 
ATOM 6727  O O   . VAL A 1 849 ? 272.486 -47.414  195.864 1.0 48.13782  ? 849 VAL D O   849 VAL D O   1 
ATOM 6728  C CB  . VAL A 1 849 ? 269.655 -47.658  197.439 1.0 48.13782  ? 849 VAL D CB  849 VAL D CB  1 
ATOM 6729  C CG1 . VAL A 1 849 ? 269.478 -46.514  196.434 1.0 48.13782  ? 849 VAL D CG1 849 VAL D CG1 1 
ATOM 6730  C CG2 . VAL A 1 849 ? 268.351 -48.417  197.626 1.0 48.13782  ? 849 VAL D CG2 849 VAL D CG2 1 
ATOM 6731  N N   . MET A 1 850 ? 272.911 -47.915  198.008 1.0 47.78372  ? 850 MET D N   850 MET D N   1 
ATOM 6732  C CA  . MET A 1 850 ? 274.170 -47.189  198.057 1.0 47.78372  ? 850 MET D CA  850 MET D CA  1 
ATOM 6733  C C   . MET A 1 850 ? 275.285 -47.896  197.293 1.0 47.78372  ? 850 MET D C   850 MET D C   1 
ATOM 6734  O O   . MET A 1 850 ? 276.273 -47.260  196.915 1.0 47.78372  ? 850 MET D O   850 MET D O   1 
ATOM 6735  C CB  . MET A 1 850 ? 274.560 -46.983  199.525 1.0 47.78372  ? 850 MET D CB  850 MET D CB  1 
ATOM 6736  C CG  . MET A 1 850 ? 275.713 -46.032  199.787 1.0 47.78372  ? 850 MET D CG  850 MET D CG  1 
ATOM 6737  S SD  . MET A 1 850 ? 275.976 -45.751  201.537 1.0 47.78372  ? 850 MET D SD  850 MET D SD  1 
ATOM 6738  C CE  . MET A 1 850 ? 276.506 -47.377  202.022 1.0 47.78372  ? 850 MET D CE  850 MET D CE  1 
ATOM 6739  N N   . TYR A 1 851 ? 275.146 -49.188  197.019 1.0 45.50117  ? 851 TYR D N   851 TYR D N   1 
ATOM 6740  C CA  . TYR A 1 851 ? 276.212 -49.939  196.367 1.0 45.50117  ? 851 TYR D CA  851 TYR D CA  1 
ATOM 6741  C C   . TYR A 1 851 ? 275.917 -50.221  194.906 1.0 45.50117  ? 851 TYR D C   851 TYR D C   1 
ATOM 6742  O O   . TYR A 1 851 ? 276.761 -49.972  194.040 1.0 45.50117  ? 851 TYR D O   851 TYR D O   1 
ATOM 6743  C CB  . TYR A 1 851 ? 276.446 -51.247  197.106 1.0 45.50117  ? 851 TYR D CB  851 TYR D CB  1 
ATOM 6744  C CG  . TYR A 1 851 ? 276.929 -51.004  198.494 1.0 45.50117  ? 851 TYR D CG  851 TYR D CG  1 
ATOM 6745  C CD1 . TYR A 1 851 ? 278.261 -50.739  198.747 1.0 45.50117  ? 851 TYR D CD1 851 TYR D CD1 1 
ATOM 6746  C CD2 . TYR A 1 851 ? 276.043 -50.990  199.545 1.0 45.50117  ? 851 TYR D CD2 851 TYR D CD2 1 
ATOM 6747  C CE1 . TYR A 1 851 ? 278.697 -50.504  200.021 1.0 45.50117  ? 851 TYR D CE1 851 TYR D CE1 1 
ATOM 6748  C CE2 . TYR A 1 851 ? 276.456 -50.768  200.805 1.0 45.50117  ? 851 TYR D CE2 851 TYR D CE2 1 
ATOM 6749  C CZ  . TYR A 1 851 ? 277.772 -50.517  201.035 1.0 45.50117  ? 851 TYR D CZ  851 TYR D CZ  1 
ATOM 6750  O OH  . TYR A 1 851 ? 278.124 -50.303  202.313 1.0 45.50117  ? 851 TYR D OH  851 TYR D OH  1 
ATOM 6751  N N   . ALA A 1 852 ? 274.735 -50.751  194.624 1.0 47.50292  ? 852 ALA D N   852 ALA D N   1 
ATOM 6752  C CA  . ALA A 1 852 ? 274.269 -50.818  193.253 1.0 47.50292  ? 852 ALA D CA  852 ALA D CA  1 
ATOM 6753  C C   . ALA A 1 852 ? 274.039 -49.407  192.728 1.0 47.50292  ? 852 ALA D C   852 ALA D C   1 
ATOM 6754  O O   . ALA A 1 852 ? 273.510 -48.547  193.438 1.0 47.50292  ? 852 ALA D O   852 ALA D O   1 
ATOM 6755  C CB  . ALA A 1 852 ? 272.990 -51.644  193.169 1.0 47.50292  ? 852 ALA D CB  852 ALA D CB  1 
ATOM 6756  N N   . ASN A 1 853 ? 274.498 -49.172  191.497 1.0 55.22959  ? 853 ASN D N   853 ASN D N   1 
ATOM 6757  C CA  . ASN A 1 853 ? 274.454 -47.889  190.794 1.0 55.22959  ? 853 ASN D CA  853 ASN D CA  1 
ATOM 6758  C C   . ASN A 1 853 ? 275.246 -46.796  191.513 1.0 55.22959  ? 853 ASN D C   853 ASN D C   1 
ATOM 6759  O O   . ASN A 1 853 ? 274.892 -45.617  191.428 1.0 55.22959  ? 853 ASN D O   853 ASN D O   1 
ATOM 6760  C CB  . ASN A 1 853 ? 273.011 -47.423  190.541 1.0 55.22959  ? 853 ASN D CB  853 ASN D CB  1 
ATOM 6761  C CG  . ASN A 1 853 ? 272.256 -48.343  189.603 1.0 55.22959  ? 853 ASN D CG  853 ASN D CG  1 
ATOM 6762  O OD1 . ASN A 1 853 ? 272.787 -48.789  188.586 1.0 55.22959  ? 853 ASN D OD1 853 ASN D OD1 1 
ATOM 6763  N ND2 . ASN A 1 853 ? 271.007 -48.636  189.945 1.0 55.22959  ? 853 ASN D ND2 853 ASN D ND2 1 
ATOM 6764  N N   . SER A 1 854 ? 276.314 -47.163  192.219 1.0 49.84432  ? 854 SER D N   854 SER D N   1 
ATOM 6765  C CA  . SER A 1 854 ? 277.262 -46.205  192.783 1.0 49.84432  ? 854 SER D CA  854 SER D CA  1 
ATOM 6766  C C   . SER A 1 854 ? 278.618 -46.892  192.895 1.0 49.84432  ? 854 SER D C   854 SER D C   1 
ATOM 6767  O O   . SER A 1 854 ? 278.784 -48.039  192.472 1.0 49.84432  ? 854 SER D O   854 SER D O   1 
ATOM 6768  C CB  . SER A 1 854 ? 276.776 -45.670  194.134 1.0 49.84432  ? 854 SER D CB  854 SER D CB  1 
ATOM 6769  O OG  . SER A 1 854 ? 275.595 -44.903  193.992 1.0 49.84432  ? 854 SER D OG  854 SER D OG  1 
ATOM 6770  N N   . SER A 1 855 ? 279.596 -46.193  193.470 1.0 43.91929  ? 855 SER D N   855 SER D N   1 
ATOM 6771  C CA  . SER A 1 855 ? 280.942 -46.738  193.577 1.0 43.91929  ? 855 SER D CA  855 SER D CA  1 
ATOM 6772  C C   . SER A 1 855 ? 281.671 -46.125  194.765 1.0 43.91929  ? 855 SER D C   855 SER D C   1 
ATOM 6773  O O   . SER A 1 855 ? 281.425 -44.976  195.136 1.0 43.91929  ? 855 SER D O   855 SER D O   1 
ATOM 6774  C CB  . SER A 1 855 ? 281.737 -46.500  192.295 1.0 43.91929  ? 855 SER D CB  855 SER D CB  1 
ATOM 6775  O OG  . SER A 1 855 ? 281.960 -45.119  192.095 1.0 43.91929  ? 855 SER D OG  855 SER D OG  1 
ATOM 6776  N N   . HIS A 1 856 ? 282.575 -46.909  195.355 1.0 42.10358  ? 856 HIS D N   856 HIS D N   1 
ATOM 6777  C CA  . HIS A 1 856 ? 283.315 -46.512  196.546 1.0 42.10358  ? 856 HIS D CA  856 HIS D CA  1 
ATOM 6778  C C   . HIS A 1 856 ? 284.736 -47.051  196.452 1.0 42.10358  ? 856 HIS D C   856 HIS D C   1 
ATOM 6779  O O   . HIS A 1 856 ? 285.031 -47.932  195.643 1.0 42.10358  ? 856 HIS D O   856 HIS D O   1 
ATOM 6780  C CB  . HIS A 1 856 ? 282.631 -47.019  197.816 1.0 42.10358  ? 856 HIS D CB  856 HIS D CB  1 
ATOM 6781  C CG  . HIS A 1 856 ? 281.276 -46.432  198.042 1.0 42.10358  ? 856 HIS D CG  856 HIS D CG  1 
ATOM 6782  N ND1 . HIS A 1 856 ? 280.132 -46.981  197.506 1.0 42.10358  ? 856 HIS D ND1 856 HIS D ND1 1 
ATOM 6783  C CD2 . HIS A 1 856 ? 280.880 -45.342  198.737 1.0 42.10358  ? 856 HIS D CD2 856 HIS D CD2 1 
ATOM 6784  C CE1 . HIS A 1 856 ? 279.090 -46.254  197.864 1.0 42.10358  ? 856 HIS D CE1 856 HIS D CE1 1 
ATOM 6785  N NE2 . HIS A 1 856 ? 279.516 -45.254  198.612 1.0 42.10358  ? 856 HIS D NE2 856 HIS D NE2 1 
ATOM 6786  N N   . SER A 1 857 ? 285.622 -46.525  197.300 1.0 38.73277  ? 857 SER D N   857 SER D N   1 
ATOM 6787  C CA  . SER A 1 857 ? 287.068 -46.727  197.165 1.0 38.73277  ? 857 SER D CA  857 SER D CA  1 
ATOM 6788  C C   . SER A 1 857 ? 287.704 -47.140  198.491 1.0 38.73277  ? 857 SER D C   857 SER D C   1 
ATOM 6789  O O   . SER A 1 857 ? 288.308 -46.302  199.161 1.0 38.73277  ? 857 SER D O   857 SER D O   1 
ATOM 6790  C CB  . SER A 1 857 ? 287.697 -45.459  196.639 1.0 38.73277  ? 857 SER D CB  857 SER D CB  1 
ATOM 6791  O OG  . SER A 1 857 ? 287.500 -44.407  197.563 1.0 38.73277  ? 857 SER D OG  857 SER D OG  1 
ATOM 6792  N N   . LEU A 1 858 ? 287.671 -48.439  198.784 1.0 36.38088  ? 858 LEU D N   858 LEU D N   1 
ATOM 6793  C CA  . LEU A 1 858 ? 287.905 -48.968  200.125 1.0 36.38088  ? 858 LEU D CA  858 LEU D CA  1 
ATOM 6794  C C   . LEU A 1 858 ? 289.320 -48.713  200.644 1.0 36.38088  ? 858 LEU D C   858 LEU D C   1 
ATOM 6795  O O   . LEU A 1 858 ? 290.303 -48.854  199.915 1.0 36.38088  ? 858 LEU D O   858 LEU D O   1 
ATOM 6796  C CB  . LEU A 1 858 ? 287.635 -50.467  200.106 1.0 36.38088  ? 858 LEU D CB  858 LEU D CB  1 
ATOM 6797  C CG  . LEU A 1 858 ? 287.727 -51.280  201.384 1.0 36.38088  ? 858 LEU D CG  858 LEU D CG  1 
ATOM 6798  C CD1 . LEU A 1 858 ? 286.632 -50.877  202.328 1.0 36.38088  ? 858 LEU D CD1 858 LEU D CD1 1 
ATOM 6799  C CD2 . LEU A 1 858 ? 287.627 -52.740  201.033 1.0 36.38088  ? 858 LEU D CD2 858 LEU D CD2 1 
ATOM 6800  N N   . ASN A 1 859 ? 289.410 -48.332  201.921 1.0 37.68181  ? 859 ASN D N   859 ASN D N   1 
ATOM 6801  C CA  . ASN A 1 859 ? 290.672 -48.181  202.642 1.0 37.68181  ? 859 ASN D CA  859 ASN D CA  1 
ATOM 6802  C C   . ASN A 1 859 ? 290.627 -49.090  203.858 1.0 37.68181  ? 859 ASN D C   859 ASN D C   1 
ATOM 6803  O O   . ASN A 1 859 ? 289.709 -48.980  204.674 1.0 37.68181  ? 859 ASN D O   859 ASN D O   1 
ATOM 6804  C CB  . ASN A 1 859 ? 290.899 -46.737  203.101 1.0 37.68181  ? 859 ASN D CB  859 ASN D CB  1 
ATOM 6805  C CG  . ASN A 1 859 ? 291.014 -45.760  201.955 1.0 37.68181  ? 859 ASN D CG  859 ASN D CG  1 
ATOM 6806  O OD1 . ASN A 1 859 ? 290.152 -44.903  201.767 1.0 37.68181  ? 859 ASN D OD1 859 ASN D OD1 1 
ATOM 6807  N ND2 . ASN A 1 859 ? 292.095 -45.860  201.199 1.0 37.68181  ? 859 ASN D ND2 859 ASN D ND2 1 
ATOM 6808  N N   . MET A 1 860 ? 291.606 -49.978  203.992 1.0 37.50665  ? 860 MET D N   860 MET D N   1 
ATOM 6809  C CA  . MET A 1 860 ? 291.670 -50.880  205.134 1.0 37.50665  ? 860 MET D CA  860 MET D CA  1 
ATOM 6810  C C   . MET A 1 860 ? 293.056 -50.823  205.754 1.0 37.50665  ? 860 MET D C   860 MET D C   1 
ATOM 6811  O O   . MET A 1 860 ? 294.060 -50.813  205.040 1.0 37.50665  ? 860 MET D O   860 MET D O   1 
ATOM 6812  C CB  . MET A 1 860 ? 291.352 -52.318  204.739 1.0 37.50665  ? 860 MET D CB  860 MET D CB  1 
ATOM 6813  C CG  . MET A 1 860 ? 289.954 -52.539  204.220 1.0 37.50665  ? 860 MET D CG  860 MET D CG  1 
ATOM 6814  S SD  . MET A 1 860 ? 289.685 -54.243  203.718 1.0 37.50665  ? 860 MET D SD  860 MET D SD  1 
ATOM 6815  C CE  . MET A 1 860 ? 289.636 -55.050  205.310 1.0 37.50665  ? 860 MET D CE  860 MET D CE  1 
ATOM 6816  N N   . GLN A 1 861 ? 293.111 -50.789  207.083 1.0 40.492    ? 861 GLN D N   861 GLN D N   1 
ATOM 6817  C CA  . GLN A 1 861 ? 294.373 -50.747  207.811 1.0 40.492    ? 861 GLN D CA  861 GLN D CA  1 
ATOM 6818  C C   . GLN A 1 861 ? 294.370 -51.837  208.865 1.0 40.492    ? 861 GLN D C   861 GLN D C   1 
ATOM 6819  O O   . GLN A 1 861 ? 293.417 -51.944  209.641 1.0 40.492    ? 861 GLN D O   861 GLN D O   1 
ATOM 6820  C CB  . GLN A 1 861 ? 294.590 -49.392  208.483 1.0 40.492    ? 861 GLN D CB  861 GLN D CB  1 
ATOM 6821  C CG  . GLN A 1 861 ? 294.688 -48.230  207.533 1.0 40.492    ? 861 GLN D CG  861 GLN D CG  1 
ATOM 6822  C CD  . GLN A 1 861 ? 294.925 -46.928  208.251 1.0 40.492    ? 861 GLN D CD  861 GLN D CD  1 
ATOM 6823  O OE1 . GLN A 1 861 ? 295.023 -46.894  209.474 1.0 40.492    ? 861 GLN D OE1 861 GLN D OE1 1 
ATOM 6824  N NE2 . GLN A 1 861 ? 294.999 -45.840  207.496 1.0 40.492    ? 861 GLN D NE2 861 GLN D NE2 1 
ATOM 6825  N N   . PHE A 1 862 ? 295.428 -52.638  208.902 1.0 41.50083  ? 862 PHE D N   862 PHE D N   1 
ATOM 6826  C CA  . PHE A 1 862 ? 295.537 -53.705  209.883 1.0 41.50083  ? 862 PHE D CA  862 PHE D CA  1 
ATOM 6827  C C   . PHE A 1 862 ? 296.641 -53.377  210.876 1.0 41.50083  ? 862 PHE D C   862 PHE D C   1 
ATOM 6828  O O   . PHE A 1 862 ? 297.382 -52.406  210.721 1.0 41.50083  ? 862 PHE D O   862 PHE D O   1 
ATOM 6829  C CB  . PHE A 1 862 ? 295.820 -55.057  209.219 1.0 41.50083  ? 862 PHE D CB  862 PHE D CB  1 
ATOM 6830  C CG  . PHE A 1 862 ? 294.688 -55.592  208.380 1.0 41.50083  ? 862 PHE D CG  862 PHE D CG  1 
ATOM 6831  C CD1 . PHE A 1 862 ? 293.416 -55.062  208.442 1.0 41.50083  ? 862 PHE D CD1 862 PHE D CD1 1 
ATOM 6832  C CD2 . PHE A 1 862 ? 294.904 -56.653  207.534 1.0 41.50083  ? 862 PHE D CD2 862 PHE D CD2 1 
ATOM 6833  C CE1 . PHE A 1 862 ? 292.401 -55.560  207.651 1.0 41.50083  ? 862 PHE D CE1 862 PHE D CE1 1 
ATOM 6834  C CE2 . PHE A 1 862 ? 293.888 -57.160  206.754 1.0 41.50083  ? 862 PHE D CE2 862 PHE D CE2 1 
ATOM 6835  C CZ  . PHE A 1 862 ? 292.639 -56.616  206.823 1.0 41.50083  ? 862 PHE D CZ  862 PHE D CZ  1 
ATOM 6836  N N   . THR A 1 863 ? 296.733 -54.200  211.916 1.0 43.44334  ? 863 THR D N   863 THR D N   1 
ATOM 6837  C CA  . THR A 1 863 ? 297.823 -54.121  212.884 1.0 43.44334  ? 863 THR D CA  863 THR D CA  1 
ATOM 6838  C C   . THR A 1 863 ? 298.069 -55.526  213.397 1.0 43.44334  ? 863 THR D C   863 THR D C   1 
ATOM 6839  O O   . THR A 1 863 ? 297.125 -56.215  213.786 1.0 43.44334  ? 863 THR D O   863 THR D O   1 
ATOM 6840  C CB  . THR A 1 863 ? 297.498 -53.183  214.044 1.0 43.44334  ? 863 THR D CB  863 THR D CB  1 
ATOM 6841  O OG1 . THR A 1 863 ? 297.213 -51.879  213.537 1.0 43.44334  ? 863 THR D OG1 863 THR D OG1 1 
ATOM 6842  C CG2 . THR A 1 863 ? 298.681 -53.074  214.984 1.0 43.44334  ? 863 THR D CG2 863 THR D CG2 1 
ATOM 6843  N N   . VAL A 1 864 ? 299.322 -55.965  213.374 1.0 44.06124  ? 864 VAL D N   864 VAL D N   1 
ATOM 6844  C CA  . VAL A 1 864 ? 299.673 -57.319  213.766 1.0 44.06124  ? 864 VAL D CA  864 VAL D CA  1 
ATOM 6845  C C   . VAL A 1 864 ? 300.751 -57.272  214.837 1.0 44.06124  ? 864 VAL D C   864 VAL D C   1 
ATOM 6846  O O   . VAL A 1 864 ? 301.410 -56.254  215.054 1.0 44.06124  ? 864 VAL D O   864 VAL D O   1 
ATOM 6847  C CB  . VAL A 1 864 ? 300.155 -58.147  212.565 1.0 44.06124  ? 864 VAL D CB  864 VAL D CB  1 
ATOM 6848  C CG1 . VAL A 1 864 ? 299.045 -58.298  211.546 1.0 44.06124  ? 864 VAL D CG1 864 VAL D CG1 1 
ATOM 6849  C CG2 . VAL A 1 864 ? 301.351 -57.470  211.947 1.0 44.06124  ? 864 VAL D CG2 864 VAL D CG2 1 
ATOM 6850  N N   . ASP A 1 865 ? 300.904 -58.389  215.523 1.0 47.05035  ? 865 ASP D N   865 ASP D N   1 
ATOM 6851  C CA  . ASP A 1 865 ? 302.081 -58.622  216.338 1.0 47.05035  ? 865 ASP D CA  865 ASP D CA  1 
ATOM 6852  C C   . ASP A 1 865 ? 303.261 -58.765  215.387 1.0 47.05035  ? 865 ASP D C   865 ASP D C   1 
ATOM 6853  O O   . ASP A 1 865 ? 303.203 -59.600  214.476 1.0 47.05035  ? 865 ASP D O   865 ASP D O   1 
ATOM 6854  C CB  . ASP A 1 865 ? 301.874 -59.886  217.171 1.0 47.05035  ? 865 ASP D CB  865 ASP D CB  1 
ATOM 6855  C CG  . ASP A 1 865 ? 302.916 -60.078  218.258 1.0 47.05035  ? 865 ASP D CG  865 ASP D CG  1 
ATOM 6856  O OD1 . ASP A 1 865 ? 303.826 -59.242  218.414 1.0 47.05035  ? 865 ASP D OD1 865 ASP D OD1 1 
ATOM 6857  O OD2 . ASP A 1 865 ? 302.816 -61.099  218.967 1.0 47.05035  ? 865 ASP D OD2 865 ASP D OD2 1 
ATOM 6858  N N   . PRO A 1 866 ? 304.307 -57.947  215.509 1.0 47.26624  ? 866 PRO D N   866 PRO D N   1 
ATOM 6859  C CA  . PRO A 1 866 ? 305.434 -58.051  214.577 1.0 47.26624  ? 866 PRO D CA  866 PRO D CA  1 
ATOM 6860  C C   . PRO A 1 866 ? 306.221 -59.336  214.769 1.0 47.26624  ? 866 PRO D C   866 PRO D C   1 
ATOM 6861  O O   . PRO A 1 866 ? 306.428 -59.802  215.890 1.0 47.26624  ? 866 PRO D O   866 PRO D O   1 
ATOM 6862  C CB  . PRO A 1 866 ? 306.283 -56.821  214.911 1.0 47.26624  ? 866 PRO D CB  866 PRO D CB  1 
ATOM 6863  C CG  . PRO A 1 866 ? 305.906 -56.469  216.298 1.0 47.26624  ? 866 PRO D CG  866 PRO D CG  1 
ATOM 6864  C CD  . PRO A 1 866 ? 304.452 -56.792  216.407 1.0 47.26624  ? 866 PRO D CD  866 PRO D CD  1 
ATOM 6865  N N   . MET A 1 867 ? 306.646 -59.907  213.650 1.0 47.71308  ? 867 MET D N   867 MET D N   1 
ATOM 6866  C CA  . MET A 1 867 ? 307.396 -61.149  213.601 1.0 47.71308  ? 867 MET D CA  867 MET D CA  1 
ATOM 6867  C C   . MET A 1 867 ? 308.788 -60.889  213.046 1.0 47.71308  ? 867 MET D C   867 MET D C   1 
ATOM 6868  O O   . MET A 1 867 ? 309.077 -59.823  212.500 1.0 47.71308  ? 867 MET D O   867 MET D O   1 
ATOM 6869  C CB  . MET A 1 867 ? 306.665 -62.179  212.737 1.0 47.71308  ? 867 MET D CB  867 MET D CB  1 
ATOM 6870  C CG  . MET A 1 867 ? 305.354 -62.652  213.317 1.0 47.71308  ? 867 MET D CG  867 MET D CG  1 
ATOM 6871  S SD  . MET A 1 867 ? 304.416 -63.634  212.135 1.0 47.71308  ? 867 MET D SD  867 MET D SD  1 
ATOM 6872  C CE  . MET A 1 867 ? 305.452 -65.076  211.994 1.0 47.71308  ? 867 MET D CE  867 MET D CE  1 
ATOM 6873  N N   . THR A 1 868 ? 309.655 -61.885  213.189 1.0 49.25055  ? 868 THR D N   868 THR D N   1 
ATOM 6874  C CA  . THR A 1 868 ? 311.024 -61.795  212.704 1.0 49.25055  ? 868 THR D CA  868 THR D CA  1 
ATOM 6875  C C   . THR A 1 868 ? 311.184 -62.272  211.269 1.0 49.25055  ? 868 THR D C   868 THR D C   1 
ATOM 6876  O O   . THR A 1 868 ? 312.310 -62.297  210.764 1.0 49.25055  ? 868 THR D O   868 THR D O   1 
ATOM 6877  C CB  . THR A 1 868 ? 311.956 -62.601  213.608 1.0 49.25055  ? 868 THR D CB  868 THR D CB  1 
ATOM 6878  O OG1 . THR A 1 868 ? 313.310 -62.420  213.177 1.0 49.25055  ? 868 THR D OG1 868 THR D OG1 1 
ATOM 6879  C CG2 . THR A 1 868 ? 311.603 -64.073  213.547 1.0 49.25055  ? 868 THR D CG2 868 THR D CG2 1 
ATOM 6880  N N   . GLU A 1 869 ? 310.100 -62.650  210.604 1.0 50.45659  ? 869 GLU D N   869 GLU D N   1 
ATOM 6881  C CA  . GLU A 1 869 ? 310.166 -63.157  209.245 1.0 50.45659  ? 869 GLU D CA  869 GLU D CA  1 
ATOM 6882  C C   . GLU A 1 869 ? 309.247 -62.346  208.346 1.0 50.45659  ? 869 GLU D C   869 GLU D C   1 
ATOM 6883  O O   . GLU A 1 869 ? 308.245 -61.800  208.815 1.0 50.45659  ? 869 GLU D O   869 GLU D O   1 
ATOM 6884  C CB  . GLU A 1 869 ? 309.762 -64.636  209.194 1.0 50.45659  ? 869 GLU D CB  869 GLU D CB  1 
ATOM 6885  C CG  . GLU A 1 869 ? 310.726 -65.562  209.909 1.0 50.45659  ? 869 GLU D CG  869 GLU D CG  1 
ATOM 6886  C CD  . GLU A 1 869 ? 310.282 -67.006  209.861 1.0 50.45659  ? 869 GLU D CD  869 GLU D CD  1 
ATOM 6887  O OE1 . GLU A 1 869 ? 309.162 -67.260  209.380 1.0 50.45659  ? 869 GLU D OE1 869 GLU D OE1 1 
ATOM 6888  O OE2 . GLU A 1 869 ? 311.050 -67.887  210.301 1.0 50.45659  ? 869 GLU D OE2 869 GLU D OE2 1 
ATOM 6889  N N   . PRO A 1 870 ? 309.577 -62.226  207.059 1.0 47.2842   ? 870 PRO D N   870 PRO D N   1 
ATOM 6890  C CA  . PRO A 1 870 ? 308.652 -61.579  206.122 1.0 47.2842   ? 870 PRO D CA  870 PRO D CA  1 
ATOM 6891  C C   . PRO A 1 870 ? 307.418 -62.441  205.922 1.0 47.2842   ? 870 PRO D C   870 PRO D C   1 
ATOM 6892  O O   . PRO A 1 870 ? 307.517 -63.654  205.734 1.0 47.2842   ? 870 PRO D O   870 PRO D O   1 
ATOM 6893  C CB  . PRO A 1 870 ? 309.471 -61.462  204.833 1.0 47.2842   ? 870 PRO D CB  870 PRO D CB  1 
ATOM 6894  C CG  . PRO A 1 870 ? 310.878 -61.528  205.275 1.0 47.2842   ? 870 PRO D CG  870 PRO D CG  1 
ATOM 6895  C CD  . PRO A 1 870 ? 310.887 -62.470  206.437 1.0 47.2842   ? 870 PRO D CD  870 PRO D CD  1 
ATOM 6896  N N   . THR A 1 871 ? 306.252 -61.811  205.990 1.0 42.01313  ? 871 THR D N   871 THR D N   1 
ATOM 6897  C CA  . THR A 1 871 ? 304.984 -62.514  205.922 1.0 42.01313  ? 871 THR D CA  871 THR D CA  1 
ATOM 6898  C C   . THR A 1 871 ? 304.070 -61.842  204.912 1.0 42.01313  ? 871 THR D C   871 THR D C   1 
ATOM 6899  O O   . THR A 1 871 ? 304.212 -60.655  204.614 1.0 42.01313  ? 871 THR D O   871 THR D O   1 
ATOM 6900  C CB  . THR A 1 871 ? 304.291 -62.554  207.285 1.0 42.01313  ? 871 THR D CB  871 THR D CB  1 
ATOM 6901  O OG1 . THR A 1 871 ? 304.137 -61.224  207.786 1.0 42.01313  ? 871 THR D OG1 871 THR D OG1 1 
ATOM 6902  C CG2 . THR A 1 871 ? 305.079 -63.389  208.284 1.0 42.01313  ? 871 THR D CG2 871 THR D CG2 1 
ATOM 6903  N N   . TYR A 1 872 ? 303.137 -62.618  204.378 1.0 41.18394  ? 872 TYR D N   872 TYR D N   1 
ATOM 6904  C CA  . TYR A 1 872 ? 302.114 -62.077  203.502 1.0 41.18394  ? 872 TYR D CA  872 TYR D CA  1 
ATOM 6905  C C   . TYR A 1 872 ? 300.888 -61.687  204.316 1.0 41.18394  ? 872 TYR D C   872 TYR D C   1 
ATOM 6906  O O   . TYR A 1 872 ? 300.919 -61.590  205.543 1.0 41.18394  ? 872 TYR D O   872 TYR D O   1 
ATOM 6907  C CB  . TYR A 1 872 ? 301.714 -63.067  202.414 1.0 41.18394  ? 872 TYR D CB  872 TYR D CB  1 
ATOM 6908  C CG  . TYR A 1 872 ? 302.733 -63.283  201.333 1.0 41.18394  ? 872 TYR D CG  872 TYR D CG  1 
ATOM 6909  C CD1 . TYR A 1 872 ? 302.998 -62.297  200.399 1.0 41.18394  ? 872 TYR D CD1 872 TYR D CD1 1 
ATOM 6910  C CD2 . TYR A 1 872 ? 303.375 -64.497  201.201 1.0 41.18394  ? 872 TYR D CD2 872 TYR D CD2 1 
ATOM 6911  C CE1 . TYR A 1 872 ? 303.916 -62.499  199.396 1.0 41.18394  ? 872 TYR D CE1 872 TYR D CE1 1 
ATOM 6912  C CE2 . TYR A 1 872 ? 304.282 -64.712  200.195 1.0 41.18394  ? 872 TYR D CE2 872 TYR D CE2 1 
ATOM 6913  C CZ  . TYR A 1 872 ? 304.555 -63.710  199.301 1.0 41.18394  ? 872 TYR D CZ  872 TYR D CZ  1 
ATOM 6914  O OH  . TYR A 1 872 ? 305.473 -63.939  198.306 1.0 41.18394  ? 872 TYR D OH  872 TYR D OH  1 
ATOM 6915  N N   . LEU A 1 873 ? 299.792 -61.449  203.611 1.0 39.41969  ? 873 LEU D N   873 LEU D N   1 
ATOM 6916  C CA  . LEU A 1 873 ? 298.505 -61.146  204.220 1.0 39.41969  ? 873 LEU D CA  873 LEU D CA  1 
ATOM 6917  C C   . LEU A 1 873 ? 297.453 -61.671  203.251 1.0 39.41969  ? 873 LEU D C   873 LEU D C   1 
ATOM 6918  O O   . LEU A 1 873 ? 297.138 -61.008  202.260 1.0 39.41969  ? 873 LEU D O   873 LEU D O   1 
ATOM 6919  C CB  . LEU A 1 873 ? 298.349 -59.655  204.450 1.0 39.41969  ? 873 LEU D CB  873 LEU D CB  1 
ATOM 6920  C CG  . LEU A 1 873 ? 297.010 -59.188  205.004 1.0 39.41969  ? 873 LEU D CG  873 LEU D CG  1 
ATOM 6921  C CD1 . LEU A 1 873 ? 296.849 -59.542  206.465 1.0 39.41969  ? 873 LEU D CD1 873 LEU D CD1 1 
ATOM 6922  C CD2 . LEU A 1 873 ? 296.878 -57.715  204.755 1.0 39.41969  ? 873 LEU D CD2 873 LEU D CD2 1 
ATOM 6923  N N   . MET A 1 874 ? 296.944 -62.864  203.514 1.0 39.41269  ? 874 MET D N   874 MET D N   1 
ATOM 6924  C CA  . MET A 1 874 ? 295.966 -63.465  202.617 1.0 39.41269  ? 874 MET D CA  874 MET D CA  1 
ATOM 6925  C C   . MET A 1 874 ? 294.604 -62.880  202.937 1.0 39.41269  ? 874 MET D C   874 MET D C   1 
ATOM 6926  O O   . MET A 1 874 ? 293.945 -63.303  203.883 1.0 39.41269  ? 874 MET D O   874 MET D O   1 
ATOM 6927  C CB  . MET A 1 874 ? 295.952 -64.978  202.763 1.0 39.41269  ? 874 MET D CB  874 MET D CB  1 
ATOM 6928  C CG  . MET A 1 874 ? 294.987 -65.646  201.825 1.0 39.41269  ? 874 MET D CG  874 MET D CG  1 
ATOM 6929  S SD  . MET A 1 874 ? 294.965 -67.425  202.007 1.0 39.41269  ? 874 MET D SD  874 MET D SD  1 
ATOM 6930  C CE  . MET A 1 874 ? 293.715 -67.812  200.802 1.0 39.41269  ? 874 MET D CE  874 MET D CE  1 
ATOM 6931  N N   . LEU A 1 875 ? 294.176 -61.901  202.152 1.0 36.8587   ? 875 LEU D N   875 LEU D N   1 
ATOM 6932  C CA  . LEU A 1 875 ? 292.866 -61.294  202.309 1.0 36.8587   ? 875 LEU D CA  875 LEU D CA  1 
ATOM 6933  C C   . LEU A 1 875 ? 291.957 -61.833  201.216 1.0 36.8587   ? 875 LEU D C   875 LEU D C   1 
ATOM 6934  O O   . LEU A 1 875 ? 292.385 -62.012  200.074 1.0 36.8587   ? 875 LEU D O   875 LEU D O   1 
ATOM 6935  C CB  . LEU A 1 875 ? 292.962 -59.767  202.247 1.0 36.8587   ? 875 LEU D CB  875 LEU D CB  1 
ATOM 6936  C CG  . LEU A 1 875 ? 291.807 -58.911  202.772 1.0 36.8587   ? 875 LEU D CG  875 LEU D CG  1 
ATOM 6937  C CD1 . LEU A 1 875 ? 292.346 -57.603  203.309 1.0 36.8587   ? 875 LEU D CD1 875 LEU D CD1 1 
ATOM 6938  C CD2 . LEU A 1 875 ? 290.770 -58.626  201.718 1.0 36.8587   ? 875 LEU D CD2 875 LEU D CD2 1 
ATOM 6939  N N   . LEU A 1 876 ? 290.703 -62.099  201.569 1.0 34.50058  ? 876 LEU D N   876 LEU D N   1 
ATOM 6940  C CA  . LEU A 1 876 ? 289.744 -62.705  200.650 1.0 34.50058  ? 876 LEU D CA  876 LEU D CA  1 
ATOM 6941  C C   . LEU A 1 876 ? 288.502 -61.830  200.564 1.0 34.50058  ? 876 LEU D C   876 LEU D C   1 
ATOM 6942  O O   . LEU A 1 876 ? 287.679 -61.821  201.481 1.0 34.50058  ? 876 LEU D O   876 LEU D O   1 
ATOM 6943  C CB  . LEU A 1 876 ? 289.378 -64.111  201.094 1.0 34.50058  ? 876 LEU D CB  876 LEU D CB  1 
ATOM 6944  C CG  . LEU A 1 876 ? 290.497 -65.128  200.980 1.0 34.50058  ? 876 LEU D CG  876 LEU D CG  1 
ATOM 6945  C CD1 . LEU A 1 876 ? 290.038 -66.448  201.526 1.0 34.50058  ? 876 LEU D CD1 876 LEU D CD1 1 
ATOM 6946  C CD2 . LEU A 1 876 ? 290.885 -65.256  199.535 1.0 34.50058  ? 876 LEU D CD2 876 LEU D CD2 1 
ATOM 6947  N N   . PHE A 1 877 ? 288.367 -61.103  199.464 1.0 34.85882  ? 877 PHE D N   877 PHE D N   1 
ATOM 6948  C CA  . PHE A 1 877 ? 287.128 -60.396  199.181 1.0 34.85882  ? 877 PHE D CA  877 PHE D CA  1 
ATOM 6949  C C   . PHE A 1 877 ? 286.082 -61.411  198.760 1.0 34.85882  ? 877 PHE D C   877 PHE D C   1 
ATOM 6950  O O   . PHE A 1 877 ? 286.195 -62.004  197.687 1.0 34.85882  ? 877 PHE D O   877 PHE D O   1 
ATOM 6951  C CB  . PHE A 1 877 ? 287.345 -59.369  198.079 1.0 34.85882  ? 877 PHE D CB  877 PHE D CB  1 
ATOM 6952  C CG  . PHE A 1 877 ? 288.267 -58.266  198.460 1.0 34.85882  ? 877 PHE D CG  877 PHE D CG  1 
ATOM 6953  C CD1 . PHE A 1 877 ? 287.816 -57.208  199.220 1.0 34.85882  ? 877 PHE D CD1 877 PHE D CD1 1 
ATOM 6954  C CD2 . PHE A 1 877 ? 289.586 -58.282  198.054 1.0 34.85882  ? 877 PHE D CD2 877 PHE D CD2 1 
ATOM 6955  C CE1 . PHE A 1 877 ? 288.665 -56.188  199.571 1.0 34.85882  ? 877 PHE D CE1 877 PHE D CE1 1 
ATOM 6956  C CE2 . PHE A 1 877 ? 290.437 -57.262  198.395 1.0 34.85882  ? 877 PHE D CE2 877 PHE D CE2 1 
ATOM 6957  C CZ  . PHE A 1 877 ? 289.978 -56.214  199.158 1.0 34.85882  ? 877 PHE D CZ  877 PHE D CZ  1 
ATOM 6958  N N   . GLY A 1 878 ? 285.073 -61.627  199.595 1.0 32.65235  ? 878 GLY D N   878 GLY D N   1 
ATOM 6959  C CA  . GLY A 1 878 ? 284.032 -62.573  199.253 1.0 32.65235  ? 878 GLY D CA  878 GLY D CA  1 
ATOM 6960  C C   . GLY A 1 878 ? 283.170 -62.098  198.105 1.0 32.65235  ? 878 GLY D C   878 GLY D C   1 
ATOM 6961  O O   . GLY A 1 878 ? 282.367 -61.176  198.258 1.0 32.65235  ? 878 GLY D O   878 GLY D O   1 
ATOM 6962  N N   . VAL A 1 879 ? 283.337 -62.720  196.942 1.0 33.19272  ? 879 VAL D N   879 VAL D N   1 
ATOM 6963  C CA  . VAL A 1 879 ? 282.587 -62.375  195.746 1.0 33.19272  ? 879 VAL D CA  879 VAL D CA  1 
ATOM 6964  C C   . VAL A 1 879 ? 281.772 -63.592  195.333 1.0 33.19272  ? 879 VAL D C   879 VAL D C   1 
ATOM 6965  O O   . VAL A 1 879 ? 281.989 -64.703  195.808 1.0 33.19272  ? 879 VAL D O   879 VAL D O   1 
ATOM 6966  C CB  . VAL A 1 879 ? 283.504 -61.926  194.595 1.0 33.19272  ? 879 VAL D CB  879 VAL D CB  1 
ATOM 6967  C CG1 . VAL A 1 879 ? 284.354 -60.747  195.015 1.0 33.19272  ? 879 VAL D CG1 879 VAL D CG1 1 
ATOM 6968  C CG2 . VAL A 1 879 ? 284.390 -63.064  194.156 1.0 33.19272  ? 879 VAL D CG2 879 VAL D CG2 1 
ATOM 6969  N N   . PHE A 1 880 ? 280.824 -63.372  194.433 1.0 36.55442  ? 880 PHE D N   880 PHE D N   1 
ATOM 6970  C CA  . PHE A 1 880 ? 280.187 -64.499  193.777 1.0 36.55442  ? 880 PHE D CA  880 PHE D CA  1 
ATOM 6971  C C   . PHE A 1 880 ? 281.077 -64.996  192.650 1.0 36.55442  ? 880 PHE D C   880 PHE D C   1 
ATOM 6972  O O   . PHE A 1 880 ? 282.044 -64.344  192.265 1.0 36.55442  ? 880 PHE D O   880 PHE D O   1 
ATOM 6973  C CB  . PHE A 1 880 ? 278.816 -64.106  193.245 1.0 36.55442  ? 880 PHE D CB  880 PHE D CB  1 
ATOM 6974  C CG  . PHE A 1 880 ? 277.811 -63.876  194.316 1.0 36.55442  ? 880 PHE D CG  880 PHE D CG  1 
ATOM 6975  C CD1 . PHE A 1 880 ? 277.117 -64.935  194.862 1.0 36.55442  ? 880 PHE D CD1 880 PHE D CD1 1 
ATOM 6976  C CD2 . PHE A 1 880 ? 277.588 -62.606  194.808 1.0 36.55442  ? 880 PHE D CD2 880 PHE D CD2 1 
ATOM 6977  C CE1 . PHE A 1 880 ? 276.201 -64.730  195.857 1.0 36.55442  ? 880 PHE D CE1 880 PHE D CE1 1 
ATOM 6978  C CE2 . PHE A 1 880 ? 276.675 -62.394  195.810 1.0 36.55442  ? 880 PHE D CE2 880 PHE D CE2 1 
ATOM 6979  C CZ  . PHE A 1 880 ? 275.981 -63.459  196.335 1.0 36.55442  ? 880 PHE D CZ  880 PHE D CZ  1 
ATOM 6980  N N   . ASP A 1 881 ? 280.754 -66.171  192.123 1.0 38.83054  ? 881 ASP D N   881 ASP D N   1 
ATOM 6981  C CA  . ASP A 1 881 ? 281.539 -66.728  191.027 1.0 38.83054  ? 881 ASP D CA  881 ASP D CA  1 
ATOM 6982  C C   . ASP A 1 881 ? 280.626 -67.666  190.253 1.0 38.83054  ? 881 ASP D C   881 ASP D C   1 
ATOM 6983  O O   . ASP A 1 881 ? 280.366 -68.780  190.708 1.0 38.83054  ? 881 ASP D O   881 ASP D O   1 
ATOM 6984  C CB  . ASP A 1 881 ? 282.765 -67.453  191.558 1.0 38.83054  ? 881 ASP D CB  881 ASP D CB  1 
ATOM 6985  C CG  . ASP A 1 881 ? 283.811 -67.675  190.501 1.0 38.83054  ? 881 ASP D CG  881 ASP D CG  1 
ATOM 6986  O OD1 . ASP A 1 881 ? 283.570 -67.303  189.337 1.0 38.83054  ? 881 ASP D OD1 881 ASP D OD1 1 
ATOM 6987  O OD2 . ASP A 1 881 ? 284.889 -68.202  190.837 1.0 38.83054  ? 881 ASP D OD2 881 ASP D OD2 1 
ATOM 6988  N N   . GLN A 1 882 ? 280.145 -67.223  189.100 1.0 38.17281  ? 882 GLN D N   882 GLN D N   1 
ATOM 6989  C CA  . GLN A 1 882 ? 279.094 -67.928  188.388 1.0 38.17281  ? 882 GLN D CA  882 GLN D CA  1 
ATOM 6990  C C   . GLN A 1 882 ? 279.563 -68.331  187.000 1.0 38.17281  ? 882 GLN D C   882 GLN D C   1 
ATOM 6991  O O   . GLN A 1 882 ? 280.286 -67.587  186.334 1.0 38.17281  ? 882 GLN D O   882 GLN D O   1 
ATOM 6992  C CB  . GLN A 1 882 ? 277.842 -67.064  188.286 1.0 38.17281  ? 882 GLN D CB  882 GLN D CB  1 
ATOM 6993  C CG  . GLN A 1 882 ? 277.249 -66.687  189.626 1.0 38.17281  ? 882 GLN D CG  882 GLN D CG  1 
ATOM 6994  C CD  . GLN A 1 882 ? 276.713 -67.879  190.369 1.0 38.17281  ? 882 GLN D CD  882 GLN D CD  1 
ATOM 6995  O OE1 . GLN A 1 882 ? 276.145 -68.789  189.772 1.0 38.17281  ? 882 GLN D OE1 882 GLN D OE1 1 
ATOM 6996  N NE2 . GLN A 1 882 ? 276.884 -67.883  191.682 1.0 38.17281  ? 882 GLN D NE2 882 GLN D NE2 1 
ATOM 6997  N N   . VAL A 1 883 ? 279.150 -69.525  186.585 1.0 36.70828  ? 883 VAL D N   883 VAL D N   1 
ATOM 6998  C CA  . VAL A 1 883 ? 279.407 -70.084  185.265 1.0 36.70828  ? 883 VAL D CA  883 VAL D CA  1 
ATOM 6999  C C   . VAL A 1 883 ? 278.067 -70.536  184.716 1.0 36.70828  ? 883 VAL D C   883 VAL D C   1 
ATOM 7000  O O   . VAL A 1 883 ? 277.256 -71.077  185.467 1.0 36.70828  ? 883 VAL D O   883 VAL D O   1 
ATOM 7001  C CB  . VAL A 1 883 ? 280.378 -71.283  185.350 1.0 36.70828  ? 883 VAL D CB  883 VAL D CB  1 
ATOM 7002  C CG1 . VAL A 1 883 ? 280.605 -71.914  184.007 1.0 36.70828  ? 883 VAL D CG1 883 VAL D CG1 1 
ATOM 7003  C CG2 . VAL A 1 883 ? 281.680 -70.868  185.940 1.0 36.70828  ? 883 VAL D CG2 883 VAL D CG2 1 
ATOM 7004  N N   . VAL A 1 884 ? 277.804 -70.292  183.436 1.0 36.39016  ? 884 VAL D N   884 VAL D N   1 
ATOM 7005  C CA  . VAL A 1 884 ? 276.735 -70.987  182.730 1.0 36.39016  ? 884 VAL D CA  884 VAL D CA  1 
ATOM 7006  C C   . VAL A 1 884 ? 277.361 -71.713  181.552 1.0 36.39016  ? 884 VAL D C   884 VAL D C   1 
ATOM 7007  O O   . VAL A 1 884 ? 278.329 -71.231  180.958 1.0 36.39016  ? 884 VAL D O   884 VAL D O   1 
ATOM 7008  C CB  . VAL A 1 884 ? 275.598 -70.046  182.279 1.0 36.39016  ? 884 VAL D CB  884 VAL D CB  1 
ATOM 7009  C CG1 . VAL A 1 884 ? 274.868 -69.500  183.483 1.0 36.39016  ? 884 VAL D CG1 884 VAL D CG1 1 
ATOM 7010  C CG2 . VAL A 1 884 ? 276.125 -68.907  181.446 1.0 36.39016  ? 884 VAL D CG2 884 VAL D CG2 1 
ATOM 7011  N N   . ILE A 1 885 ? 276.858 -72.906  181.254 1.0 37.02911  ? 885 ILE D N   885 ILE D N   1 
ATOM 7012  C CA  . ILE A 1 885 ? 277.476 -73.781  180.265 1.0 37.02911  ? 885 ILE D CA  885 ILE D CA  1 
ATOM 7013  C C   . ILE A 1 885 ? 276.406 -74.198  179.269 1.0 37.02911  ? 885 ILE D C   885 ILE D C   1 
ATOM 7014  O O   . ILE A 1 885 ? 275.504 -74.974  179.605 1.0 37.02911  ? 885 ILE D O   885 ILE D O   1 
ATOM 7015  C CB  . ILE A 1 885 ? 278.141 -75.006  180.905 1.0 37.02911  ? 885 ILE D CB  885 ILE D CB  1 
ATOM 7016  C CG1 . ILE A 1 885 ? 279.293 -74.562  181.801 1.0 37.02911  ? 885 ILE D CG1 885 ILE D CG1 1 
ATOM 7017  C CG2 . ILE A 1 885 ? 278.680 -75.918  179.839 1.0 37.02911  ? 885 ILE D CG2 885 ILE D CG2 1 
ATOM 7018  C CD1 . ILE A 1 885 ? 279.822 -75.599  182.714 1.0 37.02911  ? 885 ILE D CD1 885 ILE D CD1 1 
ATOM 7019  N N   . ASN A 1 886 ? 276.508 -73.691  178.049 1.0 41.27946  ? 886 ASN D N   886 ASN D N   1 
ATOM 7020  C CA  . ASN A 1 886 ? 275.518 -73.909  177.009 1.0 41.27946  ? 886 ASN D CA  886 ASN D CA  1 
ATOM 7021  C C   . ASN A 1 886 ? 275.989 -75.017  176.080 1.0 41.27946  ? 886 ASN D C   886 ASN D C   1 
ATOM 7022  O O   . ASN A 1 886 ? 277.154 -75.049  175.677 1.0 41.27946  ? 886 ASN D O   886 ASN D O   1 
ATOM 7023  C CB  . ASN A 1 886 ? 275.295 -72.623  176.215 1.0 41.27946  ? 886 ASN D CB  886 ASN D CB  1 
ATOM 7024  C CG  . ASN A 1 886 ? 274.056 -72.672  175.362 1.0 41.27946  ? 886 ASN D CG  886 ASN D CG  1 
ATOM 7025  O OD1 . ASN A 1 886 ? 273.308 -73.646  175.393 1.0 41.27946  ? 886 ASN D OD1 886 ASN D OD1 1 
ATOM 7026  N ND2 . ASN A 1 886 ? 273.833 -71.625  174.579 1.0 41.27946  ? 886 ASN D ND2 886 ASN D ND2 1 
ATOM 7027  N N   . GLN A 1 887 ? 275.081 -75.929  175.743 1.0 40.93253  ? 887 GLN D N   887 GLN D N   1 
ATOM 7028  C CA  . GLN A 1 887 ? 275.353 -77.009  174.793 1.0 40.93253  ? 887 GLN D CA  887 GLN D CA  1 
ATOM 7029  C C   . GLN A 1 887 ? 274.184 -77.135  173.829 1.0 40.93253  ? 887 GLN D C   887 GLN D C   1 
ATOM 7030  O O   . GLN A 1 887 ? 273.322 -78.003  174.003 1.0 40.93253  ? 887 GLN D O   887 GLN D O   1 
ATOM 7031  C CB  . GLN A 1 887 ? 275.583 -78.334  175.516 1.0 40.93253  ? 887 GLN D CB  887 GLN D CB  1 
ATOM 7032  C CG  . GLN A 1 887 ? 276.848 -78.395  176.337 1.0 40.93253  ? 887 GLN D CG  887 GLN D CG  1 
ATOM 7033  C CD  . GLN A 1 887 ? 276.967 -79.681  177.116 1.0 40.93253  ? 887 GLN D CD  887 GLN D CD  1 
ATOM 7034  O OE1 . GLN A 1 887 ? 276.065 -80.508  177.104 1.0 40.93253  ? 887 GLN D OE1 887 GLN D OE1 1 
ATOM 7035  N NE2 . GLN A 1 887 ? 278.083 -79.853  177.805 1.0 40.93253  ? 887 GLN D NE2 887 GLN D NE2 1 
ATOM 7036  N N   . PRO A 1 888 ? 274.115 -76.287  172.798 1.0 41.56451  ? 888 PRO D N   888 PRO D N   1 
ATOM 7037  C CA  . PRO A 1 888 ? 272.980 -76.369  171.872 1.0 41.56451  ? 888 PRO D CA  888 PRO D CA  1 
ATOM 7038  C C   . PRO A 1 888 ? 273.170 -77.361  170.742 1.0 41.56451  ? 888 PRO D C   888 PRO D C   1 
ATOM 7039  O O   . PRO A 1 888 ? 272.176 -77.753  170.119 1.0 41.56451  ? 888 PRO D O   888 PRO D O   1 
ATOM 7040  C CB  . PRO A 1 888 ? 272.884 -74.945  171.322 1.0 41.56451  ? 888 PRO D CB  888 PRO D CB  1 
ATOM 7041  C CG  . PRO A 1 888 ? 274.279 -74.475  171.342 1.0 41.56451  ? 888 PRO D CG  888 PRO D CG  1 
ATOM 7042  C CD  . PRO A 1 888 ? 274.920 -75.079  172.554 1.0 41.56451  ? 888 PRO D CD  888 PRO D CD  1 
ATOM 7043  N N   . THR A 1 889 ? 274.402 -77.765  170.450 1.0 44.57982  ? 889 THR D N   889 THR D N   1 
ATOM 7044  C CA  . THR A 1 889 ? 274.719 -78.602  169.303 1.0 44.57982  ? 889 THR D CA  889 THR D CA  1 
ATOM 7045  C C   . THR A 1 889 ? 275.789 -79.586  169.753 1.0 44.57982  ? 889 THR D C   889 THR D C   1 
ATOM 7046  O O   . THR A 1 889 ? 276.547 -79.293  170.681 1.0 44.57982  ? 889 THR D O   889 THR D O   1 
ATOM 7047  C CB  . THR A 1 889 ? 275.207 -77.731  168.124 1.0 44.57982  ? 889 THR D CB  889 THR D CB  1 
ATOM 7048  O OG1 . THR A 1 889 ? 274.286 -76.657  167.913 1.0 44.57982  ? 889 THR D OG1 889 THR D OG1 1 
ATOM 7049  C CG2 . THR A 1 889 ? 275.276 -78.516  166.829 1.0 44.57982  ? 889 THR D CG2 889 THR D CG2 1 
ATOM 7050  N N   . ARG A 1 890 ? 275.822 -80.773  169.142 1.0 44.99069  ? 890 ARG D N   890 ARG D N   1 
ATOM 7051  C CA  . ARG A 1 890 ? 276.901 -81.708  169.428 1.0 44.99069  ? 890 ARG D CA  890 ARG D CA  1 
ATOM 7052  C C   . ARG A 1 890 ? 278.222 -81.120  168.949 1.0 44.99069  ? 890 ARG D C   890 ARG D C   1 
ATOM 7053  O O   . ARG A 1 890 ? 278.296 -80.562  167.849 1.0 44.99069  ? 890 ARG D O   890 ARG D O   1 
ATOM 7054  C CB  . ARG A 1 890 ? 276.627 -83.079  168.797 1.0 44.99069  ? 890 ARG D CB  890 ARG D CB  1 
ATOM 7055  C CG  . ARG A 1 890 ? 276.340 -83.123  167.299 1.0 44.99069  ? 890 ARG D CG  890 ARG D CG  1 
ATOM 7056  C CD  . ARG A 1 890 ? 277.576 -83.469  166.471 1.0 44.99069  ? 890 ARG D CD  890 ARG D CD  1 
ATOM 7057  N NE  . ARG A 1 890 ? 278.148 -84.758  166.847 1.0 44.99069  ? 890 ARG D NE  890 ARG D NE  1 
ATOM 7058  C CZ  . ARG A 1 890 ? 279.451 -85.021  166.854 1.0 44.99069  ? 890 ARG D CZ  890 ARG D CZ  1 
ATOM 7059  N NH1 . ARG A 1 890 ? 280.323 -84.086  166.498 1.0 44.99069  ? 890 ARG D NH1 890 ARG D NH1 1 
ATOM 7060  N NH2 . ARG A 1 890 ? 279.883 -86.220  167.216 1.0 44.99069  ? 890 ARG D NH2 890 ARG D NH2 1 
ATOM 7061  N N   . SER A 1 891 ? 279.244 -81.223  169.805 1.0 44.73361  ? 891 SER D N   891 SER D N   1 
ATOM 7062  C CA  . SER A 1 891 ? 280.502 -80.476  169.696 1.0 44.73361  ? 891 SER D CA  891 SER D CA  1 
ATOM 7063  C C   . SER A 1 891 ? 280.237 -78.975  169.558 1.0 44.73361  ? 891 SER D C   891 SER D C   1 
ATOM 7064  O O   . SER A 1 891 ? 280.765 -78.299  168.674 1.0 44.73361  ? 891 SER D O   891 SER D O   1 
ATOM 7065  C CB  . SER A 1 891 ? 281.370 -80.998  168.548 1.0 44.73361  ? 891 SER D CB  891 SER D CB  1 
ATOM 7066  O OG  . SER A 1 891 ? 281.737 -82.347  168.763 1.0 44.73361  ? 891 SER D OG  891 SER D OG  1 
ATOM 7067  N N   . GLY A 1 892 ? 279.392 -78.458  170.447 1.0 44.2708   ? 892 GLY D N   892 GLY D N   1 
ATOM 7068  C CA  . GLY A 1 892 ? 278.993 -77.066  170.398 1.0 44.2708   ? 892 GLY D CA  892 GLY D CA  1 
ATOM 7069  C C   . GLY A 1 892 ? 278.969 -76.372  171.744 1.0 44.2708   ? 892 GLY D C   892 GLY D C   1 
ATOM 7070  O O   . GLY A 1 892 ? 278.101 -75.531  171.988 1.0 44.2708   ? 892 GLY D O   892 GLY D O   1 
ATOM 7071  N N   . ILE A 1 893 ? 279.907 -76.726  172.626 1.0 42.66568  ? 893 ILE D N   893 ILE D N   1 
ATOM 7072  C CA  . ILE A 1 893 ? 279.954 -76.146  173.964 1.0 42.66568  ? 893 ILE D CA  893 ILE D CA  1 
ATOM 7073  C C   . ILE A 1 893 ? 280.284 -74.657  173.930 1.0 42.66568  ? 893 ILE D C   893 ILE D C   1 
ATOM 7074  O O   . ILE A 1 893 ? 280.991 -74.166  173.043 1.0 42.66568  ? 893 ILE D O   893 ILE D O   1 
ATOM 7075  C CB  . ILE A 1 893 ? 280.982 -76.903  174.819 1.0 42.66568  ? 893 ILE D CB  893 ILE D CB  1 
ATOM 7076  C CG1 . ILE A 1 893 ? 282.282 -77.019  174.027 1.0 42.66568  ? 893 ILE D CG1 893 ILE D CG1 1 
ATOM 7077  C CG2 . ILE A 1 893 ? 280.447 -78.240  175.256 1.0 42.66568  ? 893 ILE D CG2 893 ILE D CG2 1 
ATOM 7078  C CD1 . ILE A 1 893 ? 283.426 -77.618  174.773 1.0 42.66568  ? 893 ILE D CD1 893 ILE D CD1 1 
ATOM 7079  N N   . SER A 1 894 ? 279.756 -73.934  174.914 1.0 41.06838  ? 894 SER D N   894 SER D N   1 
ATOM 7080  C CA  . SER A 1 894 ? 279.974 -72.503  175.056 1.0 41.06838  ? 894 SER D CA  894 SER D CA  1 
ATOM 7081  C C   . SER A 1 894 ? 279.722 -72.126  176.507 1.0 41.06838  ? 894 SER D C   894 SER D C   1 
ATOM 7082  O O   . SER A 1 894 ? 278.735 -72.567  177.097 1.0 41.06838  ? 894 SER D O   894 SER D O   1 
ATOM 7083  C CB  . SER A 1 894 ? 279.049 -71.700  174.137 1.0 41.06838  ? 894 SER D CB  894 SER D CB  1 
ATOM 7084  O OG  . SER A 1 894 ? 279.329 -71.945  172.770 1.0 41.06838  ? 894 SER D OG  894 SER D OG  1 
ATOM 7085  N N   . VAL A 1 895 ? 280.609 -71.318  177.083 1.0 36.65675  ? 895 VAL D N   895 VAL D N   1 
ATOM 7086  C CA  . VAL A 1 895 ? 280.471 -70.891  178.467 1.0 36.65675  ? 895 VAL D CA  895 VAL D CA  1 
ATOM 7087  C C   . VAL A 1 895 ? 280.389 -69.379  178.533 1.0 36.65675  ? 895 VAL D C   895 VAL D C   1 
ATOM 7088  O O   . VAL A 1 895 ? 280.580 -68.674  177.545 1.0 36.65675  ? 895 VAL D O   895 VAL D O   1 
ATOM 7089  C CB  . VAL A 1 895 ? 281.616 -71.383  179.357 1.0 36.65675  ? 895 VAL D CB  895 VAL D CB  1 
ATOM 7090  C CG1 . VAL A 1 895 ? 281.583 -72.870  179.453 1.0 36.65675  ? 895 VAL D CG1 895 VAL D CG1 1 
ATOM 7091  C CG2 . VAL A 1 895 ? 282.924 -70.910  178.795 1.0 36.65675  ? 895 VAL D CG2 895 VAL D CG2 1 
ATOM 7092  N N   . ALA A 1 896 ? 280.106 -68.891  179.738 1.0 36.14698  ? 896 ALA D N   896 ALA D N   1 
ATOM 7093  C CA  . ALA A 1 896 ? 280.107 -67.461  180.026 1.0 36.14698  ? 896 ALA D CA  896 ALA D CA  1 
ATOM 7094  C C   . ALA A 1 896 ? 280.440 -67.311  181.505 1.0 36.14698  ? 896 ALA D C   896 ALA D C   1 
ATOM 7095  O O   . ALA A 1 896 ? 279.562 -67.467  182.353 1.0 36.14698  ? 896 ALA D O   896 ALA D O   1 
ATOM 7096  C CB  . ALA A 1 896 ? 278.767 -66.828  179.687 1.0 36.14698  ? 896 ALA D CB  896 ALA D CB  1 
ATOM 7097  N N   . TYR A 1 897 ? 281.701 -67.020  181.807 1.0 38.76243  ? 897 TYR D N   897 TYR D N   1 
ATOM 7098  C CA  . TYR A 1 897 ? 282.104 -66.779  183.185 1.0 38.76243  ? 897 TYR D CA  897 TYR D CA  1 
ATOM 7099  C C   . TYR A 1 897 ? 281.707 -65.369  183.578 1.0 38.76243  ? 897 TYR D C   897 TYR D C   1 
ATOM 7100  O O   . TYR A 1 897 ? 281.908 -64.427  182.808 1.0 38.76243  ? 897 TYR D O   897 TYR D O   1 
ATOM 7101  C CB  . TYR A 1 897 ? 283.612 -66.942  183.374 1.0 38.76243  ? 897 TYR D CB  897 TYR D CB  1 
ATOM 7102  C CG  . TYR A 1 897 ? 284.159 -68.341  183.265 1.0 38.76243  ? 897 TYR D CG  897 TYR D CG  1 
ATOM 7103  C CD1 . TYR A 1 897 ? 283.326 -69.429  183.127 1.0 38.76243  ? 897 TYR D CD1 897 TYR D CD1 1 
ATOM 7104  C CD2 . TYR A 1 897 ? 285.520 -68.571  183.357 1.0 38.76243  ? 897 TYR D CD2 897 TYR D CD2 1 
ATOM 7105  C CE1 . TYR A 1 897 ? 283.828 -70.697  183.037 1.0 38.76243  ? 897 TYR D CE1 897 TYR D CE1 1 
ATOM 7106  C CE2 . TYR A 1 897 ? 286.029 -69.844  183.278 1.0 38.76243  ? 897 TYR D CE2 897 TYR D CE2 1 
ATOM 7107  C CZ  . TYR A 1 897 ? 285.172 -70.901  183.119 1.0 38.76243  ? 897 TYR D CZ  897 TYR D CZ  1 
ATOM 7108  O OH  . TYR A 1 897 ? 285.655 -72.179  183.038 1.0 38.76243  ? 897 TYR D OH  897 TYR D OH  1 
ATOM 7109  N N   . LEU A 1 898 ? 281.162 -65.216  184.779 1.0 38.74147  ? 898 LEU D N   898 LEU D N   1 
ATOM 7110  C CA  . LEU A 1 898 ? 280.829 -63.889  185.287 1.0 38.74147  ? 898 LEU D CA  898 LEU D CA  1 
ATOM 7111  C C   . LEU A 1 898 ? 280.878 -63.960  186.802 1.0 38.74147  ? 898 LEU D C   898 LEU D C   1 
ATOM 7112  O O   . LEU A 1 898 ? 280.100 -64.692  187.415 1.0 38.74147  ? 898 LEU D O   898 LEU D O   1 
ATOM 7113  C CB  . LEU A 1 898 ? 279.459 -63.434  184.786 1.0 38.74147  ? 898 LEU D CB  898 LEU D CB  1 
ATOM 7114  C CG  . LEU A 1 898 ? 278.958 -61.991  184.926 1.0 38.74147  ? 898 LEU D CG  898 LEU D CG  1 
ATOM 7115  C CD1 . LEU A 1 898 ? 278.284 -61.738  186.248 1.0 38.74147  ? 898 LEU D CD1 898 LEU D CD1 1 
ATOM 7116  C CD2 . LEU A 1 898 ? 280.108 -61.025  184.745 1.0 38.74147  ? 898 LEU D CD2 898 LEU D CD2 1 
ATOM 7117  N N   . ARG A 1 899 ? 281.790 -63.207  187.399 1.0 37.64246  ? 899 ARG D N   899 ARG D N   1 
ATOM 7118  C CA  . ARG A 1 899 ? 281.910 -63.158  188.844 1.0 37.64246  ? 899 ARG D CA  899 ARG D CA  1 
ATOM 7119  C C   . ARG A 1 899 ? 281.869 -61.698  189.261 1.0 37.64246  ? 899 ARG D C   899 ARG D C   1 
ATOM 7120  O O   . ARG A 1 899 ? 282.530 -60.860  188.649 1.0 37.64246  ? 899 ARG D O   899 ARG D O   1 
ATOM 7121  C CB  . ARG A 1 899 ? 283.185 -63.893  189.305 1.0 37.64246  ? 899 ARG D CB  899 ARG D CB  1 
ATOM 7122  C CG  . ARG A 1 899 ? 284.535 -63.319  188.959 1.0 37.64246  ? 899 ARG D CG  899 ARG D CG  1 
ATOM 7123  C CD  . ARG A 1 899 ? 285.125 -62.658  190.179 1.0 37.64246  ? 899 ARG D CD  899 ARG D CD  1 
ATOM 7124  N NE  . ARG A 1 899 ? 286.419 -62.058  189.896 1.0 37.64246  ? 899 ARG D NE  899 ARG D NE  1 
ATOM 7125  C CZ  . ARG A 1 899 ? 287.578 -62.675  190.075 1.0 37.64246  ? 899 ARG D CZ  899 ARG D CZ  1 
ATOM 7126  N NH1 . ARG A 1 899 ? 287.603 -63.913  190.539 1.0 37.64246  ? 899 ARG D NH1 899 ARG D NH1 1 
ATOM 7127  N NH2 . ARG A 1 899 ? 288.713 -62.056  189.792 1.0 37.64246  ? 899 ARG D NH2 899 ARG D NH2 1 
ATOM 7128  N N   . LEU A 1 900 ? 281.035 -61.376  190.239 1.0 37.79229  ? 900 LEU D N   900 LEU D N   1 
ATOM 7129  C CA  . LEU A 1 900 ? 280.900 -59.985  190.636 1.0 37.79229  ? 900 LEU D CA  900 LEU D CA  1 
ATOM 7130  C C   . LEU A 1 900 ? 280.817 -59.890  192.150 1.0 37.79229  ? 900 LEU D C   900 LEU D C   1 
ATOM 7131  O O   . LEU A 1 900 ? 280.342 -60.827  192.797 1.0 37.79229  ? 900 LEU D O   900 LEU D O   1 
ATOM 7132  C CB  . LEU A 1 900 ? 279.672 -59.331  189.971 1.0 37.79229  ? 900 LEU D CB  900 LEU D CB  1 
ATOM 7133  C CG  . LEU A 1 900 ? 278.227 -59.833  190.036 1.0 37.79229  ? 900 LEU D CG  900 LEU D CG  1 
ATOM 7134  C CD1 . LEU A 1 900 ? 277.517 -59.398  191.279 1.0 37.79229  ? 900 LEU D CD1 900 LEU D CD1 1 
ATOM 7135  C CD2 . LEU A 1 900 ? 277.478 -59.276  188.853 1.0 37.79229  ? 900 LEU D CD2 900 LEU D CD2 1 
ATOM 7136  N N   . PRO A 1 901 ? 281.259 -58.767  192.753 1.0 37.96486  ? 901 PRO D N   901 PRO D N   1 
ATOM 7137  C CA  . PRO A 1 901 ? 281.703 -57.435  192.310 1.0 37.96486  ? 901 PRO D CA  901 PRO D CA  1 
ATOM 7138  C C   . PRO A 1 901 ? 282.985 -57.319  191.483 1.0 37.96486  ? 901 PRO D C   901 PRO D C   1 
ATOM 7139  O O   . PRO A 1 901 ? 283.059 -56.409  190.661 1.0 37.96486  ? 901 PRO D O   901 PRO D O   1 
ATOM 7140  C CB  . PRO A 1 901 ? 281.904 -56.685  193.629 1.0 37.96486  ? 901 PRO D CB  901 PRO D CB  1 
ATOM 7141  C CG  . PRO A 1 901 ? 282.150 -57.714  194.615 1.0 37.96486  ? 901 PRO D CG  901 PRO D CG  1 
ATOM 7142  C CD  . PRO A 1 901 ? 281.281 -58.857  194.220 1.0 37.96486  ? 901 PRO D CD  901 PRO D CD  1 
ATOM 7143  N N   . PHE A 1 902 ? 283.978 -58.176  191.674 1.0 38.26364  ? 902 PHE D N   902 PHE D N   1 
ATOM 7144  C CA  . PHE A 1 902 ? 285.232 -57.979  190.953 1.0 38.26364  ? 902 PHE D CA  902 PHE D CA  1 
ATOM 7145  C C   . PHE A 1 902 ? 285.125 -58.591  189.562 1.0 38.26364  ? 902 PHE D C   902 PHE D C   1 
ATOM 7146  O O   . PHE A 1 902 ? 285.717 -59.633  189.288 1.0 38.26364  ? 902 PHE D O   902 PHE D O   1 
ATOM 7147  C CB  . PHE A 1 902 ? 286.406 -58.565  191.726 1.0 38.26364  ? 902 PHE D CB  902 PHE D CB  1 
ATOM 7148  C CG  . PHE A 1 902 ? 286.817 -57.746  192.917 1.0 38.26364  ? 902 PHE D CG  902 PHE D CG  1 
ATOM 7149  C CD1 . PHE A 1 902 ? 286.351 -56.452  193.096 1.0 38.26364  ? 902 PHE D CD1 902 PHE D CD1 1 
ATOM 7150  C CD2 . PHE A 1 902 ? 287.691 -58.263  193.846 1.0 38.26364  ? 902 PHE D CD2 902 PHE D CD2 1 
ATOM 7151  C CE1 . PHE A 1 902 ? 286.737 -55.711  194.190 1.0 38.26364  ? 902 PHE D CE1 902 PHE D CE1 1 
ATOM 7152  C CE2 . PHE A 1 902 ? 288.083 -57.524  194.937 1.0 38.26364  ? 902 PHE D CE2 902 PHE D CE2 1 
ATOM 7153  C CZ  . PHE A 1 902 ? 287.602 -56.245  195.108 1.0 38.26364  ? 902 PHE D CZ  902 PHE D CZ  1 
ATOM 7154  N N   . ALA A 1 903 ? 284.435 -57.902  188.652 1.0 39.55262  ? 903 ALA D N   903 ALA D N   1 
ATOM 7155  C CA  . ALA A 1 903 ? 284.175 -58.420  187.312 1.0 39.55262  ? 903 ALA D CA  903 ALA D CA  1 
ATOM 7156  C C   . ALA A 1 903 ? 285.420 -58.501  186.449 1.0 39.55262  ? 903 ALA D C   903 ALA D C   1 
ATOM 7157  O O   . ALA A 1 903 ? 285.703 -57.545  185.725 1.0 39.55262  ? 903 ALA D O   903 ALA D O   1 
ATOM 7158  C CB  . ALA A 1 903 ? 283.125 -57.557  186.611 1.0 39.55262  ? 903 ALA D CB  903 ALA D CB  1 
ATOM 7159  N N   . SER A 1 904 ? 286.152 -59.612  186.518 1.0 41.62091  ? 904 SER D N   904 SER D N   1 
ATOM 7160  C CA  . SER A 1 904 ? 287.437 -59.811  185.841 1.0 41.62091  ? 904 SER D CA  904 SER D CA  1 
ATOM 7161  C C   . SER A 1 904 ? 287.222 -59.804  184.334 1.0 41.62091  ? 904 SER D C   904 SER D C   1 
ATOM 7162  O O   . SER A 1 904 ? 288.094 -59.295  183.611 1.0 41.62091  ? 904 SER D O   904 SER D O   1 
ATOM 7163  C CB  . SER A 1 904 ? 288.062 -61.082  186.401 1.0 41.62091  ? 904 SER D CB  904 SER D CB  1 
ATOM 7164  O OG  . SER A 1 904 ? 287.274 -62.200  186.038 1.0 41.62091  ? 904 SER D OG  904 SER D OG  1 
ATOM 7165  N N   . GLY A 1 905 ? 286.133 -60.355  183.818 1.0 45.63098  ? 905 GLY D N   905 GLY D N   1 
ATOM 7166  C CA  . GLY A 1 905 ? 285.949 -60.408  182.387 1.0 45.63098  ? 905 GLY D CA  905 GLY D CA  1 
ATOM 7167  C C   . GLY A 1 905 ? 285.626 -59.055  181.787 1.0 45.63098  ? 905 GLY D C   905 GLY D C   1 
ATOM 7168  O O   . GLY A 1 905 ? 284.988 -58.196  182.394 1.0 45.63098  ? 905 GLY D O   905 GLY D O   1 
ATOM 7169  N N   . SER A 1 906 ? 286.097 -58.868  180.563 1.0 51.08528  ? 906 SER D N   906 SER D N   1 
ATOM 7170  C CA  . SER A 1 906 ? 285.782 -57.677  179.801 1.0 51.08528  ? 906 SER D CA  906 SER D CA  1 
ATOM 7171  C C   . SER A 1 906 ? 284.531 -57.932  178.966 1.0 51.08528  ? 906 SER D C   906 SER D C   1 
ATOM 7172  O O   . SER A 1 906 ? 284.227 -57.197  178.030 1.0 51.08528  ? 906 SER D O   906 SER D O   1 
ATOM 7173  C CB  . SER A 1 906 ? 286.963 -57.284  178.916 1.0 51.08528  ? 906 SER D CB  906 SER D CB  1 
ATOM 7174  O OG  . SER A 1 906 ? 287.205 -58.264  177.923 1.0 51.08528  ? 906 SER D OG  906 SER D OG  1 
ATOM 7175  N N   . GLU B 2 1   ? 268.606 -56.390  188.258 1.0 63.82972  ? 2   GLU E N   2   GLU E N   1 
ATOM 7176  C CA  . GLU B 2 1   ? 268.779 -56.355  186.810 1.0 63.82972  ? 2   GLU E CA  2   GLU E CA  1 
ATOM 7177  C C   . GLU B 2 1   ? 269.231 -57.711  186.284 1.0 63.82972  ? 2   GLU E C   2   GLU E C   1 
ATOM 7178  O O   . GLU B 2 1   ? 269.878 -58.465  186.997 1.0 63.82972  ? 2   GLU E O   2   GLU E O   1 
ATOM 7179  C CB  . GLU B 2 1   ? 269.786 -55.268  186.412 1.0 63.82972  ? 2   GLU E CB  2   GLU E CB  1 
ATOM 7180  C CG  . GLU B 2 1   ? 271.199 -55.464  186.965 1.0 63.82972  ? 2   GLU E CG  2   GLU E CG  1 
ATOM 7181  C CD  . GLU B 2 1   ? 272.154 -54.342  186.591 1.0 63.82972  ? 2   GLU E CD  2   GLU E CD  1 
ATOM 7182  O OE1 . GLU B 2 1   ? 271.714 -53.385  185.917 1.0 63.82972  ? 2   GLU E OE1 2   GLU E OE1 1 
ATOM 7183  O OE2 . GLU B 2 1   ? 273.342 -54.413  186.963 1.0 63.82972  ? 2   GLU E OE2 2   GLU E OE2 1 
ATOM 7184  N N   . PRO B 2 2   ? 268.855 -58.044  185.053 1.0 61.30132  ? 3   PRO E N   3   PRO E N   1 
ATOM 7185  C CA  . PRO B 2 2   ? 269.490 -59.181  184.384 1.0 61.30132  ? 3   PRO E CA  3   PRO E CA  1 
ATOM 7186  C C   . PRO B 2 2   ? 270.936 -58.845  184.066 1.0 61.30132  ? 3   PRO E C   3   PRO E C   1 
ATOM 7187  O O   . PRO B 2 2   ? 271.234 -57.715  183.671 1.0 61.30132  ? 3   PRO E O   3   PRO E O   1 
ATOM 7188  C CB  . PRO B 2 2   ? 268.662 -59.352  183.106 1.0 61.30132  ? 3   PRO E CB  3   PRO E CB  1 
ATOM 7189  C CG  . PRO B 2 2   ? 267.354 -58.703  183.415 1.0 61.30132  ? 3   PRO E CG  3   PRO E CG  1 
ATOM 7190  C CD  . PRO B 2 2   ? 267.695 -57.545  184.300 1.0 61.30132  ? 3   PRO E CD  3   PRO E CD  1 
ATOM 7191  N N   . GLN B 2 3   ? 271.770 -59.902  184.052 1.0 54.34668  ? 4   GLN E N   4   GLN E N   1 
ATOM 7192  C CA  . GLN B 2 3   ? 273.196 -60.080  184.391 1.0 54.34668  ? 4   GLN E CA  4   GLN E CA  1 
ATOM 7193  C C   . GLN B 2 3   ? 273.352 -60.347  185.884 1.0 54.34668  ? 4   GLN E C   4   GLN E C   1 
ATOM 7194  O O   . GLN B 2 3   ? 274.462 -60.600  186.357 1.0 54.34668  ? 4   GLN E O   4   GLN E O   1 
ATOM 7195  C CB  . GLN B 2 3   ? 274.128 -58.912  183.985 1.0 54.34668  ? 4   GLN E CB  4   GLN E CB  1 
ATOM 7196  C CG  . GLN B 2 3   ? 274.143 -57.619  184.848 1.0 54.34668  ? 4   GLN E CG  4   GLN E CG  1 
ATOM 7197  C CD  . GLN B 2 3   ? 275.182 -57.620  185.950 1.0 54.34668  ? 4   GLN E CD  4   GLN E CD  1 
ATOM 7198  O OE1 . GLN B 2 3   ? 276.223 -58.250  185.842 1.0 54.34668  ? 4   GLN E OE1 4   GLN E OE1 1 
ATOM 7199  N NE2 . GLN B 2 3   ? 274.892 -56.899  187.029 1.0 54.34668  ? 4   GLN E NE2 4   GLN E NE2 1 
ATOM 7200  N N   . ARG B 2 4   ? 272.252 -60.334  186.632 1.0 50.47414  ? 5   ARG E N   5   ARG E N   1 
ATOM 7201  C CA  . ARG B 2 4   ? 272.288 -60.877  187.985 1.0 50.47414  ? 5   ARG E CA  5   ARG E CA  1 
ATOM 7202  C C   . ARG B 2 4   ? 271.256 -61.986  188.137 1.0 50.47414  ? 5   ARG E C   5   ARG E C   1 
ATOM 7203  O O   . ARG B 2 4   ? 271.471 -62.959  188.867 1.0 50.47414  ? 5   ARG E O   5   ARG E O   1 
ATOM 7204  C CB  . ARG B 2 4   ? 272.062 -59.763  189.006 1.0 50.47414  ? 5   ARG E CB  5   ARG E CB  1 
ATOM 7205  C CG  . ARG B 2 4   ? 272.162 -60.185  190.446 1.0 50.47414  ? 5   ARG E CG  5   ARG E CG  1 
ATOM 7206  C CD  . ARG B 2 4   ? 271.958 -59.011  191.379 1.0 50.47414  ? 5   ARG E CD  5   ARG E CD  1 
ATOM 7207  N NE  . ARG B 2 4   ? 273.049 -58.049  191.303 1.0 50.47414  ? 5   ARG E NE  5   ARG E NE  1 
ATOM 7208  C CZ  . ARG B 2 4   ? 273.065 -56.895  191.959 1.0 50.47414  ? 5   ARG E CZ  5   ARG E CZ  1 
ATOM 7209  N NH1 . ARG B 2 4   ? 272.052 -56.568  192.747 1.0 50.47414  ? 5   ARG E NH1 5   ARG E NH1 1 
ATOM 7210  N NH2 . ARG B 2 4   ? 274.095 -56.072  191.835 1.0 50.47414  ? 5   ARG E NH2 5   ARG E NH2 1 
ATOM 7211  N N   . GLU B 2 5   ? 270.133 -61.864  187.432 1.0 51.1333   ? 6   GLU E N   6   GLU E N   1 
ATOM 7212  C CA  . GLU B 2 5   ? 269.168 -62.954  187.396 1.0 51.1333   ? 6   GLU E CA  6   GLU E CA  1 
ATOM 7213  C C   . GLU B 2 5   ? 269.540 -63.975  186.332 1.0 51.1333   ? 6   GLU E C   6   GLU E C   1 
ATOM 7214  O O   . GLU B 2 5   ? 269.016 -65.094  186.329 1.0 51.1333   ? 6   GLU E O   6   GLU E O   1 
ATOM 7215  C CB  . GLU B 2 5   ? 267.767 -62.406  187.142 1.0 51.1333   ? 6   GLU E CB  6   GLU E CB  1 
ATOM 7216  C CG  . GLU B 2 5   ? 267.244 -61.520  188.254 1.0 51.1333   ? 6   GLU E CG  6   GLU E CG  1 
ATOM 7217  C CD  . GLU B 2 5   ? 265.848 -61.009  187.977 1.0 51.1333   ? 6   GLU E CD  6   GLU E CD  1 
ATOM 7218  O OE1 . GLU B 2 5   ? 265.329 -61.271  186.871 1.0 51.1333   ? 6   GLU E OE1 6   GLU E OE1 1 
ATOM 7219  O OE2 . GLU B 2 5   ? 265.270 -60.342  188.861 1.0 51.1333   ? 6   GLU E OE2 6   GLU E OE2 1 
ATOM 7220  N N   . PHE B 2 6   ? 270.436 -63.608  185.416 1.0 45.05374  ? 7   PHE E N   7   PHE E N   1 
ATOM 7221  C CA  . PHE B 2 6   ? 270.841 -64.539  184.368 1.0 45.05374  ? 7   PHE E CA  7   PHE E CA  1 
ATOM 7222  C C   . PHE B 2 6   ? 271.867 -65.534  184.883 1.0 45.05374  ? 7   PHE E C   7   PHE E C   1 
ATOM 7223  O O   . PHE B 2 6   ? 271.836 -66.715  184.525 1.0 45.05374  ? 7   PHE E O   7   PHE E O   1 
ATOM 7224  C CB  . PHE B 2 6   ? 271.395 -63.781  183.166 1.0 45.05374  ? 7   PHE E CB  7   PHE E CB  1 
ATOM 7225  C CG  . PHE B 2 6   ? 271.830 -64.675  182.046 1.0 45.05374  ? 7   PHE E CG  7   PHE E CG  1 
ATOM 7226  C CD1 . PHE B 2 6   ? 270.894 -65.323  181.263 1.0 45.05374  ? 7   PHE E CD1 7   PHE E CD1 1 
ATOM 7227  C CD2 . PHE B 2 6   ? 273.172 -64.866  181.772 1.0 45.05374  ? 7   PHE E CD2 7   PHE E CD2 1 
ATOM 7228  C CE1 . PHE B 2 6   ? 271.288 -66.149  180.232 1.0 45.05374  ? 7   PHE E CE1 7   PHE E CE1 1 
ATOM 7229  C CE2 . PHE B 2 6   ? 273.571 -65.690  180.741 1.0 45.05374  ? 7   PHE E CE2 7   PHE E CE2 1 
ATOM 7230  C CZ  . PHE B 2 6   ? 272.629 -66.331  179.972 1.0 45.05374  ? 7   PHE E CZ  7   PHE E CZ  1 
ATOM 7231  N N   . PHE B 2 7   ? 272.799 -65.071  185.706 1.0 42.35026  ? 8   PHE E N   8   PHE E N   1 
ATOM 7232  C CA  . PHE B 2 7   ? 273.797 -65.944  186.307 1.0 42.35026  ? 8   PHE E CA  8   PHE E CA  1 
ATOM 7233  C C   . PHE B 2 7   ? 273.365 -66.466  187.661 1.0 42.35026  ? 8   PHE E C   8   PHE E C   1 
ATOM 7234  O O   . PHE B 2 7   ? 274.169 -67.111  188.340 1.0 42.35026  ? 8   PHE E O   8   PHE E O   1 
ATOM 7235  C CB  . PHE B 2 7   ? 275.131 -65.211  186.412 1.0 42.35026  ? 8   PHE E CB  8   PHE E CB  1 
ATOM 7236  C CG  . PHE B 2 7   ? 275.746 -64.929  185.086 1.0 42.35026  ? 8   PHE E CG  8   PHE E CG  1 
ATOM 7237  C CD1 . PHE B 2 7   ? 276.490 -65.894  184.440 1.0 42.35026  ? 8   PHE E CD1 8   PHE E CD1 1 
ATOM 7238  C CD2 . PHE B 2 7   ? 275.537 -63.717  184.459 1.0 42.35026  ? 8   PHE E CD2 8   PHE E CD2 1 
ATOM 7239  C CE1 . PHE B 2 7   ? 277.039 -65.646  183.207 1.0 42.35026  ? 8   PHE E CE1 8   PHE E CE1 1 
ATOM 7240  C CE2 . PHE B 2 7   ? 276.083 -63.462  183.222 1.0 42.35026  ? 8   PHE E CE2 8   PHE E CE2 1 
ATOM 7241  C CZ  . PHE B 2 7   ? 276.832 -64.430  182.594 1.0 42.35026  ? 8   PHE E CZ  8   PHE E CZ  1 
ATOM 7242  N N   . HIS B 2 8   ? 272.125 -66.158  188.050 1.0 43.14755  ? 9   HIS E N   9   HIS E N   1 
ATOM 7243  C CA  . HIS B 2 8   ? 271.419 -66.779  189.171 1.0 43.14755  ? 9   HIS E CA  9   HIS E CA  1 
ATOM 7244  C C   . HIS B 2 8   ? 272.093 -66.474  190.504 1.0 43.14755  ? 9   HIS E C   9   HIS E C   1 
ATOM 7245  O O   . HIS B 2 8   ? 272.278 -67.344  191.355 1.0 43.14755  ? 9   HIS E O   9   HIS E O   1 
ATOM 7246  C CB  . HIS B 2 8   ? 271.251 -68.278  188.939 1.0 43.14755  ? 9   HIS E CB  9   HIS E CB  1 
ATOM 7247  C CG  . HIS B 2 8   ? 270.418 -68.589  187.739 1.0 43.14755  ? 9   HIS E CG  9   HIS E CG  1 
ATOM 7248  N ND1 . HIS B 2 8   ? 269.044 -68.511  187.750 1.0 43.14755  ? 9   HIS E ND1 9   HIS E ND1 1 
ATOM 7249  C CD2 . HIS B 2 8   ? 270.766 -68.908  186.472 1.0 43.14755  ? 9   HIS E CD2 9   HIS E CD2 1 
ATOM 7250  C CE1 . HIS B 2 8   ? 268.580 -68.808  186.550 1.0 43.14755  ? 9   HIS E CE1 9   HIS E CE1 1 
ATOM 7251  N NE2 . HIS B 2 8   ? 269.605 -69.057  185.757 1.0 43.14755  ? 9   HIS E NE2 9   HIS E NE2 1 
ATOM 7252  N N   . ILE B 2 9   ? 272.471 -65.211  190.668 1.0 43.19875  ? 10  ILE E N   10  ILE E N   1 
ATOM 7253  C CA  . ILE B 2 9   ? 272.799 -64.688  191.986 1.0 43.19875  ? 10  ILE E CA  10  ILE E CA  1 
ATOM 7254  C C   . ILE B 2 9   ? 271.523 -64.374  192.750 1.0 43.19875  ? 10  ILE E C   10  ILE E C   1 
ATOM 7255  O O   . ILE B 2 9   ? 271.375 -64.728  193.924 1.0 43.19875  ? 10  ILE E O   10  ILE E O   1 
ATOM 7256  C CB  . ILE B 2 9   ? 273.703 -63.452  191.844 1.0 43.19875  ? 10  ILE E CB  10  ILE E CB  1 
ATOM 7257  C CG1 . ILE B 2 9   ? 275.021 -63.852  191.191 1.0 43.19875  ? 10  ILE E CG1 10  ILE E CG1 1 
ATOM 7258  C CG2 . ILE B 2 9   ? 273.958 -62.811  193.182 1.0 43.19875  ? 10  ILE E CG2 10  ILE E CG2 1 
ATOM 7259  C CD1 . ILE B 2 9   ? 275.868 -62.693  190.782 1.0 43.19875  ? 10  ILE E CD1 10  ILE E CD1 1 
ATOM 7260  N N   . ALA B 2 10  ? 270.577 -63.727  192.083 1.0 45.65572  ? 11  ALA E N   11  ALA E N   1 
ATOM 7261  C CA  . ALA B 2 10  ? 269.225 -63.508  192.560 1.0 45.65572  ? 11  ALA E CA  11  ALA E CA  1 
ATOM 7262  C C   . ALA B 2 10  ? 268.254 -64.180  191.597 1.0 45.65572  ? 11  ALA E C   11  ALA E C   1 
ATOM 7263  O O   . ALA B 2 10  ? 268.655 -64.920  190.695 1.0 45.65572  ? 11  ALA E O   11  ALA E O   1 
ATOM 7264  C CB  . ALA B 2 10  ? 268.945 -62.013  192.697 1.0 45.65572  ? 11  ALA E CB  11  ALA E CB  1 
ATOM 7265  N N   . GLY B 2 11  ? 266.965 -63.931  191.792 1.0 47.02237  ? 12  GLY E N   12  GLY E N   1 
ATOM 7266  C CA  . GLY B 2 11  ? 265.984 -64.387  190.829 1.0 47.02237  ? 12  GLY E CA  12  GLY E CA  1 
ATOM 7267  C C   . GLY B 2 11  ? 265.168 -65.584  191.262 1.0 47.02237  ? 12  GLY E C   12  GLY E C   1 
ATOM 7268  O O   . GLY B 2 11  ? 264.769 -65.690  192.424 1.0 47.02237  ? 12  GLY E O   12  GLY E O   1 
ATOM 7269  N N   . ARG B 2 12  ? 264.911 -66.492  190.328 1.0 46.2115   ? 13  ARG E N   13  ARG E N   1 
ATOM 7270  C CA  . ARG B 2 12  ? 264.043 -67.630  190.575 1.0 46.2115   ? 13  ARG E CA  13  ARG E CA  1 
ATOM 7271  C C   . ARG B 2 12  ? 264.850 -68.842  191.017 1.0 46.2115   ? 13  ARG E C   13  ARG E C   1 
ATOM 7272  O O   . ARG B 2 12  ? 266.000 -69.027  190.616 1.0 46.2115   ? 13  ARG E O   13  ARG E O   1 
ATOM 7273  C CB  . ARG B 2 12  ? 263.244 -67.968  189.318 1.0 46.2115   ? 13  ARG E CB  13  ARG E CB  1 
ATOM 7274  C CG  . ARG B 2 12  ? 262.238 -66.907  188.932 1.0 46.2115   ? 13  ARG E CG  13  ARG E CG  1 
ATOM 7275  C CD  . ARG B 2 12  ? 261.515 -67.276  187.657 1.0 46.2115   ? 13  ARG E CD  13  ARG E CD  1 
ATOM 7276  N NE  . ARG B 2 12  ? 262.411 -67.251  186.509 1.0 46.2115   ? 13  ARG E NE  13  ARG E NE  1 
ATOM 7277  C CZ  . ARG B 2 12  ? 262.079 -67.678  185.296 1.0 46.2115   ? 13  ARG E CZ  13  ARG E CZ  1 
ATOM 7278  N NH1 . ARG B 2 12  ? 260.868 -68.166  185.072 1.0 46.2115   ? 13  ARG E NH1 13  ARG E NH1 1 
ATOM 7279  N NH2 . ARG B 2 12  ? 262.958 -67.618  184.308 1.0 46.2115   ? 13  ARG E NH2 13  ARG E NH2 1 
ATOM 7280  N N   . SER B 2 13  ? 264.229 -69.672  191.850 1.0 47.15275  ? 14  SER E N   14  SER E N   1 
ATOM 7281  C CA  . SER B 2 13  ? 264.876 -70.883  192.322 1.0 47.15275  ? 14  SER E CA  14  SER E CA  1 
ATOM 7282  C C   . SER B 2 13  ? 264.898 -71.933  191.217 1.0 47.15275  ? 14  SER E C   14  SER E C   1 
ATOM 7283  O O   . SER B 2 13  ? 264.260 -71.788  190.173 1.0 47.15275  ? 14  SER E O   14  SER E O   1 
ATOM 7284  C CB  . SER B 2 13  ? 264.162 -71.425  193.557 1.0 47.15275  ? 14  SER E CB  14  SER E CB  1 
ATOM 7285  O OG  . SER B 2 13  ? 262.855 -71.859  193.237 1.0 47.15275  ? 14  SER E OG  14  SER E OG  1 
ATOM 7286  N N   . ALA B 2 14  ? 265.626 -73.024  191.477 1.0 46.42451  ? 15  ALA E N   15  ALA E N   1 
ATOM 7287  C CA  . ALA B 2 14  ? 265.900 -74.020  190.444 1.0 46.42451  ? 15  ALA E CA  15  ALA E CA  1 
ATOM 7288  C C   . ALA B 2 14  ? 264.653 -74.785  190.028 1.0 46.42451  ? 15  ALA E C   15  ALA E C   1 
ATOM 7289  O O   . ALA B 2 14  ? 264.602 -75.323  188.918 1.0 46.42451  ? 15  ALA E O   15  ALA E O   1 
ATOM 7290  C CB  . ALA B 2 14  ? 266.975 -74.989  190.925 1.0 46.42451  ? 15  ALA E CB  15  ALA E CB  1 
ATOM 7291  N N   . LYS B 2 15  ? 263.642 -74.839  190.893 1.0 47.99621  ? 16  LYS E N   16  LYS E N   1 
ATOM 7292  C CA  . LYS B 2 15  ? 262.357 -75.406  190.513 1.0 47.99621  ? 16  LYS E CA  16  LYS E CA  1 
ATOM 7293  C C   . LYS B 2 15  ? 261.633 -74.534  189.493 1.0 47.99621  ? 16  LYS E C   16  LYS E C   1 
ATOM 7294  O O   . LYS B 2 15  ? 260.835 -75.051  188.704 1.0 47.99621  ? 16  LYS E O   16  LYS E O   1 
ATOM 7295  C CB  . LYS B 2 15  ? 261.511 -75.607  191.779 1.0 47.99621  ? 16  LYS E CB  16  LYS E CB  1 
ATOM 7296  C CG  . LYS B 2 15  ? 260.157 -76.296  191.605 1.0 47.99621  ? 16  LYS E CG  16  LYS E CG  1 
ATOM 7297  C CD  . LYS B 2 15  ? 259.005 -75.293  191.644 1.0 47.99621  ? 16  LYS E CD  16  LYS E CD  1 
ATOM 7298  C CE  . LYS B 2 15  ? 257.653 -75.969  191.463 1.0 47.99621  ? 16  LYS E CE  16  LYS E CE  1 
ATOM 7299  N NZ  . LYS B 2 15  ? 257.311 -76.871  192.594 1.0 47.99621  ? 16  LYS E NZ  16  LYS E NZ  1 
ATOM 7300  N N   . GLU B 2 16  ? 261.926 -73.237  189.457 1.0 48.31659  ? 17  GLU E N   17  GLU E N   1 
ATOM 7301  C CA  . GLU B 2 16  ? 261.119 -72.283  188.710 1.0 48.31659  ? 17  GLU E CA  17  GLU E CA  1 
ATOM 7302  C C   . GLU B 2 16  ? 261.653 -71.973  187.318 1.0 48.31659  ? 17  GLU E C   17  GLU E C   1 
ATOM 7303  O O   . GLU B 2 16  ? 260.877 -71.995  186.360 1.0 48.31659  ? 17  GLU E O   17  GLU E O   1 
ATOM 7304  C CB  . GLU B 2 16  ? 260.981 -70.988  189.510 1.0 48.31659  ? 17  GLU E CB  17  GLU E CB  1 
ATOM 7305  C CG  . GLU B 2 16  ? 260.192 -71.173  190.795 1.0 48.31659  ? 17  GLU E CG  17  GLU E CG  1 
ATOM 7306  C CD  . GLU B 2 16  ? 260.099 -69.908  191.625 1.0 48.31659  ? 17  GLU E CD  17  GLU E CD  1 
ATOM 7307  O OE1 . GLU B 2 16  ? 260.753 -68.909  191.266 1.0 48.31659  ? 17  GLU E OE1 17  GLU E OE1 1 
ATOM 7308  O OE2 . GLU B 2 16  ? 259.372 -69.915  192.640 1.0 48.31659  ? 17  GLU E OE2 17  GLU E OE2 1 
ATOM 7309  N N   . TYR B 2 17  ? 262.945 -71.684  187.157 1.0 43.35025  ? 18  TYR E N   18  TYR E N   1 
ATOM 7310  C CA  . TYR B 2 17  ? 263.416 -71.281  185.838 1.0 43.35025  ? 18  TYR E CA  18  TYR E CA  1 
ATOM 7311  C C   . TYR B 2 17  ? 263.696 -72.453  184.911 1.0 43.35025  ? 18  TYR E C   18  TYR E C   1 
ATOM 7312  O O   . TYR B 2 17  ? 263.882 -72.235  183.711 1.0 43.35025  ? 18  TYR E O   18  TYR E O   1 
ATOM 7313  C CB  . TYR B 2 17  ? 264.666 -70.390  185.931 1.0 43.35025  ? 18  TYR E CB  18  TYR E CB  1 
ATOM 7314  C CG  . TYR B 2 17  ? 265.917 -71.017  186.504 1.0 43.35025  ? 18  TYR E CG  18  TYR E CG  1 
ATOM 7315  C CD1 . TYR B 2 17  ? 266.200 -70.921  187.853 1.0 43.35025  ? 18  TYR E CD1 18  TYR E CD1 1 
ATOM 7316  C CD2 . TYR B 2 17  ? 266.839 -71.665  185.688 1.0 43.35025  ? 18  TYR E CD2 18  TYR E CD2 1 
ATOM 7317  C CE1 . TYR B 2 17  ? 267.341 -71.470  188.380 1.0 43.35025  ? 18  TYR E CE1 18  TYR E CE1 1 
ATOM 7318  C CE2 . TYR B 2 17  ? 267.980 -72.225  186.211 1.0 43.35025  ? 18  TYR E CE2 18  TYR E CE2 1 
ATOM 7319  C CZ  . TYR B 2 17  ? 268.223 -72.122  187.558 1.0 43.35025  ? 18  TYR E CZ  18  TYR E CZ  1 
ATOM 7320  O OH  . TYR B 2 17  ? 269.358 -72.670  188.094 1.0 43.35025  ? 18  TYR E OH  18  TYR E OH  1 
ATOM 7321  N N   . LEU B 2 18  ? 263.747 -73.676  185.421 1.0 42.64963  ? 19  LEU E N   19  LEU E N   1 
ATOM 7322  C CA  . LEU B 2 18  ? 263.893 -74.809  184.527 1.0 42.64963  ? 19  LEU E CA  19  LEU E CA  1 
ATOM 7323  C C   . LEU B 2 18  ? 262.578 -75.089  183.814 1.0 42.64963  ? 19  LEU E C   19  LEU E C   1 
ATOM 7324  O O   . LEU B 2 18  ? 261.512 -74.620  184.216 1.0 42.64963  ? 19  LEU E O   19  LEU E O   1 
ATOM 7325  C CB  . LEU B 2 18  ? 264.344 -76.053  185.283 1.0 42.64963  ? 19  LEU E CB  19  LEU E CB  1 
ATOM 7326  C CG  . LEU B 2 18  ? 265.762 -76.031  185.831 1.0 42.64963  ? 19  LEU E CG  19  LEU E CG  1 
ATOM 7327  C CD1 . LEU B 2 18  ? 266.029 -77.296  186.607 1.0 42.64963  ? 19  LEU E CD1 19  LEU E CD1 1 
ATOM 7328  C CD2 . LEU B 2 18  ? 266.742 -75.879  184.699 1.0 42.64963  ? 19  LEU E CD2 19  LEU E CD2 1 
ATOM 7329  N N   . SER B 2 19  ? 262.668 -75.862  182.737 1.0 45.07182  ? 20  SER E N   20  SER E N   1 
ATOM 7330  C CA  . SER B 2 19  ? 261.477 -76.262  182.011 1.0 45.07182  ? 20  SER E CA  20  SER E CA  1 
ATOM 7331  C C   . SER B 2 19  ? 260.658 -77.246  182.839 1.0 45.07182  ? 20  SER E C   20  SER E C   1 
ATOM 7332  O O   . SER B 2 19  ? 261.157 -77.880  183.771 1.0 45.07182  ? 20  SER E O   20  SER E O   1 
ATOM 7333  C CB  . SER B 2 19  ? 261.852 -76.870  180.663 1.0 45.07182  ? 20  SER E CB  20  SER E CB  1 
ATOM 7334  O OG  . SER B 2 19  ? 262.603 -78.055  180.828 1.0 45.07182  ? 20  SER E OG  20  SER E OG  1 
ATOM 7335  N N   . GLU B 2 20  ? 259.375 -77.358  182.492 1.0 49.07884  ? 21  GLU E N   21  GLU E N   1 
ATOM 7336  C CA  . GLU B 2 20  ? 258.440 -78.085  183.344 1.0 49.07884  ? 21  GLU E CA  21  GLU E CA  1 
ATOM 7337  C C   . GLU B 2 20  ? 258.639 -79.591  183.249 1.0 49.07884  ? 21  GLU E C   21  GLU E C   1 
ATOM 7338  O O   . GLU B 2 20  ? 258.406 -80.306  184.228 1.0 49.07884  ? 21  GLU E O   21  GLU E O   1 
ATOM 7339  C CB  . GLU B 2 20  ? 257.006 -77.696  182.977 1.0 49.07884  ? 21  GLU E CB  21  GLU E CB  1 
ATOM 7340  C CG  . GLU B 2 20  ? 255.927 -78.113  183.976 1.0 49.07884  ? 21  GLU E CG  21  GLU E CG  1 
ATOM 7341  C CD  . GLU B 2 20  ? 255.323 -79.476  183.681 1.0 49.07884  ? 21  GLU E CD  21  GLU E CD  1 
ATOM 7342  O OE1 . GLU B 2 20  ? 255.307 -79.880  182.499 1.0 49.07884  ? 21  GLU E OE1 21  GLU E OE1 1 
ATOM 7343  O OE2 . GLU B 2 20  ? 254.851 -80.137  184.631 1.0 49.07884  ? 21  GLU E OE2 21  GLU E OE2 1 
ATOM 7344  N N   . ASN B 2 21  ? 259.076 -80.087  182.096 1.0 47.27349  ? 22  ASN E N   22  ASN E N   1 
ATOM 7345  C CA  . ASN B 2 21  ? 259.329 -81.507  181.922 1.0 47.27349  ? 22  ASN E CA  22  ASN E CA  1 
ATOM 7346  C C   . ASN B 2 21  ? 260.731 -81.928  182.342 1.0 47.27349  ? 22  ASN E C   22  ASN E C   1 
ATOM 7347  O O   . ASN B 2 21  ? 261.011 -83.129  182.381 1.0 47.27349  ? 22  ASN E O   22  ASN E O   1 
ATOM 7348  C CB  . ASN B 2 21  ? 259.059 -81.909  180.468 1.0 47.27349  ? 22  ASN E CB  22  ASN E CB  1 
ATOM 7349  C CG  . ASN B 2 21  ? 259.782 -81.026  179.469 1.0 47.27349  ? 22  ASN E CG  22  ASN E CG  1 
ATOM 7350  O OD1 . ASN B 2 21  ? 260.552 -80.143  179.841 1.0 47.27349  ? 22  ASN E OD1 22  ASN E OD1 1 
ATOM 7351  N ND2 . ASN B 2 21  ? 259.530 -81.257  178.188 1.0 47.27349  ? 22  ASN E ND2 22  ASN E ND2 1 
ATOM 7352  N N   . LEU B 2 22  ? 261.614 -80.984  182.661 1.0 44.02761  ? 23  LEU E N   23  LEU E N   1 
ATOM 7353  C CA  . LEU B 2 22  ? 262.917 -81.352  183.197 1.0 44.02761  ? 23  LEU E CA  23  LEU E CA  1 
ATOM 7354  C C   . LEU B 2 22  ? 262.872 -81.526  184.705 1.0 44.02761  ? 23  LEU E C   23  LEU E C   1 
ATOM 7355  O O   . LEU B 2 22  ? 263.538 -82.416  185.242 1.0 44.02761  ? 23  LEU E O   23  LEU E O   1 
ATOM 7356  C CB  . LEU B 2 22  ? 263.968 -80.307  182.821 1.0 44.02761  ? 23  LEU E CB  23  LEU E CB  1 
ATOM 7357  C CG  . LEU B 2 22  ? 265.405 -80.570  183.273 1.0 44.02761  ? 23  LEU E CG  23  LEU E CG  1 
ATOM 7358  C CD1 . LEU B 2 22  ? 265.929 -81.843  182.655 1.0 44.02761  ? 23  LEU E CD1 23  LEU E CD1 1 
ATOM 7359  C CD2 . LEU B 2 22  ? 266.301 -79.406  182.923 1.0 44.02761  ? 23  LEU E CD2 23  LEU E CD2 1 
ATOM 7360  N N   . VAL B 2 23  ? 262.080 -80.702  185.392 1.0 44.69125  ? 24  VAL E N   24  VAL E N   1 
ATOM 7361  C CA  . VAL B 2 23  ? 261.927 -80.832  186.836 1.0 44.69125  ? 24  VAL E CA  24  VAL E CA  1 
ATOM 7362  C C   . VAL B 2 23  ? 261.219 -82.137  187.179 1.0 44.69125  ? 24  VAL E C   24  VAL E C   1 
ATOM 7363  O O   . VAL B 2 23  ? 261.570 -82.811  188.153 1.0 44.69125  ? 24  VAL E O   24  VAL E O   1 
ATOM 7364  C CB  . VAL B 2 23  ? 261.181 -79.607  187.391 1.0 44.69125  ? 24  VAL E CB  24  VAL E CB  1 
ATOM 7365  C CG1 . VAL B 2 23  ? 261.016 -79.700  188.892 1.0 44.69125  ? 24  VAL E CG1 24  VAL E CG1 1 
ATOM 7366  C CG2 . VAL B 2 23  ? 261.911 -78.341  187.019 1.0 44.69125  ? 24  VAL E CG2 24  VAL E CG2 1 
ATOM 7367  N N   . GLN B 2 24  ? 260.244 -82.539  186.360 1.0 47.37253  ? 25  GLN E N   25  GLN E N   1 
ATOM 7368  C CA  . GLN B 2 24  ? 259.597 -83.830  186.553 1.0 47.37253  ? 25  GLN E CA  25  GLN E CA  1 
ATOM 7369  C C   . GLN B 2 24  ? 260.523 -84.995  186.239 1.0 47.37253  ? 25  GLN E C   25  GLN E C   1 
ATOM 7370  O O   . GLN B 2 24  ? 260.310 -86.093  186.761 1.0 47.37253  ? 25  GLN E O   25  GLN E O   1 
ATOM 7371  C CB  . GLN B 2 24  ? 258.337 -83.929  185.697 1.0 47.37253  ? 25  GLN E CB  25  GLN E CB  1 
ATOM 7372  C CG  . GLN B 2 24  ? 257.224 -82.997  186.129 1.0 47.37253  ? 25  GLN E CG  25  GLN E CG  1 
ATOM 7373  C CD  . GLN B 2 24  ? 255.986 -83.137  185.271 1.0 47.37253  ? 25  GLN E CD  25  GLN E CD  1 
ATOM 7374  O OE1 . GLN B 2 24  ? 255.977 -83.883  184.292 1.0 47.37253  ? 25  GLN E OE1 25  GLN E OE1 1 
ATOM 7375  N NE2 . GLN B 2 24  ? 254.928 -82.425  185.638 1.0 47.37253  ? 25  GLN E NE2 25  GLN E NE2 1 
ATOM 7376  N N   . PHE B 2 25  ? 261.538 -84.789  185.401 1.0 46.61524  ? 26  PHE E N   26  PHE E N   1 
ATOM 7377  C CA  . PHE B 2 25  ? 262.522 -85.840  185.179 1.0 46.61524  ? 26  PHE E CA  26  PHE E CA  1 
ATOM 7378  C C   . PHE B 2 25  ? 263.441 -85.978  186.383 1.0 46.61524  ? 26  PHE E C   26  PHE E C   1 
ATOM 7379  O O   . PHE B 2 25  ? 263.623 -87.078  186.914 1.0 46.61524  ? 26  PHE E O   26  PHE E O   1 
ATOM 7380  C CB  . PHE B 2 25  ? 263.336 -85.554  183.918 1.0 46.61524  ? 26  PHE E CB  26  PHE E CB  1 
ATOM 7381  C CG  . PHE B 2 25  ? 264.305 -86.643  183.564 1.0 46.61524  ? 26  PHE E CG  26  PHE E CG  1 
ATOM 7382  C CD1 . PHE B 2 25  ? 263.880 -87.774  182.891 1.0 46.61524  ? 26  PHE E CD1 26  PHE E CD1 1 
ATOM 7383  C CD2 . PHE B 2 25  ? 265.639 -86.545  183.920 1.0 46.61524  ? 26  PHE E CD2 26  PHE E CD2 1 
ATOM 7384  C CE1 . PHE B 2 25  ? 264.772 -88.780  182.567 1.0 46.61524  ? 26  PHE E CE1 26  PHE E CE1 1 
ATOM 7385  C CE2 . PHE B 2 25  ? 266.531 -87.550  183.610 1.0 46.61524  ? 26  PHE E CE2 26  PHE E CE2 1 
ATOM 7386  C CZ  . PHE B 2 25  ? 266.097 -88.665  182.927 1.0 46.61524  ? 26  PHE E CZ  26  PHE E CZ  1 
ATOM 7387  N N   . ILE B 2 26  ? 264.017 -84.862  186.844 1.0 45.59464  ? 27  ILE E N   27  ILE E N   1 
ATOM 7388  C CA  . ILE B 2 26  ? 265.053 -84.917  187.874 1.0 45.59464  ? 27  ILE E CA  27  ILE E CA  1 
ATOM 7389  C C   . ILE B 2 26  ? 264.499 -85.103  189.274 1.0 45.59464  ? 27  ILE E C   27  ILE E C   1 
ATOM 7390  O O   . ILE B 2 26  ? 265.279 -85.145  190.232 1.0 45.59464  ? 27  ILE E O   27  ILE E O   1 
ATOM 7391  C CB  . ILE B 2 26  ? 265.933 -83.653  187.829 1.0 45.59464  ? 27  ILE E CB  27  ILE E CB  1 
ATOM 7392  C CG1 . ILE B 2 26  ? 265.131 -82.417  188.200 1.0 45.59464  ? 27  ILE E CG1 27  ILE E CG1 1 
ATOM 7393  C CG2 . ILE B 2 26  ? 266.480 -83.454  186.443 1.0 45.59464  ? 27  ILE E CG2 27  ILE E CG2 1 
ATOM 7394  C CD1 . ILE B 2 26  ? 265.985 -81.186  188.361 1.0 45.59464  ? 27  ILE E CD1 27  ILE E CD1 1 
ATOM 7395  N N   . GLN B 2 27  ? 263.184 -85.211  189.431 1.0 47.88469  ? 28  GLN E N   28  GLN E N   1 
ATOM 7396  C CA  . GLN B 2 27  ? 262.599 -85.664  190.684 1.0 47.88469  ? 28  GLN E CA  28  GLN E CA  1 
ATOM 7397  C C   . GLN B 2 27  ? 262.236 -87.136  190.660 1.0 47.88469  ? 28  GLN E C   28  GLN E C   1 
ATOM 7398  O O   . GLN B 2 27  ? 262.249 -87.784  191.710 1.0 47.88469  ? 28  GLN E O   28  GLN E O   1 
ATOM 7399  C CB  . GLN B 2 27  ? 261.349 -84.851  191.024 1.0 47.88469  ? 28  GLN E CB  28  GLN E CB  1 
ATOM 7400  C CG  . GLN B 2 27  ? 261.627 -83.417  191.412 1.0 47.88469  ? 28  GLN E CG  28  GLN E CG  1 
ATOM 7401  C CD  . GLN B 2 27  ? 260.358 -82.652  191.703 1.0 47.88469  ? 28  GLN E CD  28  GLN E CD  1 
ATOM 7402  O OE1 . GLN B 2 27  ? 259.258 -83.177  191.546 1.0 47.88469  ? 28  GLN E OE1 28  GLN E OE1 1 
ATOM 7403  N NE2 . GLN B 2 27  ? 260.503 -81.404  192.128 1.0 47.88469  ? 28  GLN E NE2 28  GLN E NE2 1 
ATOM 7404  N N   . ALA B 2 28  ? 261.909 -87.675  189.488 1.0 48.11589  ? 29  ALA E N   29  ALA E N   1 
ATOM 7405  C CA  . ALA B 2 28  ? 261.666 -89.106  189.361 1.0 48.11589  ? 29  ALA E CA  29  ALA E CA  1 
ATOM 7406  C C   . ALA B 2 28  ? 262.977 -89.881  189.382 1.0 48.11589  ? 29  ALA E C   29  ALA E C   1 
ATOM 7407  O O   . ALA B 2 28  ? 263.169 -90.778  190.209 1.0 48.11589  ? 29  ALA E O   29  ALA E O   1 
ATOM 7408  C CB  . ALA B 2 28  ? 260.886 -89.393  188.078 1.0 48.11589  ? 29  ALA E CB  29  ALA E CB  1 
ATOM 7409  N N   . THR B 2 29  ? 263.898 -89.540  188.481 1.0 48.85036  ? 30  THR E N   30  THR E N   1 
ATOM 7410  C CA  . THR B 2 29  ? 265.215 -90.173  188.437 1.0 48.85036  ? 30  THR E CA  30  THR E CA  1 
ATOM 7411  C C   . THR B 2 29  ? 266.140 -89.444  189.409 1.0 48.85036  ? 30  THR E C   30  THR E C   1 
ATOM 7412  O O   . THR B 2 29  ? 267.068 -88.729  189.031 1.0 48.85036  ? 30  THR E O   30  THR E O   1 
ATOM 7413  C CB  . THR B 2 29  ? 265.774 -90.150  187.025 1.0 48.85036  ? 30  THR E CB  30  THR E CB  1 
ATOM 7414  O OG1 . THR B 2 29  ? 266.060 -88.798  186.656 1.0 48.85036  ? 30  THR E OG1 30  THR E OG1 1 
ATOM 7415  C CG2 . THR B 2 29  ? 264.755 -90.707  186.053 1.0 48.85036  ? 30  THR E CG2 30  THR E CG2 1 
ATOM 7416  N N   . GLN B 2 30  ? 265.865 -89.638  190.692 1.0 49.5976   ? 31  GLN E N   31  GLN E N   1 
ATOM 7417  C CA  . GLN B 2 30  ? 266.511 -88.893  191.762 1.0 49.5976   ? 31  GLN E CA  31  GLN E CA  1 
ATOM 7418  C C   . GLN B 2 30  ? 267.450 -89.740  192.600 1.0 49.5976   ? 31  GLN E C   31  GLN E C   1 
ATOM 7419  O O   . GLN B 2 30  ? 268.531 -89.279  192.969 1.0 49.5976   ? 31  GLN E O   31  GLN E O   1 
ATOM 7420  C CB  . GLN B 2 30  ? 265.442 -88.273  192.670 1.0 49.5976   ? 31  GLN E CB  31  GLN E CB  1 
ATOM 7421  C CG  . GLN B 2 30  ? 265.963 -87.420  193.805 1.0 49.5976   ? 31  GLN E CG  31  GLN E CG  1 
ATOM 7422  C CD  . GLN B 2 30  ? 266.697 -86.201  193.320 1.0 49.5976   ? 31  GLN E CD  31  GLN E CD  1 
ATOM 7423  O OE1 . GLN B 2 30  ? 267.923 -86.154  193.345 1.0 49.5976   ? 31  GLN E OE1 31  GLN E OE1 1 
ATOM 7424  N NE2 . GLN B 2 30  ? 265.952 -85.197  192.880 1.0 49.5976   ? 31  GLN E NE2 31  GLN E NE2 1 
ATOM 7425  N N   . ASN B 2 31  ? 267.072 -90.980  192.890 1.0 51.74413  ? 32  ASN E N   32  ASN E N   1 
ATOM 7426  C CA  . ASN B 2 31  ? 267.805 -91.793  193.846 1.0 51.74413  ? 32  ASN E CA  32  ASN E CA  1 
ATOM 7427  C C   . ASN B 2 31  ? 268.990 -92.527  193.238 1.0 51.74413  ? 32  ASN E C   32  ASN E C   1 
ATOM 7428  O O   . ASN B 2 31  ? 269.759 -93.142  193.983 1.0 51.74413  ? 32  ASN E O   32  ASN E O   1 
ATOM 7429  C CB  . ASN B 2 31  ? 266.856 -92.800  194.494 1.0 51.74413  ? 32  ASN E CB  32  ASN E CB  1 
ATOM 7430  C CG  . ASN B 2 31  ? 265.831 -92.133  195.383 1.0 51.74413  ? 32  ASN E CG  32  ASN E CG  1 
ATOM 7431  O OD1 . ASN B 2 31  ? 266.150 -91.211  196.132 1.0 51.74413  ? 32  ASN E OD1 32  ASN E OD1 1 
ATOM 7432  N ND2 . ASN B 2 31  ? 264.589 -92.591  195.301 1.0 51.74413  ? 32  ASN E ND2 32  ASN E ND2 1 
ATOM 7433  N N   . TYR B 2 32  ? 269.167 -92.486  191.920 1.0 48.9722   ? 33  TYR E N   33  TYR E N   1 
ATOM 7434  C CA  . TYR B 2 32  ? 270.276 -93.221  191.328 1.0 48.9722   ? 33  TYR E CA  33  TYR E CA  1 
ATOM 7435  C C   . TYR B 2 32  ? 271.114 -92.362  190.391 1.0 48.9722   ? 33  TYR E C   33  TYR E C   1 
ATOM 7436  O O   . TYR B 2 32  ? 272.315 -92.600  190.237 1.0 48.9722   ? 33  TYR E O   33  TYR E O   1 
ATOM 7437  C CB  . TYR B 2 32  ? 269.758 -94.468  190.606 1.0 48.9722   ? 33  TYR E CB  33  TYR E CB  1 
ATOM 7438  C CG  . TYR B 2 32  ? 268.840 -94.221  189.432 1.0 48.9722   ? 33  TYR E CG  33  TYR E CG  1 
ATOM 7439  C CD1 . TYR B 2 32  ? 267.467 -94.118  189.608 1.0 48.9722   ? 33  TYR E CD1 33  TYR E CD1 1 
ATOM 7440  C CD2 . TYR B 2 32  ? 269.341 -94.138  188.141 1.0 48.9722   ? 33  TYR E CD2 33  TYR E CD2 1 
ATOM 7441  C CE1 . TYR B 2 32  ? 266.626 -93.911  188.535 1.0 48.9722   ? 33  TYR E CE1 33  TYR E CE1 1 
ATOM 7442  C CE2 . TYR B 2 32  ? 268.510 -93.928  187.067 1.0 48.9722   ? 33  TYR E CE2 33  TYR E CE2 1 
ATOM 7443  C CZ  . TYR B 2 32  ? 267.157 -93.817  187.269 1.0 48.9722   ? 33  TYR E CZ  33  TYR E CZ  1 
ATOM 7444  O OH  . TYR B 2 32  ? 266.335 -93.613  186.189 1.0 48.9722   ? 33  TYR E OH  33  TYR E OH  1 
ATOM 7445  N N   . PHE B 2 33  ? 270.503 -91.363  189.758 1.0 45.28381  ? 34  PHE E N   34  PHE E N   1 
ATOM 7446  C CA  . PHE B 2 33  ? 271.206 -90.520  188.789 1.0 45.28381  ? 34  PHE E CA  34  PHE E CA  1 
ATOM 7447  C C   . PHE B 2 33  ? 270.849 -89.069  189.102 1.0 45.28381  ? 34  PHE E C   34  PHE E C   1 
ATOM 7448  O O   . PHE B 2 33  ? 269.904 -88.515  188.539 1.0 45.28381  ? 34  PHE E O   34  PHE E O   1 
ATOM 7449  C CB  . PHE B 2 33  ? 270.835 -90.920  187.371 1.0 45.28381  ? 34  PHE E CB  34  PHE E CB  1 
ATOM 7450  C CG  . PHE B 2 33  ? 271.594 -90.189  186.313 1.0 45.28381  ? 34  PHE E CG  34  PHE E CG  1 
ATOM 7451  C CD1 . PHE B 2 33  ? 272.957 -90.386  186.163 1.0 45.28381  ? 34  PHE E CD1 34  PHE E CD1 1 
ATOM 7452  C CD2 . PHE B 2 33  ? 270.938 -89.355  185.430 1.0 45.28381  ? 34  PHE E CD2 34  PHE E CD2 1 
ATOM 7453  C CE1 . PHE B 2 33  ? 273.660 -89.726  185.176 1.0 45.28381  ? 34  PHE E CE1 34  PHE E CE1 1 
ATOM 7454  C CE2 . PHE B 2 33  ? 271.633 -88.704  184.433 1.0 45.28381  ? 34  PHE E CE2 34  PHE E CE2 1 
ATOM 7455  C CZ  . PHE B 2 33  ? 272.996 -88.883  184.312 1.0 45.28381  ? 34  PHE E CZ  34  PHE E CZ  1 
ATOM 7456  N N   . ASN B 2 34  ? 271.626 -88.460  189.994 1.0 43.57481  ? 35  ASN E N   35  ASN E N   1 
ATOM 7457  C CA  . ASN B 2 34  ? 271.283 -87.161  190.553 1.0 43.57481  ? 35  ASN E CA  35  ASN E CA  1 
ATOM 7458  C C   . ASN B 2 34  ? 271.670 -86.045  189.591 1.0 43.57481  ? 35  ASN E C   35  ASN E C   1 
ATOM 7459  O O   . ASN B 2 34  ? 272.812 -85.973  189.131 1.0 43.57481  ? 35  ASN E O   35  ASN E O   1 
ATOM 7460  C CB  . ASN B 2 34  ? 271.986 -86.967  191.895 1.0 43.57481  ? 35  ASN E CB  35  ASN E CB  1 
ATOM 7461  C CG  . ASN B 2 34  ? 271.412 -85.819  192.696 1.0 43.57481  ? 35  ASN E CG  35  ASN E CG  1 
ATOM 7462  O OD1 . ASN B 2 34  ? 270.441 -85.188  192.290 1.0 43.57481  ? 35  ASN E OD1 35  ASN E OD1 1 
ATOM 7463  N ND2 . ASN B 2 34  ? 272.022 -85.534  193.839 1.0 43.57481  ? 35  ASN E ND2 35  ASN E ND2 1 
ATOM 7464  N N   . ILE B 2 35  ? 270.714 -85.168  189.298 1.0 40.46606  ? 36  ILE E N   36  ILE E N   1 
ATOM 7465  C CA  . ILE B 2 35  ? 270.942 -84.036  188.411 1.0 40.46606  ? 36  ILE E CA  36  ILE E CA  1 
ATOM 7466  C C   . ILE B 2 35  ? 270.730 -82.695  189.106 1.0 40.46606  ? 36  ILE E C   36  ILE E C   1 
ATOM 7467  O O   . ILE B 2 35  ? 271.419 -81.720  188.767 1.0 40.46606  ? 36  ILE E O   36  ILE E O   1 
ATOM 7468  C CB  . ILE B 2 35  ? 270.048 -84.151  187.152 1.0 40.46606  ? 36  ILE E CB  36  ILE E CB  1 
ATOM 7469  C CG1 . ILE B 2 35  ? 270.353 -85.444  186.418 1.0 40.46606  ? 36  ILE E CG1 36  ILE E CG1 1 
ATOM 7470  C CG2 . ILE B 2 35  ? 270.256 -83.025  186.143 1.0 40.46606  ? 36  ILE E CG2 36  ILE E CG2 1 
ATOM 7471  C CD1 . ILE B 2 35  ? 271.783 -85.517  185.980 1.0 40.46606  ? 36  ILE E CD1 36  ILE E CD1 1 
ATOM 7472  N N   . GLY B 2 36  ? 269.897 -82.620  190.144 1.0 41.50943  ? 37  GLY E N   37  GLY E N   1 
ATOM 7473  C CA  . GLY B 2 36  ? 269.503 -81.368  190.780 1.0 41.50943  ? 37  GLY E CA  37  GLY E CA  1 
ATOM 7474  C C   . GLY B 2 36  ? 270.620 -80.574  191.439 1.0 41.50943  ? 37  GLY E C   37  GLY E C   1 
ATOM 7475  O O   . GLY B 2 36  ? 270.365 -79.450  191.882 1.0 41.50943  ? 37  GLY E O   37  GLY E O   1 
ATOM 7476  N N   . GLU B 2 37  ? 271.832 -81.116  191.516 1.0 42.51866  ? 38  GLU E N   38  GLU E N   1 
ATOM 7477  C CA  . GLU B 2 37  ? 272.985 -80.360  191.979 1.0 42.51866  ? 38  GLU E CA  38  GLU E CA  1 
ATOM 7478  C C   . GLU B 2 37  ? 273.772 -79.732  190.838 1.0 42.51866  ? 38  GLU E C   38  GLU E C   1 
ATOM 7479  O O   . GLU B 2 37  ? 274.740 -79.012  191.095 1.0 42.51866  ? 38  GLU E O   38  GLU E O   1 
ATOM 7480  C CB  . GLU B 2 37  ? 273.898 -81.257  192.814 1.0 42.51866  ? 38  GLU E CB  38  GLU E CB  1 
ATOM 7481  C CG  . GLU B 2 37  ? 273.253 -81.742  194.101 1.0 42.51866  ? 38  GLU E CG  38  GLU E CG  1 
ATOM 7482  C CD  . GLU B 2 37  ? 272.989 -80.620  195.090 1.0 42.51866  ? 38  GLU E CD  38  GLU E CD  1 
ATOM 7483  O OE1 . GLU B 2 37  ? 273.792 -79.664  195.143 1.0 42.51866  ? 38  GLU E OE1 38  GLU E OE1 1 
ATOM 7484  O OE2 . GLU B 2 37  ? 271.971 -80.690  195.812 1.0 42.51866  ? 38  GLU E OE2 38  GLU E OE2 1 
ATOM 7485  N N   . LYS B 2 38  ? 273.379 -79.980  189.589 1.0 37.87556  ? 39  LYS E N   39  LYS E N   1 
ATOM 7486  C CA  . LYS B 2 38  ? 273.960 -79.292  188.445 1.0 37.87556  ? 39  LYS E CA  39  LYS E CA  1 
ATOM 7487  C C   . LYS B 2 38  ? 273.360 -77.912  188.229 1.0 37.87556  ? 39  LYS E C   39  LYS E C   1 
ATOM 7488  O O   . LYS B 2 38  ? 273.755 -77.228  187.284 1.0 37.87556  ? 39  LYS E O   39  LYS E O   1 
ATOM 7489  C CB  . LYS B 2 38  ? 273.762 -80.105  187.162 1.0 37.87556  ? 39  LYS E CB  39  LYS E CB  1 
ATOM 7490  C CG  . LYS B 2 38  ? 274.254 -81.535  187.195 1.0 37.87556  ? 39  LYS E CG  39  LYS E CG  1 
ATOM 7491  C CD  . LYS B 2 38  ? 275.745 -81.633  187.260 1.0 37.87556  ? 39  LYS E CD  39  LYS E CD  1 
ATOM 7492  C CE  . LYS B 2 38  ? 276.184 -83.072  187.104 1.0 37.87556  ? 39  LYS E CE  39  LYS E CE  1 
ATOM 7493  N NZ  . LYS B 2 38  ? 275.826 -83.879  188.294 1.0 37.87556  ? 39  LYS E NZ  39  LYS E NZ  1 
ATOM 7494  N N   . PHE B 2 39  ? 272.407 -77.494  189.055 1.0 36.97122  ? 40  PHE E N   40  PHE E N   1 
ATOM 7495  C CA  . PHE B 2 39  ? 271.670 -76.262  188.825 1.0 36.97122  ? 40  PHE E CA  40  PHE E CA  1 
ATOM 7496  C C   . PHE B 2 39  ? 271.701 -75.404  190.078 1.0 36.97122  ? 40  PHE E C   40  PHE E C   1 
ATOM 7497  O O   . PHE B 2 39  ? 271.504 -75.908  191.187 1.0 36.97122  ? 40  PHE E O   40  PHE E O   1 
ATOM 7498  C CB  . PHE B 2 39  ? 270.236 -76.563  188.399 1.0 36.97122  ? 40  PHE E CB  40  PHE E CB  1 
ATOM 7499  C CG  . PHE B 2 39  ? 270.145 -77.242  187.070 1.0 36.97122  ? 40  PHE E CG  40  PHE E CG  1 
ATOM 7500  C CD1 . PHE B 2 39  ? 270.256 -76.515  185.903 1.0 36.97122  ? 40  PHE E CD1 40  PHE E CD1 1 
ATOM 7501  C CD2 . PHE B 2 39  ? 269.965 -78.609  186.986 1.0 36.97122  ? 40  PHE E CD2 40  PHE E CD2 1 
ATOM 7502  C CE1 . PHE B 2 39  ? 270.181 -77.137  184.679 1.0 36.97122  ? 40  PHE E CE1 40  PHE E CE1 1 
ATOM 7503  C CE2 . PHE B 2 39  ? 269.889 -79.234  185.763 1.0 36.97122  ? 40  PHE E CE2 40  PHE E CE2 1 
ATOM 7504  C CZ  . PHE B 2 39  ? 269.997 -78.498  184.611 1.0 36.97122  ? 40  PHE E CZ  40  PHE E CZ  1 
ATOM 7505  N N   . ARG B 2 40  ? 271.937 -74.112  189.894 1.0 38.61437  ? 41  ARG E N   41  ARG E N   1 
ATOM 7506  C CA  . ARG B 2 40  ? 272.237 -73.211  190.994 1.0 38.61437  ? 41  ARG E CA  41  ARG E CA  1 
ATOM 7507  C C   . ARG B 2 40  ? 270.965 -72.577  191.539 1.0 38.61437  ? 41  ARG E C   41  ARG E C   1 
ATOM 7508  O O   . ARG B 2 40  ? 270.096 -72.144  190.781 1.0 38.61437  ? 41  ARG E O   41  ARG E O   1 
ATOM 7509  C CB  . ARG B 2 40  ? 273.210 -72.133  190.523 1.0 38.61437  ? 41  ARG E CB  41  ARG E CB  1 
ATOM 7510  C CG  . ARG B 2 40  ? 273.672 -71.193  191.593 1.0 38.61437  ? 41  ARG E CG  41  ARG E CG  1 
ATOM 7511  C CD  . ARG B 2 40  ? 274.554 -71.889  192.598 1.0 38.61437  ? 41  ARG E CD  41  ARG E CD  1 
ATOM 7512  N NE  . ARG B 2 40  ? 274.989 -70.945  193.616 1.0 38.61437  ? 41  ARG E NE  41  ARG E NE  1 
ATOM 7513  C CZ  . ARG B 2 40  ? 275.617 -71.283  194.732 1.0 38.61437  ? 41  ARG E CZ  41  ARG E CZ  1 
ATOM 7514  N NH1 . ARG B 2 40  ? 275.888 -72.554  194.983 1.0 38.61437  ? 41  ARG E NH1 41  ARG E NH1 1 
ATOM 7515  N NH2 . ARG B 2 40  ? 275.969 -70.346  195.599 1.0 38.61437  ? 41  ARG E NH2 41  ARG E NH2 1 
ATOM 7516  N N   . ASP B 2 41  ? 270.870 -72.520  192.864 1.0 42.77405  ? 42  ASP E N   42  ASP E N   1 
ATOM 7517  C CA  . ASP B 2 41  ? 269.709 -72.000  193.570 1.0 42.77405  ? 42  ASP E CA  42  ASP E CA  1 
ATOM 7518  C C   . ASP B 2 41  ? 270.102 -70.709  194.276 1.0 42.77405  ? 42  ASP E C   42  ASP E C   1 
ATOM 7519  O O   . ASP B 2 41  ? 271.015 -70.728  195.118 1.0 42.77405  ? 42  ASP E O   42  ASP E O   1 
ATOM 7520  C CB  . ASP B 2 41  ? 269.213 -73.042  194.577 1.0 42.77405  ? 42  ASP E CB  42  ASP E CB  1 
ATOM 7521  C CG  . ASP B 2 41  ? 267.843 -72.726  195.143 1.0 42.77405  ? 42  ASP E CG  42  ASP E CG  1 
ATOM 7522  O OD1 . ASP B 2 41  ? 267.235 -71.711  194.757 1.0 42.77405  ? 42  ASP E OD1 42  ASP E OD1 1 
ATOM 7523  O OD2 . ASP B 2 41  ? 267.371 -73.504  195.997 1.0 42.77405  ? 42  ASP E OD2 42  ASP E OD2 1 
ATOM 7524  N N   . PRO B 2 42  ? 269.470 -69.577  193.978 1.0 41.90377  ? 43  PRO E N   43  PRO E N   1 
ATOM 7525  C CA  . PRO B 2 42  ? 269.787 -68.343  194.701 1.0 41.90377  ? 43  PRO E CA  43  PRO E CA  1 
ATOM 7526  C C   . PRO B 2 42  ? 269.232 -68.360  196.115 1.0 41.90377  ? 43  PRO E C   43  PRO E C   1 
ATOM 7527  O O   . PRO B 2 42  ? 268.352 -69.148  196.463 1.0 41.90377  ? 43  PRO E O   43  PRO E O   1 
ATOM 7528  C CB  . PRO B 2 42  ? 269.114 -67.258  193.859 1.0 41.90377  ? 43  PRO E CB  43  PRO E CB  1 
ATOM 7529  C CG  . PRO B 2 42  ? 268.022 -67.960  193.164 1.0 41.90377  ? 43  PRO E CG  43  PRO E CG  1 
ATOM 7530  C CD  . PRO B 2 42  ? 268.524 -69.338  192.879 1.0 41.90377  ? 43  PRO E CD  43  PRO E CD  1 
ATOM 7531  N N   . TYR B 2 43  ? 269.766 -67.457  196.936 1.0 40.88672  ? 44  TYR E N   44  TYR E N   1 
ATOM 7532  C CA  . TYR B 2 43  ? 269.410 -67.391  198.352 1.0 40.88672  ? 44  TYR E CA  44  TYR E CA  1 
ATOM 7533  C C   . TYR B 2 43  ? 269.659 -65.955  198.798 1.0 40.88672  ? 44  TYR E C   44  TYR E C   1 
ATOM 7534  O O   . TYR B 2 43  ? 270.804 -65.573  199.046 1.0 40.88672  ? 44  TYR E O   44  TYR E O   1 
ATOM 7535  C CB  . TYR B 2 43  ? 270.225 -68.395  199.152 1.0 40.88672  ? 44  TYR E CB  44  TYR E CB  1 
ATOM 7536  C CG  . TYR B 2 43  ? 269.884 -68.480  200.615 1.0 40.88672  ? 44  TYR E CG  44  TYR E CG  1 
ATOM 7537  C CD1 . TYR B 2 43  ? 268.662 -68.979  201.032 1.0 40.88672  ? 44  TYR E CD1 44  TYR E CD1 1 
ATOM 7538  C CD2 . TYR B 2 43  ? 270.810 -68.130  201.581 1.0 40.88672  ? 44  TYR E CD2 44  TYR E CD2 1 
ATOM 7539  C CE1 . TYR B 2 43  ? 268.354 -69.076  202.370 1.0 40.88672  ? 44  TYR E CE1 44  TYR E CE1 1 
ATOM 7540  C CE2 . TYR B 2 43  ? 270.514 -68.233  202.920 1.0 40.88672  ? 44  TYR E CE2 44  TYR E CE2 1 
ATOM 7541  C CZ  . TYR B 2 43  ? 269.285 -68.701  203.307 1.0 40.88672  ? 44  TYR E CZ  44  TYR E CZ  1 
ATOM 7542  O OH  . TYR B 2 43  ? 268.991 -68.799  204.643 1.0 40.88672  ? 44  TYR E OH  44  TYR E OH  1 
ATOM 7543  N N   . VAL B 2 44  ? 268.587 -65.172  198.896 1.0 40.40554  ? 45  VAL E N   45  VAL E N   1 
ATOM 7544  C CA  . VAL B 2 44  ? 268.664 -63.717  198.938 1.0 40.40554  ? 45  VAL E CA  45  VAL E CA  1 
ATOM 7545  C C   . VAL B 2 44  ? 268.151 -63.229  200.286 1.0 40.40554  ? 45  VAL E C   45  VAL E C   1 
ATOM 7546  O O   . VAL B 2 44  ? 267.099 -63.676  200.753 1.0 40.40554  ? 45  VAL E O   45  VAL E O   1 
ATOM 7547  C CB  . VAL B 2 44  ? 267.857 -63.094  197.783 1.0 40.40554  ? 45  VAL E CB  45  VAL E CB  1 
ATOM 7548  C CG1 . VAL B 2 44  ? 267.938 -61.584  197.801 1.0 40.40554  ? 45  VAL E CG1 45  VAL E CG1 1 
ATOM 7549  C CG2 . VAL B 2 44  ? 268.334 -63.629  196.452 1.0 40.40554  ? 45  VAL E CG2 45  VAL E CG2 1 
ATOM 7550  N N   . ALA B 2 45  ? 268.897 -62.313  200.905 1.0 43.64675  ? 46  ALA E N   46  ALA E N   1 
ATOM 7551  C CA  . ALA B 2 45  ? 268.484 -61.655  202.134 1.0 43.64675  ? 46  ALA E CA  46  ALA E CA  1 
ATOM 7552  C C   . ALA B 2 45  ? 267.261 -60.770  201.885 1.0 43.64675  ? 46  ALA E C   46  ALA E C   1 
ATOM 7553  O O   . ALA B 2 45  ? 266.991 -60.388  200.745 1.0 43.64675  ? 46  ALA E O   46  ALA E O   1 
ATOM 7554  C CB  . ALA B 2 45  ? 269.643 -60.824  202.682 1.0 43.64675  ? 46  ALA E CB  46  ALA E CB  1 
ATOM 7555  N N   . PRO B 2 46  ? 266.487 -60.450  202.934 1.0 45.5077   ? 47  PRO E N   47  PRO E N   1 
ATOM 7556  C CA  . PRO B 2 46  ? 265.315 -59.576  202.721 1.0 45.5077   ? 47  PRO E CA  47  PRO E CA  1 
ATOM 7557  C C   . PRO B 2 46  ? 265.650 -58.156  202.286 1.0 45.5077   ? 47  PRO E C   47  PRO E C   1 
ATOM 7558  O O   . PRO B 2 46  ? 265.092 -57.678  201.289 1.0 45.5077   ? 47  PRO E O   47  PRO E O   1 
ATOM 7559  C CB  . PRO B 2 46  ? 264.619 -59.605  204.086 1.0 45.5077   ? 47  PRO E CB  47  PRO E CB  1 
ATOM 7560  C CG  . PRO B 2 46  ? 265.021 -60.885  204.678 1.0 45.5077   ? 47  PRO E CG  47  PRO E CG  1 
ATOM 7561  C CD  . PRO B 2 46  ? 266.426 -61.106  204.252 1.0 45.5077   ? 47  PRO E CD  47  PRO E CD  1 
ATOM 7562  N N   . SER B 2 47  ? 266.526 -57.466  203.023 1.0 48.08933  ? 48  SER E N   48  SER E N   1 
ATOM 7563  C CA  . SER B 2 47  ? 267.013 -56.106  202.746 1.0 48.08933  ? 48  SER E CA  48  SER E CA  1 
ATOM 7564  C C   . SER B 2 47  ? 265.904 -55.057  202.713 1.0 48.08933  ? 48  SER E C   48  SER E C   1 
ATOM 7565  O O   . SER B 2 47  ? 266.078 -53.996  202.105 1.0 48.08933  ? 48  SER E O   48  SER E O   1 
ATOM 7566  C CB  . SER B 2 47  ? 267.815 -56.028  201.439 1.0 48.08933  ? 48  SER E CB  48  SER E CB  1 
ATOM 7567  O OG  . SER B 2 47  ? 266.969 -56.168  200.311 1.0 48.08933  ? 48  SER E OG  48  SER E OG  1 
ATOM 7568  N N   . ALA B 2 48  ? 264.765 -55.327  203.352 1.0 50.56516  ? 49  ALA E N   49  ALA E N   1 
ATOM 7569  C CA  . ALA B 2 48  ? 263.675 -54.358  203.409 1.0 50.56516  ? 49  ALA E CA  49  ALA E CA  1 
ATOM 7570  C C   . ALA B 2 48  ? 262.843 -54.686  204.645 1.0 50.56516  ? 49  ALA E C   49  ALA E C   1 
ATOM 7571  O O   . ALA B 2 48  ? 262.031 -55.613  204.614 1.0 50.56516  ? 49  ALA E O   49  ALA E O   1 
ATOM 7572  C CB  . ALA B 2 48  ? 262.831 -54.397  202.146 1.0 50.56516  ? 49  ALA E CB  49  ALA E CB  1 
ATOM 7573  N N   . GLY B 2 49  ? 263.054 -53.932  205.715 1.0 49.44213  ? 50  GLY E N   50  GLY E N   1 
ATOM 7574  C CA  . GLY B 2 49  ? 262.251 -54.077  206.907 1.0 49.44213  ? 50  GLY E CA  50  GLY E CA  1 
ATOM 7575  C C   . GLY B 2 49  ? 262.779 -55.023  207.959 1.0 49.44213  ? 50  GLY E C   50  GLY E C   1 
ATOM 7576  O O   . GLY B 2 49  ? 262.042 -55.340  208.897 1.0 49.44213  ? 50  GLY E O   50  GLY E O   1 
ATOM 7577  N N   . VAL B 2 50  ? 264.020 -55.483  207.843 1.0 48.274    ? 51  VAL E N   51  VAL E N   1 
ATOM 7578  C CA  . VAL B 2 50  ? 264.603 -56.348  208.857 1.0 48.274    ? 51  VAL E CA  51  VAL E CA  1 
ATOM 7579  C C   . VAL B 2 50  ? 265.685 -55.660  209.675 1.0 48.274    ? 51  VAL E C   51  VAL E C   1 
ATOM 7580  O O   . VAL B 2 50  ? 265.992 -56.132  210.779 1.0 48.274    ? 51  VAL E O   51  VAL E O   1 
ATOM 7581  C CB  . VAL B 2 50  ? 265.154 -57.649  208.241 1.0 48.274    ? 51  VAL E CB  51  VAL E CB  1 
ATOM 7582  C CG1 . VAL B 2 50  ? 264.029 -58.458  207.645 1.0 48.274    ? 51  VAL E CG1 51  VAL E CG1 1 
ATOM 7583  C CG2 . VAL B 2 50  ? 266.198 -57.334  207.187 1.0 48.274    ? 51  VAL E CG2 51  VAL E CG2 1 
ATOM 7584  N N   . THR B 2 51  ? 266.282 -54.578  209.179 1.0 46.46103  ? 52  THR E N   52  THR E N   1 
ATOM 7585  C CA  . THR B 2 51  ? 267.307 -53.878  209.940 1.0 46.46103  ? 52  THR E CA  52  THR E CA  1 
ATOM 7586  C C   . THR B 2 51  ? 267.228 -52.391  209.640 1.0 46.46103  ? 52  THR E C   52  THR E C   1 
ATOM 7587  O O   . THR B 2 51  ? 267.180 -51.996  208.472 1.0 46.46103  ? 52  THR E O   52  THR E O   1 
ATOM 7588  C CB  . THR B 2 51  ? 268.709 -54.402  209.619 1.0 46.46103  ? 52  THR E CB  52  THR E CB  1 
ATOM 7589  O OG1 . THR B 2 51  ? 268.758 -55.814  209.842 1.0 46.46103  ? 52  THR E OG1 52  THR E OG1 1 
ATOM 7590  C CG2 . THR B 2 51  ? 269.724 -53.750  210.532 1.0 46.46103  ? 52  THR E CG2 52  THR E CG2 1 
ATOM 7591  N N   . THR B 2 52  ? 267.216 -51.577  210.690 1.0 46.45533  ? 53  THR E N   53  THR E N   1 
ATOM 7592  C CA  . THR B 2 52  ? 267.173 -50.135  210.535 1.0 46.45533  ? 53  THR E CA  53  THR E CA  1 
ATOM 7593  C C   . THR B 2 52  ? 268.523 -49.602  210.063 1.0 46.45533  ? 53  THR E C   53  THR E C   1 
ATOM 7594  O O   . THR B 2 52  ? 269.542 -50.296  210.073 1.0 46.45533  ? 53  THR E O   53  THR E O   1 
ATOM 7595  C CB  . THR B 2 52  ? 266.775 -49.466  211.847 1.0 46.45533  ? 53  THR E CB  53  THR E CB  1 
ATOM 7596  O OG1 . THR B 2 52  ? 266.579 -48.065  211.627 1.0 46.45533  ? 53  THR E OG1 53  THR E OG1 1 
ATOM 7597  C CG2 . THR B 2 52  ? 267.856 -49.663  212.893 1.0 46.45533  ? 53  THR E CG2 53  THR E CG2 1 
ATOM 7598  N N   . ASP B 2 53  ? 268.515 -48.340  209.636 1.0 47.91822  ? 54  ASP E N   54  ASP E N   1 
ATOM 7599  C CA  . ASP B 2 53  ? 269.717 -47.652  209.187 1.0 47.91822  ? 54  ASP E CA  54  ASP E CA  1 
ATOM 7600  C C   . ASP B 2 53  ? 270.099 -46.510  210.116 1.0 47.91822  ? 54  ASP E C   54  ASP E C   1 
ATOM 7601  O O   . ASP B 2 53  ? 270.843 -45.611  209.717 1.0 47.91822  ? 54  ASP E O   54  ASP E O   1 
ATOM 7602  C CB  . ASP B 2 53  ? 269.526 -47.133  207.764 1.0 47.91822  ? 54  ASP E CB  54  ASP E CB  1 
ATOM 7603  C CG  . ASP B 2 53  ? 269.430 -48.250  206.747 1.0 47.91822  ? 54  ASP E CG  54  ASP E CG  1 
ATOM 7604  O OD1 . ASP B 2 53  ? 270.023 -49.322  206.988 1.0 47.91822  ? 54  ASP E OD1 54  ASP E OD1 1 
ATOM 7605  O OD2 . ASP B 2 53  ? 268.763 -48.057  205.709 1.0 47.91822  ? 54  ASP E OD2 54  ASP E OD2 1 
ATOM 7606  N N   . ARG B 2 54  ? 269.600 -46.524  211.344 1.0 45.81322  ? 55  ARG E N   55  ARG E N   1 
ATOM 7607  C CA  . ARG B 2 54  ? 269.843 -45.460  212.300 1.0 45.81322  ? 55  ARG E CA  55  ARG E CA  1 
ATOM 7608  C C   . ARG B 2 54  ? 270.913 -45.882  213.298 1.0 45.81322  ? 55  ARG E C   55  ARG E C   1 
ATOM 7609  O O   . ARG B 2 54  ? 271.314 -47.044  213.366 1.0 45.81322  ? 55  ARG E O   55  ARG E O   1 
ATOM 7610  C CB  . ARG B 2 54  ? 268.543 -45.091  213.016 1.0 45.81322  ? 55  ARG E CB  55  ARG E CB  1 
ATOM 7611  C CG  . ARG B 2 54  ? 267.506 -44.515  212.077 1.0 45.81322  ? 55  ARG E CG  55  ARG E CG  1 
ATOM 7612  C CD  . ARG B 2 54  ? 266.235 -44.131  212.792 1.0 45.81322  ? 55  ARG E CD  55  ARG E CD  1 
ATOM 7613  N NE  . ARG B 2 54  ? 265.239 -43.626  211.855 1.0 45.81322  ? 55  ARG E NE  55  ARG E NE  1 
ATOM 7614  C CZ  . ARG B 2 54  ? 264.018 -43.235  212.199 1.0 45.81322  ? 55  ARG E CZ  55  ARG E CZ  1 
ATOM 7615  N NH1 . ARG B 2 54  ? 263.639 -43.281  213.466 1.0 45.81322  ? 55  ARG E NH1 55  ARG E NH1 1 
ATOM 7616  N NH2 . ARG B 2 54  ? 263.178 -42.789  211.277 1.0 45.81322  ? 55  ARG E NH2 55  ARG E NH2 1 
ATOM 7617  N N   . SER B 2 55  ? 271.382 -44.913  214.073 1.0 44.33356  ? 56  SER E N   56  SER E N   1 
ATOM 7618  C CA  . SER B 2 55  ? 272.421 -45.167  215.061 1.0 44.33356  ? 56  SER E CA  56  SER E CA  1 
ATOM 7619  C C   . SER B 2 55  ? 271.832 -45.901  216.257 1.0 44.33356  ? 56  SER E C   56  SER E C   1 
ATOM 7620  O O   . SER B 2 55  ? 270.940 -45.381  216.934 1.0 44.33356  ? 56  SER E O   56  SER E O   1 
ATOM 7621  C CB  . SER B 2 55  ? 273.065 -43.858  215.499 1.0 44.33356  ? 56  SER E CB  56  SER E CB  1 
ATOM 7622  O OG  . SER B 2 55  ? 274.022 -44.089  216.515 1.0 44.33356  ? 56  SER E OG  56  SER E OG  1 
ATOM 7623  N N   . GLN B 2 56  ? 272.356 -47.095  216.535 1.0 44.90021  ? 57  GLN E N   57  GLN E N   1 
ATOM 7624  C CA  . GLN B 2 56  ? 271.760 -47.998  217.509 1.0 44.90021  ? 57  GLN E CA  57  GLN E CA  1 
ATOM 7625  C C   . GLN B 2 56  ? 272.805 -49.043  217.881 1.0 44.90021  ? 57  GLN E C   57  GLN E C   1 
ATOM 7626  O O   . GLN B 2 56  ? 273.403 -49.651  216.995 1.0 44.90021  ? 57  GLN E O   57  GLN E O   1 
ATOM 7627  C CB  . GLN B 2 56  ? 270.497 -48.631  216.908 1.0 44.90021  ? 57  GLN E CB  57  GLN E CB  1 
ATOM 7628  C CG  . GLN B 2 56  ? 269.496 -49.256  217.870 1.0 44.90021  ? 57  GLN E CG  57  GLN E CG  1 
ATOM 7629  C CD  . GLN B 2 56  ? 269.875 -50.640  218.324 1.0 44.90021  ? 57  GLN E CD  57  GLN E CD  1 
ATOM 7630  O OE1 . GLN B 2 56  ? 269.863 -50.932  219.514 1.0 44.90021  ? 57  GLN E OE1 57  GLN E OE1 1 
ATOM 7631  N NE2 . GLN B 2 56  ? 270.217 -51.501  217.379 1.0 44.90021  ? 57  GLN E NE2 57  GLN E NE2 1 
ATOM 7632  N N   . LYS B 2 57  ? 273.050 -49.258  219.170 1.0 44.66209  ? 58  LYS E N   58  LYS E N   1 
ATOM 7633  C CA  . LYS B 2 57  ? 274.150 -50.119  219.583 1.0 44.66209  ? 58  LYS E CA  58  LYS E CA  1 
ATOM 7634  C C   . LYS B 2 57  ? 273.763 -51.594  219.521 1.0 44.66209  ? 58  LYS E C   58  LYS E C   1 
ATOM 7635  O O   . LYS B 2 57  ? 272.593 -51.957  219.661 1.0 44.66209  ? 58  LYS E O   58  LYS E O   1 
ATOM 7636  C CB  . LYS B 2 57  ? 274.603 -49.757  220.996 1.0 44.66209  ? 58  LYS E CB  58  LYS E CB  1 
ATOM 7637  C CG  . LYS B 2 57  ? 275.268 -48.397  221.085 1.0 44.66209  ? 58  LYS E CG  58  LYS E CG  1 
ATOM 7638  C CD  . LYS B 2 57  ? 275.678 -48.066  222.501 1.0 44.66209  ? 58  LYS E CD  58  LYS E CD  1 
ATOM 7639  C CE  . LYS B 2 57  ? 276.833 -48.938  222.937 1.0 44.66209  ? 58  LYS E CE  58  LYS E CE  1 
ATOM 7640  N NZ  . LYS B 2 57  ? 278.057 -48.635  222.154 1.0 44.66209  ? 58  LYS E NZ  58  LYS E NZ  1 
ATOM 7641  N N   . LEU B 2 58  ? 274.763 -52.447  219.289 1.0 44.11483  ? 59  LEU E N   59  LEU E N   1 
ATOM 7642  C CA  . LEU B 2 58  ? 274.539 -53.889  219.349 1.0 44.11483  ? 59  LEU E CA  59  LEU E CA  1 
ATOM 7643  C C   . LEU B 2 58  ? 274.580 -54.397  220.782 1.0 44.11483  ? 59  LEU E C   59  LEU E C   1 
ATOM 7644  O O   . LEU B 2 58  ? 273.587 -54.922  221.294 1.0 44.11483  ? 59  LEU E O   59  LEU E O   1 
ATOM 7645  C CB  . LEU B 2 58  ? 275.572 -54.632  218.503 1.0 44.11483  ? 59  LEU E CB  59  LEU E CB  1 
ATOM 7646  C CG  . LEU B 2 58  ? 275.294 -54.967  217.040 1.0 44.11483  ? 59  LEU E CG  59  LEU E CG  1 
ATOM 7647  C CD1 . LEU B 2 58  ? 275.281 -53.755  216.197 1.0 44.11483  ? 59  LEU E CD1 59  LEU E CD1 1 
ATOM 7648  C CD2 . LEU B 2 58  ? 276.361 -55.905  216.536 1.0 44.11483  ? 59  LEU E CD2 59  LEU E CD2 1 
ATOM 7649  N N   . GLN B 2 59  ? 275.723 -54.258  221.440 1.0 43.95701  ? 60  GLN E N   60  GLN E N   1 
ATOM 7650  C CA  . GLN B 2 59  ? 275.871 -54.652  222.830 1.0 43.95701  ? 60  GLN E CA  60  GLN E CA  1 
ATOM 7651  C C   . GLN B 2 59  ? 275.858 -53.423  223.724 1.0 43.95701  ? 60  GLN E C   60  GLN E C   1 
ATOM 7652  O O   . GLN B 2 59  ? 276.366 -52.361  223.358 1.0 43.95701  ? 60  GLN E O   60  GLN E O   1 
ATOM 7653  C CB  . GLN B 2 59  ? 277.159 -55.441  223.053 1.0 43.95701  ? 60  GLN E CB  60  GLN E CB  1 
ATOM 7654  C CG  . GLN B 2 59  ? 277.159 -56.824  222.441 1.0 43.95701  ? 60  GLN E CG  60  GLN E CG  1 
ATOM 7655  C CD  . GLN B 2 59  ? 278.451 -57.563  222.695 1.0 43.95701  ? 60  GLN E CD  60  GLN E CD  1 
ATOM 7656  O OE1 . GLN B 2 59  ? 279.391 -57.009  223.260 1.0 43.95701  ? 60  GLN E OE1 60  GLN E OE1 1 
ATOM 7657  N NE2 . GLN B 2 59  ? 278.504 -58.823  222.285 1.0 43.95701  ? 60  GLN E NE2 60  GLN E NE2 1 
ATOM 7658  N N   . LEU B 2 60  ? 275.265 -53.573  224.904 1.0 44.09226  ? 61  LEU E N   61  LEU E N   1 
ATOM 7659  C CA  . LEU B 2 60  ? 275.119 -52.469  225.847 1.0 44.09226  ? 61  LEU E CA  61  LEU E CA  1 
ATOM 7660  C C   . LEU B 2 60  ? 275.842 -52.838  227.136 1.0 44.09226  ? 61  LEU E C   61  LEU E C   1 
ATOM 7661  O O   . LEU B 2 60  ? 275.312 -53.580  227.966 1.0 44.09226  ? 61  LEU E O   61  LEU E O   1 
ATOM 7662  C CB  . LEU B 2 60  ? 273.654 -52.147  226.114 1.0 44.09226  ? 61  LEU E CB  61  LEU E CB  1 
ATOM 7663  C CG  . LEU B 2 60  ? 273.459 -50.950  227.046 1.0 44.09226  ? 61  LEU E CG  61  LEU E CG  1 
ATOM 7664  C CD1 . LEU B 2 60  ? 273.990 -49.686  226.392 1.0 44.09226  ? 61  LEU E CD1 61  LEU E CD1 1 
ATOM 7665  C CD2 . LEU B 2 60  ? 272.006 -50.786  227.460 1.0 44.09226  ? 61  LEU E CD2 61  LEU E CD2 1 
ATOM 7666  N N   . ARG B 2 61  ? 277.053 -52.323  227.291 1.0 45.10926  ? 62  ARG E N   62  ARG E N   1 
ATOM 7667  C CA  . ARG B 2 61  ? 277.764 -52.387  228.561 1.0 45.10926  ? 62  ARG E CA  62  ARG E CA  1 
ATOM 7668  C C   . ARG B 2 61  ? 277.062 -51.504  229.578 1.0 45.10926  ? 62  ARG E C   62  ARG E C   1 
ATOM 7669  O O   . ARG B 2 61  ? 277.093 -50.275  229.462 1.0 45.10926  ? 62  ARG E O   62  ARG E O   1 
ATOM 7670  C CB  . ARG B 2 61  ? 279.203 -51.928  228.367 1.0 45.10926  ? 62  ARG E CB  62  ARG E CB  1 
ATOM 7671  C CG  . ARG B 2 61  ? 279.995 -51.831  229.645 1.0 45.10926  ? 62  ARG E CG  62  ARG E CG  1 
ATOM 7672  C CD  . ARG B 2 61  ? 281.404 -51.411  229.352 1.0 45.10926  ? 62  ARG E CD  62  ARG E CD  1 
ATOM 7673  N NE  . ARG B 2 61  ? 282.168 -51.232  230.578 1.0 45.10926  ? 62  ARG E NE  62  ARG E NE  1 
ATOM 7674  C CZ  . ARG B 2 61  ? 282.812 -52.211  231.198 1.0 45.10926  ? 62  ARG E CZ  62  ARG E CZ  1 
ATOM 7675  N NH1 . ARG B 2 61  ? 282.788 -53.442  230.708 1.0 45.10926  ? 62  ARG E NH1 62  ARG E NH1 1 
ATOM 7676  N NH2 . ARG B 2 61  ? 283.488 -51.962  232.303 1.0 45.10926  ? 62  ARG E NH2 62  ARG E NH2 1 
ATOM 7677  N N   . VAL B 2 62  ? 276.435 -52.106  230.579 1.0 41.64287  ? 63  VAL E N   63  VAL E N   1 
ATOM 7678  C CA  . VAL B 2 62  ? 275.793 -51.344  231.641 1.0 41.64287  ? 63  VAL E CA  63  VAL E CA  1 
ATOM 7679  C C   . VAL B 2 62  ? 276.493 -51.665  232.956 1.0 41.64287  ? 63  VAL E C   63  VAL E C   1 
ATOM 7680  O O   . VAL B 2 62  ? 276.912 -52.803  233.195 1.0 41.64287  ? 63  VAL E O   63  VAL E O   1 
ATOM 7681  C CB  . VAL B 2 62  ? 274.266 -51.600  231.685 1.0 41.64287  ? 63  VAL E CB  63  VAL E CB  1 
ATOM 7682  C CG1 . VAL B 2 62  ? 273.941 -53.023  232.007 1.0 41.64287  ? 63  VAL E CG1 63  VAL E CG1 1 
ATOM 7683  C CG2 . VAL B 2 62  ? 273.560 -50.647  232.645 1.0 41.64287  ? 63  VAL E CG2 63  VAL E CG2 1 
ATOM 7684  N N   . VAL B 2 63  ? 276.693 -50.634  233.768 1.0 43.10765  ? 64  VAL E N   64  VAL E N   1 
ATOM 7685  C CA  . VAL B 2 63  ? 277.491 -50.698  234.988 1.0 43.10765  ? 64  VAL E CA  64  VAL E CA  1 
ATOM 7686  C C   . VAL B 2 63  ? 276.542 -50.595  236.180 1.0 43.10765  ? 64  VAL E C   64  VAL E C   1 
ATOM 7687  O O   . VAL B 2 63  ? 275.436 -50.056  236.024 1.0 43.10765  ? 64  VAL E O   64  VAL E O   1 
ATOM 7688  C CB  . VAL B 2 63  ? 278.564 -49.597  234.972 1.0 43.10765  ? 64  VAL E CB  64  VAL E CB  1 
ATOM 7689  C CG1 . VAL B 2 63  ? 279.546 -49.855  233.855 1.0 43.10765  ? 64  VAL E CG1 64  VAL E CG1 1 
ATOM 7690  C CG2 . VAL B 2 63  ? 277.925 -48.257  234.781 1.0 43.10765  ? 64  VAL E CG2 64  VAL E CG2 1 
ATOM 7691  N N   . PRO B 2 64  ? 276.890 -51.113  237.361 1.0 42.15972  ? 65  PRO E N   65  PRO E N   1 
ATOM 7692  C CA  . PRO B 2 64  ? 275.917 -51.162  238.457 1.0 42.15972  ? 65  PRO E CA  65  PRO E CA  1 
ATOM 7693  C C   . PRO B 2 64  ? 275.613 -49.800  239.060 1.0 42.15972  ? 65  PRO E C   65  PRO E C   1 
ATOM 7694  O O   . PRO B 2 64  ? 276.423 -48.874  239.035 1.0 42.15972  ? 65  PRO E O   65  PRO E O   1 
ATOM 7695  C CB  . PRO B 2 64  ? 276.591 -52.071  239.487 1.0 42.15972  ? 65  PRO E CB  65  PRO E CB  1 
ATOM 7696  C CG  . PRO B 2 64  ? 278.019 -51.974  239.193 1.0 42.15972  ? 65  PRO E CG  65  PRO E CG  1 
ATOM 7697  C CD  . PRO B 2 64  ? 278.120 -51.840  237.719 1.0 42.15972  ? 65  PRO E CD  65  PRO E CD  1 
ATOM 7698  N N   . ILE B 2 65  ? 274.402 -49.697  239.601 1.0 43.5083   ? 66  ILE E N   66  ILE E N   1 
ATOM 7699  C CA  . ILE B 2 65  ? 273.971 -48.524  240.354 1.0 43.5083   ? 66  ILE E CA  66  ILE E CA  1 
ATOM 7700  C C   . ILE B 2 65  ? 274.597 -48.505  241.738 1.0 43.5083   ? 66  ILE E C   66  ILE E C   1 
ATOM 7701  O O   . ILE B 2 65  ? 275.066 -47.465  242.206 1.0 43.5083   ? 66  ILE E O   66  ILE E O   1 
ATOM 7702  C CB  . ILE B 2 65  ? 272.434 -48.511  240.471 1.0 43.5083   ? 66  ILE E CB  66  ILE E CB  1 
ATOM 7703  C CG1 . ILE B 2 65  ? 271.764 -48.640  239.112 1.0 43.5083   ? 66  ILE E CG1 66  ILE E CG1 1 
ATOM 7704  C CG2 . ILE B 2 65  ? 271.961 -47.249  241.166 1.0 43.5083   ? 66  ILE E CG2 66  ILE E CG2 1 
ATOM 7705  C CD1 . ILE B 2 65  ? 271.991 -47.495  238.224 1.0 43.5083   ? 66  ILE E CD1 66  ILE E CD1 1 
ATOM 7706  N N   . GLN B 2 66  ? 274.623 -49.664  242.393 1.0 44.59351  ? 67  GLN E N   67  GLN E N   1 
ATOM 7707  C CA  . GLN B 2 66  ? 274.639 -49.711  243.849 1.0 44.59351  ? 67  GLN E CA  67  GLN E CA  1 
ATOM 7708  C C   . GLN B 2 66  ? 275.236 -51.054  244.261 1.0 44.59351  ? 67  GLN E C   67  GLN E C   1 
ATOM 7709  O O   . GLN B 2 66  ? 274.600 -52.092  244.071 1.0 44.59351  ? 67  GLN E O   67  GLN E O   1 
ATOM 7710  C CB  . GLN B 2 66  ? 273.225 -49.541  244.368 1.0 44.59351  ? 67  GLN E CB  67  GLN E CB  1 
ATOM 7711  C CG  . GLN B 2 66  ? 273.064 -49.471  245.851 1.0 44.59351  ? 67  GLN E CG  67  GLN E CG  1 
ATOM 7712  C CD  . GLN B 2 66  ? 271.616 -49.263  246.233 1.0 44.59351  ? 67  GLN E CD  67  GLN E CD  1 
ATOM 7713  O OE1 . GLN B 2 66  ? 270.735 -49.268  245.375 1.0 44.59351  ? 67  GLN E OE1 67  GLN E OE1 1 
ATOM 7714  N NE2 . GLN B 2 66  ? 271.363 -49.053  247.515 1.0 44.59351  ? 67  GLN E NE2 67  GLN E NE2 1 
ATOM 7715  N N   . THR B 2 67  ? 276.440 -51.025  244.821 1.0 47.35274  ? 68  THR E N   68  THR E N   1 
ATOM 7716  C CA  . THR B 2 67  ? 277.173 -52.238  245.156 1.0 47.35274  ? 68  THR E CA  68  THR E CA  1 
ATOM 7717  C C   . THR B 2 67  ? 277.379 -52.343  246.660 1.0 47.35274  ? 68  THR E C   68  THR E C   1 
ATOM 7718  O O   . THR B 2 67  ? 277.823 -51.384  247.298 1.0 47.35274  ? 68  THR E O   68  THR E O   1 
ATOM 7719  C CB  . THR B 2 67  ? 278.528 -52.272  244.449 1.0 47.35274  ? 68  THR E CB  68  THR E CB  1 
ATOM 7720  O OG1 . THR B 2 67  ? 279.315 -51.154  244.874 1.0 47.35274  ? 68  THR E OG1 68  THR E OG1 1 
ATOM 7721  C CG2 . THR B 2 67  ? 278.346 -52.212  242.948 1.0 47.35274  ? 68  THR E CG2 68  THR E CG2 1 
ATOM 7722  N N   . GLU B 2 68  ? 277.068 -53.508  247.217 1.0 48.84567  ? 69  GLU E N   69  GLU E N   1 
ATOM 7723  C CA  . GLU B 2 68  ? 277.352 -53.822  248.610 1.0 48.84567  ? 69  GLU E CA  69  GLU E CA  1 
ATOM 7724  C C   . GLU B 2 68  ? 278.414 -54.909  248.659 1.0 48.84567  ? 69  GLU E C   69  GLU E C   1 
ATOM 7725  O O   . GLU B 2 68  ? 278.355 -55.868  247.887 1.0 48.84567  ? 69  GLU E O   69  GLU E O   1 
ATOM 7726  C CB  . GLU B 2 68  ? 276.096 -54.289  249.344 1.0 48.84567  ? 69  GLU E CB  69  GLU E CB  1 
ATOM 7727  C CG  . GLU B 2 68  ? 276.306 -54.515  250.834 1.0 48.84567  ? 69  GLU E CG  69  GLU E CG  1 
ATOM 7728  C CD  . GLU B 2 68  ? 275.063 -55.010  251.539 1.0 48.84567  ? 69  GLU E CD  69  GLU E CD  1 
ATOM 7729  O OE1 . GLU B 2 68  ? 274.041 -55.238  250.861 1.0 48.84567  ? 69  GLU E OE1 69  GLU E OE1 1 
ATOM 7730  O OE2 . GLU B 2 68  ? 275.108 -55.166  252.776 1.0 48.84567  ? 69  GLU E OE2 69  GLU E OE2 1 
ATOM 7731  N N   . ASP B 2 69  ? 279.378 -54.761  249.561 1.0 51.16143  ? 70  ASP E N   70  ASP E N   1 
ATOM 7732  C CA  . ASP B 2 69  ? 280.447 -55.735  249.725 1.0 51.16143  ? 70  ASP E CA  70  ASP E CA  1 
ATOM 7733  C C   . ASP B 2 69  ? 280.615 -56.009  251.210 1.0 51.16143  ? 70  ASP E C   70  ASP E C   1 
ATOM 7734  O O   . ASP B 2 69  ? 280.780 -55.074  251.999 1.0 51.16143  ? 70  ASP E O   70  ASP E O   1 
ATOM 7735  C CB  . ASP B 2 69  ? 281.753 -55.218  249.115 1.0 51.16143  ? 70  ASP E CB  70  ASP E CB  1 
ATOM 7736  C CG  . ASP B 2 69  ? 282.797 -56.304  248.950 1.0 51.16143  ? 70  ASP E CG  70  ASP E CG  1 
ATOM 7737  O OD1 . ASP B 2 69  ? 282.510 -57.474  249.272 1.0 51.16143  ? 70  ASP E OD1 70  ASP E OD1 1 
ATOM 7738  O OD2 . ASP B 2 69  ? 283.917 -55.984  248.500 1.0 51.16143  ? 70  ASP E OD2 70  ASP E OD2 1 
ATOM 7739  N N   . ASN B 2 70  ? 280.561 -57.279  251.589 1.0 51.8862   ? 71  ASN E N   71  ASN E N   1 
ATOM 7740  C CA  . ASN B 2 70  ? 280.814 -57.688  252.965 1.0 51.8862   ? 71  ASN E CA  71  ASN E CA  1 
ATOM 7741  C C   . ASN B 2 70  ? 281.503 -59.048  252.932 1.0 51.8862   ? 71  ASN E C   71  ASN E C   1 
ATOM 7742  O O   . ASN B 2 70  ? 282.050 -59.465  251.907 1.0 51.8862   ? 71  ASN E O   71  ASN E O   1 
ATOM 7743  C CB  . ASN B 2 70  ? 279.524 -57.662  253.801 1.0 51.8862   ? 71  ASN E CB  71  ASN E CB  1 
ATOM 7744  C CG  . ASN B 2 70  ? 278.416 -58.503  253.215 1.0 51.8862   ? 71  ASN E CG  71  ASN E CG  1 
ATOM 7745  O OD1 . ASN B 2 70  ? 278.562 -59.125  252.167 1.0 51.8862   ? 71  ASN E OD1 71  ASN E OD1 1 
ATOM 7746  N ND2 . ASN B 2 70  ? 277.294 -58.541  253.913 1.0 51.8862   ? 71  ASN E ND2 71  ASN E ND2 1 
ATOM 7747  N N   . VAL B 2 71  ? 281.499 -59.738  254.072 1.0 53.86401  ? 72  VAL E N   72  VAL E N   1 
ATOM 7748  C CA  . VAL B 2 71  ? 282.204 -61.009  254.182 1.0 53.86401  ? 72  VAL E CA  72  VAL E CA  1 
ATOM 7749  C C   . VAL B 2 71  ? 281.492 -62.097  253.385 1.0 53.86401  ? 72  VAL E C   72  VAL E C   1 
ATOM 7750  O O   . VAL B 2 71  ? 282.132 -62.917  252.719 1.0 53.86401  ? 72  VAL E O   72  VAL E O   1 
ATOM 7751  C CB  . VAL B 2 71  ? 282.349 -61.387  255.667 1.0 53.86401  ? 72  VAL E CB  72  VAL E CB  1 
ATOM 7752  C CG1 . VAL B 2 71  ? 283.084 -62.711  255.832 1.0 53.86401  ? 72  VAL E CG1 72  VAL E CG1 1 
ATOM 7753  C CG2 . VAL B 2 71  ? 283.050 -60.273  256.426 1.0 53.86401  ? 72  VAL E CG2 72  VAL E CG2 1 
ATOM 7754  N N   . ASN B 2 72  ? 280.161 -62.101  253.405 1.0 52.55896  ? 73  ASN E N   73  ASN E N   1 
ATOM 7755  C CA  . ASN B 2 72  ? 279.418 -63.230  252.860 1.0 52.55896  ? 73  ASN E CA  73  ASN E CA  1 
ATOM 7756  C C   . ASN B 2 72  ? 279.124 -63.117  251.369 1.0 52.55896  ? 73  ASN E C   73  ASN E C   1 
ATOM 7757  O O   . ASN B 2 72  ? 279.272 -64.104  250.645 1.0 52.55896  ? 73  ASN E O   73  ASN E O   1 
ATOM 7758  C CB  . ASN B 2 72  ? 278.102 -63.407  253.615 1.0 52.55896  ? 73  ASN E CB  73  ASN E CB  1 
ATOM 7759  C CG  . ASN B 2 72  ? 278.311 -63.789  255.057 1.0 52.55896  ? 73  ASN E CG  73  ASN E CG  1 
ATOM 7760  O OD1 . ASN B 2 72  ? 277.944 -63.049  255.966 1.0 52.55896  ? 73  ASN E OD1 73  ASN E OD1 1 
ATOM 7761  N ND2 . ASN B 2 72  ? 278.911 -64.950  255.278 1.0 52.55896  ? 73  ASN E ND2 73  ASN E ND2 1 
ATOM 7762  N N   . TYR B 2 73  ? 278.693 -61.956  250.882 1.0 47.9338   ? 74  TYR E N   74  TYR E N   1 
ATOM 7763  C CA  . TYR B 2 73  ? 278.170 -61.882  249.523 1.0 47.9338   ? 74  TYR E CA  74  TYR E CA  1 
ATOM 7764  C C   . TYR B 2 73  ? 278.637 -60.591  248.861 1.0 47.9338   ? 74  TYR E C   74  TYR E C   1 
ATOM 7765  O O   . TYR B 2 73  ? 279.518 -59.893  249.368 1.0 47.9338   ? 74  TYR E O   74  TYR E O   1 
ATOM 7766  C CB  . TYR B 2 73  ? 276.642 -62.014  249.532 1.0 47.9338   ? 74  TYR E CB  74  TYR E CB  1 
ATOM 7767  C CG  . TYR B 2 73  ? 275.896 -60.925  250.272 1.0 47.9338   ? 74  TYR E CG  74  TYR E CG  1 
ATOM 7768  C CD1 . TYR B 2 73  ? 275.607 -61.049  251.621 1.0 47.9338   ? 74  TYR E CD1 74  TYR E CD1 1 
ATOM 7769  C CD2 . TYR B 2 73  ? 275.449 -59.789  249.612 1.0 47.9338   ? 74  TYR E CD2 74  TYR E CD2 1 
ATOM 7770  C CE1 . TYR B 2 73  ? 274.914 -60.063  252.291 1.0 47.9338   ? 74  TYR E CE1 74  TYR E CE1 1 
ATOM 7771  C CE2 . TYR B 2 73  ? 274.765 -58.800  250.273 1.0 47.9338   ? 74  TYR E CE2 74  TYR E CE2 1 
ATOM 7772  C CZ  . TYR B 2 73  ? 274.500 -58.941  251.610 1.0 47.9338   ? 74  TYR E CZ  74  TYR E CZ  1 
ATOM 7773  O OH  . TYR B 2 73  ? 273.810 -57.950  252.264 1.0 47.9338   ? 74  TYR E OH  74  TYR E OH  1 
ATOM 7774  N N   . TYR B 2 74  ? 278.036 -60.282  247.713 1.0 44.14745  ? 75  TYR E N   75  TYR E N   1 
ATOM 7775  C CA  . TYR B 2 74  ? 278.351 -59.078  246.951 1.0 44.14745  ? 75  TYR E CA  75  TYR E CA  1 
ATOM 7776  C C   . TYR B 2 74  ? 277.154 -58.733  246.078 1.0 44.14745  ? 75  TYR E C   75  TYR E C   1 
ATOM 7777  O O   . TYR B 2 74  ? 276.849 -59.470  245.140 1.0 44.14745  ? 75  TYR E O   75  TYR E O   1 
ATOM 7778  C CB  . TYR B 2 74  ? 279.600 -59.295  246.095 1.0 44.14745  ? 75  TYR E CB  75  TYR E CB  1 
ATOM 7779  C CG  . TYR B 2 74  ? 280.038 -58.082  245.314 1.0 44.14745  ? 75  TYR E CG  75  TYR E CG  1 
ATOM 7780  C CD1 . TYR B 2 74  ? 280.711 -57.039  245.931 1.0 44.14745  ? 75  TYR E CD1 75  TYR E CD1 1 
ATOM 7781  C CD2 . TYR B 2 74  ? 279.779 -57.980  243.958 1.0 44.14745  ? 75  TYR E CD2 75  TYR E CD2 1 
ATOM 7782  C CE1 . TYR B 2 74  ? 281.110 -55.929  245.220 1.0 44.14745  ? 75  TYR E CE1 75  TYR E CE1 1 
ATOM 7783  C CE2 . TYR B 2 74  ? 280.175 -56.873  243.242 1.0 44.14745  ? 75  TYR E CE2 75  TYR E CE2 1 
ATOM 7784  C CZ  . TYR B 2 74  ? 280.837 -55.854  243.877 1.0 44.14745  ? 75  TYR E CZ  75  TYR E CZ  1 
ATOM 7785  O OH  . TYR B 2 74  ? 281.229 -54.752  243.160 1.0 44.14745  ? 75  TYR E OH  75  TYR E OH  1 
ATOM 7786  N N   . LYS B 2 75  ? 276.478 -57.628  246.380 1.0 44.16492  ? 76  LYS E N   76  LYS E N   1 
ATOM 7787  C CA  . LYS B 2 75  ? 275.334 -57.159  245.608 1.0 44.16492  ? 76  LYS E CA  76  LYS E CA  1 
ATOM 7788  C C   . LYS B 2 75  ? 275.799 -56.234  244.494 1.0 44.16492  ? 76  LYS E C   76  LYS E C   1 
ATOM 7789  O O   . LYS B 2 75  ? 276.746 -55.468  244.671 1.0 44.16492  ? 76  LYS E O   76  LYS E O   1 
ATOM 7790  C CB  . LYS B 2 75  ? 274.338 -56.411  246.507 1.0 44.16492  ? 76  LYS E CB  76  LYS E CB  1 
ATOM 7791  C CG  . LYS B 2 75  ? 273.095 -55.837  245.800 1.0 44.16492  ? 76  LYS E CG  76  LYS E CG  1 
ATOM 7792  C CD  . LYS B 2 75  ? 272.098 -55.205  246.755 1.0 44.16492  ? 76  LYS E CD  76  LYS E CD  1 
ATOM 7793  C CE  . LYS B 2 75  ? 272.580 -53.886  247.292 1.0 44.16492  ? 76  LYS E CE  76  LYS E CE  1 
ATOM 7794  N NZ  . LYS B 2 75  ? 272.575 -52.838  246.238 1.0 44.16492  ? 76  LYS E NZ  76  LYS E NZ  1 
ATOM 7795  N N   . ALA B 2 76  ? 275.148 -56.324  243.339 1.0 42.91602  ? 77  ALA E N   77  ALA E N   1 
ATOM 7796  C CA  . ALA B 2 76  ? 275.080 -55.203  242.421 1.0 42.91602  ? 77  ALA E CA  77  ALA E CA  1 
ATOM 7797  C C   . ALA B 2 76  ? 273.632 -54.994  242.023 1.0 42.91602  ? 77  ALA E C   77  ALA E C   1 
ATOM 7798  O O   . ALA B 2 76  ? 272.799 -55.892  242.137 1.0 42.91602  ? 77  ALA E O   77  ALA E O   1 
ATOM 7799  C CB  . ALA B 2 76  ? 275.927 -55.405  241.179 1.0 42.91602  ? 77  ALA E CB  77  ALA E CB  1 
ATOM 7800  N N   . ARG B 2 77  ? 273.338 -53.788  241.564 1.0 42.1347   ? 78  ARG E N   78  ARG E N   1 
ATOM 7801  C CA  . ARG B 2 77  ? 271.996 -53.439  241.139 1.0 42.1347   ? 78  ARG E CA  78  ARG E CA  1 
ATOM 7802  C C   . ARG B 2 77  ? 272.125 -52.651  239.854 1.0 42.1347   ? 78  ARG E C   78  ARG E C   1 
ATOM 7803  O O   . ARG B 2 77  ? 272.920 -51.714  239.780 1.0 42.1347   ? 78  ARG E O   78  ARG E O   1 
ATOM 7804  C CB  . ARG B 2 77  ? 271.272 -52.629  242.212 1.0 42.1347   ? 78  ARG E CB  78  ARG E CB  1 
ATOM 7805  C CG  . ARG B 2 77  ? 269.835 -52.298  241.900 1.0 42.1347   ? 78  ARG E CG  78  ARG E CG  1 
ATOM 7806  C CD  . ARG B 2 77  ? 269.197 -51.626  243.092 1.0 42.1347   ? 78  ARG E CD  78  ARG E CD  1 
ATOM 7807  N NE  . ARG B 2 77  ? 267.804 -51.287  242.853 1.0 42.1347   ? 78  ARG E NE  78  ARG E NE  1 
ATOM 7808  C CZ  . ARG B 2 77  ? 267.404 -50.130  242.340 1.0 42.1347   ? 78  ARG E CZ  78  ARG E CZ  1 
ATOM 7809  N NH1 . ARG B 2 77  ? 268.298 -49.208  242.011 1.0 42.1347   ? 78  ARG E NH1 78  ARG E NH1 1 
ATOM 7810  N NH2 . ARG B 2 77  ? 266.114 -49.892  242.156 1.0 42.1347   ? 78  ARG E NH2 78  ARG E NH2 1 
ATOM 7811  N N   . PHE B 2 78  ? 271.368 -53.043  238.844 1.0 39.79301  ? 79  PHE E N   79  PHE E N   1 
ATOM 7812  C CA  . PHE B 2 78  ? 271.537 -52.513  237.507 1.0 39.79301  ? 79  PHE E CA  79  PHE E CA  1 
ATOM 7813  C C   . PHE B 2 78  ? 270.249 -51.842  237.062 1.0 39.79301  ? 79  PHE E C   79  PHE E C   1 
ATOM 7814  O O   . PHE B 2 78  ? 269.173 -52.106  237.598 1.0 39.79301  ? 79  PHE E O   79  PHE E O   1 
ATOM 7815  C CB  . PHE B 2 78  ? 271.913 -53.626  236.531 1.0 39.79301  ? 79  PHE E CB  79  PHE E CB  1 
ATOM 7816  C CG  . PHE B 2 78  ? 273.255 -54.232  236.792 1.0 39.79301  ? 79  PHE E CG  79  PHE E CG  1 
ATOM 7817  C CD1 . PHE B 2 78  ? 274.392 -53.677  236.245 1.0 39.79301  ? 79  PHE E CD1 79  PHE E CD1 1 
ATOM 7818  C CD2 . PHE B 2 78  ? 273.381 -55.355  237.591 1.0 39.79301  ? 79  PHE E CD2 79  PHE E CD2 1 
ATOM 7819  C CE1 . PHE B 2 78  ? 275.627 -54.235  236.477 1.0 39.79301  ? 79  PHE E CE1 79  PHE E CE1 1 
ATOM 7820  C CE2 . PHE B 2 78  ? 274.616 -55.917  237.825 1.0 39.79301  ? 79  PHE E CE2 79  PHE E CE2 1 
ATOM 7821  C CZ  . PHE B 2 78  ? 275.739 -55.353  237.270 1.0 39.79301  ? 79  PHE E CZ  79  PHE E CZ  1 
ATOM 7822  N N   . THR B 2 79  ? 270.367 -50.960  236.075 1.0 42.81399  ? 80  THR E N   80  THR E N   1 
ATOM 7823  C CA  . THR B 2 79  ? 269.202 -50.328  235.462 1.0 42.81399  ? 80  THR E CA  80  THR E CA  1 
ATOM 7824  C C   . THR B 2 79  ? 269.294 -50.605  233.968 1.0 42.81399  ? 80  THR E C   80  THR E C   1 
ATOM 7825  O O   . THR B 2 79  ? 269.949 -49.876  233.219 1.0 42.81399  ? 80  THR E O   80  THR E O   1 
ATOM 7826  C CB  . THR B 2 79  ? 269.130 -48.842  235.772 1.0 42.81399  ? 80  THR E CB  80  THR E CB  1 
ATOM 7827  O OG1 . THR B 2 79  ? 269.058 -48.666  237.189 1.0 42.81399  ? 80  THR E OG1 80  THR E OG1 1 
ATOM 7828  C CG2 . THR B 2 79  ? 267.884 -48.227  235.154 1.0 42.81399  ? 80  THR E CG2 80  THR E CG2 1 
ATOM 7829  N N   . LEU B 2 80  ? 268.664 -51.692  233.549 1.0 41.68269  ? 81  LEU E N   81  LEU E N   1 
ATOM 7830  C CA  . LEU B 2 80  ? 268.542 -51.997  232.135 1.0 41.68269  ? 81  LEU E CA  81  LEU E CA  1 
ATOM 7831  C C   . LEU B 2 80  ? 267.485 -51.094  231.523 1.0 41.68269  ? 81  LEU E C   81  LEU E C   1 
ATOM 7832  O O   . LEU B 2 80  ? 266.298 -51.222  231.833 1.0 41.68269  ? 81  LEU E O   81  LEU E O   1 
ATOM 7833  C CB  . LEU B 2 80  ? 268.176 -53.463  231.953 1.0 41.68269  ? 81  LEU E CB  81  LEU E CB  1 
ATOM 7834  C CG  . LEU B 2 80  ? 268.043 -53.913  230.508 1.0 41.68269  ? 81  LEU E CG  81  LEU E CG  1 
ATOM 7835  C CD1 . LEU B 2 80  ? 269.352 -53.722  229.787 1.0 41.68269  ? 81  LEU E CD1 81  LEU E CD1 1 
ATOM 7836  C CD2 . LEU B 2 80  ? 267.606 -55.360  230.457 1.0 41.68269  ? 81  LEU E CD2 81  LEU E CD2 1 
ATOM 7837  N N   . ASN B 2 81  ? 267.910 -50.174  230.670 1.0 42.49013  ? 82  ASN E N   82  ASN E N   1 
ATOM 7838  C CA  . ASN B 2 81  ? 267.029 -49.159  230.103 1.0 42.49013  ? 82  ASN E CA  82  ASN E CA  1 
ATOM 7839  C C   . ASN B 2 81  ? 266.726 -49.575  228.667 1.0 42.49013  ? 82  ASN E C   82  ASN E C   1 
ATOM 7840  O O   . ASN B 2 81  ? 267.427 -49.193  227.731 1.0 42.49013  ? 82  ASN E O   82  ASN E O   1 
ATOM 7841  C CB  . ASN B 2 81  ? 267.678 -47.783  230.175 1.0 42.49013  ? 82  ASN E CB  82  ASN E CB  1 
ATOM 7842  C CG  . ASN B 2 81  ? 266.666 -46.655  230.224 1.0 42.49013  ? 82  ASN E CG  82  ASN E CG  1 
ATOM 7843  O OD1 . ASN B 2 81  ? 267.003 -45.527  230.580 1.0 42.49013  ? 82  ASN E OD1 82  ASN E OD1 1 
ATOM 7844  N ND2 . ASN B 2 81  ? 265.421 -46.952  229.878 1.0 42.49013  ? 82  ASN E ND2 82  ASN E ND2 1 
ATOM 7845  N N   . VAL B 2 82  ? 265.674 -50.370  228.501 1.0 41.39052  ? 83  VAL E N   83  VAL E N   1 
ATOM 7846  C CA  . VAL B 2 82  ? 265.247 -50.829  227.187 1.0 41.39052  ? 83  VAL E CA  83  VAL E CA  1 
ATOM 7847  C C   . VAL B 2 82  ? 264.305 -49.762  226.647 1.0 41.39052  ? 83  VAL E C   83  VAL E C   1 
ATOM 7848  O O   . VAL B 2 82  ? 263.107 -49.782  226.924 1.0 41.39052  ? 83  VAL E O   83  VAL E O   1 
ATOM 7849  C CB  . VAL B 2 82  ? 264.565 -52.193  227.254 1.0 41.39052  ? 83  VAL E CB  83  VAL E CB  1 
ATOM 7850  C CG1 . VAL B 2 82  ? 264.240 -52.697  225.862 1.0 41.39052  ? 83  VAL E CG1 83  VAL E CG1 1 
ATOM 7851  C CG2 . VAL B 2 82  ? 265.421 -53.165  228.000 1.0 41.39052  ? 83  VAL E CG2 83  VAL E CG2 1 
ATOM 7852  N N   . GLY B 2 83  ? 264.845 -48.826  225.880 1.0 42.54184  ? 84  GLY E N   84  GLY E N   1 
ATOM 7853  C CA  . GLY B 2 83  ? 264.035 -47.759  225.335 1.0 42.54184  ? 84  GLY E CA  84  GLY E CA  1 
ATOM 7854  C C   . GLY B 2 83  ? 263.073 -48.252  224.277 1.0 42.54184  ? 84  GLY E C   84  GLY E C   1 
ATOM 7855  O O   . GLY B 2 83  ? 263.095 -49.408  223.857 1.0 42.54184  ? 84  GLY E O   84  GLY E O   1 
ATOM 7856  N N   . ASP B 2 84  ? 262.199 -47.348  223.847 1.0 45.40362  ? 85  ASP E N   85  ASP E N   1 
ATOM 7857  C CA  . ASP B 2 84  ? 261.225 -47.675  222.820 1.0 45.40362  ? 85  ASP E CA  85  ASP E CA  1 
ATOM 7858  C C   . ASP B 2 84  ? 261.938 -47.891  221.488 1.0 45.40362  ? 85  ASP E C   85  ASP E C   1 
ATOM 7859  O O   . ASP B 2 84  ? 263.067 -47.435  221.281 1.0 45.40362  ? 85  ASP E O   85  ASP E O   1 
ATOM 7860  C CB  . ASP B 2 84  ? 260.186 -46.561  222.707 1.0 45.40362  ? 85  ASP E CB  85  ASP E CB  1 
ATOM 7861  C CG  . ASP B 2 84  ? 258.933 -46.990  221.983 1.0 45.40362  ? 85  ASP E CG  85  ASP E CG  1 
ATOM 7862  O OD1 . ASP B 2 84  ? 258.852 -48.159  221.557 1.0 45.40362  ? 85  ASP E OD1 85  ASP E OD1 1 
ATOM 7863  O OD2 . ASP B 2 84  ? 258.020 -46.149  221.843 1.0 45.40362  ? 85  ASP E OD2 85  ASP E OD2 1 
ATOM 7864  N N   . ASN B 2 85  ? 261.274 -48.643  220.606 1.0 45.38654  ? 86  ASN E N   86  ASN E N   1 
ATOM 7865  C CA  . ASN B 2 85  ? 261.771 -49.081  219.300 1.0 45.38654  ? 86  ASN E CA  86  ASN E CA  1 
ATOM 7866  C C   . ASN B 2 85  ? 263.018 -49.951  219.404 1.0 45.38654  ? 86  ASN E C   86  ASN E C   1 
ATOM 7867  O O   . ASN B 2 85  ? 263.794 -50.038  218.452 1.0 45.38654  ? 86  ASN E O   86  ASN E O   1 
ATOM 7868  C CB  . ASN B 2 85  ? 262.025 -47.898  218.358 1.0 45.38654  ? 86  ASN E CB  86  ASN E CB  1 
ATOM 7869  C CG  . ASN B 2 85  ? 260.758 -47.185  217.978 1.0 45.38654  ? 86  ASN E CG  86  ASN E CG  1 
ATOM 7870  O OD1 . ASN B 2 85  ? 259.742 -47.815  217.693 1.0 45.38654  ? 86  ASN E OD1 86  ASN E OD1 1 
ATOM 7871  N ND2 . ASN B 2 85  ? 260.801 -45.860  217.985 1.0 45.38654  ? 86  ASN E ND2 86  ASN E ND2 1 
ATOM 7872  N N   . ARG B 2 86  ? 263.230 -50.604  220.545 1.0 44.62731  ? 87  ARG E N   87  ARG E N   1 
ATOM 7873  C CA  . ARG B 2 86  ? 264.332 -51.535  220.735 1.0 44.62731  ? 87  ARG E CA  87  ARG E CA  1 
ATOM 7874  C C   . ARG B 2 86  ? 263.792 -52.778  221.429 1.0 44.62731  ? 87  ARG E C   87  ARG E C   1 
ATOM 7875  O O   . ARG B 2 86  ? 262.774 -52.733  222.120 1.0 44.62731  ? 87  ARG E O   87  ARG E O   1 
ATOM 7876  C CB  . ARG B 2 86  ? 265.480 -50.908  221.555 1.0 44.62731  ? 87  ARG E CB  87  ARG E CB  1 
ATOM 7877  C CG  . ARG B 2 86  ? 266.125 -49.700  220.875 1.0 44.62731  ? 87  ARG E CG  87  ARG E CG  1 
ATOM 7878  C CD  . ARG B 2 86  ? 267.199 -49.010  221.693 1.0 44.62731  ? 87  ARG E CD  87  ARG E CD  1 
ATOM 7879  N NE  . ARG B 2 86  ? 268.460 -49.734  221.731 1.0 44.62731  ? 87  ARG E NE  87  ARG E NE  1 
ATOM 7880  C CZ  . ARG B 2 86  ? 269.494 -49.376  222.487 1.0 44.62731  ? 87  ARG E CZ  87  ARG E CZ  1 
ATOM 7881  N NH1 . ARG B 2 86  ? 269.409 -48.313  223.269 1.0 44.62731  ? 87  ARG E NH1 87  ARG E NH1 1 
ATOM 7882  N NH2 . ARG B 2 86  ? 270.617 -50.078  222.465 1.0 44.62731  ? 87  ARG E NH2 87  ARG E NH2 1 
ATOM 7883  N N   . LEU B 2 87  ? 264.473 -53.898  221.226 1.0 43.81659  ? 88  LEU E N   88  LEU E N   1 
ATOM 7884  C CA  . LEU B 2 87  ? 264.077 -55.165  221.819 1.0 43.81659  ? 88  LEU E CA  88  LEU E CA  1 
ATOM 7885  C C   . LEU B 2 87  ? 265.311 -55.859  222.360 1.0 43.81659  ? 88  LEU E C   88  LEU E C   1 
ATOM 7886  O O   . LEU B 2 87  ? 266.399 -55.736  221.798 1.0 43.81659  ? 88  LEU E O   88  LEU E O   1 
ATOM 7887  C CB  . LEU B 2 87  ? 263.398 -56.086  220.806 1.0 43.81659  ? 88  LEU E CB  88  LEU E CB  1 
ATOM 7888  C CG  . LEU B 2 87  ? 262.026 -55.726  220.258 1.0 43.81659  ? 88  LEU E CG  88  LEU E CG  1 
ATOM 7889  C CD1 . LEU B 2 87  ? 261.733 -56.652  219.111 1.0 43.81659  ? 88  LEU E CD1 88  LEU E CD1 1 
ATOM 7890  C CD2 . LEU B 2 87  ? 260.970 -55.865  221.332 1.0 43.81659  ? 88  LEU E CD2 88  LEU E CD2 1 
ATOM 7891  N N   . VAL B 2 88  ? 265.140 -56.596  223.450 1.0 40.71337  ? 89  VAL E N   89  VAL E N   1 
ATOM 7892  C CA  . VAL B 2 88  ? 266.229 -57.390  223.998 1.0 40.71337  ? 89  VAL E CA  89  VAL E CA  1 
ATOM 7893  C C   . VAL B 2 88  ? 265.685 -58.749  224.414 1.0 40.71337  ? 89  VAL E C   89  VAL E C   1 
ATOM 7894  O O   . VAL B 2 88  ? 264.566 -58.862  224.926 1.0 40.71337  ? 89  VAL E O   89  VAL E O   1 
ATOM 7895  C CB  . VAL B 2 88  ? 266.947 -56.653  225.155 1.0 40.71337  ? 89  VAL E CB  89  VAL E CB  1 
ATOM 7896  C CG1 . VAL B 2 88  ? 266.038 -56.406  226.331 1.0 40.71337  ? 89  VAL E CG1 89  VAL E CG1 1 
ATOM 7897  C CG2 . VAL B 2 88  ? 268.195 -57.396  225.591 1.0 40.71337  ? 89  VAL E CG2 89  VAL E CG2 1 
ATOM 7898  N N   . ASP B 2 89  ? 266.446 -59.789  224.106 1.0 40.66875  ? 90  ASP E N   90  ASP E N   1 
ATOM 7899  C CA  . ASP B 2 89  ? 266.209 -61.122  224.628 1.0 40.66875  ? 90  ASP E CA  90  ASP E CA  1 
ATOM 7900  C C   . ASP B 2 89  ? 267.168 -61.331  225.789 1.0 40.66875  ? 90  ASP E C   90  ASP E C   1 
ATOM 7901  O O   . ASP B 2 89  ? 268.373 -61.102  225.651 1.0 40.66875  ? 90  ASP E O   90  ASP E O   1 
ATOM 7902  C CB  . ASP B 2 89  ? 266.428 -62.172  223.540 1.0 40.66875  ? 90  ASP E CB  90  ASP E CB  1 
ATOM 7903  C CG  . ASP B 2 89  ? 265.889 -63.535  223.918 1.0 40.66875  ? 90  ASP E CG  90  ASP E CG  1 
ATOM 7904  O OD1 . ASP B 2 89  ? 265.380 -63.702  225.043 1.0 40.66875  ? 90  ASP E OD1 90  ASP E OD1 1 
ATOM 7905  O OD2 . ASP B 2 89  ? 265.960 -64.450  223.075 1.0 40.66875  ? 90  ASP E OD2 90  ASP E OD2 1 
ATOM 7906  N N   . LEU B 2 90  ? 266.638 -61.762  226.929 1.0 38.21962  ? 91  LEU E N   91  LEU E N   1 
ATOM 7907  C CA  . LEU B 2 90  ? 267.475 -61.953  228.103 1.0 38.21962  ? 91  LEU E CA  91  LEU E CA  1 
ATOM 7908  C C   . LEU B 2 90  ? 268.309 -63.224  228.044 1.0 38.21962  ? 91  LEU E C   91  LEU E C   1 
ATOM 7909  O O   . LEU B 2 90  ? 269.085 -63.472  228.971 1.0 38.21962  ? 91  LEU E O   91  LEU E O   1 
ATOM 7910  C CB  . LEU B 2 90  ? 266.624 -61.954  229.371 1.0 38.21962  ? 91  LEU E CB  91  LEU E CB  1 
ATOM 7911  C CG  . LEU B 2 90  ? 265.986 -60.617  229.729 1.0 38.21962  ? 91  LEU E CG  91  LEU E CG  1 
ATOM 7912  C CD1 . LEU B 2 90  ? 265.108 -60.778  230.945 1.0 38.21962  ? 91  LEU E CD1 91  LEU E CD1 1 
ATOM 7913  C CD2 . LEU B 2 90  ? 267.052 -59.577  229.978 1.0 38.21962  ? 91  LEU E CD2 91  LEU E CD2 1 
ATOM 7914  N N   . GLY B 2 91  ? 268.166 -64.034  226.994 1.0 39.30151  ? 92  GLY E N   92  GLY E N   1 
ATOM 7915  C CA  . GLY B 2 91  ? 269.118 -65.102  226.761 1.0 39.30151  ? 92  GLY E CA  92  GLY E CA  1 
ATOM 7916  C C   . GLY B 2 91  ? 270.504 -64.587  226.440 1.0 39.30151  ? 92  GLY E C   92  GLY E C   1 
ATOM 7917  O O   . GLY B 2 91  ? 271.501 -65.245  226.746 1.0 39.30151  ? 92  GLY E O   92  GLY E O   1 
ATOM 7918  N N   . SER B 2 92  ? 270.591 -63.399  225.845 1.0 39.48695  ? 93  SER E N   93  SER E N   1 
ATOM 7919  C CA  . SER B 2 92  ? 271.874 -62.772  225.566 1.0 39.48695  ? 93  SER E CA  93  SER E CA  1 
ATOM 7920  C C   . SER B 2 92  ? 272.511 -62.143  226.796 1.0 39.48695  ? 93  SER E C   93  SER E C   1 
ATOM 7921  O O   . SER B 2 92  ? 273.674 -61.737  226.727 1.0 39.48695  ? 93  SER E O   93  SER E O   1 
ATOM 7922  C CB  . SER B 2 92  ? 271.707 -61.710  224.482 1.0 39.48695  ? 93  SER E CB  93  SER E CB  1 
ATOM 7923  O OG  . SER B 2 92  ? 270.889 -60.651  224.936 1.0 39.48695  ? 93  SER E OG  93  SER E OG  1 
ATOM 7924  N N   . SER B 2 93  ? 271.789 -62.055  227.907 1.0 39.05784  ? 94  SER E N   94  SER E N   1 
ATOM 7925  C CA  . SER B 2 93  ? 272.326 -61.432  229.106 1.0 39.05784  ? 94  SER E CA  94  SER E CA  1 
ATOM 7926  C C   . SER B 2 93  ? 273.321 -62.352  229.793 1.0 39.05784  ? 94  SER E C   94  SER E C   1 
ATOM 7927  O O   . SER B 2 93  ? 273.100 -63.561  229.897 1.0 39.05784  ? 94  SER E O   94  SER E O   1 
ATOM 7928  C CB  . SER B 2 93  ? 271.201 -61.090  230.075 1.0 39.05784  ? 94  SER E CB  94  SER E CB  1 
ATOM 7929  O OG  . SER B 2 93  ? 270.297 -60.173  229.499 1.0 39.05784  ? 94  SER E OG  94  SER E OG  1 
ATOM 7930  N N   . TYR B 2 94  ? 274.418 -61.770  230.269 1.0 36.79594  ? 95  TYR E N   95  TYR E N   1 
ATOM 7931  C CA  . TYR B 2 94  ? 275.375 -62.486  231.098 1.0 36.79594  ? 95  TYR E CA  95  TYR E CA  1 
ATOM 7932  C C   . TYR B 2 94  ? 276.161 -61.471  231.906 1.0 36.79594  ? 95  TYR E C   95  TYR E C   1 
ATOM 7933  O O   . TYR B 2 94  ? 276.509 -60.407  231.395 1.0 36.79594  ? 95  TYR E O   95  TYR E O   1 
ATOM 7934  C CB  . TYR B 2 94  ? 276.323 -63.358  230.263 1.0 36.79594  ? 95  TYR E CB  95  TYR E CB  1 
ATOM 7935  C CG  . TYR B 2 94  ? 277.201 -62.620  229.280 1.0 36.79594  ? 95  TYR E CG  95  TYR E CG  1 
ATOM 7936  C CD1 . TYR B 2 94  ? 276.753 -62.344  228.001 1.0 36.79594  ? 95  TYR E CD1 95  TYR E CD1 1 
ATOM 7937  C CD2 . TYR B 2 94  ? 278.492 -62.240  229.615 1.0 36.79594  ? 95  TYR E CD2 95  TYR E CD2 1 
ATOM 7938  C CE1 . TYR B 2 94  ? 277.550 -61.681  227.096 1.0 36.79594  ? 95  TYR E CE1 95  TYR E CE1 1 
ATOM 7939  C CE2 . TYR B 2 94  ? 279.290 -61.575  228.720 1.0 36.79594  ? 95  TYR E CE2 95  TYR E CE2 1 
ATOM 7940  C CZ  . TYR B 2 94  ? 278.817 -61.304  227.463 1.0 36.79594  ? 95  TYR E CZ  95  TYR E CZ  1 
ATOM 7941  O OH  . TYR B 2 94  ? 279.619 -60.646  226.567 1.0 36.79594  ? 95  TYR E OH  95  TYR E OH  1 
ATOM 7942  N N   . PHE B 2 95  ? 276.434 -61.800  233.161 1.0 37.72015  ? 96  PHE E N   96  PHE E N   1 
ATOM 7943  C CA  . PHE B 2 95  ? 277.294 -60.956  233.970 1.0 37.72015  ? 96  PHE E CA  96  PHE E CA  1 
ATOM 7944  C C   . PHE B 2 95  ? 278.744 -61.153  233.558 1.0 37.72015  ? 96  PHE E C   96  PHE E C   1 
ATOM 7945  O O   . PHE B 2 95  ? 279.165 -62.260  233.228 1.0 37.72015  ? 96  PHE E O   96  PHE E O   1 
ATOM 7946  C CB  . PHE B 2 95  ? 277.128 -61.269  235.451 1.0 37.72015  ? 96  PHE E CB  96  PHE E CB  1 
ATOM 7947  C CG  . PHE B 2 95  ? 275.779 -60.932  235.991 1.0 37.72015  ? 96  PHE E CG  96  PHE E CG  1 
ATOM 7948  C CD1 . PHE B 2 95  ? 275.476 -59.639  236.357 1.0 37.72015  ? 96  PHE E CD1 96  PHE E CD1 1 
ATOM 7949  C CD2 . PHE B 2 95  ? 274.814 -61.909  236.133 1.0 37.72015  ? 96  PHE E CD2 96  PHE E CD2 1 
ATOM 7950  C CE1 . PHE B 2 95  ? 274.236 -59.323  236.856 1.0 37.72015  ? 96  PHE E CE1 96  PHE E CE1 1 
ATOM 7951  C CE2 . PHE B 2 95  ? 273.572 -61.597  236.631 1.0 37.72015  ? 96  PHE E CE2 96  PHE E CE2 1 
ATOM 7952  C CZ  . PHE B 2 95  ? 273.288 -60.304  236.998 1.0 37.72015  ? 96  PHE E CZ  96  PHE E CZ  1 
ATOM 7953  N N   . ASP B 2 96  ? 279.506 -60.065  233.567 1.0 40.33792  ? 97  ASP E N   97  ASP E N   1 
ATOM 7954  C CA  . ASP B 2 96  ? 280.918 -60.071  233.187 1.0 40.33792  ? 97  ASP E CA  97  ASP E CA  1 
ATOM 7955  C C   . ASP B 2 96  ? 281.730 -59.683  234.415 1.0 40.33792  ? 97  ASP E C   97  ASP E C   1 
ATOM 7956  O O   . ASP B 2 96  ? 281.875 -58.501  234.728 1.0 40.33792  ? 97  ASP E O   97  ASP E O   1 
ATOM 7957  C CB  . ASP B 2 96  ? 281.181 -59.132  232.025 1.0 40.33792  ? 97  ASP E CB  97  ASP E CB  1 
ATOM 7958  C CG  . ASP B 2 96  ? 282.632 -59.124  231.608 1.0 40.33792  ? 97  ASP E CG  97  ASP E CG  1 
ATOM 7959  O OD1 . ASP B 2 96  ? 283.097 -60.132  231.041 1.0 40.33792  ? 97  ASP E OD1 97  ASP E OD1 1 
ATOM 7960  O OD2 . ASP B 2 96  ? 283.313 -58.106  231.844 1.0 40.33792  ? 97  ASP E OD2 97  ASP E OD2 1 
ATOM 7961  N N   . ILE B 2 97  ? 282.267 -60.682  235.096 1.0 40.61679  ? 98  ILE E N   98  ILE E N   1 
ATOM 7962  C CA  . ILE B 2 97  ? 282.928 -60.496  236.381 1.0 40.61679  ? 98  ILE E CA  98  ILE E CA  1 
ATOM 7963  C C   . ILE B 2 97  ? 284.427 -60.361  236.163 1.0 40.61679  ? 98  ILE E C   98  ILE E C   1 
ATOM 7964  O O   . ILE B 2 97  ? 285.037 -61.184  235.475 1.0 40.61679  ? 98  ILE E O   98  ILE E O   1 
ATOM 7965  C CB  . ILE B 2 97  ? 282.629 -61.677  237.313 1.0 40.61679  ? 98  ILE E CB  98  ILE E CB  1 
ATOM 7966  C CG1 . ILE B 2 97  ? 281.134 -61.826  237.552 1.0 40.61679  ? 98  ILE E CG1 98  ILE E CG1 1 
ATOM 7967  C CG2 . ILE B 2 97  ? 283.350 -61.523  238.612 1.0 40.61679  ? 98  ILE E CG2 98  ILE E CG2 1 
ATOM 7968  C CD1 . ILE B 2 97  ? 280.794 -63.116  238.229 1.0 40.61679  ? 98  ILE E CD1 98  ILE E CD1 1 
ATOM 7969  N N   . LYS B 2 98  ? 285.024 -59.332  236.751 1.0 43.97634  ? 99  LYS E N   99  LYS E N   1 
ATOM 7970  C CA  . LYS B 2 98  ? 286.468 -59.232  236.881 1.0 43.97634  ? 99  LYS E CA  99  LYS E CA  1 
ATOM 7971  C C   . LYS B 2 98  ? 286.810 -59.266  238.362 1.0 43.97634  ? 99  LYS E C   99  LYS E C   1 
ATOM 7972  O O   . LYS B 2 98  ? 286.078 -58.711  239.184 1.0 43.97634  ? 99  LYS E O   99  LYS E O   1 
ATOM 7973  C CB  . LYS B 2 98  ? 286.997 -57.950  236.231 1.0 43.97634  ? 99  LYS E CB  99  LYS E CB  1 
ATOM 7974  C CG  . LYS B 2 98  ? 288.509 -57.850  236.164 1.0 43.97634  ? 99  LYS E CG  99  LYS E CG  1 
ATOM 7975  C CD  . LYS B 2 98  ? 288.955 -56.545  235.527 1.0 43.97634  ? 99  LYS E CD  99  LYS E CD  1 
ATOM 7976  C CE  . LYS B 2 98  ? 288.701 -56.541  234.037 1.0 43.97634  ? 99  LYS E CE  99  LYS E CE  1 
ATOM 7977  N NZ  . LYS B 2 98  ? 289.588 -57.505  233.339 1.0 43.97634  ? 99  LYS E NZ  99  LYS E NZ  1 
ATOM 7978  N N   . GLY B 2 99  ? 287.894 -59.946  238.705 1.0 45.51441  ? 100 GLY E N   100 GLY E N   1 
ATOM 7979  C CA  . GLY B 2 99  ? 288.286 -60.036  240.095 1.0 45.51441  ? 100 GLY E CA  100 GLY E CA  1 
ATOM 7980  C C   . GLY B 2 99  ? 289.599 -60.767  240.239 1.0 45.51441  ? 100 GLY E C   100 GLY E C   1 
ATOM 7981  O O   . GLY B 2 99  ? 290.220 -61.166  239.254 1.0 45.51441  ? 100 GLY E O   100 GLY E O   1 
ATOM 7982  N N   . THR B 2 100 ? 290.019 -60.939  241.489 1.0 46.81332  ? 101 THR E N   101 THR E N   1 
ATOM 7983  C CA  . THR B 2 100 ? 291.228 -61.685  241.799 1.0 46.81332  ? 101 THR E CA  101 THR E CA  1 
ATOM 7984  C C   . THR B 2 100 ? 290.904 -62.778  242.805 1.0 46.81332  ? 101 THR E C   101 THR E C   1 
ATOM 7985  O O   . THR B 2 100 ? 289.871 -62.749  243.476 1.0 46.81332  ? 101 THR E O   101 THR E O   1 
ATOM 7986  C CB  . THR B 2 100 ? 292.343 -60.777  242.334 1.0 46.81332  ? 101 THR E CB  101 THR E CB  1 
ATOM 7987  O OG1 . THR B 2 100 ? 293.540 -61.544  242.508 1.0 46.81332  ? 101 THR E OG1 101 THR E OG1 1 
ATOM 7988  C CG2 . THR B 2 100 ? 291.953 -60.162  243.650 1.0 46.81332  ? 101 THR E CG2 101 THR E CG2 1 
ATOM 7989  N N   . LEU B 2 101 ? 291.805 -63.749  242.904 1.0 47.00706  ? 102 LEU E N   102 LEU E N   1 
ATOM 7990  C CA  . LEU B 2 101 ? 291.524 -64.987  243.609 1.0 47.00706  ? 102 LEU E CA  102 LEU E CA  1 
ATOM 7991  C C   . LEU B 2 101 ? 292.757 -65.442  244.372 1.0 47.00706  ? 102 LEU E C   102 LEU E C   1 
ATOM 7992  O O   . LEU B 2 101 ? 293.889 -65.264  243.919 1.0 47.00706  ? 102 LEU E O   102 LEU E O   1 
ATOM 7993  C CB  . LEU B 2 101 ? 291.072 -66.069  242.622 1.0 47.00706  ? 102 LEU E CB  102 LEU E CB  1 
ATOM 7994  C CG  . LEU B 2 101 ? 290.700 -67.456  243.131 1.0 47.00706  ? 102 LEU E CG  102 LEU E CG  1 
ATOM 7995  C CD1 . LEU B 2 101 ? 289.521 -67.368  244.058 1.0 47.00706  ? 102 LEU E CD1 102 LEU E CD1 1 
ATOM 7996  C CD2 . LEU B 2 101 ? 290.391 -68.372  241.976 1.0 47.00706  ? 102 LEU E CD2 102 LEU E CD2 1 
ATOM 7997  N N   . ASP B 2 102 ? 292.525 -66.024  245.546 1.0 49.13074  ? 103 ASP E N   103 ASP E N   1 
ATOM 7998  C CA  . ASP B 2 102 ? 293.568 -66.649  246.349 1.0 49.13074  ? 103 ASP E CA  103 ASP E CA  1 
ATOM 7999  C C   . ASP B 2 102 ? 293.159 -68.099  246.554 1.0 49.13074  ? 103 ASP E C   103 ASP E C   1 
ATOM 8000  O O   . ASP B 2 102 ? 292.164 -68.374  247.229 1.0 49.13074  ? 103 ASP E O   103 ASP E O   1 
ATOM 8001  C CB  . ASP B 2 102 ? 293.738 -65.934  247.688 1.0 49.13074  ? 103 ASP E CB  103 ASP E CB  1 
ATOM 8002  C CG  . ASP B 2 102 ? 294.985 -66.362  248.431 1.0 49.13074  ? 103 ASP E CG  103 ASP E CG  1 
ATOM 8003  O OD1 . ASP B 2 102 ? 295.755 -67.190  247.907 1.0 49.13074  ? 103 ASP E OD1 103 ASP E OD1 1 
ATOM 8004  O OD2 . ASP B 2 102 ? 295.194 -65.868  249.557 1.0 49.13074  ? 103 ASP E OD2 103 ASP E OD2 1 
ATOM 8005  N N   . ARG B 2 103 ? 293.921 -69.023  245.977 1.0 48.05153  ? 104 ARG E N   104 ARG E N   1 
ATOM 8006  C CA  . ARG B 2 103 ? 293.590 -70.435  246.081 1.0 48.05153  ? 104 ARG E CA  104 ARG E CA  1 
ATOM 8007  C C   . ARG B 2 103 ? 294.064 -71.072  247.378 1.0 48.05153  ? 104 ARG E C   104 ARG E C   1 
ATOM 8008  O O   . ARG B 2 103 ? 293.659 -72.199  247.675 1.0 48.05153  ? 104 ARG E O   104 ARG E O   1 
ATOM 8009  C CB  . ARG B 2 103 ? 294.190 -71.206  244.915 1.0 48.05153  ? 104 ARG E CB  104 ARG E CB  1 
ATOM 8010  C CG  . ARG B 2 103 ? 293.577 -70.937  243.565 1.0 48.05153  ? 104 ARG E CG  104 ARG E CG  1 
ATOM 8011  C CD  . ARG B 2 103 ? 294.296 -71.827  242.597 1.0 48.05153  ? 104 ARG E CD  104 ARG E CD  1 
ATOM 8012  N NE  . ARG B 2 103 ? 293.846 -71.755  241.219 1.0 48.05153  ? 104 ARG E NE  104 ARG E NE  1 
ATOM 8013  C CZ  . ARG B 2 103 ? 294.377 -70.946  240.317 1.0 48.05153  ? 104 ARG E CZ  104 ARG E CZ  1 
ATOM 8014  N NH1 . ARG B 2 103 ? 293.928 -70.959  239.081 1.0 48.05153  ? 104 ARG E NH1 104 ARG E NH1 1 
ATOM 8015  N NH2 . ARG B 2 103 ? 295.350 -70.116  240.655 1.0 48.05153  ? 104 ARG E NH2 104 ARG E NH2 1 
ATOM 8016  N N   . GLY B 2 104 ? 294.917 -70.403  248.143 1.0 50.80565  ? 105 GLY E N   105 GLY E N   1 
ATOM 8017  C CA  . GLY B 2 104 ? 295.380 -70.937  249.400 1.0 50.80565  ? 105 GLY E CA  105 GLY E CA  1 
ATOM 8018  C C   . GLY B 2 104 ? 296.541 -71.891  249.228 1.0 50.80565  ? 105 GLY E C   105 GLY E C   1 
ATOM 8019  O O   . GLY B 2 104 ? 296.898 -72.274  248.112 1.0 50.80565  ? 105 GLY E O   105 GLY E O   1 
ATOM 8020  N N   . PRO B 2 105 ? 297.154 -72.306  250.342 1.0 52.39567  ? 106 PRO E N   106 PRO E N   1 
ATOM 8021  C CA  . PRO B 2 105 ? 298.326 -73.189  250.255 1.0 52.39567  ? 106 PRO E CA  106 PRO E CA  1 
ATOM 8022  C C   . PRO B 2 105 ? 297.999 -74.627  249.895 1.0 52.39567  ? 106 PRO E C   106 PRO E C   1 
ATOM 8023  O O   . PRO B 2 105 ? 298.927 -75.423  249.716 1.0 52.39567  ? 106 PRO E O   106 PRO E O   1 
ATOM 8024  C CB  . PRO B 2 105 ? 298.927 -73.104  251.660 1.0 52.39567  ? 106 PRO E CB  106 PRO E CB  1 
ATOM 8025  C CG  . PRO B 2 105 ? 297.770 -72.798  252.531 1.0 52.39567  ? 106 PRO E CG  106 PRO E CG  1 
ATOM 8026  C CD  . PRO B 2 105 ? 296.869 -71.910  251.729 1.0 52.39567  ? 106 PRO E CD  106 PRO E CD  1 
ATOM 8027  N N   . SER B 2 106 ? 296.725 -74.986  249.776 1.0 50.91235  ? 107 SER E N   107 SER E N   1 
ATOM 8028  C CA  . SER B 2 106 ? 296.312 -76.343  249.458 1.0 50.91235  ? 107 SER E CA  107 SER E CA  1 
ATOM 8029  C C   . SER B 2 106 ? 296.212 -76.594  247.963 1.0 50.91235  ? 107 SER E C   107 SER E C   1 
ATOM 8030  O O   . SER B 2 106 ? 295.456 -77.475  247.544 1.0 50.91235  ? 107 SER E O   107 SER E O   1 
ATOM 8031  C CB  . SER B 2 106 ? 294.969 -76.645  250.114 1.0 50.91235  ? 107 SER E CB  107 SER E CB  1 
ATOM 8032  O OG  . SER B 2 106 ? 293.943 -75.846  249.559 1.0 50.91235  ? 107 SER E OG  107 SER E OG  1 
ATOM 8033  N N   . PHE B 2 107 ? 296.941 -75.842  247.153 1.0 47.31358  ? 108 PHE E N   108 PHE E N   1 
ATOM 8034  C CA  . PHE B 2 107 ? 296.832 -75.918  245.707 1.0 47.31358  ? 108 PHE E CA  108 PHE E CA  1 
ATOM 8035  C C   . PHE B 2 107 ? 298.120 -76.476  245.127 1.0 47.31358  ? 108 PHE E C   108 PHE E C   1 
ATOM 8036  O O   . PHE B 2 107 ? 299.213 -76.027  245.484 1.0 47.31358  ? 108 PHE E O   108 PHE E O   1 
ATOM 8037  C CB  . PHE B 2 107 ? 296.519 -74.543  245.122 1.0 47.31358  ? 108 PHE E CB  108 PHE E CB  1 
ATOM 8038  C CG  . PHE B 2 107 ? 296.423 -74.526  243.635 1.0 47.31358  ? 108 PHE E CG  108 PHE E CG  1 
ATOM 8039  C CD1 . PHE B 2 107 ? 295.401 -75.190  242.990 1.0 47.31358  ? 108 PHE E CD1 108 PHE E CD1 1 
ATOM 8040  C CD2 . PHE B 2 107 ? 297.328 -73.809  242.882 1.0 47.31358  ? 108 PHE E CD2 108 PHE E CD2 1 
ATOM 8041  C CE1 . PHE B 2 107 ? 295.304 -75.162  241.614 1.0 47.31358  ? 108 PHE E CE1 108 PHE E CE1 1 
ATOM 8042  C CE2 . PHE B 2 107 ? 297.231 -73.769  241.513 1.0 47.31358  ? 108 PHE E CE2 108 PHE E CE2 1 
ATOM 8043  C CZ  . PHE B 2 107 ? 296.221 -74.450  240.879 1.0 47.31358  ? 108 PHE E CZ  108 PHE E CZ  1 
ATOM 8044  N N   . LYS B 2 108 ? 297.985 -77.460  244.253 1.0 47.4488   ? 109 LYS E N   109 LYS E N   1 
ATOM 8045  C CA  . LYS B 2 108 ? 299.100 -78.105  243.583 1.0 47.4488   ? 109 LYS E CA  109 LYS E CA  1 
ATOM 8046  C C   . LYS B 2 108 ? 298.582 -78.724  242.295 1.0 47.4488   ? 109 LYS E C   109 LYS E C   1 
ATOM 8047  O O   . LYS B 2 108 ? 298.051 -79.841  242.313 1.0 47.4488   ? 109 LYS E O   109 LYS E O   1 
ATOM 8048  C CB  . LYS B 2 108 ? 299.732 -79.167  244.475 1.0 47.4488   ? 109 LYS E CB  109 LYS E CB  1 
ATOM 8049  C CG  . LYS B 2 108 ? 300.939 -79.826  243.864 1.0 47.4488   ? 109 LYS E CG  109 LYS E CG  1 
ATOM 8050  C CD  . LYS B 2 108 ? 301.463 -80.906  244.758 1.0 47.4488   ? 109 LYS E CD  109 LYS E CD  1 
ATOM 8051  C CE  . LYS B 2 108 ? 302.714 -81.500  244.195 1.0 47.4488   ? 109 LYS E CE  109 LYS E CE  1 
ATOM 8052  N NZ  . LYS B 2 108 ? 302.452 -82.216  242.934 1.0 47.4488   ? 109 LYS E NZ  109 LYS E NZ  1 
ATOM 8053  N N   . PRO B 2 109 ? 298.687 -78.033  241.171 1.0 46.91511  ? 110 PRO E N   110 PRO E N   1 
ATOM 8054  C CA  . PRO B 2 109 ? 298.016 -78.506  239.957 1.0 46.91511  ? 110 PRO E CA  110 PRO E CA  1 
ATOM 8055  C C   . PRO B 2 109 ? 298.815 -79.505  239.142 1.0 46.91511  ? 110 PRO E C   110 PRO E C   1 
ATOM 8056  O O   . PRO B 2 109 ? 298.778 -79.439  237.911 1.0 46.91511  ? 110 PRO E O   110 PRO E O   1 
ATOM 8057  C CB  . PRO B 2 109 ? 297.813 -77.214  239.165 1.0 46.91511  ? 110 PRO E CB  110 PRO E CB  1 
ATOM 8058  C CG  . PRO B 2 109 ? 298.976 -76.383  239.561 1.0 46.91511  ? 110 PRO E CG  110 PRO E CG  1 
ATOM 8059  C CD  . PRO B 2 109 ? 299.256 -76.689  240.998 1.0 46.91511  ? 110 PRO E CD  110 PRO E CD  1 
ATOM 8060  N N   . TYR B 2 110 ? 299.476 -80.459  239.795 1.0 49.3618   ? 111 TYR E N   111 TYR E N   1 
ATOM 8061  C CA  . TYR B 2 110 ? 300.302 -81.461  239.131 1.0 49.3618   ? 111 TYR E CA  111 TYR E CA  1 
ATOM 8062  C C   . TYR B 2 110 ? 300.693 -82.519  240.145 1.0 49.3618   ? 111 TYR E C   111 TYR E C   1 
ATOM 8063  O O   . TYR B 2 110 ? 300.641 -82.293  241.355 1.0 49.3618   ? 111 TYR E O   111 TYR E O   1 
ATOM 8064  C CB  . TYR B 2 110 ? 301.556 -80.851  238.489 1.0 49.3618   ? 111 TYR E CB  111 TYR E CB  1 
ATOM 8065  C CG  . TYR B 2 110 ? 302.511 -80.157  239.428 1.0 49.3618   ? 111 TYR E CG  111 TYR E CG  1 
ATOM 8066  C CD1 . TYR B 2 110 ? 302.342 -78.825  239.759 1.0 49.3618   ? 111 TYR E CD1 111 TYR E CD1 1 
ATOM 8067  C CD2 . TYR B 2 110 ? 303.615 -80.814  239.939 1.0 49.3618   ? 111 TYR E CD2 111 TYR E CD2 1 
ATOM 8068  C CE1 . TYR B 2 110 ? 303.219 -78.185  240.607 1.0 49.3618   ? 111 TYR E CE1 111 TYR E CE1 1 
ATOM 8069  C CE2 . TYR B 2 110 ? 304.497 -80.177  240.782 1.0 49.3618   ? 111 TYR E CE2 111 TYR E CE2 1 
ATOM 8070  C CZ  . TYR B 2 110 ? 304.301 -78.865  241.103 1.0 49.3618   ? 111 TYR E CZ  111 TYR E CZ  1 
ATOM 8071  O OH  . TYR B 2 110 ? 305.179 -78.229  241.945 1.0 49.3618   ? 111 TYR E OH  111 TYR E OH  1 
ATOM 8072  N N   . GLY B 2 111 ? 301.095 -83.674  239.631 1.0 51.54382  ? 112 GLY E N   112 GLY E N   1 
ATOM 8073  C CA  . GLY B 2 111 ? 301.600 -84.745  240.457 1.0 51.54382  ? 112 GLY E CA  112 GLY E CA  1 
ATOM 8074  C C   . GLY B 2 111 ? 303.112 -84.750  240.483 1.0 51.54382  ? 112 GLY E C   112 GLY E C   1 
ATOM 8075  O O   . GLY B 2 111 ? 303.767 -84.167  239.625 1.0 51.54382  ? 112 GLY E O   112 GLY E O   1 
ATOM 8076  N N   . GLY B 2 112 ? 303.665 -85.423  241.486 1.0 53.49566  ? 113 GLY E N   113 GLY E N   1 
ATOM 8077  C CA  . GLY B 2 112 ? 305.107 -85.459  241.600 1.0 53.49566  ? 113 GLY E CA  113 GLY E CA  1 
ATOM 8078  C C   . GLY B 2 112 ? 305.656 -84.136  242.098 1.0 53.49566  ? 113 GLY E C   113 GLY E C   1 
ATOM 8079  O O   . GLY B 2 112 ? 304.969 -83.354  242.755 1.0 53.49566  ? 113 GLY E O   113 GLY E O   1 
ATOM 8080  N N   . THR B 2 113 ? 306.917 -83.877  241.773 1.0 53.45644  ? 114 THR E N   114 THR E N   1 
ATOM 8081  C CA  . THR B 2 113 ? 307.581 -82.649  242.172 1.0 53.45644  ? 114 THR E CA  114 THR E CA  1 
ATOM 8082  C C   . THR B 2 113 ? 308.167 -81.972  240.944 1.0 53.45644  ? 114 THR E C   114 THR E C   1 
ATOM 8083  O O   . THR B 2 113 ? 308.185 -82.531  239.846 1.0 53.45644  ? 114 THR E O   114 THR E O   1 
ATOM 8084  C CB  . THR B 2 113 ? 308.683 -82.910  243.199 1.0 53.45644  ? 114 THR E CB  114 THR E CB  1 
ATOM 8085  O OG1 . THR B 2 113 ? 309.178 -81.663  243.691 1.0 53.45644  ? 114 THR E OG1 114 THR E OG1 1 
ATOM 8086  C CG2 . THR B 2 113 ? 309.815 -83.659  242.555 1.0 53.45644  ? 114 THR E CG2 114 THR E CG2 1 
ATOM 8087  N N   . ALA B 2 114 ? 308.644 -80.748  241.140 1.0 51.45261  ? 115 ALA E N   115 ALA E N   1 
ATOM 8088  C CA  . ALA B 2 114 ? 309.268 -79.985  240.074 1.0 51.45261  ? 115 ALA E CA  115 ALA E CA  1 
ATOM 8089  C C   . ALA B 2 114 ? 310.739 -79.715  240.328 1.0 51.45261  ? 115 ALA E C   115 ALA E C   1 
ATOM 8090  O O   . ALA B 2 114 ? 311.383 -79.065  239.499 1.0 51.45261  ? 115 ALA E O   115 ALA E O   1 
ATOM 8091  C CB  . ALA B 2 114 ? 308.536 -78.653  239.870 1.0 51.45261  ? 115 ALA E CB  115 ALA E CB  1 
ATOM 8092  N N   . TYR B 2 115 ? 311.288 -80.191  241.442 1.0 52.06058  ? 116 TYR E N   116 TYR E N   1 
ATOM 8093  C CA  . TYR B 2 115 ? 312.668 -79.919  241.819 1.0 52.06058  ? 116 TYR E CA  116 TYR E CA  1 
ATOM 8094  C C   . TYR B 2 115 ? 313.379 -81.239  242.050 1.0 52.06058  ? 116 TYR E C   116 TYR E C   1 
ATOM 8095  O O   . TYR B 2 115 ? 312.923 -82.052  242.860 1.0 52.06058  ? 116 TYR E O   116 TYR E O   1 
ATOM 8096  C CB  . TYR B 2 115 ? 312.724 -79.040  243.064 1.0 52.06058  ? 116 TYR E CB  116 TYR E CB  1 
ATOM 8097  C CG  . TYR B 2 115 ? 312.042 -77.722  242.844 1.0 52.06058  ? 116 TYR E CG  116 TYR E CG  1 
ATOM 8098  C CD1 . TYR B 2 115 ? 312.631 -76.739  242.073 1.0 52.06058  ? 116 TYR E CD1 116 TYR E CD1 1 
ATOM 8099  C CD2 . TYR B 2 115 ? 310.807 -77.461  243.400 1.0 52.06058  ? 116 TYR E CD2 116 TYR E CD2 1 
ATOM 8100  C CE1 . TYR B 2 115 ? 312.002 -75.535  241.854 1.0 52.06058  ? 116 TYR E CE1 116 TYR E CE1 1 
ATOM 8101  C CE2 . TYR B 2 115 ? 310.176 -76.254  243.195 1.0 52.06058  ? 116 TYR E CE2 116 TYR E CE2 1 
ATOM 8102  C CZ  . TYR B 2 115 ? 310.782 -75.296  242.425 1.0 52.06058  ? 116 TYR E CZ  116 TYR E CZ  1 
ATOM 8103  O OH  . TYR B 2 115 ? 310.154 -74.095  242.217 1.0 52.06058  ? 116 TYR E OH  116 TYR E OH  1 
ATOM 8104  N N   . ASN B 2 116 ? 314.495 -81.426  241.349 1.0 52.67132  ? 117 ASN E N   117 ASN E N   1 
ATOM 8105  C CA  . ASN B 2 116 ? 315.238 -82.681  241.292 1.0 52.67132  ? 117 ASN E CA  117 ASN E CA  1 
ATOM 8106  C C   . ASN B 2 116 ? 314.370 -83.911  241.000 1.0 52.67132  ? 117 ASN E C   117 ASN E C   1 
ATOM 8107  O O   . ASN B 2 116 ? 314.391 -84.881  241.765 1.0 52.67132  ? 117 ASN E O   117 ASN E O   1 
ATOM 8108  C CB  . ASN B 2 116 ? 316.017 -82.876  242.586 1.0 52.67132  ? 117 ASN E CB  117 ASN E CB  1 
ATOM 8109  C CG  . ASN B 2 116 ? 316.955 -81.726  242.888 1.0 52.67132  ? 117 ASN E CG  117 ASN E CG  1 
ATOM 8110  O OD1 . ASN B 2 116 ? 316.681 -80.910  243.762 1.0 52.67132  ? 117 ASN E OD1 117 ASN E OD1 1 
ATOM 8111  N ND2 . ASN B 2 116 ? 318.092 -81.693  242.221 1.0 52.67132  ? 117 ASN E ND2 117 ASN E ND2 1 
ATOM 8112  N N   . PRO B 2 117 ? 313.598 -83.916  239.899 1.0 52.00093  ? 118 PRO E N   118 PRO E N   1 
ATOM 8113  C CA  . PRO B 2 117 ? 312.596 -84.978  239.730 1.0 52.00093  ? 118 PRO E CA  118 PRO E CA  1 
ATOM 8114  C C   . PRO B 2 117 ? 313.173 -86.322  239.339 1.0 52.00093  ? 118 PRO E C   118 PRO E C   1 
ATOM 8115  O O   . PRO B 2 117 ? 312.480 -87.334  239.493 1.0 52.00093  ? 118 PRO E O   118 PRO E O   1 
ATOM 8116  C CB  . PRO B 2 117 ? 311.703 -84.436  238.614 1.0 52.00093  ? 118 PRO E CB  118 PRO E CB  1 
ATOM 8117  C CG  . PRO B 2 117 ? 312.622 -83.662  237.791 1.0 52.00093  ? 118 PRO E CG  118 PRO E CG  1 
ATOM 8118  C CD  . PRO B 2 117 ? 313.624 -83.038  238.714 1.0 52.00093  ? 118 PRO E CD  118 PRO E CD  1 
ATOM 8119  N N   . LEU B 2 118 ? 314.403 -86.371  238.837 1.0 52.91036  ? 119 LEU E N   119 LEU E N   1 
ATOM 8120  C CA  . LEU B 2 118 ? 315.040 -87.625  238.469 1.0 52.91036  ? 119 LEU E CA  119 LEU E CA  1 
ATOM 8121  C C   . LEU B 2 118 ? 315.780 -88.268  239.626 1.0 52.91036  ? 119 LEU E C   119 LEU E C   1 
ATOM 8122  O O   . LEU B 2 118 ? 316.322 -89.364  239.463 1.0 52.91036  ? 119 LEU E O   119 LEU E O   1 
ATOM 8123  C CB  . LEU B 2 118 ? 316.011 -87.408  237.310 1.0 52.91036  ? 119 LEU E CB  119 LEU E CB  1 
ATOM 8124  C CG  . LEU B 2 118 ? 315.360 -86.985  235.999 1.0 52.91036  ? 119 LEU E CG  119 LEU E CG  1 
ATOM 8125  C CD1 . LEU B 2 118 ? 316.406 -86.721  234.931 1.0 52.91036  ? 119 LEU E CD1 119 LEU E CD1 1 
ATOM 8126  C CD2 . LEU B 2 118 ? 314.376 -88.043  235.548 1.0 52.91036  ? 119 LEU E CD2 119 LEU E CD2 1 
ATOM 8127  N N   . ALA B 2 119 ? 315.822 -87.611  240.778 1.0 56.58184  ? 120 ALA E N   120 ALA E N   1 
ATOM 8128  C CA  . ALA B 2 119 ? 316.530 -88.157  241.917 1.0 56.58184  ? 120 ALA E CA  120 ALA E CA  1 
ATOM 8129  C C   . ALA B 2 119 ? 315.737 -89.308  242.527 1.0 56.58184  ? 120 ALA E C   120 ALA E C   1 
ATOM 8130  O O   . ALA B 2 119 ? 314.507 -89.330  242.453 1.0 56.58184  ? 120 ALA E O   120 ALA E O   1 
ATOM 8131  C CB  . ALA B 2 119 ? 316.756 -87.080  242.970 1.0 56.58184  ? 120 ALA E CB  120 ALA E CB  1 
ATOM 8132  N N   . PRO B 2 120 ? 316.419 -90.292  243.104 1.0 59.86026  ? 121 PRO E N   121 PRO E N   1 
ATOM 8133  C CA  . PRO B 2 120 ? 315.715 -91.281  243.919 1.0 59.86026  ? 121 PRO E CA  121 PRO E CA  1 
ATOM 8134  C C   . PRO B 2 120 ? 315.172 -90.631  245.177 1.0 59.86026  ? 121 PRO E C   121 PRO E C   1 
ATOM 8135  O O   . PRO B 2 120 ? 315.728 -89.658  245.690 1.0 59.86026  ? 121 PRO E O   121 PRO E O   1 
ATOM 8136  C CB  . PRO B 2 120 ? 316.798 -92.313  244.244 1.0 59.86026  ? 121 PRO E CB  121 PRO E CB  1 
ATOM 8137  C CG  . PRO B 2 120 ? 317.811 -92.137  243.174 1.0 59.86026  ? 121 PRO E CG  121 PRO E CG  1 
ATOM 8138  C CD  . PRO B 2 120 ? 317.820 -90.673  242.878 1.0 59.86026  ? 121 PRO E CD  121 PRO E CD  1 
ATOM 8139  N N   . LYS B 2 121 ? 314.067 -91.182  245.673 1.0 60.29484  ? 122 LYS E N   122 LYS E N   1 
ATOM 8140  C CA  . LYS B 2 121 ? 313.366 -90.559  246.786 1.0 60.29484  ? 122 LYS E CA  122 LYS E CA  1 
ATOM 8141  C C   . LYS B 2 121 ? 314.097 -90.724  248.111 1.0 60.29484  ? 122 LYS E C   122 LYS E C   1 
ATOM 8142  O O   . LYS B 2 121 ? 313.782 -90.015  249.070 1.0 60.29484  ? 122 LYS E O   122 LYS E O   1 
ATOM 8143  C CB  . LYS B 2 121 ? 311.956 -91.132  246.878 1.0 60.29484  ? 122 LYS E CB  122 LYS E CB  1 
ATOM 8144  C CG  . LYS B 2 121 ? 311.094 -90.783  245.680 1.0 60.29484  ? 122 LYS E CG  122 LYS E CG  1 
ATOM 8145  C CD  . LYS B 2 121 ? 309.704 -91.369  245.798 1.0 60.29484  ? 122 LYS E CD  122 LYS E CD  1 
ATOM 8146  C CE  . LYS B 2 121 ? 308.822 -90.923  244.643 1.0 60.29484  ? 122 LYS E CE  122 LYS E CE  1 
ATOM 8147  N NZ  . LYS B 2 121 ? 309.277 -91.473  243.337 1.0 60.29484  ? 122 LYS E NZ  122 LYS E NZ  1 
ATOM 8148  N N   . SER B 2 122 ? 315.061 -91.630  248.190 1.0 63.82346  ? 123 SER E N   123 SER E N   1 
ATOM 8149  C CA  . SER B 2 122 ? 315.833 -91.833  249.404 1.0 63.82346  ? 123 SER E CA  123 SER E CA  1 
ATOM 8150  C C   . SER B 2 122 ? 317.145 -91.063  249.414 1.0 63.82346  ? 123 SER E C   123 SER E C   1 
ATOM 8151  O O   . SER B 2 122 ? 317.859 -91.102  250.420 1.0 63.82346  ? 123 SER E O   123 SER E O   1 
ATOM 8152  C CB  . SER B 2 122 ? 316.116 -93.323  249.594 1.0 63.82346  ? 123 SER E CB  123 SER E CB  1 
ATOM 8153  O OG  . SER B 2 122 ? 316.979 -93.534  250.694 1.0 63.82346  ? 123 SER E OG  123 SER E OG  1 
ATOM 8154  N N   . ALA B 2 123 ? 317.471 -90.366  248.338 1.0 62.85211  ? 124 ALA E N   124 ALA E N   1 
ATOM 8155  C CA  . ALA B 2 123 ? 318.811 -89.818  248.172 1.0 62.85211  ? 124 ALA E CA  124 ALA E CA  1 
ATOM 8156  C C   . ALA B 2 123 ? 318.973 -88.535  248.977 1.0 62.85211  ? 124 ALA E C   124 ALA E C   1 
ATOM 8157  O O   . ALA B 2 123 ? 318.082 -87.682  248.957 1.0 62.85211  ? 124 ALA E O   124 ALA E O   1 
ATOM 8158  C CB  . ALA B 2 123 ? 319.094 -89.540  246.702 1.0 62.85211  ? 124 ALA E CB  124 ALA E CB  1 
ATOM 8159  N N   . PRO B 2 124 ? 320.069 -88.375  249.708 1.0 62.49121  ? 125 PRO E N   125 PRO E N   1 
ATOM 8160  C CA  . PRO B 2 124 ? 320.380 -87.084  250.317 1.0 62.49121  ? 125 PRO E CA  125 PRO E CA  1 
ATOM 8161  C C   . PRO B 2 124 ? 321.293 -86.251  249.430 1.0 62.49121  ? 125 PRO E C   125 PRO E C   1 
ATOM 8162  O O   . PRO B 2 124 ? 322.032 -86.764  248.589 1.0 62.49121  ? 125 PRO E O   125 PRO E O   1 
ATOM 8163  C CB  . PRO B 2 124 ? 321.107 -87.484  251.606 1.0 62.49121  ? 125 PRO E CB  125 PRO E CB  1 
ATOM 8164  C CG  . PRO B 2 124 ? 321.789 -88.743  251.237 1.0 62.49121  ? 125 PRO E CG  125 PRO E CG  1 
ATOM 8165  C CD  . PRO B 2 124 ? 320.886 -89.459  250.274 1.0 62.49121  ? 125 PRO E CD  125 PRO E CD  1 
ATOM 8166  N N   . ILE B 2 125 ? 321.231 -84.940  249.638 1.0 62.41252  ? 126 ILE E N   126 ILE E N   1 
ATOM 8167  C CA  . ILE B 2 125 ? 322.201 -84.034  249.034 1.0 62.41252  ? 126 ILE E CA  126 ILE E CA  1 
ATOM 8168  C C   . ILE B 2 125 ? 323.464 -84.047  249.876 1.0 62.41252  ? 126 ILE E C   126 ILE E C   1 
ATOM 8169  O O   . ILE B 2 125 ? 323.481 -84.614  250.972 1.0 62.41252  ? 126 ILE E O   126 ILE E O   1 
ATOM 8170  C CB  . ILE B 2 125 ? 321.669 -82.601  248.923 1.0 62.41252  ? 126 ILE E CB  126 ILE E CB  1 
ATOM 8171  C CG1 . ILE B 2 125 ? 321.398 -82.056  250.310 1.0 62.41252  ? 126 ILE E CG1 126 ILE E CG1 1 
ATOM 8172  C CG2 . ILE B 2 125 ? 320.445 -82.552  248.065 1.0 62.41252  ? 126 ILE E CG2 126 ILE E CG2 1 
ATOM 8173  C CD1 . ILE B 2 125 ? 321.216 -80.608  250.311 1.0 62.41252  ? 126 ILE E CD1 126 ILE E CD1 1 
ATOM 8174  N N   . ASN B 2 126 ? 324.530 -83.429  249.374 1.0 65.38682  ? 127 ASN E N   127 ASN E N   1 
ATOM 8175  C CA  . ASN B 2 126 ? 325.738 -83.274  250.169 1.0 65.38682  ? 127 ASN E CA  127 ASN E CA  1 
ATOM 8176  C C   . ASN B 2 126 ? 325.461 -82.277  251.284 1.0 65.38682  ? 127 ASN E C   127 ASN E C   1 
ATOM 8177  O O   . ASN B 2 126 ? 325.144 -81.113  251.019 1.0 65.38682  ? 127 ASN E O   127 ASN E O   1 
ATOM 8178  C CB  . ASN B 2 126 ? 326.902 -82.793  249.311 1.0 65.38682  ? 127 ASN E CB  127 ASN E CB  1 
ATOM 8179  C CG  . ASN B 2 126 ? 327.172 -83.692  248.138 1.0 65.38682  ? 127 ASN E CG  127 ASN E CG  1 
ATOM 8180  O OD1 . ASN B 2 126 ? 326.862 -84.884  248.163 1.0 65.38682  ? 127 ASN E OD1 127 ASN E OD1 1 
ATOM 8181  N ND2 . ASN B 2 126 ? 327.813 -83.143  247.118 1.0 65.38682  ? 127 ASN E ND2 127 ASN E ND2 1 
ATOM 8182  N N   . SER B 2 127 ? 325.577 -82.723  252.529 1.0 70.29729  ? 128 SER E N   128 SER E N   1 
ATOM 8183  C CA  . SER B 2 127 ? 325.099 -81.922  253.642 1.0 70.29729  ? 128 SER E CA  128 SER E CA  1 
ATOM 8184  C C   . SER B 2 127 ? 325.915 -82.213  254.892 1.0 70.29729  ? 128 SER E C   128 SER E C   1 
ATOM 8185  O O   . SER B 2 127 ? 326.863 -83.001  254.879 1.0 70.29729  ? 128 SER E O   128 SER E O   1 
ATOM 8186  C CB  . SER B 2 127 ? 323.613 -82.181  253.889 1.0 70.29729  ? 128 SER E CB  128 SER E CB  1 
ATOM 8187  O OG  . SER B 2 127 ? 323.401 -83.526  254.266 1.0 70.29729  ? 128 SER E OG  128 SER E OG  1 
ATOM 8188  N N   . ALA B 2 128 ? 325.536 -81.542  255.976 1.0 75.34729  ? 129 ALA E N   129 ALA E N   1 
ATOM 8189  C CA  . ALA B 2 128 ? 326.076 -81.763  257.306 1.0 75.34729  ? 129 ALA E CA  129 ALA E CA  1 
ATOM 8190  C C   . ALA B 2 128 ? 324.915 -81.981  258.266 1.0 75.34729  ? 129 ALA E C   129 ALA E C   1 
ATOM 8191  O O   . ALA B 2 128 ? 323.788 -81.556  258.007 1.0 75.34729  ? 129 ALA E O   129 ALA E O   1 
ATOM 8192  C CB  . ALA B 2 128 ? 326.937 -80.584  257.768 1.0 75.34729  ? 129 ALA E CB  129 ALA E CB  1 
ATOM 8193  N N   . PHE B 2 129 ? 325.190 -82.653  259.382 1.0 79.61038  ? 130 PHE E N   130 PHE E N   1 
ATOM 8194  C CA  . PHE B 2 129 ? 324.151 -82.959  260.356 1.0 79.61038  ? 130 PHE E CA  130 PHE E CA  1 
ATOM 8195  C C   . PHE B 2 129 ? 324.662 -82.635  261.748 1.0 79.61038  ? 130 PHE E C   130 PHE E C   1 
ATOM 8196  O O   . PHE B 2 129 ? 325.824 -82.276  261.932 1.0 79.61038  ? 130 PHE E O   130 PHE E O   1 
ATOM 8197  C CB  . PHE B 2 129 ? 323.711 -84.418  260.252 1.0 79.61038  ? 130 PHE E CB  130 PHE E CB  1 
ATOM 8198  C CG  . PHE B 2 129 ? 323.099 -84.749  258.942 1.0 79.61038  ? 130 PHE E CG  130 PHE E CG  1 
ATOM 8199  C CD1 . PHE B 2 129 ? 321.804 -84.357  258.658 1.0 79.61038  ? 130 PHE E CD1 130 PHE E CD1 1 
ATOM 8200  C CD2 . PHE B 2 129 ? 323.820 -85.427  257.983 1.0 79.61038  ? 130 PHE E CD2 130 PHE E CD2 1 
ATOM 8201  C CE1 . PHE B 2 129 ? 321.235 -84.647  257.440 1.0 79.61038  ? 130 PHE E CE1 130 PHE E CE1 1 
ATOM 8202  C CE2 . PHE B 2 129 ? 323.258 -85.721  256.769 1.0 79.61038  ? 130 PHE E CE2 130 PHE E CE2 1 
ATOM 8203  C CZ  . PHE B 2 129 ? 321.966 -85.325  256.492 1.0 79.61038  ? 130 PHE E CZ  130 PHE E CZ  1 
ATOM 8204  N N   . THR B 2 130 ? 323.772 -82.726  262.733 1.0 85.36516  ? 131 THR E N   131 THR E N   1 
ATOM 8205  C CA  . THR B 2 130 ? 324.090 -82.410  264.126 1.0 85.36516  ? 131 THR E CA  131 THR E CA  1 
ATOM 8206  C C   . THR B 2 130 ? 323.502 -83.454  265.073 1.0 85.36516  ? 131 THR E C   131 THR E C   1 
ATOM 8207  O O   . THR B 2 130 ? 322.857 -83.122  266.067 1.0 85.36516  ? 131 THR E O   131 THR E O   1 
ATOM 8208  C CB  . THR B 2 130 ? 323.590 -81.017  264.522 1.0 85.36516  ? 131 THR E CB  131 THR E CB  1 
ATOM 8209  O OG1 . THR B 2 130 ? 322.196 -80.895  264.210 1.0 85.36516  ? 131 THR E OG1 131 THR E OG1 1 
ATOM 8210  C CG2 . THR B 2 130 ? 324.386 -79.901  263.852 1.0 85.36516  ? 131 THR E CG2 131 THR E CG2 1 
ATOM 8211  N N   . VAL B 2 131 ? 323.711 -84.734  264.776 1.0 88.77855  ? 132 VAL E N   132 VAL E N   1 
ATOM 8212  C CA  . VAL B 2 131 ? 323.219 -85.792  265.657 1.0 88.77855  ? 132 VAL E CA  132 VAL E CA  1 
ATOM 8213  C C   . VAL B 2 131 ? 324.084 -85.843  266.919 1.0 88.77855  ? 132 VAL E C   132 VAL E C   1 
ATOM 8214  O O   . VAL B 2 131 ? 325.290 -86.098  266.863 1.0 88.77855  ? 132 VAL E O   132 VAL E O   1 
ATOM 8215  C CB  . VAL B 2 131 ? 323.143 -87.147  264.933 1.0 88.77855  ? 132 VAL E CB  132 VAL E CB  1 
ATOM 8216  C CG1 . VAL B 2 131 ? 324.409 -87.452  264.129 1.0 88.77855  ? 132 VAL E CG1 132 VAL E CG1 1 
ATOM 8217  C CG2 . VAL B 2 131 ? 322.869 -88.263  265.933 1.0 88.77855  ? 132 VAL E CG2 132 VAL E CG2 1 
ATOM 8218  N N   . GLY B 2 132 ? 323.463 -85.560  268.068 1.0 91.79421  ? 133 GLY E N   133 GLY E N   1 
ATOM 8219  C CA  . GLY B 2 132 ? 324.185 -85.444  269.322 1.0 91.79421  ? 133 GLY E CA  133 GLY E CA  1 
ATOM 8220  C C   . GLY B 2 132 ? 325.087 -84.221  269.328 1.0 91.79421  ? 133 GLY E C   133 GLY E C   1 
ATOM 8221  O O   . GLY B 2 132 ? 324.787 -83.187  268.726 1.0 91.79421  ? 133 GLY E O   133 GLY E O   1 
ATOM 8222  N N   . ASN B 2 133 ? 326.214 -84.343  270.028 1.0 93.7808   ? 134 ASN E N   134 ASN E N   1 
ATOM 8223  C CA  . ASN B 2 133 ? 327.280 -83.361  269.896 1.0 93.7808   ? 134 ASN E CA  134 ASN E CA  1 
ATOM 8224  C C   . ASN B 2 133 ? 328.146 -83.626  268.676 1.0 93.7808   ? 134 ASN E C   134 ASN E C   1 
ATOM 8225  O O   . ASN B 2 133 ? 328.906 -82.743  268.264 1.0 93.7808   ? 134 ASN E O   134 ASN E O   1 
ATOM 8226  C CB  . ASN B 2 133 ? 328.149 -83.346  271.153 1.0 93.7808   ? 134 ASN E CB  134 ASN E CB  1 
ATOM 8227  C CG  . ASN B 2 133 ? 327.384 -82.905  272.382 1.0 93.7808   ? 134 ASN E CG  134 ASN E CG  1 
ATOM 8228  O OD1 . ASN B 2 133 ? 327.183 -83.683  273.312 1.0 93.7808   ? 134 ASN E OD1 134 ASN E OD1 1 
ATOM 8229  N ND2 . ASN B 2 133 ? 326.956 -81.647  272.394 1.0 93.7808   ? 134 ASN E ND2 134 ASN E ND2 1 
ATOM 8230  N N   . ASP B 2 134 ? 328.042 -84.820  268.105 1.0 89.49885  ? 135 ASP E N   135 ASP E N   1 
ATOM 8231  C CA  . ASP B 2 134 ? 328.716 -85.179  266.872 1.0 89.49885  ? 135 ASP E CA  135 ASP E CA  1 
ATOM 8232  C C   . ASP B 2 134 ? 328.106 -84.408  265.701 1.0 89.49885  ? 135 ASP E C   135 ASP E C   1 
ATOM 8233  O O   . ASP B 2 134 ? 326.955 -83.969  265.742 1.0 89.49885  ? 135 ASP E O   135 ASP E O   1 
ATOM 8234  C CB  . ASP B 2 134 ? 328.596 -86.691  266.656 1.0 89.49885  ? 135 ASP E CB  135 ASP E CB  1 
ATOM 8235  C CG  . ASP B 2 134 ? 329.524 -87.227  265.582 1.0 89.49885  ? 135 ASP E CG  135 ASP E CG  1 
ATOM 8236  O OD1 . ASP B 2 134 ? 330.260 -86.446  264.951 1.0 89.49885  ? 135 ASP E OD1 135 ASP E OD1 1 
ATOM 8237  O OD2 . ASP B 2 134 ? 329.517 -88.457  265.371 1.0 89.49885  ? 135 ASP E OD2 135 ASP E OD2 1 
ATOM 8238  N N   . THR B 2 135 ? 328.905 -84.230  264.652 1.0 85.82573  ? 136 THR E N   136 THR E N   1 
ATOM 8239  C CA  . THR B 2 135 ? 328.416 -83.712  263.381 1.0 85.82573  ? 136 THR E CA  136 THR E CA  1 
ATOM 8240  C C   . THR B 2 135 ? 328.868 -84.644  262.265 1.0 85.82573  ? 136 THR E C   136 THR E C   1 
ATOM 8241  O O   . THR B 2 135 ? 330.020 -85.090  262.244 1.0 85.82573  ? 136 THR E O   136 THR E O   1 
ATOM 8242  C CB  . THR B 2 135 ? 328.859 -82.255  263.145 1.0 85.82573  ? 136 THR E CB  136 THR E CB  1 
ATOM 8243  O OG1 . THR B 2 135 ? 328.408 -81.810  261.860 1.0 85.82573  ? 136 THR E OG1 136 THR E OG1 1 
ATOM 8244  C CG2 . THR B 2 135 ? 330.350 -82.057  263.268 1.0 85.82573  ? 136 THR E CG2 136 THR E CG2 1 
ATOM 8245  N N   . HIS B 2 136 ? 327.941 -84.991  261.378 1.0 83.55523  ? 137 HIS E N   137 HIS E N   1 
ATOM 8246  C CA  . HIS B 2 136 ? 328.203 -85.938  260.307 1.0 83.55523  ? 137 HIS E CA  137 HIS E CA  1 
ATOM 8247  C C   . HIS B 2 136 ? 328.134 -85.243  258.961 1.0 83.55523  ? 137 HIS E C   137 HIS E C   1 
ATOM 8248  O O   . HIS B 2 136 ? 327.168 -84.539  258.665 1.0 83.55523  ? 137 HIS E O   137 HIS E O   1 
ATOM 8249  C CB  . HIS B 2 136 ? 327.201 -87.089  260.313 1.0 83.55523  ? 137 HIS E CB  137 HIS E CB  1 
ATOM 8250  C CG  . HIS B 2 136 ? 327.334 -88.000  261.487 1.0 83.55523  ? 137 HIS E CG  137 HIS E CG  1 
ATOM 8251  N ND1 . HIS B 2 136 ? 326.487 -89.064  261.702 1.0 83.55523  ? 137 HIS E ND1 137 HIS E ND1 1 
ATOM 8252  C CD2 . HIS B 2 136 ? 328.197 -87.988  262.529 1.0 83.55523  ? 137 HIS E CD2 137 HIS E CD2 1 
ATOM 8253  C CE1 . HIS B 2 136 ? 326.840 -89.686  262.812 1.0 83.55523  ? 137 HIS E CE1 137 HIS E CE1 1 
ATOM 8254  N NE2 . HIS B 2 136 ? 327.874 -89.053  263.334 1.0 83.55523  ? 137 HIS E NE2 137 HIS E NE2 1 
ATOM 8255  N N   . PHE B 2 137 ? 329.148 -85.466  258.139 1.0 76.10503  ? 138 PHE E N   138 PHE E N   1 
ATOM 8256  C CA  . PHE B 2 137 ? 329.145 -84.997  256.766 1.0 76.10503  ? 138 PHE E CA  138 PHE E CA  1 
ATOM 8257  C C   . PHE B 2 137 ? 328.832 -86.157  255.839 1.0 76.10503  ? 138 PHE E C   138 PHE E C   1 
ATOM 8258  O O   . PHE B 2 137 ? 329.400 -87.241  255.976 1.0 76.10503  ? 138 PHE E O   138 PHE E O   1 
ATOM 8259  C CB  . PHE B 2 137 ? 330.492 -84.394  256.380 1.0 76.10503  ? 138 PHE E CB  138 PHE E CB  1 
ATOM 8260  C CG  . PHE B 2 137 ? 330.843 -83.149  257.123 1.0 76.10503  ? 138 PHE E CG  138 PHE E CG  1 
ATOM 8261  C CD1 . PHE B 2 137 ? 330.300 -81.933  256.755 1.0 76.10503  ? 138 PHE E CD1 138 PHE E CD1 1 
ATOM 8262  C CD2 . PHE B 2 137 ? 331.728 -83.193  258.182 1.0 76.10503  ? 138 PHE E CD2 138 PHE E CD2 1 
ATOM 8263  C CE1 . PHE B 2 137 ? 330.625 -80.781  257.442 1.0 76.10503  ? 138 PHE E CE1 138 PHE E CE1 1 
ATOM 8264  C CE2 . PHE B 2 137 ? 332.058 -82.047  258.871 1.0 76.10503  ? 138 PHE E CE2 138 PHE E CE2 1 
ATOM 8265  C CZ  . PHE B 2 137 ? 331.504 -80.841  258.502 1.0 76.10503  ? 138 PHE E CZ  138 PHE E CZ  1 
ATOM 8266  N N   . VAL B 2 138 ? 327.929 -85.930  254.898 1.0 69.90356  ? 139 VAL E N   139 VAL E N   1 
ATOM 8267  C CA  . VAL B 2 138 ? 327.714 -86.839  253.784 1.0 69.90356  ? 139 VAL E CA  139 VAL E CA  1 
ATOM 8268  C C   . VAL B 2 138 ? 327.906 -86.036  252.506 1.0 69.90356  ? 139 VAL E C   139 VAL E C   1 
ATOM 8269  O O   . VAL B 2 138 ? 327.482 -84.879  252.418 1.0 69.90356  ? 139 VAL E O   139 VAL E O   1 
ATOM 8270  C CB  . VAL B 2 138 ? 326.333 -87.533  253.866 1.0 69.90356  ? 139 VAL E CB  139 VAL E CB  1 
ATOM 8271  C CG1 . VAL B 2 138 ? 325.193 -86.546  253.896 1.0 69.90356  ? 139 VAL E CG1 139 VAL E CG1 1 
ATOM 8272  C CG2 . VAL B 2 138 ? 326.141 -88.507  252.724 1.0 69.90356  ? 139 VAL E CG2 139 VAL E CG2 1 
ATOM 8273  N N   . ALA B 2 139 ? 328.640 -86.606  251.549 1.0 65.24395  ? 140 ALA E N   140 ALA E N   1 
ATOM 8274  C CA  . ALA B 2 139 ? 328.993 -85.848  250.360 1.0 65.24395  ? 140 ALA E CA  140 ALA E CA  1 
ATOM 8275  C C   . ALA B 2 139 ? 329.256 -86.785  249.176 1.0 65.24395  ? 140 ALA E C   140 ALA E C   1 
ATOM 8276  O O   . ALA B 2 139 ? 329.507 -87.973  249.348 1.0 65.24395  ? 140 ALA E O   140 ALA E O   1 
ATOM 8277  C CB  . ALA B 2 139 ? 330.211 -84.950  250.587 1.0 65.24395  ? 140 ALA E CB  140 ALA E CB  1 
ATOM 8278  N N   . GLN B 2 140 ? 329.157 -86.210  247.981 1.0 64.30863  ? 141 GLN E N   141 GLN E N   1 
ATOM 8279  C CA  . GLN B 2 140 ? 329.590 -86.835  246.734 1.0 64.30863  ? 141 GLN E CA  141 GLN E CA  1 
ATOM 8280  C C   . GLN B 2 140 ? 330.486 -85.837  246.019 1.0 64.30863  ? 141 GLN E C   141 GLN E C   1 
ATOM 8281  O O   . GLN B 2 140 ? 330.070 -84.703  245.767 1.0 64.30863  ? 141 GLN E O   141 GLN E O   1 
ATOM 8282  C CB  . GLN B 2 140 ? 328.405 -87.211  245.838 1.0 64.30863  ? 141 GLN E CB  141 GLN E CB  1 
ATOM 8283  C CG  . GLN B 2 140 ? 328.802 -87.860  244.521 1.0 64.30863  ? 141 GLN E CG  141 GLN E CG  1 
ATOM 8284  C CD  . GLN B 2 140 ? 329.487 -89.195  244.707 1.0 64.30863  ? 141 GLN E CD  141 GLN E CD  1 
ATOM 8285  O OE1 . GLN B 2 140 ? 330.707 -89.294  244.624 1.0 64.30863  ? 141 GLN E OE1 141 GLN E OE1 1 
ATOM 8286  N NE2 . GLN B 2 140 ? 328.703 -90.236  244.934 1.0 64.30863  ? 141 GLN E NE2 141 GLN E NE2 1 
ATOM 8287  N N   . LEU B 2 141 ? 331.716 -86.246  245.710 1.0 65.25082  ? 142 LEU E N   142 LEU E N   1 
ATOM 8288  C CA  . LEU B 2 141 ? 332.745 -85.335  245.208 1.0 65.25082  ? 142 LEU E CA  142 LEU E CA  1 
ATOM 8289  C C   . LEU B 2 141 ? 333.144 -85.713  243.789 1.0 65.25082  ? 142 LEU E C   142 LEU E C   1 
ATOM 8290  O O   . LEU B 2 141 ? 333.998 -86.589  243.587 1.0 65.25082  ? 142 LEU E O   142 LEU E O   1 
ATOM 8291  C CB  . LEU B 2 141 ? 333.955 -85.330  246.138 1.0 65.25082  ? 142 LEU E CB  142 LEU E CB  1 
ATOM 8292  C CG  . LEU B 2 141 ? 333.630 -84.769  247.518 1.0 65.25082  ? 142 LEU E CG  142 LEU E CG  1 
ATOM 8293  C CD1 . LEU B 2 141 ? 334.820 -84.851  248.451 1.0 65.25082  ? 142 LEU E CD1 142 LEU E CD1 1 
ATOM 8294  C CD2 . LEU B 2 141 ? 333.161 -83.348  247.366 1.0 65.25082  ? 142 LEU E CD2 142 LEU E CD2 1 
ATOM 8295  N N   . PRO B 2 142 ? 332.542 -85.088  242.776 1.0 64.97758  ? 143 PRO E N   143 PRO E N   1 
ATOM 8296  C CA  . PRO B 2 142 ? 332.878 -85.428  241.389 1.0 64.97758  ? 143 PRO E CA  143 PRO E CA  1 
ATOM 8297  C C   . PRO B 2 142 ? 334.256 -84.957  240.974 1.0 64.97758  ? 143 PRO E C   143 PRO E C   1 
ATOM 8298  O O   . PRO B 2 142 ? 335.066 -85.754  240.499 1.0 64.97758  ? 143 PRO E O   143 PRO E O   1 
ATOM 8299  C CB  . PRO B 2 142 ? 331.797 -84.701  240.584 1.0 64.97758  ? 143 PRO E CB  143 PRO E CB  1 
ATOM 8300  C CG  . PRO B 2 142 ? 330.721 -84.403  241.558 1.0 64.97758  ? 143 PRO E CG  143 PRO E CG  1 
ATOM 8301  C CD  . PRO B 2 142 ? 331.426 -84.139  242.839 1.0 64.97758  ? 143 PRO E CD  143 PRO E CD  1 
ATOM 8302  N N   . GLN B 2 143 ? 334.540 -83.675  241.177 1.0 66.79036  ? 144 GLN E N   144 GLN E N   1 
ATOM 8303  C CA  . GLN B 2 143 ? 335.726 -83.049  240.611 1.0 66.79036  ? 144 GLN E CA  144 GLN E CA  1 
ATOM 8304  C C   . GLN B 2 143 ? 336.971 -83.385  241.419 1.0 66.79036  ? 144 GLN E C   144 GLN E C   1 
ATOM 8305  O O   . GLN B 2 143 ? 336.931 -83.466  242.649 1.0 66.79036  ? 144 GLN E O   144 GLN E O   1 
ATOM 8306  C CB  . GLN B 2 143 ? 335.537 -81.536  240.563 1.0 66.79036  ? 144 GLN E CB  144 GLN E CB  1 
ATOM 8307  C CG  . GLN B 2 143 ? 334.391 -81.112  239.680 1.0 66.79036  ? 144 GLN E CG  144 GLN E CG  1 
ATOM 8308  C CD  . GLN B 2 143 ? 334.192 -79.616  239.663 1.0 66.79036  ? 144 GLN E CD  144 GLN E CD  1 
ATOM 8309  O OE1 . GLN B 2 143 ? 334.914 -78.871  240.319 1.0 66.79036  ? 144 GLN E OE1 144 GLN E OE1 1 
ATOM 8310  N NE2 . GLN B 2 143 ? 333.192 -79.169  238.926 1.0 66.79036  ? 144 GLN E NE2 144 GLN E NE2 1 
ATOM 8311  N N   . THR B 2 144 ? 338.082 -83.579  240.717 1.0 72.68088  ? 145 THR E N   145 THR E N   1 
ATOM 8312  C CA  . THR B 2 144 ? 339.371 -83.838  241.336 1.0 72.68088  ? 145 THR E CA  145 THR E CA  1 
ATOM 8313  C C   . THR B 2 144 ? 340.355 -82.759  240.912 1.0 72.68088  ? 145 THR E C   145 THR E C   1 
ATOM 8314  O O   . THR B 2 144 ? 340.278 -82.238  239.797 1.0 72.68088  ? 145 THR E O   145 THR E O   1 
ATOM 8315  C CB  . THR B 2 144 ? 339.915 -85.218  240.953 1.0 72.68088  ? 145 THR E CB  145 THR E CB  1 
ATOM 8316  O OG1 . THR B 2 144 ? 340.121 -85.275  239.538 1.0 72.68088  ? 145 THR E OG1 145 THR E OG1 1 
ATOM 8317  C CG2 . THR B 2 144 ? 338.935 -86.308  241.357 1.0 72.68088  ? 145 THR E CG2 145 THR E CG2 1 
ATOM 8318  N N   . TYR B 2 145 ? 341.284 -82.416  241.808 1.0 77.54259  ? 146 TYR E N   146 TYR E N   1 
ATOM 8319  C CA  . TYR B 2 145 ? 342.231 -81.347  241.517 1.0 77.54259  ? 146 TYR E CA  146 TYR E CA  1 
ATOM 8320  C C   . TYR B 2 145 ? 343.688 -81.743  241.739 1.0 77.54259  ? 146 TYR E C   146 TYR E C   1 
ATOM 8321  O O   . TYR B 2 145 ? 344.547 -80.853  241.788 1.0 77.54259  ? 146 TYR E O   146 TYR E O   1 
ATOM 8322  C CB  . TYR B 2 145 ? 341.889 -80.086  242.325 1.0 77.54259  ? 146 TYR E CB  146 TYR E CB  1 
ATOM 8323  C CG  . TYR B 2 145 ? 341.982 -80.214  243.827 1.0 77.54259  ? 146 TYR E CG  146 TYR E CG  1 
ATOM 8324  C CD1 . TYR B 2 145 ? 340.890 -80.624  244.574 1.0 77.54259  ? 146 TYR E CD1 146 TYR E CD1 1 
ATOM 8325  C CD2 . TYR B 2 145 ? 343.149 -79.882  244.501 1.0 77.54259  ? 146 TYR E CD2 146 TYR E CD2 1 
ATOM 8326  C CE1 . TYR B 2 145 ? 340.968 -80.727  245.946 1.0 77.54259  ? 146 TYR E CE1 146 TYR E CE1 1 
ATOM 8327  C CE2 . TYR B 2 145 ? 343.238 -79.989  245.867 1.0 77.54259  ? 146 TYR E CE2 146 TYR E CE2 1 
ATOM 8328  C CZ  . TYR B 2 145 ? 342.146 -80.410  246.585 1.0 77.54259  ? 146 TYR E CZ  146 TYR E CZ  1 
ATOM 8329  O OH  . TYR B 2 145 ? 342.245 -80.509  247.951 1.0 77.54259  ? 146 TYR E OH  146 TYR E OH  1 
ATOM 8330  N N   . ALA B 2 146 ? 343.978 -83.044  241.867 1.0 80.33253  ? 147 ALA E N   147 ALA E N   1 
ATOM 8331  C CA  . ALA B 2 146 ? 345.326 -83.628  241.843 1.0 80.33253  ? 147 ALA E CA  147 ALA E CA  1 
ATOM 8332  C C   . ALA B 2 146 ? 346.214 -83.077  242.965 1.0 80.33253  ? 147 ALA E C   147 ALA E C   1 
ATOM 8333  O O   . ALA B 2 146 ? 347.191 -82.366  242.736 1.0 80.33253  ? 147 ALA E O   147 ALA E O   1 
ATOM 8334  C CB  . ALA B 2 146 ? 345.987 -83.431  240.472 1.0 80.33253  ? 147 ALA E CB  147 ALA E CB  1 
ATOM 8335  N N   . ALA B 2 147 ? 345.837 -83.421  244.192 1.0 79.49401  ? 148 ALA E N   148 ALA E N   1 
ATOM 8336  C CA  . ALA B 2 147 ? 346.601 -83.041  245.374 1.0 79.49401  ? 148 ALA E CA  148 ALA E CA  1 
ATOM 8337  C C   . ALA B 2 147 ? 347.704 -84.064  245.623 1.0 79.49401  ? 148 ALA E C   148 ALA E C   1 
ATOM 8338  O O   . ALA B 2 147 ? 347.436 -85.266  245.702 1.0 79.49401  ? 148 ALA E O   148 ALA E O   1 
ATOM 8339  C CB  . ALA B 2 147 ? 345.691 -82.931  246.594 1.0 79.49401  ? 148 ALA E CB  148 ALA E CB  1 
ATOM 8340  N N   . GLY B 2 148 ? 348.938 -83.588  245.742 1.0 81.07954  ? 149 GLY E N   149 GLY E N   1 
ATOM 8341  C CA  . GLY B 2 148 ? 350.079 -84.445  245.992 1.0 81.07954  ? 149 GLY E CA  149 GLY E CA  1 
ATOM 8342  C C   . GLY B 2 148 ? 350.657 -84.228  247.378 1.0 81.07954  ? 149 GLY E C   149 GLY E C   1 
ATOM 8343  O O   . GLY B 2 148 ? 350.613 -83.124  247.916 1.0 81.07954  ? 149 GLY E O   149 GLY E O   1 
ATOM 8344  N N   . GLY B 2 149 ? 351.214 -85.298  247.946 1.0 79.99223  ? 150 GLY E N   150 GLY E N   1 
ATOM 8345  C CA  . GLY B 2 149 ? 351.733 -85.233  249.299 1.0 79.99223  ? 150 GLY E CA  150 GLY E CA  1 
ATOM 8346  C C   . GLY B 2 149 ? 350.610 -85.083  250.310 1.0 79.99223  ? 150 GLY E C   150 GLY E C   1 
ATOM 8347  O O   . GLY B 2 149 ? 349.515 -85.623  250.153 1.0 79.99223  ? 150 GLY E O   150 GLY E O   1 
ATOM 8348  N N   . THR B 2 150 ? 350.894 -84.344  251.377 1.0 81.62777  ? 151 THR E N   151 THR E N   1 
ATOM 8349  C CA  . THR B 2 150 ? 349.821 -83.835  252.216 1.0 81.62777  ? 151 THR E CA  151 THR E CA  1 
ATOM 8350  C C   . THR B 2 150 ? 349.140 -82.670  251.500 1.0 81.62777  ? 151 THR E C   151 THR E C   1 
ATOM 8351  O O   . THR B 2 150 ? 349.656 -81.549  251.460 1.0 81.62777  ? 151 THR E O   151 THR E O   1 
ATOM 8352  C CB  . THR B 2 150 ? 350.355 -83.467  253.612 1.0 81.62777  ? 151 THR E CB  151 THR E CB  1 
ATOM 8353  O OG1 . THR B 2 150 ? 349.380 -82.706  254.337 1.0 81.62777  ? 151 THR E OG1 151 THR E OG1 1 
ATOM 8354  C CG2 . THR B 2 150 ? 351.723 -82.766  253.569 1.0 81.62777  ? 151 THR E CG2 151 THR E CG2 1 
ATOM 8355  N N   . GLY B 2 151 ? 347.983 -82.928  250.902 1.0 80.25451  ? 152 GLY E N   152 GLY E N   1 
ATOM 8356  C CA  . GLY B 2 151 ? 347.365 -81.949  250.028 1.0 80.25451  ? 152 GLY E CA  152 GLY E CA  1 
ATOM 8357  C C   . GLY B 2 151 ? 346.725 -80.764  250.722 1.0 80.25451  ? 152 GLY E C   152 GLY E C   1 
ATOM 8358  O O   . GLY B 2 151 ? 345.530 -80.513  250.556 1.0 80.25451  ? 152 GLY E O   152 GLY E O   1 
ATOM 8359  N N   . VAL B 2 152 ? 347.514 -80.009  251.478 1.0 81.98934  ? 153 VAL E N   153 VAL E N   1 
ATOM 8360  C CA  . VAL B 2 152 ? 347.025 -78.835  252.182 1.0 81.98934  ? 153 VAL E CA  153 VAL E CA  1 
ATOM 8361  C C   . VAL B 2 152 ? 347.331 -77.560  251.411 1.0 81.98934  ? 153 VAL E C   153 VAL E C   1 
ATOM 8362  O O   . VAL B 2 152 ? 346.468 -76.694  251.273 1.0 81.98934  ? 153 VAL E O   153 VAL E O   1 
ATOM 8363  C CB  . VAL B 2 152 ? 347.625 -78.787  253.602 1.0 81.98934  ? 153 VAL E CB  153 VAL E CB  1 
ATOM 8364  C CG1 . VAL B 2 152 ? 347.122 -77.574  254.364 1.0 81.98934  ? 153 VAL E CG1 153 VAL E CG1 1 
ATOM 8365  C CG2 . VAL B 2 152 ? 347.306 -80.062  254.345 1.0 81.98934  ? 153 VAL E CG2 153 VAL E CG2 1 
ATOM 8366  N N   . THR B 2 153 ? 348.542 -77.456  250.859 1.0 82.54248  ? 154 THR E N   154 THR E N   1 
ATOM 8367  C CA  . THR B 2 153 ? 348.958 -76.288  250.092 1.0 82.54248  ? 154 THR E CA  154 THR E CA  1 
ATOM 8368  C C   . THR B 2 153 ? 348.242 -76.154  248.757 1.0 82.54248  ? 154 THR E C   154 THR E C   1 
ATOM 8369  O O   . THR B 2 153 ? 348.378 -75.113  248.108 1.0 82.54248  ? 154 THR E O   154 THR E O   1 
ATOM 8370  C CB  . THR B 2 153 ? 350.464 -76.336  249.849 1.0 82.54248  ? 154 THR E CB  154 THR E CB  1 
ATOM 8371  O OG1 . THR B 2 153 ? 350.881 -75.137  249.185 1.0 82.54248  ? 154 THR E OG1 154 THR E OG1 1 
ATOM 8372  C CG2 . THR B 2 153 ? 350.825 -77.545  249.007 1.0 82.54248  ? 154 THR E CG2 154 THR E CG2 1 
ATOM 8373  N N   . GLU B 2 154 ? 347.506 -77.170  248.320 1.0 82.12283  ? 155 GLU E N   155 GLU E N   1 
ATOM 8374  C CA  . GLU B 2 154 ? 346.672 -77.060  247.138 1.0 82.12283  ? 155 GLU E CA  155 GLU E CA  1 
ATOM 8375  C C   . GLU B 2 154 ? 345.195 -77.022  247.484 1.0 82.12283  ? 155 GLU E C   155 GLU E C   1 
ATOM 8376  O O   . GLU B 2 154 ? 344.369 -76.790  246.598 1.0 82.12283  ? 155 GLU E O   155 GLU E O   1 
ATOM 8377  C CB  . GLU B 2 154 ? 346.962 -78.213  246.176 1.0 82.12283  ? 155 GLU E CB  155 GLU E CB  1 
ATOM 8378  C CG  . GLU B 2 154 ? 348.403 -78.228  245.713 1.0 82.12283  ? 155 GLU E CG  155 GLU E CG  1 
ATOM 8379  C CD  . GLU B 2 154 ? 348.697 -79.330  244.722 1.0 82.12283  ? 155 GLU E CD  155 GLU E CD  1 
ATOM 8380  O OE1 . GLU B 2 154 ? 347.773 -80.100  244.412 1.0 82.12283  ? 155 GLU E OE1 155 GLU E OE1 1 
ATOM 8381  O OE2 . GLU B 2 154 ? 349.856 -79.434  244.273 1.0 82.12283  ? 155 GLU E OE2 155 GLU E OE2 1 
ATOM 8382  N N   . ALA B 2 155 ? 344.842 -77.248  248.746 1.0 79.63874  ? 156 ALA E N   156 ALA E N   1 
ATOM 8383  C CA  . ALA B 2 155 ? 343.480 -77.022  249.200 1.0 79.63874  ? 156 ALA E CA  156 ALA E CA  1 
ATOM 8384  C C   . ALA B 2 155 ? 343.244 -75.573  249.585 1.0 79.63874  ? 156 ALA E C   156 ALA E C   1 
ATOM 8385  O O   . ALA B 2 155 ? 342.112 -75.088  249.481 1.0 79.63874  ? 156 ALA E O   156 ALA E O   1 
ATOM 8386  C CB  . ALA B 2 155 ? 343.156 -77.931  250.387 1.0 79.63874  ? 156 ALA E CB  156 ALA E CB  1 
ATOM 8387  N N   . ILE B 2 156 ? 344.290 -74.871  250.028 1.0 79.70853  ? 157 ILE E N   157 ILE E N   1 
ATOM 8388  C CA  . ILE B 2 156 ? 344.163 -73.442  250.281 1.0 79.70853  ? 157 ILE E CA  157 ILE E CA  1 
ATOM 8389  C C   . ILE B 2 156 ? 344.081 -72.695  248.958 1.0 79.70853  ? 157 ILE E C   157 ILE E C   1 
ATOM 8390  O O   . ILE B 2 156 ? 343.424 -71.651  248.857 1.0 79.70853  ? 157 ILE E O   157 ILE E O   1 
ATOM 8391  C CB  . ILE B 2 156 ? 345.332 -72.948  251.152 1.0 79.70853  ? 157 ILE E CB  157 ILE E CB  1 
ATOM 8392  C CG1 . ILE B 2 156 ? 345.472 -73.820  252.394 1.0 79.70853  ? 157 ILE E CG1 157 ILE E CG1 1 
ATOM 8393  C CG2 . ILE B 2 156 ? 345.090 -71.532  251.623 1.0 79.70853  ? 157 ILE E CG2 157 ILE E CG2 1 
ATOM 8394  C CD1 . ILE B 2 156 ? 344.254 -73.832  253.281 1.0 79.70853  ? 157 ILE E CD1 157 ILE E CD1 1 
ATOM 8395  N N   . GLN B 2 157 ? 344.691 -73.242  247.911 1.0 80.12941  ? 158 GLN E N   158 GLN E N   1 
ATOM 8396  C CA  . GLN B 2 157 ? 344.534 -72.715  246.564 1.0 80.12941  ? 158 GLN E CA  158 GLN E CA  1 
ATOM 8397  C C   . GLN B 2 157 ? 343.181 -73.150  246.003 1.0 80.12941  ? 158 GLN E C   158 GLN E C   1 
ATOM 8398  O O   . GLN B 2 157 ? 342.365 -73.761  246.701 1.0 80.12941  ? 158 GLN E O   158 GLN E O   1 
ATOM 8399  C CB  . GLN B 2 157 ? 345.684 -73.175  245.675 1.0 80.12941  ? 158 GLN E CB  158 GLN E CB  1 
ATOM 8400  C CG  . GLN B 2 157 ? 347.035 -72.620  246.059 1.0 80.12941  ? 158 GLN E CG  158 GLN E CG  1 
ATOM 8401  C CD  . GLN B 2 157 ? 348.123 -73.072  245.113 1.0 80.12941  ? 158 GLN E CD  158 GLN E CD  1 
ATOM 8402  O OE1 . GLN B 2 157 ? 347.874 -73.852  244.197 1.0 80.12941  ? 158 GLN E OE1 158 GLN E OE1 1 
ATOM 8403  N NE2 . GLN B 2 157 ? 349.336 -72.584  245.327 1.0 80.12941  ? 158 GLN E NE2 158 GLN E NE2 1 
ATOM 8404  N N   . GLN B 2 158 ? 342.968 -72.870  244.708 1.0 80.9091   ? 159 GLN E N   159 GLN E N   1 
ATOM 8405  C CA  . GLN B 2 158 ? 341.710 -72.990  243.961 1.0 80.9091   ? 159 GLN E CA  159 GLN E CA  1 
ATOM 8406  C C   . GLN B 2 158 ? 340.533 -72.438  244.768 1.0 80.9091   ? 159 GLN E C   159 GLN E C   1 
ATOM 8407  O O   . GLN B 2 158 ? 339.653 -73.173  245.228 1.0 80.9091   ? 159 GLN E O   159 GLN E O   1 
ATOM 8408  C CB  . GLN B 2 158 ? 341.503 -74.423  243.401 1.0 80.9091   ? 159 GLN E CB  159 GLN E CB  1 
ATOM 8409  C CG  . GLN B 2 158 ? 341.529 -75.664  244.291 1.0 80.9091   ? 159 GLN E CG  159 GLN E CG  1 
ATOM 8410  C CD  . GLN B 2 158 ? 340.160 -76.112  244.712 1.0 80.9091   ? 159 GLN E CD  159 GLN E CD  1 
ATOM 8411  O OE1 . GLN B 2 158 ? 339.186 -75.938  243.987 1.0 80.9091   ? 159 GLN E OE1 159 GLN E OE1 1 
ATOM 8412  N NE2 . GLN B 2 158 ? 340.072 -76.679  245.898 1.0 80.9091   ? 159 GLN E NE2 159 GLN E NE2 1 
ATOM 8413  N N   . GLN B 2 159 ? 340.572 -71.122  244.971 1.0 82.89685  ? 160 GLN E N   160 GLN E N   1 
ATOM 8414  C CA  . GLN B 2 159 ? 339.605 -70.402  245.787 1.0 82.89685  ? 160 GLN E CA  160 GLN E CA  1 
ATOM 8415  C C   . GLN B 2 159 ? 338.190 -70.535  245.229 1.0 82.89685  ? 160 GLN E C   160 GLN E C   1 
ATOM 8416  O O   . GLN B 2 159 ? 337.985 -70.754  244.032 1.0 82.89685  ? 160 GLN E O   160 GLN E O   1 
ATOM 8417  C CB  . GLN B 2 159 ? 340.020 -68.932  245.882 1.0 82.89685  ? 160 GLN E CB  160 GLN E CB  1 
ATOM 8418  C CG  . GLN B 2 159 ? 339.964 -68.163  244.566 1.0 82.89685  ? 160 GLN E CG  160 GLN E CG  1 
ATOM 8419  C CD  . GLN B 2 159 ? 341.216 -68.276  243.723 1.0 82.89685  ? 160 GLN E CD  160 GLN E CD  1 
ATOM 8420  O OE1 . GLN B 2 159 ? 342.065 -69.129  243.964 1.0 82.89685  ? 160 GLN E OE1 160 GLN E OE1 1 
ATOM 8421  N NE2 . GLN B 2 159 ? 341.323 -67.425  242.707 1.0 82.89685  ? 160 GLN E NE2 160 GLN E NE2 1 
ATOM 8422  N N   . VAL B 2 160 ? 337.207 -70.418  246.122 1.0 79.98193  ? 161 VAL E N   161 VAL E N   1 
ATOM 8423  C CA  . VAL B 2 160 ? 335.830 -70.803  245.845 1.0 79.98193  ? 161 VAL E CA  161 VAL E CA  1 
ATOM 8424  C C   . VAL B 2 160 ? 334.896 -69.634  246.121 1.0 79.98193  ? 161 VAL E C   161 VAL E C   1 
ATOM 8425  O O   . VAL B 2 160 ? 335.227 -68.692  246.846 1.0 79.98193  ? 161 VAL E O   161 VAL E O   1 
ATOM 8426  C CB  . VAL B 2 160 ? 335.406 -72.023  246.678 1.0 79.98193  ? 161 VAL E CB  161 VAL E CB  1 
ATOM 8427  C CG1 . VAL B 2 160 ? 336.213 -73.246  246.290 1.0 79.98193  ? 161 VAL E CG1 161 VAL E CG1 1 
ATOM 8428  C CG2 . VAL B 2 160 ? 335.585 -71.714  248.146 1.0 79.98193  ? 161 VAL E CG2 161 VAL E CG2 1 
ATOM 8429  N N   . SER B 2 161 ? 333.709 -69.713  245.534 1.0 76.5125   ? 162 SER E N   162 SER E N   1 
ATOM 8430  C CA  . SER B 2 161 ? 332.707 -68.661  245.646 1.0 76.5125   ? 162 SER E CA  162 SER E CA  1 
ATOM 8431  C C   . SER B 2 161 ? 331.337 -69.316  245.738 1.0 76.5125   ? 162 SER E C   162 SER E C   1 
ATOM 8432  O O   . SER B 2 161 ? 331.226 -70.522  245.981 1.0 76.5125   ? 162 SER E O   162 SER E O   1 
ATOM 8433  C CB  . SER B 2 161 ? 332.806 -67.688  244.461 1.0 76.5125   ? 162 SER E CB  162 SER E CB  1 
ATOM 8434  O OG  . SER B 2 161 ? 331.777 -66.716  244.519 1.0 76.5125   ? 162 SER E OG  162 SER E OG  1 
ATOM 8435  N N   . GLY B 2 162 ? 330.287 -68.517  245.549 1.0 73.9288   ? 163 GLY E N   163 GLY E N   1 
ATOM 8436  C CA  . GLY B 2 162 ? 328.944 -69.062  245.557 1.0 73.9288   ? 163 GLY E CA  163 GLY E CA  1 
ATOM 8437  C C   . GLY B 2 162 ? 328.617 -69.864  244.316 1.0 73.9288   ? 163 GLY E C   163 GLY E C   1 
ATOM 8438  O O   . GLY B 2 162 ? 327.748 -70.739  244.353 1.0 73.9288   ? 163 GLY E O   163 GLY E O   1 
ATOM 8439  N N   . VAL B 2 163 ? 329.294 -69.580  243.202 1.0 72.50123  ? 164 VAL E N   164 VAL E N   1 
ATOM 8440  C CA  . VAL B 2 163 ? 329.076 -70.297  241.953 1.0 72.50123  ? 164 VAL E CA  164 VAL E CA  1 
ATOM 8441  C C   . VAL B 2 163 ? 330.350 -70.895  241.382 1.0 72.50123  ? 164 VAL E C   164 VAL E C   1 
ATOM 8442  O O   . VAL B 2 163 ? 330.292 -71.565  240.351 1.0 72.50123  ? 164 VAL E O   164 VAL E O   1 
ATOM 8443  C CB  . VAL B 2 163 ? 328.407 -69.398  240.893 1.0 72.50123  ? 164 VAL E CB  164 VAL E CB  1 
ATOM 8444  C CG1 . VAL B 2 163 ? 327.022 -68.978  241.328 1.0 72.50123  ? 164 VAL E CG1 164 VAL E CG1 1 
ATOM 8445  C CG2 . VAL B 2 163 ? 329.270 -68.185  240.618 1.0 72.50123  ? 164 VAL E CG2 164 VAL E CG2 1 
ATOM 8446  N N   . ASP B 2 164 ? 331.508 -70.668  242.006 1.0 77.11125  ? 165 ASP E N   165 ASP E N   1 
ATOM 8447  C CA  . ASP B 2 164 ? 332.771 -71.083  241.400 1.0 77.11125  ? 165 ASP E CA  165 ASP E CA  1 
ATOM 8448  C C   . ASP B 2 164 ? 333.000 -72.595  241.482 1.0 77.11125  ? 165 ASP E C   165 ASP E C   1 
ATOM 8449  O O   . ASP B 2 164 ? 333.572 -73.156  240.541 1.0 77.11125  ? 165 ASP E O   165 ASP E O   1 
ATOM 8450  C CB  . ASP B 2 164 ? 333.945 -70.307  242.008 1.0 77.11125  ? 165 ASP E CB  165 ASP E CB  1 
ATOM 8451  C CG  . ASP B 2 164 ? 335.254 -70.587  241.299 1.0 77.11125  ? 165 ASP E CG  165 ASP E CG  1 
ATOM 8452  O OD1 . ASP B 2 164 ? 335.439 -70.083  240.172 1.0 77.11125  ? 165 ASP E OD1 165 ASP E OD1 1 
ATOM 8453  O OD2 . ASP B 2 164 ? 336.095 -71.314  241.867 1.0 77.11125  ? 165 ASP E OD2 165 ASP E OD2 1 
ATOM 8454  N N   . PRO B 2 165 ? 332.595 -73.306  242.541 1.0 70.66135  ? 166 PRO E N   166 PRO E N   1 
ATOM 8455  C CA  . PRO B 2 165 ? 332.330 -74.735  242.353 1.0 70.66135  ? 166 PRO E CA  166 PRO E CA  1 
ATOM 8456  C C   . PRO B 2 165 ? 330.895 -74.929  241.893 1.0 70.66135  ? 166 PRO E C   166 PRO E C   1 
ATOM 8457  O O   . PRO B 2 165 ? 329.972 -74.257  242.359 1.0 70.66135  ? 166 PRO E O   166 PRO E O   1 
ATOM 8458  C CB  . PRO B 2 165 ? 332.576 -75.336  243.740 1.0 70.66135  ? 166 PRO E CB  166 PRO E CB  1 
ATOM 8459  C CG  . PRO B 2 165 ? 332.288 -74.254  244.655 1.0 70.66135  ? 166 PRO E CG  166 PRO E CG  1 
ATOM 8460  C CD  . PRO B 2 165 ? 332.701 -72.990  243.981 1.0 70.66135  ? 166 PRO E CD  166 PRO E CD  1 
ATOM 8461  N N   . ASN B 2 166 ? 330.716 -75.839  240.944 1.0 64.63599  ? 167 ASN E N   167 ASN E N   1 
ATOM 8462  C CA  . ASN B 2 166 ? 329.448 -76.008  240.269 1.0 64.63599  ? 167 ASN E CA  167 ASN E CA  1 
ATOM 8463  C C   . ASN B 2 166 ? 328.902 -77.395  240.575 1.0 64.63599  ? 167 ASN E C   167 ASN E C   1 
ATOM 8464  O O   . ASN B 2 166 ? 329.621 -78.388  240.397 1.0 64.63599  ? 167 ASN E O   167 ASN E O   1 
ATOM 8465  C CB  . ASN B 2 166 ? 329.638 -75.830  238.749 1.0 64.63599  ? 167 ASN E CB  167 ASN E CB  1 
ATOM 8466  C CG  . ASN B 2 166 ? 328.388 -75.329  238.039 1.0 64.63599  ? 167 ASN E CG  167 ASN E CG  1 
ATOM 8467  O OD1 . ASN B 2 166 ? 328.460 -74.867  236.901 1.0 64.63599  ? 167 ASN E OD1 167 ASN E OD1 1 
ATOM 8468  N ND2 . ASN B 2 166 ? 327.249 -75.409  238.700 1.0 64.63599  ? 167 ASN E ND2 167 ASN E ND2 1 
ATOM 8469  N N   . PRO B 2 167 ? 327.659 -77.513  241.049 1.0 60.67101  ? 168 PRO E N   168 PRO E N   1 
ATOM 8470  C CA  . PRO B 2 167 ? 327.061 -78.847  241.203 1.0 60.67101  ? 168 PRO E CA  168 PRO E CA  1 
ATOM 8471  C C   . PRO B 2 167 ? 326.729 -79.530  239.892 1.0 60.67101  ? 168 PRO E C   168 PRO E C   1 
ATOM 8472  O O   . PRO B 2 167 ? 326.374 -80.712  239.908 1.0 60.67101  ? 168 PRO E O   168 PRO E O   1 
ATOM 8473  C CB  . PRO B 2 167 ? 325.792 -78.569  242.014 1.0 60.67101  ? 168 PRO E CB  168 PRO E CB  1 
ATOM 8474  C CG  . PRO B 2 167 ? 326.087 -77.318  242.733 1.0 60.67101  ? 168 PRO E CG  168 PRO E CG  1 
ATOM 8475  C CD  . PRO B 2 167 ? 326.913 -76.498  241.804 1.0 60.67101  ? 168 PRO E CD  168 PRO E CD  1 
ATOM 8476  N N   . GLN B 2 168 ? 326.815 -78.834  238.764 1.0 62.45663  ? 169 GLN E N   169 GLN E N   1 
ATOM 8477  C CA  . GLN B 2 168 ? 326.589 -79.465  237.476 1.0 62.45663  ? 169 GLN E CA  169 GLN E CA  1 
ATOM 8478  C C   . GLN B 2 168 ? 327.872 -79.951  236.827 1.0 62.45663  ? 169 GLN E C   169 GLN E C   1 
ATOM 8479  O O   . GLN B 2 168 ? 327.867 -81.005  236.188 1.0 62.45663  ? 169 GLN E O   169 GLN E O   1 
ATOM 8480  C CB  . GLN B 2 168 ? 325.878 -78.495  236.536 1.0 62.45663  ? 169 GLN E CB  169 GLN E CB  1 
ATOM 8481  C CG  . GLN B 2 168 ? 324.478 -78.174  236.972 1.0 62.45663  ? 169 GLN E CG  169 GLN E CG  1 
ATOM 8482  C CD  . GLN B 2 168 ? 323.800 -77.201  236.050 1.0 62.45663  ? 169 GLN E CD  169 GLN E CD  1 
ATOM 8483  O OE1 . GLN B 2 168 ? 324.412 -76.679  235.124 1.0 62.45663  ? 169 GLN E OE1 169 GLN E OE1 1 
ATOM 8484  N NE2 . GLN B 2 168 ? 322.522 -76.959  236.288 1.0 62.45663  ? 169 GLN E NE2 169 GLN E NE2 1 
ATOM 8485  N N   . VAL B 2 169 ? 328.968 -79.217  236.968 1.0 62.73193  ? 170 VAL E N   170 VAL E N   1 
ATOM 8486  C CA  . VAL B 2 169 ? 330.230 -79.633  236.372 1.0 62.73193  ? 170 VAL E CA  170 VAL E CA  1 
ATOM 8487  C C   . VAL B 2 169 ? 330.829 -80.743  237.220 1.0 62.73193  ? 170 VAL E C   170 VAL E C   1 
ATOM 8488  O O   . VAL B 2 169 ? 331.087 -80.556  238.414 1.0 62.73193  ? 170 VAL E O   170 VAL E O   1 
ATOM 8489  C CB  . VAL B 2 169 ? 331.202 -78.450  236.257 1.0 62.73193  ? 170 VAL E CB  170 VAL E CB  1 
ATOM 8490  C CG1 . VAL B 2 169 ? 332.506 -78.905  235.626 1.0 62.73193  ? 170 VAL E CG1 170 VAL E CG1 1 
ATOM 8491  C CG2 . VAL B 2 169 ? 330.593 -77.330  235.461 1.0 62.73193  ? 170 VAL E CG2 170 VAL E CG2 1 
ATOM 8492  N N   . GLY B 2 170 ? 331.057 -81.898  236.606 1.0 65.92874  ? 171 GLY E N   171 GLY E N   1 
ATOM 8493  C CA  . GLY B 2 170 ? 331.676 -83.010  237.296 1.0 65.92874  ? 171 GLY E CA  171 GLY E CA  1 
ATOM 8494  C C   . GLY B 2 170 ? 332.940 -83.474  236.606 1.0 65.92874  ? 171 GLY E C   171 GLY E C   1 
ATOM 8495  O O   . GLY B 2 170 ? 333.716 -82.653  236.112 1.0 65.92874  ? 171 GLY E O   171 GLY E O   1 
ATOM 8496  N N   . GLN B 2 171 ? 333.162 -84.784  236.580 1.0 68.5411   ? 172 GLN E N   172 GLN E N   1 
ATOM 8497  C CA  . GLN B 2 171 ? 334.238 -85.350  235.787 1.0 68.5411   ? 172 GLN E CA  172 GLN E CA  1 
ATOM 8498  C C   . GLN B 2 171 ? 333.968 -85.119  234.301 1.0 68.5411   ? 172 GLN E C   172 GLN E C   1 
ATOM 8499  O O   . GLN B 2 171 ? 332.809 -85.013  233.891 1.0 68.5411   ? 172 GLN E O   172 GLN E O   1 
ATOM 8500  C CB  . GLN B 2 171 ? 334.373 -86.842  236.082 1.0 68.5411   ? 172 GLN E CB  172 GLN E CB  1 
ATOM 8501  C CG  . GLN B 2 171 ? 334.975 -87.114  237.435 1.0 68.5411   ? 172 GLN E CG  172 GLN E CG  1 
ATOM 8502  C CD  . GLN B 2 171 ? 336.412 -86.655  237.504 1.0 68.5411   ? 172 GLN E CD  172 GLN E CD  1 
ATOM 8503  O OE1 . GLN B 2 171 ? 336.723 -85.624  238.105 1.0 68.5411   ? 172 GLN E OE1 172 GLN E OE1 1 
ATOM 8504  N NE2 . GLN B 2 171 ? 337.303 -87.423  236.897 1.0 68.5411   ? 172 GLN E NE2 172 GLN E NE2 1 
ATOM 8505  N N   . PRO B 2 172 ? 335.016 -85.007  233.480 1.0 68.2448   ? 173 PRO E N   173 PRO E N   1 
ATOM 8506  C CA  . PRO B 2 172 ? 334.806 -84.784  232.046 1.0 68.2448   ? 173 PRO E CA  173 PRO E CA  1 
ATOM 8507  C C   . PRO B 2 172 ? 334.153 -85.977  231.370 1.0 68.2448   ? 173 PRO E C   173 PRO E C   1 
ATOM 8508  O O   . PRO B 2 172 ? 334.088 -87.080  231.919 1.0 68.2448   ? 173 PRO E O   173 PRO E O   1 
ATOM 8509  C CB  . PRO B 2 172 ? 336.221 -84.552  231.509 1.0 68.2448   ? 173 PRO E CB  173 PRO E CB  1 
ATOM 8510  C CG  . PRO B 2 172 ? 337.110 -85.199  232.495 1.0 68.2448   ? 173 PRO E CG  173 PRO E CG  1 
ATOM 8511  C CD  . PRO B 2 172 ? 336.451 -84.993  233.817 1.0 68.2448   ? 173 PRO E CD  173 PRO E CD  1 
ATOM 8512  N N   . ASN B 2 173 ? 333.636 -85.720  230.170 1.0 67.93681  ? 174 ASN E N   174 ASN E N   1 
ATOM 8513  C CA  . ASN B 2 173 ? 332.936 -86.744  229.409 1.0 67.93681  ? 174 ASN E CA  174 ASN E CA  1 
ATOM 8514  C C   . ASN B 2 173 ? 333.891 -87.861  229.017 1.0 67.93681  ? 174 ASN E C   174 ASN E C   1 
ATOM 8515  O O   . ASN B 2 173 ? 335.065 -87.613  228.721 1.0 67.93681  ? 174 ASN E O   174 ASN E O   1 
ATOM 8516  C CB  . ASN B 2 173 ? 332.296 -86.138  228.162 1.0 67.93681  ? 174 ASN E CB  174 ASN E CB  1 
ATOM 8517  C CG  . ASN B 2 173 ? 331.114 -85.251  228.487 1.0 67.93681  ? 174 ASN E CG  174 ASN E CG  1 
ATOM 8518  O OD1 . ASN B 2 173 ? 330.285 -85.586  229.332 1.0 67.93681  ? 174 ASN E OD1 174 ASN E OD1 1 
ATOM 8519  N ND2 . ASN B 2 173 ? 331.029 -84.111  227.815 1.0 67.93681  ? 174 ASN E ND2 174 ASN E ND2 1 
ATOM 8520  N N   . TYR B 2 174 ? 333.377 -89.094  229.078 1.0 70.28845  ? 175 TYR E N   175 TYR E N   1 
ATOM 8521  C CA  . TYR B 2 174 ? 334.104 -90.329  228.771 1.0 70.28845  ? 175 TYR E CA  175 TYR E CA  1 
ATOM 8522  C C   . TYR B 2 174 ? 335.304 -90.546  229.680 1.0 70.28845  ? 175 TYR E C   175 TYR E C   1 
ATOM 8523  O O   . TYR B 2 174 ? 336.315 -91.117  229.265 1.0 70.28845  ? 175 TYR E O   175 TYR E O   1 
ATOM 8524  C CB  . TYR B 2 174 ? 334.539 -90.378  227.314 1.0 70.28845  ? 175 TYR E CB  175 TYR E CB  1 
ATOM 8525  C CG  . TYR B 2 174 ? 333.389 -90.450  226.375 1.0 70.28845  ? 175 TYR E CG  175 TYR E CG  1 
ATOM 8526  C CD1 . TYR B 2 174 ? 332.810 -91.667  226.075 1.0 70.28845  ? 175 TYR E CD1 175 TYR E CD1 1 
ATOM 8527  C CD2 . TYR B 2 174 ? 332.858 -89.300  225.810 1.0 70.28845  ? 175 TYR E CD2 175 TYR E CD2 1 
ATOM 8528  C CE1 . TYR B 2 174 ? 331.761 -91.746  225.224 1.0 70.28845  ? 175 TYR E CE1 175 TYR E CE1 1 
ATOM 8529  C CE2 . TYR B 2 174 ? 331.795 -89.368  224.957 1.0 70.28845  ? 175 TYR E CE2 175 TYR E CE2 1 
ATOM 8530  C CZ  . TYR B 2 174 ? 331.253 -90.598  224.675 1.0 70.28845  ? 175 TYR E CZ  175 TYR E CZ  1 
ATOM 8531  O OH  . TYR B 2 174 ? 330.196 -90.707  223.831 1.0 70.28845  ? 175 TYR E OH  175 TYR E OH  1 
ATOM 8532  N N   . ALA B 2 175 ? 335.204 -90.104  230.930 1.0 71.72791  ? 176 ALA E N   176 ALA E N   1 
ATOM 8533  C CA  . ALA B 2 175 ? 336.162 -90.559  231.922 1.0 71.72791  ? 176 ALA E CA  176 ALA E CA  1 
ATOM 8534  C C   . ALA B 2 175 ? 335.891 -91.997  232.335 1.0 71.72791  ? 176 ALA E C   176 ALA E C   1 
ATOM 8535  O O   . ALA B 2 175 ? 336.790 -92.660  232.861 1.0 71.72791  ? 176 ALA E O   176 ALA E O   1 
ATOM 8536  C CB  . ALA B 2 175 ? 336.136 -89.641  233.142 1.0 71.72791  ? 176 ALA E CB  176 ALA E CB  1 
ATOM 8537  N N   . GLY B 2 176 ? 334.679 -92.492  232.095 1.0 72.77458  ? 177 GLY E N   177 GLY E N   1 
ATOM 8538  C CA  . GLY B 2 176 ? 334.308 -93.832  232.468 1.0 72.77458  ? 177 GLY E CA  177 GLY E CA  1 
ATOM 8539  C C   . GLY B 2 176 ? 334.124 -93.956  233.963 1.0 72.77458  ? 177 GLY E C   177 GLY E C   1 
ATOM 8540  O O   . GLY B 2 176 ? 333.981 -92.960  234.678 1.0 72.77458  ? 177 GLY E O   177 GLY E O   1 
ATOM 8541  N N   . PRO B 2 177 ? 334.121 -95.181  234.468 1.0 73.70155  ? 178 PRO E N   178 PRO E N   1 
ATOM 8542  C CA  . PRO B 2 177 ? 334.042 -95.385  235.925 1.0 73.70155  ? 178 PRO E CA  178 PRO E CA  1 
ATOM 8543  C C   . PRO B 2 177 ? 335.422 -95.295  236.564 1.0 73.70155  ? 178 PRO E C   178 PRO E C   1 
ATOM 8544  O O   . PRO B 2 177 ? 336.011 -96.279  237.025 1.0 73.70155  ? 178 PRO E O   178 PRO E O   1 
ATOM 8545  C CB  . PRO B 2 177 ? 333.427 -96.783  236.026 1.0 73.70155  ? 178 PRO E CB  178 PRO E CB  1 
ATOM 8546  C CG  . PRO B 2 177 ? 333.938 -97.476  234.824 1.0 73.70155  ? 178 PRO E CG  178 PRO E CG  1 
ATOM 8547  C CD  . PRO B 2 177 ? 334.039 -96.449  233.732 1.0 73.70155  ? 178 PRO E CD  178 PRO E CD  1 
ATOM 8548  N N   . VAL B 2 178 ? 335.963 -94.078  236.584 1.0 74.99291  ? 179 VAL E N   179 VAL E N   1 
ATOM 8549  C CA  . VAL B 2 178 ? 337.324 -93.870  237.057 1.0 74.99291  ? 179 VAL E CA  179 VAL E CA  1 
ATOM 8550  C C   . VAL B 2 178 ? 337.365 -94.011  238.575 1.0 74.99291  ? 179 VAL E C   179 VAL E C   1 
ATOM 8551  O O   . VAL B 2 178 ? 336.481 -93.526  239.294 1.0 74.99291  ? 179 VAL E O   179 VAL E O   1 
ATOM 8552  C CB  . VAL B 2 178 ? 337.862 -92.514  236.561 1.0 74.99291  ? 179 VAL E CB  179 VAL E CB  1 
ATOM 8553  C CG1 . VAL B 2 178 ? 337.001 -91.340  237.022 1.0 74.99291  ? 179 VAL E CG1 179 VAL E CG1 1 
ATOM 8554  C CG2 . VAL B 2 178 ? 339.317 -92.316  236.968 1.0 74.99291  ? 179 VAL E CG2 179 VAL E CG2 1 
ATOM 8555  N N   . VAL B 2 179 ? 338.349 -94.758  239.062 1.0 75.40608  ? 180 VAL E N   180 VAL E N   1 
ATOM 8556  C CA  . VAL B 2 179 ? 338.559 -94.931  240.492 1.0 75.40608  ? 180 VAL E CA  180 VAL E CA  1 
ATOM 8557  C C   . VAL B 2 179 ? 339.497 -93.819  240.937 1.0 75.40608  ? 180 VAL E C   180 VAL E C   1 
ATOM 8558  O O   . VAL B 2 179 ? 340.675 -93.807  240.572 1.0 75.40608  ? 180 VAL E O   180 VAL E O   1 
ATOM 8559  C CB  . VAL B 2 179 ? 339.134 -96.313  240.814 1.0 75.40608  ? 180 VAL E CB  180 VAL E CB  1 
ATOM 8560  C CG1 . VAL B 2 179 ? 339.434 -96.428  242.297 1.0 75.40608  ? 180 VAL E CG1 180 VAL E CG1 1 
ATOM 8561  C CG2 . VAL B 2 179 ? 338.169 -97.398  240.373 1.0 75.40608  ? 180 VAL E CG2 180 VAL E CG2 1 
ATOM 8562  N N   . VAL B 2 180 ? 338.969 -92.873  241.708 1.0 74.91273  ? 181 VAL E N   181 VAL E N   1 
ATOM 8563  C CA  . VAL B 2 180 ? 339.756 -91.724  242.139 1.0 74.91273  ? 181 VAL E CA  181 VAL E CA  1 
ATOM 8564  C C   . VAL B 2 180 ? 340.743 -92.173  243.205 1.0 74.91273  ? 181 VAL E C   181 VAL E C   1 
ATOM 8565  O O   . VAL B 2 180 ? 340.351 -92.600  244.297 1.0 74.91273  ? 181 VAL E O   181 VAL E O   1 
ATOM 8566  C CB  . VAL B 2 180 ? 338.852 -90.600  242.653 1.0 74.91273  ? 181 VAL E CB  181 VAL E CB  1 
ATOM 8567  C CG1 . VAL B 2 180 ? 339.689 -89.482  243.240 1.0 74.91273  ? 181 VAL E CG1 181 VAL E CG1 1 
ATOM 8568  C CG2 . VAL B 2 180 ? 337.985 -90.071  241.528 1.0 74.91273  ? 181 VAL E CG2 181 VAL E CG2 1 
ATOM 8569  N N   . ASN B 2 181 ? 342.029 -92.091  242.885 1.0 75.98567  ? 182 ASN E N   182 ASN E N   1 
ATOM 8570  C CA  . ASN B 2 181 ? 343.082 -92.437  243.832 1.0 75.98567  ? 182 ASN E CA  182 ASN E CA  1 
ATOM 8571  C C   . ASN B 2 181 ? 343.185 -91.310  244.846 1.0 75.98567  ? 182 ASN E C   182 ASN E C   1 
ATOM 8572  O O   . ASN B 2 181 ? 343.675 -90.222  244.538 1.0 75.98567  ? 182 ASN E O   182 ASN E O   1 
ATOM 8573  C CB  . ASN B 2 181 ? 344.401 -92.659  243.101 1.0 75.98567  ? 182 ASN E CB  182 ASN E CB  1 
ATOM 8574  C CG  . ASN B 2 181 ? 345.455 -93.312  243.976 1.0 75.98567  ? 182 ASN E CG  182 ASN E CG  1 
ATOM 8575  O OD1 . ASN B 2 181 ? 345.215 -93.621  245.142 1.0 75.98567  ? 182 ASN E OD1 182 ASN E OD1 1 
ATOM 8576  N ND2 . ASN B 2 181 ? 346.636 -93.526  243.410 1.0 75.98567  ? 182 ASN E ND2 182 ASN E ND2 1 
ATOM 8577  N N   . THR B 2 182 ? 342.710 -91.572  246.065 1.0 75.73355  ? 183 THR E N   183 THR E N   1 
ATOM 8578  C CA  . THR B 2 182 ? 342.695 -90.554  247.109 1.0 75.73355  ? 183 THR E CA  183 THR E CA  1 
ATOM 8579  C C   . THR B 2 182 ? 344.109 -90.220  247.573 1.0 75.73355  ? 183 THR E C   183 THR E C   1 
ATOM 8580  O O   . THR B 2 182 ? 344.386 -89.082  247.972 1.0 75.73355  ? 183 THR E O   183 THR E O   1 
ATOM 8581  C CB  . THR B 2 182 ? 341.828 -91.047  248.267 1.0 75.73355  ? 183 THR E CB  183 THR E CB  1 
ATOM 8582  O OG1 . THR B 2 182 ? 340.557 -91.456  247.752 1.0 75.73355  ? 183 THR E OG1 183 THR E OG1 1 
ATOM 8583  C CG2 . THR B 2 182 ? 341.581 -89.948  249.269 1.0 75.73355  ? 183 THR E CG2 183 THR E CG2 1 
ATOM 8584  N N   . THR B 2 183 ? 345.026 -91.184  247.481 1.0 76.32013  ? 184 THR E N   184 THR E N   1 
ATOM 8585  C CA  . THR B 2 183 ? 346.436 -90.919  247.732 1.0 76.32013  ? 184 THR E CA  184 THR E CA  1 
ATOM 8586  C C   . THR B 2 183 ? 347.041 -90.038  246.637 1.0 76.32013  ? 184 THR E C   184 THR E C   1 
ATOM 8587  O O   . THR B 2 183 ? 348.036 -89.346  246.881 1.0 76.32013  ? 184 THR E O   184 THR E O   1 
ATOM 8588  C CB  . THR B 2 183 ? 347.170 -92.263  247.856 1.0 76.32013  ? 184 THR E CB  184 THR E CB  1 
ATOM 8589  O OG1 . THR B 2 183 ? 346.456 -93.099  248.774 1.0 76.32013  ? 184 THR E OG1 184 THR E OG1 1 
ATOM 8590  C CG2 . THR B 2 183 ? 348.576 -92.096  248.409 1.0 76.32013  ? 184 THR E CG2 184 THR E CG2 1 
ATOM 8591  N N   . ASN B 2 184 ? 346.425 -89.997  245.455 1.0 77.19783  ? 185 ASN E N   185 ASN E N   1 
ATOM 8592  C CA  . ASN B 2 184 ? 346.933 -89.207  244.342 1.0 77.19783  ? 185 ASN E CA  185 ASN E CA  1 
ATOM 8593  C C   . ASN B 2 184 ? 346.092 -87.977  244.021 1.0 77.19783  ? 185 ASN E C   185 ASN E C   1 
ATOM 8594  O O   . ASN B 2 184 ? 346.624 -87.024  243.452 1.0 77.19783  ? 185 ASN E O   185 ASN E O   1 
ATOM 8595  C CB  . ASN B 2 184 ? 347.020 -90.076  243.082 1.0 77.19783  ? 185 ASN E CB  185 ASN E CB  1 
ATOM 8596  C CG  . ASN B 2 184 ? 348.154 -89.673  242.165 1.0 77.19783  ? 185 ASN E CG  185 ASN E CG  1 
ATOM 8597  O OD1 . ASN B 2 184 ? 348.436 -90.349  241.177 1.0 77.19783  ? 185 ASN E OD1 185 ASN E OD1 1 
ATOM 8598  N ND2 . ASN B 2 184 ? 348.852 -88.608  242.524 1.0 77.19783  ? 185 ASN E ND2 185 ASN E ND2 1 
ATOM 8599  N N   . ASN B 2 185 ? 344.799 -87.974  244.355 1.0 75.29697  ? 186 ASN E N   186 ASN E N   1 
ATOM 8600  C CA  . ASN B 2 185 ? 343.875 -86.901  243.994 1.0 75.29697  ? 186 ASN E CA  186 ASN E CA  1 
ATOM 8601  C C   . ASN B 2 185 ? 343.086 -86.477  245.228 1.0 75.29697  ? 186 ASN E C   186 ASN E C   1 
ATOM 8602  O O   . ASN B 2 185 ? 343.293 -86.993  246.326 1.0 75.29697  ? 186 ASN E O   186 ASN E O   1 
ATOM 8603  C CB  . ASN B 2 185 ? 342.917 -87.344  242.884 1.0 75.29697  ? 186 ASN E CB  186 ASN E CB  1 
ATOM 8604  C CG  . ASN B 2 185 ? 343.636 -87.746  241.619 1.0 75.29697  ? 186 ASN E CG  186 ASN E CG  1 
ATOM 8605  O OD1 . ASN B 2 185 ? 343.589 -88.903  241.210 1.0 75.29697  ? 186 ASN E OD1 186 ASN E OD1 1 
ATOM 8606  N ND2 . ASN B 2 185 ? 344.302 -86.791  240.989 1.0 75.29697  ? 186 ASN E ND2 186 ASN E ND2 1 
ATOM 8607  N N   . ALA B 2 186 ? 342.155 -85.541  245.041 1.0 73.49421  ? 187 ALA E N   187 ALA E N   1 
ATOM 8608  C CA  . ALA B 2 186 ? 341.343 -85.044  246.145 1.0 73.49421  ? 187 ALA E CA  187 ALA E CA  1 
ATOM 8609  C C   . ALA B 2 186 ? 340.047 -84.462  245.601 1.0 73.49421  ? 187 ALA E C   187 ALA E C   1 
ATOM 8610  O O   . ALA B 2 186 ? 340.048 -83.812  244.556 1.0 73.49421  ? 187 ALA E O   187 ALA E O   1 
ATOM 8611  C CB  . ALA B 2 186 ? 342.093 -83.984  246.956 1.0 73.49421  ? 187 ALA E CB  187 ALA E CB  1 
ATOM 8612  N N   . GLY B 2 187 ? 338.953 -84.675  246.333 1.0 70.94043  ? 188 GLY E N   188 GLY E N   1 
ATOM 8613  C CA  . GLY B 2 187 ? 337.640 -84.293  245.858 1.0 70.94043  ? 188 GLY E CA  188 GLY E CA  1 
ATOM 8614  C C   . GLY B 2 187 ? 337.389 -82.797  245.877 1.0 70.94043  ? 188 GLY E C   188 GLY E C   1 
ATOM 8615  O O   . GLY B 2 187 ? 338.083 -82.022  246.529 1.0 70.94043  ? 188 GLY E O   188 GLY E O   1 
ATOM 8616  N N   . LEU B 2 188 ? 336.353 -82.398  245.143 1.0 69.69632  ? 189 LEU E N   189 LEU E N   1 
ATOM 8617  C CA  . LEU B 2 188 ? 336.015 -80.985  244.980 1.0 69.69632  ? 189 LEU E CA  189 LEU E CA  1 
ATOM 8618  C C   . LEU B 2 188 ? 334.531 -80.879  244.661 1.0 69.69632  ? 189 LEU E C   189 LEU E C   1 
ATOM 8619  O O   . LEU B 2 188 ? 334.100 -81.300  243.584 1.0 69.69632  ? 189 LEU E O   189 LEU E O   1 
ATOM 8620  C CB  . LEU B 2 188 ? 336.865 -80.355  243.885 1.0 69.69632  ? 189 LEU E CB  189 LEU E CB  1 
ATOM 8621  C CG  . LEU B 2 188 ? 336.542 -78.946  243.382 1.0 69.69632  ? 189 LEU E CG  189 LEU E CG  1 
ATOM 8622  C CD1 . LEU B 2 188 ? 336.507 -77.919  244.480 1.0 69.69632  ? 189 LEU E CD1 189 LEU E CD1 1 
ATOM 8623  C CD2 . LEU B 2 188 ? 337.571 -78.540  242.334 1.0 69.69632  ? 189 LEU E CD2 189 LEU E CD2 1 
ATOM 8624  N N   . GLY B 2 189 ? 333.767 -80.324  245.581 1.0 69.1853   ? 190 GLY E N   190 GLY E N   1 
ATOM 8625  C CA  . GLY B 2 189 ? 332.338 -80.168  245.394 1.0 69.1853   ? 190 GLY E CA  190 GLY E CA  1 
ATOM 8626  C C   . GLY B 2 189 ? 331.779 -79.096  246.294 1.0 69.1853   ? 190 GLY E C   190 GLY E C   1 
ATOM 8627  O O   . GLY B 2 189 ? 332.476 -78.156  246.679 1.0 69.1853   ? 190 GLY E O   190 GLY E O   1 
ATOM 8628  N N   . ARG B 2 190 ? 330.500 -79.233  246.628 1.0 66.60382  ? 191 ARG E N   191 ARG E N   1 
ATOM 8629  C CA  . ARG B 2 190 ? 329.808 -78.295  247.495 1.0 66.60382  ? 191 ARG E CA  191 ARG E CA  1 
ATOM 8630  C C   . ARG B 2 190 ? 329.020 -79.055  248.548 1.0 66.60382  ? 191 ARG E C   191 ARG E C   1 
ATOM 8631  O O   . ARG B 2 190 ? 328.476 -80.126  248.278 1.0 66.60382  ? 191 ARG E O   191 ARG E O   1 
ATOM 8632  C CB  . ARG B 2 190 ? 328.850 -77.400  246.713 1.0 66.60382  ? 191 ARG E CB  191 ARG E CB  1 
ATOM 8633  C CG  . ARG B 2 190 ? 329.526 -76.435  245.778 1.0 66.60382  ? 191 ARG E CG  191 ARG E CG  1 
ATOM 8634  C CD  . ARG B 2 190 ? 328.511 -75.600  245.032 1.0 66.60382  ? 191 ARG E CD  191 ARG E CD  1 
ATOM 8635  N NE  . ARG B 2 190 ? 327.758 -74.731  245.926 1.0 66.60382  ? 191 ARG E NE  191 ARG E NE  1 
ATOM 8636  C CZ  . ARG B 2 190 ? 328.146 -73.512  246.275 1.0 66.60382  ? 191 ARG E CZ  191 ARG E CZ  1 
ATOM 8637  N NH1 . ARG B 2 190 ? 329.279 -73.019  245.804 1.0 66.60382  ? 191 ARG E NH1 191 ARG E NH1 1 
ATOM 8638  N NH2 . ARG B 2 190 ? 327.402 -72.786  247.093 1.0 66.60382  ? 191 ARG E NH2 191 ARG E NH2 1 
ATOM 8639  N N   . ILE B 2 191 ? 328.972 -78.496  249.756 1.0 67.65993  ? 192 ILE E N   192 ILE E N   1 
ATOM 8640  C CA  . ILE B 2 191 ? 328.111 -78.983  250.824 1.0 67.65993  ? 192 ILE E CA  192 ILE E CA  1 
ATOM 8641  C C   . ILE B 2 191 ? 327.356 -77.794  251.393 1.0 67.65993  ? 192 ILE E C   192 ILE E C   1 
ATOM 8642  O O   . ILE B 2 191 ? 327.555 -76.651  250.987 1.0 67.65993  ? 192 ILE E O   192 ILE E O   1 
ATOM 8643  C CB  . ILE B 2 191 ? 328.882 -79.702  251.948 1.0 67.65993  ? 192 ILE E CB  192 ILE E CB  1 
ATOM 8644  C CG1 . ILE B 2 191 ? 329.870 -78.745  252.602 1.0 67.65993  ? 192 ILE E CG1 192 ILE E CG1 1 
ATOM 8645  C CG2 . ILE B 2 191 ? 329.583 -80.949  251.443 1.0 67.65993  ? 192 ILE E CG2 192 ILE E CG2 1 
ATOM 8646  C CD1 . ILE B 2 191 ? 330.519 -79.314  253.828 1.0 67.65993  ? 192 ILE E CD1 192 ILE E CD1 1 
ATOM 8647  N N   . VAL B 2 192 ? 326.484 -78.080  252.354 1.0 69.71223  ? 193 VAL E N   193 VAL E N   1 
ATOM 8648  C CA  . VAL B 2 192 ? 325.720 -77.065  253.068 1.0 69.71223  ? 193 VAL E CA  193 VAL E CA  1 
ATOM 8649  C C   . VAL B 2 192 ? 326.013 -77.187  254.559 1.0 69.71223  ? 193 VAL E C   193 VAL E C   1 
ATOM 8650  O O   . VAL B 2 192 ? 325.974 -78.290  255.119 1.0 69.71223  ? 193 VAL E O   193 VAL E O   1 
ATOM 8651  C CB  . VAL B 2 192 ? 324.217 -77.171  252.747 1.0 69.71223  ? 193 VAL E CB  193 VAL E CB  1 
ATOM 8652  C CG1 . VAL B 2 192 ? 323.756 -78.594  252.780 1.0 69.71223  ? 193 VAL E CG1 193 VAL E CG1 1 
ATOM 8653  C CG2 . VAL B 2 192 ? 323.412 -76.408  253.759 1.0 69.71223  ? 193 VAL E CG2 193 VAL E CG2 1 
ATOM 8654  N N   . SER B 2 193 ? 326.363 -76.059  255.182 1.0 73.12281  ? 194 SER E N   194 SER E N   1 
ATOM 8655  C CA  . SER B 2 193 ? 326.663 -76.011  256.604 1.0 73.12281  ? 194 SER E CA  194 SER E CA  1 
ATOM 8656  C C   . SER B 2 193 ? 325.443 -76.382  257.433 1.0 73.12281  ? 194 SER E C   194 SER E C   1 
ATOM 8657  O O   . SER B 2 193 ? 324.296 -76.244  257.003 1.0 73.12281  ? 194 SER E O   194 SER E O   1 
ATOM 8658  C CB  . SER B 2 193 ? 327.115 -74.613  257.019 1.0 73.12281  ? 194 SER E CB  194 SER E CB  1 
ATOM 8659  O OG  . SER B 2 193 ? 328.323 -74.245  256.392 1.0 73.12281  ? 194 SER E OG  194 SER E OG  1 
ATOM 8660  N N   . ALA B 2 194 ? 325.706 -76.846  258.647 1.0 75.71263  ? 195 ALA E N   195 ALA E N   1 
ATOM 8661  C CA  . ALA B 2 194 ? 324.628 -77.043  259.592 1.0 75.71263  ? 195 ALA E CA  195 ALA E CA  1 
ATOM 8662  C C   . ALA B 2 194 ? 324.182 -75.697  260.156 1.0 75.71263  ? 195 ALA E C   195 ALA E C   1 
ATOM 8663  O O   . ALA B 2 194 ? 324.801 -74.654  259.910 1.0 75.71263  ? 195 ALA E O   195 ALA E O   1 
ATOM 8664  C CB  . ALA B 2 194 ? 325.062 -77.982  260.713 1.0 75.71263  ? 195 ALA E CB  195 ALA E CB  1 
ATOM 8665  N N   . ASP B 2 195 ? 323.090 -75.745  260.927 1.0 80.82283  ? 196 ASP E N   196 ASP E N   1 
ATOM 8666  C CA  . ASP B 2 195 ? 322.434 -74.587  261.544 1.0 80.82283  ? 196 ASP E CA  196 ASP E CA  1 
ATOM 8667  C C   . ASP B 2 195 ? 322.038 -73.555  260.482 1.0 80.82283  ? 196 ASP E C   196 ASP E C   1 
ATOM 8668  O O   . ASP B 2 195 ? 322.540 -72.431  260.429 1.0 80.82283  ? 196 ASP E O   196 ASP E O   1 
ATOM 8669  C CB  . ASP B 2 195 ? 323.311 -73.964  262.639 1.0 80.82283  ? 196 ASP E CB  196 ASP E CB  1 
ATOM 8670  C CG  . ASP B 2 195 ? 323.481 -74.877  263.834 1.0 80.82283  ? 196 ASP E CG  196 ASP E CG  1 
ATOM 8671  O OD1 . ASP B 2 195 ? 322.554 -75.664  264.113 1.0 80.82283  ? 196 ASP E OD1 196 ASP E OD1 1 
ATOM 8672  O OD2 . ASP B 2 195 ? 324.545 -74.816  264.488 1.0 80.82283  ? 196 ASP E OD2 196 ASP E OD2 1 
ATOM 8673  N N   . SER B 2 196 ? 321.116 -73.986  259.621 1.0 75.65737  ? 197 SER E N   197 SER E N   1 
ATOM 8674  C CA  . SER B 2 196 ? 320.671 -73.167  258.499 1.0 75.65737  ? 197 SER E CA  197 SER E CA  1 
ATOM 8675  C C   . SER B 2 196 ? 319.149 -73.158  258.379 1.0 75.65737  ? 197 SER E C   197 SER E C   1 
ATOM 8676  O O   . SER B 2 196 ? 318.602 -73.260  257.282 1.0 75.65737  ? 197 SER E O   197 SER E O   1 
ATOM 8677  C CB  . SER B 2 196 ? 321.332 -73.627  257.201 1.0 75.65737  ? 197 SER E CB  197 SER E CB  1 
ATOM 8678  O OG  . SER B 2 196 ? 321.001 -74.967  256.912 1.0 75.65737  ? 197 SER E OG  197 SER E OG  1 
ATOM 8679  N N   . GLU B 2 197 ? 318.468 -72.981  259.516 1.0 77.78675  ? 198 GLU E N   198 GLU E N   1 
ATOM 8680  C CA  . GLU B 2 197 ? 317.039 -72.639  259.671 1.0 77.78675  ? 198 GLU E CA  198 GLU E CA  1 
ATOM 8681  C C   . GLU B 2 197 ? 316.078 -73.494  258.822 1.0 77.78675  ? 198 GLU E C   198 GLU E C   1 
ATOM 8682  O O   . GLU B 2 197 ? 315.319 -73.002  257.986 1.0 77.78675  ? 198 GLU E O   198 GLU E O   1 
ATOM 8683  C CB  . GLU B 2 197 ? 316.797 -71.123  259.470 1.0 77.78675  ? 198 GLU E CB  198 GLU E CB  1 
ATOM 8684  C CG  . GLU B 2 197 ? 317.098 -70.430  258.117 1.0 77.78675  ? 198 GLU E CG  198 GLU E CG  1 
ATOM 8685  C CD  . GLU B 2 197 ? 318.483 -69.833  258.029 1.0 77.78675  ? 198 GLU E CD  198 GLU E CD  1 
ATOM 8686  O OE1 . GLU B 2 197 ? 319.330 -70.129  258.896 1.0 77.78675  ? 198 GLU E OE1 198 GLU E OE1 1 
ATOM 8687  O OE2 . GLU B 2 197 ? 318.730 -69.063  257.083 1.0 77.78675  ? 198 GLU E OE2 198 GLU E OE2 1 
ATOM 8688  N N   . GLY B 2 198 ? 316.068 -74.794  259.088 1.0 74.83273  ? 199 GLY E N   199 GLY E N   1 
ATOM 8689  C CA  . GLY B 2 198 ? 315.051 -75.624  258.477 1.0 74.83273  ? 199 GLY E CA  199 GLY E CA  1 
ATOM 8690  C C   . GLY B 2 198 ? 315.340 -77.101  258.641 1.0 74.83273  ? 199 GLY E C   199 GLY E C   1 
ATOM 8691  O O   . GLY B 2 198 ? 316.294 -77.505  259.308 1.0 74.83273  ? 199 GLY E O   199 GLY E O   1 
ATOM 8692  N N   . GLN B 2 199 ? 314.480 -77.894  258.009 1.0 72.38428  ? 200 GLN E N   200 GLN E N   1 
ATOM 8693  C CA  . GLN B 2 199 ? 314.598 -79.344  257.977 1.0 72.38428  ? 200 GLN E CA  200 GLN E CA  1 
ATOM 8694  C C   . GLN B 2 199 ? 315.557 -79.759  256.873 1.0 72.38428  ? 200 GLN E C   200 GLN E C   1 
ATOM 8695  O O   . GLN B 2 199 ? 315.480 -79.246  255.754 1.0 72.38428  ? 200 GLN E O   200 GLN E O   1 
ATOM 8696  C CB  . GLN B 2 199 ? 313.238 -79.996  257.740 1.0 72.38428  ? 200 GLN E CB  200 GLN E CB  1 
ATOM 8697  C CG  . GLN B 2 199 ? 312.261 -79.819  258.870 1.0 72.38428  ? 200 GLN E CG  200 GLN E CG  1 
ATOM 8698  C CD  . GLN B 2 199 ? 312.759 -80.442  260.151 1.0 72.38428  ? 200 GLN E CD  200 GLN E CD  1 
ATOM 8699  O OE1 . GLN B 2 199 ? 313.104 -79.741  261.100 1.0 72.38428  ? 200 GLN E OE1 200 GLN E OE1 1 
ATOM 8700  N NE2 . GLN B 2 199 ? 312.807 -81.767  260.185 1.0 72.38428  ? 200 GLN E NE2 200 GLN E NE2 1 
ATOM 8701  N N   . GLN B 2 200 ? 316.439 -80.703  257.180 1.0 70.73542  ? 201 GLN E N   201 GLN E N   1 
ATOM 8702  C CA  . GLN B 2 200 ? 317.374 -81.210  256.181 1.0 70.73542  ? 201 GLN E CA  201 GLN E CA  1 
ATOM 8703  C C   . GLN B 2 200 ? 316.642 -82.176  255.258 1.0 70.73542  ? 201 GLN E C   201 GLN E C   1 
ATOM 8704  O O   . GLN B 2 200 ? 316.740 -83.397  255.410 1.0 70.73542  ? 201 GLN E O   201 GLN E O   1 
ATOM 8705  C CB  . GLN B 2 200 ? 318.570 -81.878  256.854 1.0 70.73542  ? 201 GLN E CB  201 GLN E CB  1 
ATOM 8706  C CG  . GLN B 2 200 ? 319.626 -80.909  257.404 1.0 70.73542  ? 201 GLN E CG  201 GLN E CG  1 
ATOM 8707  C CD  . GLN B 2 200 ? 319.174 -80.134  258.630 1.0 70.73542  ? 201 GLN E CD  201 GLN E CD  1 
ATOM 8708  O OE1 . GLN B 2 200 ? 319.126 -78.903  258.620 1.0 70.73542  ? 201 GLN E OE1 201 GLN E OE1 1 
ATOM 8709  N NE2 . GLN B 2 200 ? 318.838 -80.853  259.692 1.0 70.73542  ? 201 GLN E NE2 201 GLN E NE2 1 
ATOM 8710  N N   . PHE B 2 201 ? 315.926 -81.621  254.291 1.0 61.84145  ? 202 PHE E N   202 PHE E N   1 
ATOM 8711  C CA  . PHE B 2 201 ? 315.093 -82.346  253.351 1.0 61.84145  ? 202 PHE E CA  202 PHE E CA  1 
ATOM 8712  C C   . PHE B 2 201 ? 315.968 -83.125  252.370 1.0 61.84145  ? 202 PHE E C   202 PHE E C   1 
ATOM 8713  O O   . PHE B 2 201 ? 317.074 -82.692  252.046 1.0 61.84145  ? 202 PHE E O   202 PHE E O   1 
ATOM 8714  C CB  . PHE B 2 201 ? 314.210 -81.341  252.618 1.0 61.84145  ? 202 PHE E CB  202 PHE E CB  1 
ATOM 8715  C CG  . PHE B 2 201 ? 313.100 -81.950  251.826 1.0 61.84145  ? 202 PHE E CG  202 PHE E CG  1 
ATOM 8716  C CD1 . PHE B 2 201 ? 311.981 -82.443  252.460 1.0 61.84145  ? 202 PHE E CD1 202 PHE E CD1 1 
ATOM 8717  C CD2 . PHE B 2 201 ? 313.156 -81.993  250.448 1.0 61.84145  ? 202 PHE E CD2 202 PHE E CD2 1 
ATOM 8718  C CE1 . PHE B 2 201 ? 310.953 -82.994  251.737 1.0 61.84145  ? 202 PHE E CE1 202 PHE E CE1 1 
ATOM 8719  C CE2 . PHE B 2 201 ? 312.126 -82.548  249.717 1.0 61.84145  ? 202 PHE E CE2 202 PHE E CE2 1 
ATOM 8720  C CZ  . PHE B 2 201 ? 311.023 -83.042  250.367 1.0 61.84145  ? 202 PHE E CZ  202 PHE E CZ  1 
ATOM 8721  N N   . PRO B 2 202 ? 315.506 -84.282  251.887 1.0 60.59714  ? 203 PRO E N   203 PRO E N   1 
ATOM 8722  C CA  . PRO B 2 202 ? 316.304 -85.050  250.921 1.0 60.59714  ? 203 PRO E CA  203 PRO E CA  1 
ATOM 8723  C C   . PRO B 2 202 ? 316.406 -84.375  249.563 1.0 60.59714  ? 203 PRO E C   203 PRO E C   1 
ATOM 8724  O O   . PRO B 2 202 ? 315.888 -83.281  249.337 1.0 60.59714  ? 203 PRO E O   203 PRO E O   1 
ATOM 8725  C CB  . PRO B 2 202 ? 315.547 -86.375  250.806 1.0 60.59714  ? 203 PRO E CB  203 PRO E CB  1 
ATOM 8726  C CG  . PRO B 2 202 ? 314.813 -86.492  252.058 1.0 60.59714  ? 203 PRO E CG  203 PRO E CG  1 
ATOM 8727  C CD  . PRO B 2 202 ? 314.410 -85.098  252.431 1.0 60.59714  ? 203 PRO E CD  203 PRO E CD  1 
ATOM 8728  N N   . CYS B 2 203 ? 317.092 -85.066  248.646 1.0 58.4192   ? 204 CYS E N   204 CYS E N   1 
ATOM 8729  C CA  . CYS B 2 203 ? 317.389 -84.491  247.337 1.0 58.4192   ? 204 CYS E CA  204 CYS E CA  1 
ATOM 8730  C C   . CYS B 2 203 ? 316.137 -84.305  246.500 1.0 58.4192   ? 204 CYS E C   204 CYS E C   1 
ATOM 8731  O O   . CYS B 2 203 ? 315.996 -83.287  245.818 1.0 58.4192   ? 204 CYS E O   204 CYS E O   1 
ATOM 8732  C CB  . CYS B 2 203 ? 318.389 -85.371  246.591 1.0 58.4192   ? 204 CYS E CB  204 CYS E CB  1 
ATOM 8733  S SG  . CYS B 2 203 ? 318.885 -84.744  244.972 1.0 58.4192   ? 204 CYS E SG  204 CYS E SG  1 
ATOM 8734  N N   . TYR B 2 204 ? 315.207 -85.247  246.574 1.0 56.6016   ? 205 TYR E N   205 TYR E N   1 
ATOM 8735  C CA  . TYR B 2 204 ? 313.998 -85.235  245.761 1.0 56.6016   ? 205 TYR E CA  205 TYR E CA  1 
ATOM 8736  C C   . TYR B 2 204 ? 313.060 -84.151  246.276 1.0 56.6016   ? 205 TYR E C   205 TYR E C   1 
ATOM 8737  O O   . TYR B 2 204 ? 312.203 -84.414  247.122 1.0 56.6016   ? 205 TYR E O   205 TYR E O   1 
ATOM 8738  C CB  . TYR B 2 204 ? 313.337 -86.607  245.813 1.0 56.6016   ? 205 TYR E CB  205 TYR E CB  1 
ATOM 8739  C CG  . TYR B 2 204 ? 312.084 -86.764  244.998 1.0 56.6016   ? 205 TYR E CG  205 TYR E CG  1 
ATOM 8740  C CD1 . TYR B 2 204 ? 312.142 -86.885  243.622 1.0 56.6016   ? 205 TYR E CD1 205 TYR E CD1 1 
ATOM 8741  C CD2 . TYR B 2 204 ? 310.845 -86.836  245.611 1.0 56.6016   ? 205 TYR E CD2 205 TYR E CD2 1 
ATOM 8742  C CE1 . TYR B 2 204 ? 310.998 -87.049  242.877 1.0 56.6016   ? 205 TYR E CE1 205 TYR E CE1 1 
ATOM 8743  C CE2 . TYR B 2 204 ? 309.697 -86.995  244.877 1.0 56.6016   ? 205 TYR E CE2 205 TYR E CE2 1 
ATOM 8744  C CZ  . TYR B 2 204 ? 309.778 -87.102  243.514 1.0 56.6016   ? 205 TYR E CZ  205 TYR E CZ  1 
ATOM 8745  O OH  . TYR B 2 204 ? 308.626 -87.263  242.788 1.0 56.6016   ? 205 TYR E OH  205 TYR E OH  1 
ATOM 8746  N N   . GLY B 2 205 ? 313.226 -82.932  245.776 1.0 54.2963   ? 206 GLY E N   206 GLY E N   1 
ATOM 8747  C CA  . GLY B 2 205 ? 312.312 -81.856  246.086 1.0 54.2963   ? 206 GLY E CA  206 GLY E CA  1 
ATOM 8748  C C   . GLY B 2 205 ? 312.895 -80.698  246.861 1.0 54.2963   ? 206 GLY E C   206 GLY E C   1 
ATOM 8749  O O   . GLY B 2 205 ? 312.150 -79.775  247.203 1.0 54.2963   ? 206 GLY E O   206 GLY E O   1 
ATOM 8750  N N   . ALA B 2 206 ? 314.194 -80.705  247.141 1.0 53.88655  ? 207 ALA E N   207 ALA E N   1 
ATOM 8751  C CA  . ALA B 2 206 ? 314.806 -79.662  247.954 1.0 53.88655  ? 207 ALA E CA  207 ALA E CA  1 
ATOM 8752  C C   . ALA B 2 206 ? 314.974 -78.406  247.117 1.0 53.88655  ? 207 ALA E C   207 ALA E C   1 
ATOM 8753  O O   . ALA B 2 206 ? 315.713 -78.402  246.130 1.0 53.88655  ? 207 ALA E O   207 ALA E O   1 
ATOM 8754  C CB  . ALA B 2 206 ? 316.150 -80.122  248.504 1.0 53.88655  ? 207 ALA E CB  207 ALA E CB  1 
ATOM 8755  N N   . TYR B 2 207 ? 314.295 -77.341  247.513 1.0 53.90076  ? 208 TYR E N   208 TYR E N   1 
ATOM 8756  C CA  . TYR B 2 207 ? 314.387 -76.057  246.847 1.0 53.90076  ? 208 TYR E CA  208 TYR E CA  1 
ATOM 8757  C C   . TYR B 2 207 ? 315.063 -75.049  247.763 1.0 53.90076  ? 208 TYR E C   208 TYR E C   1 
ATOM 8758  O O   . TYR B 2 207 ? 314.959 -75.131  248.988 1.0 53.90076  ? 208 TYR E O   208 TYR E O   1 
ATOM 8759  C CB  . TYR B 2 207 ? 313.004 -75.556  246.433 1.0 53.90076  ? 208 TYR E CB  208 TYR E CB  1 
ATOM 8760  C CG  . TYR B 2 207 ? 313.037 -74.211  245.766 1.0 53.90076  ? 208 TYR E CG  208 TYR E CG  1 
ATOM 8761  C CD1 . TYR B 2 207 ? 313.575 -74.074  244.510 1.0 53.90076  ? 208 TYR E CD1 208 TYR E CD1 1 
ATOM 8762  C CD2 . TYR B 2 207 ? 312.568 -73.084  246.403 1.0 53.90076  ? 208 TYR E CD2 208 TYR E CD2 1 
ATOM 8763  C CE1 . TYR B 2 207 ? 313.626 -72.859  243.886 1.0 53.90076  ? 208 TYR E CE1 208 TYR E CE1 1 
ATOM 8764  C CE2 . TYR B 2 207 ? 312.618 -71.854  245.792 1.0 53.90076  ? 208 TYR E CE2 208 TYR E CE2 1 
ATOM 8765  C CZ  . TYR B 2 207 ? 313.147 -71.753  244.531 1.0 53.90076  ? 208 TYR E CZ  208 TYR E CZ  1 
ATOM 8766  O OH  . TYR B 2 207 ? 313.206 -70.543  243.903 1.0 53.90076  ? 208 TYR E OH  208 TYR E OH  1 
ATOM 8767  N N   . ALA B 2 208 ? 315.773 -74.103  247.152 1.0 55.25693  ? 209 ALA E N   209 ALA E N   1 
ATOM 8768  C CA  . ALA B 2 208 ? 316.466 -73.075  247.850 1.0 55.25693  ? 209 ALA E CA  209 ALA E CA  1 
ATOM 8769  C C   . ALA B 2 208 ? 316.529 -71.852  246.948 1.0 55.25693  ? 209 ALA E C   209 ALA E C   1 
ATOM 8770  O O   . ALA B 2 208 ? 317.071 -71.953  245.839 1.0 55.25693  ? 209 ALA E O   209 ALA E O   1 
ATOM 8771  C CB  . ALA B 2 208 ? 317.863 -73.539  248.213 1.0 55.25693  ? 209 ALA E CB  209 ALA E CB  1 
ATOM 8772  N N   . PRO B 2 209 ? 316.007 -70.709  247.382 1.0 56.98036  ? 210 PRO E N   210 PRO E N   1 
ATOM 8773  C CA  . PRO B 2 209 ? 315.856 -69.560  246.481 1.0 56.98036  ? 210 PRO E CA  210 PRO E CA  1 
ATOM 8774  C C   . PRO B 2 209 ? 317.194 -68.920  246.164 1.0 56.98036  ? 210 PRO E C   210 PRO E C   1 
ATOM 8775  O O   . PRO B 2 209 ? 318.085 -68.868  247.023 1.0 56.98036  ? 210 PRO E O   210 PRO E O   1 
ATOM 8776  C CB  . PRO B 2 209 ? 314.959 -68.606  247.280 1.0 56.98036  ? 210 PRO E CB  210 PRO E CB  1 
ATOM 8777  C CG  . PRO B 2 209 ? 315.220 -68.953  248.694 1.0 56.98036  ? 210 PRO E CG  210 PRO E CG  1 
ATOM 8778  C CD  . PRO B 2 209 ? 315.471 -70.430  248.724 1.0 56.98036  ? 210 PRO E CD  210 PRO E CD  1 
ATOM 8779  N N   . PRO B 2 210 ? 317.375 -68.424  244.946 1.0 59.07689  ? 211 PRO E N   211 PRO E N   1 
ATOM 8780  C CA  . PRO B 2 210 ? 318.657 -67.839  244.548 1.0 59.07689  ? 211 PRO E CA  211 PRO E CA  1 
ATOM 8781  C C   . PRO B 2 210 ? 318.839 -66.446  245.138 1.0 59.07689  ? 211 PRO E C   211 PRO E C   1 
ATOM 8782  O O   . PRO B 2 210 ? 317.958 -65.896  245.792 1.0 59.07689  ? 211 PRO E O   211 PRO E O   1 
ATOM 8783  C CB  . PRO B 2 210 ? 318.555 -67.786  243.026 1.0 59.07689  ? 211 PRO E CB  211 PRO E CB  1 
ATOM 8784  C CG  . PRO B 2 210 ? 317.114 -67.665  242.769 1.0 59.07689  ? 211 PRO E CG  211 PRO E CG  1 
ATOM 8785  C CD  . PRO B 2 210 ? 316.427 -68.469  243.823 1.0 59.07689  ? 211 PRO E CD  211 PRO E CD  1 
ATOM 8786  N N   . GLN B 2 211 ? 320.015 -65.877  244.890 1.0 64.65162  ? 212 GLN E N   212 GLN E N   1 
ATOM 8787  C CA  . GLN B 2 211 ? 320.340 -64.536  245.355 1.0 64.65162  ? 212 GLN E CA  212 GLN E CA  1 
ATOM 8788  C C   . GLN B 2 211 ? 320.624 -63.571  244.217 1.0 64.65162  ? 212 GLN E C   212 GLN E C   1 
ATOM 8789  O O   . GLN B 2 211 ? 320.031 -62.489  244.169 1.0 64.65162  ? 212 GLN E O   212 GLN E O   1 
ATOM 8790  C CB  . GLN B 2 211 ? 321.536 -64.591  246.313 1.0 64.65162  ? 212 GLN E CB  212 GLN E CB  1 
ATOM 8791  C CG  . GLN B 2 211 ? 321.244 -65.374  247.571 1.0 64.65162  ? 212 GLN E CG  212 GLN E CG  1 
ATOM 8792  C CD  . GLN B 2 211 ? 320.172 -64.722  248.413 1.0 64.65162  ? 212 GLN E CD  212 GLN E CD  1 
ATOM 8793  O OE1 . GLN B 2 211 ? 320.137 -63.502  248.559 1.0 64.65162  ? 212 GLN E OE1 212 GLN E OE1 1 
ATOM 8794  N NE2 . GLN B 2 211 ? 319.281 -65.534  248.966 1.0 64.65162  ? 212 GLN E NE2 212 GLN E NE2 1 
ATOM 8795  N N   . SER B 2 212 ? 321.508 -63.928  243.297 1.0 66.42071  ? 213 SER E N   213 SER E N   1 
ATOM 8796  C CA  . SER B 2 212 ? 321.852 -63.072  242.173 1.0 66.42071  ? 213 SER E CA  213 SER E CA  1 
ATOM 8797  C C   . SER B 2 212 ? 321.543 -63.787  240.864 1.0 66.42071  ? 213 SER E C   213 SER E C   1 
ATOM 8798  O O   . SER B 2 212 ? 321.109 -64.940  240.843 1.0 66.42071  ? 213 SER E O   213 SER E O   1 
ATOM 8799  C CB  . SER B 2 212 ? 323.325 -62.661  242.227 1.0 66.42071  ? 213 SER E CB  213 SER E CB  1 
ATOM 8800  O OG  . SER B 2 212 ? 323.672 -61.880  241.098 1.0 66.42071  ? 213 SER E OG  213 SER E OG  1 
ATOM 8801  N N   . ALA B 2 213 ? 321.786 -63.086  239.757 1.0 65.74828  ? 214 ALA E N   214 ALA E N   1 
ATOM 8802  C CA  . ALA B 2 213 ? 321.549 -63.655  238.438 1.0 65.74828  ? 214 ALA E CA  214 ALA E CA  1 
ATOM 8803  C C   . ALA B 2 213 ? 322.605 -64.673  238.039 1.0 65.74828  ? 214 ALA E C   214 ALA E C   1 
ATOM 8804  O O   . ALA B 2 213 ? 322.401 -65.396  237.059 1.0 65.74828  ? 214 ALA E O   214 ALA E O   1 
ATOM 8805  C CB  . ALA B 2 213 ? 321.481 -62.545  237.391 1.0 65.74828  ? 214 ALA E CB  214 ALA E CB  1 
ATOM 8806  N N   . GLY B 2 214 ? 323.720 -64.747  238.762 1.0 65.2568   ? 215 GLY E N   215 GLY E N   1 
ATOM 8807  C CA  . GLY B 2 214 ? 324.700 -65.788  238.521 1.0 65.2568   ? 215 GLY E CA  215 GLY E CA  1 
ATOM 8808  C C   . GLY B 2 214 ? 324.293 -67.156  239.019 1.0 65.2568   ? 215 GLY E C   215 GLY E C   1 
ATOM 8809  O O   . GLY B 2 214 ? 324.953 -68.142  238.673 1.0 65.2568   ? 215 GLY E O   215 GLY E O   1 
ATOM 8810  N N   . GLY B 2 215 ? 323.232 -67.242  239.814 1.0 64.14875  ? 216 GLY E N   216 GLY E N   1 
ATOM 8811  C CA  . GLY B 2 215 ? 322.724 -68.508  240.285 1.0 64.14875  ? 216 GLY E CA  216 GLY E CA  1 
ATOM 8812  C C   . GLY B 2 215 ? 323.157 -68.908  241.672 1.0 64.14875  ? 216 GLY E C   216 GLY E C   1 
ATOM 8813  O O   . GLY B 2 215 ? 322.912 -70.053  242.066 1.0 64.14875  ? 216 GLY E O   216 GLY E O   1 
ATOM 8814  N N   . ASP B 2 216 ? 323.791 -68.013  242.424 1.0 66.67624  ? 217 ASP E N   217 ASP E N   1 
ATOM 8815  C CA  . ASP B 2 216 ? 324.247 -68.355  243.761 1.0 66.67624  ? 217 ASP E CA  217 ASP E CA  1 
ATOM 8816  C C   . ASP B 2 216 ? 323.073 -68.465  244.724 1.0 66.67624  ? 217 ASP E C   217 ASP E C   1 
ATOM 8817  O O   . ASP B 2 216 ? 322.012 -67.872  244.521 1.0 66.67624  ? 217 ASP E O   217 ASP E O   1 
ATOM 8818  C CB  . ASP B 2 216 ? 325.262 -67.330  244.269 1.0 66.67624  ? 217 ASP E CB  217 ASP E CB  1 
ATOM 8819  C CG  . ASP B 2 216 ? 324.745 -65.908  244.215 1.0 66.67624  ? 217 ASP E CG  217 ASP E CG  1 
ATOM 8820  O OD1 . ASP B 2 216 ? 323.687 -65.670  243.608 1.0 66.67624  ? 217 ASP E OD1 217 ASP E OD1 1 
ATOM 8821  O OD2 . ASP B 2 216 ? 325.388 -65.019  244.804 1.0 66.67624  ? 217 ASP E OD2 217 ASP E OD2 1 
ATOM 8822  N N   . VAL B 2 217 ? 323.271 -69.259  245.770 1.0 65.6587   ? 218 VAL E N   218 VAL E N   1 
ATOM 8823  C CA  . VAL B 2 217 ? 322.222 -69.536  246.738 1.0 65.6587   ? 218 VAL E CA  218 VAL E CA  1 
ATOM 8824  C C   . VAL B 2 217 ? 322.565 -68.980  248.122 1.0 65.6587   ? 218 VAL E C   218 VAL E C   1 
ATOM 8825  O O   . VAL B 2 217 ? 321.645 -68.596  248.863 1.0 65.6587   ? 218 VAL E O   218 VAL E O   1 
ATOM 8826  C CB  . VAL B 2 217 ? 321.945 -71.055  246.812 1.0 65.6587   ? 218 VAL E CB  218 VAL E CB  1 
ATOM 8827  C CG1 . VAL B 2 217 ? 320.710 -71.351  247.600 1.0 65.6587   ? 218 VAL E CG1 218 VAL E CG1 1 
ATOM 8828  C CG2 . VAL B 2 217 ? 321.833 -71.671  245.423 1.0 65.6587   ? 218 VAL E CG2 218 VAL E CG2 1 
ATOM 8829  N N   . SER B 2 218 ? 323.853 -68.850  248.452 1.0 70.59898  ? 219 SER E N   219 SER E N   1 
ATOM 8830  C CA  . SER B 2 218 ? 324.312 -68.516  249.797 1.0 70.59898  ? 219 SER E CA  219 SER E CA  1 
ATOM 8831  C C   . SER B 2 218 ? 323.870 -67.127  250.224 1.0 70.59898  ? 219 SER E C   219 SER E C   1 
ATOM 8832  O O   . SER B 2 218 ? 324.194 -66.132  249.572 1.0 70.59898  ? 219 SER E O   219 SER E O   1 
ATOM 8833  C CB  . SER B 2 218 ? 325.834 -68.612  249.857 1.0 70.59898  ? 219 SER E CB  219 SER E CB  1 
ATOM 8834  O OG  . SER B 2 218 ? 326.434 -67.628  249.036 1.0 70.59898  ? 219 SER E OG  219 SER E OG  1 
ATOM 8835  N N   . THR B 2 219 ? 323.127 -67.069  251.326 1.0 72.94371  ? 220 THR E N   220 THR E N   1 
ATOM 8836  C CA  . THR B 2 219 ? 322.708 -65.798  251.891 1.0 72.94371  ? 220 THR E CA  220 THR E CA  1 
ATOM 8837  C C   . THR B 2 219 ? 323.779 -65.162  252.764 1.0 72.94371  ? 220 THR E C   220 THR E C   1 
ATOM 8838  O O   . THR B 2 219 ? 323.597 -64.023  253.203 1.0 72.94371  ? 220 THR E O   220 THR E O   1 
ATOM 8839  C CB  . THR B 2 219 ? 321.427 -65.981  252.702 1.0 72.94371  ? 220 THR E CB  220 THR E CB  1 
ATOM 8840  O OG1 . THR B 2 219 ? 320.921 -64.699  253.090 1.0 72.94371  ? 220 THR E OG1 220 THR E OG1 1 
ATOM 8841  C CG2 . THR B 2 219 ? 321.701 -66.809  253.943 1.0 72.94371  ? 220 THR E CG2 220 THR E CG2 1 
ATOM 8842  N N   . ALA B 2 220 ? 324.880 -65.861  253.022 1.0 73.23869  ? 221 ALA E N   221 ALA E N   1 
ATOM 8843  C CA  . ALA B 2 220 ? 325.994 -65.314  253.783 1.0 73.23869  ? 221 ALA E CA  221 ALA E CA  1 
ATOM 8844  C C   . ALA B 2 220 ? 327.284 -65.703  253.071 1.0 73.23869  ? 221 ALA E C   221 ALA E C   1 
ATOM 8845  O O   . ALA B 2 220 ? 327.266 -66.168  251.928 1.0 73.23869  ? 221 ALA E O   221 ALA E O   1 
ATOM 8846  C CB  . ALA B 2 220 ? 325.954 -65.795  255.239 1.0 73.23869  ? 221 ALA E CB  221 ALA E CB  1 
ATOM 8847  N N   . ALA B 2 221 ? 328.411 -65.507  253.751 1.0 76.29788  ? 222 ALA E N   222 ALA E N   1 
ATOM 8848  C CA  . ALA B 2 221 ? 329.716 -65.750  253.155 1.0 76.29788  ? 222 ALA E CA  222 ALA E CA  1 
ATOM 8849  C C   . ALA B 2 221 ? 329.969 -67.245  252.974 1.0 76.29788  ? 222 ALA E C   222 ALA E C   1 
ATOM 8850  O O   . ALA B 2 221 ? 329.291 -68.097  253.552 1.0 76.29788  ? 222 ALA E O   222 ALA E O   1 
ATOM 8851  C CB  . ALA B 2 221 ? 330.820 -65.136  254.014 1.0 76.29788  ? 222 ALA E CB  222 ALA E CB  1 
ATOM 8852  N N   . VAL B 2 222 ? 330.969 -67.554  252.153 1.0 74.80121  ? 223 VAL E N   223 VAL E N   1 
ATOM 8853  C CA  . VAL B 2 222 ? 331.300 -68.922  251.776 1.0 74.80121  ? 223 VAL E CA  223 VAL E CA  1 
ATOM 8854  C C   . VAL B 2 222 ? 332.614 -69.310  252.448 1.0 74.80121  ? 223 VAL E C   223 VAL E C   1 
ATOM 8855  O O   . VAL B 2 222 ? 333.497 -68.466  252.650 1.0 74.80121  ? 223 VAL E O   223 VAL E O   1 
ATOM 8856  C CB  . VAL B 2 222 ? 331.344 -69.057  250.235 1.0 74.80121  ? 223 VAL E CB  223 VAL E CB  1 
ATOM 8857  C CG1 . VAL B 2 222 ? 332.448 -68.201  249.614 1.0 74.80121  ? 223 VAL E CG1 223 VAL E CG1 1 
ATOM 8858  C CG2 . VAL B 2 222 ? 331.447 -70.510  249.793 1.0 74.80121  ? 223 VAL E CG2 223 VAL E CG2 1 
ATOM 8859  N N   . THR B 2 223 ? 332.712 -70.572  252.866 1.0 76.53761  ? 224 THR E N   224 THR E N   1 
ATOM 8860  C CA  . THR B 2 223 ? 333.857 -71.082  253.608 1.0 76.53761  ? 224 THR E CA  224 THR E CA  1 
ATOM 8861  C C   . THR B 2 223 ? 334.149 -72.480  253.063 1.0 76.53761  ? 224 THR E C   224 THR E C   1 
ATOM 8862  O O   . THR B 2 223 ? 333.320 -73.071  252.369 1.0 76.53761  ? 224 THR E O   224 THR E O   1 
ATOM 8863  C CB  . THR B 2 223 ? 333.559 -71.089  255.124 1.0 76.53761  ? 224 THR E CB  224 THR E CB  1 
ATOM 8864  O OG1 . THR B 2 223 ? 332.914 -69.864  255.486 1.0 76.53761  ? 224 THR E OG1 224 THR E OG1 1 
ATOM 8865  C CG2 . THR B 2 223 ? 334.831 -71.156  255.960 1.0 76.53761  ? 224 THR E CG2 224 THR E CG2 1 
ATOM 8866  N N   . LYS B 2 224 ? 335.338 -73.009  253.340 1.0 75.67172  ? 225 LYS E N   225 LYS E N   1 
ATOM 8867  C CA  . LYS B 2 224 ? 335.706 -74.354  252.926 1.0 75.67172  ? 225 LYS E CA  225 LYS E CA  1 
ATOM 8868  C C   . LYS B 2 224 ? 335.692 -75.301  254.121 1.0 75.67172  ? 225 LYS E C   225 LYS E C   1 
ATOM 8869  O O   . LYS B 2 224 ? 335.941 -74.894  255.259 1.0 75.67172  ? 225 LYS E O   225 LYS E O   1 
ATOM 8870  C CB  . LYS B 2 224 ? 337.080 -74.355  252.258 1.0 75.67172  ? 225 LYS E CB  225 LYS E CB  1 
ATOM 8871  C CG  . LYS B 2 224 ? 337.090 -73.652  250.914 1.0 75.67172  ? 225 LYS E CG  225 LYS E CG  1 
ATOM 8872  C CD  . LYS B 2 224 ? 338.425 -73.781  250.213 1.0 75.67172  ? 225 LYS E CD  225 LYS E CD  1 
ATOM 8873  C CE  . LYS B 2 224 ? 339.450 -72.854  250.826 1.0 75.67172  ? 225 LYS E CE  225 LYS E CE  1 
ATOM 8874  N NZ  . LYS B 2 224 ? 340.719 -72.874  250.060 1.0 75.67172  ? 225 LYS E NZ  225 LYS E NZ  1 
ATOM 8875  N N   . THR B 2 225 ? 335.388 -76.572  253.860 1.0 76.07114  ? 226 THR E N   226 THR E N   1 
ATOM 8876  C CA  . THR B 2 225 ? 335.224 -77.558  254.924 1.0 76.07114  ? 226 THR E CA  226 THR E CA  1 
ATOM 8877  C C   . THR B 2 225 ? 335.833 -78.878  254.483 1.0 76.07114  ? 226 THR E C   226 THR E C   1 
ATOM 8878  O O   . THR B 2 225 ? 335.316 -79.526  253.570 1.0 76.07114  ? 226 THR E O   226 THR E O   1 
ATOM 8879  C CB  . THR B 2 225 ? 333.748 -77.737  255.274 1.0 76.07114  ? 226 THR E CB  226 THR E CB  1 
ATOM 8880  O OG1 . THR B 2 225 ? 333.215 -76.484  255.718 1.0 76.07114  ? 226 THR E OG1 226 THR E OG1 1 
ATOM 8881  C CG2 . THR B 2 225 ? 333.596 -78.753  256.383 1.0 76.07114  ? 226 THR E CG2 226 THR E CG2 1 
ATOM 8882  N N   . TYR B 2 226 ? 336.897 -79.299  255.158 1.0 77.70216  ? 227 TYR E N   227 TYR E N   1 
ATOM 8883  C CA  . TYR B 2 226 ? 337.786 -80.330  254.641 1.0 77.70216  ? 227 TYR E CA  227 TYR E CA  1 
ATOM 8884  C C   . TYR B 2 226 ? 337.469 -81.682  255.260 1.0 77.70216  ? 227 TYR E C   227 TYR E C   1 
ATOM 8885  O O   . TYR B 2 226 ? 336.977 -81.758  256.388 1.0 77.70216  ? 227 TYR E O   227 TYR E O   1 
ATOM 8886  C CB  . TYR B 2 226 ? 339.242 -79.974  254.917 1.0 77.70216  ? 227 TYR E CB  227 TYR E CB  1 
ATOM 8887  C CG  . TYR B 2 226 ? 339.743 -78.757  254.182 1.0 77.70216  ? 227 TYR E CG  227 TYR E CG  1 
ATOM 8888  C CD1 . TYR B 2 226 ? 339.059 -78.229  253.096 1.0 77.70216  ? 227 TYR E CD1 227 TYR E CD1 1 
ATOM 8889  C CD2 . TYR B 2 226 ? 340.906 -78.136  254.579 1.0 77.70216  ? 227 TYR E CD2 227 TYR E CD2 1 
ATOM 8890  C CE1 . TYR B 2 226 ? 339.527 -77.117  252.433 1.0 77.70216  ? 227 TYR E CE1 227 TYR E CE1 1 
ATOM 8891  C CE2 . TYR B 2 226 ? 341.382 -77.029  253.922 1.0 77.70216  ? 227 TYR E CE2 227 TYR E CE2 1 
ATOM 8892  C CZ  . TYR B 2 226 ? 340.690 -76.523  252.855 1.0 77.70216  ? 227 TYR E CZ  227 TYR E CZ  1 
ATOM 8893  O OH  . TYR B 2 226 ? 341.172 -75.415  252.205 1.0 77.70216  ? 227 TYR E OH  227 TYR E OH  1 
ATOM 8894  N N   . ILE B 2 227 ? 337.752 -82.747  254.509 1.0 78.10668  ? 228 ILE E N   228 ILE E N   1 
ATOM 8895  C CA  . ILE B 2 227 ? 337.446 -84.122  254.901 1.0 78.10668  ? 228 ILE E CA  228 ILE E CA  1 
ATOM 8896  C C   . ILE B 2 227 ? 338.587 -85.023  254.444 1.0 78.10668  ? 228 ILE E C   228 ILE E C   1 
ATOM 8897  O O   . ILE B 2 227 ? 339.041 -84.922  253.300 1.0 78.10668  ? 228 ILE E O   228 ILE E O   1 
ATOM 8898  C CB  . ILE B 2 227 ? 336.095 -84.596  254.313 1.0 78.10668  ? 228 ILE E CB  228 ILE E CB  1 
ATOM 8899  C CG1 . ILE B 2 227 ? 334.906 -83.953  255.037 1.0 78.10668  ? 228 ILE E CG1 228 ILE E CG1 1 
ATOM 8900  C CG2 . ILE B 2 227 ? 335.951 -86.105  254.324 1.0 78.10668  ? 228 ILE E CG2 228 ILE E CG2 1 
ATOM 8901  C CD1 . ILE B 2 227 ? 333.571 -84.307  254.437 1.0 78.10668  ? 228 ILE E CD1 228 ILE E CD1 1 
ATOM 8902  N N   . ASN B 2 228 ? 339.060 -85.890  255.338 1.0 79.2179   ? 229 ASN E N   229 ASN E N   1 
ATOM 8903  C CA  . ASN B 2 228 ? 340.071 -86.892  255.029 1.0 79.2179   ? 229 ASN E CA  229 ASN E CA  1 
ATOM 8904  C C   . ASN B 2 228 ? 339.434 -88.272  255.003 1.0 79.2179   ? 229 ASN E C   229 ASN E C   1 
ATOM 8905  O O   . ASN B 2 228 ? 338.687 -88.629  255.918 1.0 79.2179   ? 229 ASN E O   229 ASN E O   1 
ATOM 8906  C CB  . ASN B 2 228 ? 341.182 -86.887  256.075 1.0 79.2179   ? 229 ASN E CB  229 ASN E CB  1 
ATOM 8907  C CG  . ASN B 2 228 ? 342.383 -87.703  255.657 1.0 79.2179   ? 229 ASN E CG  229 ASN E CG  1 
ATOM 8908  O OD1 . ASN B 2 228 ? 342.457 -88.199  254.534 1.0 79.2179   ? 229 ASN E OD1 229 ASN E OD1 1 
ATOM 8909  N ND2 . ASN B 2 228 ? 343.327 -87.868  256.572 1.0 79.2179   ? 229 ASN E ND2 229 ASN E ND2 1 
ATOM 8910  N N   . THR B 2 229 ? 339.732 -89.051  253.955 1.0 77.42005  ? 230 THR E N   230 THR E N   1 
ATOM 8911  C CA  . THR B 2 229 ? 339.525 -90.505  253.957 1.0 77.42005  ? 230 THR E CA  230 THR E CA  1 
ATOM 8912  C C   . THR B 2 229 ? 340.813 -91.148  253.446 1.0 77.42005  ? 230 THR E C   230 THR E C   1 
ATOM 8913  O O   . THR B 2 229 ? 340.886 -91.554  252.285 1.0 77.42005  ? 230 THR E O   230 THR E O   1 
ATOM 8914  C CB  . THR B 2 229 ? 338.329 -90.913  253.094 1.0 77.42005  ? 230 THR E CB  230 THR E CB  1 
ATOM 8915  O OG1 . THR B 2 229 ? 338.526 -90.429  251.764 1.0 77.42005  ? 230 THR E OG1 230 THR E OG1 1 
ATOM 8916  C CG2 . THR B 2 229 ? 337.015 -90.381  253.644 1.0 77.42005  ? 230 THR E CG2 230 THR E CG2 1 
ATOM 8917  N N   . THR B 2 230 ? 341.799 -91.281  254.325 1.0 80.69262  ? 231 THR E N   231 THR E N   1 
ATOM 8918  C CA  . THR B 2 230 ? 343.088 -91.917  254.035 1.0 80.69262  ? 231 THR E CA  231 THR E CA  1 
ATOM 8919  C C   . THR B 2 230 ? 343.569 -92.592  255.312 1.0 80.69262  ? 231 THR E C   231 THR E C   1 
ATOM 8920  O O   . THR B 2 230 ? 342.786 -92.839  256.235 1.0 80.69262  ? 231 THR E O   231 THR E O   1 
ATOM 8921  C CB  . THR B 2 230 ? 344.160 -90.919  253.543 1.0 80.69262  ? 231 THR E CB  231 THR E CB  1 
ATOM 8922  O OG1 . THR B 2 230 ? 344.289 -89.840  254.477 1.0 80.69262  ? 231 THR E OG1 231 THR E OG1 1 
ATOM 8923  C CG2 . THR B 2 230 ? 343.919 -90.389  252.137 1.0 80.69262  ? 231 THR E CG2 231 THR E CG2 1 
ATOM 8924  N N   . ASN B 2 231 ? 344.862 -92.901  255.357 1.0 83.25424  ? 232 ASN E N   232 ASN E N   1 
ATOM 8925  C CA  . ASN B 2 231 ? 345.553 -93.245  256.588 1.0 83.25424  ? 232 ASN E CA  232 ASN E CA  1 
ATOM 8926  C C   . ASN B 2 231 ? 346.713 -92.304  256.875 1.0 83.25424  ? 232 ASN E C   232 ASN E C   1 
ATOM 8927  O O   . ASN B 2 231 ? 347.546 -92.613  257.734 1.0 83.25424  ? 232 ASN E O   232 ASN E O   1 
ATOM 8928  C CB  . ASN B 2 231 ? 346.072 -94.686  256.526 1.0 83.25424  ? 232 ASN E CB  232 ASN E CB  1 
ATOM 8929  C CG  . ASN B 2 231 ? 344.961 -95.697  256.364 1.0 83.25424  ? 232 ASN E CG  232 ASN E CG  1 
ATOM 8930  O OD1 . ASN B 2 231 ? 344.867 -96.370  255.340 1.0 83.25424  ? 232 ASN E OD1 232 ASN E OD1 1 
ATOM 8931  N ND2 . ASN B 2 231 ? 344.113 -95.813  257.377 1.0 83.25424  ? 232 ASN E ND2 232 ASN E ND2 1 
ATOM 8932  N N   . ASN B 2 232 ? 346.790 -91.165  256.184 1.0 84.29086  ? 233 ASN E N   233 ASN E N   1 
ATOM 8933  C CA  . ASN B 2 232 ? 347.970 -90.312  256.214 1.0 84.29086  ? 233 ASN E CA  233 ASN E CA  1 
ATOM 8934  C C   . ASN B 2 232 ? 347.937 -89.255  257.308 1.0 84.29086  ? 233 ASN E C   233 ASN E C   1 
ATOM 8935  O O   . ASN B 2 232 ? 348.963 -88.598  257.521 1.0 84.29086  ? 233 ASN E O   233 ASN E O   1 
ATOM 8936  C CB  . ASN B 2 232 ? 348.150 -89.625  254.860 1.0 84.29086  ? 233 ASN E CB  233 ASN E CB  1 
ATOM 8937  C CG  . ASN B 2 232 ? 348.555 -90.591  253.769 1.0 84.29086  ? 233 ASN E CG  233 ASN E CG  1 
ATOM 8938  O OD1 . ASN B 2 232 ? 349.369 -91.486  253.991 1.0 84.29086  ? 233 ASN E OD1 233 ASN E OD1 1 
ATOM 8939  N ND2 . ASN B 2 232 ? 347.994 -90.412  252.579 1.0 84.29086  ? 233 ASN E ND2 233 ASN E ND2 1 
ATOM 8940  N N   . ASN B 2 233 ? 346.769 -89.011  257.920 1.0 83.28596  ? 234 ASN E N   234 ASN E N   1 
ATOM 8941  C CA  . ASN B 2 233 ? 346.562 -88.179  259.110 1.0 83.28596  ? 234 ASN E CA  234 ASN E CA  1 
ATOM 8942  C C   . ASN B 2 233 ? 346.804 -86.684  258.869 1.0 83.28596  ? 234 ASN E C   234 ASN E C   1 
ATOM 8943  O O   . ASN B 2 233 ? 346.594 -85.875  259.779 1.0 83.28596  ? 234 ASN E O   234 ASN E O   1 
ATOM 8944  C CB  . ASN B 2 233 ? 347.438 -88.683  260.272 1.0 83.28596  ? 234 ASN E CB  234 ASN E CB  1 
ATOM 8945  C CG  . ASN B 2 233 ? 346.851 -88.386  261.641 1.0 83.28596  ? 234 ASN E CG  234 ASN E CG  1 
ATOM 8946  O OD1 . ASN B 2 233 ? 347.331 -88.904  262.649 1.0 83.28596  ? 234 ASN E OD1 234 ASN E OD1 1 
ATOM 8947  N ND2 . ASN B 2 233 ? 345.797 -87.582  261.686 1.0 83.28596  ? 234 ASN E ND2 234 ASN E ND2 1 
ATOM 8948  N N   . GLY B 2 234 ? 347.231 -86.294  257.670 1.0 82.84898  ? 235 GLY E N   235 GLY E N   1 
ATOM 8949  C CA  . GLY B 2 234 ? 347.462 -84.897  257.363 1.0 82.84898  ? 235 GLY E CA  235 GLY E CA  1 
ATOM 8950  C C   . GLY B 2 234 ? 347.021 -84.505  255.969 1.0 82.84898  ? 235 GLY E C   235 GLY E C   1 
ATOM 8951  O O   . GLY B 2 234 ? 347.090 -83.330  255.597 1.0 82.84898  ? 235 GLY E O   235 GLY E O   1 
ATOM 8952  N N   . ARG B 2 235 ? 346.569 -85.477  255.185 1.0 79.31316  ? 236 ARG E N   236 ARG E N   1 
ATOM 8953  C CA  . ARG B 2 235 ? 346.215 -85.223  253.797 1.0 79.31316  ? 236 ARG E CA  236 ARG E CA  1 
ATOM 8954  C C   . ARG B 2 235 ? 344.769 -84.774  253.672 1.0 79.31316  ? 236 ARG E C   236 ARG E C   1 
ATOM 8955  O O   . ARG B 2 235 ? 343.843 -85.525  253.982 1.0 79.31316  ? 236 ARG E O   236 ARG E O   1 
ATOM 8956  C CB  . ARG B 2 235 ? 346.432 -86.476  252.952 1.0 79.31316  ? 236 ARG E CB  236 ARG E CB  1 
ATOM 8957  C CG  . ARG B 2 235 ? 346.085 -86.287  251.485 1.0 79.31316  ? 236 ARG E CG  236 ARG E CG  1 
ATOM 8958  C CD  . ARG B 2 235 ? 346.364 -87.542  250.682 1.0 79.31316  ? 236 ARG E CD  236 ARG E CD  1 
ATOM 8959  N NE  . ARG B 2 235 ? 345.936 -87.408  249.296 1.0 79.31316  ? 236 ARG E NE  236 ARG E NE  1 
ATOM 8960  C CZ  . ARG B 2 235 ? 346.696 -86.912  248.329 1.0 79.31316  ? 236 ARG E CZ  236 ARG E CZ  1 
ATOM 8961  N NH1 . ARG B 2 235 ? 347.926 -86.507  248.595 1.0 79.31316  ? 236 ARG E NH1 236 ARG E NH1 1 
ATOM 8962  N NH2 . ARG B 2 235 ? 346.234 -86.827  247.093 1.0 79.31316  ? 236 ARG E NH2 236 ARG E NH2 1 
ATOM 8963  N N   . VAL B 2 236 ? 344.575 -83.548  253.200 1.0 78.47831  ? 237 VAL E N   237 VAL E N   1 
ATOM 8964  C CA  . VAL B 2 236 ? 343.249 -83.030  252.892 1.0 78.47831  ? 237 VAL E CA  237 VAL E CA  1 
ATOM 8965  C C   . VAL B 2 236 ? 342.804 -83.647  251.578 1.0 78.47831  ? 237 VAL E C   237 VAL E C   1 
ATOM 8966  O O   . VAL B 2 236 ? 343.473 -83.486  250.551 1.0 78.47831  ? 237 VAL E O   237 VAL E O   1 
ATOM 8967  C CB  . VAL B 2 236 ? 343.245 -81.499  252.802 1.0 78.47831  ? 237 VAL E CB  237 VAL E CB  1 
ATOM 8968  C CG1 . VAL B 2 236 ? 341.879 -81.012  252.366 1.0 78.47831  ? 237 VAL E CG1 237 VAL E CG1 1 
ATOM 8969  C CG2 . VAL B 2 236 ? 343.632 -80.890  254.131 1.0 78.47831  ? 237 VAL E CG2 237 VAL E CG2 1 
ATOM 8970  N N   . SER B 2 237 ? 341.672 -84.345  251.598 1.0 74.91381  ? 238 SER E N   238 SER E N   1 
ATOM 8971  C CA  . SER B 2 237 ? 341.190 -85.048  250.421 1.0 74.91381  ? 238 SER E CA  238 SER E CA  1 
ATOM 8972  C C   . SER B 2 237 ? 339.892 -84.488  249.863 1.0 74.91381  ? 238 SER E C   238 SER E C   1 
ATOM 8973  O O   . SER B 2 237 ? 339.324 -85.086  248.946 1.0 74.91381  ? 238 SER E O   238 SER E O   1 
ATOM 8974  C CB  . SER B 2 237 ? 341.017 -86.530  250.739 1.0 74.91381  ? 238 SER E CB  238 SER E CB  1 
ATOM 8975  O OG  . SER B 2 237 ? 342.267 -87.109  251.051 1.0 74.91381  ? 238 SER E OG  238 SER E OG  1 
ATOM 8976  N N   . GLY B 2 238 ? 339.408 -83.368  250.385 1.0 74.20125  ? 239 GLY E N   239 GLY E N   1 
ATOM 8977  C CA  . GLY B 2 238 ? 338.232 -82.722  249.835 1.0 74.20125  ? 239 GLY E CA  239 GLY E CA  1 
ATOM 8978  C C   . GLY B 2 238 ? 338.145 -81.312  250.361 1.0 74.20125  ? 239 GLY E C   239 GLY E C   1 
ATOM 8979  O O   . GLY B 2 238 ? 338.605 -81.022  251.468 1.0 74.20125  ? 239 GLY E O   239 GLY E O   1 
ATOM 8980  N N   . THR B 2 239 ? 337.552 -80.423  249.566 1.0 74.74779  ? 240 THR E N   240 THR E N   1 
ATOM 8981  C CA  . THR B 2 239 ? 337.530 -79.011  249.925 1.0 74.74779  ? 240 THR E CA  240 THR E CA  1 
ATOM 8982  C C   . THR B 2 239 ? 336.148 -78.492  250.291 1.0 74.74779  ? 240 THR E C   240 THR E C   1 
ATOM 8983  O O   . THR B 2 239 ? 336.012 -77.881  251.356 1.0 74.74779  ? 240 THR E O   240 THR E O   1 
ATOM 8984  C CB  . THR B 2 239 ? 338.129 -78.171  248.801 1.0 74.74779  ? 240 THR E CB  240 THR E CB  1 
ATOM 8985  O OG1 . THR B 2 239 ? 337.369 -78.380  247.607 1.0 74.74779  ? 240 THR E OG1 240 THR E OG1 1 
ATOM 8986  C CG2 . THR B 2 239 ? 339.564 -78.586  248.573 1.0 74.74779  ? 240 THR E CG2 240 THR E CG2 1 
ATOM 8987  N N   . MET B 2 240 ? 335.139 -78.691  249.430 1.0 73.22175  ? 241 MET E N   241 MET E N   1 
ATOM 8988  C CA  . MET B 2 240 ? 333.717 -78.589  249.789 1.0 73.22175  ? 241 MET E CA  241 MET E CA  1 
ATOM 8989  C C   . MET B 2 240 ? 333.336 -77.196  250.300 1.0 73.22175  ? 241 MET E C   241 MET E C   1 
ATOM 8990  O O   . MET B 2 240 ? 333.203 -76.964  251.504 1.0 73.22175  ? 241 MET E O   241 MET E O   1 
ATOM 8991  C CB  . MET B 2 240 ? 333.348 -79.668  250.806 1.0 73.22175  ? 241 MET E CB  241 MET E CB  1 
ATOM 8992  C CG  . MET B 2 240 ? 333.202 -81.007  250.174 1.0 73.22175  ? 241 MET E CG  241 MET E CG  1 
ATOM 8993  S SD  . MET B 2 240 ? 333.201 -82.310  251.378 1.0 73.22175  ? 241 MET E SD  241 MET E SD  1 
ATOM 8994  C CE  . MET B 2 240 ? 334.972 -82.321  251.587 1.0 73.22175  ? 241 MET E CE  241 MET E CE  1 
ATOM 8995  N N   . ALA B 2 241 ? 333.273 -76.261  249.353 1.0 70.81896  ? 242 ALA E N   242 ALA E N   1 
ATOM 8996  C CA  . ALA B 2 241 ? 332.800 -74.910  249.625 1.0 70.81896  ? 242 ALA E CA  242 ALA E CA  1 
ATOM 8997  C C   . ALA B 2 241 ? 331.417 -74.920  250.260 1.0 70.81896  ? 242 ALA E C   242 ALA E C   1 
ATOM 8998  O O   . ALA B 2 241 ? 330.427 -75.252  249.604 1.0 70.81896  ? 242 ALA E O   242 ALA E O   1 
ATOM 8999  C CB  . ALA B 2 241 ? 332.763 -74.105  248.332 1.0 70.81896  ? 242 ALA E CB  242 ALA E CB  1 
ATOM 9000  N N   . THR B 2 242 ? 331.343 -74.550  251.535 1.0 72.80905  ? 243 THR E N   243 THR E N   1 
ATOM 9001  C CA  . THR B 2 242 ? 330.119 -74.753  252.289 1.0 72.80905  ? 243 THR E CA  243 THR E CA  1 
ATOM 9002  C C   . THR B 2 242 ? 329.109 -73.660  251.970 1.0 72.80905  ? 243 THR E C   243 THR E C   1 
ATOM 9003  O O   . THR B 2 242 ? 329.417 -72.657  251.327 1.0 72.80905  ? 243 THR E O   243 THR E O   1 
ATOM 9004  C CB  . THR B 2 242 ? 330.396 -74.792  253.789 1.0 72.80905  ? 243 THR E CB  243 THR E CB  1 
ATOM 9005  O OG1 . THR B 2 242 ? 329.229 -75.265  254.469 1.0 72.80905  ? 243 THR E OG1 243 THR E OG1 1 
ATOM 9006  C CG2 . THR B 2 242 ? 330.720 -73.409  254.304 1.0 72.80905  ? 243 THR E CG2 243 THR E CG2 1 
ATOM 9007  N N   . ASP B 2 243 ? 327.884 -73.869  252.431 1.0 71.19365  ? 244 ASP E N   244 ASP E N   1 
ATOM 9008  C CA  . ASP B 2 243 ? 326.767 -73.070  251.968 1.0 71.19365  ? 244 ASP E CA  244 ASP E CA  1 
ATOM 9009  C C   . ASP B 2 243 ? 325.742 -72.940  253.085 1.0 71.19365  ? 244 ASP E C   244 ASP E C   1 
ATOM 9010  O O   . ASP B 2 243 ? 325.584 -73.841  253.912 1.0 71.19365  ? 244 ASP E O   244 ASP E O   1 
ATOM 9011  C CB  . ASP B 2 243 ? 326.160 -73.714  250.716 1.0 71.19365  ? 244 ASP E CB  244 ASP E CB  1 
ATOM 9012  C CG  . ASP B 2 243 ? 325.238 -72.793  249.968 1.0 71.19365  ? 244 ASP E CG  244 ASP E CG  1 
ATOM 9013  O OD1 . ASP B 2 243 ? 324.990 -71.673  250.438 1.0 71.19365  ? 244 ASP E OD1 244 ASP E OD1 1 
ATOM 9014  O OD2 . ASP B 2 243 ? 324.768 -73.185  248.886 1.0 71.19365  ? 244 ASP E OD2 244 ASP E OD2 1 
ATOM 9015  N N   . THR B 2 244 ? 325.055 -71.803  253.109 1.0 70.66018  ? 245 THR E N   245 THR E N   1 
ATOM 9016  C CA  . THR B 2 244 ? 323.969 -71.564  254.047 1.0 70.66018  ? 245 THR E CA  245 THR E CA  1 
ATOM 9017  C C   . THR B 2 244 ? 322.664 -71.359  253.283 1.0 70.66018  ? 245 THR E C   245 THR E C   1 
ATOM 9018  O O   . THR B 2 244 ? 322.618 -70.633  252.284 1.0 70.66018  ? 245 THR E O   245 THR E O   1 
ATOM 9019  C CB  . THR B 2 244 ? 324.295 -70.390  254.979 1.0 70.66018  ? 245 THR E CB  245 THR E CB  1 
ATOM 9020  O OG1 . THR B 2 244 ? 323.178 -70.123  255.837 1.0 70.66018  ? 245 THR E OG1 245 THR E OG1 1 
ATOM 9021  C CG2 . THR B 2 244 ? 324.710 -69.145  254.215 1.0 70.66018  ? 245 THR E CG2 245 THR E CG2 1 
ATOM 9022  N N   . ILE B 2 245 ? 321.623 -72.065  253.725 1.0 69.99748  ? 246 ILE E N   246 ILE E N   1 
ATOM 9023  C CA  . ILE B 2 245 ? 320.371 -72.260  253.006 1.0 69.99748  ? 246 ILE E CA  246 ILE E CA  1 
ATOM 9024  C C   . ILE B 2 245 ? 319.268 -71.831  253.970 1.0 69.99748  ? 246 ILE E C   246 ILE E C   1 
ATOM 9025  O O   . ILE B 2 245 ? 319.516 -71.615  255.156 1.0 69.99748  ? 246 ILE E O   246 ILE E O   1 
ATOM 9026  C CB  . ILE B 2 245 ? 320.230 -73.747  252.553 1.0 69.99748  ? 246 ILE E CB  246 ILE E CB  1 
ATOM 9027  C CG1 . ILE B 2 245 ? 321.447 -74.177  251.744 1.0 69.99748  ? 246 ILE E CG1 246 ILE E CG1 1 
ATOM 9028  C CG2 . ILE B 2 245 ? 319.087 -74.028  251.612 1.0 69.99748  ? 246 ILE E CG2 246 ILE E CG2 1 
ATOM 9029  C CD1 . ILE B 2 245 ? 321.705 -73.373  250.522 1.0 69.99748  ? 246 ILE E CD1 246 ILE E CD1 1 
ATOM 9030  N N   . THR B 2 246 ? 318.056 -71.637  253.448 1.0 71.72461  ? 247 THR E N   247 THR E N   1 
ATOM 9031  C CA  . THR B 2 246 ? 316.875 -71.498  254.284 1.0 71.72461  ? 247 THR E CA  247 THR E CA  1 
ATOM 9032  C C   . THR B 2 246 ? 315.990 -72.742  254.294 1.0 71.72461  ? 247 THR E C   247 THR E C   1 
ATOM 9033  O O   . THR B 2 246 ? 315.048 -72.792  255.091 1.0 71.72461  ? 247 THR E O   247 THR E O   1 
ATOM 9034  C CB  . THR B 2 246 ? 316.049 -70.291  253.836 1.0 71.72461  ? 247 THR E CB  247 THR E CB  1 
ATOM 9035  O OG1 . THR B 2 246 ? 314.989 -70.065  254.773 1.0 71.72461  ? 247 THR E OG1 247 THR E OG1 1 
ATOM 9036  C CG2 . THR B 2 246 ? 315.467 -70.540  252.465 1.0 71.72461  ? 247 THR E CG2 247 THR E CG2 1 
ATOM 9037  N N   . TRP B 2 247 ? 316.270 -73.725  253.428 1.0 68.18533  ? 248 TRP E N   248 TRP E N   1 
ATOM 9038  C CA  . TRP B 2 247 ? 315.658 -75.062  253.404 1.0 68.18533  ? 248 TRP E CA  248 TRP E CA  1 
ATOM 9039  C C   . TRP B 2 247 ? 314.139 -75.005  253.219 1.0 68.18533  ? 248 TRP E C   248 TRP E C   1 
ATOM 9040  O O   . TRP B 2 247 ? 313.361 -75.361  254.103 1.0 68.18533  ? 248 TRP E O   248 TRP E O   1 
ATOM 9041  C CB  . TRP B 2 247 ? 315.989 -75.866  254.664 1.0 68.18533  ? 248 TRP E CB  248 TRP E CB  1 
ATOM 9042  C CG  . TRP B 2 247 ? 317.390 -76.306  254.775 1.0 68.18533  ? 248 TRP E CG  248 TRP E CG  1 
ATOM 9043  C CD1 . TRP B 2 247 ? 318.360 -75.721  255.506 1.0 68.18533  ? 248 TRP E CD1 248 TRP E CD1 1 
ATOM 9044  C CD2 . TRP B 2 247 ? 317.988 -77.444  254.151 1.0 68.18533  ? 248 TRP E CD2 248 TRP E CD2 1 
ATOM 9045  N NE1 . TRP B 2 247 ? 319.536 -76.410  255.384 1.0 68.18533  ? 248 TRP E NE1 248 TRP E NE1 1 
ATOM 9046  C CE2 . TRP B 2 247 ? 319.333 -77.476  254.553 1.0 68.18533  ? 248 TRP E CE2 248 TRP E CE2 1 
ATOM 9047  C CE3 . TRP B 2 247 ? 317.518 -78.434  253.288 1.0 68.18533  ? 248 TRP E CE3 248 TRP E CE3 1 
ATOM 9048  C CZ2 . TRP B 2 247 ? 320.212 -78.456  254.127 1.0 68.18533  ? 248 TRP E CZ2 248 TRP E CZ2 1 
ATOM 9049  C CZ3 . TRP B 2 247 ? 318.394 -79.407  252.866 1.0 68.18533  ? 248 TRP E CZ3 248 TRP E CZ3 1 
ATOM 9050  C CH2 . TRP B 2 247 ? 319.724 -79.412  253.288 1.0 68.18533  ? 248 TRP E CH2 248 TRP E CH2 1 
ATOM 9051  N N   . GLU B 2 248 ? 313.737 -74.544  252.046 1.0 62.98905  ? 249 GLU E N   249 GLU E N   1 
ATOM 9052  C CA  . GLU B 2 248 ? 312.339 -74.681  251.681 1.0 62.98905  ? 249 GLU E CA  249 GLU E CA  1 
ATOM 9053  C C   . GLU B 2 248 ? 312.081 -76.068  251.103 1.0 62.98905  ? 249 GLU E C   249 GLU E C   1 
ATOM 9054  O O   . GLU B 2 248 ? 312.917 -76.643  250.404 1.0 62.98905  ? 249 GLU E O   249 GLU E O   1 
ATOM 9055  C CB  . GLU B 2 248 ? 311.937 -73.616  250.666 1.0 62.98905  ? 249 GLU E CB  249 GLU E CB  1 
ATOM 9056  C CG  . GLU B 2 248 ? 311.971 -72.207  251.204 1.0 62.98905  ? 249 GLU E CG  249 GLU E CG  1 
ATOM 9057  C CD  . GLU B 2 248 ? 311.607 -71.186  250.152 1.0 62.98905  ? 249 GLU E CD  249 GLU E CD  1 
ATOM 9058  O OE1 . GLU B 2 248 ? 311.398 -71.583  248.990 1.0 62.98905  ? 249 GLU E OE1 249 GLU E OE1 1 
ATOM 9059  O OE2 . GLU B 2 248 ? 311.548 -69.984  250.481 1.0 62.98905  ? 249 GLU E OE2 249 GLU E OE2 1 
ATOM 9060  N N   . ASN B 2 249 ? 310.907 -76.611  251.411 1.0 60.19459  ? 250 ASN E N   250 ASN E N   1 
ATOM 9061  C CA  . ASN B 2 249 ? 310.425 -77.829  250.762 1.0 60.19459  ? 250 ASN E CA  250 ASN E CA  1 
ATOM 9062  C C   . ASN B 2 249 ? 309.021 -77.597  250.208 1.0 60.19459  ? 250 ASN E C   250 ASN E C   1 
ATOM 9063  O O   . ASN B 2 249 ? 308.020 -77.951  250.835 1.0 60.19459  ? 250 ASN E O   250 ASN E O   1 
ATOM 9064  C CB  . ASN B 2 249 ? 310.487 -79.027  251.716 1.0 60.19459  ? 250 ASN E CB  250 ASN E CB  1 
ATOM 9065  C CG  . ASN B 2 249 ? 309.904 -78.738  253.090 1.0 60.19459  ? 250 ASN E CG  250 ASN E CG  1 
ATOM 9066  O OD1 . ASN B 2 249 ? 309.442 -77.633  253.371 1.0 60.19459  ? 250 ASN E OD1 250 ASN E OD1 1 
ATOM 9067  N ND2 . ASN B 2 249 ? 309.912 -79.749  253.951 1.0 60.19459  ? 250 ASN E ND2 250 ASN E ND2 1 
ATOM 9068  N N   . PRO B 2 250 ? 308.909 -76.999  249.022 1.0 56.77263  ? 251 PRO E N   251 PRO E N   1 
ATOM 9069  C CA  . PRO B 2 250 ? 307.601 -76.959  248.373 1.0 56.77263  ? 251 PRO E CA  251 PRO E CA  1 
ATOM 9070  C C   . PRO B 2 250 ? 307.319 -78.303  247.729 1.0 56.77263  ? 251 PRO E C   251 PRO E C   1 
ATOM 9071  O O   . PRO B 2 250 ? 308.196 -79.166  247.668 1.0 56.77263  ? 251 PRO E O   251 PRO E O   1 
ATOM 9072  C CB  . PRO B 2 250 ? 307.749 -75.851  247.332 1.0 56.77263  ? 251 PRO E CB  251 PRO E CB  1 
ATOM 9073  C CG  . PRO B 2 250 ? 309.164 -75.897  246.982 1.0 56.77263  ? 251 PRO E CG  251 PRO E CG  1 
ATOM 9074  C CD  . PRO B 2 250 ? 309.904 -76.250  248.245 1.0 56.77263  ? 251 PRO E CD  251 PRO E CD  1 
ATOM 9075  N N   . ASP B 2 251 ? 306.051 -78.504  247.376 1.0 54.51745  ? 252 ASP E N   252 ASP E N   1 
ATOM 9076  C CA  . ASP B 2 251 ? 305.417 -79.581  246.588 1.0 54.51745  ? 252 ASP E CA  252 ASP E CA  1 
ATOM 9077  C C   . ASP B 2 251 ? 305.866 -81.006  246.911 1.0 54.51745  ? 252 ASP E C   252 ASP E C   1 
ATOM 9078  O O   . ASP B 2 251 ? 305.705 -81.886  246.058 1.0 54.51745  ? 252 ASP E O   252 ASP E O   1 
ATOM 9079  C CB  . ASP B 2 251 ? 305.498 -79.307  245.071 1.0 54.51745  ? 252 ASP E CB  252 ASP E CB  1 
ATOM 9080  C CG  . ASP B 2 251 ? 306.898 -79.451  244.443 1.0 54.51745  ? 252 ASP E CG  252 ASP E CG  1 
ATOM 9081  O OD1 . ASP B 2 251 ? 307.890 -79.884  245.040 1.0 54.51745  ? 252 ASP E OD1 252 ASP E OD1 1 
ATOM 9082  O OD2 . ASP B 2 251 ? 307.008 -79.084  243.260 1.0 54.51745  ? 252 ASP E OD2 252 ASP E OD2 1 
ATOM 9083  N N   . ALA B 2 252 ? 306.376 -81.268  248.116 1.0 56.12375  ? 253 ALA E N   253 ALA E N   1 
ATOM 9084  C CA  . ALA B 2 252 ? 306.781 -82.592  248.571 1.0 56.12375  ? 253 ALA E CA  253 ALA E CA  1 
ATOM 9085  C C   . ALA B 2 252 ? 306.928 -82.530  250.081 1.0 56.12375  ? 253 ALA E C   253 ALA E C   1 
ATOM 9086  O O   . ALA B 2 252 ? 307.443 -81.548  250.621 1.0 56.12375  ? 253 ALA E O   253 ALA E O   1 
ATOM 9087  C CB  . ALA B 2 252 ? 308.098 -83.053  247.934 1.0 56.12375  ? 253 ALA E CB  253 ALA E CB  1 
ATOM 9088  N N   . HIS B 2 253 ? 306.460 -83.567  250.777 1.0 60.43231  ? 254 HIS E N   254 HIS E N   1 
ATOM 9089  C CA  . HIS B 2 253 ? 306.511 -83.430  252.226 1.0 60.43231  ? 254 HIS E CA  254 HIS E CA  1 
ATOM 9090  C C   . HIS B 2 253 ? 307.441 -84.426  252.926 1.0 60.43231  ? 254 HIS E C   254 HIS E C   1 
ATOM 9091  O O   . HIS B 2 253 ? 308.510 -84.013  253.369 1.0 60.43231  ? 254 HIS E O   254 HIS E O   1 
ATOM 9092  C CB  . HIS B 2 253 ? 305.073 -83.474  252.780 1.0 60.43231  ? 254 HIS E CB  254 HIS E CB  1 
ATOM 9093  C CG  . HIS B 2 253 ? 304.334 -84.746  252.497 1.0 60.43231  ? 254 HIS E CG  254 HIS E CG  1 
ATOM 9094  N ND1 . HIS B 2 253 ? 303.866 -85.078  251.246 1.0 60.43231  ? 254 HIS E ND1 254 HIS E ND1 1 
ATOM 9095  C CD2 . HIS B 2 253 ? 303.995 -85.774  253.310 1.0 60.43231  ? 254 HIS E CD2 254 HIS E CD2 1 
ATOM 9096  C CE1 . HIS B 2 253 ? 303.276 -86.258  251.298 1.0 60.43231  ? 254 HIS E CE1 254 HIS E CE1 1 
ATOM 9097  N NE2 . HIS B 2 253 ? 303.341 -86.702  252.539 1.0 60.43231  ? 254 HIS E NE2 254 HIS E NE2 1 
ATOM 9098  N N   . PHE B 2 254 ? 307.135 -85.727  252.898 1.0 64.84476  ? 255 PHE E N   255 PHE E N   1 
ATOM 9099  C CA  . PHE B 2 254 ? 307.746 -86.807  253.677 1.0 64.84476  ? 255 PHE E CA  255 PHE E CA  1 
ATOM 9100  C C   . PHE B 2 254 ? 307.067 -88.099  253.258 1.0 64.84476  ? 255 PHE E C   255 PHE E C   1 
ATOM 9101  O O   . PHE B 2 254 ? 305.977 -88.068  252.680 1.0 64.84476  ? 255 PHE E O   255 PHE E O   1 
ATOM 9102  C CB  . PHE B 2 254 ? 307.575 -86.681  255.206 1.0 64.84476  ? 255 PHE E CB  255 PHE E CB  1 
ATOM 9103  C CG  . PHE B 2 254 ? 308.399 -85.605  255.845 1.0 64.84476  ? 255 PHE E CG  255 PHE E CG  1 
ATOM 9104  C CD1 . PHE B 2 254 ? 309.777 -85.725  255.932 1.0 64.84476  ? 255 PHE E CD1 255 PHE E CD1 1 
ATOM 9105  C CD2 . PHE B 2 254 ? 307.791 -84.473  256.369 1.0 64.84476  ? 255 PHE E CD2 255 PHE E CD2 1 
ATOM 9106  C CE1 . PHE B 2 254 ? 310.537 -84.725  256.510 1.0 64.84476  ? 255 PHE E CE1 255 PHE E CE1 1 
ATOM 9107  C CE2 . PHE B 2 254 ? 308.544 -83.468  256.944 1.0 64.84476  ? 255 PHE E CE2 255 PHE E CE2 1 
ATOM 9108  C CZ  . PHE B 2 254 ? 309.918 -83.598  257.020 1.0 64.84476  ? 255 PHE E CZ  255 PHE E CZ  1 
ATOM 9109  N N   . ALA B 2 255 ? 307.689 -89.238  253.534 1.0 66.14968  ? 256 ALA E N   256 ALA E N   1 
ATOM 9110  C CA  . ALA B 2 255 ? 306.958 -90.496  253.504 1.0 66.14968  ? 256 ALA E CA  256 ALA E CA  1 
ATOM 9111  C C   . ALA B 2 255 ? 307.410 -91.367  254.667 1.0 66.14968  ? 256 ALA E C   256 ALA E C   1 
ATOM 9112  O O   . ALA B 2 255 ? 306.715 -92.307  255.060 1.0 66.14968  ? 256 ALA E O   256 ALA E O   1 
ATOM 9113  C CB  . ALA B 2 255 ? 307.139 -91.207  252.165 1.0 66.14968  ? 256 ALA E CB  256 ALA E CB  1 
ATOM 9114  N N   . ASP B 2 256 ? 308.582 -91.056  255.212 1.0 71.71178  ? 257 ASP E N   257 ASP E N   1 
ATOM 9115  C CA  . ASP B 2 256 ? 309.131 -91.755  256.362 1.0 71.71178  ? 257 ASP E CA  257 ASP E CA  1 
ATOM 9116  C C   . ASP B 2 256 ? 310.107 -90.816  257.049 1.0 71.71178  ? 257 ASP E C   257 ASP E C   1 
ATOM 9117  O O   . ASP B 2 256 ? 310.956 -90.215  256.388 1.0 71.71178  ? 257 ASP E O   257 ASP E O   1 
ATOM 9118  C CB  . ASP B 2 256 ? 309.851 -93.040  255.946 1.0 71.71178  ? 257 ASP E CB  257 ASP E CB  1 
ATOM 9119  C CG  . ASP B 2 256 ? 310.164 -93.941  257.119 1.0 71.71178  ? 257 ASP E CG  257 ASP E CG  1 
ATOM 9120  O OD1 . ASP B 2 256 ? 309.737 -93.633  258.252 1.0 71.71178  ? 257 ASP E OD1 257 ASP E OD1 1 
ATOM 9121  O OD2 . ASP B 2 256 ? 310.864 -94.953  256.909 1.0 71.71178  ? 257 ASP E OD2 257 ASP E OD2 1 
ATOM 9122  N N   . PHE B 2 257 ? 309.993 -90.692  258.368 1.0 74.36259  ? 258 PHE E N   258 PHE E N   1 
ATOM 9123  C CA  . PHE B 2 257 ? 310.929 -89.872  259.124 1.0 74.36259  ? 258 PHE E CA  258 PHE E CA  1 
ATOM 9124  C C   . PHE B 2 257 ? 311.519 -90.678  260.268 1.0 74.36259  ? 258 PHE E C   258 PHE E C   1 
ATOM 9125  O O   . PHE B 2 257 ? 310.937 -90.758  261.353 1.0 74.36259  ? 258 PHE E O   258 PHE E O   1 
ATOM 9126  C CB  . PHE B 2 257 ? 310.287 -88.592  259.654 1.0 74.36259  ? 258 PHE E CB  258 PHE E CB  1 
ATOM 9127  C CG  . PHE B 2 257 ? 311.271 -87.668  260.312 1.0 74.36259  ? 258 PHE E CG  258 PHE E CG  1 
ATOM 9128  C CD1 . PHE B 2 257 ? 312.180 -86.958  259.547 1.0 74.36259  ? 258 PHE E CD1 258 PHE E CD1 1 
ATOM 9129  C CD2 . PHE B 2 257 ? 311.299 -87.518  261.688 1.0 74.36259  ? 258 PHE E CD2 258 PHE E CD2 1 
ATOM 9130  C CE1 . PHE B 2 257 ? 313.092 -86.112  260.135 1.0 74.36259  ? 258 PHE E CE1 258 PHE E CE1 1 
ATOM 9131  C CE2 . PHE B 2 257 ? 312.212 -86.671  262.286 1.0 74.36259  ? 258 PHE E CE2 258 PHE E CE2 1 
ATOM 9132  C CZ  . PHE B 2 257 ? 313.110 -85.967  261.506 1.0 74.36259  ? 258 PHE E CZ  258 PHE E CZ  1 
ATOM 9133  N N   . VAL B 2 258 ? 312.673 -91.268  260.003 1.0 75.83098  ? 259 VAL E N   259 VAL E N   1 
ATOM 9134  C CA  . VAL B 2 258 ? 313.664 -91.660  260.993 1.0 75.83098  ? 259 VAL E CA  259 VAL E CA  1 
ATOM 9135  C C   . VAL B 2 258 ? 314.795 -90.667  260.732 1.0 75.83098  ? 259 VAL E C   259 VAL E C   1 
ATOM 9136  O O   . VAL B 2 258 ? 314.554 -89.678  260.033 1.0 75.83098  ? 259 VAL E O   259 VAL E O   1 
ATOM 9137  C CB  . VAL B 2 258 ? 314.019 -93.167  260.870 1.0 75.83098  ? 259 VAL E CB  259 VAL E CB  1 
ATOM 9138  C CG1 . VAL B 2 258 ? 314.804 -93.483  259.614 1.0 75.83098  ? 259 VAL E CG1 259 VAL E CG1 1 
ATOM 9139  C CG2 . VAL B 2 258 ? 314.655 -93.742  262.154 1.0 75.83098  ? 259 VAL E CG2 259 VAL E CG2 1 
ATOM 9140  N N   . ASP B 2 259 ? 315.978 -90.866  261.341 1.0 80.78464  ? 260 ASP E N   260 ASP E N   1 
ATOM 9141  C CA  . ASP B 2 259 ? 317.055 -89.881  261.547 1.0 80.78464  ? 260 ASP E CA  260 ASP E CA  1 
ATOM 9142  C C   . ASP B 2 259 ? 317.392 -88.952  260.378 1.0 80.78464  ? 260 ASP E C   260 ASP E C   1 
ATOM 9143  O O   . ASP B 2 259 ? 317.192 -89.314  259.217 1.0 80.78464  ? 260 ASP E O   260 ASP E O   1 
ATOM 9144  C CB  . ASP B 2 259 ? 318.343 -90.617  261.931 1.0 80.78464  ? 260 ASP E CB  260 ASP E CB  1 
ATOM 9145  C CG  . ASP B 2 259 ? 318.282 -91.228  263.314 1.0 80.78464  ? 260 ASP E CG  260 ASP E CG  1 
ATOM 9146  O OD1 . ASP B 2 259 ? 317.554 -90.689  264.171 1.0 80.78464  ? 260 ASP E OD1 260 ASP E OD1 1 
ATOM 9147  O OD2 . ASP B 2 259 ? 318.974 -92.245  263.544 1.0 80.78464  ? 260 ASP E OD2 260 ASP E OD2 1 
ATOM 9148  N N   . ASP B 2 260 ? 317.928 -87.758  260.696 1.0 77.71321  ? 261 ASP E N   261 ASP E N   1 
ATOM 9149  C CA  . ASP B 2 260 ? 317.984 -86.578  259.819 1.0 77.71321  ? 261 ASP E CA  261 ASP E CA  1 
ATOM 9150  C C   . ASP B 2 260 ? 318.575 -86.805  258.427 1.0 77.71321  ? 261 ASP E C   261 ASP E C   1 
ATOM 9151  O O   . ASP B 2 260 ? 318.226 -86.063  257.502 1.0 77.71321  ? 261 ASP E O   261 ASP E O   1 
ATOM 9152  C CB  . ASP B 2 260 ? 318.793 -85.471  260.522 1.0 77.71321  ? 261 ASP E CB  261 ASP E CB  1 
ATOM 9153  C CG  . ASP B 2 260 ? 318.452 -84.074  260.038 1.0 77.71321  ? 261 ASP E CG  261 ASP E CG  1 
ATOM 9154  O OD1 . ASP B 2 260 ? 317.510 -83.916  259.238 1.0 77.71321  ? 261 ASP E OD1 261 ASP E OD1 1 
ATOM 9155  O OD2 . ASP B 2 260 ? 319.131 -83.121  260.459 1.0 77.71321  ? 261 ASP E OD2 261 ASP E OD2 1 
ATOM 9156  N N   . ARG B 2 261 ? 319.427 -87.811  258.240 1.0 77.20817  ? 262 ARG E N   262 ARG E N   1 
ATOM 9157  C CA  . ARG B 2 261 ? 319.869 -88.229  256.919 1.0 77.20817  ? 262 ARG E CA  262 ARG E CA  1 
ATOM 9158  C C   . ARG B 2 261 ? 318.959 -89.280  256.309 1.0 77.20817  ? 262 ARG E C   262 ARG E C   1 
ATOM 9159  O O   . ARG B 2 261 ? 318.778 -89.298  255.086 1.0 77.20817  ? 262 ARG E O   262 ARG E O   1 
ATOM 9160  C CB  . ARG B 2 261 ? 321.301 -88.787  256.995 1.0 77.20817  ? 262 ARG E CB  262 ARG E CB  1 
ATOM 9161  C CG  . ARG B 2 261 ? 321.927 -89.176  255.663 1.0 77.20817  ? 262 ARG E CG  262 ARG E CG  1 
ATOM 9162  C CD  . ARG B 2 261 ? 323.329 -89.731  255.843 1.0 77.20817  ? 262 ARG E CD  262 ARG E CD  1 
ATOM 9163  N NE  . ARG B 2 261 ? 323.337 -90.956  256.635 1.0 77.20817  ? 262 ARG E NE  262 ARG E NE  1 
ATOM 9164  C CZ  . ARG B 2 261 ? 323.097 -92.168  256.144 1.0 77.20817  ? 262 ARG E CZ  262 ARG E CZ  1 
ATOM 9165  N NH1 . ARG B 2 261 ? 322.828 -92.327  254.856 1.0 77.20817  ? 262 ARG E NH1 262 ARG E NH1 1 
ATOM 9166  N NH2 . ARG B 2 261 ? 323.130 -93.225  256.944 1.0 77.20817  ? 262 ARG E NH2 262 ARG E NH2 1 
ATOM 9167  N N   . ARG B 2 262 ? 318.328 -90.100  257.133 1.0 77.12248  ? 263 ARG E N   263 ARG E N   1 
ATOM 9168  C CA  . ARG B 2 262 ? 317.642 -91.306  256.713 1.0 77.12248  ? 263 ARG E CA  263 ARG E CA  1 
ATOM 9169  C C   . ARG B 2 262 ? 316.169 -91.076  256.421 1.0 77.12248  ? 263 ARG E C   263 ARG E C   1 
ATOM 9170  O O   . ARG B 2 262 ? 315.359 -91.963  256.698 1.0 77.12248  ? 263 ARG E O   263 ARG E O   1 
ATOM 9171  C CB  . ARG B 2 262 ? 317.763 -92.361  257.808 1.0 77.12248  ? 263 ARG E CB  263 ARG E CB  1 
ATOM 9172  C CG  . ARG B 2 262 ? 319.166 -92.767  258.191 1.0 77.12248  ? 263 ARG E CG  263 ARG E CG  1 
ATOM 9173  C CD  . ARG B 2 262 ? 319.078 -93.833  259.267 1.0 77.12248  ? 263 ARG E CD  263 ARG E CD  1 
ATOM 9174  N NE  . ARG B 2 262 ? 320.374 -94.356  259.676 1.0 77.12248  ? 263 ARG E NE  263 ARG E NE  1 
ATOM 9175  C CZ  . ARG B 2 262 ? 320.526 -95.288  260.609 1.0 77.12248  ? 263 ARG E CZ  263 ARG E CZ  1 
ATOM 9176  N NH1 . ARG B 2 262 ? 319.461 -95.788  261.218 1.0 77.12248  ? 263 ARG E NH1 263 ARG E NH1 1 
ATOM 9177  N NH2 . ARG B 2 262 ? 321.737 -95.723  260.931 1.0 77.12248  ? 263 ARG E NH2 263 ARG E NH2 1 
ATOM 9178  N N   . ALA B 2 263 ? 315.788 -89.902  255.940 1.0 71.42343  ? 264 ALA E N   264 ALA E N   1 
ATOM 9179  C CA  . ALA B 2 263 ? 314.397 -89.690  255.587 1.0 71.42343  ? 264 ALA E CA  264 ALA E CA  1 
ATOM 9180  C C   . ALA B 2 263 ? 314.199 -89.875  254.088 1.0 71.42343  ? 264 ALA E C   264 ALA E C   1 
ATOM 9181  O O   . ALA B 2 263 ? 315.153 -89.923  253.310 1.0 71.42343  ? 264 ALA E O   264 ALA E O   1 
ATOM 9182  C CB  . ALA B 2 263 ? 313.939 -88.299  256.015 1.0 71.42343  ? 264 ALA E CB  264 ALA E CB  1 
ATOM 9183  N N   . THR B 2 264 ? 312.938 -89.984  253.685 1.0 65.73536  ? 265 THR E N   265 THR E N   1 
ATOM 9184  C CA  . THR B 2 264 ? 312.587 -90.057  252.277 1.0 65.73536  ? 265 THR E CA  265 THR E CA  1 
ATOM 9185  C C   . THR B 2 264 ? 311.544 -89.001  251.957 1.0 65.73536  ? 265 THR E C   265 THR E C   1 
ATOM 9186  O O   . THR B 2 264 ? 310.951 -88.396  252.853 1.0 65.73536  ? 265 THR E O   265 THR E O   1 
ATOM 9187  C CB  . THR B 2 264 ? 312.056 -91.428  251.883 1.0 65.73536  ? 265 THR E CB  265 THR E CB  1 
ATOM 9188  O OG1 . THR B 2 264 ? 311.831 -91.464  250.470 1.0 65.73536  ? 265 THR E OG1 265 THR E OG1 1 
ATOM 9189  C CG2 . THR B 2 264 ? 310.771 -91.707  252.596 1.0 65.73536  ? 265 THR E CG2 265 THR E CG2 1 
ATOM 9190  N N   . ALA B 2 265 ? 311.329 -88.784  250.667 1.0 60.88818  ? 266 ALA E N   266 ALA E N   1 
ATOM 9191  C CA  . ALA B 2 265 ? 310.488 -87.702  250.189 1.0 60.88818  ? 266 ALA E CA  266 ALA E CA  1 
ATOM 9192  C C   . ALA B 2 265 ? 309.523 -88.224  249.141 1.0 60.88818  ? 266 ALA E C   266 ALA E C   1 
ATOM 9193  O O   . ALA B 2 265 ? 309.933 -88.897  248.193 1.0 60.88818  ? 266 ALA E O   266 ALA E O   1 
ATOM 9194  C CB  . ALA B 2 265 ? 311.336 -86.576  249.604 1.0 60.88818  ? 266 ALA E CB  266 ALA E CB  1 
ATOM 9195  N N   . ALA B 2 266 ? 308.249 -87.915  249.316 1.0 59.88941  ? 267 ALA E N   267 ALA E N   1 
ATOM 9196  C CA  . ALA B 2 266 ? 307.240 -88.147  248.300 1.0 59.88941  ? 267 ALA E CA  267 ALA E CA  1 
ATOM 9197  C C   . ALA B 2 266 ? 306.596 -86.816  247.955 1.0 59.88941  ? 267 ALA E C   267 ALA E C   1 
ATOM 9198  O O   . ALA B 2 266 ? 306.465 -85.939  248.813 1.0 59.88941  ? 267 ALA E O   267 ALA E O   1 
ATOM 9199  C CB  . ALA B 2 266 ? 306.180 -89.140  248.776 1.0 59.88941  ? 267 ALA E CB  267 ALA E CB  1 
ATOM 9200  N N   . GLY B 2 267 ? 306.220 -86.660  246.689 1.0 56.59813  ? 268 GLY E N   268 GLY E N   1 
ATOM 9201  C CA  . GLY B 2 267 ? 305.520 -85.463  246.279 1.0 56.59813  ? 268 GLY E CA  268 GLY E CA  1 
ATOM 9202  C C   . GLY B 2 267 ? 304.145 -85.372  246.907 1.0 56.59813  ? 268 GLY E C   268 GLY E C   1 
ATOM 9203  O O   . GLY B 2 267 ? 303.541 -86.371  247.298 1.0 56.59813  ? 268 GLY E O   268 GLY E O   1 
ATOM 9204  N N   . ASN B 2 268 ? 303.652 -84.145  247.030 1.0 53.91276  ? 269 ASN E N   269 ASN E N   1 
ATOM 9205  C CA  . ASN B 2 268 ? 302.339 -83.948  247.619 1.0 53.91276  ? 269 ASN E CA  269 ASN E CA  1 
ATOM 9206  C C   . ASN B 2 268 ? 301.251 -84.407  246.656 1.0 53.91276  ? 269 ASN E C   269 ASN E C   1 
ATOM 9207  O O   . ASN B 2 268 ? 301.489 -84.632  245.467 1.0 53.91276  ? 269 ASN E O   269 ASN E O   1 
ATOM 9208  C CB  . ASN B 2 268 ? 302.120 -82.484  247.988 1.0 53.91276  ? 269 ASN E CB  269 ASN E CB  1 
ATOM 9209  C CG  . ASN B 2 268 ? 302.978 -82.042  249.138 1.0 53.91276  ? 269 ASN E CG  269 ASN E CG  1 
ATOM 9210  O OD1 . ASN B 2 268 ? 303.195 -82.793  250.084 1.0 53.91276  ? 269 ASN E OD1 269 ASN E OD1 1 
ATOM 9211  N ND2 . ASN B 2 268 ? 303.440 -80.801  249.092 1.0 53.91276  ? 269 ASN E ND2 269 ASN E ND2 1 
ATOM 9212  N N   . ARG B 2 269 ? 300.049 -84.560  247.191 1.0 50.53258  ? 270 ARG E N   270 ARG E N   1 
ATOM 9213  C CA  . ARG B 2 269 ? 298.932 -85.001  246.377 1.0 50.53258  ? 270 ARG E CA  270 ARG E CA  1 
ATOM 9214  C C   . ARG B 2 269 ? 298.514 -83.888  245.421 1.0 50.53258  ? 270 ARG E C   270 ARG E C   1 
ATOM 9215  O O   . ARG B 2 269 ? 298.498 -82.718  245.806 1.0 50.53258  ? 270 ARG E O   270 ARG E O   1 
ATOM 9216  C CB  . ARG B 2 269 ? 297.758 -85.393  247.262 1.0 50.53258  ? 270 ARG E CB  270 ARG E CB  1 
ATOM 9217  C CG  . ARG B 2 269 ? 298.007 -86.616  248.109 1.0 50.53258  ? 270 ARG E CG  270 ARG E CG  1 
ATOM 9218  C CD  . ARG B 2 269 ? 296.860 -86.828  249.068 1.0 50.53258  ? 270 ARG E CD  270 ARG E CD  1 
ATOM 9219  N NE  . ARG B 2 269 ? 295.612 -87.098  248.370 1.0 50.53258  ? 270 ARG E NE  270 ARG E NE  1 
ATOM 9220  C CZ  . ARG B 2 269 ? 295.169 -88.313  248.086 1.0 50.53258  ? 270 ARG E CZ  270 ARG E CZ  1 
ATOM 9221  N NH1 . ARG B 2 269 ? 295.862 -89.373  248.459 1.0 50.53258  ? 270 ARG E NH1 270 ARG E NH1 1 
ATOM 9222  N NH2 . ARG B 2 269 ? 294.023 -88.471  247.448 1.0 50.53258  ? 270 ARG E NH2 270 ARG E NH2 1 
ATOM 9223  N N   . PRO B 2 270 ? 298.194 -84.216  244.171 1.0 48.57639  ? 271 PRO E N   271 PRO E N   1 
ATOM 9224  C CA  . PRO B 2 270 ? 297.775 -83.177  243.224 1.0 48.57639  ? 271 PRO E CA  271 PRO E CA  1 
ATOM 9225  C C   . PRO B 2 270 ? 296.393 -82.650  243.573 1.0 48.57639  ? 271 PRO E C   271 PRO E C   1 
ATOM 9226  O O   . PRO B 2 270 ? 295.453 -83.417  243.776 1.0 48.57639  ? 271 PRO E O   271 PRO E O   1 
ATOM 9227  C CB  . PRO B 2 270 ? 297.787 -83.903  241.875 1.0 48.57639  ? 271 PRO E CB  271 PRO E CB  1 
ATOM 9228  C CG  . PRO B 2 270 ? 297.611 -85.328  242.216 1.0 48.57639  ? 271 PRO E CG  271 PRO E CG  1 
ATOM 9229  C CD  . PRO B 2 270 ? 298.292 -85.536  243.532 1.0 48.57639  ? 271 PRO E CD  271 PRO E CD  1 
ATOM 9230  N N   . ASN B 2 271 ? 296.282 -81.327  243.658 1.0 47.39845  ? 272 ASN E N   272 ASN E N   1 
ATOM 9231  C CA  . ASN B 2 271 ? 295.040 -80.677  244.070 1.0 47.39845  ? 272 ASN E CA  272 ASN E CA  1 
ATOM 9232  C C   . ASN B 2 271 ? 294.756 -79.559  243.074 1.0 47.39845  ? 272 ASN E C   272 ASN E C   1 
ATOM 9233  O O   . ASN B 2 271 ? 295.426 -78.525  243.088 1.0 47.39845  ? 272 ASN E O   272 ASN E O   1 
ATOM 9234  C CB  . ASN B 2 271 ? 295.144 -80.142  245.490 1.0 47.39845  ? 272 ASN E CB  272 ASN E CB  1 
ATOM 9235  C CG  . ASN B 2 271 ? 293.803 -79.771  246.070 1.0 47.39845  ? 272 ASN E CG  272 ASN E CG  1 
ATOM 9236  O OD1 . ASN B 2 271 ? 292.771 -79.928  245.425 1.0 47.39845  ? 272 ASN E OD1 272 ASN E OD1 1 
ATOM 9237  N ND2 . ASN B 2 271 ? 293.807 -79.277  247.299 1.0 47.39845  ? 272 ASN E ND2 272 ASN E ND2 1 
ATOM 9238  N N   . TYR B 2 272 ? 293.773 -79.776  242.209 1.0 45.70711  ? 273 TYR E N   273 TYR E N   1 
ATOM 9239  C CA  . TYR B 2 272 ? 293.332 -78.764  241.263 1.0 45.70711  ? 273 TYR E CA  273 TYR E CA  1 
ATOM 9240  C C   . TYR B 2 272 ? 292.204 -77.959  241.889 1.0 45.70711  ? 273 TYR E C   273 TYR E C   1 
ATOM 9241  O O   . TYR B 2 272 ? 291.229 -78.533  242.380 1.0 45.70711  ? 273 TYR E O   273 TYR E O   1 
ATOM 9242  C CB  . TYR B 2 272 ? 292.847 -79.413  239.970 1.0 45.70711  ? 273 TYR E CB  273 TYR E CB  1 
ATOM 9243  C CG  . TYR B 2 272 ? 293.908 -80.121  239.174 1.0 45.70711  ? 273 TYR E CG  273 TYR E CG  1 
ATOM 9244  C CD1 . TYR B 2 272 ? 294.721 -79.424  238.296 1.0 45.70711  ? 273 TYR E CD1 273 TYR E CD1 1 
ATOM 9245  C CD2 . TYR B 2 272 ? 294.093 -81.489  239.294 1.0 45.70711  ? 273 TYR E CD2 273 TYR E CD2 1 
ATOM 9246  C CE1 . TYR B 2 272 ? 295.684 -80.069  237.560 1.0 45.70711  ? 273 TYR E CE1 273 TYR E CE1 1 
ATOM 9247  C CE2 . TYR B 2 272 ? 295.060 -82.142  238.564 1.0 45.70711  ? 273 TYR E CE2 273 TYR E CE2 1 
ATOM 9248  C CZ  . TYR B 2 272 ? 295.853 -81.425  237.701 1.0 45.70711  ? 273 TYR E CZ  273 TYR E CZ  1 
ATOM 9249  O OH  . TYR B 2 272 ? 296.818 -82.066  236.967 1.0 45.70711  ? 273 TYR E OH  273 TYR E OH  1 
ATOM 9250  N N   . ILE B 2 273 ? 292.329 -76.636  241.868 1.0 43.69987  ? 274 ILE E N   274 ILE E N   1 
ATOM 9251  C CA  . ILE B 2 273 ? 291.306 -75.751  242.411 1.0 43.69987  ? 274 ILE E CA  274 ILE E CA  1 
ATOM 9252  C C   . ILE B 2 273 ? 290.858 -74.802  241.313 1.0 43.69987  ? 274 ILE E C   274 ILE E C   1 
ATOM 9253  O O   . ILE B 2 273 ? 291.655 -74.000  240.814 1.0 43.69987  ? 274 ILE E O   274 ILE E O   1 
ATOM 9254  C CB  . ILE B 2 273 ? 291.806 -74.974  243.636 1.0 43.69987  ? 274 ILE E CB  274 ILE E CB  1 
ATOM 9255  C CG1 . ILE B 2 273 ? 292.094 -75.931  244.787 1.0 43.69987  ? 274 ILE E CG1 274 ILE E CG1 1 
ATOM 9256  C CG2 . ILE B 2 273 ? 290.783 -73.953  244.066 1.0 43.69987  ? 274 ILE E CG2 274 ILE E CG2 1 
ATOM 9257  C CD1 . ILE B 2 273 ? 292.774 -75.280  245.954 1.0 43.69987  ? 274 ILE E CD1 274 ILE E CD1 1 
ATOM 9258  N N   . GLY B 2 274 ? 289.584 -74.892  240.939 1.0 42.44654  ? 275 GLY E N   275 GLY E N   1 
ATOM 9259  C CA  . GLY B 2 274 ? 289.007 -74.019  239.942 1.0 42.44654  ? 275 GLY E CA  275 GLY E CA  1 
ATOM 9260  C C   . GLY B 2 274 ? 287.532 -73.840  240.218 1.0 42.44654  ? 275 GLY E C   275 GLY E C   1 
ATOM 9261  O O   . GLY B 2 274 ? 287.002 -74.354  241.203 1.0 42.44654  ? 275 GLY E O   275 GLY E O   1 
ATOM 9262  N N   . PHE B 2 275 ? 286.863 -73.106  239.335 1.0 41.48877  ? 276 PHE E N   276 PHE E N   1 
ATOM 9263  C CA  . PHE B 2 275 ? 285.436 -72.894  239.494 1.0 41.48877  ? 276 PHE E CA  276 PHE E CA  1 
ATOM 9264  C C   . PHE B 2 275 ? 284.662 -74.154  239.119 1.0 41.48877  ? 276 PHE E C   276 PHE E C   1 
ATOM 9265  O O   . PHE B 2 275 ? 285.206 -75.113  238.569 1.0 41.48877  ? 276 PHE E O   276 PHE E O   1 
ATOM 9266  C CB  . PHE B 2 275 ? 284.959 -71.723  238.643 1.0 41.48877  ? 276 PHE E CB  276 PHE E CB  1 
ATOM 9267  C CG  . PHE B 2 275 ? 285.522 -70.400  239.059 1.0 41.48877  ? 276 PHE E CG  276 PHE E CG  1 
ATOM 9268  C CD1 . PHE B 2 275 ? 285.069 -69.770  240.200 1.0 41.48877  ? 276 PHE E CD1 276 PHE E CD1 1 
ATOM 9269  C CD2 . PHE B 2 275 ? 286.472 -69.767  238.285 1.0 41.48877  ? 276 PHE E CD2 276 PHE E CD2 1 
ATOM 9270  C CE1 . PHE B 2 275 ? 285.581 -68.551  240.579 1.0 41.48877  ? 276 PHE E CE1 276 PHE E CE1 1 
ATOM 9271  C CE2 . PHE B 2 275 ? 286.975 -68.543  238.656 1.0 41.48877  ? 276 PHE E CE2 276 PHE E CE2 1 
ATOM 9272  C CZ  . PHE B 2 275 ? 286.530 -67.938  239.805 1.0 41.48877  ? 276 PHE E CZ  276 PHE E CZ  1 
ATOM 9273  N N   . ARG B 2 276 ? 283.369 -74.140  239.416 1.0 43.96863  ? 277 ARG E N   277 ARG E N   1 
ATOM 9274  C CA  . ARG B 2 276 ? 282.525 -75.292  239.151 1.0 43.96863  ? 277 ARG E CA  277 ARG E CA  1 
ATOM 9275  C C   . ARG B 2 276 ? 282.166 -75.375  237.671 1.0 43.96863  ? 277 ARG E C   277 ARG E C   1 
ATOM 9276  O O   . ARG B 2 276 ? 282.439 -74.467  236.883 1.0 43.96863  ? 277 ARG E O   277 ARG E O   1 
ATOM 9277  C CB  . ARG B 2 276 ? 281.253 -75.221  239.985 1.0 43.96863  ? 277 ARG E CB  277 ARG E CB  1 
ATOM 9278  C CG  . ARG B 2 276 ? 281.490 -75.248  241.469 1.0 43.96863  ? 277 ARG E CG  277 ARG E CG  1 
ATOM 9279  C CD  . ARG B 2 276 ? 281.943 -76.606  241.900 1.0 43.96863  ? 277 ARG E CD  277 ARG E CD  1 
ATOM 9280  N NE  . ARG B 2 276 ? 282.243 -76.642  243.323 1.0 43.96863  ? 277 ARG E NE  277 ARG E NE  1 
ATOM 9281  C CZ  . ARG B 2 276 ? 281.365 -76.991  244.250 1.0 43.96863  ? 277 ARG E CZ  277 ARG E CZ  1 
ATOM 9282  N NH1 . ARG B 2 276 ? 280.144 -77.340  243.888 1.0 43.96863  ? 277 ARG E NH1 277 ARG E NH1 1 
ATOM 9283  N NH2 . ARG B 2 276 ? 281.709 -76.998  245.527 1.0 43.96863  ? 277 ARG E NH2 277 ARG E NH2 1 
ATOM 9284  N N   . ASP B 2 277 ? 281.562 -76.501  237.299 1.0 44.40279  ? 278 ASP E N   278 ASP E N   1 
ATOM 9285  C CA  . ASP B 2 277 ? 280.927 -76.627  235.995 1.0 44.40279  ? 278 ASP E CA  278 ASP E CA  1 
ATOM 9286  C C   . ASP B 2 277 ? 279.780 -75.635  235.906 1.0 44.40279  ? 278 ASP E C   278 ASP E C   1 
ATOM 9287  O O   . ASP B 2 277 ? 279.037 -75.458  236.868 1.0 44.40279  ? 278 ASP E O   278 ASP E O   1 
ATOM 9288  C CB  . ASP B 2 277 ? 280.395 -78.047  235.807 1.0 44.40279  ? 278 ASP E CB  278 ASP E CB  1 
ATOM 9289  C CG  . ASP B 2 277 ? 279.924 -78.328  234.390 1.0 44.40279  ? 278 ASP E CG  278 ASP E CG  1 
ATOM 9290  O OD1 . ASP B 2 277 ? 280.072 -77.465  233.502 1.0 44.40279  ? 278 ASP E OD1 278 ASP E OD1 1 
ATOM 9291  O OD2 . ASP B 2 277 ? 279.377 -79.426  234.167 1.0 44.40279  ? 278 ASP E OD2 278 ASP E OD2 1 
ATOM 9292  N N   . ASN B 2 278 ? 279.674 -74.954  234.761 1.0 41.86457  ? 279 ASN E N   279 ASN E N   1 
ATOM 9293  C CA  . ASN B 2 278 ? 278.605 -74.001  234.438 1.0 41.86457  ? 279 ASN E CA  279 ASN E CA  1 
ATOM 9294  C C   . ASN B 2 278 ? 278.472 -72.862  235.446 1.0 41.86457  ? 279 ASN E C   279 ASN E C   1 
ATOM 9295  O O   . ASN B 2 278 ? 277.407 -72.242  235.522 1.0 41.86457  ? 279 ASN E O   279 ASN E O   1 
ATOM 9296  C CB  . ASN B 2 278 ? 277.253 -74.703  234.277 1.0 41.86457  ? 279 ASN E CB  279 ASN E CB  1 
ATOM 9297  C CG  . ASN B 2 278 ? 277.221 -75.630  233.092 1.0 41.86457  ? 279 ASN E CG  279 ASN E CG  1 
ATOM 9298  O OD1 . ASN B 2 278 ? 277.095 -76.842  233.242 1.0 41.86457  ? 279 ASN E OD1 279 ASN E OD1 1 
ATOM 9299  N ND2 . ASN B 2 278 ? 277.335 -75.066  231.901 1.0 41.86457  ? 279 ASN E ND2 279 ASN E ND2 1 
ATOM 9300  N N   . PHE B 2 279 ? 279.548 -72.580  236.190 1.0 40.38353  ? 280 PHE E N   280 PHE E N   1 
ATOM 9301  C CA  . PHE B 2 279 ? 279.585 -71.614  237.292 1.0 40.38353  ? 280 PHE E CA  280 PHE E CA  1 
ATOM 9302  C C   . PHE B 2 279 ? 278.475 -71.869  238.308 1.0 40.38353  ? 280 PHE E C   280 PHE E C   1 
ATOM 9303  O O   . PHE B 2 279 ? 277.731 -70.966  238.693 1.0 40.38353  ? 280 PHE E O   280 PHE E O   1 
ATOM 9304  C CB  . PHE B 2 279 ? 279.533 -70.179  236.776 1.0 40.38353  ? 280 PHE E CB  280 PHE E CB  1 
ATOM 9305  C CG  . PHE B 2 279 ? 280.737 -69.777  235.994 1.0 40.38353  ? 280 PHE E CG  280 PHE E CG  1 
ATOM 9306  C CD1 . PHE B 2 279 ? 281.913 -69.453  236.634 1.0 40.38353  ? 280 PHE E CD1 280 PHE E CD1 1 
ATOM 9307  C CD2 . PHE B 2 279 ? 280.687 -69.697  234.617 1.0 40.38353  ? 280 PHE E CD2 280 PHE E CD2 1 
ATOM 9308  C CE1 . PHE B 2 279 ? 283.018 -69.078  235.915 1.0 40.38353  ? 280 PHE E CE1 280 PHE E CE1 1 
ATOM 9309  C CE2 . PHE B 2 279 ? 281.793 -69.317  233.897 1.0 40.38353  ? 280 PHE E CE2 280 PHE E CE2 1 
ATOM 9310  C CZ  . PHE B 2 279 ? 282.953 -69.006  234.546 1.0 40.38353  ? 280 PHE E CZ  280 PHE E CZ  1 
ATOM 9311  N N   . ILE B 2 280 ? 278.343 -73.130  238.714 1.0 41.85213  ? 281 ILE E N   281 ILE E N   1 
ATOM 9312  C CA  . ILE B 2 280 ? 277.463 -73.474  239.821 1.0 41.85213  ? 281 ILE E CA  281 ILE E CA  1 
ATOM 9313  C C   . ILE B 2 280 ? 278.025 -72.879  241.101 1.0 41.85213  ? 281 ILE E C   281 ILE E C   1 
ATOM 9314  O O   . ILE B 2 280 ? 279.236 -72.910  241.339 1.0 41.85213  ? 281 ILE E O   281 ILE E O   1 
ATOM 9315  C CB  . ILE B 2 280 ? 277.311 -75.003  239.911 1.0 41.85213  ? 281 ILE E CB  281 ILE E CB  1 
ATOM 9316  C CG1 . ILE B 2 280 ? 276.471 -75.517  238.750 1.0 41.85213  ? 281 ILE E CG1 281 ILE E CG1 1 
ATOM 9317  C CG2 . ILE B 2 280 ? 276.699 -75.444  241.216 1.0 41.85213  ? 281 ILE E CG2 281 ILE E CG2 1 
ATOM 9318  C CD1 . ILE B 2 280 ? 276.453 -76.988  238.639 1.0 41.85213  ? 281 ILE E CD1 281 ILE E CD1 1 
ATOM 9319  N N   . GLY B 2 281 ? 277.158 -72.277  241.908 1.0 43.23679  ? 282 GLY E N   282 GLY E N   1 
ATOM 9320  C CA  . GLY B 2 281 ? 277.596 -71.764  243.183 1.0 43.23679  ? 282 GLY E CA  282 GLY E CA  1 
ATOM 9321  C C   . GLY B 2 281 ? 278.261 -70.414  243.129 1.0 43.23679  ? 282 GLY E C   282 GLY E C   1 
ATOM 9322  O O   . GLY B 2 281 ? 278.877 -70.007  244.114 1.0 43.23679  ? 282 GLY E O   282 GLY E O   1 
ATOM 9323  N N   . MET B 2 282 ? 278.188 -69.720  242.001 1.0 42.17782  ? 283 MET E N   283 MET E N   1 
ATOM 9324  C CA  . MET B 2 282 ? 278.600 -68.326  241.971 1.0 42.17782  ? 283 MET E CA  283 MET E CA  1 
ATOM 9325  C C   . MET B 2 282 ? 277.478 -67.424  242.449 1.0 42.17782  ? 283 MET E C   283 MET E C   1 
ATOM 9326  O O   . MET B 2 282 ? 277.730 -66.358  243.021 1.0 42.17782  ? 283 MET E O   283 MET E O   1 
ATOM 9327  C CB  . MET B 2 282 ? 279.017 -67.948  240.551 1.0 42.17782  ? 283 MET E CB  283 MET E CB  1 
ATOM 9328  C CG  . MET B 2 282 ? 279.592 -66.564  240.386 1.0 42.17782  ? 283 MET E CG  283 MET E CG  1 
ATOM 9329  S SD  . MET B 2 282 ? 281.108 -66.387  241.315 1.0 42.17782  ? 283 MET E SD  283 MET E SD  1 
ATOM 9330  C CE  . MET B 2 282 ? 282.122 -67.517  240.389 1.0 42.17782  ? 283 MET E CE  283 MET E CE  1 
ATOM 9331  N N   . MET B 2 283 ? 276.242 -67.871  242.276 1.0 43.7674   ? 284 MET E N   284 MET E N   1 
ATOM 9332  C CA  . MET B 2 283 ? 275.068 -67.019  242.308 1.0 43.7674   ? 284 MET E CA  284 MET E CA  1 
ATOM 9333  C C   . MET B 2 283 ? 274.010 -67.657  243.193 1.0 43.7674   ? 284 MET E C   284 MET E C   1 
ATOM 9334  O O   . MET B 2 283 ? 273.758 -68.859  243.088 1.0 43.7674   ? 284 MET E O   284 MET E O   1 
ATOM 9335  C CB  . MET B 2 283 ? 274.543 -66.828  240.886 1.0 43.7674   ? 284 MET E CB  284 MET E CB  1 
ATOM 9336  C CG  . MET B 2 283 ? 275.457 -66.021  239.980 1.0 43.7674   ? 284 MET E CG  284 MET E CG  1 
ATOM 9337  S SD  . MET B 2 283 ? 274.948 -65.957  238.249 1.0 43.7674   ? 284 MET E SD  284 MET E SD  1 
ATOM 9338  C CE  . MET B 2 283 ? 273.543 -64.852  238.282 1.0 43.7674   ? 284 MET E CE  284 MET E CE  1 
ATOM 9339  N N   . TYR B 2 284 ? 273.386 -66.854  244.052 1.0 44.89274  ? 285 TYR E N   285 TYR E N   1 
ATOM 9340  C CA  . TYR B 2 284 ? 272.415 -67.381  245.001 1.0 44.89274  ? 285 TYR E CA  285 TYR E CA  1 
ATOM 9341  C C   . TYR B 2 284 ? 271.107 -67.747  244.315 1.0 44.89274  ? 285 TYR E C   285 TYR E C   1 
ATOM 9342  O O   . TYR B 2 284 ? 270.169 -66.946  244.296 1.0 44.89274  ? 285 TYR E O   285 TYR E O   1 
ATOM 9343  C CB  . TYR B 2 284 ? 272.136 -66.369  246.112 1.0 44.89274  ? 285 TYR E CB  285 TYR E CB  1 
ATOM 9344  C CG  . TYR B 2 284 ? 273.257 -66.146  247.099 1.0 44.89274  ? 285 TYR E CG  285 TYR E CG  1 
ATOM 9345  C CD1 . TYR B 2 284 ? 273.435 -66.991  248.181 1.0 44.89274  ? 285 TYR E CD1 285 TYR E CD1 1 
ATOM 9346  C CD2 . TYR B 2 284 ? 274.119 -65.075  246.961 1.0 44.89274  ? 285 TYR E CD2 285 TYR E CD2 1 
ATOM 9347  C CE1 . TYR B 2 284 ? 274.449 -66.779  249.092 1.0 44.89274  ? 285 TYR E CE1 285 TYR E CE1 1 
ATOM 9348  C CE2 . TYR B 2 284 ? 275.135 -64.856  247.864 1.0 44.89274  ? 285 TYR E CE2 285 TYR E CE2 1 
ATOM 9349  C CZ  . TYR B 2 284 ? 275.292 -65.709  248.927 1.0 44.89274  ? 285 TYR E CZ  285 TYR E CZ  1 
ATOM 9350  O OH  . TYR B 2 284 ? 276.309 -65.490  249.824 1.0 44.89274  ? 285 TYR E OH  285 TYR E OH  1 
ATOM 9351  N N   . TYR B 2 285 ? 271.028 -68.944  243.749 1.0 43.46579  ? 286 TYR E N   286 TYR E N   1 
ATOM 9352  C CA  . TYR B 2 285 ? 269.773 -69.465  243.233 1.0 43.46579  ? 286 TYR E CA  286 TYR E CA  1 
ATOM 9353  C C   . TYR B 2 285 ? 269.072 -70.253  244.325 1.0 43.46579  ? 286 TYR E C   286 TYR E C   1 
ATOM 9354  O O   . TYR B 2 285 ? 269.707 -71.032  245.040 1.0 43.46579  ? 286 TYR E O   286 TYR E O   1 
ATOM 9355  C CB  . TYR B 2 285 ? 269.986 -70.358  242.014 1.0 43.46579  ? 286 TYR E CB  286 TYR E CB  1 
ATOM 9356  C CG  . TYR B 2 285 ? 270.440 -69.612  240.794 1.0 43.46579  ? 286 TYR E CG  286 TYR E CG  1 
ATOM 9357  C CD1 . TYR B 2 285 ? 269.544 -68.899  240.020 1.0 43.46579  ? 286 TYR E CD1 286 TYR E CD1 1 
ATOM 9358  C CD2 . TYR B 2 285 ? 271.764 -69.624  240.415 1.0 43.46579  ? 286 TYR E CD2 286 TYR E CD2 1 
ATOM 9359  C CE1 . TYR B 2 285 ? 269.965 -68.215  238.904 1.0 43.46579  ? 286 TYR E CE1 286 TYR E CE1 1 
ATOM 9360  C CE2 . TYR B 2 285 ? 272.188 -68.956  239.305 1.0 43.46579  ? 286 TYR E CE2 286 TYR E CE2 1 
ATOM 9361  C CZ  . TYR B 2 285 ? 271.292 -68.249  238.557 1.0 43.46579  ? 286 TYR E CZ  286 TYR E CZ  1 
ATOM 9362  O OH  . TYR B 2 285 ? 271.743 -67.577  237.452 1.0 43.46579  ? 286 TYR E OH  286 TYR E OH  1 
ATOM 9363  N N   . ASN B 2 286 ? 267.765 -70.010  244.458 1.0 46.65394  ? 287 ASN E N   287 ASN E N   1 
ATOM 9364  C CA  . ASN B 2 286 ? 266.864 -70.710  245.380 1.0 46.65394  ? 287 ASN E CA  287 ASN E CA  1 
ATOM 9365  C C   . ASN B 2 286 ? 267.282 -70.563  246.839 1.0 46.65394  ? 287 ASN E C   287 ASN E C   1 
ATOM 9366  O O   . ASN B 2 286 ? 266.992 -71.428  247.666 1.0 46.65394  ? 287 ASN E O   287 ASN E O   1 
ATOM 9367  C CB  . ASN B 2 286 ? 266.717 -72.185  245.011 1.0 46.65394  ? 287 ASN E CB  287 ASN E CB  1 
ATOM 9368  C CG  . ASN B 2 286 ? 266.130 -72.372  243.643 1.0 46.65394  ? 287 ASN E CG  287 ASN E CG  1 
ATOM 9369  O OD1 . ASN B 2 286 ? 266.765 -72.936  242.757 1.0 46.65394  ? 287 ASN E OD1 287 ASN E OD1 1 
ATOM 9370  N ND2 . ASN B 2 286 ? 264.914 -71.882  243.450 1.0 46.65394  ? 287 ASN E ND2 287 ASN E ND2 1 
ATOM 9371  N N   . SER B 2 287 ? 267.971 -69.476  247.162 1.0 51.46119  ? 288 SER E N   288 SER E N   1 
ATOM 9372  C CA  . SER B 2 287 ? 268.182 -69.043  248.536 1.0 51.46119  ? 288 SER E CA  288 SER E CA  1 
ATOM 9373  C C   . SER B 2 287 ? 267.177 -67.937  248.782 1.0 51.46119  ? 288 SER E C   288 SER E C   1 
ATOM 9374  O O   . SER B 2 287 ? 267.335 -66.832  248.257 1.0 51.46119  ? 288 SER E O   288 SER E O   1 
ATOM 9375  C CB  . SER B 2 287 ? 269.601 -68.534  248.766 1.0 51.46119  ? 288 SER E CB  288 SER E CB  1 
ATOM 9376  O OG  . SER B 2 287 ? 270.556 -69.562  248.625 1.0 51.46119  ? 288 SER E OG  288 SER E OG  1 
ATOM 9377  N N   . GLY B 2 288 ? 266.140 -68.239  249.563 1.0 53.80565  ? 289 GLY E N   289 GLY E N   1 
ATOM 9378  C CA  . GLY B 2 288 ? 265.093 -67.264  249.798 1.0 53.80565  ? 289 GLY E CA  289 GLY E CA  1 
ATOM 9379  C C   . GLY B 2 288 ? 265.550 -66.066  250.600 1.0 53.80565  ? 289 GLY E C   289 GLY E C   1 
ATOM 9380  O O   . GLY B 2 288 ? 265.042 -64.960  250.398 1.0 53.80565  ? 289 GLY E O   289 GLY E O   1 
ATOM 9381  N N   . SER B 2 289 ? 266.535 -66.257  251.484 1.0 52.89936  ? 290 SER E N   290 SER E N   1 
ATOM 9382  C CA  . SER B 2 289 ? 266.954 -65.191  252.389 1.0 52.89936  ? 290 SER E CA  290 SER E CA  1 
ATOM 9383  C C   . SER B 2 289 ? 267.637 -64.046  251.657 1.0 52.89936  ? 290 SER E C   290 SER E C   1 
ATOM 9384  O O   . SER B 2 289 ? 267.601 -62.906  252.125 1.0 52.89936  ? 290 SER E O   290 SER E O   1 
ATOM 9385  C CB  . SER B 2 289 ? 267.878 -65.752  253.465 1.0 52.89936  ? 290 SER E CB  290 SER E CB  1 
ATOM 9386  O OG  . SER B 2 289 ? 267.177 -66.659  254.299 1.0 52.89936  ? 290 SER E OG  290 SER E OG  1 
ATOM 9387  N N   . ASN B 2 290 ? 268.249 -64.321  250.514 1.0 52.52271  ? 291 ASN E N   291 ASN E N   1 
ATOM 9388  C CA  . ASN B 2 290 ? 268.861 -63.280  249.690 1.0 52.52271  ? 291 ASN E CA  291 ASN E CA  1 
ATOM 9389  C C   . ASN B 2 290 ? 268.599 -63.584  248.213 1.0 52.52271  ? 291 ASN E C   291 ASN E C   1 
ATOM 9390  O O   . ASN B 2 290 ? 269.411 -64.204  247.524 1.0 52.52271  ? 291 ASN E O   291 ASN E O   1 
ATOM 9391  C CB  . ASN B 2 290 ? 270.337 -63.164  250.025 1.0 52.52271  ? 291 ASN E CB  291 ASN E CB  1 
ATOM 9392  C CG  . ASN B 2 290 ? 271.018 -64.502  250.105 1.0 52.52271  ? 291 ASN E CG  291 ASN E CG  1 
ATOM 9393  O OD1 . ASN B 2 290 ? 270.390 -65.538  249.903 1.0 52.52271  ? 291 ASN E OD1 291 ASN E OD1 1 
ATOM 9394  N ND2 . ASN B 2 290 ? 272.315 -64.494  250.395 1.0 52.52271  ? 291 ASN E ND2 291 ASN E ND2 1 
ATOM 9395  N N   . THR B 2 291 ? 267.463 -63.108  247.721 1.0 54.03949  ? 292 THR E N   292 THR E N   1 
ATOM 9396  C CA  . THR B 2 291 ? 267.047 -63.321  246.344 1.0 54.03949  ? 292 THR E CA  292 THR E CA  1 
ATOM 9397  C C   . THR B 2 291 ? 267.423 -62.126  245.480 1.0 54.03949  ? 292 THR E C   292 THR E C   1 
ATOM 9398  O O   . THR B 2 291 ? 267.456 -60.983  245.936 1.0 54.03949  ? 292 THR E O   292 THR E O   1 
ATOM 9399  C CB  . THR B 2 291 ? 265.531 -63.549  246.249 1.0 54.03949  ? 292 THR E CB  292 THR E CB  1 
ATOM 9400  O OG1 . THR B 2 291 ? 264.835 -62.408  246.767 1.0 54.03949  ? 292 THR E OG1 292 THR E OG1 1 
ATOM 9401  C CG2 . THR B 2 291 ? 265.116 -64.767  247.029 1.0 54.03949  ? 292 THR E CG2 292 THR E CG2 1 
ATOM 9402  N N   . GLY B 2 292 ? 267.696 -62.404  244.210 1.0 46.8368   ? 293 GLY E N   293 GLY E N   1 
ATOM 9403  C CA  . GLY B 2 292 ? 267.818 -61.356  243.227 1.0 46.8368   ? 293 GLY E CA  293 GLY E CA  1 
ATOM 9404  C C   . GLY B 2 292 ? 266.461 -60.847  242.813 1.0 46.8368   ? 293 GLY E C   293 GLY E C   1 
ATOM 9405  O O   . GLY B 2 292 ? 265.420 -61.389  243.179 1.0 46.8368   ? 293 GLY E O   293 GLY E O   1 
ATOM 9406  N N   . SER B 2 293 ? 266.465 -59.779  242.026 1.0 44.27028  ? 294 SER E N   294 SER E N   1 
ATOM 9407  C CA  . SER B 2 293 ? 265.206 -59.124  241.692 1.0 44.27028  ? 294 SER E CA  294 SER E CA  1 
ATOM 9408  C C   . SER B 2 293 ? 265.275 -58.561  240.285 1.0 44.27028  ? 294 SER E C   294 SER E C   1 
ATOM 9409  O O   . SER B 2 293 ? 266.111 -57.702  240.004 1.0 44.27028  ? 294 SER E O   294 SER E O   1 
ATOM 9410  C CB  . SER B 2 293 ? 264.884 -58.021  242.691 1.0 44.27028  ? 294 SER E CB  294 SER E CB  1 
ATOM 9411  O OG  . SER B 2 293 ? 263.700 -57.340  242.319 1.0 44.27028  ? 294 SER E OG  294 SER E OG  1 
ATOM 9412  N N   . PHE B 2 294 ? 264.391 -59.030  239.416 1.0 40.70814  ? 295 PHE E N   295 PHE E N   1 
ATOM 9413  C CA  . PHE B 2 294 ? 264.107 -58.358  238.159 1.0 40.70814  ? 295 PHE E CA  295 PHE E CA  1 
ATOM 9414  C C   . PHE B 2 294 ? 262.772 -57.645  238.306 1.0 40.70814  ? 295 PHE E C   295 PHE E C   1 
ATOM 9415  O O   . PHE B 2 294 ? 261.766 -58.270  238.650 1.0 40.70814  ? 295 PHE E O   295 PHE E O   1 
ATOM 9416  C CB  . PHE B 2 294 ? 264.068 -59.335  236.988 1.0 40.70814  ? 295 PHE E CB  295 PHE E CB  1 
ATOM 9417  C CG  . PHE B 2 294 ? 263.808 -58.676  235.665 1.0 40.70814  ? 295 PHE E CG  295 PHE E CG  1 
ATOM 9418  C CD1 . PHE B 2 294 ? 264.801 -57.961  235.027 1.0 40.70814  ? 295 PHE E CD1 295 PHE E CD1 1 
ATOM 9419  C CD2 . PHE B 2 294 ? 262.569 -58.765  235.064 1.0 40.70814  ? 295 PHE E CD2 295 PHE E CD2 1 
ATOM 9420  C CE1 . PHE B 2 294 ? 264.569 -57.355  233.817 1.0 40.70814  ? 295 PHE E CE1 295 PHE E CE1 1 
ATOM 9421  C CE2 . PHE B 2 294 ? 262.330 -58.158  233.853 1.0 40.70814  ? 295 PHE E CE2 295 PHE E CE2 1 
ATOM 9422  C CZ  . PHE B 2 294 ? 263.332 -57.452  233.231 1.0 40.70814  ? 295 PHE E CZ  295 PHE E CZ  1 
ATOM 9423  N N   . SER B 2 295 ? 262.767 -56.343  238.053 1.0 41.95402  ? 296 SER E N   296 SER E N   1 
ATOM 9424  C CA  . SER B 2 295 ? 261.578 -55.530  238.247 1.0 41.95402  ? 296 SER E CA  296 SER E CA  1 
ATOM 9425  C C   . SER B 2 295 ? 261.707 -54.292  237.385 1.0 41.95402  ? 296 SER E C   296 SER E C   1 
ATOM 9426  O O   . SER B 2 295 ? 262.812 -53.861  237.061 1.0 41.95402  ? 296 SER E O   296 SER E O   1 
ATOM 9427  C CB  . SER B 2 295 ? 261.412 -55.128  239.710 1.0 41.95402  ? 296 SER E CB  296 SER E CB  1 
ATOM 9428  O OG  . SER B 2 295 ? 262.454 -54.261  240.112 1.0 41.95402  ? 296 SER E OG  296 SER E OG  1 
ATOM 9429  N N   . SER B 2 296 ? 260.569 -53.710  237.032 1.0 43.22286  ? 297 SER E N   297 SER E N   1 
ATOM 9430  C CA  . SER B 2 296 ? 260.607 -52.429  236.352 1.0 43.22286  ? 297 SER E CA  297 SER E CA  1 
ATOM 9431  C C   . SER B 2 296 ? 260.911 -51.324  237.355 1.0 43.22286  ? 297 SER E C   297 SER E C   1 
ATOM 9432  O O   . SER B 2 296 ? 260.932 -51.548  238.559 1.0 43.22286  ? 297 SER E O   297 SER E O   1 
ATOM 9433  C CB  . SER B 2 296 ? 259.282 -52.159  235.648 1.0 43.22286  ? 297 SER E CB  297 SER E CB  1 
ATOM 9434  O OG  . SER B 2 296 ? 258.234 -52.041  236.589 1.0 43.22286  ? 297 SER E OG  297 SER E OG  1 
ATOM 9435  N N   . GLN B 2 297 ? 261.179 -50.123  236.860 1.0 45.40119  ? 298 GLN E N   298 GLN E N   1 
ATOM 9436  C CA  . GLN B 2 297 ? 261.047 -49.006  237.778 1.0 45.40119  ? 298 GLN E CA  298 GLN E CA  1 
ATOM 9437  C C   . GLN B 2 297 ? 259.566 -48.734  237.987 1.0 45.40119  ? 298 GLN E C   298 GLN E C   1 
ATOM 9438  O O   . GLN B 2 297 ? 258.740 -49.057  237.129 1.0 45.40119  ? 298 GLN E O   298 GLN E O   1 
ATOM 9439  C CB  . GLN B 2 297 ? 261.781 -47.771  237.277 1.0 45.40119  ? 298 GLN E CB  298 GLN E CB  1 
ATOM 9440  C CG  . GLN B 2 297 ? 263.280 -47.915  237.379 1.0 45.40119  ? 298 GLN E CG  298 GLN E CG  1 
ATOM 9441  C CD  . GLN B 2 297 ? 264.025 -46.665  236.971 1.0 45.40119  ? 298 GLN E CD  298 GLN E CD  1 
ATOM 9442  O OE1 . GLN B 2 297 ? 263.427 -45.684  236.535 1.0 45.40119  ? 298 GLN E OE1 298 GLN E OE1 1 
ATOM 9443  N NE2 . GLN B 2 297 ? 265.343 -46.693  237.117 1.0 45.40119  ? 298 GLN E NE2 298 GLN E NE2 1 
ATOM 9444  N N   . THR B 2 298 ? 259.255 -48.083  239.117 1.0 48.07396  ? 299 THR E N   299 THR E N   1 
ATOM 9445  C CA  . THR B 2 298 ? 258.076 -48.370  239.948 1.0 48.07396  ? 299 THR E CA  299 THR E CA  1 
ATOM 9446  C C   . THR B 2 298 ? 258.122 -49.840  240.379 1.0 48.07396  ? 299 THR E C   299 THR E C   1 
ATOM 9447  O O   . THR B 2 298 ? 257.381 -50.704  239.904 1.0 48.07396  ? 299 THR E O   299 THR E O   1 
ATOM 9448  C CB  . THR B 2 298 ? 256.739 -48.013  239.284 1.0 48.07396  ? 299 THR E CB  299 THR E CB  1 
ATOM 9449  O OG1 . THR B 2 298 ? 256.484 -48.928  238.214 1.0 48.07396  ? 299 THR E OG1 299 THR E OG1 1 
ATOM 9450  C CG2 . THR B 2 298 ? 256.810 -46.617  238.710 1.0 48.07396  ? 299 THR E CG2 299 THR E CG2 1 
ATOM 9451  N N   . GLN B 2 299 ? 259.091 -50.092  241.268 1.0 49.20502  ? 300 GLN E N   300 GLN E N   1 
ATOM 9452  C CA  . GLN B 2 299 ? 259.667 -51.408  241.511 1.0 49.20502  ? 300 GLN E CA  300 GLN E CA  1 
ATOM 9453  C C   . GLN B 2 299 ? 258.992 -52.179  242.625 1.0 49.20502  ? 300 GLN E C   300 GLN E C   1 
ATOM 9454  O O   . GLN B 2 299 ? 259.627 -53.043  243.248 1.0 49.20502  ? 300 GLN E O   300 GLN E O   1 
ATOM 9455  C CB  . GLN B 2 299 ? 261.162 -51.274  241.798 1.0 49.20502  ? 300 GLN E CB  300 GLN E CB  1 
ATOM 9456  C CG  . GLN B 2 299 ? 261.530 -50.500  243.042 1.0 49.20502  ? 300 GLN E CG  300 GLN E CG  1 
ATOM 9457  C CD  . GLN B 2 299 ? 263.017 -50.493  243.256 1.0 49.20502  ? 300 GLN E CD  300 GLN E CD  1 
ATOM 9458  O OE1 . GLN B 2 299 ? 263.771 -51.008  242.433 1.0 49.20502  ? 300 GLN E OE1 300 GLN E OE1 1 
ATOM 9459  N NE2 . GLN B 2 299 ? 263.449 -49.961  244.385 1.0 49.20502  ? 300 GLN E NE2 300 GLN E NE2 1 
ATOM 9460  N N   . GLN B 2 300 ? 257.704 -51.988  242.833 1.0 54.53845  ? 301 GLN E N   301 GLN E N   1 
ATOM 9461  C CA  . GLN B 2 300 ? 257.052 -52.791  243.878 1.0 54.53845  ? 301 GLN E CA  301 GLN E CA  1 
ATOM 9462  C C   . GLN B 2 300 ? 256.806 -54.258  243.458 1.0 54.53845  ? 301 GLN E C   301 GLN E C   1 
ATOM 9463  O O   . GLN B 2 300 ? 256.092 -54.983  244.161 1.0 54.53845  ? 301 GLN E O   301 GLN E O   1 
ATOM 9464  C CB  . GLN B 2 300 ? 255.722 -52.137  244.278 1.0 54.53845  ? 301 GLN E CB  301 GLN E CB  1 
ATOM 9465  C CG  . GLN B 2 300 ? 254.594 -52.284  243.275 1.0 54.53845  ? 301 GLN E CG  301 GLN E CG  1 
ATOM 9466  C CD  . GLN B 2 300 ? 254.636 -51.283  242.130 1.0 54.53845  ? 301 GLN E CD  301 GLN E CD  1 
ATOM 9467  O OE1 . GLN B 2 300 ? 255.556 -50.475  242.041 1.0 54.53845  ? 301 GLN E OE1 301 GLN E OE1 1 
ATOM 9468  N NE2 . GLN B 2 300 ? 253.655 -51.359  241.230 1.0 54.53845  ? 301 GLN E NE2 301 GLN E NE2 1 
ATOM 9469  N N   . LEU B 2 301 ? 257.386 -54.731  242.344 1.0 51.96749  ? 302 LEU E N   302 LEU E N   1 
ATOM 9470  C CA  . LEU B 2 301 ? 256.994 -55.984  241.721 1.0 51.96749  ? 302 LEU E CA  302 LEU E CA  1 
ATOM 9471  C C   . LEU B 2 301 ? 258.246 -56.807  241.458 1.0 51.96749  ? 302 LEU E C   302 LEU E C   1 
ATOM 9472  O O   . LEU B 2 301 ? 258.751 -56.829  240.336 1.0 51.96749  ? 302 LEU E O   302 LEU E O   1 
ATOM 9473  C CB  . LEU B 2 301 ? 256.260 -55.698  240.426 1.0 51.96749  ? 302 LEU E CB  302 LEU E CB  1 
ATOM 9474  C CG  . LEU B 2 301 ? 255.081 -54.738  240.520 1.0 51.96749  ? 302 LEU E CG  302 LEU E CG  1 
ATOM 9475  C CD1 . LEU B 2 301 ? 254.546 -54.430  239.136 1.0 51.96749  ? 302 LEU E CD1 302 LEU E CD1 1 
ATOM 9476  C CD2 . LEU B 2 301 ? 254.023 -55.279  241.498 1.0 51.96749  ? 302 LEU E CD2 302 LEU E CD2 1 
ATOM 9477  N N   . ASN B 2 302 ? 258.721 -57.517  242.469 1.0 43.4252   ? 303 ASN E N   303 ASN E N   1 
ATOM 9478  C CA  . ASN B 2 302 ? 259.726 -58.541  242.234 1.0 43.4252   ? 303 ASN E CA  303 ASN E CA  1 
ATOM 9479  C C   . ASN B 2 302 ? 259.040 -59.720  241.569 1.0 43.4252   ? 303 ASN E C   303 ASN E C   1 
ATOM 9480  O O   . ASN B 2 302 ? 258.138 -60.325  242.152 1.0 43.4252   ? 303 ASN E O   303 ASN E O   1 
ATOM 9481  C CB  . ASN B 2 302 ? 260.377 -58.960  243.549 1.0 43.4252   ? 303 ASN E CB  303 ASN E CB  1 
ATOM 9482  C CG  . ASN B 2 302 ? 261.727 -59.639  243.364 1.0 43.4252   ? 303 ASN E CG  303 ASN E CG  1 
ATOM 9483  O OD1 . ASN B 2 302 ? 262.493 -59.757  244.316 1.0 43.4252   ? 303 ASN E OD1 303 ASN E OD1 1 
ATOM 9484  N ND2 . ASN B 2 302 ? 262.021 -60.093  242.158 1.0 43.4252   ? 303 ASN E ND2 303 ASN E ND2 1 
ATOM 9485  N N   . ILE B 2 303 ? 259.469 -60.058  240.353 1.0 40.9544   ? 304 ILE E N   304 ILE E N   1 
ATOM 9486  C CA  . ILE B 2 303 ? 258.858 -61.159  239.627 1.0 40.9544   ? 304 ILE E CA  304 ILE E CA  1 
ATOM 9487  C C   . ILE B 2 303 ? 259.734 -62.400  239.610 1.0 40.9544   ? 304 ILE E C   304 ILE E C   1 
ATOM 9488  O O   . ILE B 2 303 ? 259.344 -63.415  239.022 1.0 40.9544   ? 304 ILE E O   304 ILE E O   1 
ATOM 9489  C CB  . ILE B 2 303 ? 258.499 -60.737  238.194 1.0 40.9544   ? 304 ILE E CB  304 ILE E CB  1 
ATOM 9490  C CG1 . ILE B 2 303 ? 259.754 -60.545  237.363 1.0 40.9544   ? 304 ILE E CG1 304 ILE E CG1 1 
ATOM 9491  C CG2 . ILE B 2 303 ? 257.727 -59.440  238.218 1.0 40.9544   ? 304 ILE E CG2 304 ILE E CG2 1 
ATOM 9492  C CD1 . ILE B 2 303 ? 259.464 -60.400  235.908 1.0 40.9544   ? 304 ILE E CD1 304 ILE E CD1 1 
ATOM 9493  N N   . VAL B 2 304 ? 260.904 -62.351  240.230 1.0 42.875    ? 305 VAL E N   305 VAL E N   1 
ATOM 9494  C CA  . VAL B 2 304 ? 261.733 -63.529  240.447 1.0 42.875    ? 305 VAL E CA  305 VAL E CA  1 
ATOM 9495  C C   . VAL B 2 304 ? 261.460 -64.010  241.863 1.0 42.875    ? 305 VAL E C   305 VAL E C   1 
ATOM 9496  O O   . VAL B 2 304 ? 261.851 -63.357  242.836 1.0 42.875    ? 305 VAL E O   305 VAL E O   1 
ATOM 9497  C CB  . VAL B 2 304 ? 263.218 -63.223  240.232 1.0 42.875    ? 305 VAL E CB  305 VAL E CB  1 
ATOM 9498  C CG1 . VAL B 2 304 ? 264.064 -64.427  240.586 1.0 42.875    ? 305 VAL E CG1 305 VAL E CG1 1 
ATOM 9499  C CG2 . VAL B 2 304 ? 263.454 -62.817  238.800 1.0 42.875    ? 305 VAL E CG2 305 VAL E CG2 1 
ATOM 9500  N N   . LEU B 2 305 ? 260.777 -65.143  241.987 1.0 44.6159   ? 306 LEU E N   306 LEU E N   1 
ATOM 9501  C CA  . LEU B 2 305 ? 260.353 -65.678  243.278 1.0 44.6159   ? 306 LEU E CA  306 LEU E CA  1 
ATOM 9502  C C   . LEU B 2 305 ? 261.018 -67.039  243.446 1.0 44.6159   ? 306 LEU E C   306 LEU E C   1 
ATOM 9503  O O   . LEU B 2 305 ? 260.520 -68.048  242.944 1.0 44.6159   ? 306 LEU E O   306 LEU E O   1 
ATOM 9504  C CB  . LEU B 2 305 ? 258.827 -65.787  243.371 1.0 44.6159   ? 306 LEU E CB  306 LEU E CB  1 
ATOM 9505  C CG  . LEU B 2 305 ? 257.959 -64.561  243.671 1.0 44.6159   ? 306 LEU E CG  306 LEU E CG  1 
ATOM 9506  C CD1 . LEU B 2 305 ? 257.857 -63.624  242.493 1.0 44.6159   ? 306 LEU E CD1 306 LEU E CD1 1 
ATOM 9507  C CD2 . LEU B 2 305 ? 256.576 -65.008  244.082 1.0 44.6159   ? 306 LEU E CD2 306 LEU E CD2 1 
ATOM 9508  N N   . ASP B 2 306 ? 262.145 -67.063  244.148 1.0 50.05993  ? 307 ASP E N   307 ASP E N   1 
ATOM 9509  C CA  . ASP B 2 306 ? 262.871 -68.303  244.373 1.0 50.05993  ? 307 ASP E CA  307 ASP E CA  1 
ATOM 9510  C C   . ASP B 2 306 ? 262.250 -69.084  245.522 1.0 50.05993  ? 307 ASP E C   307 ASP E C   1 
ATOM 9511  O O   . ASP B 2 306 ? 261.796 -68.506  246.513 1.0 50.05993  ? 307 ASP E O   307 ASP E O   1 
ATOM 9512  C CB  . ASP B 2 306 ? 264.343 -68.015  244.674 1.0 50.05993  ? 307 ASP E CB  307 ASP E CB  1 
ATOM 9513  C CG  . ASP B 2 306 ? 265.112 -67.539  243.453 1.0 50.05993  ? 307 ASP E CG  307 ASP E CG  1 
ATOM 9514  O OD1 . ASP B 2 306 ? 264.761 -67.951  242.330 1.0 50.05993  ? 307 ASP E OD1 307 ASP E OD1 1 
ATOM 9515  O OD2 . ASP B 2 306 ? 266.070 -66.754  243.617 1.0 50.05993  ? 307 ASP E OD2 307 ASP E OD2 1 
ATOM 9516  N N   . LEU B 2 307 ? 262.229 -70.406  245.381 1.0 48.05765  ? 308 LEU E N   308 LEU E N   1 
ATOM 9517  C CA  . LEU B 2 307 ? 261.708 -71.303  246.402 1.0 48.05765  ? 308 LEU E CA  308 LEU E CA  1 
ATOM 9518  C C   . LEU B 2 307 ? 262.751 -72.361  246.714 1.0 48.05765  ? 308 LEU E C   308 LEU E C   1 
ATOM 9519  O O   . LEU B 2 307 ? 263.467 -72.816  245.819 1.0 48.05765  ? 308 LEU E O   308 LEU E O   1 
ATOM 9520  C CB  . LEU B 2 307 ? 260.412 -71.985  245.959 1.0 48.05765  ? 308 LEU E CB  308 LEU E CB  1 
ATOM 9521  C CG  . LEU B 2 307 ? 259.075 -71.257  246.081 1.0 48.05765  ? 308 LEU E CG  308 LEU E CG  1 
ATOM 9522  C CD1 . LEU B 2 307 ? 258.909 -70.183  245.027 1.0 48.05765  ? 308 LEU E CD1 308 LEU E CD1 1 
ATOM 9523  C CD2 . LEU B 2 307 ? 257.943 -72.260  246.003 1.0 48.05765  ? 308 LEU E CD2 308 LEU E CD2 1 
ATOM 9524  N N   . ASN B 2 308 ? 262.827 -72.767  247.982 1.0 50.97264  ? 309 ASN E N   309 ASN E N   1 
ATOM 9525  C CA  . ASN B 2 308 ? 263.806 -73.775  248.366 1.0 50.97264  ? 309 ASN E CA  309 ASN E CA  1 
ATOM 9526  C C   . ASN B 2 308 ? 263.415 -75.171  247.908 1.0 50.97264  ? 309 ASN E C   309 ASN E C   1 
ATOM 9527  O O   . ASN B 2 308 ? 264.269 -76.063  247.886 1.0 50.97264  ? 309 ASN E O   309 ASN E O   1 
ATOM 9528  C CB  . ASN B 2 308 ? 264.012 -73.770  249.875 1.0 50.97264  ? 309 ASN E CB  309 ASN E CB  1 
ATOM 9529  C CG  . ASN B 2 308 ? 264.619 -72.483  250.366 1.0 50.97264  ? 309 ASN E CG  309 ASN E CG  1 
ATOM 9530  O OD1 . ASN B 2 308 ? 264.014 -71.760  251.149 1.0 50.97264  ? 309 ASN E OD1 309 ASN E OD1 1 
ATOM 9531  N ND2 . ASN B 2 308 ? 265.820 -72.181  249.896 1.0 50.97264  ? 309 ASN E ND2 309 ASN E ND2 1 
ATOM 9532  N N   . ASP B 2 309 ? 262.150 -75.382  247.544 1.0 48.3326   ? 310 ASP E N   310 ASP E N   1 
ATOM 9533  C CA  . ASP B 2 309 ? 261.738 -76.650  246.959 1.0 48.3326   ? 310 ASP E CA  310 ASP E CA  1 
ATOM 9534  C C   . ASP B 2 309 ? 262.236 -76.810  245.532 1.0 48.3326   ? 310 ASP E C   310 ASP E C   1 
ATOM 9535  O O   . ASP B 2 309 ? 262.228 -77.925  245.006 1.0 48.3326   ? 310 ASP E O   310 ASP E O   1 
ATOM 9536  C CB  . ASP B 2 309 ? 260.219 -76.762  246.986 1.0 48.3326   ? 310 ASP E CB  310 ASP E CB  1 
ATOM 9537  C CG  . ASP B 2 309 ? 259.673 -76.902  248.385 1.0 48.3326   ? 310 ASP E CG  310 ASP E CG  1 
ATOM 9538  O OD1 . ASP B 2 309 ? 260.374 -77.478  249.242 1.0 48.3326   ? 310 ASP E OD1 310 ASP E OD1 1 
ATOM 9539  O OD2 . ASP B 2 309 ? 258.544 -76.428  248.631 1.0 48.3326   ? 310 ASP E OD2 310 ASP E OD2 1 
ATOM 9540  N N   . ARG B 2 310 ? 262.650 -75.723  244.897 1.0 44.9398   ? 311 ARG E N   311 ARG E N   1 
ATOM 9541  C CA  . ARG B 2 310 ? 263.157 -75.716  243.538 1.0 44.9398   ? 311 ARG E CA  311 ARG E CA  1 
ATOM 9542  C C   . ARG B 2 310 ? 264.681 -75.754  243.563 1.0 44.9398   ? 311 ARG E C   311 ARG E C   1 
ATOM 9543  O O   . ARG B 2 310 ? 265.311 -75.244  244.491 1.0 44.9398   ? 311 ARG E O   311 ARG E O   1 
ATOM 9544  C CB  . ARG B 2 310 ? 262.655 -74.465  242.812 1.0 44.9398   ? 311 ARG E CB  311 ARG E CB  1 
ATOM 9545  C CG  . ARG B 2 310 ? 262.971 -74.385  241.342 1.0 44.9398   ? 311 ARG E CG  311 ARG E CG  1 
ATOM 9546  C CD  . ARG B 2 310 ? 262.454 -73.104  240.733 1.0 44.9398   ? 311 ARG E CD  311 ARG E CD  1 
ATOM 9547  N NE  . ARG B 2 310 ? 260.998 -73.043  240.692 1.0 44.9398   ? 311 ARG E NE  311 ARG E NE  1 
ATOM 9548  C CZ  . ARG B 2 310 ? 260.269 -72.154  241.355 1.0 44.9398   ? 311 ARG E CZ  311 ARG E CZ  1 
ATOM 9549  N NH1 . ARG B 2 310 ? 260.861 -71.246  242.115 1.0 44.9398   ? 311 ARG E NH1 311 ARG E NH1 1 
ATOM 9550  N NH2 . ARG B 2 310 ? 258.949 -72.169  241.253 1.0 44.9398   ? 311 ARG E NH2 311 ARG E NH2 1 
ATOM 9551  N N   . ASN B 2 311 ? 265.271 -76.395  242.556 1.0 43.2266   ? 312 ASN E N   312 ASN E N   1 
ATOM 9552  C CA  . ASN B 2 311 ? 266.718 -76.379  242.344 1.0 43.2266   ? 312 ASN E CA  312 ASN E CA  1 
ATOM 9553  C C   . ASN B 2 311 ? 266.959 -75.843  240.940 1.0 43.2266   ? 312 ASN E C   312 ASN E C   1 
ATOM 9554  O O   . ASN B 2 311 ? 266.698 -76.539  239.957 1.0 43.2266   ? 312 ASN E O   312 ASN E O   1 
ATOM 9555  C CB  . ASN B 2 311 ? 267.323 -77.768  242.510 1.0 43.2266   ? 312 ASN E CB  312 ASN E CB  1 
ATOM 9556  C CG  . ASN B 2 311 ? 268.820 -77.734  242.663 1.0 43.2266   ? 312 ASN E CG  312 ASN E CG  1 
ATOM 9557  O OD1 . ASN B 2 311 ? 269.430 -76.669  242.652 1.0 43.2266   ? 312 ASN E OD1 312 ASN E OD1 1 
ATOM 9558  N ND2 . ASN B 2 311 ? 269.425 -78.903  242.818 1.0 43.2266   ? 312 ASN E ND2 312 ASN E ND2 1 
ATOM 9559  N N   . SER B 2 312 ? 267.448 -74.611  240.839 1.0 41.68749  ? 313 SER E N   313 SER E N   1 
ATOM 9560  C CA  . SER B 2 312 ? 267.769 -74.036  239.542 1.0 41.68749  ? 313 SER E CA  313 SER E CA  1 
ATOM 9561  C C   . SER B 2 312 ? 269.160 -74.411  239.060 1.0 41.68749  ? 313 SER E C   313 SER E C   1 
ATOM 9562  O O   . SER B 2 312 ? 269.512 -74.089  237.923 1.0 41.68749  ? 313 SER E O   313 SER E O   1 
ATOM 9563  C CB  . SER B 2 312 ? 267.637 -72.514  239.587 1.0 41.68749  ? 313 SER E CB  313 SER E CB  1 
ATOM 9564  O OG  . SER B 2 312 ? 266.294 -72.135  239.826 1.0 41.68749  ? 313 SER E OG  313 SER E OG  1 
ATOM 9565  N N   . GLU B 2 313 ? 269.955 -75.082  239.891 1.0 42.10896  ? 314 GLU E N   314 GLU E N   1 
ATOM 9566  C CA  . GLU B 2 313 ? 271.275 -75.524  239.461 1.0 42.10896  ? 314 GLU E CA  314 GLU E CA  1 
ATOM 9567  C C   . GLU B 2 313 ? 271.191 -76.841  238.704 1.0 42.10896  ? 314 GLU E C   314 GLU E C   1 
ATOM 9568  O O   . GLU B 2 313 ? 271.753 -76.978  237.613 1.0 42.10896  ? 314 GLU E O   314 GLU E O   1 
ATOM 9569  C CB  . GLU B 2 313 ? 272.195 -75.680  240.668 1.0 42.10896  ? 314 GLU E CB  314 GLU E CB  1 
ATOM 9570  C CG  . GLU B 2 313 ? 272.453 -74.428  241.489 1.0 42.10896  ? 314 GLU E CG  314 GLU E CG  1 
ATOM 9571  C CD  . GLU B 2 313 ? 273.297 -73.395  240.784 1.0 42.10896  ? 314 GLU E CD  314 GLU E CD  1 
ATOM 9572  O OE1 . GLU B 2 313 ? 274.027 -73.749  239.844 1.0 42.10896  ? 314 GLU E OE1 314 GLU E OE1 1 
ATOM 9573  O OE2 . GLU B 2 313 ? 273.289 -72.232  241.222 1.0 42.10896  ? 314 GLU E OE2 314 GLU E OE2 1 
ATOM 9574  N N   . LEU B 2 314 ? 270.502 -77.827  239.281 1.0 39.99316  ? 315 LEU E N   315 LEU E N   1 
ATOM 9575  C CA  . LEU B 2 314 ? 270.361 -79.120  238.626 1.0 39.99316  ? 315 LEU E CA  315 LEU E CA  1 
ATOM 9576  C C   . LEU B 2 314 ? 269.397 -79.043  237.452 1.0 39.99316  ? 315 LEU E C   315 LEU E C   1 
ATOM 9577  O O   . LEU B 2 314 ? 269.501 -79.834  236.509 1.0 39.99316  ? 315 LEU E O   315 LEU E O   1 
ATOM 9578  C CB  . LEU B 2 314 ? 269.902 -80.164  239.643 1.0 39.99316  ? 315 LEU E CB  315 LEU E CB  1 
ATOM 9579  C CG  . LEU B 2 314 ? 269.808 -81.624  239.204 1.0 39.99316  ? 315 LEU E CG  315 LEU E CG  1 
ATOM 9580  C CD1 . LEU B 2 314 ? 271.163 -82.141  238.789 1.0 39.99316  ? 315 LEU E CD1 315 LEU E CD1 1 
ATOM 9581  C CD2 . LEU B 2 314 ? 269.241 -82.472  240.303 1.0 39.99316  ? 315 LEU E CD2 315 LEU E CD2 1 
ATOM 9582  N N   . SER B 2 315 ? 268.469 -78.085  237.481 1.0 39.62137  ? 316 SER E N   316 SER E N   1 
ATOM 9583  C CA  . SER B 2 315 ? 267.584 -77.872  236.343 1.0 39.62137  ? 316 SER E CA  316 SER E CA  1 
ATOM 9584  C C   . SER B 2 315 ? 268.337 -77.352  235.132 1.0 39.62137  ? 316 SER E C   316 SER E C   1 
ATOM 9585  O O   . SER B 2 315 ? 267.898 -77.561  234.000 1.0 39.62137  ? 316 SER E O   316 SER E O   1 
ATOM 9586  C CB  . SER B 2 315 ? 266.474 -76.896  236.712 1.0 39.62137  ? 316 SER E CB  316 SER E CB  1 
ATOM 9587  O OG  . SER B 2 315 ? 265.665 -76.613  235.589 1.0 39.62137  ? 316 SER E OG  316 SER E OG  1 
ATOM 9588  N N   . TYR B 2 316 ? 269.458 -76.667  235.343 1.0 39.38792  ? 317 TYR E N   317 TYR E N   1 
ATOM 9589  C CA  . TYR B 2 316 ? 270.275 -76.225  234.224 1.0 39.38792  ? 317 TYR E CA  317 TYR E CA  1 
ATOM 9590  C C   . TYR B 2 316 ? 271.196 -77.330  233.733 1.0 39.38792  ? 317 TYR E C   317 TYR E C   1 
ATOM 9591  O O   . TYR B 2 316 ? 271.581 -77.334  232.561 1.0 39.38792  ? 317 TYR E O   317 TYR E O   1 
ATOM 9592  C CB  . TYR B 2 316 ? 271.087 -74.998  234.627 1.0 39.38792  ? 317 TYR E CB  317 TYR E CB  1 
ATOM 9593  C CG  . TYR B 2 316 ? 271.905 -74.394  233.515 1.0 39.38792  ? 317 TYR E CG  317 TYR E CG  1 
ATOM 9594  C CD1 . TYR B 2 316 ? 271.310 -73.618  232.534 1.0 39.38792  ? 317 TYR E CD1 317 TYR E CD1 1 
ATOM 9595  C CD2 . TYR B 2 316 ? 273.272 -74.596  233.452 1.0 39.38792  ? 317 TYR E CD2 317 TYR E CD2 1 
ATOM 9596  C CE1 . TYR B 2 316 ? 272.057 -73.059  231.520 1.0 39.38792  ? 317 TYR E CE1 317 TYR E CE1 1 
ATOM 9597  C CE2 . TYR B 2 316 ? 274.028 -74.038  232.448 1.0 39.38792  ? 317 TYR E CE2 317 TYR E CE2 1 
ATOM 9598  C CZ  . TYR B 2 316 ? 273.416 -73.275  231.481 1.0 39.38792  ? 317 TYR E CZ  317 TYR E CZ  1 
ATOM 9599  O OH  . TYR B 2 316 ? 274.173 -72.725  230.475 1.0 39.38792  ? 317 TYR E OH  317 TYR E OH  1 
ATOM 9600  N N   . GLN B 2 317 ? 271.554 -78.271  234.604 1.0 40.06615  ? 318 GLN E N   318 GLN E N   1 
ATOM 9601  C CA  . GLN B 2 317 ? 272.428 -79.362  234.192 1.0 40.06615  ? 318 GLN E CA  318 GLN E CA  1 
ATOM 9602  C C   . GLN B 2 317 ? 271.674 -80.378  233.348 1.0 40.06615  ? 318 GLN E C   318 GLN E C   1 
ATOM 9603  O O   . GLN B 2 317 ? 272.172 -80.829  232.312 1.0 40.06615  ? 318 GLN E O   318 GLN E O   1 
ATOM 9604  C CB  . GLN B 2 317 ? 273.043 -80.027  235.418 1.0 40.06615  ? 318 GLN E CB  318 GLN E CB  1 
ATOM 9605  C CG  . GLN B 2 317 ? 273.940 -79.103  236.197 1.0 40.06615  ? 318 GLN E CG  318 GLN E CG  1 
ATOM 9606  C CD  . GLN B 2 317 ? 275.180 -78.752  235.428 1.0 40.06615  ? 318 GLN E CD  318 GLN E CD  1 
ATOM 9607  O OE1 . GLN B 2 317 ? 275.798 -79.612  234.809 1.0 40.06615  ? 318 GLN E OE1 318 GLN E OE1 1 
ATOM 9608  N NE2 . GLN B 2 317 ? 275.537 -77.478  235.430 1.0 40.06615  ? 318 GLN E NE2 318 GLN E NE2 1 
ATOM 9609  N N   . TYR B 2 318 ? 270.469 -80.754  233.776 1.0 40.5523   ? 319 TYR E N   319 TYR E N   1 
ATOM 9610  C CA  . TYR B 2 318 ? 269.671 -81.685  232.990 1.0 40.5523   ? 319 TYR E CA  319 TYR E CA  1 
ATOM 9611  C C   . TYR B 2 318 ? 269.129 -81.048  231.718 1.0 40.5523   ? 319 TYR E C   319 TYR E C   1 
ATOM 9612  O O   . TYR B 2 318 ? 268.859 -81.767  230.752 1.0 40.5523   ? 319 TYR E O   319 TYR E O   1 
ATOM 9613  C CB  . TYR B 2 318 ? 268.524 -82.254  233.832 1.0 40.5523   ? 319 TYR E CB  319 TYR E CB  1 
ATOM 9614  C CG  . TYR B 2 318 ? 268.942 -83.253  234.894 1.0 40.5523   ? 319 TYR E CG  319 TYR E CG  1 
ATOM 9615  C CD1 . TYR B 2 318 ? 270.215 -83.791  234.909 1.0 40.5523   ? 319 TYR E CD1 319 TYR E CD1 1 
ATOM 9616  C CD2 . TYR B 2 318 ? 268.049 -83.678  235.861 1.0 40.5523   ? 319 TYR E CD2 319 TYR E CD2 1 
ATOM 9617  C CE1 . TYR B 2 318 ? 270.594 -84.704  235.868 1.0 40.5523   ? 319 TYR E CE1 319 TYR E CE1 1 
ATOM 9618  C CE2 . TYR B 2 318 ? 268.419 -84.593  236.824 1.0 40.5523   ? 319 TYR E CE2 319 TYR E CE2 1 
ATOM 9619  C CZ  . TYR B 2 318 ? 269.694 -85.103  236.818 1.0 40.5523   ? 319 TYR E CZ  319 TYR E CZ  1 
ATOM 9620  O OH  . TYR B 2 318 ? 270.082 -86.015  237.769 1.0 40.5523   ? 319 TYR E OH  319 TYR E OH  1 
ATOM 9621  N N   . LEU B 2 319 ? 268.976 -79.723  231.694 1.0 41.08337  ? 320 LEU E N   320 LEU E N   1 
ATOM 9622  C CA  . LEU B 2 319 ? 268.578 -79.041  230.469 1.0 41.08337  ? 320 LEU E CA  320 LEU E CA  1 
ATOM 9623  C C   . LEU B 2 319 ? 269.683 -79.079  229.426 1.0 41.08337  ? 320 LEU E C   320 LEU E C   1 
ATOM 9624  O O   . LEU B 2 319 ? 269.431 -79.350  228.250 1.0 41.08337  ? 320 LEU E O   320 LEU E O   1 
ATOM 9625  C CB  . LEU B 2 319 ? 268.224 -77.597  230.770 1.0 41.08337  ? 320 LEU E CB  320 LEU E CB  1 
ATOM 9626  C CG  . LEU B 2 319 ? 267.817 -76.773  229.560 1.0 41.08337  ? 320 LEU E CG  320 LEU E CG  1 
ATOM 9627  C CD1 . LEU B 2 319 ? 266.458 -77.209  229.044 1.0 41.08337  ? 320 LEU E CD1 320 LEU E CD1 1 
ATOM 9628  C CD2 . LEU B 2 319 ? 267.845 -75.313  229.906 1.0 41.08337  ? 320 LEU E CD2 320 LEU E CD2 1 
ATOM 9629  N N   . LEU B 2 320 ? 270.909 -78.815  229.848 1.0 41.4424   ? 321 LEU E N   321 LEU E N   1 
ATOM 9630  C CA  . LEU B 2 320 ? 272.017 -78.690  228.924 1.0 41.4424   ? 321 LEU E CA  321 LEU E CA  1 
ATOM 9631  C C   . LEU B 2 320 ? 272.479 -80.036  228.386 1.0 41.4424   ? 321 LEU E C   321 LEU E C   1 
ATOM 9632  O O   . LEU B 2 320 ? 273.077 -80.085  227.309 1.0 41.4424   ? 321 LEU E O   321 LEU E O   1 
ATOM 9633  C CB  . LEU B 2 320 ? 273.144 -77.950  229.637 1.0 41.4424   ? 321 LEU E CB  321 LEU E CB  1 
ATOM 9634  C CG  . LEU B 2 320 ? 274.259 -77.304  228.821 1.0 41.4424   ? 321 LEU E CG  321 LEU E CG  1 
ATOM 9635  C CD1 . LEU B 2 320 ? 274.691 -76.062  229.547 1.0 41.4424   ? 321 LEU E CD1 321 LEU E CD1 1 
ATOM 9636  C CD2 . LEU B 2 320 ? 275.424 -78.231  228.692 1.0 41.4424   ? 321 LEU E CD2 321 LEU E CD2 1 
ATOM 9637  N N   . ALA B 2 321 ? 272.191 -81.128  229.086 1.0 42.78194  ? 322 ALA E N   322 ALA E N   1 
ATOM 9638  C CA  . ALA B 2 321 ? 272.544 -82.447  228.586 1.0 42.78194  ? 322 ALA E CA  322 ALA E CA  1 
ATOM 9639  C C   . ALA B 2 321 ? 271.580 -82.942  227.522 1.0 42.78194  ? 322 ALA E C   322 ALA E C   1 
ATOM 9640  O O   . ALA B 2 321 ? 271.854 -83.967  226.889 1.0 42.78194  ? 322 ALA E O   322 ALA E O   1 
ATOM 9641  C CB  . ALA B 2 321 ? 272.598 -83.449  229.737 1.0 42.78194  ? 322 ALA E CB  322 ALA E CB  1 
ATOM 9642  N N   . ASP B 2 322 ? 270.470 -82.238  227.310 1.0 44.89842  ? 323 ASP E N   323 ASP E N   1 
ATOM 9643  C CA  . ASP B 2 322 ? 269.485 -82.595  226.302 1.0 44.89842  ? 323 ASP E CA  323 ASP E CA  1 
ATOM 9644  C C   . ASP B 2 322 ? 269.438 -81.625  225.133 1.0 44.89842  ? 323 ASP E C   323 ASP E C   1 
ATOM 9645  O O   . ASP B 2 322 ? 269.019 -82.018  224.044 1.0 44.89842  ? 323 ASP E O   323 ASP E O   1 
ATOM 9646  C CB  . ASP B 2 322 ? 268.099 -82.694  226.944 1.0 44.89842  ? 323 ASP E CB  323 ASP E CB  1 
ATOM 9647  C CG  . ASP B 2 322 ? 268.020 -83.818  227.953 1.0 44.89842  ? 323 ASP E CG  323 ASP E CG  1 
ATOM 9648  O OD1 . ASP B 2 322 ? 268.770 -84.800  227.795 1.0 44.89842  ? 323 ASP E OD1 323 ASP E OD1 1 
ATOM 9649  O OD2 . ASP B 2 322 ? 267.231 -83.727  228.911 1.0 44.89842  ? 323 ASP E OD2 323 ASP E OD2 1 
ATOM 9650  N N   . LEU B 2 323 ? 269.850 -80.371  225.332 1.0 45.22176  ? 324 LEU E N   324 LEU E N   1 
ATOM 9651  C CA  . LEU B 2 323 ? 270.085 -79.478  224.201 1.0 45.22176  ? 324 LEU E CA  324 LEU E CA  1 
ATOM 9652  C C   . LEU B 2 323 ? 271.274 -79.938  223.377 1.0 45.22176  ? 324 LEU E C   324 LEU E C   1 
ATOM 9653  O O   . LEU B 2 323 ? 271.157 -80.158  222.167 1.0 45.22176  ? 324 LEU E O   324 LEU E O   1 
ATOM 9654  C CB  . LEU B 2 323 ? 270.306 -78.043  224.682 1.0 45.22176  ? 324 LEU E CB  324 LEU E CB  1 
ATOM 9655  C CG  . LEU B 2 323 ? 269.114 -77.085  224.714 1.0 45.22176  ? 324 LEU E CG  324 LEU E CG  1 
ATOM 9656  C CD1 . LEU B 2 323 ? 268.062 -77.513  225.707 1.0 45.22176  ? 324 LEU E CD1 324 LEU E CD1 1 
ATOM 9657  C CD2 . LEU B 2 323 ? 269.595 -75.668  225.027 1.0 45.22176  ? 324 LEU E CD2 324 LEU E CD2 1 
ATOM 9658  N N   . THR B 2 324 ? 272.428 -80.092  224.014 1.0 46.22963  ? 325 THR E N   325 THR E N   1 
ATOM 9659  C CA  . THR B 2 324 ? 273.641 -80.378  223.266 1.0 46.22963  ? 325 THR E CA  325 THR E CA  1 
ATOM 9660  C C   . THR B 2 324 ? 274.426 -81.528  223.875 1.0 46.22963  ? 325 THR E C   325 THR E C   1 
ATOM 9661  O O   . THR B 2 324 ? 273.949 -82.202  224.791 1.0 46.22963  ? 325 THR E O   325 THR E O   1 
ATOM 9662  C CB  . THR B 2 324 ? 274.520 -79.127  223.181 1.0 46.22963  ? 325 THR E CB  325 THR E CB  1 
ATOM 9663  O OG1 . THR B 2 324 ? 275.656 -79.402  222.354 1.0 46.22963  ? 325 THR E OG1 325 THR E OG1 1 
ATOM 9664  C CG2 . THR B 2 324 ? 274.984 -78.686  224.564 1.0 46.22963  ? 325 THR E CG2 325 THR E CG2 1 
ATOM 9665  N N   . SER B 2 325 ? 275.626 -81.761  223.361 1.0 47.72947  ? 326 SER E N   326 SER E N   1 
ATOM 9666  C CA  . SER B 2 325 ? 276.496 -82.797  223.882 1.0 47.72947  ? 326 SER E CA  326 SER E CA  1 
ATOM 9667  C C   . SER B 2 325 ? 277.161 -82.335  225.173 1.0 47.72947  ? 326 SER E C   326 SER E C   1 
ATOM 9668  O O   . SER B 2 325 ? 277.018 -81.190  225.607 1.0 47.72947  ? 326 SER E O   326 SER E O   1 
ATOM 9669  C CB  . SER B 2 325 ? 277.545 -83.169  222.843 1.0 47.72947  ? 326 SER E CB  326 SER E CB  1 
ATOM 9670  O OG  . SER B 2 325 ? 278.488 -84.061  223.392 1.0 47.72947  ? 326 SER E OG  326 SER E OG  1 
ATOM 9671  N N   . ARG B 2 326 ? 277.904 -83.246  225.799 1.0 46.09454  ? 327 ARG E N   327 ARG E N   1 
ATOM 9672  C CA  . ARG B 2 326 ? 278.712 -82.913  226.961 1.0 46.09454  ? 327 ARG E CA  327 ARG E CA  1 
ATOM 9673  C C   . ARG B 2 326 ? 280.180 -83.265  226.806 1.0 46.09454  ? 327 ARG E C   327 ARG E C   1 
ATOM 9674  O O   . ARG B 2 326 ? 280.970 -82.914  227.687 1.0 46.09454  ? 327 ARG E O   327 ARG E O   1 
ATOM 9675  C CB  . ARG B 2 326 ? 278.162 -83.599  228.219 1.0 46.09454  ? 327 ARG E CB  327 ARG E CB  1 
ATOM 9676  C CG  . ARG B 2 326 ? 276.795 -83.095  228.589 1.0 46.09454  ? 327 ARG E CG  327 ARG E CG  1 
ATOM 9677  C CD  . ARG B 2 326 ? 276.880 -81.648  229.014 1.0 46.09454  ? 327 ARG E CD  327 ARG E CD  1 
ATOM 9678  N NE  . ARG B 2 326 ? 277.442 -81.481  230.354 1.0 46.09454  ? 327 ARG E NE  327 ARG E NE  1 
ATOM 9679  C CZ  . ARG B 2 326 ? 278.058 -80.384  230.785 1.0 46.09454  ? 327 ARG E CZ  327 ARG E CZ  1 
ATOM 9680  N NH1 . ARG B 2 326 ? 278.258 -79.366  229.973 1.0 46.09454  ? 327 ARG E NH1 327 ARG E NH1 1 
ATOM 9681  N NH2 . ARG B 2 326 ? 278.514 -80.314  232.018 1.0 46.09454  ? 327 ARG E NH2 327 ARG E NH2 1 
ATOM 9682  N N   . TRP B 2 327 ? 280.578 -83.920  225.718 1.0 51.26064  ? 328 TRP E N   328 TRP E N   1 
ATOM 9683  C CA  . TRP B 2 327 ? 281.987 -84.199  225.480 1.0 51.26064  ? 328 TRP E CA  328 TRP E CA  1 
ATOM 9684  C C   . TRP B 2 327 ? 282.758 -82.988  224.972 1.0 51.26064  ? 328 TRP E C   328 TRP E C   1 
ATOM 9685  O O   . TRP B 2 327 ? 283.985 -83.066  224.853 1.0 51.26064  ? 328 TRP E O   328 TRP E O   1 
ATOM 9686  C CB  . TRP B 2 327 ? 282.138 -85.354  224.484 1.0 51.26064  ? 328 TRP E CB  328 TRP E CB  1 
ATOM 9687  C CG  . TRP B 2 327 ? 281.728 -86.689  225.038 1.0 51.26064  ? 328 TRP E CG  328 TRP E CG  1 
ATOM 9688  C CD1 . TRP B 2 327 ? 282.510 -87.553  225.744 1.0 51.26064  ? 328 TRP E CD1 328 TRP E CD1 1 
ATOM 9689  C CD2 . TRP B 2 327 ? 280.443 -87.318  224.920 1.0 51.26064  ? 328 TRP E CD2 328 TRP E CD2 1 
ATOM 9690  N NE1 . TRP B 2 327 ? 281.793 -88.674  226.082 1.0 51.26064  ? 328 TRP E NE1 328 TRP E NE1 1 
ATOM 9691  C CE2 . TRP B 2 327 ? 280.522 -88.555  225.587 1.0 51.26064  ? 328 TRP E CE2 328 TRP E CE2 1 
ATOM 9692  C CE3 . TRP B 2 327 ? 279.236 -86.955  224.319 1.0 51.26064  ? 328 TRP E CE3 328 TRP E CE3 1 
ATOM 9693  C CZ2 . TRP B 2 327 ? 279.438 -89.429  225.670 1.0 51.26064  ? 328 TRP E CZ2 328 TRP E CZ2 1 
ATOM 9694  C CZ3 . TRP B 2 327 ? 278.159 -87.822  224.405 1.0 51.26064  ? 328 TRP E CZ3 328 TRP E CZ3 1 
ATOM 9695  C CH2 . TRP B 2 327 ? 278.268 -89.044  225.074 1.0 51.26064  ? 328 TRP E CH2 328 TRP E CH2 1 
ATOM 9696  N N   . HIS B 2 328 ? 282.081 -81.881  224.673 1.0 46.54606  ? 329 HIS E N   329 HIS E N   1 
ATOM 9697  C CA  . HIS B 2 328 ? 282.734 -80.691  224.147 1.0 46.54606  ? 329 HIS E CA  329 HIS E CA  1 
ATOM 9698  C C   . HIS B 2 328 ? 282.954 -79.679  225.261 1.0 46.54606  ? 329 HIS E C   329 HIS E C   1 
ATOM 9699  O O   . HIS B 2 328 ? 282.033 -79.380  226.026 1.0 46.54606  ? 329 HIS E O   329 HIS E O   1 
ATOM 9700  C CB  . HIS B 2 328 ? 281.903 -80.062  223.031 1.0 46.54606  ? 329 HIS E CB  329 HIS E CB  1 
ATOM 9701  C CG  . HIS B 2 328 ? 281.733 -80.943  221.836 1.0 46.54606  ? 329 HIS E CG  329 HIS E CG  1 
ATOM 9702  N ND1 . HIS B 2 328 ? 280.615 -81.722  221.641 1.0 46.54606  ? 329 HIS E ND1 329 HIS E ND1 1 
ATOM 9703  C CD2 . HIS B 2 328 ? 282.559 -81.201  220.795 1.0 46.54606  ? 329 HIS E CD2 329 HIS E CD2 1 
ATOM 9704  C CE1 . HIS B 2 328 ? 280.746 -82.402  220.516 1.0 46.54606  ? 329 HIS E CE1 329 HIS E CE1 1 
ATOM 9705  N NE2 . HIS B 2 328 ? 281.917 -82.104  219.984 1.0 46.54606  ? 329 HIS E NE2 329 HIS E NE2 1 
ATOM 9706  N N   . TYR B 2 329 ? 284.171 -79.151  225.339 1.0 45.42635  ? 330 TYR E N   330 TYR E N   1 
ATOM 9707  C CA  . TYR B 2 329 ? 284.549 -78.205  226.380 1.0 45.42635  ? 330 TYR E CA  330 TYR E CA  1 
ATOM 9708  C C   . TYR B 2 329 ? 284.397 -76.789  225.844 1.0 45.42635  ? 330 TYR E C   330 TYR E C   1 
ATOM 9709  O O   . TYR B 2 329 ? 285.156 -76.369  224.966 1.0 45.42635  ? 330 TYR E O   330 TYR E O   1 
ATOM 9710  C CB  . TYR B 2 329 ? 285.983 -78.454  226.839 1.0 45.42635  ? 330 TYR E CB  330 TYR E CB  1 
ATOM 9711  C CG  . TYR B 2 329 ? 286.182 -79.732  227.623 1.0 45.42635  ? 330 TYR E CG  330 TYR E CG  1 
ATOM 9712  C CD1 . TYR B 2 329 ? 285.106 -80.401  228.187 1.0 45.42635  ? 330 TYR E CD1 330 TYR E CD1 1 
ATOM 9713  C CD2 . TYR B 2 329 ? 287.449 -80.268  227.796 1.0 45.42635  ? 330 TYR E CD2 330 TYR E CD2 1 
ATOM 9714  C CE1 . TYR B 2 329 ? 285.286 -81.566  228.900 1.0 45.42635  ? 330 TYR E CE1 330 TYR E CE1 1 
ATOM 9715  C CE2 . TYR B 2 329 ? 287.638 -81.432  228.509 1.0 45.42635  ? 330 TYR E CE2 330 TYR E CE2 1 
ATOM 9716  C CZ  . TYR B 2 329 ? 286.553 -82.075  229.057 1.0 45.42635  ? 330 TYR E CZ  330 TYR E CZ  1 
ATOM 9717  O OH  . TYR B 2 329 ? 286.733 -83.237  229.768 1.0 45.42635  ? 330 TYR E OH  330 TYR E OH  1 
ATOM 9718  N N   . PHE B 2 330 ? 283.426 -76.061  226.369 1.0 41.96669  ? 331 PHE E N   331 PHE E N   1 
ATOM 9719  C CA  . PHE B 2 330 ? 283.104 -74.713  225.916 1.0 41.96669  ? 331 PHE E CA  331 PHE E CA  1 
ATOM 9720  C C   . PHE B 2 330 ? 283.584 -73.765  227.004 1.0 41.96669  ? 331 PHE E C   331 PHE E C   1 
ATOM 9721  O O   . PHE B 2 330 ? 282.973 -73.669  228.070 1.0 41.96669  ? 331 PHE E O   331 PHE E O   1 
ATOM 9722  C CB  . PHE B 2 330 ? 281.610 -74.592  225.645 1.0 41.96669  ? 331 PHE E CB  331 PHE E CB  1 
ATOM 9723  C CG  . PHE B 2 330 ? 281.192 -73.281  225.062 1.0 41.96669  ? 331 PHE E CG  331 PHE E CG  1 
ATOM 9724  C CD1 . PHE B 2 330 ? 281.544 -72.940  223.774 1.0 41.96669  ? 331 PHE E CD1 331 PHE E CD1 1 
ATOM 9725  C CD2 . PHE B 2 330 ? 280.391 -72.416  225.777 1.0 41.96669  ? 331 PHE E CD2 331 PHE E CD2 1 
ATOM 9726  C CE1 . PHE B 2 330 ? 281.139 -71.740  223.230 1.0 41.96669  ? 331 PHE E CE1 331 PHE E CE1 1 
ATOM 9727  C CE2 . PHE B 2 330 ? 279.979 -71.219  225.228 1.0 41.96669  ? 331 PHE E CE2 331 PHE E CE2 1 
ATOM 9728  C CZ  . PHE B 2 330 ? 280.361 -70.883  223.957 1.0 41.96669  ? 331 PHE E CZ  331 PHE E CZ  1 
ATOM 9729  N N   . ALA B 2 331 ? 284.679 -73.061  226.730 1.0 43.10053  ? 332 ALA E N   332 ALA E N   1 
ATOM 9730  C CA  . ALA B 2 331 ? 285.408 -72.331  227.759 1.0 43.10053  ? 332 ALA E CA  332 ALA E CA  1 
ATOM 9731  C C   . ALA B 2 331 ? 284.726 -71.056  228.217 1.0 43.10053  ? 332 ALA E C   332 ALA E C   1 
ATOM 9732  O O   . ALA B 2 331 ? 285.263 -70.401  229.114 1.0 43.10053  ? 332 ALA E O   332 ALA E O   1 
ATOM 9733  C CB  . ALA B 2 331 ? 286.809 -71.990  227.261 1.0 43.10053  ? 332 ALA E CB  332 ALA E CB  1 
ATOM 9734  N N   . LEU B 2 332 ? 283.590 -70.662  227.645 1.0 41.61006  ? 333 LEU E N   333 LEU E N   1 
ATOM 9735  C CA  . LEU B 2 332 ? 282.985 -69.409  228.078 1.0 41.61006  ? 333 LEU E CA  333 LEU E CA  1 
ATOM 9736  C C   . LEU B 2 332 ? 282.258 -69.592  229.400 1.0 41.61006  ? 333 LEU E C   333 LEU E C   1 
ATOM 9737  O O   . LEU B 2 332 ? 282.429 -68.787  230.321 1.0 41.61006  ? 333 LEU E O   333 LEU E O   1 
ATOM 9738  C CB  . LEU B 2 332 ? 282.033 -68.875  227.006 1.0 41.61006  ? 333 LEU E CB  333 LEU E CB  1 
ATOM 9739  C CG  . LEU B 2 332 ? 281.616 -67.398  226.999 1.0 41.61006  ? 333 LEU E CG  333 LEU E CG  1 
ATOM 9740  C CD1 . LEU B 2 332 ? 281.315 -66.985  225.587 1.0 41.61006  ? 333 LEU E CD1 333 LEU E CD1 1 
ATOM 9741  C CD2 . LEU B 2 332 ? 280.399 -67.093  227.864 1.0 41.61006  ? 333 LEU E CD2 333 LEU E CD2 1 
ATOM 9742  N N   . TRP B 2 333 ? 281.452 -70.649  229.514 1.0 41.24845  ? 334 TRP E N   334 TRP E N   1 
ATOM 9743  C CA  . TRP B 2 333 ? 280.654 -70.883  230.706 1.0 41.24845  ? 334 TRP E CA  334 TRP E CA  1 
ATOM 9744  C C   . TRP B 2 333 ? 281.317 -71.839  231.679 1.0 41.24845  ? 334 TRP E C   334 TRP E C   1 
ATOM 9745  O O   . TRP B 2 333 ? 280.663 -72.259  232.634 1.0 41.24845  ? 334 TRP E O   334 TRP E O   1 
ATOM 9746  C CB  . TRP B 2 333 ? 279.279 -71.437  230.342 1.0 41.24845  ? 334 TRP E CB  334 TRP E CB  1 
ATOM 9747  C CG  . TRP B 2 333 ? 278.513 -70.600  229.355 1.0 41.24845  ? 334 TRP E CG  334 TRP E CG  1 
ATOM 9748  C CD1 . TRP B 2 333 ? 278.212 -70.948  228.094 1.0 41.24845  ? 334 TRP E CD1 334 TRP E CD1 1 
ATOM 9749  C CD2 . TRP B 2 333 ? 278.017 -69.286  229.547 1.0 41.24845  ? 334 TRP E CD2 334 TRP E CD2 1 
ATOM 9750  N NE1 . TRP B 2 333 ? 277.530 -69.952  227.473 1.0 41.24845  ? 334 TRP E NE1 334 TRP E NE1 1 
ATOM 9751  C CE2 . TRP B 2 333 ? 277.394 -68.910  228.348 1.0 41.24845  ? 334 TRP E CE2 334 TRP E CE2 1 
ATOM 9752  C CE3 . TRP B 2 333 ? 278.024 -68.396  230.621 1.0 41.24845  ? 334 TRP E CE3 334 TRP E CE3 1 
ATOM 9753  C CZ2 . TRP B 2 333 ? 276.784 -67.669  228.182 1.0 41.24845  ? 334 TRP E CZ2 334 TRP E CZ2 1 
ATOM 9754  C CZ3 . TRP B 2 333 ? 277.437 -67.155  230.465 1.0 41.24845  ? 334 TRP E CZ3 334 TRP E CZ3 1 
ATOM 9755  C CH2 . TRP B 2 333 ? 276.811 -66.806  229.253 1.0 41.24845  ? 334 TRP E CH2 334 TRP E CH2 1 
ATOM 9756  N N   . ASN B 2 334 ? 282.605 -72.146  231.484 1.0 42.72019  ? 335 ASN E N   335 ASN E N   1 
ATOM 9757  C CA  . ASN B 2 334 ? 283.268 -73.320  232.073 1.0 42.72019  ? 335 ASN E CA  335 ASN E CA  1 
ATOM 9758  C C   . ASN B 2 334 ? 282.432 -74.575  231.853 1.0 42.72019  ? 335 ASN E C   335 ASN E C   1 
ATOM 9759  O O   . ASN B 2 334 ? 282.198 -75.370  232.761 1.0 42.72019  ? 335 ASN E O   335 ASN E O   1 
ATOM 9760  C CB  . ASN B 2 334 ? 283.585 -73.143  233.560 1.0 42.72019  ? 335 ASN E CB  335 ASN E CB  1 
ATOM 9761  C CG  . ASN B 2 334 ? 284.780 -72.266  233.806 1.0 42.72019  ? 335 ASN E CG  335 ASN E CG  1 
ATOM 9762  O OD1 . ASN B 2 334 ? 285.704 -72.217  233.005 1.0 42.72019  ? 335 ASN E OD1 335 ASN E OD1 1 
ATOM 9763  N ND2 . ASN B 2 334 ? 284.807 -71.627  234.964 1.0 42.72019  ? 335 ASN E ND2 335 ASN E ND2 1 
ATOM 9764  N N   . GLN B 2 335 ? 281.967 -74.740  230.620 1.0 42.7142   ? 336 GLN E N   336 GLN E N   1 
ATOM 9765  C CA  . GLN B 2 335 ? 281.098 -75.849  230.249 1.0 42.7142   ? 336 GLN E CA  336 GLN E CA  1 
ATOM 9766  C C   . GLN B 2 335 ? 281.987 -77.068  230.029 1.0 42.7142   ? 336 GLN E C   336 GLN E C   1 
ATOM 9767  O O   . GLN B 2 335 ? 282.367 -77.424  228.912 1.0 42.7142   ? 336 GLN E O   336 GLN E O   1 
ATOM 9768  C CB  . GLN B 2 335 ? 280.275 -75.468  229.026 1.0 42.7142   ? 336 GLN E CB  336 GLN E CB  1 
ATOM 9769  C CG  . GLN B 2 335 ? 279.303 -76.498  228.498 1.0 42.7142   ? 336 GLN E CG  336 GLN E CG  1 
ATOM 9770  C CD  . GLN B 2 335 ? 278.456 -75.936  227.385 1.0 42.7142   ? 336 GLN E CD  336 GLN E CD  1 
ATOM 9771  O OE1 . GLN B 2 335 ? 278.488 -74.740  227.118 1.0 42.7142   ? 336 GLN E OE1 336 GLN E OE1 1 
ATOM 9772  N NE2 . GLN B 2 335 ? 277.743 -76.803  226.687 1.0 42.7142   ? 336 GLN E NE2 336 GLN E NE2 1 
ATOM 9773  N N   . ALA B 2 336 ? 282.355 -77.701  231.140 1.0 44.06408  ? 337 ALA E N   337 ALA E N   1 
ATOM 9774  C CA  . ALA B 2 336 ? 283.217 -78.878  231.125 1.0 44.06408  ? 337 ALA E CA  337 ALA E CA  1 
ATOM 9775  C C   . ALA B 2 336 ? 282.660 -79.864  232.137 1.0 44.06408  ? 337 ALA E C   337 ALA E C   1 
ATOM 9776  O O   . ALA B 2 336 ? 282.663 -79.585  233.338 1.0 44.06408  ? 337 ALA E O   337 ALA E O   1 
ATOM 9777  C CB  . ALA B 2 336 ? 284.662 -78.514  231.455 1.0 44.06408  ? 337 ALA E CB  337 ALA E CB  1 
ATOM 9778  N N   . VAL B 2 337 ? 282.182 -81.009  231.653 1.0 47.61266  ? 338 VAL E N   338 VAL E N   1 
ATOM 9779  C CA  . VAL B 2 337 ? 281.486 -81.951  232.518 1.0 47.61266  ? 338 VAL E CA  338 VAL E CA  1 
ATOM 9780  C C   . VAL B 2 337 ? 282.489 -82.653  233.429 1.0 47.61266  ? 338 VAL E C   338 VAL E C   1 
ATOM 9781  O O   . VAL B 2 337 ? 283.655 -82.866  233.071 1.0 47.61266  ? 338 VAL E O   338 VAL E O   1 
ATOM 9782  C CB  . VAL B 2 337 ? 280.667 -82.943  231.665 1.0 47.61266  ? 338 VAL E CB  338 VAL E CB  1 
ATOM 9783  C CG1 . VAL B 2 337 ? 281.558 -83.875  230.845 1.0 47.61266  ? 338 VAL E CG1 338 VAL E CG1 1 
ATOM 9784  C CG2 . VAL B 2 337 ? 279.667 -83.720  232.507 1.0 47.61266  ? 338 VAL E CG2 338 VAL E CG2 1 
ATOM 9785  N N   . ASP B 2 338 ? 282.056 -82.941  234.651 1.0 50.65437  ? 339 ASP E N   339 ASP E N   1 
ATOM 9786  C CA  . ASP B 2 338 ? 282.865 -83.700  235.591 1.0 50.65437  ? 339 ASP E CA  339 ASP E CA  1 
ATOM 9787  C C   . ASP B 2 338 ? 282.741 -85.180  235.266 1.0 50.65437  ? 339 ASP E C   339 ASP E C   1 
ATOM 9788  O O   . ASP B 2 338 ? 281.632 -85.722  235.255 1.0 50.65437  ? 339 ASP E O   339 ASP E O   1 
ATOM 9789  C CB  . ASP B 2 338 ? 282.407 -83.434  237.020 1.0 50.65437  ? 339 ASP E CB  339 ASP E CB  1 
ATOM 9790  C CG  . ASP B 2 338 ? 282.649 -82.009  237.454 1.0 50.65437  ? 339 ASP E CG  339 ASP E CG  1 
ATOM 9791  O OD1 . ASP B 2 338 ? 283.620 -81.392  236.972 1.0 50.65437  ? 339 ASP E OD1 339 ASP E OD1 1 
ATOM 9792  O OD2 . ASP B 2 338 ? 281.858 -81.503  238.276 1.0 50.65437  ? 339 ASP E OD2 339 ASP E OD2 1 
ATOM 9793  N N   . ASP B 2 339 ? 283.863 -85.836  234.997 1.0 53.03006  ? 340 ASP E N   340 ASP E N   1 
ATOM 9794  C CA  . ASP B 2 339 ? 283.858 -87.262  234.721 1.0 53.03006  ? 340 ASP E CA  340 ASP E CA  1 
ATOM 9795  C C   . ASP B 2 339 ? 284.899 -87.957  235.586 1.0 53.03006  ? 340 ASP E C   340 ASP E C   1 
ATOM 9796  O O   . ASP B 2 339 ? 285.670 -87.322  236.307 1.0 53.03006  ? 340 ASP E O   340 ASP E O   1 
ATOM 9797  C CB  . ASP B 2 339 ? 284.106 -87.549  233.233 1.0 53.03006  ? 340 ASP E CB  340 ASP E CB  1 
ATOM 9798  C CG  . ASP B 2 339 ? 285.402 -86.943  232.717 1.0 53.03006  ? 340 ASP E CG  340 ASP E CG  1 
ATOM 9799  O OD1 . ASP B 2 339 ? 286.027 -86.135  233.433 1.0 53.03006  ? 340 ASP E OD1 340 ASP E OD1 1 
ATOM 9800  O OD2 . ASP B 2 339 ? 285.812 -87.291  231.590 1.0 53.03006  ? 340 ASP E OD2 340 ASP E OD2 1 
ATOM 9801  N N   . TYR B 2 340 ? 284.910 -89.275  235.513 1.0 54.69577  ? 341 TYR E N   341 TYR E N   1 
ATOM 9802  C CA  . TYR B 2 340 ? 285.961 -90.083  236.097 1.0 54.69577  ? 341 TYR E CA  341 TYR E CA  1 
ATOM 9803  C C   . TYR B 2 340 ? 286.661 -90.845  234.981 1.0 54.69577  ? 341 TYR E C   341 TYR E C   1 
ATOM 9804  O O   . TYR B 2 340 ? 286.280 -90.768  233.812 1.0 54.69577  ? 341 TYR E O   341 TYR E O   1 
ATOM 9805  C CB  . TYR B 2 340 ? 285.401 -91.019  237.175 1.0 54.69577  ? 341 TYR E CB  341 TYR E CB  1 
ATOM 9806  C CG  . TYR B 2 340 ? 284.308 -91.967  236.723 1.0 54.69577  ? 341 TYR E CG  341 TYR E CG  1 
ATOM 9807  C CD1 . TYR B 2 340 ? 282.971 -91.617  236.822 1.0 54.69577  ? 341 TYR E CD1 341 TYR E CD1 1 
ATOM 9808  C CD2 . TYR B 2 340 ? 284.616 -93.222  236.221 1.0 54.69577  ? 341 TYR E CD2 341 TYR E CD2 1 
ATOM 9809  C CE1 . TYR B 2 340 ? 281.975 -92.488  236.418 1.0 54.69577  ? 341 TYR E CE1 341 TYR E CE1 1 
ATOM 9810  C CE2 . TYR B 2 340 ? 283.632 -94.095  235.814 1.0 54.69577  ? 341 TYR E CE2 341 TYR E CE2 1 
ATOM 9811  C CZ  . TYR B 2 340 ? 282.314 -93.725  235.916 1.0 54.69577  ? 341 TYR E CZ  341 TYR E CZ  1 
ATOM 9812  O OH  . TYR B 2 340 ? 281.335 -94.600  235.510 1.0 54.69577  ? 341 TYR E OH  341 TYR E OH  1 
ATOM 9813  N N   . ASP B 2 341 ? 287.710 -91.566  235.344 1.0 58.05724  ? 342 ASP E N   342 ASP E N   1 
ATOM 9814  C CA  . ASP B 2 341 ? 288.347 -92.477  234.412 1.0 58.05724  ? 342 ASP E CA  342 ASP E CA  1 
ATOM 9815  C C   . ASP B 2 341 ? 287.659 -93.828  234.542 1.0 58.05724  ? 342 ASP E C   342 ASP E C   1 
ATOM 9816  O O   . ASP B 2 341 ? 287.529 -94.359  235.648 1.0 58.05724  ? 342 ASP E O   342 ASP E O   1 
ATOM 9817  C CB  . ASP B 2 341 ? 289.842 -92.590  234.697 1.0 58.05724  ? 342 ASP E CB  342 ASP E CB  1 
ATOM 9818  C CG  . ASP B 2 341 ? 290.606 -93.240  233.561 1.0 58.05724  ? 342 ASP E CG  342 ASP E CG  1 
ATOM 9819  O OD1 . ASP B 2 341 ? 289.983 -93.577  232.535 1.0 58.05724  ? 342 ASP E OD1 342 ASP E OD1 1 
ATOM 9820  O OD2 . ASP B 2 341 ? 291.834 -93.421  233.692 1.0 58.05724  ? 342 ASP E OD2 342 ASP E OD2 1 
ATOM 9821  N N   . HIS B 2 342 ? 287.223 -94.372  233.407 1.0 62.56939  ? 343 HIS E N   343 HIS E N   1 
ATOM 9822  C CA  . HIS B 2 342 ? 286.416 -95.584  233.387 1.0 62.56939  ? 343 HIS E CA  343 HIS E CA  1 
ATOM 9823  C C   . HIS B 2 342 ? 287.177 -96.811  233.875 1.0 62.56939  ? 343 HIS E C   343 HIS E C   1 
ATOM 9824  O O   . HIS B 2 342 ? 286.555 -97.752  234.376 1.0 62.56939  ? 343 HIS E O   343 HIS E O   1 
ATOM 9825  C CB  . HIS B 2 342 ? 285.897 -95.807  231.967 1.0 62.56939  ? 343 HIS E CB  343 HIS E CB  1 
ATOM 9826  C CG  . HIS B 2 342 ? 285.000 -96.993  231.825 1.0 62.56939  ? 343 HIS E CG  343 HIS E CG  1 
ATOM 9827  N ND1 . HIS B 2 342 ? 283.699 -97.002  232.279 1.0 62.56939  ? 343 HIS E ND1 343 HIS E ND1 1 
ATOM 9828  C CD2 . HIS B 2 342 ? 285.216 -98.211  231.276 1.0 62.56939  ? 343 HIS E CD2 343 HIS E CD2 1 
ATOM 9829  C CE1 . HIS B 2 342 ? 283.152 -98.175  232.016 1.0 62.56939  ? 343 HIS E CE1 343 HIS E CE1 1 
ATOM 9830  N NE2 . HIS B 2 342 ? 284.052 -98.927  231.408 1.0 62.56939  ? 343 HIS E NE2 343 HIS E NE2 1 
ATOM 9831  N N   . HIS B 2 343 ? 288.503 -96.818  233.764 1.0 60.16768  ? 344 HIS E N   344 HIS E N   1 
ATOM 9832  C CA  . HIS B 2 343 ? 289.313 -97.935  234.223 1.0 60.16768  ? 344 HIS E CA  344 HIS E CA  1 
ATOM 9833  C C   . HIS B 2 343 ? 289.895 -97.708  235.608 1.0 60.16768  ? 344 HIS E C   344 HIS E C   1 
ATOM 9834  O O   . HIS B 2 343 ? 290.743 -98.488  236.046 1.0 60.16768  ? 344 HIS E O   344 HIS E O   1 
ATOM 9835  C CB  . HIS B 2 343 ? 290.433 -98.211  233.225 1.0 60.16768  ? 344 HIS E CB  344 HIS E CB  1 
ATOM 9836  C CG  . HIS B 2 343 ? 289.939 -98.631  231.880 1.0 60.16768  ? 344 HIS E CG  344 HIS E CG  1 
ATOM 9837  N ND1 . HIS B 2 343 ? 289.444 -99.892  231.630 1.0 60.16768  ? 344 HIS E ND1 344 HIS E ND1 1 
ATOM 9838  C CD2 . HIS B 2 343 ? 289.845 -97.952  230.713 1.0 60.16768  ? 344 HIS E CD2 344 HIS E CD2 1 
ATOM 9839  C CE1 . HIS B 2 343 ? 289.075 -99.975  230.365 1.0 60.16768  ? 344 HIS E CE1 344 HIS E CE1 1 
ATOM 9840  N NE2 . HIS B 2 343 ? 289.308 -98.811  229.787 1.0 60.16768  ? 344 HIS E NE2 344 HIS E NE2 1 
ATOM 9841  N N   . VAL B 2 344 ? 289.468 -96.658  236.301 1.0 54.79784  ? 345 VAL E N   345 VAL E N   1 
ATOM 9842  C CA  . VAL B 2 344 ? 289.922 -96.370  237.652 1.0 54.79784  ? 345 VAL E CA  345 VAL E CA  1 
ATOM 9843  C C   . VAL B 2 344 ? 288.816 -96.601  238.673 1.0 54.79784  ? 345 VAL E C   345 VAL E C   1 
ATOM 9844  O O   . VAL B 2 344 ? 289.060 -97.169  239.741 1.0 54.79784  ? 345 VAL E O   345 VAL E O   1 
ATOM 9845  C CB  . VAL B 2 344 ? 290.477 -94.929  237.733 1.0 54.79784  ? 345 VAL E CB  345 VAL E CB  1 
ATOM 9846  C CG1 . VAL B 2 344 ? 290.777 -94.518  239.159 1.0 54.79784  ? 345 VAL E CG1 345 VAL E CG1 1 
ATOM 9847  C CG2 . VAL B 2 344 ? 291.744 -94.831  236.917 1.0 54.79784  ? 345 VAL E CG2 345 VAL E CG2 1 
ATOM 9848  N N   . ARG B 2 345 ? 287.587 -96.198  238.344 1.0 52.59318  ? 346 ARG E N   346 ARG E N   1 
ATOM 9849  C CA  . ARG B 2 345 ? 286.435 -96.503  239.187 1.0 52.59318  ? 346 ARG E CA  346 ARG E CA  1 
ATOM 9850  C C   . ARG B 2 345 ? 286.183 -98.001  239.245 1.0 52.59318  ? 346 ARG E C   346 ARG E C   1 
ATOM 9851  O O   . ARG B 2 345 ? 286.242 -98.615  240.315 1.0 52.59318  ? 346 ARG E O   346 ARG E O   1 
ATOM 9852  C CB  . ARG B 2 345 ? 285.203 -95.780  238.653 1.0 52.59318  ? 346 ARG E CB  346 ARG E CB  1 
ATOM 9853  C CG  . ARG B 2 345 ? 283.929 -96.046  239.420 1.0 52.59318  ? 346 ARG E CG  346 ARG E CG  1 
ATOM 9854  C CD  . ARG B 2 345 ? 284.024 -95.508  240.819 1.0 52.59318  ? 346 ARG E CD  346 ARG E CD  1 
ATOM 9855  N NE  . ARG B 2 345 ? 282.746 -95.567  241.516 1.0 52.59318  ? 346 ARG E NE  346 ARG E NE  1 
ATOM 9856  C CZ  . ARG B 2 345 ? 282.601 -95.305  242.808 1.0 52.59318  ? 346 ARG E CZ  346 ARG E CZ  1 
ATOM 9857  N NH1 . ARG B 2 345 ? 283.659 -94.975  243.535 1.0 52.59318  ? 346 ARG E NH1 346 ARG E NH1 1 
ATOM 9858  N NH2 . ARG B 2 345 ? 281.406 -95.378  243.374 1.0 52.59318  ? 346 ARG E NH2 346 ARG E NH2 1 
ATOM 9859  N N   . ILE B 2 346 ? 285.908 -98.606  238.099 1.0 53.82369  ? 347 ILE E N   347 ILE E N   1 
ATOM 9860  C CA  . ILE B 2 346 ? 285.751 -100.049 237.992 1.0 53.82369  ? 347 ILE E CA  347 ILE E CA  1 
ATOM 9861  C C   . ILE B 2 346 ? 287.087 -100.550 237.460 1.0 53.82369  ? 347 ILE E C   347 ILE E C   1 
ATOM 9862  O O   . ILE B 2 346 ? 287.304 -100.629 236.251 1.0 53.82369  ? 347 ILE E O   347 ILE E O   1 
ATOM 9863  C CB  . ILE B 2 346 ? 284.591 -100.425 237.081 1.0 53.82369  ? 347 ILE E CB  347 ILE E CB  1 
ATOM 9864  C CG1 . ILE B 2 346 ? 283.312 -99.759  237.570 1.0 53.82369  ? 347 ILE E CG1 347 ILE E CG1 1 
ATOM 9865  C CG2 . ILE B 2 346 ? 284.398 -101.919 237.071 1.0 53.82369  ? 347 ILE E CG2 347 ILE E CG2 1 
ATOM 9866  C CD1 . ILE B 2 346 ? 282.207 -99.781  236.558 1.0 53.82369  ? 347 ILE E CD1 347 ILE E CD1 1 
ATOM 9867  N N   . LEU B 2 347 ? 288.005 -100.866 238.371 1.0 54.3099   ? 348 LEU E N   348 LEU E N   1 
ATOM 9868  C CA  . LEU B 2 347 ? 289.343 -101.261 237.953 1.0 54.3099   ? 348 LEU E CA  348 LEU E CA  1 
ATOM 9869  C C   . LEU B 2 347 ? 289.305 -102.656 237.348 1.0 54.3099   ? 348 LEU E C   348 LEU E C   1 
ATOM 9870  O O   . LEU B 2 347 ? 288.734 -103.588 237.921 1.0 54.3099   ? 348 LEU E O   348 LEU E O   1 
ATOM 9871  C CB  . LEU B 2 347 ? 290.340 -101.178 239.114 1.0 54.3099   ? 348 LEU E CB  348 LEU E CB  1 
ATOM 9872  C CG  . LEU B 2 347 ? 290.379 -102.113 240.323 1.0 54.3099   ? 348 LEU E CG  348 LEU E CG  1 
ATOM 9873  C CD1 . LEU B 2 347 ? 291.752 -102.068 240.965 1.0 54.3099   ? 348 LEU E CD1 348 LEU E CD1 1 
ATOM 9874  C CD2 . LEU B 2 347 ? 289.325 -101.724 241.339 1.0 54.3099   ? 348 LEU E CD2 348 LEU E CD2 1 
ATOM 9875  N N   . GLU B 2 348 ? 289.875 -102.775 236.158 1.0 56.08337  ? 349 GLU E N   349 GLU E N   1 
ATOM 9876  C CA  . GLU B 2 348 ? 289.760 -103.953 235.309 1.0 56.08337  ? 349 GLU E CA  349 GLU E CA  1 
ATOM 9877  C C   . GLU B 2 348 ? 291.136 -104.604 235.263 1.0 56.08337  ? 349 GLU E C   349 GLU E C   1 
ATOM 9878  O O   . GLU B 2 348 ? 292.005 -104.206 234.485 1.0 56.08337  ? 349 GLU E O   349 GLU E O   1 
ATOM 9879  C CB  . GLU B 2 348 ? 289.260 -103.549 233.931 1.0 56.08337  ? 349 GLU E CB  349 GLU E CB  1 
ATOM 9880  C CG  . GLU B 2 348 ? 289.001 -104.685 232.976 1.0 56.08337  ? 349 GLU E CG  349 GLU E CG  1 
ATOM 9881  C CD  . GLU B 2 348 ? 288.364 -104.206 231.687 1.0 56.08337  ? 349 GLU E CD  349 GLU E CD  1 
ATOM 9882  O OE1 . GLU B 2 348 ? 288.152 -102.983 231.548 1.0 56.08337  ? 349 GLU E OE1 349 GLU E OE1 1 
ATOM 9883  O OE2 . GLU B 2 348 ? 288.071 -105.050 230.815 1.0 56.08337  ? 349 GLU E OE2 349 GLU E OE2 1 
ATOM 9884  N N   . ASN B 2 349 ? 291.330 -105.607 236.111 1.0 55.16661  ? 350 ASN E N   350 ASN E N   1 
ATOM 9885  C CA  . ASN B 2 349 ? 292.649 -106.180 236.317 1.0 55.16661  ? 350 ASN E CA  350 ASN E CA  1 
ATOM 9886  C C   . ASN B 2 349 ? 292.981 -107.138 235.182 1.0 55.16661  ? 350 ASN E C   350 ASN E C   1 
ATOM 9887  O O   . ASN B 2 349 ? 292.196 -108.032 234.857 1.0 55.16661  ? 350 ASN E O   350 ASN E O   1 
ATOM 9888  C CB  . ASN B 2 349 ? 292.705 -106.891 237.665 1.0 55.16661  ? 350 ASN E CB  350 ASN E CB  1 
ATOM 9889  C CG  . ASN B 2 349 ? 294.117 -107.135 238.137 1.0 55.16661  ? 350 ASN E CG  350 ASN E CG  1 
ATOM 9890  O OD1 . ASN B 2 349 ? 295.079 -106.860 237.430 1.0 55.16661  ? 350 ASN E OD1 350 ASN E OD1 1 
ATOM 9891  N ND2 . ASN B 2 349 ? 294.249 -107.616 239.361 1.0 55.16661  ? 350 ASN E ND2 350 ASN E ND2 1 
ATOM 9892  N N   . ASP B 2 350 ? 294.149 -106.948 234.585 1.0 54.78831  ? 351 ASP E N   351 ASP E N   1 
ATOM 9893  C CA  . ASP B 2 350 ? 294.537 -107.711 233.412 1.0 54.78831  ? 351 ASP E CA  351 ASP E CA  1 
ATOM 9894  C C   . ASP B 2 350 ? 295.950 -108.261 233.534 1.0 54.78831  ? 351 ASP E C   351 ASP E C   1 
ATOM 9895  O O   . ASP B 2 350 ? 296.392 -109.003 232.653 1.0 54.78831  ? 351 ASP E O   351 ASP E O   1 
ATOM 9896  C CB  . ASP B 2 350 ? 294.402 -106.820 232.158 1.0 54.78831  ? 351 ASP E CB  351 ASP E CB  1 
ATOM 9897  C CG  . ASP B 2 350 ? 294.467 -107.602 230.861 1.0 54.78831  ? 351 ASP E CG  351 ASP E CG  1 
ATOM 9898  O OD1 . ASP B 2 350 ? 293.505 -108.333 230.567 1.0 54.78831  ? 351 ASP E OD1 351 ASP E OD1 1 
ATOM 9899  O OD2 . ASP B 2 350 ? 295.485 -107.495 230.144 1.0 54.78831  ? 351 ASP E OD2 351 ASP E OD2 1 
ATOM 9900  N N   . GLY B 2 351 ? 296.654 -107.964 234.613 1.0 54.37419  ? 352 GLY E N   352 GLY E N   1 
ATOM 9901  C CA  . GLY B 2 351 ? 298.056 -108.320 234.661 1.0 54.37419  ? 352 GLY E CA  352 GLY E CA  1 
ATOM 9902  C C   . GLY B 2 351 ? 298.819 -107.389 233.749 1.0 54.37419  ? 352 GLY E C   352 GLY E C   1 
ATOM 9903  O O   . GLY B 2 351 ? 298.632 -106.170 233.780 1.0 54.37419  ? 352 GLY E O   352 GLY E O   1 
ATOM 9904  N N   . TYR B 2 352 ? 299.655 -107.960 232.891 1.0 55.37753  ? 353 TYR E N   353 TYR E N   1 
ATOM 9905  C CA  . TYR B 2 352 ? 300.513 -107.149 232.043 1.0 55.37753  ? 353 TYR E CA  353 TYR E CA  1 
ATOM 9906  C C   . TYR B 2 352 ? 300.939 -107.968 230.838 1.0 55.37753  ? 353 TYR E C   353 TYR E C   1 
ATOM 9907  O O   . TYR B 2 352 ? 300.794 -109.192 230.812 1.0 55.37753  ? 353 TYR E O   353 TYR E O   1 
ATOM 9908  C CB  . TYR B 2 352 ? 301.728 -106.633 232.823 1.0 55.37753  ? 353 TYR E CB  353 TYR E CB  1 
ATOM 9909  C CG  . TYR B 2 352 ? 302.602 -107.718 233.414 1.0 55.37753  ? 353 TYR E CG  353 TYR E CG  1 
ATOM 9910  C CD1 . TYR B 2 352 ? 302.338 -108.240 234.674 1.0 55.37753  ? 353 TYR E CD1 353 TYR E CD1 1 
ATOM 9911  C CD2 . TYR B 2 352 ? 303.707 -108.201 232.724 1.0 55.37753  ? 353 TYR E CD2 353 TYR E CD2 1 
ATOM 9912  C CE1 . TYR B 2 352 ? 303.134 -109.226 235.216 1.0 55.37753  ? 353 TYR E CE1 353 TYR E CE1 1 
ATOM 9913  C CE2 . TYR B 2 352 ? 304.507 -109.187 233.259 1.0 55.37753  ? 353 TYR E CE2 353 TYR E CE2 1 
ATOM 9914  C CZ  . TYR B 2 352 ? 304.215 -109.693 234.503 1.0 55.37753  ? 353 TYR E CZ  353 TYR E CZ  1 
ATOM 9915  O OH  . TYR B 2 352 ? 305.015 -110.672 235.036 1.0 55.37753  ? 353 TYR E OH  353 TYR E OH  1 
ATOM 9916  N N   . GLU B 2 353 ? 301.466 -107.274 229.837 1.0 55.89304  ? 354 GLU E N   354 GLU E N   1 
ATOM 9917  C CA  . GLU B 2 353 ? 301.995 -107.930 228.647 1.0 55.89304  ? 354 GLU E CA  354 GLU E CA  1 
ATOM 9918  C C   . GLU B 2 353 ? 303.466 -108.230 228.886 1.0 55.89304  ? 354 GLU E C   354 GLU E C   1 
ATOM 9919  O O   . GLU B 2 353 ? 304.316 -107.346 228.781 1.0 55.89304  ? 354 GLU E O   354 GLU E O   1 
ATOM 9920  C CB  . GLU B 2 353 ? 301.799 -107.052 227.417 1.0 55.89304  ? 354 GLU E CB  354 GLU E CB  1 
ATOM 9921  C CG  . GLU B 2 353 ? 300.349 -106.875 227.007 1.0 55.89304  ? 354 GLU E CG  354 GLU E CG  1 
ATOM 9922  C CD  . GLU B 2 353 ? 300.191 -105.948 225.821 1.0 55.89304  ? 354 GLU E CD  354 GLU E CD  1 
ATOM 9923  O OE1 . GLU B 2 353 ? 301.196 -105.331 225.413 1.0 55.89304  ? 354 GLU E OE1 354 GLU E OE1 1 
ATOM 9924  O OE2 . GLU B 2 353 ? 299.064 -105.836 225.295 1.0 55.89304  ? 354 GLU E OE2 354 GLU E OE2 1 
ATOM 9925  N N   . GLU B 2 354 ? 303.772 -109.477 229.220 1.0 58.81224  ? 355 GLU E N   355 GLU E N   1 
ATOM 9926  C CA  . GLU B 2 354 ? 305.154 -109.876 229.417 1.0 58.81224  ? 355 GLU E CA  355 GLU E CA  1 
ATOM 9927  C C   . GLU B 2 354 ? 305.859 -110.008 228.073 1.0 58.81224  ? 355 GLU E C   355 GLU E C   1 
ATOM 9928  O O   . GLU B 2 354 ? 305.233 -110.267 227.043 1.0 58.81224  ? 355 GLU E O   355 GLU E O   1 
ATOM 9929  C CB  . GLU B 2 354 ? 305.225 -111.189 230.201 1.0 58.81224  ? 355 GLU E CB  355 GLU E CB  1 
ATOM 9930  C CG  . GLU B 2 354 ? 304.522 -112.375 229.551 1.0 58.81224  ? 355 GLU E CG  355 GLU E CG  1 
ATOM 9931  C CD  . GLU B 2 354 ? 305.443 -113.207 228.678 1.0 58.81224  ? 355 GLU E CD  355 GLU E CD  1 
ATOM 9932  O OE1 . GLU B 2 354 ? 306.675 -113.131 228.873 1.0 58.81224  ? 355 GLU E OE1 355 GLU E OE1 1 
ATOM 9933  O OE2 . GLU B 2 354 ? 304.935 -113.925 227.790 1.0 58.81224  ? 355 GLU E OE2 355 GLU E OE2 1 
ATOM 9934  N N   . GLY B 2 355 ? 307.176 -109.829 228.092 1.0 56.85857  ? 356 GLY E N   356 GLY E N   1 
ATOM 9935  C CA  . GLY B 2 355 ? 307.967 -109.930 226.891 1.0 56.85857  ? 356 GLY E CA  356 GLY E CA  1 
ATOM 9936  C C   . GLY B 2 355 ? 309.400 -110.330 227.166 1.0 56.85857  ? 356 GLY E C   356 GLY E C   1 
ATOM 9937  O O   . GLY B 2 355 ? 309.690 -111.091 228.094 1.0 56.85857  ? 356 GLY E O   356 GLY E O   1 
ATOM 9938  N N   . PRO B 2 356 ? 310.324 -109.837 226.347 1.0 57.91273  ? 357 PRO E N   357 PRO E N   1 
ATOM 9939  C CA  . PRO B 2 356 ? 311.747 -110.057 226.604 1.0 57.91273  ? 357 PRO E CA  357 PRO E CA  1 
ATOM 9940  C C   . PRO B 2 356 ? 312.185 -109.291 227.838 1.0 57.91273  ? 357 PRO E C   357 PRO E C   1 
ATOM 9941  O O   . PRO B 2 356 ? 311.520 -108.319 228.228 1.0 57.91273  ? 357 PRO E O   357 PRO E O   1 
ATOM 9942  C CB  . PRO B 2 356 ? 312.418 -109.505 225.336 1.0 57.91273  ? 357 PRO E CB  357 PRO E CB  1 
ATOM 9943  C CG  . PRO B 2 356 ? 311.357 -109.517 224.305 1.0 57.91273  ? 357 PRO E CG  357 PRO E CG  1 
ATOM 9944  C CD  . PRO B 2 356 ? 310.103 -109.194 225.044 1.0 57.91273  ? 357 PRO E CD  357 PRO E CD  1 
ATOM 9945  N N   . PRO B 2 357 ? 313.272 -109.705 228.494 1.0 59.80632  ? 358 PRO E N   358 PRO E N   1 
ATOM 9946  C CA  . PRO B 2 357 ? 313.721 -108.983 229.690 1.0 59.80632  ? 358 PRO E CA  358 PRO E CA  1 
ATOM 9947  C C   . PRO B 2 357 ? 314.223 -107.589 229.354 1.0 59.80632  ? 358 PRO E C   358 PRO E C   1 
ATOM 9948  O O   . PRO B 2 357 ? 314.960 -107.385 228.388 1.0 59.80632  ? 358 PRO E O   358 PRO E O   1 
ATOM 9949  C CB  . PRO B 2 357 ? 314.846 -109.868 230.238 1.0 59.80632  ? 358 PRO E CB  358 PRO E CB  1 
ATOM 9950  C CG  . PRO B 2 357 ? 315.320 -110.637 229.071 1.0 59.80632  ? 358 PRO E CG  358 PRO E CG  1 
ATOM 9951  C CD  . PRO B 2 357 ? 314.111 -110.886 228.229 1.0 59.80632  ? 358 PRO E CD  358 PRO E CD  1 
ATOM 9952  N N   . ASN B 2 358 ? 313.786 -106.622 230.155 1.0 59.15898  ? 359 ASN E N   359 ASN E N   1 
ATOM 9953  C CA  . ASN B 2 358 ? 314.121 -105.218 229.945 1.0 59.15898  ? 359 ASN E CA  359 ASN E CA  1 
ATOM 9954  C C   . ASN B 2 358 ? 315.428 -104.950 230.675 1.0 59.15898  ? 359 ASN E C   359 ASN E C   1 
ATOM 9955  O O   . ASN B 2 358 ? 315.448 -104.499 231.820 1.0 59.15898  ? 359 ASN E O   359 ASN E O   1 
ATOM 9956  C CB  . ASN B 2 358 ? 312.993 -104.323 230.437 1.0 59.15898  ? 359 ASN E CB  359 ASN E CB  1 
ATOM 9957  C CG  . ASN B 2 358 ? 311.691 -104.587 229.714 1.0 59.15898  ? 359 ASN E CG  359 ASN E CG  1 
ATOM 9958  O OD1 . ASN B 2 358 ? 310.725 -105.063 230.307 1.0 59.15898  ? 359 ASN E OD1 359 ASN E OD1 1 
ATOM 9959  N ND2 . ASN B 2 358 ? 311.659 -104.287 228.424 1.0 59.15898  ? 359 ASN E ND2 359 ASN E ND2 1 
ATOM 9960  N N   . LEU B 2 359 ? 316.534 -105.236 230.002 1.0 59.80946  ? 360 LEU E N   360 LEU E N   1 
ATOM 9961  C CA  . LEU B 2 359 ? 317.844 -105.146 230.622 1.0 59.80946  ? 360 LEU E CA  360 LEU E CA  1 
ATOM 9962  C C   . LEU B 2 359 ? 318.362 -103.715 230.609 1.0 59.80946  ? 360 LEU E C   360 LEU E C   1 
ATOM 9963  O O   . LEU B 2 359 ? 318.122 -102.953 229.671 1.0 59.80946  ? 360 LEU E O   360 LEU E O   1 
ATOM 9964  C CB  . LEU B 2 359 ? 318.837 -106.056 229.904 1.0 59.80946  ? 360 LEU E CB  360 LEU E CB  1 
ATOM 9965  C CG  . LEU B 2 359 ? 318.556 -107.552 230.007 1.0 59.80946  ? 360 LEU E CG  360 LEU E CG  1 
ATOM 9966  C CD1 . LEU B 2 359 ? 319.508 -108.324 229.130 1.0 59.80946  ? 360 LEU E CD1 360 LEU E CD1 1 
ATOM 9967  C CD2 . LEU B 2 359 ? 318.676 -108.008 231.440 1.0 59.80946  ? 360 LEU E CD2 360 LEU E CD2 1 
ATOM 9968  N N   . ALA B 2 360 ? 319.088 -103.356 231.664 1.0 60.76101  ? 361 ALA E N   361 ALA E N   1 
ATOM 9969  C CA  . ALA B 2 360 ? 319.783 -102.081 231.742 1.0 60.76101  ? 361 ALA E CA  361 ALA E CA  1 
ATOM 9970  C C   . ALA B 2 360 ? 321.284 -102.321 231.764 1.0 60.76101  ? 361 ALA E C   361 ALA E C   1 
ATOM 9971  O O   . ALA B 2 360 ? 321.768 -103.287 232.353 1.0 60.76101  ? 361 ALA E O   361 ALA E O   1 
ATOM 9972  C CB  . ALA B 2 360 ? 319.360 -101.279 232.967 1.0 60.76101  ? 361 ALA E CB  361 ALA E CB  1 
ATOM 9973  N N   . PHE B 2 361 ? 322.014 -101.419 231.126 1.0 61.63166  ? 362 PHE E N   362 PHE E N   1 
ATOM 9974  C CA  . PHE B 2 361 ? 323.405 -101.590 230.747 1.0 61.63166  ? 362 PHE E CA  362 PHE E CA  1 
ATOM 9975  C C   . PHE B 2 361 ? 324.234 -100.422 231.255 1.0 61.63166  ? 362 PHE E C   362 PHE E C   1 
ATOM 9976  O O   . PHE B 2 361 ? 323.731 -99.301  231.345 1.0 61.63166  ? 362 PHE E O   362 PHE E O   1 
ATOM 9977  C CB  . PHE B 2 361 ? 323.504 -101.667 229.221 1.0 61.63166  ? 362 PHE E CB  362 PHE E CB  1 
ATOM 9978  C CG  . PHE B 2 361 ? 322.878 -102.889 228.648 1.0 61.63166  ? 362 PHE E CG  362 PHE E CG  1 
ATOM 9979  C CD1 . PHE B 2 361 ? 322.925 -104.086 229.328 1.0 61.63166  ? 362 PHE E CD1 362 PHE E CD1 1 
ATOM 9980  C CD2 . PHE B 2 361 ? 322.136 -102.816 227.489 1.0 61.63166  ? 362 PHE E CD2 362 PHE E CD2 1 
ATOM 9981  C CE1 . PHE B 2 361 ? 322.320 -105.210 228.814 1.0 61.63166  ? 362 PHE E CE1 362 PHE E CE1 1 
ATOM 9982  C CE2 . PHE B 2 361 ? 321.508 -103.935 226.987 1.0 61.63166  ? 362 PHE E CE2 362 PHE E CE2 1 
ATOM 9983  C CZ  . PHE B 2 361 ? 321.620 -105.132 227.640 1.0 61.63166  ? 362 PHE E CZ  362 PHE E CZ  1 
ATOM 9984  N N   . PRO B 2 362 ? 325.494 -100.649 231.606 1.0 64.22892  ? 363 PRO E N   363 PRO E N   1 
ATOM 9985  C CA  . PRO B 2 362 ? 326.366 -99.533  231.956 1.0 64.22892  ? 363 PRO E CA  363 PRO E CA  1 
ATOM 9986  C C   . PRO B 2 362 ? 326.732 -98.733  230.719 1.0 64.22892  ? 363 PRO E C   363 PRO E C   1 
ATOM 9987  O O   . PRO B 2 362 ? 326.998 -99.308  229.654 1.0 64.22892  ? 363 PRO E O   363 PRO E O   1 
ATOM 9988  C CB  . PRO B 2 362 ? 327.591 -100.223 232.570 1.0 64.22892  ? 363 PRO E CB  363 PRO E CB  1 
ATOM 9989  C CG  . PRO B 2 362 ? 327.600 -101.567 231.976 1.0 64.22892  ? 363 PRO E CG  363 PRO E CG  1 
ATOM 9990  C CD  . PRO B 2 362 ? 326.164 -101.945 231.789 1.0 64.22892  ? 363 PRO E CD  363 PRO E CD  1 
ATOM 9991  N N   . PRO B 2 363 ? 326.737 -97.399  230.813 1.0 66.13715  ? 364 PRO E N   364 PRO E N   1 
ATOM 9992  C CA  . PRO B 2 363 ? 326.972 -96.567  229.620 1.0 66.13715  ? 364 PRO E CA  364 PRO E CA  1 
ATOM 9993  C C   . PRO B 2 363 ? 328.408 -96.572  229.131 1.0 66.13715  ? 364 PRO E C   364 PRO E C   1 
ATOM 9994  O O   . PRO B 2 363 ? 328.677 -96.028  228.054 1.0 66.13715  ? 364 PRO E O   364 PRO E O   1 
ATOM 9995  C CB  . PRO B 2 363 ? 326.571 -95.165  230.090 1.0 66.13715  ? 364 PRO E CB  364 PRO E CB  1 
ATOM 9996  C CG  . PRO B 2 363 ? 325.716 -95.384  231.281 1.0 66.13715  ? 364 PRO E CG  364 PRO E CG  1 
ATOM 9997  C CD  . PRO B 2 363 ? 326.273 -96.593  231.951 1.0 66.13715  ? 364 PRO E CD  364 PRO E CD  1 
ATOM 9998  N N   . HIS B 2 364 ? 329.330 -97.153  229.889 1.0 71.6666   ? 365 HIS E N   365 HIS E N   1 
ATOM 9999  C CA  . HIS B 2 364 ? 330.746 -97.218  229.548 1.0 71.6666   ? 365 HIS E CA  365 HIS E CA  1 
ATOM 10000 C C   . HIS B 2 364 ? 331.119 -98.585  229.009 1.0 71.6666   ? 365 HIS E C   365 HIS E C   1 
ATOM 10001 O O   . HIS B 2 364 ? 332.248 -99.039  229.206 1.0 71.6666   ? 365 HIS E O   365 HIS E O   1 
ATOM 10002 C CB  . HIS B 2 364 ? 331.586 -96.880  230.773 1.0 71.6666   ? 365 HIS E CB  365 HIS E CB  1 
ATOM 10003 C CG  . HIS B 2 364 ? 331.403 -97.834  231.913 1.0 71.6666   ? 365 HIS E CG  365 HIS E CG  1 
ATOM 10004 N ND1 . HIS B 2 364 ? 330.394 -97.703  232.841 1.0 71.6666   ? 365 HIS E ND1 365 HIS E ND1 1 
ATOM 10005 C CD2 . HIS B 2 364 ? 332.091 -98.947  232.261 1.0 71.6666   ? 365 HIS E CD2 365 HIS E CD2 1 
ATOM 10006 C CE1 . HIS B 2 364 ? 330.481 -98.681  233.725 1.0 71.6666   ? 365 HIS E CE1 365 HIS E CE1 1 
ATOM 10007 N NE2 . HIS B 2 364 ? 331.501 -99.452  233.393 1.0 71.6666   ? 365 HIS E NE2 365 HIS E NE2 1 
ATOM 10008 N N   . VAL B 2 365 ? 330.245 -99.167  228.183 1.0 69.16528  ? 366 VAL E N   366 VAL E N   1 
ATOM 10009 C CA  . VAL B 2 365 ? 329.813 -100.570 228.188 1.0 69.16528  ? 366 VAL E CA  366 VAL E CA  1 
ATOM 10010 C C   . VAL B 2 365 ? 330.898 -101.607 228.496 1.0 69.16528  ? 366 VAL E C   366 VAL E C   1 
ATOM 10011 O O   . VAL B 2 365 ? 330.611 -102.639 229.117 1.0 69.16528  ? 366 VAL E O   366 VAL E O   1 
ATOM 10012 C CB  . VAL B 2 365 ? 329.105 -100.879 226.847 1.0 69.16528  ? 366 VAL E CB  366 VAL E CB  1 
ATOM 10013 C CG1 . VAL B 2 365 ? 330.067 -100.881 225.654 1.0 69.16528  ? 366 VAL E CG1 366 VAL E CG1 1 
ATOM 10014 C CG2 . VAL B 2 365 ? 328.290 -102.159 226.914 1.0 69.16528  ? 366 VAL E CG2 366 VAL E CG2 1 
ATOM 10015 N N   . ILE B 2 366 ? 332.156 -101.343 228.123 1.0 72.36544  ? 367 ILE E N   367 ILE E N   1 
ATOM 10016 C CA  . ILE B 2 366 ? 333.227 -102.269 228.470 1.0 72.36544  ? 367 ILE E CA  367 ILE E CA  1 
ATOM 10017 C C   . ILE B 2 366 ? 333.523 -102.196 229.968 1.0 72.36544  ? 367 ILE E C   367 ILE E C   1 
ATOM 10018 O O   . ILE B 2 366 ? 333.767 -101.115 230.524 1.0 72.36544  ? 367 ILE E O   367 ILE E O   1 
ATOM 10019 C CB  . ILE B 2 366 ? 334.491 -102.024 227.627 1.0 72.36544  ? 367 ILE E CB  367 ILE E CB  1 
ATOM 10020 C CG1 . ILE B 2 366 ? 334.949 -100.560 227.663 1.0 72.36544  ? 367 ILE E CG1 367 ILE E CG1 1 
ATOM 10021 C CG2 . ILE B 2 366 ? 334.250 -102.461 226.190 1.0 72.36544  ? 367 ILE E CG2 367 ILE E CG2 1 
ATOM 10022 C CD1 . ILE B 2 366 ? 336.394 -100.377 227.322 1.0 72.36544  ? 367 ILE E CD1 367 ILE E CD1 1 
ATOM 10023 N N   . SER B 2 367 ? 333.468 -103.350 230.637 1.0 74.72182  ? 368 SER E N   368 SER E N   1 
ATOM 10024 C CA  . SER B 2 367 ? 333.748 -103.479 232.064 1.0 74.72182  ? 368 SER E CA  368 SER E CA  1 
ATOM 10025 C C   . SER B 2 367 ? 333.849 -104.949 232.423 1.0 74.72182  ? 368 SER E C   368 SER E C   1 
ATOM 10026 O O   . SER B 2 367 ? 333.179 -105.796 231.825 1.0 74.72182  ? 368 SER E O   368 SER E O   1 
ATOM 10027 C CB  . SER B 2 367 ? 332.658 -102.834 232.929 1.0 74.72182  ? 368 SER E CB  368 SER E CB  1 
ATOM 10028 O OG  . SER B 2 367 ? 331.438 -103.536 232.802 1.0 74.72182  ? 368 SER E OG  368 SER E OG  1 
ATOM 10029 N N   . ASN B 2 368 ? 334.688 -105.230 233.411 1.0 75.78174  ? 369 ASN E N   369 ASN E N   1 
ATOM 10030 C CA  . ASN B 2 368 ? 334.515 -106.426 234.206 1.0 75.78174  ? 369 ASN E CA  369 ASN E CA  1 
ATOM 10031 C C   . ASN B 2 368 ? 333.289 -106.236 235.101 1.0 75.78174  ? 369 ASN E C   369 ASN E C   1 
ATOM 10032 O O   . ASN B 2 368 ? 332.932 -105.103 235.433 1.0 75.78174  ? 369 ASN E O   369 ASN E O   1 
ATOM 10033 C CB  . ASN B 2 368 ? 335.767 -106.683 235.041 1.0 75.78174  ? 369 ASN E CB  369 ASN E CB  1 
ATOM 10034 C CG  . ASN B 2 368 ? 336.966 -107.016 234.188 1.0 75.78174  ? 369 ASN E CG  369 ASN E CG  1 
ATOM 10035 O OD1 . ASN B 2 368 ? 337.942 -106.270 234.146 1.0 75.78174  ? 369 ASN E OD1 369 ASN E OD1 1 
ATOM 10036 N ND2 . ASN B 2 368 ? 336.893 -108.136 233.487 1.0 75.78174  ? 369 ASN E ND2 369 ASN E ND2 1 
ATOM 10037 N N   . PRO B 2 369 ? 332.598 -107.322 235.475 1.0 75.31439  ? 370 PRO E N   370 PRO E N   1 
ATOM 10038 C CA  . PRO B 2 369 ? 331.357 -107.156 236.255 1.0 75.31439  ? 370 PRO E CA  370 PRO E CA  1 
ATOM 10039 C C   . PRO B 2 369 ? 331.563 -106.651 237.674 1.0 75.31439  ? 370 PRO E C   370 PRO E C   1 
ATOM 10040 O O   . PRO B 2 369 ? 330.596 -106.175 238.280 1.0 75.31439  ? 370 PRO E O   370 PRO E O   1 
ATOM 10041 C CB  . PRO B 2 369 ? 330.746 -108.563 236.248 1.0 75.31439  ? 370 PRO E CB  370 PRO E CB  1 
ATOM 10042 C CG  . PRO B 2 369 ? 331.887 -109.472 235.989 1.0 75.31439  ? 370 PRO E CG  370 PRO E CG  1 
ATOM 10043 C CD  . PRO B 2 369 ? 332.805 -108.727 235.081 1.0 75.31439  ? 370 PRO E CD  370 PRO E CD  1 
ATOM 10044 N N   . PHE B 2 370 ? 332.776 -106.722 238.223 1.0 75.93143  ? 371 PHE E N   371 PHE E N   1 
ATOM 10045 C CA  . PHE B 2 370 ? 333.023 -106.195 239.559 1.0 75.93143  ? 371 PHE E CA  371 PHE E CA  1 
ATOM 10046 C C   . PHE B 2 370 ? 334.344 -105.444 239.629 1.0 75.93143  ? 371 PHE E C   371 PHE E C   1 
ATOM 10047 O O   . PHE B 2 370 ? 334.941 -105.332 240.705 1.0 75.93143  ? 371 PHE E O   371 PHE E O   1 
ATOM 10048 C CB  . PHE B 2 370 ? 333.011 -107.308 240.602 1.0 75.93143  ? 371 PHE E CB  371 PHE E CB  1 
ATOM 10049 C CG  . PHE B 2 370 ? 331.676 -107.953 240.773 1.0 75.93143  ? 371 PHE E CG  371 PHE E CG  1 
ATOM 10050 C CD1 . PHE B 2 370 ? 330.685 -107.330 241.509 1.0 75.93143  ? 371 PHE E CD1 371 PHE E CD1 1 
ATOM 10051 C CD2 . PHE B 2 370 ? 331.410 -109.183 240.199 1.0 75.93143  ? 371 PHE E CD2 371 PHE E CD2 1 
ATOM 10052 C CE1 . PHE B 2 370 ? 329.451 -107.921 241.672 1.0 75.93143  ? 371 PHE E CE1 371 PHE E CE1 1 
ATOM 10053 C CE2 . PHE B 2 370 ? 330.178 -109.780 240.357 1.0 75.93143  ? 371 PHE E CE2 371 PHE E CE2 1 
ATOM 10054 C CZ  . PHE B 2 370 ? 329.196 -109.147 241.095 1.0 75.93143  ? 371 PHE E CZ  371 PHE E CZ  1 
ATOM 10055 N N   . ALA B 2 371 ? 334.807 -104.919 238.502 1.0 76.49795  ? 372 ALA E N   372 ALA E N   1 
ATOM 10056 C CA  . ALA B 2 371 ? 336.109 -104.277 238.412 1.0 76.49795  ? 372 ALA E CA  372 ALA E CA  1 
ATOM 10057 C C   . ALA B 2 371 ? 336.097 -103.358 237.200 1.0 76.49795  ? 372 ALA E C   372 ALA E C   1 
ATOM 10058 O O   . ALA B 2 371 ? 335.275 -103.539 236.295 1.0 76.49795  ? 372 ALA E O   372 ALA E O   1 
ATOM 10059 C CB  . ALA B 2 371 ? 337.231 -105.324 238.295 1.0 76.49795  ? 372 ALA E CB  372 ALA E CB  1 
ATOM 10060 N N   . PRO B 2 372 ? 336.972 -102.354 237.158 1.0 76.21841  ? 373 PRO E N   373 PRO E N   1 
ATOM 10061 C CA  . PRO B 2 372 ? 337.099 -101.544 235.941 1.0 76.21841  ? 373 PRO E CA  373 PRO E CA  1 
ATOM 10062 C C   . PRO B 2 372 ? 337.689 -102.351 234.794 1.0 76.21841  ? 373 PRO E C   373 PRO E C   1 
ATOM 10063 O O   . PRO B 2 372 ? 338.187 -103.466 234.962 1.0 76.21841  ? 373 PRO E O   373 PRO E O   1 
ATOM 10064 C CB  . PRO B 2 372 ? 338.033 -100.407 236.360 1.0 76.21841  ? 373 PRO E CB  373 PRO E CB  1 
ATOM 10065 C CG  . PRO B 2 372 ? 337.879 -100.320 237.828 1.0 76.21841  ? 373 PRO E CG  373 PRO E CG  1 
ATOM 10066 C CD  . PRO B 2 372 ? 337.680 -101.730 238.290 1.0 76.21841  ? 373 PRO E CD  373 PRO E CD  1 
ATOM 10067 N N   . ALA B 2 373 ? 337.617 -101.756 233.604 1.0 77.68718  ? 374 ALA E N   374 ALA E N   1 
ATOM 10068 C CA  . ALA B 2 373 ? 338.090 -102.413 232.392 1.0 77.68718  ? 374 ALA E CA  374 ALA E CA  1 
ATOM 10069 C C   . ALA B 2 373 ? 339.601 -102.583 232.437 1.0 77.68718  ? 374 ALA E C   374 ALA E C   1 
ATOM 10070 O O   . ALA B 2 373 ? 340.342 -101.615 232.632 1.0 77.68718  ? 374 ALA E O   374 ALA E O   1 
ATOM 10071 C CB  . ALA B 2 373 ? 337.681 -101.609 231.161 1.0 77.68718  ? 374 ALA E CB  374 ALA E CB  1 
ATOM 10072 N N   . ALA B 2 374 ? 340.051 -103.822 232.266 1.0 77.50364  ? 375 ALA E N   375 ALA E N   1 
ATOM 10073 C CA  . ALA B 2 374 ? 341.442 -104.170 232.518 1.0 77.50364  ? 375 ALA E CA  375 ALA E CA  1 
ATOM 10074 C C   . ALA B 2 374 ? 342.336 -103.650 231.402 1.0 77.50364  ? 375 ALA E C   375 ALA E C   1 
ATOM 10075 O O   . ALA B 2 374 ? 342.159 -104.012 230.236 1.0 77.50364  ? 375 ALA E O   375 ALA E O   1 
ATOM 10076 C CB  . ALA B 2 374 ? 341.580 -105.681 232.655 1.0 77.50364  ? 375 ALA E CB  375 ALA E CB  1 
ATOM 10077 N N   . VAL B 2 375 ? 343.298 -102.798 231.762 1.0 80.06474  ? 376 VAL E N   376 VAL E N   1 
ATOM 10078 C CA  . VAL B 2 375 ? 344.256 -102.310 230.781 1.0 80.06474  ? 376 VAL E CA  376 VAL E CA  1 
ATOM 10079 C C   . VAL B 2 375 ? 345.226 -103.424 230.405 1.0 80.06474  ? 376 VAL E C   376 VAL E C   1 
ATOM 10080 O O   . VAL B 2 375 ? 345.376 -104.430 231.108 1.0 80.06474  ? 376 VAL E O   376 VAL E O   1 
ATOM 10081 C CB  . VAL B 2 375 ? 345.010 -101.079 231.308 1.0 80.06474  ? 376 VAL E CB  376 VAL E CB  1 
ATOM 10082 C CG1 . VAL B 2 375 ? 344.047 -99.938  231.569 1.0 80.06474  ? 376 VAL E CG1 376 VAL E CG1 1 
ATOM 10083 C CG2 . VAL B 2 375 ? 345.776 -101.434 232.569 1.0 80.06474  ? 376 VAL E CG2 376 VAL E CG2 1 
ATOM 10084 N N   . GLY B 2 376 ? 345.892 -103.239 229.275 1.0 82.53138  ? 377 GLY E N   377 GLY E N   1 
ATOM 10085 C CA  . GLY B 2 376 ? 346.829 -104.239 228.811 1.0 82.53138  ? 377 GLY E CA  377 GLY E CA  1 
ATOM 10086 C C   . GLY B 2 376 ? 347.554 -103.764 227.575 1.0 82.53138  ? 377 GLY E C   377 GLY E C   1 
ATOM 10087 O O   . GLY B 2 376 ? 347.481 -102.594 227.198 1.0 82.53138  ? 377 GLY E O   377 GLY E O   1 
ATOM 10088 N N   . THR B 2 377 ? 348.257 -104.698 226.943 1.0 85.91802  ? 378 THR E N   378 THR E N   1 
ATOM 10089 C CA  . THR B 2 377 ? 349.088 -104.386 225.792 1.0 85.91802  ? 378 THR E CA  378 THR E CA  1 
ATOM 10090 C C   . THR B 2 377 ? 348.958 -105.511 224.779 1.0 85.91802  ? 378 THR E C   378 THR E C   1 
ATOM 10091 O O   . THR B 2 377 ? 348.935 -106.686 225.152 1.0 85.91802  ? 378 THR E O   378 THR E O   1 
ATOM 10092 C CB  . THR B 2 377 ? 350.555 -104.203 226.210 1.0 85.91802  ? 378 THR E CB  378 THR E CB  1 
ATOM 10093 O OG1 . THR B 2 377 ? 350.633 -103.245 227.270 1.0 85.91802  ? 378 THR E OG1 378 THR E OG1 1 
ATOM 10094 C CG2 . THR B 2 377 ? 351.381 -103.679 225.056 1.0 85.91802  ? 378 THR E CG2 378 THR E CG2 1 
ATOM 10095 N N   . GLY B 2 378 ? 348.855 -105.145 223.501 1.0 87.55355  ? 379 GLY E N   379 GLY E N   1 
ATOM 10096 C CA  . GLY B 2 378 ? 348.793 -106.133 222.446 1.0 87.55355  ? 379 GLY E CA  379 GLY E CA  1 
ATOM 10097 C C   . GLY B 2 378 ? 350.075 -106.930 222.314 1.0 87.55355  ? 379 GLY E C   379 GLY E C   1 
ATOM 10098 O O   . GLY B 2 378 ? 351.139 -106.553 222.802 1.0 87.55355  ? 379 GLY E O   379 GLY E O   1 
ATOM 10099 N N   . MET B 2 379 ? 349.960 -108.079 221.654 1.0 92.01405  ? 380 MET E N   380 MET E N   1 
ATOM 10100 C CA  . MET B 2 379 ? 351.084 -108.992 221.505 1.0 92.01405  ? 380 MET E CA  380 MET E CA  1 
ATOM 10101 C C   . MET B 2 379 ? 351.153 -109.487 220.072 1.0 92.01405  ? 380 MET E C   380 MET E C   1 
ATOM 10102 O O   . MET B 2 379 ? 350.119 -109.786 219.468 1.0 92.01405  ? 380 MET E O   380 MET E O   1 
ATOM 10103 C CB  . MET B 2 379 ? 350.958 -110.192 222.446 1.0 92.01405  ? 380 MET E CB  380 MET E CB  1 
ATOM 10104 C CG  . MET B 2 379 ? 351.020 -109.859 223.917 1.0 92.01405  ? 380 MET E CG  380 MET E CG  1 
ATOM 10105 S SD  . MET B 2 379 ? 350.818 -111.341 224.901 1.0 92.01405  ? 380 MET E SD  380 MET E SD  1 
ATOM 10106 C CE  . MET B 2 379 ? 352.409 -112.093 224.648 1.0 92.01405  ? 380 MET E CE  380 MET E CE  1 
ATOM 10107 N N   . THR B 2 380 ? 352.366 -109.580 219.536 1.0 97.26717  ? 381 THR E N   381 THR E N   1 
ATOM 10108 C CA  . THR B 2 380 ? 352.611 -110.238 218.256 1.0 97.26717  ? 381 THR E CA  381 THR E CA  1 
ATOM 10109 C C   . THR B 2 380 ? 353.161 -111.628 218.558 1.0 97.26717  ? 381 THR E C   381 THR E C   1 
ATOM 10110 O O   . THR B 2 380 ? 353.842 -111.838 219.566 1.0 97.26717  ? 381 THR E O   381 THR E O   1 
ATOM 10111 C CB  . THR B 2 380 ? 353.544 -109.414 217.370 1.0 97.26717  ? 381 THR E CB  381 THR E CB  1 
ATOM 10112 O OG1 . THR B 2 380 ? 353.720 -110.076 216.111 1.0 97.26717  ? 381 THR E OG1 381 THR E OG1 1 
ATOM 10113 C CG2 . THR B 2 380 ? 354.896 -109.182 218.029 1.0 97.26717  ? 381 THR E CG2 381 THR E CG2 1 
ATOM 10114 N N   . VAL B 2 381 ? 352.821 -112.593 217.707 1.0 100.15841 ? 382 VAL E N   382 VAL E N   1 
ATOM 10115 C CA  . VAL B 2 381 ? 353.162 -113.980 217.987 1.0 100.15841 ? 382 VAL E CA  382 VAL E CA  1 
ATOM 10116 C C   . VAL B 2 381 ? 354.254 -114.444 217.031 1.0 100.15841 ? 382 VAL E C   382 VAL E C   1 
ATOM 10117 O O   . VAL B 2 381 ? 354.375 -113.948 215.901 1.0 100.15841 ? 382 VAL E O   382 VAL E O   1 
ATOM 10118 C CB  . VAL B 2 381 ? 351.893 -114.849 217.907 1.0 100.15841 ? 382 VAL E CB  382 VAL E CB  1 
ATOM 10119 C CG1 . VAL B 2 381 ? 351.348 -114.945 216.484 1.0 100.15841 ? 382 VAL E CG1 382 VAL E CG1 1 
ATOM 10120 C CG2 . VAL B 2 381 ? 352.090 -116.222 218.537 1.0 100.15841 ? 382 VAL E CG2 382 VAL E CG2 1 
ATOM 10121 N N   . ASN B 2 382 ? 355.090 -115.365 217.499 1.0 110.59134 ? 383 ASN E N   383 ASN E N   1 
ATOM 10122 C CA  . ASN B 2 382 ? 356.150 -115.946 216.693 1.0 110.59134 ? 383 ASN E CA  383 ASN E CA  1 
ATOM 10123 C C   . ASN B 2 382 ? 355.732 -117.343 216.251 1.0 110.59134 ? 383 ASN E C   383 ASN E C   1 
ATOM 10124 O O   . ASN B 2 382 ? 355.326 -118.172 217.070 1.0 110.59134 ? 383 ASN E O   383 ASN E O   1 
ATOM 10125 C CB  . ASN B 2 382 ? 357.457 -116.010 217.488 1.0 110.59134 ? 383 ASN E CB  383 ASN E CB  1 
ATOM 10126 C CG  . ASN B 2 382 ? 358.692 -115.967 216.603 1.0 110.59134 ? 383 ASN E CG  383 ASN E CG  1 
ATOM 10127 O OD1 . ASN B 2 382 ? 359.804 -115.759 217.088 1.0 110.59134 ? 383 ASN E OD1 383 ASN E OD1 1 
ATOM 10128 N ND2 . ASN B 2 382 ? 358.502 -116.136 215.301 1.0 110.59134 ? 383 ASN E ND2 383 ASN E ND2 1 
ATOM 10129 N N   . GLU B 2 383 ? 355.817 -117.591 214.949 1.0 117.51695 ? 384 GLU E N   384 GLU E N   1 
ATOM 10130 C CA  . GLU B 2 383 ? 355.606 -118.925 214.419 1.0 117.51695 ? 384 GLU E CA  384 GLU E CA  1 
ATOM 10131 C C   . GLU B 2 383 ? 356.883 -119.750 214.605 1.0 117.51695 ? 384 GLU E C   384 GLU E C   1 
ATOM 10132 O O   . GLU B 2 383 ? 357.979 -119.201 214.756 1.0 117.51695 ? 384 GLU E O   384 GLU E O   1 
ATOM 10133 C CB  . GLU B 2 383 ? 355.172 -118.835 212.949 1.0 117.51695 ? 384 GLU E CB  384 GLU E CB  1 
ATOM 10134 C CG  . GLU B 2 383 ? 354.773 -120.147 212.269 1.0 117.51695 ? 384 GLU E CG  384 GLU E CG  1 
ATOM 10135 C CD  . GLU B 2 383 ? 353.558 -120.804 212.905 1.0 117.51695 ? 384 GLU E CD  384 GLU E CD  1 
ATOM 10136 O OE1 . GLU B 2 383 ? 352.688 -120.083 213.437 1.0 117.51695 ? 384 GLU E OE1 384 GLU E OE1 1 
ATOM 10137 O OE2 . GLU B 2 383 ? 353.482 -122.050 212.885 1.0 117.51695 ? 384 GLU E OE2 384 GLU E OE2 1 
ATOM 10138 N N   . GLN B 2 384 ? 356.697 -121.078 214.708 1.0 118.97774 ? 385 GLN E N   385 GLN E N   1 
ATOM 10139 C CA  . GLN B 2 384 ? 357.687 -122.157 214.825 1.0 118.97774 ? 385 GLN E CA  385 GLN E CA  1 
ATOM 10140 C C   . GLN B 2 384 ? 358.330 -122.223 216.206 1.0 118.97774 ? 385 GLN E C   385 GLN E C   1 
ATOM 10141 O O   . GLN B 2 384 ? 359.023 -123.195 216.525 1.0 118.97774 ? 385 GLN E O   385 GLN E O   1 
ATOM 10142 C CB  . GLN B 2 384 ? 358.790 -122.046 213.763 1.0 118.97774 ? 385 GLN E CB  385 GLN E CB  1 
ATOM 10143 C CG  . GLN B 2 384 ? 358.337 -122.217 212.333 1.0 118.97774 ? 385 GLN E CG  385 GLN E CG  1 
ATOM 10144 C CD  . GLN B 2 384 ? 359.479 -122.009 211.364 1.0 118.97774 ? 385 GLN E CD  385 GLN E CD  1 
ATOM 10145 O OE1 . GLN B 2 384 ? 360.588 -121.656 211.767 1.0 118.97774 ? 385 GLN E OE1 385 GLN E OE1 1 
ATOM 10146 N NE2 . GLN B 2 384 ? 359.219 -122.226 210.080 1.0 118.97774 ? 385 GLN E NE2 385 GLN E NE2 1 
ATOM 10147 N N   . GLN B 2 385 ? 358.086 -121.217 217.036 1.0 115.93312 ? 386 GLN E N   386 GLN E N   1 
ATOM 10148 C CA  . GLN B 2 385 ? 358.493 -121.184 218.432 1.0 115.93312 ? 386 GLN E CA  386 GLN E CA  1 
ATOM 10149 C C   . GLN B 2 385 ? 357.380 -120.481 219.188 1.0 115.93312 ? 386 GLN E C   386 GLN E C   1 
ATOM 10150 O O   . GLN B 2 385 ? 357.192 -119.270 219.031 1.0 115.93312 ? 386 GLN E O   386 GLN E O   1 
ATOM 10151 C CB  . GLN B 2 385 ? 359.820 -120.447 218.635 1.0 115.93312 ? 386 GLN E CB  386 GLN E CB  1 
ATOM 10152 C CG  . GLN B 2 385 ? 361.069 -121.145 218.109 1.0 115.93312 ? 386 GLN E CG  386 GLN E CG  1 
ATOM 10153 C CD  . GLN B 2 385 ? 361.342 -120.845 216.649 1.0 115.93312 ? 386 GLN E CD  386 GLN E CD  1 
ATOM 10154 O OE1 . GLN B 2 385 ? 360.825 -119.876 216.094 1.0 115.93312 ? 386 GLN E OE1 386 GLN E OE1 1 
ATOM 10155 N NE2 . GLN B 2 385 ? 362.156 -121.682 216.018 1.0 115.93312 ? 386 GLN E NE2 386 GLN E NE2 1 
ATOM 10156 N N   . GLN B 2 386 ? 356.645 -121.233 220.006 1.0 110.66841 ? 387 GLN E N   387 GLN E N   1 
ATOM 10157 C CA  . GLN B 2 386 ? 355.455 -120.711 220.679 1.0 110.66841 ? 387 GLN E CA  387 GLN E CA  1 
ATOM 10158 C C   . GLN B 2 386 ? 355.882 -119.770 221.805 1.0 110.66841 ? 387 GLN E C   387 GLN E C   1 
ATOM 10159 O O   . GLN B 2 386 ? 355.870 -120.101 222.992 1.0 110.66841 ? 387 GLN E O   387 GLN E O   1 
ATOM 10160 C CB  . GLN B 2 386 ? 354.585 -121.849 221.197 1.0 110.66841 ? 387 GLN E CB  387 GLN E CB  1 
ATOM 10161 C CG  . GLN B 2 386 ? 353.730 -122.553 220.148 1.0 110.66841 ? 387 GLN E CG  387 GLN E CG  1 
ATOM 10162 C CD  . GLN B 2 386 ? 354.530 -123.439 219.220 1.0 110.66841 ? 387 GLN E CD  387 GLN E CD  1 
ATOM 10163 O OE1 . GLN B 2 386 ? 354.539 -123.237 218.008 1.0 110.66841 ? 387 GLN E OE1 387 GLN E OE1 1 
ATOM 10164 N NE2 . GLN B 2 386 ? 355.213 -124.426 219.787 1.0 110.66841 ? 387 GLN E NE2 387 GLN E NE2 1 
ATOM 10165 N N   . THR B 2 387 ? 356.281 -118.568 221.401 1.0 108.89956 ? 388 THR E N   388 THR E N   1 
ATOM 10166 C CA  . THR B 2 387 ? 356.729 -117.523 222.309 1.0 108.89956 ? 388 THR E CA  388 THR E CA  1 
ATOM 10167 C C   . THR B 2 387 ? 356.320 -116.187 221.713 1.0 108.89956 ? 388 THR E C   388 THR E C   1 
ATOM 10168 O O   . THR B 2 387 ? 357.005 -115.660 220.831 1.0 108.89956 ? 388 THR E O   388 THR E O   1 
ATOM 10169 C CB  . THR B 2 387 ? 358.242 -117.571 222.522 1.0 108.89956 ? 388 THR E CB  388 THR E CB  1 
ATOM 10170 O OG1 . THR B 2 387 ? 358.618 -118.862 223.015 1.0 108.89956 ? 388 THR E OG1 388 THR E OG1 1 
ATOM 10171 C CG2 . THR B 2 387 ? 358.668 -116.518 223.534 1.0 108.89956 ? 388 THR E CG2 388 THR E CG2 1 
ATOM 10172 N N   . ALA B 2 388 ? 355.201 -115.654 222.177 1.0 100.81026 ? 389 ALA E N   389 ALA E N   1 
ATOM 10173 C CA  . ALA B 2 388 ? 354.689 -114.383 221.691 1.0 100.81026 ? 389 ALA E CA  389 ALA E CA  1 
ATOM 10174 C C   . ALA B 2 388 ? 355.332 -113.271 222.509 1.0 100.81026 ? 389 ALA E C   389 ALA E C   1 
ATOM 10175 O O   . ALA B 2 388 ? 355.328 -113.315 223.742 1.0 100.81026 ? 389 ALA E O   389 ALA E O   1 
ATOM 10176 C CB  . ALA B 2 388 ? 353.168 -114.338 221.782 1.0 100.81026 ? 389 ALA E CB  389 ALA E CB  1 
ATOM 10177 N N   . ALA B 2 389 ? 355.906 -112.293 221.821 1.0 97.1244   ? 390 ALA E N   390 ALA E N   1 
ATOM 10178 C CA  . ALA B 2 389 ? 356.520 -111.150 222.479 1.0 97.1244   ? 390 ALA E CA  390 ALA E CA  1 
ATOM 10179 C C   . ALA B 2 389 ? 355.469 -110.060 222.666 1.0 97.1244   ? 390 ALA E C   390 ALA E C   1 
ATOM 10180 O O   . ALA B 2 389 ? 354.270 -110.277 222.472 1.0 97.1244   ? 390 ALA E O   390 ALA E O   1 
ATOM 10181 C CB  . ALA B 2 389 ? 357.722 -110.662 221.678 1.0 97.1244   ? 390 ALA E CB  390 ALA E CB  1 
ATOM 10182 N N   . VAL B 2 390 ? 355.911 -108.868 223.046 1.0 95.66391  ? 391 VAL E N   391 VAL E N   1 
ATOM 10183 C CA  . VAL B 2 390 ? 355.040 -107.714 223.217 1.0 95.66391  ? 391 VAL E CA  391 VAL E CA  1 
ATOM 10184 C C   . VAL B 2 390 ? 355.348 -106.714 222.106 1.0 95.66391  ? 391 VAL E C   391 VAL E C   1 
ATOM 10185 O O   . VAL B 2 390 ? 356.501 -106.580 221.679 1.0 95.66391  ? 391 VAL E O   391 VAL E O   1 
ATOM 10186 C CB  . VAL B 2 390 ? 355.207 -107.117 224.635 1.0 95.66391  ? 391 VAL E CB  391 VAL E CB  1 
ATOM 10187 C CG1 . VAL B 2 390 ? 356.630 -106.629 224.892 1.0 95.66391  ? 391 VAL E CG1 391 VAL E CG1 1 
ATOM 10188 C CG2 . VAL B 2 390 ? 354.206 -106.020 224.901 1.0 95.66391  ? 391 VAL E CG2 391 VAL E CG2 1 
ATOM 10189 N N   . THR B 2 391 ? 354.308 -106.069 221.584 1.0 94.03521  ? 392 THR E N   392 THR E N   1 
ATOM 10190 C CA  . THR B 2 391 ? 354.489 -105.068 220.546 1.0 94.03521  ? 392 THR E CA  392 THR E CA  1 
ATOM 10191 C C   . THR B 2 391 ? 354.592 -103.673 221.159 1.0 94.03521  ? 392 THR E C   392 THR E C   1 
ATOM 10192 O O   . THR B 2 391 ? 354.197 -103.437 222.303 1.0 94.03521  ? 392 THR E O   392 THR E O   1 
ATOM 10193 C CB  . THR B 2 391 ? 353.356 -105.127 219.521 1.0 94.03521  ? 392 THR E CB  392 THR E CB  1 
ATOM 10194 O OG1 . THR B 2 391 ? 353.625 -104.208 218.455 1.0 94.03521  ? 392 THR E OG1 392 THR E OG1 1 
ATOM 10195 C CG2 . THR B 2 391 ? 352.038 -104.782 220.159 1.0 94.03521  ? 392 THR E CG2 392 THR E CG2 1 
ATOM 10196 N N   . ALA B 2 392 ? 355.134 -102.742 220.372 1.0 93.68527  ? 393 ALA E N   393 ALA E N   1 
ATOM 10197 C CA  . ALA B 2 392 ? 355.672 -101.504 220.938 1.0 93.68527  ? 393 ALA E CA  393 ALA E CA  1 
ATOM 10198 C C   . ALA B 2 392 ? 354.600 -100.450 221.204 1.0 93.68527  ? 393 ALA E C   393 ALA E C   1 
ATOM 10199 O O   . ALA B 2 392 ? 354.350 -100.081 222.355 1.0 93.68527  ? 393 ALA E O   393 ALA E O   1 
ATOM 10200 C CB  . ALA B 2 392 ? 356.753 -100.946 220.007 1.0 93.68527  ? 393 ALA E CB  393 ALA E CB  1 
ATOM 10201 N N   . ASN B 2 393 ? 353.957 -99.950  220.150 1.0 90.96047  ? 394 ASN E N   394 ASN E N   1 
ATOM 10202 C CA  . ASN B 2 393 ? 353.069 -98.794  220.268 1.0 90.96047  ? 394 ASN E CA  394 ASN E CA  1 
ATOM 10203 C C   . ASN B 2 393 ? 351.628 -99.285  220.327 1.0 90.96047  ? 394 ASN E C   394 ASN E C   1 
ATOM 10204 O O   . ASN B 2 393 ? 350.866 -99.189  219.365 1.0 90.96047  ? 394 ASN E O   394 ASN E O   1 
ATOM 10205 C CB  . ASN B 2 393 ? 353.292 -97.829  219.109 1.0 90.96047  ? 394 ASN E CB  394 ASN E CB  1 
ATOM 10206 C CG  . ASN B 2 393 ? 354.672 -97.208  219.124 1.0 90.96047  ? 394 ASN E CG  394 ASN E CG  1 
ATOM 10207 O OD1 . ASN B 2 393 ? 355.481 -97.442  218.226 1.0 90.96047  ? 394 ASN E OD1 394 ASN E OD1 1 
ATOM 10208 N ND2 . ASN B 2 393 ? 354.950 -96.407  220.146 1.0 90.96047  ? 394 ASN E ND2 394 ASN E ND2 1 
ATOM 10209 N N   . THR B 2 394 ? 351.252 -99.819  221.488 1.0 87.9205   ? 395 THR E N   395 THR E N   1 
ATOM 10210 C CA  . THR B 2 394 ? 349.940 -100.431 221.661 1.0 87.9205   ? 395 THR E CA  395 THR E CA  1 
ATOM 10211 C C   . THR B 2 394 ? 349.558 -100.372 223.132 1.0 87.9205   ? 395 THR E C   395 THR E C   1 
ATOM 10212 O O   . THR B 2 394 ? 350.389 -100.662 223.997 1.0 87.9205   ? 395 THR E O   395 THR E O   1 
ATOM 10213 C CB  . THR B 2 394 ? 349.947 -101.892 221.178 1.0 87.9205   ? 395 THR E CB  395 THR E CB  1 
ATOM 10214 O OG1 . THR B 2 394 ? 350.279 -101.958 219.787 1.0 87.9205   ? 395 THR E OG1 395 THR E OG1 1 
ATOM 10215 C CG2 . THR B 2 394 ? 348.604 -102.535 221.367 1.0 87.9205   ? 395 THR E CG2 395 THR E CG2 1 
ATOM 10216 N N   . VAL B 2 395 ? 348.318 -99.977  223.414 1.0 82.63338  ? 396 VAL E N   396 VAL E N   1 
ATOM 10217 C CA  . VAL B 2 395 ? 347.701 -100.189 224.718 1.0 82.63338  ? 396 VAL E CA  396 VAL E CA  1 
ATOM 10218 C C   . VAL B 2 395 ? 346.270 -100.660 224.475 1.0 82.63338  ? 396 VAL E C   396 VAL E C   1 
ATOM 10219 O O   . VAL B 2 395 ? 345.620 -100.238 223.513 1.0 82.63338  ? 396 VAL E O   396 VAL E O   1 
ATOM 10220 C CB  . VAL B 2 395 ? 347.789 -98.921  225.605 1.0 82.63338  ? 396 VAL E CB  396 VAL E CB  1 
ATOM 10221 C CG1 . VAL B 2 395 ? 347.022 -97.754  225.019 1.0 82.63338  ? 396 VAL E CG1 396 VAL E CG1 1 
ATOM 10222 C CG2 . VAL B 2 395 ? 347.344 -99.206  227.035 1.0 82.63338  ? 396 VAL E CG2 396 VAL E CG2 1 
ATOM 10223 N N   . ALA B 2 396 ? 345.803 -101.594 225.303 1.0 78.87293  ? 397 ALA E N   397 ALA E N   1 
ATOM 10224 C CA  . ALA B 2 396 ? 344.524 -102.259 225.083 1.0 78.87293  ? 397 ALA E CA  397 ALA E CA  1 
ATOM 10225 C C   . ALA B 2 396 ? 343.677 -102.169 226.341 1.0 78.87293  ? 397 ALA E C   397 ALA E C   1 
ATOM 10226 O O   . ALA B 2 396 ? 344.096 -102.627 227.407 1.0 78.87293  ? 397 ALA E O   397 ALA E O   1 
ATOM 10227 C CB  . ALA B 2 396 ? 344.730 -103.721 224.687 1.0 78.87293  ? 397 ALA E CB  397 ALA E CB  1 
ATOM 10228 N N   . LEU B 2 397 ? 342.483 -101.600 226.208 1.0 76.29416  ? 398 LEU E N   398 LEU E N   1 
ATOM 10229 C CA  . LEU B 2 397 ? 341.535 -101.459 227.310 1.0 76.29416  ? 398 LEU E CA  398 LEU E CA  1 
ATOM 10230 C C   . LEU B 2 397 ? 340.466 -102.531 227.131 1.0 76.29416  ? 398 LEU E C   398 LEU E C   1 
ATOM 10231 O O   . LEU B 2 397 ? 339.493 -102.331 226.402 1.0 76.29416  ? 398 LEU E O   398 LEU E O   1 
ATOM 10232 C CB  . LEU B 2 397 ? 340.938 -100.057 227.321 1.0 76.29416  ? 398 LEU E CB  398 LEU E CB  1 
ATOM 10233 C CG  . LEU B 2 397 ? 340.006 -99.700  228.473 1.0 76.29416  ? 398 LEU E CG  398 LEU E CG  1 
ATOM 10234 C CD1 . LEU B 2 397 ? 340.741 -99.811  229.786 1.0 76.29416  ? 398 LEU E CD1 398 LEU E CD1 1 
ATOM 10235 C CD2 . LEU B 2 397 ? 339.479 -98.292  228.294 1.0 76.29416  ? 398 LEU E CD2 398 LEU E CD2 1 
ATOM 10236 N N   . ILE B 2 398 ? 340.643 -103.668 227.802 1.0 75.4942   ? 399 ILE E N   399 ILE E N   1 
ATOM 10237 C CA  . ILE B 2 398 ? 339.898 -104.887 227.507 1.0 75.4942   ? 399 ILE E CA  399 ILE E CA  1 
ATOM 10238 C C   . ILE B 2 398 ? 339.058 -105.270 228.718 1.0 75.4942   ? 399 ILE E C   399 ILE E C   1 
ATOM 10239 O O   . ILE B 2 398 ? 339.552 -105.256 229.851 1.0 75.4942   ? 399 ILE E O   399 ILE E O   1 
ATOM 10240 C CB  . ILE B 2 398 ? 340.848 -106.035 227.122 1.0 75.4942   ? 399 ILE E CB  399 ILE E CB  1 
ATOM 10241 C CG1 . ILE B 2 398 ? 341.779 -105.594 225.995 1.0 75.4942   ? 399 ILE E CG1 399 ILE E CG1 1 
ATOM 10242 C CG2 . ILE B 2 398 ? 340.072 -107.251 226.679 1.0 75.4942   ? 399 ILE E CG2 399 ILE E CG2 1 
ATOM 10243 C CD1 . ILE B 2 398 ? 341.063 -105.168 224.746 1.0 75.4942   ? 399 ILE E CD1 399 ILE E CD1 1 
ATOM 10244 N N   . GLY B 2 399 ? 337.791 -105.606 228.476 1.0 73.98754  ? 400 GLY E N   400 GLY E N   1 
ATOM 10245 C CA  . GLY B 2 399 ? 336.920 -106.166 229.493 1.0 73.98754  ? 400 GLY E CA  400 GLY E CA  1 
ATOM 10246 C C   . GLY B 2 399 ? 336.568 -107.610 229.193 1.0 73.98754  ? 400 GLY E C   400 GLY E C   1 
ATOM 10247 O O   . GLY B 2 399 ? 336.586 -108.022 228.031 1.0 73.98754  ? 400 GLY E O   400 GLY E O   1 
ATOM 10248 N N   . TYR B 2 400 ? 336.234 -108.387 230.221 1.0 75.38025  ? 401 TYR E N   401 TYR E N   1 
ATOM 10249 C CA  . TYR B 2 400 ? 336.062 -109.826 230.101 1.0 75.38025  ? 401 TYR E CA  401 TYR E CA  1 
ATOM 10250 C C   . TYR B 2 400 ? 334.636 -110.235 230.440 1.0 75.38025  ? 401 TYR E C   401 TYR E C   1 
ATOM 10251 O O   . TYR B 2 400 ? 333.881 -109.486 231.063 1.0 75.38025  ? 401 TYR E O   401 TYR E O   1 
ATOM 10252 C CB  . TYR B 2 400 ? 337.036 -110.561 231.018 1.0 75.38025  ? 401 TYR E CB  401 TYR E CB  1 
ATOM 10253 C CG  . TYR B 2 400 ? 338.469 -110.512 230.553 1.0 75.38025  ? 401 TYR E CG  401 TYR E CG  1 
ATOM 10254 C CD1 . TYR B 2 400 ? 338.779 -110.346 229.214 1.0 75.38025  ? 401 TYR E CD1 401 TYR E CD1 1 
ATOM 10255 C CD2 . TYR B 2 400 ? 339.513 -110.580 231.462 1.0 75.38025  ? 401 TYR E CD2 401 TYR E CD2 1 
ATOM 10256 C CE1 . TYR B 2 400 ? 340.088 -110.293 228.786 1.0 75.38025  ? 401 TYR E CE1 401 TYR E CE1 1 
ATOM 10257 C CE2 . TYR B 2 400 ? 340.828 -110.516 231.043 1.0 75.38025  ? 401 TYR E CE2 401 TYR E CE2 1 
ATOM 10258 C CZ  . TYR B 2 400 ? 341.107 -110.371 229.704 1.0 75.38025  ? 401 TYR E CZ  401 TYR E CZ  1 
ATOM 10259 O OH  . TYR B 2 400 ? 342.410 -110.309 229.274 1.0 75.38025  ? 401 TYR E OH  401 TYR E OH  1 
ATOM 10260 N N   . GLY B 2 401 ? 334.282 -111.451 230.028 1.0 70.86726  ? 402 GLY E N   402 GLY E N   1 
ATOM 10261 C CA  . GLY B 2 401 ? 332.962 -111.979 230.310 1.0 70.86726  ? 402 GLY E CA  402 GLY E CA  1 
ATOM 10262 C C   . GLY B 2 401 ? 331.901 -111.303 229.462 1.0 70.86726  ? 402 GLY E C   402 GLY E C   1 
ATOM 10263 O O   . GLY B 2 401 ? 332.180 -110.663 228.448 1.0 70.86726  ? 402 GLY E O   402 GLY E O   1 
ATOM 10264 N N   . ASN B 2 402 ? 330.655 -111.456 229.894 1.0 68.15367  ? 403 ASN E N   403 ASN E N   1 
ATOM 10265 C CA  . ASN B 2 402 ? 329.577 -110.759 229.216 1.0 68.15367  ? 403 ASN E CA  403 ASN E CA  1 
ATOM 10266 C C   . ASN B 2 402 ? 329.486 -109.319 229.700 1.0 68.15367  ? 403 ASN E C   403 ASN E C   1 
ATOM 10267 O O   . ASN B 2 402 ? 330.200 -108.885 230.607 1.0 68.15367  ? 403 ASN E O   403 ASN E O   1 
ATOM 10268 C CB  . ASN B 2 402 ? 328.239 -111.451 229.445 1.0 68.15367  ? 403 ASN E CB  403 ASN E CB  1 
ATOM 10269 C CG  . ASN B 2 402 ? 328.094 -112.716 228.648 1.0 68.15367  ? 403 ASN E CG  403 ASN E CG  1 
ATOM 10270 O OD1 . ASN B 2 402 ? 328.532 -112.794 227.504 1.0 68.15367  ? 403 ASN E OD1 403 ASN E OD1 1 
ATOM 10271 N ND2 . ASN B 2 402 ? 327.436 -113.707 229.231 1.0 68.15367  ? 403 ASN E ND2 403 ASN E ND2 1 
ATOM 10272 N N   . ILE B 2 403 ? 328.594 -108.573 229.073 1.0 65.52071  ? 404 ILE E N   404 ILE E N   1 
ATOM 10273 C CA  . ILE B 2 403 ? 328.268 -107.242 229.584 1.0 65.52071  ? 404 ILE E CA  404 ILE E CA  1 
ATOM 10274 C C   . ILE B 2 403 ? 327.443 -107.405 230.854 1.0 65.52071  ? 404 ILE E C   404 ILE E C   1 
ATOM 10275 O O   . ILE B 2 403 ? 326.470 -108.178 230.853 1.0 65.52071  ? 404 ILE E O   404 ILE E O   1 
ATOM 10276 C CB  . ILE B 2 403 ? 327.501 -106.447 228.532 1.0 65.52071  ? 404 ILE E CB  404 ILE E CB  1 
ATOM 10277 C CG1 . ILE B 2 403 ? 328.335 -106.324 227.263 1.0 65.52071  ? 404 ILE E CG1 404 ILE E CG1 1 
ATOM 10278 C CG2 . ILE B 2 403 ? 327.151 -105.071 229.051 1.0 65.52071  ? 404 ILE E CG2 404 ILE E CG2 1 
ATOM 10279 C CD1 . ILE B 2 403 ? 327.556 -105.798 226.099 1.0 65.52071  ? 404 ILE E CD1 404 ILE E CD1 1 
ATOM 10280 N N   . PRO B 2 404 ? 327.802 -106.756 231.958 1.0 66.28083  ? 405 PRO E N   405 PRO E N   1 
ATOM 10281 C CA  . PRO B 2 404 ? 326.962 -106.838 233.155 1.0 66.28083  ? 405 PRO E CA  405 PRO E CA  1 
ATOM 10282 C C   . PRO B 2 404 ? 325.654 -106.094 232.948 1.0 66.28083  ? 405 PRO E C   405 PRO E C   1 
ATOM 10283 O O   . PRO B 2 404 ? 325.580 -105.125 232.190 1.0 66.28083  ? 405 PRO E O   405 PRO E O   1 
ATOM 10284 C CB  . PRO B 2 404 ? 327.819 -106.172 234.235 1.0 66.28083  ? 405 PRO E CB  405 PRO E CB  1 
ATOM 10285 C CG  . PRO B 2 404 ? 328.693 -105.245 233.486 1.0 66.28083  ? 405 PRO E CG  405 PRO E CG  1 
ATOM 10286 C CD  . PRO B 2 404 ? 328.992 -105.919 232.176 1.0 66.28083  ? 405 PRO E CD  405 PRO E CD  1 
ATOM 10287 N N   . ALA B 2 405 ? 324.607 -106.569 233.615 1.0 63.75604  ? 406 ALA E N   406 ALA E N   1 
ATOM 10288 C CA  . ALA B 2 405 ? 323.281 -106.032 233.360 1.0 63.75604  ? 406 ALA E CA  406 ALA E CA  1 
ATOM 10289 C C   . ALA B 2 405 ? 322.386 -106.268 234.563 1.0 63.75604  ? 406 ALA E C   406 ALA E C   1 
ATOM 10290 O O   . ALA B 2 405 ? 322.664 -107.117 235.411 1.0 63.75604  ? 406 ALA E O   406 ALA E O   1 
ATOM 10291 C CB  . ALA B 2 405 ? 322.653 -106.662 232.116 1.0 63.75604  ? 406 ALA E CB  406 ALA E CB  1 
ATOM 10292 N N   . VAL B 2 406 ? 321.305 -105.493 234.621 1.0 61.80843  ? 407 VAL E N   407 VAL E N   1 
ATOM 10293 C CA  . VAL B 2 406 ? 320.243 -105.683 235.596 1.0 61.80843  ? 407 VAL E CA  407 VAL E CA  1 
ATOM 10294 C C   . VAL B 2 406 ? 318.916 -105.766 234.855 1.0 61.80843  ? 407 VAL E C   407 VAL E C   1 
ATOM 10295 O O   . VAL B 2 406 ? 318.738 -105.166 233.792 1.0 61.80843  ? 407 VAL E O   407 VAL E O   1 
ATOM 10296 C CB  . VAL B 2 406 ? 320.219 -104.564 236.662 1.0 61.80843  ? 407 VAL E CB  407 VAL E CB  1 
ATOM 10297 C CG1 . VAL B 2 406 ? 321.462 -104.626 237.526 1.0 61.80843  ? 407 VAL E CG1 407 VAL E CG1 1 
ATOM 10298 C CG2 . VAL B 2 406 ? 320.137 -103.212 236.011 1.0 61.80843  ? 407 VAL E CG2 407 VAL E CG2 1 
ATOM 10299 N N   . GLU B 2 407 ? 317.989 -106.537 235.414 1.0 63.05438  ? 408 GLU E N   408 GLU E N   1 
ATOM 10300 C CA  . GLU B 2 407 ? 316.681 -106.785 234.828 1.0 63.05438  ? 408 GLU E CA  408 GLU E CA  1 
ATOM 10301 C C   . GLU B 2 407 ? 315.638 -105.972 235.582 1.0 63.05438  ? 408 GLU E C   408 GLU E C   1 
ATOM 10302 O O   . GLU B 2 407 ? 315.737 -105.789 236.796 1.0 63.05438  ? 408 GLU E O   408 GLU E O   1 
ATOM 10303 C CB  . GLU B 2 407 ? 316.347 -108.280 234.886 1.0 63.05438  ? 408 GLU E CB  408 GLU E CB  1 
ATOM 10304 C CG  . GLU B 2 407 ? 315.180 -108.756 234.027 1.0 63.05438  ? 408 GLU E CG  408 GLU E CG  1 
ATOM 10305 C CD  . GLU B 2 407 ? 313.838 -108.614 234.716 1.0 63.05438  ? 408 GLU E CD  408 GLU E CD  1 
ATOM 10306 O OE1 . GLU B 2 407 ? 313.817 -108.569 235.963 1.0 63.05438  ? 408 GLU E OE1 408 GLU E OE1 1 
ATOM 10307 O OE2 . GLU B 2 407 ? 312.804 -108.562 234.015 1.0 63.05438  ? 408 GLU E OE2 408 GLU E OE2 1 
ATOM 10308 N N   . MET B 2 408 ? 314.627 -105.493 234.863 1.0 60.24389  ? 409 MET E N   409 MET E N   1 
ATOM 10309 C CA  . MET B 2 408 ? 313.672 -104.550 235.433 1.0 60.24389  ? 409 MET E CA  409 MET E CA  1 
ATOM 10310 C C   . MET B 2 408 ? 312.272 -105.113 235.631 1.0 60.24389  ? 409 MET E C   409 MET E C   1 
ATOM 10311 O O   . MET B 2 408 ? 311.665 -104.847 236.673 1.0 60.24389  ? 409 MET E O   409 MET E O   1 
ATOM 10312 C CB  . MET B 2 408 ? 313.590 -103.297 234.555 1.0 60.24389  ? 409 MET E CB  409 MET E CB  1 
ATOM 10313 C CG  . MET B 2 408 ? 312.745 -102.186 235.149 1.0 60.24389  ? 409 MET E CG  409 MET E CG  1 
ATOM 10314 S SD  . MET B 2 408 ? 312.745 -100.672 234.187 1.0 60.24389  ? 409 MET E SD  409 MET E SD  1 
ATOM 10315 C CE  . MET B 2 408 ? 311.592 -99.702  235.146 1.0 60.24389  ? 409 MET E CE  409 MET E CE  1 
ATOM 10316 N N   . ASN B 2 409 ? 311.768 -105.906 234.679 1.0 57.54239  ? 410 ASN E N   410 ASN E N   1 
ATOM 10317 C CA  . ASN B 2 409 ? 310.346 -106.256 234.536 1.0 57.54239  ? 410 ASN E CA  410 ASN E CA  1 
ATOM 10318 C C   . ASN B 2 409 ? 309.493 -104.984 234.484 1.0 57.54239  ? 410 ASN E C   410 ASN E C   1 
ATOM 10319 O O   . ASN B 2 409 ? 308.731 -104.660 235.393 1.0 57.54239  ? 410 ASN E O   410 ASN E O   1 
ATOM 10320 C CB  . ASN B 2 409 ? 309.858 -107.221 235.626 1.0 57.54239  ? 410 ASN E CB  410 ASN E CB  1 
ATOM 10321 C CG  . ASN B 2 409 ? 308.486 -107.820 235.318 1.0 57.54239  ? 410 ASN E CG  410 ASN E CG  1 
ATOM 10322 O OD1 . ASN B 2 409 ? 307.881 -107.548 234.283 1.0 57.54239  ? 410 ASN E OD1 410 ASN E OD1 1 
ATOM 10323 N ND2 . ASN B 2 409 ? 307.994 -108.644 236.227 1.0 57.54239  ? 410 ASN E ND2 410 ASN E ND2 1 
ATOM 10324 N N   . LEU B 2 410 ? 309.684 -104.271 233.377 1.0 55.65363  ? 411 LEU E N   411 LEU E N   1 
ATOM 10325 C CA  . LEU B 2 410 ? 309.032 -102.980 233.162 1.0 55.65363  ? 411 LEU E CA  411 LEU E CA  1 
ATOM 10326 C C   . LEU B 2 410 ? 307.497 -102.983 233.170 1.0 55.65363  ? 411 LEU E C   411 LEU E C   1 
ATOM 10327 O O   . LEU B 2 410 ? 306.935 -102.058 233.781 1.0 55.65363  ? 411 LEU E O   411 LEU E O   1 
ATOM 10328 C CB  . LEU B 2 410 ? 309.583 -102.378 231.861 1.0 55.65363  ? 411 LEU E CB  411 LEU E CB  1 
ATOM 10329 C CG  . LEU B 2 410 ? 309.313 -100.948 231.417 1.0 55.65363  ? 411 LEU E CG  411 LEU E CG  1 
ATOM 10330 C CD1 . LEU B 2 410 ? 310.526 -100.506 230.654 1.0 55.65363  ? 411 LEU E CD1 411 LEU E CD1 1 
ATOM 10331 C CD2 . LEU B 2 410 ? 308.094 -100.860 230.520 1.0 55.65363  ? 411 LEU E CD2 411 LEU E CD2 1 
ATOM 10332 N N   . PRO B 2 411 ? 306.759 -103.909 232.520 1.0 53.67167  ? 412 PRO E N   412 PRO E N   1 
ATOM 10333 C CA  . PRO B 2 411 ? 305.289 -103.793 232.568 1.0 53.67167  ? 412 PRO E CA  412 PRO E CA  1 
ATOM 10334 C C   . PRO B 2 411 ? 304.691 -104.099 233.925 1.0 53.67167  ? 412 PRO E C   412 PRO E C   1 
ATOM 10335 O O   . PRO B 2 411 ? 303.535 -103.736 234.168 1.0 53.67167  ? 412 PRO E O   412 PRO E O   1 
ATOM 10336 C CB  . PRO B 2 411 ? 304.813 -104.809 231.523 1.0 53.67167  ? 412 PRO E CB  412 PRO E CB  1 
ATOM 10337 C CG  . PRO B 2 411 ? 305.964 -105.044 230.663 1.0 53.67167  ? 412 PRO E CG  412 PRO E CG  1 
ATOM 10338 C CD  . PRO B 2 411 ? 307.132 -104.980 231.574 1.0 53.67167  ? 412 PRO E CD  412 PRO E CD  1 
ATOM 10339 N N   . ALA B 2 412 ? 305.430 -104.757 234.814 1.0 54.28548  ? 413 ALA E N   413 ALA E N   1 
ATOM 10340 C CA  . ALA B 2 412 ? 304.954 -104.921 236.180 1.0 54.28548  ? 413 ALA E CA  413 ALA E CA  1 
ATOM 10341 C C   . ALA B 2 412 ? 305.103 -103.626 236.963 1.0 54.28548  ? 413 ALA E C   413 ALA E C   1 
ATOM 10342 O O   . ALA B 2 412 ? 304.196 -103.238 237.705 1.0 54.28548  ? 413 ALA E O   413 ALA E O   1 
ATOM 10343 C CB  . ALA B 2 412 ? 305.709 -106.056 236.865 1.0 54.28548  ? 413 ALA E CB  413 ALA E CB  1 
ATOM 10344 N N   . ASN B 2 413 ? 306.238 -102.944 236.807 1.0 54.87997  ? 414 ASN E N   414 ASN E N   1 
ATOM 10345 C CA  . ASN B 2 413 ? 306.444 -101.660 237.464 1.0 54.87997  ? 414 ASN E CA  414 ASN E CA  1 
ATOM 10346 C C   . ASN B 2 413 ? 305.579 -100.564 236.866 1.0 54.87997  ? 414 ASN E C   414 ASN E C   1 
ATOM 10347 O O   . ASN B 2 413 ? 305.290 -99.577  237.548 1.0 54.87997  ? 414 ASN E O   414 ASN E O   1 
ATOM 10348 C CB  . ASN B 2 413 ? 307.911 -101.255 237.373 1.0 54.87997  ? 414 ASN E CB  414 ASN E CB  1 
ATOM 10349 C CG  . ASN B 2 413 ? 308.800 -102.103 238.243 1.0 54.87997  ? 414 ASN E CG  414 ASN E CG  1 
ATOM 10350 O OD1 . ASN B 2 413 ? 308.468 -102.392 239.388 1.0 54.87997  ? 414 ASN E OD1 414 ASN E OD1 1 
ATOM 10351 N ND2 . ASN B 2 413 ? 309.937 -102.514 237.703 1.0 54.87997  ? 414 ASN E ND2 414 ASN E ND2 1 
ATOM 10352 N N   . LEU B 2 414 ? 305.168 -100.713 235.609 1.0 55.04137  ? 415 LEU E N   415 LEU E N   1 
ATOM 10353 C CA  . LEU B 2 414 ? 304.335 -99.702  234.974 1.0 55.04137  ? 415 LEU E CA  415 LEU E CA  1 
ATOM 10354 C C   . LEU B 2 414 ? 302.903 -99.762  235.485 1.0 55.04137  ? 415 LEU E C   415 LEU E C   1 
ATOM 10355 O O   . LEU B 2 414 ? 302.238 -98.727  235.585 1.0 55.04137  ? 415 LEU E O   415 LEU E O   1 
ATOM 10356 C CB  . LEU B 2 414 ? 304.380 -99.889  233.460 1.0 55.04137  ? 415 LEU E CB  415 LEU E CB  1 
ATOM 10357 C CG  . LEU B 2 414 ? 303.699 -98.854  232.574 1.0 55.04137  ? 415 LEU E CG  415 LEU E CG  1 
ATOM 10358 C CD1 . LEU B 2 414 ? 304.381 -97.509  232.730 1.0 55.04137  ? 415 LEU E CD1 415 LEU E CD1 1 
ATOM 10359 C CD2 . LEU B 2 414 ? 303.722 -99.311  231.125 1.0 55.04137  ? 415 LEU E CD2 415 LEU E CD2 1 
ATOM 10360 N N   . LYS B 2 415 ? 302.417 -100.956 235.819 1.0 54.66321  ? 416 LYS E N   416 LYS E N   1 
ATOM 10361 C CA  . LYS B 2 415 ? 301.075 -101.083 236.372 1.0 54.66321  ? 416 LYS E CA  416 LYS E CA  1 
ATOM 10362 C C   . LYS B 2 415 ? 301.061 -100.804 237.868 1.0 54.66321  ? 416 LYS E C   416 LYS E C   1 
ATOM 10363 O O   . LYS B 2 415 ? 300.096 -100.234 238.389 1.0 54.66321  ? 416 LYS E O   416 LYS E O   1 
ATOM 10364 C CB  . LYS B 2 415 ? 300.525 -102.478 236.096 1.0 54.66321  ? 416 LYS E CB  416 LYS E CB  1 
ATOM 10365 C CG  . LYS B 2 415 ? 299.096 -102.641 236.523 1.0 54.66321  ? 416 LYS E CG  416 LYS E CG  1 
ATOM 10366 C CD  . LYS B 2 415 ? 298.584 -104.010 236.244 1.0 54.66321  ? 416 LYS E CD  416 LYS E CD  1 
ATOM 10367 C CE  . LYS B 2 415 ? 297.144 -104.114 236.667 1.0 54.66321  ? 416 LYS E CE  416 LYS E CE  1 
ATOM 10368 N NZ  . LYS B 2 415 ? 296.635 -105.464 236.381 1.0 54.66321  ? 416 LYS E NZ  416 LYS E NZ  1 
ATOM 10369 N N   . ARG B 2 416 ? 302.134 -101.193 238.563 1.0 54.9216   ? 417 ARG E N   417 ARG E N   1 
ATOM 10370 C CA  . ARG B 2 416 ? 302.233 -101.004 240.007 1.0 54.9216   ? 417 ARG E CA  417 ARG E CA  1 
ATOM 10371 C C   . ARG B 2 416 ? 302.228 -99.527  240.385 1.0 54.9216   ? 417 ARG E C   417 ARG E C   1 
ATOM 10372 O O   . ARG B 2 416 ? 301.734 -99.160  241.456 1.0 54.9216   ? 417 ARG E O   417 ARG E O   1 
ATOM 10373 C CB  . ARG B 2 416 ? 303.501 -101.693 240.507 1.0 54.9216   ? 417 ARG E CB  417 ARG E CB  1 
ATOM 10374 C CG  . ARG B 2 416 ? 303.711 -101.702 241.995 1.0 54.9216   ? 417 ARG E CG  417 ARG E CG  1 
ATOM 10375 C CD  . ARG B 2 416 ? 304.973 -102.467 242.338 1.0 54.9216   ? 417 ARG E CD  417 ARG E CD  1 
ATOM 10376 N NE  . ARG B 2 416 ? 305.290 -102.379 243.756 1.0 54.9216   ? 417 ARG E NE  417 ARG E NE  1 
ATOM 10377 C CZ  . ARG B 2 416 ? 304.786 -103.185 244.681 1.0 54.9216   ? 417 ARG E CZ  417 ARG E CZ  1 
ATOM 10378 N NH1 . ARG B 2 416 ? 303.935 -104.143 244.340 1.0 54.9216   ? 417 ARG E NH1 417 ARG E NH1 1 
ATOM 10379 N NH2 . ARG B 2 416 ? 305.131 -103.031 245.949 1.0 54.9216   ? 417 ARG E NH2 417 ARG E NH2 1 
ATOM 10380 N N   . THR B 2 417 ? 302.743 -98.667  239.507 1.0 54.49647  ? 418 THR E N   418 THR E N   1 
ATOM 10381 C CA  . THR B 2 417 ? 302.629 -97.231  239.724 1.0 54.49647  ? 418 THR E CA  418 THR E CA  1 
ATOM 10382 C C   . THR B 2 417 ? 301.211 -96.749  239.437 1.0 54.49647  ? 418 THR E C   418 THR E C   1 
ATOM 10383 O O   . THR B 2 417 ? 300.703 -95.852  240.120 1.0 54.49647  ? 418 THR E O   418 THR E O   1 
ATOM 10384 C CB  . THR B 2 417 ? 303.647 -96.503  238.848 1.0 54.49647  ? 418 THR E CB  418 THR E CB  1 
ATOM 10385 O OG1 . THR B 2 417 ? 304.952 -97.029  239.113 1.0 54.49647  ? 418 THR E OG1 418 THR E OG1 1 
ATOM 10386 C CG2 . THR B 2 417 ? 303.667 -95.024  239.151 1.0 54.49647  ? 418 THR E CG2 418 THR E CG2 1 
ATOM 10387 N N   . PHE B 2 418 ? 300.549 -97.358  238.450 1.0 52.22659  ? 419 PHE E N   419 PHE E N   1 
ATOM 10388 C CA  . PHE B 2 418 ? 299.196 -96.951  238.082 1.0 52.22659  ? 419 PHE E CA  419 PHE E CA  1 
ATOM 10389 C C   . PHE B 2 418 ? 298.193 -97.277  239.178 1.0 52.22659  ? 419 PHE E C   419 PHE E C   1 
ATOM 10390 O O   . PHE B 2 418 ? 297.283 -96.488  239.446 1.0 52.22659  ? 419 PHE E O   419 PHE E O   1 
ATOM 10391 C CB  . PHE B 2 418 ? 298.784 -97.629  236.777 1.0 52.22659  ? 419 PHE E CB  419 PHE E CB  1 
ATOM 10392 C CG  . PHE B 2 418 ? 297.400 -97.277  236.322 1.0 52.22659  ? 419 PHE E CG  419 PHE E CG  1 
ATOM 10393 C CD1 . PHE B 2 418 ? 297.144 -96.051  235.736 1.0 52.22659  ? 419 PHE E CD1 419 PHE E CD1 1 
ATOM 10394 C CD2 . PHE B 2 418 ? 296.356 -98.177  236.470 1.0 52.22659  ? 419 PHE E CD2 419 PHE E CD2 1 
ATOM 10395 C CE1 . PHE B 2 418 ? 295.873 -95.723  235.313 1.0 52.22659  ? 419 PHE E CE1 419 PHE E CE1 1 
ATOM 10396 C CE2 . PHE B 2 418 ? 295.082 -97.855  236.050 1.0 52.22659  ? 419 PHE E CE2 419 PHE E CE2 1 
ATOM 10397 C CZ  . PHE B 2 418 ? 294.841 -96.627  235.470 1.0 52.22659  ? 419 PHE E CZ  419 PHE E CZ  1 
ATOM 10398 N N   . LEU B 2 419 ? 298.337 -98.432  239.819 1.0 53.49867  ? 420 LEU E N   420 LEU E N   1 
ATOM 10399 C CA  . LEU B 2 419 ? 297.410 -98.815  240.872 1.0 53.49867  ? 420 LEU E CA  420 LEU E CA  1 
ATOM 10400 C C   . LEU B 2 419 ? 297.686 -98.111  242.188 1.0 53.49867  ? 420 LEU E C   420 LEU E C   1 
ATOM 10401 O O   . LEU B 2 419 ? 296.830 -98.138  243.075 1.0 53.49867  ? 420 LEU E O   420 LEU E O   1 
ATOM 10402 C CB  . LEU B 2 419 ? 297.449 -100.325 241.084 1.0 53.49867  ? 420 LEU E CB  420 LEU E CB  1 
ATOM 10403 C CG  . LEU B 2 419 ? 296.919 -101.121 239.899 1.0 53.49867  ? 420 LEU E CG  420 LEU E CG  1 
ATOM 10404 C CD1 . LEU B 2 419 ? 297.116 -102.590 240.131 1.0 53.49867  ? 420 LEU E CD1 420 LEU E CD1 1 
ATOM 10405 C CD2 . LEU B 2 419 ? 295.458 -100.812 239.678 1.0 53.49867  ? 420 LEU E CD2 420 LEU E CD2 1 
ATOM 10406 N N   . TYR B 2 420 ? 298.851 -97.488  242.341 1.0 53.16101  ? 421 TYR E N   421 TYR E N   1 
ATOM 10407 C CA  . TYR B 2 420 ? 299.124 -96.759  243.571 1.0 53.16101  ? 421 TYR E CA  421 TYR E CA  1 
ATOM 10408 C C   . TYR B 2 420 ? 298.534 -95.358  243.519 1.0 53.16101  ? 421 TYR E C   421 TYR E C   1 
ATOM 10409 O O   . TYR B 2 420 ? 297.755 -94.970  244.393 1.0 53.16101  ? 421 TYR E O   421 TYR E O   1 
ATOM 10410 C CB  . TYR B 2 420 ? 300.627 -96.694  243.830 1.0 53.16101  ? 421 TYR E CB  421 TYR E CB  1 
ATOM 10411 C CG  . TYR B 2 420 ? 300.974 -96.002  245.123 1.0 53.16101  ? 421 TYR E CG  421 TYR E CG  1 
ATOM 10412 C CD1 . TYR B 2 420 ? 300.803 -96.642  246.339 1.0 53.16101  ? 421 TYR E CD1 421 TYR E CD1 1 
ATOM 10413 C CD2 . TYR B 2 420 ? 301.468 -94.707  245.129 1.0 53.16101  ? 421 TYR E CD2 421 TYR E CD2 1 
ATOM 10414 C CE1 . TYR B 2 420 ? 301.119 -96.014  247.523 1.0 53.16101  ? 421 TYR E CE1 421 TYR E CE1 1 
ATOM 10415 C CE2 . TYR B 2 420 ? 301.787 -94.071  246.306 1.0 53.16101  ? 421 TYR E CE2 421 TYR E CE2 1 
ATOM 10416 C CZ  . TYR B 2 420 ? 301.611 -94.729  247.499 1.0 53.16101  ? 421 TYR E CZ  421 TYR E CZ  1 
ATOM 10417 O OH  . TYR B 2 420 ? 301.929 -94.095  248.674 1.0 53.16101  ? 421 TYR E OH  421 TYR E OH  1 
ATOM 10418 N N   . SER B 2 421 ? 298.890 -94.589  242.492 1.0 52.68088  ? 422 SER E N   422 SER E N   1 
ATOM 10419 C CA  . SER B 2 421 ? 298.527 -93.180  242.446 1.0 52.68088  ? 422 SER E CA  422 SER E CA  1 
ATOM 10420 C C   . SER B 2 421 ? 297.064 -92.947  242.111 1.0 52.68088  ? 422 SER E C   422 SER E C   1 
ATOM 10421 O O   . SER B 2 421 ? 296.561 -91.845  242.349 1.0 52.68088  ? 422 SER E O   422 SER E O   1 
ATOM 10422 C CB  . SER B 2 421 ? 299.393 -92.448  241.425 1.0 52.68088  ? 422 SER E CB  422 SER E CB  1 
ATOM 10423 O OG  . SER B 2 421 ? 299.111 -92.898  240.115 1.0 52.68088  ? 422 SER E OG  422 SER E OG  1 
ATOM 10424 N N   . ASN B 2 422 ? 296.371 -93.945  241.572 1.0 50.46525  ? 423 ASN E N   423 ASN E N   1 
ATOM 10425 C CA  . ASN B 2 422 ? 294.988 -93.774  241.160 1.0 50.46525  ? 423 ASN E CA  423 ASN E CA  1 
ATOM 10426 C C   . ASN B 2 422 ? 293.989 -94.499  242.039 1.0 50.46525  ? 423 ASN E C   423 ASN E C   1 
ATOM 10427 O O   . ASN B 2 422 ? 292.856 -94.038  242.165 1.0 50.46525  ? 423 ASN E O   423 ASN E O   1 
ATOM 10428 C CB  . ASN B 2 422 ? 294.804 -94.245  239.717 1.0 50.46525  ? 423 ASN E CB  423 ASN E CB  1 
ATOM 10429 C CG  . ASN B 2 422 ? 295.622 -93.440  238.751 1.0 50.46525  ? 423 ASN E CG  423 ASN E CG  1 
ATOM 10430 O OD1 . ASN B 2 422 ? 296.521 -93.957  238.097 1.0 50.46525  ? 423 ASN E OD1 423 ASN E OD1 1 
ATOM 10431 N ND2 . ASN B 2 422 ? 295.334 -92.154  238.674 1.0 50.46525  ? 423 ASN E ND2 423 ASN E ND2 1 
ATOM 10432 N N   . VAL B 2 423 ? 294.372 -95.615  242.654 1.0 51.39765  ? 424 VAL E N   424 VAL E N   1 
ATOM 10433 C CA  . VAL B 2 423 ? 293.468 -96.397  243.479 1.0 51.39765  ? 424 VAL E CA  424 VAL E CA  1 
ATOM 10434 C C   . VAL B 2 423 ? 293.892 -96.399  244.941 1.0 51.39765  ? 424 VAL E C   424 VAL E C   1 
ATOM 10435 O O   . VAL B 2 423 ? 293.057 -96.214  245.832 1.0 51.39765  ? 424 VAL E O   424 VAL E O   1 
ATOM 10436 C CB  . VAL B 2 423 ? 293.344 -97.840  242.944 1.0 51.39765  ? 424 VAL E CB  424 VAL E CB  1 
ATOM 10437 C CG1 . VAL B 2 423 ? 292.411 -98.666  243.807 1.0 51.39765  ? 424 VAL E CG1 424 VAL E CG1 1 
ATOM 10438 C CG2 . VAL B 2 423 ? 292.856 -97.828  241.511 1.0 51.39765  ? 424 VAL E CG2 424 VAL E CG2 1 
ATOM 10439 N N   . ALA B 2 424 ? 295.188 -96.566  245.213 1.0 51.91582  ? 425 ALA E N   425 ALA E N   1 
ATOM 10440 C CA  . ALA B 2 424 ? 295.634 -96.695  246.595 1.0 51.91582  ? 425 ALA E CA  425 ALA E CA  1 
ATOM 10441 C C   . ALA B 2 424 ? 295.632 -95.363  247.327 1.0 51.91582  ? 425 ALA E C   425 ALA E C   1 
ATOM 10442 O O   . ALA B 2 424 ? 295.367 -95.324  248.531 1.0 51.91582  ? 425 ALA E O   425 ALA E O   1 
ATOM 10443 C CB  . ALA B 2 424 ? 297.027 -97.311  246.647 1.0 51.91582  ? 425 ALA E CB  425 ALA E CB  1 
ATOM 10444 N N   . MET B 2 425 ? 295.915 -94.267  246.633 1.0 52.87414  ? 426 MET E N   426 MET E N   1 
ATOM 10445 C CA  . MET B 2 425 ? 295.962 -92.964  247.280 1.0 52.87414  ? 426 MET E CA  426 MET E CA  1 
ATOM 10446 C C   . MET B 2 425 ? 294.583 -92.385  247.563 1.0 52.87414  ? 426 MET E C   426 MET E C   1 
ATOM 10447 O O   . MET B 2 425 ? 294.487 -91.380  248.274 1.0 52.87414  ? 426 MET E O   426 MET E O   1 
ATOM 10448 C CB  . MET B 2 425 ? 296.756 -91.981  246.421 1.0 52.87414  ? 426 MET E CB  426 MET E CB  1 
ATOM 10449 C CG  . MET B 2 425 ? 298.227 -92.301  246.304 1.0 52.87414  ? 426 MET E CG  426 MET E CG  1 
ATOM 10450 S SD  . MET B 2 425 ? 299.079 -92.278  247.887 1.0 52.87414  ? 426 MET E SD  426 MET E SD  1 
ATOM 10451 C CE  . MET B 2 425 ? 299.074 -90.530  248.252 1.0 52.87414  ? 426 MET E CE  426 MET E CE  1 
ATOM 10452 N N   . TYR B 2 426 ? 293.519 -92.985  247.037 1.0 50.01579  ? 427 TYR E N   427 TYR E N   1 
ATOM 10453 C CA  . TYR B 2 426 ? 292.170 -92.464  247.197 1.0 50.01579  ? 427 TYR E CA  427 TYR E CA  1 
ATOM 10454 C C   . TYR B 2 426 ? 291.306 -93.360  248.075 1.0 50.01579  ? 427 TYR E C   427 TYR E C   1 
ATOM 10455 O O   . TYR B 2 426 ? 290.097 -93.454  247.872 1.0 50.01579  ? 427 TYR E O   427 TYR E O   1 
ATOM 10456 C CB  . TYR B 2 426 ? 291.518 -92.259  245.833 1.0 50.01579  ? 427 TYR E CB  427 TYR E CB  1 
ATOM 10457 C CG  . TYR B 2 426 ? 292.144 -91.133  245.053 1.0 50.01579  ? 427 TYR E CG  427 TYR E CG  1 
ATOM 10458 C CD1 . TYR B 2 426 ? 291.741 -89.822  245.250 1.0 50.01579  ? 427 TYR E CD1 427 TYR E CD1 1 
ATOM 10459 C CD2 . TYR B 2 426 ? 293.162 -91.377  244.147 1.0 50.01579  ? 427 TYR E CD2 427 TYR E CD2 1 
ATOM 10460 C CE1 . TYR B 2 426 ? 292.320 -88.789  244.549 1.0 50.01579  ? 427 TYR E CE1 427 TYR E CE1 1 
ATOM 10461 C CE2 . TYR B 2 426 ? 293.748 -90.351  243.443 1.0 50.01579  ? 427 TYR E CE2 427 TYR E CE2 1 
ATOM 10462 C CZ  . TYR B 2 426 ? 293.324 -89.060  243.649 1.0 50.01579  ? 427 TYR E CZ  427 TYR E CZ  1 
ATOM 10463 O OH  . TYR B 2 426 ? 293.905 -88.031  242.951 1.0 50.01579  ? 427 TYR E OH  427 TYR E OH  1 
ATOM 10464 N N   . LEU B 2 427 ? 291.913 -94.011  249.059 1.0 53.45593  ? 428 LEU E N   428 LEU E N   1 
ATOM 10465 C CA  . LEU B 2 427 ? 291.181 -94.823  250.008 1.0 53.45593  ? 428 LEU E CA  428 LEU E CA  1 
ATOM 10466 C C   . LEU B 2 427 ? 290.415 -93.938  250.982 1.0 53.45593  ? 428 LEU E C   428 LEU E C   1 
ATOM 10467 O O   . LEU B 2 427 ? 290.672 -92.737  251.081 1.0 53.45593  ? 428 LEU E O   428 LEU E O   1 
ATOM 10468 C CB  . LEU B 2 427 ? 292.145 -95.715  250.781 1.0 53.45593  ? 428 LEU E CB  428 LEU E CB  1 
ATOM 10469 C CG  . LEU B 2 427 ? 292.859 -96.835  250.058 1.0 53.45593  ? 428 LEU E CG  428 LEU E CG  1 
ATOM 10470 C CD1 . LEU B 2 427 ? 293.794 -97.443  251.058 1.0 53.45593  ? 428 LEU E CD1 428 LEU E CD1 1 
ATOM 10471 C CD2 . LEU B 2 427 ? 291.871 -97.847  249.546 1.0 53.45593  ? 428 LEU E CD2 428 LEU E CD2 1 
ATOM 10472 N N   . PRO B 2 428 ? 289.466 -94.501  251.728 1.0 53.89347  ? 429 PRO E N   429 PRO E N   1 
ATOM 10473 C CA  . PRO B 2 428 ? 288.992 -93.818  252.931 1.0 53.89347  ? 429 PRO E CA  429 PRO E CA  1 
ATOM 10474 C C   . PRO B 2 428 ? 290.076 -93.760  253.994 1.0 53.89347  ? 429 PRO E C   429 PRO E C   1 
ATOM 10475 O O   . PRO B 2 428 ? 291.089 -94.458  253.933 1.0 53.89347  ? 429 PRO E O   429 PRO E O   1 
ATOM 10476 C CB  . PRO B 2 428 ? 287.806 -94.674  253.385 1.0 53.89347  ? 429 PRO E CB  429 PRO E CB  1 
ATOM 10477 C CG  . PRO B 2 428 ? 288.016 -95.990  252.743 1.0 53.89347  ? 429 PRO E CG  429 PRO E CG  1 
ATOM 10478 C CD  . PRO B 2 428 ? 288.641 -95.684  251.427 1.0 53.89347  ? 429 PRO E CD  429 PRO E CD  1 
ATOM 10479 N N   . ASP B 2 429 ? 289.840 -92.908  254.992 1.0 58.78893  ? 430 ASP E N   430 ASP E N   1 
ATOM 10480 C CA  . ASP B 2 429 ? 290.842 -92.647  256.019 1.0 58.78893  ? 430 ASP E CA  430 ASP E CA  1 
ATOM 10481 C C   . ASP B 2 429 ? 291.058 -93.838  256.947 1.0 58.78893  ? 430 ASP E C   430 ASP E C   1 
ATOM 10482 O O   . ASP B 2 429 ? 292.111 -93.927  257.588 1.0 58.78893  ? 430 ASP E O   430 ASP E O   1 
ATOM 10483 C CB  . ASP B 2 429 ? 290.433 -91.409  256.821 1.0 58.78893  ? 430 ASP E CB  430 ASP E CB  1 
ATOM 10484 C CG  . ASP B 2 429 ? 291.518 -90.933  257.761 1.0 58.78893  ? 430 ASP E CG  430 ASP E CG  1 
ATOM 10485 O OD1 . ASP B 2 429 ? 292.515 -90.365  257.275 1.0 58.78893  ? 430 ASP E OD1 430 ASP E OD1 1 
ATOM 10486 O OD2 . ASP B 2 429 ? 291.374 -91.130  258.985 1.0 58.78893  ? 430 ASP E OD2 430 ASP E OD2 1 
ATOM 10487 N N   . THR B 2 430 ? 290.110 -94.772  257.008 1.0 60.07825  ? 431 THR E N   431 THR E N   1 
ATOM 10488 C CA  . THR B 2 430 ? 290.242 -95.923  257.891 1.0 60.07825  ? 431 THR E CA  431 THR E CA  1 
ATOM 10489 C C   . THR B 2 430 ? 291.267 -96.938  257.404 1.0 60.07825  ? 431 THR E C   431 THR E C   1 
ATOM 10490 O O   . THR B 2 430 ? 291.660 -97.811  258.184 1.0 60.07825  ? 431 THR E O   431 THR E O   1 
ATOM 10491 C CB  . THR B 2 430 ? 288.893 -96.613  258.055 1.0 60.07825  ? 431 THR E CB  431 THR E CB  1 
ATOM 10492 O OG1 . THR B 2 430 ? 288.470 -97.133  256.790 1.0 60.07825  ? 431 THR E OG1 431 THR E OG1 1 
ATOM 10493 C CG2 . THR B 2 430 ? 287.860 -95.622  258.550 1.0 60.07825  ? 431 THR E CG2 431 THR E CG2 1 
ATOM 10494 N N   . TYR B 2 431 ? 291.702 -96.855  256.148 1.0 58.89352  ? 432 TYR E N   432 TYR E N   1 
ATOM 10495 C CA  . TYR B 2 431 ? 292.679 -97.786  255.600 1.0 58.89352  ? 432 TYR E CA  432 TYR E CA  1 
ATOM 10496 C C   . TYR B 2 431 ? 294.036 -97.142  255.371 1.0 58.89352  ? 432 TYR E C   432 TYR E C   1 
ATOM 10497 O O   . TYR B 2 431 ? 294.861 -97.704  254.647 1.0 58.89352  ? 432 TYR E O   432 TYR E O   1 
ATOM 10498 C CB  . TYR B 2 431 ? 292.177 -98.386  254.288 1.0 58.89352  ? 432 TYR E CB  432 TYR E CB  1 
ATOM 10499 C CG  . TYR B 2 431 ? 291.025 -99.346  254.429 1.0 58.89352  ? 432 TYR E CG  432 TYR E CG  1 
ATOM 10500 C CD1 . TYR B 2 431 ? 290.679 -99.883  255.662 1.0 58.89352  ? 432 TYR E CD1 432 TYR E CD1 1 
ATOM 10501 C CD2 . TYR B 2 431 ? 290.288 -99.724  253.321 1.0 58.89352  ? 432 TYR E CD2 432 TYR E CD2 1 
ATOM 10502 C CE1 . TYR B 2 431 ? 289.625 -100.760 255.785 1.0 58.89352  ? 432 TYR E CE1 432 TYR E CE1 1 
ATOM 10503 C CE2 . TYR B 2 431 ? 289.240 -100.599 253.434 1.0 58.89352  ? 432 TYR E CE2 432 TYR E CE2 1 
ATOM 10504 C CZ  . TYR B 2 431 ? 288.908 -101.114 254.665 1.0 58.89352  ? 432 TYR E CZ  432 TYR E CZ  1 
ATOM 10505 O OH  . TYR B 2 431 ? 287.855 -101.991 254.775 1.0 58.89352  ? 432 TYR E OH  432 TYR E OH  1 
ATOM 10506 N N   . LYS B 2 432 ? 294.283 -95.977  255.950 1.0 58.48317  ? 433 LYS E N   433 LYS E N   1 
ATOM 10507 C CA  . LYS B 2 432 ? 295.564 -95.305  255.831 1.0 58.48317  ? 433 LYS E CA  433 LYS E CA  1 
ATOM 10508 C C   . LYS B 2 432 ? 296.211 -95.182  257.201 1.0 58.48317  ? 433 LYS E C   433 LYS E C   1 
ATOM 10509 O O   . LYS B 2 432 ? 295.557 -95.303  258.239 1.0 58.48317  ? 433 LYS E O   433 LYS E O   1 
ATOM 10510 C CB  . LYS B 2 432 ? 295.397 -93.924  255.195 1.0 58.48317  ? 433 LYS E CB  433 LYS E CB  1 
ATOM 10511 C CG  . LYS B 2 432 ? 294.959 -93.957  253.749 1.0 58.48317  ? 433 LYS E CG  433 LYS E CG  1 
ATOM 10512 C CD  . LYS B 2 432 ? 294.836 -92.554  253.196 1.0 58.48317  ? 433 LYS E CD  433 LYS E CD  1 
ATOM 10513 C CE  . LYS B 2 432 ? 294.366 -92.573  251.761 1.0 58.48317  ? 433 LYS E CE  433 LYS E CE  1 
ATOM 10514 N NZ  . LYS B 2 432 ? 294.229 -91.197  251.222 1.0 58.48317  ? 433 LYS E NZ  433 LYS E NZ  1 
ATOM 10515 N N   . PHE B 2 433 ? 297.516 -94.937  257.194 1.0 63.28758  ? 434 PHE E N   434 PHE E N   1 
ATOM 10516 C CA  . PHE B 2 433 ? 298.273 -94.781  258.424 1.0 63.28758  ? 434 PHE E CA  434 PHE E CA  1 
ATOM 10517 C C   . PHE B 2 433 ? 299.181 -93.572  258.295 1.0 63.28758  ? 434 PHE E C   434 PHE E C   1 
ATOM 10518 O O   . PHE B 2 433 ? 299.721 -93.307  257.218 1.0 63.28758  ? 434 PHE E O   434 PHE E O   1 
ATOM 10519 C CB  . PHE B 2 433 ? 299.095 -96.042  258.747 1.0 63.28758  ? 434 PHE E CB  434 PHE E CB  1 
ATOM 10520 C CG  . PHE B 2 433 ? 300.191 -96.340  257.754 1.0 63.28758  ? 434 PHE E CG  434 PHE E CG  1 
ATOM 10521 C CD1 . PHE B 2 433 ? 299.920 -97.059  256.604 1.0 63.28758  ? 434 PHE E CD1 434 PHE E CD1 1 
ATOM 10522 C CD2 . PHE B 2 433 ? 301.500 -95.946  257.994 1.0 63.28758  ? 434 PHE E CD2 434 PHE E CD2 1 
ATOM 10523 C CE1 . PHE B 2 433 ? 300.920 -97.345  255.700 1.0 63.28758  ? 434 PHE E CE1 434 PHE E CE1 1 
ATOM 10524 C CE2 . PHE B 2 433 ? 302.501 -96.225  257.089 1.0 63.28758  ? 434 PHE E CE2 434 PHE E CE2 1 
ATOM 10525 C CZ  . PHE B 2 433 ? 302.211 -96.928  255.942 1.0 63.28758  ? 434 PHE E CZ  434 PHE E CZ  1 
ATOM 10526 N N   . THR B 2 434 ? 299.344 -92.847  259.379 1.0 66.37831  ? 435 THR E N   435 THR E N   1 
ATOM 10527 C CA  . THR B 2 434 ? 300.335 -91.790  259.349 1.0 66.37831  ? 435 THR E CA  435 THR E CA  1 
ATOM 10528 C C   . THR B 2 434 ? 301.737 -92.386  259.476 1.0 66.37831  ? 435 THR E C   435 THR E C   1 
ATOM 10529 O O   . THR B 2 434 ? 301.915 -93.453  260.071 1.0 66.37831  ? 435 THR E O   435 THR E O   1 
ATOM 10530 C CB  . THR B 2 434 ? 300.071 -90.777  260.465 1.0 66.37831  ? 435 THR E CB  435 THR E CB  1 
ATOM 10531 O OG1 . THR B 2 434 ? 301.035 -89.720  260.401 1.0 66.37831  ? 435 THR E OG1 435 THR E OG1 1 
ATOM 10532 C CG2 . THR B 2 434 ? 300.103 -91.429  261.841 1.0 66.37831  ? 435 THR E CG2 435 THR E CG2 1 
ATOM 10533 N N   . PRO B 2 435 ? 302.740 -91.758  258.868 1.0 68.91206  ? 436 PRO E N   436 PRO E N   1 
ATOM 10534 C CA  . PRO B 2 435 ? 304.119 -92.217  259.060 1.0 68.91206  ? 436 PRO E CA  436 PRO E CA  1 
ATOM 10535 C C   . PRO B 2 435 ? 304.597 -91.955  260.479 1.0 68.91206  ? 436 PRO E C   436 PRO E C   1 
ATOM 10536 O O   . PRO B 2 435 ? 303.992 -91.213  261.254 1.0 68.91206  ? 436 PRO E O   436 PRO E O   1 
ATOM 10537 C CB  . PRO B 2 435 ? 304.914 -91.393  258.045 1.0 68.91206  ? 436 PRO E CB  436 PRO E CB  1 
ATOM 10538 C CG  . PRO B 2 435 ? 303.924 -91.029  257.009 1.0 68.91206  ? 436 PRO E CG  436 PRO E CG  1 
ATOM 10539 C CD  . PRO B 2 435 ? 302.638 -90.815  257.742 1.0 68.91206  ? 436 PRO E CD  436 PRO E CD  1 
ATOM 10540 N N   . ALA B 2 436 ? 305.710 -92.590  260.818 1.0 73.30584  ? 437 ALA E N   437 ALA E N   1 
ATOM 10541 C CA  . ALA B 2 436 ? 306.283 -92.419  262.140 1.0 73.30584  ? 437 ALA E CA  437 ALA E CA  1 
ATOM 10542 C C   . ALA B 2 436 ? 307.014 -91.088  262.235 1.0 73.30584  ? 437 ALA E C   437 ALA E C   1 
ATOM 10543 O O   . ALA B 2 436 ? 307.661 -90.646  261.281 1.0 73.30584  ? 437 ALA E O   437 ALA E O   1 
ATOM 10544 C CB  . ALA B 2 436 ? 307.237 -93.565  262.467 1.0 73.30584  ? 437 ALA E CB  437 ALA E CB  1 
ATOM 10545 N N   . ASN B 2 437 ? 306.869 -90.442  263.397 1.0 74.98798  ? 438 ASN E N   438 ASN E N   1 
ATOM 10546 C CA  . ASN B 2 437 ? 307.585 -89.219  263.777 1.0 74.98798  ? 438 ASN E CA  438 ASN E CA  1 
ATOM 10547 C C   . ASN B 2 437 ? 307.290 -88.043  262.848 1.0 74.98798  ? 438 ASN E C   438 ASN E C   1 
ATOM 10548 O O   . ASN B 2 437 ? 308.142 -87.178  262.639 1.0 74.98798  ? 438 ASN E O   438 ASN E O   1 
ATOM 10549 C CB  . ASN B 2 437 ? 309.096 -89.458  263.873 1.0 74.98798  ? 438 ASN E CB  438 ASN E CB  1 
ATOM 10550 C CG  . ASN B 2 437 ? 309.454 -90.448  264.955 1.0 74.98798  ? 438 ASN E CG  438 ASN E CG  1 
ATOM 10551 O OD1 . ASN B 2 437 ? 309.946 -91.540  264.675 1.0 74.98798  ? 438 ASN E OD1 438 ASN E OD1 1 
ATOM 10552 N ND2 . ASN B 2 437 ? 309.208 -90.073  266.203 1.0 74.98798  ? 438 ASN E ND2 438 ASN E ND2 1 
ATOM 10553 N N   . VAL B 2 438 ? 306.087 -87.992  262.285 1.0 74.03389  ? 439 VAL E N   439 VAL E N   1 
ATOM 10554 C CA  . VAL B 2 438 ? 305.602 -86.809  261.586 1.0 74.03389  ? 439 VAL E CA  439 VAL E CA  1 
ATOM 10555 C C   . VAL B 2 438 ? 304.349 -86.322  262.298 1.0 74.03389  ? 439 VAL E C   439 VAL E C   1 
ATOM 10556 O O   . VAL B 2 438 ? 303.615 -87.114  262.899 1.0 74.03389  ? 439 VAL E O   439 VAL E O   1 
ATOM 10557 C CB  . VAL B 2 438 ? 305.331 -87.072  260.089 1.0 74.03389  ? 439 VAL E CB  439 VAL E CB  1 
ATOM 10558 C CG1 . VAL B 2 438 ? 306.623 -87.415  259.376 1.0 74.03389  ? 439 VAL E CG1 439 VAL E CG1 1 
ATOM 10559 C CG2 . VAL B 2 438 ? 304.319 -88.181  259.902 1.0 74.03389  ? 439 VAL E CG2 439 VAL E CG2 1 
ATOM 10560 N N   . ASP B 2 439 ? 304.122 -85.015  262.254 1.0 75.94854  ? 440 ASP E N   440 ASP E N   1 
ATOM 10561 C CA  . ASP B 2 439 ? 303.062 -84.377  263.025 1.0 75.94854  ? 440 ASP E CA  440 ASP E CA  1 
ATOM 10562 C C   . ASP B 2 439 ? 302.034 -83.792  262.069 1.0 75.94854  ? 440 ASP E C   440 ASP E C   1 
ATOM 10563 O O   . ASP B 2 439 ? 302.286 -82.771  261.422 1.0 75.94854  ? 440 ASP E O   440 ASP E O   1 
ATOM 10564 C CB  . ASP B 2 439 ? 303.638 -83.305  263.944 1.0 75.94854  ? 440 ASP E CB  440 ASP E CB  1 
ATOM 10565 C CG  . ASP B 2 439 ? 304.462 -83.894  265.069 1.0 75.94854  ? 440 ASP E CG  440 ASP E CG  1 
ATOM 10566 O OD1 . ASP B 2 439 ? 304.172 -85.036  265.481 1.0 75.94854  ? 440 ASP E OD1 440 ASP E OD1 1 
ATOM 10567 O OD2 . ASP B 2 439 ? 305.401 -83.219  265.539 1.0 75.94854  ? 440 ASP E OD2 440 ASP E OD2 1 
ATOM 10568 N N   . LEU B 2 440 ? 300.882 -84.437  261.989 1.0 71.24944  ? 441 LEU E N   441 LEU E N   1 
ATOM 10569 C CA  . LEU B 2 440 ? 299.790 -83.967  261.162 1.0 71.24944  ? 441 LEU E CA  441 LEU E CA  1 
ATOM 10570 C C   . LEU B 2 440 ? 299.012 -82.873  261.884 1.0 71.24944  ? 441 LEU E C   441 LEU E C   1 
ATOM 10571 O O   . LEU B 2 440 ? 299.120 -82.725  263.103 1.0 71.24944  ? 441 LEU E O   441 LEU E O   1 
ATOM 10572 C CB  . LEU B 2 440 ? 298.867 -85.131  260.824 1.0 71.24944  ? 441 LEU E CB  441 LEU E CB  1 
ATOM 10573 C CG  . LEU B 2 440 ? 299.496 -86.230  259.976 1.0 71.24944  ? 441 LEU E CG  441 LEU E CG  1 
ATOM 10574 C CD1 . LEU B 2 440 ? 298.512 -87.365  259.793 1.0 71.24944  ? 441 LEU E CD1 441 LEU E CD1 1 
ATOM 10575 C CD2 . LEU B 2 440 ? 299.944 -85.676  258.641 1.0 71.24944  ? 441 LEU E CD2 441 LEU E CD2 1 
ATOM 10576 N N   . PRO B 2 441 ? 298.242 -82.068  261.149 1.0 72.82376  ? 442 PRO E N   442 PRO E N   1 
ATOM 10577 C CA  . PRO B 2 441 ? 297.268 -81.187  261.801 1.0 72.82376  ? 442 PRO E CA  442 PRO E CA  1 
ATOM 10578 C C   . PRO B 2 441 ? 296.193 -81.977  262.533 1.0 72.82376  ? 442 PRO E C   442 PRO E C   1 
ATOM 10579 O O   . PRO B 2 441 ? 295.957 -83.158  262.271 1.0 72.82376  ? 442 PRO E O   442 PRO E O   1 
ATOM 10580 C CB  . PRO B 2 441 ? 296.680 -80.385  260.636 1.0 72.82376  ? 442 PRO E CB  442 PRO E CB  1 
ATOM 10581 C CG  . PRO B 2 441 ? 297.761 -80.373  259.627 1.0 72.82376  ? 442 PRO E CG  442 PRO E CG  1 
ATOM 10582 C CD  . PRO B 2 441 ? 298.431 -81.707  259.733 1.0 72.82376  ? 442 PRO E CD  442 PRO E CD  1 
ATOM 10583 N N   . GLU B 2 442 ? 295.536 -81.297  263.472 1.0 79.75227  ? 443 GLU E N   443 GLU E N   1 
ATOM 10584 C CA  . GLU B 2 442 ? 294.651 -81.984  264.406 1.0 79.75227  ? 443 GLU E CA  443 GLU E CA  1 
ATOM 10585 C C   . GLU B 2 442 ? 293.337 -82.396  263.757 1.0 79.75227  ? 443 GLU E C   443 GLU E C   1 
ATOM 10586 O O   . GLU B 2 442 ? 292.859 -83.514  263.980 1.0 79.75227  ? 443 GLU E O   443 GLU E O   1 
ATOM 10587 C CB  . GLU B 2 442 ? 294.383 -81.099  265.621 1.0 79.75227  ? 443 GLU E CB  443 GLU E CB  1 
ATOM 10588 C CG  . GLU B 2 442 ? 295.601 -80.880  266.498 1.0 79.75227  ? 443 GLU E CG  443 GLU E CG  1 
ATOM 10589 C CD  . GLU B 2 442 ? 295.305 -80.000  267.694 1.0 79.75227  ? 443 GLU E CD  443 GLU E CD  1 
ATOM 10590 O OE1 . GLU B 2 442 ? 294.185 -79.451  267.767 1.0 79.75227  ? 443 GLU E OE1 443 GLU E OE1 1 
ATOM 10591 O OE2 . GLU B 2 442 ? 296.191 -79.860  268.564 1.0 79.75227  ? 443 GLU E OE2 443 GLU E OE2 1 
ATOM 10592 N N   . ASN B 2 443 ? 292.741 -81.519  262.958 1.0 72.26799  ? 444 ASN E N   444 ASN E N   1 
ATOM 10593 C CA  . ASN B 2 443 ? 291.440 -81.825  262.396 1.0 72.26799  ? 444 ASN E CA  444 ASN E CA  1 
ATOM 10594 C C   . ASN B 2 443 ? 291.559 -82.730  261.175 1.0 72.26799  ? 444 ASN E C   444 ASN E C   1 
ATOM 10595 O O   . ASN B 2 443 ? 292.603 -82.820  260.527 1.0 72.26799  ? 444 ASN E O   444 ASN E O   1 
ATOM 10596 C CB  . ASN B 2 443 ? 290.679 -80.544  262.027 1.0 72.26799  ? 444 ASN E CB  444 ASN E CB  1 
ATOM 10597 C CG  . ASN B 2 443 ? 291.437 -79.643  261.053 1.0 72.26799  ? 444 ASN E CG  444 ASN E CG  1 
ATOM 10598 O OD1 . ASN B 2 443 ? 292.567 -79.920  260.657 1.0 72.26799  ? 444 ASN E OD1 444 ASN E OD1 1 
ATOM 10599 N ND2 . ASN B 2 443 ? 290.788 -78.561  260.644 1.0 72.26799  ? 444 ASN E ND2 444 ASN E ND2 1 
ATOM 10600 N N   . HIS B 2 444 ? 290.455 -83.396  260.866 1.0 68.14241  ? 445 HIS E N   445 HIS E N   1 
ATOM 10601 C CA  . HIS B 2 444 ? 290.274 -84.026  259.573 1.0 68.14241  ? 445 HIS E CA  445 HIS E CA  1 
ATOM 10602 C C   . HIS B 2 444 ? 289.885 -82.954  258.558 1.0 68.14241  ? 445 HIS E C   445 HIS E C   1 
ATOM 10603 O O   . HIS B 2 444 ? 289.766 -81.770  258.887 1.0 68.14241  ? 445 HIS E O   445 HIS E O   1 
ATOM 10604 C CB  . HIS B 2 444 ? 289.210 -85.115  259.672 1.0 68.14241  ? 445 HIS E CB  445 HIS E CB  1 
ATOM 10605 C CG  . HIS B 2 444 ? 289.543 -86.198  260.651 1.0 68.14241  ? 445 HIS E CG  445 HIS E CG  1 
ATOM 10606 N ND1 . HIS B 2 444 ? 290.396 -87.235  260.351 1.0 68.14241  ? 445 HIS E ND1 445 HIS E ND1 1 
ATOM 10607 C CD2 . HIS B 2 444 ? 289.153 -86.392  261.933 1.0 68.14241  ? 445 HIS E CD2 445 HIS E CD2 1 
ATOM 10608 C CE1 . HIS B 2 444 ? 290.511 -88.028  261.400 1.0 68.14241  ? 445 HIS E CE1 445 HIS E CE1 1 
ATOM 10609 N NE2 . HIS B 2 444 ? 289.767 -87.539  262.375 1.0 68.14241  ? 445 HIS E NE2 445 HIS E NE2 1 
ATOM 10610 N N   . LEU B 2 445 ? 289.710 -83.374  257.302 1.0 63.20242  ? 446 LEU E N   446 LEU E N   1 
ATOM 10611 C CA  . LEU B 2 445 ? 289.164 -82.564  256.204 1.0 63.20242  ? 446 LEU E CA  446 LEU E CA  1 
ATOM 10612 C C   . LEU B 2 445 ? 289.995 -81.321  255.887 1.0 63.20242  ? 446 LEU E C   446 LEU E C   1 
ATOM 10613 O O   . LEU B 2 445 ? 289.482 -80.373  255.289 1.0 63.20242  ? 446 LEU E O   446 LEU E O   1 
ATOM 10614 C CB  . LEU B 2 445 ? 287.705 -82.155  256.463 1.0 63.20242  ? 446 LEU E CB  446 LEU E CB  1 
ATOM 10615 C CG  . LEU B 2 445 ? 286.582 -83.154  256.163 1.0 63.20242  ? 446 LEU E CG  446 LEU E CG  1 
ATOM 10616 C CD1 . LEU B 2 445 ? 286.484 -84.262  257.202 1.0 63.20242  ? 446 LEU E CD1 446 LEU E CD1 1 
ATOM 10617 C CD2 . LEU B 2 445 ? 285.256 -82.433  256.036 1.0 63.20242  ? 446 LEU E CD2 446 LEU E CD2 1 
ATOM 10618 N N   . SER B 2 446 ? 291.264 -81.291  256.275 1.0 61.08897  ? 447 SER E N   447 SER E N   1 
ATOM 10619 C CA  . SER B 2 446 ? 292.185 -80.239  255.876 1.0 61.08897  ? 447 SER E CA  447 SER E CA  1 
ATOM 10620 C C   . SER B 2 446 ? 293.199 -80.817  254.904 1.0 61.08897  ? 447 SER E C   447 SER E C   1 
ATOM 10621 O O   . SER B 2 446 ? 293.228 -82.020  254.650 1.0 61.08897  ? 447 SER E O   447 SER E O   1 
ATOM 10622 C CB  . SER B 2 446 ? 292.896 -79.633  257.087 1.0 61.08897  ? 447 SER E CB  447 SER E CB  1 
ATOM 10623 O OG  . SER B 2 446 ? 293.778 -80.572  257.668 1.0 61.08897  ? 447 SER E OG  447 SER E OG  1 
ATOM 10624 N N   . TYR B 2 447 ? 294.047 -79.950  254.359 1.0 56.50532  ? 448 TYR E N   448 TYR E N   1 
ATOM 10625 C CA  . TYR B 2 447 ? 294.994 -80.441  253.367 1.0 56.50532  ? 448 TYR E CA  448 TYR E CA  1 
ATOM 10626 C C   . TYR B 2 447 ? 296.159 -81.168  254.011 1.0 56.50532  ? 448 TYR E C   448 TYR E C   1 
ATOM 10627 O O   . TYR B 2 447 ? 296.522 -82.259  253.566 1.0 56.50532  ? 448 TYR E O   448 TYR E O   1 
ATOM 10628 C CB  . TYR B 2 447 ? 295.513 -79.302  252.507 1.0 56.50532  ? 448 TYR E CB  448 TYR E CB  1 
ATOM 10629 C CG  . TYR B 2 447 ? 296.440 -79.766  251.410 1.0 56.50532  ? 448 TYR E CG  448 TYR E CG  1 
ATOM 10630 C CD1 . TYR B 2 447 ? 295.949 -80.460  250.314 1.0 56.50532  ? 448 TYR E CD1 448 TYR E CD1 1 
ATOM 10631 C CD2 . TYR B 2 447 ? 297.799 -79.498  251.461 1.0 56.50532  ? 448 TYR E CD2 448 TYR E CD2 1 
ATOM 10632 C CE1 . TYR B 2 447 ? 296.785 -80.883  249.307 1.0 56.50532  ? 448 TYR E CE1 448 TYR E CE1 1 
ATOM 10633 C CE2 . TYR B 2 447 ? 298.642 -79.917  250.457 1.0 56.50532  ? 448 TYR E CE2 448 TYR E CE2 1 
ATOM 10634 C CZ  . TYR B 2 447 ? 298.127 -80.607  249.384 1.0 56.50532  ? 448 TYR E CZ  448 TYR E CZ  1 
ATOM 10635 O OH  . TYR B 2 447 ? 298.961 -81.026  248.380 1.0 56.50532  ? 448 TYR E OH  448 TYR E OH  1 
ATOM 10636 N N   . GLY B 2 448 ? 296.737 -80.594  255.070 1.0 60.39158  ? 449 GLY E N   449 GLY E N   1 
ATOM 10637 C CA  . GLY B 2 448 ? 297.917 -81.158  255.705 1.0 60.39158  ? 449 GLY E CA  449 GLY E CA  1 
ATOM 10638 C C   . GLY B 2 448 ? 297.696 -82.501  256.367 1.0 60.39158  ? 449 GLY E C   449 GLY E C   1 
ATOM 10639 O O   . GLY B 2 448 ? 298.667 -83.209  256.646 1.0 60.39158  ? 449 GLY E O   449 GLY E O   1 
ATOM 10640 N N   . TYR B 2 449 ? 296.444 -82.865  256.625 1.0 61.39218  ? 450 TYR E N   450 TYR E N   1 
ATOM 10641 C CA  . TYR B 2 449 ? 296.107 -84.190  257.117 1.0 61.39218  ? 450 TYR E CA  450 TYR E CA  1 
ATOM 10642 C C   . TYR B 2 449 ? 295.969 -85.198  255.984 1.0 61.39218  ? 450 TYR E C   450 TYR E C   1 
ATOM 10643 O O   . TYR B 2 449 ? 296.490 -86.311  256.085 1.0 61.39218  ? 450 TYR E O   450 TYR E O   1 
ATOM 10644 C CB  . TYR B 2 449 ? 294.811 -84.125  257.922 1.0 61.39218  ? 450 TYR E CB  450 TYR E CB  1 
ATOM 10645 C CG  . TYR B 2 449 ? 294.403 -85.434  258.536 1.0 61.39218  ? 450 TYR E CG  450 TYR E CG  1 
ATOM 10646 C CD1 . TYR B 2 449 ? 295.029 -85.908  259.676 1.0 61.39218  ? 450 TYR E CD1 450 TYR E CD1 1 
ATOM 10647 C CD2 . TYR B 2 449 ? 293.385 -86.191  257.982 1.0 61.39218  ? 450 TYR E CD2 450 TYR E CD2 1 
ATOM 10648 C CE1 . TYR B 2 449 ? 294.658 -87.102  260.245 1.0 61.39218  ? 450 TYR E CE1 450 TYR E CE1 1 
ATOM 10649 C CE2 . TYR B 2 449 ? 293.013 -87.387  258.537 1.0 61.39218  ? 450 TYR E CE2 450 TYR E CE2 1 
ATOM 10650 C CZ  . TYR B 2 449 ? 293.646 -87.834  259.676 1.0 61.39218  ? 450 TYR E CZ  450 TYR E CZ  1 
ATOM 10651 O OH  . TYR B 2 449 ? 293.278 -89.031  260.242 1.0 61.39218  ? 450 TYR E OH  450 TYR E OH  1 
ATOM 10652 N N   . ILE B 2 450 ? 295.277 -84.827  254.904 1.0 55.73217  ? 451 ILE E N   451 ILE E N   1 
ATOM 10653 C CA  . ILE B 2 450 ? 295.116 -85.724  253.763 1.0 55.73217  ? 451 ILE E CA  451 ILE E CA  1 
ATOM 10654 C C   . ILE B 2 450 ? 296.439 -85.878  253.021 1.0 55.73217  ? 451 ILE E C   451 ILE E C   1 
ATOM 10655 O O   . ILE B 2 450 ? 296.703 -86.920  252.406 1.0 55.73217  ? 451 ILE E O   451 ILE E O   1 
ATOM 10656 C CB  . ILE B 2 450 ? 293.985 -85.197  252.855 1.0 55.73217  ? 451 ILE E CB  451 ILE E CB  1 
ATOM 10657 C CG1 . ILE B 2 450 ? 292.689 -85.085  253.647 1.0 55.73217  ? 451 ILE E CG1 451 ILE E CG1 1 
ATOM 10658 C CG2 . ILE B 2 450 ? 293.696 -86.127  251.694 1.0 55.73217  ? 451 ILE E CG2 451 ILE E CG2 1 
ATOM 10659 C CD1 . ILE B 2 450 ? 291.597 -84.347  252.917 1.0 55.73217  ? 451 ILE E CD1 451 ILE E CD1 1 
ATOM 10660 N N   . ASN B 2 451 ? 297.310 -84.871  253.107 1.0 58.15069  ? 452 ASN E N   452 ASN E N   1 
ATOM 10661 C CA  . ASN B 2 451 ? 298.609 -84.935  252.447 1.0 58.15069  ? 452 ASN E CA  452 ASN E CA  1 
ATOM 10662 C C   . ASN B 2 451 ? 299.508 -85.977  253.100 1.0 58.15069  ? 452 ASN E C   452 ASN E C   1 
ATOM 10663 O O   . ASN B 2 451 ? 300.042 -86.860  252.423 1.0 58.15069  ? 452 ASN E O   452 ASN E O   1 
ATOM 10664 C CB  . ASN B 2 451 ? 299.277 -83.565  252.496 1.0 58.15069  ? 452 ASN E CB  452 ASN E CB  1 
ATOM 10665 C CG  . ASN B 2 451 ? 300.451 -83.451  251.566 1.0 58.15069  ? 452 ASN E CG  452 ASN E CG  1 
ATOM 10666 O OD1 . ASN B 2 451 ? 300.719 -84.339  250.760 1.0 58.15069  ? 452 ASN E OD1 452 ASN E OD1 1 
ATOM 10667 N ND2 . ASN B 2 451 ? 301.191 -82.363  251.702 1.0 58.15069  ? 452 ASN E ND2 452 ASN E ND2 1 
ATOM 10668 N N   . GLY B 2 452 ? 299.678 -85.894  254.415 1.0 60.94417  ? 453 GLY E N   453 GLY E N   1 
ATOM 10669 C CA  . GLY B 2 452 ? 300.633 -86.741  255.101 1.0 60.94417  ? 453 GLY E CA  453 GLY E CA  1 
ATOM 10670 C C   . GLY B 2 452 ? 300.082 -88.044  255.636 1.0 60.94417  ? 453 GLY E C   453 GLY E C   1 
ATOM 10671 O O   . GLY B 2 452 ? 300.377 -88.421  256.773 1.0 60.94417  ? 453 GLY E O   453 GLY E O   1 
ATOM 10672 N N   . ARG B 2 453 ? 299.281 -88.744  254.839 1.0 59.71022  ? 454 ARG E N   454 ARG E N   1 
ATOM 10673 C CA  . ARG B 2 453 ? 298.814 -90.082  255.178 1.0 59.71022  ? 454 ARG E CA  454 ARG E CA  1 
ATOM 10674 C C   . ARG B 2 453 ? 298.979 -90.981  253.967 1.0 59.71022  ? 454 ARG E C   454 ARG E C   1 
ATOM 10675 O O   . ARG B 2 453 ? 298.599 -90.605  252.855 1.0 59.71022  ? 454 ARG E O   454 ARG E O   1 
ATOM 10676 C CB  . ARG B 2 453 ? 297.358 -90.078  255.637 1.0 59.71022  ? 454 ARG E CB  454 ARG E CB  1 
ATOM 10677 C CG  . ARG B 2 453 ? 297.143 -89.424  256.975 1.0 59.71022  ? 454 ARG E CG  454 ARG E CG  1 
ATOM 10678 C CD  . ARG B 2 453 ? 295.690 -89.447  257.351 1.0 59.71022  ? 454 ARG E CD  454 ARG E CD  1 
ATOM 10679 N NE  . ARG B 2 453 ? 295.202 -90.798  257.596 1.0 59.71022  ? 454 ARG E NE  454 ARG E NE  1 
ATOM 10680 C CZ  . ARG B 2 453 ? 295.236 -91.397  258.780 1.0 59.71022  ? 454 ARG E CZ  454 ARG E CZ  1 
ATOM 10681 N NH1 . ARG B 2 453 ? 295.733 -90.763  259.829 1.0 59.71022  ? 454 ARG E NH1 454 ARG E NH1 1 
ATOM 10682 N NH2 . ARG B 2 453 ? 294.768 -92.628  258.915 1.0 59.71022  ? 454 ARG E NH2 454 ARG E NH2 1 
ATOM 10683 N N   . LEU B 2 454 ? 299.538 -92.165  254.184 1.0 59.88378  ? 455 LEU E N   455 LEU E N   1 
ATOM 10684 C CA  . LEU B 2 454 ? 299.872 -93.053  253.089 1.0 59.88378  ? 455 LEU E CA  455 LEU E CA  1 
ATOM 10685 C C   . LEU B 2 454 ? 299.170 -94.393  253.272 1.0 59.88378  ? 455 LEU E C   455 LEU E C   1 
ATOM 10686 O O   . LEU B 2 454 ? 298.989 -94.844  254.405 1.0 59.88378  ? 455 LEU E O   455 LEU E O   1 
ATOM 10687 C CB  . LEU B 2 454 ? 301.391 -93.256  252.987 1.0 59.88378  ? 455 LEU E CB  455 LEU E CB  1 
ATOM 10688 C CG  . LEU B 2 454 ? 302.148 -92.117  252.284 1.0 59.88378  ? 455 LEU E CG  455 LEU E CG  1 
ATOM 10689 C CD1 . LEU B 2 454 ? 302.456 -90.918  253.191 1.0 59.88378  ? 455 LEU E CD1 455 LEU E CD1 1 
ATOM 10690 C CD2 . LEU B 2 454 ? 303.399 -92.613  251.592 1.0 59.88378  ? 455 LEU E CD2 455 LEU E CD2 1 
ATOM 10691 N N   . PRO B 2 455 ? 298.747 -95.042  252.189 1.0 57.68979  ? 456 PRO E N   456 PRO E N   1 
ATOM 10692 C CA  . PRO B 2 455 ? 297.894 -96.225  252.325 1.0 57.68979  ? 456 PRO E CA  456 PRO E CA  1 
ATOM 10693 C C   . PRO B 2 455 ? 298.646 -97.467  252.777 1.0 57.68979  ? 456 PRO E C   456 PRO E C   1 
ATOM 10694 O O   . PRO B 2 455 ? 299.868 -97.573  252.673 1.0 57.68979  ? 456 PRO E O   456 PRO E O   1 
ATOM 10695 C CB  . PRO B 2 455 ? 297.343 -96.420  250.911 1.0 57.68979  ? 456 PRO E CB  456 PRO E CB  1 
ATOM 10696 C CG  . PRO B 2 455 ? 298.354 -95.826  250.038 1.0 57.68979  ? 456 PRO E CG  456 PRO E CG  1 
ATOM 10697 C CD  . PRO B 2 455 ? 298.905 -94.654  250.777 1.0 57.68979  ? 456 PRO E CD  456 PRO E CD  1 
ATOM 10698 N N   . LEU B 2 456 ? 297.867 -98.415  253.290 1.0 59.84523  ? 457 LEU E N   457 LEU E N   1 
ATOM 10699 C CA  . LEU B 2 456 ? 298.381 -99.727  253.634 1.0 59.84523  ? 457 LEU E CA  457 LEU E CA  1 
ATOM 10700 C C   . LEU B 2 456 ? 298.792 -100.476 252.367 1.0 59.84523  ? 457 LEU E C   457 LEU E C   1 
ATOM 10701 O O   . LEU B 2 456 ? 298.185 -100.295 251.310 1.0 59.84523  ? 457 LEU E O   457 LEU E O   1 
ATOM 10702 C CB  . LEU B 2 456 ? 297.323 -100.521 254.393 1.0 59.84523  ? 457 LEU E CB  457 LEU E CB  1 
ATOM 10703 C CG  . LEU B 2 456 ? 296.981 -100.037 255.798 1.0 59.84523  ? 457 LEU E CG  457 LEU E CG  1 
ATOM 10704 C CD1 . LEU B 2 456 ? 295.767 -100.778 256.321 1.0 59.84523  ? 457 LEU E CD1 457 LEU E CD1 1 
ATOM 10705 C CD2 . LEU B 2 456 ? 298.164 -100.247 256.715 1.0 59.84523  ? 457 LEU E CD2 457 LEU E CD2 1 
ATOM 10706 N N   . PRO B 2 457 ? 299.839 -101.312 252.445 1.0 61.51171  ? 458 PRO E N   458 PRO E N   1 
ATOM 10707 C CA  . PRO B 2 457 ? 300.369 -101.955 251.233 1.0 61.51171  ? 458 PRO E CA  458 PRO E CA  1 
ATOM 10708 C C   . PRO B 2 457 ? 299.459 -102.962 250.540 1.0 61.51171  ? 458 PRO E C   458 PRO E C   1 
ATOM 10709 O O   . PRO B 2 457 ? 299.227 -102.840 249.334 1.0 61.51171  ? 458 PRO E O   458 PRO E O   1 
ATOM 10710 C CB  . PRO B 2 457 ? 301.640 -102.645 251.743 1.0 61.51171  ? 458 PRO E CB  458 PRO E CB  1 
ATOM 10711 C CG  . PRO B 2 457 ? 302.032 -101.871 252.938 1.0 61.51171  ? 458 PRO E CG  458 PRO E CG  1 
ATOM 10712 C CD  . PRO B 2 457 ? 300.755 -101.469 253.586 1.0 61.51171  ? 458 PRO E CD  458 PRO E CD  1 
ATOM 10713 N N   . ASN B 2 458 ? 298.937 -103.953 251.260 1.0 62.79032  ? 459 ASN E N   459 ASN E N   1 
ATOM 10714 C CA  . ASN B 2 458 ? 298.350 -105.122 250.619 1.0 62.79032  ? 459 ASN E CA  459 ASN E CA  1 
ATOM 10715 C C   . ASN B 2 458 ? 296.871 -104.973 250.291 1.0 62.79032  ? 459 ASN E C   459 ASN E C   1 
ATOM 10716 O O   . ASN B 2 458 ? 296.202 -105.986 250.069 1.0 62.79032  ? 459 ASN E O   459 ASN E O   1 
ATOM 10717 C CB  . ASN B 2 458 ? 298.537 -106.363 251.489 1.0 62.79032  ? 459 ASN E CB  459 ASN E CB  1 
ATOM 10718 C CG  . ASN B 2 458 ? 299.966 -106.824 251.544 1.0 62.79032  ? 459 ASN E CG  459 ASN E CG  1 
ATOM 10719 O OD1 . ASN B 2 458 ? 300.689 -106.787 250.550 1.0 62.79032  ? 459 ASN E OD1 459 ASN E OD1 1 
ATOM 10720 N ND2 . ASN B 2 458 ? 300.378 -107.292 252.709 1.0 62.79032  ? 459 ASN E ND2 459 ASN E ND2 1 
ATOM 10721 N N   . ILE B 2 459 ? 296.336 -103.754 250.253 1.0 61.72934  ? 460 ILE E N   460 ILE E N   1 
ATOM 10722 C CA  . ILE B 2 459 ? 294.942 -103.649 249.844 1.0 61.72934  ? 460 ILE E CA  460 ILE E CA  1 
ATOM 10723 C C   . ILE B 2 459 ? 294.821 -103.702 248.323 1.0 61.72934  ? 460 ILE E C   460 ILE E C   1 
ATOM 10724 O O   . ILE B 2 459 ? 293.858 -104.271 247.799 1.0 61.72934  ? 460 ILE E O   460 ILE E O   1 
ATOM 10725 C CB  . ILE B 2 459 ? 294.277 -102.401 250.462 1.0 61.72934  ? 460 ILE E CB  460 ILE E CB  1 
ATOM 10726 C CG1 . ILE B 2 459 ? 295.082 -101.124 250.208 1.0 61.72934  ? 460 ILE E CG1 460 ILE E CG1 1 
ATOM 10727 C CG2 . ILE B 2 459 ? 294.057 -102.590 251.955 1.0 61.72934  ? 460 ILE E CG2 460 ILE E CG2 1 
ATOM 10728 C CD1 . ILE B 2 459 ? 294.641 -100.322 249.000 1.0 61.72934  ? 460 ILE E CD1 460 ILE E CD1 1 
ATOM 10729 N N   . VAL B 2 460 ? 295.779 -103.127 247.591 1.0 59.77266  ? 461 VAL E N   461 VAL E N   1 
ATOM 10730 C CA  . VAL B 2 460 ? 295.858 -103.276 246.144 1.0 59.77266  ? 461 VAL E CA  461 VAL E CA  1 
ATOM 10731 C C   . VAL B 2 460 ? 297.293 -103.603 245.758 1.0 59.77266  ? 461 VAL E C   461 VAL E C   1 
ATOM 10732 O O   . VAL B 2 460 ? 298.251 -103.191 246.421 1.0 59.77266  ? 461 VAL E O   461 VAL E O   1 
ATOM 10733 C CB  . VAL B 2 460 ? 295.370 -102.032 245.349 1.0 59.77266  ? 461 VAL E CB  461 VAL E CB  1 
ATOM 10734 C CG1 . VAL B 2 460 ? 293.908 -101.758 245.582 1.0 59.77266  ? 461 VAL E CG1 461 VAL E CG1 1 
ATOM 10735 C CG2 . VAL B 2 460 ? 296.187 -100.806 245.668 1.0 59.77266  ? 461 VAL E CG2 461 VAL E CG2 1 
ATOM 10736 N N   . ASP B 2 461 ? 297.422 -104.378 244.688 1.0 58.97865  ? 462 ASP E N   462 ASP E N   1 
ATOM 10737 C CA  . ASP B 2 461 ? 298.679 -104.698 244.026 1.0 58.97865  ? 462 ASP E CA  462 ASP E CA  1 
ATOM 10738 C C   . ASP B 2 461 ? 298.287 -105.228 242.651 1.0 58.97865  ? 462 ASP E C   462 ASP E C   1 
ATOM 10739 O O   . ASP B 2 461 ? 297.132 -105.103 242.238 1.0 58.97865  ? 462 ASP E O   462 ASP E O   1 
ATOM 10740 C CB  . ASP B 2 461 ? 299.502 -105.689 244.859 1.0 58.97865  ? 462 ASP E CB  462 ASP E CB  1 
ATOM 10741 C CG  . ASP B 2 461 ? 300.974 -105.698 244.492 1.0 58.97865  ? 462 ASP E CG  462 ASP E CG  1 
ATOM 10742 O OD1 . ASP B 2 461 ? 301.359 -104.971 243.555 1.0 58.97865  ? 462 ASP E OD1 462 ASP E OD1 1 
ATOM 10743 O OD2 . ASP B 2 461 ? 301.742 -106.434 245.148 1.0 58.97865  ? 462 ASP E OD2 462 ASP E OD2 1 
ATOM 10744 N N   . THR B 2 462 ? 299.225 -105.838 241.935 1.0 60.31451  ? 463 THR E N   463 THR E N   1 
ATOM 10745 C CA  . THR B 2 462 ? 298.910 -106.442 240.651 1.0 60.31451  ? 463 THR E CA  463 THR E CA  1 
ATOM 10746 C C   . THR B 2 462 ? 298.382 -107.874 240.778 1.0 60.31451  ? 463 THR E C   463 THR E C   1 
ATOM 10747 O O   . THR B 2 462 ? 298.418 -108.624 239.796 1.0 60.31451  ? 463 THR E O   463 THR E O   1 
ATOM 10748 C CB  . THR B 2 462 ? 300.134 -106.384 239.735 1.0 60.31451  ? 463 THR E CB  463 THR E CB  1 
ATOM 10749 O OG1 . THR B 2 462 ? 299.837 -107.012 238.482 1.0 60.31451  ? 463 THR E OG1 463 THR E OG1 1 
ATOM 10750 C CG2 . THR B 2 462 ? 301.328 -107.040 240.382 1.0 60.31451  ? 463 THR E CG2 463 THR E CG2 1 
ATOM 10751 N N   . TRP B 2 463 ? 297.875 -108.262 241.955 1.0 56.60081  ? 464 TRP E N   464 TRP E N   1 
ATOM 10752 C CA  . TRP B 2 463 ? 297.213 -109.546 242.139 1.0 56.60081  ? 464 TRP E CA  464 TRP E CA  1 
ATOM 10753 C C   . TRP B 2 463 ? 295.774 -109.458 242.624 1.0 56.60081  ? 464 TRP E C   464 TRP E C   1 
ATOM 10754 O O   . TRP B 2 463 ? 295.101 -110.493 242.666 1.0 56.60081  ? 464 TRP E O   464 TRP E O   1 
ATOM 10755 C CB  . TRP B 2 463 ? 297.986 -110.433 243.131 1.0 56.60081  ? 464 TRP E CB  464 TRP E CB  1 
ATOM 10756 C CG  . TRP B 2 463 ? 298.213 -109.827 244.488 1.0 56.60081  ? 464 TRP E CG  464 TRP E CG  1 
ATOM 10757 C CD1 . TRP B 2 463 ? 299.316 -109.163 244.889 1.0 56.60081  ? 464 TRP E CD1 464 TRP E CD1 1 
ATOM 10758 C CD2 . TRP B 2 463 ? 297.313 -109.828 245.614 1.0 56.60081  ? 464 TRP E CD2 464 TRP E CD2 1 
ATOM 10759 N NE1 . TRP B 2 463 ? 299.176 -108.751 246.191 1.0 56.60081  ? 464 TRP E NE1 464 TRP E NE1 1 
ATOM 10760 C CE2 . TRP B 2 463 ? 297.952 -109.146 246.655 1.0 56.60081  ? 464 TRP E CE2 464 TRP E CE2 1 
ATOM 10761 C CE3 . TRP B 2 463 ? 296.033 -110.340 245.835 1.0 56.60081  ? 464 TRP E CE3 464 TRP E CE3 1 
ATOM 10762 C CZ2 . TRP B 2 463 ? 297.361 -108.959 247.897 1.0 56.60081  ? 464 TRP E CZ2 464 TRP E CZ2 1 
ATOM 10763 C CZ3 . TRP B 2 463 ? 295.448 -110.152 247.067 1.0 56.60081  ? 464 TRP E CZ3 464 TRP E CZ3 1 
ATOM 10764 C CH2 . TRP B 2 463 ? 296.109 -109.463 248.079 1.0 56.60081  ? 464 TRP E CH2 464 TRP E CH2 1 
ATOM 10765 N N   . THR B 2 464 ? 295.287 -108.284 243.019 1.0 57.72029  ? 465 THR E N   465 THR E N   1 
ATOM 10766 C CA  . THR B 2 464 ? 294.007 -108.208 243.714 1.0 57.72029  ? 465 THR E CA  465 THR E CA  1 
ATOM 10767 C C   . THR B 2 464 ? 292.839 -108.361 242.740 1.0 57.72029  ? 465 THR E C   465 THR E C   1 
ATOM 10768 O O   . THR B 2 464 ? 292.669 -107.553 241.818 1.0 57.72029  ? 465 THR E O   465 THR E O   1 
ATOM 10769 C CB  . THR B 2 464 ? 293.913 -106.921 244.540 1.0 57.72029  ? 465 THR E CB  465 THR E CB  1 
ATOM 10770 O OG1 . THR B 2 464 ? 292.594 -106.788 245.086 1.0 57.72029  ? 465 THR E OG1 465 THR E OG1 1 
ATOM 10771 C CG2 . THR B 2 464 ? 294.315 -105.679 243.764 1.0 57.72029  ? 465 THR E CG2 465 THR E CG2 1 
ATOM 10772 N N   . ASP B 2 465 ? 292.044 -109.412 242.967 1.0 56.88795  ? 466 ASP E N   466 ASP E N   1 
ATOM 10773 C CA  . ASP B 2 465 ? 290.995 -109.886 242.062 1.0 56.88795  ? 466 ASP E CA  466 ASP E CA  1 
ATOM 10774 C C   . ASP B 2 465 ? 291.533 -110.036 240.643 1.0 56.88795  ? 466 ASP E C   466 ASP E C   1 
ATOM 10775 O O   . ASP B 2 465 ? 291.057 -109.411 239.695 1.0 56.88795  ? 466 ASP E O   466 ASP E O   1 
ATOM 10776 C CB  . ASP B 2 465 ? 289.771 -108.970 242.105 1.0 56.88795  ? 466 ASP E CB  466 ASP E CB  1 
ATOM 10777 C CG  . ASP B 2 465 ? 289.017 -109.082 243.409 1.0 56.88795  ? 466 ASP E CG  466 ASP E CG  1 
ATOM 10778 O OD1 . ASP B 2 465 ? 289.024 -110.183 243.998 1.0 56.88795  ? 466 ASP E OD1 466 ASP E OD1 1 
ATOM 10779 O OD2 . ASP B 2 465 ? 288.431 -108.072 243.854 1.0 56.88795  ? 466 ASP E OD2 466 ASP E OD2 1 
ATOM 10780 N N   . ILE B 2 466 ? 292.573 -110.862 240.530 1.0 52.22809  ? 467 ILE E N   467 ILE E N   1 
ATOM 10781 C CA  . ILE B 2 466 ? 293.347 -110.938 239.300 1.0 52.22809  ? 467 ILE E CA  467 ILE E CA  1 
ATOM 10782 C C   . ILE B 2 466 ? 292.524 -111.625 238.218 1.0 52.22809  ? 467 ILE E C   467 ILE E C   1 
ATOM 10783 O O   . ILE B 2 466 ? 291.833 -112.622 238.466 1.0 52.22809  ? 467 ILE E O   467 ILE E O   1 
ATOM 10784 C CB  . ILE B 2 466 ? 294.701 -111.622 239.560 1.0 52.22809  ? 467 ILE E CB  467 ILE E CB  1 
ATOM 10785 C CG1 . ILE B 2 466 ? 295.585 -111.571 238.320 1.0 52.22809  ? 467 ILE E CG1 467 ILE E CG1 1 
ATOM 10786 C CG2 . ILE B 2 466 ? 294.552 -113.034 240.108 1.0 52.22809  ? 467 ILE E CG2 467 ILE E CG2 1 
ATOM 10787 C CD1 . ILE B 2 466 ? 296.028 -110.194 237.936 1.0 52.22809  ? 467 ILE E CD1 467 ILE E CD1 1 
ATOM 10788 N N   . GLY B 2 467 ? 292.514 -111.027 237.030 1.0 51.22768  ? 468 GLY E N   468 GLY E N   1 
ATOM 10789 C CA  . GLY B 2 467 ? 291.694 -111.493 235.939 1.0 51.22768  ? 468 GLY E CA  468 GLY E CA  1 
ATOM 10790 C C   . GLY B 2 467 ? 290.255 -111.032 235.968 1.0 51.22768  ? 468 GLY E C   468 GLY E C   1 
ATOM 10791 O O   . GLY B 2 467 ? 289.564 -111.150 234.952 1.0 51.22768  ? 468 GLY E O   468 GLY E O   1 
ATOM 10792 N N   . ALA B 2 468 ? 289.780 -110.507 237.090 1.0 50.9441   ? 469 ALA E N   469 ALA E N   1 
ATOM 10793 C CA  . ALA B 2 468 ? 288.390 -110.123 237.246 1.0 50.9441   ? 469 ALA E CA  469 ALA E CA  1 
ATOM 10794 C C   . ALA B 2 468 ? 288.168 -108.684 236.811 1.0 50.9441   ? 469 ALA E C   469 ALA E C   1 
ATOM 10795 O O   . ALA B 2 468 ? 289.104 -107.918 236.585 1.0 50.9441   ? 469 ALA E O   469 ALA E O   1 
ATOM 10796 C CB  . ALA B 2 468 ? 287.949 -110.292 238.696 1.0 50.9441   ? 469 ALA E CB  469 ALA E CB  1 
ATOM 10797 N N   . ARG B 2 469 ? 286.900 -108.317 236.713 1.0 49.51562  ? 470 ARG E N   470 ARG E N   1 
ATOM 10798 C CA  . ARG B 2 469 ? 286.490 -106.946 236.437 1.0 49.51562  ? 470 ARG E CA  470 ARG E CA  1 
ATOM 10799 C C   . ARG B 2 469 ? 285.595 -106.549 237.601 1.0 49.51562  ? 470 ARG E C   470 ARG E C   1 
ATOM 10800 O O   . ARG B 2 469 ? 284.408 -106.879 237.617 1.0 49.51562  ? 470 ARG E O   470 ARG E O   1 
ATOM 10801 C CB  . ARG B 2 469 ? 285.784 -106.854 235.093 1.0 49.51562  ? 470 ARG E CB  470 ARG E CB  1 
ATOM 10802 C CG  . ARG B 2 469 ? 285.475 -105.453 234.634 1.0 49.51562  ? 470 ARG E CG  470 ARG E CG  1 
ATOM 10803 C CD  . ARG B 2 469 ? 284.032 -105.077 234.874 1.0 49.51562  ? 470 ARG E CD  470 ARG E CD  1 
ATOM 10804 N NE  . ARG B 2 469 ? 283.762 -103.758 234.325 1.0 49.51562  ? 470 ARG E NE  470 ARG E NE  1 
ATOM 10805 C CZ  . ARG B 2 469 ? 283.382 -103.547 233.077 1.0 49.51562  ? 470 ARG E CZ  470 ARG E CZ  1 
ATOM 10806 N NH1 . ARG B 2 469 ? 283.208 -104.574 232.262 1.0 49.51562  ? 470 ARG E NH1 470 ARG E NH1 1 
ATOM 10807 N NH2 . ARG B 2 469 ? 283.165 -102.314 232.647 1.0 49.51562  ? 470 ARG E NH2 470 ARG E NH2 1 
ATOM 10808 N N   . TRP B 2 470 ? 286.163 -105.850 238.580 1.0 50.40412  ? 471 TRP E N   471 TRP E N   1 
ATOM 10809 C CA  . TRP B 2 470 ? 285.501 -105.702 239.872 1.0 50.40412  ? 471 TRP E CA  471 TRP E CA  1 
ATOM 10810 C C   . TRP B 2 470 ? 286.043 -104.460 240.558 1.0 50.40412  ? 471 TRP E C   471 TRP E C   1 
ATOM 10811 O O   . TRP B 2 470 ? 287.224 -104.418 240.911 1.0 50.40412  ? 471 TRP E O   471 TRP E O   1 
ATOM 10812 C CB  . TRP B 2 470 ? 285.741 -106.937 240.725 1.0 50.40412  ? 471 TRP E CB  471 TRP E CB  1 
ATOM 10813 C CG  . TRP B 2 470 ? 285.072 -106.918 242.051 1.0 50.40412  ? 471 TRP E CG  471 TRP E CG  1 
ATOM 10814 C CD1 . TRP B 2 470 ? 285.633 -106.585 243.242 1.0 50.40412  ? 471 TRP E CD1 471 TRP E CD1 1 
ATOM 10815 C CD2 . TRP B 2 470 ? 283.725 -107.299 242.334 1.0 50.40412  ? 471 TRP E CD2 471 TRP E CD2 1 
ATOM 10816 N NE1 . TRP B 2 470 ? 284.709 -106.701 244.249 1.0 50.40412  ? 471 TRP E NE1 471 TRP E NE1 1 
ATOM 10817 C CE2 . TRP B 2 470 ? 283.528 -107.140 243.715 1.0 50.40412  ? 471 TRP E CE2 471 TRP E CE2 1 
ATOM 10818 C CE3 . TRP B 2 470 ? 282.664 -107.752 241.550 1.0 50.40412  ? 471 TRP E CE3 471 TRP E CE3 1 
ATOM 10819 C CZ2 . TRP B 2 470 ? 282.320 -107.429 244.330 1.0 50.40412  ? 471 TRP E CZ2 471 TRP E CZ2 1 
ATOM 10820 C CZ3 . TRP B 2 470 ? 281.466 -108.024 242.158 1.0 50.40412  ? 471 TRP E CZ3 471 TRP E CZ3 1 
ATOM 10821 C CH2 . TRP B 2 470 ? 281.302 -107.867 243.536 1.0 50.40412  ? 471 TRP E CH2 471 TRP E CH2 1 
ATOM 10822 N N   . SER B 2 471 ? 285.187 -103.463 240.750 1.0 51.15175  ? 472 SER E N   472 SER E N   1 
ATOM 10823 C CA  . SER B 2 471 ? 285.555 -102.324 241.574 1.0 51.15175  ? 472 SER E CA  472 SER E CA  1 
ATOM 10824 C C   . SER B 2 471 ? 285.632 -102.751 243.029 1.0 51.15175  ? 472 SER E C   472 SER E C   1 
ATOM 10825 O O   . SER B 2 471 ? 284.902 -103.642 243.466 1.0 51.15175  ? 472 SER E O   472 SER E O   1 
ATOM 10826 C CB  . SER B 2 471 ? 284.531 -101.209 241.434 1.0 51.15175  ? 472 SER E CB  472 SER E CB  1 
ATOM 10827 O OG  . SER B 2 471 ? 283.311 -101.614 242.020 1.0 51.15175  ? 472 SER E OG  472 SER E OG  1 
ATOM 10828 N N   . LEU B 2 472 ? 286.519 -102.099 243.778 1.0 54.32146  ? 473 LEU E N   473 LEU E N   1 
ATOM 10829 C CA  . LEU B 2 472 ? 286.733 -102.449 245.176 1.0 54.32146  ? 473 LEU E CA  473 LEU E CA  1 
ATOM 10830 C C   . LEU B 2 472 ? 285.492 -102.167 246.009 1.0 54.32146  ? 473 LEU E C   473 LEU E C   1 
ATOM 10831 O O   . LEU B 2 472 ? 284.783 -101.185 245.781 1.0 54.32146  ? 473 LEU E O   473 LEU E O   1 
ATOM 10832 C CB  . LEU B 2 472 ? 287.913 -101.673 245.749 1.0 54.32146  ? 473 LEU E CB  473 LEU E CB  1 
ATOM 10833 C CG  . LEU B 2 472 ? 289.303 -101.995 245.224 1.0 54.32146  ? 473 LEU E CG  473 LEU E CG  1 
ATOM 10834 C CD1 . LEU B 2 472 ? 290.290 -101.065 245.881 1.0 54.32146  ? 473 LEU E CD1 473 LEU E CD1 1 
ATOM 10835 C CD2 . LEU B 2 472 ? 289.641 -103.440 245.512 1.0 54.32146  ? 473 LEU E CD2 473 LEU E CD2 1 
ATOM 10836 N N   . ASP B 2 473 ? 285.234 -103.044 246.981 1.0 55.12808  ? 474 ASP E N   474 ASP E N   1 
ATOM 10837 C CA  . ASP B 2 473 ? 284.027 -102.942 247.791 1.0 55.12808  ? 474 ASP E CA  474 ASP E CA  1 
ATOM 10838 C C   . ASP B 2 473 ? 284.049 -101.739 248.720 1.0 55.12808  ? 474 ASP E C   474 ASP E C   1 
ATOM 10839 O O   . ASP B 2 473 ? 282.990 -101.317 249.192 1.0 55.12808  ? 474 ASP E O   474 ASP E O   1 
ATOM 10840 C CB  . ASP B 2 473 ? 283.834 -104.221 248.606 1.0 55.12808  ? 474 ASP E CB  474 ASP E CB  1 
ATOM 10841 C CG  . ASP B 2 473 ? 283.505 -105.418 247.739 1.0 55.12808  ? 474 ASP E CG  474 ASP E CG  1 
ATOM 10842 O OD1 . ASP B 2 473 ? 282.912 -105.222 246.659 1.0 55.12808  ? 474 ASP E OD1 474 ASP E OD1 1 
ATOM 10843 O OD2 . ASP B 2 473 ? 283.836 -106.554 248.138 1.0 55.12808  ? 474 ASP E OD2 474 ASP E OD2 1 
ATOM 10844 N N   . VAL B 2 474 ? 285.225 -101.176 248.985 1.0 55.6571   ? 475 VAL E N   475 VAL E N   1 
ATOM 10845 C CA  . VAL B 2 474 ? 285.328 -99.977  249.802 1.0 55.6571   ? 475 VAL E CA  475 VAL E CA  1 
ATOM 10846 C C   . VAL B 2 474 ? 285.498 -98.715  248.967 1.0 55.6571   ? 475 VAL E C   475 VAL E C   1 
ATOM 10847 O O   . VAL B 2 474 ? 285.352 -97.608  249.505 1.0 55.6571   ? 475 VAL E O   475 VAL E O   1 
ATOM 10848 C CB  . VAL B 2 474 ? 286.480 -100.120 250.812 1.0 55.6571   ? 475 VAL E CB  475 VAL E CB  1 
ATOM 10849 C CG1 . VAL B 2 474 ? 286.202 -101.304 251.710 1.0 55.6571   ? 475 VAL E CG1 475 VAL E CG1 1 
ATOM 10850 C CG2 . VAL B 2 474 ? 287.789 -100.299 250.082 1.0 55.6571   ? 475 VAL E CG2 475 VAL E CG2 1 
ATOM 10851 N N   . MET B 2 475 ? 285.792 -98.842  247.679 1.0 55.02502  ? 476 MET E N   476 MET E N   1 
ATOM 10852 C CA  . MET B 2 475 ? 285.818 -97.707  246.771 1.0 55.02502  ? 476 MET E CA  476 MET E CA  1 
ATOM 10853 C C   . MET B 2 475 ? 284.479 -97.471  246.092 1.0 55.02502  ? 476 MET E C   476 MET E C   1 
ATOM 10854 O O   . MET B 2 475 ? 284.393 -96.615  245.206 1.0 55.02502  ? 476 MET E O   476 MET E O   1 
ATOM 10855 C CB  . MET B 2 475 ? 286.896 -97.907  245.706 1.0 55.02502  ? 476 MET E CB  476 MET E CB  1 
ATOM 10856 C CG  . MET B 2 475 ? 288.308 -97.874  246.237 1.0 55.02502  ? 476 MET E CG  476 MET E CG  1 
ATOM 10857 S SD  . MET B 2 475 ? 288.721 -96.271  246.926 1.0 55.02502  ? 476 MET E SD  476 MET E SD  1 
ATOM 10858 C CE  . MET B 2 475 ? 288.752 -95.286  245.434 1.0 55.02502  ? 476 MET E CE  476 MET E CE  1 
ATOM 10859 N N   . ASP B 2 476 ? 283.441 -98.218  246.469 1.0 54.18774  ? 477 ASP E N   477 ASP E N   1 
ATOM 10860 C CA  . ASP B 2 476 ? 282.133 -98.023  245.857 1.0 54.18774  ? 477 ASP E CA  477 ASP E CA  1 
ATOM 10861 C C   . ASP B 2 476 ? 281.467 -96.756  246.368 1.0 54.18774  ? 477 ASP E C   477 ASP E C   1 
ATOM 10862 O O   . ASP B 2 476 ? 280.799 -96.049  245.607 1.0 54.18774  ? 477 ASP E O   477 ASP E O   1 
ATOM 10863 C CB  . ASP B 2 476 ? 281.242 -99.228  246.132 1.0 54.18774  ? 477 ASP E CB  477 ASP E CB  1 
ATOM 10864 C CG  . ASP B 2 476 ? 281.686 -100.452 245.385 1.0 54.18774  ? 477 ASP E CG  477 ASP E CG  1 
ATOM 10865 O OD1 . ASP B 2 476 ? 282.247 -100.292 244.283 1.0 54.18774  ? 477 ASP E OD1 477 ASP E OD1 1 
ATOM 10866 O OD2 . ASP B 2 476 ? 281.485 -101.568 245.901 1.0 54.18774  ? 477 ASP E OD2 477 ASP E OD2 1 
ATOM 10867 N N   . THR B 2 477 ? 281.625 -96.460  247.649 1.0 51.81289  ? 478 THR E N   478 THR E N   1 
ATOM 10868 C CA  . THR B 2 477 ? 280.961 -95.321  248.253 1.0 51.81289  ? 478 THR E CA  478 THR E CA  1 
ATOM 10869 C C   . THR B 2 477 ? 281.852 -94.092  248.341 1.0 51.81289  ? 478 THR E C   478 THR E C   1 
ATOM 10870 O O   . THR B 2 477 ? 281.401 -93.052  248.827 1.0 51.81289  ? 478 THR E O   478 THR E O   1 
ATOM 10871 C CB  . THR B 2 477 ? 280.463 -95.691  249.642 1.0 51.81289  ? 478 THR E CB  478 THR E CB  1 
ATOM 10872 O OG1 . THR B 2 477 ? 279.702 -94.600  250.173 1.0 51.81289  ? 478 THR E OG1 478 THR E OG1 1 
ATOM 10873 C CG2 . THR B 2 477 ? 281.631 -95.967  250.557 1.0 51.81289  ? 478 THR E CG2 478 THR E CG2 1 
ATOM 10874 N N   . VAL B 2 478 ? 283.097 -94.188  247.902 1.0 50.06863  ? 479 VAL E N   479 VAL E N   1 
ATOM 10875 C CA  . VAL B 2 478 ? 283.978 -93.034  247.798 1.0 50.06863  ? 479 VAL E CA  479 VAL E CA  1 
ATOM 10876 C C   . VAL B 2 478 ? 283.651 -92.320  246.494 1.0 50.06863  ? 479 VAL E C   479 VAL E C   1 
ATOM 10877 O O   . VAL B 2 478 ? 283.460 -92.970  245.460 1.0 50.06863  ? 479 VAL E O   479 VAL E O   1 
ATOM 10878 C CB  . VAL B 2 478 ? 285.452 -93.468  247.853 1.0 50.06863  ? 479 VAL E CB  479 VAL E CB  1 
ATOM 10879 C CG1 . VAL B 2 478 ? 286.383 -92.281  247.712 1.0 50.06863  ? 479 VAL E CG1 479 VAL E CG1 1 
ATOM 10880 C CG2 . VAL B 2 478 ? 285.730 -94.206  249.149 1.0 50.06863  ? 479 VAL E CG2 479 VAL E CG2 1 
ATOM 10881 N N   . ASN B 2 479 ? 283.549 -90.994  246.555 1.0 46.80251  ? 480 ASN E N   480 ASN E N   1 
ATOM 10882 C CA  . ASN B 2 479 ? 283.180 -90.152  245.423 1.0 46.80251  ? 480 ASN E CA  480 ASN E CA  1 
ATOM 10883 C C   . ASN B 2 479 ? 284.199 -90.289  244.295 1.0 46.80251  ? 480 ASN E C   480 ASN E C   1 
ATOM 10884 O O   . ASN B 2 479 ? 285.376 -89.958  244.492 1.0 46.80251  ? 480 ASN E O   480 ASN E O   1 
ATOM 10885 C CB  . ASN B 2 479 ? 283.090 -88.703  245.897 1.0 46.80251  ? 480 ASN E CB  480 ASN E CB  1 
ATOM 10886 C CG  . ASN B 2 479 ? 282.357 -87.806  244.926 1.0 46.80251  ? 480 ASN E CG  480 ASN E CG  1 
ATOM 10887 O OD1 . ASN B 2 479 ? 281.892 -88.247  243.881 1.0 46.80251  ? 480 ASN E OD1 480 ASN E OD1 1 
ATOM 10888 N ND2 . ASN B 2 479 ? 282.242 -86.536  245.274 1.0 46.80251  ? 480 ASN E ND2 480 ASN E ND2 1 
ATOM 10889 N N   . PRO B 2 480 ? 283.806 -90.791  243.121 1.0 46.00004  ? 481 PRO E N   481 PRO E N   1 
ATOM 10890 C CA  . PRO B 2 480 ? 284.770 -90.968  242.028 1.0 46.00004  ? 481 PRO E CA  481 PRO E CA  1 
ATOM 10891 C C   . PRO B 2 480 ? 285.163 -89.686  241.332 1.0 46.00004  ? 481 PRO E C   481 PRO E C   1 
ATOM 10892 O O   . PRO B 2 480 ? 286.100 -89.705  240.524 1.0 46.00004  ? 481 PRO E O   481 PRO E O   1 
ATOM 10893 C CB  . PRO B 2 480 ? 284.024 -91.882  241.058 1.0 46.00004  ? 481 PRO E CB  481 PRO E CB  1 
ATOM 10894 C CG  . PRO B 2 480 ? 282.606 -91.589  241.301 1.0 46.00004  ? 481 PRO E CG  481 PRO E CG  1 
ATOM 10895 C CD  . PRO B 2 480 ? 282.477 -91.306  242.763 1.0 46.00004  ? 481 PRO E CD  481 PRO E CD  1 
ATOM 10896 N N   . PHE B 2 481 ? 284.469 -88.590  241.592 1.0 45.67686  ? 482 PHE E N   482 PHE E N   1 
ATOM 10897 C CA  . PHE B 2 481 ? 284.768 -87.333  240.933 1.0 45.67686  ? 482 PHE E CA  482 PHE E CA  1 
ATOM 10898 C C   . PHE B 2 481 ? 285.807 -86.521  241.686 1.0 45.67686  ? 482 PHE E C   482 PHE E C   1 
ATOM 10899 O O   . PHE B 2 481 ? 286.366 -85.576  241.123 1.0 45.67686  ? 482 PHE E O   482 PHE E O   1 
ATOM 10900 C CB  . PHE B 2 481 ? 283.480 -86.529  240.763 1.0 45.67686  ? 482 PHE E CB  482 PHE E CB  1 
ATOM 10901 C CG  . PHE B 2 481 ? 282.463 -87.214  239.901 1.0 45.67686  ? 482 PHE E CG  482 PHE E CG  1 
ATOM 10902 C CD1 . PHE B 2 481 ? 282.527 -87.125  238.525 1.0 45.67686  ? 482 PHE E CD1 482 PHE E CD1 1 
ATOM 10903 C CD2 . PHE B 2 481 ? 281.458 -87.978  240.471 1.0 45.67686  ? 482 PHE E CD2 482 PHE E CD2 1 
ATOM 10904 C CE1 . PHE B 2 481 ? 281.600 -87.766  237.738 1.0 45.67686  ? 482 PHE E CE1 482 PHE E CE1 1 
ATOM 10905 C CE2 . PHE B 2 481 ? 280.533 -88.622  239.684 1.0 45.67686  ? 482 PHE E CE2 482 PHE E CE2 1 
ATOM 10906 C CZ  . PHE B 2 481 ? 280.601 -88.511  238.319 1.0 45.67686  ? 482 PHE E CZ  482 PHE E CZ  1 
ATOM 10907 N N   . ASN B 2 482 ? 286.081 -86.874  242.941 1.0 46.24381  ? 483 ASN E N   483 ASN E N   1 
ATOM 10908 C CA  . ASN B 2 482 ? 287.180 -86.281  243.693 1.0 46.24381  ? 483 ASN E CA  483 ASN E CA  1 
ATOM 10909 C C   . ASN B 2 482 ? 288.432 -87.086  243.373 1.0 46.24381  ? 483 ASN E C   483 ASN E C   1 
ATOM 10910 O O   . ASN B 2 482 ? 288.909 -87.905  244.159 1.0 46.24381  ? 483 ASN E O   483 ASN E O   1 
ATOM 10911 C CB  . ASN B 2 482 ? 286.876 -86.279  245.181 1.0 46.24381  ? 483 ASN E CB  483 ASN E CB  1 
ATOM 10912 C CG  . ASN B 2 482 ? 285.719 -85.386  245.529 1.0 46.24381  ? 483 ASN E CG  483 ASN E CG  1 
ATOM 10913 O OD1 . ASN B 2 482 ? 285.551 -84.315  244.950 1.0 46.24381  ? 483 ASN E OD1 483 ASN E OD1 1 
ATOM 10914 N ND2 . ASN B 2 482 ? 284.922 -85.810  246.495 1.0 46.24381  ? 483 ASN E ND2 483 ASN E ND2 1 
ATOM 10915 N N   . HIS B 2 483 ? 288.966 -86.839  242.184 1.0 46.40087  ? 484 HIS E N   484 HIS E N   1 
ATOM 10916 C CA  . HIS B 2 483 ? 290.055 -87.631  241.643 1.0 46.40087  ? 484 HIS E CA  484 HIS E CA  1 
ATOM 10917 C C   . HIS B 2 483 ? 290.788 -86.759  240.639 1.0 46.40087  ? 484 HIS E C   484 HIS E C   1 
ATOM 10918 O O   . HIS B 2 483 ? 290.174 -85.924  239.975 1.0 46.40087  ? 484 HIS E O   484 HIS E O   1 
ATOM 10919 C CB  . HIS B 2 483 ? 289.511 -88.905  240.993 1.0 46.40087  ? 484 HIS E CB  484 HIS E CB  1 
ATOM 10920 C CG  . HIS B 2 483 ? 290.558 -89.915  240.657 1.0 46.40087  ? 484 HIS E CG  484 HIS E CG  1 
ATOM 10921 N ND1 . HIS B 2 483 ? 291.223 -89.926  239.453 1.0 46.40087  ? 484 HIS E ND1 484 HIS E ND1 1 
ATOM 10922 C CD2 . HIS B 2 483 ? 291.045 -90.958  241.367 1.0 46.40087  ? 484 HIS E CD2 484 HIS E CD2 1 
ATOM 10923 C CE1 . HIS B 2 483 ? 292.081 -90.929  239.437 1.0 46.40087  ? 484 HIS E CE1 484 HIS E CE1 1 
ATOM 10924 N NE2 . HIS B 2 483 ? 291.993 -91.571  240.586 1.0 46.40087  ? 484 HIS E NE2 484 HIS E NE2 1 
ATOM 10925 N N   . HIS B 2 484 ? 292.100 -86.949  240.528 1.0 49.31144  ? 485 HIS E N   485 HIS E N   1 
ATOM 10926 C CA  . HIS B 2 484 ? 292.889 -86.065  239.679 1.0 49.31144  ? 485 HIS E CA  485 HIS E CA  1 
ATOM 10927 C C   . HIS B 2 484 ? 292.813 -86.423  238.201 1.0 49.31144  ? 485 HIS E C   485 HIS E C   1 
ATOM 10928 O O   . HIS B 2 484 ? 293.493 -85.785  237.395 1.0 49.31144  ? 485 HIS E O   485 HIS E O   1 
ATOM 10929 C CB  . HIS B 2 484 ? 294.350 -86.044  240.125 1.0 49.31144  ? 485 HIS E CB  485 HIS E CB  1 
ATOM 10930 C CG  . HIS B 2 484 ? 295.073 -87.332  239.898 1.0 49.31144  ? 485 HIS E CG  485 HIS E CG  1 
ATOM 10931 N ND1 . HIS B 2 484 ? 294.980 -88.397  240.764 1.0 49.31144  ? 485 HIS E ND1 485 HIS E ND1 1 
ATOM 10932 C CD2 . HIS B 2 484 ? 295.907 -87.723  238.906 1.0 49.31144  ? 485 HIS E CD2 485 HIS E CD2 1 
ATOM 10933 C CE1 . HIS B 2 484 ? 295.726 -89.390  240.315 1.0 49.31144  ? 485 HIS E CE1 485 HIS E CE1 1 
ATOM 10934 N NE2 . HIS B 2 484 ? 296.298 -89.007  239.188 1.0 49.31144  ? 485 HIS E NE2 485 HIS E NE2 1 
ATOM 10935 N N   . ARG B 2 485 ? 292.021 -87.421  237.822 1.0 50.48929  ? 486 ARG E N   486 ARG E N   1 
ATOM 10936 C CA  . ARG B 2 485 ? 291.708 -87.666  236.424 1.0 50.48929  ? 486 ARG E CA  486 ARG E CA  1 
ATOM 10937 C C   . ARG B 2 485 ? 290.348 -87.116  236.037 1.0 50.48929  ? 486 ARG E C   486 ARG E C   1 
ATOM 10938 O O   . ARG B 2 485 ? 289.844 -87.438  234.957 1.0 50.48929  ? 486 ARG E O   486 ARG E O   1 
ATOM 10939 C CB  . ARG B 2 485 ? 291.779 -89.157  236.111 1.0 50.48929  ? 486 ARG E CB  486 ARG E CB  1 
ATOM 10940 C CG  . ARG B 2 485 ? 293.182 -89.713  236.113 1.0 50.48929  ? 486 ARG E CG  486 ARG E CG  1 
ATOM 10941 C CD  . ARG B 2 485 ? 293.168 -91.159  235.688 1.0 50.48929  ? 486 ARG E CD  486 ARG E CD  1 
ATOM 10942 N NE  . ARG B 2 485 ? 294.486 -91.775  235.768 1.0 50.48929  ? 486 ARG E NE  486 ARG E NE  1 
ATOM 10943 C CZ  . ARG B 2 485 ? 295.368 -91.788  234.777 1.0 50.48929  ? 486 ARG E CZ  486 ARG E CZ  1 
ATOM 10944 N NH1 . ARG B 2 485 ? 295.077 -91.214  233.621 1.0 50.48929  ? 486 ARG E NH1 486 ARG E NH1 1 
ATOM 10945 N NH2 . ARG B 2 485 ? 296.543 -92.377  234.946 1.0 50.48929  ? 486 ARG E NH2 486 ARG E NH2 1 
ATOM 10946 N N   . ASN B 2 486 ? 289.744 -86.297  236.891 1.0 48.5222   ? 487 ASN E N   487 ASN E N   1 
ATOM 10947 C CA  . ASN B 2 486 ? 288.537 -85.563  236.531 1.0 48.5222   ? 487 ASN E CA  487 ASN E CA  1 
ATOM 10948 C C   . ASN B 2 486 ? 288.950 -84.494  235.536 1.0 48.5222   ? 487 ASN E C   487 ASN E C   1 
ATOM 10949 O O   . ASN B 2 486 ? 289.375 -83.404  235.921 1.0 48.5222   ? 487 ASN E O   487 ASN E O   1 
ATOM 10950 C CB  . ASN B 2 486 ? 287.889 -84.953  237.768 1.0 48.5222   ? 487 ASN E CB  487 ASN E CB  1 
ATOM 10951 C CG  . ASN B 2 486 ? 286.508 -84.396  237.497 1.0 48.5222   ? 487 ASN E CG  487 ASN E CG  1 
ATOM 10952 O OD1 . ASN B 2 486 ? 286.005 -84.456  236.379 1.0 48.5222   ? 487 ASN E OD1 487 ASN E OD1 1 
ATOM 10953 N ND2 . ASN B 2 486 ? 285.886 -83.842  238.526 1.0 48.5222   ? 487 ASN E ND2 487 ASN E ND2 1 
ATOM 10954 N N   . THR B 2 487 ? 288.825 -84.817  234.246 1.0 48.47922  ? 488 THR E N   488 THR E N   1 
ATOM 10955 C CA  . THR B 2 487 ? 289.327 -83.966  233.176 1.0 48.47922  ? 488 THR E CA  488 THR E CA  1 
ATOM 10956 C C   . THR B 2 487 ? 288.572 -82.647  233.098 1.0 48.47922  ? 488 THR E C   488 THR E C   1 
ATOM 10957 O O   . THR B 2 487 ? 289.151 -81.637  232.686 1.0 48.47922  ? 488 THR E O   488 THR E O   1 
ATOM 10958 C CB  . THR B 2 487 ? 289.234 -84.728  231.852 1.0 48.47922  ? 488 THR E CB  488 THR E CB  1 
ATOM 10959 O OG1 . THR B 2 487 ? 289.816 -86.023  232.022 1.0 48.47922  ? 488 THR E OG1 488 THR E OG1 1 
ATOM 10960 C CG2 . THR B 2 487 ? 290.010 -84.030  230.751 1.0 48.47922  ? 488 THR E CG2 488 THR E CG2 1 
ATOM 10961 N N   . GLY B 2 488 ? 287.314 -82.624  233.535 1.0 47.10161  ? 489 GLY E N   489 GLY E N   1 
ATOM 10962 C CA  . GLY B 2 488 ? 286.578 -81.372  233.577 1.0 47.10161  ? 489 GLY E CA  489 GLY E CA  1 
ATOM 10963 C C   . GLY B 2 488 ? 287.139 -80.399  234.595 1.0 47.10161  ? 489 GLY E C   489 GLY E C   1 
ATOM 10964 O O   . GLY B 2 488 ? 287.336 -79.220  234.296 1.0 47.10161  ? 489 GLY E O   489 GLY E O   1 
ATOM 10965 N N   . LEU B 2 489 ? 287.418 -80.879  235.807 1.0 44.63196  ? 490 LEU E N   490 LEU E N   1 
ATOM 10966 C CA  . LEU B 2 489 ? 288.015 -80.010  236.817 1.0 44.63196  ? 490 LEU E CA  490 LEU E CA  1 
ATOM 10967 C C   . LEU B 2 489 ? 289.475 -79.723  236.506 1.0 44.63196  ? 490 LEU E C   490 LEU E C   1 
ATOM 10968 O O   . LEU B 2 489 ? 289.977 -78.638  236.819 1.0 44.63196  ? 490 LEU E O   490 LEU E O   1 
ATOM 10969 C CB  . LEU B 2 489 ? 287.871 -80.642  238.196 1.0 44.63196  ? 490 LEU E CB  490 LEU E CB  1 
ATOM 10970 C CG  . LEU B 2 489 ? 288.389 -79.861  239.395 1.0 44.63196  ? 490 LEU E CG  490 LEU E CG  1 
ATOM 10971 C CD1 . LEU B 2 489 ? 287.747 -78.501  239.424 1.0 44.63196  ? 490 LEU E CD1 490 LEU E CD1 1 
ATOM 10972 C CD2 . LEU B 2 489 ? 288.034 -80.622  240.640 1.0 44.63196  ? 490 LEU E CD2 490 LEU E CD2 1 
ATOM 10973 N N   . LYS B 2 490 ? 290.158 -80.674  235.875 1.0 45.2036   ? 491 LYS E N   491 LYS E N   1 
ATOM 10974 C CA  . LYS B 2 490 ? 291.517 -80.451  235.401 1.0 45.2036   ? 491 LYS E CA  491 LYS E CA  1 
ATOM 10975 C C   . LYS B 2 490 ? 291.558 -79.391  234.309 1.0 45.2036   ? 491 LYS E C   491 LYS E C   1 
ATOM 10976 O O   . LYS B 2 490 ? 292.545 -78.659  234.193 1.0 45.2036   ? 491 LYS E O   491 LYS E O   1 
ATOM 10977 C CB  . LYS B 2 490 ? 292.076 -81.777  234.902 1.0 45.2036   ? 491 LYS E CB  491 LYS E CB  1 
ATOM 10978 C CG  . LYS B 2 490 ? 293.504 -81.802  234.459 1.0 45.2036   ? 491 LYS E CG  491 LYS E CG  1 
ATOM 10979 C CD  . LYS B 2 490 ? 293.818 -83.225  234.058 1.0 45.2036   ? 491 LYS E CD  491 LYS E CD  1 
ATOM 10980 C CE  . LYS B 2 490 ? 295.251 -83.403  233.657 1.0 45.2036   ? 491 LYS E CE  491 LYS E CE  1 
ATOM 10981 N NZ  . LYS B 2 490 ? 295.558 -82.677  232.395 1.0 45.2036   ? 491 LYS E NZ  491 LYS E NZ  1 
ATOM 10982 N N   . TYR B 2 491 ? 290.493 -79.283  233.516 1.0 45.06396  ? 492 TYR E N   492 TYR E N   1 
ATOM 10983 C CA  . TYR B 2 491 ? 290.391 -78.231  232.513 1.0 45.06396  ? 492 TYR E CA  492 TYR E CA  1 
ATOM 10984 C C   . TYR B 2 491 ? 290.039 -76.895  233.145 1.0 45.06396  ? 492 TYR E C   492 TYR E C   1 
ATOM 10985 O O   . TYR B 2 491 ? 290.579 -75.861  232.748 1.0 45.06396  ? 492 TYR E O   492 TYR E O   1 
ATOM 10986 C CB  . TYR B 2 491 ? 289.343 -78.614  231.472 1.0 45.06396  ? 492 TYR E CB  492 TYR E CB  1 
ATOM 10987 C CG  . TYR B 2 491 ? 289.120 -77.614  230.366 1.0 45.06396  ? 492 TYR E CG  492 TYR E CG  1 
ATOM 10988 C CD1 . TYR B 2 491 ? 289.986 -77.535  229.292 1.0 45.06396  ? 492 TYR E CD1 492 TYR E CD1 1 
ATOM 10989 C CD2 . TYR B 2 491 ? 288.025 -76.761  230.389 1.0 45.06396  ? 492 TYR E CD2 492 TYR E CD2 1 
ATOM 10990 C CE1 . TYR B 2 491 ? 289.771 -76.634  228.276 1.0 45.06396  ? 492 TYR E CE1 492 TYR E CE1 1 
ATOM 10991 C CE2 . TYR B 2 491 ? 287.809 -75.851  229.379 1.0 45.06396  ? 492 TYR E CE2 492 TYR E CE2 1 
ATOM 10992 C CZ  . TYR B 2 491 ? 288.687 -75.793  228.326 1.0 45.06396  ? 492 TYR E CZ  492 TYR E CZ  1 
ATOM 10993 O OH  . TYR B 2 491 ? 288.484 -74.893  227.309 1.0 45.06396  ? 492 TYR E OH  492 TYR E OH  1 
ATOM 10994 N N   . ARG B 2 492 ? 289.136 -76.893  234.127 1.0 43.15686  ? 493 ARG E N   493 ARG E N   1 
ATOM 10995 C CA  . ARG B 2 492 ? 288.694 -75.641  234.727 1.0 43.15686  ? 493 ARG E CA  493 ARG E CA  1 
ATOM 10996 C C   . ARG B 2 492 ? 289.718 -75.056  235.684 1.0 43.15686  ? 493 ARG E C   493 ARG E C   1 
ATOM 10997 O O   . ARG B 2 492 ? 289.617 -73.877  236.029 1.0 43.15686  ? 493 ARG E O   493 ARG E O   1 
ATOM 10998 C CB  . ARG B 2 492 ? 287.378 -75.841  235.468 1.0 43.15686  ? 493 ARG E CB  493 ARG E CB  1 
ATOM 10999 C CG  . ARG B 2 492 ? 286.205 -76.147  234.580 1.0 43.15686  ? 493 ARG E CG  493 ARG E CG  1 
ATOM 11000 C CD  . ARG B 2 492 ? 284.929 -76.114  235.380 1.0 43.15686  ? 493 ARG E CD  493 ARG E CD  1 
ATOM 11001 N NE  . ARG B 2 492 ? 284.940 -77.095  236.455 1.0 43.15686  ? 493 ARG E NE  493 ARG E NE  1 
ATOM 11002 C CZ  . ARG B 2 492 ? 284.533 -78.349  236.321 1.0 43.15686  ? 493 ARG E CZ  493 ARG E CZ  1 
ATOM 11003 N NH1 . ARG B 2 492 ? 284.081 -78.776  235.153 1.0 43.15686  ? 493 ARG E NH1 493 ARG E NH1 1 
ATOM 11004 N NH2 . ARG B 2 492 ? 284.577 -79.173  237.352 1.0 43.15686  ? 493 ARG E NH2 493 ARG E NH2 1 
ATOM 11005 N N   . SER B 2 493 ? 290.683 -75.847  236.136 1.0 44.6576   ? 494 SER E N   494 SER E N   1 
ATOM 11006 C CA  . SER B 2 493 ? 291.736 -75.314  236.987 1.0 44.6576   ? 494 SER E CA  494 SER E CA  1 
ATOM 11007 C C   . SER B 2 493 ? 292.883 -74.739  236.178 1.0 44.6576   ? 494 SER E C   494 SER E C   1 
ATOM 11008 O O   . SER B 2 493 ? 293.438 -73.700  236.542 1.0 44.6576   ? 494 SER E O   494 SER E O   1 
ATOM 11009 C CB  . SER B 2 493 ? 292.265 -76.399  237.916 1.0 44.6576   ? 494 SER E CB  494 SER E CB  1 
ATOM 11010 O OG  . SER B 2 493 ? 293.337 -75.905  238.692 1.0 44.6576   ? 494 SER E OG  494 SER E OG  1 
ATOM 11011 N N   . GLN B 2 494 ? 293.249 -75.400  235.085 1.0 45.65851  ? 495 GLN E N   495 GLN E N   1 
ATOM 11012 C CA  . GLN B 2 494 ? 294.298 -74.919  234.201 1.0 45.65851  ? 495 GLN E CA  495 GLN E CA  1 
ATOM 11013 C C   . GLN B 2 494 ? 293.849 -73.758  233.330 1.0 45.65851  ? 495 GLN E C   495 GLN E C   1 
ATOM 11014 O O   . GLN B 2 494 ? 294.698 -73.080  232.745 1.0 45.65851  ? 495 GLN E O   495 GLN E O   1 
ATOM 11015 C CB  . GLN B 2 494 ? 294.793 -76.064  233.322 1.0 45.65851  ? 495 GLN E CB  495 GLN E CB  1 
ATOM 11016 C CG  . GLN B 2 494 ? 295.513 -77.136  234.100 1.0 45.65851  ? 495 GLN E CG  495 GLN E CG  1 
ATOM 11017 C CD  . GLN B 2 494 ? 295.953 -78.290  233.237 1.0 45.65851  ? 495 GLN E CD  495 GLN E CD  1 
ATOM 11018 O OE1 . GLN B 2 494 ? 295.633 -78.355  232.052 1.0 45.65851  ? 495 GLN E OE1 495 GLN E OE1 1 
ATOM 11019 N NE2 . GLN B 2 494 ? 296.700 -79.211  233.826 1.0 45.65851  ? 495 GLN E NE2 495 GLN E NE2 1 
ATOM 11020 N N   . LEU B 2 495 ? 292.545 -73.516  233.232 1.0 44.10187  ? 496 LEU E N   496 LEU E N   1 
ATOM 11021 C CA  . LEU B 2 495 ? 292.035 -72.412  232.436 1.0 44.10187  ? 496 LEU E CA  496 LEU E CA  1 
ATOM 11022 C C   . LEU B 2 495 ? 292.209 -71.071  233.135 1.0 44.10187  ? 496 LEU E C   496 LEU E C   1 
ATOM 11023 O O   . LEU B 2 495 ? 292.220 -70.033  232.468 1.0 44.10187  ? 496 LEU E O   496 LEU E O   1 
ATOM 11024 C CB  . LEU B 2 495 ? 290.563 -72.665  232.112 1.0 44.10187  ? 496 LEU E CB  496 LEU E CB  1 
ATOM 11025 C CG  . LEU B 2 495 ? 289.845 -71.819  231.071 1.0 44.10187  ? 496 LEU E CG  496 LEU E CG  1 
ATOM 11026 C CD1 . LEU B 2 495 ? 290.500 -72.011  229.726 1.0 44.10187  ? 496 LEU E CD1 496 LEU E CD1 1 
ATOM 11027 C CD2 . LEU B 2 495 ? 288.389 -72.213  231.009 1.0 44.10187  ? 496 LEU E CD2 496 LEU E CD2 1 
ATOM 11028 N N   . LEU B 2 496 ? 292.364 -71.070  234.457 1.0 44.52296  ? 497 LEU E N   497 LEU E N   1 
ATOM 11029 C CA  . LEU B 2 496 ? 292.632 -69.847  235.204 1.0 44.52296  ? 497 LEU E CA  497 LEU E CA  1 
ATOM 11030 C C   . LEU B 2 496 ? 294.119 -69.557  235.337 1.0 44.52296  ? 497 LEU E C   497 LEU E C   1 
ATOM 11031 O O   . LEU B 2 496 ? 294.521 -68.390  235.344 1.0 44.52296  ? 497 LEU E O   497 LEU E O   1 
ATOM 11032 C CB  . LEU B 2 496 ? 292.024 -69.927  236.600 1.0 44.52296  ? 497 LEU E CB  497 LEU E CB  1 
ATOM 11033 C CG  . LEU B 2 496 ? 290.579 -69.553  236.894 1.0 44.52296  ? 497 LEU E CG  497 LEU E CG  1 
ATOM 11034 C CD1 . LEU B 2 496 ? 289.594 -70.556  236.333 1.0 44.52296  ? 497 LEU E CD1 497 LEU E CD1 1 
ATOM 11035 C CD2 . LEU B 2 496 ? 290.441 -69.449  238.394 1.0 44.52296  ? 497 LEU E CD2 497 LEU E CD2 1 
ATOM 11036 N N   . GLY B 2 497 ? 294.937 -70.589  235.464 1.0 46.06879  ? 498 GLY E N   498 GLY E N   1 
ATOM 11037 C CA  . GLY B 2 497 ? 296.366 -70.419  235.614 1.0 46.06879  ? 498 GLY E CA  498 GLY E CA  1 
ATOM 11038 C C   . GLY B 2 497 ? 296.972 -71.591  236.360 1.0 46.06879  ? 498 GLY E C   498 GLY E C   1 
ATOM 11039 O O   . GLY B 2 497 ? 296.349 -72.631  236.529 1.0 46.06879  ? 498 GLY E O   498 GLY E O   1 
ATOM 11040 N N   . ASN B 2 498 ? 298.212 -71.390  236.810 1.0 49.19929  ? 499 ASN E N   499 ASN E N   1 
ATOM 11041 C CA  . ASN B 2 498 ? 298.975 -72.407  237.517 1.0 49.19929  ? 499 ASN E CA  499 ASN E CA  1 
ATOM 11042 C C   . ASN B 2 498 ? 299.424 -72.011  238.915 1.0 49.19929  ? 499 ASN E C   499 ASN E C   1 
ATOM 11043 O O   . ASN B 2 498 ? 299.766 -72.898  239.702 1.0 49.19929  ? 499 ASN E O   499 ASN E O   1 
ATOM 11044 C CB  . ASN B 2 498 ? 300.221 -72.797  236.712 1.0 49.19929  ? 499 ASN E CB  499 ASN E CB  1 
ATOM 11045 C CG  . ASN B 2 498 ? 301.083 -71.605  236.355 1.0 49.19929  ? 499 ASN E CG  499 ASN E CG  1 
ATOM 11046 O OD1 . ASN B 2 498 ? 300.740 -70.464  236.646 1.0 49.19929  ? 499 ASN E OD1 499 ASN E OD1 1 
ATOM 11047 N ND2 . ASN B 2 498 ? 302.230 -71.869  235.747 1.0 49.19929  ? 499 ASN E ND2 499 ASN E ND2 1 
ATOM 11048 N N   . GLY B 2 499 ? 299.462 -70.718  239.237 1.0 48.73846  ? 500 GLY E N   500 GLY E N   1 
ATOM 11049 C CA  . GLY B 2 499 ? 299.920 -70.268  240.532 1.0 48.73846  ? 500 GLY E CA  500 GLY E CA  1 
ATOM 11050 C C   . GLY B 2 499 ? 298.785 -70.099  241.519 1.0 48.73846  ? 500 GLY E C   500 GLY E C   1 
ATOM 11051 O O   . GLY B 2 499 ? 297.630 -70.411  241.249 1.0 48.73846  ? 500 GLY E O   500 GLY E O   1 
ATOM 11052 N N   . ARG B 2 500 ? 299.134 -69.593  242.699 1.0 51.52055  ? 501 ARG E N   501 ARG E N   1 
ATOM 11053 C CA  . ARG B 2 500 ? 298.124 -69.393  243.730 1.0 51.52055  ? 501 ARG E CA  501 ARG E CA  1 
ATOM 11054 C C   . ARG B 2 500 ? 297.326 -68.121  243.468 1.0 51.52055  ? 501 ARG E C   501 ARG E C   1 
ATOM 11055 O O   . ARG B 2 500 ? 296.104 -68.165  243.304 1.0 51.52055  ? 501 ARG E O   501 ARG E O   1 
ATOM 11056 C CB  . ARG B 2 500 ? 298.784 -69.369  245.111 1.0 51.52055  ? 501 ARG E CB  501 ARG E CB  1 
ATOM 11057 C CG  . ARG B 2 500 ? 297.803 -69.317  246.254 1.0 51.52055  ? 501 ARG E CG  501 ARG E CG  1 
ATOM 11058 C CD  . ARG B 2 500 ? 298.482 -69.440  247.602 1.0 51.52055  ? 501 ARG E CD  501 ARG E CD  1 
ATOM 11059 N NE  . ARG B 2 500 ? 299.346 -68.316  247.933 1.0 51.52055  ? 501 ARG E NE  501 ARG E NE  1 
ATOM 11060 C CZ  . ARG B 2 500 ? 300.101 -68.271  249.024 1.0 51.52055  ? 501 ARG E CZ  501 ARG E CZ  1 
ATOM 11061 N NH1 . ARG B 2 500 ? 300.078 -69.279  249.882 1.0 51.52055  ? 501 ARG E NH1 501 ARG E NH1 1 
ATOM 11062 N NH2 . ARG B 2 500 ? 300.869 -67.220  249.266 1.0 51.52055  ? 501 ARG E NH2 501 ARG E NH2 1 
ATOM 11063 N N   . TYR B 2 501 ? 298.003 -66.979  243.398 1.0 52.24676  ? 502 TYR E N   502 TYR E N   1 
ATOM 11064 C CA  . TYR B 2 501 ? 297.341 -65.704  243.148 1.0 52.24676  ? 502 TYR E CA  502 TYR E CA  1 
ATOM 11065 C C   . TYR B 2 501 ? 297.056 -65.566  241.658 1.0 52.24676  ? 502 TYR E C   502 TYR E C   1 
ATOM 11066 O O   . TYR B 2 501 ? 297.981 -65.567  240.841 1.0 52.24676  ? 502 TYR E O   502 TYR E O   1 
ATOM 11067 C CB  . TYR B 2 501 ? 298.213 -64.556  243.640 1.0 52.24676  ? 502 TYR E CB  502 TYR E CB  1 
ATOM 11068 C CG  . TYR B 2 501 ? 298.418 -64.545  245.130 1.0 52.24676  ? 502 TYR E CG  502 TYR E CG  1 
ATOM 11069 C CD1 . TYR B 2 501 ? 297.448 -64.032  245.976 1.0 52.24676  ? 502 TYR E CD1 502 TYR E CD1 1 
ATOM 11070 C CD2 . TYR B 2 501 ? 299.584 -65.041  245.692 1.0 52.24676  ? 502 TYR E CD2 502 TYR E CD2 1 
ATOM 11071 C CE1 . TYR B 2 501 ? 297.630 -64.017  247.340 1.0 52.24676  ? 502 TYR E CE1 502 TYR E CE1 1 
ATOM 11072 C CE2 . TYR B 2 501 ? 299.777 -65.025  247.052 1.0 52.24676  ? 502 TYR E CE2 502 TYR E CE2 1 
ATOM 11073 C CZ  . TYR B 2 501 ? 298.796 -64.516  247.871 1.0 52.24676  ? 502 TYR E CZ  502 TYR E CZ  1 
ATOM 11074 O OH  . TYR B 2 501 ? 298.987 -64.503  249.231 1.0 52.24676  ? 502 TYR E OH  502 TYR E OH  1 
ATOM 11075 N N   . CYS B 2 502 ? 295.782 -65.434  241.296 1.0 50.1602   ? 503 CYS E N   503 CYS E N   1 
ATOM 11076 C CA  . CYS B 2 502 ? 295.400 -65.314  239.898 1.0 50.1602   ? 503 CYS E CA  503 CYS E CA  1 
ATOM 11077 C C   . CYS B 2 502 ? 294.293 -64.284  239.745 1.0 50.1602   ? 503 CYS E C   503 CYS E C   1 
ATOM 11078 O O   . CYS B 2 502 ? 293.491 -64.067  240.655 1.0 50.1602   ? 503 CYS E O   503 CYS E O   1 
ATOM 11079 C CB  . CYS B 2 502 ? 294.938 -66.656  239.320 1.0 50.1602   ? 503 CYS E CB  503 CYS E CB  1 
ATOM 11080 S SG  . CYS B 2 502 ? 293.436 -67.311  240.055 1.0 50.1602   ? 503 CYS E SG  503 CYS E SG  1 
ATOM 11081 N N   . ASP B 2 503 ? 294.270 -63.642  238.582 1.0 48.7906   ? 504 ASP E N   504 ASP E N   1 
ATOM 11082 C CA  . ASP B 2 503 ? 293.195 -62.745  238.191 1.0 48.7906   ? 504 ASP E CA  504 ASP E CA  1 
ATOM 11083 C C   . ASP B 2 503 ? 292.257 -63.495  237.264 1.0 48.7906   ? 504 ASP E C   504 ASP E C   1 
ATOM 11084 O O   . ASP B 2 503 ? 292.689 -64.023  236.235 1.0 48.7906   ? 504 ASP E O   504 ASP E O   1 
ATOM 11085 C CB  . ASP B 2 503 ? 293.735 -61.505  237.481 1.0 48.7906   ? 504 ASP E CB  504 ASP E CB  1 
ATOM 11086 C CG  . ASP B 2 503 ? 294.550 -60.624  238.390 1.0 48.7906   ? 504 ASP E CG  504 ASP E CG  1 
ATOM 11087 O OD1 . ASP B 2 503 ? 294.303 -60.646  239.611 1.0 48.7906   ? 504 ASP E OD1 504 ASP E OD1 1 
ATOM 11088 O OD2 . ASP B 2 503 ? 295.434 -59.902  237.884 1.0 48.7906   ? 504 ASP E OD2 504 ASP E OD2 1 
ATOM 11089 N N   . PHE B 2 504 ? 290.983 -63.545  237.622 1.0 43.93692  ? 505 PHE E N   505 PHE E N   1 
ATOM 11090 C CA  . PHE B 2 504 ? 289.992 -64.218  236.805 1.0 43.93692  ? 505 PHE E CA  505 PHE E CA  1 
ATOM 11091 C C   . PHE B 2 504 ? 289.096 -63.184  236.145 1.0 43.93692  ? 505 PHE E C   505 PHE E C   1 
ATOM 11092 O O   . PHE B 2 504 ? 288.819 -62.129  236.721 1.0 43.93692  ? 505 PHE E O   505 PHE E O   1 
ATOM 11093 C CB  . PHE B 2 504 ? 289.172 -65.221  237.627 1.0 43.93692  ? 505 PHE E CB  505 PHE E CB  1 
ATOM 11094 C CG  . PHE B 2 504 ? 288.347 -64.608  238.723 1.0 43.93692  ? 505 PHE E CG  505 PHE E CG  1 
ATOM 11095 C CD1 . PHE B 2 504 ? 288.894 -64.380  239.970 1.0 43.93692  ? 505 PHE E CD1 505 PHE E CD1 1 
ATOM 11096 C CD2 . PHE B 2 504 ? 287.005 -64.325  238.527 1.0 43.93692  ? 505 PHE E CD2 505 PHE E CD2 1 
ATOM 11097 C CE1 . PHE B 2 504 ? 288.134 -63.837  240.983 1.0 43.93692  ? 505 PHE E CE1 505 PHE E CE1 1 
ATOM 11098 C CE2 . PHE B 2 504 ? 286.242 -63.780  239.537 1.0 43.93692  ? 505 PHE E CE2 505 PHE E CE2 1 
ATOM 11099 C CZ  . PHE B 2 504 ? 286.807 -63.538  240.766 1.0 43.93692  ? 505 PHE E CZ  505 PHE E CZ  1 
ATOM 11100 N N   . HIS B 2 505 ? 288.673 -63.482  234.923 1.0 42.21928  ? 506 HIS E N   506 HIS E N   1 
ATOM 11101 C CA  . HIS B 2 505 ? 287.753 -62.634  234.171 1.0 42.21928  ? 506 HIS E CA  506 HIS E CA  1 
ATOM 11102 C C   . HIS B 2 505 ? 286.746 -63.584  233.532 1.0 42.21928  ? 506 HIS E C   506 HIS E C   1 
ATOM 11103 O O   . HIS B 2 505 ? 286.980 -64.102  232.439 1.0 42.21928  ? 506 HIS E O   506 HIS E O   1 
ATOM 11104 C CB  . HIS B 2 505 ? 288.481 -61.793  233.138 1.0 42.21928  ? 506 HIS E CB  506 HIS E CB  1 
ATOM 11105 C CG  . HIS B 2 505 ? 287.586 -60.870  232.380 1.0 42.21928  ? 506 HIS E CG  506 HIS E CG  1 
ATOM 11106 N ND1 . HIS B 2 505 ? 287.052 -59.731  232.939 1.0 42.21928  ? 506 HIS E ND1 506 HIS E ND1 1 
ATOM 11107 C CD2 . HIS B 2 505 ? 287.124 -60.919  231.111 1.0 42.21928  ? 506 HIS E CD2 506 HIS E CD2 1 
ATOM 11108 C CE1 . HIS B 2 505 ? 286.299 -59.116  232.045 1.0 42.21928  ? 506 HIS E CE1 506 HIS E CE1 1 
ATOM 11109 N NE2 . HIS B 2 505 ? 286.325 -59.817  230.927 1.0 42.21928  ? 506 HIS E NE2 506 HIS E NE2 1 
ATOM 11110 N N   . ILE B 2 506 ? 285.632 -63.805  234.218 1.0 39.47058  ? 507 ILE E N   507 ILE E N   1 
ATOM 11111 C CA  . ILE B 2 506 ? 284.700 -64.865  233.879 1.0 39.47058  ? 507 ILE E CA  507 ILE E CA  1 
ATOM 11112 C C   . ILE B 2 506 ? 283.392 -64.250  233.376 1.0 39.47058  ? 507 ILE E C   507 ILE E C   1 
ATOM 11113 O O   . ILE B 2 506 ? 283.204 -63.036  233.397 1.0 39.47058  ? 507 ILE E O   507 ILE E O   1 
ATOM 11114 C CB  . ILE B 2 506 ? 284.460 -65.795  235.076 1.0 39.47058  ? 507 ILE E CB  507 ILE E CB  1 
ATOM 11115 C CG1 . ILE B 2 506 ? 283.813 -65.012  236.202 1.0 39.47058  ? 507 ILE E CG1 507 ILE E CG1 1 
ATOM 11116 C CG2 . ILE B 2 506 ? 285.770 -66.347  235.582 1.0 39.47058  ? 507 ILE E CG2 507 ILE E CG2 1 
ATOM 11117 C CD1 . ILE B 2 506 ? 283.390 -65.840  237.359 1.0 39.47058  ? 507 ILE E CD1 507 ILE E CD1 1 
ATOM 11118 N N   . GLN B 2 507 ? 282.490 -65.113  232.895 1.0 39.72232  ? 508 GLN E N   508 GLN E N   1 
ATOM 11119 C CA  . GLN B 2 507 ? 281.158 -64.712  232.444 1.0 39.72232  ? 508 GLN E CA  508 GLN E CA  1 
ATOM 11120 C C   . GLN B 2 507 ? 280.160 -65.726  232.982 1.0 39.72232  ? 508 GLN E C   508 GLN E C   1 
ATOM 11121 O O   . GLN B 2 507 ? 280.178 -66.884  232.562 1.0 39.72232  ? 508 GLN E O   508 GLN E O   1 
ATOM 11122 C CB  . GLN B 2 507 ? 281.053 -64.647  230.923 1.0 39.72232  ? 508 GLN E CB  508 GLN E CB  1 
ATOM 11123 C CG  . GLN B 2 507 ? 281.839 -63.554  230.260 1.0 39.72232  ? 508 GLN E CG  508 GLN E CG  1 
ATOM 11124 C CD  . GLN B 2 507 ? 283.267 -63.946  229.989 1.0 39.72232  ? 508 GLN E CD  508 GLN E CD  1 
ATOM 11125 O OE1 . GLN B 2 507 ? 283.620 -65.124  230.004 1.0 39.72232  ? 508 GLN E OE1 508 GLN E OE1 1 
ATOM 11126 N NE2 . GLN B 2 507 ? 284.102 -62.957  229.735 1.0 39.72232  ? 508 GLN E NE2 508 GLN E NE2 1 
ATOM 11127 N N   . VAL B 2 508 ? 279.289 -65.308  233.891 1.0 38.50497  ? 509 VAL E N   509 VAL E N   1 
ATOM 11128 C CA  . VAL B 2 508 ? 278.364 -66.253  234.500 1.0 38.50497  ? 509 VAL E CA  509 VAL E CA  1 
ATOM 11129 C C   . VAL B 2 508 ? 276.987 -66.105  233.862 1.0 38.50497  ? 509 VAL E C   509 VAL E C   1 
ATOM 11130 O O   . VAL B 2 508 ? 276.618 -64.997  233.436 1.0 38.50497  ? 509 VAL E O   509 VAL E O   1 
ATOM 11131 C CB  . VAL B 2 508 ? 278.314 -66.094  236.027 1.0 38.50497  ? 509 VAL E CB  509 VAL E CB  1 
ATOM 11132 C CG1 . VAL B 2 508 ? 279.666 -66.399  236.623 1.0 38.50497  ? 509 VAL E CG1 509 VAL E CG1 1 
ATOM 11133 C CG2 . VAL B 2 508 ? 277.885 -64.722  236.406 1.0 38.50497  ? 509 VAL E CG2 509 VAL E CG2 1 
ATOM 11134 N N   . PRO B 2 509 ? 276.216 -67.194  233.734 1.0 40.32009  ? 510 PRO E N   510 PRO E N   1 
ATOM 11135 C CA  . PRO B 2 509 ? 274.908 -67.100  233.076 1.0 40.32009  ? 510 PRO E CA  510 PRO E CA  1 
ATOM 11136 C C   . PRO B 2 509 ? 273.797 -66.633  233.981 1.0 40.32009  ? 510 PRO E C   510 PRO E C   1 
ATOM 11137 O O   . PRO B 2 509 ? 274.048 -66.201  235.112 1.0 40.32009  ? 510 PRO E O   510 PRO E O   1 
ATOM 11138 C CB  . PRO B 2 509 ? 274.675 -68.533  232.567 1.0 40.32009  ? 510 PRO E CB  510 PRO E CB  1 
ATOM 11139 C CG  . PRO B 2 509 ? 275.381 -69.385  233.563 1.0 40.32009  ? 510 PRO E CG  510 PRO E CG  1 
ATOM 11140 C CD  . PRO B 2 509 ? 276.575 -68.600  234.009 1.0 40.32009  ? 510 PRO E CD  510 PRO E CD  1 
ATOM 11141 N N   . GLN B 2 510 ? 272.564 -66.720  233.501 1.0 41.42404  ? 511 GLN E N   511 GLN E N   1 
ATOM 11142 C CA  . GLN B 2 510 ? 271.374 -66.550  234.314 1.0 41.42404  ? 511 GLN E CA  511 GLN E CA  1 
ATOM 11143 C C   . GLN B 2 510 ? 270.536 -67.814  234.209 1.0 41.42404  ? 511 GLN E C   511 GLN E C   1 
ATOM 11144 O O   . GLN B 2 510 ? 269.919 -68.077  233.173 1.0 41.42404  ? 511 GLN E O   511 GLN E O   1 
ATOM 11145 C CB  . GLN B 2 510 ? 270.573 -65.335  233.874 1.0 41.42404  ? 511 GLN E CB  511 GLN E CB  1 
ATOM 11146 C CG  . GLN B 2 510 ? 269.310 -65.103  234.658 1.0 41.42404  ? 511 GLN E CG  511 GLN E CG  1 
ATOM 11147 C CD  . GLN B 2 510 ? 269.543 -64.924  236.139 1.0 41.42404  ? 511 GLN E CD  511 GLN E CD  1 
ATOM 11148 O OE1 . GLN B 2 510 ? 269.112 -65.743  236.947 1.0 41.42404  ? 511 GLN E OE1 511 GLN E OE1 1 
ATOM 11149 N NE2 . GLN B 2 510 ? 270.232 -63.854  236.507 1.0 41.42404  ? 511 GLN E NE2 511 GLN E NE2 1 
ATOM 11150 N N   . LYS B 2 511 ? 270.508 -68.605  235.284 1.0 40.43832  ? 512 LYS E N   512 LYS E N   1 
ATOM 11151 C CA  . LYS B 2 511 ? 269.945 -69.939  235.224 1.0 40.43832  ? 512 LYS E CA  512 LYS E CA  1 
ATOM 11152 C C   . LYS B 2 511 ? 268.536 -70.031  235.786 1.0 40.43832  ? 512 LYS E C   512 LYS E C   1 
ATOM 11153 O O   . LYS B 2 511 ? 267.961 -71.120  235.782 1.0 40.43832  ? 512 LYS E O   512 LYS E O   1 
ATOM 11154 C CB  . LYS B 2 511 ? 270.874 -70.911  235.948 1.0 40.43832  ? 512 LYS E CB  512 LYS E CB  1 
ATOM 11155 C CG  . LYS B 2 511 ? 272.243 -71.025  235.304 1.0 40.43832  ? 512 LYS E CG  512 LYS E CG  1 
ATOM 11156 C CD  . LYS B 2 511 ? 273.087 -72.086  235.976 1.0 40.43832  ? 512 LYS E CD  512 LYS E CD  1 
ATOM 11157 C CE  . LYS B 2 511 ? 273.594 -71.626  237.312 1.0 40.43832  ? 512 LYS E CE  512 LYS E CE  1 
ATOM 11158 N NZ  . LYS B 2 511 ? 274.530 -70.489  237.135 1.0 40.43832  ? 512 LYS E NZ  512 LYS E NZ  1 
ATOM 11159 N N   . PHE B 2 512 ? 267.962 -68.933  236.271 1.0 41.33383  ? 513 PHE E N   513 PHE E N   1 
ATOM 11160 C CA  . PHE B 2 512 ? 266.579 -68.963  236.721 1.0 41.33383  ? 513 PHE E CA  513 PHE E CA  1 
ATOM 11161 C C   . PHE B 2 512 ? 265.670 -68.909  235.505 1.0 41.33383  ? 513 PHE E C   513 PHE E C   1 
ATOM 11162 O O   . PHE B 2 512 ? 265.816 -68.033  234.651 1.0 41.33383  ? 513 PHE E O   513 PHE E O   1 
ATOM 11163 C CB  . PHE B 2 512 ? 266.279 -67.810  237.675 1.0 41.33383  ? 513 PHE E CB  513 PHE E CB  1 
ATOM 11164 C CG  . PHE B 2 512 ? 264.882 -67.829  238.221 1.0 41.33383  ? 513 PHE E CG  513 PHE E CG  1 
ATOM 11165 C CD1 . PHE B 2 512 ? 264.509 -68.762  239.171 1.0 41.33383  ? 513 PHE E CD1 513 PHE E CD1 1 
ATOM 11166 C CD2 . PHE B 2 512 ? 263.944 -66.913  237.787 1.0 41.33383  ? 513 PHE E CD2 513 PHE E CD2 1 
ATOM 11167 C CE1 . PHE B 2 512 ? 263.221 -68.784  239.668 1.0 41.33383  ? 513 PHE E CE1 513 PHE E CE1 1 
ATOM 11168 C CE2 . PHE B 2 512 ? 262.660 -66.927  238.287 1.0 41.33383  ? 513 PHE E CE2 513 PHE E CE2 1 
ATOM 11169 C CZ  . PHE B 2 512 ? 262.299 -67.864  239.225 1.0 41.33383  ? 513 PHE E CZ  513 PHE E CZ  1 
ATOM 11170 N N   . PHE B 2 513 ? 264.721 -69.841  235.443 1.0 41.00687  ? 514 PHE E N   514 PHE E N   1 
ATOM 11171 C CA  . PHE B 2 513 ? 264.068 -70.195  234.189 1.0 41.00687  ? 514 PHE E CA  514 PHE E CA  1 
ATOM 11172 C C   . PHE B 2 513 ? 263.069 -69.155  233.703 1.0 41.00687  ? 514 PHE E C   514 PHE E C   1 
ATOM 11173 O O   . PHE B 2 513 ? 262.772 -69.127  232.506 1.0 41.00687  ? 514 PHE E O   514 PHE E O   1 
ATOM 11174 C CB  . PHE B 2 513 ? 263.382 -71.556  234.331 1.0 41.00687  ? 514 PHE E CB  514 PHE E CB  1 
ATOM 11175 C CG  . PHE B 2 513 ? 262.242 -71.579  235.318 1.0 41.00687  ? 514 PHE E CG  514 PHE E CG  1 
ATOM 11176 C CD1 . PHE B 2 513 ? 262.477 -71.757  236.670 1.0 41.00687  ? 514 PHE E CD1 514 PHE E CD1 1 
ATOM 11177 C CD2 . PHE B 2 513 ? 260.932 -71.496  234.884 1.0 41.00687  ? 514 PHE E CD2 514 PHE E CD2 1 
ATOM 11178 C CE1 . PHE B 2 513 ? 261.435 -71.790  237.566 1.0 41.00687  ? 514 PHE E CE1 514 PHE E CE1 1 
ATOM 11179 C CE2 . PHE B 2 513 ? 259.895 -71.543  235.780 1.0 41.00687  ? 514 PHE E CE2 514 PHE E CE2 1 
ATOM 11180 C CZ  . PHE B 2 513 ? 260.144 -71.684  237.118 1.0 41.00687  ? 514 PHE E CZ  514 PHE E CZ  1 
ATOM 11181 N N   . ALA B 2 514 ? 262.536 -68.308  234.583 1.0 40.13312  ? 515 ALA E N   515 ALA E N   1 
ATOM 11182 C CA  . ALA B 2 514 ? 261.556 -67.329  234.124 1.0 40.13312  ? 515 ALA E CA  515 ALA E CA  1 
ATOM 11183 C C   . ALA B 2 514 ? 262.206 -66.139  233.435 1.0 40.13312  ? 515 ALA E C   515 ALA E C   1 
ATOM 11184 O O   . ALA B 2 514 ? 261.609 -65.558  232.524 1.0 40.13312  ? 515 ALA E O   515 ALA E O   1 
ATOM 11185 C CB  . ALA B 2 514 ? 260.695 -66.843  235.287 1.0 40.13312  ? 515 ALA E CB  515 ALA E CB  1 
ATOM 11186 N N   . ILE B 2 515 ? 263.409 -65.758  233.845 1.0 40.81959  ? 516 ILE E N   516 ILE E N   1 
ATOM 11187 C CA  . ILE B 2 515 ? 264.116 -64.642  233.240 1.0 40.81959  ? 516 ILE E CA  516 ILE E CA  1 
ATOM 11188 C C   . ILE B 2 515 ? 265.327 -65.124  232.448 1.0 40.81959  ? 516 ILE E C   516 ILE E C   1 
ATOM 11189 O O   . ILE B 2 515 ? 266.213 -64.337  232.129 1.0 40.81959  ? 516 ILE E O   516 ILE E O   1 
ATOM 11190 C CB  . ILE B 2 515 ? 264.522 -63.603  234.294 1.0 40.81959  ? 516 ILE E CB  516 ILE E CB  1 
ATOM 11191 C CG1 . ILE B 2 515 ? 265.460 -64.234  235.316 1.0 40.81959  ? 516 ILE E CG1 516 ILE E CG1 1 
ATOM 11192 C CG2 . ILE B 2 515 ? 263.298 -63.052  234.985 1.0 40.81959  ? 516 ILE E CG2 516 ILE E CG2 1 
ATOM 11193 C CD1 . ILE B 2 515 ? 266.121 -63.239  236.213 1.0 40.81959  ? 516 ILE E CD1 516 ILE E CD1 1 
ATOM 11194 N N   . LYS B 2 516 ? 265.370 -66.416  232.129 1.0 41.27546  ? 517 LYS E N   517 LYS E N   1 
ATOM 11195 C CA  . LYS B 2 516 ? 266.519 -66.982  231.435 1.0 41.27546  ? 517 LYS E CA  517 LYS E CA  1 
ATOM 11196 C C   . LYS B 2 516 ? 266.574 -66.511  229.992 1.0 41.27546  ? 517 LYS E C   517 LYS E C   1 
ATOM 11197 O O   . LYS B 2 516 ? 267.580 -65.946  229.553 1.0 41.27546  ? 517 LYS E O   517 LYS E O   1 
ATOM 11198 C CB  . LYS B 2 516 ? 266.452 -68.503  231.506 1.0 41.27546  ? 517 LYS E CB  517 LYS E CB  1 
ATOM 11199 C CG  . LYS B 2 516 ? 267.588 -69.243  230.862 1.0 41.27546  ? 517 LYS E CG  517 LYS E CG  1 
ATOM 11200 C CD  . LYS B 2 516 ? 267.393 -70.719  231.133 1.0 41.27546  ? 517 LYS E CD  517 LYS E CD  1 
ATOM 11201 C CE  . LYS B 2 516 ? 266.180 -71.216  230.376 1.0 41.27546  ? 517 LYS E CE  517 LYS E CE  1 
ATOM 11202 N NZ  . LYS B 2 516 ? 265.931 -72.656  230.566 1.0 41.27546  ? 517 LYS E NZ  517 LYS E NZ  1 
ATOM 11203 N N   . ASN B 2 517 ? 265.497 -66.723  229.242 1.0 38.95092  ? 518 ASN E N   518 ASN E N   1 
ATOM 11204 C CA  . ASN B 2 517 ? 265.380 -66.272  227.861 1.0 38.95092  ? 518 ASN E CA  518 ASN E CA  1 
ATOM 11205 C C   . ASN B 2 517 ? 264.033 -65.599  227.632 1.0 38.95092  ? 518 ASN E C   518 ASN E C   1 
ATOM 11206 O O   . ASN B 2 517 ? 263.322 -65.866  226.664 1.0 38.95092  ? 518 ASN E O   518 ASN E O   1 
ATOM 11207 C CB  . ASN B 2 517 ? 265.624 -67.424  226.889 1.0 38.95092  ? 518 ASN E CB  518 ASN E CB  1 
ATOM 11208 C CG  . ASN B 2 517 ? 264.783 -68.638  227.192 1.0 38.95092  ? 518 ASN E CG  518 ASN E CG  1 
ATOM 11209 O OD1 . ASN B 2 517 ? 263.974 -68.640  228.116 1.0 38.95092  ? 518 ASN E OD1 518 ASN E OD1 1 
ATOM 11210 N ND2 . ASN B 2 517 ? 264.969 -69.686  226.406 1.0 38.95092  ? 518 ASN E ND2 518 ASN E ND2 1 
ATOM 11211 N N   . LEU B 2 518 ? 263.670 -64.714  228.550 1.0 36.84969  ? 519 LEU E N   519 LEU E N   1 
ATOM 11212 C CA  . LEU B 2 518 ? 262.509 -63.856  228.373 1.0 36.84969  ? 519 LEU E CA  519 LEU E CA  1 
ATOM 11213 C C   . LEU B 2 518 ? 262.775 -62.794  227.317 1.0 36.84969  ? 519 LEU E C   519 LEU E C   1 
ATOM 11214 O O   . LEU B 2 518 ? 263.751 -62.048  227.409 1.0 36.84969  ? 519 LEU E O   519 LEU E O   1 
ATOM 11215 C CB  . LEU B 2 518 ? 262.163 -63.184  229.695 1.0 36.84969  ? 519 LEU E CB  519 LEU E CB  1 
ATOM 11216 C CG  . LEU B 2 518 ? 261.080 -62.112  229.655 1.0 36.84969  ? 519 LEU E CG  519 LEU E CG  1 
ATOM 11217 C CD1 . LEU B 2 518 ? 259.728 -62.668  229.256 1.0 36.84969  ? 519 LEU E CD1 519 LEU E CD1 1 
ATOM 11218 C CD2 . LEU B 2 518 ? 261.023 -61.402  230.992 1.0 36.84969  ? 519 LEU E CD2 519 LEU E CD2 1 
ATOM 11219 N N   . LEU B 2 519 ? 261.898 -62.708  226.323 1.0 37.63437  ? 520 LEU E N   520 LEU E N   1 
ATOM 11220 C CA  . LEU B 2 519 ? 261.930 -61.588  225.392 1.0 37.63437  ? 520 LEU E CA  520 LEU E CA  1 
ATOM 11221 C C   . LEU B 2 519 ? 261.323 -60.373  226.073 1.0 37.63437  ? 520 LEU E C   520 LEU E C   1 
ATOM 11222 O O   . LEU B 2 519 ? 260.166 -60.409  226.501 1.0 37.63437  ? 520 LEU E O   520 LEU E O   1 
ATOM 11223 C CB  . LEU B 2 519 ? 261.169 -61.917  224.117 1.0 37.63437  ? 520 LEU E CB  520 LEU E CB  1 
ATOM 11224 C CG  . LEU B 2 519 ? 261.209 -60.765  223.120 1.0 37.63437  ? 520 LEU E CG  520 LEU E CG  1 
ATOM 11225 C CD1 . LEU B 2 519 ? 262.620 -60.531  222.654 1.0 37.63437  ? 520 LEU E CD1 520 LEU E CD1 1 
ATOM 11226 C CD2 . LEU B 2 519 ? 260.304 -61.039  221.951 1.0 37.63437  ? 520 LEU E CD2 520 LEU E CD2 1 
ATOM 11227 N N   . LEU B 2 520 ? 262.090 -59.296  226.162 1.0 38.36425  ? 521 LEU E N   521 LEU E N   1 
ATOM 11228 C CA  . LEU B 2 520 ? 261.747 -58.165  227.009 1.0 38.36425  ? 521 LEU E CA  521 LEU E CA  1 
ATOM 11229 C C   . LEU B 2 520 ? 261.285 -56.999  226.145 1.0 38.36425  ? 521 LEU E C   521 LEU E C   1 
ATOM 11230 O O   . LEU B 2 520 ? 262.046 -56.498  225.312 1.0 38.36425  ? 521 LEU E O   521 LEU E O   1 
ATOM 11231 C CB  . LEU B 2 520 ? 262.945 -57.773  227.866 1.0 38.36425  ? 521 LEU E CB  521 LEU E CB  1 
ATOM 11232 C CG  . LEU B 2 520 ? 262.694 -56.774  228.977 1.0 38.36425  ? 521 LEU E CG  521 LEU E CG  1 
ATOM 11233 C CD1 . LEU B 2 520 ? 261.732 -57.394  229.954 1.0 38.36425  ? 521 LEU E CD1 521 LEU E CD1 1 
ATOM 11234 C CD2 . LEU B 2 520 ? 264.000 -56.439  229.652 1.0 38.36425  ? 521 LEU E CD2 521 LEU E CD2 1 
ATOM 11235 N N   . LEU B 2 521 ? 260.046 -56.575  226.347 1.0 40.50953  ? 522 LEU E N   522 LEU E N   1 
ATOM 11236 C CA  . LEU B 2 521 ? 259.456 -55.441  225.656 1.0 40.50953  ? 522 LEU E CA  522 LEU E CA  1 
ATOM 11237 C C   . LEU B 2 521 ? 260.025 -54.139  226.221 1.0 40.50953  ? 522 LEU E C   522 LEU E C   1 
ATOM 11238 O O   . LEU B 2 521 ? 260.632 -54.152  227.293 1.0 40.50953  ? 522 LEU E O   522 LEU E O   1 
ATOM 11239 C CB  . LEU B 2 521 ? 257.937 -55.516  225.802 1.0 40.50953  ? 522 LEU E CB  522 LEU E CB  1 
ATOM 11240 C CG  . LEU B 2 521 ? 257.338 -56.701  225.050 1.0 40.50953  ? 522 LEU E CG  522 LEU E CG  1 
ATOM 11241 C CD1 . LEU B 2 521 ? 255.854 -56.774  225.283 1.0 40.50953  ? 522 LEU E CD1 522 LEU E CD1 1 
ATOM 11242 C CD2 . LEU B 2 521 ? 257.639 -56.599  223.572 1.0 40.50953  ? 522 LEU E CD2 522 LEU E CD2 1 
ATOM 11243 N N   . PRO B 2 522 ? 259.893 -53.009  225.502 1.0 41.83308  ? 523 PRO E N   523 PRO E N   1 
ATOM 11244 C CA  . PRO B 2 522 ? 260.484 -51.756  225.996 1.0 41.83308  ? 523 PRO E CA  523 PRO E CA  1 
ATOM 11245 C C   . PRO B 2 522 ? 259.885 -51.266  227.306 1.0 41.83308  ? 523 PRO E C   523 PRO E C   1 
ATOM 11246 O O   . PRO B 2 522 ? 258.669 -51.261  227.498 1.0 41.83308  ? 523 PRO E O   523 PRO E O   1 
ATOM 11247 C CB  . PRO B 2 522 ? 260.199 -50.765  224.865 1.0 41.83308  ? 523 PRO E CB  523 PRO E CB  1 
ATOM 11248 C CG  . PRO B 2 522 ? 260.109 -51.578  223.680 1.0 41.83308  ? 523 PRO E CG  523 PRO E CG  1 
ATOM 11249 C CD  . PRO B 2 522 ? 259.471 -52.852  224.096 1.0 41.83308  ? 523 PRO E CD  523 PRO E CD  1 
ATOM 11250 N N   . GLY B 2 523 ? 260.767 -50.847  228.209 1.0 43.01365  ? 524 GLY E N   524 GLY E N   1 
ATOM 11251 C CA  . GLY B 2 523 ? 260.381 -50.323  229.502 1.0 43.01365  ? 524 GLY E CA  524 GLY E CA  1 
ATOM 11252 C C   . GLY B 2 523 ? 261.552 -49.665  230.199 1.0 43.01365  ? 524 GLY E C   524 GLY E C   1 
ATOM 11253 O O   . GLY B 2 523 ? 262.344 -48.975  229.558 1.0 43.01365  ? 524 GLY E O   524 GLY E O   1 
ATOM 11254 N N   . THR B 2 524 ? 261.663 -49.851  231.511 1.0 43.77008  ? 525 THR E N   525 THR E N   1 
ATOM 11255 C CA  . THR B 2 524 ? 262.831 -49.404  232.270 1.0 43.77008  ? 525 THR E CA  525 THR E CA  1 
ATOM 11256 C C   . THR B 2 524 ? 262.931 -50.315  233.481 1.0 43.77008  ? 525 THR E C   525 THR E C   1 
ATOM 11257 O O   . THR B 2 524 ? 262.100 -50.221  234.386 1.0 43.77008  ? 525 THR E O   525 THR E O   1 
ATOM 11258 C CB  . THR B 2 524 ? 262.714 -47.947  232.703 1.0 43.77008  ? 525 THR E CB  525 THR E CB  1 
ATOM 11259 O OG1 . THR B 2 524 ? 262.633 -47.102  231.551 1.0 43.77008  ? 525 THR E OG1 525 THR E OG1 1 
ATOM 11260 C CG2 . THR B 2 524 ? 263.923 -47.548  233.521 1.0 43.77008  ? 525 THR E CG2 525 THR E CG2 1 
ATOM 11261 N N   . TYR B 2 525 ? 263.939 -51.176  233.510 1.0 41.16955  ? 526 TYR E N   526 TYR E N   1 
ATOM 11262 C CA  . TYR B 2 525 ? 263.949 -52.311  234.418 1.0 41.16955  ? 526 TYR E CA  526 TYR E CA  1 
ATOM 11263 C C   . TYR B 2 525 ? 265.129 -52.253  235.374 1.0 41.16955  ? 526 TYR E C   526 TYR E C   1 
ATOM 11264 O O   . TYR B 2 525 ? 266.225 -51.832  234.998 1.0 41.16955  ? 526 TYR E O   526 TYR E O   1 
ATOM 11265 C CB  . TYR B 2 525 ? 263.985 -53.613  233.631 1.0 41.16955  ? 526 TYR E CB  526 TYR E CB  1 
ATOM 11266 C CG  . TYR B 2 525 ? 262.742 -53.841  232.813 1.0 41.16955  ? 526 TYR E CG  526 TYR E CG  1 
ATOM 11267 C CD1 . TYR B 2 525 ? 261.598 -54.362  233.393 1.0 41.16955  ? 526 TYR E CD1 526 TYR E CD1 1 
ATOM 11268 C CD2 . TYR B 2 525 ? 262.709 -53.525  231.466 1.0 41.16955  ? 526 TYR E CD2 526 TYR E CD2 1 
ATOM 11269 C CE1 . TYR B 2 525 ? 260.457 -54.568  232.653 1.0 41.16955  ? 526 TYR E CE1 526 TYR E CE1 1 
ATOM 11270 C CE2 . TYR B 2 525 ? 261.573 -53.724  230.719 1.0 41.16955  ? 526 TYR E CE2 526 TYR E CE2 1 
ATOM 11271 C CZ  . TYR B 2 525 ? 260.452 -54.248  231.317 1.0 41.16955  ? 526 TYR E CZ  526 TYR E CZ  1 
ATOM 11272 O OH  . TYR B 2 525 ? 259.315 -54.452  230.575 1.0 41.16955  ? 526 TYR E OH  526 TYR E OH  1 
ATOM 11273 N N   . ASN B 2 526 ? 264.893 -52.678  236.611 1.0 41.75066  ? 527 ASN E N   527 ASN E N   1 
ATOM 11274 C CA  . ASN B 2 526 ? 265.934 -52.857  237.613 1.0 41.75066  ? 527 ASN E CA  527 ASN E CA  1 
ATOM 11275 C C   . ASN B 2 526 ? 266.239 -54.338  237.757 1.0 41.75066  ? 527 ASN E C   527 ASN E C   1 
ATOM 11276 O O   . ASN B 2 526 ? 265.325 -55.159  237.853 1.0 41.75066  ? 527 ASN E O   527 ASN E O   1 
ATOM 11277 C CB  . ASN B 2 526 ? 265.507 -52.300  238.969 1.0 41.75066  ? 527 ASN E CB  527 ASN E CB  1 
ATOM 11278 C CG  . ASN B 2 526 ? 265.465 -50.796  238.994 1.0 41.75066  ? 527 ASN E CG  527 ASN E CG  1 
ATOM 11279 O OD1 . ASN B 2 526 ? 266.356 -50.129  238.477 1.0 41.75066  ? 527 ASN E OD1 527 ASN E OD1 1 
ATOM 11280 N ND2 . ASN B 2 526 ? 264.424 -50.248  239.604 1.0 41.75066  ? 527 ASN E ND2 527 ASN E ND2 1 
ATOM 11281 N N   . TYR B 2 527 ? 267.522 -54.681  237.782 1.0 41.47792  ? 528 TYR E N   528 TYR E N   1 
ATOM 11282 C CA  . TYR B 2 527 ? 267.931 -56.085  237.766 1.0 41.47792  ? 528 TYR E CA  528 TYR E CA  1 
ATOM 11283 C C   . TYR B 2 527 ? 269.097 -56.269  238.733 1.0 41.47792  ? 528 TYR E C   528 TYR E C   1 
ATOM 11284 O O   . TYR B 2 527 ? 270.261 -56.188  238.339 1.0 41.47792  ? 528 TYR E O   528 TYR E O   1 
ATOM 11285 C CB  . TYR B 2 527 ? 268.279 -56.495  236.345 1.0 41.47792  ? 528 TYR E CB  528 TYR E CB  1 
ATOM 11286 C CG  . TYR B 2 527 ? 268.697 -57.926  236.145 1.0 41.47792  ? 528 TYR E CG  528 TYR E CG  1 
ATOM 11287 C CD1 . TYR B 2 527 ? 267.818 -58.966  236.360 1.0 41.47792  ? 528 TYR E CD1 528 TYR E CD1 1 
ATOM 11288 C CD2 . TYR B 2 527 ? 269.945 -58.227  235.655 1.0 41.47792  ? 528 TYR E CD2 528 TYR E CD2 1 
ATOM 11289 C CE1 . TYR B 2 527 ? 268.194 -60.267  236.141 1.0 41.47792  ? 528 TYR E CE1 528 TYR E CE1 1 
ATOM 11290 C CE2 . TYR B 2 527 ? 270.325 -59.517  235.426 1.0 41.47792  ? 528 TYR E CE2 528 TYR E CE2 1 
ATOM 11291 C CZ  . TYR B 2 527 ? 269.450 -60.530  235.675 1.0 41.47792  ? 528 TYR E CZ  528 TYR E CZ  1 
ATOM 11292 O OH  . TYR B 2 527 ? 269.845 -61.816  235.443 1.0 41.47792  ? 528 TYR E OH  528 TYR E OH  1 
ATOM 11293 N N   . GLU B 2 528 ? 268.776 -56.537  239.995 1.0 44.06123  ? 529 GLU E N   529 GLU E N   1 
ATOM 11294 C CA  . GLU B 2 528 ? 269.785 -56.758  241.017 1.0 44.06123  ? 529 GLU E CA  529 GLU E CA  1 
ATOM 11295 C C   . GLU B 2 528 ? 269.907 -58.242  241.324 1.0 44.06123  ? 529 GLU E C   529 GLU E C   1 
ATOM 11296 O O   . GLU B 2 528 ? 268.971 -59.016  241.117 1.0 44.06123  ? 529 GLU E O   529 GLU E O   1 
ATOM 11297 C CB  . GLU B 2 528 ? 269.468 -55.988  242.303 1.0 44.06123  ? 529 GLU E CB  529 GLU E CB  1 
ATOM 11298 C CG  . GLU B 2 528 ? 268.271 -56.489  243.084 1.0 44.06123  ? 529 GLU E CG  529 GLU E CG  1 
ATOM 11299 C CD  . GLU B 2 528 ? 267.986 -55.653  244.322 1.0 44.06123  ? 529 GLU E CD  529 GLU E CD  1 
ATOM 11300 O OE1 . GLU B 2 528 ? 268.694 -54.648  244.545 1.0 44.06123  ? 529 GLU E OE1 529 GLU E OE1 1 
ATOM 11301 O OE2 . GLU B 2 528 ? 267.058 -56.008  245.079 1.0 44.06123  ? 529 GLU E OE2 529 GLU E OE2 1 
ATOM 11302 N N   . TRP B 2 529 ? 271.077 -58.626  241.828 1.0 44.71152  ? 530 TRP E N   530 TRP E N   1 
ATOM 11303 C CA  . TRP B 2 529 ? 271.401 -60.018  242.099 1.0 44.71152  ? 530 TRP E CA  530 TRP E CA  1 
ATOM 11304 C C   . TRP B 2 529 ? 272.595 -60.051  243.048 1.0 44.71152  ? 530 TRP E C   530 TRP E C   1 
ATOM 11305 O O   . TRP B 2 529 ? 273.437 -59.153  243.011 1.0 44.71152  ? 530 TRP E O   530 TRP E O   1 
ATOM 11306 C CB  . TRP B 2 529 ? 271.718 -60.772  240.802 1.0 44.71152  ? 530 TRP E CB  530 TRP E CB  1 
ATOM 11307 C CG  . TRP B 2 529 ? 271.877 -62.209  241.042 1.0 44.71152  ? 530 TRP E CG  530 TRP E CG  1 
ATOM 11308 C CD1 . TRP B 2 529 ? 273.025 -62.843  241.330 1.0 44.71152  ? 530 TRP E CD1 530 TRP E CD1 1 
ATOM 11309 C CD2 . TRP B 2 529 ? 270.862 -63.212  241.002 1.0 44.71152  ? 530 TRP E CD2 530 TRP E CD2 1 
ATOM 11310 N NE1 . TRP B 2 529 ? 272.800 -64.169  241.522 1.0 44.71152  ? 530 TRP E NE1 530 TRP E NE1 1 
ATOM 11311 C CE2 . TRP B 2 529 ? 271.477 -64.430  241.303 1.0 44.71152  ? 530 TRP E CE2 530 TRP E CE2 1 
ATOM 11312 C CE3 . TRP B 2 529 ? 269.497 -63.197  240.734 1.0 44.71152  ? 530 TRP E CE3 530 TRP E CE3 1 
ATOM 11313 C CZ2 . TRP B 2 529 ? 270.776 -65.624  241.356 1.0 44.71152  ? 530 TRP E CZ2 530 TRP E CZ2 1 
ATOM 11314 C CZ3 . TRP B 2 529 ? 268.800 -64.377  240.799 1.0 44.71152  ? 530 TRP E CZ3 530 TRP E CZ3 1 
ATOM 11315 C CH2 . TRP B 2 529 ? 269.439 -65.574  241.099 1.0 44.71152  ? 530 TRP E CH2 530 TRP E CH2 1 
ATOM 11316 N N   . TYR B 2 530 ? 272.665 -61.084  243.896 1.0 43.59423  ? 531 TYR E N   531 TYR E N   1 
ATOM 11317 C CA  . TYR B 2 530 ? 273.769 -61.249  244.839 1.0 43.59423  ? 531 TYR E CA  531 TYR E CA  1 
ATOM 11318 C C   . TYR B 2 530 ? 274.677 -62.388  244.400 1.0 43.59423  ? 531 TYR E C   531 TYR E C   1 
ATOM 11319 O O   . TYR B 2 530 ? 274.204 -63.491  244.115 1.0 43.59423  ? 531 TYR E O   531 TYR E O   1 
ATOM 11320 C CB  . TYR B 2 530 ? 273.324 -61.589  246.269 1.0 43.59423  ? 531 TYR E CB  531 TYR E CB  1 
ATOM 11321 C CG  . TYR B 2 530 ? 272.498 -60.599  247.053 1.0 43.59423  ? 531 TYR E CG  531 TYR E CG  1 
ATOM 11322 C CD1 . TYR B 2 530 ? 271.992 -59.444  246.489 1.0 43.59423  ? 531 TYR E CD1 531 TYR E CD1 1 
ATOM 11323 C CD2 . TYR B 2 530 ? 272.316 -60.781  248.409 1.0 43.59423  ? 531 TYR E CD2 531 TYR E CD2 1 
ATOM 11324 C CE1 . TYR B 2 530 ? 271.248 -58.566  247.226 1.0 43.59423  ? 531 TYR E CE1 531 TYR E CE1 1 
ATOM 11325 C CE2 . TYR B 2 530 ? 271.589 -59.888  249.158 1.0 43.59423  ? 531 TYR E CE2 531 TYR E CE2 1 
ATOM 11326 C CZ  . TYR B 2 530 ? 271.068 -58.782  248.565 1.0 43.59423  ? 531 TYR E CZ  531 TYR E CZ  1 
ATOM 11327 O OH  . TYR B 2 530 ? 270.341 -57.882  249.303 1.0 43.59423  ? 531 TYR E OH  531 TYR E OH  1 
ATOM 11328 N N   . PHE B 2 531 ? 275.982 -62.150  244.418 1.0 44.12628  ? 532 PHE E N   532 PHE E N   1 
ATOM 11329 C CA  . PHE B 2 531 ? 276.966 -63.182  244.126 1.0 44.12628  ? 532 PHE E CA  532 PHE E CA  1 
ATOM 11330 C C   . PHE B 2 531 ? 277.535 -63.733  245.425 1.0 44.12628  ? 532 PHE E C   532 PHE E C   1 
ATOM 11331 O O   . PHE B 2 531 ? 277.501 -63.067  246.461 1.0 44.12628  ? 532 PHE E O   532 PHE E O   1 
ATOM 11332 C CB  . PHE B 2 531 ? 278.100 -62.639  243.256 1.0 44.12628  ? 532 PHE E CB  532 PHE E CB  1 
ATOM 11333 C CG  . PHE B 2 531 ? 277.689 -62.318  241.849 1.0 44.12628  ? 532 PHE E CG  532 PHE E CG  1 
ATOM 11334 C CD1 . PHE B 2 531 ? 276.499 -62.782  241.331 1.0 44.12628  ? 532 PHE E CD1 532 PHE E CD1 1 
ATOM 11335 C CD2 . PHE B 2 531 ? 278.504 -61.561  241.039 1.0 44.12628  ? 532 PHE E CD2 532 PHE E CD2 1 
ATOM 11336 C CE1 . PHE B 2 531 ? 276.125 -62.490  240.042 1.0 44.12628  ? 532 PHE E CE1 532 PHE E CE1 1 
ATOM 11337 C CE2 . PHE B 2 531 ? 278.129 -61.280  239.743 1.0 44.12628  ? 532 PHE E CE2 532 PHE E CE2 1 
ATOM 11338 C CZ  . PHE B 2 531 ? 276.936 -61.737  239.254 1.0 44.12628  ? 532 PHE E CZ  532 PHE E CZ  1 
ATOM 11339 N N   . ARG B 2 532 ? 278.064 -64.953  245.371 1.0 44.57309  ? 533 ARG E N   533 ARG E N   1 
ATOM 11340 C CA  . ARG B 2 532 ? 278.636 -65.538  246.574 1.0 44.57309  ? 533 ARG E CA  533 ARG E CA  1 
ATOM 11341 C C   . ARG B 2 532 ? 280.094 -65.132  246.741 1.0 44.57309  ? 533 ARG E C   533 ARG E C   1 
ATOM 11342 O O   . ARG B 2 532 ? 280.737 -64.615  245.830 1.0 44.57309  ? 533 ARG E O   533 ARG E O   1 
ATOM 11343 C CB  . ARG B 2 532 ? 278.555 -67.058  246.556 1.0 44.57309  ? 533 ARG E CB  533 ARG E CB  1 
ATOM 11344 C CG  . ARG B 2 532 ? 277.176 -67.626  246.692 1.0 44.57309  ? 533 ARG E CG  533 ARG E CG  1 
ATOM 11345 C CD  . ARG B 2 532 ? 277.260 -69.119  246.755 1.0 44.57309  ? 533 ARG E CD  533 ARG E CD  1 
ATOM 11346 N NE  . ARG B 2 532 ? 275.958 -69.758  246.668 1.0 44.57309  ? 533 ARG E NE  533 ARG E NE  1 
ATOM 11347 C CZ  . ARG B 2 532 ? 275.226 -70.102  247.717 1.0 44.57309  ? 533 ARG E CZ  533 ARG E CZ  1 
ATOM 11348 N NH1 . ARG B 2 532 ? 275.677 -69.881  248.942 1.0 44.57309  ? 533 ARG E NH1 533 ARG E NH1 1 
ATOM 11349 N NH2 . ARG B 2 532 ? 274.049 -70.679  247.538 1.0 44.57309  ? 533 ARG E NH2 533 ARG E NH2 1 
ATOM 11350 N N   . LYS B 2 533 ? 280.610 -65.389  247.938 1.0 48.83524  ? 534 LYS E N   534 LYS E N   1 
ATOM 11351 C CA  . LYS B 2 533 ? 282.011 -65.173  248.257 1.0 48.83524  ? 534 LYS E CA  534 LYS E CA  1 
ATOM 11352 C C   . LYS B 2 533 ? 282.553 -66.341  249.076 1.0 48.83524  ? 534 LYS E C   534 LYS E C   1 
ATOM 11353 O O   . LYS B 2 533 ? 283.737 -66.343  249.427 1.0 48.83524  ? 534 LYS E O   534 LYS E O   1 
ATOM 11354 C CB  . LYS B 2 533 ? 282.168 -63.831  249.009 1.0 48.83524  ? 534 LYS E CB  534 LYS E CB  1 
ATOM 11355 C CG  . LYS B 2 533 ? 283.561 -63.202  249.053 1.0 48.83524  ? 534 LYS E CG  534 LYS E CG  1 
ATOM 11356 C CD  . LYS B 2 533 ? 283.547 -61.885  249.810 1.0 48.83524  ? 534 LYS E CD  534 LYS E CD  1 
ATOM 11357 C CE  . LYS B 2 533 ? 282.945 -60.771  248.985 1.0 48.83524  ? 534 LYS E CE  534 LYS E CE  1 
ATOM 11358 N NZ  . LYS B 2 533 ? 283.845 -60.387  247.872 1.0 48.83524  ? 534 LYS E NZ  534 LYS E NZ  1 
ATOM 11359 N N   . ASP B 2 534 ? 281.728 -67.342  249.357 1.0 51.51212  ? 535 ASP E N   535 ASP E N   1 
ATOM 11360 C CA  . ASP B 2 534 ? 282.143 -68.488  250.156 1.0 51.51212  ? 535 ASP E CA  535 ASP E CA  1 
ATOM 11361 C C   . ASP B 2 534 ? 283.112 -69.362  249.370 1.0 51.51212  ? 535 ASP E C   535 ASP E C   1 
ATOM 11362 O O   . ASP B 2 534 ? 282.817 -69.727  248.228 1.0 51.51212  ? 535 ASP E O   535 ASP E O   1 
ATOM 11363 C CB  . ASP B 2 534 ? 280.919 -69.297  250.564 1.0 51.51212  ? 535 ASP E CB  535 ASP E CB  1 
ATOM 11364 C CG  . ASP B 2 534 ? 281.259 -70.432  251.488 1.0 51.51212  ? 535 ASP E CG  535 ASP E CG  1 
ATOM 11365 O OD1 . ASP B 2 534 ? 281.568 -70.154  252.663 1.0 51.51212  ? 535 ASP E OD1 535 ASP E OD1 1 
ATOM 11366 O OD2 . ASP B 2 534 ? 281.212 -71.597  251.048 1.0 51.51212  ? 535 ASP E OD2 535 ASP E OD2 1 
ATOM 11367 N N   . PRO B 2 535 ? 284.268 -69.718  249.937 1.0 49.39365  ? 536 PRO E N   536 PRO E N   1 
ATOM 11368 C CA  . PRO B 2 535 ? 285.280 -70.423  249.138 1.0 49.39365  ? 536 PRO E CA  536 PRO E CA  1 
ATOM 11369 C C   . PRO B 2 535 ? 284.940 -71.872  248.865 1.0 49.39365  ? 536 PRO E C   536 PRO E C   1 
ATOM 11370 O O   . PRO B 2 535 ? 285.400 -72.415  247.855 1.0 49.39365  ? 536 PRO E O   536 PRO E O   1 
ATOM 11371 C CB  . PRO B 2 535 ? 286.545 -70.304  249.994 1.0 49.39365  ? 536 PRO E CB  536 PRO E CB  1 
ATOM 11372 C CG  . PRO B 2 535 ? 286.274 -69.184  250.934 1.0 49.39365  ? 536 PRO E CG  536 PRO E CG  1 
ATOM 11373 C CD  . PRO B 2 535 ? 284.813 -69.269  251.224 1.0 49.39365  ? 536 PRO E CD  536 PRO E CD  1 
ATOM 11374 N N   . ASN B 2 536 ? 284.156 -72.516  249.729 1.0 49.92153  ? 537 ASN E N   537 ASN E N   1 
ATOM 11375 C CA  . ASN B 2 536 ? 283.795 -73.910  249.491 1.0 49.92153  ? 537 ASN E CA  537 ASN E CA  1 
ATOM 11376 C C   . ASN B 2 536 ? 282.785 -74.044  248.365 1.0 49.92153  ? 537 ASN E C   537 ASN E C   1 
ATOM 11377 O O   . ASN B 2 536 ? 282.846 -74.995  247.579 1.0 49.92153  ? 537 ASN E O   537 ASN E O   1 
ATOM 11378 C CB  . ASN B 2 536 ? 283.250 -74.540  250.765 1.0 49.92153  ? 537 ASN E CB  537 ASN E CB  1 
ATOM 11379 C CG  . ASN B 2 536 ? 284.337 -74.885  251.741 1.0 49.92153  ? 537 ASN E CG  537 ASN E CG  1 
ATOM 11380 O OD1 . ASN B 2 536 ? 285.394 -75.376  251.354 1.0 49.92153  ? 537 ASN E OD1 537 ASN E OD1 1 
ATOM 11381 N ND2 . ASN B 2 536 ? 284.088 -74.642  253.016 1.0 49.92153  ? 537 ASN E ND2 537 ASN E ND2 1 
ATOM 11382 N N   . MET B 2 537 ? 281.848 -73.109  248.271 1.0 47.78378  ? 538 MET E N   538 MET E N   1 
ATOM 11383 C CA  . MET B 2 537 ? 280.811 -73.227  247.257 1.0 47.78378  ? 538 MET E CA  538 MET E CA  1 
ATOM 11384 C C   . MET B 2 537 ? 281.311 -72.793  245.888 1.0 47.78378  ? 538 MET E C   538 MET E C   1 
ATOM 11385 O O   . MET B 2 537 ? 281.021 -73.449  244.883 1.0 47.78378  ? 538 MET E O   538 MET E O   1 
ATOM 11386 C CB  . MET B 2 537 ? 279.597 -72.400  247.657 1.0 47.78378  ? 538 MET E CB  538 MET E CB  1 
ATOM 11387 C CG  . MET B 2 537 ? 278.422 -72.585  246.739 1.0 47.78378  ? 538 MET E CG  538 MET E CG  1 
ATOM 11388 S SD  . MET B 2 537 ? 277.715 -74.226  246.864 1.0 47.78378  ? 538 MET E SD  538 MET E SD  1 
ATOM 11389 C CE  . MET B 2 537 ? 276.937 -74.077  248.462 1.0 47.78378  ? 538 MET E CE  538 MET E CE  1 
ATOM 11390 N N   . VAL B 2 538 ? 282.069 -71.698  245.835 1.0 46.75354  ? 539 VAL E N   539 VAL E N   1 
ATOM 11391 C CA  . VAL B 2 538 ? 282.489 -71.133  244.557 1.0 46.75354  ? 539 VAL E CA  539 VAL E CA  1 
ATOM 11392 C C   . VAL B 2 538 ? 283.571 -71.991  243.909 1.0 46.75354  ? 539 VAL E C   539 VAL E C   1 
ATOM 11393 O O   . VAL B 2 538 ? 283.525 -72.264  242.704 1.0 46.75354  ? 539 VAL E O   539 VAL E O   1 
ATOM 11394 C CB  . VAL B 2 538 ? 282.946 -69.678  244.765 1.0 46.75354  ? 539 VAL E CB  539 VAL E CB  1 
ATOM 11395 C CG1 . VAL B 2 538 ? 283.519 -69.105  243.501 1.0 46.75354  ? 539 VAL E CG1 539 VAL E CG1 1 
ATOM 11396 C CG2 . VAL B 2 538 ? 281.783 -68.834  245.216 1.0 46.75354  ? 539 VAL E CG2 539 VAL E CG2 1 
ATOM 11397 N N   . LEU B 2 539 ? 284.537 -72.457  244.692 1.0 43.88222  ? 540 LEU E N   540 LEU E N   1 
ATOM 11398 C CA  . LEU B 2 539 ? 285.669 -73.205  244.166 1.0 43.88222  ? 540 LEU E CA  540 LEU E CA  1 
ATOM 11399 C C   . LEU B 2 539 ? 285.494 -74.699  244.409 1.0 43.88222  ? 540 LEU E C   540 LEU E C   1 
ATOM 11400 O O   . LEU B 2 539 ? 284.797 -75.109  245.340 1.0 43.88222  ? 540 LEU E O   540 LEU E O   1 
ATOM 11401 C CB  . LEU B 2 539 ? 286.968 -72.723  244.805 1.0 43.88222  ? 540 LEU E CB  540 LEU E CB  1 
ATOM 11402 C CG  . LEU B 2 539 ? 287.322 -71.269  244.505 1.0 43.88222  ? 540 LEU E CG  540 LEU E CG  1 
ATOM 11403 C CD1 . LEU B 2 539 ? 288.553 -70.856  245.278 1.0 43.88222  ? 540 LEU E CD1 540 LEU E CD1 1 
ATOM 11404 C CD2 . LEU B 2 539 ? 287.532 -71.068  243.023 1.0 43.88222  ? 540 LEU E CD2 540 LEU E CD2 1 
ATOM 11405 N N   . GLN B 2 540 ? 286.120 -75.506  243.560 1.0 44.46545  ? 541 GLN E N   541 GLN E N   1 
ATOM 11406 C CA  . GLN B 2 540 ? 286.076 -76.956  243.650 1.0 44.46545  ? 541 GLN E CA  541 GLN E CA  1 
ATOM 11407 C C   . GLN B 2 540 ? 287.485 -77.515  243.764 1.0 44.46545  ? 541 GLN E C   541 GLN E C   1 
ATOM 11408 O O   . GLN B 2 540 ? 288.386 -77.102  243.035 1.0 44.46545  ? 541 GLN E O   541 GLN E O   1 
ATOM 11409 C CB  . GLN B 2 540 ? 285.400 -77.560  242.421 1.0 44.46545  ? 541 GLN E CB  541 GLN E CB  1 
ATOM 11410 C CG  . GLN B 2 540 ? 285.196 -79.057  242.484 1.0 44.46545  ? 541 GLN E CG  541 GLN E CG  1 
ATOM 11411 C CD  . GLN B 2 540 ? 284.516 -79.602  241.253 1.0 44.46545  ? 541 GLN E CD  541 GLN E CD  1 
ATOM 11412 O OE1 . GLN B 2 540 ? 284.212 -78.864  240.321 1.0 44.46545  ? 541 GLN E OE1 541 GLN E OE1 1 
ATOM 11413 N NE2 . GLN B 2 540 ? 284.282 -80.905  241.237 1.0 44.46545  ? 541 GLN E NE2 541 GLN E NE2 1 
ATOM 11414 N N   . SER B 2 541 ? 287.669 -78.479  244.658 1.0 46.83849  ? 542 SER E N   542 SER E N   1 
ATOM 11415 C CA  . SER B 2 541 ? 288.966 -79.101  244.865 1.0 46.83849  ? 542 SER E CA  542 SER E CA  1 
ATOM 11416 C C   . SER B 2 541 ? 288.876 -80.594  244.589 1.0 46.83849  ? 542 SER E C   542 SER E C   1 
ATOM 11417 O O   . SER B 2 541 ? 287.830 -81.212  244.790 1.0 46.83849  ? 542 SER E O   542 SER E O   1 
ATOM 11418 C CB  . SER B 2 541 ? 289.466 -78.867  246.284 1.0 46.83849  ? 542 SER E CB  542 SER E CB  1 
ATOM 11419 O OG  . SER B 2 541 ? 290.702 -79.518  246.489 1.0 46.83849  ? 542 SER E OG  542 SER E OG  1 
ATOM 11420 N N   . THR B 2 542 ? 289.985 -81.173  244.122 1.0 46.88863  ? 543 THR E N   543 THR E N   1 
ATOM 11421 C CA  . THR B 2 542 ? 290.010 -82.604  243.844 1.0 46.88863  ? 543 THR E CA  543 THR E CA  1 
ATOM 11422 C C   . THR B 2 542 ? 290.080 -83.448  245.103 1.0 46.88863  ? 543 THR E C   543 THR E C   1 
ATOM 11423 O O   . THR B 2 542 ? 289.741 -84.632  245.056 1.0 46.88863  ? 543 THR E O   543 THR E O   1 
ATOM 11424 C CB  . THR B 2 542 ? 291.203 -82.982  242.969 1.0 46.88863  ? 543 THR E CB  543 THR E CB  1 
ATOM 11425 O OG1 . THR B 2 542 ? 292.412 -82.675  243.664 1.0 46.88863  ? 543 THR E OG1 543 THR E OG1 1 
ATOM 11426 C CG2 . THR B 2 542 ? 291.182 -82.235  241.670 1.0 46.88863  ? 543 THR E CG2 543 THR E CG2 1 
ATOM 11427 N N   . LEU B 2 543 ? 290.536 -82.885  246.213 1.0 49.42204  ? 544 LEU E N   544 LEU E N   1 
ATOM 11428 C CA  . LEU B 2 543 ? 290.616 -83.640  247.453 1.0 49.42204  ? 544 LEU E CA  544 LEU E CA  1 
ATOM 11429 C C   . LEU B 2 543 ? 289.375 -83.491  248.314 1.0 49.42204  ? 544 LEU E C   544 LEU E C   1 
ATOM 11430 O O   . LEU B 2 543 ? 289.113 -84.359  249.151 1.0 49.42204  ? 544 LEU E O   544 LEU E O   1 
ATOM 11431 C CB  . LEU B 2 543 ? 291.843 -83.214  248.264 1.0 49.42204  ? 544 LEU E CB  544 LEU E CB  1 
ATOM 11432 C CG  . LEU B 2 543 ? 293.198 -83.872  247.995 1.0 49.42204  ? 544 LEU E CG  544 LEU E CG  1 
ATOM 11433 C CD1 . LEU B 2 543 ? 293.776 -83.503  246.656 1.0 49.42204  ? 544 LEU E CD1 544 LEU E CD1 1 
ATOM 11434 C CD2 . LEU B 2 543 ? 294.163 -83.467  249.087 1.0 49.42204  ? 544 LEU E CD2 544 LEU E CD2 1 
ATOM 11435 N N   . GLY B 2 544 ? 288.606 -82.424  248.127 1.0 51.2169   ? 545 GLY E N   545 GLY E N   1 
ATOM 11436 C CA  . GLY B 2 544 ? 287.454 -82.196  248.973 1.0 51.2169   ? 545 GLY E CA  545 GLY E CA  1 
ATOM 11437 C C   . GLY B 2 544 ? 287.809 -81.712  250.357 1.0 51.2169   ? 545 GLY E C   545 GLY E C   1 
ATOM 11438 O O   . GLY B 2 544 ? 287.064 -81.969  251.306 1.0 51.2169   ? 545 GLY E O   545 GLY E O   1 
ATOM 11439 N N   . ASN B 2 545 ? 288.940 -81.030  250.500 1.0 53.35714  ? 546 ASN E N   546 ASN E N   1 
ATOM 11440 C CA  . ASN B 2 545 ? 289.348 -80.493  251.784 1.0 53.35714  ? 546 ASN E CA  546 ASN E CA  1 
ATOM 11441 C C   . ASN B 2 545 ? 288.556 -79.230  252.118 1.0 53.35714  ? 546 ASN E C   546 ASN E C   1 
ATOM 11442 O O   . ASN B 2 545 ? 287.758 -78.732  251.325 1.0 53.35714  ? 546 ASN E O   546 ASN E O   1 
ATOM 11443 C CB  . ASN B 2 545 ? 290.848 -80.209  251.784 1.0 53.35714  ? 546 ASN E CB  546 ASN E CB  1 
ATOM 11444 C CG  . ASN B 2 545 ? 291.287 -79.352  250.609 1.0 53.35714  ? 546 ASN E CG  546 ASN E CG  1 
ATOM 11445 O OD1 . ASN B 2 545 ? 290.485 -78.968  249.763 1.0 53.35714  ? 546 ASN E OD1 546 ASN E OD1 1 
ATOM 11446 N ND2 . ASN B 2 545 ? 292.572 -79.038  250.562 1.0 53.35714  ? 546 ASN E ND2 546 ASN E ND2 1 
ATOM 11447 N N   . ASP B 2 546 ? 288.785 -78.711  253.318 1.0 56.01991  ? 547 ASP E N   547 ASP E N   1 
ATOM 11448 C CA  . ASP B 2 546 ? 288.179 -77.447  253.701 1.0 56.01991  ? 547 ASP E CA  547 ASP E CA  1 
ATOM 11449 C C   . ASP B 2 546 ? 288.919 -76.304  253.022 1.0 56.01991  ? 547 ASP E C   547 ASP E C   1 
ATOM 11450 O O   . ASP B 2 546 ? 290.150 -76.237  253.061 1.0 56.01991  ? 547 ASP E O   547 ASP E O   1 
ATOM 11451 C CB  . ASP B 2 546 ? 288.222 -77.272  255.217 1.0 56.01991  ? 547 ASP E CB  547 ASP E CB  1 
ATOM 11452 C CG  . ASP B 2 546 ? 287.348 -76.136  255.702 1.0 56.01991  ? 547 ASP E CG  547 ASP E CG  1 
ATOM 11453 O OD1 . ASP B 2 546 ? 286.619 -75.538  254.885 1.0 56.01991  ? 547 ASP E OD1 547 ASP E OD1 1 
ATOM 11454 O OD2 . ASP B 2 546 ? 287.408 -75.816  256.905 1.0 56.01991  ? 547 ASP E OD2 547 ASP E OD2 1 
ATOM 11455 N N   . LEU B 2 547 ? 288.168 -75.406  252.392 1.0 52.41409  ? 548 LEU E N   548 LEU E N   1 
ATOM 11456 C CA  . LEU B 2 547 ? 288.755 -74.176  251.892 1.0 52.41409  ? 548 LEU E CA  548 LEU E CA  1 
ATOM 11457 C C   . LEU B 2 547 ? 288.509 -72.988  252.808 1.0 52.41409  ? 548 LEU E C   548 LEU E C   1 
ATOM 11458 O O   . LEU B 2 547 ? 289.153 -71.951  252.636 1.0 52.41409  ? 548 LEU E O   548 LEU E O   1 
ATOM 11459 C CB  . LEU B 2 547 ? 288.242 -73.865  250.483 1.0 52.41409  ? 548 LEU E CB  548 LEU E CB  1 
ATOM 11460 C CG  . LEU B 2 547 ? 288.736 -74.835  249.411 1.0 52.41409  ? 548 LEU E CG  548 LEU E CG  1 
ATOM 11461 C CD1 . LEU B 2 547 ? 288.101 -74.525  248.074 1.0 52.41409  ? 548 LEU E CD1 548 LEU E CD1 1 
ATOM 11462 C CD2 . LEU B 2 547 ? 290.245 -74.778  249.308 1.0 52.41409  ? 548 LEU E CD2 548 LEU E CD2 1 
ATOM 11463 N N   . ARG B 2 548 ? 287.609 -73.111  253.785 1.0 55.10648  ? 549 ARG E N   549 ARG E N   1 
ATOM 11464 C CA  . ARG B 2 548 ? 287.535 -72.086  254.817 1.0 55.10648  ? 549 ARG E CA  549 ARG E CA  1 
ATOM 11465 C C   . ARG B 2 548 ? 288.693 -72.188  255.798 1.0 55.10648  ? 549 ARG E C   549 ARG E C   1 
ATOM 11466 O O   . ARG B 2 548 ? 288.983 -71.212  256.497 1.0 55.10648  ? 549 ARG E O   549 ARG E O   1 
ATOM 11467 C CB  . ARG B 2 548 ? 286.223 -72.175  255.599 1.0 55.10648  ? 549 ARG E CB  549 ARG E CB  1 
ATOM 11468 C CG  . ARG B 2 548 ? 284.958 -71.833  254.837 1.0 55.10648  ? 549 ARG E CG  549 ARG E CG  1 
ATOM 11469 C CD  . ARG B 2 548 ? 283.783 -71.837  255.801 1.0 55.10648  ? 549 ARG E CD  549 ARG E CD  1 
ATOM 11470 N NE  . ARG B 2 548 ? 282.506 -71.548  255.155 1.0 55.10648  ? 549 ARG E NE  549 ARG E NE  1 
ATOM 11471 C CZ  . ARG B 2 548 ? 281.649 -72.481  254.757 1.0 55.10648  ? 549 ARG E CZ  549 ARG E CZ  1 
ATOM 11472 N NH1 . ARG B 2 548 ? 281.927 -73.757  254.952 1.0 55.10648  ? 549 ARG E NH1 549 ARG E NH1 1 
ATOM 11473 N NH2 . ARG B 2 548 ? 280.510 -72.141  254.178 1.0 55.10648  ? 549 ARG E NH2 549 ARG E NH2 1 
ATOM 11474 N N   . ALA B 2 549 ? 289.347 -73.348  255.877 1.0 57.04524  ? 550 ALA E N   550 ALA E N   1 
ATOM 11475 C CA  . ALA B 2 549 ? 290.403 -73.540  256.864 1.0 57.04524  ? 550 ALA E CA  550 ALA E CA  1 
ATOM 11476 C C   . ALA B 2 549 ? 291.676 -72.815  256.456 1.0 57.04524  ? 550 ALA E C   550 ALA E C   1 
ATOM 11477 O O   . ALA B 2 549 ? 292.266 -72.079  257.255 1.0 57.04524  ? 550 ALA E O   550 ALA E O   1 
ATOM 11478 C CB  . ALA B 2 549 ? 290.672 -75.031  257.060 1.0 57.04524  ? 550 ALA E CB  550 ALA E CB  1 
ATOM 11479 N N   . ASP B 2 550 ? 292.113 -73.005  255.216 1.0 56.35763  ? 551 ASP E N   551 ASP E N   1 
ATOM 11480 C CA  . ASP B 2 550 ? 293.323 -72.364  254.721 1.0 56.35763  ? 551 ASP E CA  551 ASP E CA  1 
ATOM 11481 C C   . ASP B 2 550 ? 293.011 -70.943  254.252 1.0 56.35763  ? 551 ASP E C   551 ASP E C   1 
ATOM 11482 O O   . ASP B 2 550 ? 291.940 -70.390  254.519 1.0 56.35763  ? 551 ASP E O   551 ASP E O   1 
ATOM 11483 C CB  . ASP B 2 550 ? 293.958 -73.212  253.622 1.0 56.35763  ? 551 ASP E CB  551 ASP E CB  1 
ATOM 11484 C CG  . ASP B 2 550 ? 293.006 -73.501  252.480 1.0 56.35763  ? 551 ASP E CG  551 ASP E CG  1 
ATOM 11485 O OD1 . ASP B 2 550 ? 291.808 -73.192  252.606 1.0 56.35763  ? 551 ASP E OD1 551 ASP E OD1 1 
ATOM 11486 O OD2 . ASP B 2 550 ? 293.454 -74.027  251.442 1.0 56.35763  ? 551 ASP E OD2 551 ASP E OD2 1 
ATOM 11487 N N   . GLY B 2 551 ? 293.950 -70.338  253.531 1.0 53.38288  ? 552 GLY E N   552 GLY E N   1 
ATOM 11488 C CA  . GLY B 2 551 ? 293.783 -68.977  253.065 1.0 53.38288  ? 552 GLY E CA  552 GLY E CA  1 
ATOM 11489 C C   . GLY B 2 551 ? 293.092 -68.857  251.723 1.0 53.38288  ? 552 GLY E C   552 GLY E C   1 
ATOM 11490 O O   . GLY B 2 551 ? 293.381 -67.933  250.957 1.0 53.38288  ? 552 GLY E O   552 GLY E O   1 
ATOM 11491 N N   . ALA B 2 552 ? 292.180 -69.776  251.422 1.0 50.49892  ? 553 ALA E N   553 ALA E N   1 
ATOM 11492 C CA  . ALA B 2 552 ? 291.415 -69.699  250.188 1.0 50.49892  ? 553 ALA E CA  553 ALA E CA  1 
ATOM 11493 C C   . ALA B 2 552 ? 290.361 -68.611  250.309 1.0 50.49892  ? 553 ALA E C   553 ALA E C   1 
ATOM 11494 O O   . ALA B 2 552 ? 289.563 -68.613  251.250 1.0 50.49892  ? 553 ALA E O   553 ALA E O   1 
ATOM 11495 C CB  . ALA B 2 552 ? 290.757 -71.038  249.874 1.0 50.49892  ? 553 ALA E CB  553 ALA E CB  1 
ATOM 11496 N N   . SER B 2 553 ? 290.358 -67.685  249.355 1.0 49.63492  ? 554 SER E N   554 SER E N   1 
ATOM 11497 C CA  . SER B 2 553 ? 289.443 -66.556  249.403 1.0 49.63492  ? 554 SER E CA  554 SER E CA  1 
ATOM 11498 C C   . SER B 2 553 ? 289.252 -66.009  248.000 1.0 49.63492  ? 554 SER E C   554 SER E C   1 
ATOM 11499 O O   . SER B 2 553 ? 290.154 -66.078  247.164 1.0 49.63492  ? 554 SER E O   554 SER E O   1 
ATOM 11500 C CB  . SER B 2 553 ? 289.961 -65.455  250.331 1.0 49.63492  ? 554 SER E CB  554 SER E CB  1 
ATOM 11501 O OG  . SER B 2 553 ? 291.146 -64.876  249.817 1.0 49.63492  ? 554 SER E OG  554 SER E OG  1 
ATOM 11502 N N   . ILE B 2 554 ? 288.068 -65.462  247.759 1.0 47.66188  ? 555 ILE E N   555 ILE E N   1 
ATOM 11503 C CA  . ILE B 2 554 ? 287.730 -64.806  246.505 1.0 47.66188  ? 555 ILE E CA  555 ILE E CA  1 
ATOM 11504 C C   . ILE B 2 554 ? 287.264 -63.393  246.832 1.0 47.66188  ? 555 ILE E C   555 ILE E C   1 
ATOM 11505 O O   . ILE B 2 554 ? 286.681 -63.154  247.895 1.0 47.66188  ? 555 ILE E O   555 ILE E O   1 
ATOM 11506 C CB  . ILE B 2 554 ? 286.663 -65.611  245.724 1.0 47.66188  ? 555 ILE E CB  555 ILE E CB  1 
ATOM 11507 C CG1 . ILE B 2 554 ? 286.429 -65.046  244.323 1.0 47.66188  ? 555 ILE E CG1 555 ILE E CG1 1 
ATOM 11508 C CG2 . ILE B 2 554 ? 285.362 -65.741  246.495 1.0 47.66188  ? 555 ILE E CG2 555 ILE E CG2 1 
ATOM 11509 C CD1 . ILE B 2 554 ? 285.614 -65.950  243.444 1.0 47.66188  ? 555 ILE E CD1 555 ILE E CD1 1 
ATOM 11510 N N   . THR B 2 555 ? 287.588 -62.443  245.961 1.0 46.95621  ? 556 THR E N   556 THR E N   1 
ATOM 11511 C CA  . THR B 2 555 ? 287.082 -61.090  246.112 1.0 46.95621  ? 556 THR E CA  556 THR E CA  1 
ATOM 11512 C C   . THR B 2 555 ? 286.849 -60.497  244.733 1.0 46.95621  ? 556 THR E C   556 THR E C   1 
ATOM 11513 O O   . THR B 2 555 ? 287.475 -60.901  243.751 1.0 46.95621  ? 556 THR E O   556 THR E O   1 
ATOM 11514 C CB  . THR B 2 555 ? 288.027 -60.212  246.943 1.0 46.95621  ? 556 THR E CB  556 THR E CB  1 
ATOM 11515 O OG1 . THR B 2 555 ? 287.444 -58.916  247.123 1.0 46.95621  ? 556 THR E OG1 556 THR E OG1 1 
ATOM 11516 C CG2 . THR B 2 555 ? 289.374 -60.072  246.282 1.0 46.95621  ? 556 THR E CG2 556 THR E CG2 1 
ATOM 11517 N N   . TYR B 2 556 ? 285.921 -59.552  244.665 1.0 44.96983  ? 557 TYR E N   557 TYR E N   1 
ATOM 11518 C CA  . TYR B 2 556 ? 285.477 -58.983  243.406 1.0 44.96983  ? 557 TYR E CA  557 TYR E CA  1 
ATOM 11519 C C   . TYR B 2 556 ? 285.852 -57.512  243.337 1.0 44.96983  ? 557 TYR E C   557 TYR E C   1 
ATOM 11520 O O   . TYR B 2 556 ? 285.833 -56.805  244.347 1.0 44.96983  ? 557 TYR E O   557 TYR E O   1 
ATOM 11521 C CB  . TYR B 2 556 ? 283.968 -59.128  243.252 1.0 44.96983  ? 557 TYR E CB  557 TYR E CB  1 
ATOM 11522 C CG  . TYR B 2 556 ? 283.496 -60.555  243.259 1.0 44.96983  ? 557 TYR E CG  557 TYR E CG  1 
ATOM 11523 C CD1 . TYR B 2 556 ? 283.643 -61.351  242.146 1.0 44.96983  ? 557 TYR E CD1 557 TYR E CD1 1 
ATOM 11524 C CD2 . TYR B 2 556 ? 282.888 -61.099  244.373 1.0 44.96983  ? 557 TYR E CD2 557 TYR E CD2 1 
ATOM 11525 C CE1 . TYR B 2 556 ? 283.208 -62.655  242.139 1.0 44.96983  ? 557 TYR E CE1 557 TYR E CE1 1 
ATOM 11526 C CE2 . TYR B 2 556 ? 282.450 -62.401  244.374 1.0 44.96983  ? 557 TYR E CE2 557 TYR E CE2 1 
ATOM 11527 C CZ  . TYR B 2 556 ? 282.613 -63.173  243.255 1.0 44.96983  ? 557 TYR E CZ  557 TYR E CZ  1 
ATOM 11528 O OH  . TYR B 2 556 ? 282.181 -64.473  243.245 1.0 44.96983  ? 557 TYR E OH  557 TYR E OH  1 
ATOM 11529 N N   . THR B 2 557 ? 286.187 -57.049  242.136 1.0 47.88049  ? 558 THR E N   558 THR E N   1 
ATOM 11530 C CA  . THR B 2 557 ? 286.535 -55.648  241.944 1.0 47.88049  ? 558 THR E CA  558 THR E CA  1 
ATOM 11531 C C   . THR B 2 557 ? 285.535 -54.869  241.100 1.0 47.88049  ? 558 THR E C   558 THR E C   1 
ATOM 11532 O O   . THR B 2 557 ? 285.246 -53.719  241.433 1.0 47.88049  ? 558 THR E O   558 THR E O   1 
ATOM 11533 C CB  . THR B 2 557 ? 287.954 -55.517  241.362 1.0 47.88049  ? 558 THR E CB  558 THR E CB  1 
ATOM 11534 O OG1 . THR B 2 557 ? 288.258 -54.137  241.128 1.0 47.88049  ? 558 THR E OG1 558 THR E OG1 1 
ATOM 11535 C CG2 . THR B 2 557 ? 288.148 -56.316  240.093 1.0 47.88049  ? 558 THR E CG2 558 THR E CG2 1 
ATOM 11536 N N   . GLN B 2 558 ? 284.973 -55.457  240.040 1.0 46.02728  ? 559 GLN E N   559 GLN E N   1 
ATOM 11537 C CA  . GLN B 2 558 ? 283.884 -54.835  239.296 1.0 46.02728  ? 559 GLN E CA  559 GLN E CA  1 
ATOM 11538 C C   . GLN B 2 558 ? 283.154 -55.914  238.516 1.0 46.02728  ? 559 GLN E C   559 GLN E C   1 
ATOM 11539 O O   . GLN B 2 558 ? 283.772 -56.858  238.022 1.0 46.02728  ? 559 GLN E O   559 GLN E O   1 
ATOM 11540 C CB  . GLN B 2 558 ? 284.377 -53.714  238.360 1.0 46.02728  ? 559 GLN E CB  559 GLN E CB  1 
ATOM 11541 C CG  . GLN B 2 558 ? 285.336 -54.107  237.249 1.0 46.02728  ? 559 GLN E CG  559 GLN E CG  1 
ATOM 11542 C CD  . GLN B 2 558 ? 284.633 -54.387  235.941 1.0 46.02728  ? 559 GLN E CD  559 GLN E CD  1 
ATOM 11543 O OE1 . GLN B 2 558 ? 283.571 -53.834  235.668 1.0 46.02728  ? 559 GLN E OE1 559 GLN E OE1 1 
ATOM 11544 N NE2 . GLN B 2 558 ? 285.230 -55.235  235.116 1.0 46.02728  ? 559 GLN E NE2 559 GLN E NE2 1 
ATOM 11545 N N   . ILE B 2 559 ? 281.831 -55.794  238.454 1.0 41.75723  ? 560 ILE E N   560 ILE E N   1 
ATOM 11546 C CA  . ILE B 2 559 ? 280.995 -56.690  237.670 1.0 41.75723  ? 560 ILE E CA  560 ILE E CA  1 
ATOM 11547 C C   . ILE B 2 559 ? 280.047 -55.852  236.825 1.0 41.75723  ? 560 ILE E C   560 ILE E C   1 
ATOM 11548 O O   . ILE B 2 559 ? 279.678 -54.733  237.191 1.0 41.75723  ? 560 ILE E O   560 ILE E O   1 
ATOM 11549 C CB  . ILE B 2 559 ? 280.209 -57.685  238.548 1.0 41.75723  ? 560 ILE E CB  560 ILE E CB  1 
ATOM 11550 C CG1 . ILE B 2 559 ? 279.310 -56.942  239.513 1.0 41.75723  ? 560 ILE E CG1 560 ILE E CG1 1 
ATOM 11551 C CG2 . ILE B 2 559 ? 281.134 -58.588  239.342 1.0 41.75723  ? 560 ILE E CG2 560 ILE E CG2 1 
ATOM 11552 C CD1 . ILE B 2 559 ? 278.428 -57.839  240.256 1.0 41.75723  ? 560 ILE E CD1 560 ILE E CD1 1 
ATOM 11553 N N   . ASN B 2 560 ? 279.669 -56.401  235.674 1.0 40.419    ? 561 ASN E N   561 ASN E N   1 
ATOM 11554 C CA  . ASN B 2 560 ? 278.874 -55.715  234.666 1.0 40.419    ? 561 ASN E CA  561 ASN E CA  1 
ATOM 11555 C C   . ASN B 2 560 ? 278.046 -56.760  233.946 1.0 40.419    ? 561 ASN E C   561 ASN E C   1 
ATOM 11556 O O   . ASN B 2 560 ? 278.434 -57.926  233.895 1.0 40.419    ? 561 ASN E O   561 ASN E O   1 
ATOM 11557 C CB  . ASN B 2 560 ? 279.753 -55.002  233.641 1.0 40.419    ? 561 ASN E CB  561 ASN E CB  1 
ATOM 11558 C CG  . ASN B 2 560 ? 280.517 -53.856  234.227 1.0 40.419    ? 561 ASN E CG  561 ASN E CG  1 
ATOM 11559 O OD1 . ASN B 2 560 ? 279.964 -53.016  234.928 1.0 40.419    ? 561 ASN E OD1 561 ASN E OD1 1 
ATOM 11560 N ND2 . ASN B 2 560 ? 281.813 -53.831  233.974 1.0 40.419    ? 561 ASN E ND2 561 ASN E ND2 1 
ATOM 11561 N N   . LEU B 2 561 ? 276.926 -56.350  233.365 1.0 37.48012  ? 562 LEU E N   562 LEU E N   1 
ATOM 11562 C CA  . LEU B 2 561 ? 276.162 -57.264  232.534 1.0 37.48012  ? 562 LEU E CA  562 LEU E CA  1 
ATOM 11563 C C   . LEU B 2 561 ? 276.052 -56.701  231.129 1.0 37.48012  ? 562 LEU E C   562 LEU E C   1 
ATOM 11564 O O   . LEU B 2 561 ? 275.997 -55.486  230.933 1.0 37.48012  ? 562 LEU E O   562 LEU E O   1 
ATOM 11565 C CB  . LEU B 2 561 ? 274.766 -57.534  233.101 1.0 37.48012  ? 562 LEU E CB  562 LEU E CB  1 
ATOM 11566 C CG  . LEU B 2 561 ? 273.632 -56.514  233.107 1.0 37.48012  ? 562 LEU E CG  562 LEU E CG  1 
ATOM 11567 C CD1 . LEU B 2 561 ? 272.703 -56.627  231.916 1.0 37.48012  ? 562 LEU E CD1 562 LEU E CD1 1 
ATOM 11568 C CD2 . LEU B 2 561 ? 272.845 -56.700  234.330 1.0 37.48012  ? 562 LEU E CD2 562 LEU E CD2 1 
ATOM 11569 N N   . TYR B 2 562 ? 276.016 -57.598  230.153 1.0 39.72382  ? 563 TYR E N   563 TYR E N   1 
ATOM 11570 C CA  . TYR B 2 562 ? 275.959 -57.223  228.749 1.0 39.72382  ? 563 TYR E CA  563 TYR E CA  1 
ATOM 11571 C C   . TYR B 2 562 ? 274.671 -57.767  228.161 1.0 39.72382  ? 563 TYR E C   563 TYR E C   1 
ATOM 11572 O O   . TYR B 2 562 ? 274.374 -58.954  228.310 1.0 39.72382  ? 563 TYR E O   563 TYR E O   1 
ATOM 11573 C CB  . TYR B 2 562 ? 277.167 -57.767  227.985 1.0 39.72382  ? 563 TYR E CB  563 TYR E CB  1 
ATOM 11574 C CG  . TYR B 2 562 ? 278.491 -57.127  228.346 1.0 39.72382  ? 563 TYR E CG  563 TYR E CG  1 
ATOM 11575 C CD1 . TYR B 2 562 ? 278.549 -55.936  229.043 1.0 39.72382  ? 563 TYR E CD1 563 TYR E CD1 1 
ATOM 11576 C CD2 . TYR B 2 562 ? 279.684 -57.712  227.980 1.0 39.72382  ? 563 TYR E CD2 563 TYR E CD2 1 
ATOM 11577 C CE1 . TYR B 2 562 ? 279.749 -55.360  229.379 1.0 39.72382  ? 563 TYR E CE1 563 TYR E CE1 1 
ATOM 11578 C CE2 . TYR B 2 562 ? 280.887 -57.127  228.307 1.0 39.72382  ? 563 TYR E CE2 563 TYR E CE2 1 
ATOM 11579 C CZ  . TYR B 2 562 ? 280.911 -55.959  229.003 1.0 39.72382  ? 563 TYR E CZ  563 TYR E CZ  1 
ATOM 11580 O OH  . TYR B 2 562 ? 282.107 -55.381  229.329 1.0 39.72382  ? 563 TYR E OH  563 TYR E OH  1 
ATOM 11581 N N   . VAL B 2 563 ? 273.904 -56.905  227.508 1.0 40.76752  ? 564 VAL E N   564 VAL E N   1 
ATOM 11582 C CA  . VAL B 2 563 ? 272.745 -57.327  226.745 1.0 40.76752  ? 564 VAL E CA  564 VAL E CA  1 
ATOM 11583 C C   . VAL B 2 563 ? 273.028 -57.099  225.266 1.0 40.76752  ? 564 VAL E C   564 VAL E C   1 
ATOM 11584 O O   . VAL B 2 563 ? 274.028 -56.494  224.889 1.0 40.76752  ? 564 VAL E O   564 VAL E O   1 
ATOM 11585 C CB  . VAL B 2 563 ? 271.470 -56.605  227.192 1.0 40.76752  ? 564 VAL E CB  564 VAL E CB  1 
ATOM 11586 C CG1 . VAL B 2 563 ? 271.069 -57.079  228.563 1.0 40.76752  ? 564 VAL E CG1 564 VAL E CG1 1 
ATOM 11587 C CG2 . VAL B 2 563 ? 271.717 -55.124  227.212 1.0 40.76752  ? 564 VAL E CG2 564 VAL E CG2 1 
ATOM 11588 N N   . SER B 2 564 ? 272.134 -57.601  224.420 1.0 41.78326  ? 565 SER E N   565 SER E N   1 
ATOM 11589 C CA  . SER B 2 564 ? 272.293 -57.496  222.974 1.0 41.78326  ? 565 SER E CA  565 SER E CA  1 
ATOM 11590 C C   . SER B 2 564 ? 270.967 -57.090  222.351 1.0 41.78326  ? 565 SER E C   565 SER E C   1 
ATOM 11591 O O   . SER B 2 564 ? 270.044 -57.904  222.257 1.0 41.78326  ? 565 SER E O   565 SER E O   1 
ATOM 11592 C CB  . SER B 2 564 ? 272.792 -58.810  222.382 1.0 41.78326  ? 565 SER E CB  565 SER E CB  1 
ATOM 11593 O OG  . SER B 2 564 ? 274.090 -59.108  222.855 1.0 41.78326  ? 565 SER E OG  565 SER E OG  1 
ATOM 11594 N N   . PHE B 2 565 ? 270.879 -55.840  221.918 1.0 43.0559   ? 566 PHE E N   566 PHE E N   1 
ATOM 11595 C CA  . PHE B 2 565 ? 269.687 -55.333  221.260 1.0 43.0559   ? 566 PHE E CA  566 PHE E CA  1 
ATOM 11596 C C   . PHE B 2 565 ? 269.739 -55.674  219.780 1.0 43.0559   ? 566 PHE E C   566 PHE E C   1 
ATOM 11597 O O   . PHE B 2 565 ? 270.711 -55.342  219.094 1.0 43.0559   ? 566 PHE E O   566 PHE E O   1 
ATOM 11598 C CB  . PHE B 2 565 ? 269.576 -53.827  221.465 1.0 43.0559   ? 566 PHE E CB  566 PHE E CB  1 
ATOM 11599 C CG  . PHE B 2 565 ? 269.344 -53.448  222.884 1.0 43.0559   ? 566 PHE E CG  566 PHE E CG  1 
ATOM 11600 C CD1 . PHE B 2 565 ? 268.076 -53.508  223.422 1.0 43.0559   ? 566 PHE E CD1 566 PHE E CD1 1 
ATOM 11601 C CD2 . PHE B 2 565 ? 270.395 -53.072  223.693 1.0 43.0559   ? 566 PHE E CD2 566 PHE E CD2 1 
ATOM 11602 C CE1 . PHE B 2 565 ? 267.856 -53.176  224.735 1.0 43.0559   ? 566 PHE E CE1 566 PHE E CE1 1 
ATOM 11603 C CE2 . PHE B 2 565 ? 270.179 -52.733  225.002 1.0 43.0559   ? 566 PHE E CE2 566 PHE E CE2 1 
ATOM 11604 C CZ  . PHE B 2 565 ? 268.908 -52.790  225.527 1.0 43.0559   ? 566 PHE E CZ  566 PHE E CZ  1 
ATOM 11605 N N   . PHE B 2 566 ? 268.705 -56.345  219.292 1.0 44.80381  ? 567 PHE E N   567 PHE E N   1 
ATOM 11606 C CA  . PHE B 2 566 ? 268.647 -56.649  217.870 1.0 44.80381  ? 567 PHE E CA  567 PHE E CA  1 
ATOM 11607 C C   . PHE B 2 566 ? 268.248 -55.393  217.100 1.0 44.80381  ? 567 PHE E C   567 PHE E C   1 
ATOM 11608 O O   . PHE B 2 566 ? 267.248 -54.749  217.447 1.0 44.80381  ? 567 PHE E O   567 PHE E O   1 
ATOM 11609 C CB  . PHE B 2 566 ? 267.643 -57.762  217.595 1.0 44.80381  ? 567 PHE E CB  567 PHE E CB  1 
ATOM 11610 C CG  . PHE B 2 566 ? 267.575 -58.175  216.155 1.0 44.80381  ? 567 PHE E CG  567 PHE E CG  1 
ATOM 11611 C CD1 . PHE B 2 566 ? 268.562 -58.979  215.601 1.0 44.80381  ? 567 PHE E CD1 567 PHE E CD1 1 
ATOM 11612 C CD2 . PHE B 2 566 ? 266.528 -57.769  215.355 1.0 44.80381  ? 567 PHE E CD2 567 PHE E CD2 1 
ATOM 11613 C CE1 . PHE B 2 566 ? 268.492 -59.364  214.275 1.0 44.80381  ? 567 PHE E CE1 567 PHE E CE1 1 
ATOM 11614 C CE2 . PHE B 2 566 ? 266.455 -58.148  214.031 1.0 44.80381  ? 567 PHE E CE2 567 PHE E CE2 1 
ATOM 11615 C CZ  . PHE B 2 566 ? 267.440 -58.946  213.492 1.0 44.80381  ? 567 PHE E CZ  567 PHE E CZ  1 
ATOM 11616 N N   . PRO B 2 567 ? 268.984 -55.020  216.062 1.0 45.51441  ? 568 PRO E N   568 PRO E N   1 
ATOM 11617 C CA  . PRO B 2 567 ? 268.707 -53.765  215.341 1.0 45.51441  ? 568 PRO E CA  568 PRO E CA  1 
ATOM 11618 C C   . PRO B 2 567 ? 267.535 -53.881  214.373 1.0 45.51441  ? 568 PRO E C   568 PRO E C   1 
ATOM 11619 O O   . PRO B 2 567 ? 267.678 -53.706  213.168 1.0 45.51441  ? 568 PRO E O   568 PRO E O   1 
ATOM 11620 C CB  . PRO B 2 567 ? 270.033 -53.512  214.620 1.0 45.51441  ? 568 PRO E CB  568 PRO E CB  1 
ATOM 11621 C CG  . PRO B 2 567 ? 270.590 -54.839  214.396 1.0 45.51441  ? 568 PRO E CG  568 PRO E CG  1 
ATOM 11622 C CD  . PRO B 2 567 ? 270.208 -55.674  215.573 1.0 45.51441  ? 568 PRO E CD  568 PRO E CD  1 
ATOM 11623 N N   . MET B 2 568 ? 266.352 -54.145  214.916 1.0 47.56906  ? 569 MET E N   569 MET E N   1 
ATOM 11624 C CA  . MET B 2 568 ? 265.168 -54.340  214.098 1.0 47.56906  ? 569 MET E CA  569 MET E CA  1 
ATOM 11625 C C   . MET B 2 568 ? 264.683 -53.000  213.555 1.0 47.56906  ? 569 MET E C   569 MET E C   1 
ATOM 11626 O O   . MET B 2 568 ? 264.907 -51.949  214.160 1.0 47.56906  ? 569 MET E O   569 MET E O   1 
ATOM 11627 C CB  . MET B 2 568 ? 264.080 -55.022  214.932 1.0 47.56906  ? 569 MET E CB  569 MET E CB  1 
ATOM 11628 C CG  . MET B 2 568 ? 262.896 -55.559  214.157 1.0 47.56906  ? 569 MET E CG  569 MET E CG  1 
ATOM 11629 S SD  . MET B 2 568 ? 261.701 -56.391  215.211 1.0 47.56906  ? 569 MET E SD  569 MET E SD  1 
ATOM 11630 C CE  . MET B 2 568 ? 262.609 -57.876  215.622 1.0 47.56906  ? 569 MET E CE  569 MET E CE  1 
ATOM 11631 N N   . ASN B 2 569 ? 264.056 -53.042  212.378 1.0 47.57272  ? 570 ASN E N   570 ASN E N   1 
ATOM 11632 C CA  . ASN B 2 569 ? 263.440 -51.857  211.798 1.0 47.57272  ? 570 ASN E CA  570 ASN E CA  1 
ATOM 11633 C C   . ASN B 2 569 ? 262.322 -51.359  212.702 1.0 47.57272  ? 570 ASN E C   570 ASN E C   1 
ATOM 11634 O O   . ASN B 2 569 ? 261.616 -52.141  213.341 1.0 47.57272  ? 570 ASN E O   570 ASN E O   1 
ATOM 11635 C CB  . ASN B 2 569 ? 262.881 -52.170  210.412 1.0 47.57272  ? 570 ASN E CB  570 ASN E CB  1 
ATOM 11636 C CG  . ASN B 2 569 ? 262.508 -50.923  209.635 1.0 47.57272  ? 570 ASN E CG  570 ASN E CG  1 
ATOM 11637 O OD1 . ASN B 2 569 ? 262.746 -49.801  210.079 1.0 47.57272  ? 570 ASN E OD1 570 ASN E OD1 1 
ATOM 11638 N ND2 . ASN B 2 569 ? 261.895 -51.113  208.476 1.0 47.57272  ? 570 ASN E ND2 570 ASN E ND2 1 
ATOM 11639 N N   . TYR B 2 570 ? 262.164 -50.039  212.757 1.0 46.48013  ? 571 TYR E N   571 TYR E N   1 
ATOM 11640 C CA  . TYR B 2 570 ? 261.211 -49.465  213.694 1.0 46.48013  ? 571 TYR E CA  571 TYR E CA  1 
ATOM 11641 C C   . TYR B 2 570 ? 259.775 -49.664  213.237 1.0 46.48013  ? 571 TYR E C   571 TYR E C   1 
ATOM 11642 O O   . TYR B 2 570 ? 258.862 -49.612  214.065 1.0 46.48013  ? 571 TYR E O   571 TYR E O   1 
ATOM 11643 C CB  . TYR B 2 570 ? 261.486 -47.976  213.903 1.0 46.48013  ? 571 TYR E CB  571 TYR E CB  1 
ATOM 11644 C CG  . TYR B 2 570 ? 262.797 -47.643  214.594 1.0 46.48013  ? 571 TYR E CG  571 TYR E CG  1 
ATOM 11645 C CD1 . TYR B 2 570 ? 263.570 -48.621  215.209 1.0 46.48013  ? 571 TYR E CD1 571 TYR E CD1 1 
ATOM 11646 C CD2 . TYR B 2 570 ? 263.250 -46.336  214.644 1.0 46.48013  ? 571 TYR E CD2 571 TYR E CD2 1 
ATOM 11647 C CE1 . TYR B 2 570 ? 264.759 -48.305  215.832 1.0 46.48013  ? 571 TYR E CE1 571 TYR E CE1 1 
ATOM 11648 C CE2 . TYR B 2 570 ? 264.433 -46.013  215.271 1.0 46.48013  ? 571 TYR E CE2 571 TYR E CE2 1 
ATOM 11649 C CZ  . TYR B 2 570 ? 265.181 -47.000  215.859 1.0 46.48013  ? 571 TYR E CZ  571 TYR E CZ  1 
ATOM 11650 O OH  . TYR B 2 570 ? 266.359 -46.680  216.480 1.0 46.48013  ? 571 TYR E OH  571 TYR E OH  1 
ATOM 11651 N N   . ASP B 2 571 ? 259.562 -49.892  211.941 1.0 49.79962  ? 572 ASP E N   572 ASP E N   1 
ATOM 11652 C CA  . ASP B 2 571 ? 258.252 -50.310  211.461 1.0 49.79962  ? 572 ASP E CA  572 ASP E CA  1 
ATOM 11653 C C   . ASP B 2 571 ? 257.970 -51.750  211.866 1.0 49.79962  ? 572 ASP E C   572 ASP E C   1 
ATOM 11654 O O   . ASP B 2 571 ? 256.844 -52.086  212.248 1.0 49.79962  ? 572 ASP E O   572 ASP E O   1 
ATOM 11655 C CB  . ASP B 2 571 ? 258.188 -50.150  209.940 1.0 49.79962  ? 572 ASP E CB  572 ASP E CB  1 
ATOM 11656 C CG  . ASP B 2 571 ? 256.769 -50.225  209.388 1.0 49.79962  ? 572 ASP E CG  572 ASP E CG  1 
ATOM 11657 O OD1 . ASP B 2 571 ? 255.807 -50.320  210.178 1.0 49.79962  ? 572 ASP E OD1 572 ASP E OD1 1 
ATOM 11658 O OD2 . ASP B 2 571 ? 256.618 -50.203  208.148 1.0 49.79962  ? 572 ASP E OD2 572 ASP E OD2 1 
ATOM 11659 N N   . THR B 2 572 ? 258.986 -52.609  211.802 1.0 47.18253  ? 573 THR E N   573 THR E N   1 
ATOM 11660 C CA  . THR B 2 572 ? 258.823 -54.017  212.143 1.0 47.18253  ? 573 THR E CA  573 THR E CA  1 
ATOM 11661 C C   . THR B 2 572 ? 258.704 -54.211  213.650 1.0 47.18253  ? 573 THR E C   573 THR E C   1 
ATOM 11662 O O   . THR B 2 572 ? 257.930 -55.057  214.111 1.0 47.18253  ? 573 THR E O   573 THR E O   1 
ATOM 11663 C CB  . THR B 2 572 ? 259.996 -54.816  211.574 1.0 47.18253  ? 573 THR E CB  573 THR E CB  1 
ATOM 11664 O OG1 . THR B 2 572 ? 260.071 -54.602  210.161 1.0 47.18253  ? 573 THR E OG1 573 THR E OG1 1 
ATOM 11665 C CG2 . THR B 2 572 ? 259.824 -56.298  211.814 1.0 47.18253  ? 573 THR E CG2 573 THR E CG2 1 
ATOM 11666 N N   . GLN B 2 573 ? 259.441 -53.417  214.430 1.0 46.78857  ? 574 GLN E N   574 GLN E N   1 
ATOM 11667 C CA  . GLN B 2 573 ? 259.342 -53.500  215.884 1.0 46.78857  ? 574 GLN E CA  574 GLN E CA  1 
ATOM 11668 C C   . GLN B 2 573 ? 257.983 -53.020  216.373 1.0 46.78857  ? 574 GLN E C   574 GLN E C   1 
ATOM 11669 O O   . GLN B 2 573 ? 257.446 -53.562  217.343 1.0 46.78857  ? 574 GLN E O   574 GLN E O   1 
ATOM 11670 C CB  . GLN B 2 573 ? 260.460 -52.682  216.531 1.0 46.78857  ? 574 GLN E CB  574 GLN E CB  1 
ATOM 11671 C CG  . GLN B 2 573 ? 260.659 -52.885  218.028 1.0 46.78857  ? 574 GLN E CG  574 GLN E CG  1 
ATOM 11672 C CD  . GLN B 2 573 ? 259.748 -52.019  218.876 1.0 46.78857  ? 574 GLN E CD  574 GLN E CD  1 
ATOM 11673 O OE1 . GLN B 2 573 ? 259.256 -50.991  218.419 1.0 46.78857  ? 574 GLN E OE1 574 GLN E OE1 1 
ATOM 11674 N NE2 . GLN B 2 573 ? 259.515 -52.434  220.111 1.0 46.78857  ? 574 GLN E NE2 574 GLN E NE2 1 
ATOM 11675 N N   . SER B 2 574 ? 257.427 -51.989  215.736 1.0 47.3066   ? 575 SER E N   575 SER E N   1 
ATOM 11676 C CA  . SER B 2 574 ? 256.156 -51.442  216.194 1.0 47.3066   ? 575 SER E CA  575 SER E CA  1 
ATOM 11677 C C   . SER B 2 574 ? 255.005 -52.394  215.913 1.0 47.3066   ? 575 SER E C   575 SER E C   1 
ATOM 11678 O O   . SER B 2 574 ? 253.994 -52.365  216.622 1.0 47.3066   ? 575 SER E O   575 SER E O   1 
ATOM 11679 C CB  . SER B 2 574 ? 255.901 -50.089  215.539 1.0 47.3066   ? 575 SER E CB  575 SER E CB  1 
ATOM 11680 O OG  . SER B 2 574 ? 254.655 -49.559  215.946 1.0 47.3066   ? 575 SER E OG  575 SER E OG  1 
ATOM 11681 N N   . GLU B 2 575 ? 255.135 -53.240  214.892 1.0 48.04682  ? 576 GLU E N   576 GLU E N   1 
ATOM 11682 C CA  . GLU B 2 575 ? 254.160 -54.304  214.698 1.0 48.04682  ? 576 GLU E CA  576 GLU E CA  1 
ATOM 11683 C C   . GLU B 2 575 ? 254.359 -55.408  215.721 1.0 48.04682  ? 576 GLU E C   576 GLU E C   1 
ATOM 11684 O O   . GLU B 2 575 ? 253.387 -55.952  216.253 1.0 48.04682  ? 576 GLU E O   576 GLU E O   1 
ATOM 11685 C CB  . GLU B 2 575 ? 254.268 -54.872  213.288 1.0 48.04682  ? 576 GLU E CB  576 GLU E CB  1 
ATOM 11686 C CG  . GLU B 2 575 ? 253.866 -53.914  212.197 1.0 48.04682  ? 576 GLU E CG  576 GLU E CG  1 
ATOM 11687 C CD  . GLU B 2 575 ? 254.002 -54.532  210.823 1.0 48.04682  ? 576 GLU E CD  576 GLU E CD  1 
ATOM 11688 O OE1 . GLU B 2 575 ? 254.532 -55.660  210.733 1.0 48.04682  ? 576 GLU E OE1 576 GLU E OE1 1 
ATOM 11689 O OE2 . GLU B 2 575 ? 253.580 -53.895  209.834 1.0 48.04682  ? 576 GLU E OE2 576 GLU E OE2 1 
ATOM 11690 N N   . LEU B 2 576 ? 255.614 -55.740  216.019 1.0 45.51655  ? 577 LEU E N   577 LEU E N   1 
ATOM 11691 C CA  . LEU B 2 576 ? 255.922 -56.818  216.946 1.0 45.51655  ? 577 LEU E CA  577 LEU E CA  1 
ATOM 11692 C C   . LEU B 2 576 ? 255.721 -56.407  218.395 1.0 45.51655  ? 577 LEU E C   577 LEU E C   1 
ATOM 11693 O O   . LEU B 2 576 ? 255.476 -57.274  219.238 1.0 45.51655  ? 577 LEU E O   577 LEU E O   1 
ATOM 11694 C CB  . LEU B 2 576 ? 257.355 -57.306  216.698 1.0 45.51655  ? 577 LEU E CB  577 LEU E CB  1 
ATOM 11695 C CG  . LEU B 2 576 ? 257.914 -58.611  217.277 1.0 45.51655  ? 577 LEU E CG  577 LEU E CG  1 
ATOM 11696 C CD1 . LEU B 2 576 ? 258.552 -58.442  218.628 1.0 45.51655  ? 577 LEU E CD1 577 LEU E CD1 1 
ATOM 11697 C CD2 . LEU B 2 576 ? 256.809 -59.641  217.374 1.0 45.51655  ? 577 LEU E CD2 577 LEU E CD2 1 
ATOM 11698 N N   . GLU B 2 577 ? 255.807 -55.116  218.706 1.0 47.84434  ? 578 GLU E N   578 GLU E N   1 
ATOM 11699 C CA  . GLU B 2 577 ? 255.492 -54.677  220.059 1.0 47.84434  ? 578 GLU E CA  578 GLU E CA  1 
ATOM 11700 C C   . GLU B 2 577 ? 254.004 -54.815  220.339 1.0 47.84434  ? 578 GLU E C   578 GLU E C   1 
ATOM 11701 O O   . GLU B 2 577 ? 253.611 -55.357  221.375 1.0 47.84434  ? 578 GLU E O   578 GLU E O   1 
ATOM 11702 C CB  . GLU B 2 577 ? 255.942 -53.235  220.271 1.0 47.84434  ? 578 GLU E CB  578 GLU E CB  1 
ATOM 11703 C CG  . GLU B 2 577 ? 255.705 -52.731  221.677 1.0 47.84434  ? 578 GLU E CG  578 GLU E CG  1 
ATOM 11704 C CD  . GLU B 2 577 ? 256.173 -51.303  221.874 1.0 47.84434  ? 578 GLU E CD  578 GLU E CD  1 
ATOM 11705 O OE1 . GLU B 2 577 ? 256.673 -50.696  220.903 1.0 47.84434  ? 578 GLU E OE1 578 GLU E OE1 1 
ATOM 11706 O OE2 . GLU B 2 577 ? 256.034 -50.786  223.004 1.0 47.84434  ? 578 GLU E OE2 578 GLU E OE2 1 
ATOM 11707 N N   . LEU B 2 578 ? 253.162 -54.362  219.404 1.0 46.92573  ? 579 LEU E N   579 LEU E N   1 
ATOM 11708 C CA  . LEU B 2 578 ? 251.716 -54.379  219.611 1.0 46.92573  ? 579 LEU E CA  579 LEU E CA  1 
ATOM 11709 C C   . LEU B 2 578 ? 251.149 -55.791  219.629 1.0 46.92573  ? 579 LEU E C   579 LEU E C   1 
ATOM 11710 O O   . LEU B 2 578 ? 250.094 -56.020  220.228 1.0 46.92573  ? 579 LEU E O   579 LEU E O   1 
ATOM 11711 C CB  . LEU B 2 578 ? 251.016 -53.561  218.530 1.0 46.92573  ? 579 LEU E CB  579 LEU E CB  1 
ATOM 11712 C CG  . LEU B 2 578 ? 251.238 -52.053  218.563 1.0 46.92573  ? 579 LEU E CG  579 LEU E CG  1 
ATOM 11713 C CD1 . LEU B 2 578 ? 250.601 -51.390  217.355 1.0 46.92573  ? 579 LEU E CD1 579 LEU E CD1 1 
ATOM 11714 C CD2 . LEU B 2 578 ? 250.679 -51.478  219.848 1.0 46.92573  ? 579 LEU E CD2 579 LEU E CD2 1 
ATOM 11715 N N   . MET B 2 579 ? 251.818 -56.746  218.987 1.0 46.04283  ? 580 MET E N   580 MET E N   1 
ATOM 11716 C CA  . MET B 2 579 ? 251.352 -58.123  219.064 1.0 46.04283  ? 580 MET E CA  580 MET E CA  1 
ATOM 11717 C C   . MET B 2 579 ? 251.702 -58.771  220.393 1.0 46.04283  ? 580 MET E C   580 MET E C   1 
ATOM 11718 O O   . MET B 2 579 ? 251.028 -59.719  220.805 1.0 46.04283  ? 580 MET E O   580 MET E O   1 
ATOM 11719 C CB  . MET B 2 579 ? 251.927 -58.951  217.919 1.0 46.04283  ? 580 MET E CB  580 MET E CB  1 
ATOM 11720 C CG  . MET B 2 579 ? 251.360 -58.597  216.568 1.0 46.04283  ? 580 MET E CG  580 MET E CG  1 
ATOM 11721 S SD  . MET B 2 579 ? 251.953 -59.684  215.265 1.0 46.04283  ? 580 MET E SD  580 MET E SD  1 
ATOM 11722 C CE  . MET B 2 579 ? 253.617 -59.082  215.042 1.0 46.04283  ? 580 MET E CE  580 MET E CE  1 
ATOM 11723 N N   . LEU B 2 580 ? 252.736 -58.289  221.074 1.0 43.36538  ? 581 LEU E N   581 LEU E N   1 
ATOM 11724 C CA  . LEU B 2 580 ? 253.139 -58.871  222.344 1.0 43.36538  ? 581 LEU E CA  581 LEU E CA  1 
ATOM 11725 C C   . LEU B 2 580 ? 252.593 -58.128  223.553 1.0 43.36538  ? 581 LEU E C   581 LEU E C   1 
ATOM 11726 O O   . LEU B 2 580 ? 252.650 -58.667  224.661 1.0 43.36538  ? 581 LEU E O   581 LEU E O   1 
ATOM 11727 C CB  . LEU B 2 580 ? 254.660 -58.939  222.438 1.0 43.36538  ? 581 LEU E CB  581 LEU E CB  1 
ATOM 11728 C CG  . LEU B 2 580 ? 255.314 -59.949  221.509 1.0 43.36538  ? 581 LEU E CG  581 LEU E CG  1 
ATOM 11729 C CD1 . LEU B 2 580 ? 256.799 -59.802  221.613 1.0 43.36538  ? 581 LEU E CD1 581 LEU E CD1 1 
ATOM 11730 C CD2 . LEU B 2 580 ? 254.896 -61.343  221.901 1.0 43.36538  ? 581 LEU E CD2 581 LEU E CD2 1 
ATOM 11731 N N   . ARG B 2 581 ? 252.065 -56.917  223.376 1.0 45.60437  ? 582 ARG E N   582 ARG E N   1 
ATOM 11732 C CA  . ARG B 2 581 ? 251.328 -56.274  224.456 1.0 45.60437  ? 582 ARG E CA  582 ARG E CA  1 
ATOM 11733 C C   . ARG B 2 581 ? 249.969 -56.921  224.674 1.0 45.60437  ? 582 ARG E C   582 ARG E C   1 
ATOM 11734 O O   . ARG B 2 581 ? 249.349 -56.692  225.716 1.0 45.60437  ? 582 ARG E O   582 ARG E O   1 
ATOM 11735 C CB  . ARG B 2 581 ? 251.129 -54.786  224.169 1.0 45.60437  ? 582 ARG E CB  582 ARG E CB  1 
ATOM 11736 C CG  . ARG B 2 581 ? 252.397 -53.976  224.023 1.0 45.60437  ? 582 ARG E CG  582 ARG E CG  1 
ATOM 11737 C CD  . ARG B 2 581 ? 253.122 -53.779  225.323 1.0 45.60437  ? 582 ARG E CD  582 ARG E CD  1 
ATOM 11738 N NE  . ARG B 2 581 ? 254.315 -52.965  225.139 1.0 45.60437  ? 582 ARG E NE  582 ARG E NE  1 
ATOM 11739 C CZ  . ARG B 2 581 ? 255.172 -52.674  226.106 1.0 45.60437  ? 582 ARG E CZ  582 ARG E CZ  1 
ATOM 11740 N NH1 . ARG B 2 581 ? 254.967 -53.125  227.332 1.0 45.60437  ? 582 ARG E NH1 582 ARG E NH1 1 
ATOM 11741 N NH2 . ARG B 2 581 ? 256.233 -51.928  225.845 1.0 45.60437  ? 582 ARG E NH2 582 ARG E NH2 1 
ATOM 11742 N N   . ASN B 2 582 ? 249.494 -57.703  223.707 1.0 47.33954  ? 583 ASN E N   583 ASN E N   1 
ATOM 11743 C CA  . ASN B 2 582 ? 248.194 -58.349  223.784 1.0 47.33954  ? 583 ASN E CA  583 ASN E CA  1 
ATOM 11744 C C   . ASN B 2 582 ? 248.202 -59.425  224.865 1.0 47.33954  ? 583 ASN E C   583 ASN E C   1 
ATOM 11745 O O   . ASN B 2 582 ? 249.239 -60.011  225.182 1.0 47.33954  ? 583 ASN E O   583 ASN E O   1 
ATOM 11746 C CB  . ASN B 2 582 ? 247.842 -58.955  222.426 1.0 47.33954  ? 583 ASN E CB  583 ASN E CB  1 
ATOM 11747 C CG  . ASN B 2 582 ? 246.376 -59.298  222.296 1.0 47.33954  ? 583 ASN E CG  583 ASN E CG  1 
ATOM 11748 O OD1 . ASN B 2 582 ? 245.589 -59.083  223.215 1.0 47.33954  ? 583 ASN E OD1 583 ASN E OD1 1 
ATOM 11749 N ND2 . ASN B 2 582 ? 245.998 -59.833  221.141 1.0 47.33954  ? 583 ASN E ND2 583 ASN E ND2 1 
ATOM 11750 N N   . ALA B 2 583 ? 247.030 -59.672  225.445 1.0 46.31389  ? 584 ALA E N   584 ALA E N   1 
ATOM 11751 C CA  . ALA B 2 583 ? 246.941 -60.581  226.579 1.0 46.31389  ? 584 ALA E CA  584 ALA E CA  1 
ATOM 11752 C C   . ALA B 2 583 ? 247.008 -62.043  226.173 1.0 46.31389  ? 584 ALA E C   584 ALA E C   1 
ATOM 11753 O O   . ALA B 2 583 ? 247.408 -62.879  226.988 1.0 46.31389  ? 584 ALA E O   584 ALA E O   1 
ATOM 11754 C CB  . ALA B 2 583 ? 245.652 -60.326  227.360 1.0 46.31389  ? 584 ALA E CB  584 ALA E CB  1 
ATOM 11755 N N   . THR B 2 584 ? 246.636 -62.370  224.941 1.0 44.93981  ? 585 THR E N   585 THR E N   1 
ATOM 11756 C CA  . THR B 2 584 ? 246.655 -63.752  224.488 1.0 44.93981  ? 585 THR E CA  585 THR E CA  1 
ATOM 11757 C C   . THR B 2 584 ? 248.027 -64.202  224.010 1.0 44.93981  ? 585 THR E C   585 THR E C   1 
ATOM 11758 O O   . THR B 2 584 ? 248.173 -65.361  223.613 1.0 44.93981  ? 585 THR E O   585 THR E O   1 
ATOM 11759 C CB  . THR B 2 584 ? 245.628 -63.952  223.371 1.0 44.93981  ? 585 THR E CB  585 THR E CB  1 
ATOM 11760 O OG1 . THR B 2 584 ? 245.538 -65.343  223.043 1.0 44.93981  ? 585 THR E OG1 585 THR E OG1 1 
ATOM 11761 C CG2 . THR B 2 584 ? 246.028 -63.174  222.136 1.0 44.93981  ? 585 THR E CG2 585 THR E CG2 1 
ATOM 11762 N N   . ASN B 2 585 ? 249.031 -63.331  224.048 1.0 42.60829  ? 586 ASN E N   586 ASN E N   1 
ATOM 11763 C CA  . ASN B 2 585 ? 250.369 -63.639  223.566 1.0 42.60829  ? 586 ASN E CA  586 ASN E CA  1 
ATOM 11764 C C   . ASN B 2 585 ? 251.401 -63.494  224.676 1.0 42.60829  ? 586 ASN E C   586 ASN E C   1 
ATOM 11765 O O   . ASN B 2 585 ? 252.491 -62.963  224.465 1.0 42.60829  ? 586 ASN E O   586 ASN E O   1 
ATOM 11766 C CB  . ASN B 2 585 ? 250.737 -62.744  222.390 1.0 42.60829  ? 586 ASN E CB  586 ASN E CB  1 
ATOM 11767 C CG  . ASN B 2 585 ? 249.874 -62.991  221.188 1.0 42.60829  ? 586 ASN E CG  586 ASN E CG  1 
ATOM 11768 O OD1 . ASN B 2 585 ? 249.530 -64.128  220.885 1.0 42.60829  ? 586 ASN E OD1 586 ASN E OD1 1 
ATOM 11769 N ND2 . ASN B 2 585 ? 249.526 -61.927  220.482 1.0 42.60829  ? 586 ASN E ND2 586 ASN E ND2 1 
ATOM 11770 N N   . ASP B 2 586 ? 251.075 -63.956  225.876 1.0 40.63084  ? 587 ASP E N   587 ASP E N   1 
ATOM 11771 C CA  . ASP B 2 586 ? 252.022 -63.894  226.978 1.0 40.63084  ? 587 ASP E CA  587 ASP E CA  1 
ATOM 11772 C C   . ASP B 2 586 ? 253.078 -64.984  226.844 1.0 40.63084  ? 587 ASP E C   587 ASP E C   1 
ATOM 11773 O O   . ASP B 2 586 ? 252.798 -66.086  226.367 1.0 40.63084  ? 587 ASP E O   587 ASP E O   1 
ATOM 11774 C CB  . ASP B 2 586 ? 251.289 -63.993  228.318 1.0 40.63084  ? 587 ASP E CB  587 ASP E CB  1 
ATOM 11775 C CG  . ASP B 2 586 ? 250.336 -65.170  228.389 1.0 40.63084  ? 587 ASP E CG  587 ASP E CG  1 
ATOM 11776 O OD1 . ASP B 2 586 ? 250.127 -65.846  227.366 1.0 40.63084  ? 587 ASP E OD1 587 ASP E OD1 1 
ATOM 11777 O OD2 . ASP B 2 586 ? 249.786 -65.424  229.478 1.0 40.63084  ? 587 ASP E OD2 587 ASP E OD2 1 
ATOM 11778 N N   . GLN B 2 587 ? 254.309 -64.652  227.228 1.0 37.67066  ? 588 GLN E N   588 GLN E N   1 
ATOM 11779 C CA  . GLN B 2 587 ? 255.394 -65.620  227.171 1.0 37.67066  ? 588 GLN E CA  588 GLN E CA  1 
ATOM 11780 C C   . GLN B 2 587 ? 255.188 -66.699  228.224 1.0 37.67066  ? 588 GLN E C   588 GLN E C   1 
ATOM 11781 O O   . GLN B 2 587 ? 254.981 -66.403  229.402 1.0 37.67066  ? 588 GLN E O   588 GLN E O   1 
ATOM 11782 C CB  . GLN B 2 587 ? 256.746 -64.941  227.384 1.0 37.67066  ? 588 GLN E CB  588 GLN E CB  1 
ATOM 11783 C CG  . GLN B 2 587 ? 257.322 -64.181  226.198 1.0 37.67066  ? 588 GLN E CG  588 GLN E CG  1 
ATOM 11784 C CD  . GLN B 2 587 ? 256.667 -62.841  225.968 1.0 37.67066  ? 588 GLN E CD  588 GLN E CD  1 
ATOM 11785 O OE1 . GLN B 2 587 ? 256.103 -62.588  224.908 1.0 37.67066  ? 588 GLN E OE1 588 GLN E OE1 1 
ATOM 11786 N NE2 . GLN B 2 587 ? 256.747 -61.965  226.960 1.0 37.67066  ? 588 GLN E NE2 588 GLN E NE2 1 
ATOM 11787 N N   . ASN B 2 588 ? 255.244 -67.951  227.800 1.0 36.82895  ? 589 ASN E N   589 ASN E N   1 
ATOM 11788 C CA  . ASN B 2 588 ? 255.092 -69.091  228.687 1.0 36.82895  ? 589 ASN E CA  589 ASN E CA  1 
ATOM 11789 C C   . ASN B 2 588 ? 256.452 -69.739  228.878 1.0 36.82895  ? 589 ASN E C   589 ASN E C   1 
ATOM 11790 O O   . ASN B 2 588 ? 257.164 -69.990  227.902 1.0 36.82895  ? 589 ASN E O   589 ASN E O   1 
ATOM 11791 C CB  . ASN B 2 588 ? 254.115 -70.106  228.101 1.0 36.82895  ? 589 ASN E CB  589 ASN E CB  1 
ATOM 11792 C CG  . ASN B 2 588 ? 252.715 -69.572  227.994 1.0 36.82895  ? 589 ASN E CG  589 ASN E CG  1 
ATOM 11793 O OD1 . ASN B 2 588 ? 252.228 -68.910  228.899 1.0 36.82895  ? 589 ASN E OD1 589 ASN E OD1 1 
ATOM 11794 N ND2 . ASN B 2 588 ? 252.055 -69.860  226.883 1.0 36.82895  ? 589 ASN E ND2 589 ASN E ND2 1 
ATOM 11795 N N   . PHE B 2 589 ? 256.816 -70.008  230.122 1.0 36.40834  ? 590 PHE E N   590 PHE E N   1 
ATOM 11796 C CA  . PHE B 2 589 ? 258.075 -70.672  230.412 1.0 36.40834  ? 590 PHE E CA  590 PHE E CA  1 
ATOM 11797 C C   . PHE B 2 589 ? 257.842 -71.778  231.423 1.0 36.40834  ? 590 PHE E C   590 PHE E C   1 
ATOM 11798 O O   . PHE B 2 589 ? 257.059 -71.617  232.361 1.0 36.40834  ? 590 PHE E O   590 PHE E O   1 
ATOM 11799 C CB  . PHE B 2 589 ? 259.112 -69.697  230.945 1.0 36.40834  ? 590 PHE E CB  590 PHE E CB  1 
ATOM 11800 C CG  . PHE B 2 589 ? 259.531 -68.665  229.951 1.0 36.40834  ? 590 PHE E CG  590 PHE E CG  1 
ATOM 11801 C CD1 . PHE B 2 589 ? 260.375 -68.999  228.913 1.0 36.40834  ? 590 PHE E CD1 590 PHE E CD1 1 
ATOM 11802 C CD2 . PHE B 2 589 ? 259.099 -67.358  230.067 1.0 36.40834  ? 590 PHE E CD2 590 PHE E CD2 1 
ATOM 11803 C CE1 . PHE B 2 589 ? 260.765 -68.058  227.992 1.0 36.40834  ? 590 PHE E CE1 590 PHE E CE1 1 
ATOM 11804 C CE2 . PHE B 2 589 ? 259.493 -66.409  229.156 1.0 36.40834  ? 590 PHE E CE2 590 PHE E CE2 1 
ATOM 11805 C CZ  . PHE B 2 589 ? 260.327 -66.762  228.120 1.0 36.40834  ? 590 PHE E CZ  590 PHE E CZ  1 
ATOM 11806 N N   . SER B 2 590 ? 258.526 -72.895  231.229 1.0 38.14466  ? 591 SER E N   591 SER E N   1 
ATOM 11807 C CA  . SER B 2 590 ? 258.425 -74.032  232.126 1.0 38.14466  ? 591 SER E CA  591 SER E CA  1 
ATOM 11808 C C   . SER B 2 590 ? 259.813 -74.411  232.609 1.0 38.14466  ? 591 SER E C   591 SER E C   1 
ATOM 11809 O O   . SER B 2 590 ? 260.778 -74.353  231.843 1.0 38.14466  ? 591 SER E O   591 SER E O   1 
ATOM 11810 C CB  . SER B 2 590 ? 257.769 -75.227  231.440 1.0 38.14466  ? 591 SER E CB  591 SER E CB  1 
ATOM 11811 O OG  . SER B 2 590 ? 257.699 -76.337  232.315 1.0 38.14466  ? 591 SER E OG  591 SER E OG  1 
ATOM 11812 N N   . ASP B 2 591 ? 259.910 -74.781  233.882 1.0 40.15497  ? 592 ASP E N   592 ASP E N   1 
ATOM 11813 C CA  . ASP B 2 591 ? 261.157 -75.318  234.405 1.0 40.15497  ? 592 ASP E CA  592 ASP E CA  1 
ATOM 11814 C C   . ASP B 2 591 ? 261.404 -76.678  233.774 1.0 40.15497  ? 592 ASP E C   592 ASP E C   1 
ATOM 11815 O O   . ASP B 2 591 ? 260.474 -77.467  233.595 1.0 40.15497  ? 592 ASP E O   592 ASP E O   1 
ATOM 11816 C CB  . ASP B 2 591 ? 261.088 -75.440  235.926 1.0 40.15497  ? 592 ASP E CB  592 ASP E CB  1 
ATOM 11817 C CG  . ASP B 2 591 ? 262.448 -75.660  236.563 1.0 40.15497  ? 592 ASP E CG  592 ASP E CG  1 
ATOM 11818 O OD1 . ASP B 2 591 ? 263.460 -75.671  235.835 1.0 40.15497  ? 592 ASP E OD1 592 ASP E OD1 1 
ATOM 11819 O OD2 . ASP B 2 591 ? 262.506 -75.831  237.799 1.0 40.15497  ? 592 ASP E OD2 592 ASP E OD2 1 
ATOM 11820 N N   . TYR B 2 592 ? 262.659 -76.944  233.405 1.0 39.85132  ? 593 TYR E N   593 TYR E N   1 
ATOM 11821 C CA  . TYR B 2 592 ? 262.941 -78.191  232.705 1.0 39.85132  ? 593 TYR E CA  593 TYR E CA  1 
ATOM 11822 C C   . TYR B 2 592 ? 262.908 -79.375  233.653 1.0 39.85132  ? 593 TYR E C   593 TYR E C   1 
ATOM 11823 O O   . TYR B 2 592 ? 262.456 -80.462  233.277 1.0 39.85132  ? 593 TYR E O   593 TYR E O   1 
ATOM 11824 C CB  . TYR B 2 592 ? 264.292 -78.140  231.999 1.0 39.85132  ? 593 TYR E CB  593 TYR E CB  1 
ATOM 11825 C CG  . TYR B 2 592 ? 264.548 -79.404  231.217 1.0 39.85132  ? 593 TYR E CG  593 TYR E CG  1 
ATOM 11826 C CD1 . TYR B 2 592 ? 263.892 -79.632  230.020 1.0 39.85132  ? 593 TYR E CD1 593 TYR E CD1 1 
ATOM 11827 C CD2 . TYR B 2 592 ? 265.413 -80.382  231.688 1.0 39.85132  ? 593 TYR E CD2 593 TYR E CD2 1 
ATOM 11828 C CE1 . TYR B 2 592 ? 264.099 -80.784  229.306 1.0 39.85132  ? 593 TYR E CE1 593 TYR E CE1 1 
ATOM 11829 C CE2 . TYR B 2 592 ? 265.621 -81.541  230.981 1.0 39.85132  ? 593 TYR E CE2 593 TYR E CE2 1 
ATOM 11830 C CZ  . TYR B 2 592 ? 264.961 -81.732  229.790 1.0 39.85132  ? 593 TYR E CZ  593 TYR E CZ  1 
ATOM 11831 O OH  . TYR B 2 592 ? 265.159 -82.879  229.069 1.0 39.85132  ? 593 TYR E OH  593 TYR E OH  1 
ATOM 11832 N N   . LEU B 2 593 ? 263.412 -79.194  234.871 1.0 37.31157  ? 594 LEU E N   594 LEU E N   1 
ATOM 11833 C CA  . LEU B 2 593 ? 263.463 -80.296  235.821 1.0 37.31157  ? 594 LEU E CA  594 LEU E CA  1 
ATOM 11834 C C   . LEU B 2 593 ? 262.065 -80.687  236.272 1.0 37.31157  ? 594 LEU E C   594 LEU E C   1 
ATOM 11835 O O   . LEU B 2 593 ? 261.689 -81.862  236.205 1.0 37.31157  ? 594 LEU E O   594 LEU E O   1 
ATOM 11836 C CB  . LEU B 2 593 ? 264.334 -79.911  237.012 1.0 37.31157  ? 594 LEU E CB  594 LEU E CB  1 
ATOM 11837 C CG  . LEU B 2 593 ? 264.535 -80.987  238.067 1.0 37.31157  ? 594 LEU E CG  594 LEU E CG  1 
ATOM 11838 C CD1 . LEU B 2 593 ? 265.212 -82.186  237.463 1.0 37.31157  ? 594 LEU E CD1 594 LEU E CD1 1 
ATOM 11839 C CD2 . LEU B 2 593 ? 265.340 -80.445  239.228 1.0 37.31157  ? 594 LEU E CD2 594 LEU E CD2 1 
ATOM 11840 N N   . GLY B 2 594 ? 261.268 -79.705  236.683 1.0 37.68626  ? 595 GLY E N   595 GLY E N   1 
ATOM 11841 C CA  . GLY B 2 594 ? 259.912 -79.943  237.128 1.0 37.68626  ? 595 GLY E CA  595 GLY E CA  1 
ATOM 11842 C C   . GLY B 2 594 ? 259.857 -80.809  238.364 1.0 37.68626  ? 595 GLY E C   595 GLY E C   1 
ATOM 11843 O O   . GLY B 2 594 ? 259.141 -81.811  238.395 1.0 37.68626  ? 595 GLY E O   595 GLY E O   1 
ATOM 11844 N N   . ALA B 2 595 ? 260.629 -80.453  239.383 1.0 39.24464  ? 596 ALA E N   596 ALA E N   1 
ATOM 11845 C CA  . ALA B 2 595 ? 260.735 -81.280  240.568 1.0 39.24464  ? 596 ALA E CA  596 ALA E CA  1 
ATOM 11846 C C   . ALA B 2 595 ? 260.620 -80.428  241.818 1.0 39.24464  ? 596 ALA E C   596 ALA E C   1 
ATOM 11847 O O   . ALA B 2 595 ? 260.828 -79.214  241.796 1.0 39.24464  ? 596 ALA E O   596 ALA E O   1 
ATOM 11848 C CB  . ALA B 2 595 ? 262.045 -82.067  240.596 1.0 39.24464  ? 596 ALA E CB  596 ALA E CB  1 
ATOM 11849 N N   . VAL B 2 596 ? 260.270 -81.094  242.910 1.0 41.28357  ? 597 VAL E N   597 VAL E N   1 
ATOM 11850 C CA  . VAL B 2 596 ? 260.211 -80.495  244.232 1.0 41.28357  ? 597 VAL E CA  597 VAL E CA  1 
ATOM 11851 C C   . VAL B 2 596 ? 261.242 -81.219  245.082 1.0 41.28357  ? 597 VAL E C   597 VAL E C   1 
ATOM 11852 O O   . VAL B 2 596 ? 261.082 -82.407  245.389 1.0 41.28357  ? 597 VAL E O   597 VAL E O   1 
ATOM 11853 C CB  . VAL B 2 596 ? 258.808 -80.589  244.842 1.0 41.28357  ? 597 VAL E CB  597 VAL E CB  1 
ATOM 11854 C CG1 . VAL B 2 596 ? 258.820 -80.122  246.274 1.0 41.28357  ? 597 VAL E CG1 597 VAL E CG1 1 
ATOM 11855 C CG2 . VAL B 2 596 ? 257.843 -79.755  244.037 1.0 41.28357  ? 597 VAL E CG2 597 VAL E CG2 1 
ATOM 11856 N N   . ASN B 2 597 ? 262.308 -80.515  245.442 1.0 45.07512  ? 598 ASN E N   598 ASN E N   1 
ATOM 11857 C CA  . ASN B 2 597 ? 263.412 -81.124  246.169 1.0 45.07512  ? 598 ASN E CA  598 ASN E CA  1 
ATOM 11858 C C   . ASN B 2 597 ? 263.020 -81.407  247.610 1.0 45.07512  ? 598 ASN E C   598 ASN E C   1 
ATOM 11859 O O   . ASN B 2 597 ? 262.393 -80.579  248.275 1.0 45.07512  ? 598 ASN E O   598 ASN E O   1 
ATOM 11860 C CB  . ASN B 2 597 ? 264.615 -80.195  246.142 1.0 45.07512  ? 598 ASN E CB  598 ASN E CB  1 
ATOM 11861 C CG  . ASN B 2 597 ? 265.099 -79.927  244.748 1.0 45.07512  ? 598 ASN E CG  598 ASN E CG  1 
ATOM 11862 O OD1 . ASN B 2 597 ? 264.812 -78.880  244.181 1.0 45.07512  ? 598 ASN E OD1 598 ASN E OD1 1 
ATOM 11863 N ND2 . ASN B 2 597 ? 265.893 -80.836  244.210 1.0 45.07512  ? 598 ASN E ND2 598 ASN E ND2 1 
ATOM 11864 N N   . ASN B 2 598 ? 263.394 -82.586  248.091 1.0 44.21348  ? 599 ASN E N   599 ASN E N   1 
ATOM 11865 C CA  . ASN B 2 598 ? 263.187 -82.967  249.479 1.0 44.21348  ? 599 ASN E CA  599 ASN E CA  1 
ATOM 11866 C C   . ASN B 2 598 ? 264.377 -83.786  249.946 1.0 44.21348  ? 599 ASN E C   599 ASN E C   1 
ATOM 11867 O O   . ASN B 2 598 ? 264.810 -84.708  249.253 1.0 44.21348  ? 599 ASN E O   599 ASN E O   1 
ATOM 11868 C CB  . ASN B 2 598 ? 261.901 -83.772  249.663 1.0 44.21348  ? 599 ASN E CB  599 ASN E CB  1 
ATOM 11869 C CG  . ASN B 2 598 ? 260.663 -82.953  249.413 1.0 44.21348  ? 599 ASN E CG  599 ASN E CG  1 
ATOM 11870 O OD1 . ASN B 2 598 ? 259.932 -83.192  248.457 1.0 44.21348  ? 599 ASN E OD1 599 ASN E OD1 1 
ATOM 11871 N ND2 . ASN B 2 598 ? 260.417 -81.978  250.275 1.0 44.21348  ? 599 ASN E ND2 599 ASN E ND2 1 
ATOM 11872 N N   . LEU B 2 599 ? 264.896 -83.452  251.122 1.0 44.86816  ? 600 LEU E N   600 LEU E N   1 
ATOM 11873 C CA  . LEU B 2 599 ? 266.073 -84.108  251.682 1.0 44.86816  ? 600 LEU E CA  600 LEU E CA  1 
ATOM 11874 C C   . LEU B 2 599 ? 265.683 -84.713  253.026 1.0 44.86816  ? 600 LEU E C   600 LEU E C   1 
ATOM 11875 O O   . LEU B 2 599 ? 265.578 -84.003  254.027 1.0 44.86816  ? 600 LEU E O   600 LEU E O   1 
ATOM 11876 C CB  . LEU B 2 599 ? 267.217 -83.123  251.824 1.0 44.86816  ? 600 LEU E CB  600 LEU E CB  1 
ATOM 11877 C CG  . LEU B 2 599 ? 267.750 -82.547  250.515 1.0 44.86816  ? 600 LEU E CG  600 LEU E CG  1 
ATOM 11878 C CD1 . LEU B 2 599 ? 268.793 -81.481  250.784 1.0 44.86816  ? 600 LEU E CD1 600 LEU E CD1 1 
ATOM 11879 C CD2 . LEU B 2 599 ? 268.325 -83.647  249.657 1.0 44.86816  ? 600 LEU E CD2 600 LEU E CD2 1 
ATOM 11880 N N   . TYR B 2 600 ? 265.465 -86.023  253.045 1.0 44.00085  ? 601 TYR E N   601 TYR E N   1 
ATOM 11881 C CA  . TYR B 2 600 ? 265.116 -86.725  254.271 1.0 44.00085  ? 601 TYR E CA  601 TYR E CA  1 
ATOM 11882 C C   . TYR B 2 600 ? 266.346 -87.415  254.839 1.0 44.00085  ? 601 TYR E C   601 TYR E C   1 
ATOM 11883 O O   . TYR B 2 600 ? 267.059 -88.120  254.120 1.0 44.00085  ? 601 TYR E O   601 TYR E O   1 
ATOM 11884 C CB  . TYR B 2 600 ? 263.999 -87.732  254.013 1.0 44.00085  ? 601 TYR E CB  601 TYR E CB  1 
ATOM 11885 C CG  . TYR B 2 600 ? 262.705 -87.066  253.636 1.0 44.00085  ? 601 TYR E CG  601 TYR E CG  1 
ATOM 11886 C CD1 . TYR B 2 600 ? 261.927 -86.442  254.600 1.0 44.00085  ? 601 TYR E CD1 601 TYR E CD1 1 
ATOM 11887 C CD2 . TYR B 2 600 ? 262.258 -87.058  252.324 1.0 44.00085  ? 601 TYR E CD2 601 TYR E CD2 1 
ATOM 11888 C CE1 . TYR B 2 600 ? 260.741 -85.826  254.270 1.0 44.00085  ? 601 TYR E CE1 601 TYR E CE1 1 
ATOM 11889 C CE2 . TYR B 2 600 ? 261.077 -86.441  251.982 1.0 44.00085  ? 601 TYR E CE2 601 TYR E CE2 1 
ATOM 11890 C CZ  . TYR B 2 600 ? 260.323 -85.828  252.959 1.0 44.00085  ? 601 TYR E CZ  601 TYR E CZ  1 
ATOM 11891 O OH  . TYR B 2 600 ? 259.140 -85.214  252.629 1.0 44.00085  ? 601 TYR E OH  601 TYR E OH  1 
ATOM 11892 N N   . GLN B 2 601 ? 266.584 -87.217  256.131 1.0 49.0548   ? 602 GLN E N   602 GLN E N   1 
ATOM 11893 C CA  . GLN B 2 601 ? 267.835 -87.606  256.761 1.0 49.0548   ? 602 GLN E CA  602 GLN E CA  1 
ATOM 11894 C C   . GLN B 2 601 ? 267.842 -89.091  257.091 1.0 49.0548   ? 602 GLN E C   602 GLN E C   1 
ATOM 11895 O O   . GLN B 2 601 ? 266.874 -89.615  257.649 1.0 49.0548   ? 602 GLN E O   602 GLN E O   1 
ATOM 11896 C CB  . GLN B 2 601 ? 268.063 -86.793  258.033 1.0 49.0548   ? 602 GLN E CB  602 GLN E CB  1 
ATOM 11897 C CG  . GLN B 2 601 ? 269.402 -87.051  258.693 1.0 49.0548   ? 602 GLN E CG  602 GLN E CG  1 
ATOM 11898 C CD  . GLN B 2 601 ? 269.596 -86.224  259.939 1.0 49.0548   ? 602 GLN E CD  602 GLN E CD  1 
ATOM 11899 O OE1 . GLN B 2 601 ? 268.704 -85.483  260.351 1.0 49.0548   ? 602 GLN E OE1 602 GLN E OE1 1 
ATOM 11900 N NE2 . GLN B 2 601 ? 270.766 -86.345  260.552 1.0 49.0548   ? 602 GLN E NE2 602 GLN E NE2 1 
ATOM 11901 N N   . ILE B 2 602 ? 268.935 -89.760  256.750 1.0 50.2818   ? 603 ILE E N   603 ILE E N   1 
ATOM 11902 C CA  . ILE B 2 602 ? 269.198 -91.130  257.177 1.0 50.2818   ? 603 ILE E CA  603 ILE E CA  1 
ATOM 11903 C C   . ILE B 2 602 ? 270.224 -91.070  258.301 1.0 50.2818   ? 603 ILE E C   603 ILE E C   1 
ATOM 11904 O O   . ILE B 2 602 ? 271.325 -90.543  258.084 1.0 50.2818   ? 603 ILE E O   603 ILE E O   1 
ATOM 11905 C CB  . ILE B 2 602 ? 269.721 -91.996  256.025 1.0 50.2818   ? 603 ILE E CB  603 ILE E CB  1 
ATOM 11906 C CG1 . ILE B 2 602 ? 268.718 -92.019  254.887 1.0 50.2818   ? 603 ILE E CG1 603 ILE E CG1 1 
ATOM 11907 C CG2 . ILE B 2 602 ? 269.991 -93.404  256.507 1.0 50.2818   ? 603 ILE E CG2 603 ILE E CG2 1 
ATOM 11908 C CD1 . ILE B 2 602 ? 269.234 -92.650  253.632 1.0 50.2818   ? 603 ILE E CD1 603 ILE E CD1 1 
ATOM 11909 N N   . PRO B 2 603 ? 269.919 -91.574  259.490 1.0 53.37942  ? 604 PRO E N   604 PRO E N   1 
ATOM 11910 C CA  . PRO B 2 603 ? 270.938 -91.646  260.537 1.0 53.37942  ? 604 PRO E CA  604 PRO E CA  1 
ATOM 11911 C C   . PRO B 2 603 ? 271.987 -92.692  260.198 1.0 53.37942  ? 604 PRO E C   604 PRO E C   1 
ATOM 11912 O O   . PRO B 2 603 ? 271.768 -93.593  259.387 1.0 53.37942  ? 604 PRO E O   604 PRO E O   1 
ATOM 11913 C CB  . PRO B 2 603 ? 270.140 -92.031  261.783 1.0 53.37942  ? 604 PRO E CB  604 PRO E CB  1 
ATOM 11914 C CG  . PRO B 2 603 ? 268.949 -92.726  261.257 1.0 53.37942  ? 604 PRO E CG  604 PRO E CG  1 
ATOM 11915 C CD  . PRO B 2 603 ? 268.615 -92.068  259.955 1.0 53.37942  ? 604 PRO E CD  604 PRO E CD  1 
ATOM 11916 N N   . ALA B 2 604 ? 273.151 -92.544  260.825 1.0 55.87723  ? 605 ALA E N   605 ALA E N   1 
ATOM 11917 C CA  . ALA B 2 604 ? 274.301 -93.371  260.487 1.0 55.87723  ? 605 ALA E CA  605 ALA E CA  1 
ATOM 11918 C C   . ALA B 2 604 ? 274.092 -94.802  260.957 1.0 55.87723  ? 605 ALA E C   605 ALA E C   1 
ATOM 11919 O O   . ALA B 2 604 ? 273.738 -95.043  262.114 1.0 55.87723  ? 605 ALA E O   605 ALA E O   1 
ATOM 11920 C CB  . ALA B 2 604 ? 275.567 -92.793  261.111 1.0 55.87723  ? 605 ALA E CB  605 ALA E CB  1 
ATOM 11921 N N   . GLY B 2 605 ? 274.300 -95.753  260.050 1.0 56.00361  ? 606 GLY E N   606 GLY E N   1 
ATOM 11922 C CA  . GLY B 2 605 ? 274.150 -97.154  260.355 1.0 56.00361  ? 606 GLY E CA  606 GLY E CA  1 
ATOM 11923 C C   . GLY B 2 605 ? 272.750 -97.702  260.185 1.0 56.00361  ? 606 GLY E C   606 GLY E C   1 
ATOM 11924 O O   . GLY B 2 605 ? 272.587 -98.923  260.090 1.0 56.00361  ? 606 GLY E O   606 GLY E O   1 
ATOM 11925 N N   . SER B 2 606 ? 271.736 -96.844  260.147 1.0 53.00483  ? 607 SER E N   607 SER E N   1 
ATOM 11926 C CA  . SER B 2 606 ? 270.372 -97.308  259.966 1.0 53.00483  ? 607 SER E CA  607 SER E CA  1 
ATOM 11927 C C   . SER B 2 606 ? 270.095 -97.566  258.489 1.0 53.00483  ? 607 SER E C   607 SER E C   1 
ATOM 11928 O O   . SER B 2 606 ? 270.938 -97.339  257.619 1.0 53.00483  ? 607 SER E O   607 SER E O   1 
ATOM 11929 C CB  . SER B 2 606 ? 269.383 -96.299  260.537 1.0 53.00483  ? 607 SER E CB  607 SER E CB  1 
ATOM 11930 O OG  . SER B 2 606 ? 268.051 -96.724  260.319 1.0 53.00483  ? 607 SER E OG  607 SER E OG  1 
ATOM 11931 N N   . SER B 2 607 ? 268.885 -98.035  258.198 1.0 51.42973  ? 608 SER E N   608 SER E N   1 
ATOM 11932 C CA  . SER B 2 607 ? 268.564 -98.524  256.869 1.0 51.42973  ? 608 SER E CA  608 SER E CA  1 
ATOM 11933 C C   . SER B 2 607 ? 267.241 -98.032  256.306 1.0 51.42973  ? 608 SER E C   608 SER E C   1 
ATOM 11934 O O   . SER B 2 607 ? 267.032 -98.164  255.097 1.0 51.42973  ? 608 SER E O   608 SER E O   1 
ATOM 11935 C CB  . SER B 2 607 ? 268.550 -100.058 256.865 1.0 51.42973  ? 608 SER E CB  608 SER E CB  1 
ATOM 11936 O OG  . SER B 2 607 ? 267.511 -100.555 257.688 1.0 51.42973  ? 608 SER E OG  608 SER E OG  1 
ATOM 11937 N N   . THR B 2 608 ? 266.356 -97.460  257.116 1.0 49.79789  ? 609 THR E N   609 THR E N   1 
ATOM 11938 C CA  . THR B 2 608 ? 264.974 -97.222  256.724 1.0 49.79789  ? 609 THR E CA  609 THR E CA  1 
ATOM 11939 C C   . THR B 2 608 ? 264.655 -95.737  256.795 1.0 49.79789  ? 609 THR E C   609 THR E C   1 
ATOM 11940 O O   . THR B 2 608 ? 264.988 -95.073  257.780 1.0 49.79789  ? 609 THR E O   609 THR E O   1 
ATOM 11941 C CB  . THR B 2 608 ? 264.022 -98.014  257.626 1.0 49.79789  ? 609 THR E CB  609 THR E CB  1 
ATOM 11942 O OG1 . THR B 2 608 ? 264.365 -99.402  257.569 1.0 49.79789  ? 609 THR E OG1 609 THR E OG1 1 
ATOM 11943 C CG2 . THR B 2 608 ? 262.574 -97.854  257.180 1.0 49.79789  ? 609 THR E CG2 609 THR E CG2 1 
ATOM 11944 N N   . VAL B 2 609 ? 264.025 -95.221  255.745 1.0 49.32401  ? 610 VAL E N   610 VAL E N   1 
ATOM 11945 C CA  . VAL B 2 609 ? 263.432 -93.892  255.739 1.0 49.32401  ? 610 VAL E CA  610 VAL E CA  1 
ATOM 11946 C C   . VAL B 2 609 ? 261.927 -94.088  255.698 1.0 49.32401  ? 610 VAL E C   610 VAL E C   1 
ATOM 11947 O O   . VAL B 2 609 ? 261.445 -95.015  255.045 1.0 49.32401  ? 610 VAL E O   610 VAL E O   1 
ATOM 11948 C CB  . VAL B 2 609 ? 263.897 -93.075  254.520 1.0 49.32401  ? 610 VAL E CB  610 VAL E CB  1 
ATOM 11949 C CG1 . VAL B 2 609 ? 263.488 -91.612  254.642 1.0 49.32401  ? 610 VAL E CG1 610 VAL E CG1 1 
ATOM 11950 C CG2 . VAL B 2 609 ? 265.365 -93.239  254.306 1.0 49.32401  ? 610 VAL E CG2 610 VAL E CG2 1 
ATOM 11951 N N   . VAL B 2 610 ? 261.183 -93.242  256.401 1.0 48.95592  ? 611 VAL E N   611 VAL E N   1 
ATOM 11952 C CA  . VAL B 2 610 ? 259.735 -93.195  256.249 1.0 48.95592  ? 611 VAL E CA  611 VAL E CA  1 
ATOM 11953 C C   . VAL B 2 610 ? 259.363 -91.754  255.942 1.0 48.95592  ? 611 VAL E C   611 VAL E C   1 
ATOM 11954 O O   . VAL B 2 610 ? 259.476 -90.879  256.809 1.0 48.95592  ? 611 VAL E O   611 VAL E O   1 
ATOM 11955 C CB  . VAL B 2 610 ? 258.982 -93.701  257.485 1.0 48.95592  ? 611 VAL E CB  611 VAL E CB  1 
ATOM 11956 C CG1 . VAL B 2 610 ? 257.496 -93.517  257.283 1.0 48.95592  ? 611 VAL E CG1 611 VAL E CG1 1 
ATOM 11957 C CG2 . VAL B 2 610 ? 259.288 -95.169  257.744 1.0 48.95592  ? 611 VAL E CG2 611 VAL E CG2 1 
ATOM 11958 N N   . VAL B 2 611 ? 258.940 -91.502  254.711 1.0 45.65226  ? 612 VAL E N   612 VAL E N   1 
ATOM 11959 C CA  . VAL B 2 611 ? 258.442 -90.198  254.297 1.0 45.65226  ? 612 VAL E CA  612 VAL E CA  1 
ATOM 11960 C C   . VAL B 2 611 ? 256.924 -90.272  254.173 1.0 45.65226  ? 612 VAL E C   612 VAL E C   1 
ATOM 11961 O O   . VAL B 2 611 ? 256.382 -91.106  253.438 1.0 45.65226  ? 612 VAL E O   612 VAL E O   1 
ATOM 11962 C CB  . VAL B 2 611 ? 259.120 -89.728  253.001 1.0 45.65226  ? 612 VAL E CB  612 VAL E CB  1 
ATOM 11963 C CG1 . VAL B 2 611 ? 259.272 -90.863  252.037 1.0 45.65226  ? 612 VAL E CG1 612 VAL E CG1 1 
ATOM 11964 C CG2 . VAL B 2 611 ? 258.291 -88.645  252.351 1.0 45.65226  ? 612 VAL E CG2 612 VAL E CG2 1 
ATOM 11965 N N   . ASN B 2 612 ? 256.232 -89.418  254.926 1.0 44.79038  ? 613 ASN E N   613 ASN E N   1 
ATOM 11966 C CA  . ASN B 2 612 ? 254.778 -89.459  255.044 1.0 44.79038  ? 613 ASN E CA  613 ASN E CA  1 
ATOM 11967 C C   . ASN B 2 612 ? 254.236 -88.108  254.590 1.0 44.79038  ? 613 ASN E C   613 ASN E C   1 
ATOM 11968 O O   . ASN B 2 612 ? 254.141 -87.171  255.385 1.0 44.79038  ? 613 ASN E O   613 ASN E O   1 
ATOM 11969 C CB  . ASN B 2 612 ? 254.362 -89.783  256.474 1.0 44.79038  ? 613 ASN E CB  613 ASN E CB  1 
ATOM 11970 C CG  . ASN B 2 612 ? 252.895 -90.132  256.592 1.0 44.79038  ? 613 ASN E CG  613 ASN E CG  1 
ATOM 11971 O OD1 . ASN B 2 612 ? 252.162 -90.140  255.605 1.0 44.79038  ? 613 ASN E OD1 613 ASN E OD1 1 
ATOM 11972 N ND2 . ASN B 2 612 ? 252.456 -90.426  257.808 1.0 44.79038  ? 613 ASN E ND2 613 ASN E ND2 1 
ATOM 11973 N N   . ILE B 2 613 ? 253.886 -88.011  253.317 1.0 44.25119  ? 614 ILE E N   614 ILE E N   1 
ATOM 11974 C CA  . ILE B 2 613 ? 253.191 -86.818  252.824 1.0 44.25119  ? 614 ILE E CA  614 ILE E CA  1 
ATOM 11975 C C   . ILE B 2 613 ? 251.760 -86.834  253.349 1.0 44.25119  ? 614 ILE E C   614 ILE E C   1 
ATOM 11976 O O   . ILE B 2 613 ? 251.076 -87.864  253.233 1.0 44.25119  ? 614 ILE E O   614 ILE E O   1 
ATOM 11977 C CB  . ILE B 2 613 ? 253.215 -86.783  251.296 1.0 44.25119  ? 614 ILE E CB  614 ILE E CB  1 
ATOM 11978 C CG1 . ILE B 2 613 ? 254.650 -86.765  250.782 1.0 44.25119  ? 614 ILE E CG1 614 ILE E CG1 1 
ATOM 11979 C CG2 . ILE B 2 613 ? 252.469 -85.578  250.775 1.0 44.25119  ? 614 ILE E CG2 614 ILE E CG2 1 
ATOM 11980 C CD1 . ILE B 2 613 ? 255.430 -85.554  251.209 1.0 44.25119  ? 614 ILE E CD1 614 ILE E CD1 1 
ATOM 11981 N N   . PRO B 2 614 ? 251.261 -85.742  253.928 1.0 45.44375  ? 615 PRO E N   615 PRO E N   1 
ATOM 11982 C CA  . PRO B 2 614 ? 249.861 -85.717  254.371 1.0 45.44375  ? 615 PRO E CA  615 PRO E CA  1 
ATOM 11983 C C   . PRO B 2 614 ? 248.876 -85.606  253.218 1.0 45.44375  ? 615 PRO E C   615 PRO E C   1 
ATOM 11984 O O   . PRO B 2 614 ? 249.263 -85.688  252.049 1.0 45.44375  ? 615 PRO E O   615 PRO E O   1 
ATOM 11985 C CB  . PRO B 2 614 ? 249.806 -84.484  255.279 1.0 45.44375  ? 615 PRO E CB  615 PRO E CB  1 
ATOM 11986 C CG  . PRO B 2 614 ? 250.894 -83.615  254.787 1.0 45.44375  ? 615 PRO E CG  615 PRO E CG  1 
ATOM 11987 C CD  . PRO B 2 614 ? 251.987 -84.525  254.323 1.0 45.44375  ? 615 PRO E CD  615 PRO E CD  1 
ATOM 11988 N N   . ASP B 2 615 ? 247.598 -85.431  253.547 1.0 45.61371  ? 616 ASP E N   616 ASP E N   1 
ATOM 11989 C CA  . ASP B 2 615 ? 246.531 -85.473  252.553 1.0 45.61371  ? 616 ASP E CA  616 ASP E CA  1 
ATOM 11990 C C   . ASP B 2 615 ? 246.611 -84.287  251.597 1.0 45.61371  ? 616 ASP E C   616 ASP E C   1 
ATOM 11991 O O   . ASP B 2 615 ? 246.722 -83.135  252.025 1.0 45.61371  ? 616 ASP E O   616 ASP E O   1 
ATOM 11992 C CB  . ASP B 2 615 ? 245.181 -85.498  253.258 1.0 45.61371  ? 616 ASP E CB  616 ASP E CB  1 
ATOM 11993 C CG  . ASP B 2 615 ? 244.029 -85.662  252.304 1.0 45.61371  ? 616 ASP E CG  616 ASP E CG  1 
ATOM 11994 O OD1 . ASP B 2 615 ? 243.841 -86.781  251.785 1.0 45.61371  ? 616 ASP E OD1 616 ASP E OD1 1 
ATOM 11995 O OD2 . ASP B 2 615 ? 243.305 -84.672  252.081 1.0 45.61371  ? 616 ASP E OD2 616 ASP E OD2 1 
ATOM 11996 N N   . ARG B 2 616 ? 246.550 -84.574  250.298 1.0 44.70958  ? 617 ARG E N   617 ARG E N   1 
ATOM 11997 C CA  . ARG B 2 616 ? 246.796 -83.564  249.279 1.0 44.70958  ? 617 ARG E CA  617 ARG E CA  1 
ATOM 11998 C C   . ARG B 2 616 ? 246.076 -83.990  247.998 1.0 44.70958  ? 617 ARG E C   617 ARG E C   1 
ATOM 11999 O O   . ARG B 2 616 ? 245.725 -85.159  247.833 1.0 44.70958  ? 617 ARG E O   617 ARG E O   1 
ATOM 12000 C CB  . ARG B 2 616 ? 248.311 -83.370  249.072 1.0 44.70958  ? 617 ARG E CB  617 ARG E CB  1 
ATOM 12001 C CG  . ARG B 2 616 ? 248.646 -82.149  248.265 1.0 44.70958  ? 617 ARG E CG  617 ARG E CG  1 
ATOM 12002 C CD  . ARG B 2 616 ? 250.068 -81.812  248.026 1.0 44.70958  ? 617 ARG E CD  617 ARG E CD  1 
ATOM 12003 N NE  . ARG B 2 616 ? 250.012 -80.771  247.013 1.0 44.70958  ? 617 ARG E NE  617 ARG E NE  1 
ATOM 12004 C CZ  . ARG B 2 616 ? 249.848 -79.481  247.273 1.0 44.70958  ? 617 ARG E CZ  617 ARG E CZ  1 
ATOM 12005 N NH1 . ARG B 2 616 ? 249.772 -79.052  248.514 1.0 44.70958  ? 617 ARG E NH1 617 ARG E NH1 1 
ATOM 12006 N NH2 . ARG B 2 616 ? 249.764 -78.609  246.290 1.0 44.70958  ? 617 ARG E NH2 617 ARG E NH2 1 
ATOM 12007 N N   . SER B 2 617 ? 245.834 -83.012  247.111 1.0 44.564    ? 618 SER E N   618 SER E N   1 
ATOM 12008 C CA  . SER B 2 617 ? 245.082 -83.216  245.874 1.0 44.564    ? 618 SER E CA  618 SER E CA  1 
ATOM 12009 C C   . SER B 2 617 ? 245.744 -84.225  244.939 1.0 44.564    ? 618 SER E C   618 SER E C   1 
ATOM 12010 O O   . SER B 2 617 ? 245.070 -85.124  244.423 1.0 44.564    ? 618 SER E O   618 SER E O   1 
ATOM 12011 C CB  . SER B 2 617 ? 244.908 -81.877  245.161 1.0 44.564    ? 618 SER E CB  618 SER E CB  1 
ATOM 12012 O OG  . SER B 2 617 ? 244.256 -82.046  243.917 1.0 44.564    ? 618 SER E OG  618 SER E OG  1 
ATOM 12013 N N   . TRP B 2 618 ? 247.054 -84.068  244.687 1.0 41.53773  ? 619 TRP E N   619 TRP E N   1 
ATOM 12014 C CA  . TRP B 2 618 ? 247.847 -84.917  243.775 1.0 41.53773  ? 619 TRP E CA  619 TRP E CA  1 
ATOM 12015 C C   . TRP B 2 618 ? 247.306 -84.901  242.346 1.0 41.53773  ? 619 TRP E C   619 TRP E C   1 
ATOM 12016 O O   . TRP B 2 618 ? 247.185 -85.943  241.703 1.0 41.53773  ? 619 TRP E O   619 TRP E O   1 
ATOM 12017 C CB  . TRP B 2 618 ? 247.960 -86.364  244.270 1.0 41.53773  ? 619 TRP E CB  619 TRP E CB  1 
ATOM 12018 C CG  . TRP B 2 618 ? 248.727 -86.528  245.516 1.0 41.53773  ? 619 TRP E CG  619 TRP E CG  1 
ATOM 12019 C CD1 . TRP B 2 618 ? 248.229 -86.627  246.772 1.0 41.53773  ? 619 TRP E CD1 619 TRP E CD1 1 
ATOM 12020 C CD2 . TRP B 2 618 ? 250.140 -86.627  245.635 1.0 41.53773  ? 619 TRP E CD2 619 TRP E CD2 1 
ATOM 12021 N NE1 . TRP B 2 618 ? 249.246 -86.772  247.675 1.0 41.53773  ? 619 TRP E NE1 619 TRP E NE1 1 
ATOM 12022 C CE2 . TRP B 2 618 ? 250.433 -86.775  246.997 1.0 41.53773  ? 619 TRP E CE2 619 TRP E CE2 1 
ATOM 12023 C CE3 . TRP B 2 618 ? 251.188 -86.597  244.721 1.0 41.53773  ? 619 TRP E CE3 619 TRP E CE3 1 
ATOM 12024 C CZ2 . TRP B 2 618 ? 251.727 -86.897  247.466 1.0 41.53773  ? 619 TRP E CZ2 619 TRP E CZ2 1 
ATOM 12025 C CZ3 . TRP B 2 618 ? 252.469 -86.716  245.188 1.0 41.53773  ? 619 TRP E CZ3 619 TRP E CZ3 1 
ATOM 12026 C CH2 . TRP B 2 618 ? 252.731 -86.861  246.546 1.0 41.53773  ? 619 TRP E CH2 619 TRP E CH2 1 
ATOM 12027 N N   . GLY B 2 619 ? 246.991 -83.713  241.832 1.0 40.51935  ? 620 GLY E N   620 GLY E N   1 
ATOM 12028 C CA  . GLY B 2 619 ? 246.448 -83.590  240.491 1.0 40.51935  ? 620 GLY E CA  620 GLY E CA  1 
ATOM 12029 C C   . GLY B 2 619 ? 247.526 -83.268  239.476 1.0 40.51935  ? 620 GLY E C   620 GLY E C   1 
ATOM 12030 O O   . GLY B 2 619 ? 248.327 -82.354  239.680 1.0 40.51935  ? 620 GLY E O   620 GLY E O   1 
ATOM 12031 N N   . ALA B 2 620 ? 247.526 -84.022  238.369 1.0 38.90525  ? 621 ALA E N   621 ALA E N   1 
ATOM 12032 C CA  . ALA B 2 620 ? 248.511 -83.921  237.280 1.0 38.90525  ? 621 ALA E CA  621 ALA E CA  1 
ATOM 12033 C C   . ALA B 2 620 ? 249.939 -84.129  237.780 1.0 38.90525  ? 621 ALA E C   621 ALA E C   1 
ATOM 12034 O O   . ALA B 2 620 ? 250.873 -83.452  237.351 1.0 38.90525  ? 621 ALA E O   621 ALA E O   1 
ATOM 12035 C CB  . ALA B 2 620 ? 248.385 -82.602  236.510 1.0 38.90525  ? 621 ALA E CB  621 ALA E CB  1 
ATOM 12036 N N   . PHE B 2 621 ? 250.103 -85.079  238.695 1.0 37.90311  ? 622 PHE E N   622 PHE E N   1 
ATOM 12037 C CA  . PHE B 2 621 ? 251.405 -85.506  239.179 1.0 37.90311  ? 622 PHE E CA  622 PHE E CA  1 
ATOM 12038 C C   . PHE B 2 621 ? 252.137 -86.266  238.077 1.0 37.90311  ? 622 PHE E C   622 PHE E C   1 
ATOM 12039 O O   . PHE B 2 621 ? 251.520 -86.803  237.160 1.0 37.90311  ? 622 PHE E O   622 PHE E O   1 
ATOM 12040 C CB  . PHE B 2 621 ? 251.213 -86.369  240.425 1.0 37.90311  ? 622 PHE E CB  622 PHE E CB  1 
ATOM 12041 C CG  . PHE B 2 621 ? 252.481 -86.825  241.065 1.0 37.90311  ? 622 PHE E CG  622 PHE E CG  1 
ATOM 12042 C CD1 . PHE B 2 621 ? 253.280 -85.938  241.753 1.0 37.90311  ? 622 PHE E CD1 622 PHE E CD1 1 
ATOM 12043 C CD2 . PHE B 2 621 ? 252.855 -88.150  241.005 1.0 37.90311  ? 622 PHE E CD2 622 PHE E CD2 1 
ATOM 12044 C CE1 . PHE B 2 621 ? 254.444 -86.362  242.347 1.0 37.90311  ? 622 PHE E CE1 622 PHE E CE1 1 
ATOM 12045 C CE2 . PHE B 2 621 ? 254.013 -88.577  241.599 1.0 37.90311  ? 622 PHE E CE2 622 PHE E CE2 1 
ATOM 12046 C CZ  . PHE B 2 621 ? 254.805 -87.685  242.273 1.0 37.90311  ? 622 PHE E CZ  622 PHE E CZ  1 
ATOM 12047 N N   . ARG B 2 622 ? 253.466 -86.300  238.152 1.0 36.96839  ? 623 ARG E N   623 ARG E N   1 
ATOM 12048 C CA  . ARG B 2 622 ? 254.235 -86.859  237.045 1.0 36.96839  ? 623 ARG E CA  623 ARG E CA  1 
ATOM 12049 C C   . ARG B 2 622 ? 255.082 -88.070  237.411 1.0 36.96839  ? 623 ARG E C   623 ARG E C   1 
ATOM 12050 O O   . ARG B 2 622 ? 255.098 -89.040  236.653 1.0 36.96839  ? 623 ARG E O   623 ARG E O   1 
ATOM 12051 C CB  . ARG B 2 622 ? 255.120 -85.768  236.428 1.0 36.96839  ? 623 ARG E CB  623 ARG E CB  1 
ATOM 12052 C CG  . ARG B 2 622 ? 255.785 -86.154  235.124 1.0 36.96839  ? 623 ARG E CG  623 ARG E CG  1 
ATOM 12053 C CD  . ARG B 2 622 ? 256.580 -84.995  234.558 1.0 36.96839  ? 623 ARG E CD  623 ARG E CD  1 
ATOM 12054 N NE  . ARG B 2 622 ? 257.701 -84.660  235.422 1.0 36.96839  ? 623 ARG E NE  623 ARG E NE  1 
ATOM 12055 C CZ  . ARG B 2 622 ? 258.461 -83.587  235.268 1.0 36.96839  ? 623 ARG E CZ  623 ARG E CZ  1 
ATOM 12056 N NH1 . ARG B 2 622 ? 258.218 -82.747  234.276 1.0 36.96839  ? 623 ARG E NH1 623 ARG E NH1 1 
ATOM 12057 N NH2 . ARG B 2 622 ? 259.462 -83.355  236.105 1.0 36.96839  ? 623 ARG E NH2 623 ARG E NH2 1 
ATOM 12058 N N   . GLY B 2 623 ? 255.789 -88.062  238.535 1.0 37.17117  ? 624 GLY E N   624 GLY E N   1 
ATOM 12059 C CA  . GLY B 2 623 ? 256.586 -89.220  238.895 1.0 37.17117  ? 624 GLY E CA  624 GLY E CA  1 
ATOM 12060 C C   . GLY B 2 623 ? 257.529 -88.925  240.040 1.0 37.17117  ? 624 GLY E C   624 GLY E C   1 
ATOM 12061 O O   . GLY B 2 623 ? 257.536 -87.830  240.606 1.0 37.17117  ? 624 GLY E O   624 GLY E O   1 
ATOM 12062 N N   . TRP B 2 624 ? 258.338 -89.932  240.369 1.0 38.23481  ? 625 TRP E N   625 TRP E N   1 
ATOM 12063 C CA  . TRP B 2 624 ? 259.283 -89.858  241.474 1.0 38.23481  ? 625 TRP E CA  625 TRP E CA  1 
ATOM 12064 C C   . TRP B 2 624 ? 260.717 -89.976  240.976 1.0 38.23481  ? 625 TRP E C   625 TRP E C   1 
ATOM 12065 O O   . TRP B 2 624 ? 260.974 -90.420  239.857 1.0 38.23481  ? 625 TRP E O   625 TRP E O   1 
ATOM 12066 C CB  . TRP B 2 624 ? 259.022 -90.955  242.507 1.0 38.23481  ? 625 TRP E CB  625 TRP E CB  1 
ATOM 12067 C CG  . TRP B 2 624 ? 257.776 -90.756  243.276 1.0 38.23481  ? 625 TRP E CG  625 TRP E CG  1 
ATOM 12068 C CD1 . TRP B 2 624 ? 257.632 -90.016  244.402 1.0 38.23481  ? 625 TRP E CD1 625 TRP E CD1 1 
ATOM 12069 C CD2 . TRP B 2 624 ? 256.490 -91.317  242.997 1.0 38.23481  ? 625 TRP E CD2 625 TRP E CD2 1 
ATOM 12070 N NE1 . TRP B 2 624 ? 256.339 -90.063  244.837 1.0 38.23481  ? 625 TRP E NE1 625 TRP E NE1 1 
ATOM 12071 C CE2 . TRP B 2 624 ? 255.615 -90.862  243.994 1.0 38.23481  ? 625 TRP E CE2 625 TRP E CE2 1 
ATOM 12072 C CE3 . TRP B 2 624 ? 255.994 -92.156  242.000 1.0 38.23481  ? 625 TRP E CE3 625 TRP E CE3 1 
ATOM 12073 C CZ2 . TRP B 2 624 ? 254.273 -91.214  244.022 1.0 38.23481  ? 625 TRP E CZ2 625 TRP E CZ2 1 
ATOM 12074 C CZ3 . TRP B 2 624 ? 254.664 -92.497  242.025 1.0 38.23481  ? 625 TRP E CZ3 625 TRP E CZ3 1 
ATOM 12075 C CH2 . TRP B 2 624 ? 253.819 -92.037  243.032 1.0 38.23481  ? 625 TRP E CH2 625 TRP E CH2 1 
ATOM 12076 N N   . SER B 2 625 ? 261.652 -89.571  241.835 1.0 38.38849  ? 626 SER E N   626 SER E N   1 
ATOM 12077 C CA  . SER B 2 625 ? 263.082 -89.693  241.581 1.0 38.38849  ? 626 SER E CA  626 SER E CA  1 
ATOM 12078 C C   . SER B 2 625 ? 263.825 -89.594  242.903 1.0 38.38849  ? 626 SER E C   626 SER E C   1 
ATOM 12079 O O   . SER B 2 625 ? 263.464 -88.774  243.748 1.0 38.38849  ? 626 SER E O   626 SER E O   1 
ATOM 12080 C CB  . SER B 2 625 ? 263.585 -88.619  240.615 1.0 38.38849  ? 626 SER E CB  626 SER E CB  1 
ATOM 12081 O OG  . SER B 2 625 ? 263.059 -88.820  239.319 1.0 38.38849  ? 626 SER E OG  626 SER E OG  1 
ATOM 12082 N N   . PHE B 2 626 ? 264.868 -90.410  243.075 1.0 40.48861  ? 627 PHE E N   627 PHE E N   1 
ATOM 12083 C CA  . PHE B 2 626 ? 265.533 -90.460  244.372 1.0 40.48861  ? 627 PHE E CA  627 PHE E CA  1 
ATOM 12084 C C   . PHE B 2 626 ? 266.965 -90.975  244.270 1.0 40.48861  ? 627 PHE E C   627 PHE E C   1 
ATOM 12085 O O   . PHE B 2 626 ? 267.245 -91.909  243.518 1.0 40.48861  ? 627 PHE E O   627 PHE E O   1 
ATOM 12086 C CB  . PHE B 2 626 ? 264.727 -91.307  245.370 1.0 40.48861  ? 627 PHE E CB  627 PHE E CB  1 
ATOM 12087 C CG  . PHE B 2 626 ? 264.546 -92.740  244.970 1.0 40.48861  ? 627 PHE E CG  627 PHE E CG  1 
ATOM 12088 C CD1 . PHE B 2 626 ? 263.493 -93.117  244.163 1.0 40.48861  ? 627 PHE E CD1 627 PHE E CD1 1 
ATOM 12089 C CD2 . PHE B 2 626 ? 265.388 -93.721  245.459 1.0 40.48861  ? 627 PHE E CD2 627 PHE E CD2 1 
ATOM 12090 C CE1 . PHE B 2 626 ? 263.317 -94.427  243.812 1.0 40.48861  ? 627 PHE E CE1 627 PHE E CE1 1 
ATOM 12091 C CE2 . PHE B 2 626 ? 265.211 -95.039  245.108 1.0 40.48861  ? 627 PHE E CE2 627 PHE E CE2 1 
ATOM 12092 C CZ  . PHE B 2 626 ? 264.171 -95.390  244.284 1.0 40.48861  ? 627 PHE E CZ  627 PHE E CZ  1 
ATOM 12093 N N   . THR B 2 627 ? 267.862 -90.343  245.035 1.0 43.38329  ? 628 THR E N   628 THR E N   1 
ATOM 12094 C CA  . THR B 2 627 ? 269.208 -90.831  245.332 1.0 43.38329  ? 628 THR E CA  628 THR E CA  1 
ATOM 12095 C C   . THR B 2 627 ? 269.496 -90.706  246.819 1.0 43.38329  ? 628 THR E C   628 THR E C   1 
ATOM 12096 O O   . THR B 2 627 ? 268.649 -90.295  247.614 1.0 43.38329  ? 628 THR E O   628 THR E O   1 
ATOM 12097 C CB  . THR B 2 627 ? 270.314 -90.074  244.590 1.0 43.38329  ? 628 THR E CB  628 THR E CB  1 
ATOM 12098 O OG1 . THR B 2 627 ? 270.109 -88.662  244.711 1.0 43.38329  ? 628 THR E OG1 628 THR E OG1 1 
ATOM 12099 C CG2 . THR B 2 627 ? 270.424 -90.498  243.172 1.0 43.38329  ? 628 THR E CG2 628 THR E CG2 1 
ATOM 12100 N N   . ARG B 2 628 ? 270.724 -91.061  247.179 1.0 44.41478  ? 629 ARG E N   629 ARG E N   1 
ATOM 12101 C CA  . ARG B 2 628 ? 271.286 -90.795  248.492 1.0 44.41478  ? 629 ARG E CA  629 ARG E CA  1 
ATOM 12102 C C   . ARG B 2 628 ? 272.420 -89.793  248.355 1.0 44.41478  ? 629 ARG E C   629 ARG E C   1 
ATOM 12103 O O   . ARG B 2 628 ? 273.264 -89.915  247.463 1.0 44.41478  ? 629 ARG E O   629 ARG E O   1 
ATOM 12104 C CB  . ARG B 2 628 ? 271.813 -92.068  249.147 1.0 44.41478  ? 629 ARG E CB  629 ARG E CB  1 
ATOM 12105 C CG  . ARG B 2 628 ? 270.745 -93.054  249.507 1.0 44.41478  ? 629 ARG E CG  629 ARG E CG  1 
ATOM 12106 C CD  . ARG B 2 628 ? 271.343 -94.278  250.155 1.0 44.41478  ? 629 ARG E CD  629 ARG E CD  1 
ATOM 12107 N NE  . ARG B 2 628 ? 271.915 -93.974  251.458 1.0 44.41478  ? 629 ARG E NE  629 ARG E NE  1 
ATOM 12108 C CZ  . ARG B 2 628 ? 272.625 -94.834  252.173 1.0 44.41478  ? 629 ARG E CZ  629 ARG E CZ  1 
ATOM 12109 N NH1 . ARG B 2 628 ? 272.853 -96.052  251.709 1.0 44.41478  ? 629 ARG E NH1 629 ARG E NH1 1 
ATOM 12110 N NH2 . ARG B 2 628 ? 273.107 -94.478  253.352 1.0 44.41478  ? 629 ARG E NH2 629 ARG E NH2 1 
ATOM 12111 N N   . LEU B 2 629 ? 272.436 -88.807  249.238 1.0 46.11868  ? 630 LEU E N   630 LEU E N   1 
ATOM 12112 C CA  . LEU B 2 629 ? 273.471 -87.790  249.252 1.0 46.11868  ? 630 LEU E CA  630 LEU E CA  1 
ATOM 12113 C C   . LEU B 2 629 ? 274.061 -87.743  250.645 1.0 46.11868  ? 630 LEU E C   630 LEU E C   1 
ATOM 12114 O O   . LEU B 2 629 ? 273.318 -87.785  251.626 1.0 46.11868  ? 630 LEU E O   630 LEU E O   1 
ATOM 12115 C CB  . LEU B 2 629 ? 272.909 -86.425  248.901 1.0 46.11868  ? 630 LEU E CB  630 LEU E CB  1 
ATOM 12116 C CG  . LEU B 2 629 ? 272.179 -86.312  247.573 1.0 46.11868  ? 630 LEU E CG  630 LEU E CG  1 
ATOM 12117 C CD1 . LEU B 2 629 ? 271.644 -84.909  247.429 1.0 46.11868  ? 630 LEU E CD1 630 LEU E CD1 1 
ATOM 12118 C CD2 . LEU B 2 629 ? 273.079 -86.679  246.426 1.0 46.11868  ? 630 LEU E CD2 630 LEU E CD2 1 
ATOM 12119 N N   . LYS B 2 630 ? 275.384 -87.663  250.736 1.0 47.67861  ? 631 LYS E N   631 LYS E N   1 
ATOM 12120 C CA  . LYS B 2 630 ? 276.024 -87.548  252.037 1.0 47.67861  ? 631 LYS E CA  631 LYS E CA  1 
ATOM 12121 C C   . LYS B 2 630 ? 275.689 -86.205  252.679 1.0 47.67861  ? 631 LYS E C   631 LYS E C   1 
ATOM 12122 O O   . LYS B 2 630 ? 275.485 -85.202  251.995 1.0 47.67861  ? 631 LYS E O   631 LYS E O   1 
ATOM 12123 C CB  . LYS B 2 630 ? 277.535 -87.708  251.908 1.0 47.67861  ? 631 LYS E CB  631 LYS E CB  1 
ATOM 12124 C CG  . LYS B 2 630 ? 277.997 -89.107  251.540 1.0 47.67861  ? 631 LYS E CG  631 LYS E CG  1 
ATOM 12125 C CD  . LYS B 2 630 ? 279.512 -89.160  251.437 1.0 47.67861  ? 631 LYS E CD  631 LYS E CD  1 
ATOM 12126 C CE  . LYS B 2 630 ? 280.013 -90.563  251.187 1.0 47.67861  ? 631 LYS E CE  631 LYS E CE  1 
ATOM 12127 N NZ  . LYS B 2 630 ? 279.589 -91.068  249.876 1.0 47.67861  ? 631 LYS E NZ  631 LYS E NZ  1 
ATOM 12128 N N   . VAL B 2 631 ? 275.596 -86.206  254.010 1.0 48.74125  ? 632 VAL E N   632 VAL E N   1 
ATOM 12129 C CA  . VAL B 2 631 ? 275.279 -84.981  254.738 1.0 48.74125  ? 632 VAL E CA  632 VAL E CA  1 
ATOM 12130 C C   . VAL B 2 631 ? 276.442 -84.002  254.659 1.0 48.74125  ? 632 VAL E C   632 VAL E C   1 
ATOM 12131 O O   . VAL B 2 631 ? 276.248 -82.792  254.485 1.0 48.74125  ? 632 VAL E O   632 VAL E O   1 
ATOM 12132 C CB  . VAL B 2 631 ? 274.900 -85.319  256.193 1.0 48.74125  ? 632 VAL E CB  632 VAL E CB  1 
ATOM 12133 C CG1 . VAL B 2 631 ? 274.779 -84.068  257.053 1.0 48.74125  ? 632 VAL E CG1 632 VAL E CG1 1 
ATOM 12134 C CG2 . VAL B 2 631 ? 273.589 -86.072  256.214 1.0 48.74125  ? 632 VAL E CG2 632 VAL E CG2 1 
ATOM 12135 N N   . SER B 2 632 ? 277.671 -84.513  254.735 1.0 49.27983  ? 633 SER E N   633 SER E N   1 
ATOM 12136 C CA  . SER B 2 632 ? 278.841 -83.653  254.637 1.0 49.27983  ? 633 SER E CA  633 SER E CA  1 
ATOM 12137 C C   . SER B 2 632 ? 279.052 -83.115  253.230 1.0 49.27983  ? 633 SER E C   633 SER E C   1 
ATOM 12138 O O   . SER B 2 632 ? 279.712 -82.087  253.072 1.0 49.27983  ? 633 SER E O   633 SER E O   1 
ATOM 12139 C CB  . SER B 2 632 ? 280.081 -84.415  255.095 1.0 49.27983  ? 633 SER E CB  633 SER E CB  1 
ATOM 12140 O OG  . SER B 2 632 ? 280.369 -85.484  254.216 1.0 49.27983  ? 633 SER E OG  633 SER E OG  1 
ATOM 12141 N N   . GLU B 2 633 ? 278.495 -83.769  252.211 1.0 49.22749  ? 634 GLU E N   634 GLU E N   1 
ATOM 12142 C CA  . GLU B 2 633 ? 278.664 -83.355  250.826 1.0 49.22749  ? 634 GLU E CA  634 GLU E CA  1 
ATOM 12143 C C   . GLU B 2 633 ? 277.445 -82.628  250.272 1.0 49.22749  ? 634 GLU E C   634 GLU E C   1 
ATOM 12144 O O   . GLU B 2 633 ? 277.301 -82.522  249.051 1.0 49.22749  ? 634 GLU E O   634 GLU E O   1 
ATOM 12145 C CB  . GLU B 2 633 ? 278.977 -84.564  249.947 1.0 49.22749  ? 634 GLU E CB  634 GLU E CB  1 
ATOM 12146 C CG  . GLU B 2 633 ? 280.305 -85.224  250.230 1.0 49.22749  ? 634 GLU E CG  634 GLU E CG  1 
ATOM 12147 C CD  . GLU B 2 633 ? 280.566 -86.398  249.311 1.0 49.22749  ? 634 GLU E CD  634 GLU E CD  1 
ATOM 12148 O OE1 . GLU B 2 633 ? 279.659 -86.755  248.532 1.0 49.22749  ? 634 GLU E OE1 634 GLU E OE1 1 
ATOM 12149 O OE2 . GLU B 2 633 ? 281.677 -86.964  249.368 1.0 49.22749  ? 634 GLU E OE2 634 GLU E OE2 1 
ATOM 12150 N N   . THR B 2 634 ? 276.562 -82.137  251.132 1.0 51.0521   ? 635 THR E N   635 THR E N   1 
ATOM 12151 C CA  . THR B 2 634 ? 275.349 -81.451  250.692 1.0 51.0521   ? 635 THR E CA  635 THR E CA  1 
ATOM 12152 C C   . THR B 2 634 ? 275.114 -80.215  251.546 1.0 51.0521   ? 635 THR E C   635 THR E C   1 
ATOM 12153 O O   . THR B 2 634 ? 274.856 -80.346  252.761 1.0 51.0521   ? 635 THR E O   635 THR E O   1 
ATOM 12154 C CB  . THR B 2 634 ? 274.142 -82.380  250.745 1.0 51.0521   ? 635 THR E CB  635 THR E CB  1 
ATOM 12155 O OG1 . THR B 2 634 ? 274.344 -83.468  249.838 1.0 51.0521   ? 635 THR E OG1 635 THR E OG1 1 
ATOM 12156 C CG2 . THR B 2 634 ? 272.884 -81.638  250.355 1.0 51.0521   ? 635 THR E CG2 635 THR E CG2 1 
ATOM 12157 N N   . PRO B 2 635 ? 275.182 -79.022  250.972 1.0 54.45001  ? 636 PRO E N   636 PRO E N   1 
ATOM 12158 C CA  . PRO B 2 635 ? 274.995 -77.804  251.757 1.0 54.45001  ? 636 PRO E CA  636 PRO E CA  1 
ATOM 12159 C C   . PRO B 2 635 ? 273.519 -77.509  251.973 1.0 54.45001  ? 636 PRO E C   636 PRO E C   1 
ATOM 12160 O O   . PRO B 2 635 ? 272.633 -78.180  251.447 1.0 54.45001  ? 636 PRO E O   636 PRO E O   1 
ATOM 12161 C CB  . PRO B 2 635 ? 275.632 -76.734  250.874 1.0 54.45001  ? 636 PRO E CB  636 PRO E CB  1 
ATOM 12162 C CG  . PRO B 2 635 ? 275.384 -77.236  249.505 1.0 54.45001  ? 636 PRO E CG  636 PRO E CG  1 
ATOM 12163 C CD  . PRO B 2 635 ? 275.503 -78.722  249.570 1.0 54.45001  ? 636 PRO E CD  636 PRO E CD  1 
ATOM 12164 N N   . ARG B 2 636 ? 273.270 -76.471  252.759 1.0 57.02965  ? 637 ARG E N   637 ARG E N   1 
ATOM 12165 C CA  . ARG B 2 636 ? 271.940 -75.896  252.898 1.0 57.02965  ? 637 ARG E CA  637 ARG E CA  1 
ATOM 12166 C C   . ARG B 2 636 ? 271.937 -74.578  252.135 1.0 57.02965  ? 637 ARG E C   637 ARG E C   1 
ATOM 12167 O O   . ARG B 2 636 ? 272.629 -73.630  252.518 1.0 57.02965  ? 637 ARG E O   637 ARG E O   1 
ATOM 12168 C CB  . ARG B 2 636 ? 271.578 -75.702  254.365 1.0 57.02965  ? 637 ARG E CB  637 ARG E CB  1 
ATOM 12169 C CG  . ARG B 2 636 ? 271.544 -76.997  255.149 1.0 57.02965  ? 637 ARG E CG  637 ARG E CG  1 
ATOM 12170 C CD  . ARG B 2 636 ? 270.424 -77.902  254.669 1.0 57.02965  ? 637 ARG E CD  637 ARG E CD  1 
ATOM 12171 N NE  . ARG B 2 636 ? 269.111 -77.314  254.910 1.0 57.02965  ? 637 ARG E NE  637 ARG E NE  1 
ATOM 12172 C CZ  . ARG B 2 636 ? 267.986 -77.730  254.337 1.0 57.02965  ? 637 ARG E CZ  637 ARG E CZ  1 
ATOM 12173 N NH1 . ARG B 2 636 ? 268.007 -78.747  253.486 1.0 57.02965  ? 637 ARG E NH1 637 ARG E NH1 1 
ATOM 12174 N NH2 . ARG B 2 636 ? 266.837 -77.130  254.617 1.0 57.02965  ? 637 ARG E NH2 637 ARG E NH2 1 
ATOM 12175 N N   . ILE B 2 637 ? 271.168 -74.527  251.050 1.0 55.27698  ? 638 ILE E N   638 ILE E N   1 
ATOM 12176 C CA  . ILE B 2 637 ? 271.233 -73.383  250.152 1.0 55.27698  ? 638 ILE E CA  638 ILE E CA  1 
ATOM 12177 C C   . ILE B 2 637 ? 270.456 -72.196  250.712 1.0 55.27698  ? 638 ILE E C   638 ILE E C   1 
ATOM 12178 O O   . ILE B 2 637 ? 270.843 -71.042  250.493 1.0 55.27698  ? 638 ILE E O   638 ILE E O   1 
ATOM 12179 C CB  . ILE B 2 637 ? 270.721 -73.803  248.764 1.0 55.27698  ? 638 ILE E CB  638 ILE E CB  1 
ATOM 12180 C CG1 . ILE B 2 637 ? 271.537 -74.971  248.241 1.0 55.27698  ? 638 ILE E CG1 638 ILE E CG1 1 
ATOM 12181 C CG2 . ILE B 2 637 ? 270.853 -72.693  247.743 1.0 55.27698  ? 638 ILE E CG2 638 ILE E CG2 1 
ATOM 12182 C CD1 . ILE B 2 637 ? 270.968 -75.532  246.988 1.0 55.27698  ? 638 ILE E CD1 638 ILE E CD1 1 
ATOM 12183 N N   . GLY B 2 638 ? 269.388 -72.455  251.475 1.0 54.71248  ? 639 GLY E N   639 GLY E N   1 
ATOM 12184 C CA  . GLY B 2 638 ? 268.500 -71.387  251.911 1.0 54.71248  ? 639 GLY E CA  639 GLY E CA  1 
ATOM 12185 C C   . GLY B 2 638 ? 269.126 -70.400  252.877 1.0 54.71248  ? 639 GLY E C   639 GLY E C   1 
ATOM 12186 O O   . GLY B 2 638 ? 268.668 -69.259  252.983 1.0 54.71248  ? 639 GLY E O   639 GLY E O   1 
ATOM 12187 N N   . ALA B 2 639 ? 270.174 -70.808  253.582 1.0 57.1159   ? 640 ALA E N   640 ALA E N   1 
ATOM 12188 C CA  . ALA B 2 639 ? 270.905 -69.873  254.416 1.0 57.1159   ? 640 ALA E CA  640 ALA E CA  1 
ATOM 12189 C C   . ALA B 2 639 ? 271.862 -69.045  253.564 1.0 57.1159   ? 640 ALA E C   640 ALA E C   1 
ATOM 12190 O O   . ALA B 2 639 ? 272.263 -69.443  252.469 1.0 57.1159   ? 640 ALA E O   640 ALA E O   1 
ATOM 12191 C CB  . ALA B 2 639 ? 271.678 -70.612  255.507 1.0 57.1159   ? 640 ALA E CB  640 ALA E CB  1 
ATOM 12192 N N   . THR B 2 640 ? 272.232 -67.874  254.086 1.0 58.322    ? 641 THR E N   641 THR E N   1 
ATOM 12193 C CA  . THR B 2 640 ? 273.198 -67.036  253.386 1.0 58.322    ? 641 THR E CA  641 THR E CA  1 
ATOM 12194 C C   . THR B 2 640 ? 274.617 -67.573  253.502 1.0 58.322    ? 641 THR E C   641 THR E C   1 
ATOM 12195 O O   . THR B 2 640 ? 275.482 -67.168  252.720 1.0 58.322    ? 641 THR E O   641 THR E O   1 
ATOM 12196 C CB  . THR B 2 640 ? 273.135 -65.598  253.902 1.0 58.322    ? 641 THR E CB  641 THR E CB  1 
ATOM 12197 O OG1 . THR B 2 640 ? 274.016 -64.774  253.131 1.0 58.322    ? 641 THR E OG1 641 THR E OG1 1 
ATOM 12198 C CG2 . THR B 2 640 ? 273.530 -65.525  255.367 1.0 58.322    ? 641 THR E CG2 641 THR E CG2 1 
ATOM 12199 N N   . GLN B 2 641 ? 274.868 -68.468  254.456 1.0 60.63853  ? 642 GLN E N   642 GLN E N   1 
ATOM 12200 C CA  . GLN B 2 641 ? 276.125 -69.192  254.565 1.0 60.63853  ? 642 GLN E CA  642 GLN E CA  1 
ATOM 12201 C C   . GLN B 2 641 ? 275.866 -70.440  255.391 1.0 60.63853  ? 642 GLN E C   642 GLN E C   1 
ATOM 12202 O O   . GLN B 2 641 ? 275.132 -70.389  256.380 1.0 60.63853  ? 642 GLN E O   642 GLN E O   1 
ATOM 12203 C CB  . GLN B 2 641 ? 277.224 -68.350  255.218 1.0 60.63853  ? 642 GLN E CB  642 GLN E CB  1 
ATOM 12204 C CG  . GLN B 2 641 ? 278.583 -69.016  255.213 1.0 60.63853  ? 642 GLN E CG  642 GLN E CG  1 
ATOM 12205 C CD  . GLN B 2 641 ? 279.648 -68.167  255.853 1.0 60.63853  ? 642 GLN E CD  642 GLN E CD  1 
ATOM 12206 O OE1 . GLN B 2 641 ? 279.370 -67.081  256.358 1.0 60.63853  ? 642 GLN E OE1 642 GLN E OE1 1 
ATOM 12207 N NE2 . GLN B 2 641 ? 280.881 -68.656  255.839 1.0 60.63853  ? 642 GLN E NE2 642 GLN E NE2 1 
ATOM 12208 N N   . ASP B 2 642 ? 276.455 -71.557  254.971 1.0 61.76538  ? 643 ASP E N   643 ASP E N   1 
ATOM 12209 C CA  . ASP B 2 642 ? 276.329 -72.804  255.705 1.0 61.76538  ? 643 ASP E CA  643 ASP E CA  1 
ATOM 12210 C C   . ASP B 2 642 ? 277.585 -72.994  256.540 1.0 61.76538  ? 643 ASP E C   643 ASP E C   1 
ATOM 12211 O O   . ASP B 2 642 ? 278.649 -73.292  255.976 1.0 61.76538  ? 643 ASP E O   643 ASP E O   1 
ATOM 12212 C CB  . ASP B 2 642 ? 276.140 -73.973  254.744 1.0 61.76538  ? 643 ASP E CB  643 ASP E CB  1 
ATOM 12213 C CG  . ASP B 2 642 ? 275.616 -75.218  255.431 1.0 61.76538  ? 643 ASP E CG  643 ASP E CG  1 
ATOM 12214 O OD1 . ASP B 2 642 ? 275.373 -75.174  256.655 1.0 61.76538  ? 643 ASP E OD1 643 ASP E OD1 1 
ATOM 12215 O OD2 . ASP B 2 642 ? 275.447 -76.247  254.743 1.0 61.76538  ? 643 ASP E OD2 643 ASP E OD2 1 
ATOM 12216 N N   . PRO B 2 643 ? 277.528 -72.826  257.863 1.0 60.50597  ? 644 PRO E N   644 PRO E N   1 
ATOM 12217 C CA  . PRO B 2 643 ? 278.746 -72.944  258.675 1.0 60.50597  ? 644 PRO E CA  644 PRO E CA  1 
ATOM 12218 C C   . PRO B 2 643 ? 279.179 -74.374  258.939 1.0 60.50597  ? 644 PRO E C   644 PRO E C   1 
ATOM 12219 O O   . PRO B 2 643 ? 280.317 -74.584  259.380 1.0 60.50597  ? 644 PRO E O   644 PRO E O   1 
ATOM 12220 C CB  . PRO B 2 643 ? 278.355 -72.245  259.980 1.0 60.50597  ? 644 PRO E CB  644 PRO E CB  1 
ATOM 12221 C CG  . PRO B 2 643 ? 276.888 -72.454  260.072 1.0 60.50597  ? 644 PRO E CG  644 PRO E CG  1 
ATOM 12222 C CD  . PRO B 2 643 ? 276.366 -72.419  258.667 1.0 60.50597  ? 644 PRO E CD  644 PRO E CD  1 
ATOM 12223 N N   . ASN B 2 644 ? 278.317 -75.356  258.697 1.0 61.10654  ? 645 ASN E N   645 ASN E N   1 
ATOM 12224 C CA  . ASN B 2 644 ? 278.659 -76.759  258.870 1.0 61.10654  ? 645 ASN E CA  645 ASN E CA  1 
ATOM 12225 C C   . ASN B 2 644 ? 279.144 -77.404  257.583 1.0 61.10654  ? 645 ASN E C   645 ASN E C   1 
ATOM 12226 O O   . ASN B 2 644 ? 279.256 -78.632  257.523 1.0 61.10654  ? 645 ASN E O   645 ASN E O   1 
ATOM 12227 C CB  . ASN B 2 644 ? 277.456 -77.533  259.402 1.0 61.10654  ? 645 ASN E CB  645 ASN E CB  1 
ATOM 12228 C CG  . ASN B 2 644 ? 277.035 -77.071  260.769 1.0 61.10654  ? 645 ASN E CG  645 ASN E CG  1 
ATOM 12229 O OD1 . ASN B 2 644 ? 275.943 -76.535  260.945 1.0 61.10654  ? 645 ASN E OD1 645 ASN E OD1 1 
ATOM 12230 N ND2 . ASN B 2 644 ? 277.902 -77.270  261.752 1.0 61.10654  ? 645 ASN E ND2 645 ASN E ND2 1 
ATOM 12231 N N   . PHE B 2 645 ? 279.429 -76.612  256.559 1.0 54.3531   ? 646 PHE E N   646 PHE E N   1 
ATOM 12232 C CA  . PHE B 2 645 ? 279.776 -77.135  255.243 1.0 54.3531   ? 646 PHE E CA  646 PHE E CA  1 
ATOM 12233 C C   . PHE B 2 645 ? 281.293 -77.118  255.108 1.0 54.3531   ? 646 PHE E C   646 PHE E C   1 
ATOM 12234 O O   . PHE B 2 645 ? 281.880 -76.138  254.649 1.0 54.3531   ? 646 PHE E O   646 PHE E O   1 
ATOM 12235 C CB  . PHE B 2 645 ? 279.082 -76.318  254.164 1.0 54.3531   ? 646 PHE E CB  646 PHE E CB  1 
ATOM 12236 C CG  . PHE B 2 645 ? 279.291 -76.834  252.788 1.0 54.3531   ? 646 PHE E CG  646 PHE E CG  1 
ATOM 12237 C CD1 . PHE B 2 645 ? 278.740 -78.040  252.403 1.0 54.3531   ? 646 PHE E CD1 646 PHE E CD1 1 
ATOM 12238 C CD2 . PHE B 2 645 ? 279.991 -76.092  251.860 1.0 54.3531   ? 646 PHE E CD2 646 PHE E CD2 1 
ATOM 12239 C CE1 . PHE B 2 645 ? 278.918 -78.512  251.129 1.0 54.3531   ? 646 PHE E CE1 646 PHE E CE1 1 
ATOM 12240 C CE2 . PHE B 2 645 ? 280.162 -76.553  250.581 1.0 54.3531   ? 646 PHE E CE2 646 PHE E CE2 1 
ATOM 12241 C CZ  . PHE B 2 645 ? 279.634 -77.768  250.220 1.0 54.3531   ? 646 PHE E CZ  646 PHE E CZ  1 
ATOM 12242 N N   . GLN B 2 646 ? 281.927 -78.220  255.506 1.0 56.25516  ? 647 GLN E N   647 GLN E N   1 
ATOM 12243 C CA  . GLN B 2 646 ? 283.375 -78.335  255.569 1.0 56.25516  ? 647 GLN E CA  647 GLN E CA  1 
ATOM 12244 C C   . GLN B 2 646 ? 283.962 -79.003  254.331 1.0 56.25516  ? 647 GLN E C   647 GLN E C   1 
ATOM 12245 O O   . GLN B 2 646 ? 285.094 -79.492  254.377 1.0 56.25516  ? 647 GLN E O   647 GLN E O   1 
ATOM 12246 C CB  . GLN B 2 646 ? 283.768 -79.118  256.820 1.0 56.25516  ? 647 GLN E CB  647 GLN E CB  1 
ATOM 12247 C CG  . GLN B 2 646 ? 283.303 -78.499  258.126 1.0 56.25516  ? 647 GLN E CG  647 GLN E CG  1 
ATOM 12248 C CD  . GLN B 2 646 ? 284.045 -77.232  258.467 1.0 56.25516  ? 647 GLN E CD  647 GLN E CD  1 
ATOM 12249 O OE1 . GLN B 2 646 ? 285.251 -77.139  258.261 1.0 56.25516  ? 647 GLN E OE1 647 GLN E OE1 1 
ATOM 12250 N NE2 . GLN B 2 646 ? 283.330 -76.251  258.996 1.0 56.25516  ? 647 GLN E NE2 647 GLN E NE2 1 
ATOM 12251 N N   . TYR B 2 647 ? 283.221 -79.032  253.231 1.0 50.36307  ? 648 TYR E N   648 TYR E N   1 
ATOM 12252 C CA  . TYR B 2 647 ? 283.564 -79.820  252.058 1.0 50.36307  ? 648 TYR E CA  648 TYR E CA  1 
ATOM 12253 C C   . TYR B 2 647 ? 283.691 -78.908  250.849 1.0 50.36307  ? 648 TYR E C   648 TYR E C   1 
ATOM 12254 O O   . TYR B 2 647 ? 283.042 -77.865  250.775 1.0 50.36307  ? 648 TYR E O   648 TYR E O   1 
ATOM 12255 C CB  . TYR B 2 647 ? 282.495 -80.885  251.823 1.0 50.36307  ? 648 TYR E CB  648 TYR E CB  1 
ATOM 12256 C CG  . TYR B 2 647 ? 282.708 -81.816  250.658 1.0 50.36307  ? 648 TYR E CG  648 TYR E CG  1 
ATOM 12257 C CD1 . TYR B 2 647 ? 283.653 -82.829  250.716 1.0 50.36307  ? 648 TYR E CD1 648 TYR E CD1 1 
ATOM 12258 C CD2 . TYR B 2 647 ? 281.921 -81.716  249.521 1.0 50.36307  ? 648 TYR E CD2 648 TYR E CD2 1 
ATOM 12259 C CE1 . TYR B 2 647 ? 283.830 -83.696  249.657 1.0 50.36307  ? 648 TYR E CE1 648 TYR E CE1 1 
ATOM 12260 C CE2 . TYR B 2 647 ? 282.088 -82.579  248.461 1.0 50.36307  ? 648 TYR E CE2 648 TYR E CE2 1 
ATOM 12261 C CZ  . TYR B 2 647 ? 283.045 -83.564  248.534 1.0 50.36307  ? 648 TYR E CZ  648 TYR E CZ  1 
ATOM 12262 O OH  . TYR B 2 647 ? 283.214 -84.421  247.475 1.0 50.36307  ? 648 TYR E OH  648 TYR E OH  1 
ATOM 12263 N N   . SER B 2 648 ? 284.548 -79.289  249.903 1.0 50.07738  ? 649 SER E N   649 SER E N   1 
ATOM 12264 C CA  . SER B 2 648 ? 284.731 -78.462  248.718 1.0 50.07738  ? 649 SER E CA  649 SER E CA  1 
ATOM 12265 C C   . SER B 2 648 ? 284.874 -79.263  247.434 1.0 50.07738  ? 649 SER E C   649 SER E C   1 
ATOM 12266 O O   . SER B 2 648 ? 285.324 -78.705  246.429 1.0 50.07738  ? 649 SER E O   649 SER E O   1 
ATOM 12267 C CB  . SER B 2 648 ? 285.947 -77.559  248.873 1.0 50.07738  ? 649 SER E CB  649 SER E CB  1 
ATOM 12268 O OG  . SER B 2 648 ? 287.132 -78.329  248.896 1.0 50.07738  ? 649 SER E OG  649 SER E OG  1 
ATOM 12269 N N   . GLY B 2 649 ? 284.518 -80.539  247.421 1.0 47.4584   ? 650 GLY E N   650 GLY E N   1 
ATOM 12270 C CA  . GLY B 2 649 ? 284.584 -81.337  246.213 1.0 47.4584   ? 650 GLY E CA  650 GLY E CA  1 
ATOM 12271 C C   . GLY B 2 649 ? 283.378 -81.114  245.332 1.0 47.4584   ? 650 GLY E C   650 GLY E C   1 
ATOM 12272 O O   . GLY B 2 649 ? 282.729 -80.062  245.375 1.0 47.4584   ? 650 GLY E O   650 GLY E O   1 
ATOM 12273 N N   . SER B 2 650 ? 283.066 -82.113  244.515 1.0 46.19019  ? 651 SER E N   651 SER E N   1 
ATOM 12274 C CA  . SER B 2 650 ? 281.899 -82.033  243.650 1.0 46.19019  ? 651 SER E CA  651 SER E CA  1 
ATOM 12275 C C   . SER B 2 650 ? 280.649 -82.259  244.485 1.0 46.19019  ? 651 SER E C   651 SER E C   1 
ATOM 12276 O O   . SER B 2 650 ? 280.501 -83.309  245.117 1.0 46.19019  ? 651 SER E O   651 SER E O   1 
ATOM 12277 C CB  . SER B 2 650 ? 281.984 -83.058  242.527 1.0 46.19019  ? 651 SER E CB  651 SER E CB  1 
ATOM 12278 O OG  . SER B 2 650 ? 281.864 -84.367  243.042 1.0 46.19019  ? 651 SER E OG  651 SER E OG  1 
ATOM 12279 N N   . ILE B 2 651 ? 279.761 -81.271  244.499 1.0 45.49015  ? 652 ILE E N   652 ILE E N   1 
ATOM 12280 C CA  . ILE B 2 651 ? 278.503 -81.366  245.231 1.0 45.49015  ? 652 ILE E CA  652 ILE E CA  1 
ATOM 12281 C C   . ILE B 2 651 ? 277.495 -82.112  244.371 1.0 45.49015  ? 652 ILE E C   652 ILE E C   1 
ATOM 12282 O O   . ILE B 2 651 ? 277.099 -81.611  243.313 1.0 45.49015  ? 652 ILE E O   652 ILE E O   1 
ATOM 12283 C CB  . ILE B 2 651 ? 277.962 -79.983  245.611 1.0 45.49015  ? 652 ILE E CB  652 ILE E CB  1 
ATOM 12284 C CG1 . ILE B 2 651 ? 278.921 -79.283  246.561 1.0 45.49015  ? 652 ILE E CG1 652 ILE E CG1 1 
ATOM 12285 C CG2 . ILE B 2 651 ? 276.601 -80.112  246.251 1.0 45.49015  ? 652 ILE E CG2 652 ILE E CG2 1 
ATOM 12286 C CD1 . ILE B 2 651 ? 278.558 -77.859  246.805 1.0 45.49015  ? 652 ILE E CD1 652 ILE E CD1 1 
ATOM 12287 N N   . PRO B 2 652 ? 277.045 -83.295  244.788 1.0 43.83221  ? 653 PRO E N   653 PRO E N   1 
ATOM 12288 C CA  . PRO B 2 652 ? 276.107 -84.054  243.954 1.0 43.83221  ? 653 PRO E CA  653 PRO E CA  1 
ATOM 12289 C C   . PRO B 2 652 ? 274.713 -83.469  243.932 1.0 43.83221  ? 653 PRO E C   653 PRO E C   1 
ATOM 12290 O O   . PRO B 2 652 ? 273.948 -83.768  243.010 1.0 43.83221  ? 653 PRO E O   653 PRO E O   1 
ATOM 12291 C CB  . PRO B 2 652 ? 276.121 -85.443  244.597 1.0 43.83221  ? 653 PRO E CB  653 PRO E CB  1 
ATOM 12292 C CG  . PRO B 2 652 ? 276.469 -85.183  246.016 1.0 43.83221  ? 653 PRO E CG  653 PRO E CG  1 
ATOM 12293 C CD  . PRO B 2 652 ? 277.397 -84.013  246.023 1.0 43.83221  ? 653 PRO E CD  653 PRO E CD  1 
ATOM 12294 N N   . TYR B 2 653 ? 274.362 -82.636  244.908 1.0 44.73489  ? 654 TYR E N   654 TYR E N   1 
ATOM 12295 C CA  . TYR B 2 653 ? 273.046 -82.018  244.933 1.0 44.73489  ? 654 TYR E CA  654 TYR E CA  1 
ATOM 12296 C C   . TYR B 2 653 ? 272.922 -80.904  243.904 1.0 44.73489  ? 654 TYR E C   654 TYR E C   1 
ATOM 12297 O O   . TYR B 2 653 ? 271.824 -80.650  243.402 1.0 44.73489  ? 654 TYR E O   654 TYR E O   1 
ATOM 12298 C CB  . TYR B 2 653 ? 272.761 -81.490  246.337 1.0 44.73489  ? 654 TYR E CB  654 TYR E CB  1 
ATOM 12299 C CG  . TYR B 2 653 ? 271.402 -80.877  246.505 1.0 44.73489  ? 654 TYR E CG  654 TYR E CG  1 
ATOM 12300 C CD1 . TYR B 2 653 ? 270.266 -81.667  246.548 1.0 44.73489  ? 654 TYR E CD1 654 TYR E CD1 1 
ATOM 12301 C CD2 . TYR B 2 653 ? 271.252 -79.509  246.645 1.0 44.73489  ? 654 TYR E CD2 654 TYR E CD2 1 
ATOM 12302 C CE1 . TYR B 2 653 ? 269.016 -81.111  246.710 1.0 44.73489  ? 654 TYR E CE1 654 TYR E CE1 1 
ATOM 12303 C CE2 . TYR B 2 653 ? 270.009 -78.946  246.805 1.0 44.73489  ? 654 TYR E CE2 654 TYR E CE2 1 
ATOM 12304 C CZ  . TYR B 2 653 ? 268.897 -79.747  246.837 1.0 44.73489  ? 654 TYR E CZ  654 TYR E CZ  1 
ATOM 12305 O OH  . TYR B 2 653 ? 267.659 -79.175  246.999 1.0 44.73489  ? 654 TYR E OH  654 TYR E OH  1 
ATOM 12306 N N   . LEU B 2 654 ? 274.026 -80.244  243.566 1.0 43.87383  ? 655 LEU E N   655 LEU E N   1 
ATOM 12307 C CA  . LEU B 2 654 ? 274.030 -79.158  242.596 1.0 43.87383  ? 655 LEU E CA  655 LEU E CA  1 
ATOM 12308 C C   . LEU B 2 654 ? 274.563 -79.574  241.238 1.0 43.87383  ? 655 LEU E C   655 LEU E C   1 
ATOM 12309 O O   . LEU B 2 654 ? 274.042 -79.132  240.217 1.0 43.87383  ? 655 LEU E O   655 LEU E O   1 
ATOM 12310 C CB  . LEU B 2 654 ? 274.857 -77.990  243.127 1.0 43.87383  ? 655 LEU E CB  655 LEU E CB  1 
ATOM 12311 C CG  . LEU B 2 654 ? 274.311 -77.391  244.417 1.0 43.87383  ? 655 LEU E CG  655 LEU E CG  1 
ATOM 12312 C CD1 . LEU B 2 654 ? 275.204 -76.276  244.931 1.0 43.87383  ? 655 LEU E CD1 655 LEU E CD1 1 
ATOM 12313 C CD2 . LEU B 2 654 ? 272.912 -76.904  244.186 1.0 43.87383  ? 655 LEU E CD2 655 LEU E CD2 1 
ATOM 12314 N N   . ASP B 2 655 ? 275.591 -80.417  241.201 1.0 45.32283  ? 656 ASP E N   656 ASP E N   1 
ATOM 12315 C CA  . ASP B 2 655 ? 275.991 -81.079  239.973 1.0 45.32283  ? 656 ASP E CA  656 ASP E CA  1 
ATOM 12316 C C   . ASP B 2 655 ? 275.023 -82.221  239.683 1.0 45.32283  ? 656 ASP E C   656 ASP E C   1 
ATOM 12317 O O   . ASP B 2 655 ? 274.077 -82.479  240.428 1.0 45.32283  ? 656 ASP E O   656 ASP E O   1 
ATOM 12318 C CB  . ASP B 2 655 ? 277.412 -81.624  240.087 1.0 45.32283  ? 656 ASP E CB  656 ASP E CB  1 
ATOM 12319 C CG  . ASP B 2 655 ? 278.445 -80.545  240.310 1.0 45.32283  ? 656 ASP E CG  656 ASP E CG  1 
ATOM 12320 O OD1 . ASP B 2 655 ? 278.249 -79.418  239.831 1.0 45.32283  ? 656 ASP E OD1 656 ASP E OD1 1 
ATOM 12321 O OD2 . ASP B 2 655 ? 279.465 -80.824  240.972 1.0 45.32283  ? 656 ASP E OD2 656 ASP E OD2 1 
ATOM 12322 N N   . GLY B 2 656 ? 275.271 -82.941  238.602 1.0 43.82845  ? 657 GLY E N   657 GLY E N   1 
ATOM 12323 C CA  . GLY B 2 656 ? 274.528 -84.162  238.385 1.0 43.82845  ? 657 GLY E CA  657 GLY E CA  1 
ATOM 12324 C C   . GLY B 2 656 ? 275.355 -85.368  238.770 1.0 43.82845  ? 657 GLY E C   657 GLY E C   1 
ATOM 12325 O O   . GLY B 2 656 ? 275.046 -86.499  238.390 1.0 43.82845  ? 657 GLY E O   657 GLY E O   1 
ATOM 12326 N N   . THR B 2 657 ? 276.408 -85.134  239.548 1.0 45.02111  ? 658 THR E N   658 THR E N   1 
ATOM 12327 C CA  . THR B 2 657 ? 277.401 -86.164  239.842 1.0 45.02111  ? 658 THR E CA  658 THR E CA  1 
ATOM 12328 C C   . THR B 2 657 ? 276.930 -87.045  240.998 1.0 45.02111  ? 658 THR E C   658 THR E C   1 
ATOM 12329 O O   . THR B 2 657 ? 277.477 -87.033  242.098 1.0 45.02111  ? 658 THR E O   658 THR E O   1 
ATOM 12330 C CB  . THR B 2 657 ? 278.742 -85.519  240.150 1.0 45.02111  ? 658 THR E CB  658 THR E CB  1 
ATOM 12331 O OG1 . THR B 2 657 ? 278.612 -84.683  241.303 1.0 45.02111  ? 658 THR E OG1 658 THR E OG1 1 
ATOM 12332 C CG2 . THR B 2 657 ? 279.197 -84.678  238.977 1.0 45.02111  ? 658 THR E CG2 658 THR E CG2 1 
ATOM 12333 N N   . PHE B 2 658 ? 275.900 -87.837  240.720 1.0 44.9979   ? 659 PHE E N   659 PHE E N   1 
ATOM 12334 C CA  . PHE B 2 658 ? 275.412 -88.801  241.693 1.0 44.9979   ? 659 PHE E CA  659 PHE E CA  1 
ATOM 12335 C C   . PHE B 2 658 ? 276.225 -90.081  241.595 1.0 44.9979   ? 659 PHE E C   659 PHE E C   1 
ATOM 12336 O O   . PHE B 2 658 ? 276.585 -90.520  240.502 1.0 44.9979   ? 659 PHE E O   659 PHE E O   1 
ATOM 12337 C CB  . PHE B 2 658 ? 273.939 -89.112  241.453 1.0 44.9979   ? 659 PHE E CB  659 PHE E CB  1 
ATOM 12338 C CG  . PHE B 2 658 ? 273.037 -87.934  241.621 1.0 44.9979   ? 659 PHE E CG  659 PHE E CG  1 
ATOM 12339 C CD1 . PHE B 2 658 ? 272.643 -87.522  242.878 1.0 44.9979   ? 659 PHE E CD1 659 PHE E CD1 1 
ATOM 12340 C CD2 . PHE B 2 658 ? 272.573 -87.244  240.516 1.0 44.9979   ? 659 PHE E CD2 659 PHE E CD2 1 
ATOM 12341 C CE1 . PHE B 2 658 ? 271.808 -86.438  243.032 1.0 44.9979   ? 659 PHE E CE1 659 PHE E CE1 1 
ATOM 12342 C CE2 . PHE B 2 658 ? 271.739 -86.161  240.662 1.0 44.9979   ? 659 PHE E CE2 659 PHE E CE2 1 
ATOM 12343 C CZ  . PHE B 2 658 ? 271.356 -85.758  241.922 1.0 44.9979   ? 659 PHE E CZ  659 PHE E CZ  1 
ATOM 12344 N N   . TYR B 2 659 ? 276.530 -90.673  242.744 1.0 45.35975  ? 660 TYR E N   660 TYR E N   1 
ATOM 12345 C CA  . TYR B 2 659 ? 277.275 -91.924  242.751 1.0 45.35975  ? 660 TYR E CA  660 TYR E CA  1 
ATOM 12346 C C   . TYR B 2 659 ? 276.750 -92.948  243.740 1.0 45.35975  ? 660 TYR E C   660 TYR E C   1 
ATOM 12347 O O   . TYR B 2 659 ? 277.154 -94.110  243.659 1.0 45.35975  ? 660 TYR E O   660 TYR E O   1 
ATOM 12348 C CB  . TYR B 2 659 ? 278.762 -91.663  243.025 1.0 45.35975  ? 660 TYR E CB  660 TYR E CB  1 
ATOM 12349 C CG  . TYR B 2 659 ? 279.061 -91.048  244.367 1.0 45.35975  ? 660 TYR E CG  660 TYR E CG  1 
ATOM 12350 C CD1 . TYR B 2 659 ? 279.013 -89.673  244.546 1.0 45.35975  ? 660 TYR E CD1 660 TYR E CD1 1 
ATOM 12351 C CD2 . TYR B 2 659 ? 279.437 -91.832  245.441 1.0 45.35975  ? 660 TYR E CD2 660 TYR E CD2 1 
ATOM 12352 C CE1 . TYR B 2 659 ? 279.290 -89.105  245.766 1.0 45.35975  ? 660 TYR E CE1 660 TYR E CE1 1 
ATOM 12353 C CE2 . TYR B 2 659 ? 279.719 -91.273  246.657 1.0 45.35975  ? 660 TYR E CE2 660 TYR E CE2 1 
ATOM 12354 C CZ  . TYR B 2 659 ? 279.647 -89.910  246.817 1.0 45.35975  ? 660 TYR E CZ  660 TYR E CZ  1 
ATOM 12355 O OH  . TYR B 2 659 ? 279.934 -89.350  248.038 1.0 45.35975  ? 660 TYR E OH  660 TYR E OH  1 
ATOM 12356 N N   . LEU B 2 660 ? 275.873 -92.569  244.665 1.0 43.1515   ? 661 LEU E N   661 LEU E N   1 
ATOM 12357 C CA  . LEU B 2 660 ? 275.219 -93.507  245.563 1.0 43.1515   ? 661 LEU E CA  661 LEU E CA  1 
ATOM 12358 C C   . LEU B 2 660 ? 273.859 -93.929  245.037 1.0 43.1515   ? 661 LEU E C   661 LEU E C   1 
ATOM 12359 O O   . LEU B 2 660 ? 272.930 -94.142  245.819 1.0 43.1515   ? 661 LEU E O   661 LEU E O   1 
ATOM 12360 C CB  . LEU B 2 660 ? 275.076 -92.904  246.956 1.0 43.1515   ? 661 LEU E CB  661 LEU E CB  1 
ATOM 12361 C CG  . LEU B 2 660 ? 276.367 -92.642  247.718 1.0 43.1515   ? 661 LEU E CG  661 LEU E CG  1 
ATOM 12362 C CD1 . LEU B 2 660 ? 276.066 -91.920  249.006 1.0 43.1515   ? 661 LEU E CD1 661 LEU E CD1 1 
ATOM 12363 C CD2 . LEU B 2 660 ? 277.056 -93.949  247.994 1.0 43.1515   ? 661 LEU E CD2 661 LEU E CD2 1 
ATOM 12364 N N   . SER B 2 661 ? 273.715 -94.023  243.716 1.0 45.03968  ? 662 SER E N   662 SER E N   1 
ATOM 12365 C CA  . SER B 2 661 ? 272.449 -94.449  243.138 1.0 45.03968  ? 662 SER E CA  662 SER E CA  1 
ATOM 12366 C C   . SER B 2 661 ? 272.224 -95.948  243.271 1.0 45.03968  ? 662 SER E C   662 SER E C   1 
ATOM 12367 O O   . SER B 2 661 ? 271.124 -96.415  242.997 1.0 45.03968  ? 662 SER E O   662 SER E O   1 
ATOM 12368 C CB  . SER B 2 661 ? 272.369 -94.047  241.668 1.0 45.03968  ? 662 SER E CB  662 SER E CB  1 
ATOM 12369 O OG  . SER B 2 661 ? 272.381 -92.646  241.511 1.0 45.03968  ? 662 SER E OG  662 SER E OG  1 
ATOM 12370 N N   . HIS B 2 662 ? 273.223 -96.722  243.666 1.0 45.98424  ? 663 HIS E N   663 HIS E N   1 
ATOM 12371 C CA  . HIS B 2 662 ? 272.945 -98.080  244.116 1.0 45.98424  ? 663 HIS E CA  663 HIS E CA  1 
ATOM 12372 C C   . HIS B 2 662 ? 272.635 -98.003  245.612 1.0 45.98424  ? 663 HIS E C   663 HIS E C   1 
ATOM 12373 O O   . HIS B 2 662 ? 272.384 -96.918  246.143 1.0 45.98424  ? 663 HIS E O   663 HIS E O   1 
ATOM 12374 C CB  . HIS B 2 662 ? 274.087 -99.015  243.723 1.0 45.98424  ? 663 HIS E CB  663 HIS E CB  1 
ATOM 12375 C CG  . HIS B 2 662 ? 275.422 -98.604  244.249 1.0 45.98424  ? 663 HIS E CG  663 HIS E CG  1 
ATOM 12376 N ND1 . HIS B 2 662 ? 275.958 -99.120  245.406 1.0 45.98424  ? 663 HIS E ND1 663 HIS E ND1 1 
ATOM 12377 C CD2 . HIS B 2 662 ? 276.326 -97.710  243.782 1.0 45.98424  ? 663 HIS E CD2 663 HIS E CD2 1 
ATOM 12378 C CE1 . HIS B 2 662 ? 277.136 -98.568  245.628 1.0 45.98424  ? 663 HIS E CE1 663 HIS E CE1 1 
ATOM 12379 N NE2 . HIS B 2 662 ? 277.382 -97.706  244.658 1.0 45.98424  ? 663 HIS E NE2 663 HIS E NE2 1 
ATOM 12380 N N   . THR B 2 663 ? 272.617 -99.148  246.302 1.0 46.25031  ? 664 THR E N   664 THR E N   1 
ATOM 12381 C CA  . THR B 2 663 ? 272.263 -99.271  247.728 1.0 46.25031  ? 664 THR E CA  664 THR E CA  1 
ATOM 12382 C C   . THR B 2 663 ? 270.863 -98.725  248.024 1.0 46.25031  ? 664 THR E C   664 THR E C   1 
ATOM 12383 O O   . THR B 2 663 ? 270.698 -97.765  248.776 1.0 46.25031  ? 664 THR E O   664 THR E O   1 
ATOM 12384 C CB  . THR B 2 663 ? 273.287 -98.593  248.660 1.0 46.25031  ? 664 THR E CB  664 THR E CB  1 
ATOM 12385 O OG1 . THR B 2 663 ? 273.317 -97.176  248.432 1.0 46.25031  ? 664 THR E OG1 664 THR E OG1 1 
ATOM 12386 C CG2 . THR B 2 663 ? 274.664 -99.160  248.472 1.0 46.25031  ? 664 THR E CG2 664 THR E CG2 1 
ATOM 12387 N N   . PHE B 2 664 ? 269.848 -99.329  247.407 1.0 44.89593  ? 665 PHE E N   665 PHE E N   1 
ATOM 12388 C CA  . PHE B 2 664 ? 268.478 -98.962  247.754 1.0 44.89593  ? 665 PHE E CA  665 PHE E CA  1 
ATOM 12389 C C   . PHE B 2 664 ? 267.604 -100.125 248.188 1.0 44.89593  ? 665 PHE E C   665 PHE E C   1 
ATOM 12390 O O   . PHE B 2 664 ? 266.838 -99.980  249.144 1.0 44.89593  ? 665 PHE E O   665 PHE E O   1 
ATOM 12391 C CB  . PHE B 2 664 ? 267.815 -98.219  246.597 1.0 44.89593  ? 665 PHE E CB  665 PHE E CB  1 
ATOM 12392 C CG  . PHE B 2 664 ? 268.266 -96.812  246.486 1.0 44.89593  ? 665 PHE E CG  665 PHE E CG  1 
ATOM 12393 C CD1 . PHE B 2 664 ? 267.805 -95.872  247.383 1.0 44.89593  ? 665 PHE E CD1 665 PHE E CD1 1 
ATOM 12394 C CD2 . PHE B 2 664 ? 269.153 -96.426  245.515 1.0 44.89593  ? 665 PHE E CD2 665 PHE E CD2 1 
ATOM 12395 C CE1 . PHE B 2 664 ? 268.223 -94.576  247.315 1.0 44.89593  ? 665 PHE E CE1 665 PHE E CE1 1 
ATOM 12396 C CE2 . PHE B 2 664 ? 269.574 -95.122  245.432 1.0 44.89593  ? 665 PHE E CE2 665 PHE E CE2 1 
ATOM 12397 C CZ  . PHE B 2 664 ? 269.105 -94.211  246.342 1.0 44.89593  ? 665 PHE E CZ  665 PHE E CZ  1 
ATOM 12398 N N   . GLN B 2 665 ? 267.588 -101.210 247.418 1.0 46.10327  ? 666 GLN E N   666 GLN E N   1 
ATOM 12399 C CA  . GLN B 2 665 ? 267.005 -102.520 247.711 1.0 46.10327  ? 666 GLN E CA  666 GLN E CA  1 
ATOM 12400 C C   . GLN B 2 665 ? 265.482 -102.611 247.785 1.0 46.10327  ? 666 GLN E C   666 GLN E C   1 
ATOM 12401 O O   . GLN B 2 665 ? 264.948 -103.690 247.520 1.0 46.10327  ? 666 GLN E O   666 GLN E O   1 
ATOM 12402 C CB  . GLN B 2 665 ? 267.532 -103.072 249.039 1.0 46.10327  ? 666 GLN E CB  666 GLN E CB  1 
ATOM 12403 C CG  . GLN B 2 665 ? 268.973 -103.473 249.079 1.0 46.10327  ? 666 GLN E CG  666 GLN E CG  1 
ATOM 12404 C CD  . GLN B 2 665 ? 269.335 -104.029 250.431 1.0 46.10327  ? 666 GLN E CD  666 GLN E CD  1 
ATOM 12405 O OE1 . GLN B 2 665 ? 268.522 -104.012 251.353 1.0 46.10327  ? 666 GLN E OE1 666 GLN E OE1 1 
ATOM 12406 N NE2 . GLN B 2 665 ? 270.550 -104.541 250.559 1.0 46.10327  ? 666 GLN E NE2 666 GLN E NE2 1 
ATOM 12407 N N   . ARG B 2 666 ? 264.764 -101.509 248.011 1.0 49.21086  ? 667 ARG E N   667 ARG E N   1 
ATOM 12408 C CA  . ARG B 2 666 ? 263.317 -101.558 248.234 1.0 49.21086  ? 667 ARG E CA  667 ARG E CA  1 
ATOM 12409 C C   . ARG B 2 666 ? 262.708 -100.188 247.990 1.0 49.21086  ? 667 ARG E C   667 ARG E C   1 
ATOM 12410 O O   . ARG B 2 666 ? 263.371 -99.162  248.143 1.0 49.21086  ? 667 ARG E O   667 ARG E O   1 
ATOM 12411 C CB  . ARG B 2 666 ? 262.911 -101.998 249.658 1.0 49.21086  ? 667 ARG E CB  667 ARG E CB  1 
ATOM 12412 C CG  . ARG B 2 666 ? 263.005 -103.480 250.011 1.0 49.21086  ? 667 ARG E CG  667 ARG E CG  1 
ATOM 12413 C CD  . ARG B 2 666 ? 262.518 -103.778 251.408 1.0 49.21086  ? 667 ARG E CD  667 ARG E CD  1 
ATOM 12414 N NE  . ARG B 2 666 ? 262.902 -105.126 251.811 1.0 49.21086  ? 667 ARG E NE  667 ARG E NE  1 
ATOM 12415 C CZ  . ARG B 2 666 ? 262.190 -106.220 251.565 1.0 49.21086  ? 667 ARG E CZ  667 ARG E CZ  1 
ATOM 12416 N NH1 . ARG B 2 666 ? 261.039 -106.137 250.916 1.0 49.21086  ? 667 ARG E NH1 667 ARG E NH1 1 
ATOM 12417 N NH2 . ARG B 2 666 ? 262.632 -107.400 251.975 1.0 49.21086  ? 667 ARG E NH2 667 ARG E NH2 1 
ATOM 12418 N N   . CYS B 2 667 ? 261.426 -100.197 247.629 1.0 50.51165  ? 668 CYS E N   668 CYS E N   1 
ATOM 12419 C CA  . CYS B 2 667 ? 260.605 -98.989  247.530 1.0 50.51165  ? 668 CYS E CA  668 CYS E CA  1 
ATOM 12420 C C   . CYS B 2 667 ? 259.155 -99.441  247.619 1.0 50.51165  ? 668 CYS E C   668 CYS E C   1 
ATOM 12421 O O   . CYS B 2 667 ? 258.643 -100.034 246.667 1.0 50.51165  ? 668 CYS E O   668 CYS E O   1 
ATOM 12422 C CB  . CYS B 2 667 ? 260.873 -98.250  246.224 1.0 50.51165  ? 668 CYS E CB  668 CYS E CB  1 
ATOM 12423 S SG  . CYS B 2 667 ? 259.809 -96.831  245.883 1.0 50.51165  ? 668 CYS E SG  668 CYS E SG  1 
ATOM 12424 N N   . SER B 2 668 ? 258.499 -99.180  248.745 1.0 49.10364  ? 669 SER E N   669 SER E N   1 
ATOM 12425 C CA  . SER B 2 668 ? 257.132 -99.652  248.963 1.0 49.10364  ? 669 SER E CA  669 SER E CA  1 
ATOM 12426 C C   . SER B 2 668 ? 256.217 -98.440  249.061 1.0 49.10364  ? 669 SER E C   669 SER E C   1 
ATOM 12427 O O   . SER B 2 668 ? 255.945 -97.942  250.155 1.0 49.10364  ? 669 SER E O   669 SER E O   1 
ATOM 12428 C CB  . SER B 2 668 ? 257.030 -100.509 250.204 1.0 49.10364  ? 669 SER E CB  669 SER E CB  1 
ATOM 12429 O OG  . SER B 2 668 ? 257.197 -99.719  251.358 1.0 49.10364  ? 669 SER E OG  669 SER E OG  1 
ATOM 12430 N N   . ILE B 2 669 ? 255.728 -97.979  247.916 1.0 45.84014  ? 670 ILE E N   670 ILE E N   1 
ATOM 12431 C CA  . ILE B 2 669 ? 254.806 -96.851  247.873 1.0 45.84014  ? 670 ILE E CA  670 ILE E CA  1 
ATOM 12432 C C   . ILE B 2 669 ? 253.432 -97.348  248.304 1.0 45.84014  ? 670 ILE E C   670 ILE E C   1 
ATOM 12433 O O   . ILE B 2 669 ? 252.797 -98.129  247.595 1.0 45.84014  ? 670 ILE E O   670 ILE E O   1 
ATOM 12434 C CB  . ILE B 2 669 ? 254.755 -96.226  246.478 1.0 45.84014  ? 670 ILE E CB  670 ILE E CB  1 
ATOM 12435 C CG1 . ILE B 2 669 ? 256.134 -95.712  246.086 1.0 45.84014  ? 670 ILE E CG1 670 ILE E CG1 1 
ATOM 12436 C CG2 . ILE B 2 669 ? 253.756 -95.096  246.451 1.0 45.84014  ? 670 ILE E CG2 670 ILE E CG2 1 
ATOM 12437 C CD1 . ILE B 2 669 ? 256.237 -95.323  244.641 1.0 45.84014  ? 670 ILE E CD1 670 ILE E CD1 1 
ATOM 12438 N N   . GLN B 2 670 ? 252.969 -96.894  249.465 1.0 46.4285   ? 671 GLN E N   671 GLN E N   1 
ATOM 12439 C CA  . GLN B 2 670 ? 251.694 -97.314  250.034 1.0 46.4285   ? 671 GLN E CA  671 GLN E CA  1 
ATOM 12440 C C   . GLN B 2 670 ? 250.812 -96.078  250.103 1.0 46.4285   ? 671 GLN E C   671 GLN E C   1 
ATOM 12441 O O   . GLN B 2 670 ? 251.131 -95.126  250.820 1.0 46.4285   ? 671 GLN E O   671 GLN E O   1 
ATOM 12442 C CB  . GLN B 2 670 ? 251.906 -97.945  251.411 1.0 46.4285   ? 671 GLN E CB  671 GLN E CB  1 
ATOM 12443 C CG  . GLN B 2 670 ? 250.784 -98.820  251.922 1.0 46.4285   ? 671 GLN E CG  671 GLN E CG  1 
ATOM 12444 C CD  . GLN B 2 670 ? 249.767 -98.078  252.747 1.0 46.4285   ? 671 GLN E CD  671 GLN E CD  1 
ATOM 12445 O OE1 . GLN B 2 670 ? 250.054 -97.043  253.342 1.0 46.4285   ? 671 GLN E OE1 671 GLN E OE1 1 
ATOM 12446 N NE2 . GLN B 2 670 ? 248.574 -98.640  252.826 1.0 46.4285   ? 671 GLN E NE2 671 GLN E NE2 1 
ATOM 12447 N N   . TRP B 2 671 ? 249.709 -96.092  249.360 1.0 45.01358  ? 672 TRP E N   672 TRP E N   1 
ATOM 12448 C CA  . TRP B 2 671 ? 249.146 -94.833  248.874 1.0 45.01358  ? 672 TRP E CA  672 TRP E CA  1 
ATOM 12449 C C   . TRP B 2 671 ? 248.287 -94.104  249.905 1.0 45.01358  ? 672 TRP E C   672 TRP E C   1 
ATOM 12450 O O   . TRP B 2 671 ? 248.664 -93.036  250.393 1.0 45.01358  ? 672 TRP E O   672 TRP E O   1 
ATOM 12451 C CB  . TRP B 2 671 ? 248.348 -95.098  247.596 1.0 45.01358  ? 672 TRP E CB  672 TRP E CB  1 
ATOM 12452 C CG  . TRP B 2 671 ? 247.859 -93.868  246.980 1.0 45.01358  ? 672 TRP E CG  672 TRP E CG  1 
ATOM 12453 C CD1 . TRP B 2 671 ? 246.595 -93.392  247.018 1.0 45.01358  ? 672 TRP E CD1 672 TRP E CD1 1 
ATOM 12454 C CD2 . TRP B 2 671 ? 248.629 -92.920  246.245 1.0 45.01358  ? 672 TRP E CD2 672 TRP E CD2 1 
ATOM 12455 N NE1 . TRP B 2 671 ? 246.520 -92.205  246.339 1.0 45.01358  ? 672 TRP E NE1 672 TRP E NE1 1 
ATOM 12456 C CE2 . TRP B 2 671 ? 247.761 -91.892  245.859 1.0 45.01358  ? 672 TRP E CE2 672 TRP E CE2 1 
ATOM 12457 C CE3 . TRP B 2 671 ? 249.968 -92.846  245.870 1.0 45.01358  ? 672 TRP E CE3 672 TRP E CE3 1 
ATOM 12458 C CZ2 . TRP B 2 671 ? 248.186 -90.800  245.120 1.0 45.01358  ? 672 TRP E CZ2 672 TRP E CZ2 1 
ATOM 12459 C CZ3 . TRP B 2 671 ? 250.388 -91.764  245.141 1.0 45.01358  ? 672 TRP E CZ3 672 TRP E CZ3 1 
ATOM 12460 C CH2 . TRP B 2 671 ? 249.502 -90.755  244.771 1.0 45.01358  ? 672 TRP E CH2 672 TRP E CH2 1 
ATOM 12461 N N   . ASP B 2 672 ? 247.141 -94.663  250.272 1.0 47.14917  ? 673 ASP E N   673 ASP E N   1 
ATOM 12462 C CA  . ASP B 2 672 ? 246.144 -93.915  251.033 1.0 47.14917  ? 673 ASP E CA  673 ASP E CA  1 
ATOM 12463 C C   . ASP B 2 672 ? 245.914 -94.542  252.406 1.0 47.14917  ? 673 ASP E C   673 ASP E C   1 
ATOM 12464 O O   . ASP B 2 672 ? 244.780 -94.660  252.872 1.0 47.14917  ? 673 ASP E O   673 ASP E O   1 
ATOM 12465 C CB  . ASP B 2 672 ? 244.840 -93.822  250.245 1.0 47.14917  ? 673 ASP E CB  673 ASP E CB  1 
ATOM 12466 C CG  . ASP B 2 672 ? 243.965 -92.662  250.685 1.0 47.14917  ? 673 ASP E CG  673 ASP E CG  1 
ATOM 12467 O OD1 . ASP B 2 672 ? 244.352 -91.937  251.620 1.0 47.14917  ? 673 ASP E OD1 673 ASP E OD1 1 
ATOM 12468 O OD2 . ASP B 2 672 ? 242.891 -92.465  250.079 1.0 47.14917  ? 673 ASP E OD2 673 ASP E OD2 1 
ATOM 12469 N N   . SER B 2 673 ? 247.000 -95.007  253.034 1.0 47.62261  ? 674 SER E N   674 SER E N   1 
ATOM 12470 C CA  . SER B 2 673 ? 247.059 -95.723  254.312 1.0 47.62261  ? 674 SER E CA  674 SER E CA  1 
ATOM 12471 C C   . SER B 2 673 ? 246.274 -97.036  254.315 1.0 47.62261  ? 674 SER E C   674 SER E C   1 
ATOM 12472 O O   . SER B 2 673 ? 246.115 -97.652  255.374 1.0 47.62261  ? 674 SER E O   674 SER E O   1 
ATOM 12473 C CB  . SER B 2 673 ? 246.607 -94.845  255.490 1.0 47.62261  ? 674 SER E CB  674 SER E CB  1 
ATOM 12474 O OG  . SER B 2 673 ? 245.228 -94.551  255.407 1.0 47.62261  ? 674 SER E OG  674 SER E OG  1 
ATOM 12475 N N   . SER B 2 674 ? 245.779 -97.475  253.172 1.0 46.55728  ? 675 SER E N   675 SER E N   1 
ATOM 12476 C CA  . SER B 2 674 ? 245.138 -98.757  252.921 1.0 46.55728  ? 675 SER E CA  675 SER E CA  1 
ATOM 12477 C C   . SER B 2 674 ? 245.645 -99.432  251.657 1.0 46.55728  ? 675 SER E C   675 SER E C   1 
ATOM 12478 O O   . SER B 2 674 ? 245.767 -100.657 251.626 1.0 46.55728  ? 675 SER E O   675 SER E O   1 
ATOM 12479 C CB  . SER B 2 674 ? 243.619 -98.561  252.827 1.0 46.55728  ? 675 SER E CB  675 SER E CB  1 
ATOM 12480 O OG  . SER B 2 674 ? 242.960 -99.771  252.496 1.0 46.55728  ? 675 SER E OG  675 SER E OG  1 
ATOM 12481 N N   . VAL B 2 675 ? 245.953 -98.663  250.624 1.0 45.15705  ? 676 VAL E N   676 VAL E N   1 
ATOM 12482 C CA  . VAL B 2 675 ? 246.133 -99.164  249.264 1.0 45.15705  ? 676 VAL E CA  676 VAL E CA  1 
ATOM 12483 C C   . VAL B 2 675 ? 247.614 -99.108  248.919 1.0 45.15705  ? 676 VAL E C   676 VAL E C   1 
ATOM 12484 O O   . VAL B 2 675 ? 248.228 -98.047  249.062 1.0 45.15705  ? 676 VAL E O   676 VAL E O   1 
ATOM 12485 C CB  . VAL B 2 675 ? 245.317 -98.339  248.252 1.0 45.15705  ? 676 VAL E CB  676 VAL E CB  1 
ATOM 12486 C CG1 . VAL B 2 675 ? 245.597 -98.794  246.837 1.0 45.15705  ? 676 VAL E CG1 676 VAL E CG1 1 
ATOM 12487 C CG2 . VAL B 2 675 ? 243.838 -98.426  248.567 1.0 45.15705  ? 676 VAL E CG2 676 VAL E CG2 1 
ATOM 12488 N N   . PRO B 2 676 ? 248.223 -100.203 248.480 1.0 44.6377   ? 677 PRO E N   677 PRO E N   1 
ATOM 12489 C CA  . PRO B 2 676 ? 249.563 -100.111 247.901 1.0 44.6377   ? 677 PRO E CA  677 PRO E CA  1 
ATOM 12490 C C   . PRO B 2 676 ? 249.502 -99.723  246.435 1.0 44.6377   ? 677 PRO E C   677 PRO E C   1 
ATOM 12491 O O   . PRO B 2 676 ? 248.548 -100.035 245.722 1.0 44.6377   ? 677 PRO E O   677 PRO E O   1 
ATOM 12492 C CB  . PRO B 2 676 ? 250.119 -101.527 248.077 1.0 44.6377   ? 677 PRO E CB  677 PRO E CB  1 
ATOM 12493 C CG  . PRO B 2 676 ? 248.923 -102.383 248.073 1.0 44.6377   ? 677 PRO E CG  677 PRO E CG  1 
ATOM 12494 C CD  . PRO B 2 676 ? 247.832 -101.597 248.734 1.0 44.6377   ? 677 PRO E CD  677 PRO E CD  1 
ATOM 12495 N N   . TRP B 2 677 ? 250.534 -99.013  245.993 1.0 45.84742  ? 678 TRP E N   678 TRP E N   1 
ATOM 12496 C CA  . TRP B 2 677 ? 250.658 -98.619  244.604 1.0 45.84742  ? 678 TRP E CA  678 TRP E CA  1 
ATOM 12497 C C   . TRP B 2 677 ? 251.876 -99.300  243.995 1.0 45.84742  ? 678 TRP E C   678 TRP E C   1 
ATOM 12498 O O   . TRP B 2 677 ? 252.944 -99.303  244.621 1.0 45.84742  ? 678 TRP E O   678 TRP E O   1 
ATOM 12499 C CB  . TRP B 2 677 ? 250.799 -97.104  244.462 1.0 45.84742  ? 678 TRP E CB  678 TRP E CB  1 
ATOM 12500 C CG  . TRP B 2 677 ? 250.818 -96.667  243.041 1.0 45.84742  ? 678 TRP E CG  678 TRP E CG  1 
ATOM 12501 C CD1 . TRP B 2 677 ? 249.754 -96.559  242.203 1.0 45.84742  ? 678 TRP E CD1 678 TRP E CD1 1 
ATOM 12502 C CD2 . TRP B 2 677 ? 251.974 -96.365  242.261 1.0 45.84742  ? 678 TRP E CD2 678 TRP E CD2 1 
ATOM 12503 N NE1 . TRP B 2 677 ? 250.171 -96.161  240.957 1.0 45.84742  ? 678 TRP E NE1 678 TRP E NE1 1 
ATOM 12504 C CE2 . TRP B 2 677 ? 251.534 -96.038  240.968 1.0 45.84742  ? 678 TRP E CE2 678 TRP E CE2 1 
ATOM 12505 C CE3 . TRP B 2 677 ? 253.338 -96.316  242.538 1.0 45.84742  ? 678 TRP E CE3 678 TRP E CE3 1 
ATOM 12506 C CZ2 . TRP B 2 677 ? 252.410 -95.671  239.955 1.0 45.84742  ? 678 TRP E CZ2 678 TRP E CZ2 1 
ATOM 12507 C CZ3 . TRP B 2 677 ? 254.201 -95.953  241.538 1.0 45.84742  ? 678 TRP E CZ3 678 TRP E CZ3 1 
ATOM 12508 C CH2 . TRP B 2 677 ? 253.739 -95.636  240.260 1.0 45.84742  ? 678 TRP E CH2 678 TRP E CH2 1 
ATOM 12509 N N   . PRO B 2 678 ? 251.777 -99.887  242.790 1.0 47.92733  ? 679 PRO E N   679 PRO E N   1 
ATOM 12510 C CA  . PRO B 2 678 ? 250.605 -100.026 241.921 1.0 47.92733  ? 679 PRO E CA  679 PRO E CA  1 
ATOM 12511 C C   . PRO B 2 678 ? 249.622 -101.080 242.419 1.0 47.92733  ? 679 PRO E C   679 PRO E C   1 
ATOM 12512 O O   . PRO B 2 678 ? 248.423 -100.934 242.193 1.0 47.92733  ? 679 PRO E O   679 PRO E O   1 
ATOM 12513 C CB  . PRO B 2 678 ? 251.213 -100.434 240.580 1.0 47.92733  ? 679 PRO E CB  679 PRO E CB  1 
ATOM 12514 C CG  . PRO B 2 678 ? 252.464 -101.114 240.934 1.0 47.92733  ? 679 PRO E CG  679 PRO E CG  1 
ATOM 12515 C CD  . PRO B 2 678 ? 252.986 -100.438 242.160 1.0 47.92733  ? 679 PRO E CD  679 PRO E CD  1 
ATOM 12516 N N   . GLY B 2 679 ? 250.135 -102.124 243.077 1.0 52.30063  ? 680 GLY E N   680 GLY E N   1 
ATOM 12517 C CA  . GLY B 2 679 ? 249.346 -103.105 243.804 1.0 52.30063  ? 680 GLY E CA  680 GLY E CA  1 
ATOM 12518 C C   . GLY B 2 679 ? 248.282 -103.852 243.029 1.0 52.30063  ? 680 GLY E C   680 GLY E C   1 
ATOM 12519 O O   . GLY B 2 679 ? 247.412 -104.498 243.618 1.0 52.30063  ? 680 GLY E O   680 GLY E O   1 
ATOM 12520 N N   . ASN B 2 680 ? 248.346 -103.770 241.705 1.0 53.14486  ? 681 ASN E N   681 ASN E N   1 
ATOM 12521 C CA  . ASN B 2 680 ? 247.314 -104.285 240.826 1.0 53.14486  ? 681 ASN E CA  681 ASN E CA  1 
ATOM 12522 C C   . ASN B 2 680 ? 247.801 -105.561 240.153 1.0 53.14486  ? 681 ASN E C   681 ASN E C   1 
ATOM 12523 O O   . ASN B 2 680 ? 247.421 -105.860 239.019 1.0 53.14486  ? 681 ASN E O   681 ASN E O   1 
ATOM 12524 C CB  . ASN B 2 680 ? 246.933 -103.208 239.810 1.0 53.14486  ? 681 ASN E CB  681 ASN E CB  1 
ATOM 12525 C CG  . ASN B 2 680 ? 245.545 -103.390 239.252 1.0 53.14486  ? 681 ASN E CG  681 ASN E CG  1 
ATOM 12526 O OD1 . ASN B 2 680 ? 244.838 -104.327 239.617 1.0 53.14486  ? 681 ASN E OD1 681 ASN E OD1 1 
ATOM 12527 N ND2 . ASN B 2 680 ? 245.138 -102.486 238.370 1.0 53.14486  ? 681 ASN E ND2 681 ASN E ND2 1 
ATOM 12528 N N   . ASP B 2 681 ? 248.649 -106.305 240.868 1.0 53.08853  ? 682 ASP E N   682 ASP E N   1 
ATOM 12529 C CA  . ASP B 2 681 ? 249.378 -107.477 240.382 1.0 53.08853  ? 682 ASP E CA  682 ASP E CA  1 
ATOM 12530 C C   . ASP B 2 681 ? 250.138 -107.148 239.096 1.0 53.08853  ? 682 ASP E C   682 ASP E C   1 
ATOM 12531 O O   . ASP B 2 681 ? 249.886 -107.706 238.033 1.0 53.08853  ? 682 ASP E O   682 ASP E O   1 
ATOM 12532 C CB  . ASP B 2 681 ? 248.440 -108.675 240.190 1.0 53.08853  ? 682 ASP E CB  682 ASP E CB  1 
ATOM 12533 C CG  . ASP B 2 681 ? 249.181 -109.997 240.094 1.0 53.08853  ? 682 ASP E CG  682 ASP E CG  1 
ATOM 12534 O OD1 . ASP B 2 681 ? 250.422 -110.013 240.238 1.0 53.08853  ? 682 ASP E OD1 682 ASP E OD1 1 
ATOM 12535 O OD2 . ASP B 2 681 ? 248.512 -111.026 239.864 1.0 53.08853  ? 682 ASP E OD2 682 ASP E OD2 1 
ATOM 12536 N N   . ARG B 2 682 ? 251.068 -106.202 239.210 1.0 49.11172  ? 683 ARG E N   683 ARG E N   1 
ATOM 12537 C CA  . ARG B 2 682 ? 251.824 -105.732 238.062 1.0 49.11172  ? 683 ARG E CA  683 ARG E CA  1 
ATOM 12538 C C   . ARG B 2 682 ? 253.290 -106.119 238.100 1.0 49.11172  ? 683 ARG E C   683 ARG E C   1 
ATOM 12539 O O   . ARG B 2 682 ? 253.990 -105.924 237.101 1.0 49.11172  ? 683 ARG E O   683 ARG E O   1 
ATOM 12540 C CB  . ARG B 2 682 ? 251.718 -104.207 237.940 1.0 49.11172  ? 683 ARG E CB  683 ARG E CB  1 
ATOM 12541 C CG  . ARG B 2 682 ? 250.312 -103.720 237.711 1.0 49.11172  ? 683 ARG E CG  683 ARG E CG  1 
ATOM 12542 C CD  . ARG B 2 682 ? 249.806 -104.152 236.352 1.0 49.11172  ? 683 ARG E CD  683 ARG E CD  1 
ATOM 12543 N NE  . ARG B 2 682 ? 248.418 -103.770 236.124 1.0 49.11172  ? 683 ARG E NE  683 ARG E NE  1 
ATOM 12544 C CZ  . ARG B 2 682 ? 248.044 -102.617 235.587 1.0 49.11172  ? 683 ARG E CZ  683 ARG E CZ  1 
ATOM 12545 N NH1 . ARG B 2 682 ? 248.958 -101.728 235.232 1.0 49.11172  ? 683 ARG E NH1 683 ARG E NH1 1 
ATOM 12546 N NH2 . ARG B 2 682 ? 246.759 -102.350 235.411 1.0 49.11172  ? 683 ARG E NH2 683 ARG E NH2 1 
ATOM 12547 N N   . MET B 2 683 ? 253.776 -106.639 239.215 1.0 53.69099  ? 684 MET E N   684 MET E N   1 
ATOM 12548 C CA  . MET B 2 683 ? 255.173 -107.002 239.374 1.0 53.69099  ? 684 MET E CA  684 MET E CA  1 
ATOM 12549 C C   . MET B 2 683 ? 255.256 -108.509 239.605 1.0 53.69099  ? 684 MET E C   684 MET E C   1 
ATOM 12550 O O   . MET B 2 683 ? 254.241 -109.209 239.620 1.0 53.69099  ? 684 MET E O   684 MET E O   1 
ATOM 12551 C CB  . MET B 2 683 ? 255.781 -106.222 240.540 1.0 53.69099  ? 684 MET E CB  684 MET E CB  1 
ATOM 12552 C CG  . MET B 2 683 ? 255.481 -104.708 240.512 1.0 53.69099  ? 684 MET E CG  684 MET E CG  1 
ATOM 12553 S SD  . MET B 2 683 ? 256.143 -103.724 239.163 1.0 53.69099  ? 684 MET E SD  684 MET E SD  1 
ATOM 12554 C CE  . MET B 2 683 ? 257.812 -103.598 239.699 1.0 53.69099  ? 684 MET E CE  684 MET E CE  1 
ATOM 12555 N N   . LEU B 2 684 ? 256.474 -109.021 239.786 1.0 53.30866  ? 685 LEU E N   685 LEU E N   1 
ATOM 12556 C CA  . LEU B 2 684 ? 256.580 -110.403 240.247 1.0 53.30866  ? 685 LEU E CA  685 LEU E CA  1 
ATOM 12557 C C   . LEU B 2 684 ? 256.407 -110.480 241.757 1.0 53.30866  ? 685 LEU E C   685 LEU E C   1 
ATOM 12558 O O   . LEU B 2 684 ? 255.858 -111.457 242.276 1.0 53.30866  ? 685 LEU E O   685 LEU E O   1 
ATOM 12559 C CB  . LEU B 2 684 ? 257.912 -111.033 239.831 1.0 53.30866  ? 685 LEU E CB  685 LEU E CB  1 
ATOM 12560 C CG  . LEU B 2 684 ? 258.085 -111.704 238.458 1.0 53.30866  ? 685 LEU E CG  685 LEU E CG  1 
ATOM 12561 C CD1 . LEU B 2 684 ? 257.107 -112.869 238.247 1.0 53.30866  ? 685 LEU E CD1 685 LEU E CD1 1 
ATOM 12562 C CD2 . LEU B 2 684 ? 258.028 -110.714 237.305 1.0 53.30866  ? 685 LEU E CD2 685 LEU E CD2 1 
ATOM 12563 N N   . THR B 2 685 ? 256.889 -109.463 242.473 1.0 56.93525  ? 686 THR E N   686 THR E N   1 
ATOM 12564 C CA  . THR B 2 685 ? 256.542 -109.208 243.868 1.0 56.93525  ? 686 THR E CA  686 THR E CA  1 
ATOM 12565 C C   . THR B 2 685 ? 255.629 -107.991 243.859 1.0 56.93525  ? 686 THR E C   686 THR E C   1 
ATOM 12566 O O   . THR B 2 685 ? 256.107 -106.849 243.886 1.0 56.93525  ? 686 THR E O   686 THR E O   1 
ATOM 12567 C CB  . THR B 2 685 ? 257.787 -108.951 244.717 1.0 56.93525  ? 686 THR E CB  686 THR E CB  1 
ATOM 12568 O OG1 . THR B 2 685 ? 258.464 -107.791 244.222 1.0 56.93525  ? 686 THR E OG1 686 THR E OG1 1 
ATOM 12569 C CG2 . THR B 2 685 ? 258.724 -110.135 244.642 1.0 56.93525  ? 686 THR E CG2 686 THR E CG2 1 
ATOM 12570 N N   . PRO B 2 686 ? 254.312 -108.177 243.823 1.0 57.24895  ? 687 PRO E N   687 PRO E N   1 
ATOM 12571 C CA  . PRO B 2 686 ? 253.415 -107.073 243.449 1.0 57.24895  ? 687 PRO E CA  687 PRO E CA  1 
ATOM 12572 C C   . PRO B 2 686 ? 253.079 -106.102 244.569 1.0 57.24895  ? 687 PRO E C   687 PRO E C   1 
ATOM 12573 O O   . PRO B 2 686 ? 252.109 -105.348 244.454 1.0 57.24895  ? 687 PRO E O   687 PRO E O   1 
ATOM 12574 C CB  . PRO B 2 686 ? 252.157 -107.808 242.976 1.0 57.24895  ? 687 PRO E CB  687 PRO E CB  1 
ATOM 12575 C CG  . PRO B 2 686 ? 252.154 -109.064 243.769 1.0 57.24895  ? 687 PRO E CG  687 PRO E CG  1 
ATOM 12576 C CD  . PRO B 2 686 ? 253.594 -109.457 243.942 1.0 57.24895  ? 687 PRO E CD  687 PRO E CD  1 
ATOM 12577 N N   . ASN B 2 687 ? 253.847 -106.103 245.656 1.0 55.54061  ? 688 ASN E N   688 ASN E N   1 
ATOM 12578 C CA  . ASN B 2 687 ? 253.552 -105.227 246.778 1.0 55.54061  ? 688 ASN E CA  688 ASN E CA  1 
ATOM 12579 C C   . ASN B 2 687 ? 254.562 -104.110 246.975 1.0 55.54061  ? 688 ASN E C   688 ASN E C   1 
ATOM 12580 O O   . ASN B 2 687 ? 254.251 -103.144 247.676 1.0 55.54061  ? 688 ASN E O   688 ASN E O   1 
ATOM 12581 C CB  . ASN B 2 687 ? 253.448 -106.043 248.071 1.0 55.54061  ? 688 ASN E CB  688 ASN E CB  1 
ATOM 12582 C CG  . ASN B 2 687 ? 252.214 -106.910 248.105 1.0 55.54061  ? 688 ASN E CG  688 ASN E CG  1 
ATOM 12583 O OD1 . ASN B 2 687 ? 251.127 -106.476 247.725 1.0 55.54061  ? 688 ASN E OD1 688 ASN E OD1 1 
ATOM 12584 N ND2 . ASN B 2 687 ? 252.374 -108.150 248.553 1.0 55.54061  ? 688 ASN E ND2 688 ASN E ND2 1 
ATOM 12585 N N   . TRP B 2 688 ? 255.749 -104.209 246.380 1.0 54.23044  ? 689 TRP E N   689 TRP E N   1 
ATOM 12586 C CA  . TRP B 2 688 ? 256.746 -103.159 246.506 1.0 54.23044  ? 689 TRP E CA  689 TRP E CA  1 
ATOM 12587 C C   . TRP B 2 688 ? 257.681 -103.198 245.308 1.0 54.23044  ? 689 TRP E C   689 TRP E C   1 
ATOM 12588 O O   . TRP B 2 688 ? 257.873 -104.240 244.678 1.0 54.23044  ? 689 TRP E O   689 TRP E O   1 
ATOM 12589 C CB  . TRP B 2 688 ? 257.548 -103.288 247.807 1.0 54.23044  ? 689 TRP E CB  689 TRP E CB  1 
ATOM 12590 C CG  . TRP B 2 688 ? 258.299 -104.568 247.949 1.0 54.23044  ? 689 TRP E CG  689 TRP E CG  1 
ATOM 12591 C CD1 . TRP B 2 688 ? 259.527 -104.855 247.440 1.0 54.23044  ? 689 TRP E CD1 689 TRP E CD1 1 
ATOM 12592 C CD2 . TRP B 2 688 ? 257.895 -105.720 248.690 1.0 54.23044  ? 689 TRP E CD2 689 TRP E CD2 1 
ATOM 12593 N NE1 . TRP B 2 688 ? 259.903 -106.124 247.790 1.0 54.23044  ? 689 TRP E NE1 689 TRP E NE1 1 
ATOM 12594 C CE2 . TRP B 2 688 ? 258.919 -106.677 248.563 1.0 54.23044  ? 689 TRP E CE2 689 TRP E CE2 1 
ATOM 12595 C CE3 . TRP B 2 688 ? 256.765 -106.040 249.442 1.0 54.23044  ? 689 TRP E CE3 689 TRP E CE3 1 
ATOM 12596 C CZ2 . TRP B 2 688 ? 258.847 -107.930 249.157 1.0 54.23044  ? 689 TRP E CZ2 689 TRP E CZ2 1 
ATOM 12597 C CZ3 . TRP B 2 688 ? 256.693 -107.287 250.030 1.0 54.23044  ? 689 TRP E CZ3 689 TRP E CZ3 1 
ATOM 12598 C CH2 . TRP B 2 688 ? 257.728 -108.216 249.885 1.0 54.23044  ? 689 TRP E CH2 689 TRP E CH2 1 
ATOM 12599 N N   . PHE B 2 689 ? 258.271 -102.043 245.006 1.0 49.77604  ? 690 PHE E N   690 PHE E N   1 
ATOM 12600 C CA  . PHE B 2 689 ? 259.317 -101.939 243.992 1.0 49.77604  ? 690 PHE E CA  690 PHE E CA  1 
ATOM 12601 C C   . PHE B 2 689 ? 260.613 -102.418 244.629 1.0 49.77604  ? 690 PHE E C   690 PHE E C   1 
ATOM 12602 O O   . PHE B 2 689 ? 261.318 -101.661 245.294 1.0 49.77604  ? 690 PHE E O   690 PHE E O   1 
ATOM 12603 C CB  . PHE B 2 689 ? 259.459 -100.508 243.492 1.0 49.77604  ? 690 PHE E CB  690 PHE E CB  1 
ATOM 12604 C CG  . PHE B 2 689 ? 258.290 -100.006 242.693 1.0 49.77604  ? 690 PHE E CG  690 PHE E CG  1 
ATOM 12605 C CD1 . PHE B 2 689 ? 258.177 -100.304 241.348 1.0 49.77604  ? 690 PHE E CD1 690 PHE E CD1 1 
ATOM 12606 C CD2 . PHE B 2 689 ? 257.326 -99.202  243.280 1.0 49.77604  ? 690 PHE E CD2 690 PHE E CD2 1 
ATOM 12607 C CE1 . PHE B 2 689 ? 257.117 -99.827  240.607 1.0 49.77604  ? 690 PHE E CE1 690 PHE E CE1 1 
ATOM 12608 C CE2 . PHE B 2 689 ? 256.261 -98.722  242.543 1.0 49.77604  ? 690 PHE E CE2 690 PHE E CE2 1 
ATOM 12609 C CZ  . PHE B 2 689 ? 256.159 -99.035  241.204 1.0 49.77604  ? 690 PHE E CZ  690 PHE E CZ  1 
ATOM 12610 N N   . GLU B 2 690 ? 260.935 -103.692 244.442 1.0 51.14377  ? 691 GLU E N   691 GLU E N   1 
ATOM 12611 C CA  . GLU B 2 690 ? 262.192 -104.207 244.958 1.0 51.14377  ? 691 GLU E CA  691 GLU E CA  1 
ATOM 12612 C C   . GLU B 2 690 ? 263.312 -103.888 243.981 1.0 51.14377  ? 691 GLU E C   691 GLU E C   1 
ATOM 12613 O O   . GLU B 2 690 ? 263.248 -104.267 242.810 1.0 51.14377  ? 691 GLU E O   691 GLU E O   1 
ATOM 12614 C CB  . GLU B 2 690 ? 262.128 -105.709 245.193 1.0 51.14377  ? 691 GLU E CB  691 GLU E CB  1 
ATOM 12615 C CG  . GLU B 2 690 ? 263.393 -106.197 245.844 1.0 51.14377  ? 691 GLU E CG  691 GLU E CG  1 
ATOM 12616 C CD  . GLU B 2 690 ? 263.366 -107.671 246.149 1.0 51.14377  ? 691 GLU E CD  691 GLU E CD  1 
ATOM 12617 O OE1 . GLU B 2 690 ? 262.386 -108.338 245.785 1.0 51.14377  ? 691 GLU E OE1 691 GLU E OE1 1 
ATOM 12618 O OE2 . GLU B 2 690 ? 264.334 -108.146 246.769 1.0 51.14377  ? 691 GLU E OE2 691 GLU E OE2 1 
ATOM 12619 N N   . ILE B 2 691 ? 264.340 -103.200 244.462 1.0 45.63237  ? 692 ILE E N   692 ILE E N   1 
ATOM 12620 C CA  . ILE B 2 691 ? 265.404 -102.696 243.602 1.0 45.63237  ? 692 ILE E CA  692 ILE E CA  1 
ATOM 12621 C C   . ILE B 2 691 ? 266.575 -103.666 243.520 1.0 45.63237  ? 692 ILE E C   692 ILE E C   1 
ATOM 12622 O O   . ILE B 2 691 ? 267.023 -104.010 242.429 1.0 45.63237  ? 692 ILE E O   692 ILE E O   1 
ATOM 12623 C CB  . ILE B 2 691 ? 265.844 -101.293 244.071 1.0 45.63237  ? 692 ILE E CB  692 ILE E CB  1 
ATOM 12624 C CG1 . ILE B 2 691 ? 264.663 -100.332 243.921 1.0 45.63237  ? 692 ILE E CG1 692 ILE E CG1 1 
ATOM 12625 C CG2 . ILE B 2 691 ? 267.037 -100.816 243.263 1.0 45.63237  ? 692 ILE E CG2 692 ILE E CG2 1 
ATOM 12626 C CD1 . ILE B 2 691 ? 264.795 -99.035  244.653 1.0 45.63237  ? 692 ILE E CD1 692 ILE E CD1 1 
ATOM 12627 N N   . LYS B 2 692 ? 267.084 -104.134 244.654 1.0 46.05876  ? 693 LYS E N   693 LYS E N   1 
ATOM 12628 C CA  . LYS B 2 692 ? 268.099 -105.175 244.649 1.0 46.05876  ? 693 LYS E CA  693 LYS E CA  1 
ATOM 12629 C C   . LYS B 2 692 ? 267.614 -106.406 245.401 1.0 46.05876  ? 693 LYS E C   693 LYS E C   1 
ATOM 12630 O O   . LYS B 2 692 ? 266.898 -106.316 246.400 1.0 46.05876  ? 693 LYS E O   693 LYS E O   1 
ATOM 12631 C CB  . LYS B 2 692 ? 269.410 -104.698 245.278 1.0 46.05876  ? 693 LYS E CB  693 LYS E CB  1 
ATOM 12632 C CG  . LYS B 2 692 ? 270.111 -103.598 244.534 1.0 46.05876  ? 693 LYS E CG  693 LYS E CG  1 
ATOM 12633 C CD  . LYS B 2 692 ? 271.523 -103.428 245.058 1.0 46.05876  ? 693 LYS E CD  693 LYS E CD  1 
ATOM 12634 C CE  . LYS B 2 692 ? 271.547 -102.827 246.437 1.0 46.05876  ? 693 LYS E CE  693 LYS E CE  1 
ATOM 12635 N NZ  . LYS B 2 692 ? 272.944 -102.562 246.857 1.0 46.05876  ? 693 LYS E NZ  693 LYS E NZ  1 
ATOM 12636 N N   . ARG B 2 693 ? 268.028 -107.562 244.905 1.0 55.50404  ? 694 ARG E N   694 ARG E N   1 
ATOM 12637 C CA  . ARG B 2 693 ? 267.875 -108.846 245.571 1.0 55.50404  ? 694 ARG E CA  694 ARG E CA  1 
ATOM 12638 C C   . ARG B 2 693 ? 269.227 -109.536 245.515 1.0 55.50404  ? 694 ARG E C   694 ARG E C   1 
ATOM 12639 O O   . ARG B 2 693 ? 269.743 -109.773 244.417 1.0 55.50404  ? 694 ARG E O   694 ARG E O   1 
ATOM 12640 C CB  . ARG B 2 693 ? 266.801 -109.703 244.902 1.0 55.50404  ? 694 ARG E CB  694 ARG E CB  1 
ATOM 12641 C CG  . ARG B 2 693 ? 266.640 -111.093 245.503 1.0 55.50404  ? 694 ARG E CG  694 ARG E CG  1 
ATOM 12642 C CD  . ARG B 2 693 ? 266.099 -111.076 246.915 1.0 55.50404  ? 694 ARG E CD  694 ARG E CD  1 
ATOM 12643 N NE  . ARG B 2 693 ? 264.746 -110.530 246.983 1.0 55.50404  ? 694 ARG E NE  694 ARG E NE  1 
ATOM 12644 C CZ  . ARG B 2 693 ? 263.643 -111.247 246.784 1.0 55.50404  ? 694 ARG E CZ  694 ARG E CZ  1 
ATOM 12645 N NH1 . ARG B 2 693 ? 263.734 -112.538 246.507 1.0 55.50404  ? 694 ARG E NH1 694 ARG E NH1 1 
ATOM 12646 N NH2 . ARG B 2 693 ? 262.450 -110.680 246.870 1.0 55.50404  ? 694 ARG E NH2 694 ARG E NH2 1 
ATOM 12647 N N   . PRO B 2 694 ? 269.841 -109.843 246.657 1.0 61.05654  ? 695 PRO E N   695 PRO E N   1 
ATOM 12648 C CA  . PRO B 2 694 ? 271.200 -110.397 246.638 1.0 61.05654  ? 695 PRO E CA  695 PRO E CA  1 
ATOM 12649 C C   . PRO B 2 694 ? 271.228 -111.804 246.067 1.0 61.05654  ? 695 PRO E C   695 PRO E C   1 
ATOM 12650 O O   . PRO B 2 694 ? 270.359 -112.629 246.347 1.0 61.05654  ? 695 PRO E O   695 PRO E O   1 
ATOM 12651 C CB  . PRO B 2 694 ? 271.607 -110.386 248.114 1.0 61.05654  ? 695 PRO E CB  695 PRO E CB  1 
ATOM 12652 C CG  . PRO B 2 694 ? 270.728 -109.370 248.742 1.0 61.05654  ? 695 PRO E CG  695 PRO E CG  1 
ATOM 12653 C CD  . PRO B 2 694 ? 269.422 -109.480 248.019 1.0 61.05654  ? 695 PRO E CD  695 PRO E CD  1 
ATOM 12654 N N   . ILE B 2 695 ? 272.230 -112.059 245.231 1.0 62.83936  ? 696 ILE E N   696 ILE E N   1 
ATOM 12655 C CA  . ILE B 2 695 ? 272.403 -113.381 244.654 1.0 62.83936  ? 696 ILE E CA  696 ILE E CA  1 
ATOM 12656 C C   . ILE B 2 695 ? 273.084 -114.269 245.680 1.0 62.83936  ? 696 ILE E C   696 ILE E C   1 
ATOM 12657 O O   . ILE B 2 695 ? 274.098 -113.870 246.262 1.0 62.83936  ? 696 ILE E O   696 ILE E O   1 
ATOM 12658 C CB  . ILE B 2 695 ? 273.202 -113.266 243.348 1.0 62.83936  ? 696 ILE E CB  696 ILE E CB  1 
ATOM 12659 C CG1 . ILE B 2 695 ? 272.415 -112.412 242.362 1.0 62.83936  ? 696 ILE E CG1 696 ILE E CG1 1 
ATOM 12660 C CG2 . ILE B 2 695 ? 273.487 -114.620 242.731 1.0 62.83936  ? 696 ILE E CG2 696 ILE E CG2 1 
ATOM 12661 C CD1 . ILE B 2 695 ? 273.173 -112.008 241.142 1.0 62.83936  ? 696 ILE E CD1 696 ILE E CD1 1 
ATOM 12662 N N   . ASN B 2 696 ? 272.601 -115.522 245.782 1.0 67.17714  ? 697 ASN E N   697 ASN E N   1 
ATOM 12663 C CA  . ASN B 2 696 ? 272.644 -116.590 246.798 1.0 67.17714  ? 697 ASN E CA  697 ASN E CA  1 
ATOM 12664 C C   . ASN B 2 696 ? 271.558 -116.410 247.857 1.0 67.17714  ? 697 ASN E C   697 ASN E C   1 
ATOM 12665 O O   . ASN B 2 696 ? 271.411 -117.248 248.750 1.0 67.17714  ? 697 ASN E O   697 ASN E O   1 
ATOM 12666 C CB  . ASN B 2 696 ? 274.043 -116.827 247.446 1.0 67.17714  ? 697 ASN E CB  697 ASN E CB  1 
ATOM 12667 C CG  . ASN B 2 696 ? 274.499 -115.781 248.514 1.0 67.17714  ? 697 ASN E CG  697 ASN E CG  1 
ATOM 12668 O OD1 . ASN B 2 696 ? 273.805 -114.838 248.905 1.0 67.17714  ? 697 ASN E OD1 697 ASN E OD1 1 
ATOM 12669 N ND2 . ASN B 2 696 ? 275.725 -115.992 248.992 1.0 67.17714  ? 697 ASN E ND2 697 ASN E ND2 1 
ATOM 12670 N N   . GLN B 2 697 ? 270.787 -115.333 247.756 1.0 66.48481  ? 698 GLN E N   698 GLN E N   1 
ATOM 12671 C CA  . GLN B 2 697 ? 269.487 -115.230 248.402 1.0 66.48481  ? 698 GLN E CA  698 GLN E CA  1 
ATOM 12672 C C   . GLN B 2 697 ? 268.367 -115.351 247.377 1.0 66.48481  ? 698 GLN E C   698 GLN E C   1 
ATOM 12673 O O   . GLN B 2 697 ? 267.224 -115.652 247.733 1.0 66.48481  ? 698 GLN E O   698 GLN E O   1 
ATOM 12674 C CB  . GLN B 2 697 ? 269.387 -113.902 249.170 1.0 66.48481  ? 698 GLN E CB  698 GLN E CB  1 
ATOM 12675 C CG  . GLN B 2 697 ? 268.171 -113.722 250.064 1.0 66.48481  ? 698 GLN E CG  698 GLN E CG  1 
ATOM 12676 C CD  . GLN B 2 697 ? 268.169 -112.390 250.767 1.0 66.48481  ? 698 GLN E CD  698 GLN E CD  1 
ATOM 12677 O OE1 . GLN B 2 697 ? 269.063 -111.573 250.571 1.0 66.48481  ? 698 GLN E OE1 698 GLN E OE1 1 
ATOM 12678 N NE2 . GLN B 2 697 ? 267.159 -112.161 251.592 1.0 66.48481  ? 698 GLN E NE2 698 GLN E NE2 1 
ATOM 12679 N N   . ASP B 2 698 ? 268.697 -115.182 246.105 1.0 64.25395  ? 699 ASP E N   699 ASP E N   1 
ATOM 12680 C CA  . ASP B 2 698 ? 267.747 -115.242 245.007 1.0 64.25395  ? 699 ASP E CA  699 ASP E CA  1 
ATOM 12681 C C   . ASP B 2 698 ? 267.642 -116.689 244.543 1.0 64.25395  ? 699 ASP E C   699 ASP E C   1 
ATOM 12682 O O   . ASP B 2 698 ? 268.646 -117.295 244.155 1.0 64.25395  ? 699 ASP E O   699 ASP E O   1 
ATOM 12683 C CB  . ASP B 2 698 ? 268.216 -114.326 243.878 1.0 64.25395  ? 699 ASP E CB  699 ASP E CB  1 
ATOM 12684 C CG  . ASP B 2 698 ? 267.139 -114.030 242.866 1.0 64.25395  ? 699 ASP E CG  699 ASP E CG  1 
ATOM 12685 O OD1 . ASP B 2 698 ? 266.033 -114.595 242.964 1.0 64.25395  ? 699 ASP E OD1 699 ASP E OD1 1 
ATOM 12686 O OD2 . ASP B 2 698 ? 267.398 -113.188 241.985 1.0 64.25395  ? 699 ASP E OD2 699 ASP E OD2 1 
ATOM 12687 N N   . ALA B 2 699 ? 266.432 -117.241 244.593 1.0 63.49852  ? 700 ALA E N   700 ALA E N   1 
ATOM 12688 C CA  . ALA B 2 699 ? 266.215 -118.630 244.213 1.0 63.49852  ? 700 ALA E CA  700 ALA E CA  1 
ATOM 12689 C C   . ALA B 2 699 ? 265.883 -118.774 242.732 1.0 63.49852  ? 700 ALA E C   700 ALA E C   1 
ATOM 12690 O O   . ALA B 2 699 ? 266.573 -119.500 242.012 1.0 63.49852  ? 700 ALA E O   700 ALA E O   1 
ATOM 12691 C CB  . ALA B 2 699 ? 265.105 -119.241 245.070 1.0 63.49852  ? 700 ALA E CB  700 ALA E CB  1 
ATOM 12692 N N   . GLU B 2 700 ? 264.839 -118.094 242.262 1.0 61.49857  ? 701 GLU E N   701 GLU E N   1 
ATOM 12693 C CA  . GLU B 2 700 ? 264.468 -118.130 240.855 1.0 61.49857  ? 701 GLU E CA  701 GLU E CA  1 
ATOM 12694 C C   . GLU B 2 700 ? 264.478 -116.717 240.292 1.0 61.49857  ? 701 GLU E C   701 GLU E C   1 
ATOM 12695 O O   . GLU B 2 700 ? 264.169 -115.756 241.006 1.0 61.49857  ? 701 GLU E O   701 GLU E O   1 
ATOM 12696 C CB  . GLU B 2 700 ? 263.084 -118.788 240.647 1.0 61.49857  ? 701 GLU E CB  701 GLU E CB  1 
ATOM 12697 C CG  . GLU B 2 700 ? 261.873 -117.979 241.106 1.0 61.49857  ? 701 GLU E CG  701 GLU E CG  1 
ATOM 12698 C CD  . GLU B 2 700 ? 261.524 -118.189 242.564 1.0 61.49857  ? 701 GLU E CD  701 GLU E CD  1 
ATOM 12699 O OE1 . GLU B 2 700 ? 262.355 -118.741 243.312 1.0 61.49857  ? 701 GLU E OE1 701 GLU E OE1 1 
ATOM 12700 O OE2 . GLU B 2 700 ? 260.409 -117.799 242.966 1.0 61.49857  ? 701 GLU E OE2 701 GLU E OE2 1 
ATOM 12701 N N   . GLY B 2 701 ? 264.873 -116.605 239.021 1.0 54.35026  ? 702 GLY E N   702 GLY E N   1 
ATOM 12702 C CA  . GLY B 2 701 ? 264.895 -115.448 238.136 1.0 54.35026  ? 702 GLY E CA  702 GLY E CA  1 
ATOM 12703 C C   . GLY B 2 701 ? 265.422 -114.190 238.796 1.0 54.35026  ? 702 GLY E C   702 GLY E C   1 
ATOM 12704 O O   . GLY B 2 701 ? 266.391 -114.217 239.558 1.0 54.35026  ? 702 GLY E O   702 GLY E O   1 
ATOM 12705 N N   . ASN B 2 702 ? 264.770 -113.068 238.472 1.0 52.97986  ? 703 ASN E N   703 ASN E N   1 
ATOM 12706 C CA  . ASN B 2 702 ? 264.851 -111.807 239.217 1.0 52.97986  ? 703 ASN E CA  703 ASN E CA  1 
ATOM 12707 C C   . ASN B 2 702 ? 266.249 -111.195 239.217 1.0 52.97986  ? 703 ASN E C   703 ASN E C   1 
ATOM 12708 O O   . ASN B 2 702 ? 266.640 -110.534 240.178 1.0 52.97986  ? 703 ASN E O   703 ASN E O   1 
ATOM 12709 C CB  . ASN B 2 702 ? 264.337 -111.982 240.648 1.0 52.97986  ? 703 ASN E CB  703 ASN E CB  1 
ATOM 12710 C CG  . ASN B 2 702 ? 262.860 -112.301 240.691 1.0 52.97986  ? 703 ASN E CG  703 ASN E CG  1 
ATOM 12711 O OD1 . ASN B 2 702 ? 262.455 -113.387 241.101 1.0 52.97986  ? 703 ASN E OD1 703 ASN E OD1 1 
ATOM 12712 N ND2 . ASN B 2 702 ? 262.044 -111.356 240.248 1.0 52.97986  ? 703 ASN E ND2 703 ASN E ND2 1 
ATOM 12713 N N   . ASP B 2 703 ? 266.997 -111.386 238.134 1.0 50.49302  ? 704 ASP E N   704 ASP E N   1 
ATOM 12714 C CA  . ASP B 2 703 ? 268.324 -110.802 237.973 1.0 50.49302  ? 704 ASP E CA  704 ASP E CA  1 
ATOM 12715 C C   . ASP B 2 703 ? 268.498 -110.403 236.517 1.0 50.49302  ? 704 ASP E C   704 ASP E C   1 
ATOM 12716 O O   . ASP B 2 703 ? 268.484 -111.267 235.637 1.0 50.49302  ? 704 ASP E O   704 ASP E O   1 
ATOM 12717 C CB  . ASP B 2 703 ? 269.420 -111.791 238.373 1.0 50.49302  ? 704 ASP E CB  704 ASP E CB  1 
ATOM 12718 C CG  . ASP B 2 703 ? 269.554 -111.964 239.871 1.0 50.49302  ? 704 ASP E CG  704 ASP E CG  1 
ATOM 12719 O OD1 . ASP B 2 703 ? 269.381 -110.982 240.619 1.0 50.49302  ? 704 ASP E OD1 704 ASP E OD1 1 
ATOM 12720 O OD2 . ASP B 2 703 ? 269.850 -113.096 240.302 1.0 50.49302  ? 704 ASP E OD2 704 ASP E OD2 1 
ATOM 12721 N N   . THR B 2 704 ? 268.667 -109.115 236.258 1.0 49.42985  ? 705 THR E N   705 THR E N   1 
ATOM 12722 C CA  . THR B 2 704 ? 268.959 -108.645 234.914 1.0 49.42985  ? 705 THR E CA  705 THR E CA  1 
ATOM 12723 C C   . THR B 2 704 ? 270.428 -108.283 234.764 1.0 49.42985  ? 705 THR E C   705 THR E C   1 
ATOM 12724 O O   . THR B 2 704 ? 271.068 -107.808 235.705 1.0 49.42985  ? 705 THR E O   705 THR E O   1 
ATOM 12725 C CB  . THR B 2 704 ? 268.118 -107.428 234.543 1.0 49.42985  ? 705 THR E CB  705 THR E CB  1 
ATOM 12726 O OG1 . THR B 2 704 ? 268.221 -106.446 235.580 1.0 49.42985  ? 705 THR E OG1 705 THR E OG1 1 
ATOM 12727 C CG2 . THR B 2 704 ? 266.685 -107.805 234.299 1.0 49.42985  ? 705 THR E CG2 705 THR E CG2 1 
ATOM 12728 N N   . MET B 2 705 ? 270.944 -108.536 233.558 1.0 50.08279  ? 706 MET E N   706 MET E N   1 
ATOM 12729 C CA  . MET B 2 705 ? 272.272 -108.123 233.099 1.0 50.08279  ? 706 MET E CA  706 MET E CA  1 
ATOM 12730 C C   . MET B 2 705 ? 273.398 -108.687 233.957 1.0 50.08279  ? 706 MET E C   706 MET E C   1 
ATOM 12731 O O   . MET B 2 705 ? 274.469 -108.089 234.036 1.0 50.08279  ? 706 MET E O   706 MET E O   1 
ATOM 12732 C CB  . MET B 2 705 ? 272.378 -106.598 233.000 1.0 50.08279  ? 706 MET E CB  706 MET E CB  1 
ATOM 12733 C CG  . MET B 2 705 ? 271.482 -106.032 231.923 1.0 50.08279  ? 706 MET E CG  706 MET E CG  1 
ATOM 12734 S SD  . MET B 2 705 ? 271.551 -104.253 231.682 1.0 50.08279  ? 706 MET E SD  706 MET E SD  1 
ATOM 12735 C CE  . MET B 2 705 ? 273.138 -104.067 230.881 1.0 50.08279  ? 706 MET E CE  706 MET E CE  1 
ATOM 12736 N N   . GLN B 2 706 ? 273.147 -109.846 234.573 1.0 50.38072  ? 707 GLN E N   707 GLN E N   1 
ATOM 12737 C CA  . GLN B 2 706 ? 274.079 -110.558 235.451 1.0 50.38072  ? 707 GLN E CA  707 GLN E CA  1 
ATOM 12738 C C   . GLN B 2 706 ? 274.531 -109.674 236.617 1.0 50.38072  ? 707 GLN E C   707 GLN E C   1 
ATOM 12739 O O   . GLN B 2 706 ? 275.717 -109.398 236.798 1.0 50.38072  ? 707 GLN E O   707 GLN E O   1 
ATOM 12740 C CB  . GLN B 2 706 ? 275.285 -111.092 234.667 1.0 50.38072  ? 707 GLN E CB  707 GLN E CB  1 
ATOM 12741 C CG  . GLN B 2 706 ? 274.946 -111.994 233.498 1.0 50.38072  ? 707 GLN E CG  707 GLN E CG  1 
ATOM 12742 C CD  . GLN B 2 706 ? 276.185 -112.551 232.842 1.0 50.38072  ? 707 GLN E CD  707 GLN E CD  1 
ATOM 12743 O OE1 . GLN B 2 706 ? 277.296 -112.333 233.316 1.0 50.38072  ? 707 GLN E OE1 707 GLN E OE1 1 
ATOM 12744 N NE2 . GLN B 2 706 ? 276.010 -113.235 231.722 1.0 50.38072  ? 707 GLN E NE2 707 GLN E NE2 1 
ATOM 12745 N N   . SER B 2 707 ? 273.561 -109.229 237.410 1.0 48.70978  ? 708 SER E N   708 SER E N   1 
ATOM 12746 C CA  . SER B 2 707 ? 273.838 -108.323 238.519 1.0 48.70978  ? 708 SER E CA  708 SER E CA  1 
ATOM 12747 C C   . SER B 2 707 ? 272.750 -108.488 239.576 1.0 48.70978  ? 708 SER E C   708 SER E C   1 
ATOM 12748 O O   . SER B 2 707 ? 271.895 -109.372 239.478 1.0 48.70978  ? 708 SER E O   708 SER E O   1 
ATOM 12749 C CB  . SER B 2 707 ? 273.931 -106.880 238.023 1.0 48.70978  ? 708 SER E CB  708 SER E CB  1 
ATOM 12750 O OG  . SER B 2 707 ? 272.684 -106.449 237.517 1.0 48.70978  ? 708 SER E OG  708 SER E OG  1 
ATOM 12751 N N   . ASN B 2 708 ? 272.786 -107.626 240.595 1.0 48.75653  ? 709 ASN E N   709 ASN E N   1 
ATOM 12752 C CA  . ASN B 2 708 ? 271.787 -107.649 241.656 1.0 48.75653  ? 709 ASN E CA  709 ASN E CA  1 
ATOM 12753 C C   . ASN B 2 708 ? 270.434 -107.110 241.222 1.0 48.75653  ? 709 ASN E C   709 ASN E C   1 
ATOM 12754 O O   . ASN B 2 708 ? 269.440 -107.382 241.902 1.0 48.75653  ? 709 ASN E O   709 ASN E O   1 
ATOM 12755 C CB  . ASN B 2 708 ? 272.252 -106.831 242.861 1.0 48.75653  ? 709 ASN E CB  709 ASN E CB  1 
ATOM 12756 C CG  . ASN B 2 708 ? 273.353 -107.501 243.635 1.0 48.75653  ? 709 ASN E CG  709 ASN E CG  1 
ATOM 12757 O OD1 . ASN B 2 708 ? 273.367 -108.719 243.783 1.0 48.75653  ? 709 ASN E OD1 709 ASN E OD1 1 
ATOM 12758 N ND2 . ASN B 2 708 ? 274.265 -106.704 244.173 1.0 48.75653  ? 709 ASN E ND2 709 ASN E ND2 1 
ATOM 12759 N N   . LEU B 2 709 ? 270.377 -106.345 240.132 1.0 46.08401  ? 710 LEU E N   710 LEU E N   1 
ATOM 12760 C CA  . LEU B 2 709 ? 269.170 -105.613 239.767 1.0 46.08401  ? 710 LEU E CA  710 LEU E CA  1 
ATOM 12761 C C   . LEU B 2 709 ? 268.062 -106.566 239.336 1.0 46.08401  ? 710 LEU E C   710 LEU E C   1 
ATOM 12762 O O   . LEU B 2 709 ? 268.273 -107.433 238.485 1.0 46.08401  ? 710 LEU E O   710 LEU E O   1 
ATOM 12763 C CB  . LEU B 2 709 ? 269.481 -104.628 238.647 1.0 46.08401  ? 710 LEU E CB  710 LEU E CB  1 
ATOM 12764 C CG  . LEU B 2 709 ? 268.349 -103.693 238.252 1.0 46.08401  ? 710 LEU E CG  710 LEU E CG  1 
ATOM 12765 C CD1 . LEU B 2 709 ? 268.000 -102.813 239.425 1.0 46.08401  ? 710 LEU E CD1 710 LEU E CD1 1 
ATOM 12766 C CD2 . LEU B 2 709 ? 268.757 -102.855 237.070 1.0 46.08401  ? 710 LEU E CD2 710 LEU E CD2 1 
ATOM 12767 N N   . THR B 2 710 ? 266.882 -106.405 239.931 1.0 46.20985  ? 711 THR E N   711 THR E N   1 
ATOM 12768 C CA  . THR B 2 710 ? 265.780 -107.330 239.724 1.0 46.20985  ? 711 THR E CA  711 THR E CA  1 
ATOM 12769 C C   . THR B 2 710 ? 265.104 -107.088 238.380 1.0 46.20985  ? 711 THR E C   711 THR E C   1 
ATOM 12770 O O   . THR B 2 710 ? 265.221 -106.022 237.778 1.0 46.20985  ? 711 THR E O   711 THR E O   1 
ATOM 12771 C CB  . THR B 2 710 ? 264.746 -107.206 240.842 1.0 46.20985  ? 711 THR E CB  711 THR E CB  1 
ATOM 12772 O OG1 . THR B 2 710 ? 264.202 -105.883 240.846 1.0 46.20985  ? 711 THR E OG1 711 THR E OG1 1 
ATOM 12773 C CG2 . THR B 2 710 ? 265.380 -107.478 242.187 1.0 46.20985  ? 711 THR E CG2 711 THR E CG2 1 
ATOM 12774 N N   . LYS B 2 711 ? 264.380 -108.105 237.914 1.0 45.51441  ? 712 LYS E N   712 LYS E N   1 
ATOM 12775 C CA  . LYS B 2 711 ? 263.637 -108.002 236.667 1.0 45.51441  ? 712 LYS E CA  712 LYS E CA  1 
ATOM 12776 C C   . LYS B 2 711 ? 262.388 -107.163 236.821 1.0 45.51441  ? 712 LYS E C   712 LYS E C   1 
ATOM 12777 O O   . LYS B 2 711 ? 261.856 -106.670 235.822 1.0 45.51441  ? 712 LYS E O   712 LYS E O   1 
ATOM 12778 C CB  . LYS B 2 711 ? 263.265 -109.396 236.178 1.0 45.51441  ? 712 LYS E CB  712 LYS E CB  1 
ATOM 12779 C CG  . LYS B 2 711 ? 264.479 -110.208 235.860 1.0 45.51441  ? 712 LYS E CG  712 LYS E CG  1 
ATOM 12780 C CD  . LYS B 2 711 ? 264.138 -111.544 235.319 1.0 45.51441  ? 712 LYS E CD  712 LYS E CD  1 
ATOM 12781 C CE  . LYS B 2 711 ? 265.388 -112.335 235.005 1.0 45.51441  ? 712 LYS E CE  712 LYS E CE  1 
ATOM 12782 N NZ  . LYS B 2 711 ? 266.117 -111.773 233.842 1.0 45.51441  ? 712 LYS E NZ  712 LYS E NZ  1 
ATOM 12783 N N   . ASP B 2 712 ? 261.907 -107.018 238.053 1.0 49.9264   ? 713 ASP E N   713 ASP E N   1 
ATOM 12784 C CA  . ASP B 2 712 ? 260.788 -106.138 238.334 1.0 49.9264   ? 713 ASP E CA  713 ASP E CA  1 
ATOM 12785 C C   . ASP B 2 712 ? 261.158 -104.695 238.057 1.0 49.9264   ? 713 ASP E C   713 ASP E C   1 
ATOM 12786 O O   . ASP B 2 712 ? 260.398 -103.956 237.428 1.0 49.9264   ? 713 ASP E O   713 ASP E O   1 
ATOM 12787 C CB  . ASP B 2 712 ? 260.370 -106.308 239.795 1.0 49.9264   ? 713 ASP E CB  713 ASP E CB  1 
ATOM 12788 C CG  . ASP B 2 712 ? 259.667 -107.619 240.044 1.0 49.9264   ? 713 ASP E CG  713 ASP E CG  1 
ATOM 12789 O OD1 . ASP B 2 712 ? 258.969 -108.055 239.120 1.0 49.9264   ? 713 ASP E OD1 713 ASP E OD1 1 
ATOM 12790 O OD2 . ASP B 2 712 ? 259.844 -108.207 241.129 1.0 49.9264   ? 713 ASP E OD2 713 ASP E OD2 1 
ATOM 12791 N N   . PHE B 2 713 ? 262.347 -104.294 238.477 1.0 42.37959  ? 714 PHE E N   714 PHE E N   1 
ATOM 12792 C CA  . PHE B 2 713 ? 262.705 -102.892 238.522 1.0 42.37959  ? 714 PHE E CA  714 PHE E CA  1 
ATOM 12793 C C   . PHE B 2 713 ? 263.594 -102.477 237.368 1.0 42.37959  ? 714 PHE E C   714 PHE E C   1 
ATOM 12794 O O   . PHE B 2 713 ? 263.700 -101.284 237.087 1.0 42.37959  ? 714 PHE E O   714 PHE E O   1 
ATOM 12795 C CB  . PHE B 2 713 ? 263.380 -102.612 239.859 1.0 42.37959  ? 714 PHE E CB  714 PHE E CB  1 
ATOM 12796 C CG  . PHE B 2 713 ? 263.537 -101.174 240.171 1.0 42.37959  ? 714 PHE E CG  714 PHE E CG  1 
ATOM 12797 C CD1 . PHE B 2 713 ? 262.443 -100.399 240.483 1.0 42.37959  ? 714 PHE E CD1 714 PHE E CD1 1 
ATOM 12798 C CD2 . PHE B 2 713 ? 264.777 -100.608 240.187 1.0 42.37959  ? 714 PHE E CD2 714 PHE E CD2 1 
ATOM 12799 C CE1 . PHE B 2 713 ? 262.588 -99.059  240.788 1.0 42.37959  ? 714 PHE E CE1 714 PHE E CE1 1 
ATOM 12800 C CE2 . PHE B 2 713 ? 264.931 -99.291  240.501 1.0 42.37959  ? 714 PHE E CE2 714 PHE E CE2 1 
ATOM 12801 C CZ  . PHE B 2 713 ? 263.836 -98.520  240.788 1.0 42.37959  ? 714 PHE E CZ  714 PHE E CZ  1 
ATOM 12802 N N   . PHE B 2 714 ? 264.204 -103.433 236.678 1.0 42.2606   ? 715 PHE E N   715 PHE E N   1 
ATOM 12803 C CA  . PHE B 2 714 ? 264.902 -103.118 235.444 1.0 42.2606   ? 715 PHE E CA  715 PHE E CA  1 
ATOM 12804 C C   . PHE B 2 714 ? 263.932 -102.719 234.344 1.0 42.2606   ? 715 PHE E C   715 PHE E C   1 
ATOM 12805 O O   . PHE B 2 714 ? 264.274 -101.891 233.495 1.0 42.2606   ? 715 PHE E O   715 PHE E O   1 
ATOM 12806 C CB  . PHE B 2 714 ? 265.736 -104.315 235.008 1.0 42.2606   ? 715 PHE E CB  715 PHE E CB  1 
ATOM 12807 C CG  . PHE B 2 714 ? 266.458 -104.111 233.722 1.0 42.2606   ? 715 PHE E CG  715 PHE E CG  1 
ATOM 12808 C CD1 . PHE B 2 714 ? 267.605 -103.350 233.673 1.0 42.2606   ? 715 PHE E CD1 715 PHE E CD1 1 
ATOM 12809 C CD2 . PHE B 2 714 ? 265.980 -104.672 232.553 1.0 42.2606   ? 715 PHE E CD2 715 PHE E CD2 1 
ATOM 12810 C CE1 . PHE B 2 714 ? 268.265 -103.157 232.483 1.0 42.2606   ? 715 PHE E CE1 715 PHE E CE1 1 
ATOM 12811 C CE2 . PHE B 2 714 ? 266.631 -104.471 231.361 1.0 42.2606   ? 715 PHE E CE2 715 PHE E CE2 1 
ATOM 12812 C CZ  . PHE B 2 714 ? 267.777 -103.716 231.326 1.0 42.2606   ? 715 PHE E CZ  715 PHE E CZ  1 
ATOM 12813 N N   . MET B 2 715 ? 262.728 -103.294 234.341 1.0 42.5602   ? 716 MET E N   716 MET E N   1 
ATOM 12814 C CA  . MET B 2 715 ? 261.749 -102.966 233.311 1.0 42.5602   ? 716 MET E CA  716 MET E CA  1 
ATOM 12815 C C   . MET B 2 715 ? 261.227 -101.548 233.469 1.0 42.5602   ? 716 MET E C   716 MET E C   1 
ATOM 12816 O O   . MET B 2 715 ? 261.144 -100.803 232.489 1.0 42.5602   ? 716 MET E O   716 MET E O   1 
ATOM 12817 C CB  . MET B 2 715 ? 260.591 -103.956 233.351 1.0 42.5602   ? 716 MET E CB  716 MET E CB  1 
ATOM 12818 C CG  . MET B 2 715 ? 259.568 -103.729 232.268 1.0 42.5602   ? 716 MET E CG  716 MET E CG  1 
ATOM 12819 S SD  . MET B 2 715 ? 258.243 -104.937 232.316 1.0 42.5602   ? 716 MET E SD  716 MET E SD  1 
ATOM 12820 C CE  . MET B 2 715 ? 257.214 -104.306 231.003 1.0 42.5602   ? 716 MET E CE  716 MET E CE  1 
ATOM 12821 N N   . VAL B 2 716 ? 260.899 -101.138 234.700 1.0 40.21318  ? 717 VAL E N   717 VAL E N   1 
ATOM 12822 C CA  . VAL B 2 716 ? 260.328 -99.810  234.917 1.0 40.21318  ? 717 VAL E CA  717 VAL E CA  1 
ATOM 12823 C C   . VAL B 2 716 ? 261.359 -98.699  234.860 1.0 40.21318  ? 717 VAL E C   717 VAL E C   1 
ATOM 12824 O O   . VAL B 2 716 ? 260.995 -97.530  235.025 1.0 40.21318  ? 717 VAL E O   717 VAL E O   1 
ATOM 12825 C CB  . VAL B 2 716 ? 259.597 -99.713  236.268 1.0 40.21318  ? 717 VAL E CB  717 VAL E CB  1 
ATOM 12826 C CG1 . VAL B 2 716 ? 258.496 -100.747 236.334 1.0 40.21318  ? 717 VAL E CG1 717 VAL E CG1 1 
ATOM 12827 C CG2 . VAL B 2 716 ? 260.566 -99.884  237.403 1.0 40.21318  ? 717 VAL E CG2 717 VAL E CG2 1 
ATOM 12828 N N   . GLN B 2 717 ? 262.634 -99.021  234.656 1.0 39.99564  ? 718 GLN E N   718 GLN E N   1 
ATOM 12829 C CA  . GLN B 2 717 ? 263.631 -98.007  234.348 1.0 39.99564  ? 718 GLN E CA  718 GLN E CA  1 
ATOM 12830 C C   . GLN B 2 717 ? 263.869 -97.895  232.854 1.0 39.99564  ? 718 GLN E C   718 GLN E C   1 
ATOM 12831 O O   . GLN B 2 717 ? 264.143 -96.803  232.348 1.0 39.99564  ? 718 GLN E O   718 GLN E O   1 
ATOM 12832 C CB  . GLN B 2 717 ? 264.946 -98.322  235.051 1.0 39.99564  ? 718 GLN E CB  718 GLN E CB  1 
ATOM 12833 C CG  . GLN B 2 717 ? 264.841 -98.277  236.537 1.0 39.99564  ? 718 GLN E CG  718 GLN E CG  1 
ATOM 12834 C CD  . GLN B 2 717 ? 264.491 -96.907  237.022 1.0 39.99564  ? 718 GLN E CD  718 GLN E CD  1 
ATOM 12835 O OE1 . GLN B 2 717 ? 264.990 -95.913  236.510 1.0 39.99564  ? 718 GLN E OE1 718 GLN E OE1 1 
ATOM 12836 N NE2 . GLN B 2 717 ? 263.608 -96.836  238.003 1.0 39.99564  ? 718 GLN E NE2 718 GLN E NE2 1 
ATOM 12837 N N   . MET B 2 718 ? 263.778 -99.013  232.141 1.0 40.05788  ? 719 MET E N   719 MET E N   1 
ATOM 12838 C CA  . MET B 2 718 ? 263.909 -98.966  230.695 1.0 40.05788  ? 719 MET E CA  719 MET E CA  1 
ATOM 12839 C C   . MET B 2 718 ? 262.632 -98.445  230.050 1.0 40.05788  ? 719 MET E C   719 MET E C   1 
ATOM 12840 O O   . MET B 2 718 ? 262.681 -97.841  228.974 1.0 40.05788  ? 719 MET E O   719 MET E O   1 
ATOM 12841 C CB  . MET B 2 718 ? 264.272 -100.352 230.171 1.0 40.05788  ? 719 MET E CB  719 MET E CB  1 
ATOM 12842 C CG  . MET B 2 718 ? 264.681 -100.397 228.717 1.0 40.05788  ? 719 MET E CG  719 MET E CG  1 
ATOM 12843 S SD  . MET B 2 718 ? 266.219 -99.533  228.380 1.0 40.05788  ? 719 MET E SD  719 MET E SD  1 
ATOM 12844 C CE  . MET B 2 718 ? 267.385 -100.671 229.104 1.0 40.05788  ? 719 MET E CE  719 MET E CE  1 
ATOM 12845 N N   . ALA B 2 719 ? 261.488 -98.635  230.702 1.0 38.11071  ? 720 ALA E N   720 ALA E N   1 
ATOM 12846 C CA  . ALA B 2 719 ? 260.226 -98.122  230.191 1.0 38.11071  ? 720 ALA E CA  720 ALA E CA  1 
ATOM 12847 C C   . ALA B 2 719 ? 259.970 -96.676  230.573 1.0 38.11071  ? 720 ALA E C   720 ALA E C   1 
ATOM 12848 O O   . ALA B 2 719 ? 259.203 -95.997  229.886 1.0 38.11071  ? 720 ALA E O   720 ALA E O   1 
ATOM 12849 C CB  . ALA B 2 719 ? 259.064 -98.983  230.685 1.0 38.11071  ? 720 ALA E CB  720 ALA E CB  1 
ATOM 12850 N N   . ALA B 2 720 ? 260.579 -96.194  231.652 1.0 39.03251  ? 721 ALA E N   721 ALA E N   1 
ATOM 12851 C CA  . ALA B 2 720 ? 260.377 -94.807  232.043 1.0 39.03251  ? 721 ALA E CA  721 ALA E CA  1 
ATOM 12852 C C   . ALA B 2 720 ? 261.150 -93.856  231.145 1.0 39.03251  ? 721 ALA E C   721 ALA E C   1 
ATOM 12853 O O   . ALA B 2 720 ? 260.647 -92.785  230.793 1.0 39.03251  ? 721 ALA E O   721 ALA E O   1 
ATOM 12854 C CB  . ALA B 2 720 ? 260.791 -94.602  233.495 1.0 39.03251  ? 721 ALA E CB  721 ALA E CB  1 
ATOM 12855 N N   . SER B 2 721 ? 262.367 -94.225  230.765 1.0 38.69601  ? 722 SER E N   722 SER E N   1 
ATOM 12856 C CA  . SER B 2 721 ? 263.253 -93.312  230.061 1.0 38.69601  ? 722 SER E CA  722 SER E CA  1 
ATOM 12857 C C   . SER B 2 721 ? 263.444 -93.654  228.592 1.0 38.69601  ? 722 SER E C   722 SER E C   1 
ATOM 12858 O O   . SER B 2 721 ? 263.705 -92.756  227.788 1.0 38.69601  ? 722 SER E O   722 SER E O   1 
ATOM 12859 C CB  . SER B 2 721 ? 264.613 -93.271  230.756 1.0 38.69601  ? 722 SER E CB  722 SER E CB  1 
ATOM 12860 O OG  . SER B 2 721 ? 265.225 -94.540  230.718 1.0 38.69601  ? 722 SER E OG  722 SER E OG  1 
ATOM 12861 N N   . TYR B 2 722 ? 263.327 -94.922  228.210 1.0 39.05365  ? 723 TYR E N   723 TYR E N   1 
ATOM 12862 C CA  . TYR B 2 722 ? 263.590 -95.316  226.834 1.0 39.05365  ? 723 TYR E CA  723 TYR E CA  1 
ATOM 12863 C C   . TYR B 2 722 ? 262.398 -95.957  226.145 1.0 39.05365  ? 723 TYR E C   723 TYR E C   1 
ATOM 12864 O O   . TYR B 2 722 ? 262.538 -96.371  224.990 1.0 39.05365  ? 723 TYR E O   723 TYR E O   1 
ATOM 12865 C CB  . TYR B 2 722 ? 264.786 -96.266  226.766 1.0 39.05365  ? 723 TYR E CB  723 TYR E CB  1 
ATOM 12866 C CG  . TYR B 2 722 ? 266.062 -95.608  227.202 1.0 39.05365  ? 723 TYR E CG  723 TYR E CG  1 
ATOM 12867 C CD1 . TYR B 2 722 ? 266.645 -94.625  226.427 1.0 39.05365  ? 723 TYR E CD1 723 TYR E CD1 1 
ATOM 12868 C CD2 . TYR B 2 722 ? 266.702 -95.989  228.365 1.0 39.05365  ? 723 TYR E CD2 723 TYR E CD2 1 
ATOM 12869 C CE1 . TYR B 2 722 ? 267.813 -94.012  226.816 1.0 39.05365  ? 723 TYR E CE1 723 TYR E CE1 1 
ATOM 12870 C CE2 . TYR B 2 722 ? 267.869 -95.378  228.768 1.0 39.05365  ? 723 TYR E CE2 723 TYR E CE2 1 
ATOM 12871 C CZ  . TYR B 2 722 ? 268.422 -94.395  227.986 1.0 39.05365  ? 723 TYR E CZ  723 TYR E CZ  1 
ATOM 12872 O OH  . TYR B 2 722 ? 269.591 -93.786  228.367 1.0 39.05365  ? 723 TYR E OH  723 TYR E OH  1 
ATOM 12873 N N   . ASN B 2 723 ? 261.256 -96.067  226.834 1.0 38.25112  ? 724 ASN E N   724 ASN E N   1 
ATOM 12874 C CA  . ASN B 2 723 ? 259.968 -96.474  226.259 1.0 38.25112  ? 724 ASN E CA  724 ASN E CA  1 
ATOM 12875 C C   . ASN B 2 723 ? 260.039 -97.893  225.685 1.0 38.25112  ? 724 ASN E C   724 ASN E C   1 
ATOM 12876 O O   . ASN B 2 723 ? 259.445 -98.205  224.653 1.0 38.25112  ? 724 ASN E O   724 ASN E O   1 
ATOM 12877 C CB  . ASN B 2 723 ? 259.508 -95.455  225.207 1.0 38.25112  ? 724 ASN E CB  724 ASN E CB  1 
ATOM 12878 C CG  . ASN B 2 723 ? 258.003 -95.369  225.071 1.0 38.25112  ? 724 ASN E CG  724 ASN E CG  1 
ATOM 12879 O OD1 . ASN B 2 723 ? 257.481 -94.412  224.500 1.0 38.25112  ? 724 ASN E OD1 724 ASN E OD1 1 
ATOM 12880 N ND2 . ASN B 2 723 ? 257.297 -96.352  225.594 1.0 38.25112  ? 724 ASN E ND2 724 ASN E ND2 1 
ATOM 12881 N N   . GLN B 2 724 ? 260.781 -98.759  226.375 1.0 37.71039  ? 725 GLN E N   725 GLN E N   1 
ATOM 12882 C CA  . GLN B 2 724 ? 260.992 -100.134 225.944 1.0 37.71039  ? 725 GLN E CA  725 GLN E CA  1 
ATOM 12883 C C   . GLN B 2 724 ? 260.562 -101.087 227.046 1.0 37.71039  ? 725 GLN E C   725 GLN E C   1 
ATOM 12884 O O   . GLN B 2 724 ? 260.489 -100.712 228.215 1.0 37.71039  ? 725 GLN E O   725 GLN E O   1 
ATOM 12885 C CB  . GLN B 2 724 ? 262.459 -100.407 225.604 1.0 37.71039  ? 725 GLN E CB  725 GLN E CB  1 
ATOM 12886 C CG  . GLN B 2 724 ? 262.967 -99.669  224.396 1.0 37.71039  ? 725 GLN E CG  725 GLN E CG  1 
ATOM 12887 C CD  . GLN B 2 724 ? 264.424 -99.939  224.138 1.0 37.71039  ? 725 GLN E CD  725 GLN E CD  1 
ATOM 12888 O OE1 . GLN B 2 724 ? 265.092 -100.603 224.925 1.0 37.71039  ? 725 GLN E OE1 725 GLN E OE1 1 
ATOM 12889 N NE2 . GLN B 2 724 ? 264.927 -99.438  223.021 1.0 37.71039  ? 725 GLN E NE2 725 GLN E NE2 1 
ATOM 12890 N N   . GLY B 2 725 ? 260.296 -102.330 226.670 1.0 38.66961  ? 726 GLY E N   726 GLY E N   1 
ATOM 12891 C CA  . GLY B 2 725 ? 260.011 -103.342 227.665 1.0 38.66961  ? 726 GLY E CA  726 GLY E CA  1 
ATOM 12892 C C   . GLY B 2 725 ? 258.881 -104.276 227.299 1.0 38.66961  ? 726 GLY E C   726 GLY E C   1 
ATOM 12893 O O   . GLY B 2 725 ? 258.892 -105.451 227.676 1.0 38.66961  ? 726 GLY E O   726 GLY E O   1 
ATOM 12894 N N   . TYR B 2 726 ? 257.903 -103.771 226.559 1.0 38.80724  ? 727 TYR E N   727 TYR E N   1 
ATOM 12895 C CA  . TYR B 2 726 ? 256.778 -104.586 226.136 1.0 38.80724  ? 727 TYR E CA  727 TYR E CA  1 
ATOM 12896 C C   . TYR B 2 726 ? 256.997 -105.240 224.785 1.0 38.80724  ? 727 TYR E C   727 TYR E C   1 
ATOM 12897 O O   . TYR B 2 726 ? 256.239 -106.144 224.424 1.0 38.80724  ? 727 TYR E O   727 TYR E O   1 
ATOM 12898 C CB  . TYR B 2 726 ? 255.510 -103.741 226.086 1.0 38.80724  ? 727 TYR E CB  727 TYR E CB  1 
ATOM 12899 C CG  . TYR B 2 726 ? 255.074 -103.253 227.436 1.0 38.80724  ? 727 TYR E CG  727 TYR E CG  1 
ATOM 12900 C CD1 . TYR B 2 726 ? 254.362 -104.074 228.291 1.0 38.80724  ? 727 TYR E CD1 727 TYR E CD1 1 
ATOM 12901 C CD2 . TYR B 2 726 ? 255.385 -101.975 227.862 1.0 38.80724  ? 727 TYR E CD2 727 TYR E CD2 1 
ATOM 12902 C CE1 . TYR B 2 726 ? 253.965 -103.632 229.528 1.0 38.80724  ? 727 TYR E CE1 727 TYR E CE1 1 
ATOM 12903 C CE2 . TYR B 2 726 ? 254.992 -101.526 229.098 1.0 38.80724  ? 727 TYR E CE2 727 TYR E CE2 1 
ATOM 12904 C CZ  . TYR B 2 726 ? 254.284 -102.357 229.926 1.0 38.80724  ? 727 TYR E CZ  727 TYR E CZ  1 
ATOM 12905 O OH  . TYR B 2 726 ? 253.892 -101.906 231.160 1.0 38.80724  ? 727 TYR E OH  727 TYR E OH  1 
ATOM 12906 N N   . GLN B 2 727 ? 257.997 -104.800 224.025 1.0 38.89847  ? 728 GLN E N   728 GLN E N   1 
ATOM 12907 C CA  . GLN B 2 727 ? 258.284 -105.364 222.714 1.0 38.89847  ? 728 GLN E CA  728 GLN E CA  1 
ATOM 12908 C C   . GLN B 2 727 ? 259.768 -105.655 222.558 1.0 38.89847  ? 728 GLN E C   728 GLN E C   1 
ATOM 12909 O O   . GLN B 2 727 ? 260.312 -105.556 221.458 1.0 38.89847  ? 728 GLN E O   728 GLN E O   1 
ATOM 12910 C CB  . GLN B 2 727 ? 257.806 -104.439 221.599 1.0 38.89847  ? 728 GLN E CB  728 GLN E CB  1 
ATOM 12911 C CG  . GLN B 2 727 ? 256.302 -104.285 221.524 1.0 38.89847  ? 728 GLN E CG  728 GLN E CG  1 
ATOM 12912 C CD  . GLN B 2 727 ? 255.866 -103.391 220.396 1.0 38.89847  ? 728 GLN E CD  728 GLN E CD  1 
ATOM 12913 O OE1 . GLN B 2 727 ? 256.688 -102.795 219.704 1.0 38.89847  ? 728 GLN E OE1 728 GLN E OE1 1 
ATOM 12914 N NE2 . GLN B 2 727 ? 254.562 -103.302 220.191 1.0 38.89847  ? 728 GLN E NE2 728 GLN E NE2 1 
ATOM 12915 N N   . GLY B 2 728 ? 260.434 -106.007 223.641 1.0 38.06929  ? 729 GLY E N   729 GLY E N   1 
ATOM 12916 C CA  . GLY B 2 728 ? 261.827 -106.387 223.554 1.0 38.06929  ? 729 GLY E CA  729 GLY E CA  1 
ATOM 12917 C C   . GLY B 2 728 ? 262.757 -105.273 223.982 1.0 38.06929  ? 729 GLY E C   729 GLY E C   1 
ATOM 12918 O O   . GLY B 2 728 ? 262.439 -104.083 223.884 1.0 38.06929  ? 729 GLY E O   729 GLY E O   1 
ATOM 12919 N N   . PHE B 2 729 ? 263.933 -105.662 224.465 1.0 38.8603   ? 730 PHE E N   730 PHE E N   1 
ATOM 12920 C CA  . PHE B 2 729 ? 264.968 -104.733 224.888 1.0 38.8603   ? 730 PHE E CA  730 PHE E CA  1 
ATOM 12921 C C   . PHE B 2 729 ? 266.087 -104.707 223.860 1.0 38.8603   ? 730 PHE E C   730 PHE E C   1 
ATOM 12922 O O   . PHE B 2 729 ? 266.448 -105.742 223.297 1.0 38.8603   ? 730 PHE E O   730 PHE E O   1 
ATOM 12923 C CB  . PHE B 2 729 ? 265.551 -105.128 226.241 1.0 38.8603   ? 730 PHE E CB  730 PHE E CB  1 
ATOM 12924 C CG  . PHE B 2 729 ? 264.569 -105.085 227.362 1.0 38.8603   ? 730 PHE E CG  730 PHE E CG  1 
ATOM 12925 C CD1 . PHE B 2 729 ? 264.230 -103.886 227.957 1.0 38.8603   ? 730 PHE E CD1 730 PHE E CD1 1 
ATOM 12926 C CD2 . PHE B 2 729 ? 263.995 -106.249 227.834 1.0 38.8603   ? 730 PHE E CD2 730 PHE E CD2 1 
ATOM 12927 C CE1 . PHE B 2 729 ? 263.328 -103.846 228.998 1.0 38.8603   ? 730 PHE E CE1 730 PHE E CE1 1 
ATOM 12928 C CE2 . PHE B 2 729 ? 263.091 -106.216 228.876 1.0 38.8603   ? 730 PHE E CE2 730 PHE E CE2 1 
ATOM 12929 C CZ  . PHE B 2 729 ? 262.757 -105.013 229.457 1.0 38.8603   ? 730 PHE E CZ  730 PHE E CZ  1 
ATOM 12930 N N   . ASN B 2 730 ? 266.634 -103.522 223.629 1.0 41.60096  ? 731 ASN E N   731 ASN E N   1 
ATOM 12931 C CA  . ASN B 2 730 ? 267.808 -103.355 222.787 1.0 41.60096  ? 731 ASN E CA  731 ASN E CA  1 
ATOM 12932 C C   . ASN B 2 730 ? 268.541 -102.101 223.242 1.0 41.60096  ? 731 ASN E C   731 ASN E C   1 
ATOM 12933 O O   . ASN B 2 730 ? 268.110 -101.409 224.167 1.0 41.60096  ? 731 ASN E O   731 ASN E O   1 
ATOM 12934 C CB  . ASN B 2 730 ? 267.432 -103.294 221.304 1.0 41.60096  ? 731 ASN E CB  731 ASN E CB  1 
ATOM 12935 C CG  . ASN B 2 730 ? 266.372 -102.249 221.004 1.0 41.60096  ? 731 ASN E CG  731 ASN E CG  1 
ATOM 12936 O OD1 . ASN B 2 730 ? 265.866 -101.575 221.897 1.0 41.60096  ? 731 ASN E OD1 731 ASN E OD1 1 
ATOM 12937 N ND2 . ASN B 2 730 ? 266.046 -102.098 219.728 1.0 41.60096  ? 731 ASN E ND2 731 ASN E ND2 1 
ATOM 12938 N N   . TRP B 2 731 ? 269.650 -101.818 222.588 1.0 41.91886  ? 732 TRP E N   732 TRP E N   1 
ATOM 12939 C CA  . TRP B 2 731 ? 270.350 -100.572 222.834 1.0 41.91886  ? 732 TRP E CA  732 TRP E CA  1 
ATOM 12940 C C   . TRP B 2 731 ? 269.550 -99.438  222.211 1.0 41.91886  ? 732 TRP E C   732 TRP E C   1 
ATOM 12941 O O   . TRP B 2 731 ? 269.237 -99.499  221.017 1.0 41.91886  ? 732 TRP E O   732 TRP E O   1 
ATOM 12942 C CB  . TRP B 2 731 ? 271.750 -100.618 222.253 1.0 41.91886  ? 732 TRP E CB  732 TRP E CB  1 
ATOM 12943 C CG  . TRP B 2 731 ? 272.530 -99.410  222.567 1.0 41.91886  ? 732 TRP E CG  732 TRP E CG  1 
ATOM 12944 C CD1 . TRP B 2 731 ? 272.746 -98.347  221.753 1.0 41.91886  ? 732 TRP E CD1 732 TRP E CD1 1 
ATOM 12945 C CD2 . TRP B 2 731 ? 273.218 -99.130  223.786 1.0 41.91886  ? 732 TRP E CD2 732 TRP E CD2 1 
ATOM 12946 N NE1 . TRP B 2 731 ? 273.519 -97.413  222.389 1.0 41.91886  ? 732 TRP E NE1 732 TRP E NE1 1 
ATOM 12947 C CE2 . TRP B 2 731 ? 273.823 -97.872  223.641 1.0 41.91886  ? 732 TRP E CE2 732 TRP E CE2 1 
ATOM 12948 C CE3 . TRP B 2 731 ? 273.378 -99.821  224.986 1.0 41.91886  ? 732 TRP E CE3 732 TRP E CE3 1 
ATOM 12949 C CZ2 . TRP B 2 731 ? 274.574 -97.290  224.651 1.0 41.91886  ? 732 TRP E CZ2 732 TRP E CZ2 1 
ATOM 12950 C CZ3 . TRP B 2 731 ? 274.129 -99.246  225.982 1.0 41.91886  ? 732 TRP E CZ3 732 TRP E CZ3 1 
ATOM 12951 C CH2 . TRP B 2 731 ? 274.716 -97.992  225.811 1.0 41.91886  ? 732 TRP E CH2 732 TRP E CH2 1 
ATOM 12952 N N   . PRO B 2 732 ? 269.181 -98.411  222.968 1.0 43.77707  ? 733 PRO E N   733 PRO E N   1 
ATOM 12953 C CA  . PRO B 2 732 ? 268.347 -97.343  222.413 1.0 43.77707  ? 733 PRO E CA  733 PRO E CA  1 
ATOM 12954 C C   . PRO B 2 732 ? 269.136 -96.431  221.492 1.0 43.77707  ? 733 PRO E C   733 PRO E C   1 
ATOM 12955 O O   . PRO B 2 732 ? 270.364 -96.363  221.538 1.0 43.77707  ? 733 PRO E O   733 PRO E O   1 
ATOM 12956 C CB  . PRO B 2 732 ? 267.869 -96.591  223.655 1.0 43.77707  ? 733 PRO E CB  733 PRO E CB  1 
ATOM 12957 C CG  . PRO B 2 732 ? 268.923 -96.850  224.659 1.0 43.77707  ? 733 PRO E CG  733 PRO E CG  1 
ATOM 12958 C CD  . PRO B 2 732 ? 269.424 -98.230  224.406 1.0 43.77707  ? 733 PRO E CD  733 PRO E CD  1 
ATOM 12959 N N   . ASN B 2 733 ? 268.397 -95.720  220.641 1.0 51.22058  ? 734 ASN E N   734 ASN E N   1 
ATOM 12960 C CA  . ASN B 2 733 ? 269.021 -94.871  219.632 1.0 51.22058  ? 734 ASN E CA  734 ASN E CA  1 
ATOM 12961 C C   . ASN B 2 733 ? 269.663 -93.642  220.261 1.0 51.22058  ? 734 ASN E C   734 ASN E C   1 
ATOM 12962 O O   . ASN B 2 733 ? 270.882 -93.453  220.187 1.0 51.22058  ? 734 ASN E O   734 ASN E O   1 
ATOM 12963 C CB  . ASN B 2 733 ? 267.982 -94.457  218.590 1.0 51.22058  ? 734 ASN E CB  734 ASN E CB  1 
ATOM 12964 C CG  . ASN B 2 733 ? 267.532 -95.615  217.730 1.0 51.22058  ? 734 ASN E CG  734 ASN E CG  1 
ATOM 12965 O OD1 . ASN B 2 733 ? 268.344 -96.435  217.301 1.0 51.22058  ? 734 ASN E OD1 734 ASN E OD1 1 
ATOM 12966 N ND2 . ASN B 2 733 ? 266.231 -95.695  217.476 1.0 51.22058  ? 734 ASN E ND2 734 ASN E ND2 1 
ATOM 12967 N N   . CYS B 2 734 ? 268.856 -92.799  220.895 1.0 53.88825  ? 735 CYS E N   735 CYS E N   1 
ATOM 12968 C CA  . CYS B 2 734 ? 269.319 -91.540  221.463 1.0 53.88825  ? 735 CYS E CA  735 CYS E CA  1 
ATOM 12969 C C   . CYS B 2 734 ? 269.532 -91.733  222.959 1.0 53.88825  ? 735 CYS E C   735 CYS E C   1 
ATOM 12970 O O   . CYS B 2 734 ? 268.569 -91.873  223.717 1.0 53.88825  ? 735 CYS E O   735 CYS E O   1 
ATOM 12971 C CB  . CYS B 2 734 ? 268.314 -90.426  221.188 1.0 53.88825  ? 735 CYS E CB  735 CYS E CB  1 
ATOM 12972 S SG  . CYS B 2 734 ? 268.847 -88.797  221.729 1.0 53.88825  ? 735 CYS E SG  735 CYS E SG  1 
ATOM 12973 N N   . THR B 2 735 ? 270.793 -91.738  223.377 1.0 48.97255  ? 736 THR E N   736 THR E N   1 
ATOM 12974 C CA  . THR B 2 735 ? 271.173 -91.939  224.768 1.0 48.97255  ? 736 THR E CA  736 THR E CA  1 
ATOM 12975 C C   . THR B 2 735 ? 271.773 -90.647  225.300 1.0 48.97255  ? 736 THR E C   736 THR E C   1 
ATOM 12976 O O   . THR B 2 735 ? 272.718 -90.113  224.711 1.0 48.97255  ? 736 THR E O   736 THR E O   1 
ATOM 12977 C CB  . THR B 2 735 ? 272.180 -93.075  224.897 1.0 48.97255  ? 736 THR E CB  736 THR E CB  1 
ATOM 12978 O OG1 . THR B 2 735 ? 273.369 -92.732  224.178 1.0 48.97255  ? 736 THR E OG1 736 THR E OG1 1 
ATOM 12979 C CG2 . THR B 2 735 ? 271.618 -94.344  224.320 1.0 48.97255  ? 736 THR E CG2 736 THR E CG2 1 
ATOM 12980 N N   . LYS B 2 736 ? 271.238 -90.155  226.410 1.0 47.58863  ? 737 LYS E N   737 LYS E N   1 
ATOM 12981 C CA  . LYS B 2 736 ? 271.675 -88.884  226.962 1.0 47.58863  ? 737 LYS E CA  737 LYS E CA  1 
ATOM 12982 C C   . LYS B 2 736 ? 272.811 -89.106  227.957 1.0 47.58863  ? 737 LYS E C   737 LYS E C   1 
ATOM 12983 O O   . LYS B 2 736 ? 273.323 -90.216  228.115 1.0 47.58863  ? 737 LYS E O   737 LYS E O   1 
ATOM 12984 C CB  . LYS B 2 736 ? 270.499 -88.159  227.603 1.0 47.58863  ? 737 LYS E CB  737 LYS E CB  1 
ATOM 12985 C CG  . LYS B 2 736 ? 269.362 -87.876  226.647 1.0 47.58863  ? 737 LYS E CG  737 LYS E CG  1 
ATOM 12986 C CD  . LYS B 2 736 ? 269.804 -86.957  225.524 1.0 47.58863  ? 737 LYS E CD  737 LYS E CD  1 
ATOM 12987 C CE  . LYS B 2 736 ? 268.610 -86.442  224.745 1.0 47.58863  ? 737 LYS E CE  737 LYS E CE  1 
ATOM 12988 N NZ  . LYS B 2 736 ? 267.922 -87.514  223.987 1.0 47.58863  ? 737 LYS E NZ  737 LYS E NZ  1 
ATOM 12989 N N   . HIS B 2 737 ? 273.216 -88.037  228.645 1.0 43.2599   ? 738 HIS E N   738 HIS E N   1 
ATOM 12990 C CA  . HIS B 2 737 ? 274.333 -88.117  229.579 1.0 43.2599   ? 738 HIS E CA  738 HIS E CA  1 
ATOM 12991 C C   . HIS B 2 737 ? 273.903 -88.741  230.898 1.0 43.2599   ? 738 HIS E C   738 HIS E C   1 
ATOM 12992 O O   . HIS B 2 737 ? 274.579 -89.629  231.425 1.0 43.2599   ? 738 HIS E O   738 HIS E O   1 
ATOM 12993 C CB  . HIS B 2 737 ? 274.917 -86.723  229.809 1.0 43.2599   ? 738 HIS E CB  738 HIS E CB  1 
ATOM 12994 C CG  . HIS B 2 737 ? 276.114 -86.706  230.706 1.0 43.2599   ? 738 HIS E CG  738 HIS E CG  1 
ATOM 12995 N ND1 . HIS B 2 737 ? 277.355 -87.139  230.298 1.0 43.2599   ? 738 HIS E ND1 738 HIS E ND1 1 
ATOM 12996 C CD2 . HIS B 2 737 ? 276.261 -86.298  231.988 1.0 43.2599   ? 738 HIS E CD2 738 HIS E CD2 1 
ATOM 12997 C CE1 . HIS B 2 737 ? 278.215 -87.004  231.291 1.0 43.2599   ? 738 HIS E CE1 738 HIS E CE1 1 
ATOM 12998 N NE2 . HIS B 2 737 ? 277.576 -86.497  232.328 1.0 43.2599   ? 738 HIS E NE2 738 HIS E NE2 1 
ATOM 12999 N N   . TYR B 2 738 ? 272.781 -88.289  231.444 1.0 42.11105  ? 739 TYR E N   739 TYR E N   1 
ATOM 13000 C CA  . TYR B 2 738 ? 272.235 -88.860  232.671 1.0 42.11105  ? 739 TYR E CA  739 TYR E CA  1 
ATOM 13001 C C   . TYR B 2 738 ? 271.222 -89.954  232.362 1.0 42.11105  ? 739 TYR E C   739 TYR E C   1 
ATOM 13002 O O   . TYR B 2 738 ? 270.114 -89.971  232.893 1.0 42.11105  ? 739 TYR E O   739 TYR E O   1 
ATOM 13003 C CB  . TYR B 2 738 ? 271.606 -87.757  233.507 1.0 42.11105  ? 739 TYR E CB  739 TYR E CB  1 
ATOM 13004 C CG  . TYR B 2 738 ? 272.587 -86.686  233.889 1.0 42.11105  ? 739 TYR E CG  739 TYR E CG  1 
ATOM 13005 C CD1 . TYR B 2 738 ? 273.442 -86.860  234.956 1.0 42.11105  ? 739 TYR E CD1 739 TYR E CD1 1 
ATOM 13006 C CD2 . TYR B 2 738 ? 272.671 -85.507  233.168 1.0 42.11105  ? 739 TYR E CD2 739 TYR E CD2 1 
ATOM 13007 C CE1 . TYR B 2 738 ? 274.344 -85.894  235.299 1.0 42.11105  ? 739 TYR E CE1 739 TYR E CE1 1 
ATOM 13008 C CE2 . TYR B 2 738 ? 273.569 -84.528  233.514 1.0 42.11105  ? 739 TYR E CE2 739 TYR E CE2 1 
ATOM 13009 C CZ  . TYR B 2 738 ? 274.401 -84.727  234.580 1.0 42.11105  ? 739 TYR E CZ  739 TYR E CZ  1 
ATOM 13010 O OH  . TYR B 2 738 ? 275.308 -83.758  234.926 1.0 42.11105  ? 739 TYR E OH  739 TYR E OH  1 
ATOM 13011 N N   . GLY B 2 739 ? 271.605 -90.890  231.496 1.0 43.8764   ? 740 GLY E N   740 GLY E N   1 
ATOM 13012 C CA  . GLY B 2 739 ? 270.732 -91.978  231.112 1.0 43.8764   ? 740 GLY E CA  740 GLY E CA  1 
ATOM 13013 C C   . GLY B 2 739 ? 270.929 -93.191  231.994 1.0 43.8764   ? 740 GLY E C   740 GLY E C   1 
ATOM 13014 O O   . GLY B 2 739 ? 271.691 -93.175  232.953 1.0 43.8764   ? 740 GLY E O   740 GLY E O   1 
ATOM 13015 N N   . PHE B 2 740 ? 270.230 -94.270  231.646 1.0 42.39092  ? 741 PHE E N   741 PHE E N   1 
ATOM 13016 C CA  . PHE B 2 740 ? 270.315 -95.499  232.427 1.0 42.39092  ? 741 PHE E CA  741 PHE E CA  1 
ATOM 13017 C C   . PHE B 2 740 ? 271.342 -96.466  231.867 1.0 42.39092  ? 741 PHE E C   741 PHE E C   1 
ATOM 13018 O O   . PHE B 2 740 ? 272.280 -96.866  232.564 1.0 42.39092  ? 741 PHE E O   741 PHE E O   1 
ATOM 13019 C CB  . PHE B 2 740 ? 268.955 -96.196  232.495 1.0 42.39092  ? 741 PHE E CB  741 PHE E CB  1 
ATOM 13020 C CG  . PHE B 2 740 ? 268.988 -97.483  233.264 1.0 42.39092  ? 741 PHE E CG  741 PHE E CG  1 
ATOM 13021 C CD1 . PHE B 2 740 ? 269.239 -97.485  234.626 1.0 42.39092  ? 741 PHE E CD1 741 PHE E CD1 1 
ATOM 13022 C CD2 . PHE B 2 740 ? 268.736 -98.681  232.641 1.0 42.39092  ? 741 PHE E CD2 741 PHE E CD2 1 
ATOM 13023 C CE1 . PHE B 2 740 ? 269.260 -98.663  235.333 1.0 42.39092  ? 741 PHE E CE1 741 PHE E CE1 1 
ATOM 13024 C CE2 . PHE B 2 740 ? 268.753 -99.858  233.346 1.0 42.39092  ? 741 PHE E CE2 741 PHE E CE2 1 
ATOM 13025 C CZ  . PHE B 2 740 ? 269.015 -99.850  234.693 1.0 42.39092  ? 741 PHE E CZ  741 PHE E CZ  1 
ATOM 13026 N N   . ILE B 2 741 ? 271.174 -96.864  230.604 1.0 43.21118  ? 742 ILE E N   742 ILE E N   1 
ATOM 13027 C CA  . ILE B 2 741 ? 272.009 -97.916  230.037 1.0 43.21118  ? 742 ILE E CA  742 ILE E CA  1 
ATOM 13028 C C   . ILE B 2 741 ? 273.375 -97.396  229.631 1.0 43.21118  ? 742 ILE E C   742 ILE E C   1 
ATOM 13029 O O   . ILE B 2 741 ? 274.241 -98.187  229.236 1.0 43.21118  ? 742 ILE E O   742 ILE E O   1 
ATOM 13030 C CB  . ILE B 2 741 ? 271.197 -98.560  228.896 1.0 43.21118  ? 742 ILE E CB  742 ILE E CB  1 
ATOM 13031 C CG1 . ILE B 2 741 ? 271.657 -99.990  228.650 1.0 43.21118  ? 742 ILE E CG1 742 ILE E CG1 1 
ATOM 13032 C CG2 . ILE B 2 741 ? 271.300 -97.724  227.645 1.0 43.21118  ? 742 ILE E CG2 742 ILE E CG2 1 
ATOM 13033 C CD1 . ILE B 2 741 ? 271.450 -100.877 229.848 1.0 43.21118  ? 742 ILE E CD1 742 ILE E CD1 1 
ATOM 13034 N N   . ASN B 2 742 ? 273.610 -96.092  229.740 1.0 45.2613   ? 743 ASN E N   743 ASN E N   1 
ATOM 13035 C CA  . ASN B 2 742 ? 274.934 -95.552  229.473 1.0 45.2613   ? 743 ASN E CA  743 ASN E CA  1 
ATOM 13036 C C   . ASN B 2 742 ? 275.921 -95.941  230.559 1.0 45.2613   ? 743 ASN E C   743 ASN E C   1 
ATOM 13037 O O   . ASN B 2 742 ? 277.090 -96.223  230.275 1.0 45.2613   ? 743 ASN E O   743 ASN E O   1 
ATOM 13038 C CB  . ASN B 2 742 ? 274.858 -94.038  229.356 1.0 45.2613   ? 743 ASN E CB  743 ASN E CB  1 
ATOM 13039 C CG  . ASN B 2 742 ? 274.184 -93.601  228.102 1.0 45.2613   ? 743 ASN E CG  743 ASN E CG  1 
ATOM 13040 O OD1 . ASN B 2 742 ? 274.462 -94.128  227.030 1.0 45.2613   ? 743 ASN E OD1 743 ASN E OD1 1 
ATOM 13041 N ND2 . ASN B 2 742 ? 273.266 -92.655  228.219 1.0 45.2613   ? 743 ASN E ND2 743 ASN E ND2 1 
ATOM 13042 N N   . ASN B 2 743 ? 275.462 -95.982  231.806 1.0 46.44163  ? 744 ASN E N   744 ASN E N   1 
ATOM 13043 C CA  . ASN B 2 743 ? 276.349 -96.042  232.958 1.0 46.44163  ? 744 ASN E CA  744 ASN E CA  1 
ATOM 13044 C C   . ASN B 2 743 ? 275.947 -97.118  233.960 1.0 46.44163  ? 744 ASN E C   744 ASN E C   1 
ATOM 13045 O O   . ASN B 2 743 ? 276.563 -97.225  235.023 1.0 46.44163  ? 744 ASN E O   744 ASN E O   1 
ATOM 13046 C CB  . ASN B 2 743 ? 276.403 -94.664  233.609 1.0 46.44163  ? 744 ASN E CB  744 ASN E CB  1 
ATOM 13047 C CG  . ASN B 2 743 ? 275.034 -94.072  233.795 1.0 46.44163  ? 744 ASN E CG  744 ASN E CG  1 
ATOM 13048 O OD1 . ASN B 2 743 ? 274.029 -94.744  233.591 1.0 46.44163  ? 744 ASN E OD1 744 ASN E OD1 1 
ATOM 13049 N ND2 . ASN B 2 743 ? 274.982 -92.798  234.137 1.0 46.44163  ? 744 ASN E ND2 744 ASN E ND2 1 
ATOM 13050 N N   . PHE B 2 744 ? 274.927 -97.911  233.648 1.0 46.43929  ? 745 PHE E N   745 PHE E N   1 
ATOM 13051 C CA  . PHE B 2 744 ? 274.680 -99.147  234.380 1.0 46.43929  ? 745 PHE E CA  745 PHE E CA  1 
ATOM 13052 C C   . PHE B 2 744 ? 275.754 -100.141 233.976 1.0 46.43929  ? 745 PHE E C   745 PHE E C   1 
ATOM 13053 O O   . PHE B 2 744 ? 275.823 -100.544 232.812 1.0 46.43929  ? 745 PHE E O   745 PHE E O   1 
ATOM 13054 C CB  . PHE B 2 744 ? 273.292 -99.705  234.080 1.0 46.43929  ? 745 PHE E CB  745 PHE E CB  1 
ATOM 13055 C CG  . PHE B 2 744 ? 272.992 -100.987 234.803 1.0 46.43929  ? 745 PHE E CG  745 PHE E CG  1 
ATOM 13056 C CD1 . PHE B 2 744 ? 272.623 -100.977 236.131 1.0 46.43929  ? 745 PHE E CD1 745 PHE E CD1 1 
ATOM 13057 C CD2 . PHE B 2 744 ? 273.097 -102.202 234.159 1.0 46.43929  ? 745 PHE E CD2 745 PHE E CD2 1 
ATOM 13058 C CE1 . PHE B 2 744 ? 272.359 -102.147 236.797 1.0 46.43929  ? 745 PHE E CE1 745 PHE E CE1 1 
ATOM 13059 C CE2 . PHE B 2 744 ? 272.840 -103.375 234.827 1.0 46.43929  ? 745 PHE E CE2 745 PHE E CE2 1 
ATOM 13060 C CZ  . PHE B 2 744 ? 272.468 -103.345 236.145 1.0 46.43929  ? 745 PHE E CZ  745 PHE E CZ  1 
ATOM 13061 N N   . GLU B 2 745 ? 276.590 -100.545 234.923 1.0 48.8234   ? 746 GLU E N   746 GLU E N   1 
ATOM 13062 C CA  . GLU B 2 745 ? 277.651 -101.507 234.644 1.0 48.8234   ? 746 GLU E CA  746 GLU E CA  1 
ATOM 13063 C C   . GLU B 2 745 ? 277.654 -102.635 235.663 1.0 48.8234   ? 746 GLU E C   746 GLU E C   1 
ATOM 13064 O O   . GLU B 2 745 ? 277.903 -102.384 236.860 1.0 48.8234   ? 746 GLU E O   746 GLU E O   1 
ATOM 13065 C CB  . GLU B 2 745 ? 279.016 -100.831 234.603 1.0 48.8234   ? 746 GLU E CB  746 GLU E CB  1 
ATOM 13066 C CG  . GLU B 2 745 ? 280.113 -101.809 234.230 1.0 48.8234   ? 746 GLU E CG  746 GLU E CG  1 
ATOM 13067 C CD  . GLU B 2 745 ? 279.968 -102.336 232.815 1.0 48.8234   ? 746 GLU E CD  746 GLU E CD  1 
ATOM 13068 O OE1 . GLU B 2 745 ? 279.479 -101.588 231.939 1.0 48.8234   ? 746 GLU E OE1 746 GLU E OE1 1 
ATOM 13069 O OE2 . GLU B 2 745 ? 280.321 -103.509 232.572 1.0 48.8234   ? 746 GLU E OE2 746 GLU E OE2 1 
ATOM 13070 N N   . PRO B 2 746 ? 277.390 -103.868 235.249 1.0 46.07045  ? 747 PRO E N   747 PRO E N   1 
ATOM 13071 C CA  . PRO B 2 746 ? 277.498 -105.005 236.162 1.0 46.07045  ? 747 PRO E CA  747 PRO E CA  1 
ATOM 13072 C C   . PRO B 2 746 ? 278.933 -105.504 236.250 1.0 46.07045  ? 747 PRO E C   747 PRO E C   1 
ATOM 13073 O O   . PRO B 2 746 ? 279.791 -105.154 235.441 1.0 46.07045  ? 747 PRO E O   747 PRO E O   1 
ATOM 13074 C CB  . PRO B 2 746 ? 276.599 -106.048 235.507 1.0 46.07045  ? 747 PRO E CB  747 PRO E CB  1 
ATOM 13075 C CG  . PRO B 2 746 ? 276.702 -105.736 234.065 1.0 46.07045  ? 747 PRO E CG  747 PRO E CG  1 
ATOM 13076 C CD  . PRO B 2 746 ? 276.806 -104.257 233.958 1.0 46.07045  ? 747 PRO E CD  747 PRO E CD  1 
ATOM 13077 N N   . MET B 2 747 ? 279.174 -106.356 237.244 1.0 49.47992  ? 748 MET E N   748 MET E N   1 
ATOM 13078 C CA  . MET B 2 747 ? 280.507 -106.879 237.512 1.0 49.47992  ? 748 MET E CA  748 MET E CA  1 
ATOM 13079 C C   . MET B 2 747 ? 280.390 -108.131 238.368 1.0 49.47992  ? 748 MET E C   748 MET E C   1 
ATOM 13080 O O   . MET B 2 747 ? 279.380 -108.348 239.039 1.0 49.47992  ? 748 MET E O   748 MET E O   1 
ATOM 13081 C CB  . MET B 2 747 ? 281.380 -105.823 238.189 1.0 49.47992  ? 748 MET E CB  748 MET E CB  1 
ATOM 13082 C CG  . MET B 2 747 ? 280.852 -105.328 239.502 1.0 49.47992  ? 748 MET E CG  748 MET E CG  1 
ATOM 13083 S SD  . MET B 2 747 ? 281.833 -103.929 240.051 1.0 49.47992  ? 748 MET E SD  748 MET E SD  1 
ATOM 13084 C CE  . MET B 2 747 ? 281.245 -102.681 238.920 1.0 49.47992  ? 748 MET E CE  748 MET E CE  1 
ATOM 13085 N N   . SER B 2 748 ? 281.434 -108.959 238.335 1.0 50.26233  ? 749 SER E N   749 SER E N   1 
ATOM 13086 C CA  . SER B 2 748 ? 281.381 -110.273 238.963 1.0 50.26233  ? 749 SER E CA  749 SER E CA  1 
ATOM 13087 C C   . SER B 2 748 ? 282.781 -110.738 239.330 1.0 50.26233  ? 749 SER E C   749 SER E C   1 
ATOM 13088 O O   . SER B 2 748 ? 283.764 -110.344 238.699 1.0 50.26233  ? 749 SER E O   749 SER E O   1 
ATOM 13089 C CB  . SER B 2 748 ? 280.743 -111.307 238.034 1.0 50.26233  ? 749 SER E CB  749 SER E CB  1 
ATOM 13090 O OG  . SER B 2 748 ? 279.406 -110.971 237.726 1.0 50.26233  ? 749 SER E OG  749 SER E OG  1 
ATOM 13091 N N   . ARG B 2 749 ? 282.862 -111.599 240.346 1.0 50.72318  ? 750 ARG E N   750 ARG E N   1 
ATOM 13092 C CA  . ARG B 2 749 ? 284.122 -112.231 240.716 1.0 50.72318  ? 750 ARG E CA  750 ARG E CA  1 
ATOM 13093 C C   . ARG B 2 749 ? 283.837 -113.520 241.469 1.0 50.72318  ? 750 ARG E C   750 ARG E C   1 
ATOM 13094 O O   . ARG B 2 749 ? 282.692 -113.836 241.797 1.0 50.72318  ? 750 ARG E O   750 ARG E O   1 
ATOM 13095 C CB  . ARG B 2 749 ? 285.003 -111.316 241.573 1.0 50.72318  ? 750 ARG E CB  750 ARG E CB  1 
ATOM 13096 C CG  . ARG B 2 749 ? 284.524 -111.107 242.991 1.0 50.72318  ? 750 ARG E CG  750 ARG E CG  1 
ATOM 13097 C CD  . ARG B 2 749 ? 285.371 -110.062 243.677 1.0 50.72318  ? 750 ARG E CD  750 ARG E CD  1 
ATOM 13098 N NE  . ARG B 2 749 ? 284.848 -109.722 244.993 1.0 50.72318  ? 750 ARG E NE  750 ARG E NE  1 
ATOM 13099 C CZ  . ARG B 2 749 ? 285.433 -110.068 246.132 1.0 50.72318  ? 750 ARG E CZ  750 ARG E CZ  1 
ATOM 13100 N NH1 . ARG B 2 749 ? 284.883 -109.743 247.295 1.0 50.72318  ? 750 ARG E NH1 750 ARG E NH1 1 
ATOM 13101 N NH2 . ARG B 2 749 ? 286.616 -110.675 246.103 1.0 50.72318  ? 750 ARG E NH2 750 ARG E NH2 1 
ATOM 13102 N N   . GLN B 2 750 ? 284.904 -114.260 241.744 1.0 52.03088  ? 751 GLN E N   751 GLN E N   1 
ATOM 13103 C CA  . GLN B 2 750 ? 284.855 -115.472 242.543 1.0 52.03088  ? 751 GLN E CA  751 GLN E CA  1 
ATOM 13104 C C   . GLN B 2 750 ? 285.696 -115.268 243.794 1.0 52.03088  ? 751 GLN E C   751 GLN E C   1 
ATOM 13105 O O   . GLN B 2 750 ? 286.704 -114.561 243.760 1.0 52.03088  ? 751 GLN E O   751 GLN E O   1 
ATOM 13106 C CB  . GLN B 2 750 ? 285.392 -116.665 241.759 1.0 52.03088  ? 751 GLN E CB  751 GLN E CB  1 
ATOM 13107 C CG  . GLN B 2 750 ? 284.668 -116.945 240.471 1.0 52.03088  ? 751 GLN E CG  751 GLN E CG  1 
ATOM 13108 C CD  . GLN B 2 750 ? 283.223 -117.268 240.695 1.0 52.03088  ? 751 GLN E CD  751 GLN E CD  1 
ATOM 13109 O OE1 . GLN B 2 750 ? 282.342 -116.508 240.314 1.0 52.03088  ? 751 GLN E OE1 751 GLN E OE1 1 
ATOM 13110 N NE2 . GLN B 2 750 ? 282.965 -118.397 241.340 1.0 52.03088  ? 751 GLN E NE2 751 GLN E NE2 1 
ATOM 13111 N N   . VAL B 2 751 ? 285.270 -115.859 244.904 1.0 56.18055  ? 752 VAL E N   752 VAL E N   1 
ATOM 13112 C CA  . VAL B 2 751 ? 286.079 -115.868 246.119 1.0 56.18055  ? 752 VAL E CA  752 VAL E CA  1 
ATOM 13113 C C   . VAL B 2 751 ? 286.251 -117.316 246.554 1.0 56.18055  ? 752 VAL E C   752 VAL E C   1 
ATOM 13114 O O   . VAL B 2 751 ? 285.382 -118.153 246.272 1.0 56.18055  ? 752 VAL E O   752 VAL E O   1 
ATOM 13115 C CB  . VAL B 2 751 ? 285.454 -115.031 247.251 1.0 56.18055  ? 752 VAL E CB  752 VAL E CB  1 
ATOM 13116 C CG1 . VAL B 2 751 ? 285.339 -113.614 246.862 1.0 56.18055  ? 752 VAL E CG1 752 VAL E CG1 1 
ATOM 13117 C CG2 . VAL B 2 751 ? 284.082 -115.542 247.655 1.0 56.18055  ? 752 VAL E CG2 752 VAL E CG2 1 
ATOM 13118 N N   . PRO B 2 752 ? 287.353 -117.674 247.201 1.0 60.44051  ? 753 PRO E N   753 PRO E N   1 
ATOM 13119 C CA  . PRO B 2 752 ? 287.440 -119.013 247.783 1.0 60.44051  ? 753 PRO E CA  753 PRO E CA  1 
ATOM 13120 C C   . PRO B 2 752 ? 286.516 -119.123 248.983 1.0 60.44051  ? 753 PRO E C   753 PRO E C   1 
ATOM 13121 O O   . PRO B 2 752 ? 286.132 -118.124 249.591 1.0 60.44051  ? 753 PRO E O   753 PRO E O   1 
ATOM 13122 C CB  . PRO B 2 752 ? 288.910 -119.126 248.196 1.0 60.44051  ? 753 PRO E CB  753 PRO E CB  1 
ATOM 13123 C CG  . PRO B 2 752 ? 289.614 -118.098 247.374 1.0 60.44051  ? 753 PRO E CG  753 PRO E CG  1 
ATOM 13124 C CD  . PRO B 2 752 ? 288.644 -116.975 247.242 1.0 60.44051  ? 753 PRO E CD  753 PRO E CD  1 
ATOM 13125 N N   . GLU B 2 753 ? 286.139 -120.355 249.315 1.0 67.94135  ? 754 GLU E N   754 GLU E N   1 
ATOM 13126 C CA  . GLU B 2 753 ? 285.324 -120.572 250.506 1.0 67.94135  ? 754 GLU E CA  754 GLU E CA  1 
ATOM 13127 C C   . GLU B 2 753 ? 286.264 -120.476 251.710 1.0 67.94135  ? 754 GLU E C   754 GLU E C   1 
ATOM 13128 O O   . GLU B 2 753 ? 287.177 -121.277 251.928 1.0 67.94135  ? 754 GLU E O   754 GLU E O   1 
ATOM 13129 C CB  . GLU B 2 753 ? 284.527 -121.877 250.395 1.0 67.94135  ? 754 GLU E CB  754 GLU E CB  1 
ATOM 13130 C CG  . GLU B 2 753 ? 285.276 -123.220 250.374 1.0 67.94135  ? 754 GLU E CG  754 GLU E CG  1 
ATOM 13131 C CD  . GLU B 2 753 ? 285.854 -123.599 249.016 1.0 67.94135  ? 754 GLU E CD  754 GLU E CD  1 
ATOM 13132 O OE1 . GLU B 2 753 ? 285.965 -122.732 248.123 1.0 67.94135  ? 754 GLU E OE1 754 GLU E OE1 1 
ATOM 13133 O OE2 . GLU B 2 753 ? 286.222 -124.780 248.859 1.0 67.94135  ? 754 GLU E OE2 754 GLU E OE2 1 
ATOM 13134 N N   . TYR B 2 754 ? 286.099 -119.391 252.454 1.0 67.0014   ? 755 TYR E N   755 TYR E N   1 
ATOM 13135 C CA  . TYR B 2 754 ? 287.005 -119.117 253.556 1.0 67.0014   ? 755 TYR E CA  755 TYR E CA  1 
ATOM 13136 C C   . TYR B 2 754 ? 286.561 -119.872 254.796 1.0 67.0014   ? 755 TYR E C   755 TYR E C   1 
ATOM 13137 O O   . TYR B 2 754 ? 285.386 -119.852 255.169 1.0 67.0014   ? 755 TYR E O   755 TYR E O   1 
ATOM 13138 C CB  . TYR B 2 754 ? 287.055 -117.618 253.837 1.0 67.0014   ? 755 TYR E CB  755 TYR E CB  1 
ATOM 13139 C CG  . TYR B 2 754 ? 287.771 -116.811 252.779 1.0 67.0014   ? 755 TYR E CG  755 TYR E CG  1 
ATOM 13140 C CD1 . TYR B 2 754 ? 288.664 -117.409 251.899 1.0 67.0014   ? 755 TYR E CD1 755 TYR E CD1 1 
ATOM 13141 C CD2 . TYR B 2 754 ? 287.534 -115.452 252.648 1.0 67.0014   ? 755 TYR E CD2 755 TYR E CD2 1 
ATOM 13142 C CE1 . TYR B 2 754 ? 289.312 -116.669 250.932 1.0 67.0014   ? 755 TYR E CE1 755 TYR E CE1 1 
ATOM 13143 C CE2 . TYR B 2 754 ? 288.177 -114.705 251.685 1.0 67.0014   ? 755 TYR E CE2 755 TYR E CE2 1 
ATOM 13144 C CZ  . TYR B 2 754 ? 289.063 -115.319 250.830 1.0 67.0014   ? 755 TYR E CZ  755 TYR E CZ  1 
ATOM 13145 O OH  . TYR B 2 754 ? 289.702 -114.577 249.867 1.0 67.0014   ? 755 TYR E OH  755 TYR E OH  1 
ATOM 13146 N N   . GLY B 2 755 ? 287.508 -120.544 255.436 1.0 70.81999  ? 756 GLY E N   756 GLY E N   1 
ATOM 13147 C CA  . GLY B 2 755 ? 287.189 -121.307 256.621 1.0 70.81999  ? 756 GLY E CA  756 GLY E CA  1 
ATOM 13148 C C   . GLY B 2 755 ? 288.354 -122.190 257.013 1.0 70.81999  ? 756 GLY E C   756 GLY E C   1 
ATOM 13149 O O   . GLY B 2 755 ? 289.519 -121.811 256.878 1.0 70.81999  ? 756 GLY E O   756 GLY E O   1 
ATOM 13150 N N   . ALA B 2 756 ? 288.008 -123.372 257.516 1.0 73.33063  ? 757 ALA E N   757 ALA E N   1 
ATOM 13151 C CA  . ALA B 2 756 ? 289.020 -124.343 257.898 1.0 73.33063  ? 757 ALA E CA  757 ALA E CA  1 
ATOM 13152 C C   . ALA B 2 756 ? 289.710 -124.895 256.660 1.0 73.33063  ? 757 ALA E C   757 ALA E C   1 
ATOM 13153 O O   . ALA B 2 756 ? 289.065 -125.172 255.645 1.0 73.33063  ? 757 ALA E O   757 ALA E O   1 
ATOM 13154 C CB  . ALA B 2 756 ? 288.391 -125.474 258.707 1.0 73.33063  ? 757 ALA E CB  757 ALA E CB  1 
ATOM 13155 N N   . ASN B 2 757 ? 291.041 -124.993 256.745 1.0 74.19431  ? 758 ASN E N   758 ASN E N   1 
ATOM 13156 C CA  . ASN B 2 757 ? 292.033 -125.444 255.762 1.0 74.19431  ? 758 ASN E CA  758 ASN E CA  1 
ATOM 13157 C C   . ASN B 2 757 ? 292.248 -124.438 254.636 1.0 74.19431  ? 758 ASN E C   758 ASN E C   1 
ATOM 13158 O O   . ASN B 2 757 ? 293.199 -124.590 253.874 1.0 74.19431  ? 758 ASN E O   758 ASN E O   1 
ATOM 13159 C CB  . ASN B 2 757 ? 291.720 -126.824 255.155 1.0 74.19431  ? 758 ASN E CB  758 ASN E CB  1 
ATOM 13160 C CG  . ASN B 2 757 ? 291.846 -127.941 256.166 1.0 74.19431  ? 758 ASN E CG  758 ASN E CG  1 
ATOM 13161 O OD1 . ASN B 2 757 ? 292.780 -127.963 256.968 1.0 74.19431  ? 758 ASN E OD1 758 ASN E OD1 1 
ATOM 13162 N ND2 . ASN B 2 757 ? 290.899 -128.871 256.143 1.0 74.19431  ? 758 ASN E ND2 758 ASN E ND2 1 
ATOM 13163 N N   . TYR B 2 758 ? 291.430 -123.391 254.543 1.0 68.63543  ? 759 TYR E N   759 TYR E N   1 
ATOM 13164 C CA  . TYR B 2 758 ? 291.634 -122.266 253.631 1.0 68.63543  ? 759 TYR E CA  759 TYR E CA  1 
ATOM 13165 C C   . TYR B 2 758 ? 291.633 -120.992 254.465 1.0 68.63543  ? 759 TYR E C   759 TYR E C   1 
ATOM 13166 O O   . TYR B 2 758 ? 290.617 -120.291 254.532 1.0 68.63543  ? 759 TYR E O   759 TYR E O   1 
ATOM 13167 C CB  . TYR B 2 758 ? 290.528 -122.197 252.575 1.0 68.63543  ? 759 TYR E CB  759 TYR E CB  1 
ATOM 13168 C CG  . TYR B 2 758 ? 290.496 -123.305 251.547 1.0 68.63543  ? 759 TYR E CG  759 TYR E CG  1 
ATOM 13169 C CD1 . TYR B 2 758 ? 291.629 -124.040 251.242 1.0 68.63543  ? 759 TYR E CD1 759 TYR E CD1 1 
ATOM 13170 C CD2 . TYR B 2 758 ? 289.314 -123.628 250.899 1.0 68.63543  ? 759 TYR E CD2 759 TYR E CD2 1 
ATOM 13171 C CE1 . TYR B 2 758 ? 291.594 -125.056 250.309 1.0 68.63543  ? 759 TYR E CE1 759 TYR E CE1 1 
ATOM 13172 C CE2 . TYR B 2 758 ? 289.265 -124.645 249.969 1.0 68.63543  ? 759 TYR E CE2 759 TYR E CE2 1 
ATOM 13173 C CZ  . TYR B 2 758 ? 290.411 -125.354 249.676 1.0 68.63543  ? 759 TYR E CZ  759 TYR E CZ  1 
ATOM 13174 O OH  . TYR B 2 758 ? 290.374 -126.369 248.747 1.0 68.63543  ? 759 TYR E OH  759 TYR E OH  1 
ATOM 13175 N N   . PRO B 2 759 ? 292.742 -120.674 255.139 1.0 64.10574  ? 760 PRO E N   760 PRO E N   1 
ATOM 13176 C CA  . PRO B 2 759 ? 292.748 -119.488 256.005 1.0 64.10574  ? 760 PRO E CA  760 PRO E CA  1 
ATOM 13177 C C   . PRO B 2 759 ? 292.719 -118.196 255.205 1.0 64.10574  ? 760 PRO E C   760 PRO E C   1 
ATOM 13178 O O   . PRO B 2 759 ? 293.349 -118.076 254.154 1.0 64.10574  ? 760 PRO E O   760 PRO E O   1 
ATOM 13179 C CB  . PRO B 2 759 ? 294.054 -119.631 256.790 1.0 64.10574  ? 760 PRO E CB  760 PRO E CB  1 
ATOM 13180 C CG  . PRO B 2 759 ? 294.918 -120.451 255.926 1.0 64.10574  ? 760 PRO E CG  760 PRO E CG  1 
ATOM 13181 C CD  . PRO B 2 759 ? 294.008 -121.420 255.243 1.0 64.10574  ? 760 PRO E CD  760 PRO E CD  1 
ATOM 13182 N N   . ASN B 2 760 ? 291.962 -117.229 255.715 1.0 64.58731  ? 761 ASN E N   761 ASN E N   1 
ATOM 13183 C CA  . ASN B 2 760 ? 291.849 -115.908 255.104 1.0 64.58731  ? 761 ASN E CA  761 ASN E CA  1 
ATOM 13184 C C   . ASN B 2 760 ? 292.970 -115.050 255.669 1.0 64.58731  ? 761 ASN E C   761 ASN E C   1 
ATOM 13185 O O   . ASN B 2 760 ? 292.869 -114.528 256.781 1.0 64.58731  ? 761 ASN E O   761 ASN E O   1 
ATOM 13186 C CB  . ASN B 2 760 ? 290.481 -115.300 255.389 1.0 64.58731  ? 761 ASN E CB  761 ASN E CB  1 
ATOM 13187 C CG  . ASN B 2 760 ? 290.203 -114.061 254.563 1.0 64.58731  ? 761 ASN E CG  761 ASN E CG  1 
ATOM 13188 O OD1 . ASN B 2 760 ? 291.017 -113.646 253.741 1.0 64.58731  ? 761 ASN E OD1 761 ASN E OD1 1 
ATOM 13189 N ND2 . ASN B 2 760 ? 289.044 -113.455 254.786 1.0 64.58731  ? 761 ASN E ND2 761 ASN E ND2 1 
ATOM 13190 N N   . LEU B 2 761 ? 294.046 -114.899 254.901 1.0 62.45524  ? 762 LEU E N   762 LEU E N   1 
ATOM 13191 C CA  . LEU B 2 761 ? 295.183 -114.121 255.364 1.0 62.45524  ? 762 LEU E CA  762 LEU E CA  1 
ATOM 13192 C C   . LEU B 2 761 ? 294.953 -112.624 255.237 1.0 62.45524  ? 762 LEU E C   762 LEU E C   1 
ATOM 13193 O O   . LEU B 2 761 ? 295.619 -111.848 255.928 1.0 62.45524  ? 762 LEU E O   762 LEU E O   1 
ATOM 13194 C CB  . LEU B 2 761 ? 296.433 -114.516 254.585 1.0 62.45524  ? 762 LEU E CB  762 LEU E CB  1 
ATOM 13195 C CG  . LEU B 2 761 ? 296.860 -115.968 254.758 1.0 62.45524  ? 762 LEU E CG  762 LEU E CG  1 
ATOM 13196 C CD1 . LEU B 2 761 ? 298.035 -116.286 253.860 1.0 62.45524  ? 762 LEU E CD1 762 LEU E CD1 1 
ATOM 13197 C CD2 . LEU B 2 761 ? 297.196 -116.241 256.205 1.0 62.45524  ? 762 LEU E CD2 762 LEU E CD2 1 
ATOM 13198 N N   . MET B 2 762 ? 294.027 -112.205 254.375 1.0 64.9485   ? 763 MET E N   763 MET E N   1 
ATOM 13199 C CA  . MET B 2 762 ? 293.772 -110.780 254.201 1.0 64.9485   ? 763 MET E CA  763 MET E CA  1 
ATOM 13200 C C   . MET B 2 762 ? 292.981 -110.209 255.368 1.0 64.9485   ? 763 MET E C   763 MET E C   1 
ATOM 13201 O O   . MET B 2 762 ? 293.214 -109.065 255.771 1.0 64.9485   ? 763 MET E O   763 MET E O   1 
ATOM 13202 C CB  . MET B 2 762 ? 293.035 -110.542 252.886 1.0 64.9485   ? 763 MET E CB  763 MET E CB  1 
ATOM 13203 C CG  . MET B 2 762 ? 292.875 -109.086 252.516 1.0 64.9485   ? 763 MET E CG  763 MET E CG  1 
ATOM 13204 S SD  . MET B 2 762 ? 294.447 -108.278 252.196 1.0 64.9485   ? 763 MET E SD  763 MET E SD  1 
ATOM 13205 C CE  . MET B 2 762 ? 294.001 -106.576 252.521 1.0 64.9485   ? 763 MET E CE  763 MET E CE  1 
ATOM 13206 N N   . ALA B 2 763 ? 292.050 -110.985 255.924 1.0 65.56024  ? 764 ALA E N   764 ALA E N   1 
ATOM 13207 C CA  . ALA B 2 763 ? 291.338 -110.537 257.114 1.0 65.56024  ? 764 ALA E CA  764 ALA E CA  1 
ATOM 13208 C C   . ALA B 2 763 ? 292.238 -110.560 258.339 1.0 65.56024  ? 764 ALA E C   764 ALA E C   1 
ATOM 13209 O O   . ALA B 2 763 ? 292.036 -109.773 259.270 1.0 65.56024  ? 764 ALA E O   764 ALA E O   1 
ATOM 13210 C CB  . ALA B 2 763 ? 290.101 -111.399 257.346 1.0 65.56024  ? 764 ALA E CB  764 ALA E CB  1 
ATOM 13211 N N   . ALA B 2 764 ? 293.230 -111.449 258.360 1.0 66.66494  ? 765 ALA E N   765 ALA E N   1 
ATOM 13212 C CA  . ALA B 2 764 ? 294.227 -111.427 259.418 1.0 66.66494  ? 765 ALA E CA  765 ALA E CA  1 
ATOM 13213 C C   . ALA B 2 764 ? 295.240 -110.310 259.228 1.0 66.66494  ? 765 ALA E C   765 ALA E C   1 
ATOM 13214 O O   . ALA B 2 764 ? 295.889 -109.909 260.199 1.0 66.66494  ? 765 ALA E O   765 ALA E O   1 
ATOM 13215 C CB  . ALA B 2 764 ? 294.949 -112.772 259.494 1.0 66.66494  ? 765 ALA E CB  765 ALA E CB  1 
ATOM 13216 N N   . TYR B 2 765 ? 295.392 -109.805 258.004 1.0 66.05095  ? 766 TYR E N   766 TYR E N   1 
ATOM 13217 C CA  . TYR B 2 765 ? 296.302 -108.690 257.772 1.0 66.05095  ? 766 TYR E CA  766 TYR E CA  1 
ATOM 13218 C C   . TYR B 2 765 ? 295.727 -107.394 258.321 1.0 66.05095  ? 766 TYR E C   766 TYR E C   1 
ATOM 13219 O O   . TYR B 2 765 ? 296.455 -106.567 258.881 1.0 66.05095  ? 766 TYR E O   766 TYR E O   1 
ATOM 13220 C CB  . TYR B 2 765 ? 296.597 -108.557 256.280 1.0 66.05095  ? 766 TYR E CB  766 TYR E CB  1 
ATOM 13221 C CG  . TYR B 2 765 ? 297.547 -107.436 255.953 1.0 66.05095  ? 766 TYR E CG  766 TYR E CG  1 
ATOM 13222 C CD1 . TYR B 2 765 ? 298.903 -107.557 256.211 1.0 66.05095  ? 766 TYR E CD1 766 TYR E CD1 1 
ATOM 13223 C CD2 . TYR B 2 765 ? 297.090 -106.257 255.382 1.0 66.05095  ? 766 TYR E CD2 766 TYR E CD2 1 
ATOM 13224 C CE1 . TYR B 2 765 ? 299.776 -106.536 255.915 1.0 66.05095  ? 766 TYR E CE1 766 TYR E CE1 1 
ATOM 13225 C CE2 . TYR B 2 765 ? 297.955 -105.230 255.082 1.0 66.05095  ? 766 TYR E CE2 766 TYR E CE2 1 
ATOM 13226 C CZ  . TYR B 2 765 ? 299.295 -105.377 255.352 1.0 66.05095  ? 766 TYR E CZ  766 TYR E CZ  1 
ATOM 13227 O OH  . TYR B 2 765 ? 300.164 -104.359 255.057 1.0 66.05095  ? 766 TYR E OH  766 TYR E OH  1 
ATOM 13228 N N   . LEU B 2 766 ? 294.418 -107.197 258.172 1.0 67.10112  ? 767 LEU E N   767 LEU E N   1 
ATOM 13229 C CA  . LEU B 2 766 ? 293.785 -105.989 258.680 1.0 67.10112  ? 767 LEU E CA  767 LEU E CA  1 
ATOM 13230 C C   . LEU B 2 766 ? 293.560 -106.031 260.185 1.0 67.10112  ? 767 LEU E C   767 LEU E C   1 
ATOM 13231 O O   . LEU B 2 766 ? 293.249 -104.992 260.772 1.0 67.10112  ? 767 LEU E O   767 LEU E O   1 
ATOM 13232 C CB  . LEU B 2 766 ? 292.459 -105.755 257.962 1.0 67.10112  ? 767 LEU E CB  767 LEU E CB  1 
ATOM 13233 C CG  . LEU B 2 766 ? 292.587 -105.464 256.469 1.0 67.10112  ? 767 LEU E CG  767 LEU E CG  1 
ATOM 13234 C CD1 . LEU B 2 766 ? 291.219 -105.365 255.830 1.0 67.10112  ? 767 LEU E CD1 767 LEU E CD1 1 
ATOM 13235 C CD2 . LEU B 2 766 ? 293.382 -104.193 256.241 1.0 67.10112  ? 767 LEU E CD2 767 LEU E CD2 1 
ATOM 13236 N N   . ALA B 2 767 ? 293.700 -107.198 260.816 1.0 69.78789  ? 768 ALA E N   768 ALA E N   1 
ATOM 13237 C CA  . ALA B 2 767 ? 293.652 -107.267 262.273 1.0 69.78789  ? 768 ALA E CA  768 ALA E CA  1 
ATOM 13238 C C   . ALA B 2 767 ? 294.879 -106.604 262.887 1.0 69.78789  ? 768 ALA E C   768 ALA E C   1 
ATOM 13239 O O   . ALA B 2 767 ? 294.764 -105.819 263.834 1.0 69.78789  ? 768 ALA E O   768 ALA E O   1 
ATOM 13240 C CB  . ALA B 2 767 ? 293.539 -108.724 262.726 1.0 69.78789  ? 768 ALA E CB  768 ALA E CB  1 
ATOM 13241 N N   . ASN B 2 768 ? 296.061 -106.915 262.368 1.0 72.61301  ? 769 ASN E N   769 ASN E N   1 
ATOM 13242 C CA  . ASN B 2 768 ? 297.299 -106.239 262.760 1.0 72.61301  ? 769 ASN E CA  769 ASN E CA  1 
ATOM 13243 C C   . ASN B 2 768 ? 298.273 -106.285 261.584 1.0 72.61301  ? 769 ASN E C   769 ASN E C   1 
ATOM 13244 O O   . ASN B 2 768 ? 298.773 -107.357 261.222 1.0 72.61301  ? 769 ASN E O   769 ASN E O   1 
ATOM 13245 C CB  . ASN B 2 768 ? 297.919 -106.833 264.024 1.0 72.61301  ? 769 ASN E CB  769 ASN E CB  1 
ATOM 13246 C CG  . ASN B 2 768 ? 297.968 -108.357 264.023 1.0 72.61301  ? 769 ASN E CG  769 ASN E CG  1 
ATOM 13247 O OD1 . ASN B 2 768 ? 297.440 -109.019 263.127 1.0 72.61301  ? 769 ASN E OD1 769 ASN E OD1 1 
ATOM 13248 N ND2 . ASN B 2 768 ? 298.641 -108.918 265.025 1.0 72.61301  ? 769 ASN E ND2 769 ASN E ND2 1 
ATOM 13249 N N   . PRO B 2 769 ? 298.533 -105.150 260.932 1.0 71.07518  ? 770 PRO E N   770 PRO E N   1 
ATOM 13250 C CA  . PRO B 2 769 ? 299.437 -105.191 259.775 1.0 71.07518  ? 770 PRO E CA  770 PRO E CA  1 
ATOM 13251 C C   . PRO B 2 769 ? 300.907 -105.291 260.148 1.0 71.07518  ? 770 PRO E C   770 PRO E C   1 
ATOM 13252 O O   . PRO B 2 769 ? 301.733 -105.536 259.260 1.0 71.07518  ? 770 PRO E O   770 PRO E O   1 
ATOM 13253 C CB  . PRO B 2 769 ? 299.133 -103.882 259.041 1.0 71.07518  ? 770 PRO E CB  770 PRO E CB  1 
ATOM 13254 C CG  . PRO B 2 769 ? 297.804 -103.446 259.559 1.0 71.07518  ? 770 PRO E CG  770 PRO E CG  1 
ATOM 13255 C CD  . PRO B 2 769 ? 297.775 -103.895 260.982 1.0 71.07518  ? 770 PRO E CD  770 PRO E CD  1 
ATOM 13256 N N   . GLN B 2 770 ? 301.265 -105.113 261.423 1.0 75.87981  ? 771 GLN E N   771 GLN E N   1 
ATOM 13257 C CA  . GLN B 2 770 ? 302.672 -105.182 261.807 1.0 75.87981  ? 771 GLN E CA  771 GLN E CA  1 
ATOM 13258 C C   . GLN B 2 770 ? 303.180 -106.618 261.794 1.0 75.87981  ? 771 GLN E C   771 GLN E C   1 
ATOM 13259 O O   . GLN B 2 770 ? 304.384 -106.855 261.645 1.0 75.87981  ? 771 GLN E O   771 GLN E O   1 
ATOM 13260 C CB  . GLN B 2 770 ? 302.886 -104.536 263.179 1.0 75.87981  ? 771 GLN E CB  771 GLN E CB  1 
ATOM 13261 C CG  . GLN B 2 770 ? 302.302 -105.287 264.369 1.0 75.87981  ? 771 GLN E CG  771 GLN E CG  1 
ATOM 13262 C CD  . GLN B 2 770 ? 300.873 -104.888 264.686 1.0 75.87981  ? 771 GLN E CD  771 GLN E CD  1 
ATOM 13263 O OE1 . GLN B 2 770 ? 300.191 -104.266 263.872 1.0 75.87981  ? 771 GLN E OE1 771 GLN E OE1 1 
ATOM 13264 N NE2 . GLN B 2 770 ? 300.413 -105.246 265.879 1.0 75.87981  ? 771 GLN E NE2 771 GLN E NE2 1 
ATOM 13265 N N   . THR B 2 771 ? 302.286 -107.588 261.958 1.0 73.19402  ? 772 THR E N   772 THR E N   1 
ATOM 13266 C CA  . THR B 2 771 ? 302.595 -108.970 261.621 1.0 73.19402  ? 772 THR E CA  772 THR E CA  1 
ATOM 13267 C C   . THR B 2 771 ? 302.121 -109.209 260.197 1.0 73.19402  ? 772 THR E C   772 THR E C   1 
ATOM 13268 O O   . THR B 2 771 ? 301.011 -108.805 259.839 1.0 73.19402  ? 772 THR E O   772 THR E O   1 
ATOM 13269 C CB  . THR B 2 771 ? 301.925 -109.937 262.590 1.0 73.19402  ? 772 THR E CB  772 THR E CB  1 
ATOM 13270 O OG1 . THR B 2 771 ? 300.504 -109.790 262.501 1.0 73.19402  ? 772 THR E OG1 772 THR E OG1 1 
ATOM 13271 C CG2 . THR B 2 771 ? 302.371 -109.649 264.008 1.0 73.19402  ? 772 THR E CG2 772 THR E CG2 1 
ATOM 13272 N N   . MET B 2 772 ? 302.958 -109.843 259.384 1.0 69.2572   ? 773 MET E N   773 MET E N   1 
ATOM 13273 C CA  . MET B 2 772 ? 302.754 -109.839 257.944 1.0 69.2572   ? 773 MET E CA  773 MET E CA  1 
ATOM 13274 C C   . MET B 2 772 ? 302.503 -111.252 257.439 1.0 69.2572   ? 773 MET E C   773 MET E C   1 
ATOM 13275 O O   . MET B 2 772 ? 303.461 -112.021 257.291 1.0 69.2572   ? 773 MET E O   773 MET E O   1 
ATOM 13276 C CB  . MET B 2 772 ? 303.963 -109.238 257.257 1.0 69.2572   ? 773 MET E CB  773 MET E CB  1 
ATOM 13277 C CG  . MET B 2 772 ? 304.161 -107.778 257.618 1.0 69.2572   ? 773 MET E CG  773 MET E CG  1 
ATOM 13278 S SD  . MET B 2 772 ? 305.634 -107.037 256.908 1.0 69.2572   ? 773 MET E SD  773 MET E SD  1 
ATOM 13279 C CE  . MET B 2 772 ? 306.894 -107.727 257.975 1.0 69.2572   ? 773 MET E CE  773 MET E CE  1 
ATOM 13280 N N   . PRO B 2 773 ? 301.256 -111.635 257.167 1.0 64.23872  ? 774 PRO E N   774 PRO E N   1 
ATOM 13281 C CA  . PRO B 2 773 ? 300.996 -112.977 256.635 1.0 64.23872  ? 774 PRO E CA  774 PRO E CA  1 
ATOM 13282 C C   . PRO B 2 773 ? 301.229 -113.054 255.138 1.0 64.23872  ? 774 PRO E C   774 PRO E C   1 
ATOM 13283 O O   . PRO B 2 773 ? 301.587 -114.109 254.606 1.0 64.23872  ? 774 PRO E O   774 PRO E O   1 
ATOM 13284 C CB  . PRO B 2 773 ? 299.515 -113.201 256.962 1.0 64.23872  ? 774 PRO E CB  774 PRO E CB  1 
ATOM 13285 C CG  . PRO B 2 773 ? 299.180 -112.177 257.994 1.0 64.23872  ? 774 PRO E CG  774 PRO E CG  1 
ATOM 13286 C CD  . PRO B 2 773 ? 300.020 -111.002 257.644 1.0 64.23872  ? 774 PRO E CD  774 PRO E CD  1 
ATOM 13287 N N   . ILE B 2 774 ? 301.022 -111.935 254.453 1.0 61.71001  ? 775 ILE E N   775 ILE E N   1 
ATOM 13288 C CA  . ILE B 2 774 ? 301.025 -111.909 252.996 1.0 61.71001  ? 775 ILE E CA  775 ILE E CA  1 
ATOM 13289 C C   . ILE B 2 774 ? 302.476 -111.930 252.534 1.0 61.71001  ? 775 ILE E C   775 ILE E C   1 
ATOM 13290 O O   . ILE B 2 774 ? 303.230 -110.990 252.792 1.0 61.71001  ? 775 ILE E O   775 ILE E O   1 
ATOM 13291 C CB  . ILE B 2 774 ? 300.296 -110.676 252.458 1.0 61.71001  ? 775 ILE E CB  775 ILE E CB  1 
ATOM 13292 C CG1 . ILE B 2 774 ? 298.926 -110.527 253.113 1.0 61.71001  ? 775 ILE E CG1 775 ILE E CG1 1 
ATOM 13293 C CG2 . ILE B 2 774 ? 300.120 -110.783 250.959 1.0 61.71001  ? 775 ILE E CG2 775 ILE E CG2 1 
ATOM 13294 C CD1 . ILE B 2 774 ? 297.995 -111.654 252.835 1.0 61.71001  ? 775 ILE E CD1 775 ILE E CD1 1 
ATOM 13295 N N   . TRP B 2 775 ? 302.875 -113.005 251.866 1.0 62.42339  ? 776 TRP E N   776 TRP E N   1 
ATOM 13296 C CA  . TRP B 2 775 ? 304.220 -113.129 251.312 1.0 62.42339  ? 776 TRP E CA  776 TRP E CA  1 
ATOM 13297 C C   . TRP B 2 775 ? 304.082 -113.089 249.800 1.0 62.42339  ? 776 TRP E C   776 TRP E C   1 
ATOM 13298 O O   . TRP B 2 775 ? 303.890 -114.120 249.160 1.0 62.42339  ? 776 TRP E O   776 TRP E O   1 
ATOM 13299 C CB  . TRP B 2 775 ? 304.898 -114.416 251.762 1.0 62.42339  ? 776 TRP E CB  776 TRP E CB  1 
ATOM 13300 C CG  . TRP B 2 775 ? 305.166 -114.470 253.206 1.0 62.42339  ? 776 TRP E CG  776 TRP E CG  1 
ATOM 13301 C CD1 . TRP B 2 775 ? 305.045 -113.455 254.100 1.0 62.42339  ? 776 TRP E CD1 776 TRP E CD1 1 
ATOM 13302 C CD2 . TRP B 2 775 ? 305.587 -115.611 253.946 1.0 62.42339  ? 776 TRP E CD2 776 TRP E CD2 1 
ATOM 13303 N NE1 . TRP B 2 775 ? 305.371 -113.889 255.355 1.0 62.42339  ? 776 TRP E NE1 776 TRP E NE1 1 
ATOM 13304 C CE2 . TRP B 2 775 ? 305.708 -115.215 255.287 1.0 62.42339  ? 776 TRP E CE2 776 TRP E CE2 1 
ATOM 13305 C CE3 . TRP B 2 775 ? 305.876 -116.933 253.605 1.0 62.42339  ? 776 TRP E CE3 776 TRP E CE3 1 
ATOM 13306 C CZ2 . TRP B 2 775 ? 306.101 -116.090 256.287 1.0 62.42339  ? 776 TRP E CZ2 776 TRP E CZ2 1 
ATOM 13307 C CZ3 . TRP B 2 775 ? 306.270 -117.798 254.595 1.0 62.42339  ? 776 TRP E CZ3 776 TRP E CZ3 1 
ATOM 13308 C CH2 . TRP B 2 775 ? 306.383 -117.375 255.920 1.0 62.42339  ? 776 TRP E CH2 776 TRP E CH2 1 
ATOM 13309 N N   . ASN B 2 776 ? 304.156 -111.897 249.232 1.0 58.0836   ? 777 ASN E N   777 ASN E N   1 
ATOM 13310 C CA  . ASN B 2 776 ? 304.135 -111.730 247.791 1.0 58.0836   ? 777 ASN E CA  777 ASN E CA  1 
ATOM 13311 C C   . ASN B 2 776 ? 305.281 -110.798 247.435 1.0 58.0836   ? 777 ASN E C   777 ASN E C   1 
ATOM 13312 O O   . ASN B 2 776 ? 305.507 -109.813 248.143 1.0 58.0836   ? 777 ASN E O   777 ASN E O   1 
ATOM 13313 C CB  . ASN B 2 776 ? 302.789 -111.174 247.316 1.0 58.0836   ? 777 ASN E CB  777 ASN E CB  1 
ATOM 13314 C CG  . ASN B 2 776 ? 302.434 -111.622 245.919 1.0 58.0836   ? 777 ASN E CG  777 ASN E CG  1 
ATOM 13315 O OD1 . ASN B 2 776 ? 301.295 -111.491 245.481 1.0 58.0836   ? 777 ASN E OD1 777 ASN E OD1 1 
ATOM 13316 N ND2 . ASN B 2 776 ? 303.402 -112.179 245.220 1.0 58.0836   ? 777 ASN E ND2 777 ASN E ND2 1 
ATOM 13317 N N   . ASN B 2 777 ? 306.037 -111.185 246.394 1.0 58.19565  ? 778 ASN E N   778 ASN E N   1 
ATOM 13318 C CA  . ASN B 2 777 ? 307.287 -110.623 245.862 1.0 58.19565  ? 778 ASN E CA  778 ASN E CA  1 
ATOM 13319 C C   . ASN B 2 777 ? 308.192 -110.009 246.928 1.0 58.19565  ? 778 ASN E C   778 ASN E C   1 
ATOM 13320 O O   . ASN B 2 777 ? 308.640 -108.865 246.814 1.0 58.19565  ? 778 ASN E O   778 ASN E O   1 
ATOM 13321 C CB  . ASN B 2 777 ? 307.043 -109.681 244.656 1.0 58.19565  ? 778 ASN E CB  778 ASN E CB  1 
ATOM 13322 C CG  . ASN B 2 777 ? 306.200 -108.451 244.947 1.0 58.19565  ? 778 ASN E CG  778 ASN E CG  1 
ATOM 13323 O OD1 . ASN B 2 777 ? 305.977 -108.056 246.076 1.0 58.19565  ? 778 ASN E OD1 778 ASN E OD1 1 
ATOM 13324 N ND2 . ASN B 2 777 ? 305.714 -107.838 243.879 1.0 58.19565  ? 778 ASN E ND2 778 ASN E ND2 1 
ATOM 13325 N N   . CYS B 2 778 ? 308.454 -110.788 247.971 1.0 60.97424  ? 779 CYS E N   779 CYS E N   1 
ATOM 13326 C CA  . CYS B 2 778 ? 309.380 -110.388 249.015 1.0 60.97424  ? 779 CYS E CA  779 CYS E CA  1 
ATOM 13327 C C   . CYS B 2 778 ? 310.810 -110.442 248.503 1.0 60.97424  ? 779 CYS E C   779 CYS E C   1 
ATOM 13328 O O   . CYS B 2 778 ? 311.169 -111.314 247.710 1.0 60.97424  ? 779 CYS E O   779 CYS E O   1 
ATOM 13329 C CB  . CYS B 2 778 ? 309.207 -111.293 250.227 1.0 60.97424  ? 779 CYS E CB  779 CYS E CB  1 
ATOM 13330 S SG  . CYS B 2 778 ? 309.407 -113.047 249.881 1.0 60.97424  ? 779 CYS E SG  779 CYS E SG  1 
ATOM 13331 N N   . GLY B 2 779 ? 311.631 -109.504 248.966 1.0 61.2163   ? 780 GLY E N   780 GLY E N   1 
ATOM 13332 C CA  . GLY B 2 779 ? 312.923 -109.256 248.372 1.0 61.2163   ? 780 GLY E CA  780 GLY E CA  1 
ATOM 13333 C C   . GLY B 2 779 ? 312.874 -108.329 247.188 1.0 61.2163   ? 780 GLY E C   780 GLY E C   1 
ATOM 13334 O O   . GLY B 2 779 ? 313.921 -108.021 246.610 1.0 61.2163   ? 780 GLY E O   780 GLY E O   1 
ATOM 13335 N N   . PHE B 2 780 ? 311.687 -107.871 246.821 1.0 59.58064  ? 781 PHE E N   781 PHE E N   1 
ATOM 13336 C CA  . PHE B 2 780 ? 311.477 -107.052 245.649 1.0 59.58064  ? 781 PHE E CA  781 PHE E CA  1 
ATOM 13337 C C   . PHE B 2 780 ? 310.626 -105.840 245.983 1.0 59.58064  ? 781 PHE E C   781 PHE E C   1 
ATOM 13338 O O   . PHE B 2 780 ? 310.303 -105.059 245.084 1.0 59.58064  ? 781 PHE E O   781 PHE E O   1 
ATOM 13339 C CB  . PHE B 2 780 ? 310.820 -107.891 244.543 1.0 59.58064  ? 781 PHE E CB  781 PHE E CB  1 
ATOM 13340 C CG  . PHE B 2 780 ? 311.653 -109.066 244.107 1.0 59.58064  ? 781 PHE E CG  781 PHE E CG  1 
ATOM 13341 C CD1 . PHE B 2 780 ? 312.640 -108.907 243.163 1.0 59.58064  ? 781 PHE E CD1 781 PHE E CD1 1 
ATOM 13342 C CD2 . PHE B 2 780 ? 311.466 -110.319 244.657 1.0 59.58064  ? 781 PHE E CD2 781 PHE E CD2 1 
ATOM 13343 C CE1 . PHE B 2 780 ? 313.427 -109.962 242.768 1.0 59.58064  ? 781 PHE E CE1 781 PHE E CE1 1 
ATOM 13344 C CE2 . PHE B 2 780 ? 312.250 -111.386 244.258 1.0 59.58064  ? 781 PHE E CE2 781 PHE E CE2 1 
ATOM 13345 C CZ  . PHE B 2 780 ? 313.233 -111.202 243.310 1.0 59.58064  ? 781 PHE E CZ  781 PHE E CZ  1 
ATOM 13346 N N   . GLN B 2 781 ? 310.255 -105.674 247.247 1.0 59.54923  ? 782 GLN E N   782 GLN E N   1 
ATOM 13347 C CA  . GLN B 2 781 ? 309.551 -104.501 247.738 1.0 59.54923  ? 782 GLN E CA  782 GLN E CA  1 
ATOM 13348 C C   . GLN B 2 781 ? 309.833 -104.390 249.226 1.0 59.54923  ? 782 GLN E C   782 GLN E C   1 
ATOM 13349 O O   . GLN B 2 781 ? 310.387 -105.304 249.839 1.0 59.54923  ? 782 GLN E O   782 GLN E O   1 
ATOM 13350 C CB  . GLN B 2 781 ? 308.046 -104.596 247.490 1.0 59.54923  ? 782 GLN E CB  782 GLN E CB  1 
ATOM 13351 C CG  . GLN B 2 781 ? 307.384 -105.683 248.305 1.0 59.54923  ? 782 GLN E CG  782 GLN E CG  1 
ATOM 13352 C CD  . GLN B 2 781 ? 305.887 -105.714 248.131 1.0 59.54923  ? 782 GLN E CD  782 GLN E CD  1 
ATOM 13353 O OE1 . GLN B 2 781 ? 305.323 -104.924 247.379 1.0 59.54923  ? 782 GLN E OE1 782 GLN E OE1 1 
ATOM 13354 N NE2 . GLN B 2 781 ? 305.227 -106.612 248.851 1.0 59.54923  ? 782 GLN E NE2 782 GLN E NE2 1 
ATOM 13355 N N   . GLN B 2 782 ? 309.450 -103.255 249.801 1.0 63.60799  ? 783 GLN E N   783 GLN E N   1 
ATOM 13356 C CA  . GLN B 2 782 ? 309.516 -103.082 251.243 1.0 63.60799  ? 783 GLN E CA  783 GLN E CA  1 
ATOM 13357 C C   . GLN B 2 782 ? 308.499 -104.004 251.912 1.0 63.60799  ? 783 GLN E C   783 GLN E C   1 
ATOM 13358 O O   . GLN B 2 782 ? 307.497 -104.396 251.310 1.0 63.60799  ? 783 GLN E O   783 GLN E O   1 
ATOM 13359 C CB  . GLN B 2 782 ? 309.267 -101.613 251.601 1.0 63.60799  ? 783 GLN E CB  783 GLN E CB  1 
ATOM 13360 C CG  . GLN B 2 782 ? 309.427 -101.214 253.067 1.0 63.60799  ? 783 GLN E CG  783 GLN E CG  1 
ATOM 13361 C CD  . GLN B 2 782 ? 310.800 -101.502 253.623 1.0 63.60799  ? 783 GLN E CD  783 GLN E CD  1 
ATOM 13362 O OE1 . GLN B 2 782 ? 310.981 -102.441 254.395 1.0 63.60799  ? 783 GLN E OE1 783 GLN E OE1 1 
ATOM 13363 N NE2 . GLN B 2 782 ? 311.778 -100.695 253.239 1.0 63.60799  ? 783 GLN E NE2 783 GLN E NE2 1 
ATOM 13364 N N   . LYS B 2 783 ? 308.801 -104.395 253.152 1.0 64.56234  ? 784 LYS E N   784 LYS E N   1 
ATOM 13365 C CA  . LYS B 2 783 ? 307.893 -105.206 253.951 1.0 64.56234  ? 784 LYS E CA  784 LYS E CA  1 
ATOM 13366 C C   . LYS B 2 783 ? 306.555 -104.503 254.147 1.0 64.56234  ? 784 LYS E C   784 LYS E C   1 
ATOM 13367 O O   . LYS B 2 783 ? 306.465 -103.273 254.163 1.0 64.56234  ? 784 LYS E O   784 LYS E O   1 
ATOM 13368 C CB  . LYS B 2 783 ? 308.525 -105.522 255.303 1.0 64.56234  ? 784 LYS E CB  784 LYS E CB  1 
ATOM 13369 C CG  . LYS B 2 783 ? 308.827 -104.312 256.160 1.0 64.56234  ? 784 LYS E CG  784 LYS E CG  1 
ATOM 13370 C CD  . LYS B 2 783 ? 309.510 -104.716 257.448 1.0 64.56234  ? 784 LYS E CD  784 LYS E CD  1 
ATOM 13371 C CE  . LYS B 2 783 ? 309.784 -103.511 258.320 1.0 64.56234  ? 784 LYS E CE  784 LYS E CE  1 
ATOM 13372 N NZ  . LYS B 2 783 ? 310.791 -102.611 257.701 1.0 64.56234  ? 784 LYS E NZ  784 LYS E NZ  1 
ATOM 13373 N N   . THR B 2 784 ? 305.502 -105.301 254.279 1.0 65.83131  ? 785 THR E N   785 THR E N   1 
ATOM 13374 C CA  . THR B 2 784 ? 304.143 -104.789 254.253 1.0 65.83131  ? 785 THR E CA  785 THR E CA  1 
ATOM 13375 C C   . THR B 2 784 ? 303.647 -104.334 255.618 1.0 65.83131  ? 785 THR E C   785 THR E C   1 
ATOM 13376 O O   . THR B 2 784 ? 302.436 -104.180 255.807 1.0 65.83131  ? 785 THR E O   785 THR E O   1 
ATOM 13377 C CB  . THR B 2 784 ? 303.203 -105.842 253.679 1.0 65.83131  ? 785 THR E CB  785 THR E CB  1 
ATOM 13378 O OG1 . THR B 2 784 ? 303.224 -107.007 254.509 1.0 65.83131  ? 785 THR E OG1 785 THR E OG1 1 
ATOM 13379 C CG2 . THR B 2 784 ? 303.634 -106.221 252.275 1.0 65.83131  ? 785 THR E CG2 785 THR E CG2 1 
ATOM 13380 N N   . ALA B 2 785 ? 304.547 -104.124 256.573 1.0 67.73751  ? 786 ALA E N   786 ALA E N   1 
ATOM 13381 C CA  . ALA B 2 785 ? 304.176 -103.460 257.813 1.0 67.73751  ? 786 ALA E CA  786 ALA E CA  1 
ATOM 13382 C C   . ALA B 2 785 ? 304.375 -101.955 257.716 1.0 67.73751  ? 786 ALA E C   786 ALA E C   1 
ATOM 13383 O O   . ALA B 2 785 ? 303.534 -101.185 258.193 1.0 67.73751  ? 786 ALA E O   786 ALA E O   1 
ATOM 13384 C CB  . ALA B 2 785 ? 304.987 -104.022 258.981 1.0 67.73751  ? 786 ALA E CB  786 ALA E CB  1 
ATOM 13385 N N   . THR B 2 786 ? 305.473 -101.527 257.103 1.0 67.32153  ? 787 THR E N   787 THR E N   1 
ATOM 13386 C CA  . THR B 2 786 ? 305.778 -100.116 256.934 1.0 67.32153  ? 787 THR E CA  787 THR E CA  1 
ATOM 13387 C C   . THR B 2 786 ? 305.270 -99.622  255.581 1.0 67.32153  ? 787 THR E C   787 THR E C   1 
ATOM 13388 O O   . THR B 2 786 ? 304.450 -100.265 254.920 1.0 67.32153  ? 787 THR E O   787 THR E O   1 
ATOM 13389 C CB  . THR B 2 786 ? 307.276 -99.867  257.087 1.0 67.32153  ? 787 THR E CB  787 THR E CB  1 
ATOM 13390 O OG1 . THR B 2 786 ? 307.989 -100.589 256.077 1.0 67.32153  ? 787 THR E OG1 787 THR E OG1 1 
ATOM 13391 C CG2 . THR B 2 786 ? 307.753 -100.312 258.458 1.0 67.32153  ? 787 THR E CG2 787 THR E CG2 1 
ATOM 13392 N N   . ASN B 2 787 ? 305.748 -98.445  255.186 1.0 66.36749  ? 788 ASN E N   788 ASN E N   1 
ATOM 13393 C CA  . ASN B 2 787 ? 305.370 -97.816  253.929 1.0 66.36749  ? 788 ASN E CA  788 ASN E CA  1 
ATOM 13394 C C   . ASN B 2 787 ? 305.845 -98.641  252.741 1.0 66.36749  ? 788 ASN E C   788 ASN E C   1 
ATOM 13395 O O   . ASN B 2 787 ? 306.966 -99.149  252.729 1.0 66.36749  ? 788 ASN E O   788 ASN E O   1 
ATOM 13396 C CB  . ASN B 2 787 ? 305.986 -96.422  253.867 1.0 66.36749  ? 788 ASN E CB  788 ASN E CB  1 
ATOM 13397 C CG  . ASN B 2 787 ? 305.437 -95.578  252.744 1.0 66.36749  ? 788 ASN E CG  788 ASN E CG  1 
ATOM 13398 O OD1 . ASN B 2 787 ? 304.513 -95.967  252.030 1.0 66.36749  ? 788 ASN E OD1 788 ASN E OD1 1 
ATOM 13399 N ND2 . ASN B 2 787 ? 306.034 -94.411  252.563 1.0 66.36749  ? 788 ASN E ND2 788 ASN E ND2 1 
ATOM 13400 N N   . VAL B 2 788 ? 304.989 -98.758  251.723 1.0 64.11459  ? 789 VAL E N   789 VAL E N   1 
ATOM 13401 C CA  . VAL B 2 788 ? 305.358 -99.484  250.509 1.0 64.11459  ? 789 VAL E CA  789 VAL E CA  1 
ATOM 13402 C C   . VAL B 2 788 ? 306.272 -98.662  249.615 1.0 64.11459  ? 789 VAL E C   789 VAL E C   1 
ATOM 13403 O O   . VAL B 2 788 ? 306.935 -99.215  248.730 1.0 64.11459  ? 789 VAL E O   789 VAL E O   1 
ATOM 13404 C CB  . VAL B 2 788 ? 304.074 -99.913  249.770 1.0 64.11459  ? 789 VAL E CB  789 VAL E CB  1 
ATOM 13405 C CG1 . VAL B 2 788 ? 303.402 -98.723  249.086 1.0 64.11459  ? 789 VAL E CG1 789 VAL E CG1 1 
ATOM 13406 C CG2 . VAL B 2 788 ? 304.320 -101.076 248.807 1.0 64.11459  ? 789 VAL E CG2 789 VAL E CG2 1 
ATOM 13407 N N   . LEU B 2 789 ? 306.372 -97.361  249.860 1.0 63.72259  ? 790 LEU E N   790 LEU E N   1 
ATOM 13408 C CA  . LEU B 2 789 ? 307.139 -96.452  249.025 1.0 63.72259  ? 790 LEU E CA  790 LEU E CA  1 
ATOM 13409 C C   . LEU B 2 789 ? 308.639 -96.537  249.295 1.0 63.72259  ? 790 LEU E C   790 LEU E C   1 
ATOM 13410 O O   . LEU B 2 789 ? 309.426 -95.954  248.545 1.0 63.72259  ? 790 LEU E O   790 LEU E O   1 
ATOM 13411 C CB  . LEU B 2 789 ? 306.601 -95.028  249.241 1.0 63.72259  ? 790 LEU E CB  790 LEU E CB  1 
ATOM 13412 C CG  . LEU B 2 789 ? 306.903 -93.811  248.367 1.0 63.72259  ? 790 LEU E CG  790 LEU E CG  1 
ATOM 13413 C CD1 . LEU B 2 789 ? 305.666 -92.941  248.305 1.0 63.72259  ? 790 LEU E CD1 790 LEU E CD1 1 
ATOM 13414 C CD2 . LEU B 2 789 ? 308.057 -93.000  248.928 1.0 63.72259  ? 790 LEU E CD2 790 LEU E CD2 1 
ATOM 13415 N N   . LEU B 2 790 ? 309.054 -97.291  250.307 1.0 65.47662  ? 791 LEU E N   791 LEU E N   1 
ATOM 13416 C CA  . LEU B 2 790 ? 310.448 -97.399  250.699 1.0 65.47662  ? 791 LEU E CA  791 LEU E CA  1 
ATOM 13417 C C   . LEU B 2 790 ? 311.162 -98.462  249.870 1.0 65.47662  ? 791 LEU E C   791 LEU E C   1 
ATOM 13418 O O   . LEU B 2 790 ? 310.632 -98.995  248.895 1.0 65.47662  ? 791 LEU E O   791 LEU E O   1 
ATOM 13419 C CB  . LEU B 2 790 ? 310.546 -97.716  252.188 1.0 65.47662  ? 791 LEU E CB  791 LEU E CB  1 
ATOM 13420 C CG  . LEU B 2 790 ? 310.017 -96.614  253.092 1.0 65.47662  ? 791 LEU E CG  791 LEU E CG  1 
ATOM 13421 C CD1 . LEU B 2 790 ? 309.964 -97.102  254.517 1.0 65.47662  ? 791 LEU E CD1 791 LEU E CD1 1 
ATOM 13422 C CD2 . LEU B 2 790 ? 310.914 -95.410  252.976 1.0 65.47662  ? 791 LEU E CD2 791 LEU E CD2 1 
ATOM 13423 N N   . GLU B 2 791 ? 312.388 -98.778  250.275 1.0 67.77076  ? 792 GLU E N   792 GLU E N   1 
ATOM 13424 C CA  . GLU B 2 791 ? 313.224 -99.681  249.498 1.0 67.77076  ? 792 GLU E CA  792 GLU E CA  1 
ATOM 13425 C C   . GLU B 2 791 ? 312.974 -101.132 249.884 1.0 67.77076  ? 792 GLU E C   792 GLU E C   1 
ATOM 13426 O O   . GLU B 2 791 ? 312.472 -101.426 250.971 1.0 67.77076  ? 792 GLU E O   792 GLU E O   1 
ATOM 13427 C CB  . GLU B 2 791 ? 314.693 -99.331  249.706 1.0 67.77076  ? 792 GLU E CB  792 GLU E CB  1 
ATOM 13428 C CG  . GLU B 2 791 ? 315.161 -99.533  251.134 1.0 67.77076  ? 792 GLU E CG  792 GLU E CG  1 
ATOM 13429 C CD  . GLU B 2 791 ? 316.587 -99.082  251.350 1.0 67.77076  ? 792 GLU E CD  792 GLU E CD  1 
ATOM 13430 O OE1 . GLU B 2 791 ? 317.208 -98.580  250.391 1.0 67.77076  ? 792 GLU E OE1 792 GLU E OE1 1 
ATOM 13431 O OE2 . GLU B 2 791 ? 317.087 -99.230  252.484 1.0 67.77076  ? 792 GLU E OE2 792 GLU E OE2 1 
ATOM 13432 N N   . ARG B 2 792 ? 313.341 -102.040 248.981 1.0 67.42517  ? 793 ARG E N   793 ARG E N   1 
ATOM 13433 C CA  . ARG B 2 792 ? 313.242 -103.473 249.226 1.0 67.42517  ? 793 ARG E CA  793 ARG E CA  1 
ATOM 13434 C C   . ARG B 2 792 ? 314.189 -103.906 250.341 1.0 67.42517  ? 793 ARG E C   793 ARG E C   1 
ATOM 13435 O O   . ARG B 2 792 ? 315.203 -103.257 250.614 1.0 67.42517  ? 793 ARG E O   793 ARG E O   1 
ATOM 13436 C CB  . ARG B 2 792 ? 313.547 -104.260 247.947 1.0 67.42517  ? 793 ARG E CB  793 ARG E CB  1 
ATOM 13437 C CG  . ARG B 2 792 ? 315.035 -104.483 247.659 1.0 67.42517  ? 793 ARG E CG  793 ARG E CG  1 
ATOM 13438 C CD  . ARG B 2 792 ? 315.734 -103.247 247.118 1.0 67.42517  ? 793 ARG E CD  793 ARG E CD  1 
ATOM 13439 N NE  . ARG B 2 792 ? 317.174 -103.429 247.059 1.0 67.42517  ? 793 ARG E NE  793 ARG E NE  1 
ATOM 13440 C CZ  . ARG B 2 792 ? 317.988 -103.144 248.068 1.0 67.42517  ? 793 ARG E CZ  793 ARG E CZ  1 
ATOM 13441 N NH1 . ARG B 2 792 ? 319.291 -103.336 247.958 1.0 67.42517  ? 793 ARG E NH1 793 ARG E NH1 1 
ATOM 13442 N NH2 . ARG B 2 792 ? 317.493 -102.651 249.191 1.0 67.42517  ? 793 ARG E NH2 793 ARG E NH2 1 
ATOM 13443 N N   . CYS B 2 793 ? 313.812 -104.980 251.043 1.0 70.74268  ? 794 CYS E N   794 CYS E N   1 
ATOM 13444 C CA  . CYS B 2 793 ? 314.645 -105.450 252.142 1.0 70.74268  ? 794 CYS E CA  794 CYS E CA  1 
ATOM 13445 C C   . CYS B 2 793 ? 314.785 -106.968 252.260 1.0 70.74268  ? 794 CYS E C   794 CYS E C   1 
ATOM 13446 O O   . CYS B 2 793 ? 315.769 -107.432 252.844 1.0 70.74268  ? 794 CYS E O   794 CYS E O   1 
ATOM 13447 C CB  . CYS B 2 793 ? 314.116 -104.872 253.453 1.0 70.74268  ? 794 CYS E CB  794 CYS E CB  1 
ATOM 13448 S SG  . CYS B 2 793 ? 312.421 -105.314 253.777 1.0 70.74268  ? 794 CYS E SG  794 CYS E SG  1 
ATOM 13449 N N   . GLY B 2 794 ? 313.859 -107.760 251.732 1.0 66.6198   ? 795 GLY E N   795 GLY E N   1 
ATOM 13450 C CA  . GLY B 2 794 ? 313.799 -109.180 252.025 1.0 66.6198   ? 795 GLY E CA  795 GLY E CA  1 
ATOM 13451 C C   . GLY B 2 794 ? 314.757 -110.030 251.215 1.0 66.6198   ? 795 GLY E C   795 GLY E C   1 
ATOM 13452 O O   . GLY B 2 794 ? 315.824 -109.586 250.787 1.0 66.6198   ? 795 GLY E O   795 GLY E O   1 
ATOM 13453 N N   . HIS B 2 795 ? 314.363 -111.281 251.014 1.0 65.98313  ? 796 HIS E N   796 HIS E N   1 
ATOM 13454 C CA  . HIS B 2 795 ? 315.024 -112.228 250.132 1.0 65.98313  ? 796 HIS E CA  796 HIS E CA  1 
ATOM 13455 C C   . HIS B 2 795 ? 313.970 -112.896 249.263 1.0 65.98313  ? 796 HIS E C   796 HIS E C   1 
ATOM 13456 O O   . HIS B 2 795 ? 312.787 -112.899 249.618 1.0 65.98313  ? 796 HIS E O   796 HIS E O   1 
ATOM 13457 C CB  . HIS B 2 795 ? 315.820 -113.277 250.929 1.0 65.98313  ? 796 HIS E CB  796 HIS E CB  1 
ATOM 13458 C CG  . HIS B 2 795 ? 314.991 -114.136 251.833 1.0 65.98313  ? 796 HIS E CG  796 HIS E CG  1 
ATOM 13459 N ND1 . HIS B 2 795 ? 314.285 -115.228 251.382 1.0 65.98313  ? 796 HIS E ND1 796 HIS E ND1 1 
ATOM 13460 C CD2 . HIS B 2 795 ? 314.809 -114.101 253.174 1.0 65.98313  ? 796 HIS E CD2 796 HIS E CD2 1 
ATOM 13461 C CE1 . HIS B 2 795 ? 313.685 -115.815 252.401 1.0 65.98313  ? 796 HIS E CE1 796 HIS E CE1 1 
ATOM 13462 N NE2 . HIS B 2 795 ? 313.985 -115.149 253.500 1.0 65.98313  ? 796 HIS E NE2 796 HIS E NE2 1 
ATOM 13463 N N   . PRO B 2 796 ? 314.350 -113.435 248.098 1.0 63.36045  ? 797 PRO E N   797 PRO E N   1 
ATOM 13464 C CA  . PRO B 2 796 ? 313.360 -114.121 247.252 1.0 63.36045  ? 797 PRO E CA  797 PRO E CA  1 
ATOM 13465 C C   . PRO B 2 796 ? 312.863 -115.402 247.904 1.0 63.36045  ? 797 PRO E C   797 PRO E C   1 
ATOM 13466 O O   . PRO B 2 796 ? 313.650 -116.199 248.414 1.0 63.36045  ? 797 PRO E O   797 PRO E O   1 
ATOM 13467 C CB  . PRO B 2 796 ? 314.135 -114.418 245.965 1.0 63.36045  ? 797 PRO E CB  797 PRO E CB  1 
ATOM 13468 C CG  . PRO B 2 796 ? 315.216 -113.430 245.944 1.0 63.36045  ? 797 PRO E CG  797 PRO E CG  1 
ATOM 13469 C CD  . PRO B 2 796 ? 315.615 -113.238 247.367 1.0 63.36045  ? 797 PRO E CD  797 PRO E CD  1 
ATOM 13470 N N   . TYR B 2 797 ? 311.547 -115.593 247.881 1.0 63.81255  ? 798 TYR E N   798 TYR E N   1 
ATOM 13471 C CA  . TYR B 2 797 ? 310.945 -116.736 248.549 1.0 63.81255  ? 798 TYR E CA  798 TYR E CA  1 
ATOM 13472 C C   . TYR B 2 797 ? 309.594 -117.015 247.906 1.0 63.81255  ? 798 TYR E C   798 TYR E C   1 
ATOM 13473 O O   . TYR B 2 797 ? 309.025 -116.162 247.221 1.0 63.81255  ? 798 TYR E O   798 TYR E O   1 
ATOM 13474 C CB  . TYR B 2 797 ? 310.819 -116.479 250.054 1.0 63.81255  ? 798 TYR E CB  798 TYR E CB  1 
ATOM 13475 C CG  . TYR B 2 797 ? 310.409 -117.674 250.877 1.0 63.81255  ? 798 TYR E CG  798 TYR E CG  1 
ATOM 13476 C CD1 . TYR B 2 797 ? 311.284 -118.726 251.086 1.0 63.81255  ? 798 TYR E CD1 798 TYR E CD1 1 
ATOM 13477 C CD2 . TYR B 2 797 ? 309.154 -117.740 251.458 1.0 63.81255  ? 798 TYR E CD2 798 TYR E CD2 1 
ATOM 13478 C CE1 . TYR B 2 797 ? 310.916 -119.816 251.836 1.0 63.81255  ? 798 TYR E CE1 798 TYR E CE1 1 
ATOM 13479 C CE2 . TYR B 2 797 ? 308.779 -118.826 252.214 1.0 63.81255  ? 798 TYR E CE2 798 TYR E CE2 1 
ATOM 13480 C CZ  . TYR B 2 797 ? 309.667 -119.856 252.403 1.0 63.81255  ? 798 TYR E CZ  798 TYR E CZ  1 
ATOM 13481 O OH  . TYR B 2 797 ? 309.295 -120.938 253.160 1.0 63.81255  ? 798 TYR E OH  798 TYR E OH  1 
ATOM 13482 N N   . VAL B 2 798 ? 309.100 -118.237 248.124 1.0 61.03415  ? 799 VAL E N   799 VAL E N   1 
ATOM 13483 C CA  . VAL B 2 798 ? 307.869 -118.706 247.501 1.0 61.03415  ? 799 VAL E CA  799 VAL E CA  1 
ATOM 13484 C C   . VAL B 2 798 ? 306.673 -117.954 248.079 1.0 61.03415  ? 799 VAL E C   799 VAL E C   1 
ATOM 13485 O O   . VAL B 2 798 ? 306.676 -117.541 249.246 1.0 61.03415  ? 799 VAL E O   799 VAL E O   1 
ATOM 13486 C CB  . VAL B 2 798 ? 307.764 -120.234 247.680 1.0 61.03415  ? 799 VAL E CB  799 VAL E CB  1 
ATOM 13487 C CG1 . VAL B 2 798 ? 307.590 -120.626 249.138 1.0 61.03415  ? 799 VAL E CG1 799 VAL E CG1 1 
ATOM 13488 C CG2 . VAL B 2 798 ? 306.675 -120.833 246.824 1.0 61.03415  ? 799 VAL E CG2 799 VAL E CG2 1 
ATOM 13489 N N   . ALA B 2 799 ? 305.668 -117.713 247.241 1.0 57.58928  ? 800 ALA E N   800 ALA E N   1 
ATOM 13490 C CA  . ALA B 2 799 ? 304.517 -116.917 247.636 1.0 57.58928  ? 800 ALA E CA  800 ALA E CA  1 
ATOM 13491 C C   . ALA B 2 799 ? 303.422 -117.781 248.246 1.0 57.58928  ? 800 ALA E C   800 ALA E C   1 
ATOM 13492 O O   . ALA B 2 799 ? 303.411 -119.005 248.094 1.0 57.58928  ? 800 ALA E O   800 ALA E O   1 
ATOM 13493 C CB  . ALA B 2 799 ? 303.961 -116.155 246.437 1.0 57.58928  ? 800 ALA E CB  800 ALA E CB  1 
ATOM 13494 N N   . ASN B 2 800 ? 302.490 -117.127 248.945 1.0 58.11926  ? 801 ASN E N   801 ASN E N   1 
ATOM 13495 C CA  . ASN B 2 800 ? 301.388 -117.827 249.587 1.0 58.11926  ? 801 ASN E CA  801 ASN E CA  1 
ATOM 13496 C C   . ASN B 2 800 ? 300.029 -117.157 249.446 1.0 58.11926  ? 801 ASN E C   801 ASN E C   1 
ATOM 13497 O O   . ASN B 2 800 ? 299.055 -117.673 250.000 1.0 58.11926  ? 801 ASN E O   801 ASN E O   1 
ATOM 13498 C CB  . ASN B 2 800 ? 301.676 -118.036 251.082 1.0 58.11926  ? 801 ASN E CB  801 ASN E CB  1 
ATOM 13499 C CG  . ASN B 2 800 ? 301.940 -116.743 251.826 1.0 58.11926  ? 801 ASN E CG  801 ASN E CG  1 
ATOM 13500 O OD1 . ASN B 2 800 ? 301.912 -115.655 251.259 1.0 58.11926  ? 801 ASN E OD1 801 ASN E OD1 1 
ATOM 13501 N ND2 . ASN B 2 800 ? 302.182 -116.861 253.122 1.0 58.11926  ? 801 ASN E ND2 801 ASN E ND2 1 
ATOM 13502 N N   . TRP B 2 801 ? 299.927 -116.033 248.753 1.0 55.92121  ? 802 TRP E N   802 TRP E N   1 
ATOM 13503 C CA  . TRP B 2 801 ? 298.665 -115.331 248.656 1.0 55.92121  ? 802 TRP E CA  802 TRP E CA  1 
ATOM 13504 C C   . TRP B 2 801 ? 298.647 -114.559 247.345 1.0 55.92121  ? 802 TRP E C   802 TRP E C   1 
ATOM 13505 O O   . TRP B 2 801 ? 299.672 -113.988 246.957 1.0 55.92121  ? 802 TRP E O   802 TRP E O   1 
ATOM 13506 C CB  . TRP B 2 801 ? 298.486 -114.382 249.850 1.0 55.92121  ? 802 TRP E CB  802 TRP E CB  1 
ATOM 13507 C CG  . TRP B 2 801 ? 297.156 -113.727 249.916 1.0 55.92121  ? 802 TRP E CG  802 TRP E CG  1 
ATOM 13508 C CD1 . TRP B 2 801 ? 296.863 -112.469 249.539 1.0 55.92121  ? 802 TRP E CD1 802 TRP E CD1 1 
ATOM 13509 C CD2 . TRP B 2 801 ? 295.933 -114.309 250.385 1.0 55.92121  ? 802 TRP E CD2 802 TRP E CD2 1 
ATOM 13510 N NE1 . TRP B 2 801 ? 295.526 -112.214 249.753 1.0 55.92121  ? 802 TRP E NE1 802 TRP E NE1 1 
ATOM 13511 C CE2 . TRP B 2 801 ? 294.932 -113.337 250.262 1.0 55.92121  ? 802 TRP E CE2 802 TRP E CE2 1 
ATOM 13512 C CE3 . TRP B 2 801 ? 295.594 -115.563 250.897 1.0 55.92121  ? 802 TRP E CE3 802 TRP E CE3 1 
ATOM 13513 C CZ2 . TRP B 2 801 ? 293.618 -113.565 250.629 1.0 55.92121  ? 802 TRP E CZ2 802 TRP E CZ2 1 
ATOM 13514 C CZ3 . TRP B 2 801 ? 294.286 -115.796 251.260 1.0 55.92121  ? 802 TRP E CZ3 802 TRP E CZ3 1 
ATOM 13515 C CH2 . TRP B 2 801 ? 293.313 -114.799 251.124 1.0 55.92121  ? 802 TRP E CH2 802 TRP E CH2 1 
ATOM 13516 N N   . PRO B 2 802 ? 297.514 -114.530 246.626 1.0 55.83737  ? 803 PRO E N   803 PRO E N   1 
ATOM 13517 C CA  . PRO B 2 802 ? 296.184 -115.094 246.893 1.0 55.83737  ? 803 PRO E CA  803 PRO E CA  1 
ATOM 13518 C C   . PRO B 2 802 ? 296.033 -116.565 246.539 1.0 55.83737  ? 803 PRO E C   803 PRO E C   1 
ATOM 13519 O O   . PRO B 2 802 ? 297.008 -117.217 246.217 1.0 55.83737  ? 803 PRO E O   803 PRO E O   1 
ATOM 13520 C CB  . PRO B 2 802 ? 295.274 -114.248 246.007 1.0 55.83737  ? 803 PRO E CB  803 PRO E CB  1 
ATOM 13521 C CG  . PRO B 2 802 ? 296.133 -113.858 244.878 1.0 55.83737  ? 803 PRO E CG  803 PRO E CG  1 
ATOM 13522 C CD  . PRO B 2 802 ? 297.505 -113.671 245.432 1.0 55.83737  ? 803 PRO E CD  803 PRO E CD  1 
ATOM 13523 N N   . TYR B 2 803 ? 294.814 -117.077 246.626 1.0 57.61571  ? 804 TYR E N   804 TYR E N   1 
ATOM 13524 C CA  . TYR B 2 803 ? 294.549 -118.443 246.210 1.0 57.61571  ? 804 TYR E CA  804 TYR E CA  1 
ATOM 13525 C C   . TYR B 2 803 ? 294.315 -118.473 244.704 1.0 57.61571  ? 804 TYR E C   804 TYR E C   1 
ATOM 13526 O O   . TYR B 2 803 ? 293.663 -117.567 244.170 1.0 57.61571  ? 804 TYR E O   804 TYR E O   1 
ATOM 13527 C CB  . TYR B 2 803 ? 293.328 -119.002 246.939 1.0 57.61571  ? 804 TYR E CB  804 TYR E CB  1 
ATOM 13528 C CG  . TYR B 2 803 ? 293.538 -119.235 248.412 1.0 57.61571  ? 804 TYR E CG  804 TYR E CG  1 
ATOM 13529 C CD1 . TYR B 2 803 ? 294.812 -119.354 248.939 1.0 57.61571  ? 804 TYR E CD1 804 TYR E CD1 1 
ATOM 13530 C CD2 . TYR B 2 803 ? 292.462 -119.305 249.281 1.0 57.61571  ? 804 TYR E CD2 804 TYR E CD2 1 
ATOM 13531 C CE1 . TYR B 2 803 ? 295.008 -119.551 250.275 1.0 57.61571  ? 804 TYR E CE1 804 TYR E CE1 1 
ATOM 13532 C CE2 . TYR B 2 803 ? 292.653 -119.502 250.625 1.0 57.61571  ? 804 TYR E CE2 804 TYR E CE2 1 
ATOM 13533 C CZ  . TYR B 2 803 ? 293.929 -119.624 251.111 1.0 57.61571  ? 804 TYR E CZ  804 TYR E CZ  1 
ATOM 13534 O OH  . TYR B 2 803 ? 294.136 -119.817 252.446 1.0 57.61571  ? 804 TYR E OH  804 TYR E OH  1 
ATOM 13535 N N   . PRO B 2 804 ? 294.830 -119.470 243.991 1.0 55.23469  ? 805 PRO E N   805 PRO E N   1 
ATOM 13536 C CA  . PRO B 2 804 ? 294.612 -119.517 242.544 1.0 55.23469  ? 805 PRO E CA  805 PRO E CA  1 
ATOM 13537 C C   . PRO B 2 804 ? 293.177 -119.895 242.213 1.0 55.23469  ? 805 PRO E C   805 PRO E C   1 
ATOM 13538 O O   . PRO B 2 804 ? 292.695 -120.973 242.566 1.0 55.23469  ? 805 PRO E O   805 PRO E O   1 
ATOM 13539 C CB  . PRO B 2 804 ? 295.606 -120.582 242.071 1.0 55.23469  ? 805 PRO E CB  805 PRO E CB  1 
ATOM 13540 C CG  . PRO B 2 804 ? 295.835 -121.438 243.257 1.0 55.23469  ? 805 PRO E CG  805 PRO E CG  1 
ATOM 13541 C CD  . PRO B 2 804 ? 295.731 -120.540 244.450 1.0 55.23469  ? 805 PRO E CD  805 PRO E CD  1 
ATOM 13542 N N   . LEU B 2 805 ? 292.485 -118.978 241.539 1.0 53.02446  ? 806 LEU E N   806 LEU E N   1 
ATOM 13543 C CA  . LEU B 2 805 ? 291.099 -119.192 241.167 1.0 53.02446  ? 806 LEU E CA  806 LEU E CA  1 
ATOM 13544 C C   . LEU B 2 805 ? 290.941 -119.809 239.790 1.0 53.02446  ? 806 LEU E C   806 LEU E C   1 
ATOM 13545 O O   . LEU B 2 805 ? 289.870 -120.343 239.492 1.0 53.02446  ? 806 LEU E O   806 LEU E O   1 
ATOM 13546 C CB  . LEU B 2 805 ? 290.324 -117.870 241.209 1.0 53.02446  ? 806 LEU E CB  806 LEU E CB  1 
ATOM 13547 C CG  . LEU B 2 805 ? 290.286 -117.188 242.573 1.0 53.02446  ? 806 LEU E CG  806 LEU E CG  1 
ATOM 13548 C CD1 . LEU B 2 805 ? 289.549 -115.863 242.493 1.0 53.02446  ? 806 LEU E CD1 806 LEU E CD1 1 
ATOM 13549 C CD2 . LEU B 2 805 ? 289.669 -118.089 243.610 1.0 53.02446  ? 806 LEU E CD2 806 LEU E CD2 1 
ATOM 13550 N N   . SER B 2 806 ? 291.974 -119.762 238.959 1.0 54.11367  ? 807 SER E N   807 SER E N   1 
ATOM 13551 C CA  . SER B 2 806 ? 291.960 -120.350 237.632 1.0 54.11367  ? 807 SER E CA  807 SER E CA  1 
ATOM 13552 C C   . SER B 2 806 ? 293.231 -121.165 237.438 1.0 54.11367  ? 807 SER E C   807 SER E C   1 
ATOM 13553 O O   . SER B 2 806 ? 294.088 -121.242 238.322 1.0 54.11367  ? 807 SER E O   807 SER E O   1 
ATOM 13554 C CB  . SER B 2 806 ? 291.844 -119.270 236.555 1.0 54.11367  ? 807 SER E CB  807 SER E CB  1 
ATOM 13555 O OG  . SER B 2 806 ? 293.014 -118.479 236.532 1.0 54.11367  ? 807 SER E OG  807 SER E OG  1 
ATOM 13556 N N   . GLY B 2 807 ? 293.359 -121.770 236.269 1.0 56.26493  ? 808 GLY E N   808 GLY E N   1 
ATOM 13557 C CA  . GLY B 2 807 ? 294.541 -122.529 235.941 1.0 56.26493  ? 808 GLY E CA  808 GLY E CA  1 
ATOM 13558 C C   . GLY B 2 807 ? 294.376 -124.016 236.176 1.0 56.26493  ? 808 GLY E C   808 GLY E C   1 
ATOM 13559 O O   . GLY B 2 807 ? 293.271 -124.558 236.237 1.0 56.26493  ? 808 GLY E O   808 GLY E O   1 
ATOM 13560 N N   . ARG B 2 808 ? 295.520 -124.682 236.322 1.0 59.86995  ? 809 ARG E N   809 ARG E N   1 
ATOM 13561 C CA  . ARG B 2 808 ? 295.544 -126.138 236.388 1.0 59.86995  ? 809 ARG E CA  809 ARG E CA  1 
ATOM 13562 C C   . ARG B 2 808 ? 295.088 -126.653 237.747 1.0 59.86995  ? 809 ARG E C   809 ARG E C   1 
ATOM 13563 O O   . ARG B 2 808 ? 294.375 -127.660 237.826 1.0 59.86995  ? 809 ARG E O   809 ARG E O   1 
ATOM 13564 C CB  . ARG B 2 808 ? 296.950 -126.638 236.069 1.0 59.86995  ? 809 ARG E CB  809 ARG E CB  1 
ATOM 13565 C CG  . ARG B 2 808 ? 297.075 -128.142 235.970 1.0 59.86995  ? 809 ARG E CG  809 ARG E CG  1 
ATOM 13566 C CD  . ARG B 2 808 ? 298.489 -128.540 235.597 1.0 59.86995  ? 809 ARG E CD  809 ARG E CD  1 
ATOM 13567 N NE  . ARG B 2 808 ? 299.452 -128.154 236.624 1.0 59.86995  ? 809 ARG E NE  809 ARG E NE  1 
ATOM 13568 C CZ  . ARG B 2 808 ? 300.407 -127.248 236.447 1.0 59.86995  ? 809 ARG E CZ  809 ARG E CZ  1 
ATOM 13569 N NH1 . ARG B 2 808 ? 300.531 -126.633 235.279 1.0 59.86995  ? 809 ARG E NH1 809 ARG E NH1 1 
ATOM 13570 N NH2 . ARG B 2 808 ? 301.239 -126.957 237.436 1.0 59.86995  ? 809 ARG E NH2 809 ARG E NH2 1 
ATOM 13571 N N   . ASN B 2 809 ? 295.477 -125.975 238.821 1.0 60.93654  ? 810 ASN E N   810 ASN E N   1 
ATOM 13572 C CA  . ASN B 2 809 ? 295.138 -126.409 240.169 1.0 60.93654  ? 810 ASN E CA  810 ASN E CA  1 
ATOM 13573 C C   . ASN B 2 809 ? 294.336 -125.351 240.917 1.0 60.93654  ? 810 ASN E C   810 ASN E C   1 
ATOM 13574 O O   . ASN B 2 809 ? 294.679 -124.985 242.045 1.0 60.93654  ? 810 ASN E O   810 ASN E O   1 
ATOM 13575 C CB  . ASN B 2 809 ? 296.408 -126.794 240.928 1.0 60.93654  ? 810 ASN E CB  810 ASN E CB  1 
ATOM 13576 C CG  . ASN B 2 809 ? 297.476 -125.727 240.868 1.0 60.93654  ? 810 ASN E CG  810 ASN E CG  1 
ATOM 13577 O OD1 . ASN B 2 809 ? 297.265 -124.636 240.346 1.0 60.93654  ? 810 ASN E OD1 810 ASN E OD1 1 
ATOM 13578 N ND2 . ASN B 2 809 ? 298.644 -126.049 241.392 1.0 60.93654  ? 810 ASN E ND2 810 ASN E ND2 1 
ATOM 13579 N N   . ALA B 2 810 ? 293.293 -124.834 240.273 1.0 60.85401  ? 811 ALA E N   811 ALA E N   1 
ATOM 13580 C CA  . ALA B 2 810 ? 292.414 -123.858 240.896 1.0 60.85401  ? 811 ALA E CA  811 ALA E CA  1 
ATOM 13581 C C   . ALA B 2 810 ? 291.662 -124.470 242.069 1.0 60.85401  ? 811 ALA E C   811 ALA E C   1 
ATOM 13582 O O   . ALA B 2 810 ? 291.380 -125.669 242.098 1.0 60.85401  ? 811 ALA E O   811 ALA E O   1 
ATOM 13583 C CB  . ALA B 2 810 ? 291.418 -123.315 239.877 1.0 60.85401  ? 811 ALA E CB  811 ALA E CB  1 
ATOM 13584 N N   . VAL B 2 811 ? 291.342 -123.626 243.040 1.0 61.76652  ? 812 VAL E N   812 VAL E N   1 
ATOM 13585 C CA  . VAL B 2 811 ? 290.674 -124.090 244.260 1.0 61.76652  ? 812 VAL E CA  812 VAL E CA  1 
ATOM 13586 C C   . VAL B 2 811 ? 289.220 -124.430 243.942 1.0 61.76652  ? 812 VAL E C   812 VAL E C   1 
ATOM 13587 O O   . VAL B 2 811 ? 288.570 -123.707 243.164 1.0 61.76652  ? 812 VAL E O   812 VAL E O   1 
ATOM 13588 C CB  . VAL B 2 811 ? 290.802 -123.027 245.365 1.0 61.76652  ? 812 VAL E CB  812 VAL E CB  1 
ATOM 13589 C CG1 . VAL B 2 811 ? 290.267 -121.668 244.930 1.0 61.76652  ? 812 VAL E CG1 812 VAL E CG1 1 
ATOM 13590 C CG2 . VAL B 2 811 ? 290.137 -123.469 246.649 1.0 61.76652  ? 812 VAL E CG2 812 VAL E CG2 1 
ATOM 13591 N N   . PRO B 2 812 ? 288.698 -125.557 244.414 1.0 63.32175  ? 813 PRO E N   813 PRO E N   1 
ATOM 13592 C CA  . PRO B 2 812 ? 287.312 -125.918 244.117 1.0 63.32175  ? 813 PRO E CA  813 PRO E CA  1 
ATOM 13593 C C   . PRO B 2 812 ? 286.329 -125.259 245.078 1.0 63.32175  ? 813 PRO E C   813 PRO E C   1 
ATOM 13594 O O   . PRO B 2 812 ? 286.715 -124.604 246.047 1.0 63.32175  ? 813 PRO E O   813 PRO E O   1 
ATOM 13595 C CB  . PRO B 2 812 ? 287.307 -127.439 244.296 1.0 63.32175  ? 813 PRO E CB  813 PRO E CB  1 
ATOM 13596 C CG  . PRO B 2 812 ? 288.365 -127.690 245.287 1.0 63.32175  ? 813 PRO E CG  813 PRO E CG  1 
ATOM 13597 C CD  . PRO B 2 812 ? 289.438 -126.683 245.009 1.0 63.32175  ? 813 PRO E CD  813 PRO E CD  1 
ATOM 13598 N N   . ASN B 2 813 ? 285.041 -125.441 244.762 1.0 65.68746  ? 814 ASN E N   814 ASN E N   1 
ATOM 13599 C CA  . ASN B 2 813 ? 283.895 -125.026 245.584 1.0 65.68746  ? 814 ASN E CA  814 ASN E CA  1 
ATOM 13600 C C   . ASN B 2 813 ? 283.875 -123.522 245.859 1.0 65.68746  ? 814 ASN E C   814 ASN E C   1 
ATOM 13601 O O   . ASN B 2 813 ? 283.387 -123.079 246.901 1.0 65.68746  ? 814 ASN E O   814 ASN E O   1 
ATOM 13602 C CB  . ASN B 2 813 ? 283.829 -125.815 246.896 1.0 65.68746  ? 814 ASN E CB  814 ASN E CB  1 
ATOM 13603 C CG  . ASN B 2 813 ? 283.459 -127.271 246.683 1.0 65.68746  ? 814 ASN E CG  814 ASN E CG  1 
ATOM 13604 O OD1 . ASN B 2 813 ? 282.579 -127.590 245.883 1.0 65.68746  ? 814 ASN E OD1 814 ASN E OD1 1 
ATOM 13605 N ND2 . ASN B 2 813 ? 284.132 -128.164 247.399 1.0 65.68746  ? 814 ASN E ND2 814 ASN E ND2 1 
ATOM 13606 N N   . GLN B 2 814 ? 284.384 -122.728 244.923 1.0 58.489    ? 815 GLN E N   815 GLN E N   1 
ATOM 13607 C CA  . GLN B 2 814 ? 284.355 -121.279 245.044 1.0 58.489    ? 815 GLN E CA  815 GLN E CA  1 
ATOM 13608 C C   . GLN B 2 814 ? 282.969 -120.750 244.698 1.0 58.489    ? 815 GLN E C   815 GLN E C   1 
ATOM 13609 O O   . GLN B 2 814 ? 282.197 -121.396 243.984 1.0 58.489    ? 815 GLN E O   815 GLN E O   1 
ATOM 13610 C CB  . GLN B 2 814 ? 285.413 -120.661 244.138 1.0 58.489    ? 815 GLN E CB  815 GLN E CB  1 
ATOM 13611 C CG  . GLN B 2 814 ? 285.186 -120.918 242.670 1.0 58.489    ? 815 GLN E CG  815 GLN E CG  1 
ATOM 13612 C CD  . GLN B 2 814 ? 286.355 -120.493 241.834 1.0 58.489    ? 815 GLN E CD  815 GLN E CD  1 
ATOM 13613 O OE1 . GLN B 2 814 ? 287.349 -120.010 242.356 1.0 58.489    ? 815 GLN E OE1 815 GLN E OE1 1 
ATOM 13614 N NE2 . GLN B 2 814 ? 286.245 -120.657 240.532 1.0 58.489    ? 815 GLN E NE2 815 GLN E NE2 1 
ATOM 13615 N N   . VAL B 2 815 ? 282.649 -119.568 245.222 1.0 54.71187  ? 816 VAL E N   816 VAL E N   1 
ATOM 13616 C CA  . VAL B 2 815 ? 281.285 -119.061 245.171 1.0 54.71187  ? 816 VAL E CA  816 VAL E CA  1 
ATOM 13617 C C   . VAL B 2 815 ? 281.286 -117.677 244.529 1.0 54.71187  ? 816 VAL E C   816 VAL E C   1 
ATOM 13618 O O   . VAL B 2 815 ? 282.253 -116.916 244.635 1.0 54.71187  ? 816 VAL E O   816 VAL E O   1 
ATOM 13619 C CB  . VAL B 2 815 ? 280.636 -119.061 246.581 1.0 54.71187  ? 816 VAL E CB  816 VAL E CB  1 
ATOM 13620 C CG1 . VAL B 2 815 ? 281.217 -117.986 247.494 1.0 54.71187  ? 816 VAL E CG1 816 VAL E CG1 1 
ATOM 13621 C CG2 . VAL B 2 815 ? 279.110 -118.989 246.507 1.0 54.71187  ? 816 VAL E CG2 816 VAL E CG2 1 
ATOM 13622 N N   . THR B 2 816 ? 280.196 -117.376 243.824 1.0 52.23016  ? 817 THR E N   817 THR E N   1 
ATOM 13623 C CA  . THR B 2 816 ? 280.095 -116.222 242.941 1.0 52.23016  ? 817 THR E CA  817 THR E CA  1 
ATOM 13624 C C   . THR B 2 816 ? 279.499 -115.034 243.690 1.0 52.23016  ? 817 THR E C   817 THR E C   1 
ATOM 13625 O O   . THR B 2 816 ? 278.604 -115.199 244.521 1.0 52.23016  ? 817 THR E O   817 THR E O   1 
ATOM 13626 C CB  . THR B 2 816 ? 279.223 -116.585 241.733 1.0 52.23016  ? 817 THR E CB  817 THR E CB  1 
ATOM 13627 O OG1 . THR B 2 816 ? 279.719 -117.790 241.141 1.0 52.23016  ? 817 THR E OG1 817 THR E OG1 1 
ATOM 13628 C CG2 . THR B 2 816 ? 279.231 -115.497 240.667 1.0 52.23016  ? 817 THR E CG2 817 THR E CG2 1 
ATOM 13629 N N   . GLU B 2 817 ? 280.010 -113.839 243.398 1.0 53.01097  ? 818 GLU E N   818 GLU E N   1 
ATOM 13630 C CA  . GLU B 2 817 ? 279.518 -112.600 243.986 1.0 53.01097  ? 818 GLU E CA  818 GLU E CA  1 
ATOM 13631 C C   . GLU B 2 817 ? 279.316 -111.575 242.880 1.0 53.01097  ? 818 GLU E C   818 GLU E C   1 
ATOM 13632 O O   . GLU B 2 817 ? 280.208 -111.382 242.051 1.0 53.01097  ? 818 GLU E O   818 GLU E O   1 
ATOM 13633 C CB  . GLU B 2 817 ? 280.504 -112.080 245.035 1.0 53.01097  ? 818 GLU E CB  818 GLU E CB  1 
ATOM 13634 C CG  . GLU B 2 817 ? 280.060 -110.830 245.753 1.0 53.01097  ? 818 GLU E CG  818 GLU E CG  1 
ATOM 13635 C CD  . GLU B 2 817 ? 281.042 -110.407 246.823 1.0 53.01097  ? 818 GLU E CD  818 GLU E CD  1 
ATOM 13636 O OE1 . GLU B 2 817 ? 282.067 -111.099 246.996 1.0 53.01097  ? 818 GLU E OE1 818 GLU E OE1 1 
ATOM 13637 O OE2 . GLU B 2 817 ? 280.790 -109.381 247.488 1.0 53.01097  ? 818 GLU E OE2 818 GLU E OE2 1 
ATOM 13638 N N   . ARG B 2 818 ? 278.150 -110.926 242.856 1.0 49.85556  ? 819 ARG E N   819 ARG E N   1 
ATOM 13639 C CA  . ARG B 2 818 ? 277.816 -109.967 241.810 1.0 49.85556  ? 819 ARG E CA  819 ARG E CA  1 
ATOM 13640 C C   . ARG B 2 818 ? 277.285 -108.674 242.412 1.0 49.85556  ? 819 ARG E C   819 ARG E C   1 
ATOM 13641 O O   . ARG B 2 818 ? 276.659 -108.678 243.474 1.0 49.85556  ? 819 ARG E O   819 ARG E O   1 
ATOM 13642 C CB  . ARG B 2 818 ? 276.764 -110.516 240.843 1.0 49.85556  ? 819 ARG E CB  819 ARG E CB  1 
ATOM 13643 C CG  . ARG B 2 818 ? 277.206 -111.713 240.030 1.0 49.85556  ? 819 ARG E CG  819 ARG E CG  1 
ATOM 13644 C CD  . ARG B 2 818 ? 276.153 -112.090 239.006 1.0 49.85556  ? 819 ARG E CD  819 ARG E CD  1 
ATOM 13645 N NE  . ARG B 2 818 ? 276.471 -113.329 238.311 1.0 49.85556  ? 819 ARG E NE  819 ARG E NE  1 
ATOM 13646 C CZ  . ARG B 2 818 ? 277.208 -113.396 237.210 1.0 49.85556  ? 819 ARG E CZ  819 ARG E CZ  1 
ATOM 13647 N NH1 . ARG B 2 818 ? 277.710 -112.294 236.677 1.0 49.85556  ? 819 ARG E NH1 819 ARG E NH1 1 
ATOM 13648 N NH2 . ARG B 2 818 ? 277.447 -114.566 236.642 1.0 49.85556  ? 819 ARG E NH2 819 ARG E NH2 1 
ATOM 13649 N N   . LYS B 2 819 ? 277.524 -107.569 241.706 1.0 47.86657  ? 820 LYS E N   820 LYS E N   1 
ATOM 13650 C CA  . LYS B 2 819 ? 276.958 -106.269 242.047 1.0 47.86657  ? 820 LYS E CA  820 LYS E CA  1 
ATOM 13651 C C   . LYS B 2 819 ? 276.979 -105.397 240.799 1.0 47.86657  ? 820 LYS E C   820 LYS E C   1 
ATOM 13652 O O   . LYS B 2 819 ? 277.448 -105.813 239.738 1.0 47.86657  ? 820 LYS E O   820 LYS E O   1 
ATOM 13653 C CB  . LYS B 2 819 ? 277.720 -105.596 243.189 1.0 47.86657  ? 820 LYS E CB  820 LYS E CB  1 
ATOM 13654 C CG  . LYS B 2 819 ? 279.099 -105.109 242.813 1.0 47.86657  ? 820 LYS E CG  820 LYS E CG  1 
ATOM 13655 C CD  . LYS B 2 819 ? 279.778 -104.457 244.002 1.0 47.86657  ? 820 LYS E CD  820 LYS E CD  1 
ATOM 13656 C CE  . LYS B 2 819 ? 281.195 -104.041 243.675 1.0 47.86657  ? 820 LYS E CE  820 LYS E CE  1 
ATOM 13657 N NZ  . LYS B 2 819 ? 281.232 -102.956 242.673 1.0 47.86657  ? 820 LYS E NZ  820 LYS E NZ  1 
ATOM 13658 N N   . PHE B 2 820 ? 276.464 -104.177 240.934 1.0 45.88935  ? 821 PHE E N   821 PHE E N   1 
ATOM 13659 C CA  . PHE B 2 820 ? 276.467 -103.208 239.848 1.0 45.88935  ? 821 PHE E CA  821 PHE E CA  1 
ATOM 13660 C C   . PHE B 2 820 ? 276.842 -101.843 240.401 1.0 45.88935  ? 821 PHE E C   821 PHE E C   1 
ATOM 13661 O O   . PHE B 2 820 ? 276.908 -101.638 241.613 1.0 45.88935  ? 821 PHE E O   821 PHE E O   1 
ATOM 13662 C CB  . PHE B 2 820 ? 275.112 -103.154 239.126 1.0 45.88935  ? 821 PHE E CB  821 PHE E CB  1 
ATOM 13663 C CG  . PHE B 2 820 ? 273.966 -102.677 239.982 1.0 45.88935  ? 821 PHE E CG  821 PHE E CG  1 
ATOM 13664 C CD1 . PHE B 2 820 ? 273.261 -103.567 240.767 1.0 45.88935  ? 821 PHE E CD1 821 PHE E CD1 1 
ATOM 13665 C CD2 . PHE B 2 820 ? 273.557 -101.352 239.957 1.0 45.88935  ? 821 PHE E CD2 821 PHE E CD2 1 
ATOM 13666 C CE1 . PHE B 2 820 ? 272.202 -103.142 241.536 1.0 45.88935  ? 821 PHE E CE1 821 PHE E CE1 1 
ATOM 13667 C CE2 . PHE B 2 820 ? 272.497 -100.927 240.726 1.0 45.88935  ? 821 PHE E CE2 821 PHE E CE2 1 
ATOM 13668 C CZ  . PHE B 2 820 ? 271.821 -101.823 241.514 1.0 45.88935  ? 821 PHE E CZ  821 PHE E CZ  1 
ATOM 13669 N N   . LEU B 2 821 ? 277.089 -100.903 239.492 1.0 47.12059  ? 822 LEU E N   822 LEU E N   1 
ATOM 13670 C CA  . LEU B 2 821 ? 277.368 -99.519  239.867 1.0 47.12059  ? 822 LEU E CA  822 LEU E CA  1 
ATOM 13671 C C   . LEU B 2 821 ? 276.732 -98.599  238.838 1.0 47.12059  ? 822 LEU E C   822 LEU E C   1 
ATOM 13672 O O   . LEU B 2 821 ? 277.211 -98.521  237.705 1.0 47.12059  ? 822 LEU E O   822 LEU E O   1 
ATOM 13673 C CB  . LEU B 2 821 ? 278.865 -99.244  239.954 1.0 47.12059  ? 822 LEU E CB  822 LEU E CB  1 
ATOM 13674 C CG  . LEU B 2 821 ? 279.734 -99.852  241.046 1.0 47.12059  ? 822 LEU E CG  822 LEU E CG  1 
ATOM 13675 C CD1 . LEU B 2 821 ? 281.167 -99.439  240.816 1.0 47.12059  ? 822 LEU E CD1 822 LEU E CD1 1 
ATOM 13676 C CD2 . LEU B 2 821 ? 279.270 -99.402  242.405 1.0 47.12059  ? 822 LEU E CD2 822 LEU E CD2 1 
ATOM 13677 N N   . VAL B 2 822 ? 275.672 -97.903  239.228 1.0 47.28989  ? 823 VAL E N   823 VAL E N   1 
ATOM 13678 C CA  . VAL B 2 822 ? 275.162 -96.768  238.470 1.0 47.28989  ? 823 VAL E CA  823 VAL E CA  1 
ATOM 13679 C C   . VAL B 2 822 ? 275.726 -95.492  239.067 1.0 47.28989  ? 823 VAL E C   823 VAL E C   1 
ATOM 13680 O O   . VAL B 2 822 ? 275.743 -95.317  240.292 1.0 47.28989  ? 823 VAL E O   823 VAL E O   1 
ATOM 13681 C CB  . VAL B 2 822 ? 273.625 -96.734  238.444 1.0 47.28989  ? 823 VAL E CB  823 VAL E CB  1 
ATOM 13682 C CG1 . VAL B 2 822 ? 273.104 -97.694  237.434 1.0 47.28989  ? 823 VAL E CG1 823 VAL E CG1 1 
ATOM 13683 C CG2 . VAL B 2 822 ? 273.076 -97.133  239.782 1.0 47.28989  ? 823 VAL E CG2 823 VAL E CG2 1 
ATOM 13684 N N   . ASP B 2 823 ? 276.218 -94.617  238.204 1.0 48.3623   ? 824 ASP E N   824 ASP E N   1 
ATOM 13685 C CA  . ASP B 2 823 ? 276.603 -93.272  238.580 1.0 48.3623   ? 824 ASP E CA  824 ASP E CA  1 
ATOM 13686 C C   . ASP B 2 823 ? 275.792 -92.291  237.750 1.0 48.3623   ? 824 ASP E C   824 ASP E C   1 
ATOM 13687 O O   . ASP B 2 823 ? 275.420 -92.591  236.612 1.0 48.3623   ? 824 ASP E O   824 ASP E O   1 
ATOM 13688 C CB  . ASP B 2 823 ? 278.096 -93.045  238.372 1.0 48.3623   ? 824 ASP E CB  824 ASP E CB  1 
ATOM 13689 C CG  . ASP B 2 823 ? 278.939 -93.869  239.313 1.0 48.3623   ? 824 ASP E CG  824 ASP E CG  1 
ATOM 13690 O OD1 . ASP B 2 823 ? 278.479 -94.156  240.436 1.0 48.3623   ? 824 ASP E OD1 824 ASP E OD1 1 
ATOM 13691 O OD2 . ASP B 2 823 ? 280.063 -94.243  238.927 1.0 48.3623   ? 824 ASP E OD2 824 ASP E OD2 1 
ATOM 13692 N N   . ARG B 2 824 ? 275.481 -91.145  238.359 1.0 45.46355  ? 825 ARG E N   825 ARG E N   1 
ATOM 13693 C CA  . ARG B 2 824 ? 274.784 -90.015  237.741 1.0 45.46355  ? 825 ARG E CA  825 ARG E CA  1 
ATOM 13694 C C   . ARG B 2 824 ? 273.382 -90.359  237.252 1.0 45.46355  ? 825 ARG E C   825 ARG E C   1 
ATOM 13695 O O   . ARG B 2 824 ? 272.904 -89.740  236.299 1.0 45.46355  ? 825 ARG E O   825 ARG E O   1 
ATOM 13696 C CB  . ARG B 2 824 ? 275.579 -89.428  236.566 1.0 45.46355  ? 825 ARG E CB  825 ARG E CB  1 
ATOM 13697 C CG  . ARG B 2 824 ? 276.915 -88.816  236.890 1.0 45.46355  ? 825 ARG E CG  825 ARG E CG  1 
ATOM 13698 C CD  . ARG B 2 824 ? 277.455 -88.132  235.651 1.0 45.46355  ? 825 ARG E CD  825 ARG E CD  1 
ATOM 13699 N NE  . ARG B 2 824 ? 277.686 -89.096  234.584 1.0 45.46355  ? 825 ARG E NE  825 ARG E NE  1 
ATOM 13700 C CZ  . ARG B 2 824 ? 278.839 -89.721  234.387 1.0 45.46355  ? 825 ARG E CZ  825 ARG E CZ  1 
ATOM 13701 N NH1 . ARG B 2 824 ? 279.869 -89.466  235.174 1.0 45.46355  ? 825 ARG E NH1 825 ARG E NH1 1 
ATOM 13702 N NH2 . ARG B 2 824 ? 278.967 -90.589  233.398 1.0 45.46355  ? 825 ARG E NH2 825 ARG E NH2 1 
ATOM 13703 N N   . TYR B 2 825 ? 272.686 -91.327  237.853 1.0 41.56989  ? 826 TYR E N   826 TYR E N   1 
ATOM 13704 C CA  . TYR B 2 825 ? 271.447 -91.780  237.228 1.0 41.56989  ? 826 TYR E CA  826 TYR E CA  1 
ATOM 13705 C C   . TYR B 2 825 ? 270.175 -91.225  237.861 1.0 41.56989  ? 826 TYR E C   826 TYR E C   1 
ATOM 13706 O O   . TYR B 2 825 ? 269.293 -90.790  237.107 1.0 41.56989  ? 826 TYR E O   826 TYR E O   1 
ATOM 13707 C CB  . TYR B 2 825 ? 271.360 -93.308  237.172 1.0 41.56989  ? 826 TYR E CB  826 TYR E CB  1 
ATOM 13708 C CG  . TYR B 2 825 ? 270.030 -93.713  236.597 1.0 41.56989  ? 826 TYR E CG  826 TYR E CG  1 
ATOM 13709 C CD1 . TYR B 2 825 ? 269.670 -93.321  235.321 1.0 41.56989  ? 826 TYR E CD1 826 TYR E CD1 1 
ATOM 13710 C CD2 . TYR B 2 825 ? 269.132 -94.462  237.312 1.0 41.56989  ? 826 TYR E CD2 826 TYR E CD2 1 
ATOM 13711 C CE1 . TYR B 2 825 ? 268.452 -93.617  234.800 1.0 41.56989  ? 826 TYR E CE1 826 TYR E CE1 1 
ATOM 13712 C CE2 . TYR B 2 825 ? 267.914 -94.796  236.765 1.0 41.56989  ? 826 TYR E CE2 826 TYR E CE2 1 
ATOM 13713 C CZ  . TYR B 2 825 ? 267.588 -94.379  235.508 1.0 41.56989  ? 826 TYR E CZ  826 TYR E CZ  1 
ATOM 13714 O OH  . TYR B 2 825 ? 266.380 -94.688  234.942 1.0 41.56989  ? 826 TYR E OH  826 TYR E OH  1 
ATOM 13715 N N   . LEU B 2 826 ? 270.048 -91.252  239.199 1.0 40.10382  ? 827 LEU E N   827 LEU E N   1 
ATOM 13716 C CA  . LEU B 2 826 ? 268.846 -90.798  239.907 1.0 40.10382  ? 827 LEU E CA  827 LEU E CA  1 
ATOM 13717 C C   . LEU B 2 826 ? 267.601 -91.586  239.497 1.0 40.10382  ? 827 LEU E C   827 LEU E C   1 
ATOM 13718 O O   . LEU B 2 826 ? 266.861 -91.137  238.616 1.0 40.10382  ? 827 LEU E O   827 LEU E O   1 
ATOM 13719 C CB  . LEU B 2 826 ? 268.651 -89.281  239.740 1.0 40.10382  ? 827 LEU E CB  827 LEU E CB  1 
ATOM 13720 C CG  . LEU B 2 826 ? 267.521 -88.471  240.363 1.0 40.10382  ? 827 LEU E CG  827 LEU E CG  1 
ATOM 13721 C CD1 . LEU B 2 826 ? 267.580 -88.413  241.875 1.0 40.10382  ? 827 LEU E CD1 827 LEU E CD1 1 
ATOM 13722 C CD2 . LEU B 2 826 ? 267.581 -87.094  239.761 1.0 40.10382  ? 827 LEU E CD2 827 LEU E CD2 1 
ATOM 13723 N N   . TRP B 2 827 ? 267.455 -92.815  240.037 1.0 39.94989  ? 828 TRP E N   828 TRP E N   1 
ATOM 13724 C CA  . TRP B 2 827 ? 266.366 -93.771  239.790 1.0 39.94989  ? 828 TRP E CA  828 TRP E CA  1 
ATOM 13725 C C   . TRP B 2 827 ? 264.995 -93.134  239.703 1.0 39.94989  ? 828 TRP E C   828 TRP E C   1 
ATOM 13726 O O   . TRP B 2 827 ? 264.726 -92.188  240.435 1.0 39.94989  ? 828 TRP E O   828 TRP E O   1 
ATOM 13727 C CB  . TRP B 2 827 ? 266.226 -94.798  240.911 1.0 39.94989  ? 828 TRP E CB  828 TRP E CB  1 
ATOM 13728 C CG  . TRP B 2 827 ? 267.328 -95.709  241.158 1.0 39.94989  ? 828 TRP E CG  828 TRP E CG  1 
ATOM 13729 C CD1 . TRP B 2 827 ? 268.151 -95.692  242.220 1.0 39.94989  ? 828 TRP E CD1 828 TRP E CD1 1 
ATOM 13730 C CD2 . TRP B 2 827 ? 267.748 -96.799  240.335 1.0 39.94989  ? 828 TRP E CD2 828 TRP E CD2 1 
ATOM 13731 N NE1 . TRP B 2 827 ? 269.053 -96.715  242.132 1.0 39.94989  ? 828 TRP E NE1 828 TRP E NE1 1 
ATOM 13732 C CE2 . TRP B 2 827 ? 268.833 -97.407  240.975 1.0 39.94989  ? 828 TRP E CE2 828 TRP E CE2 1 
ATOM 13733 C CE3 . TRP B 2 827 ? 267.308 -97.316  239.118 1.0 39.94989  ? 828 TRP E CE3 828 TRP E CE3 1 
ATOM 13734 C CZ2 . TRP B 2 827 ? 269.493 -98.503  240.443 1.0 39.94989  ? 828 TRP E CZ2 828 TRP E CZ2 1 
ATOM 13735 C CZ3 . TRP B 2 827 ? 267.957 -98.405  238.594 1.0 39.94989  ? 828 TRP E CZ3 828 TRP E CZ3 1 
ATOM 13736 C CH2 . TRP B 2 827 ? 269.040 -98.986  239.252 1.0 39.94989  ? 828 TRP E CH2 828 TRP E CH2 1 
ATOM 13737 N N   . GLN B 2 828 ? 264.113 -93.650  238.854 1.0 38.67275  ? 829 GLN E N   829 GLN E N   1 
ATOM 13738 C CA  . GLN B 2 828 ? 262.808 -93.034  238.687 1.0 38.67275  ? 829 GLN E CA  829 GLN E CA  1 
ATOM 13739 C C   . GLN B 2 828 ? 261.712 -94.079  238.573 1.0 38.67275  ? 829 GLN E C   829 GLN E C   1 
ATOM 13740 O O   . GLN B 2 828 ? 261.911 -95.150  237.999 1.0 38.67275  ? 829 GLN E O   829 GLN E O   1 
ATOM 13741 C CB  . GLN B 2 828 ? 262.791 -92.113  237.463 1.0 38.67275  ? 829 GLN E CB  829 GLN E CB  1 
ATOM 13742 C CG  . GLN B 2 828 ? 263.100 -92.790  236.145 1.0 38.67275  ? 829 GLN E CG  829 GLN E CG  1 
ATOM 13743 C CD  . GLN B 2 828 ? 263.140 -91.816  234.996 1.0 38.67275  ? 829 GLN E CD  829 GLN E CD  1 
ATOM 13744 O OE1 . GLN B 2 828 ? 262.885 -90.626  235.168 1.0 38.67275  ? 829 GLN E OE1 829 GLN E OE1 1 
ATOM 13745 N NE2 . GLN B 2 828 ? 263.458 -92.314  233.813 1.0 38.67275  ? 829 GLN E NE2 829 GLN E NE2 1 
ATOM 13746 N N   . ILE B 2 829 ? 260.559 -93.759  239.148 1.0 37.5285   ? 830 ILE E N   830 ILE E N   1 
ATOM 13747 C CA  . ILE B 2 829 ? 259.329 -94.514  238.961 1.0 37.5285   ? 830 ILE E CA  830 ILE E CA  1 
ATOM 13748 C C   . ILE B 2 829 ? 258.314 -93.558  238.351 1.0 37.5285   ? 830 ILE E C   830 ILE E C   1 
ATOM 13749 O O   . ILE B 2 829 ? 257.949 -92.564  238.981 1.0 37.5285   ? 830 ILE E O   830 ILE E O   1 
ATOM 13750 C CB  . ILE B 2 829 ? 258.780 -95.110  240.268 1.0 37.5285   ? 830 ILE E CB  830 ILE E CB  1 
ATOM 13751 C CG1 . ILE B 2 829 ? 259.718 -96.165  240.836 1.0 37.5285   ? 830 ILE E CG1 830 ILE E CG1 1 
ATOM 13752 C CG2 . ILE B 2 829 ? 257.446 -95.738  240.025 1.0 37.5285   ? 830 ILE E CG2 830 ILE E CG2 1 
ATOM 13753 C CD1 . ILE B 2 829 ? 260.609 -95.658  241.898 1.0 37.5285   ? 830 ILE E CD1 830 ILE E CD1 1 
ATOM 13754 N N   . PRO B 2 830 ? 257.840 -93.798  237.138 1.0 37.44725  ? 831 PRO E N   831 PRO E N   1 
ATOM 13755 C CA  . PRO B 2 830 ? 256.852 -92.900  236.546 1.0 37.44725  ? 831 PRO E CA  831 PRO E CA  1 
ATOM 13756 C C   . PRO B 2 830 ? 255.468 -93.165  237.108 1.0 37.44725  ? 831 PRO E C   831 PRO E C   1 
ATOM 13757 O O   . PRO B 2 830 ? 255.125 -94.284  237.488 1.0 37.44725  ? 831 PRO E O   831 PRO E O   1 
ATOM 13758 C CB  . PRO B 2 830 ? 256.922 -93.242  235.056 1.0 37.44725  ? 831 PRO E CB  831 PRO E CB  1 
ATOM 13759 C CG  . PRO B 2 830 ? 257.337 -94.659  235.037 1.0 37.44725  ? 831 PRO E CG  831 PRO E CG  1 
ATOM 13760 C CD  . PRO B 2 830 ? 258.252 -94.856  236.205 1.0 37.44725  ? 831 PRO E CD  831 PRO E CD  1 
ATOM 13761 N N   . PHE B 2 831 ? 254.668 -92.105  237.170 1.0 38.72575  ? 832 PHE E N   832 PHE E N   1 
ATOM 13762 C CA  . PHE B 2 831 ? 253.313 -92.205  237.708 1.0 38.72575  ? 832 PHE E CA  832 PHE E CA  1 
ATOM 13763 C C   . PHE B 2 831 ? 252.349 -92.476  236.555 1.0 38.72575  ? 832 PHE E C   832 PHE E C   1 
ATOM 13764 O O   . PHE B 2 831 ? 251.506 -91.664  236.180 1.0 38.72575  ? 832 PHE E O   832 PHE E O   1 
ATOM 13765 C CB  . PHE B 2 831 ? 252.965 -90.944  238.489 1.0 38.72575  ? 832 PHE E CB  832 PHE E CB  1 
ATOM 13766 C CG  . PHE B 2 831 ? 251.627 -90.988  239.165 1.0 38.72575  ? 832 PHE E CG  832 PHE E CG  1 
ATOM 13767 C CD1 . PHE B 2 831 ? 251.392 -91.863  240.207 1.0 38.72575  ? 832 PHE E CD1 832 PHE E CD1 1 
ATOM 13768 C CD2 . PHE B 2 831 ? 250.624 -90.112  238.794 1.0 38.72575  ? 832 PHE E CD2 832 PHE E CD2 1 
ATOM 13769 C CE1 . PHE B 2 831 ? 250.169 -91.895  240.835 1.0 38.72575  ? 832 PHE E CE1 832 PHE E CE1 1 
ATOM 13770 C CE2 . PHE B 2 831 ? 249.403 -90.136  239.421 1.0 38.72575  ? 832 PHE E CE2 832 PHE E CE2 1 
ATOM 13771 C CZ  . PHE B 2 831 ? 249.176 -91.029  240.442 1.0 38.72575  ? 832 PHE E CZ  832 PHE E CZ  1 
ATOM 13772 N N   . SER B 2 832 ? 252.507 -93.657  235.971 1.0 39.44301  ? 833 SER E N   833 SER E N   1 
ATOM 13773 C CA  . SER B 2 832 ? 251.722 -94.060  234.820 1.0 39.44301  ? 833 SER E CA  833 SER E CA  1 
ATOM 13774 C C   . SER B 2 832 ? 251.188 -95.466  235.044 1.0 39.44301  ? 833 SER E C   833 SER E C   1 
ATOM 13775 O O   . SER B 2 832 ? 251.563 -96.156  235.993 1.0 39.44301  ? 833 SER E O   833 SER E O   1 
ATOM 13776 C CB  . SER B 2 832 ? 252.547 -93.997  233.533 1.0 39.44301  ? 833 SER E CB  833 SER E CB  1 
ATOM 13777 O OG  . SER B 2 832 ? 251.777 -94.415  232.424 1.0 39.44301  ? 833 SER E OG  833 SER E OG  1 
ATOM 13778 N N   . SER B 2 833 ? 250.300 -95.885  234.146 1.0 41.3482   ? 834 SER E N   834 SER E N   1 
ATOM 13779 C CA  . SER B 2 833 ? 249.616 -97.161  234.308 1.0 41.3482   ? 834 SER E CA  834 SER E CA  1 
ATOM 13780 C C   . SER B 2 833 ? 250.485 -98.320  233.844 1.0 41.3482   ? 834 SER E C   834 SER E C   1 
ATOM 13781 O O   . SER B 2 833 ? 250.572 -99.352  234.516 1.0 41.3482   ? 834 SER E O   834 SER E O   1 
ATOM 13782 C CB  . SER B 2 833 ? 248.302 -97.139  233.536 1.0 41.3482   ? 834 SER E CB  834 SER E CB  1 
ATOM 13783 O OG  . SER B 2 833 ? 247.427 -96.146  234.037 1.0 41.3482   ? 834 SER E OG  834 SER E OG  1 
ATOM 13784 N N   . ASN B 2 834 ? 251.123 -98.166  232.688 1.0 39.57835  ? 835 ASN E N   835 ASN E N   1 
ATOM 13785 C CA  . ASN B 2 834 ? 251.991 -99.179  232.110 1.0 39.57835  ? 835 ASN E CA  835 ASN E CA  1 
ATOM 13786 C C   . ASN B 2 834 ? 253.457 -98.772  232.140 1.0 39.57835  ? 835 ASN E C   835 ASN E C   1 
ATOM 13787 O O   . ASN B 2 834 ? 254.263 -99.336  231.395 1.0 39.57835  ? 835 ASN E O   835 ASN E O   1 
ATOM 13788 C CB  . ASN B 2 834 ? 251.542 -99.484  230.683 1.0 39.57835  ? 835 ASN E CB  835 ASN E CB  1 
ATOM 13789 C CG  . ASN B 2 834 ? 251.352 -98.230  229.852 1.0 39.57835  ? 835 ASN E CG  835 ASN E CG  1 
ATOM 13790 O OD1 . ASN B 2 834 ? 251.577 -97.118  230.322 1.0 39.57835  ? 835 ASN E OD1 835 ASN E OD1 1 
ATOM 13791 N ND2 . ASN B 2 834 ? 250.935 -98.407  228.609 1.0 39.57835  ? 835 ASN E ND2 835 ASN E ND2 1 
ATOM 13792 N N   . PHE B 2 835 ? 253.801 -97.779  232.966 1.0 38.15564  ? 836 PHE E N   836 PHE E N   1 
ATOM 13793 C CA  . PHE B 2 835 ? 255.154 -97.253  233.169 1.0 38.15564  ? 836 PHE E CA  836 PHE E CA  1 
ATOM 13794 C C   . PHE B 2 835 ? 255.787 -96.711  231.892 1.0 38.15564  ? 836 PHE E C   836 PHE E C   1 
ATOM 13795 O O   . PHE B 2 835 ? 257.011 -96.627  231.799 1.0 38.15564  ? 836 PHE E O   836 PHE E O   1 
ATOM 13796 C CB  . PHE B 2 835 ? 256.080 -98.299  233.800 1.0 38.15564  ? 836 PHE E CB  836 PHE E CB  1 
ATOM 13797 C CG  . PHE B 2 835 ? 255.690 -98.694  235.187 1.0 38.15564  ? 836 PHE E CG  836 PHE E CG  1 
ATOM 13798 C CD1 . PHE B 2 835 ? 256.007 -97.886  236.260 1.0 38.15564  ? 836 PHE E CD1 836 PHE E CD1 1 
ATOM 13799 C CD2 . PHE B 2 835 ? 255.015 -99.879  235.420 1.0 38.15564  ? 836 PHE E CD2 836 PHE E CD2 1 
ATOM 13800 C CE1 . PHE B 2 835 ? 255.652 -98.244  237.539 1.0 38.15564  ? 836 PHE E CE1 836 PHE E CE1 1 
ATOM 13801 C CE2 . PHE B 2 835 ? 254.658 -100.244 236.698 1.0 38.15564  ? 836 PHE E CE2 836 PHE E CE2 1 
ATOM 13802 C CZ  . PHE B 2 835 ? 254.977 -99.425  237.757 1.0 38.15564  ? 836 PHE E CZ  836 PHE E CZ  1 
ATOM 13803 N N   . LEU B 2 836 ? 254.994 -96.327  230.902 1.0 37.63921  ? 837 LEU E N   837 LEU E N   1 
ATOM 13804 C CA  . LEU B 2 836 ? 255.534 -95.815  229.655 1.0 37.63921  ? 837 LEU E CA  837 LEU E CA  1 
ATOM 13805 C C   . LEU B 2 836 ? 255.423 -94.300  229.614 1.0 37.63921  ? 837 LEU E C   837 LEU E C   1 
ATOM 13806 O O   . LEU B 2 836 ? 254.891 -93.660  230.522 1.0 37.63921  ? 837 LEU E O   837 LEU E O   1 
ATOM 13807 C CB  . LEU B 2 836 ? 254.814 -96.426  228.454 1.0 37.63921  ? 837 LEU E CB  837 LEU E CB  1 
ATOM 13808 C CG  . LEU B 2 836 ? 254.940 -97.933  228.267 1.0 37.63921  ? 837 LEU E CG  837 LEU E CG  1 
ATOM 13809 C CD1 . LEU B 2 836 ? 254.131 -98.382  227.070 1.0 37.63921  ? 837 LEU E CD1 837 LEU E CD1 1 
ATOM 13810 C CD2 . LEU B 2 836 ? 256.383 -98.343  228.124 1.0 37.63921  ? 837 LEU E CD2 837 LEU E CD2 1 
ATOM 13811 N N   . ASN B 2 837 ? 255.935 -93.728  228.534 1.0 41.25725  ? 838 ASN E N   838 ASN E N   1 
ATOM 13812 C CA  . ASN B 2 837 ? 255.893 -92.291  228.299 1.0 41.25725  ? 838 ASN E CA  838 ASN E CA  1 
ATOM 13813 C C   . ASN B 2 837 ? 254.939 -92.062  227.131 1.0 41.25725  ? 838 ASN E C   838 ASN E C   1 
ATOM 13814 O O   . ASN B 2 837 ? 255.353 -91.987  225.974 1.0 41.25725  ? 838 ASN E O   838 ASN E O   1 
ATOM 13815 C CB  . ASN B 2 837 ? 257.285 -91.745  228.008 1.0 41.25725  ? 838 ASN E CB  838 ASN E CB  1 
ATOM 13816 C CG  . ASN B 2 837 ? 257.417 -90.265  228.320 1.0 41.25725  ? 838 ASN E CG  838 ASN E CG  1 
ATOM 13817 O OD1 . ASN B 2 837 ? 258.525 -89.736  228.384 1.0 41.25725  ? 838 ASN E OD1 838 ASN E OD1 1 
ATOM 13818 N ND2 . ASN B 2 837 ? 256.293 -89.593  228.532 1.0 41.25725  ? 838 ASN E ND2 838 ASN E ND2 1 
ATOM 13819 N N   . MET B 2 838 ? 253.654 -91.949  227.444 1.0 42.02209  ? 839 MET E N   839 MET E N   1 
ATOM 13820 C CA  . MET B 2 838 ? 252.658 -91.641  226.431 1.0 42.02209  ? 839 MET E CA  839 MET E CA  1 
ATOM 13821 C C   . MET B 2 838 ? 252.380 -90.151  226.336 1.0 42.02209  ? 839 MET E C   839 MET E C   1 
ATOM 13822 O O   . MET B 2 838 ? 251.834 -89.692  225.328 1.0 42.02209  ? 839 MET E O   839 MET E O   1 
ATOM 13823 C CB  . MET B 2 838 ? 251.361 -92.397  226.724 1.0 42.02209  ? 839 MET E CB  839 MET E CB  1 
ATOM 13824 C CG  . MET B 2 838 ? 251.500 -93.895  226.597 1.0 42.02209  ? 839 MET E CG  839 MET E CG  1 
ATOM 13825 S SD  . MET B 2 838 ? 249.956 -94.762  226.893 1.0 42.02209  ? 839 MET E SD  839 MET E SD  1 
ATOM 13826 C CE  . MET B 2 838 ? 249.835 -94.611  228.668 1.0 42.02209  ? 839 MET E CE  839 MET E CE  1 
ATOM 13827 N N   . GLY B 2 839 ? 252.745 -89.392  227.362 1.0 38.37583  ? 840 GLY E N   840 GLY E N   1 
ATOM 13828 C CA  . GLY B 2 839 ? 252.603 -87.949  227.341 1.0 38.37583  ? 840 GLY E CA  840 GLY E CA  1 
ATOM 13829 C C   . GLY B 2 839 ? 253.360 -87.351  228.502 1.0 38.37583  ? 840 GLY E C   840 GLY E C   1 
ATOM 13830 O O   . GLY B 2 839 ? 253.748 -88.047  229.442 1.0 38.37583  ? 840 GLY E O   840 GLY E O   1 
ATOM 13831 N N   . THR B 2 840 ? 253.584 -86.039  228.420 1.0 36.26462  ? 841 THR E N   841 THR E N   1 
ATOM 13832 C CA  . THR B 2 840 ? 254.192 -85.335  229.542 1.0 36.26462  ? 841 THR E CA  841 THR E CA  1 
ATOM 13833 C C   . THR B 2 840 ? 253.213 -85.243  230.701 1.0 36.26462  ? 841 THR E C   841 THR E C   1 
ATOM 13834 O O   . THR B 2 840 ? 253.544 -85.597  231.837 1.0 36.26462  ? 841 THR E O   841 THR E O   1 
ATOM 13835 C CB  . THR B 2 840 ? 254.656 -83.947  229.113 1.0 36.26462  ? 841 THR E CB  841 THR E CB  1 
ATOM 13836 O OG1 . THR B 2 840 ? 255.598 -84.070  228.043 1.0 36.26462  ? 841 THR E OG1 841 THR E OG1 1 
ATOM 13837 C CG2 . THR B 2 840 ? 255.329 -83.247  230.266 1.0 36.26462  ? 841 THR E CG2 841 THR E CG2 1 
ATOM 13838 N N   . LEU B 2 841 ? 252.002 -84.770  230.432 1.0 36.44253  ? 842 LEU E N   842 LEU E N   1 
ATOM 13839 C CA  . LEU B 2 841 ? 250.887 -85.010  231.336 1.0 36.44253  ? 842 LEU E CA  842 LEU E CA  1 
ATOM 13840 C C   . LEU B 2 841 ? 250.548 -86.488  231.250 1.0 36.44253  ? 842 LEU E C   842 LEU E C   1 
ATOM 13841 O O   . LEU B 2 841 ? 250.077 -86.959  230.212 1.0 36.44253  ? 842 LEU E O   842 LEU E O   1 
ATOM 13842 C CB  . LEU B 2 841 ? 249.693 -84.142  230.951 1.0 36.44253  ? 842 LEU E CB  842 LEU E CB  1 
ATOM 13843 C CG  . LEU B 2 841 ? 248.475 -83.994  231.869 1.0 36.44253  ? 842 LEU E CG  842 LEU E CG  1 
ATOM 13844 C CD1 . LEU B 2 841 ? 247.836 -82.672  231.612 1.0 36.44253  ? 842 LEU E CD1 842 LEU E CD1 1 
ATOM 13845 C CD2 . LEU B 2 841 ? 247.438 -85.055  231.629 1.0 36.44253  ? 842 LEU E CD2 842 LEU E CD2 1 
ATOM 13846 N N   . THR B 2 842 ? 250.782 -87.224  232.329 1.0 39.3448   ? 843 THR E N   843 THR E N   1 
ATOM 13847 C CA  . THR B 2 842 ? 250.604 -88.665  232.303 1.0 39.3448   ? 843 THR E CA  843 THR E CA  1 
ATOM 13848 C C   . THR B 2 842 ? 249.121 -89.031  232.327 1.0 39.3448   ? 843 THR E C   843 THR E C   1 
ATOM 13849 O O   . THR B 2 842 ? 248.241 -88.179  232.465 1.0 39.3448   ? 843 THR E O   843 THR E O   1 
ATOM 13850 C CB  . THR B 2 842 ? 251.326 -89.300  233.481 1.0 39.3448   ? 843 THR E CB  843 THR E CB  1 
ATOM 13851 O OG1 . THR B 2 842 ? 251.225 -90.724  233.393 1.0 39.3448   ? 843 THR E OG1 843 THR E OG1 1 
ATOM 13852 C CG2 . THR B 2 842 ? 250.697 -88.836  234.752 1.0 39.3448   ? 843 THR E CG2 843 THR E CG2 1 
ATOM 13853 N N   . ASP B 2 843 ? 248.844 -90.328  232.191 1.0 42.40939  ? 844 ASP E N   844 ASP E N   1 
ATOM 13854 C CA  . ASP B 2 843 ? 247.456 -90.766  232.118 1.0 42.40939  ? 844 ASP E CA  844 ASP E CA  1 
ATOM 13855 C C   . ASP B 2 843 ? 246.786 -90.817  233.485 1.0 42.40939  ? 844 ASP E C   844 ASP E C   1 
ATOM 13856 O O   . ASP B 2 843 ? 245.591 -90.529  233.590 1.0 42.40939  ? 844 ASP E O   844 ASP E O   1 
ATOM 13857 C CB  . ASP B 2 843 ? 247.358 -92.125  231.416 1.0 42.40939  ? 844 ASP E CB  844 ASP E CB  1 
ATOM 13858 C CG  . ASP B 2 843 ? 248.203 -93.202  232.069 1.0 42.40939  ? 844 ASP E CG  844 ASP E CG  1 
ATOM 13859 O OD1 . ASP B 2 843 ? 248.993 -92.895  232.983 1.0 42.40939  ? 844 ASP E OD1 844 ASP E OD1 1 
ATOM 13860 O OD2 . ASP B 2 843 ? 248.066 -94.376  231.668 1.0 42.40939  ? 844 ASP E OD2 844 ASP E OD2 1 
ATOM 13861 N N   . LEU B 2 844 ? 247.523 -91.171  234.534 1.0 40.74854  ? 845 LEU E N   845 LEU E N   1 
ATOM 13862 C CA  . LEU B 2 844 ? 246.950 -91.173  235.871 1.0 40.74854  ? 845 LEU E CA  845 LEU E CA  1 
ATOM 13863 C C   . LEU B 2 844 ? 246.874 -89.783  236.481 1.0 40.74854  ? 845 LEU E C   845 LEU E C   1 
ATOM 13864 O O   . LEU B 2 844 ? 246.231 -89.615  237.520 1.0 40.74854  ? 845 LEU E O   845 LEU E O   1 
ATOM 13865 C CB  . LEU B 2 844 ? 247.751 -92.092  236.790 1.0 40.74854  ? 845 LEU E CB  845 LEU E CB  1 
ATOM 13866 C CG  . LEU B 2 844 ? 247.701 -93.579  236.457 1.0 40.74854  ? 845 LEU E CG  845 LEU E CG  1 
ATOM 13867 C CD1 . LEU B 2 844 ? 248.626 -94.345  237.371 1.0 40.74854  ? 845 LEU E CD1 845 LEU E CD1 1 
ATOM 13868 C CD2 . LEU B 2 844 ? 246.289 -94.102  236.579 1.0 40.74854  ? 845 LEU E CD2 845 LEU E CD2 1 
ATOM 13869 N N   . GLY B 2 845 ? 247.511 -88.786  235.868 1.0 41.02259  ? 846 GLY E N   846 GLY E N   1 
ATOM 13870 C CA  . GLY B 2 845 ? 247.409 -87.432  236.375 1.0 41.02259  ? 846 GLY E CA  846 GLY E CA  1 
ATOM 13871 C C   . GLY B 2 845 ? 246.095 -86.768  236.040 1.0 41.02259  ? 846 GLY E C   846 GLY E C   1 
ATOM 13872 O O   . GLY B 2 845 ? 245.588 -85.966  236.829 1.0 41.02259  ? 846 GLY E O   846 GLY E O   1 
ATOM 13873 N N   . GLN B 2 846 ? 245.524 -87.080  234.879 1.0 41.64213  ? 847 GLN E N   847 GLN E N   1 
ATOM 13874 C CA  . GLN B 2 846 ? 244.205 -86.597  234.504 1.0 41.64213  ? 847 GLN E CA  847 GLN E CA  1 
ATOM 13875 C C   . GLN B 2 846 ? 243.114 -87.622  234.787 1.0 41.64213  ? 847 GLN E C   847 GLN E C   1 
ATOM 13876 O O   . GLN B 2 846 ? 242.010 -87.511  234.247 1.0 41.64213  ? 847 GLN E O   847 GLN E O   1 
ATOM 13877 C CB  . GLN B 2 846 ? 244.190 -86.185  233.034 1.0 41.64213  ? 847 GLN E CB  847 GLN E CB  1 
ATOM 13878 C CG  . GLN B 2 846 ? 244.485 -87.301  232.062 1.0 41.64213  ? 847 GLN E CG  847 GLN E CG  1 
ATOM 13879 C CD  . GLN B 2 846 ? 244.527 -86.806  230.637 1.0 41.64213  ? 847 GLN E CD  847 GLN E CD  1 
ATOM 13880 O OE1 . GLN B 2 846 ? 244.298 -85.629  230.376 1.0 41.64213  ? 847 GLN E OE1 847 GLN E OE1 1 
ATOM 13881 N NE2 . GLN B 2 846 ? 244.817 -87.700  229.704 1.0 41.64213  ? 847 GLN E NE2 847 GLN E NE2 1 
ATOM 13882 N N   . ASN B 2 847 ? 243.406 -88.614  235.621 1.0 45.18276  ? 848 ASN E N   848 ASN E N   1 
ATOM 13883 C CA  . ASN B 2 847 ? 242.400 -89.575  236.041 1.0 45.18276  ? 848 ASN E CA  848 ASN E CA  1 
ATOM 13884 C C   . ASN B 2 847 ? 241.409 -88.903  236.982 1.0 45.18276  ? 848 ASN E C   848 ASN E C   1 
ATOM 13885 O O   . ASN B 2 847 ? 241.738 -87.946  237.683 1.0 45.18276  ? 848 ASN E O   848 ASN E O   1 
ATOM 13886 C CB  . ASN B 2 847 ? 243.070 -90.760  236.736 1.0 45.18276  ? 848 ASN E CB  848 ASN E CB  1 
ATOM 13887 C CG  . ASN B 2 847 ? 242.144 -91.943  236.912 1.0 45.18276  ? 848 ASN E CG  848 ASN E CG  1 
ATOM 13888 O OD1 . ASN B 2 847 ? 240.996 -91.923  236.475 1.0 45.18276  ? 848 ASN E OD1 848 ASN E OD1 1 
ATOM 13889 N ND2 . ASN B 2 847 ? 242.638 -92.983  237.569 1.0 45.18276  ? 848 ASN E ND2 848 ASN E ND2 1 
ATOM 13890 N N   . VAL B 2 848 ? 240.177 -89.412  236.994 1.0 47.02228  ? 849 VAL E N   849 VAL E N   1 
ATOM 13891 C CA  . VAL B 2 848 ? 239.166 -88.846  237.879 1.0 47.02228  ? 849 VAL E CA  849 VAL E CA  1 
ATOM 13892 C C   . VAL B 2 848 ? 239.395 -89.271  239.327 1.0 47.02228  ? 849 VAL E C   849 VAL E C   1 
ATOM 13893 O O   . VAL B 2 848 ? 238.955 -88.575  240.250 1.0 47.02228  ? 849 VAL E O   849 VAL E O   1 
ATOM 13894 C CB  . VAL B 2 848 ? 237.764 -89.226  237.361 1.0 47.02228  ? 849 VAL E CB  849 VAL E CB  1 
ATOM 13895 C CG1 . VAL B 2 848 ? 237.488 -90.714  237.531 1.0 47.02228  ? 849 VAL E CG1 849 VAL E CG1 1 
ATOM 13896 C CG2 . VAL B 2 848 ? 236.666 -88.367  237.994 1.0 47.02228  ? 849 VAL E CG2 849 VAL E CG2 1 
ATOM 13897 N N   . MET B 2 849 ? 240.122 -90.368  239.554 1.0 47.4187   ? 850 MET E N   850 MET E N   1 
ATOM 13898 C CA  . MET B 2 849 ? 240.386 -90.814  240.917 1.0 47.4187   ? 850 MET E CA  850 MET E CA  1 
ATOM 13899 C C   . MET B 2 849 ? 241.408 -89.921  241.604 1.0 47.4187   ? 850 MET E C   850 MET E C   1 
ATOM 13900 O O   . MET B 2 849 ? 241.296 -89.652  242.804 1.0 47.4187   ? 850 MET E O   850 MET E O   1 
ATOM 13901 C CB  . MET B 2 849 ? 240.867 -92.264  240.907 1.0 47.4187   ? 850 MET E CB  850 MET E CB  1 
ATOM 13902 C CG  . MET B 2 849 ? 241.059 -92.874  242.284 1.0 47.4187   ? 850 MET E CG  850 MET E CG  1 
ATOM 13903 S SD  . MET B 2 849 ? 241.640 -94.575  242.205 1.0 47.4187   ? 850 MET E SD  850 MET E SD  1 
ATOM 13904 C CE  . MET B 2 849 ? 240.167 -95.395  241.605 1.0 47.4187   ? 850 MET E CE  850 MET E CE  1 
ATOM 13905 N N   . TYR B 2 850 ? 242.400 -89.436  240.862 1.0 45.80081  ? 851 TYR E N   851 TYR E N   1 
ATOM 13906 C CA  . TYR B 2 850 ? 243.499 -88.695  241.463 1.0 45.80081  ? 851 TYR E CA  851 TYR E CA  1 
ATOM 13907 C C   . TYR B 2 850 ? 243.358 -87.188  241.350 1.0 45.80081  ? 851 TYR E C   851 TYR E C   1 
ATOM 13908 O O   . TYR B 2 850 ? 243.837 -86.474  242.232 1.0 45.80081  ? 851 TYR E O   851 TYR E O   1 
ATOM 13909 C CB  . TYR B 2 850 ? 244.827 -89.127  240.840 1.0 45.80081  ? 851 TYR E CB  851 TYR E CB  1 
ATOM 13910 C CG  . TYR B 2 850 ? 245.171 -90.557  241.158 1.0 45.80081  ? 851 TYR E CG  851 TYR E CG  1 
ATOM 13911 C CD1 . TYR B 2 850 ? 245.732 -90.899  242.377 1.0 45.80081  ? 851 TYR E CD1 851 TYR E CD1 1 
ATOM 13912 C CD2 . TYR B 2 850 ? 244.912 -91.570  240.247 1.0 45.80081  ? 851 TYR E CD2 851 TYR E CD2 1 
ATOM 13913 C CE1 . TYR B 2 850 ? 246.037 -92.206  242.676 1.0 45.80081  ? 851 TYR E CE1 851 TYR E CE1 1 
ATOM 13914 C CE2 . TYR B 2 850 ? 245.214 -92.882  240.538 1.0 45.80081  ? 851 TYR E CE2 851 TYR E CE2 1 
ATOM 13915 C CZ  . TYR B 2 850 ? 245.776 -93.192  241.754 1.0 45.80081  ? 851 TYR E CZ  851 TYR E CZ  1 
ATOM 13916 O OH  . TYR B 2 850 ? 246.080 -94.497  242.053 1.0 45.80081  ? 851 TYR E OH  851 TYR E OH  1 
ATOM 13917 N N   . ALA B 2 851 ? 242.714 -86.676  240.303 1.0 48.91562  ? 852 ALA E N   852 ALA E N   1 
ATOM 13918 C CA  . ALA B 2 851 ? 242.591 -85.229  240.164 1.0 48.91562  ? 852 ALA E CA  852 ALA E CA  1 
ATOM 13919 C C   . ALA B 2 851 ? 241.527 -84.675  241.101 1.0 48.91562  ? 852 ALA E C   852 ALA E C   1 
ATOM 13920 O O   . ALA B 2 851 ? 241.806 -83.810  241.939 1.0 48.91562  ? 852 ALA E O   852 ALA E O   1 
ATOM 13921 C CB  . ALA B 2 851 ? 242.276 -84.859  238.716 1.0 48.91562  ? 852 ALA E CB  852 ALA E CB  1 
ATOM 13922 N N   . ASN B 2 852 ? 240.299 -85.169  240.983 1.0 50.70677  ? 853 ASN E N   853 ASN E N   1 
ATOM 13923 C CA  . ASN B 2 852 ? 239.170 -84.621  241.733 1.0 50.70677  ? 853 ASN E CA  853 ASN E CA  1 
ATOM 13924 C C   . ASN B 2 852 ? 238.966 -85.335  243.064 1.0 50.70677  ? 853 ASN E C   853 ASN E C   1 
ATOM 13925 O O   . ASN B 2 852 ? 237.870 -85.794  243.379 1.0 50.70677  ? 853 ASN E O   853 ASN E O   1 
ATOM 13926 C CB  . ASN B 2 852 ? 237.912 -84.689  240.879 1.0 50.70677  ? 853 ASN E CB  853 ASN E CB  1 
ATOM 13927 C CG  . ASN B 2 852 ? 237.961 -83.743  239.705 1.0 50.70677  ? 853 ASN E CG  853 ASN E CG  1 
ATOM 13928 O OD1 . ASN B 2 852 ? 238.401 -82.602  239.835 1.0 50.70677  ? 853 ASN E OD1 853 ASN E OD1 1 
ATOM 13929 N ND2 . ASN B 2 852 ? 237.515 -84.212  238.546 1.0 50.70677  ? 853 ASN E ND2 853 ASN E ND2 1 
ATOM 13930 N N   . SER B 2 853 ? 240.024 -85.419  243.861 1.0 49.11021  ? 854 SER E N   854 SER E N   1 
ATOM 13931 C CA  . SER B 2 853 ? 239.973 -86.058  245.170 1.0 49.11021  ? 854 SER E CA  854 SER E CA  1 
ATOM 13932 C C   . SER B 2 853 ? 241.116 -85.506  246.010 1.0 49.11021  ? 854 SER E C   854 SER E C   1 
ATOM 13933 O O   . SER B 2 853 ? 241.734 -84.496  245.658 1.0 49.11021  ? 854 SER E O   854 SER E O   1 
ATOM 13934 C CB  . SER B 2 853 ? 240.051 -87.582  245.046 1.0 49.11021  ? 854 SER E CB  854 SER E CB  1 
ATOM 13935 O OG  . SER B 2 853 ? 240.071 -88.193  246.324 1.0 49.11021  ? 854 SER E OG  854 SER E OG  1 
ATOM 13936 N N   . SER B 2 854 ? 241.398 -86.170  247.127 1.0 45.21902  ? 855 SER E N   855 SER E N   1 
ATOM 13937 C CA  . SER B 2 854 ? 242.529 -85.800  247.963 1.0 45.21902  ? 855 SER E CA  855 SER E CA  1 
ATOM 13938 C C   . SER B 2 854 ? 243.056 -87.047  248.654 1.0 45.21902  ? 855 SER E C   855 SER E C   1 
ATOM 13939 O O   . SER B 2 854 ? 242.293 -87.759  249.311 1.0 45.21902  ? 855 SER E O   855 SER E O   1 
ATOM 13940 C CB  . SER B 2 854 ? 242.134 -84.740  248.991 1.0 45.21902  ? 855 SER E CB  855 SER E CB  1 
ATOM 13941 O OG  . SER B 2 854 ? 241.223 -85.268  249.933 1.0 45.21902  ? 855 SER E OG  855 SER E OG  1 
ATOM 13942 N N   . HIS B 2 855 ? 244.353 -87.305  248.507 1.0 43.74747  ? 856 HIS E N   856 HIS E N   1 
ATOM 13943 C CA  . HIS B 2 855 ? 244.972 -88.518  249.016 1.0 43.74747  ? 856 HIS E CA  856 HIS E CA  1 
ATOM 13944 C C   . HIS B 2 855 ? 246.207 -88.183  249.832 1.0 43.74747  ? 856 HIS E C   856 HIS E C   1 
ATOM 13945 O O   . HIS B 2 855 ? 246.810 -87.121  249.679 1.0 43.74747  ? 856 HIS E O   856 HIS E O   1 
ATOM 13946 C CB  . HIS B 2 855 ? 245.383 -89.455  247.887 1.0 43.74747  ? 856 HIS E CB  856 HIS E CB  1 
ATOM 13947 C CG  . HIS B 2 855 ? 244.236 -90.021  247.119 1.0 43.74747  ? 856 HIS E CG  856 HIS E CG  1 
ATOM 13948 N ND1 . HIS B 2 855 ? 243.684 -89.381  246.033 1.0 43.74747  ? 856 HIS E ND1 856 HIS E ND1 1 
ATOM 13949 C CD2 . HIS B 2 855 ? 243.550 -91.177  247.266 1.0 43.74747  ? 856 HIS E CD2 856 HIS E CD2 1 
ATOM 13950 C CE1 . HIS B 2 855 ? 242.697 -90.113  245.550 1.0 43.74747  ? 856 HIS E CE1 856 HIS E CE1 1 
ATOM 13951 N NE2 . HIS B 2 855 ? 242.595 -91.209  246.280 1.0 43.74747  ? 856 HIS E NE2 856 HIS E NE2 1 
ATOM 13952 N N   . SER B 2 856 ? 246.591 -89.119  250.687 1.0 43.28795  ? 857 SER E N   857 SER E N   1 
ATOM 13953 C CA  . SER B 2 856 ? 247.840 -89.046  251.418 1.0 43.28795  ? 857 SER E CA  857 SER E CA  1 
ATOM 13954 C C   . SER B 2 856 ? 248.896 -89.843  250.662 1.0 43.28795  ? 857 SER E C   857 SER E C   1 
ATOM 13955 O O   . SER B 2 856 ? 248.676 -90.278  249.530 1.0 43.28795  ? 857 SER E O   857 SER E O   1 
ATOM 13956 C CB  . SER B 2 856 ? 247.649 -89.563  252.840 1.0 43.28795  ? 857 SER E CB  857 SER E CB  1 
ATOM 13957 O OG  . SER B 2 856 ? 247.357 -90.945  252.828 1.0 43.28795  ? 857 SER E OG  857 SER E OG  1 
ATOM 13958 N N   . LEU B 2 857 ? 250.055 -90.037  251.288 1.0 43.68089  ? 858 LEU E N   858 LEU E N   1 
ATOM 13959 C CA  . LEU B 2 857 ? 251.137 -90.816  250.696 1.0 43.68089  ? 858 LEU E CA  858 LEU E CA  1 
ATOM 13960 C C   . LEU B 2 857 ? 252.085 -91.246  251.800 1.0 43.68089  ? 858 LEU E C   858 LEU E C   1 
ATOM 13961 O O   . LEU B 2 857 ? 252.468 -90.427  252.638 1.0 43.68089  ? 858 LEU E O   858 LEU E O   1 
ATOM 13962 C CB  . LEU B 2 857 ? 251.897 -90.012  249.642 1.0 43.68089  ? 858 LEU E CB  858 LEU E CB  1 
ATOM 13963 C CG  . LEU B 2 857 ? 253.042 -90.775  248.986 1.0 43.68089  ? 858 LEU E CG  858 LEU E CG  1 
ATOM 13964 C CD1 . LEU B 2 857 ? 252.511 -91.981  248.264 1.0 43.68089  ? 858 LEU E CD1 858 LEU E CD1 1 
ATOM 13965 C CD2 . LEU B 2 857 ? 253.800 -89.892  248.041 1.0 43.68089  ? 858 LEU E CD2 858 LEU E CD2 1 
ATOM 13966 N N   . ASN B 2 858 ? 252.465 -92.521  251.798 1.0 45.28347  ? 859 ASN E N   859 ASN E N   1 
ATOM 13967 C CA  . ASN B 2 858 ? 253.388 -93.059  252.795 1.0 45.28347  ? 859 ASN E CA  859 ASN E CA  1 
ATOM 13968 C C   . ASN B 2 858 ? 254.236 -94.125  252.114 1.0 45.28347  ? 859 ASN E C   859 ASN E C   1 
ATOM 13969 O O   . ASN B 2 858 ? 253.826 -95.284  252.041 1.0 45.28347  ? 859 ASN E O   859 ASN E O   1 
ATOM 13970 C CB  . ASN B 2 858 ? 252.632 -93.641  253.982 1.0 45.28347  ? 859 ASN E CB  859 ASN E CB  1 
ATOM 13971 C CG  . ASN B 2 858 ? 253.541 -94.008  255.141 1.0 45.28347  ? 859 ASN E CG  859 ASN E CG  1 
ATOM 13972 O OD1 . ASN B 2 858 ? 254.747 -93.773  255.107 1.0 45.28347  ? 859 ASN E OD1 859 ASN E OD1 1 
ATOM 13973 N ND2 . ASN B 2 858 ? 252.963 -94.608  256.170 1.0 45.28347  ? 859 ASN E ND2 859 ASN E ND2 1 
ATOM 13974 N N   . MET B 2 859 ? 255.416 -93.748  251.640 1.0 45.69666  ? 860 MET E N   860 MET E N   1 
ATOM 13975 C CA  . MET B 2 859 ? 256.354 -94.731  251.127 1.0 45.69666  ? 860 MET E CA  860 MET E CA  1 
ATOM 13976 C C   . MET B 2 859 ? 257.530 -94.866  252.080 1.0 45.69666  ? 860 MET E C   860 MET E C   1 
ATOM 13977 O O   . MET B 2 859 ? 257.822 -93.968  252.872 1.0 45.69666  ? 860 MET E O   860 MET E O   1 
ATOM 13978 C CB  . MET B 2 859 ? 256.855 -94.366  249.730 1.0 45.69666  ? 860 MET E CB  860 MET E CB  1 
ATOM 13979 C CG  . MET B 2 859 ? 257.732 -93.157  249.676 1.0 45.69666  ? 860 MET E CG  860 MET E CG  1 
ATOM 13980 S SD  . MET B 2 859 ? 258.222 -92.746  248.004 1.0 45.69666  ? 860 MET E SD  860 MET E SD  1 
ATOM 13981 C CE  . MET B 2 859 ? 256.659 -92.169  247.393 1.0 45.69666  ? 860 MET E CE  860 MET E CE  1 
ATOM 13982 N N   . GLN B 2 860 ? 258.196 -96.013  252.012 1.0 47.73005  ? 861 GLN E N   861 GLN E N   1 
ATOM 13983 C CA  . GLN B 2 860 ? 259.342 -96.262  252.867 1.0 47.73005  ? 861 GLN E CA  861 GLN E CA  1 
ATOM 13984 C C   . GLN B 2 860 ? 260.371 -97.101  252.130 1.0 47.73005  ? 861 GLN E C   861 GLN E C   1 
ATOM 13985 O O   . GLN B 2 860 ? 260.024 -97.950  251.305 1.0 47.73005  ? 861 GLN E O   861 GLN E O   1 
ATOM 13986 C CB  . GLN B 2 860 ? 258.929 -96.935  254.183 1.0 47.73005  ? 861 GLN E CB  861 GLN E CB  1 
ATOM 13987 C CG  . GLN B 2 860 ? 258.322 -98.303  254.062 1.0 47.73005  ? 861 GLN E CG  861 GLN E CG  1 
ATOM 13988 C CD  . GLN B 2 860 ? 257.911 -98.858  255.401 1.0 47.73005  ? 861 GLN E CD  861 GLN E CD  1 
ATOM 13989 O OE1 . GLN B 2 860 ? 258.138 -98.234  256.435 1.0 47.73005  ? 861 GLN E OE1 861 GLN E OE1 1 
ATOM 13990 N NE2 . GLN B 2 860 ? 257.302 -100.036 255.395 1.0 47.73005  ? 861 GLN E NE2 861 GLN E NE2 1 
ATOM 13991 N N   . PHE B 2 861 ? 261.640 -96.832  252.418 1.0 48.22546  ? 862 PHE E N   862 PHE E N   1 
ATOM 13992 C CA  . PHE B 2 861 ? 262.769 -97.453  251.744 1.0 48.22546  ? 862 PHE E CA  862 PHE E CA  1 
ATOM 13993 C C   . PHE B 2 861 ? 263.515 -98.333  252.734 1.0 48.22546  ? 862 PHE E C   862 PHE E C   1 
ATOM 13994 O O   . PHE B 2 861 ? 263.348 -98.207  253.947 1.0 48.22546  ? 862 PHE E O   862 PHE E O   1 
ATOM 13995 C CB  . PHE B 2 861 ? 263.731 -96.403  251.178 1.0 48.22546  ? 862 PHE E CB  862 PHE E CB  1 
ATOM 13996 C CG  . PHE B 2 861 ? 263.154 -95.555  250.077 1.0 48.22546  ? 862 PHE E CG  862 PHE E CG  1 
ATOM 13997 C CD1 . PHE B 2 861 ? 262.002 -95.916  249.412 1.0 48.22546  ? 862 PHE E CD1 862 PHE E CD1 1 
ATOM 13998 C CD2 . PHE B 2 861 ? 263.782 -94.390  249.700 1.0 48.22546  ? 862 PHE E CD2 862 PHE E CD2 1 
ATOM 13999 C CE1 . PHE B 2 861 ? 261.479 -95.123  248.422 1.0 48.22546  ? 862 PHE E CE1 862 PHE E CE1 1 
ATOM 14000 C CE2 . PHE B 2 861 ? 263.264 -93.604  248.691 1.0 48.22546  ? 862 PHE E CE2 862 PHE E CE2 1 
ATOM 14001 C CZ  . PHE B 2 861 ? 262.116 -93.976  248.056 1.0 48.22546  ? 862 PHE E CZ  862 PHE E CZ  1 
ATOM 14002 N N   . THR B 2 862 ? 264.344 -99.235  252.214 1.0 49.47349  ? 863 THR E N   863 THR E N   1 
ATOM 14003 C CA  . THR B 2 862 ? 265.222 -100.028 253.079 1.0 49.47349  ? 863 THR E CA  863 THR E CA  1 
ATOM 14004 C C   . THR B 2 862 ? 266.576 -100.125 252.381 1.0 49.47349  ? 863 THR E C   863 THR E C   1 
ATOM 14005 O O   . THR B 2 862 ? 266.858 -101.102 251.683 1.0 49.47349  ? 863 THR E O   863 THR E O   1 
ATOM 14006 C CB  . THR B 2 862 ? 264.636 -101.401 253.376 1.0 49.47349  ? 863 THR E CB  863 THR E CB  1 
ATOM 14007 O OG1 . THR B 2 862 ? 263.307 -101.252 253.887 1.0 49.47349  ? 863 THR E OG1 863 THR E OG1 1 
ATOM 14008 C CG2 . THR B 2 862 ? 265.467 -102.111 254.440 1.0 49.47349  ? 863 THR E CG2 863 THR E CG2 1 
ATOM 14009 N N   . VAL B 2 863 ? 267.437 -99.150  252.640 1.0 48.66918  ? 864 VAL E N   864 VAL E N   1 
ATOM 14010 C CA  . VAL B 2 863 ? 268.671 -98.985  251.900 1.0 48.66918  ? 864 VAL E CA  864 VAL E CA  1 
ATOM 14011 C C   . VAL B 2 863 ? 269.804 -99.677  252.648 1.0 48.66918  ? 864 VAL E C   864 VAL E C   1 
ATOM 14012 O O   . VAL B 2 863 ? 269.659 -100.087 253.795 1.0 48.66918  ? 864 VAL E O   864 VAL E O   1 
ATOM 14013 C CB  . VAL B 2 863 ? 268.992 -97.496  251.658 1.0 48.66918  ? 864 VAL E CB  864 VAL E CB  1 
ATOM 14014 C CG1 . VAL B 2 863 ? 267.884 -96.845  250.873 1.0 48.66918  ? 864 VAL E CG1 864 VAL E CG1 1 
ATOM 14015 C CG2 . VAL B 2 863 ? 269.192 -96.782  252.972 1.0 48.66918  ? 864 VAL E CG2 864 VAL E CG2 1 
ATOM 14016 N N   . ASP B 2 864 ? 270.941 -99.839  251.975 1.0 50.70281  ? 865 ASP E N   865 ASP E N   1 
ATOM 14017 C CA  . ASP B 2 864 ? 272.097 -100.457 252.609 1.0 50.70281  ? 865 ASP E CA  865 ASP E CA  1 
ATOM 14018 C C   . ASP B 2 864 ? 272.674 -99.538  253.682 1.0 50.70281  ? 865 ASP E C   865 ASP E C   1 
ATOM 14019 O O   . ASP B 2 864 ? 272.796 -98.330  253.464 1.0 50.70281  ? 865 ASP E O   865 ASP E O   1 
ATOM 14020 C CB  . ASP B 2 864 ? 273.182 -100.775 251.586 1.0 50.70281  ? 865 ASP E CB  865 ASP E CB  1 
ATOM 14021 C CG  . ASP B 2 864 ? 272.838 -101.960 250.721 1.0 50.70281  ? 865 ASP E CG  865 ASP E CG  1 
ATOM 14022 O OD1 . ASP B 2 864 ? 272.122 -102.852 251.214 1.0 50.70281  ? 865 ASP E OD1 865 ASP E OD1 1 
ATOM 14023 O OD2 . ASP B 2 864 ? 273.286 -102.010 249.557 1.0 50.70281  ? 865 ASP E OD2 865 ASP E OD2 1 
ATOM 14024 N N   . PRO B 2 865 ? 273.033 -100.079 254.849 1.0 53.90634  ? 866 PRO E N   866 PRO E N   1 
ATOM 14025 C CA  . PRO B 2 865 ? 273.578 -99.248  255.931 1.0 53.90634  ? 866 PRO E CA  866 PRO E CA  1 
ATOM 14026 C C   . PRO B 2 865 ? 274.999 -98.812  255.609 1.0 53.90634  ? 866 PRO E C   866 PRO E C   1 
ATOM 14027 O O   . PRO B 2 865 ? 275.882 -99.644  255.398 1.0 53.90634  ? 866 PRO E O   866 PRO E O   1 
ATOM 14028 C CB  . PRO B 2 865 ? 273.543 -100.185 257.144 1.0 53.90634  ? 866 PRO E CB  866 PRO E CB  1 
ATOM 14029 C CG  . PRO B 2 865 ? 272.568 -101.249 256.784 1.0 53.90634  ? 866 PRO E CG  866 PRO E CG  1 
ATOM 14030 C CD  . PRO B 2 865 ? 272.729 -101.441 255.314 1.0 53.90634  ? 866 PRO E CD  866 PRO E CD  1 
ATOM 14031 N N   . MET B 2 866 ? 275.215 -97.504  255.569 1.0 58.03604  ? 867 MET E N   867 MET E N   1 
ATOM 14032 C CA  . MET B 2 866 ? 276.550 -96.944  255.443 1.0 58.03604  ? 867 MET E CA  867 MET E CA  1 
ATOM 14033 C C   . MET B 2 866 ? 277.132 -96.701  256.832 1.0 58.03604  ? 867 MET E C   867 MET E C   1 
ATOM 14034 O O   . MET B 2 866 ? 276.597 -97.160  257.843 1.0 58.03604  ? 867 MET E O   867 MET E O   1 
ATOM 14035 C CB  . MET B 2 866 ? 276.516 -95.670  254.610 1.0 58.03604  ? 867 MET E CB  867 MET E CB  1 
ATOM 14036 C CG  . MET B 2 866 ? 276.359 -95.907  253.126 1.0 58.03604  ? 867 MET E CG  867 MET E CG  1 
ATOM 14037 S SD  . MET B 2 866 ? 276.116 -94.365  252.231 1.0 58.03604  ? 867 MET E SD  867 MET E SD  1 
ATOM 14038 C CE  . MET B 2 866 ? 277.671 -93.541  252.537 1.0 58.03604  ? 867 MET E CE  867 MET E CE  1 
ATOM 14039 N N   . THR B 2 867 ? 278.244 -95.975  256.895 1.0 60.06384  ? 868 THR E N   868 THR E N   1 
ATOM 14040 C CA  . THR B 2 867 ? 278.919 -95.706  258.154 1.0 60.06384  ? 868 THR E CA  868 THR E CA  1 
ATOM 14041 C C   . THR B 2 867 ? 278.869 -94.241  258.556 1.0 60.06384  ? 868 THR E C   868 THR E C   1 
ATOM 14042 O O   . THR B 2 867 ? 279.429 -93.879  259.595 1.0 60.06384  ? 868 THR E O   868 THR E O   1 
ATOM 14043 C CB  . THR B 2 867 ? 280.376 -96.167  258.080 1.0 60.06384  ? 868 THR E CB  868 THR E CB  1 
ATOM 14044 O OG1 . THR B 2 867 ? 280.977 -96.058  259.375 1.0 60.06384  ? 868 THR E OG1 868 THR E OG1 1 
ATOM 14045 C CG2 . THR B 2 867 ? 281.153 -95.314  257.091 1.0 60.06384  ? 868 THR E CG2 868 THR E CG2 1 
ATOM 14046 N N   . GLU B 2 868 ? 278.221 -93.390  257.768 1.0 59.6427   ? 869 GLU E N   869 GLU E N   1 
ATOM 14047 C CA  . GLU B 2 868 ? 278.099 -91.976  258.086 1.0 59.6427   ? 869 GLU E CA  869 GLU E CA  1 
ATOM 14048 C C   . GLU B 2 868 ? 276.758 -91.496  257.552 1.0 59.6427   ? 869 GLU E C   869 GLU E C   1 
ATOM 14049 O O   . GLU B 2 868 ? 276.269 -92.050  256.560 1.0 59.6427   ? 869 GLU E O   869 GLU E O   1 
ATOM 14050 C CB  . GLU B 2 868 ? 279.272 -91.172  257.498 1.0 59.6427   ? 869 GLU E CB  869 GLU E CB  1 
ATOM 14051 C CG  . GLU B 2 868 ? 279.381 -91.145  255.992 1.0 59.6427   ? 869 GLU E CG  869 GLU E CG  1 
ATOM 14052 C CD  . GLU B 2 868 ? 280.612 -90.380  255.545 1.0 59.6427   ? 869 GLU E CD  869 GLU E CD  1 
ATOM 14053 O OE1 . GLU B 2 868 ? 281.364 -89.902  256.420 1.0 59.6427   ? 869 GLU E OE1 869 GLU E OE1 1 
ATOM 14054 O OE2 . GLU B 2 868 ? 280.834 -90.254  254.327 1.0 59.6427   ? 869 GLU E OE2 869 GLU E OE2 1 
ATOM 14055 N N   . PRO B 2 869 ? 276.120 -90.510  258.200 1.0 53.98172  ? 870 PRO E N   870 PRO E N   1 
ATOM 14056 C CA  . PRO B 2 869 ? 274.732 -90.182  257.850 1.0 53.98172  ? 870 PRO E CA  870 PRO E CA  1 
ATOM 14057 C C   . PRO B 2 869 ? 274.607 -89.541  256.480 1.0 53.98172  ? 870 PRO E C   870 PRO E C   1 
ATOM 14058 O O   . PRO B 2 869 ? 275.474 -88.782  256.045 1.0 53.98172  ? 870 PRO E O   870 PRO E O   1 
ATOM 14059 C CB  . PRO B 2 869 ? 274.308 -89.210  258.953 1.0 53.98172  ? 870 PRO E CB  870 PRO E CB  1 
ATOM 14060 C CG  . PRO B 2 869 ? 275.560 -88.606  259.414 1.0 53.98172  ? 870 PRO E CG  870 PRO E CG  1 
ATOM 14061 C CD  . PRO B 2 869 ? 276.590 -89.683  259.327 1.0 53.98172  ? 870 PRO E CD  870 PRO E CD  1 
ATOM 14062 N N   . THR B 2 870 ? 273.520 -89.884  255.794 1.0 48.93661  ? 871 THR E N   871 THR E N   1 
ATOM 14063 C CA  . THR B 2 870 ? 273.244 -89.433  254.441 1.0 48.93661  ? 871 THR E CA  871 THR E CA  1 
ATOM 14064 C C   . THR B 2 870 ? 271.841 -88.849  254.372 1.0 48.93661  ? 871 THR E C   871 THR E C   1 
ATOM 14065 O O   . THR B 2 870 ? 271.046 -88.973  255.304 1.0 48.93661  ? 871 THR E O   871 THR E O   1 
ATOM 14066 C CB  . THR B 2 870 ? 273.374 -90.577  253.424 1.0 48.93661  ? 871 THR E CB  871 THR E CB  1 
ATOM 14067 O OG1 . THR B 2 870 ? 272.505 -91.650  253.799 1.0 48.93661  ? 871 THR E OG1 871 THR E OG1 1 
ATOM 14068 C CG2 . THR B 2 870 ? 274.801 -91.081  253.338 1.0 48.93661  ? 871 THR E CG2 871 THR E CG2 1 
ATOM 14069 N N   . TYR B 2 871 ? 271.544 -88.197  253.251 1.0 46.63502  ? 872 TYR E N   872 TYR E N   1 
ATOM 14070 C CA  . TYR B 2 871 ? 270.205 -87.716  252.961 1.0 46.63502  ? 872 TYR E CA  872 TYR E CA  1 
ATOM 14071 C C   . TYR B 2 871 ? 269.467 -88.709  252.070 1.0 46.63502  ? 872 TYR E C   872 TYR E C   1 
ATOM 14072 O O   . TYR B 2 871 ? 269.908 -89.833  251.835 1.0 46.63502  ? 872 TYR E O   872 TYR E O   1 
ATOM 14073 C CB  . TYR B 2 871 ? 270.228 -86.346  252.283 1.0 46.63502  ? 872 TYR E CB  872 TYR E CB  1 
ATOM 14074 C CG  . TYR B 2 871 ? 270.607 -85.180  253.159 1.0 46.63502  ? 872 TYR E CG  872 TYR E CG  1 
ATOM 14075 C CD1 . TYR B 2 871 ? 269.746 -84.717  254.140 1.0 46.63502  ? 872 TYR E CD1 872 TYR E CD1 1 
ATOM 14076 C CD2 . TYR B 2 871 ? 271.789 -84.492  252.951 1.0 46.63502  ? 872 TYR E CD2 872 TYR E CD2 1 
ATOM 14077 C CE1 . TYR B 2 871 ? 270.080 -83.634  254.929 1.0 46.63502  ? 872 TYR E CE1 872 TYR E CE1 1 
ATOM 14078 C CE2 . TYR B 2 871 ? 272.126 -83.403  253.725 1.0 46.63502  ? 872 TYR E CE2 872 TYR E CE2 1 
ATOM 14079 C CZ  . TYR B 2 871 ? 271.271 -82.981  254.715 1.0 46.63502  ? 872 TYR E CZ  872 TYR E CZ  1 
ATOM 14080 O OH  . TYR B 2 871 ? 271.618 -81.897  255.485 1.0 46.63502  ? 872 TYR E OH  872 TYR E OH  1 
ATOM 14081 N N   . LEU B 2 872 ? 268.314 -88.272  251.576 1.0 44.65764  ? 873 LEU E N   873 LEU E N   1 
ATOM 14082 C CA  . LEU B 2 872 ? 267.528 -88.986  250.574 1.0 44.65764  ? 873 LEU E CA  873 LEU E CA  1 
ATOM 14083 C C   . LEU B 2 872 ? 266.933 -87.923  249.659 1.0 44.65764  ? 873 LEU E C   873 LEU E C   1 
ATOM 14084 O O   . LEU B 2 872 ? 265.915 -87.312  249.994 1.0 44.65764  ? 873 LEU E O   873 LEU E O   1 
ATOM 14085 C CB  . LEU B 2 872 ? 266.436 -89.824  251.218 1.0 44.65764  ? 873 LEU E CB  873 LEU E CB  1 
ATOM 14086 C CG  . LEU B 2 872 ? 265.508 -90.574  250.266 1.0 44.65764  ? 873 LEU E CG  873 LEU E CG  1 
ATOM 14087 C CD1 . LEU B 2 872 ? 266.241 -91.693  249.556 1.0 44.65764  ? 873 LEU E CD1 873 LEU E CD1 1 
ATOM 14088 C CD2 . LEU B 2 872 ? 264.300 -91.069  251.023 1.0 44.65764  ? 873 LEU E CD2 873 LEU E CD2 1 
ATOM 14089 N N   . MET B 2 873 ? 267.564 -87.685  248.516 1.0 43.43439  ? 874 MET E N   874 MET E N   1 
ATOM 14090 C CA  . MET B 2 873 ? 267.124 -86.613  247.627 1.0 43.43439  ? 874 MET E CA  874 MET E CA  1 
ATOM 14091 C C   . MET B 2 873 ? 265.912 -87.104  246.853 1.0 43.43439  ? 874 MET E C   874 MET E C   1 
ATOM 14092 O O   . MET B 2 873 ? 266.017 -87.568  245.723 1.0 43.43439  ? 874 MET E O   874 MET E O   1 
ATOM 14093 C CB  . MET B 2 873 ? 268.242 -86.191  246.686 1.0 43.43439  ? 874 MET E CB  874 MET E CB  1 
ATOM 14094 C CG  . MET B 2 873 ? 267.906 -84.973  245.844 1.0 43.43439  ? 874 MET E CG  874 MET E CG  1 
ATOM 14095 S SD  . MET B 2 873 ? 269.186 -84.536  244.669 1.0 43.43439  ? 874 MET E SD  874 MET E SD  1 
ATOM 14096 C CE  . MET B 2 873 ? 268.361 -83.205  243.816 1.0 43.43439  ? 874 MET E CE  874 MET E CE  1 
ATOM 14097 N N   . LEU B 2 874 ? 264.741 -87.000  247.464 1.0 40.82502  ? 875 LEU E N   875 LEU E N   1 
ATOM 14098 C CA  . LEU B 2 874 ? 263.512 -87.422  246.814 1.0 40.82502  ? 875 LEU E CA  875 LEU E CA  1 
ATOM 14099 C C   . LEU B 2 874 ? 262.966 -86.285  245.966 1.0 40.82502  ? 875 LEU E C   875 LEU E C   1 
ATOM 14100 O O   . LEU B 2 874 ? 262.844 -85.152  246.440 1.0 40.82502  ? 875 LEU E O   875 LEU E O   1 
ATOM 14101 C CB  . LEU B 2 874 ? 262.480 -87.858  247.850 1.0 40.82502  ? 875 LEU E CB  875 LEU E CB  1 
ATOM 14102 C CG  . LEU B 2 874 ? 261.177 -88.404  247.282 1.0 40.82502  ? 875 LEU E CG  875 LEU E CG  1 
ATOM 14103 C CD1 . LEU B 2 874 ? 261.451 -89.631  246.453 1.0 40.82502  ? 875 LEU E CD1 875 LEU E CD1 1 
ATOM 14104 C CD2 . LEU B 2 874 ? 260.236 -88.733  248.412 1.0 40.82502  ? 875 LEU E CD2 875 LEU E CD2 1 
ATOM 14105 N N   . LEU B 2 875 ? 262.647 -86.586  244.712 1.0 38.75759  ? 876 LEU E N   876 LEU E N   1 
ATOM 14106 C CA  . LEU B 2 875 ? 262.072 -85.618  243.791 1.0 38.75759  ? 876 LEU E CA  876 LEU E CA  1 
ATOM 14107 C C   . LEU B 2 875 ? 260.658 -86.037  243.429 1.0 38.75759  ? 876 LEU E C   876 LEU E C   1 
ATOM 14108 O O   . LEU B 2 875 ? 260.383 -87.224  243.239 1.0 38.75759  ? 876 LEU E O   876 LEU E O   1 
ATOM 14109 C CB  . LEU B 2 875 ? 262.892 -85.493  242.511 1.0 38.75759  ? 876 LEU E CB  876 LEU E CB  1 
ATOM 14110 C CG  . LEU B 2 875 ? 264.307 -84.948  242.631 1.0 38.75759  ? 876 LEU E CG  876 LEU E CG  1 
ATOM 14111 C CD1 . LEU B 2 875 ? 264.964 -84.883  241.265 1.0 38.75759  ? 876 LEU E CD1 876 LEU E CD1 1 
ATOM 14112 C CD2 . LEU B 2 875 ? 264.273 -83.600  243.287 1.0 38.75759  ? 876 LEU E CD2 876 LEU E CD2 1 
ATOM 14113 N N   . PHE B 2 876 ? 259.768 -85.061  243.329 1.0 38.23941  ? 877 PHE E N   877 PHE E N   1 
ATOM 14114 C CA  . PHE B 2 876 ? 258.401 -85.285  242.884 1.0 38.23941  ? 877 PHE E CA  877 PHE E CA  1 
ATOM 14115 C C   . PHE B 2 876 ? 258.221 -84.618  241.533 1.0 38.23941  ? 877 PHE E C   877 PHE E C   1 
ATOM 14116 O O   . PHE B 2 876 ? 258.437 -83.412  241.409 1.0 38.23941  ? 877 PHE E O   877 PHE E O   1 
ATOM 14117 C CB  . PHE B 2 876 ? 257.396 -84.717  243.879 1.0 38.23941  ? 877 PHE E CB  877 PHE E CB  1 
ATOM 14118 C CG  . PHE B 2 876 ? 257.364 -85.434  245.182 1.0 38.23941  ? 877 PHE E CG  877 PHE E CG  1 
ATOM 14119 C CD1 . PHE B 2 876 ? 256.652 -86.610  245.319 1.0 38.23941  ? 877 PHE E CD1 877 PHE E CD1 1 
ATOM 14120 C CD2 . PHE B 2 876 ? 258.034 -84.928  246.276 1.0 38.23941  ? 877 PHE E CD2 877 PHE E CD2 1 
ATOM 14121 C CE1 . PHE B 2 876 ? 256.615 -87.268  246.523 1.0 38.23941  ? 877 PHE E CE1 877 PHE E CE1 1 
ATOM 14122 C CE2 . PHE B 2 876 ? 257.998 -85.583  247.482 1.0 38.23941  ? 877 PHE E CE2 877 PHE E CE2 1 
ATOM 14123 C CZ  . PHE B 2 876 ? 257.288 -86.754  247.606 1.0 38.23941  ? 877 PHE E CZ  877 PHE E CZ  1 
ATOM 14124 N N   . GLY B 2 877 ? 257.818 -85.392  240.535 1.0 37.46775  ? 878 GLY E N   878 GLY E N   1 
ATOM 14125 C CA  . GLY B 2 877 ? 257.563 -84.829  239.227 1.0 37.46775  ? 878 GLY E CA  878 GLY E CA  1 
ATOM 14126 C C   . GLY B 2 877 ? 256.360 -83.912  239.222 1.0 37.46775  ? 878 GLY E C   878 GLY E C   1 
ATOM 14127 O O   . GLY B 2 877 ? 255.223 -84.362  239.370 1.0 37.46775  ? 878 GLY E O   878 GLY E O   1 
ATOM 14128 N N   . VAL B 2 878 ? 256.600 -82.613  239.089 1.0 36.32731  ? 879 VAL E N   879 VAL E N   1 
ATOM 14129 C CA  . VAL B 2 878 ? 255.536 -81.631  238.998 1.0 36.32731  ? 879 VAL E CA  879 VAL E CA  1 
ATOM 14130 C C   . VAL B 2 878 ? 255.723 -80.855  237.705 1.0 36.32731  ? 879 VAL E C   879 VAL E C   1 
ATOM 14131 O O   . VAL B 2 878 ? 256.753 -80.945  237.042 1.0 36.32731  ? 879 VAL E O   879 VAL E O   1 
ATOM 14132 C CB  . VAL B 2 878 ? 255.515 -80.670  240.200 1.0 36.32731  ? 879 VAL E CB  879 VAL E CB  1 
ATOM 14133 C CG1 . VAL B 2 878 ? 255.368 -81.430  241.500 1.0 36.32731  ? 879 VAL E CG1 879 VAL E CG1 1 
ATOM 14134 C CG2 . VAL B 2 878 ? 256.765 -79.837  240.216 1.0 36.32731  ? 879 VAL E CG2 879 VAL E CG2 1 
ATOM 14135 N N   . PHE B 2 879 ? 254.702 -80.099  237.342 1.0 36.50151  ? 880 PHE E N   880 PHE E N   1 
ATOM 14136 C CA  . PHE B 2 879 ? 254.883 -79.049  236.359 1.0 36.50151  ? 880 PHE E CA  880 PHE E CA  1 
ATOM 14137 C C   . PHE B 2 879 ? 255.294 -77.783  237.082 1.0 36.50151  ? 880 PHE E C   880 PHE E C   1 
ATOM 14138 O O   . PHE B 2 879 ? 255.117 -77.661  238.290 1.0 36.50151  ? 880 PHE E O   880 PHE E O   1 
ATOM 14139 C CB  . PHE B 2 879 ? 253.606 -78.819  235.568 1.0 36.50151  ? 880 PHE E CB  880 PHE E CB  1 
ATOM 14140 C CG  . PHE B 2 879 ? 253.232 -79.966  234.693 1.0 36.50151  ? 880 PHE E CG  880 PHE E CG  1 
ATOM 14141 C CD1 . PHE B 2 879 ? 253.811 -80.118  233.449 1.0 36.50151  ? 880 PHE E CD1 880 PHE E CD1 1 
ATOM 14142 C CD2 . PHE B 2 879 ? 252.313 -80.903  235.119 1.0 36.50151  ? 880 PHE E CD2 880 PHE E CD2 1 
ATOM 14143 C CE1 . PHE B 2 879 ? 253.473 -81.177  232.645 1.0 36.50151  ? 880 PHE E CE1 880 PHE E CE1 1 
ATOM 14144 C CE2 . PHE B 2 879 ? 251.972 -81.965  234.319 1.0 36.50151  ? 880 PHE E CE2 880 PHE E CE2 1 
ATOM 14145 C CZ  . PHE B 2 879 ? 252.553 -82.102  233.081 1.0 36.50151  ? 880 PHE E CZ  880 PHE E CZ  1 
ATOM 14146 N N   . ASP B 2 880 ? 255.873 -76.847  236.343 1.0 40.06583  ? 881 ASP E N   881 ASP E N   1 
ATOM 14147 C CA  . ASP B 2 880 ? 256.303 -75.596  236.966 1.0 40.06583  ? 881 ASP E CA  881 ASP E CA  1 
ATOM 14148 C C   . ASP B 2 880 ? 256.204 -74.515  235.891 1.0 40.06583  ? 881 ASP E C   881 ASP E C   1 
ATOM 14149 O O   . ASP B 2 880 ? 257.142 -74.300  235.126 1.0 40.06583  ? 881 ASP E O   881 ASP E O   1 
ATOM 14150 C CB  . ASP B 2 880 ? 257.711 -75.727  237.526 1.0 40.06583  ? 881 ASP E CB  881 ASP E CB  1 
ATOM 14151 C CG  . ASP B 2 880 ? 258.064 -74.620  238.495 1.0 40.06583  ? 881 ASP E CG  881 ASP E CG  1 
ATOM 14152 O OD1 . ASP B 2 880 ? 257.236 -73.712  238.710 1.0 40.06583  ? 881 ASP E OD1 881 ASP E OD1 1 
ATOM 14153 O OD2 . ASP B 2 880 ? 259.175 -74.668  239.059 1.0 40.06583  ? 881 ASP E OD2 881 ASP E OD2 1 
ATOM 14154 N N   . GLN B 2 881 ? 255.068 -73.830  235.860 1.0 38.89091  ? 882 GLN E N   882 GLN E N   1 
ATOM 14155 C CA  . GLN B 2 881 ? 254.718 -72.951  234.758 1.0 38.89091  ? 882 GLN E CA  882 GLN E CA  1 
ATOM 14156 C C   . GLN B 2 881 ? 254.784 -71.491  235.179 1.0 38.89091  ? 882 GLN E C   882 GLN E C   1 
ATOM 14157 O O   . GLN B 2 881 ? 254.594 -71.154  236.349 1.0 38.89091  ? 882 GLN E O   882 GLN E O   1 
ATOM 14158 C CB  . GLN B 2 881 ? 253.319 -73.271  234.243 1.0 38.89091  ? 882 GLN E CB  882 GLN E CB  1 
ATOM 14159 C CG  . GLN B 2 881 ? 253.187 -74.668  233.706 1.0 38.89091  ? 882 GLN E CG  882 GLN E CG  1 
ATOM 14160 C CD  . GLN B 2 881 ? 253.968 -74.882  232.437 1.0 38.89091  ? 882 GLN E CD  882 GLN E CD  1 
ATOM 14161 O OE1 . GLN B 2 881 ? 254.037 -73.998  231.589 1.0 38.89091  ? 882 GLN E OE1 882 GLN E OE1 1 
ATOM 14162 N NE2 . GLN B 2 881 ? 254.553 -76.062  232.291 1.0 38.89091  ? 882 GLN E NE2 882 GLN E NE2 1 
ATOM 14163 N N   . VAL B 2 882 ? 255.081 -70.633  234.204 1.0 35.69826  ? 883 VAL E N   883 VAL E N   1 
ATOM 14164 C CA  . VAL B 2 882 ? 255.121 -69.184  234.368 1.0 35.69826  ? 883 VAL E CA  883 VAL E CA  1 
ATOM 14165 C C   . VAL B 2 882 ? 254.407 -68.566  233.179 1.0 35.69826  ? 883 VAL E C   883 VAL E C   1 
ATOM 14166 O O   . VAL B 2 882 ? 254.728 -68.885  232.031 1.0 35.69826  ? 883 VAL E O   883 VAL E O   1 
ATOM 14167 C CB  . VAL B 2 882 ? 256.561 -68.636  234.430 1.0 35.69826  ? 883 VAL E CB  883 VAL E CB  1 
ATOM 14168 C CG1 . VAL B 2 882 ? 256.552 -67.132  234.512 1.0 35.69826  ? 883 VAL E CG1 883 VAL E CG1 1 
ATOM 14169 C CG2 . VAL B 2 882 ? 257.300 -69.180  235.599 1.0 35.69826  ? 883 VAL E CG2 883 VAL E CG2 1 
ATOM 14170 N N   . VAL B 2 883 ? 253.441 -67.695  233.438 1.0 36.43479  ? 884 VAL E N   884 VAL E N   1 
ATOM 14171 C CA  . VAL B 2 883 ? 252.974 -66.766  232.420 1.0 36.43479  ? 884 VAL E CA  884 VAL E CA  1 
ATOM 14172 C C   . VAL B 2 883 ? 253.505 -65.394  232.796 1.0 36.43479  ? 884 VAL E C   884 VAL E C   1 
ATOM 14173 O O   . VAL B 2 883 ? 253.727 -65.095  233.973 1.0 36.43479  ? 884 VAL E O   884 VAL E O   1 
ATOM 14174 C CB  . VAL B 2 883 ? 251.438 -66.749  232.259 1.0 36.43479  ? 884 VAL E CB  884 VAL E CB  1 
ATOM 14175 C CG1 . VAL B 2 883 ? 250.935 -68.107  231.830 1.0 36.43479  ? 884 VAL E CG1 884 VAL E CG1 1 
ATOM 14176 C CG2 . VAL B 2 883 ? 250.756 -66.325  233.538 1.0 36.43479  ? 884 VAL E CG2 884 VAL E CG2 1 
ATOM 14177 N N   . ILE B 2 884 ? 253.759 -64.571  231.788 1.0 39.0045   ? 885 ILE E N   885 ILE E N   1 
ATOM 14178 C CA  . ILE B 2 884 ? 254.264 -63.222  232.015 1.0 39.0045   ? 885 ILE E CA  885 ILE E CA  1 
ATOM 14179 C C   . ILE B 2 884 ? 253.811 -62.327  230.871 1.0 39.0045   ? 885 ILE E C   885 ILE E C   1 
ATOM 14180 O O   . ILE B 2 884 ? 253.997 -62.657  229.698 1.0 39.0045   ? 885 ILE E O   885 ILE E O   1 
ATOM 14181 C CB  . ILE B 2 884 ? 255.798 -63.207  232.195 1.0 39.0045   ? 885 ILE E CB  885 ILE E CB  1 
ATOM 14182 C CG1 . ILE B 2 884 ? 256.317 -61.777  232.269 1.0 39.0045   ? 885 ILE E CG1 885 ILE E CG1 1 
ATOM 14183 C CG2 . ILE B 2 884 ? 256.518 -64.062  231.173 1.0 39.0045   ? 885 ILE E CG2 885 ILE E CG2 1 
ATOM 14184 C CD1 . ILE B 2 884 ? 257.748 -61.695  232.667 1.0 39.0045   ? 885 ILE E CD1 885 ILE E CD1 1 
ATOM 14185 N N   . ASN B 2 885 ? 253.181 -61.208  231.210 1.0 44.48381  ? 886 ASN E N   886 ASN E N   1 
ATOM 14186 C CA  . ASN B 2 885 ? 252.644 -60.296  230.215 1.0 44.48381  ? 886 ASN E CA  886 ASN E CA  1 
ATOM 14187 C C   . ASN B 2 885 ? 253.051 -58.860  230.509 1.0 44.48381  ? 886 ASN E C   886 ASN E C   1 
ATOM 14188 O O   . ASN B 2 885 ? 253.159 -58.457  231.668 1.0 44.48381  ? 886 ASN E O   886 ASN E O   1 
ATOM 14189 C CB  . ASN B 2 885 ? 251.113 -60.422  230.121 1.0 44.48381  ? 886 ASN E CB  886 ASN E CB  1 
ATOM 14190 C CG  . ASN B 2 885 ? 250.430 -60.344  231.467 1.0 44.48381  ? 886 ASN E CG  886 ASN E CG  1 
ATOM 14191 O OD1 . ASN B 2 885 ? 251.080 -60.224  232.504 1.0 44.48381  ? 886 ASN E OD1 886 ASN E OD1 1 
ATOM 14192 N ND2 . ASN B 2 885 ? 249.106 -60.397  231.457 1.0 44.48381  ? 886 ASN E ND2 886 ASN E ND2 1 
ATOM 14193 N N   . GLN B 2 886 ? 253.304 -58.103  229.445 1.0 45.49896  ? 887 GLN E N   887 GLN E N   1 
ATOM 14194 C CA  . GLN B 2 886 ? 253.520 -56.665  229.536 1.0 45.49896  ? 887 GLN E CA  887 GLN E CA  1 
ATOM 14195 C C   . GLN B 2 886 ? 252.331 -55.988  228.873 1.0 45.49896  ? 887 GLN E C   887 GLN E C   1 
ATOM 14196 O O   . GLN B 2 886 ? 252.296 -55.877  227.641 1.0 45.49896  ? 887 GLN E O   887 GLN E O   1 
ATOM 14197 C CB  . GLN B 2 886 ? 254.823 -56.249  228.847 1.0 45.49896  ? 887 GLN E CB  887 GLN E CB  1 
ATOM 14198 C CG  . GLN B 2 886 ? 256.115 -56.655  229.546 1.0 45.49896  ? 887 GLN E CG  887 GLN E CG  1 
ATOM 14199 C CD  . GLN B 2 886 ? 256.485 -58.109  229.335 1.0 45.49896  ? 887 GLN E CD  887 GLN E CD  1 
ATOM 14200 O OE1 . GLN B 2 886 ? 256.537 -58.886  230.281 1.0 45.49896  ? 887 GLN E OE1 887 GLN E OE1 1 
ATOM 14201 N NE2 . GLN B 2 886 ? 256.768 -58.475  228.096 1.0 45.49896  ? 887 GLN E NE2 887 GLN E NE2 1 
ATOM 14202 N N   . PRO B 2 887 ? 251.323 -55.558  229.614 1.0 48.62009  ? 888 PRO E N   888 PRO E N   1 
ATOM 14203 C CA  . PRO B 2 887 ? 250.197 -54.873  228.969 1.0 48.62009  ? 888 PRO E CA  888 PRO E CA  1 
ATOM 14204 C C   . PRO B 2 887 ? 250.489 -53.407  228.699 1.0 48.62009  ? 888 PRO E C   888 PRO E C   1 
ATOM 14205 O O   . PRO B 2 887 ? 249.926 -52.815  227.774 1.0 48.62009  ? 888 PRO E O   888 PRO E O   1 
ATOM 14206 C CB  . PRO B 2 887 ? 249.060 -55.046  229.981 1.0 48.62009  ? 888 PRO E CB  888 PRO E CB  1 
ATOM 14207 C CG  . PRO B 2 887 ? 249.744 -55.167  231.285 1.0 48.62009  ? 888 PRO E CG  888 PRO E CG  1 
ATOM 14208 C CD  . PRO B 2 887 ? 251.034 -55.889  231.018 1.0 48.62009  ? 888 PRO E CD  888 PRO E CD  1 
ATOM 14209 N N   . THR B 2 888 ? 251.371 -52.816  229.498 1.0 50.45233  ? 889 THR E N   889 THR E N   1 
ATOM 14210 C CA  . THR B 2 888 ? 251.669 -51.394  229.437 1.0 50.45233  ? 889 THR E CA  889 THR E CA  1 
ATOM 14211 C C   . THR B 2 888 ? 253.174 -51.254  229.615 1.0 50.45233  ? 889 THR E C   889 THR E C   1 
ATOM 14212 O O   . THR B 2 888 ? 253.828 -52.158  230.138 1.0 50.45233  ? 889 THR E O   889 THR E O   1 
ATOM 14213 C CB  . THR B 2 888 ? 250.885 -50.628  230.528 1.0 50.45233  ? 889 THR E CB  889 THR E CB  1 
ATOM 14214 O OG1 . THR B 2 888 ? 249.520 -51.059  230.520 1.0 50.45233  ? 889 THR E OG1 889 THR E OG1 1 
ATOM 14215 C CG2 . THR B 2 888 ? 250.861 -49.122  230.279 1.0 50.45233  ? 889 THR E CG2 889 THR E CG2 1 
ATOM 14216 N N   . ARG B 2 889 ? 253.731 -50.142  229.137 1.0 47.03918  ? 890 ARG E N   890 ARG E N   1 
ATOM 14217 C CA  . ARG B 2 889 ? 255.140 -49.852  229.360 1.0 47.03918  ? 890 ARG E CA  890 ARG E CA  1 
ATOM 14218 C C   . ARG B 2 889 ? 255.439 -49.715  230.847 1.0 47.03918  ? 890 ARG E C   890 ARG E C   1 
ATOM 14219 O O   . ARG B 2 889 ? 254.799 -48.921  231.545 1.0 47.03918  ? 890 ARG E O   890 ARG E O   1 
ATOM 14220 C CB  . ARG B 2 889 ? 255.542 -48.575  228.642 1.0 47.03918  ? 890 ARG E CB  890 ARG E CB  1 
ATOM 14221 C CG  . ARG B 2 889 ? 256.997 -48.279  228.821 1.0 47.03918  ? 890 ARG E CG  890 ARG E CG  1 
ATOM 14222 C CD  . ARG B 2 889 ? 257.398 -47.001  228.150 1.0 47.03918  ? 890 ARG E CD  890 ARG E CD  1 
ATOM 14223 N NE  . ARG B 2 889 ? 258.796 -46.712  228.428 1.0 47.03918  ? 890 ARG E NE  890 ARG E NE  1 
ATOM 14224 C CZ  . ARG B 2 889 ? 259.803 -47.134  227.676 1.0 47.03918  ? 890 ARG E CZ  890 ARG E CZ  1 
ATOM 14225 N NH1 . ARG B 2 889 ? 259.563 -47.844  226.584 1.0 47.03918  ? 890 ARG E NH1 890 ARG E NH1 1 
ATOM 14226 N NH2 . ARG B 2 889 ? 261.048 -46.829  228.006 1.0 47.03918  ? 890 ARG E NH2 890 ARG E NH2 1 
ATOM 14227 N N   . SER B 2 890 ? 256.427 -50.487  231.309 1.0 49.82483  ? 891 SER E N   891 SER E N   1 
ATOM 14228 C CA  . SER B 2 890 ? 256.753 -50.694  232.722 1.0 49.82483  ? 891 SER E CA  891 SER E CA  1 
ATOM 14229 C C   . SER B 2 890 ? 255.518 -51.145  233.504 1.0 49.82483  ? 891 SER E C   891 SER E C   1 
ATOM 14230 O O   . SER B 2 890 ? 255.089 -50.524  234.476 1.0 49.82483  ? 891 SER E O   891 SER E O   1 
ATOM 14231 C CB  . SER B 2 890 ? 257.392 -49.448  233.343 1.0 49.82483  ? 891 SER E CB  891 SER E CB  1 
ATOM 14232 O OG  . SER B 2 890 ? 258.648 -49.172  232.750 1.0 49.82483  ? 891 SER E OG  891 SER E OG  1 
ATOM 14233 N N   . GLY B 2 891 ? 254.943 -52.249  233.039 1.0 49.37148  ? 892 GLY E N   892 GLY E N   1 
ATOM 14234 C CA  . GLY B 2 891 ? 253.773 -52.831  233.660 1.0 49.37148  ? 892 GLY E CA  892 GLY E CA  1 
ATOM 14235 C C   . GLY B 2 891 ? 253.872 -54.337  233.763 1.0 49.37148  ? 892 GLY E C   892 GLY E C   1 
ATOM 14236 O O   . GLY B 2 891 ? 252.867 -55.038  233.627 1.0 49.37148  ? 892 GLY E O   892 GLY E O   1 
ATOM 14237 N N   . ILE B 2 892 ? 255.086 -54.842  233.996 1.0 45.0682   ? 893 ILE E N   893 ILE E N   1 
ATOM 14238 C CA  . ILE B 2 892 ? 255.352 -56.273  233.925 1.0 45.0682   ? 893 ILE E CA  893 ILE E CA  1 
ATOM 14239 C C   . ILE B 2 892 ? 254.699 -56.991  235.105 1.0 45.0682   ? 893 ILE E C   893 ILE E C   1 
ATOM 14240 O O   . ILE B 2 892 ? 254.534 -56.430  236.197 1.0 45.0682   ? 893 ILE E O   893 ILE E O   1 
ATOM 14241 C CB  . ILE B 2 892 ? 256.876 -56.502  233.858 1.0 45.0682   ? 893 ILE E CB  893 ILE E CB  1 
ATOM 14242 C CG1 . ILE B 2 892 ? 257.227 -57.926  233.442 1.0 45.0682   ? 893 ILE E CG1 893 ILE E CG1 1 
ATOM 14243 C CG2 . ILE B 2 892 ? 257.569 -56.138  235.162 1.0 45.0682   ? 893 ILE E CG2 893 ILE E CG2 1 
ATOM 14244 C CD1 . ILE B 2 892 ? 258.670 -58.075  233.066 1.0 45.0682   ? 893 ILE E CD1 893 ILE E CD1 1 
ATOM 14245 N N   . SER B 2 893 ? 254.264 -58.227  234.865 1.0 43.87635  ? 894 SER E N   894 SER E N   1 
ATOM 14246 C CA  . SER B 2 893 ? 253.487 -58.975  235.841 1.0 43.87635  ? 894 SER E CA  894 SER E CA  1 
ATOM 14247 C C   . SER B 2 893 ? 253.583 -60.457  235.525 1.0 43.87635  ? 894 SER E C   894 SER E C   1 
ATOM 14248 O O   . SER B 2 893 ? 253.496 -60.852  234.361 1.0 43.87635  ? 894 SER E O   894 SER E O   1 
ATOM 14249 C CB  . SER B 2 893 ? 252.021 -58.539  235.826 1.0 43.87635  ? 894 SER E CB  894 SER E CB  1 
ATOM 14250 O OG  . SER B 2 893 ? 251.421 -58.892  234.596 1.0 43.87635  ? 894 SER E OG  894 SER E OG  1 
ATOM 14251 N N   . VAL B 2 894 ? 253.754 -61.271  236.561 1.0 40.58919  ? 895 VAL E N   895 VAL E N   1 
ATOM 14252 C CA  . VAL B 2 894 ? 253.832 -62.712  236.371 1.0 40.58919  ? 895 VAL E CA  895 VAL E CA  1 
ATOM 14253 C C   . VAL B 2 894 ? 252.734 -63.400  237.159 1.0 40.58919  ? 895 VAL E C   895 VAL E C   1 
ATOM 14254 O O   . VAL B 2 894 ? 251.979 -62.759  237.897 1.0 40.58919  ? 895 VAL E O   895 VAL E O   1 
ATOM 14255 C CB  . VAL B 2 894 ? 255.200 -63.276  236.788 1.0 40.58919  ? 895 VAL E CB  895 VAL E CB  1 
ATOM 14256 C CG1 . VAL B 2 894 ? 256.284 -62.715  235.929 1.0 40.58919  ? 895 VAL E CG1 895 VAL E CG1 1 
ATOM 14257 C CG2 . VAL B 2 894 ? 255.467 -62.982  238.234 1.0 40.58919  ? 895 VAL E CG2 895 VAL E CG2 1 
ATOM 14258 N N   . ALA B 2 895 ? 252.646 -64.720  236.995 1.0 37.98509  ? 896 ALA E N   896 ALA E N   1 
ATOM 14259 C CA  . ALA B 2 895 ? 251.758 -65.551  237.796 1.0 37.98509  ? 896 ALA E CA  896 ALA E CA  1 
ATOM 14260 C C   . ALA B 2 895 ? 252.372 -66.948  237.778 1.0 37.98509  ? 896 ALA E C   896 ALA E C   1 
ATOM 14261 O O   . ALA B 2 895 ? 252.279 -67.645  236.768 1.0 37.98509  ? 896 ALA E O   896 ALA E O   1 
ATOM 14262 C CB  . ALA B 2 895 ? 250.346 -65.553  237.240 1.0 37.98509  ? 896 ALA E CB  896 ALA E CB  1 
ATOM 14263 N N   . TYR B 2 896 ? 253.011 -67.334  238.873 1.0 39.9097   ? 897 TYR E N   897 TYR E N   1 
ATOM 14264 C CA  . TYR B 2 896 ? 253.627 -68.649  238.943 1.0 39.9097   ? 897 TYR E CA  897 TYR E CA  1 
ATOM 14265 C C   . TYR B 2 896 ? 252.582 -69.663  239.369 1.0 39.9097   ? 897 TYR E C   897 TYR E C   1 
ATOM 14266 O O   . TYR B 2 896 ? 251.712 -69.367  240.190 1.0 39.9097   ? 897 TYR E O   897 TYR E O   1 
ATOM 14267 C CB  . TYR B 2 896 ? 254.795 -68.693  239.928 1.0 39.9097   ? 897 TYR E CB  897 TYR E CB  1 
ATOM 14268 C CG  . TYR B 2 896 ? 256.027 -67.897  239.569 1.0 39.9097   ? 897 TYR E CG  897 TYR E CG  1 
ATOM 14269 C CD1 . TYR B 2 896 ? 256.137 -67.228  238.366 1.0 39.9097   ? 897 TYR E CD1 897 TYR E CD1 1 
ATOM 14270 C CD2 . TYR B 2 896 ? 257.108 -67.864  240.427 1.0 39.9097   ? 897 TYR E CD2 897 TYR E CD2 1 
ATOM 14271 C CE1 . TYR B 2 896 ? 257.264 -66.513  238.050 1.0 39.9097   ? 897 TYR E CE1 897 TYR E CE1 1 
ATOM 14272 C CE2 . TYR B 2 896 ? 258.241 -67.163  240.112 1.0 39.9097   ? 897 TYR E CE2 897 TYR E CE2 1 
ATOM 14273 C CZ  . TYR B 2 896 ? 258.312 -66.491  238.924 1.0 39.9097   ? 897 TYR E CZ  897 TYR E CZ  1 
ATOM 14274 O OH  . TYR B 2 896 ? 259.442 -65.784  238.605 1.0 39.9097   ? 897 TYR E OH  897 TYR E OH  1 
ATOM 14275 N N   . LEU B 2 897 ? 252.671 -70.862  238.808 1.0 38.34182  ? 898 LEU E N   898 LEU E N   1 
ATOM 14276 C CA  . LEU B 2 897 ? 251.784 -71.951  239.198 1.0 38.34182  ? 898 LEU E CA  898 LEU E CA  1 
ATOM 14277 C C   . LEU B 2 897 ? 252.528 -73.243  238.925 1.0 38.34182  ? 898 LEU E C   898 LEU E C   1 
ATOM 14278 O O   . LEU B 2 897 ? 252.728 -73.606  237.764 1.0 38.34182  ? 898 LEU E O   898 LEU E O   1 
ATOM 14279 C CB  . LEU B 2 897 ? 250.461 -71.899  238.434 1.0 38.34182  ? 898 LEU E CB  898 LEU E CB  1 
ATOM 14280 C CG  . LEU B 2 897 ? 249.252 -72.776  238.801 1.0 38.34182  ? 898 LEU E CG  898 LEU E CG  1 
ATOM 14281 C CD1 . LEU B 2 897 ? 249.277 -74.170  238.198 1.0 38.34182  ? 898 LEU E CD1 898 LEU E CD1 1 
ATOM 14282 C CD2 . LEU B 2 897 ? 249.143 -72.886  240.297 1.0 38.34182  ? 898 LEU E CD2 898 LEU E CD2 1 
ATOM 14283 N N   . ARG B 2 898 ? 252.942 -73.924  239.981 1.0 40.17878  ? 899 ARG E N   899 ARG E N   1 
ATOM 14284 C CA  . ARG B 2 898 ? 253.452 -75.274  239.848 1.0 40.17878  ? 899 ARG E CA  899 ARG E CA  1 
ATOM 14285 C C   . ARG B 2 898 ? 252.394 -76.249  240.339 1.0 40.17878  ? 899 ARG E C   899 ARG E C   1 
ATOM 14286 O O   . ARG B 2 898 ? 251.563 -75.918  241.185 1.0 40.17878  ? 899 ARG E O   899 ARG E O   1 
ATOM 14287 C CB  . ARG B 2 898 ? 254.767 -75.453  240.602 1.0 40.17878  ? 899 ARG E CB  899 ARG E CB  1 
ATOM 14288 C CG  . ARG B 2 898 ? 254.685 -75.371  242.078 1.0 40.17878  ? 899 ARG E CG  899 ARG E CG  1 
ATOM 14289 C CD  . ARG B 2 898 ? 256.059 -75.549  242.666 1.0 40.17878  ? 899 ARG E CD  899 ARG E CD  1 
ATOM 14290 N NE  . ARG B 2 898 ? 256.032 -75.548  244.118 1.0 40.17878  ? 899 ARG E NE  899 ARG E NE  1 
ATOM 14291 C CZ  . ARG B 2 898 ? 257.115 -75.653  244.874 1.0 40.17878  ? 899 ARG E CZ  899 ARG E CZ  1 
ATOM 14292 N NH1 . ARG B 2 898 ? 258.306 -75.754  244.306 1.0 40.17878  ? 899 ARG E NH1 899 ARG E NH1 1 
ATOM 14293 N NH2 . ARG B 2 898 ? 257.009 -75.647  246.194 1.0 40.17878  ? 899 ARG E NH2 899 ARG E NH2 1 
ATOM 14294 N N   . LEU B 2 899 ? 252.414 -77.444  239.784 1.0 39.7098   ? 900 LEU E N   900 LEU E N   1 
ATOM 14295 C CA  . LEU B 2 899 ? 251.257 -78.319  239.881 1.0 39.7098   ? 900 LEU E CA  900 LEU E CA  1 
ATOM 14296 C C   . LEU B 2 899 ? 251.716 -79.770  239.872 1.0 39.7098   ? 900 LEU E C   900 LEU E C   1 
ATOM 14297 O O   . LEU B 2 899 ? 252.445 -80.170  238.957 1.0 39.7098   ? 900 LEU E O   900 LEU E O   1 
ATOM 14298 C CB  . LEU B 2 899 ? 250.318 -78.030  238.712 1.0 39.7098   ? 900 LEU E CB  900 LEU E CB  1 
ATOM 14299 C CG  . LEU B 2 899 ? 248.954 -78.690  238.613 1.0 39.7098   ? 900 LEU E CG  900 LEU E CG  1 
ATOM 14300 C CD1 . LEU B 2 899 ? 248.077 -78.242  239.761 1.0 39.7098   ? 900 LEU E CD1 900 LEU E CD1 1 
ATOM 14301 C CD2 . LEU B 2 899 ? 248.329 -78.322  237.286 1.0 39.7098   ? 900 LEU E CD2 900 LEU E CD2 1 
ATOM 14302 N N   . PRO B 2 900 ? 251.310 -80.601  240.843 1.0 40.30467  ? 901 PRO E N   901 PRO E N   1 
ATOM 14303 C CA  . PRO B 2 900 ? 250.351 -80.420  241.936 1.0 40.30467  ? 901 PRO E CA  901 PRO E CA  1 
ATOM 14304 C C   . PRO B 2 900 ? 250.819 -79.650  243.167 1.0 40.30467  ? 901 PRO E C   901 PRO E C   1 
ATOM 14305 O O   . PRO B 2 900 ? 249.965 -79.215  243.935 1.0 40.30467  ? 901 PRO E O   901 PRO E O   1 
ATOM 14306 C CB  . PRO B 2 900 ? 250.048 -81.853  242.359 1.0 40.30467  ? 901 PRO E CB  901 PRO E CB  1 
ATOM 14307 C CG  . PRO B 2 900 ? 251.267 -82.590  242.035 1.0 40.30467  ? 901 PRO E CG  901 PRO E CG  1 
ATOM 14308 C CD  . PRO B 2 900 ? 251.788 -81.988  240.780 1.0 40.30467  ? 901 PRO E CD  901 PRO E CD  1 
ATOM 14309 N N   . PHE B 2 901 ? 252.124 -79.488  243.378 1.0 42.54163  ? 902 PHE E N   902 PHE E N   1 
ATOM 14310 C CA  . PHE B 2 901 ? 252.610 -78.973  244.661 1.0 42.54163  ? 902 PHE E CA  902 PHE E CA  1 
ATOM 14311 C C   . PHE B 2 901 ? 252.641 -77.446  244.646 1.0 42.54163  ? 902 PHE E C   902 PHE E C   1 
ATOM 14312 O O   . PHE B 2 901 ? 253.690 -76.815  244.780 1.0 42.54163  ? 902 PHE E O   902 PHE E O   1 
ATOM 14313 C CB  . PHE B 2 901 ? 253.979 -79.543  245.002 1.0 42.54163  ? 902 PHE E CB  902 PHE E CB  1 
ATOM 14314 C CG  . PHE B 2 901 ? 253.966 -80.986  245.422 1.0 42.54163  ? 902 PHE E CG  902 PHE E CG  1 
ATOM 14315 C CD1 . PHE B 2 901 ? 252.786 -81.681  245.602 1.0 42.54163  ? 902 PHE E CD1 902 PHE E CD1 1 
ATOM 14316 C CD2 . PHE B 2 901 ? 255.151 -81.627  245.699 1.0 42.54163  ? 902 PHE E CD2 902 PHE E CD2 1 
ATOM 14317 C CE1 . PHE B 2 901 ? 252.793 -82.998  245.998 1.0 42.54163  ? 902 PHE E CE1 902 PHE E CE1 1 
ATOM 14318 C CE2 . PHE B 2 901 ? 255.162 -82.934  246.110 1.0 42.54163  ? 902 PHE E CE2 902 PHE E CE2 1 
ATOM 14319 C CZ  . PHE B 2 901 ? 253.982 -83.619  246.254 1.0 42.54163  ? 902 PHE E CZ  902 PHE E CZ  1 
ATOM 14320 N N   . ALA B 2 902 ? 251.448 -76.864  244.517 1.0 44.30964  ? 903 ALA E N   903 ALA E N   1 
ATOM 14321 C CA  . ALA B 2 902 ? 251.271 -75.419  244.450 1.0 44.30964  ? 903 ALA E CA  903 ALA E CA  1 
ATOM 14322 C C   . ALA B 2 902 ? 251.716 -74.742  245.737 1.0 44.30964  ? 903 ALA E C   903 ALA E C   1 
ATOM 14323 O O   . ALA B 2 902 ? 251.739 -75.349  246.809 1.0 44.30964  ? 903 ALA E O   903 ALA E O   1 
ATOM 14324 C CB  . ALA B 2 902 ? 249.809 -75.078  244.168 1.0 44.30964  ? 903 ALA E CB  903 ALA E CB  1 
ATOM 14325 N N   . SER B 2 903 ? 252.080 -73.466  245.618 1.0 47.27685  ? 904 SER E N   904 SER E N   1 
ATOM 14326 C CA  . SER B 2 903 ? 252.735 -72.731  246.694 1.0 47.27685  ? 904 SER E CA  904 SER E CA  1 
ATOM 14327 C C   . SER B 2 903 ? 252.093 -71.355  246.870 1.0 47.27685  ? 904 SER E C   904 SER E C   1 
ATOM 14328 O O   . SER B 2 903 ? 252.777 -70.347  247.032 1.0 47.27685  ? 904 SER E O   904 SER E O   1 
ATOM 14329 C CB  . SER B 2 903 ? 254.221 -72.591  246.406 1.0 47.27685  ? 904 SER E CB  904 SER E CB  1 
ATOM 14330 O OG  . SER B 2 903 ? 254.416 -71.809  245.245 1.0 47.27685  ? 904 SER E OG  904 SER E OG  1 
ATOM 14331 N N   . GLY B 2 904 ? 250.767 -71.305  246.847 1.0 49.88048  ? 905 GLY E N   905 GLY E N   1 
ATOM 14332 C CA  . GLY B 2 904 ? 250.124 -70.010  246.875 1.0 49.88048  ? 905 GLY E CA  905 GLY E CA  1 
ATOM 14333 C C   . GLY B 2 904 ? 248.819 -69.872  247.630 1.0 49.88048  ? 905 GLY E C   905 GLY E C   1 
ATOM 14334 O O   . GLY B 2 904 ? 248.084 -68.914  247.384 1.0 49.88048  ? 905 GLY E O   905 GLY E O   1 
ATOM 14335 N N   . SER B 2 905 ? 248.529 -70.787  248.558 1.0 52.73691  ? 906 SER E N   906 SER E N   1 
ATOM 14336 C CA  . SER B 2 905 ? 247.219 -70.895  249.204 1.0 52.73691  ? 906 SER E CA  906 SER E CA  1 
ATOM 14337 C C   . SER B 2 905 ? 246.790 -69.677  250.020 1.0 52.73691  ? 906 SER E C   906 SER E C   1 
ATOM 14338 O O   . SER B 2 905 ? 247.555 -68.723  250.194 1.0 52.73691  ? 906 SER E O   906 SER E O   1 
ATOM 14339 C CB  . SER B 2 905 ? 247.187 -72.126  250.109 1.0 52.73691  ? 906 SER E CB  906 SER E CB  1 
ATOM 14340 O OG  . SER B 2 905 ? 245.958 -72.201  250.809 1.0 52.73691  ? 906 SER E OG  906 SER E OG  1 
ATOM 14341 N N   . ALA B 2 906 ? 245.556 -69.700  250.508 1.0 51.2232   ? 907 ALA E N   907 ALA E N   1 
ATOM 14342 C CA  . ALA B 2 906 ? 244.986 -68.568  251.228 1.0 51.2232   ? 907 ALA E CA  907 ALA E CA  1 
ATOM 14343 C C   . ALA B 2 906 ? 245.360 -68.573  252.709 1.0 51.2232   ? 907 ALA E C   907 ALA E C   1 
ATOM 14344 O O   . ALA B 2 906 ? 245.935 -69.533  253.215 1.0 51.2232   ? 907 ALA E O   907 ALA E O   1 
ATOM 14345 C CB  . ALA B 2 906 ? 243.484 -68.563  251.069 1.0 51.2232   ? 907 ALA E CB  907 ALA E CB  1 
ATOM 14346 N N   . MET C 3 1   ? 240.289 -76.086  238.609 1.0 55.25971  ? 1   MET F N   1   MET F N   1 
ATOM 14347 C CA  . MET C 3 1   ? 241.613 -76.632  238.336 1.0 55.25971  ? 1   MET F CA  1   MET F CA  1 
ATOM 14348 C C   . MET C 3 1   ? 241.706 -77.075  236.885 1.0 55.25971  ? 1   MET F C   1   MET F C   1 
ATOM 14349 O O   . MET C 3 1   ? 242.762 -76.985  236.266 1.0 55.25971  ? 1   MET F O   1   MET F O   1 
ATOM 14350 C CB  . MET C 3 1   ? 241.916 -77.800  239.282 1.0 55.25971  ? 1   MET F CB  1   MET F CB  1 
ATOM 14351 C CG  . MET C 3 1   ? 243.336 -78.379  239.208 1.0 55.25971  ? 1   MET F CG  1   MET F CG  1 
ATOM 14352 S SD  . MET C 3 1   ? 243.600 -79.706  238.011 1.0 55.25971  ? 1   MET F SD  1   MET F SD  1 
ATOM 14353 C CE  . MET C 3 1   ? 242.650 -81.021  238.770 1.0 55.25971  ? 1   MET F CE  1   MET F CE  1 
ATOM 14354 N N   . GLU C 3 2   ? 240.597 -77.561  236.346 1.0 54.9936   ? 2   GLU F N   2   GLU F N   1 
ATOM 14355 C CA  . GLU C 3 2   ? 240.572 -78.035  234.967 1.0 54.9936   ? 2   GLU F CA  2   GLU F CA  1 
ATOM 14356 C C   . GLU C 3 2   ? 240.614 -76.905  233.927 1.0 54.9936   ? 2   GLU F C   2   GLU F C   1 
ATOM 14357 O O   . GLU C 3 2   ? 241.297 -77.075  232.909 1.0 54.9936   ? 2   GLU F O   2   GLU F O   1 
ATOM 14358 C CB  . GLU C 3 2   ? 239.363 -78.957  234.753 1.0 54.9936   ? 2   GLU F CB  2   GLU F CB  1 
ATOM 14359 C CG  . GLU C 3 2   ? 239.272 -79.573  233.364 1.0 54.9936   ? 2   GLU F CG  2   GLU F CG  1 
ATOM 14360 C CD  . GLU C 3 2   ? 240.404 -80.539  233.073 1.0 54.9936   ? 2   GLU F CD  2   GLU F CD  1 
ATOM 14361 O OE1 . GLU C 3 2   ? 240.912 -81.175  234.020 1.0 54.9936   ? 2   GLU F OE1 2   GLU F OE1 1 
ATOM 14362 O OE2 . GLU C 3 2   ? 240.798 -80.653  231.893 1.0 54.9936   ? 2   GLU F OE2 2   GLU F OE2 1 
ATOM 14363 N N   . PRO C 3 3   ? 239.951 -75.748  234.097 1.0 50.01148  ? 3   PRO F N   3   PRO F N   1 
ATOM 14364 C CA  . PRO C 3 3   ? 240.311 -74.611  233.237 1.0 50.01148  ? 3   PRO F CA  3   PRO F CA  1 
ATOM 14365 C C   . PRO C 3 3   ? 241.606 -73.928  233.634 1.0 50.01148  ? 3   PRO F C   3   PRO F C   1 
ATOM 14366 O O   . PRO C 3 3   ? 242.123 -73.119  232.853 1.0 50.01148  ? 3   PRO F O   3   PRO F O   1 
ATOM 14367 C CB  . PRO C 3 3   ? 239.123 -73.656  233.392 1.0 50.01148  ? 3   PRO F CB  3   PRO F CB  1 
ATOM 14368 C CG  . PRO C 3 3   ? 238.551 -73.979  234.683 1.0 50.01148  ? 3   PRO F CG  3   PRO F CG  1 
ATOM 14369 C CD  . PRO C 3 3   ? 238.700 -75.450  234.827 1.0 50.01148  ? 3   PRO F CD  3   PRO F CD  1 
ATOM 14370 N N   . GLN C 3 4   ? 242.142 -74.224  234.817 1.0 47.33367  ? 4   GLN F N   4   GLN F N   1 
ATOM 14371 C CA  . GLN C 3 4   ? 243.419 -73.653  235.222 1.0 47.33367  ? 4   GLN F CA  4   GLN F CA  1 
ATOM 14372 C C   . GLN C 3 4   ? 244.576 -74.329  234.500 1.0 47.33367  ? 4   GLN F C   4   GLN F C   1 
ATOM 14373 O O   . GLN C 3 4   ? 245.631 -73.715  234.304 1.0 47.33367  ? 4   GLN F O   4   GLN F O   1 
ATOM 14374 C CB  . GLN C 3 4   ? 243.573 -73.781  236.737 1.0 47.33367  ? 4   GLN F CB  4   GLN F CB  1 
ATOM 14375 C CG  . GLN C 3 4   ? 244.745 -73.047  237.338 1.0 47.33367  ? 4   GLN F CG  4   GLN F CG  1 
ATOM 14376 C CD  . GLN C 3 4   ? 244.821 -73.226  238.831 1.0 47.33367  ? 4   GLN F CD  4   GLN F CD  1 
ATOM 14377 O OE1 . GLN C 3 4   ? 244.023 -73.952  239.419 1.0 47.33367  ? 4   GLN F OE1 4   GLN F OE1 1 
ATOM 14378 N NE2 . GLN C 3 4   ? 245.783 -72.565  239.458 1.0 47.33367  ? 4   GLN F NE2 4   GLN F NE2 1 
ATOM 14379 N N   . ARG C 3 5   ? 244.395 -75.588  234.094 1.0 44.97172  ? 5   ARG F N   5   ARG F N   1 
ATOM 14380 C CA  . ARG C 3 5   ? 245.419 -76.279  233.320 1.0 44.97172  ? 5   ARG F CA  5   ARG F CA  1 
ATOM 14381 C C   . ARG C 3 5   ? 245.576 -75.664  231.939 1.0 44.97172  ? 5   ARG F C   5   ARG F C   1 
ATOM 14382 O O   . ARG C 3 5   ? 246.690 -75.580  231.414 1.0 44.97172  ? 5   ARG F O   5   ARG F O   1 
ATOM 14383 C CB  . ARG C 3 5   ? 245.069 -77.756  233.187 1.0 44.97172  ? 5   ARG F CB  5   ARG F CB  1 
ATOM 14384 C CG  . ARG C 3 5   ? 245.140 -78.556  234.460 1.0 44.97172  ? 5   ARG F CG  5   ARG F CG  1 
ATOM 14385 C CD  . ARG C 3 5   ? 244.703 -79.974  234.176 1.0 44.97172  ? 5   ARG F CD  5   ARG F CD  1 
ATOM 14386 N NE  . ARG C 3 5   ? 244.746 -80.830  235.353 1.0 44.97172  ? 5   ARG F NE  5   ARG F NE  1 
ATOM 14387 C CZ  . ARG C 3 5   ? 244.323 -82.088  235.362 1.0 44.97172  ? 5   ARG F CZ  5   ARG F CZ  1 
ATOM 14388 N NH1 . ARG C 3 5   ? 244.400 -82.811  236.468 1.0 44.97172  ? 5   ARG F NH1 5   ARG F NH1 1 
ATOM 14389 N NH2 . ARG C 3 5   ? 243.821 -82.624  234.261 1.0 44.97172  ? 5   ARG F NH2 5   ARG F NH2 1 
ATOM 14390 N N   . GLU C 3 6   ? 244.475 -75.228  231.334 1.0 45.64888  ? 6   GLU F N   6   GLU F N   1 
ATOM 14391 C CA  . GLU C 3 6   ? 244.539 -74.661  229.997 1.0 45.64888  ? 6   GLU F CA  6   GLU F CA  1 
ATOM 14392 C C   . GLU C 3 6   ? 245.063 -73.235  229.988 1.0 45.64888  ? 6   GLU F C   6   GLU F C   1 
ATOM 14393 O O   . GLU C 3 6   ? 245.414 -72.728  228.920 1.0 45.64888  ? 6   GLU F O   6   GLU F O   1 
ATOM 14394 C CB  . GLU C 3 6   ? 243.159 -74.710  229.344 1.0 45.64888  ? 6   GLU F CB  6   GLU F CB  1 
ATOM 14395 C CG  . GLU C 3 6   ? 242.656 -76.119  229.106 1.0 45.64888  ? 6   GLU F CG  6   GLU F CG  1 
ATOM 14396 C CD  . GLU C 3 6   ? 241.284 -76.152  228.472 1.0 45.64888  ? 6   GLU F CD  6   GLU F CD  1 
ATOM 14397 O OE1 . GLU C 3 6   ? 240.673 -75.076  228.317 1.0 45.64888  ? 6   GLU F OE1 6   GLU F OE1 1 
ATOM 14398 O OE2 . GLU C 3 6   ? 240.814 -77.256  228.130 1.0 45.64888  ? 6   GLU F OE2 6   GLU F OE2 1 
ATOM 14399 N N   . PHE C 3 7   ? 245.121 -72.577  231.146 1.0 41.17365  ? 7   PHE F N   7   PHE F N   1 
ATOM 14400 C CA  . PHE C 3 7   ? 245.674 -71.230  231.197 1.0 41.17365  ? 7   PHE F CA  7   PHE F CA  1 
ATOM 14401 C C   . PHE C 3 7   ? 247.191 -71.255  231.275 1.0 41.17365  ? 7   PHE F C   7   PHE F C   1 
ATOM 14402 O O   . PHE C 3 7   ? 247.861 -70.453  230.618 1.0 41.17365  ? 7   PHE F O   7   PHE F O   1 
ATOM 14403 C CB  . PHE C 3 7   ? 245.098 -70.464  232.383 1.0 41.17365  ? 7   PHE F CB  7   PHE F CB  1 
ATOM 14404 C CG  . PHE C 3 7   ? 245.601 -69.059  232.488 1.0 41.17365  ? 7   PHE F CG  7   PHE F CG  1 
ATOM 14405 C CD1 . PHE C 3 7   ? 245.183 -68.098  231.587 1.0 41.17365  ? 7   PHE F CD1 7   PHE F CD1 1 
ATOM 14406 C CD2 . PHE C 3 7   ? 246.481 -68.694  233.491 1.0 41.17365  ? 7   PHE F CD2 7   PHE F CD2 1 
ATOM 14407 C CE1 . PHE C 3 7   ? 245.640 -66.802  231.676 1.0 41.17365  ? 7   PHE F CE1 7   PHE F CE1 1 
ATOM 14408 C CE2 . PHE C 3 7   ? 246.941 -67.398  233.586 1.0 41.17365  ? 7   PHE F CE2 7   PHE F CE2 1 
ATOM 14409 C CZ  . PHE C 3 7   ? 246.520 -66.452  232.678 1.0 41.17365  ? 7   PHE F CZ  7   PHE F CZ  1 
ATOM 14410 N N   . PHE C 3 8   ? 247.750 -72.162  232.067 1.0 40.21497  ? 8   PHE F N   8   PHE F N   1 
ATOM 14411 C CA  . PHE C 3 8   ? 249.192 -72.327  232.158 1.0 40.21497  ? 8   PHE F CA  8   PHE F CA  1 
ATOM 14412 C C   . PHE C 3 8   ? 249.717 -73.380  231.204 1.0 40.21497  ? 8   PHE F C   8   PHE F C   1 
ATOM 14413 O O   . PHE C 3 8   ? 250.909 -73.700  231.260 1.0 40.21497  ? 8   PHE F O   8   PHE F O   1 
ATOM 14414 C CB  . PHE C 3 8   ? 249.586 -72.675  233.587 1.0 40.21497  ? 8   PHE F CB  8   PHE F CB  1 
ATOM 14415 C CG  . PHE C 3 8   ? 249.336 -71.570  234.547 1.0 40.21497  ? 8   PHE F CG  8   PHE F CG  1 
ATOM 14416 C CD1 . PHE C 3 8   ? 250.245 -70.543  234.680 1.0 40.21497  ? 8   PHE F CD1 8   PHE F CD1 1 
ATOM 14417 C CD2 . PHE C 3 8   ? 248.173 -71.535  235.288 1.0 40.21497  ? 8   PHE F CD2 8   PHE F CD2 1 
ATOM 14418 C CE1 . PHE C 3 8   ? 250.008 -69.514  235.553 1.0 40.21497  ? 8   PHE F CE1 8   PHE F CE1 1 
ATOM 14419 C CE2 . PHE C 3 8   ? 247.932 -70.507  236.161 1.0 40.21497  ? 8   PHE F CE2 8   PHE F CE2 1 
ATOM 14420 C CZ  . PHE C 3 8   ? 248.848 -69.494  236.293 1.0 40.21497  ? 8   PHE F CZ  8   PHE F CZ  1 
ATOM 14421 N N   . HIS C 3 9   ? 248.840 -73.922  230.355 1.0 40.07013  ? 9   HIS F N   9   HIS F N   1 
ATOM 14422 C CA  . HIS C 3 9   ? 249.173 -74.853  229.277 1.0 40.07013  ? 9   HIS F CA  9   HIS F CA  1 
ATOM 14423 C C   . HIS C 3 9   ? 249.791 -76.142  229.809 1.0 40.07013  ? 9   HIS F C   9   HIS F C   1 
ATOM 14424 O O   . HIS C 3 9   ? 250.779 -76.648  229.277 1.0 40.07013  ? 9   HIS F O   9   HIS F O   1 
ATOM 14425 C CB  . HIS C 3 9   ? 250.059 -74.188  228.225 1.0 40.07013  ? 9   HIS F CB  9   HIS F CB  1 
ATOM 14426 C CG  . HIS C 3 9   ? 249.409 -73.012  227.573 1.0 40.07013  ? 9   HIS F CG  9   HIS F CG  1 
ATOM 14427 N ND1 . HIS C 3 9   ? 249.588 -71.722  228.020 1.0 40.07013  ? 9   HIS F ND1 9   HIS F ND1 1 
ATOM 14428 C CD2 . HIS C 3 9   ? 248.531 -72.936  226.546 1.0 40.07013  ? 9   HIS F CD2 9   HIS F CD2 1 
ATOM 14429 C CE1 . HIS C 3 9   ? 248.877 -70.897  227.273 1.0 40.07013  ? 9   HIS F CE1 9   HIS F CE1 1 
ATOM 14430 N NE2 . HIS C 3 9   ? 248.225 -71.609  226.372 1.0 40.07013  ? 9   HIS F NE2 9   HIS F NE2 1 
ATOM 14431 N N   . ILE C 3 10  ? 249.206 -76.663  230.887 1.0 39.29685  ? 10  ILE F N   10  ILE F N   1 
ATOM 14432 C CA  . ILE C 3 10  ? 249.417 -78.059  231.241 1.0 39.29685  ? 10  ILE F CA  10  ILE F CA  1 
ATOM 14433 C C   . ILE C 3 10  ? 248.792 -78.945  230.175 1.0 39.29685  ? 10  ILE F C   10  ILE F C   1 
ATOM 14434 O O   . ILE C 3 10  ? 249.405 -79.901  229.690 1.0 39.29685  ? 10  ILE F O   10  ILE F O   1 
ATOM 14435 C CB  . ILE C 3 10  ? 248.817 -78.360  232.625 1.0 39.29685  ? 10  ILE F CB  10  ILE F CB  1 
ATOM 14436 C CG1 . ILE C 3 10  ? 249.235 -77.315  233.649 1.0 39.29685  ? 10  ILE F CG1 10  ILE F CG1 1 
ATOM 14437 C CG2 . ILE C 3 10  ? 249.292 -79.696  233.120 1.0 39.29685  ? 10  ILE F CG2 10  ILE F CG2 1 
ATOM 14438 C CD1 . ILE C 3 10  ? 250.684 -77.285  233.923 1.0 39.29685  ? 10  ILE F CD1 10  ILE F CD1 1 
ATOM 14439 N N   . ALA C 3 11  ? 247.557 -78.625  229.795 1.0 39.83285  ? 11  ALA F N   11  ALA F N   1 
ATOM 14440 C CA  . ALA C 3 11  ? 246.849 -79.247  228.691 1.0 39.83285  ? 11  ALA F CA  11  ALA F CA  1 
ATOM 14441 C C   . ALA C 3 11  ? 246.242 -78.138  227.848 1.0 39.83285  ? 11  ALA F C   11  ALA F C   1 
ATOM 14442 O O   . ALA C 3 11  ? 246.472 -76.952  228.094 1.0 39.83285  ? 11  ALA F O   11  ALA F O   1 
ATOM 14443 C CB  . ALA C 3 11  ? 245.774 -80.213  229.192 1.0 39.83285  ? 11  ALA F CB  11  ALA F CB  1 
ATOM 14444 N N   . GLY C 3 12  ? 245.457 -78.518  226.848 1.0 38.88052  ? 12  GLY F N   12  GLY F N   1 
ATOM 14445 C CA  . GLY C 3 12  ? 244.791 -77.524  226.033 1.0 38.88052  ? 12  GLY F CA  12  GLY F CA  1 
ATOM 14446 C C   . GLY C 3 12  ? 245.338 -77.402  224.628 1.0 38.88052  ? 12  GLY F C   12  GLY F C   1 
ATOM 14447 O O   . GLY C 3 12  ? 245.720 -78.401  224.016 1.0 38.88052  ? 12  GLY F O   12  GLY F O   1 
ATOM 14448 N N   . ARG C 3 13  ? 245.384 -76.181  224.108 1.0 39.16384  ? 13  ARG F N   13  ARG F N   1 
ATOM 14449 C CA  . ARG C 3 13  ? 245.751 -75.961  222.719 1.0 39.16384  ? 13  ARG F CA  13  ARG F CA  1 
ATOM 14450 C C   . ARG C 3 13  ? 247.257 -75.808  222.561 1.0 39.16384  ? 13  ARG F C   13  ARG F C   1 
ATOM 14451 O O   . ARG C 3 13  ? 247.959 -75.368  223.473 1.0 39.16384  ? 13  ARG F O   13  ARG F O   1 
ATOM 14452 C CB  . ARG C 3 13  ? 245.052 -74.718  222.177 1.0 39.16384  ? 13  ARG F CB  13  ARG F CB  1 
ATOM 14453 C CG  . ARG C 3 13  ? 243.551 -74.847  222.097 1.0 39.16384  ? 13  ARG F CG  13  ARG F CG  1 
ATOM 14454 C CD  . ARG C 3 13  ? 242.925 -73.567  221.598 1.0 39.16384  ? 13  ARG F CD  13  ARG F CD  1 
ATOM 14455 N NE  . ARG C 3 13  ? 243.079 -72.487  222.563 1.0 39.16384  ? 13  ARG F NE  13  ARG F NE  1 
ATOM 14456 C CZ  . ARG C 3 13  ? 242.746 -71.226  222.321 1.0 39.16384  ? 13  ARG F CZ  13  ARG F CZ  1 
ATOM 14457 N NH1 . ARG C 3 13  ? 242.239 -70.892  221.144 1.0 39.16384  ? 13  ARG F NH1 13  ARG F NH1 1 
ATOM 14458 N NH2 . ARG C 3 13  ? 242.917 -70.301  223.253 1.0 39.16384  ? 13  ARG F NH2 13  ARG F NH2 1 
ATOM 14459 N N   . SER C 3 14  ? 247.747 -76.171  221.380 1.0 40.31469  ? 14  SER F N   14  SER F N   1 
ATOM 14460 C CA  . SER C 3 14  ? 249.154 -76.029  221.057 1.0 40.31469  ? 14  SER F CA  14  SER F CA  1 
ATOM 14461 C C   . SER C 3 14  ? 249.455 -74.593  220.649 1.0 40.31469  ? 14  SER F C   14  SER F C   1 
ATOM 14462 O O   . SER C 3 14  ? 248.552 -73.781  220.443 1.0 40.31469  ? 14  SER F O   14  SER F O   1 
ATOM 14463 C CB  . SER C 3 14  ? 249.545 -77.000  219.946 1.0 40.31469  ? 14  SER F CB  14  SER F CB  1 
ATOM 14464 O OG  . SER C 3 14  ? 248.868 -76.703  218.742 1.0 40.31469  ? 14  SER F OG  14  SER F OG  1 
ATOM 14465 N N   . ALA C 3 15  ? 250.749 -74.290  220.503 1.0 40.6832   ? 15  ALA F N   15  ALA F N   1 
ATOM 14466 C CA  . ALA C 3 15  ? 251.193 -72.918  220.271 1.0 40.6832   ? 15  ALA F CA  15  ALA F CA  1 
ATOM 14467 C C   . ALA C 3 15  ? 250.788 -72.378  218.908 1.0 40.6832   ? 15  ALA F C   15  ALA F C   1 
ATOM 14468 O O   . ALA C 3 15  ? 250.763 -71.159  218.724 1.0 40.6832   ? 15  ALA F O   15  ALA F O   1 
ATOM 14469 C CB  . ALA C 3 15  ? 252.707 -72.823  220.430 1.0 40.6832   ? 15  ALA F CB  15  ALA F CB  1 
ATOM 14470 N N   . LYS C 3 16  ? 250.453 -73.247  217.957 1.0 42.62411  ? 16  LYS F N   16  LYS F N   1 
ATOM 14471 C CA  . LYS C 3 16  ? 249.920 -72.793  216.682 1.0 42.62411  ? 16  LYS F CA  16  LYS F CA  1 
ATOM 14472 C C   . LYS C 3 16  ? 248.473 -72.335  216.780 1.0 42.62411  ? 16  LYS F C   16  LYS F C   1 
ATOM 14473 O O   . LYS C 3 16  ? 247.950 -71.789  215.805 1.0 42.62411  ? 16  LYS F O   16  LYS F O   1 
ATOM 14474 C CB  . LYS C 3 16  ? 250.018 -73.914  215.648 1.0 42.62411  ? 16  LYS F CB  16  LYS F CB  1 
ATOM 14475 C CG  . LYS C 3 16  ? 251.422 -74.432  215.411 1.0 42.62411  ? 16  LYS F CG  16  LYS F CG  1 
ATOM 14476 C CD  . LYS C 3 16  ? 252.309 -73.373  214.794 1.0 42.62411  ? 16  LYS F CD  16  LYS F CD  1 
ATOM 14477 C CE  . LYS C 3 16  ? 251.889 -73.072  213.366 1.0 42.62411  ? 16  LYS F CE  16  LYS F CE  1 
ATOM 14478 N NZ  . LYS C 3 16  ? 252.081 -74.242  212.470 1.0 42.62411  ? 16  LYS F NZ  16  LYS F NZ  1 
ATOM 14479 N N   . GLU C 3 17  ? 247.815 -72.544  217.917 1.0 40.76519  ? 17  GLU F N   17  GLU F N   1 
ATOM 14480 C CA  . GLU C 3 17  ? 246.379 -72.342  218.034 1.0 40.76519  ? 17  GLU F CA  17  GLU F CA  1 
ATOM 14481 C C   . GLU C 3 17  ? 245.979 -71.237  218.995 1.0 40.76519  ? 17  GLU F C   17  GLU F C   1 
ATOM 14482 O O   . GLU C 3 17  ? 245.027 -70.511  218.710 1.0 40.76519  ? 17  GLU F O   17  GLU F O   1 
ATOM 14483 C CB  . GLU C 3 17  ? 245.705 -73.646  218.463 1.0 40.76519  ? 17  GLU F CB  17  GLU F CB  1 
ATOM 14484 C CG  . GLU C 3 17  ? 245.800 -74.744  217.426 1.0 40.76519  ? 17  GLU F CG  17  GLU F CG  1 
ATOM 14485 C CD  . GLU C 3 17  ? 245.169 -76.041  217.889 1.0 40.76519  ? 17  GLU F CD  17  GLU F CD  1 
ATOM 14486 O OE1 . GLU C 3 17  ? 244.761 -76.120  219.066 1.0 40.76519  ? 17  GLU F OE1 17  GLU F OE1 1 
ATOM 14487 O OE2 . GLU C 3 17  ? 245.084 -76.984  217.077 1.0 40.76519  ? 17  GLU F OE2 17  GLU F OE2 1 
ATOM 14488 N N   . TYR C 3 18  ? 246.652 -71.078  220.134 1.0 38.29905  ? 18  TYR F N   18  TYR F N   1 
ATOM 14489 C CA  . TYR C 3 18  ? 246.229 -70.032  221.055 1.0 38.29905  ? 18  TYR F CA  18  TYR F CA  1 
ATOM 14490 C C   . TYR C 3 18  ? 246.921 -68.702  220.816 1.0 38.29905  ? 18  TYR F C   18  TYR F C   1 
ATOM 14491 O O   . TYR C 3 18  ? 246.469 -67.689  221.356 1.0 38.29905  ? 18  TYR F O   18  TYR F O   1 
ATOM 14492 C CB  . TYR C 3 18  ? 246.420 -70.452  222.521 1.0 38.29905  ? 18  TYR F CB  18  TYR F CB  1 
ATOM 14493 C CG  . TYR C 3 18  ? 247.834 -70.678  223.004 1.0 38.29905  ? 18  TYR F CG  18  TYR F CG  1 
ATOM 14494 C CD1 . TYR C 3 18  ? 248.397 -71.936  222.966 1.0 38.29905  ? 18  TYR F CD1 18  TYR F CD1 1 
ATOM 14495 C CD2 . TYR C 3 18  ? 248.585 -69.646  223.552 1.0 38.29905  ? 18  TYR F CD2 18  TYR F CD2 1 
ATOM 14496 C CE1 . TYR C 3 18  ? 249.672 -72.161  223.421 1.0 38.29905  ? 18  TYR F CE1 18  TYR F CE1 1 
ATOM 14497 C CE2 . TYR C 3 18  ? 249.866 -69.863  224.005 1.0 38.29905  ? 18  TYR F CE2 18  TYR F CE2 1 
ATOM 14498 C CZ  . TYR C 3 18  ? 250.400 -71.125  223.937 1.0 38.29905  ? 18  TYR F CZ  18  TYR F CZ  1 
ATOM 14499 O OH  . TYR C 3 18  ? 251.671 -71.358  224.389 1.0 38.29905  ? 18  TYR F OH  18  TYR F OH  1 
ATOM 14500 N N   . LEU C 3 19  ? 248.000 -68.672  220.042 1.0 38.98165  ? 19  LEU F N   19  LEU F N   1 
ATOM 14501 C CA  . LEU C 3 19  ? 248.604 -67.396  219.708 1.0 38.98165  ? 19  LEU F CA  19  LEU F CA  1 
ATOM 14502 C C   . LEU C 3 19  ? 247.744 -66.653  218.695 1.0 38.98165  ? 19  LEU F C   19  LEU F C   1 
ATOM 14503 O O   . LEU C 3 19  ? 246.872 -67.225  218.038 1.0 38.98165  ? 19  LEU F O   19  LEU F O   1 
ATOM 14504 C CB  . LEU C 3 19  ? 250.010 -67.585  219.149 1.0 38.98165  ? 19  LEU F CB  19  LEU F CB  1 
ATOM 14505 C CG  . LEU C 3 19  ? 251.057 -68.091  220.127 1.0 38.98165  ? 19  LEU F CG  19  LEU F CG  1 
ATOM 14506 C CD1 . LEU C 3 19  ? 252.378 -68.272  219.414 1.0 38.98165  ? 19  LEU F CD1 19  LEU F CD1 1 
ATOM 14507 C CD2 . LEU C 3 19  ? 251.187 -67.128  221.279 1.0 38.98165  ? 19  LEU F CD2 19  LEU F CD2 1 
ATOM 14508 N N   . SER C 3 20  ? 247.991 -65.353  218.590 1.0 43.77008  ? 20  SER F N   20  SER F N   1 
ATOM 14509 C CA  . SER C 3 20  ? 247.329 -64.548  217.580 1.0 43.77008  ? 20  SER F CA  20  SER F CA  1 
ATOM 14510 C C   . SER C 3 20  ? 247.805 -64.955  216.193 1.0 43.77008  ? 20  SER F C   20  SER F C   1 
ATOM 14511 O O   . SER C 3 20  ? 248.955 -65.355  216.004 1.0 43.77008  ? 20  SER F O   20  SER F O   1 
ATOM 14512 C CB  . SER C 3 20  ? 247.605 -63.068  217.816 1.0 43.77008  ? 20  SER F CB  20  SER F CB  1 
ATOM 14513 O OG  . SER C 3 20  ? 247.003 -62.280  216.809 1.0 43.77008  ? 20  SER F OG  20  SER F OG  1 
ATOM 14514 N N   . GLU C 3 21  ? 246.895 -64.863  215.220 1.0 48.03927  ? 21  GLU F N   21  GLU F N   1 
ATOM 14515 C CA  . GLU C 3 21  ? 247.211 -65.285  213.859 1.0 48.03927  ? 21  GLU F CA  21  GLU F CA  1 
ATOM 14516 C C   . GLU C 3 21  ? 248.247 -64.373  213.215 1.0 48.03927  ? 21  GLU F C   21  GLU F C   1 
ATOM 14517 O O   . GLU C 3 21  ? 249.042 -64.826  212.385 1.0 48.03927  ? 21  GLU F O   21  GLU F O   1 
ATOM 14518 C CB  . GLU C 3 21  ? 245.926 -65.335  213.027 1.0 48.03927  ? 21  GLU F CB  21  GLU F CB  1 
ATOM 14519 C CG  . GLU C 3 21  ? 246.087 -65.841  211.599 1.0 48.03927  ? 21  GLU F CG  21  GLU F CG  1 
ATOM 14520 C CD  . GLU C 3 21  ? 246.490 -67.302  211.529 1.0 48.03927  ? 21  GLU F CD  21  GLU F CD  1 
ATOM 14521 O OE1 . GLU C 3 21  ? 246.129 -68.070  212.445 1.0 48.03927  ? 21  GLU F OE1 21  GLU F OE1 1 
ATOM 14522 O OE2 . GLU C 3 21  ? 247.177 -67.685  210.558 1.0 48.03927  ? 21  GLU F OE2 21  GLU F OE2 1 
ATOM 14523 N N   . ASN C 3 22  ? 248.282 -63.102  213.617 1.0 46.96438  ? 22  ASN F N   22  ASN F N   1 
ATOM 14524 C CA  . ASN C 3 22  ? 249.295 -62.188  213.105 1.0 46.96438  ? 22  ASN F CA  22  ASN F CA  1 
ATOM 14525 C C   . ASN C 3 22  ? 250.678 -62.512  213.650 1.0 46.96438  ? 22  ASN F C   22  ASN F C   1 
ATOM 14526 O O   . ASN C 3 22  ? 251.681 -62.212  212.996 1.0 46.96438  ? 22  ASN F O   22  ASN F O   1 
ATOM 14527 C CB  . ASN C 3 22  ? 248.925 -60.750  213.450 1.0 46.96438  ? 22  ASN F CB  22  ASN F CB  1 
ATOM 14528 C CG  . ASN C 3 22  ? 247.642 -60.312  212.797 1.0 46.96438  ? 22  ASN F CG  22  ASN F CG  1 
ATOM 14529 O OD1 . ASN C 3 22  ? 246.653 -60.031  213.471 1.0 46.96438  ? 22  ASN F OD1 22  ASN F OD1 1 
ATOM 14530 N ND2 . ASN C 3 22  ? 247.644 -60.257  211.472 1.0 46.96438  ? 22  ASN F ND2 22  ASN F ND2 1 
ATOM 14531 N N   . LEU C 3 23  ? 250.757 -63.112  214.836 1.0 43.5209   ? 23  LEU F N   23  LEU F N   1 
ATOM 14532 C CA  . LEU C 3 23  ? 252.046 -63.428  215.436 1.0 43.5209   ? 23  LEU F CA  23  LEU F CA  1 
ATOM 14533 C C   . LEU C 3 23  ? 252.609 -64.747  214.934 1.0 43.5209   ? 23  LEU F C   23  LEU F C   1 
ATOM 14534 O O   . LEU C 3 23  ? 253.833 -64.898  214.869 1.0 43.5209   ? 23  LEU F O   23  LEU F O   1 
ATOM 14535 C CB  . LEU C 3 23  ? 251.920 -63.456  216.963 1.0 43.5209   ? 23  LEU F CB  23  LEU F CB  1 
ATOM 14536 C CG  . LEU C 3 23  ? 253.152 -63.467  217.873 1.0 43.5209   ? 23  LEU F CG  23  LEU F CG  1 
ATOM 14537 C CD1 . LEU C 3 23  ? 252.809 -62.729  219.130 1.0 43.5209   ? 23  LEU F CD1 23  LEU F CD1 1 
ATOM 14538 C CD2 . LEU C 3 23  ? 253.612 -64.864  218.241 1.0 43.5209   ? 23  LEU F CD2 23  LEU F CD2 1 
ATOM 14539 N N   . VAL C 3 24  ? 251.746 -65.707  214.597 1.0 43.78956  ? 24  VAL F N   24  VAL F N   1 
ATOM 14540 C CA  . VAL C 3 24  ? 252.219 -66.981  214.066 1.0 43.78956  ? 24  VAL F CA  24  VAL F CA  1 
ATOM 14541 C C   . VAL C 3 24  ? 252.822 -66.782  212.682 1.0 43.78956  ? 24  VAL F C   24  VAL F C   1 
ATOM 14542 O O   . VAL C 3 24  ? 253.849 -67.381  212.345 1.0 43.78956  ? 24  VAL F O   24  VAL F O   1 
ATOM 14543 C CB  . VAL C 3 24  ? 251.068 -68.003  214.057 1.0 43.78956  ? 24  VAL F CB  24  VAL F CB  1 
ATOM 14544 C CG1 . VAL C 3 24  ? 251.504 -69.318  213.450 1.0 43.78956  ? 24  VAL F CG1 24  VAL F CG1 1 
ATOM 14545 C CG2 . VAL C 3 24  ? 250.565 -68.228  215.458 1.0 43.78956  ? 24  VAL F CG2 24  VAL F CG2 1 
ATOM 14546 N N   . GLN C 3 25  ? 252.234 -65.892  211.883 1.0 47.37023  ? 25  GLN F N   25  GLN F N   1 
ATOM 14547 C CA  . GLN C 3 25  ? 252.814 -65.558  210.589 1.0 47.37023  ? 25  GLN F CA  25  GLN F CA  1 
ATOM 14548 C C   . GLN C 3 25  ? 254.088 -64.735  210.718 1.0 47.37023  ? 25  GLN F C   25  GLN F C   1 
ATOM 14549 O O   . GLN C 3 25  ? 254.852 -64.653  209.753 1.0 47.37023  ? 25  GLN F O   25  GLN F O   1 
ATOM 14550 C CB  . GLN C 3 25  ? 251.799 -64.807  209.734 1.0 47.37023  ? 25  GLN F CB  25  GLN F CB  1 
ATOM 14551 C CG  . GLN C 3 25  ? 250.601 -65.640  209.326 1.0 47.37023  ? 25  GLN F CG  25  GLN F CG  1 
ATOM 14552 C CD  . GLN C 3 25  ? 249.631 -64.867  208.459 1.0 47.37023  ? 25  GLN F CD  25  GLN F CD  1 
ATOM 14553 O OE1 . GLN C 3 25  ? 249.823 -63.681  208.200 1.0 47.37023  ? 25  GLN F OE1 25  GLN F OE1 1 
ATOM 14554 N NE2 . GLN C 3 25  ? 248.579 -65.537  208.005 1.0 47.37023  ? 25  GLN F NE2 25  GLN F NE2 1 
ATOM 14555 N N   . PHE C 3 26  ? 254.333 -64.124  211.878 1.0 45.74697  ? 26  PHE F N   26  PHE F N   1 
ATOM 14556 C CA  . PHE C 3 26  ? 255.592 -63.425  212.099 1.0 45.74697  ? 26  PHE F CA  26  PHE F CA  1 
ATOM 14557 C C   . PHE C 3 26  ? 256.710 -64.401  212.436 1.0 45.74697  ? 26  PHE F C   26  PHE F C   1 
ATOM 14558 O O   . PHE C 3 26  ? 257.799 -64.325  211.862 1.0 45.74697  ? 26  PHE F O   26  PHE F O   1 
ATOM 14559 C CB  . PHE C 3 26  ? 255.442 -62.393  213.216 1.0 45.74697  ? 26  PHE F CB  26  PHE F CB  1 
ATOM 14560 C CG  . PHE C 3 26  ? 256.675 -61.570  213.447 1.0 45.74697  ? 26  PHE F CG  26  PHE F CG  1 
ATOM 14561 C CD1 . PHE C 3 26  ? 256.970 -60.500  212.622 1.0 45.74697  ? 26  PHE F CD1 26  PHE F CD1 1 
ATOM 14562 C CD2 . PHE C 3 26  ? 257.547 -61.873  214.479 1.0 45.74697  ? 26  PHE F CD2 26  PHE F CD2 1 
ATOM 14563 C CE1 . PHE C 3 26  ? 258.105 -59.743  212.827 1.0 45.74697  ? 26  PHE F CE1 26  PHE F CE1 1 
ATOM 14564 C CE2 . PHE C 3 26  ? 258.689 -61.129  214.679 1.0 45.74697  ? 26  PHE F CE2 26  PHE F CE2 1 
ATOM 14565 C CZ  . PHE C 3 26  ? 258.963 -60.058  213.859 1.0 45.74697  ? 26  PHE F CZ  26  PHE F CZ  1 
ATOM 14566 N N   . ILE C 3 27  ? 256.460 -65.327  213.367 1.0 45.3072   ? 27  ILE F N   27  ILE F N   1 
ATOM 14567 C CA  . ILE C 3 27  ? 257.534 -66.184  213.856 1.0 45.3072   ? 27  ILE F CA  27  ILE F CA  1 
ATOM 14568 C C   . ILE C 3 27  ? 257.917 -67.249  212.841 1.0 45.3072   ? 27  ILE F C   27  ILE F C   1 
ATOM 14569 O O   . ILE C 3 27  ? 258.979 -67.864  212.970 1.0 45.3072   ? 27  ILE F O   27  ILE F O   1 
ATOM 14570 C CB  . ILE C 3 27  ? 257.157 -66.797  215.223 1.0 45.3072   ? 27  ILE F CB  27  ILE F CB  1 
ATOM 14571 C CG1 . ILE C 3 27  ? 255.886 -67.648  215.168 1.0 45.3072   ? 27  ILE F CG1 27  ILE F CG1 1 
ATOM 14572 C CG2 . ILE C 3 27  ? 256.957 -65.707  216.246 1.0 45.3072   ? 27  ILE F CG2 27  ILE F CG2 1 
ATOM 14573 C CD1 . ILE C 3 27  ? 256.104 -69.159  215.032 1.0 45.3072   ? 27  ILE F CD1 27  ILE F CD1 1 
ATOM 14574 N N   . GLN C 3 28  ? 257.073 -67.506  211.844 1.0 46.52061  ? 28  GLN F N   28  GLN F N   1 
ATOM 14575 C CA  . GLN C 3 28  ? 257.474 -68.396  210.763 1.0 46.52061  ? 28  GLN F CA  28  GLN F CA  1 
ATOM 14576 C C   . GLN C 3 28  ? 258.404 -67.691  209.790 1.0 46.52061  ? 28  GLN F C   28  GLN F C   1 
ATOM 14577 O O   . GLN C 3 28  ? 259.340 -68.304  209.267 1.0 46.52061  ? 28  GLN F O   28  GLN F O   1 
ATOM 14578 C CB  . GLN C 3 28  ? 256.247 -68.928  210.028 1.0 46.52061  ? 28  GLN F CB  28  GLN F CB  1 
ATOM 14579 C CG  . GLN C 3 28  ? 255.401 -69.878  210.840 1.0 46.52061  ? 28  GLN F CG  28  GLN F CG  1 
ATOM 14580 C CD  . GLN C 3 28  ? 254.173 -70.342  210.087 1.0 46.52061  ? 28  GLN F CD  28  GLN F CD  1 
ATOM 14581 O OE1 . GLN C 3 28  ? 253.928 -69.919  208.958 1.0 46.52061  ? 28  GLN F OE1 28  GLN F OE1 1 
ATOM 14582 N NE2 . GLN C 3 28  ? 253.385 -71.206  210.714 1.0 46.52061  ? 28  GLN F NE2 28  GLN F NE2 1 
ATOM 14583 N N   . ALA C 3 29  ? 258.160 -66.407  209.531 1.0 48.67667  ? 29  ALA F N   29  ALA F N   1 
ATOM 14584 C CA  . ALA C 3 29  ? 259.018 -65.658  208.622 1.0 48.67667  ? 29  ALA F CA  29  ALA F CA  1 
ATOM 14585 C C   . ALA C 3 29  ? 260.357 -65.346  209.274 1.0 48.67667  ? 29  ALA F C   29  ALA F C   1 
ATOM 14586 O O   . ALA C 3 29  ? 261.413 -65.770  208.793 1.0 48.67667  ? 29  ALA F O   29  ALA F O   1 
ATOM 14587 C CB  . ALA C 3 29  ? 258.317 -64.374  208.180 1.0 48.67667  ? 29  ALA F CB  29  ALA F CB  1 
ATOM 14588 N N   . THR C 3 30  ? 260.333 -64.609  210.381 1.0 48.66405  ? 30  THR F N   30  THR F N   1 
ATOM 14589 C CA  . THR C 3 30  ? 261.553 -64.291  211.118 1.0 48.66405  ? 30  THR F CA  30  THR F CA  1 
ATOM 14590 C C   . THR C 3 30  ? 261.867 -65.444  212.066 1.0 48.66405  ? 30  THR F C   30  THR F C   1 
ATOM 14591 O O   . THR C 3 30  ? 261.565 -65.417  213.257 1.0 48.66405  ? 30  THR F O   30  THR F O   1 
ATOM 14592 C CB  . THR C 3 30  ? 261.393 -62.986  211.880 1.0 48.66405  ? 30  THR F CB  30  THR F CB  1 
ATOM 14593 O OG1 . THR C 3 30  ? 260.461 -63.182  212.946 1.0 48.66405  ? 30  THR F OG1 30  THR F OG1 1 
ATOM 14594 C CG2 . THR C 3 30  ? 260.849 -61.914  210.964 1.0 48.66405  ? 30  THR F CG2 30  THR F CG2 1 
ATOM 14595 N N   . GLN C 3 31  ? 262.464 -66.480  211.504 1.0 50.78467  ? 31  GLN F N   31  GLN F N   1 
ATOM 14596 C CA  . GLN C 3 31  ? 262.815 -67.666  212.272 1.0 50.78467  ? 31  GLN F CA  31  GLN F CA  1 
ATOM 14597 C C   . GLN C 3 31  ? 264.272 -68.056  212.120 1.0 50.78467  ? 31  GLN F C   31  GLN F C   1 
ATOM 14598 O O   . GLN C 3 31  ? 264.895 -68.494  213.089 1.0 50.78467  ? 31  GLN F O   31  GLN F O   1 
ATOM 14599 C CB  . GLN C 3 31  ? 261.926 -68.842  211.854 1.0 50.78467  ? 31  GLN F CB  31  GLN F CB  1 
ATOM 14600 C CG  . GLN C 3 31  ? 262.081 -70.086  212.703 1.0 50.78467  ? 31  GLN F CG  31  GLN F CG  1 
ATOM 14601 C CD  . GLN C 3 31  ? 261.171 -71.206  212.256 1.0 50.78467  ? 31  GLN F CD  31  GLN F CD  1 
ATOM 14602 O OE1 . GLN C 3 31  ? 260.440 -71.074  211.275 1.0 50.78467  ? 31  GLN F OE1 31  GLN F OE1 1 
ATOM 14603 N NE2 . GLN C 3 31  ? 261.213 -72.323  212.972 1.0 50.78467  ? 31  GLN F NE2 31  GLN F NE2 1 
ATOM 14604 N N   . ASN C 3 32  ? 264.841 -67.882  210.929 1.0 54.2238   ? 32  ASN F N   32  ASN F N   1 
ATOM 14605 C CA  . ASN C 3 32  ? 266.207 -68.313  210.680 1.0 54.2238   ? 32  ASN F CA  32  ASN F CA  1 
ATOM 14606 C C   . ASN C 3 32  ? 267.247 -67.391  211.295 1.0 54.2238   ? 32  ASN F C   32  ASN F C   1 
ATOM 14607 O O   . ASN C 3 32  ? 268.428 -67.752  211.310 1.0 54.2238   ? 32  ASN F O   32  ASN F O   1 
ATOM 14608 C CB  . ASN C 3 32  ? 266.446 -68.430  209.178 1.0 54.2238   ? 32  ASN F CB  32  ASN F CB  1 
ATOM 14609 C CG  . ASN C 3 32  ? 265.567 -69.478  208.535 1.0 54.2238   ? 32  ASN F CG  32  ASN F CG  1 
ATOM 14610 O OD1 . ASN C 3 32  ? 264.704 -69.166  207.716 1.0 54.2238   ? 32  ASN F OD1 32  ASN F OD1 1 
ATOM 14611 N ND2 . ASN C 3 32  ? 265.776 -70.734  208.911 1.0 54.2238   ? 32  ASN F ND2 32  ASN F ND2 1 
ATOM 14612 N N   . TYR C 3 33  ? 266.857 -66.221  211.794 1.0 49.76112  ? 33  TYR F N   33  TYR F N   1 
ATOM 14613 C CA  . TYR C 3 33  ? 267.839 -65.338  212.404 1.0 49.76112  ? 33  TYR F CA  33  TYR F CA  1 
ATOM 14614 C C   . TYR C 3 33  ? 267.405 -64.835  213.775 1.0 49.76112  ? 33  TYR F C   33  TYR F C   1 
ATOM 14615 O O   . TYR C 3 33  ? 268.253 -64.552  214.626 1.0 49.76112  ? 33  TYR F O   33  TYR F O   1 
ATOM 14616 C CB  . TYR C 3 33  ? 268.151 -64.168  211.469 1.0 49.76112  ? 33  TYR F CB  33  TYR F CB  1 
ATOM 14617 C CG  . TYR C 3 33  ? 266.986 -63.278  211.113 1.0 49.76112  ? 33  TYR F CG  33  TYR F CG  1 
ATOM 14618 C CD1 . TYR C 3 33  ? 266.185 -63.555  210.014 1.0 49.76112  ? 33  TYR F CD1 33  TYR F CD1 1 
ATOM 14619 C CD2 . TYR C 3 33  ? 266.714 -62.134  211.847 1.0 49.76112  ? 33  TYR F CD2 33  TYR F CD2 1 
ATOM 14620 C CE1 . TYR C 3 33  ? 265.131 -62.735  209.675 1.0 49.76112  ? 33  TYR F CE1 33  TYR F CE1 1 
ATOM 14621 C CE2 . TYR C 3 33  ? 265.662 -61.310  211.518 1.0 49.76112  ? 33  TYR F CE2 33  TYR F CE2 1 
ATOM 14622 C CZ  . TYR C 3 33  ? 264.877 -61.614  210.432 1.0 49.76112  ? 33  TYR F CZ  33  TYR F CZ  1 
ATOM 14623 O OH  . TYR C 3 33  ? 263.834 -60.782  210.110 1.0 49.76112  ? 33  TYR F OH  33  TYR F OH  1 
ATOM 14624 N N   . PHE C 3 34  ? 266.101 -64.715  214.012 1.0 46.31297  ? 34  PHE F N   34  PHE F N   1 
ATOM 14625 C CA  . PHE C 3 34  ? 265.594 -64.182  215.276 1.0 46.31297  ? 34  PHE F CA  34  PHE F CA  1 
ATOM 14626 C C   . PHE C 3 34  ? 264.455 -65.076  215.754 1.0 46.31297  ? 34  PHE F C   34  PHE F C   1 
ATOM 14627 O O   . PHE C 3 34  ? 263.284 -64.802  215.488 1.0 46.31297  ? 34  PHE F O   34  PHE F O   1 
ATOM 14628 C CB  . PHE C 3 34  ? 265.164 -62.739  215.097 1.0 46.31297  ? 34  PHE F CB  34  PHE F CB  1 
ATOM 14629 C CG  . PHE C 3 34  ? 264.722 -62.075  216.360 1.0 46.31297  ? 34  PHE F CG  34  PHE F CG  1 
ATOM 14630 C CD1 . PHE C 3 34  ? 265.629 -61.829  217.380 1.0 46.31297  ? 34  PHE F CD1 34  PHE F CD1 1 
ATOM 14631 C CD2 . PHE C 3 34  ? 263.417 -61.645  216.509 1.0 46.31297  ? 34  PHE F CD2 34  PHE F CD2 1 
ATOM 14632 C CE1 . PHE C 3 34  ? 265.230 -61.203  218.543 1.0 46.31297  ? 34  PHE F CE1 34  PHE F CE1 1 
ATOM 14633 C CE2 . PHE C 3 34  ? 263.015 -61.006  217.661 1.0 46.31297  ? 34  PHE F CE2 34  PHE F CE2 1 
ATOM 14634 C CZ  . PHE C 3 34  ? 263.923 -60.793  218.683 1.0 46.31297  ? 34  PHE F CZ  34  PHE F CZ  1 
ATOM 14635 N N   . ASN C 3 35  ? 264.804 -66.126  216.490 1.0 44.12138  ? 35  ASN F N   35  ASN F N   1 
ATOM 14636 C CA  . ASN C 3 35  ? 263.845 -67.160  216.850 1.0 44.12138  ? 35  ASN F CA  35  ASN F CA  1 
ATOM 14637 C C   . ASN C 3 35  ? 263.039 -66.735  218.070 1.0 44.12138  ? 35  ASN F C   35  ASN F C   1 
ATOM 14638 O O   . ASN C 3 35  ? 263.601 -66.309  219.082 1.0 44.12138  ? 35  ASN F O   35  ASN F O   1 
ATOM 14639 C CB  . ASN C 3 35  ? 264.569 -68.476  217.129 1.0 44.12138  ? 35  ASN F CB  35  ASN F CB  1 
ATOM 14640 C CG  . ASN C 3 35  ? 263.629 -69.666  217.172 1.0 44.12138  ? 35  ASN F CG  35  ASN F CG  1 
ATOM 14641 O OD1 . ASN C 3 35  ? 262.428 -69.533  216.946 1.0 44.12138  ? 35  ASN F OD1 35  ASN F OD1 1 
ATOM 14642 N ND2 . ASN C 3 35  ? 264.173 -70.837  217.473 1.0 44.12138  ? 35  ASN F ND2 35  ASN F ND2 1 
ATOM 14643 N N   . ILE C 3 36  ? 261.718 -66.858  217.969 1.0 42.47088  ? 36  ILE F N   36  ILE F N   1 
ATOM 14644 C CA  . ILE C 3 36  ? 260.818 -66.517  219.062 1.0 42.47088  ? 36  ILE F CA  36  ILE F CA  1 
ATOM 14645 C C   . ILE C 3 36  ? 259.983 -67.703  219.527 1.0 42.47088  ? 36  ILE F C   36  ILE F C   1 
ATOM 14646 O O   . ILE C 3 36  ? 259.706 -67.818  220.733 1.0 42.47088  ? 36  ILE F O   36  ILE F O   1 
ATOM 14647 C CB  . ILE C 3 36  ? 259.906 -65.333  218.655 1.0 42.47088  ? 36  ILE F CB  36  ILE F CB  1 
ATOM 14648 C CG1 . ILE C 3 36  ? 260.755 -64.106  218.363 1.0 42.47088  ? 36  ILE F CG1 36  ILE F CG1 1 
ATOM 14649 C CG2 . ILE C 3 36  ? 258.905 -64.932  219.731 1.0 42.47088  ? 36  ILE F CG2 36  ILE F CG2 1 
ATOM 14650 C CD1 . ILE C 3 36  ? 261.564 -63.676  219.560 1.0 42.47088  ? 36  ILE F CD1 36  ILE F CD1 1 
ATOM 14651 N N   . GLY C 3 37  ? 259.675 -68.661  218.652 1.0 41.90058  ? 37  GLY F N   37  GLY F N   1 
ATOM 14652 C CA  . GLY C 3 37  ? 258.686 -69.697  218.914 1.0 41.90058  ? 37  GLY F CA  37  GLY F CA  1 
ATOM 14653 C C   . GLY C 3 37  ? 259.055 -70.713  219.979 1.0 41.90058  ? 37  GLY F C   37  GLY F C   1 
ATOM 14654 O O   . GLY C 3 37  ? 258.247 -71.608  220.247 1.0 41.90058  ? 37  GLY F O   37  GLY F O   1 
ATOM 14655 N N   . GLU C 3 38  ? 260.236 -70.613  220.580 1.0 43.06306  ? 38  GLU F N   38  GLU F N   1 
ATOM 14656 C CA  . GLU C 3 38  ? 260.599 -71.445  221.714 1.0 43.06306  ? 38  GLU F CA  38  GLU F CA  1 
ATOM 14657 C C   . GLU C 3 38  ? 260.285 -70.779  223.043 1.0 43.06306  ? 38  GLU F C   38  GLU F C   1 
ATOM 14658 O O   . GLU C 3 38  ? 260.688 -71.290  224.091 1.0 43.06306  ? 38  GLU F O   38  GLU F O   1 
ATOM 14659 C CB  . GLU C 3 38  ? 262.082 -71.806  221.648 1.0 43.06306  ? 38  GLU F CB  38  GLU F CB  1 
ATOM 14660 C CG  . GLU C 3 38  ? 262.443 -72.667  220.453 1.0 43.06306  ? 38  GLU F CG  38  GLU F CG  1 
ATOM 14661 C CD  . GLU C 3 38  ? 261.856 -74.061  220.535 1.0 43.06306  ? 38  GLU F CD  38  GLU F CD  1 
ATOM 14662 O OE1 . GLU C 3 38  ? 261.745 -74.594  221.657 1.0 43.06306  ? 38  GLU F OE1 38  GLU F OE1 1 
ATOM 14663 O OE2 . GLU C 3 38  ? 261.501 -74.624  219.479 1.0 43.06306  ? 38  GLU F OE2 38  GLU F OE2 1 
ATOM 14664 N N   . LYS C 3 39  ? 259.577 -69.653  223.021 1.0 37.25967  ? 39  LYS F N   39  LYS F N   1 
ATOM 14665 C CA  . LYS C 3 39  ? 259.196 -68.927  224.221 1.0 37.25967  ? 39  LYS F CA  39  LYS F CA  1 
ATOM 14666 C C   . LYS C 3 39  ? 257.742 -69.150  224.592 1.0 37.25967  ? 39  LYS F C   39  LYS F C   1 
ATOM 14667 O O   . LYS C 3 39  ? 257.207 -68.418  225.425 1.0 37.25967  ? 39  LYS F O   39  LYS F O   1 
ATOM 14668 C CB  . LYS C 3 39  ? 259.457 -67.436  224.029 1.0 37.25967  ? 39  LYS F CB  39  LYS F CB  1 
ATOM 14669 C CG  . LYS C 3 39  ? 260.914 -67.107  223.842 1.0 37.25967  ? 39  LYS F CG  39  LYS F CG  1 
ATOM 14670 C CD  . LYS C 3 39  ? 261.125 -65.645  223.559 1.0 37.25967  ? 39  LYS F CD  39  LYS F CD  1 
ATOM 14671 C CE  . LYS C 3 39  ? 262.600 -65.347  223.488 1.0 37.25967  ? 39  LYS F CE  39  LYS F CE  1 
ATOM 14672 N NZ  . LYS C 3 39  ? 263.228 -66.073  222.363 1.0 37.25967  ? 39  LYS F NZ  39  LYS F NZ  1 
ATOM 14673 N N   . PHE C 3 40  ? 257.092 -70.136  223.985 1.0 35.38056  ? 40  PHE F N   40  PHE F N   1 
ATOM 14674 C CA  . PHE C 3 40  ? 255.681 -70.408  224.212 1.0 35.38056  ? 40  PHE F CA  40  PHE F CA  1 
ATOM 14675 C C   . PHE C 3 40  ? 255.526 -71.899  224.455 1.0 35.38056  ? 40  PHE F C   40  PHE F C   1 
ATOM 14676 O O   . PHE C 3 40  ? 255.960 -72.711  223.634 1.0 35.38056  ? 40  PHE F O   40  PHE F O   1 
ATOM 14677 C CB  . PHE C 3 40  ? 254.842 -69.954  223.019 1.0 35.38056  ? 40  PHE F CB  40  PHE F CB  1 
ATOM 14678 C CG  . PHE C 3 40  ? 254.884 -68.476  222.784 1.0 35.38056  ? 40  PHE F CG  40  PHE F CG  1 
ATOM 14679 C CD1 . PHE C 3 40  ? 254.085 -67.626  223.518 1.0 35.38056  ? 40  PHE F CD1 40  PHE F CD1 1 
ATOM 14680 C CD2 . PHE C 3 40  ? 255.732 -67.937  221.837 1.0 35.38056  ? 40  PHE F CD2 40  PHE F CD2 1 
ATOM 14681 C CE1 . PHE C 3 40  ? 254.126 -66.265  223.308 1.0 35.38056  ? 40  PHE F CE1 40  PHE F CE1 1 
ATOM 14682 C CE2 . PHE C 3 40  ? 255.775 -66.577  221.622 1.0 35.38056  ? 40  PHE F CE2 40  PHE F CE2 1 
ATOM 14683 C CZ  . PHE C 3 40  ? 254.972 -65.743  222.359 1.0 35.38056  ? 40  PHE F CZ  40  PHE F CZ  1 
ATOM 14684 N N   . ARG C 3 41  ? 254.917 -72.253  225.578 1.0 37.20982  ? 41  ARG F N   41  ARG F N   1 
ATOM 14685 C CA  . ARG C 3 41  ? 254.864 -73.637  226.015 1.0 37.20982  ? 41  ARG F CA  41  ARG F CA  1 
ATOM 14686 C C   . ARG C 3 41  ? 253.825 -74.411  225.213 1.0 37.20982  ? 41  ARG F C   41  ARG F C   1 
ATOM 14687 O O   . ARG C 3 41  ? 252.758 -73.891  224.883 1.0 37.20982  ? 41  ARG F O   41  ARG F O   1 
ATOM 14688 C CB  . ARG C 3 41  ? 254.551 -73.688  227.509 1.0 37.20982  ? 41  ARG F CB  41  ARG F CB  1 
ATOM 14689 C CG  . ARG C 3 41  ? 254.549 -75.054  228.126 1.0 37.20982  ? 41  ARG F CG  41  ARG F CG  1 
ATOM 14690 C CD  . ARG C 3 41  ? 255.927 -75.664  228.135 1.0 37.20982  ? 41  ARG F CD  41  ARG F CD  1 
ATOM 14691 N NE  . ARG C 3 41  ? 255.879 -76.985  228.744 1.0 37.20982  ? 41  ARG F NE  41  ARG F NE  1 
ATOM 14692 C CZ  . ARG C 3 41  ? 256.883 -77.849  228.735 1.0 37.20982  ? 41  ARG F CZ  41  ARG F CZ  1 
ATOM 14693 N NH1 . ARG C 3 41  ? 258.027 -77.532  228.148 1.0 37.20982  ? 41  ARG F NH1 41  ARG F NH1 1 
ATOM 14694 N NH2 . ARG C 3 41  ? 256.739 -79.030  229.315 1.0 37.20982  ? 41  ARG F NH2 41  ARG F NH2 1 
ATOM 14695 N N   . ASP C 3 42  ? 254.156 -75.658  224.889 1.0 39.56183  ? 42  ASP F N   42  ASP F N   1 
ATOM 14696 C CA  . ASP C 3 42  ? 253.321 -76.533  224.079 1.0 39.56183  ? 42  ASP F CA  42  ASP F CA  1 
ATOM 14697 C C   . ASP C 3 42  ? 252.932 -77.742  224.919 1.0 39.56183  ? 42  ASP F C   42  ASP F C   1 
ATOM 14698 O O   . ASP C 3 42  ? 253.823 -78.470  225.387 1.0 39.56183  ? 42  ASP F O   42  ASP F O   1 
ATOM 14699 C CB  . ASP C 3 42  ? 254.093 -76.963  222.830 1.0 39.56183  ? 42  ASP F CB  42  ASP F CB  1 
ATOM 14700 C CG  . ASP C 3 42  ? 253.217 -77.608  221.781 1.0 39.56183  ? 42  ASP F CG  42  ASP F CG  1 
ATOM 14701 O OD1 . ASP C 3 42  ? 251.998 -77.713  221.992 1.0 39.56183  ? 42  ASP F OD1 42  ASP F OD1 1 
ATOM 14702 O OD2 . ASP C 3 42  ? 253.759 -78.020  220.736 1.0 39.56183  ? 42  ASP F OD2 42  ASP F OD2 1 
ATOM 14703 N N   . PRO C 3 43  ? 251.649 -77.998  225.155 1.0 38.67805  ? 43  PRO F N   43  PRO F N   1 
ATOM 14704 C CA  . PRO C 3 43  ? 251.265 -79.170  225.944 1.0 38.67805  ? 43  PRO F CA  43  PRO F CA  1 
ATOM 14705 C C   . PRO C 3 43  ? 251.420 -80.456  225.153 1.0 38.67805  ? 43  PRO F C   43  PRO F C   1 
ATOM 14706 O O   . PRO C 3 43  ? 251.475 -80.463  223.923 1.0 38.67805  ? 43  PRO F O   43  PRO F O   1 
ATOM 14707 C CB  . PRO C 3 43  ? 249.797 -78.905  226.280 1.0 38.67805  ? 43  PRO F CB  43  PRO F CB  1 
ATOM 14708 C CG  . PRO C 3 43  ? 249.329 -78.031  225.195 1.0 38.67805  ? 43  PRO F CG  43  PRO F CG  1 
ATOM 14709 C CD  . PRO C 3 43  ? 250.487 -77.157  224.831 1.0 38.67805  ? 43  PRO F CD  43  PRO F CD  1 
ATOM 14710 N N   . TYR C 3 44  ? 251.493 -81.562  225.892 1.0 35.89518  ? 44  TYR F N   44  TYR F N   1 
ATOM 14711 C CA  . TYR C 3 44  ? 251.684 -82.885  225.299 1.0 35.89518  ? 44  TYR F CA  44  TYR F CA  1 
ATOM 14712 C C   . TYR C 3 44  ? 251.087 -83.894  226.274 1.0 35.89518  ? 44  TYR F C   44  TYR F C   1 
ATOM 14713 O O   . TYR C 3 44  ? 251.744 -84.276  227.244 1.0 35.89518  ? 44  TYR F O   44  TYR F O   1 
ATOM 14714 C CB  . TYR C 3 44  ? 253.161 -83.142  225.043 1.0 35.89518  ? 44  TYR F CB  44  TYR F CB  1 
ATOM 14715 C CG  . TYR C 3 44  ? 253.479 -84.465  224.397 1.0 35.89518  ? 44  TYR F CG  44  TYR F CG  1 
ATOM 14716 C CD1 . TYR C 3 44  ? 253.166 -84.700  223.069 1.0 35.89518  ? 44  TYR F CD1 44  TYR F CD1 1 
ATOM 14717 C CD2 . TYR C 3 44  ? 254.132 -85.464  225.104 1.0 35.89518  ? 44  TYR F CD2 44  TYR F CD2 1 
ATOM 14718 C CE1 . TYR C 3 44  ? 253.464 -85.904  222.470 1.0 35.89518  ? 44  TYR F CE1 44  TYR F CE1 1 
ATOM 14719 C CE2 . TYR C 3 44  ? 254.440 -86.670  224.511 1.0 35.89518  ? 44  TYR F CE2 44  TYR F CE2 1 
ATOM 14720 C CZ  . TYR C 3 44  ? 254.101 -86.884  223.197 1.0 35.89518  ? 44  TYR F CZ  44  TYR F CZ  1 
ATOM 14721 O OH  . TYR C 3 44  ? 254.403 -88.084  222.602 1.0 35.89518  ? 44  TYR F OH  44  TYR F OH  1 
ATOM 14722 N N   . VAL C 3 45  ? 249.855 -84.324  226.012 1.0 35.36191  ? 45  VAL F N   45  VAL F N   1 
ATOM 14723 C CA  . VAL C 3 45  ? 249.074 -85.066  226.994 1.0 35.36191  ? 45  VAL F CA  45  VAL F CA  1 
ATOM 14724 C C   . VAL C 3 45  ? 248.869 -86.503  226.537 1.0 35.36191  ? 45  VAL F C   45  VAL F C   1 
ATOM 14725 O O   . VAL C 3 45  ? 248.929 -86.822  225.345 1.0 35.36191  ? 45  VAL F O   45  VAL F O   1 
ATOM 14726 C CB  . VAL C 3 45  ? 247.718 -84.388  227.269 1.0 35.36191  ? 45  VAL F CB  45  VAL F CB  1 
ATOM 14727 C CG1 . VAL C 3 45  ? 247.931 -82.998  227.806 1.0 35.36191  ? 45  VAL F CG1 45  VAL F CG1 1 
ATOM 14728 C CG2 . VAL C 3 45  ? 246.882 -84.336  226.016 1.0 35.36191  ? 45  VAL F CG2 45  VAL F CG2 1 
ATOM 14729 N N   . ALA C 3 46  ? 248.633 -87.368  227.504 1.0 38.294    ? 46  ALA F N   46  ALA F N   1 
ATOM 14730 C CA  . ALA C 3 46  ? 248.345 -88.781  227.348 1.0 38.294    ? 46  ALA F CA  46  ALA F CA  1 
ATOM 14731 C C   . ALA C 3 46  ? 246.852 -88.984  227.139 1.0 38.294    ? 46  ALA F C   46  ALA F C   1 
ATOM 14732 O O   . ALA C 3 46  ? 246.047 -88.141  227.544 1.0 38.294    ? 46  ALA F O   46  ALA F O   1 
ATOM 14733 C CB  . ALA C 3 46  ? 248.819 -89.542  228.585 1.0 38.294    ? 46  ALA F CB  46  ALA F CB  1 
ATOM 14734 N N   . PRO C 3 47  ? 246.439 -90.081  226.473 1.0 39.42641  ? 47  PRO F N   47  PRO F N   1 
ATOM 14735 C CA  . PRO C 3 47  ? 245.002 -90.313  226.263 1.0 39.42641  ? 47  PRO F CA  47  PRO F CA  1 
ATOM 14736 C C   . PRO C 3 47  ? 244.187 -90.549  227.528 1.0 39.42641  ? 47  PRO F C   47  PRO F C   1 
ATOM 14737 O O   . PRO C 3 47  ? 243.199 -89.841  227.752 1.0 39.42641  ? 47  PRO F O   47  PRO F O   1 
ATOM 14738 C CB  . PRO C 3 47  ? 244.983 -91.546  225.350 1.0 39.42641  ? 47  PRO F CB  47  PRO F CB  1 
ATOM 14739 C CG  . PRO C 3 47  ? 246.309 -92.174  225.506 1.0 39.42641  ? 47  PRO F CG  47  PRO F CG  1 
ATOM 14740 C CD  . PRO C 3 47  ? 247.253 -91.055  225.725 1.0 39.42641  ? 47  PRO F CD  47  PRO F CD  1 
ATOM 14741 N N   . SER C 3 48  ? 244.593 -91.532  228.340 1.0 45.05063  ? 48  SER F N   48  SER F N   1 
ATOM 14742 C CA  . SER C 3 48  ? 243.917 -91.932  229.585 1.0 45.05063  ? 48  SER F CA  48  SER F CA  1 
ATOM 14743 C C   . SER C 3 48  ? 242.460 -92.324  229.368 1.0 45.05063  ? 48  SER F C   48  SER F C   1 
ATOM 14744 O O   . SER C 3 48  ? 241.613 -92.097  230.235 1.0 45.05063  ? 48  SER F O   48  SER F O   1 
ATOM 14745 C CB  . SER C 3 48  ? 244.004 -90.848  230.662 1.0 45.05063  ? 48  SER F CB  48  SER F CB  1 
ATOM 14746 O OG  . SER C 3 48  ? 243.314 -91.254  231.829 1.0 45.05063  ? 48  SER F OG  48  SER F OG  1 
ATOM 14747 N N   . ALA C 3 49  ? 242.153 -92.913  228.215 1.0 47.37472  ? 49  ALA F N   49  ALA F N   1 
ATOM 14748 C CA  . ALA C 3 49  ? 240.798 -93.380  227.934 1.0 47.37472  ? 49  ALA F CA  49  ALA F CA  1 
ATOM 14749 C C   . ALA C 3 49  ? 240.912 -94.524  226.934 1.0 47.37472  ? 49  ALA F C   49  ALA F C   1 
ATOM 14750 O O   . ALA C 3 49  ? 241.034 -94.287  225.729 1.0 47.37472  ? 49  ALA F O   49  ALA F O   1 
ATOM 14751 C CB  . ALA C 3 49  ? 239.925 -92.255  227.397 1.0 47.37472  ? 49  ALA F CB  49  ALA F CB  1 
ATOM 14752 N N   . GLY C 3 50  ? 240.871 -95.752  227.435 1.0 47.31259  ? 50  GLY F N   50  GLY F N   1 
ATOM 14753 C CA  . GLY C 3 50  ? 240.871 -96.899  226.554 1.0 47.31259  ? 50  GLY F CA  50  GLY F CA  1 
ATOM 14754 C C   . GLY C 3 50  ? 242.229 -97.380  226.107 1.0 47.31259  ? 50  GLY F C   50  GLY F C   1 
ATOM 14755 O O   . GLY C 3 50  ? 242.341 -97.959  225.024 1.0 47.31259  ? 50  GLY F O   50  GLY F O   1 
ATOM 14756 N N   . VAL C 3 51  ? 243.271 -97.155  226.900 1.0 47.08989  ? 51  VAL F N   51  VAL F N   1 
ATOM 14757 C CA  . VAL C 3 51  ? 244.585 -97.706  226.597 1.0 47.08989  ? 51  VAL F CA  51  VAL F CA  1 
ATOM 14758 C C   . VAL C 3 51  ? 245.096 -98.648  227.673 1.0 47.08989  ? 51  VAL F C   51  VAL F C   1 
ATOM 14759 O O   . VAL C 3 51  ? 246.020 -99.429  227.397 1.0 47.08989  ? 51  VAL F O   51  VAL F O   1 
ATOM 14760 C CB  . VAL C 3 51  ? 245.620 -96.592  226.340 1.0 47.08989  ? 51  VAL F CB  51  VAL F CB  1 
ATOM 14761 C CG1 . VAL C 3 51  ? 245.226 -95.772  225.136 1.0 47.08989  ? 51  VAL F CG1 51  VAL F CG1 1 
ATOM 14762 C CG2 . VAL C 3 51  ? 245.771 -95.712  227.562 1.0 47.08989  ? 51  VAL F CG2 51  VAL F CG2 1 
ATOM 14763 N N   . THR C 3 52  ? 244.554 -98.612  228.887 1.0 47.48794  ? 52  THR F N   52  THR F N   1 
ATOM 14764 C CA  . THR C 3 52  ? 244.997 -99.513  229.940 1.0 47.48794  ? 52  THR F CA  52  THR F CA  1 
ATOM 14765 C C   . THR C 3 52  ? 243.794 -99.936  230.764 1.0 47.48794  ? 52  THR F C   52  THR F C   1 
ATOM 14766 O O   . THR C 3 52  ? 242.986 -99.093  231.161 1.0 47.48794  ? 52  THR F O   52  THR F O   1 
ATOM 14767 C CB  . THR C 3 52  ? 246.053 -98.859  230.834 1.0 47.48794  ? 52  THR F CB  52  THR F CB  1 
ATOM 14768 O OG1 . THR C 3 52  ? 247.133 -98.384  230.024 1.0 47.48794  ? 52  THR F OG1 52  THR F OG1 1 
ATOM 14769 C CG2 . THR C 3 52  ? 246.610 -99.879  231.803 1.0 47.48794  ? 52  THR F CG2 52  THR F CG2 1 
ATOM 14770 N N   . THR C 3 53  ? 243.680 -101.236 231.014 1.0 50.09186  ? 53  THR F N   53  THR F N   1 
ATOM 14771 C CA  . THR C 3 53  ? 242.541 -101.782 231.726 1.0 50.09186  ? 53  THR F CA  53  THR F CA  1 
ATOM 14772 C C   . THR C 3 53  ? 242.601 -101.446 233.213 1.0 50.09186  ? 53  THR F C   53  THR F C   1 
ATOM 14773 O O   . THR C 3 53  ? 243.601 -100.952 233.738 1.0 50.09186  ? 53  THR F O   53  THR F O   1 
ATOM 14774 C CB  . THR C 3 53  ? 242.477 -103.293 231.550 1.0 50.09186  ? 53  THR F CB  53  THR F CB  1 
ATOM 14775 O OG1 . THR C 3 53  ? 241.300 -103.792 232.194 1.0 50.09186  ? 53  THR F OG1 53  THR F OG1 1 
ATOM 14776 C CG2 . THR C 3 53  ? 243.706 -103.942 232.158 1.0 50.09186  ? 53  THR F CG2 53  THR F CG2 1 
ATOM 14777 N N   . ASP C 3 54  ? 241.487 -101.724 233.889 1.0 54.66524  ? 54  ASP F N   54  ASP F N   1 
ATOM 14778 C CA  . ASP C 3 54  ? 241.383 -101.601 235.333 1.0 54.66524  ? 54  ASP F CA  54  ASP F CA  1 
ATOM 14779 C C   . ASP C 3 54  ? 241.700 -102.908 236.047 1.0 54.66524  ? 54  ASP F C   54  ASP F C   1 
ATOM 14780 O O   . ASP C 3 54  ? 242.114 -102.882 237.209 1.0 54.66524  ? 54  ASP F O   54  ASP F O   1 
ATOM 14781 C CB  . ASP C 3 54  ? 239.967 -101.148 235.713 1.0 54.66524  ? 54  ASP F CB  54  ASP F CB  1 
ATOM 14782 C CG  . ASP C 3 54  ? 239.893 -100.530 237.096 1.0 54.66524  ? 54  ASP F CG  54  ASP F CG  1 
ATOM 14783 O OD1 . ASP C 3 54  ? 240.952 -100.322 237.721 1.0 54.66524  ? 54  ASP F OD1 54  ASP F OD1 1 
ATOM 14784 O OD2 . ASP C 3 54  ? 238.770 -100.268 237.571 1.0 54.66524  ? 54  ASP F OD2 54  ASP F OD2 1 
ATOM 14785 N N   . ARG C 3 55  ? 241.547 -104.041 235.368 1.0 51.41752  ? 55  ARG F N   55  ARG F N   1 
ATOM 14786 C CA  . ARG C 3 55  ? 241.703 -105.349 235.980 1.0 51.41752  ? 55  ARG F CA  55  ARG F CA  1 
ATOM 14787 C C   . ARG C 3 55  ? 243.173 -105.662 236.237 1.0 51.41752  ? 55  ARG F C   55  ARG F C   1 
ATOM 14788 O O   . ARG C 3 55  ? 244.079 -104.957 235.787 1.0 51.41752  ? 55  ARG F O   55  ARG F O   1 
ATOM 14789 C CB  . ARG C 3 55  ? 241.080 -106.420 235.092 1.0 51.41752  ? 55  ARG F CB  55  ARG F CB  1 
ATOM 14790 C CG  . ARG C 3 55  ? 239.578 -106.304 234.993 1.0 51.41752  ? 55  ARG F CG  55  ARG F CG  1 
ATOM 14791 C CD  . ARG C 3 55  ? 238.993 -107.350 234.075 1.0 51.41752  ? 55  ARG F CD  55  ARG F CD  1 
ATOM 14792 N NE  . ARG C 3 55  ? 237.539 -107.264 234.021 1.0 51.41752  ? 55  ARG F NE  55  ARG F NE  1 
ATOM 14793 C CZ  . ARG C 3 55  ? 236.868 -106.495 233.172 1.0 51.41752  ? 55  ARG F CZ  55  ARG F CZ  1 
ATOM 14794 N NH1 . ARG C 3 55  ? 237.518 -105.735 232.303 1.0 51.41752  ? 55  ARG F NH1 55  ARG F NH1 1 
ATOM 14795 N NH2 . ARG C 3 55  ? 235.544 -106.482 233.194 1.0 51.41752  ? 55  ARG F NH2 55  ARG F NH2 1 
ATOM 14796 N N   . SER C 3 56  ? 243.404 -106.751 236.959 1.0 51.36951  ? 56  SER F N   56  SER F N   1 
ATOM 14797 C CA  . SER C 3 56  ? 244.732 -107.111 237.431 1.0 51.36951  ? 56  SER F CA  56  SER F CA  1 
ATOM 14798 C C   . SER C 3 56  ? 245.340 -108.158 236.509 1.0 51.36951  ? 56  SER F C   56  SER F C   1 
ATOM 14799 O O   . SER C 3 56  ? 244.804 -109.264 236.384 1.0 51.36951  ? 56  SER F O   56  SER F O   1 
ATOM 14800 C CB  . SER C 3 56  ? 244.665 -107.644 238.857 1.0 51.36951  ? 56  SER F CB  56  SER F CB  1 
ATOM 14801 O OG  . SER C 3 56  ? 243.971 -108.874 238.897 1.0 51.36951  ? 56  SER F OG  56  SER F OG  1 
ATOM 14802 N N   . GLN C 3 57  ? 246.453 -107.813 235.869 1.0 48.38957  ? 57  GLN F N   57  GLN F N   1 
ATOM 14803 C CA  . GLN C 3 57  ? 247.232 -108.797 235.137 1.0 48.38957  ? 57  GLN F CA  57  GLN F CA  1 
ATOM 14804 C C   . GLN C 3 57  ? 248.695 -108.391 235.180 1.0 48.38957  ? 57  GLN F C   57  GLN F C   1 
ATOM 14805 O O   . GLN C 3 57  ? 249.021 -107.209 235.294 1.0 48.38957  ? 57  GLN F O   57  GLN F O   1 
ATOM 14806 C CB  . GLN C 3 57  ? 246.753 -108.956 233.693 1.0 48.38957  ? 57  GLN F CB  57  GLN F CB  1 
ATOM 14807 C CG  . GLN C 3 57  ? 246.935 -107.748 232.812 1.0 48.38957  ? 57  GLN F CG  57  GLN F CG  1 
ATOM 14808 C CD  . GLN C 3 57  ? 246.394 -107.987 231.424 1.0 48.38957  ? 57  GLN F CD  57  GLN F CD  1 
ATOM 14809 O OE1 . GLN C 3 57  ? 245.922 -109.077 231.112 1.0 48.38957  ? 57  GLN F OE1 57  GLN F OE1 1 
ATOM 14810 N NE2 . GLN C 3 57  ? 246.456 -106.970 230.583 1.0 48.38957  ? 57  GLN F NE2 57  GLN F NE2 1 
ATOM 14811 N N   . LYS C 3 58  ? 249.571 -109.388 235.097 1.0 47.41422  ? 58  LYS F N   58  LYS F N   1 
ATOM 14812 C CA  . LYS C 3 58  ? 250.990 -109.154 235.293 1.0 47.41422  ? 58  LYS F CA  58  LYS F CA  1 
ATOM 14813 C C   . LYS C 3 58  ? 251.603 -108.470 234.078 1.0 47.41422  ? 58  LYS F C   58  LYS F C   1 
ATOM 14814 O O   . LYS C 3 58  ? 251.041 -108.453 232.982 1.0 47.41422  ? 58  LYS F O   58  LYS F O   1 
ATOM 14815 C CB  . LYS C 3 58  ? 251.719 -110.463 235.577 1.0 47.41422  ? 58  LYS F CB  58  LYS F CB  1 
ATOM 14816 C CG  . LYS C 3 58  ? 251.369 -111.077 236.908 1.0 47.41422  ? 58  LYS F CG  58  LYS F CG  1 
ATOM 14817 C CD  . LYS C 3 58  ? 252.181 -112.325 237.168 1.0 47.41422  ? 58  LYS F CD  58  LYS F CD  1 
ATOM 14818 C CE  . LYS C 3 58  ? 251.768 -112.974 238.474 1.0 47.41422  ? 58  LYS F CE  58  LYS F CE  1 
ATOM 14819 N NZ  . LYS C 3 58  ? 252.125 -112.127 239.644 1.0 47.41422  ? 58  LYS F NZ  58  LYS F NZ  1 
ATOM 14820 N N   . LEU C 3 59  ? 252.780 -107.893 234.294 1.0 43.47733  ? 59  LEU F N   59  LEU F N   1 
ATOM 14821 C CA  . LEU C 3 59  ? 253.555 -107.302 233.217 1.0 43.47733  ? 59  LEU F CA  59  LEU F CA  1 
ATOM 14822 C C   . LEU C 3 59  ? 254.673 -108.209 232.734 1.0 43.47733  ? 59  LEU F C   59  LEU F C   1 
ATOM 14823 O O   . LEU C 3 59  ? 255.110 -108.074 231.591 1.0 43.47733  ? 59  LEU F O   59  LEU F O   1 
ATOM 14824 C CB  . LEU C 3 59  ? 254.151 -105.966 233.663 1.0 43.47733  ? 59  LEU F CB  59  LEU F CB  1 
ATOM 14825 C CG  . LEU C 3 59  ? 253.151 -104.869 234.013 1.0 43.47733  ? 59  LEU F CG  59  LEU F CG  1 
ATOM 14826 C CD1 . LEU C 3 59  ? 253.884 -103.645 234.507 1.0 43.47733  ? 59  LEU F CD1 59  LEU F CD1 1 
ATOM 14827 C CD2 . LEU C 3 59  ? 252.288 -104.531 232.825 1.0 43.47733  ? 59  LEU F CD2 59  LEU F CD2 1 
ATOM 14828 N N   . GLN C 3 60  ? 255.154 -109.117 233.578 1.0 43.29025  ? 60  GLN F N   60  GLN F N   1 
ATOM 14829 C CA  . GLN C 3 60  ? 256.130 -110.126 233.193 1.0 43.29025  ? 60  GLN F CA  60  GLN F CA  1 
ATOM 14830 C C   . GLN C 3 60  ? 255.684 -111.463 233.754 1.0 43.29025  ? 60  GLN F C   60  GLN F C   1 
ATOM 14831 O O   . GLN C 3 60  ? 255.451 -111.585 234.959 1.0 43.29025  ? 60  GLN F O   60  GLN F O   1 
ATOM 14832 C CB  . GLN C 3 60  ? 257.528 -109.779 233.699 1.0 43.29025  ? 60  GLN F CB  60  GLN F CB  1 
ATOM 14833 C CG  . GLN C 3 60  ? 258.158 -108.609 232.987 1.0 43.29025  ? 60  GLN F CG  60  GLN F CG  1 
ATOM 14834 C CD  . GLN C 3 60  ? 259.534 -108.301 233.507 1.0 43.29025  ? 60  GLN F CD  60  GLN F CD  1 
ATOM 14835 O OE1 . GLN C 3 60  ? 259.990 -108.909 234.470 1.0 43.29025  ? 60  GLN F OE1 60  GLN F OE1 1 
ATOM 14836 N NE2 . GLN C 3 60  ? 260.212 -107.360 232.867 1.0 43.29025  ? 60  GLN F NE2 60  GLN F NE2 1 
ATOM 14837 N N   . LEU C 3 61  ? 255.571 -112.463 232.888 1.0 40.62687  ? 61  LEU F N   61  LEU F N   1 
ATOM 14838 C CA  . LEU C 3 61  ? 254.901 -113.709 233.229 1.0 40.62687  ? 61  LEU F CA  61  LEU F CA  1 
ATOM 14839 C C   . LEU C 3 61  ? 255.903 -114.850 233.155 1.0 40.62687  ? 61  LEU F C   61  LEU F C   1 
ATOM 14840 O O   . LEU C 3 61  ? 256.420 -115.159 232.079 1.0 40.62687  ? 61  LEU F O   61  LEU F O   1 
ATOM 14841 C CB  . LEU C 3 61  ? 253.707 -113.933 232.296 1.0 40.62687  ? 61  LEU F CB  61  LEU F CB  1 
ATOM 14842 C CG  . LEU C 3 61  ? 252.594 -114.946 232.587 1.0 40.62687  ? 61  LEU F CG  61  LEU F CG  1 
ATOM 14843 C CD1 . LEU C 3 61  ? 252.920 -116.348 232.135 1.0 40.62687  ? 61  LEU F CD1 61  LEU F CD1 1 
ATOM 14844 C CD2 . LEU C 3 61  ? 252.270 -114.940 234.068 1.0 40.62687  ? 61  LEU F CD2 61  LEU F CD2 1 
ATOM 14845 N N   . ARG C 3 62  ? 256.168 -115.469 234.300 1.0 41.05398  ? 62  ARG F N   62  ARG F N   1 
ATOM 14846 C CA  . ARG C 3 62  ? 257.082 -116.598 234.407 1.0 41.05398  ? 62  ARG F CA  62  ARG F CA  1 
ATOM 14847 C C   . ARG C 3 62  ? 256.343 -117.895 234.126 1.0 41.05398  ? 62  ARG F C   62  ARG F C   1 
ATOM 14848 O O   . ARG C 3 62  ? 255.304 -118.164 234.738 1.0 41.05398  ? 62  ARG F O   62  ARG F O   1 
ATOM 14849 C CB  . ARG C 3 62  ? 257.696 -116.652 235.803 1.0 41.05398  ? 62  ARG F CB  62  ARG F CB  1 
ATOM 14850 C CG  . ARG C 3 62  ? 258.600 -117.851 236.043 1.0 41.05398  ? 62  ARG F CG  62  ARG F CG  1 
ATOM 14851 C CD  . ARG C 3 62  ? 259.266 -117.760 237.400 1.0 41.05398  ? 62  ARG F CD  62  ARG F CD  1 
ATOM 14852 N NE  . ARG C 3 62  ? 258.306 -117.892 238.488 1.0 41.05398  ? 62  ARG F NE  62  ARG F NE  1 
ATOM 14853 C CZ  . ARG C 3 62  ? 257.973 -119.051 239.044 1.0 41.05398  ? 62  ARG F CZ  62  ARG F CZ  1 
ATOM 14854 N NH1 . ARG C 3 62  ? 258.549 -120.167 238.631 1.0 41.05398  ? 62  ARG F NH1 62  ARG F NH1 1 
ATOM 14855 N NH2 . ARG C 3 62  ? 257.089 -119.094 240.030 1.0 41.05398  ? 62  ARG F NH2 62  ARG F NH2 1 
ATOM 14856 N N   . VAL C 3 63  ? 256.880 -118.706 233.222 1.0 39.25819  ? 63  VAL F N   63  VAL F N   1 
ATOM 14857 C CA  . VAL C 3 63  ? 256.406 -120.069 233.031 1.0 39.25819  ? 63  VAL F CA  63  VAL F CA  1 
ATOM 14858 C C   . VAL C 3 63  ? 257.541 -121.029 233.348 1.0 39.25819  ? 63  VAL F C   63  VAL F C   1 
ATOM 14859 O O   . VAL C 3 63  ? 258.711 -120.755 233.060 1.0 39.25819  ? 63  VAL F O   63  VAL F O   1 
ATOM 14860 C CB  . VAL C 3 63  ? 255.846 -120.320 231.616 1.0 39.25819  ? 63  VAL F CB  63  VAL F CB  1 
ATOM 14861 C CG1 . VAL C 3 63  ? 254.578 -119.552 231.415 1.0 39.25819  ? 63  VAL F CG1 63  VAL F CG1 1 
ATOM 14862 C CG2 . VAL C 3 63  ? 256.828 -119.916 230.569 1.0 39.25819  ? 63  VAL F CG2 63  VAL F CG2 1 
ATOM 14863 N N   . VAL C 3 64  ? 257.190 -122.140 233.981 1.0 40.40142  ? 64  VAL F N   64  VAL F N   1 
ATOM 14864 C CA  . VAL C 3 64  ? 258.124 -123.221 234.256 1.0 40.40142  ? 64  VAL F CA  64  VAL F CA  1 
ATOM 14865 C C   . VAL C 3 64  ? 258.001 -124.207 233.102 1.0 40.40142  ? 64  VAL F C   64  VAL F C   1 
ATOM 14866 O O   . VAL C 3 64  ? 256.958 -124.235 232.434 1.0 40.40142  ? 64  VAL F O   64  VAL F O   1 
ATOM 14867 C CB  . VAL C 3 64  ? 257.823 -123.873 235.612 1.0 40.40142  ? 64  VAL F CB  64  VAL F CB  1 
ATOM 14868 C CG1 . VAL C 3 64  ? 258.068 -122.888 236.715 1.0 40.40142  ? 64  VAL F CG1 64  VAL F CG1 1 
ATOM 14869 C CG2 . VAL C 3 64  ? 256.381 -124.352 235.665 1.0 40.40142  ? 64  VAL F CG2 64  VAL F CG2 1 
ATOM 14870 N N   . PRO C 3 65  ? 259.022 -125.004 232.800 1.0 40.67779  ? 65  PRO F N   65  PRO F N   1 
ATOM 14871 C CA  . PRO C 3 65  ? 258.846 -126.032 231.774 1.0 40.67779  ? 65  PRO F CA  65  PRO F CA  1 
ATOM 14872 C C   . PRO C 3 65  ? 258.007 -127.176 232.308 1.0 40.67779  ? 65  PRO F C   65  PRO F C   1 
ATOM 14873 O O   . PRO C 3 65  ? 258.072 -127.515 233.492 1.0 40.67779  ? 65  PRO F O   65  PRO F O   1 
ATOM 14874 C CB  . PRO C 3 65  ? 260.277 -126.474 231.464 1.0 40.67779  ? 65  PRO F CB  65  PRO F CB  1 
ATOM 14875 C CG  . PRO C 3 65  ? 261.023 -126.182 232.693 1.0 40.67779  ? 65  PRO F CG  65  PRO F CG  1 
ATOM 14876 C CD  . PRO C 3 65  ? 260.412 -124.950 233.277 1.0 40.67779  ? 65  PRO F CD  65  PRO F CD  1 
ATOM 14877 N N   . ILE C 3 66  ? 257.190 -127.748 231.425 1.0 44.64755  ? 66  ILE F N   66  ILE F N   1 
ATOM 14878 C CA  . ILE C 3 66  ? 256.324 -128.854 231.818 1.0 44.64755  ? 66  ILE F CA  66  ILE F CA  1 
ATOM 14879 C C   . ILE C 3 66  ? 257.155 -130.096 232.099 1.0 44.64755  ? 66  ILE F C   66  ILE F C   1 
ATOM 14880 O O   . ILE C 3 66  ? 257.079 -130.685 233.182 1.0 44.64755  ? 66  ILE F O   66  ILE F O   1 
ATOM 14881 C CB  . ILE C 3 66  ? 255.267 -129.121 230.736 1.0 44.64755  ? 66  ILE F CB  66  ILE F CB  1 
ATOM 14882 C CG1 . ILE C 3 66  ? 254.445 -127.862 230.497 1.0 44.64755  ? 66  ILE F CG1 66  ILE F CG1 1 
ATOM 14883 C CG2 . ILE C 3 66  ? 254.366 -130.256 231.160 1.0 44.64755  ? 66  ILE F CG2 66  ILE F CG2 1 
ATOM 14884 C CD1 . ILE C 3 66  ? 253.713 -127.378 231.721 1.0 44.64755  ? 66  ILE F CD1 66  ILE F CD1 1 
ATOM 14885 N N   . GLN C 3 67  ? 257.971 -130.500 231.133 1.0 47.18867  ? 67  GLN F N   67  GLN F N   1 
ATOM 14886 C CA  . GLN C 3 67  ? 258.881 -131.614 231.337 1.0 47.18867  ? 67  GLN F CA  67  GLN F CA  1 
ATOM 14887 C C   . GLN C 3 67  ? 260.110 -131.421 230.467 1.0 47.18867  ? 67  GLN F C   67  GLN F C   1 
ATOM 14888 O O   . GLN C 3 67  ? 260.001 -131.003 229.312 1.0 47.18867  ? 67  GLN F O   67  GLN F O   1 
ATOM 14889 C CB  . GLN C 3 67  ? 258.182 -132.954 231.061 1.0 47.18867  ? 67  GLN F CB  67  GLN F CB  1 
ATOM 14890 C CG  . GLN C 3 67  ? 257.521 -133.117 229.701 1.0 47.18867  ? 67  GLN F CG  67  GLN F CG  1 
ATOM 14891 C CD  . GLN C 3 67  ? 258.439 -133.715 228.661 1.0 47.18867  ? 67  GLN F CD  67  GLN F CD  1 
ATOM 14892 O OE1 . GLN C 3 67  ? 259.400 -134.410 228.986 1.0 47.18867  ? 67  GLN F OE1 67  GLN F OE1 1 
ATOM 14893 N NE2 . GLN C 3 67  ? 258.118 -133.486 227.397 1.0 47.18867  ? 67  GLN F NE2 67  GLN F NE2 1 
ATOM 14894 N N   . THR C 3 68  ? 261.274 -131.698 231.044 1.0 49.39811  ? 68  THR F N   68  THR F N   1 
ATOM 14895 C CA  . THR C 3 68  ? 262.561 -131.480 230.402 1.0 49.39811  ? 68  THR F CA  68  THR F CA  1 
ATOM 14896 C C   . THR C 3 68  ? 263.265 -132.811 230.208 1.0 49.39811  ? 68  THR F C   68  THR F C   1 
ATOM 14897 O O   . THR C 3 68  ? 263.302 -133.635 231.126 1.0 49.39811  ? 68  THR F O   68  THR F O   1 
ATOM 14898 C CB  . THR C 3 68  ? 263.448 -130.558 231.240 1.0 49.39811  ? 68  THR F CB  68  THR F CB  1 
ATOM 14899 O OG1 . THR C 3 68  ? 263.708 -131.169 232.510 1.0 49.39811  ? 68  THR F OG1 68  THR F OG1 1 
ATOM 14900 C CG2 . THR C 3 68  ? 262.771 -129.233 231.463 1.0 49.39811  ? 68  THR F CG2 68  THR F CG2 1 
ATOM 14901 N N   . GLU C 3 69  ? 263.829 -133.015 229.025 1.0 51.14879  ? 69  GLU F N   69  GLU F N   1 
ATOM 14902 C CA  . GLU C 3 69  ? 264.648 -134.184 228.747 1.0 51.14879  ? 69  GLU F CA  69  GLU F CA  1 
ATOM 14903 C C   . GLU C 3 69  ? 266.113 -133.781 228.765 1.0 51.14879  ? 69  GLU F C   69  GLU F C   1 
ATOM 14904 O O   . GLU C 3 69  ? 266.496 -132.788 228.142 1.0 51.14879  ? 69  GLU F O   69  GLU F O   1 
ATOM 14905 C CB  . GLU C 3 69  ? 264.287 -134.804 227.400 1.0 51.14879  ? 69  GLU F CB  69  GLU F CB  1 
ATOM 14906 C CG  . GLU C 3 69  ? 265.064 -136.060 227.064 1.0 51.14879  ? 69  GLU F CG  69  GLU F CG  1 
ATOM 14907 C CD  . GLU C 3 69  ? 264.628 -136.675 225.752 1.0 51.14879  ? 69  GLU F CD  69  GLU F CD  1 
ATOM 14908 O OE1 . GLU C 3 69  ? 263.721 -136.110 225.106 1.0 51.14879  ? 69  GLU F OE1 69  GLU F OE1 1 
ATOM 14909 O OE2 . GLU C 3 69  ? 265.195 -137.718 225.366 1.0 51.14879  ? 69  GLU F OE2 69  GLU F OE2 1 
ATOM 14910 N N   . ASP C 3 70  ? 266.923 -134.551 229.478 1.0 52.63239  ? 70  ASP F N   70  ASP F N   1 
ATOM 14911 C CA  . ASP C 3 70  ? 268.345 -134.288 229.608 1.0 52.63239  ? 70  ASP F CA  70  ASP F CA  1 
ATOM 14912 C C   . ASP C 3 70  ? 269.113 -135.343 228.825 1.0 52.63239  ? 70  ASP F C   70  ASP F C   1 
ATOM 14913 O O   . ASP C 3 70  ? 268.895 -136.544 229.011 1.0 52.63239  ? 70  ASP F O   70  ASP F O   1 
ATOM 14914 C CB  . ASP C 3 70  ? 268.764 -134.302 231.078 1.0 52.63239  ? 70  ASP F CB  70  ASP F CB  1 
ATOM 14915 C CG  . ASP C 3 70  ? 270.128 -133.685 231.305 1.0 52.63239  ? 70  ASP F CG  70  ASP F CG  1 
ATOM 14916 O OD1 . ASP C 3 70  ? 270.749 -133.215 230.331 1.0 52.63239  ? 70  ASP F OD1 70  ASP F OD1 1 
ATOM 14917 O OD2 . ASP C 3 70  ? 270.583 -133.673 232.468 1.0 52.63239  ? 70  ASP F OD2 70  ASP F OD2 1 
ATOM 14918 N N   . ASN C 3 71  ? 270.004 -134.891 227.952 1.0 51.41806  ? 71  ASN F N   71  ASN F N   1 
ATOM 14919 C CA  . ASN C 3 71  ? 270.890 -135.771 227.214 1.0 51.41806  ? 71  ASN F CA  71  ASN F CA  1 
ATOM 14920 C C   . ASN C 3 71  ? 272.309 -135.245 227.385 1.0 51.41806  ? 71  ASN F C   71  ASN F C   1 
ATOM 14921 O O   . ASN C 3 71  ? 272.524 -134.151 227.912 1.0 51.41806  ? 71  ASN F O   71  ASN F O   1 
ATOM 14922 C CB  . ASN C 3 71  ? 270.488 -135.847 225.732 1.0 51.41806  ? 71  ASN F CB  71  ASN F CB  1 
ATOM 14923 C CG  . ASN C 3 71  ? 271.082 -137.047 225.023 1.0 51.41806  ? 71  ASN F CG  71  ASN F CG  1 
ATOM 14924 O OD1 . ASN C 3 71  ? 271.818 -137.828 225.620 1.0 51.41806  ? 71  ASN F OD1 71  ASN F OD1 1 
ATOM 14925 N ND2 . ASN C 3 71  ? 270.766 -137.200 223.746 1.0 51.41806  ? 71  ASN F ND2 71  ASN F ND2 1 
ATOM 14926 N N   . VAL C 3 72  ? 273.286 -136.053 226.970 1.0 50.83689  ? 72  VAL F N   72  VAL F N   1 
ATOM 14927 C CA  . VAL C 3 72  ? 274.675 -135.611 226.979 1.0 50.83689  ? 72  VAL F CA  72  VAL F CA  1 
ATOM 14928 C C   . VAL C 3 72  ? 274.876 -134.480 225.981 1.0 50.83689  ? 72  VAL F C   72  VAL F C   1 
ATOM 14929 O O   . VAL C 3 72  ? 275.550 -133.485 226.273 1.0 50.83689  ? 72  VAL F O   72  VAL F O   1 
ATOM 14930 C CB  . VAL C 3 72  ? 275.605 -136.800 226.686 1.0 50.83689  ? 72  VAL F CB  72  VAL F CB  1 
ATOM 14931 C CG1 . VAL C 3 72  ? 277.056 -136.354 226.628 1.0 50.83689  ? 72  VAL F CG1 72  VAL F CG1 1 
ATOM 14932 C CG2 . VAL C 3 72  ? 275.412 -137.884 227.732 1.0 50.83689  ? 72  VAL F CG2 72  VAL F CG2 1 
ATOM 14933 N N   . ASN C 3 73  ? 274.261 -134.590 224.806 1.0 48.64116  ? 73  ASN F N   73  ASN F N   1 
ATOM 14934 C CA  . ASN C 3 73  ? 274.468 -133.582 223.776 1.0 48.64116  ? 73  ASN F CA  73  ASN F CA  1 
ATOM 14935 C C   . ASN C 3 73  ? 273.575 -132.363 223.955 1.0 48.64116  ? 73  ASN F C   73  ASN F C   1 
ATOM 14936 O O   . ASN C 3 73  ? 274.023 -131.242 223.701 1.0 48.64116  ? 73  ASN F O   73  ASN F O   1 
ATOM 14937 C CB  . ASN C 3 73  ? 274.242 -134.187 222.395 1.0 48.64116  ? 73  ASN F CB  73  ASN F CB  1 
ATOM 14938 C CG  . ASN C 3 73  ? 275.237 -135.270 222.071 1.0 48.64116  ? 73  ASN F CG  73  ASN F CG  1 
ATOM 14939 O OD1 . ASN C 3 73  ? 274.875 -136.433 221.904 1.0 48.64116  ? 73  ASN F OD1 73  ASN F OD1 1 
ATOM 14940 N ND2 . ASN C 3 73  ? 276.505 -134.898 221.986 1.0 48.64116  ? 73  ASN F ND2 73  ASN F ND2 1 
ATOM 14941 N N   . TYR C 3 74  ? 272.328 -132.540 224.384 1.0 46.27538  ? 74  TYR F N   74  TYR F N   1 
ATOM 14942 C CA  . TYR C 3 74  ? 271.397 -131.423 224.406 1.0 46.27538  ? 74  TYR F CA  74  TYR F CA  1 
ATOM 14943 C C   . TYR C 3 74  ? 270.568 -131.427 225.682 1.0 46.27538  ? 74  TYR F C   74  TYR F C   1 
ATOM 14944 O O   . TYR C 3 74  ? 270.645 -132.340 226.505 1.0 46.27538  ? 74  TYR F O   74  TYR F O   1 
ATOM 14945 C CB  . TYR C 3 74  ? 270.483 -131.430 223.171 1.0 46.27538  ? 74  TYR F CB  74  TYR F CB  1 
ATOM 14946 C CG  . TYR C 3 74  ? 269.566 -132.623 223.035 1.0 46.27538  ? 74  TYR F CG  74  TYR F CG  1 
ATOM 14947 C CD1 . TYR C 3 74  ? 269.979 -133.763 222.367 1.0 46.27538  ? 74  TYR F CD1 74  TYR F CD1 1 
ATOM 14948 C CD2 . TYR C 3 74  ? 268.273 -132.593 223.539 1.0 46.27538  ? 74  TYR F CD2 74  TYR F CD2 1 
ATOM 14949 C CE1 . TYR C 3 74  ? 269.143 -134.845 222.229 1.0 46.27538  ? 74  TYR F CE1 74  TYR F CE1 1 
ATOM 14950 C CE2 . TYR C 3 74  ? 267.435 -133.672 223.412 1.0 46.27538  ? 74  TYR F CE2 74  TYR F CE2 1 
ATOM 14951 C CZ  . TYR C 3 74  ? 267.874 -134.794 222.757 1.0 46.27538  ? 74  TYR F CZ  74  TYR F CZ  1 
ATOM 14952 O OH  . TYR C 3 74  ? 267.032 -135.870 222.625 1.0 46.27538  ? 74  TYR F OH  74  TYR F OH  1 
ATOM 14953 N N   . TYR C 3 75  ? 269.762 -130.377 225.827 1.0 43.68432  ? 75  TYR F N   75  TYR F N   1 
ATOM 14954 C CA  . TYR C 3 75  ? 268.820 -130.230 226.929 1.0 43.68432  ? 75  TYR F CA  75  TYR F CA  1 
ATOM 14955 C C   . TYR C 3 75  ? 267.519 -129.682 226.363 1.0 43.68432  ? 75  TYR F C   75  TYR F C   1 
ATOM 14956 O O   . TYR C 3 75  ? 267.464 -128.520 225.952 1.0 43.68432  ? 75  TYR F O   75  TYR F O   1 
ATOM 14957 C CB  . TYR C 3 75  ? 269.371 -129.293 228.007 1.0 43.68432  ? 75  TYR F CB  75  TYR F CB  1 
ATOM 14958 C CG  . TYR C 3 75  ? 268.499 -129.176 229.234 1.0 43.68432  ? 75  TYR F CG  75  TYR F CG  1 
ATOM 14959 C CD1 . TYR C 3 75  ? 268.559 -130.114 230.248 1.0 43.68432  ? 75  TYR F CD1 75  TYR F CD1 1 
ATOM 14960 C CD2 . TYR C 3 75  ? 267.595 -128.136 229.369 1.0 43.68432  ? 75  TYR F CD2 75  TYR F CD2 1 
ATOM 14961 C CE1 . TYR C 3 75  ? 267.755 -130.004 231.366 1.0 43.68432  ? 75  TYR F CE1 75  TYR F CE1 1 
ATOM 14962 C CE2 . TYR C 3 75  ? 266.784 -128.034 230.479 1.0 43.68432  ? 75  TYR F CE2 75  TYR F CE2 1 
ATOM 14963 C CZ  . TYR C 3 75  ? 266.876 -128.966 231.474 1.0 43.68432  ? 75  TYR F CZ  75  TYR F CZ  1 
ATOM 14964 O OH  . TYR C 3 75  ? 266.069 -128.852 232.577 1.0 43.68432  ? 75  TYR F OH  75  TYR F OH  1 
ATOM 14965 N N   . LYS C 3 76  ? 266.479 -130.509 226.340 1.0 44.06247  ? 76  LYS F N   76  LYS F N   1 
ATOM 14966 C CA  . LYS C 3 76  ? 265.168 -130.091 225.862 1.0 44.06247  ? 76  LYS F CA  76  LYS F CA  1 
ATOM 14967 C C   . LYS C 3 76  ? 264.393 -129.418 226.984 1.0 44.06247  ? 76  LYS F C   76  LYS F C   1 
ATOM 14968 O O   . LYS C 3 76  ? 264.395 -129.892 228.120 1.0 44.06247  ? 76  LYS F O   76  LYS F O   1 
ATOM 14969 C CB  . LYS C 3 76  ? 264.375 -131.291 225.340 1.0 44.06247  ? 76  LYS F CB  76  LYS F CB  1 
ATOM 14970 C CG  . LYS C 3 76  ? 262.973 -130.959 224.845 1.0 44.06247  ? 76  LYS F CG  76  LYS F CG  1 
ATOM 14971 C CD  . LYS C 3 76  ? 262.280 -132.156 224.234 1.0 44.06247  ? 76  LYS F CD  76  LYS F CD  1 
ATOM 14972 C CE  . LYS C 3 76  ? 261.809 -133.121 225.285 1.0 44.06247  ? 76  LYS F CE  76  LYS F CE  1 
ATOM 14973 N NZ  . LYS C 3 76  ? 260.730 -132.527 226.094 1.0 44.06247  ? 76  LYS F NZ  76  LYS F NZ  1 
ATOM 14974 N N   . ALA C 3 77  ? 263.733 -128.308 226.663 1.0 41.40609  ? 77  ALA F N   77  ALA F N   1 
ATOM 14975 C CA  . ALA C 3 77  ? 262.810 -127.653 227.581 1.0 41.40609  ? 77  ALA F CA  77  ALA F CA  1 
ATOM 14976 C C   . ALA C 3 77  ? 261.519 -127.358 226.836 1.0 41.40609  ? 77  ALA F C   77  ALA F C   1 
ATOM 14977 O O   . ALA C 3 77  ? 261.525 -126.591 225.870 1.0 41.40609  ? 77  ALA F O   77  ALA F O   1 
ATOM 14978 C CB  . ALA C 3 77  ? 263.411 -126.367 228.147 1.0 41.40609  ? 77  ALA F CB  77  ALA F CB  1 
ATOM 14979 N N   . ARG C 3 78  ? 260.420 -127.963 227.275 1.0 42.33247  ? 78  ARG F N   78  ARG F N   1 
ATOM 14980 C CA  . ARG C 3 78  ? 259.121 -127.778 226.642 1.0 42.33247  ? 78  ARG F CA  78  ARG F CA  1 
ATOM 14981 C C   . ARG C 3 78  ? 258.241 -126.933 227.549 1.0 42.33247  ? 78  ARG F C   78  ARG F C   1 
ATOM 14982 O O   . ARG C 3 78  ? 258.059 -127.261 228.725 1.0 42.33247  ? 78  ARG F O   78  ARG F O   1 
ATOM 14983 C CB  . ARG C 3 78  ? 258.452 -129.117 226.341 1.0 42.33247  ? 78  ARG F CB  78  ARG F CB  1 
ATOM 14984 C CG  . ARG C 3 78  ? 257.135 -128.969 225.601 1.0 42.33247  ? 78  ARG F CG  78  ARG F CG  1 
ATOM 14985 C CD  . ARG C 3 78  ? 256.526 -130.305 225.211 1.0 42.33247  ? 78  ARG F CD  78  ARG F CD  1 
ATOM 14986 N NE  . ARG C 3 78  ? 256.157 -131.113 226.365 1.0 42.33247  ? 78  ARG F NE  78  ARG F NE  1 
ATOM 14987 C CZ  . ARG C 3 78  ? 255.022 -130.974 227.043 1.0 42.33247  ? 78  ARG F CZ  78  ARG F CZ  1 
ATOM 14988 N NH1 . ARG C 3 78  ? 254.139 -130.051 226.689 1.0 42.33247  ? 78  ARG F NH1 78  ARG F NH1 1 
ATOM 14989 N NH2 . ARG C 3 78  ? 254.769 -131.758 228.081 1.0 42.33247  ? 78  ARG F NH2 78  ARG F NH2 1 
ATOM 14990 N N   . PHE C 3 79  ? 257.693 -125.857 226.999 1.0 38.54329  ? 79  PHE F N   79  PHE F N   1 
ATOM 14991 C CA  . PHE C 3 79  ? 256.885 -124.898 227.732 1.0 38.54329  ? 79  PHE F CA  79  PHE F CA  1 
ATOM 14992 C C   . PHE C 3 79  ? 255.458 -124.906 227.210 1.0 38.54329  ? 79  PHE F C   79  PHE F C   1 
ATOM 14993 O O   . PHE C 3 79  ? 255.179 -125.382 226.109 1.0 38.54329  ? 79  PHE F O   79  PHE F O   1 
ATOM 14994 C CB  . PHE C 3 79  ? 257.465 -123.489 227.604 1.0 38.54329  ? 79  PHE F CB  79  PHE F CB  1 
ATOM 14995 C CG  . PHE C 3 79  ? 258.784 -123.321 228.275 1.0 38.54329  ? 79  PHE F CG  79  PHE F CG  1 
ATOM 14996 C CD1 . PHE C 3 79  ? 258.850 -123.032 229.621 1.0 38.54329  ? 79  PHE F CD1 79  PHE F CD1 1 
ATOM 14997 C CD2 . PHE C 3 79  ? 259.959 -123.470 227.564 1.0 38.54329  ? 79  PHE F CD2 79  PHE F CD2 1 
ATOM 14998 C CE1 . PHE C 3 79  ? 260.061 -122.881 230.245 1.0 38.54329  ? 79  PHE F CE1 79  PHE F CE1 1 
ATOM 14999 C CE2 . PHE C 3 79  ? 261.176 -123.324 228.184 1.0 38.54329  ? 79  PHE F CE2 79  PHE F CE2 1 
ATOM 15000 C CZ  . PHE C 3 79  ? 261.226 -123.027 229.526 1.0 38.54329  ? 79  PHE F CZ  79  PHE F CZ  1 
ATOM 15001 N N   . THR C 3 80  ? 254.554 -124.368 228.018 1.0 38.62825  ? 80  THR F N   80  THR F N   1 
ATOM 15002 C CA  . THR C 3 80  ? 253.166 -124.155 227.621 1.0 38.62825  ? 80  THR F CA  80  THR F CA  1 
ATOM 15003 C C   . THR C 3 80  ? 252.875 -122.673 227.811 1.0 38.62825  ? 80  THR F C   80  THR F C   1 
ATOM 15004 O O   . THR C 3 80  ? 252.650 -122.214 228.934 1.0 38.62825  ? 80  THR F O   80  THR F O   1 
ATOM 15005 C CB  . THR C 3 80  ? 252.212 -125.024 228.430 1.0 38.62825  ? 80  THR F CB  80  THR F CB  1 
ATOM 15006 O OG1 . THR C 3 80  ? 252.532 -126.401 228.212 1.0 38.62825  ? 80  THR F OG1 80  THR F OG1 1 
ATOM 15007 C CG2 . THR C 3 80  ? 250.779 -124.785 227.996 1.0 38.62825  ? 80  THR F CG2 80  THR F CG2 1 
ATOM 15008 N N   . LEU C 3 81  ? 252.902 -121.924 226.717 1.0 37.67375  ? 81  LEU F N   81  LEU F N   1 
ATOM 15009 C CA  . LEU C 3 81  ? 252.677 -120.484 226.759 1.0 37.67375  ? 81  LEU F CA  81  LEU F CA  1 
ATOM 15010 C C   . LEU C 3 81  ? 251.177 -120.241 226.707 1.0 37.67375  ? 81  LEU F C   81  LEU F C   1 
ATOM 15011 O O   . LEU C 3 81  ? 250.560 -120.319 225.645 1.0 37.67375  ? 81  LEU F O   81  LEU F O   1 
ATOM 15012 C CB  . LEU C 3 81  ? 253.402 -119.798 225.611 1.0 37.67375  ? 81  LEU F CB  81  LEU F CB  1 
ATOM 15013 C CG  . LEU C 3 81  ? 253.279 -118.283 225.575 1.0 37.67375  ? 81  LEU F CG  81  LEU F CG  1 
ATOM 15014 C CD1 . LEU C 3 81  ? 253.843 -117.711 226.847 1.0 37.67375  ? 81  LEU F CD1 81  LEU F CD1 1 
ATOM 15015 C CD2 . LEU C 3 81  ? 254.019 -117.739 224.376 1.0 37.67375  ? 81  LEU F CD2 81  LEU F CD2 1 
ATOM 15016 N N   . ASN C 3 82  ? 250.587 -119.948 227.859 1.0 39.41756  ? 82  ASN F N   82  ASN F N   1 
ATOM 15017 C CA  . ASN C 3 82  ? 249.142 -119.792 227.992 1.0 39.41756  ? 82  ASN F CA  82  ASN F CA  1 
ATOM 15018 C C   . ASN C 3 82  ? 248.823 -118.303 227.959 1.0 39.41756  ? 82  ASN F C   82  ASN F C   1 
ATOM 15019 O O   . ASN C 3 82  ? 249.122 -117.572 228.905 1.0 39.41756  ? 82  ASN F O   82  ASN F O   1 
ATOM 15020 C CB  . ASN C 3 82  ? 248.654 -120.442 229.281 1.0 39.41756  ? 82  ASN F CB  82  ASN F CB  1 
ATOM 15021 C CG  . ASN C 3 82  ? 247.148 -120.566 229.340 1.0 39.41756  ? 82  ASN F CG  82  ASN F CG  1 
ATOM 15022 O OD1 . ASN C 3 82  ? 246.444 -120.203 228.401 1.0 39.41756  ? 82  ASN F OD1 82  ASN F OD1 1 
ATOM 15023 N ND2 . ASN C 3 82  ? 246.641 -121.070 230.460 1.0 39.41756  ? 82  ASN F ND2 82  ASN F ND2 1 
ATOM 15024 N N   . VAL C 3 83  ? 248.214 -117.854 226.869 1.0 39.38553  ? 83  VAL F N   83  VAL F N   1 
ATOM 15025 C CA  . VAL C 3 83  ? 247.788 -116.467 226.731 1.0 39.38553  ? 83  VAL F CA  83  VAL F CA  1 
ATOM 15026 C C   . VAL C 3 83  ? 246.285 -116.435 226.973 1.0 39.38553  ? 83  VAL F C   83  VAL F C   1 
ATOM 15027 O O   . VAL C 3 83  ? 245.507 -116.942 226.163 1.0 39.38553  ? 83  VAL F O   83  VAL F O   1 
ATOM 15028 C CB  . VAL C 3 83  ? 248.144 -115.904 225.352 1.0 39.38553  ? 83  VAL F CB  83  VAL F CB  1 
ATOM 15029 C CG1 . VAL C 3 83  ? 247.708 -114.462 225.242 1.0 39.38553  ? 83  VAL F CG1 83  VAL F CG1 1 
ATOM 15030 C CG2 . VAL C 3 83  ? 249.624 -116.041 225.096 1.0 39.38553  ? 83  VAL F CG2 83  VAL F CG2 1 
ATOM 15031 N N   . GLY C 3 84  ? 245.872 -115.842 228.086 1.0 43.65155  ? 84  GLY F N   84  GLY F N   1 
ATOM 15032 C CA  . GLY C 3 84  ? 244.496 -115.933 228.522 1.0 43.65155  ? 84  GLY F CA  84  GLY F CA  1 
ATOM 15033 C C   . GLY C 3 84  ? 243.550 -115.062 227.718 1.0 43.65155  ? 84  GLY F C   84  GLY F C   1 
ATOM 15034 O O   . GLY C 3 84  ? 243.872 -114.535 226.655 1.0 43.65155  ? 84  GLY F O   84  GLY F O   1 
ATOM 15035 N N   . ASP C 3 85  ? 242.340 -114.923 228.254 1.0 47.78506  ? 85  ASP F N   85  ASP F N   1 
ATOM 15036 C CA  . ASP C 3 85  ? 241.325 -114.073 227.645 1.0 47.78506  ? 85  ASP F CA  85  ASP F CA  1 
ATOM 15037 C C   . ASP C 3 85  ? 241.742 -112.612 227.675 1.0 47.78506  ? 85  ASP F C   85  ASP F C   1 
ATOM 15038 O O   . ASP C 3 85  ? 242.002 -112.057 228.746 1.0 47.78506  ? 85  ASP F O   85  ASP F O   1 
ATOM 15039 C CB  . ASP C 3 85  ? 239.994 -114.237 228.375 1.0 47.78506  ? 85  ASP F CB  85  ASP F CB  1 
ATOM 15040 C CG  . ASP C 3 85  ? 239.328 -115.545 228.071 1.0 47.78506  ? 85  ASP F CG  85  ASP F CG  1 
ATOM 15041 O OD1 . ASP C 3 85  ? 239.501 -116.038 226.939 1.0 47.78506  ? 85  ASP F OD1 85  ASP F OD1 1 
ATOM 15042 O OD2 . ASP C 3 85  ? 238.636 -116.087 228.960 1.0 47.78506  ? 85  ASP F OD2 85  ASP F OD2 1 
ATOM 15043 N N   . ASN C 3 86  ? 241.803 -112.012 226.480 1.0 45.50233  ? 86  ASN F N   86  ASN F N   1 
ATOM 15044 C CA  . ASN C 3 86  ? 242.050 -110.584 226.242 1.0 45.50233  ? 86  ASN F CA  86  ASN F CA  1 
ATOM 15045 C C   . ASN C 3 86  ? 243.459 -110.160 226.661 1.0 45.50233  ? 86  ASN F C   86  ASN F C   1 
ATOM 15046 O O   . ASN C 3 86  ? 243.638 -109.213 227.422 1.0 45.50233  ? 86  ASN F O   86  ASN F O   1 
ATOM 15047 C CB  . ASN C 3 86  ? 240.994 -109.710 226.920 1.0 45.50233  ? 86  ASN F CB  86  ASN F CB  1 
ATOM 15048 C CG  . ASN C 3 86  ? 239.608 -109.973 226.399 1.0 45.50233  ? 86  ASN F CG  86  ASN F CG  1 
ATOM 15049 O OD1 . ASN C 3 86  ? 239.399 -110.137 225.199 1.0 45.50233  ? 86  ASN F OD1 86  ASN F OD1 1 
ATOM 15050 N ND2 . ASN C 3 86  ? 238.642 -110.024 227.308 1.0 45.50233  ? 86  ASN F ND2 86  ASN F ND2 1 
ATOM 15051 N N   . ARG C 3 87  ? 244.465 -110.859 226.140 1.0 45.72694  ? 87  ARG F N   87  ARG F N   1 
ATOM 15052 C CA  . ARG C 3 87  ? 245.858 -110.487 226.346 1.0 45.72694  ? 87  ARG F CA  87  ARG F CA  1 
ATOM 15053 C C   . ARG C 3 87  ? 246.568 -110.384 225.006 1.0 45.72694  ? 87  ARG F C   87  ARG F C   1 
ATOM 15054 O O   . ARG C 3 87  ? 246.236 -111.093 224.056 1.0 45.72694  ? 87  ARG F O   87  ARG F O   1 
ATOM 15055 C CB  . ARG C 3 87  ? 246.612 -111.494 227.230 1.0 45.72694  ? 87  ARG F CB  87  ARG F CB  1 
ATOM 15056 C CG  . ARG C 3 87  ? 246.473 -111.302 228.734 1.0 45.72694  ? 87  ARG F CG  87  ARG F CG  1 
ATOM 15057 C CD  . ARG C 3 87  ? 245.166 -111.839 229.247 1.0 45.72694  ? 87  ARG F CD  87  ARG F CD  1 
ATOM 15058 N NE  . ARG C 3 87  ? 245.001 -111.706 230.688 1.0 45.72694  ? 87  ARG F NE  87  ARG F NE  1 
ATOM 15059 C CZ  . ARG C 3 87  ? 245.357 -112.637 231.563 1.0 45.72694  ? 87  ARG F CZ  87  ARG F CZ  1 
ATOM 15060 N NH1 . ARG C 3 87  ? 245.900 -113.771 231.142 1.0 45.72694  ? 87  ARG F NH1 87  ARG F NH1 1 
ATOM 15061 N NH2 . ARG C 3 87  ? 245.162 -112.438 232.857 1.0 45.72694  ? 87  ARG F NH2 87  ARG F NH2 1 
ATOM 15062 N N   . LEU C 3 88  ? 247.560 -109.499 224.937 1.0 42.59912  ? 88  LEU F N   88  LEU F N   1 
ATOM 15063 C CA  . LEU C 3 88  ? 248.425 -109.371 223.768 1.0 42.59912  ? 88  LEU F CA  88  LEU F CA  1 
ATOM 15064 C C   . LEU C 3 88  ? 249.858 -109.666 224.178 1.0 42.59912  ? 88  LEU F C   88  LEU F C   1 
ATOM 15065 O O   . LEU C 3 88  ? 250.336 -109.146 225.190 1.0 42.59912  ? 88  LEU F O   88  LEU F O   1 
ATOM 15066 C CB  . LEU C 3 88  ? 248.342 -107.979 223.142 1.0 42.59912  ? 88  LEU F CB  88  LEU F CB  1 
ATOM 15067 C CG  . LEU C 3 88  ? 247.308 -107.724 222.045 1.0 42.59912  ? 88  LEU F CG  88  LEU F CG  1 
ATOM 15068 C CD1 . LEU C 3 88  ? 247.534 -108.681 220.922 1.0 42.59912  ? 88  LEU F CD1 88  LEU F CD1 1 
ATOM 15069 C CD2 . LEU C 3 88  ? 245.903 -107.852 222.519 1.0 42.59912  ? 88  LEU F CD2 88  LEU F CD2 1 
ATOM 15070 N N   . VAL C 3 89  ? 250.542 -110.491 223.392 1.0 38.07344  ? 89  VAL F N   89  VAL F N   1 
ATOM 15071 C CA  . VAL C 3 89  ? 251.946 -110.814 223.607 1.0 38.07344  ? 89  VAL F CA  89  VAL F CA  1 
ATOM 15072 C C   . VAL C 3 89  ? 252.711 -110.446 222.348 1.0 38.07344  ? 89  VAL F C   89  VAL F C   1 
ATOM 15073 O O   . VAL C 3 89  ? 252.296 -110.797 221.240 1.0 38.07344  ? 89  VAL F O   89  VAL F O   1 
ATOM 15074 C CB  . VAL C 3 89  ? 252.144 -112.304 223.931 1.0 38.07344  ? 89  VAL F CB  89  VAL F CB  1 
ATOM 15075 C CG1 . VAL C 3 89  ? 253.612 -112.626 224.135 1.0 38.07344  ? 89  VAL F CG1 89  VAL F CG1 1 
ATOM 15076 C CG2 . VAL C 3 89  ? 251.351 -112.695 225.135 1.0 38.07344  ? 89  VAL F CG2 89  VAL F CG2 1 
ATOM 15077 N N   . ASP C 3 90  ? 253.814 -109.735 222.506 1.0 37.97852  ? 90  ASP F N   90  ASP F N   1 
ATOM 15078 C CA  . ASP C 3 90  ? 254.809 -109.666 221.454 1.0 37.97852  ? 90  ASP F CA  90  ASP F CA  1 
ATOM 15079 C C   . ASP C 3 90  ? 255.933 -110.616 221.831 1.0 37.97852  ? 90  ASP F C   90  ASP F C   1 
ATOM 15080 O O   . ASP C 3 90  ? 256.485 -110.526 222.931 1.0 37.97852  ? 90  ASP F O   90  ASP F O   1 
ATOM 15081 C CB  . ASP C 3 90  ? 255.336 -108.246 221.266 1.0 37.97852  ? 90  ASP F CB  90  ASP F CB  1 
ATOM 15082 C CG  . ASP C 3 90  ? 256.111 -108.082 219.974 1.0 37.97852  ? 90  ASP F CG  90  ASP F CG  1 
ATOM 15083 O OD1 . ASP C 3 90  ? 256.216 -109.058 219.208 1.0 37.97852  ? 90  ASP F OD1 90  ASP F OD1 1 
ATOM 15084 O OD2 . ASP C 3 90  ? 256.628 -106.979 219.718 1.0 37.97852  ? 90  ASP F OD2 90  ASP F OD2 1 
ATOM 15085 N N   . LEU C 3 91  ? 256.270 -111.526 220.919 1.0 35.41954  ? 91  LEU F N   91  LEU F N   1 
ATOM 15086 C CA  . LEU C 3 91  ? 257.352 -112.464 221.180 1.0 35.41954  ? 91  LEU F CA  91  LEU F CA  1 
ATOM 15087 C C   . LEU C 3 91  ? 258.727 -111.825 221.075 1.0 35.41954  ? 91  LEU F C   91  LEU F C   1 
ATOM 15088 O O   . LEU C 3 91  ? 259.718 -112.504 221.353 1.0 35.41954  ? 91  LEU F O   91  LEU F O   1 
ATOM 15089 C CB  . LEU C 3 91  ? 257.281 -113.658 220.229 1.0 35.41954  ? 91  LEU F CB  91  LEU F CB  1 
ATOM 15090 C CG  . LEU C 3 91  ? 256.451 -114.898 220.564 1.0 35.41954  ? 91  LEU F CG  91  LEU F CG  1 
ATOM 15091 C CD1 . LEU C 3 91  ? 256.923 -115.526 221.859 1.0 35.41954  ? 91  LEU F CD1 91  LEU F CD1 1 
ATOM 15092 C CD2 . LEU C 3 91  ? 254.985 -114.601 220.616 1.0 35.41954  ? 91  LEU F CD2 91  LEU F CD2 1 
ATOM 15093 N N   . GLY C 3 92  ? 258.822 -110.557 220.675 1.0 37.69052  ? 92  GLY F N   92  GLY F N   1 
ATOM 15094 C CA  . GLY C 3 92  ? 260.082 -109.850 220.789 1.0 37.69052  ? 92  GLY F CA  92  GLY F CA  1 
ATOM 15095 C C   . GLY C 3 92  ? 260.490 -109.618 222.227 1.0 37.69052  ? 92  GLY F C   92  GLY F C   1 
ATOM 15096 O O   . GLY C 3 92  ? 261.681 -109.511 222.528 1.0 37.69052  ? 92  GLY F O   92  GLY F O   1 
ATOM 15097 N N   . SER C 3 93  ? 259.518 -109.553 223.132 1.0 37.32296  ? 93  SER F N   93  SER F N   1 
ATOM 15098 C CA  . SER C 3 93  ? 259.787 -109.437 224.556 1.0 37.32296  ? 93  SER F CA  93  SER F CA  1 
ATOM 15099 C C   . SER C 3 93  ? 260.070 -110.777 225.218 1.0 37.32296  ? 93  SER F C   93  SER F C   1 
ATOM 15100 O O   . SER C 3 93  ? 260.309 -110.810 226.428 1.0 37.32296  ? 93  SER F O   93  SER F O   1 
ATOM 15101 C CB  . SER C 3 93  ? 258.605 -108.771 225.251 1.0 37.32296  ? 93  SER F CB  93  SER F CB  1 
ATOM 15102 O OG  . SER C 3 93  ? 257.456 -109.593 225.177 1.0 37.32296  ? 93  SER F OG  93  SER F OG  1 
ATOM 15103 N N   . SER C 3 94  ? 260.052 -111.870 224.466 1.0 36.29652  ? 94  SER F N   94  SER F N   1 
ATOM 15104 C CA  . SER C 3 94  ? 260.260 -113.193 225.027 1.0 36.29652  ? 94  SER F CA  94  SER F CA  1 
ATOM 15105 C C   . SER C 3 94  ? 261.740 -113.534 225.064 1.0 36.29652  ? 94  SER F C   94  SER F C   1 
ATOM 15106 O O   . SER C 3 94  ? 262.482 -113.221 224.131 1.0 36.29652  ? 94  SER F O   94  SER F O   1 
ATOM 15107 C CB  . SER C 3 94  ? 259.512 -114.245 224.216 1.0 36.29652  ? 94  SER F CB  94  SER F CB  1 
ATOM 15108 O OG  . SER C 3 94  ? 260.074 -114.366 222.924 1.0 36.29652  ? 94  SER F OG  94  SER F OG  1 
ATOM 15109 N N   . TYR C 3 95  ? 262.160 -114.184 226.148 1.0 37.23974  ? 95  TYR F N   95  TYR F N   1 
ATOM 15110 C CA  . TYR C 3 95  ? 263.532 -114.651 226.284 1.0 37.23974  ? 95  TYR F CA  95  TYR F CA  1 
ATOM 15111 C C   . TYR C 3 95  ? 263.575 -115.779 227.299 1.0 37.23974  ? 95  TYR F C   95  TYR F C   1 
ATOM 15112 O O   . TYR C 3 95  ? 262.755 -115.844 228.214 1.0 37.23974  ? 95  TYR F O   95  TYR F O   1 
ATOM 15113 C CB  . TYR C 3 95  ? 264.481 -113.522 226.698 1.0 37.23974  ? 95  TYR F CB  95  TYR F CB  1 
ATOM 15114 C CG  . TYR C 3 95  ? 264.191 -112.875 228.032 1.0 37.23974  ? 95  TYR F CG  95  TYR F CG  1 
ATOM 15115 C CD1 . TYR C 3 95  ? 263.321 -111.802 228.125 1.0 37.23974  ? 95  TYR F CD1 95  TYR F CD1 1 
ATOM 15116 C CD2 . TYR C 3 95  ? 264.823 -113.304 229.190 1.0 37.23974  ? 95  TYR F CD2 95  TYR F CD2 1 
ATOM 15117 C CE1 . TYR C 3 95  ? 263.064 -111.197 229.334 1.0 37.23974  ? 95  TYR F CE1 95  TYR F CE1 1 
ATOM 15118 C CE2 . TYR C 3 95  ? 264.564 -112.710 230.400 1.0 37.23974  ? 95  TYR F CE2 95  TYR F CE2 1 
ATOM 15119 C CZ  . TYR C 3 95  ? 263.690 -111.655 230.464 1.0 37.23974  ? 95  TYR F CZ  95  TYR F CZ  1 
ATOM 15120 O OH  . TYR C 3 95  ? 263.437 -111.054 231.670 1.0 37.23974  ? 95  TYR F OH  95  TYR F OH  1 
ATOM 15121 N N   . PHE C 3 96  ? 264.553 -116.661 227.128 1.0 37.92245  ? 96  PHE F N   96  PHE F N   1 
ATOM 15122 C CA  . PHE C 3 96  ? 264.827 -117.709 228.099 1.0 37.92245  ? 96  PHE F CA  96  PHE F CA  1 
ATOM 15123 C C   . PHE C 3 96  ? 265.776 -117.155 229.151 1.0 37.92245  ? 96  PHE F C   96  PHE F C   1 
ATOM 15124 O O   . PHE C 3 96  ? 266.848 -116.647 228.814 1.0 37.92245  ? 96  PHE F O   96  PHE F O   1 
ATOM 15125 C CB  . PHE C 3 96  ? 265.458 -118.929 227.436 1.0 37.92245  ? 96  PHE F CB  96  PHE F CB  1 
ATOM 15126 C CG  . PHE C 3 96  ? 264.584 -119.616 226.439 1.0 37.92245  ? 96  PHE F CG  96  PHE F CG  1 
ATOM 15127 C CD1 . PHE C 3 96  ? 263.628 -120.524 226.846 1.0 37.92245  ? 96  PHE F CD1 96  PHE F CD1 1 
ATOM 15128 C CD2 . PHE C 3 96  ? 264.747 -119.383 225.086 1.0 37.92245  ? 96  PHE F CD2 96  PHE F CD2 1 
ATOM 15129 C CE1 . PHE C 3 96  ? 262.836 -121.171 225.926 1.0 37.92245  ? 96  PHE F CE1 96  PHE F CE1 1 
ATOM 15130 C CE2 . PHE C 3 96  ? 263.957 -120.026 224.162 1.0 37.92245  ? 96  PHE F CE2 96  PHE F CE2 1 
ATOM 15131 C CZ  . PHE C 3 96  ? 263.006 -120.924 224.585 1.0 37.92245  ? 96  PHE F CZ  96  PHE F CZ  1 
ATOM 15132 N N   . ASP C 3 97  ? 265.386 -117.253 230.417 1.0 41.09995  ? 97  ASP F N   97  ASP F N   1 
ATOM 15133 C CA  . ASP C 3 97  ? 266.243 -116.863 231.532 1.0 41.09995  ? 97  ASP F CA  97  ASP F CA  1 
ATOM 15134 C C   . ASP C 3 97  ? 266.800 -118.135 232.160 1.0 41.09995  ? 97  ASP F C   97  ASP F C   1 
ATOM 15135 O O   . ASP C 3 97  ? 266.285 -118.662 233.146 1.0 41.09995  ? 97  ASP F O   97  ASP F O   1 
ATOM 15136 C CB  . ASP C 3 97  ? 265.462 -116.020 232.525 1.0 41.09995  ? 97  ASP F CB  97  ASP F CB  1 
ATOM 15137 C CG  . ASP C 3 97  ? 266.287 -115.605 233.719 1.0 41.09995  ? 97  ASP F CG  97  ASP F CG  1 
ATOM 15138 O OD1 . ASP C 3 97  ? 267.185 -114.747 233.581 1.0 41.09995  ? 97  ASP F OD1 97  ASP F OD1 1 
ATOM 15139 O OD2 . ASP C 3 97  ? 266.012 -116.137 234.811 1.0 41.09995  ? 97  ASP F OD2 97  ASP F OD2 1 
ATOM 15140 N N   . ILE C 3 98  ? 267.875 -118.628 231.568 1.0 41.5664   ? 98  ILE F N   98  ILE F N   1 
ATOM 15141 C CA  . ILE C 3 98  ? 268.412 -119.917 231.956 1.0 41.5664   ? 98  ILE F CA  98  ILE F CA  1 
ATOM 15142 C C   . ILE C 3 98  ? 269.433 -119.703 233.066 1.0 41.5664   ? 98  ILE F C   98  ILE F C   1 
ATOM 15143 O O   . ILE C 3 98  ? 269.927 -118.597 233.292 1.0 41.5664   ? 98  ILE F O   98  ILE F O   1 
ATOM 15144 C CB  . ILE C 3 98  ? 268.996 -120.679 230.736 1.0 41.5664   ? 98  ILE F CB  98  ILE F CB  1 
ATOM 15145 C CG1 . ILE C 3 98  ? 270.286 -120.109 230.196 1.0 41.5664   ? 98  ILE F CG1 98  ILE F CG1 1 
ATOM 15146 C CG2 . ILE C 3 98  ? 268.060 -120.599 229.579 1.0 41.5664   ? 98  ILE F CG2 98  ILE F CG2 1 
ATOM 15147 C CD1 . ILE C 3 98  ? 271.471 -120.885 230.605 1.0 41.5664   ? 98  ILE F CD1 98  ILE F CD1 1 
ATOM 15148 N N   . LYS C 3 99  ? 269.762 -120.784 233.763 1.0 43.54185  ? 99  LYS F N   99  LYS F N   1 
ATOM 15149 C CA  . LYS C 3 99  ? 270.577 -120.689 234.964 1.0 43.54185  ? 99  LYS F CA  99  LYS F CA  1 
ATOM 15150 C C   . LYS C 3 99  ? 271.245 -122.030 235.211 1.0 43.54185  ? 99  LYS F C   99  LYS F C   1 
ATOM 15151 O O   . LYS C 3 99  ? 270.595 -123.074 235.120 1.0 43.54185  ? 99  LYS F O   99  LYS F O   1 
ATOM 15152 C CB  . LYS C 3 99  ? 269.716 -120.288 236.159 1.0 43.54185  ? 99  LYS F CB  99  LYS F CB  1 
ATOM 15153 C CG  . LYS C 3 99  ? 270.481 -120.052 237.431 1.0 43.54185  ? 99  LYS F CG  99  LYS F CG  1 
ATOM 15154 C CD  . LYS C 3 99  ? 269.558 -119.581 238.530 1.0 43.54185  ? 99  LYS F CD  99  LYS F CD  1 
ATOM 15155 C CE  . LYS C 3 99  ? 270.329 -119.332 239.806 1.0 43.54185  ? 99  LYS F CE  99  LYS F CE  1 
ATOM 15156 N NZ  . LYS C 3 99  ? 269.430 -118.875 240.895 1.0 43.54185  ? 99  LYS F NZ  99  LYS F NZ  1 
ATOM 15157 N N   . GLY C 3 100 ? 272.531 -121.998 235.520 1.0 45.26776  ? 100 GLY F N   100 GLY F N   1 
ATOM 15158 C CA  . GLY C 3 100 ? 273.255 -123.218 235.795 1.0 45.26776  ? 100 GLY F CA  100 GLY F CA  1 
ATOM 15159 C C   . GLY C 3 100 ? 274.647 -122.893 236.276 1.0 45.26776  ? 100 GLY F C   100 GLY F C   1 
ATOM 15160 O O   . GLY C 3 100 ? 274.976 -121.736 236.533 1.0 45.26776  ? 100 GLY F O   100 GLY F O   1 
ATOM 15161 N N   . THR C 3 101 ? 275.467 -123.931 236.394 1.0 47.68192  ? 101 THR F N   101 THR F N   1 
ATOM 15162 C CA  . THR C 3 101 ? 276.861 -123.778 236.781 1.0 47.68192  ? 101 THR F CA  101 THR F CA  1 
ATOM 15163 C C   . THR C 3 101 ? 277.757 -124.128 235.601 1.0 47.68192  ? 101 THR F C   101 THR F C   1 
ATOM 15164 O O   . THR C 3 101 ? 277.319 -124.720 234.613 1.0 47.68192  ? 101 THR F O   101 THR F O   1 
ATOM 15165 C CB  . THR C 3 101 ? 277.210 -124.642 237.999 1.0 47.68192  ? 101 THR F CB  101 THR F CB  1 
ATOM 15166 O OG1 . THR C 3 101 ? 278.522 -124.306 238.461 1.0 47.68192  ? 101 THR F OG1 101 THR F OG1 1 
ATOM 15167 C CG2 . THR C 3 101 ? 277.182 -126.105 237.646 1.0 47.68192  ? 101 THR F CG2 101 THR F CG2 1 
ATOM 15168 N N   . LEU C 3 102 ? 279.028 -123.752 235.708 1.0 47.61791  ? 102 LEU F N   102 LEU F N   1 
ATOM 15169 C CA  . LEU C 3 102 ? 279.925 -123.799 234.562 1.0 47.61791  ? 102 LEU F CA  102 LEU F CA  1 
ATOM 15170 C C   . LEU C 3 102 ? 281.337 -124.136 235.005 1.0 47.61791  ? 102 LEU F C   102 LEU F C   1 
ATOM 15171 O O   . LEU C 3 102 ? 281.830 -123.587 235.993 1.0 47.61791  ? 102 LEU F O   102 LEU F O   1 
ATOM 15172 C CB  . LEU C 3 102 ? 279.913 -122.460 233.821 1.0 47.61791  ? 102 LEU F CB  102 LEU F CB  1 
ATOM 15173 C CG  . LEU C 3 102 ? 280.803 -122.317 232.593 1.0 47.61791  ? 102 LEU F CG  102 LEU F CG  1 
ATOM 15174 C CD1 . LEU C 3 102 ? 280.409 -123.320 231.542 1.0 47.61791  ? 102 LEU F CD1 102 LEU F CD1 1 
ATOM 15175 C CD2 . LEU C 3 102 ? 280.697 -120.913 232.048 1.0 47.61791  ? 102 LEU F CD2 102 LEU F CD2 1 
ATOM 15176 N N   . ASP C 3 103 ? 281.977 -125.038 234.272 1.0 50.17322  ? 103 ASP F N   103 ASP F N   1 
ATOM 15177 C CA  . ASP C 3 103 ? 283.392 -125.332 234.424 1.0 50.17322  ? 103 ASP F CA  103 ASP F CA  1 
ATOM 15178 C C   . ASP C 3 103 ? 284.116 -124.850 233.176 1.0 50.17322  ? 103 ASP F C   103 ASP F C   1 
ATOM 15179 O O   . ASP C 3 103 ? 283.570 -124.907 232.071 1.0 50.17322  ? 103 ASP F O   103 ASP F O   1 
ATOM 15180 C CB  . ASP C 3 103 ? 283.625 -126.830 234.628 1.0 50.17322  ? 103 ASP F CB  103 ASP F CB  1 
ATOM 15181 C CG  . ASP C 3 103 ? 285.034 -127.152 235.087 1.0 50.17322  ? 103 ASP F CG  103 ASP F CG  1 
ATOM 15182 O OD1 . ASP C 3 103 ? 285.845 -126.225 235.283 1.0 50.17322  ? 103 ASP F OD1 103 ASP F OD1 1 
ATOM 15183 O OD2 . ASP C 3 103 ? 285.337 -128.349 235.256 1.0 50.17322  ? 103 ASP F OD2 103 ASP F OD2 1 
ATOM 15184 N N   . ARG C 3 104 ? 285.343 -124.379 233.353 1.0 47.08844  ? 104 ARG F N   104 ARG F N   1 
ATOM 15185 C CA  . ARG C 3 104 ? 286.110 -123.806 232.260 1.0 47.08844  ? 104 ARG F CA  104 ARG F CA  1 
ATOM 15186 C C   . ARG C 3 104 ? 287.384 -124.571 231.956 1.0 47.08844  ? 104 ARG F C   104 ARG F C   1 
ATOM 15187 O O   . ARG C 3 104 ? 288.111 -124.191 231.034 1.0 47.08844  ? 104 ARG F O   104 ARG F O   1 
ATOM 15188 C CB  . ARG C 3 104 ? 286.442 -122.352 232.573 1.0 47.08844  ? 104 ARG F CB  104 ARG F CB  1 
ATOM 15189 C CG  . ARG C 3 104 ? 285.265 -121.430 232.453 1.0 47.08844  ? 104 ARG F CG  104 ARG F CG  1 
ATOM 15190 C CD  . ARG C 3 104 ? 285.633 -120.088 232.986 1.0 47.08844  ? 104 ARG F CD  104 ARG F CD  1 
ATOM 15191 N NE  . ARG C 3 104 ? 284.604 -119.096 232.738 1.0 47.08844  ? 104 ARG F NE  104 ARG F NE  1 
ATOM 15192 C CZ  . ARG C 3 104 ? 284.583 -117.900 233.305 1.0 47.08844  ? 104 ARG F CZ  104 ARG F CZ  1 
ATOM 15193 N NH1 . ARG C 3 104 ? 283.631 -117.048 233.012 1.0 47.08844  ? 104 ARG F NH1 104 ARG F NH1 1 
ATOM 15194 N NH2 . ARG C 3 104 ? 285.498 -117.570 234.196 1.0 47.08844  ? 104 ARG F NH2 104 ARG F NH2 1 
ATOM 15195 N N   . GLY C 3 105 ? 287.683 -125.622 232.708 1.0 50.44781  ? 105 GLY F N   105 GLY F N   1 
ATOM 15196 C CA  . GLY C 3 105 ? 288.835 -126.443 232.439 1.0 50.44781  ? 105 GLY F CA  105 GLY F CA  1 
ATOM 15197 C C   . GLY C 3 105 ? 290.119 -125.817 232.932 1.0 50.44781  ? 105 GLY F C   105 GLY F C   1 
ATOM 15198 O O   . GLY C 3 105 ? 290.150 -124.668 233.378 1.0 50.44781  ? 105 GLY F O   105 GLY F O   1 
ATOM 15199 N N   . PRO C 3 106 ? 291.216 -126.576 232.873 1.0 51.93191  ? 106 PRO F N   106 PRO F N   1 
ATOM 15200 C CA  . PRO C 3 106 ? 292.517 -126.025 233.269 1.0 51.93191  ? 106 PRO F CA  106 PRO F CA  1 
ATOM 15201 C C   . PRO C 3 106 ? 293.122 -125.081 232.247 1.0 51.93191  ? 106 PRO F C   106 PRO F C   1 
ATOM 15202 O O   . PRO C 3 106 ? 294.178 -124.496 232.520 1.0 51.93191  ? 106 PRO F O   106 PRO F O   1 
ATOM 15203 C CB  . PRO C 3 106 ? 293.383 -127.276 233.435 1.0 51.93191  ? 106 PRO F CB  106 PRO F CB  1 
ATOM 15204 C CG  . PRO C 3 106 ? 292.776 -128.261 232.514 1.0 51.93191  ? 106 PRO F CG  106 PRO F CG  1 
ATOM 15205 C CD  . PRO C 3 106 ? 291.303 -128.005 232.535 1.0 51.93191  ? 106 PRO F CD  106 PRO F CD  1 
ATOM 15206 N N   . SER C 3 107 ? 292.490 -124.909 231.090 1.0 49.54113  ? 107 SER F N   107 SER F N   1 
ATOM 15207 C CA  . SER C 3 107 ? 292.981 -124.040 230.032 1.0 49.54113  ? 107 SER F CA  107 SER F CA  1 
ATOM 15208 C C   . SER C 3 107 ? 292.601 -122.583 230.224 1.0 49.54113  ? 107 SER F C   107 SER F C   1 
ATOM 15209 O O   . SER C 3 107 ? 292.777 -121.791 229.296 1.0 49.54113  ? 107 SER F O   107 SER F O   1 
ATOM 15210 C CB  . SER C 3 107 ? 292.446 -124.517 228.685 1.0 49.54113  ? 107 SER F CB  107 SER F CB  1 
ATOM 15211 O OG  . SER C 3 107 ? 291.041 -124.368 228.612 1.0 49.54113  ? 107 SER F OG  107 SER F OG  1 
ATOM 15212 N N   . PHE C 3 108 ? 292.078 -122.209 231.381 1.0 45.44573  ? 108 PHE F N   108 PHE F N   1 
ATOM 15213 C CA  . PHE C 3 108 ? 291.565 -120.866 231.594 1.0 45.44573  ? 108 PHE F CA  108 PHE F CA  1 
ATOM 15214 C C   . PHE C 3 108 ? 292.536 -120.066 232.448 1.0 45.44573  ? 108 PHE F C   108 PHE F C   1 
ATOM 15215 O O   . PHE C 3 108 ? 292.866 -120.471 233.567 1.0 45.44573  ? 108 PHE F O   108 PHE F O   1 
ATOM 15216 C CB  . PHE C 3 108 ? 290.188 -120.931 232.245 1.0 45.44573  ? 108 PHE F CB  108 PHE F CB  1 
ATOM 15217 C CG  . PHE C 3 108 ? 289.600 -119.599 232.532 1.0 45.44573  ? 108 PHE F CG  108 PHE F CG  1 
ATOM 15218 C CD1 . PHE C 3 108 ? 289.210 -118.769 231.500 1.0 45.44573  ? 108 PHE F CD1 108 PHE F CD1 1 
ATOM 15219 C CD2 . PHE C 3 108 ? 289.401 -119.186 233.833 1.0 45.44573  ? 108 PHE F CD2 108 PHE F CD2 1 
ATOM 15220 C CE1 . PHE C 3 108 ? 288.657 -117.543 231.761 1.0 45.44573  ? 108 PHE F CE1 108 PHE F CE1 1 
ATOM 15221 C CE2 . PHE C 3 108 ? 288.851 -117.962 234.096 1.0 45.44573  ? 108 PHE F CE2 108 PHE F CE2 1 
ATOM 15222 C CZ  . PHE C 3 108 ? 288.478 -117.138 233.059 1.0 45.44573  ? 108 PHE F CZ  108 PHE F CZ  1 
ATOM 15223 N N   . LYS C 3 109 ? 292.996 -118.937 231.914 1.0 46.59145  ? 109 LYS F N   109 LYS F N   1 
ATOM 15224 C CA  . LYS C 3 109 ? 293.838 -117.993 232.646 1.0 46.59145  ? 109 LYS F CA  109 LYS F CA  1 
ATOM 15225 C C   . LYS C 3 109 ? 293.467 -116.597 232.173 1.0 46.59145  ? 109 LYS F C   109 LYS F C   1 
ATOM 15226 O O   . LYS C 3 109 ? 293.869 -116.182 231.075 1.0 46.59145  ? 109 LYS F O   109 LYS F O   1 
ATOM 15227 C CB  . LYS C 3 109 ? 295.321 -118.263 232.430 1.0 46.59145  ? 109 LYS F CB  109 LYS F CB  1 
ATOM 15228 C CG  . LYS C 3 109 ? 296.213 -117.303 233.173 1.0 46.59145  ? 109 LYS F CG  109 LYS F CG  1 
ATOM 15229 C CD  . LYS C 3 109 ? 297.655 -117.649 232.955 1.0 46.59145  ? 109 LYS F CD  109 LYS F CD  1 
ATOM 15230 C CE  . LYS C 3 109 ? 298.565 -116.758 233.756 1.0 46.59145  ? 109 LYS F CE  109 LYS F CE  1 
ATOM 15231 N NZ  . LYS C 3 109 ? 298.527 -115.372 233.243 1.0 46.59145  ? 109 LYS F NZ  109 LYS F NZ  1 
ATOM 15232 N N   . PRO C 3 110 ? 292.694 -115.857 232.950 1.0 45.65286  ? 110 PRO F N   110 PRO F N   1 
ATOM 15233 C CA  . PRO C 3 110 ? 292.118 -114.617 232.428 1.0 45.65286  ? 110 PRO F CA  110 PRO F CA  1 
ATOM 15234 C C   . PRO C 3 110 ? 292.989 -113.382 232.560 1.0 45.65286  ? 110 PRO F C   110 PRO F C   1 
ATOM 15235 O O   . PRO C 3 110 ? 292.431 -112.309 232.808 1.0 45.65286  ? 110 PRO F O   110 PRO F O   1 
ATOM 15236 C CB  . PRO C 3 110 ? 290.854 -114.457 233.273 1.0 45.65286  ? 110 PRO F CB  110 PRO F CB  1 
ATOM 15237 C CG  . PRO C 3 110 ? 291.223 -115.073 234.570 1.0 45.65286  ? 110 PRO F CG  110 PRO F CG  1 
ATOM 15238 C CD  . PRO C 3 110 ? 292.130 -116.219 234.259 1.0 45.65286  ? 110 PRO F CD  110 PRO F CD  1 
ATOM 15239 N N   . TYR C 3 111 ? 294.294 -113.479 232.302 1.0 48.72808  ? 111 TYR F N   111 TYR F N   1 
ATOM 15240 C CA  . TYR C 3 111 ? 295.218 -112.352 232.422 1.0 48.72808  ? 111 TYR F CA  111 TYR F CA  1 
ATOM 15241 C C   . TYR C 3 111 ? 296.581 -112.772 231.900 1.0 48.72808  ? 111 TYR F C   111 TYR F C   1 
ATOM 15242 O O   . TYR C 3 111 ? 296.855 -113.956 231.698 1.0 48.72808  ? 111 TYR F O   111 TYR F O   1 
ATOM 15243 C CB  . TYR C 3 111 ? 295.342 -111.839 233.862 1.0 48.72808  ? 111 TYR F CB  111 TYR F CB  1 
ATOM 15244 C CG  . TYR C 3 111 ? 295.842 -112.833 234.873 1.0 48.72808  ? 111 TYR F CG  111 TYR F CG  1 
ATOM 15245 C CD1 . TYR C 3 111 ? 294.977 -113.741 235.460 1.0 48.72808  ? 111 TYR F CD1 111 TYR F CD1 1 
ATOM 15246 C CD2 . TYR C 3 111 ? 297.159 -112.812 235.299 1.0 48.72808  ? 111 TYR F CD2 111 TYR F CD2 1 
ATOM 15247 C CE1 . TYR C 3 111 ? 295.416 -114.632 236.397 1.0 48.72808  ? 111 TYR F CE1 111 TYR F CE1 1 
ATOM 15248 C CE2 . TYR C 3 111 ? 297.607 -113.702 236.244 1.0 48.72808  ? 111 TYR F CE2 111 TYR F CE2 1 
ATOM 15249 C CZ  . TYR C 3 111 ? 296.727 -114.607 236.787 1.0 48.72808  ? 111 TYR F CZ  111 TYR F CZ  1 
ATOM 15250 O OH  . TYR C 3 111 ? 297.152 -115.493 237.735 1.0 48.72808  ? 111 TYR F OH  111 TYR F OH  1 
ATOM 15251 N N   . GLY C 3 112 ? 297.438 -111.778 231.697 1.0 49.98676  ? 112 GLY F N   112 GLY F N   1 
ATOM 15252 C CA  . GLY C 3 112 ? 298.799 -112.011 231.278 1.0 49.98676  ? 112 GLY F CA  112 GLY F CA  1 
ATOM 15253 C C   . GLY C 3 112 ? 299.765 -111.914 232.441 1.0 49.98676  ? 112 GLY F C   112 GLY F C   1 
ATOM 15254 O O   . GLY C 3 112 ? 299.471 -111.318 233.471 1.0 49.98676  ? 112 GLY F O   112 GLY F O   1 
ATOM 15255 N N   . GLY C 3 113 ? 300.936 -112.516 232.259 1.0 52.71082  ? 113 GLY F N   113 GLY F N   1 
ATOM 15256 C CA  . GLY C 3 113 ? 301.902 -112.508 233.335 1.0 52.71082  ? 113 GLY F CA  113 GLY F CA  1 
ATOM 15257 C C   . GLY C 3 113 ? 301.533 -113.510 234.414 1.0 52.71082  ? 113 GLY F C   113 GLY F C   1 
ATOM 15258 O O   . GLY C 3 113 ? 300.937 -114.554 234.154 1.0 52.71082  ? 113 GLY F O   113 GLY F O   1 
ATOM 15259 N N   . THR C 3 114 ? 301.895 -113.180 235.649 1.0 53.82122  ? 114 THR F N   114 THR F N   1 
ATOM 15260 C CA  . THR C 3 114 ? 301.604 -114.033 236.787 1.0 53.82122  ? 114 THR F CA  114 THR F CA  1 
ATOM 15261 C C   . THR C 3 114 ? 301.172 -113.171 237.961 1.0 53.82122  ? 114 THR F C   114 THR F C   1 
ATOM 15262 O O   . THR C 3 114 ? 301.225 -111.941 237.912 1.0 53.82122  ? 114 THR F O   114 THR F O   1 
ATOM 15263 C CB  . THR C 3 114 ? 302.809 -114.891 237.171 1.0 53.82122  ? 114 THR F CB  114 THR F CB  1 
ATOM 15264 O OG1 . THR C 3 114 ? 302.433 -115.799 238.211 1.0 53.82122  ? 114 THR F OG1 114 THR F OG1 1 
ATOM 15265 C CG2 . THR C 3 114 ? 303.931 -114.019 237.660 1.0 53.82122  ? 114 THR F CG2 114 THR F CG2 1 
ATOM 15266 N N   . ALA C 3 115 ? 300.731 -113.836 239.022 1.0 53.91725  ? 115 ALA F N   115 ALA F N   1 
ATOM 15267 C CA  . ALA C 3 115 ? 300.242 -113.167 240.214 1.0 53.91725  ? 115 ALA F CA  115 ALA F CA  1 
ATOM 15268 C C   . ALA C 3 115 ? 301.097 -113.441 241.437 1.0 53.91725  ? 115 ALA F C   115 ALA F C   1 
ATOM 15269 O O   . ALA C 3 115 ? 300.791 -112.927 242.516 1.0 53.91725  ? 115 ALA F O   115 ALA F O   1 
ATOM 15270 C CB  . ALA C 3 115 ? 298.799 -113.589 240.500 1.0 53.91725  ? 115 ALA F CB  115 ALA F CB  1 
ATOM 15271 N N   . TYR C 3 116 ? 302.154 -114.235 241.306 1.0 53.85278  ? 116 TYR F N   116 TYR F N   1 
ATOM 15272 C CA  . TYR C 3 116 ? 302.982 -114.620 242.437 1.0 53.85278  ? 116 TYR F CA  116 TYR F CA  1 
ATOM 15273 C C   . TYR C 3 116 ? 304.421 -114.258 242.122 1.0 53.85278  ? 116 TYR F C   116 TYR F C   1 
ATOM 15274 O O   . TYR C 3 116 ? 304.970 -114.734 241.126 1.0 53.85278  ? 116 TYR F O   116 TYR F O   1 
ATOM 15275 C CB  . TYR C 3 116 ? 302.842 -116.109 242.724 1.0 53.85278  ? 116 TYR F CB  116 TYR F CB  1 
ATOM 15276 C CG  . TYR C 3 116 ? 301.418 -116.500 243.006 1.0 53.85278  ? 116 TYR F CG  116 TYR F CG  1 
ATOM 15277 C CD1 . TYR C 3 116 ? 300.821 -116.192 244.211 1.0 53.85278  ? 116 TYR F CD1 116 TYR F CD1 1 
ATOM 15278 C CD2 . TYR C 3 116 ? 300.671 -117.178 242.063 1.0 53.85278  ? 116 TYR F CD2 116 TYR F CD2 1 
ATOM 15279 C CE1 . TYR C 3 116 ? 299.522 -116.538 244.463 1.0 53.85278  ? 116 TYR F CE1 116 TYR F CE1 1 
ATOM 15280 C CE2 . TYR C 3 116 ? 299.369 -117.539 242.311 1.0 53.85278  ? 116 TYR F CE2 116 TYR F CE2 1 
ATOM 15281 C CZ  . TYR C 3 116 ? 298.804 -117.218 243.516 1.0 53.85278  ? 116 TYR F CZ  116 TYR F CZ  1 
ATOM 15282 O OH  . TYR C 3 116 ? 297.506 -117.574 243.762 1.0 53.85278  ? 116 TYR F OH  116 TYR F OH  1 
ATOM 15283 N N   . ASN C 3 117 ? 305.015 -113.443 242.987 1.0 56.70577  ? 117 ASN F N   117 ASN F N   1 
ATOM 15284 C CA  . ASN C 3 117 ? 306.313 -112.810 242.776 1.0 56.70577  ? 117 ASN F CA  117 ASN F CA  1 
ATOM 15285 C C   . ASN C 3 117 ? 306.457 -112.127 241.410 1.0 56.70577  ? 117 ASN F C   117 ASN F C   1 
ATOM 15286 O O   . ASN C 3 117 ? 307.360 -112.464 240.638 1.0 56.70577  ? 117 ASN F O   117 ASN F O   1 
ATOM 15287 C CB  . ASN C 3 117 ? 307.428 -113.824 242.986 1.0 56.70577  ? 117 ASN F CB  117 ASN F CB  1 
ATOM 15288 C CG  . ASN C 3 117 ? 307.368 -114.486 244.347 1.0 56.70577  ? 117 ASN F CG  117 ASN F CG  1 
ATOM 15289 O OD1 . ASN C 3 117 ? 307.048 -113.853 245.348 1.0 56.70577  ? 117 ASN F OD1 117 ASN F OD1 1 
ATOM 15290 N ND2 . ASN C 3 117 ? 307.687 -115.772 244.391 1.0 56.70577  ? 117 ASN F ND2 117 ASN F ND2 1 
ATOM 15291 N N   . PRO C 3 118 ? 305.599 -111.149 241.084 1.0 55.37145  ? 118 PRO F N   118 PRO F N   1 
ATOM 15292 C CA  . PRO C 3 118 ? 305.588 -110.623 239.711 1.0 55.37145  ? 118 PRO F CA  118 PRO F CA  1 
ATOM 15293 C C   . PRO C 3 118 ? 306.762 -109.726 239.381 1.0 55.37145  ? 118 PRO F C   118 PRO F C   1 
ATOM 15294 O O   . PRO C 3 118 ? 307.004 -109.481 238.197 1.0 55.37145  ? 118 PRO F O   118 PRO F O   1 
ATOM 15295 C CB  . PRO C 3 118 ? 304.279 -109.835 239.652 1.0 55.37145  ? 118 PRO F CB  118 PRO F CB  1 
ATOM 15296 C CG  . PRO C 3 118 ? 304.114 -109.354 241.021 1.0 55.37145  ? 118 PRO F CG  118 PRO F CG  1 
ATOM 15297 C CD  . PRO C 3 118 ? 304.630 -110.425 241.925 1.0 55.37145  ? 118 PRO F CD  118 PRO F CD  1 
ATOM 15298 N N   . LEU C 3 119 ? 307.489 -109.220 240.376 1.0 55.85504  ? 119 LEU F N   119 LEU F N   1 
ATOM 15299 C CA  . LEU C 3 119 ? 308.599 -108.313 240.125 1.0 55.85504  ? 119 LEU F CA  119 LEU F CA  1 
ATOM 15300 C C   . LEU C 3 119 ? 309.928 -109.026 239.959 1.0 55.85504  ? 119 LEU F C   119 LEU F C   1 
ATOM 15301 O O   . LEU C 3 119 ? 310.930 -108.366 239.665 1.0 55.85504  ? 119 LEU F O   119 LEU F O   1 
ATOM 15302 C CB  . LEU C 3 119 ? 308.733 -107.300 241.261 1.0 55.85504  ? 119 LEU F CB  119 LEU F CB  1 
ATOM 15303 C CG  . LEU C 3 119 ? 307.585 -106.315 241.422 1.0 55.85504  ? 119 LEU F CG  119 LEU F CG  1 
ATOM 15304 C CD1 . LEU C 3 119 ? 307.814 -105.425 242.627 1.0 55.85504  ? 119 LEU F CD1 119 LEU F CD1 1 
ATOM 15305 C CD2 . LEU C 3 119 ? 307.434 -105.494 240.170 1.0 55.85504  ? 119 LEU F CD2 119 LEU F CD2 1 
ATOM 15306 N N   . ALA C 3 120 ? 309.963 -110.337 240.150 1.0 58.60468  ? 120 ALA F N   120 ALA F N   1 
ATOM 15307 C CA  . ALA C 3 120 ? 311.214 -111.065 240.082 1.0 58.60468  ? 120 ALA F CA  120 ALA F CA  1 
ATOM 15308 C C   . ALA C 3 120 ? 311.685 -111.191 238.636 1.0 58.60468  ? 120 ALA F C   120 ALA F C   1 
ATOM 15309 O O   . ALA C 3 120 ? 310.870 -111.223 237.711 1.0 58.60468  ? 120 ALA F O   120 ALA F O   1 
ATOM 15310 C CB  . ALA C 3 120 ? 311.049 -112.453 240.691 1.0 58.60468  ? 120 ALA F CB  120 ALA F CB  1 
ATOM 15311 N N   . PRO C 3 121 ? 312.995 -111.229 238.411 1.0 60.77118  ? 121 PRO F N   121 PRO F N   1 
ATOM 15312 C CA  . PRO C 3 121 ? 313.494 -111.672 237.109 1.0 60.77118  ? 121 PRO F CA  121 PRO F CA  1 
ATOM 15313 C C   . PRO C 3 121 ? 313.195 -113.145 236.901 1.0 60.77118  ? 121 PRO F C   121 PRO F C   1 
ATOM 15314 O O   . PRO C 3 121 ? 313.119 -113.929 237.849 1.0 60.77118  ? 121 PRO F O   121 PRO F O   1 
ATOM 15315 C CB  . PRO C 3 121 ? 315.000 -111.406 237.194 1.0 60.77118  ? 121 PRO F CB  121 PRO F CB  1 
ATOM 15316 C CG  . PRO C 3 121 ? 315.297 -111.386 238.643 1.0 60.77118  ? 121 PRO F CG  121 PRO F CG  1 
ATOM 15317 C CD  . PRO C 3 121 ? 314.086 -110.812 239.304 1.0 60.77118  ? 121 PRO F CD  121 PRO F CD  1 
ATOM 15318 N N   . LYS C 3 122 ? 313.020 -113.516 235.638 1.0 60.87915  ? 122 LYS F N   122 LYS F N   1 
ATOM 15319 C CA  . LYS C 3 122 ? 312.495 -114.832 235.312 1.0 60.87915  ? 122 LYS F CA  122 LYS F CA  1 
ATOM 15320 C C   . LYS C 3 122 ? 313.509 -115.950 235.507 1.0 60.87915  ? 122 LYS F C   122 LYS F C   1 
ATOM 15321 O O   . LYS C 3 122 ? 313.114 -117.117 235.576 1.0 60.87915  ? 122 LYS F O   122 LYS F O   1 
ATOM 15322 C CB  . LYS C 3 122 ? 311.983 -114.821 233.875 1.0 60.87915  ? 122 LYS F CB  122 LYS F CB  1 
ATOM 15323 C CG  . LYS C 3 122 ? 310.805 -113.887 233.675 1.0 60.87915  ? 122 LYS F CG  122 LYS F CG  1 
ATOM 15324 C CD  . LYS C 3 122 ? 310.335 -113.872 232.238 1.0 60.87915  ? 122 LYS F CD  122 LYS F CD  1 
ATOM 15325 C CE  . LYS C 3 122 ? 309.094 -113.011 232.086 1.0 60.87915  ? 122 LYS F CE  122 LYS F CE  1 
ATOM 15326 N NZ  . LYS C 3 122 ? 309.369 -111.573 232.366 1.0 60.87915  ? 122 LYS F NZ  122 LYS F NZ  1 
ATOM 15327 N N   . SER C 3 123 ? 314.795 -115.628 235.600 1.0 62.23619  ? 123 SER F N   123 SER F N   1 
ATOM 15328 C CA  . SER C 3 123 ? 315.836 -116.624 235.810 1.0 62.23619  ? 123 SER F CA  123 SER F CA  1 
ATOM 15329 C C   . SER C 3 123 ? 316.221 -116.776 237.274 1.0 62.23619  ? 123 SER F C   123 SER F C   1 
ATOM 15330 O O   . SER C 3 123 ? 317.157 -117.521 237.581 1.0 62.23619  ? 123 SER F O   123 SER F O   1 
ATOM 15331 C CB  . SER C 3 123 ? 317.077 -116.262 234.993 1.0 62.23619  ? 123 SER F CB  123 SER F CB  1 
ATOM 15332 O OG  . SER C 3 123 ? 316.788 -116.260 233.607 1.0 62.23619  ? 123 SER F OG  123 SER F OG  1 
ATOM 15333 N N   . ALA C 3 124 ? 315.526 -116.100 238.173 1.0 63.42733  ? 124 ALA F N   124 ALA F N   1 
ATOM 15334 C CA  . ALA C 3 124 ? 315.944 -116.033 239.566 1.0 63.42733  ? 124 ALA F CA  124 ALA F CA  1 
ATOM 15335 C C   . ALA C 3 124 ? 315.475 -117.269 240.321 1.0 63.42733  ? 124 ALA F C   124 ALA F C   1 
ATOM 15336 O O   . ALA C 3 124 ? 314.318 -117.670 240.182 1.0 63.42733  ? 124 ALA F O   124 ALA F O   1 
ATOM 15337 C CB  . ALA C 3 124 ? 315.378 -114.785 240.224 1.0 63.42733  ? 124 ALA F CB  124 ALA F CB  1 
ATOM 15338 N N   . PRO C 3 125 ? 316.343 -117.912 241.095 1.0 65.29369  ? 125 PRO F N   125 PRO F N   1 
ATOM 15339 C CA  . PRO C 3 125 ? 315.892 -118.964 242.007 1.0 65.29369  ? 125 PRO F CA  125 PRO F CA  1 
ATOM 15340 C C   . PRO C 3 125 ? 315.626 -118.424 243.402 1.0 65.29369  ? 125 PRO F C   125 PRO F C   1 
ATOM 15341 O O   . PRO C 3 125 ? 316.255 -117.471 243.863 1.0 65.29369  ? 125 PRO F O   125 PRO F O   1 
ATOM 15342 C CB  . PRO C 3 125 ? 317.081 -119.933 242.016 1.0 65.29369  ? 125 PRO F CB  125 PRO F CB  1 
ATOM 15343 C CG  . PRO C 3 125 ? 318.254 -119.052 241.806 1.0 65.29369  ? 125 PRO F CG  125 PRO F CG  1 
ATOM 15344 C CD  . PRO C 3 125 ? 317.802 -117.940 240.901 1.0 65.29369  ? 125 PRO F CD  125 PRO F CD  1 
ATOM 15345 N N   . ILE C 3 126 ? 314.667 -119.054 244.079 1.0 66.90602  ? 126 ILE F N   126 ILE F N   1 
ATOM 15346 C CA  . ILE C 3 126 ? 314.443 -118.773 245.494 1.0 66.90602  ? 126 ILE F CA  126 ILE F CA  1 
ATOM 15347 C C   . ILE C 3 126 ? 315.491 -119.509 246.313 1.0 66.90602  ? 126 ILE F C   126 ILE F C   1 
ATOM 15348 O O   . ILE C 3 126 ? 316.220 -120.354 245.785 1.0 66.90602  ? 126 ILE F O   126 ILE F O   1 
ATOM 15349 C CB  . ILE C 3 126 ? 313.032 -119.169 245.961 1.0 66.90602  ? 126 ILE F CB  126 ILE F CB  1 
ATOM 15350 C CG1 . ILE C 3 126 ? 312.787 -120.654 245.751 1.0 66.90602  ? 126 ILE F CG1 126 ILE F CG1 1 
ATOM 15351 C CG2 . ILE C 3 126 ? 311.983 -118.336 245.289 1.0 66.90602  ? 126 ILE F CG2 126 ILE F CG2 1 
ATOM 15352 C CD1 . ILE C 3 126 ? 311.531 -121.102 246.409 1.0 66.90602  ? 126 ILE F CD1 126 ILE F CD1 1 
ATOM 15353 N N   . ASN C 3 127 ? 315.575 -119.188 247.602 1.0 69.42432  ? 127 ASN F N   127 ASN F N   1 
ATOM 15354 C CA  . ASN C 3 127 ? 316.537 -119.832 248.485 1.0 69.42432  ? 127 ASN F CA  127 ASN F CA  1 
ATOM 15355 C C   . ASN C 3 127 ? 316.122 -121.281 248.689 1.0 69.42432  ? 127 ASN F C   127 ASN F C   1 
ATOM 15356 O O   . ASN C 3 127 ? 315.143 -121.564 249.386 1.0 69.42432  ? 127 ASN F O   127 ASN F O   1 
ATOM 15357 C CB  . ASN C 3 127 ? 316.616 -119.109 249.822 1.0 69.42432  ? 127 ASN F CB  127 ASN F CB  1 
ATOM 15358 C CG  . ASN C 3 127 ? 317.002 -117.669 249.680 1.0 69.42432  ? 127 ASN F CG  127 ASN F CG  1 
ATOM 15359 O OD1 . ASN C 3 127 ? 317.675 -117.282 248.726 1.0 69.42432  ? 127 ASN F OD1 127 ASN F OD1 1 
ATOM 15360 N ND2 . ASN C 3 127 ? 316.629 -116.866 250.659 1.0 69.42432  ? 127 ASN F ND2 127 ASN F ND2 1 
ATOM 15361 N N   . SER C 3 128 ? 316.865 -122.201 248.086 1.0 73.46632  ? 128 SER F N   128 SER F N   1 
ATOM 15362 C CA  . SER C 3 128 ? 316.450 -123.589 248.033 1.0 73.46632  ? 128 SER F CA  128 SER F CA  1 
ATOM 15363 C C   . SER C 3 128 ? 317.630 -124.494 248.340 1.0 73.46632  ? 128 SER F C   128 SER F C   1 
ATOM 15364 O O   . SER C 3 128 ? 318.774 -124.053 248.457 1.0 73.46632  ? 128 SER F O   128 SER F O   1 
ATOM 15365 C CB  . SER C 3 128 ? 315.862 -123.941 246.663 1.0 73.46632  ? 128 SER F CB  128 SER F CB  1 
ATOM 15366 O OG  . SER C 3 128 ? 316.851 -123.859 245.653 1.0 73.46632  ? 128 SER F OG  128 SER F OG  1 
ATOM 15367 N N   . ALA C 3 129 ? 317.323 -125.778 248.483 1.0 78.28002  ? 129 ALA F N   129 ALA F N   1 
ATOM 15368 C CA  . ALA C 3 129 ? 318.317 -126.837 248.572 1.0 78.28002  ? 129 ALA F CA  129 ALA F CA  1 
ATOM 15369 C C   . ALA C 3 129 ? 317.919 -127.910 247.575 1.0 78.28002  ? 129 ALA F C   129 ALA F C   1 
ATOM 15370 O O   . ALA C 3 129 ? 316.851 -128.514 247.707 1.0 78.28002  ? 129 ALA F O   129 ALA F O   1 
ATOM 15371 C CB  . ALA C 3 129 ? 318.395 -127.411 249.987 1.0 78.28002  ? 129 ALA F CB  129 ALA F CB  1 
ATOM 15372 N N   . PHE C 3 130 ? 318.761 -128.137 246.577 1.0 85.88917  ? 130 PHE F N   130 PHE F N   1 
ATOM 15373 C CA  . PHE C 3 130 ? 318.444 -129.055 245.496 1.0 85.88917  ? 130 PHE F CA  130 PHE F CA  1 
ATOM 15374 C C   . PHE C 3 130 ? 319.583 -130.048 245.334 1.0 85.88917  ? 130 PHE F C   130 PHE F C   1 
ATOM 15375 O O   . PHE C 3 130 ? 320.757 -129.677 245.412 1.0 85.88917  ? 130 PHE F O   130 PHE F O   1 
ATOM 15376 C CB  . PHE C 3 130 ? 318.173 -128.293 244.182 1.0 85.88917  ? 130 PHE F CB  130 PHE F CB  1 
ATOM 15377 C CG  . PHE C 3 130 ? 319.349 -127.507 243.671 1.0 85.88917  ? 130 PHE F CG  130 PHE F CG  1 
ATOM 15378 C CD1 . PHE C 3 130 ? 319.586 -126.218 244.120 1.0 85.88917  ? 130 PHE F CD1 130 PHE F CD1 1 
ATOM 15379 C CD2 . PHE C 3 130 ? 320.194 -128.044 242.713 1.0 85.88917  ? 130 PHE F CD2 130 PHE F CD2 1 
ATOM 15380 C CE1 . PHE C 3 130 ? 320.661 -125.500 243.652 1.0 85.88917  ? 130 PHE F CE1 130 PHE F CE1 1 
ATOM 15381 C CE2 . PHE C 3 130 ? 321.272 -127.329 242.242 1.0 85.88917  ? 130 PHE F CE2 130 PHE F CE2 1 
ATOM 15382 C CZ  . PHE C 3 130 ? 321.506 -126.059 242.712 1.0 85.88917  ? 130 PHE F CZ  130 PHE F CZ  1 
ATOM 15383 N N   . THR C 3 131 ? 319.233 -131.308 245.113 1.0 91.28087  ? 131 THR F N   131 THR F N   1 
ATOM 15384 C CA  . THR C 3 131 ? 320.206 -132.387 245.036 1.0 91.28087  ? 131 THR F CA  131 THR F CA  1 
ATOM 15385 C C   . THR C 3 131 ? 320.539 -132.664 243.577 1.0 91.28087  ? 131 THR F C   131 THR F C   1 
ATOM 15386 O O   . THR C 3 131 ? 319.639 -132.917 242.770 1.0 91.28087  ? 131 THR F O   131 THR F O   1 
ATOM 15387 C CB  . THR C 3 131 ? 319.670 -133.650 245.708 1.0 91.28087  ? 131 THR F CB  131 THR F CB  1 
ATOM 15388 O OG1 . THR C 3 131 ? 318.494 -134.095 245.022 1.0 91.28087  ? 131 THR F OG1 131 THR F OG1 1 
ATOM 15389 C CG2 . THR C 3 131 ? 319.321 -133.371 247.159 1.0 91.28087  ? 131 THR F CG2 131 THR F CG2 1 
ATOM 15390 N N   . VAL C 3 132 ? 321.825 -132.615 243.240 1.0 96.01958  ? 132 VAL F N   132 VAL F N   1 
ATOM 15391 C CA  . VAL C 3 132 ? 322.261 -133.003 241.905 1.0 96.01958  ? 132 VAL F CA  132 VAL F CA  1 
ATOM 15392 C C   . VAL C 3 132 ? 323.043 -134.303 242.018 1.0 96.01958  ? 132 VAL F C   132 VAL F C   1 
ATOM 15393 O O   . VAL C 3 132 ? 324.242 -134.305 242.324 1.0 96.01958  ? 132 VAL F O   132 VAL F O   1 
ATOM 15394 C CB  . VAL C 3 132 ? 323.088 -131.894 241.229 1.0 96.01958  ? 132 VAL F CB  132 VAL F CB  1 
ATOM 15395 C CG1 . VAL C 3 132 ? 323.555 -132.334 239.842 1.0 96.01958  ? 132 VAL F CG1 132 VAL F CG1 1 
ATOM 15396 C CG2 . VAL C 3 132 ? 322.263 -130.634 241.118 1.0 96.01958  ? 132 VAL F CG2 132 VAL F CG2 1 
ATOM 15397 N N   . GLY C 3 133 ? 322.351 -135.421 241.825 1.0 101.04082 ? 133 GLY F N   133 GLY F N   1 
ATOM 15398 C CA  . GLY C 3 133 ? 322.991 -136.717 241.765 1.0 101.04082 ? 133 GLY F CA  133 GLY F CA  1 
ATOM 15399 C C   . GLY C 3 133 ? 323.435 -137.258 243.107 1.0 101.04082 ? 133 GLY F C   133 GLY F C   1 
ATOM 15400 O O   . GLY C 3 133 ? 322.825 -138.188 243.644 1.0 101.04082 ? 133 GLY F O   133 GLY F O   1 
ATOM 15401 N N   . ASN C 3 134 ? 324.494 -136.673 243.665 1.0 102.23334 ? 134 ASN F N   134 ASN F N   1 
ATOM 15402 C CA  . ASN C 3 134 ? 325.098 -137.208 244.880 1.0 102.23334 ? 134 ASN F CA  134 ASN F CA  1 
ATOM 15403 C C   . ASN C 3 134 ? 324.563 -136.514 246.131 1.0 102.23334 ? 134 ASN F C   134 ASN F C   1 
ATOM 15404 O O   . ASN C 3 134 ? 323.953 -137.156 246.991 1.0 102.23334 ? 134 ASN F O   134 ASN F O   1 
ATOM 15405 C CB  . ASN C 3 134 ? 326.624 -137.076 244.802 1.0 102.23334 ? 134 ASN F CB  134 ASN F CB  1 
ATOM 15406 C CG  . ASN C 3 134 ? 327.339 -137.939 245.823 1.0 102.23334 ? 134 ASN F CG  134 ASN F CG  1 
ATOM 15407 O OD1 . ASN C 3 134 ? 326.712 -138.690 246.569 1.0 102.23334 ? 134 ASN F OD1 134 ASN F OD1 1 
ATOM 15408 N ND2 . ASN C 3 134 ? 328.660 -137.829 245.867 1.0 102.23334 ? 134 ASN F ND2 134 ASN F ND2 1 
ATOM 15409 N N   . ASP C 3 135 ? 324.776 -135.204 246.238 1.0 98.86087  ? 135 ASP F N   135 ASP F N   1 
ATOM 15410 C CA  . ASP C 3 135 ? 324.448 -134.477 247.455 1.0 98.86087  ? 135 ASP F CA  135 ASP F CA  1 
ATOM 15411 C C   . ASP C 3 135 ? 323.968 -133.086 247.067 1.0 98.86087  ? 135 ASP F C   135 ASP F C   1 
ATOM 15412 O O   . ASP C 3 135 ? 324.189 -132.623 245.945 1.0 98.86087  ? 135 ASP F O   135 ASP F O   1 
ATOM 15413 C CB  . ASP C 3 135 ? 325.659 -134.413 248.396 1.0 98.86087  ? 135 ASP F CB  135 ASP F CB  1 
ATOM 15414 C CG  . ASP C 3 135 ? 325.291 -134.034 249.824 1.0 98.86087  ? 135 ASP F CG  135 ASP F CG  1 
ATOM 15415 O OD1 . ASP C 3 135 ? 324.090 -133.849 250.111 1.0 98.86087  ? 135 ASP F OD1 135 ASP F OD1 1 
ATOM 15416 O OD2 . ASP C 3 135 ? 326.210 -133.906 250.660 1.0 98.86087  ? 135 ASP F OD2 135 ASP F OD2 1 
ATOM 15417 N N   . THR C 3 136 ? 323.315 -132.422 248.016 1.0 91.76673  ? 136 THR F N   136 THR F N   1 
ATOM 15418 C CA  . THR C 3 136 ? 322.593 -131.193 247.741 1.0 91.76673  ? 136 THR F CA  136 THR F CA  1 
ATOM 15419 C C   . THR C 3 136 ? 323.525 -130.010 247.505 1.0 91.76673  ? 136 THR F C   136 THR F C   1 
ATOM 15420 O O   . THR C 3 136 ? 324.675 -129.984 247.953 1.0 91.76673  ? 136 THR F O   136 THR F O   1 
ATOM 15421 C CB  . THR C 3 136 ? 321.634 -130.873 248.887 1.0 91.76673  ? 136 THR F CB  136 THR F CB  1 
ATOM 15422 O OG1 . THR C 3 136 ? 320.882 -129.697 248.565 1.0 91.76673  ? 136 THR F OG1 136 THR F OG1 1 
ATOM 15423 C CG2 . THR C 3 136 ? 322.388 -130.658 250.185 1.0 91.76673  ? 136 THR F CG2 136 THR F CG2 1 
ATOM 15424 N N   . HIS C 3 137 ? 323.011 -129.041 246.758 1.0 87.25531  ? 137 HIS F N   137 HIS F N   1 
ATOM 15425 C CA  . HIS C 3 137 ? 323.638 -127.744 246.567 1.0 87.25531  ? 137 HIS F CA  137 HIS F CA  1 
ATOM 15426 C C   . HIS C 3 137 ? 322.737 -126.694 247.190 1.0 87.25531  ? 137 HIS F C   137 HIS F C   1 
ATOM 15427 O O   . HIS C 3 137 ? 321.563 -126.585 246.825 1.0 87.25531  ? 137 HIS F O   137 HIS F O   1 
ATOM 15428 C CB  . HIS C 3 137 ? 323.838 -127.426 245.086 1.0 87.25531  ? 137 HIS F CB  137 HIS F CB  1 
ATOM 15429 C CG  . HIS C 3 137 ? 324.768 -128.358 244.381 1.0 87.25531  ? 137 HIS F CG  137 HIS F CG  1 
ATOM 15430 N ND1 . HIS C 3 137 ? 326.136 -128.292 244.521 1.0 87.25531  ? 137 HIS F ND1 137 HIS F ND1 1 
ATOM 15431 C CD2 . HIS C 3 137 ? 324.528 -129.367 243.513 1.0 87.25531  ? 137 HIS F CD2 137 HIS F CD2 1 
ATOM 15432 C CE1 . HIS C 3 137 ? 326.699 -129.226 243.776 1.0 87.25531  ? 137 HIS F CE1 137 HIS F CE1 1 
ATOM 15433 N NE2 . HIS C 3 137 ? 325.744 -129.893 243.154 1.0 87.25531  ? 137 HIS F NE2 137 HIS F NE2 1 
ATOM 15434 N N   . PHE C 3 138 ? 323.277 -125.931 248.125 1.0 81.59649  ? 138 PHE F N   138 PHE F N   1 
ATOM 15435 C CA  . PHE C 3 138 ? 322.525 -124.836 248.710 1.0 81.59649  ? 138 PHE F CA  138 PHE F CA  1 
ATOM 15436 C C   . PHE C 3 138 ? 322.708 -123.585 247.870 1.0 81.59649  ? 138 PHE F C   138 PHE F C   1 
ATOM 15437 O O   . PHE C 3 138 ? 323.800 -123.309 247.369 1.0 81.59649  ? 138 PHE F O   138 PHE F O   1 
ATOM 15438 C CB  . PHE C 3 138 ? 322.969 -124.572 250.148 1.0 81.59649  ? 138 PHE F CB  138 PHE F CB  1 
ATOM 15439 C CG  . PHE C 3 138 ? 322.638 -125.682 251.090 1.0 81.59649  ? 138 PHE F CG  138 PHE F CG  1 
ATOM 15440 C CD1 . PHE C 3 138 ? 321.356 -125.829 251.583 1.0 81.59649  ? 138 PHE F CD1 138 PHE F CD1 1 
ATOM 15441 C CD2 . PHE C 3 138 ? 323.610 -126.580 251.481 1.0 81.59649  ? 138 PHE F CD2 138 PHE F CD2 1 
ATOM 15442 C CE1 . PHE C 3 138 ? 321.050 -126.857 252.448 1.0 81.59649  ? 138 PHE F CE1 138 PHE F CE1 1 
ATOM 15443 C CE2 . PHE C 3 138 ? 323.310 -127.608 252.346 1.0 81.59649  ? 138 PHE F CE2 138 PHE F CE2 1 
ATOM 15444 C CZ  . PHE C 3 138 ? 322.029 -127.747 252.827 1.0 81.59649  ? 138 PHE F CZ  138 PHE F CZ  1 
ATOM 15445 N N   . VAL C 3 139 ? 321.623 -122.848 247.692 1.0 75.43993  ? 139 VAL F N   139 VAL F N   1 
ATOM 15446 C CA  . VAL C 3 139 ? 321.668 -121.506 247.133 1.0 75.43993  ? 139 VAL F CA  139 VAL F CA  1 
ATOM 15447 C C   . VAL C 3 139 ? 320.708 -120.656 247.952 1.0 75.43993  ? 139 VAL F C   139 VAL F C   1 
ATOM 15448 O O   . VAL C 3 139 ? 319.590 -121.083 248.254 1.0 75.43993  ? 139 VAL F O   139 VAL F O   1 
ATOM 15449 C CB  . VAL C 3 139 ? 321.358 -121.495 245.619 1.0 75.43993  ? 139 VAL F CB  139 VAL F CB  1 
ATOM 15450 C CG1 . VAL C 3 139 ? 320.053 -122.198 245.285 1.0 75.43993  ? 139 VAL F CG1 139 VAL F CG1 1 
ATOM 15451 C CG2 . VAL C 3 139 ? 321.335 -120.083 245.082 1.0 75.43993  ? 139 VAL F CG2 139 VAL F CG2 1 
ATOM 15452 N N   . ALA C 3 140 ? 321.178 -119.495 248.406 1.0 72.62391  ? 140 ALA F N   140 ALA F N   1 
ATOM 15453 C CA  . ALA C 3 140 ? 320.450 -118.773 249.429 1.0 72.62391  ? 140 ALA F CA  140 ALA F CA  1 
ATOM 15454 C C   . ALA C 3 140 ? 320.765 -117.281 249.379 1.0 72.62391  ? 140 ALA F C   140 ALA F C   1 
ATOM 15455 O O   . ALA C 3 140 ? 321.647 -116.835 248.649 1.0 72.62391  ? 140 ALA F O   140 ALA F O   1 
ATOM 15456 C CB  . ALA C 3 140 ? 320.782 -119.321 250.835 1.0 72.62391  ? 140 ALA F CB  140 ALA F CB  1 
ATOM 15457 N N   . GLN C 3 141 ? 320.000 -116.535 250.161 1.0 70.17756  ? 141 GLN F N   141 GLN F N   1 
ATOM 15458 C CA  . GLN C 3 141 ? 320.189 -115.100 250.355 1.0 70.17756  ? 141 GLN F CA  141 GLN F CA  1 
ATOM 15459 C C   . GLN C 3 141 ? 319.803 -114.815 251.795 1.0 70.17756  ? 141 GLN F C   141 GLN F C   1 
ATOM 15460 O O   . GLN C 3 141 ? 318.700 -115.175 252.209 1.0 70.17756  ? 141 GLN F O   141 GLN F O   1 
ATOM 15461 C CB  . GLN C 3 141 ? 319.324 -114.293 249.388 1.0 70.17756  ? 141 GLN F CB  141 GLN F CB  1 
ATOM 15462 C CG  . GLN C 3 141 ? 319.454 -112.787 249.500 1.0 70.17756  ? 141 GLN F CG  141 GLN F CG  1 
ATOM 15463 C CD  . GLN C 3 141 ? 320.829 -112.285 249.144 1.0 70.17756  ? 141 GLN F CD  141 GLN F CD  1 
ATOM 15464 O OE1 . GLN C 3 141 ? 321.603 -111.915 250.017 1.0 70.17756  ? 141 GLN F OE1 141 GLN F OE1 1 
ATOM 15465 N NE2 . GLN C 3 141 ? 321.135 -112.252 247.857 1.0 70.17756  ? 141 GLN F NE2 141 GLN F NE2 1 
ATOM 15466 N N   . LEU C 3 142 ? 320.710 -114.208 252.565 1.0 72.91883  ? 142 LEU F N   142 LEU F N   1 
ATOM 15467 C CA  . LEU C 3 142 ? 320.525 -114.021 254.005 1.0 72.91883  ? 142 LEU F CA  142 LEU F CA  1 
ATOM 15468 C C   . LEU C 3 142 ? 320.424 -112.532 254.305 1.0 72.91883  ? 142 LEU F C   142 LEU F C   1 
ATOM 15469 O O   . LEU C 3 142 ? 321.434 -111.884 254.618 1.0 72.91883  ? 142 LEU F O   142 LEU F O   1 
ATOM 15470 C CB  . LEU C 3 142 ? 321.669 -114.657 254.788 1.0 72.91883  ? 142 LEU F CB  142 LEU F CB  1 
ATOM 15471 C CG  . LEU C 3 142 ? 321.834 -116.160 254.579 1.0 72.91883  ? 142 LEU F CG  142 LEU F CG  1 
ATOM 15472 C CD1 . LEU C 3 142 ? 323.017 -116.675 255.376 1.0 72.91883  ? 142 LEU F CD1 142 LEU F CD1 1 
ATOM 15473 C CD2 . LEU C 3 142 ? 320.562 -116.897 254.933 1.0 72.91883  ? 142 LEU F CD2 142 LEU F CD2 1 
ATOM 15474 N N   . PRO C 3 143 ? 319.229 -111.950 254.237 1.0 72.21808  ? 143 PRO F N   143 PRO F N   1 
ATOM 15475 C CA  . PRO C 3 143 ? 319.117 -110.493 254.345 1.0 72.21808  ? 143 PRO F CA  143 PRO F CA  1 
ATOM 15476 C C   . PRO C 3 143 ? 319.202 -109.983 255.773 1.0 72.21808  ? 143 PRO F C   143 PRO F C   1 
ATOM 15477 O O   . PRO C 3 143 ? 319.735 -108.897 256.018 1.0 72.21808  ? 143 PRO F O   143 PRO F O   1 
ATOM 15478 C CB  . PRO C 3 143 ? 317.747 -110.214 253.721 1.0 72.21808  ? 143 PRO F CB  143 PRO F CB  1 
ATOM 15479 C CG  . PRO C 3 143 ? 316.967 -111.437 253.989 1.0 72.21808  ? 143 PRO F CG  143 PRO F CG  1 
ATOM 15480 C CD  . PRO C 3 143 ? 317.930 -112.581 253.955 1.0 72.21808  ? 143 PRO F CD  143 PRO F CD  1 
ATOM 15481 N N   . GLN C 3 144 ? 318.694 -110.756 256.723 1.0 74.4422   ? 144 GLN F N   144 GLN F N   1 
ATOM 15482 C CA  . GLN C 3 144 ? 318.658 -110.350 258.117 1.0 74.4422   ? 144 GLN F CA  144 GLN F CA  1 
ATOM 15483 C C   . GLN C 3 144 ? 319.824 -110.981 258.860 1.0 74.4422   ? 144 GLN F C   144 GLN F C   1 
ATOM 15484 O O   . GLN C 3 144 ? 320.037 -112.193 258.776 1.0 74.4422   ? 144 GLN F O   144 GLN F O   1 
ATOM 15485 C CB  . GLN C 3 144 ? 317.332 -110.759 258.750 1.0 74.4422   ? 144 GLN F CB  144 GLN F CB  1 
ATOM 15486 C CG  . GLN C 3 144 ? 317.166 -110.337 260.186 1.0 74.4422   ? 144 GLN F CG  144 GLN F CG  1 
ATOM 15487 C CD  . GLN C 3 144 ? 315.800 -110.694 260.718 1.0 74.4422   ? 144 GLN F CD  144 GLN F CD  1 
ATOM 15488 O OE1 . GLN C 3 144 ? 314.975 -111.255 259.999 1.0 74.4422   ? 144 GLN F OE1 144 GLN F OE1 1 
ATOM 15489 N NE2 . GLN C 3 144 ? 315.555 -110.384 261.984 1.0 74.4422   ? 144 GLN F NE2 144 GLN F NE2 1 
ATOM 15490 N N   . THR C 3 145 ? 320.578 -110.160 259.580 1.0 78.98972  ? 145 THR F N   145 THR F N   1 
ATOM 15491 C CA  . THR C 3 145 ? 321.773 -110.610 260.274 1.0 78.98972  ? 145 THR F CA  145 THR F CA  1 
ATOM 15492 C C   . THR C 3 145 ? 321.601 -110.478 261.781 1.0 78.98972  ? 145 THR F C   145 THR F C   1 
ATOM 15493 O O   . THR C 3 145 ? 320.678 -109.828 262.277 1.0 78.98972  ? 145 THR F O   145 THR F O   1 
ATOM 15494 C CB  . THR C 3 145 ? 323.000 -109.817 259.818 1.0 78.98972  ? 145 THR F CB  145 THR F CB  1 
ATOM 15495 O OG1 . THR C 3 145 ? 322.829 -108.437 260.159 1.0 78.98972  ? 145 THR F OG1 145 THR F OG1 1 
ATOM 15496 C CG2 . THR C 3 145 ? 323.186 -109.941 258.316 1.0 78.98972  ? 145 THR F CG2 145 THR F CG2 1 
ATOM 15497 N N   . TYR C 3 146 ? 322.514 -111.114 262.509 1.0 83.36375  ? 146 TYR F N   146 TYR F N   1 
ATOM 15498 C CA  . TYR C 3 146 ? 322.569 -111.003 263.960 1.0 83.36375  ? 146 TYR F CA  146 TYR F CA  1 
ATOM 15499 C C   . TYR C 3 146 ? 324.036 -110.926 264.371 1.0 83.36375  ? 146 TYR F C   146 TYR F C   1 
ATOM 15500 O O   . TYR C 3 146 ? 324.928 -110.798 263.528 1.0 83.36375  ? 146 TYR F O   146 TYR F O   1 
ATOM 15501 C CB  . TYR C 3 146 ? 321.814 -112.159 264.631 1.0 83.36375  ? 146 TYR F CB  146 TYR F CB  1 
ATOM 15502 C CG  . TYR C 3 146 ? 322.366 -113.539 264.357 1.0 83.36375  ? 146 TYR F CG  146 TYR F CG  1 
ATOM 15503 C CD1 . TYR C 3 146 ? 321.938 -114.270 263.260 1.0 83.36375  ? 146 TYR F CD1 146 TYR F CD1 1 
ATOM 15504 C CD2 . TYR C 3 146 ? 323.291 -114.124 265.213 1.0 83.36375  ? 146 TYR F CD2 146 TYR F CD2 1 
ATOM 15505 C CE1 . TYR C 3 146 ? 322.431 -115.530 263.008 1.0 83.36375  ? 146 TYR F CE1 146 TYR F CE1 1 
ATOM 15506 C CE2 . TYR C 3 146 ? 323.790 -115.384 264.967 1.0 83.36375  ? 146 TYR F CE2 146 TYR F CE2 1 
ATOM 15507 C CZ  . TYR C 3 146 ? 323.355 -116.081 263.864 1.0 83.36375  ? 146 TYR F CZ  146 TYR F CZ  1 
ATOM 15508 O OH  . TYR C 3 146 ? 323.847 -117.335 263.613 1.0 83.36375  ? 146 TYR F OH  146 TYR F OH  1 
ATOM 15509 N N   . ALA C 3 147 ? 324.287 -111.001 265.673 1.0 86.71915  ? 147 ALA F N   147 ALA F N   1 
ATOM 15510 C CA  . ALA C 3 147 ? 325.630 -110.827 266.208 1.0 86.71915  ? 147 ALA F CA  147 ALA F CA  1 
ATOM 15511 C C   . ALA C 3 147 ? 326.302 -112.176 266.423 1.0 86.71915  ? 147 ALA F C   147 ALA F C   1 
ATOM 15512 O O   . ALA C 3 147 ? 325.745 -113.057 267.085 1.0 86.71915  ? 147 ALA F O   147 ALA F O   1 
ATOM 15513 C CB  . ALA C 3 147 ? 325.588 -110.048 267.521 1.0 86.71915  ? 147 ALA F CB  147 ALA F CB  1 
ATOM 15514 N N   . ALA C 3 148 ? 327.497 -112.328 265.863 1.0 88.86819  ? 148 ALA F N   148 ALA F N   1 
ATOM 15515 C CA  . ALA C 3 148 ? 328.361 -113.467 266.121 1.0 88.86819  ? 148 ALA F CA  148 ALA F CA  1 
ATOM 15516 C C   . ALA C 3 148 ? 329.688 -112.967 266.675 1.0 88.86819  ? 148 ALA F C   148 ALA F C   1 
ATOM 15517 O O   . ALA C 3 148 ? 330.069 -111.811 266.479 1.0 88.86819  ? 148 ALA F O   148 ALA F O   1 
ATOM 15518 C CB  . ALA C 3 148 ? 328.595 -114.297 264.854 1.0 88.86819  ? 148 ALA F CB  148 ALA F CB  1 
ATOM 15519 N N   . GLY C 3 149 ? 330.392 -113.848 267.378 1.0 93.78461  ? 149 GLY F N   149 GLY F N   1 
ATOM 15520 C CA  . GLY C 3 149 ? 331.642 -113.458 268.000 1.0 93.78461  ? 149 GLY F CA  149 GLY F CA  1 
ATOM 15521 C C   . GLY C 3 149 ? 332.789 -114.407 267.727 1.0 93.78461  ? 149 GLY F C   149 GLY F C   1 
ATOM 15522 O O   . GLY C 3 149 ? 333.667 -114.588 268.575 1.0 93.78461  ? 149 GLY F O   149 GLY F O   1 
ATOM 15523 N N   . GLY C 3 150 ? 332.792 -115.023 266.549 1.0 93.93365  ? 150 GLY F N   150 GLY F N   1 
ATOM 15524 C CA  . GLY C 3 150 ? 333.817 -115.987 266.203 1.0 93.93365  ? 150 GLY F CA  150 GLY F CA  1 
ATOM 15525 C C   . GLY C 3 150 ? 333.497 -117.351 266.773 1.0 93.93365  ? 150 GLY F C   150 GLY F C   1 
ATOM 15526 O O   . GLY C 3 150 ? 333.285 -117.474 267.985 1.0 93.93365  ? 150 GLY F O   150 GLY F O   1 
ATOM 15527 N N   . THR C 3 151 ? 333.532 -118.377 265.918 1.0 93.03704  ? 151 THR F N   151 THR F N   1 
ATOM 15528 C CA  . THR C 3 151 ? 332.960 -119.705 266.173 1.0 93.03704  ? 151 THR F CA  151 THR F CA  1 
ATOM 15529 C C   . THR C 3 151 ? 331.545 -119.578 266.734 1.0 93.03704  ? 151 THR F C   151 THR F C   1 
ATOM 15530 O O   . THR C 3 151 ? 331.212 -120.096 267.800 1.0 93.03704  ? 151 THR F O   151 THR F O   1 
ATOM 15531 C CB  . THR C 3 151 ? 333.845 -120.549 267.096 1.0 93.03704  ? 151 THR F CB  151 THR F CB  1 
ATOM 15532 O OG1 . THR C 3 151 ? 333.904 -119.951 268.396 1.0 93.03704  ? 151 THR F OG1 151 THR F OG1 1 
ATOM 15533 C CG2 . THR C 3 151 ? 335.249 -120.655 266.530 1.0 93.03704  ? 151 THR F CG2 151 THR F CG2 1 
ATOM 15534 N N   . GLY C 3 152 ? 330.714 -118.857 265.988 1.0 90.803    ? 152 GLY F N   152 GLY F N   1 
ATOM 15535 C CA  . GLY C 3 152 ? 329.379 -118.521 266.438 1.0 90.803    ? 152 GLY F CA  152 GLY F CA  1 
ATOM 15536 C C   . GLY C 3 152 ? 328.405 -119.676 266.382 1.0 90.803    ? 152 GLY F C   152 GLY F C   1 
ATOM 15537 O O   . GLY C 3 152 ? 327.477 -119.679 265.570 1.0 90.803    ? 152 GLY F O   152 GLY F O   1 
ATOM 15538 N N   . VAL C 3 153 ? 328.609 -120.667 267.241 1.0 89.70108  ? 153 VAL F N   153 VAL F N   1 
ATOM 15539 C CA  . VAL C 3 153 ? 327.701 -121.797 267.340 1.0 89.70108  ? 153 VAL F CA  153 VAL F CA  1 
ATOM 15540 C C   . VAL C 3 153 ? 326.788 -121.700 268.551 1.0 89.70108  ? 153 VAL F C   153 VAL F C   1 
ATOM 15541 O O   . VAL C 3 153 ? 325.759 -122.391 268.583 1.0 89.70108  ? 153 VAL F O   153 VAL F O   1 
ATOM 15542 C CB  . VAL C 3 153 ? 328.474 -123.130 267.358 1.0 89.70108  ? 153 VAL F CB  153 VAL F CB  1 
ATOM 15543 C CG1 . VAL C 3 153 ? 329.224 -123.313 266.056 1.0 89.70108  ? 153 VAL F CG1 153 VAL F CG1 1 
ATOM 15544 C CG2 . VAL C 3 153 ? 329.444 -123.151 268.517 1.0 89.70108  ? 153 VAL F CG2 153 VAL F CG2 1 
ATOM 15545 N N   . THR C 3 154 ? 327.120 -120.874 269.540 1.0 89.28482  ? 154 THR F N   154 THR F N   1 
ATOM 15546 C CA  . THR C 3 154 ? 326.260 -120.669 270.693 1.0 89.28482  ? 154 THR F CA  154 THR F CA  1 
ATOM 15547 C C   . THR C 3 154 ? 325.267 -119.534 270.490 1.0 89.28482  ? 154 THR F C   154 THR F C   1 
ATOM 15548 O O   . THR C 3 154 ? 324.313 -119.419 271.266 1.0 89.28482  ? 154 THR F O   154 THR F O   1 
ATOM 15549 C CB  . THR C 3 154 ? 327.105 -120.404 271.943 1.0 89.28482  ? 154 THR F CB  154 THR F CB  1 
ATOM 15550 O OG1 . THR C 3 154 ? 326.254 -120.336 273.093 1.0 89.28482  ? 154 THR F OG1 154 THR F OG1 1 
ATOM 15551 C CG2 . THR C 3 154 ? 327.884 -119.107 271.807 1.0 89.28482  ? 154 THR F CG2 154 THR F CG2 1 
ATOM 15552 N N   . GLU C 3 155 ? 325.463 -118.700 269.470 1.0 88.55502  ? 155 GLU F N   155 GLU F N   1 
ATOM 15553 C CA  . GLU C 3 155 ? 324.462 -117.712 269.095 1.0 88.55502  ? 155 GLU F CA  155 GLU F CA  1 
ATOM 15554 C C   . GLU C 3 155 ? 323.545 -118.222 267.997 1.0 88.55502  ? 155 GLU F C   155 GLU F C   1 
ATOM 15555 O O   . GLU C 3 155 ? 322.374 -117.832 267.945 1.0 88.55502  ? 155 GLU F O   155 GLU F O   1 
ATOM 15556 C CB  . GLU C 3 155 ? 325.128 -116.412 268.634 1.0 88.55502  ? 155 GLU F CB  155 GLU F CB  1 
ATOM 15557 C CG  . GLU C 3 155 ? 325.863 -115.649 269.723 1.0 88.55502  ? 155 GLU F CG  155 GLU F CG  1 
ATOM 15558 C CD  . GLU C 3 155 ? 327.296 -116.107 269.900 1.0 88.55502  ? 155 GLU F CD  155 GLU F CD  1 
ATOM 15559 O OE1 . GLU C 3 155 ? 327.743 -116.987 269.136 1.0 88.55502  ? 155 GLU F OE1 155 GLU F OE1 1 
ATOM 15560 O OE2 . GLU C 3 155 ? 327.980 -115.580 270.801 1.0 88.55502  ? 155 GLU F OE2 155 GLU F OE2 1 
ATOM 15561 N N   . ALA C 3 156 ? 324.052 -119.089 267.121 1.0 86.26706  ? 156 ALA F N   156 ALA F N   1 
ATOM 15562 C CA  . ALA C 3 156 ? 323.212 -119.696 266.101 1.0 86.26706  ? 156 ALA F CA  156 ALA F CA  1 
ATOM 15563 C C   . ALA C 3 156 ? 322.269 -120.742 266.675 1.0 86.26706  ? 156 ALA F C   156 ALA F C   1 
ATOM 15564 O O   . ALA C 3 156 ? 321.238 -121.033 266.062 1.0 86.26706  ? 156 ALA F O   156 ALA F O   1 
ATOM 15565 C CB  . ALA C 3 156 ? 324.079 -120.330 265.016 1.0 86.26706  ? 156 ALA F CB  156 ALA F CB  1 
ATOM 15566 N N   . ILE C 3 157 ? 322.596 -121.312 267.836 1.0 87.00581  ? 157 ILE F N   157 ILE F N   1 
ATOM 15567 C CA  . ILE C 3 157 ? 321.774 -122.376 268.398 1.0 87.00581  ? 157 ILE F CA  157 ILE F CA  1 
ATOM 15568 C C   . ILE C 3 157 ? 320.533 -121.821 269.095 1.0 87.00581  ? 157 ILE F C   157 ILE F C   1 
ATOM 15569 O O   . ILE C 3 157 ? 319.558 -122.556 269.292 1.0 87.00581  ? 157 ILE F O   157 ILE F O   1 
ATOM 15570 C CB  . ILE C 3 157 ? 322.643 -123.235 269.338 1.0 87.00581  ? 157 ILE F CB  157 ILE F CB  1 
ATOM 15571 C CG1 . ILE C 3 157 ? 322.012 -124.602 269.615 1.0 87.00581  ? 157 ILE F CG1 157 ILE F CG1 1 
ATOM 15572 C CG2 . ILE C 3 157 ? 322.928 -122.507 270.644 1.0 87.00581  ? 157 ILE F CG2 157 ILE F CG2 1 
ATOM 15573 C CD1 . ILE C 3 157 ? 322.963 -125.586 270.258 1.0 87.00581  ? 157 ILE F CD1 157 ILE F CD1 1 
ATOM 15574 N N   . GLN C 3 158 ? 320.516 -120.532 269.431 1.0 86.61669  ? 158 GLN F N   158 GLN F N   1 
ATOM 15575 C CA  . GLN C 3 158 ? 319.432 -119.955 270.212 1.0 86.61669  ? 158 GLN F CA  158 GLN F CA  1 
ATOM 15576 C C   . GLN C 3 158 ? 318.494 -119.079 269.396 1.0 86.61669  ? 158 GLN F C   158 GLN F C   1 
ATOM 15577 O O   . GLN C 3 158 ? 317.582 -118.475 269.970 1.0 86.61669  ? 158 GLN F O   158 GLN F O   1 
ATOM 15578 C CB  . GLN C 3 158 ? 319.999 -119.145 271.381 1.0 86.61669  ? 158 GLN F CB  158 GLN F CB  1 
ATOM 15579 C CG  . GLN C 3 158 ? 320.781 -117.919 270.963 1.0 86.61669  ? 158 GLN F CG  158 GLN F CG  1 
ATOM 15580 C CD  . GLN C 3 158 ? 321.372 -117.186 272.145 1.0 86.61669  ? 158 GLN F CD  158 GLN F CD  1 
ATOM 15581 O OE1 . GLN C 3 158 ? 321.180 -117.584 273.294 1.0 86.61669  ? 158 GLN F OE1 158 GLN F OE1 1 
ATOM 15582 N NE2 . GLN C 3 158 ? 322.087 -116.102 271.873 1.0 86.61669  ? 158 GLN F NE2 158 GLN F NE2 1 
ATOM 15583 N N   . GLN C 3 159 ? 318.693 -118.979 268.086 1.0 85.02548  ? 159 GLN F N   159 GLN F N   1 
ATOM 15584 C CA  . GLN C 3 159 ? 317.752 -118.264 267.232 1.0 85.02548  ? 159 GLN F CA  159 GLN F CA  1 
ATOM 15585 C C   . GLN C 3 159 ? 316.495 -119.108 267.076 1.0 85.02548  ? 159 GLN F C   159 GLN F C   1 
ATOM 15586 O O   . GLN C 3 159 ? 316.521 -120.147 266.410 1.0 85.02548  ? 159 GLN F O   159 GLN F O   1 
ATOM 15587 C CB  . GLN C 3 159 ? 318.383 -117.973 265.875 1.0 85.02548  ? 159 GLN F CB  159 GLN F CB  1 
ATOM 15588 C CG  . GLN C 3 159 ? 319.593 -117.068 265.936 1.0 85.02548  ? 159 GLN F CG  159 GLN F CG  1 
ATOM 15589 C CD  . GLN C 3 159 ? 319.242 -115.664 266.369 1.0 85.02548  ? 159 GLN F CD  159 GLN F CD  1 
ATOM 15590 O OE1 . GLN C 3 159 ? 318.209 -115.123 265.978 1.0 85.02548  ? 159 GLN F OE1 159 GLN F OE1 1 
ATOM 15591 N NE2 . GLN C 3 159 ? 320.102 -115.063 267.182 1.0 85.02548  ? 159 GLN F NE2 159 GLN F NE2 1 
ATOM 15592 N N   . GLN C 3 160 ? 315.399 -118.679 267.694 1.0 82.96528  ? 160 GLN F N   160 GLN F N   1 
ATOM 15593 C CA  . GLN C 3 160 ? 314.167 -119.456 267.649 1.0 82.96528  ? 160 GLN F CA  160 GLN F CA  1 
ATOM 15594 C C   . GLN C 3 160 ? 313.534 -119.366 266.269 1.0 82.96528  ? 160 GLN F C   160 GLN F C   1 
ATOM 15595 O O   . GLN C 3 160 ? 313.418 -118.279 265.697 1.0 82.96528  ? 160 GLN F O   160 GLN F O   1 
ATOM 15596 C CB  . GLN C 3 160 ? 313.191 -118.963 268.713 1.0 82.96528  ? 160 GLN F CB  160 GLN F CB  1 
ATOM 15597 C CG  . GLN C 3 160 ? 313.652 -119.216 270.132 1.0 82.96528  ? 160 GLN F CG  160 GLN F CG  1 
ATOM 15598 C CD  . GLN C 3 160 ? 312.668 -118.698 271.156 1.0 82.96528  ? 160 GLN F CD  160 GLN F CD  1 
ATOM 15599 O OE1 . GLN C 3 160 ? 311.658 -118.090 270.806 1.0 82.96528  ? 160 GLN F OE1 160 GLN F OE1 1 
ATOM 15600 N NE2 . GLN C 3 160 ? 312.959 -118.933 272.429 1.0 82.96528  ? 160 GLN F NE2 160 GLN F NE2 1 
ATOM 15601 N N   . VAL C 3 161 ? 313.136 -120.513 265.727 1.0 78.76504  ? 161 VAL F N   161 VAL F N   1 
ATOM 15602 C CA  . VAL C 3 161 ? 312.571 -120.584 264.388 1.0 78.76504  ? 161 VAL F CA  161 VAL F CA  1 
ATOM 15603 C C   . VAL C 3 161 ? 311.171 -121.174 264.468 1.0 78.76504  ? 161 VAL F C   161 VAL F C   1 
ATOM 15604 O O   . VAL C 3 161 ? 310.850 -121.955 265.371 1.0 78.76504  ? 161 VAL F O   161 VAL F O   1 
ATOM 15605 C CB  . VAL C 3 161 ? 313.467 -121.401 263.429 1.0 78.76504  ? 161 VAL F CB  161 VAL F CB  1 
ATOM 15606 C CG1 . VAL C 3 161 ? 314.831 -120.745 263.299 1.0 78.76504  ? 161 VAL F CG1 161 VAL F CG1 1 
ATOM 15607 C CG2 . VAL C 3 161 ? 313.623 -122.830 263.910 1.0 78.76504  ? 161 VAL F CG2 161 VAL F CG2 1 
ATOM 15608 N N   . SER C 3 162 ? 310.324 -120.765 263.532 1.0 76.66646  ? 162 SER F N   162 SER F N   1 
ATOM 15609 C CA  . SER C 3 162 ? 308.957 -121.266 263.451 1.0 76.66646  ? 162 SER F CA  162 SER F CA  1 
ATOM 15610 C C   . SER C 3 162 ? 308.513 -121.183 261.996 1.0 76.66646  ? 162 SER F C   162 SER F C   1 
ATOM 15611 O O   . SER C 3 162 ? 309.340 -121.054 261.088 1.0 76.66646  ? 162 SER F O   162 SER F O   1 
ATOM 15612 C CB  . SER C 3 162 ? 308.028 -120.482 264.391 1.0 76.66646  ? 162 SER F CB  162 SER F CB  1 
ATOM 15613 O OG  . SER C 3 162 ? 307.831 -119.164 263.919 1.0 76.66646  ? 162 SER F OG  162 SER F OG  1 
ATOM 15614 N N   . GLY C 3 163 ? 307.201 -121.267 261.771 1.0 73.01288  ? 163 GLY F N   163 GLY F N   1 
ATOM 15615 C CA  . GLY C 3 163 ? 306.669 -121.116 260.431 1.0 73.01288  ? 163 GLY F CA  163 GLY F CA  1 
ATOM 15616 C C   . GLY C 3 163 ? 306.474 -119.683 259.993 1.0 73.01288  ? 163 GLY F C   163 GLY F C   1 
ATOM 15617 O O   . GLY C 3 163 ? 306.441 -119.415 258.788 1.0 73.01288  ? 163 GLY F O   163 GLY F O   1 
ATOM 15618 N N   . VAL C 3 164 ? 306.366 -118.752 260.940 1.0 75.27763  ? 164 VAL F N   164 VAL F N   1 
ATOM 15619 C CA  . VAL C 3 164 ? 306.162 -117.340 260.651 1.0 75.27763  ? 164 VAL F CA  164 VAL F CA  1 
ATOM 15620 C C   . VAL C 3 164 ? 307.283 -116.474 261.213 1.0 75.27763  ? 164 VAL F C   164 VAL F C   1 
ATOM 15621 O O   . VAL C 3 164 ? 307.153 -115.252 261.260 1.0 75.27763  ? 164 VAL F O   164 VAL F O   1 
ATOM 15622 C CB  . VAL C 3 164 ? 304.792 -116.862 261.170 1.0 75.27763  ? 164 VAL F CB  164 VAL F CB  1 
ATOM 15623 C CG1 . VAL C 3 164 ? 303.672 -117.598 260.462 1.0 75.27763  ? 164 VAL F CG1 164 VAL F CG1 1 
ATOM 15624 C CG2 . VAL C 3 164 ? 304.693 -117.078 262.668 1.0 75.27763  ? 164 VAL F CG2 164 VAL F CG2 1 
ATOM 15625 N N   . ASP C 3 165 ? 308.378 -117.089 261.649 1.0 76.07876  ? 165 ASP F N   165 ASP F N   1 
ATOM 15626 C CA  . ASP C 3 165 ? 309.510 -116.423 262.278 1.0 76.07876  ? 165 ASP F CA  165 ASP F CA  1 
ATOM 15627 C C   . ASP C 3 165 ? 310.722 -117.328 262.090 1.0 76.07876  ? 165 ASP F C   165 ASP F C   1 
ATOM 15628 O O   . ASP C 3 165 ? 310.710 -118.465 262.576 1.0 76.07876  ? 165 ASP F O   165 ASP F O   1 
ATOM 15629 C CB  . ASP C 3 165 ? 309.217 -116.171 263.760 1.0 76.07876  ? 165 ASP F CB  165 ASP F CB  1 
ATOM 15630 C CG  . ASP C 3 165 ? 310.216 -115.235 264.424 1.0 76.07876  ? 165 ASP F CG  165 ASP F CG  1 
ATOM 15631 O OD1 . ASP C 3 165 ? 311.136 -114.722 263.759 1.0 76.07876  ? 165 ASP F OD1 165 ASP F OD1 1 
ATOM 15632 O OD2 . ASP C 3 165 ? 310.080 -115.017 265.646 1.0 76.07876  ? 165 ASP F OD2 165 ASP F OD2 1 
ATOM 15633 N N   . PRO C 3 166 ? 311.782 -116.887 261.389 1.0 73.9064   ? 166 PRO F N   166 PRO F N   1 
ATOM 15634 C CA  . PRO C 3 166 ? 312.031 -115.587 260.755 1.0 73.9064   ? 166 PRO F CA  166 PRO F CA  1 
ATOM 15635 C C   . PRO C 3 166 ? 311.242 -115.313 259.482 1.0 73.9064   ? 166 PRO F C   166 PRO F C   1 
ATOM 15636 O O   . PRO C 3 166 ? 311.175 -116.142 258.586 1.0 73.9064   ? 166 PRO F O   166 PRO F O   1 
ATOM 15637 C CB  . PRO C 3 166 ? 313.520 -115.641 260.438 1.0 73.9064   ? 166 PRO F CB  166 PRO F CB  1 
ATOM 15638 C CG  . PRO C 3 166 ? 313.813 -117.067 260.266 1.0 73.9064   ? 166 PRO F CG  166 PRO F CG  1 
ATOM 15639 C CD  . PRO C 3 166 ? 312.934 -117.790 261.233 1.0 73.9064   ? 166 PRO F CD  166 PRO F CD  1 
ATOM 15640 N N   . ASN C 3 167 ? 310.660 -114.132 259.423 1.0 69.61913  ? 167 ASN F N   167 ASN F N   1 
ATOM 15641 C CA  . ASN C 3 167 ? 309.823 -113.747 258.298 1.0 69.61913  ? 167 ASN F CA  167 ASN F CA  1 
ATOM 15642 C C   . ASN C 3 167 ? 310.705 -113.410 257.100 1.0 69.61913  ? 167 ASN F C   167 ASN F C   1 
ATOM 15643 O O   . ASN C 3 167 ? 311.672 -112.657 257.248 1.0 69.61913  ? 167 ASN F O   167 ASN F O   1 
ATOM 15644 C CB  . ASN C 3 167 ? 308.988 -112.540 258.722 1.0 69.61913  ? 167 ASN F CB  167 ASN F CB  1 
ATOM 15645 C CG  . ASN C 3 167 ? 307.841 -112.235 257.786 1.0 69.61913  ? 167 ASN F CG  167 ASN F CG  1 
ATOM 15646 O OD1 . ASN C 3 167 ? 307.642 -112.895 256.777 1.0 69.61913  ? 167 ASN F OD1 167 ASN F OD1 1 
ATOM 15647 N ND2 . ASN C 3 167 ? 307.060 -111.220 258.136 1.0 69.61913  ? 167 ASN F ND2 167 ASN F ND2 1 
ATOM 15648 N N   . PRO C 3 168 ? 310.404 -113.918 255.902 1.0 66.63878  ? 168 PRO F N   168 PRO F N   1 
ATOM 15649 C CA  . PRO C 3 168 ? 311.167 -113.539 254.705 1.0 66.63878  ? 168 PRO F CA  168 PRO F CA  1 
ATOM 15650 C C   . PRO C 3 168 ? 310.957 -112.116 254.211 1.0 66.63878  ? 168 PRO F C   168 PRO F C   1 
ATOM 15651 O O   . PRO C 3 168 ? 311.401 -111.802 253.104 1.0 66.63878  ? 168 PRO F O   168 PRO F O   1 
ATOM 15652 C CB  . PRO C 3 168 ? 310.670 -114.544 253.651 1.0 66.63878  ? 168 PRO F CB  168 PRO F CB  1 
ATOM 15653 C CG  . PRO C 3 168 ? 309.405 -115.073 254.166 1.0 66.63878  ? 168 PRO F CG  168 PRO F CG  1 
ATOM 15654 C CD  . PRO C 3 168 ? 309.591 -115.118 255.646 1.0 66.63878  ? 168 PRO F CD  168 PRO F CD  1 
ATOM 15655 N N   . GLN C 3 169 ? 310.299 -111.245 254.964 1.0 67.98756  ? 169 GLN F N   169 GLN F N   1 
ATOM 15656 C CA  . GLN C 3 169 ? 310.177 -109.853 254.583 1.0 67.98756  ? 169 GLN F CA  169 GLN F CA  1 
ATOM 15657 C C   . GLN C 3 169 ? 310.931 -108.909 255.503 1.0 67.98756  ? 169 GLN F C   169 GLN F C   1 
ATOM 15658 O O   . GLN C 3 169 ? 310.914 -107.703 255.256 1.0 67.98756  ? 169 GLN F O   169 GLN F O   1 
ATOM 15659 C CB  . GLN C 3 169 ? 308.700 -109.442 254.533 1.0 67.98756  ? 169 GLN F CB  169 GLN F CB  1 
ATOM 15660 C CG  . GLN C 3 169 ? 307.927 -110.100 253.418 1.0 67.98756  ? 169 GLN F CG  169 GLN F CG  1 
ATOM 15661 C CD  . GLN C 3 169 ? 306.471 -109.720 253.421 1.0 67.98756  ? 169 GLN F CD  169 GLN F CD  1 
ATOM 15662 O OE1 . GLN C 3 169 ? 306.011 -109.016 254.312 1.0 67.98756  ? 169 GLN F OE1 169 GLN F OE1 1 
ATOM 15663 N NE2 . GLN C 3 169 ? 305.733 -110.183 252.422 1.0 67.98756  ? 169 GLN F NE2 169 GLN F NE2 1 
ATOM 15664 N N   . VAL C 3 170 ? 311.592 -109.407 256.550 1.0 71.45602  ? 170 VAL F N   170 VAL F N   1 
ATOM 15665 C CA  . VAL C 3 170 ? 312.221 -108.501 257.507 1.0 71.45602  ? 170 VAL F CA  170 VAL F CA  1 
ATOM 15666 C C   . VAL C 3 170 ? 313.479 -107.884 256.913 1.0 71.45602  ? 170 VAL F C   170 VAL F C   1 
ATOM 15667 O O   . VAL C 3 170 ? 313.540 -106.670 256.682 1.0 71.45602  ? 170 VAL F O   170 VAL F O   1 
ATOM 15668 C CB  . VAL C 3 170 ? 312.518 -109.233 258.828 1.0 71.45602  ? 170 VAL F CB  170 VAL F CB  1 
ATOM 15669 C CG1 . VAL C 3 170 ? 313.275 -108.322 259.777 1.0 71.45602  ? 170 VAL F CG1 170 VAL F CG1 1 
ATOM 15670 C CG2 . VAL C 3 170 ? 311.229 -109.692 259.474 1.0 71.45602  ? 170 VAL F CG2 170 VAL F CG2 1 
ATOM 15671 N N   . GLY C 3 171 ? 314.479 -108.708 256.624 1.0 73.53071  ? 171 GLY F N   171 GLY F N   1 
ATOM 15672 C CA  . GLY C 3 171 ? 315.702 -108.212 256.017 1.0 73.53071  ? 171 GLY F CA  171 GLY F CA  1 
ATOM 15673 C C   . GLY C 3 171 ? 316.490 -107.306 256.937 1.0 73.53071  ? 171 GLY F C   171 GLY F C   1 
ATOM 15674 O O   . GLY C 3 171 ? 316.370 -107.365 258.168 1.0 73.53071  ? 171 GLY F O   171 GLY F O   1 
ATOM 15675 N N   . GLN C 3 172 ? 317.294 -106.447 256.331 1.0 75.06684  ? 172 GLN F N   172 GLN F N   1 
ATOM 15676 C CA  . GLN C 3 172 ? 318.060 -105.415 257.008 1.0 75.06684  ? 172 GLN F CA  172 GLN F CA  1 
ATOM 15677 C C   . GLN C 3 172 ? 317.124 -104.255 257.290 1.0 75.06684  ? 172 GLN F C   172 GLN F C   1 
ATOM 15678 O O   . GLN C 3 172 ? 316.265 -103.938 256.461 1.0 75.06684  ? 172 GLN F O   172 GLN F O   1 
ATOM 15679 C CB  . GLN C 3 172 ? 319.220 -104.948 256.118 1.0 75.06684  ? 172 GLN F CB  172 GLN F CB  1 
ATOM 15680 C CG  . GLN C 3 172 ? 320.229 -104.010 256.745 1.0 75.06684  ? 172 GLN F CG  172 GLN F CG  1 
ATOM 15681 C CD  . GLN C 3 172 ? 321.100 -104.680 257.783 1.0 75.06684  ? 172 GLN F CD  172 GLN F CD  1 
ATOM 15682 O OE1 . GLN C 3 172 ? 321.035 -104.363 258.979 1.0 75.06684  ? 172 GLN F OE1 172 GLN F OE1 1 
ATOM 15683 N NE2 . GLN C 3 172 ? 321.923 -105.613 257.338 1.0 75.06684  ? 172 GLN F NE2 172 GLN F NE2 1 
ATOM 15684 N N   . PRO C 3 173 ? 317.223 -103.632 258.465 1.0 75.5092   ? 173 PRO F N   173 PRO F N   1 
ATOM 15685 C CA  . PRO C 3 173 ? 316.533 -102.353 258.672 1.0 75.5092   ? 173 PRO F CA  173 PRO F CA  1 
ATOM 15686 C C   . PRO C 3 173 ? 317.080 -101.304 257.723 1.0 75.5092   ? 173 PRO F C   173 PRO F C   1 
ATOM 15687 O O   . PRO C 3 173 ? 318.282 -101.257 257.451 1.0 75.5092   ? 173 PRO F O   173 PRO F O   1 
ATOM 15688 C CB  . PRO C 3 173 ? 316.836 -102.016 260.135 1.0 75.5092   ? 173 PRO F CB  173 PRO F CB  1 
ATOM 15689 C CG  . PRO C 3 173 ? 318.061 -102.788 260.457 1.0 75.5092   ? 173 PRO F CG  173 PRO F CG  1 
ATOM 15690 C CD  . PRO C 3 173 ? 317.907 -104.071 259.685 1.0 75.5092   ? 173 PRO F CD  173 PRO F CD  1 
ATOM 15691 N N   . ASN C 3 174 ? 316.173 -100.477 257.212 1.0 75.89584  ? 174 ASN F N   174 ASN F N   1 
ATOM 15692 C CA  . ASN C 3 174 ? 316.450 -99.618  256.072 1.0 75.89584  ? 174 ASN F CA  174 ASN F CA  1 
ATOM 15693 C C   . ASN C 3 174 ? 317.475 -98.537  256.393 1.0 75.89584  ? 174 ASN F C   174 ASN F C   1 
ATOM 15694 O O   . ASN C 3 174 ? 317.756 -98.241  257.559 1.0 75.89584  ? 174 ASN F O   174 ASN F O   1 
ATOM 15695 C CB  . ASN C 3 174 ? 315.152 -98.987  255.574 1.0 75.89584  ? 174 ASN F CB  174 ASN F CB  1 
ATOM 15696 C CG  . ASN C 3 174 ? 314.354 -98.328  256.685 1.0 75.89584  ? 174 ASN F CG  174 ASN F CG  1 
ATOM 15697 O OD1 . ASN C 3 174 ? 314.776 -98.290  257.843 1.0 75.89584  ? 174 ASN F OD1 174 ASN F OD1 1 
ATOM 15698 N ND2 . ASN C 3 174 ? 313.187 -97.807  256.336 1.0 75.89584  ? 174 ASN F ND2 174 ASN F ND2 1 
ATOM 15699 N N   . TYR C 3 175 ? 318.051 -97.981  255.326 1.0 74.13052  ? 175 TYR F N   175 TYR F N   1 
ATOM 15700 C CA  . TYR C 3 175 ? 319.052 -96.918  255.260 1.0 74.13052  ? 175 TYR F CA  175 TYR F CA  1 
ATOM 15701 C C   . TYR C 3 175 ? 320.404 -97.366  255.797 1.0 74.13052  ? 175 TYR F C   175 TYR F C   1 
ATOM 15702 O O   . TYR C 3 175 ? 321.262 -96.510  256.038 1.0 74.13052  ? 175 TYR F O   175 TYR F O   1 
ATOM 15703 C CB  . TYR C 3 175 ? 318.621 -95.639  255.991 1.0 74.13052  ? 175 TYR F CB  175 TYR F CB  1 
ATOM 15704 C CG  . TYR C 3 175 ? 317.406 -94.999  255.390 1.0 74.13052  ? 175 TYR F CG  175 TYR F CG  1 
ATOM 15705 C CD1 . TYR C 3 175 ? 317.522 -94.084  254.359 1.0 74.13052  ? 175 TYR F CD1 175 TYR F CD1 1 
ATOM 15706 C CD2 . TYR C 3 175 ? 316.137 -95.341  255.827 1.0 74.13052  ? 175 TYR F CD2 175 TYR F CD2 1 
ATOM 15707 C CE1 . TYR C 3 175 ? 316.409 -93.500  253.806 1.0 74.13052  ? 175 TYR F CE1 175 TYR F CE1 1 
ATOM 15708 C CE2 . TYR C 3 175 ? 315.018 -94.775  255.268 1.0 74.13052  ? 175 TYR F CE2 175 TYR F CE2 1 
ATOM 15709 C CZ  . TYR C 3 175 ? 315.161 -93.857  254.259 1.0 74.13052  ? 175 TYR F CZ  175 TYR F CZ  1 
ATOM 15710 O OH  . TYR C 3 175 ? 314.056 -93.276  253.701 1.0 74.13052  ? 175 TYR F OH  175 TYR F OH  1 
ATOM 15711 N N   . ALA C 3 176 ? 320.629 -98.666  255.999 1.0 77.33497  ? 176 ALA F N   176 ALA F N   1 
ATOM 15712 C CA  . ALA C 3 176 ? 321.989 -99.134  256.224 1.0 77.33497  ? 176 ALA F CA  176 ALA F CA  1 
ATOM 15713 C C   . ALA C 3 176 ? 322.811 -99.001  254.951 1.0 77.33497  ? 176 ALA F C   176 ALA F C   1 
ATOM 15714 O O   . ALA C 3 176 ? 324.008 -98.702  255.002 1.0 77.33497  ? 176 ALA F O   176 ALA F O   1 
ATOM 15715 C CB  . ALA C 3 176 ? 321.978 -100.578 256.717 1.0 77.33497  ? 176 ALA F CB  176 ALA F CB  1 
ATOM 15716 N N   . GLY C 3 177 ? 322.179 -99.204  253.799 1.0 77.55075  ? 177 GLY F N   177 GLY F N   1 
ATOM 15717 C CA  . GLY C 3 177 ? 322.813 -98.964  252.530 1.0 77.55075  ? 177 GLY F CA  177 GLY F CA  1 
ATOM 15718 C C   . GLY C 3 177 ? 323.332 -100.224 251.870 1.0 77.55075  ? 177 GLY F C   177 GLY F C   1 
ATOM 15719 O O   . GLY C 3 177 ? 322.781 -101.316 252.029 1.0 77.55075  ? 177 GLY F O   177 GLY F O   1 
ATOM 15720 N N   . PRO C 3 178 ? 324.415 -100.085 251.104 1.0 78.19627  ? 178 PRO F N   178 PRO F N   1 
ATOM 15721 C CA  . PRO C 3 178 ? 324.983 -101.231 250.385 1.0 78.19627  ? 178 PRO F CA  178 PRO F CA  1 
ATOM 15722 C C   . PRO C 3 178 ? 325.998 -102.014 251.198 1.0 78.19627  ? 178 PRO F C   178 PRO F C   1 
ATOM 15723 O O   . PRO C 3 178 ? 326.872 -102.654 250.604 1.0 78.19627  ? 178 PRO F O   178 PRO F O   1 
ATOM 15724 C CB  . PRO C 3 178 ? 325.658 -100.577 249.182 1.0 78.19627  ? 178 PRO F CB  178 PRO F CB  1 
ATOM 15725 C CG  . PRO C 3 178 ? 326.107 -99.271  249.721 1.0 78.19627  ? 178 PRO F CG  178 PRO F CG  1 
ATOM 15726 C CD  . PRO C 3 178 ? 325.055 -98.823  250.696 1.0 78.19627  ? 178 PRO F CD  178 PRO F CD  1 
ATOM 15727 N N   . VAL C 3 179 ? 325.929 -101.906 252.531 1.0 82.16288  ? 179 VAL F N   179 VAL F N   1 
ATOM 15728 C CA  . VAL C 3 179 ? 327.010 -102.346 253.409 1.0 82.16288  ? 179 VAL F CA  179 VAL F CA  1 
ATOM 15729 C C   . VAL C 3 179 ? 327.279 -103.839 253.285 1.0 82.16288  ? 179 VAL F C   179 VAL F C   1 
ATOM 15730 O O   . VAL C 3 179 ? 326.361 -104.661 253.161 1.0 82.16288  ? 179 VAL F O   179 VAL F O   1 
ATOM 15731 C CB  . VAL C 3 179 ? 326.698 -101.956 254.863 1.0 82.16288  ? 179 VAL F CB  179 VAL F CB  1 
ATOM 15732 C CG1 . VAL C 3 179 ? 326.806 -100.455 255.037 1.0 82.16288  ? 179 VAL F CG1 179 VAL F CG1 1 
ATOM 15733 C CG2 . VAL C 3 179 ? 325.301 -102.418 255.252 1.0 82.16288  ? 179 VAL F CG2 179 VAL F CG2 1 
ATOM 15734 N N   . VAL C 3 180 ? 328.562 -104.182 253.265 1.0 83.19544  ? 180 VAL F N   180 VAL F N   1 
ATOM 15735 C CA  . VAL C 3 180 ? 328.994 -105.569 253.168 1.0 83.19544  ? 180 VAL F CA  180 VAL F CA  1 
ATOM 15736 C C   . VAL C 3 180 ? 328.920 -106.183 254.557 1.0 83.19544  ? 180 VAL F C   180 VAL F C   1 
ATOM 15737 O O   . VAL C 3 180 ? 329.514 -105.662 255.506 1.0 83.19544  ? 180 VAL F O   180 VAL F O   1 
ATOM 15738 C CB  . VAL C 3 180 ? 330.413 -105.664 252.594 1.0 83.19544  ? 180 VAL F CB  180 VAL F CB  1 
ATOM 15739 C CG1 . VAL C 3 180 ? 330.891 -107.104 252.594 1.0 83.19544  ? 180 VAL F CG1 180 VAL F CG1 1 
ATOM 15740 C CG2 . VAL C 3 180 ? 330.451 -105.082 251.193 1.0 83.19544  ? 180 VAL F CG2 180 VAL F CG2 1 
ATOM 15741 N N   . VAL C 3 181 ? 328.171 -107.275 254.683 1.0 84.0942   ? 181 VAL F N   181 VAL F N   1 
ATOM 15742 C CA  . VAL C 3 181 ? 328.062 -107.966 255.961 1.0 84.0942   ? 181 VAL F CA  181 VAL F CA  1 
ATOM 15743 C C   . VAL C 3 181 ? 329.387 -108.655 256.254 1.0 84.0942   ? 181 VAL F C   181 VAL F C   1 
ATOM 15744 O O   . VAL C 3 181 ? 329.900 -109.421 255.430 1.0 84.0942   ? 181 VAL F O   181 VAL F O   1 
ATOM 15745 C CB  . VAL C 3 181 ? 326.901 -108.968 255.948 1.0 84.0942   ? 181 VAL F CB  181 VAL F CB  1 
ATOM 15746 C CG1 . VAL C 3 181 ? 326.856 -109.741 257.249 1.0 84.0942   ? 181 VAL F CG1 181 VAL F CG1 1 
ATOM 15747 C CG2 . VAL C 3 181 ? 325.587 -108.248 255.719 1.0 84.0942   ? 181 VAL F CG2 181 VAL F CG2 1 
ATOM 15748 N N   . ASN C 3 182 ? 329.960 -108.357 257.418 1.0 86.16636  ? 182 ASN F N   182 ASN F N   1 
ATOM 15749 C CA  . ASN C 3 182 ? 331.212 -108.969 257.844 1.0 86.16636  ? 182 ASN F CA  182 ASN F CA  1 
ATOM 15750 C C   . ASN C 3 182 ? 330.963 -110.443 258.133 1.0 86.16636  ? 182 ASN F C   182 ASN F C   1 
ATOM 15751 O O   . ASN C 3 182 ? 330.253 -110.787 259.081 1.0 86.16636  ? 182 ASN F O   182 ASN F O   1 
ATOM 15752 C CB  . ASN C 3 182 ? 331.749 -108.250 259.077 1.0 86.16636  ? 182 ASN F CB  182 ASN F CB  1 
ATOM 15753 C CG  . ASN C 3 182 ? 333.189 -108.613 259.391 1.0 86.16636  ? 182 ASN F CG  182 ASN F CG  1 
ATOM 15754 O OD1 . ASN C 3 182 ? 333.821 -109.391 258.678 1.0 86.16636  ? 182 ASN F OD1 182 ASN F OD1 1 
ATOM 15755 N ND2 . ASN C 3 182 ? 333.714 -108.047 260.471 1.0 86.16636  ? 182 ASN F ND2 182 ASN F ND2 1 
ATOM 15756 N N   . THR C 3 183 ? 331.555 -111.319 257.326 1.0 88.20189  ? 183 THR F N   183 THR F N   1 
ATOM 15757 C CA  . THR C 3 183 ? 331.323 -112.751 257.461 1.0 88.20189  ? 183 THR F CA  183 THR F CA  1 
ATOM 15758 C C   . THR C 3 183 ? 332.126 -113.390 258.587 1.0 88.20189  ? 183 THR F C   183 THR F C   1 
ATOM 15759 O O   . THR C 3 183 ? 332.110 -114.619 258.710 1.0 88.20189  ? 183 THR F O   183 THR F O   1 
ATOM 15760 C CB  . THR C 3 183 ? 331.635 -113.458 256.142 1.0 88.20189  ? 183 THR F CB  183 THR F CB  1 
ATOM 15761 O OG1 . THR C 3 183 ? 333.000 -113.221 255.781 1.0 88.20189  ? 183 THR F OG1 183 THR F OG1 1 
ATOM 15762 C CG2 . THR C 3 183 ? 330.727 -112.941 255.041 1.0 88.20189  ? 183 THR F CG2 183 THR F CG2 1 
ATOM 15763 N N   . THR C 3 184 ? 332.826 -112.603 259.401 1.0 86.93885  ? 184 THR F N   184 THR F N   1 
ATOM 15764 C CA  . THR C 3 184 ? 333.501 -113.096 260.593 1.0 86.93885  ? 184 THR F CA  184 THR F CA  1 
ATOM 15765 C C   . THR C 3 184 ? 332.800 -112.654 261.872 1.0 86.93885  ? 184 THR F C   184 THR F C   1 
ATOM 15766 O O   . THR C 3 184 ? 332.529 -113.480 262.749 1.0 86.93885  ? 184 THR F O   184 THR F O   1 
ATOM 15767 C CB  . THR C 3 184 ? 334.958 -112.624 260.603 1.0 86.93885  ? 184 THR F CB  184 THR F CB  1 
ATOM 15768 O OG1 . THR C 3 184 ? 335.617 -113.096 259.422 1.0 86.93885  ? 184 THR F OG1 184 THR F OG1 1 
ATOM 15769 C CG2 . THR C 3 184 ? 335.685 -113.160 261.822 1.0 86.93885  ? 184 THR F CG2 184 THR F CG2 1 
ATOM 15770 N N   . ASN C 3 185 ? 332.483 -111.368 261.988 1.0 86.72211  ? 185 ASN F N   185 ASN F N   1 
ATOM 15771 C CA  . ASN C 3 185 ? 331.853 -110.828 263.183 1.0 86.72211  ? 185 ASN F CA  185 ASN F CA  1 
ATOM 15772 C C   . ASN C 3 185 ? 330.333 -110.786 263.102 1.0 86.72211  ? 185 ASN F C   185 ASN F C   1 
ATOM 15773 O O   . ASN C 3 185 ? 329.696 -110.277 264.028 1.0 86.72211  ? 185 ASN F O   185 ASN F O   1 
ATOM 15774 C CB  . ASN C 3 185 ? 332.380 -109.421 263.466 1.0 86.72211  ? 185 ASN F CB  185 ASN F CB  1 
ATOM 15775 C CG  . ASN C 3 185 ? 333.817 -109.426 263.930 1.0 86.72211  ? 185 ASN F CG  185 ASN F CG  1 
ATOM 15776 O OD1 . ASN C 3 185 ? 334.223 -110.284 264.712 1.0 86.72211  ? 185 ASN F OD1 185 ASN F OD1 1 
ATOM 15777 N ND2 . ASN C 3 185 ? 334.595 -108.461 263.457 1.0 86.72211  ? 185 ASN F ND2 185 ASN F ND2 1 
ATOM 15778 N N   . ASN C 3 186 ? 329.735 -111.288 262.025 1.0 86.62167  ? 186 ASN F N   186 ASN F N   1 
ATOM 15779 C CA  . ASN C 3 186 ? 328.286 -111.335 261.908 1.0 86.62167  ? 186 ASN F CA  186 ASN F CA  1 
ATOM 15780 C C   . ASN C 3 186 ? 327.874 -112.644 261.254 1.0 86.62167  ? 186 ASN F C   186 ASN F C   1 
ATOM 15781 O O   . ASN C 3 186 ? 328.703 -113.407 260.753 1.0 86.62167  ? 186 ASN F O   186 ASN F O   1 
ATOM 15782 C CB  . ASN C 3 186 ? 327.731 -110.151 261.108 1.0 86.62167  ? 186 ASN F CB  186 ASN F CB  1 
ATOM 15783 C CG  . ASN C 3 186 ? 327.950 -108.825 261.799 1.0 86.62167  ? 186 ASN F CG  186 ASN F CG  1 
ATOM 15784 O OD1 . ASN C 3 186 ? 328.680 -107.968 261.304 1.0 86.62167  ? 186 ASN F OD1 186 ASN F OD1 1 
ATOM 15785 N ND2 . ASN C 3 186 ? 327.320 -108.649 262.953 1.0 86.62167  ? 186 ASN F ND2 186 ASN F ND2 1 
ATOM 15786 N N   . ALA C 3 187 ? 326.568 -112.894 261.265 1.0 83.00844  ? 187 ALA F N   187 ALA F N   1 
ATOM 15787 C CA  . ALA C 3 187 ? 325.993 -114.086 260.668 1.0 83.00844  ? 187 ALA F CA  187 ALA F CA  1 
ATOM 15788 C C   . ALA C 3 187 ? 324.561 -113.774 260.268 1.0 83.00844  ? 187 ALA F C   187 ALA F C   1 
ATOM 15789 O O   . ALA C 3 187 ? 323.849 -113.068 260.983 1.0 83.00844  ? 187 ALA F O   187 ALA F O   1 
ATOM 15790 C CB  . ALA C 3 187 ? 326.034 -115.273 261.633 1.0 83.00844  ? 187 ALA F CB  187 ALA F CB  1 
ATOM 15791 N N   . GLY C 3 188 ? 324.142 -114.302 259.117 1.0 79.34513  ? 188 GLY F N   188 GLY F N   1 
ATOM 15792 C CA  . GLY C 3 188 ? 322.826 -114.035 258.583 1.0 79.34513  ? 188 GLY F CA  188 GLY F CA  1 
ATOM 15793 C C   . GLY C 3 188 ? 321.785 -115.048 259.039 1.0 79.34513  ? 188 GLY F C   188 GLY F C   1 
ATOM 15794 O O   . GLY C 3 188 ? 322.044 -115.936 259.844 1.0 79.34513  ? 188 GLY F O   188 GLY F O   1 
ATOM 15795 N N   . LEU C 3 189 ? 320.575 -114.877 258.509 1.0 77.13029  ? 189 LEU F N   189 LEU F N   1 
ATOM 15796 C CA  . LEU C 3 189 ? 319.483 -115.824 258.700 1.0 77.13029  ? 189 LEU F CA  189 LEU F CA  1 
ATOM 15797 C C   . LEU C 3 189 ? 318.470 -115.618 257.583 1.0 77.13029  ? 189 LEU F C   189 LEU F C   1 
ATOM 15798 O O   . LEU C 3 189 ? 318.511 -114.624 256.857 1.0 77.13029  ? 189 LEU F O   189 LEU F O   1 
ATOM 15799 C CB  . LEU C 3 189 ? 318.842 -115.686 260.090 1.0 77.13029  ? 189 LEU F CB  189 LEU F CB  1 
ATOM 15800 C CG  . LEU C 3 189 ? 318.300 -114.368 260.644 1.0 77.13029  ? 189 LEU F CG  189 LEU F CG  1 
ATOM 15801 C CD1 . LEU C 3 189 ? 316.851 -114.130 260.280 1.0 77.13029  ? 189 LEU F CD1 189 LEU F CD1 1 
ATOM 15802 C CD2 . LEU C 3 189 ? 318.478 -114.342 262.153 1.0 77.13029  ? 189 LEU F CD2 189 LEU F CD2 1 
ATOM 15803 N N   . GLY C 3 190 ? 317.563 -116.577 257.454 1.0 74.46893  ? 190 GLY F N   190 GLY F N   1 
ATOM 15804 C CA  . GLY C 3 190 ? 316.582 -116.533 256.391 1.0 74.46893  ? 190 GLY F CA  190 GLY F CA  1 
ATOM 15805 C C   . GLY C 3 190 ? 315.830 -117.845 256.309 1.0 74.46893  ? 190 GLY F C   190 GLY F C   1 
ATOM 15806 O O   . GLY C 3 190 ? 315.870 -118.663 257.227 1.0 74.46893  ? 190 GLY F O   190 GLY F O   1 
ATOM 15807 N N   . ARG C 3 191 ? 315.141 -118.026 255.189 1.0 72.41063  ? 191 ARG F N   191 ARG F N   1 
ATOM 15808 C CA  . ARG C 3 191 ? 314.353 -119.222 254.941 1.0 72.41063  ? 191 ARG F CA  191 ARG F CA  1 
ATOM 15809 C C   . ARG C 3 191 ? 314.941 -120.025 253.791 1.0 72.41063  ? 191 ARG F C   191 ARG F C   1 
ATOM 15810 O O   . ARG C 3 191 ? 315.436 -119.464 252.814 1.0 72.41063  ? 191 ARG F O   191 ARG F O   1 
ATOM 15811 C CB  . ARG C 3 191 ? 312.904 -118.870 254.616 1.0 72.41063  ? 191 ARG F CB  191 ARG F CB  1 
ATOM 15812 C CG  . ARG C 3 191 ? 312.134 -118.245 255.742 1.0 72.41063  ? 191 ARG F CG  191 ARG F CG  1 
ATOM 15813 C CD  . ARG C 3 191 ? 311.917 -119.258 256.833 1.0 72.41063  ? 191 ARG F CD  191 ARG F CD  1 
ATOM 15814 N NE  . ARG C 3 191 ? 311.080 -118.721 257.887 1.0 72.41063  ? 191 ARG F NE  191 ARG F NE  1 
ATOM 15815 C CZ  . ARG C 3 191 ? 309.761 -118.850 257.913 1.0 72.41063  ? 191 ARG F CZ  191 ARG F CZ  1 
ATOM 15816 N NH1 . ARG C 3 191 ? 309.147 -119.510 256.942 1.0 72.41063  ? 191 ARG F NH1 191 ARG F NH1 1 
ATOM 15817 N NH2 . ARG C 3 191 ? 309.070 -118.323 258.902 1.0 72.41063  ? 191 ARG F NH2 191 ARG F NH2 1 
ATOM 15818 N N   . ILE C 3 192 ? 314.885 -121.347 253.927 1.0 71.72055  ? 192 ILE F N   192 ILE F N   1 
ATOM 15819 C CA  . ILE C 3 192 ? 315.236 -122.300 252.881 1.0 71.72055  ? 192 ILE F CA  192 ILE F CA  1 
ATOM 15820 C C   . ILE C 3 192 ? 314.016 -123.185 252.670 1.0 71.72055  ? 192 ILE F C   192 ILE F C   1 
ATOM 15821 O O   . ILE C 3 192 ? 313.236 -123.407 253.598 1.0 71.72055  ? 192 ILE F O   192 ILE F O   1 
ATOM 15822 C CB  . ILE C 3 192 ? 316.482 -123.135 253.279 1.0 71.72055  ? 192 ILE F CB  192 ILE F CB  1 
ATOM 15823 C CG1 . ILE C 3 192 ? 317.657 -122.224 253.599 1.0 71.72055  ? 192 ILE F CG1 192 ILE F CG1 1 
ATOM 15824 C CG2 . ILE C 3 192 ? 316.950 -124.079 252.176 1.0 71.72055  ? 192 ILE F CG2 192 ILE F CG2 1 
ATOM 15825 C CD1 . ILE C 3 192 ? 318.112 -121.388 252.442 1.0 71.72055  ? 192 ILE F CD1 192 ILE F CD1 1 
ATOM 15826 N N   . VAL C 3 193 ? 313.812 -123.652 251.448 1.0 71.8138   ? 193 VAL F N   193 VAL F N   1 
ATOM 15827 C CA  . VAL C 3 193 ? 312.900 -124.762 251.215 1.0 71.8138   ? 193 VAL F CA  193 VAL F CA  1 
ATOM 15828 C C   . VAL C 3 193 ? 313.729 -126.034 251.099 1.0 71.8138   ? 193 VAL F C   193 VAL F C   1 
ATOM 15829 O O   . VAL C 3 193 ? 314.810 -126.039 250.496 1.0 71.8138   ? 193 VAL F O   193 VAL F O   1 
ATOM 15830 C CB  . VAL C 3 193 ? 312.004 -124.519 249.986 1.0 71.8138   ? 193 VAL F CB  193 VAL F CB  1 
ATOM 15831 C CG1 . VAL C 3 193 ? 311.085 -123.352 250.263 1.0 71.8138   ? 193 VAL F CG1 193 VAL F CG1 1 
ATOM 15832 C CG2 . VAL C 3 193 ? 312.819 -124.209 248.763 1.0 71.8138   ? 193 VAL F CG2 193 VAL F CG2 1 
ATOM 15833 N N   . SER C 3 194 ? 313.258 -127.101 251.733 1.0 74.53331  ? 194 SER F N   194 SER F N   1 
ATOM 15834 C CA  . SER C 3 194 ? 314.090 -128.281 251.888 1.0 74.53331  ? 194 SER F CA  194 SER F CA  1 
ATOM 15835 C C   . SER C 3 194 ? 314.128 -129.096 250.603 1.0 74.53331  ? 194 SER F C   194 SER F C   1 
ATOM 15836 O O   . SER C 3 194 ? 313.293 -128.941 249.709 1.0 74.53331  ? 194 SER F O   194 SER F O   1 
ATOM 15837 C CB  . SER C 3 194 ? 313.587 -129.150 253.038 1.0 74.53331  ? 194 SER F CB  194 SER F CB  1 
ATOM 15838 O OG  . SER C 3 194 ? 314.379 -130.314 253.175 1.0 74.53331  ? 194 SER F OG  194 SER F OG  1 
ATOM 15839 N N   . ALA C 3 195 ? 315.128 -129.976 250.520 1.0 76.37924  ? 195 ALA F N   195 ALA F N   1 
ATOM 15840 C CA  . ALA C 3 195 ? 315.228 -130.879 249.381 1.0 76.37924  ? 195 ALA F CA  195 ALA F CA  1 
ATOM 15841 C C   . ALA C 3 195 ? 314.145 -131.945 249.419 1.0 76.37924  ? 195 ALA F C   195 ALA F C   1 
ATOM 15842 O O   . ALA C 3 195 ? 313.721 -132.435 248.368 1.0 76.37924  ? 195 ALA F O   195 ALA F O   1 
ATOM 15843 C CB  . ALA C 3 195 ? 316.609 -131.527 249.344 1.0 76.37924  ? 195 ALA F CB  195 ALA F CB  1 
ATOM 15844 N N   . ASP C 3 196 ? 313.687 -132.313 250.615 1.0 78.91614  ? 196 ASP F N   196 ASP F N   1 
ATOM 15845 C CA  . ASP C 3 196 ? 312.595 -133.270 250.777 1.0 78.91614  ? 196 ASP F CA  196 ASP F CA  1 
ATOM 15846 C C   . ASP C 3 196 ? 311.282 -132.519 250.585 1.0 78.91614  ? 196 ASP F C   196 ASP F C   1 
ATOM 15847 O O   . ASP C 3 196 ? 310.580 -132.158 251.532 1.0 78.91614  ? 196 ASP F O   196 ASP F O   1 
ATOM 15848 C CB  . ASP C 3 196 ? 312.671 -133.945 252.138 1.0 78.91614  ? 196 ASP F CB  196 ASP F CB  1 
ATOM 15849 C CG  . ASP C 3 196 ? 313.878 -134.848 252.269 1.0 78.91614  ? 196 ASP F CG  196 ASP F CG  1 
ATOM 15850 O OD1 . ASP C 3 196 ? 314.330 -135.385 251.236 1.0 78.91614  ? 196 ASP F OD1 196 ASP F OD1 1 
ATOM 15851 O OD2 . ASP C 3 196 ? 314.377 -135.019 253.401 1.0 78.91614  ? 196 ASP F OD2 196 ASP F OD2 1 
ATOM 15852 N N   . SER C 3 197 ? 310.953 -132.278 249.320 1.0 74.56628  ? 197 SER F N   197 SER F N   1 
ATOM 15853 C CA  . SER C 3 197 ? 309.790 -131.478 248.958 1.0 74.56628  ? 197 SER F CA  197 SER F CA  1 
ATOM 15854 C C   . SER C 3 197 ? 309.257 -131.996 247.635 1.0 74.56628  ? 197 SER F C   197 SER F C   1 
ATOM 15855 O O   . SER C 3 197 ? 309.960 -131.940 246.623 1.0 74.56628  ? 197 SER F O   197 SER F O   1 
ATOM 15856 C CB  . SER C 3 197 ? 310.160 -130.000 248.850 1.0 74.56628  ? 197 SER F CB  197 SER F CB  1 
ATOM 15857 O OG  . SER C 3 197 ? 310.542 -129.477 250.108 1.0 74.56628  ? 197 SER F OG  197 SER F OG  1 
ATOM 15858 N N   . GLU C 3 198 ? 308.028 -132.498 247.640 1.0 73.00488  ? 198 GLU F N   198 GLU F N   1 
ATOM 15859 C CA  . GLU C 3 198 ? 307.469 -133.095 246.439 1.0 73.00488  ? 198 GLU F CA  198 GLU F CA  1 
ATOM 15860 C C   . GLU C 3 198 ? 307.040 -132.020 245.448 1.0 73.00488  ? 198 GLU F C   198 GLU F C   1 
ATOM 15861 O O   . GLU C 3 198 ? 306.676 -130.902 245.824 1.0 73.00488  ? 198 GLU F O   198 GLU F O   1 
ATOM 15862 C CB  . GLU C 3 198 ? 306.291 -134.010 246.788 1.0 73.00488  ? 198 GLU F CB  198 GLU F CB  1 
ATOM 15863 C CG  . GLU C 3 198 ? 305.050 -133.313 247.329 1.0 73.00488  ? 198 GLU F CG  198 GLU F CG  1 
ATOM 15864 C CD  . GLU C 3 198 ? 305.060 -133.152 248.839 1.0 73.00488  ? 198 GLU F CD  198 GLU F CD  1 
ATOM 15865 O OE1 . GLU C 3 198 ? 306.134 -133.301 249.459 1.0 73.00488  ? 198 GLU F OE1 198 GLU F OE1 1 
ATOM 15866 O OE2 . GLU C 3 198 ? 303.984 -132.876 249.409 1.0 73.00488  ? 198 GLU F OE2 198 GLU F OE2 1 
ATOM 15867 N N   . GLY C 3 199 ? 307.102 -132.368 244.171 1.0 69.98857  ? 199 GLY F N   199 GLY F N   1 
ATOM 15868 C CA  . GLY C 3 199 ? 306.829 -131.443 243.089 1.0 69.98857  ? 199 GLY F CA  199 GLY F CA  1 
ATOM 15869 C C   . GLY C 3 199 ? 308.102 -131.055 242.356 1.0 69.98857  ? 199 GLY F C   199 GLY F C   1 
ATOM 15870 O O   . GLY C 3 199 ? 309.202 -131.518 242.660 1.0 69.98857  ? 199 GLY F O   199 GLY F O   1 
ATOM 15871 N N   . GLN C 3 200 ? 307.927 -130.184 241.369 1.0 70.36656  ? 200 GLN F N   200 GLN F N   1 
ATOM 15872 C CA  . GLN C 3 200 ? 309.039 -129.701 240.563 1.0 70.36656  ? 200 GLN F CA  200 GLN F CA  1 
ATOM 15873 C C   . GLN C 3 200 ? 309.560 -128.395 241.142 1.0 70.36656  ? 200 GLN F C   200 GLN F C   1 
ATOM 15874 O O   . GLN C 3 200 ? 308.787 -127.458 241.362 1.0 70.36656  ? 200 GLN F O   200 GLN F O   1 
ATOM 15875 C CB  . GLN C 3 200 ? 308.610 -129.498 239.111 1.0 70.36656  ? 200 GLN F CB  200 GLN F CB  1 
ATOM 15876 C CG  . GLN C 3 200 ? 309.730 -129.041 238.196 1.0 70.36656  ? 200 GLN F CG  200 GLN F CG  1 
ATOM 15877 C CD  . GLN C 3 200 ? 310.794 -130.099 238.011 1.0 70.36656  ? 200 GLN F CD  200 GLN F CD  1 
ATOM 15878 O OE1 . GLN C 3 200 ? 310.487 -131.280 237.859 1.0 70.36656  ? 200 GLN F OE1 200 GLN F OE1 1 
ATOM 15879 N NE2 . GLN C 3 200 ? 312.053 -129.683 238.024 1.0 70.36656  ? 200 GLN F NE2 200 GLN F NE2 1 
ATOM 15880 N N   . GLN C 3 201 ? 310.865 -128.334 241.387 1.0 69.44148  ? 201 GLN F N   201 GLN F N   1 
ATOM 15881 C CA  . GLN C 3 201 ? 311.471 -127.119 241.919 1.0 69.44148  ? 201 GLN F CA  201 GLN F CA  1 
ATOM 15882 C C   . GLN C 3 201 ? 311.499 -126.073 240.813 1.0 69.44148  ? 201 GLN F C   201 GLN F C   1 
ATOM 15883 O O   . GLN C 3 201 ? 312.200 -126.234 239.810 1.0 69.44148  ? 201 GLN F O   201 GLN F O   1 
ATOM 15884 C CB  . GLN C 3 201 ? 312.870 -127.412 242.453 1.0 69.44148  ? 201 GLN F CB  201 GLN F CB  1 
ATOM 15885 C CG  . GLN C 3 201 ? 313.436 -126.349 243.393 1.0 69.44148  ? 201 GLN F CG  201 GLN F CG  1 
ATOM 15886 C CD  . GLN C 3 201 ? 314.163 -125.232 242.678 1.0 69.44148  ? 201 GLN F CD  201 GLN F CD  1 
ATOM 15887 O OE1 . GLN C 3 201 ? 314.687 -125.421 241.583 1.0 69.44148  ? 201 GLN F OE1 201 GLN F OE1 1 
ATOM 15888 N NE2 . GLN C 3 201 ? 314.216 -124.067 243.304 1.0 69.44148  ? 201 GLN F NE2 201 GLN F NE2 1 
ATOM 15889 N N   . PHE C 3 202 ? 310.741 -125.038 240.985 1.0 62.65911  ? 202 PHE F N   202 PHE F N   1 
ATOM 15890 C CA  . PHE C 3 202 ? 310.373 -123.938 240.114 1.0 62.65911  ? 202 PHE F CA  202 PHE F CA  1 
ATOM 15891 C C   . PHE C 3 202 ? 311.163 -122.684 240.478 1.0 62.65911  ? 202 PHE F C   202 PHE F C   1 
ATOM 15892 O O   . PHE C 3 202 ? 311.577 -122.524 241.630 1.0 62.65911  ? 202 PHE F O   202 PHE F O   1 
ATOM 15893 C CB  . PHE C 3 202 ? 308.870 -123.666 240.247 1.0 62.65911  ? 202 PHE F CB  202 PHE F CB  1 
ATOM 15894 C CG  . PHE C 3 202 ? 308.323 -122.772 239.188 1.0 62.65911  ? 202 PHE F CG  202 PHE F CG  1 
ATOM 15895 C CD1 . PHE C 3 202 ? 308.109 -123.253 237.913 1.0 62.65911  ? 202 PHE F CD1 202 PHE F CD1 1 
ATOM 15896 C CD2 . PHE C 3 202 ? 308.038 -121.452 239.455 1.0 62.65911  ? 202 PHE F CD2 202 PHE F CD2 1 
ATOM 15897 C CE1 . PHE C 3 202 ? 307.623 -122.429 236.919 1.0 62.65911  ? 202 PHE F CE1 202 PHE F CE1 1 
ATOM 15898 C CE2 . PHE C 3 202 ? 307.553 -120.622 238.466 1.0 62.65911  ? 202 PHE F CE2 202 PHE F CE2 1 
ATOM 15899 C CZ  . PHE C 3 202 ? 307.340 -121.120 237.204 1.0 62.65911  ? 202 PHE F CZ  202 PHE F CZ  1 
ATOM 15900 N N   . PRO C 3 203 ? 311.413 -121.761 239.527 1.0 61.20439  ? 203 PRO F N   203 PRO F N   1 
ATOM 15901 C CA  . PRO C 3 203 ? 312.091 -120.505 239.879 1.0 61.20439  ? 203 PRO F CA  203 PRO F CA  1 
ATOM 15902 C C   . PRO C 3 203 ? 311.271 -119.550 240.728 1.0 61.20439  ? 203 PRO F C   203 PRO F C   1 
ATOM 15903 O O   . PRO C 3 203 ? 310.170 -119.866 241.179 1.0 61.20439  ? 203 PRO F O   203 PRO F O   1 
ATOM 15904 C CB  . PRO C 3 203 ? 312.393 -119.880 238.515 1.0 61.20439  ? 203 PRO F CB  203 PRO F CB  1 
ATOM 15905 C CG  . PRO C 3 203 ? 312.485 -121.009 237.611 1.0 61.20439  ? 203 PRO F CG  203 PRO F CG  1 
ATOM 15906 C CD  . PRO C 3 203 ? 311.471 -121.999 238.075 1.0 61.20439  ? 203 PRO F CD  203 PRO F CD  1 
ATOM 15907 N N   . CYS C 3 204 ? 311.822 -118.360 240.957 1.0 61.27608  ? 204 CYS F N   204 CYS F N   1 
ATOM 15908 C CA  . CYS C 3 204 ? 311.151 -117.391 241.813 1.0 61.27608  ? 204 CYS F CA  204 CYS F CA  1 
ATOM 15909 C C   . CYS C 3 204 ? 309.932 -116.782 241.139 1.0 61.27608  ? 204 CYS F C   204 CYS F C   1 
ATOM 15910 O O   . CYS C 3 204 ? 308.975 -116.425 241.828 1.0 61.27608  ? 204 CYS F O   204 CYS F O   1 
ATOM 15911 C CB  . CYS C 3 204 ? 312.132 -116.291 242.219 1.0 61.27608  ? 204 CYS F CB  204 CYS F CB  1 
ATOM 15912 S SG  . CYS C 3 204 ? 311.476 -115.070 243.373 1.0 61.27608  ? 204 CYS F SG  204 CYS F SG  1 
ATOM 15913 N N   . TYR C 3 205 ? 309.925 -116.733 239.801 1.0 59.51889  ? 205 TYR F N   205 TYR F N   1 
ATOM 15914 C CA  . TYR C 3 205 ? 309.061 -115.821 239.051 1.0 59.51889  ? 205 TYR F CA  205 TYR F CA  1 
ATOM 15915 C C   . TYR C 3 205 ? 307.579 -116.147 239.184 1.0 59.51889  ? 205 TYR F C   205 TYR F C   1 
ATOM 15916 O O   . TYR C 3 205 ? 306.743 -115.256 239.016 1.0 59.51889  ? 205 TYR F O   205 TYR F O   1 
ATOM 15917 C CB  . TYR C 3 205 ? 309.462 -115.827 237.576 1.0 59.51889  ? 205 TYR F CB  205 TYR F CB  1 
ATOM 15918 C CG  . TYR C 3 205 ? 308.626 -114.919 236.700 1.0 59.51889  ? 205 TYR F CG  205 TYR F CG  1 
ATOM 15919 C CD1 . TYR C 3 205 ? 308.794 -113.544 236.732 1.0 59.51889  ? 205 TYR F CD1 205 TYR F CD1 1 
ATOM 15920 C CD2 . TYR C 3 205 ? 307.653 -115.440 235.858 1.0 59.51889  ? 205 TYR F CD2 205 TYR F CD2 1 
ATOM 15921 C CE1 . TYR C 3 205 ? 308.029 -112.715 235.940 1.0 59.51889  ? 205 TYR F CE1 205 TYR F CE1 1 
ATOM 15922 C CE2 . TYR C 3 205 ? 306.883 -114.620 235.067 1.0 59.51889  ? 205 TYR F CE2 205 TYR F CE2 1 
ATOM 15923 C CZ  . TYR C 3 205 ? 307.076 -113.262 235.111 1.0 59.51889  ? 205 TYR F CZ  205 TYR F CZ  1 
ATOM 15924 O OH  . TYR C 3 205 ? 306.308 -112.452 234.315 1.0 59.51889  ? 205 TYR F OH  205 TYR F OH  1 
ATOM 15925 N N   . GLY C 3 206 ? 307.223 -117.390 239.475 1.0 57.41495  ? 206 GLY F N   206 GLY F N   1 
ATOM 15926 C CA  . GLY C 3 206 ? 305.815 -117.706 239.594 1.0 57.41495  ? 206 GLY F CA  206 GLY F CA  1 
ATOM 15927 C C   . GLY C 3 206 ? 305.496 -118.769 240.620 1.0 57.41495  ? 206 GLY F C   206 GLY F C   1 
ATOM 15928 O O   . GLY C 3 206 ? 304.425 -119.378 240.567 1.0 57.41495  ? 206 GLY F O   206 GLY F O   1 
ATOM 15929 N N   . ALA C 3 207 ? 306.410 -119.001 241.556 1.0 56.86258  ? 207 ALA F N   207 ALA F N   1 
ATOM 15930 C CA  . ALA C 3 207 ? 306.264 -120.092 242.505 1.0 56.86258  ? 207 ALA F CA  207 ALA F CA  1 
ATOM 15931 C C   . ALA C 3 207 ? 305.188 -119.786 243.535 1.0 56.86258  ? 207 ALA F C   207 ALA F C   1 
ATOM 15932 O O   . ALA C 3 207 ? 304.922 -118.629 243.863 1.0 56.86258  ? 207 ALA F O   207 ALA F O   1 
ATOM 15933 C CB  . ALA C 3 207 ? 307.587 -120.368 243.209 1.0 56.86258  ? 207 ALA F CB  207 ALA F CB  1 
ATOM 15934 N N   . TYR C 3 208 ? 304.572 -120.847 244.047 1.0 56.07308  ? 208 TYR F N   208 TYR F N   1 
ATOM 15935 C CA  . TYR C 3 208 ? 303.455 -120.721 244.968 1.0 56.07308  ? 208 TYR F CA  208 TYR F CA  1 
ATOM 15936 C C   . TYR C 3 208 ? 303.407 -121.929 245.885 1.0 56.07308  ? 208 TYR F C   208 TYR F C   1 
ATOM 15937 O O   . TYR C 3 208 ? 303.676 -123.053 245.459 1.0 56.07308  ? 208 TYR F O   208 TYR F O   1 
ATOM 15938 C CB  . TYR C 3 208 ? 302.135 -120.586 244.219 1.0 56.07308  ? 208 TYR F CB  208 TYR F CB  1 
ATOM 15939 C CG  . TYR C 3 208 ? 300.923 -120.524 245.115 1.0 56.07308  ? 208 TYR F CG  208 TYR F CG  1 
ATOM 15940 C CD1 . TYR C 3 208 ? 300.694 -119.425 245.912 1.0 56.07308  ? 208 TYR F CD1 208 TYR F CD1 1 
ATOM 15941 C CD2 . TYR C 3 208 ? 300.003 -121.547 245.144 1.0 56.07308  ? 208 TYR F CD2 208 TYR F CD2 1 
ATOM 15942 C CE1 . TYR C 3 208 ? 299.583 -119.345 246.722 1.0 56.07308  ? 208 TYR F CE1 208 TYR F CE1 1 
ATOM 15943 C CE2 . TYR C 3 208 ? 298.887 -121.481 245.956 1.0 56.07308  ? 208 TYR F CE2 208 TYR F CE2 1 
ATOM 15944 C CZ  . TYR C 3 208 ? 298.683 -120.379 246.736 1.0 56.07308  ? 208 TYR F CZ  208 TYR F CZ  1 
ATOM 15945 O OH  . TYR C 3 208 ? 297.581 -120.304 247.544 1.0 56.07308  ? 208 TYR F OH  208 TYR F OH  1 
ATOM 15946 N N   . ALA C 3 209 ? 303.066 -121.682 247.148 1.0 57.39618  ? 209 ALA F N   209 ALA F N   1 
ATOM 15947 C CA  . ALA C 3 209 ? 302.914 -122.713 248.139 1.0 57.39618  ? 209 ALA F CA  209 ALA F CA  1 
ATOM 15948 C C   . ALA C 3 209 ? 301.729 -122.287 248.993 1.0 57.39618  ? 209 ALA F C   209 ALA F C   1 
ATOM 15949 O O   . ALA C 3 209 ? 301.723 -121.158 249.510 1.0 57.39618  ? 209 ALA F O   209 ALA F O   1 
ATOM 15950 C CB  . ALA C 3 209 ? 304.166 -122.875 248.993 1.0 57.39618  ? 209 ALA F CB  209 ALA F CB  1 
ATOM 15951 N N   . PRO C 3 210 ? 300.720 -123.138 249.155 1.0 57.82409  ? 210 PRO F N   210 PRO F N   1 
ATOM 15952 C CA  . PRO C 3 210 ? 299.504 -122.724 249.856 1.0 57.82409  ? 210 PRO F CA  210 PRO F CA  1 
ATOM 15953 C C   . PRO C 3 210 ? 299.745 -122.592 251.347 1.0 57.82409  ? 210 PRO F C   210 PRO F C   1 
ATOM 15954 O O   . PRO C 3 210 ? 300.492 -123.386 251.938 1.0 57.82409  ? 210 PRO F O   210 PRO F O   1 
ATOM 15955 C CB  . PRO C 3 210 ? 298.519 -123.859 249.547 1.0 57.82409  ? 210 PRO F CB  210 PRO F CB  1 
ATOM 15956 C CG  . PRO C 3 210 ? 299.379 -125.033 249.298 1.0 57.82409  ? 210 PRO F CG  210 PRO F CG  1 
ATOM 15957 C CD  . PRO C 3 210 ? 300.621 -124.513 248.641 1.0 57.82409  ? 210 PRO F CD  210 PRO F CD  1 
ATOM 15958 N N   . PRO C 3 211 ? 299.143 -121.594 251.987 1.0 59.4711   ? 211 PRO F N   211 PRO F N   1 
ATOM 15959 C CA  . PRO C 3 211 ? 299.361 -121.398 253.420 1.0 59.4711   ? 211 PRO F CA  211 PRO F CA  1 
ATOM 15960 C C   . PRO C 3 211 ? 298.614 -122.436 254.236 1.0 59.4711   ? 211 PRO F C   211 PRO F C   1 
ATOM 15961 O O   . PRO C 3 211 ? 297.685 -123.093 253.764 1.0 59.4711   ? 211 PRO F O   211 PRO F O   1 
ATOM 15962 C CB  . PRO C 3 211 ? 298.801 -119.999 253.672 1.0 59.4711   ? 211 PRO F CB  211 PRO F CB  1 
ATOM 15963 C CG  . PRO C 3 211 ? 297.747 -119.855 252.652 1.0 59.4711   ? 211 PRO F CG  211 PRO F CG  1 
ATOM 15964 C CD  . PRO C 3 211 ? 298.241 -120.577 251.432 1.0 59.4711   ? 211 PRO F CD  211 PRO F CD  1 
ATOM 15965 N N   . GLN C 3 212 ? 299.030 -122.570 255.491 1.0 62.40129  ? 212 GLN F N   212 GLN F N   1 
ATOM 15966 C CA  . GLN C 3 212 ? 298.481 -123.580 256.381 1.0 62.40129  ? 212 GLN F CA  212 GLN F CA  1 
ATOM 15967 C C   . GLN C 3 212 ? 297.687 -122.986 257.533 1.0 62.40129  ? 212 GLN F C   212 GLN F C   1 
ATOM 15968 O O   . GLN C 3 212 ? 296.566 -123.426 257.801 1.0 62.40129  ? 212 GLN F O   212 GLN F O   1 
ATOM 15969 C CB  . GLN C 3 212 ? 299.613 -124.458 256.922 1.0 62.40129  ? 212 GLN F CB  212 GLN F CB  1 
ATOM 15970 C CG  . GLN C 3 212 ? 300.339 -125.219 255.839 1.0 62.40129  ? 212 GLN F CG  212 GLN F CG  1 
ATOM 15971 C CD  . GLN C 3 212 ? 299.449 -126.230 255.158 1.0 62.40129  ? 212 GLN F CD  212 GLN F CD  1 
ATOM 15972 O OE1 . GLN C 3 212 ? 298.640 -126.894 255.804 1.0 62.40129  ? 212 GLN F OE1 212 GLN F OE1 1 
ATOM 15973 N NE2 . GLN C 3 212 ? 299.590 -126.353 253.846 1.0 62.40129  ? 212 GLN F NE2 212 GLN F NE2 1 
ATOM 15974 N N   . SER C 3 213 ? 298.235 -121.997 258.222 1.0 64.22213  ? 213 SER F N   213 SER F N   1 
ATOM 15975 C CA  . SER C 3 213 ? 297.571 -121.366 259.351 1.0 64.22213  ? 213 SER F CA  213 SER F CA  1 
ATOM 15976 C C   . SER C 3 213 ? 297.187 -119.936 258.994 1.0 64.22213  ? 213 SER F C   213 SER F C   1 
ATOM 15977 O O   . SER C 3 213 ? 297.500 -119.429 257.915 1.0 64.22213  ? 213 SER F O   213 SER F O   1 
ATOM 15978 C CB  . SER C 3 213 ? 298.469 -121.401 260.587 1.0 64.22213  ? 213 SER F CB  213 SER F CB  1 
ATOM 15979 O OG  . SER C 3 213 ? 298.717 -122.735 260.992 1.0 64.22213  ? 213 SER F OG  213 SER F OG  1 
ATOM 15980 N N   . ALA C 3 214 ? 296.500 -119.278 259.926 1.0 66.15616  ? 214 ALA F N   214 ALA F N   1 
ATOM 15981 C CA  . ALA C 3 214 ? 296.175 -117.870 259.754 1.0 66.15616  ? 214 ALA F CA  214 ALA F CA  1 
ATOM 15982 C C   . ALA C 3 214 ? 297.382 -116.967 259.953 1.0 66.15616  ? 214 ALA F C   214 ALA F C   1 
ATOM 15983 O O   . ALA C 3 214 ? 297.331 -115.799 259.558 1.0 66.15616  ? 214 ALA F O   214 ALA F O   1 
ATOM 15984 C CB  . ALA C 3 214 ? 295.058 -117.465 260.716 1.0 66.15616  ? 214 ALA F CB  214 ALA F CB  1 
ATOM 15985 N N   . GLY C 3 215 ? 298.456 -117.472 260.559 1.0 66.66151  ? 215 GLY F N   215 GLY F N   1 
ATOM 15986 C CA  . GLY C 3 215 ? 299.701 -116.733 260.604 1.0 66.66151  ? 215 GLY F CA  215 GLY F CA  1 
ATOM 15987 C C   . GLY C 3 215 ? 300.408 -116.634 259.271 1.0 66.66151  ? 215 GLY F C   215 GLY F C   1 
ATOM 15988 O O   . GLY C 3 215 ? 301.216 -115.719 259.085 1.0 66.66151  ? 215 GLY F O   215 GLY F O   1 
ATOM 15989 N N   . GLY C 3 216 ? 300.125 -117.547 258.348 1.0 65.92428  ? 216 GLY F N   216 GLY F N   1 
ATOM 15990 C CA  . GLY C 3 216 ? 300.664 -117.460 257.007 1.0 65.92428  ? 216 GLY F CA  216 GLY F CA  1 
ATOM 15991 C C   . GLY C 3 216 ? 301.938 -118.248 256.796 1.0 65.92428  ? 216 GLY F C   216 GLY F C   1 
ATOM 15992 O O   . GLY C 3 216 ? 302.863 -117.767 256.138 1.0 65.92428  ? 216 GLY F O   216 GLY F O   1 
ATOM 15993 N N   . ASP C 3 217 ? 302.002 -119.457 257.342 1.0 66.83976  ? 217 ASP F N   217 ASP F N   1 
ATOM 15994 C CA  . ASP C 3 217 ? 303.142 -120.335 257.144 1.0 66.83976  ? 217 ASP F CA  217 ASP F CA  1 
ATOM 15995 C C   . ASP C 3 217 ? 302.852 -121.344 256.040 1.0 66.83976  ? 217 ASP F C   217 ASP F C   1 
ATOM 15996 O O   . ASP C 3 217 ? 301.704 -121.733 255.816 1.0 66.83976  ? 217 ASP F O   217 ASP F O   1 
ATOM 15997 C CB  . ASP C 3 217 ? 303.518 -121.058 258.440 1.0 66.83976  ? 217 ASP F CB  217 ASP F CB  1 
ATOM 15998 C CG  . ASP C 3 217 ? 302.345 -121.778 259.074 1.0 66.83976  ? 217 ASP F CG  217 ASP F CG  1 
ATOM 15999 O OD1 . ASP C 3 217 ? 301.198 -121.543 258.654 1.0 66.83976  ? 217 ASP F OD1 217 ASP F OD1 1 
ATOM 16000 O OD2 . ASP C 3 217 ? 302.570 -122.601 259.982 1.0 66.83976  ? 217 ASP F OD2 217 ASP F OD2 1 
ATOM 16001 N N   . VAL C 3 218 ? 303.907 -121.757 255.343 1.0 65.23778  ? 218 VAL F N   218 VAL F N   1 
ATOM 16002 C CA  . VAL C 3 218 ? 303.779 -122.659 254.203 1.0 65.23778  ? 218 VAL F CA  218 VAL F CA  1 
ATOM 16003 C C   . VAL C 3 218 ? 304.365 -124.035 254.458 1.0 65.23778  ? 218 VAL F C   218 VAL F C   1 
ATOM 16004 O O   . VAL C 3 218 ? 304.102 -124.955 253.667 1.0 65.23778  ? 218 VAL F O   218 VAL F O   1 
ATOM 16005 C CB  . VAL C 3 218 ? 304.405 -122.052 252.932 1.0 65.23778  ? 218 VAL F CB  218 VAL F CB  1 
ATOM 16006 C CG1 . VAL C 3 218 ? 303.605 -120.865 252.486 1.0 65.23778  ? 218 VAL F CG1 218 VAL F CG1 1 
ATOM 16007 C CG2 . VAL C 3 218 ? 305.830 -121.628 253.201 1.0 65.23778  ? 218 VAL F CG2 218 VAL F CG2 1 
ATOM 16008 N N   . SER C 3 219 ? 305.146 -124.212 255.518 1.0 70.91012  ? 219 SER F N   219 SER F N   1 
ATOM 16009 C CA  . SER C 3 219 ? 305.730 -125.514 255.805 1.0 70.91012  ? 219 SER F CA  219 SER F CA  1 
ATOM 16010 C C   . SER C 3 219 ? 304.663 -126.461 256.334 1.0 70.91012  ? 219 SER F C   219 SER F C   1 
ATOM 16011 O O   . SER C 3 219 ? 303.984 -126.161 257.319 1.0 70.91012  ? 219 SER F O   219 SER F O   1 
ATOM 16012 C CB  . SER C 3 219 ? 306.861 -125.376 256.818 1.0 70.91012  ? 219 SER F CB  219 SER F CB  1 
ATOM 16013 O OG  . SER C 3 219 ? 306.359 -124.968 258.076 1.0 70.91012  ? 219 SER F OG  219 SER F OG  1 
ATOM 16014 N N   . THR C 3 220 ? 304.517 -127.604 255.674 1.0 73.24963  ? 220 THR F N   220 THR F N   1 
ATOM 16015 C CA  . THR C 3 220 ? 303.524 -128.601 256.041 1.0 73.24963  ? 220 THR F CA  220 THR F CA  1 
ATOM 16016 C C   . THR C 3 220 ? 304.039 -129.606 257.064 1.0 73.24963  ? 220 THR F C   220 THR F C   1 
ATOM 16017 O O   . THR C 3 220 ? 303.363 -130.605 257.326 1.0 73.24963  ? 220 THR F O   220 THR F O   1 
ATOM 16018 C CB  . THR C 3 220 ? 303.030 -129.331 254.792 1.0 73.24963  ? 220 THR F CB  220 THR F CB  1 
ATOM 16019 O OG1 . THR C 3 220 ? 301.991 -130.246 255.156 1.0 73.24963  ? 220 THR F OG1 220 THR F OG1 1 
ATOM 16020 C CG2 . THR C 3 220 ? 304.166 -130.087 254.128 1.0 73.24963  ? 220 THR F CG2 220 THR F CG2 1 
ATOM 16021 N N   . ALA C 3 221 ? 305.208 -129.366 257.645 1.0 75.47641  ? 221 ALA F N   221 ALA F N   1 
ATOM 16022 C CA  . ALA C 3 221 ? 305.738 -130.206 258.712 1.0 75.47641  ? 221 ALA F CA  221 ALA F CA  1 
ATOM 16023 C C   . ALA C 3 221 ? 306.554 -129.314 259.642 1.0 75.47641  ? 221 ALA F C   221 ALA F C   1 
ATOM 16024 O O   . ALA C 3 221 ? 306.414 -128.088 259.620 1.0 75.47641  ? 221 ALA F O   221 ALA F O   1 
ATOM 16025 C CB  . ALA C 3 221 ? 306.545 -131.380 258.135 1.0 75.47641  ? 221 ALA F CB  221 ALA F CB  1 
ATOM 16026 N N   . ALA C 3 222 ? 307.395 -129.928 260.469 1.0 78.95519  ? 222 ALA F N   222 ALA F N   1 
ATOM 16027 C CA  . ALA C 3 222 ? 308.174 -129.180 261.443 1.0 78.95519  ? 222 ALA F CA  222 ALA F CA  1 
ATOM 16028 C C   . ALA C 3 222 ? 309.273 -128.371 260.763 1.0 78.95519  ? 222 ALA F C   222 ALA F C   1 
ATOM 16029 O O   . ALA C 3 222 ? 309.742 -128.705 259.673 1.0 78.95519  ? 222 ALA F O   222 ALA F O   1 
ATOM 16030 C CB  . ALA C 3 222 ? 308.785 -130.122 262.477 1.0 78.95519  ? 222 ALA F CB  222 ALA F CB  1 
ATOM 16031 N N   . VAL C 3 223 ? 309.680 -127.295 261.426 1.0 77.18934  ? 223 VAL F N   223 VAL F N   1 
ATOM 16032 C CA  . VAL C 3 223 ? 310.654 -126.352 260.893 1.0 77.18934  ? 223 VAL F CA  223 VAL F CA  1 
ATOM 16033 C C   . VAL C 3 223 ? 311.973 -126.587 261.616 1.0 77.18934  ? 223 VAL F C   223 VAL F C   1 
ATOM 16034 O O   . VAL C 3 223 ? 312.136 -126.202 262.778 1.0 77.18934  ? 223 VAL F O   223 VAL F O   1 
ATOM 16035 C CB  . VAL C 3 223 ? 310.170 -124.906 261.053 1.0 77.18934  ? 223 VAL F CB  223 VAL F CB  1 
ATOM 16036 C CG1 . VAL C 3 223 ? 311.224 -123.927 260.579 1.0 77.18934  ? 223 VAL F CG1 223 VAL F CG1 1 
ATOM 16037 C CG2 . VAL C 3 223 ? 308.878 -124.703 260.292 1.0 77.18934  ? 223 VAL F CG2 223 VAL F CG2 1 
ATOM 16038 N N   . THR C 3 224 ? 312.911 -127.239 260.939 1.0 78.75333  ? 224 THR F N   224 THR F N   1 
ATOM 16039 C CA  . THR C 3 224 ? 314.238 -127.481 261.474 1.0 78.75333  ? 224 THR F CA  224 THR F CA  1 
ATOM 16040 C C   . THR C 3 224 ? 315.202 -126.427 260.935 1.0 78.75333  ? 224 THR F C   224 THR F C   1 
ATOM 16041 O O   . THR C 3 224 ? 314.793 -125.435 260.325 1.0 78.75333  ? 224 THR F O   224 THR F O   1 
ATOM 16042 C CB  . THR C 3 224 ? 314.686 -128.906 261.148 1.0 78.75333  ? 224 THR F CB  224 THR F CB  1 
ATOM 16043 O OG1 . THR C 3 224 ? 314.737 -129.087 259.730 1.0 78.75333  ? 224 THR F OG1 224 THR F OG1 1 
ATOM 16044 C CG2 . THR C 3 224 ? 313.711 -129.911 261.739 1.0 78.75333  ? 224 THR F CG2 224 THR F CG2 1 
ATOM 16045 N N   . LYS C 3 225 ? 316.494 -126.626 261.169 1.0 81.25072  ? 225 LYS F N   225 LYS F N   1 
ATOM 16046 C CA  . LYS C 3 225 ? 317.508 -125.651 260.799 1.0 81.25072  ? 225 LYS F CA  225 LYS F CA  1 
ATOM 16047 C C   . LYS C 3 225 ? 318.548 -126.283 259.886 1.0 81.25072  ? 225 LYS F C   225 LYS F C   1 
ATOM 16048 O O   . LYS C 3 225 ? 318.639 -127.506 259.754 1.0 81.25072  ? 225 LYS F O   225 LYS F O   1 
ATOM 16049 C CB  . LYS C 3 225 ? 318.193 -125.076 262.039 1.0 81.25072  ? 225 LYS F CB  225 LYS F CB  1 
ATOM 16050 C CG  . LYS C 3 225 ? 317.269 -124.318 262.957 1.0 81.25072  ? 225 LYS F CG  225 LYS F CG  1 
ATOM 16051 C CD  . LYS C 3 225 ? 318.058 -123.747 264.108 1.0 81.25072  ? 225 LYS F CD  225 LYS F CD  1 
ATOM 16052 C CE  . LYS C 3 225 ? 317.180 -123.062 265.121 1.0 81.25072  ? 225 LYS F CE  225 LYS F CE  1 
ATOM 16053 N NZ  . LYS C 3 225 ? 317.998 -122.463 266.212 1.0 81.25072  ? 225 LYS F NZ  225 LYS F NZ  1 
ATOM 16054 N N   . THR C 3 226 ? 319.339 -125.423 259.250 1.0 84.05793  ? 226 THR F N   226 THR F N   1 
ATOM 16055 C CA  . THR C 3 226 ? 320.415 -125.859 258.366 1.0 84.05793  ? 226 THR F CA  226 THR F CA  1 
ATOM 16056 C C   . THR C 3 226 ? 321.507 -124.802 258.392 1.0 84.05793  ? 226 THR F C   226 THR F C   1 
ATOM 16057 O O   . THR C 3 226 ? 321.335 -123.724 257.822 1.0 84.05793  ? 226 THR F O   226 THR F O   1 
ATOM 16058 C CB  . THR C 3 226 ? 319.918 -126.067 256.937 1.0 84.05793  ? 226 THR F CB  226 THR F CB  1 
ATOM 16059 O OG1 . THR C 3 226 ? 318.887 -127.061 256.917 1.0 84.05793  ? 226 THR F OG1 226 THR F OG1 1 
ATOM 16060 C CG2 . THR C 3 226 ? 321.059 -126.530 256.064 1.0 84.05793  ? 226 THR F CG2 226 THR F CG2 1 
ATOM 16061 N N   . TYR C 3 227 ? 322.629 -125.112 259.021 1.0 86.3269   ? 227 TYR F N   227 TYR F N   1 
ATOM 16062 C CA  . TYR C 3 227 ? 323.671 -124.129 259.267 1.0 86.3269   ? 227 TYR F CA  227 TYR F CA  1 
ATOM 16063 C C   . TYR C 3 227 ? 324.622 -124.033 258.079 1.0 86.3269   ? 227 TYR F C   227 TYR F C   1 
ATOM 16064 O O   . TYR C 3 227 ? 324.674 -124.915 257.220 1.0 86.3269   ? 227 TYR F O   227 TYR F O   1 
ATOM 16065 C CB  . TYR C 3 227 ? 324.428 -124.487 260.539 1.0 86.3269   ? 227 TYR F CB  227 TYR F CB  1 
ATOM 16066 C CG  . TYR C 3 227 ? 323.541 -124.455 261.756 1.0 86.3269   ? 227 TYR F CG  227 TYR F CG  1 
ATOM 16067 C CD1 . TYR C 3 227 ? 323.227 -123.255 262.374 1.0 86.3269   ? 227 TYR F CD1 227 TYR F CD1 1 
ATOM 16068 C CD2 . TYR C 3 227 ? 323.006 -125.621 262.278 1.0 86.3269   ? 227 TYR F CD2 227 TYR F CD2 1 
ATOM 16069 C CE1 . TYR C 3 227 ? 322.418 -123.216 263.482 1.0 86.3269   ? 227 TYR F CE1 227 TYR F CE1 1 
ATOM 16070 C CE2 . TYR C 3 227 ? 322.190 -125.590 263.386 1.0 86.3269   ? 227 TYR F CE2 227 TYR F CE2 1 
ATOM 16071 C CZ  . TYR C 3 227 ? 321.904 -124.384 263.984 1.0 86.3269   ? 227 TYR F CZ  227 TYR F CZ  1 
ATOM 16072 O OH  . TYR C 3 227 ? 321.098 -124.344 265.093 1.0 86.3269   ? 227 TYR F OH  227 TYR F OH  1 
ATOM 16073 N N   . ILE C 3 228 ? 325.384 -122.937 258.040 1.0 85.85459  ? 228 ILE F N   228 ILE F N   1 
ATOM 16074 C CA  . ILE C 3 228 ? 326.152 -122.574 256.857 1.0 85.85459  ? 228 ILE F CA  228 ILE F CA  1 
ATOM 16075 C C   . ILE C 3 228 ? 327.459 -121.920 257.299 1.0 85.85459  ? 228 ILE F C   228 ILE F C   1 
ATOM 16076 O O   . ILE C 3 228 ? 327.601 -121.476 258.440 1.0 85.85459  ? 228 ILE F O   228 ILE F O   1 
ATOM 16077 C CB  . ILE C 3 228 ? 325.326 -121.636 255.936 1.0 85.85459  ? 228 ILE F CB  228 ILE F CB  1 
ATOM 16078 C CG1 . ILE C 3 228 ? 325.723 -121.787 254.468 1.0 85.85459  ? 228 ILE F CG1 228 ILE F CG1 1 
ATOM 16079 C CG2 . ILE C 3 228 ? 325.428 -120.180 256.374 1.0 85.85459  ? 228 ILE F CG2 228 ILE F CG2 1 
ATOM 16080 C CD1 . ILE C 3 228 ? 325.274 -123.102 253.868 1.0 85.85459  ? 228 ILE F CD1 228 ILE F CD1 1 
ATOM 16081 N N   . ASN C 3 229 ? 328.432 -121.897 256.386 1.0 88.93301  ? 229 ASN F N   229 ASN F N   1 
ATOM 16082 C CA  . ASN C 3 229 ? 329.695 -121.198 256.604 1.0 88.93301  ? 229 ASN F CA  229 ASN F CA  1 
ATOM 16083 C C   . ASN C 3 229 ? 330.336 -120.901 255.258 1.0 88.93301  ? 229 ASN F C   229 ASN F C   1 
ATOM 16084 O O   . ASN C 3 229 ? 330.454 -121.798 254.418 1.0 88.93301  ? 229 ASN F O   229 ASN F O   1 
ATOM 16085 C CB  . ASN C 3 229 ? 330.669 -122.023 257.451 1.0 88.93301  ? 229 ASN F CB  229 ASN F CB  1 
ATOM 16086 C CG  . ASN C 3 229 ? 331.877 -121.215 257.903 1.0 88.93301  ? 229 ASN F CG  229 ASN F CG  1 
ATOM 16087 O OD1 . ASN C 3 229 ? 331.945 -120.003 257.701 1.0 88.93301  ? 229 ASN F OD1 229 ASN F OD1 1 
ATOM 16088 N ND2 . ASN C 3 229 ? 332.854 -121.891 258.481 1.0 88.93301  ? 229 ASN F ND2 229 ASN F ND2 1 
ATOM 16089 N N   . THR C 3 230 ? 330.752 -119.639 255.057 1.0 87.95873  ? 230 THR F N   230 THR F N   1 
ATOM 16090 C CA  . THR C 3 230 ? 331.615 -119.235 253.939 1.0 87.95873  ? 230 THR F CA  230 THR F CA  1 
ATOM 16091 C C   . THR C 3 230 ? 332.767 -118.411 254.516 1.0 87.95873  ? 230 THR F C   230 THR F C   1 
ATOM 16092 O O   . THR C 3 230 ? 332.752 -117.180 254.452 1.0 87.95873  ? 230 THR F O   230 THR F O   1 
ATOM 16093 C CB  . THR C 3 230 ? 330.849 -118.429 252.892 1.0 87.95873  ? 230 THR F CB  230 THR F CB  1 
ATOM 16094 O OG1 . THR C 3 230 ? 330.341 -117.241 253.503 1.0 87.95873  ? 230 THR F OG1 230 THR F OG1 1 
ATOM 16095 C CG2 . THR C 3 230 ? 329.711 -119.224 252.290 1.0 87.95873  ? 230 THR F CG2 230 THR F CG2 1 
ATOM 16096 N N   . THR C 3 231 ? 333.783 -119.093 255.039 1.0 90.6079   ? 231 THR F N   231 THR F N   1 
ATOM 16097 C CA  . THR C 3 231 ? 334.997 -118.455 255.536 1.0 90.6079   ? 231 THR F CA  231 THR F CA  1 
ATOM 16098 C C   . THR C 3 231 ? 336.184 -119.346 255.211 1.0 90.6079   ? 231 THR F C   231 THR F C   1 
ATOM 16099 O O   . THR C 3 231 ? 336.051 -120.382 254.555 1.0 90.6079   ? 231 THR F O   231 THR F O   1 
ATOM 16100 C CB  . THR C 3 231 ? 334.958 -118.204 257.050 1.0 90.6079   ? 231 THR F CB  231 THR F CB  1 
ATOM 16101 O OG1 . THR C 3 231 ? 334.542 -119.399 257.720 1.0 90.6079   ? 231 THR F OG1 231 THR F OG1 1 
ATOM 16102 C CG2 . THR C 3 231 ? 334.066 -117.052 257.428 1.0 90.6079   ? 231 THR F CG2 231 THR F CG2 1 
ATOM 16103 N N   . ASN C 3 232 ? 337.356 -118.936 255.688 1.0 93.61153  ? 232 ASN F N   232 ASN F N   1 
ATOM 16104 C CA  . ASN C 3 232 ? 338.500 -119.833 255.718 1.0 93.61153  ? 232 ASN F CA  232 ASN F CA  1 
ATOM 16105 C C   . ASN C 3 232 ? 338.529 -120.684 256.975 1.0 93.61153  ? 232 ASN F C   232 ASN F C   1 
ATOM 16106 O O   . ASN C 3 232 ? 339.436 -121.508 257.123 1.0 93.61153  ? 232 ASN F O   232 ASN F O   1 
ATOM 16107 C CB  . ASN C 3 232 ? 339.801 -119.042 255.624 1.0 93.61153  ? 232 ASN F CB  232 ASN F CB  1 
ATOM 16108 C CG  . ASN C 3 232 ? 339.996 -118.403 254.275 1.0 93.61153  ? 232 ASN F CG  232 ASN F CG  1 
ATOM 16109 O OD1 . ASN C 3 232 ? 339.754 -119.019 253.238 1.0 93.61153  ? 232 ASN F OD1 232 ASN F OD1 1 
ATOM 16110 N ND2 . ASN C 3 232 ? 340.440 -117.156 254.278 1.0 93.61153  ? 232 ASN F ND2 232 ASN F ND2 1 
ATOM 16111 N N   . ASN C 3 233 ? 337.575 -120.490 257.879 1.0 92.90769  ? 233 ASN F N   233 ASN F N   1 
ATOM 16112 C CA  . ASN C 3 233 ? 337.535 -121.175 259.158 1.0 92.90769  ? 233 ASN F CA  233 ASN F CA  1 
ATOM 16113 C C   . ASN C 3 233 ? 336.915 -122.561 258.998 1.0 92.90769  ? 233 ASN F C   233 ASN F C   1 
ATOM 16114 O O   . ASN C 3 233 ? 336.175 -122.836 258.051 1.0 92.90769  ? 233 ASN F O   233 ASN F O   1 
ATOM 16115 C CB  . ASN C 3 233 ? 336.745 -120.335 260.165 1.0 92.90769  ? 233 ASN F CB  233 ASN F CB  1 
ATOM 16116 C CG  . ASN C 3 233 ? 336.964 -120.763 261.600 1.0 92.90769  ? 233 ASN F CG  233 ASN F CG  1 
ATOM 16117 O OD1 . ASN C 3 233 ? 337.709 -121.700 261.880 1.0 92.90769  ? 233 ASN F OD1 233 ASN F OD1 1 
ATOM 16118 N ND2 . ASN C 3 233 ? 336.312 -120.070 262.522 1.0 92.90769  ? 233 ASN F ND2 233 ASN F ND2 1 
ATOM 16119 N N   . ASN C 3 234 ? 337.237 -123.443 259.944 1.0 94.57062  ? 234 ASN F N   234 ASN F N   1 
ATOM 16120 C CA  . ASN C 3 234 ? 336.769 -124.820 259.925 1.0 94.57062  ? 234 ASN F CA  234 ASN F CA  1 
ATOM 16121 C C   . ASN C 3 234 ? 335.611 -125.068 260.884 1.0 94.57062  ? 234 ASN F C   234 ASN F C   1 
ATOM 16122 O O   . ASN C 3 234 ? 334.866 -126.034 260.697 1.0 94.57062  ? 234 ASN F O   234 ASN F O   1 
ATOM 16123 C CB  . ASN C 3 234 ? 337.926 -125.766 260.286 1.0 94.57062  ? 234 ASN F CB  234 ASN F CB  1 
ATOM 16124 C CG  . ASN C 3 234 ? 337.689 -127.187 259.822 1.0 94.57062  ? 234 ASN F CG  234 ASN F CG  1 
ATOM 16125 O OD1 . ASN C 3 234 ? 336.728 -127.468 259.105 1.0 94.57062  ? 234 ASN F OD1 234 ASN F OD1 1 
ATOM 16126 N ND2 . ASN C 3 234 ? 338.556 -128.101 260.244 1.0 94.57062  ? 234 ASN F ND2 234 ASN F ND2 1 
ATOM 16127 N N   . GLY C 3 235 ? 335.431 -124.221 261.892 1.0 91.77272  ? 235 GLY F N   235 GLY F N   1 
ATOM 16128 C CA  . GLY C 3 235 ? 334.479 -124.500 262.947 1.0 91.77272  ? 235 GLY F CA  235 GLY F CA  1 
ATOM 16129 C C   . GLY C 3 235 ? 333.586 -123.343 263.347 1.0 91.77272  ? 235 GLY F C   235 GLY F C   1 
ATOM 16130 O O   . GLY C 3 235 ? 333.238 -123.207 264.525 1.0 91.77272  ? 235 GLY F O   235 GLY F O   1 
ATOM 16131 N N   . ARG C 3 236 ? 333.207 -122.498 262.395 1.0 89.90831  ? 236 ARG F N   236 ARG F N   1 
ATOM 16132 C CA  . ARG C 3 236 ? 332.266 -121.426 262.679 1.0 89.90831  ? 236 ARG F CA  236 ARG F CA  1 
ATOM 16133 C C   . ARG C 3 236 ? 331.032 -121.567 261.799 1.0 89.90831  ? 236 ARG F C   236 ARG F C   1 
ATOM 16134 O O   . ARG C 3 236 ? 331.021 -122.301 260.808 1.0 89.90831  ? 236 ARG F O   236 ARG F O   1 
ATOM 16135 C CB  . ARG C 3 236 ? 332.899 -120.046 262.475 1.0 89.90831  ? 236 ARG F CB  236 ARG F CB  1 
ATOM 16136 C CG  . ARG C 3 236 ? 333.129 -119.658 261.032 1.0 89.90831  ? 236 ARG F CG  236 ARG F CG  1 
ATOM 16137 C CD  . ARG C 3 236 ? 333.677 -118.264 260.978 1.0 89.90831  ? 236 ARG F CD  236 ARG F CD  1 
ATOM 16138 N NE  . ARG C 3 236 ? 332.739 -117.339 261.615 1.0 89.90831  ? 236 ARG F NE  236 ARG F NE  1 
ATOM 16139 C CZ  . ARG C 3 236 ? 331.708 -116.768 260.999 1.0 89.90831  ? 236 ARG F CZ  236 ARG F CZ  1 
ATOM 16140 N NH1 . ARG C 3 236 ? 331.484 -117.004 259.711 1.0 89.90831  ? 236 ARG F NH1 236 ARG F NH1 1 
ATOM 16141 N NH2 . ARG C 3 236 ? 330.912 -115.943 261.659 1.0 89.90831  ? 236 ARG F NH2 236 ARG F NH2 1 
ATOM 16142 N N   . VAL C 3 237 ? 329.982 -120.843 262.175 1.0 86.73206  ? 237 VAL F N   237 VAL F N   1 
ATOM 16143 C CA  . VAL C 3 237 ? 328.688 -120.908 261.509 1.0 86.73206  ? 237 VAL F CA  237 VAL F CA  1 
ATOM 16144 C C   . VAL C 3 237 ? 328.266 -119.498 261.119 1.0 86.73206  ? 237 VAL F C   237 VAL F C   1 
ATOM 16145 O O   . VAL C 3 237 ? 328.294 -118.586 261.952 1.0 86.73206  ? 237 VAL F O   237 VAL F O   1 
ATOM 16146 C CB  . VAL C 3 237 ? 327.630 -121.578 262.406 1.0 86.73206  ? 237 VAL F CB  237 VAL F CB  1 
ATOM 16147 C CG1 . VAL C 3 237 ? 326.249 -121.404 261.839 1.0 86.73206  ? 237 VAL F CG1 237 VAL F CG1 1 
ATOM 16148 C CG2 . VAL C 3 237 ? 327.934 -123.056 262.541 1.0 86.73206  ? 237 VAL F CG2 237 VAL F CG2 1 
ATOM 16149 N N   . SER C 3 238 ? 327.885 -119.319 259.853 1.0 83.53964  ? 238 SER F N   238 SER F N   1 
ATOM 16150 C CA  . SER C 3 238 ? 327.516 -118.017 259.322 1.0 83.53964  ? 238 SER F CA  238 SER F CA  1 
ATOM 16151 C C   . SER C 3 238 ? 326.017 -117.824 259.143 1.0 83.53964  ? 238 SER F C   238 SER F C   1 
ATOM 16152 O O   . SER C 3 238 ? 325.607 -116.772 258.644 1.0 83.53964  ? 238 SER F O   238 SER F O   1 
ATOM 16153 C CB  . SER C 3 238 ? 328.212 -117.784 257.979 1.0 83.53964  ? 238 SER F CB  238 SER F CB  1 
ATOM 16154 O OG  . SER C 3 238 ? 329.615 -117.724 258.133 1.0 83.53964  ? 238 SER F OG  238 SER F OG  1 
ATOM 16155 N N   . GLY C 3 239 ? 325.187 -118.791 259.524 1.0 83.87136  ? 239 GLY F N   239 GLY F N   1 
ATOM 16156 C CA  . GLY C 3 239 ? 323.759 -118.627 259.329 1.0 83.87136  ? 239 GLY F CA  239 GLY F CA  1 
ATOM 16157 C C   . GLY C 3 239 ? 322.946 -119.749 259.927 1.0 83.87136  ? 239 GLY F C   239 GLY F C   1 
ATOM 16158 O O   . GLY C 3 239 ? 323.439 -120.861 260.131 1.0 83.87136  ? 239 GLY F O   239 GLY F O   1 
ATOM 16159 N N   . THR C 3 240 ? 321.676 -119.448 260.193 1.0 83.10556  ? 240 THR F N   240 THR F N   1 
ATOM 16160 C CA  . THR C 3 240 ? 320.755 -120.412 260.784 1.0 83.10556  ? 240 THR F CA  240 THR F CA  1 
ATOM 16161 C C   . THR C 3 240 ? 319.850 -121.091 259.772 1.0 83.10556  ? 240 THR F C   240 THR F C   1 
ATOM 16162 O O   . THR C 3 240 ? 319.760 -122.320 259.785 1.0 83.10556  ? 240 THR F O   240 THR F O   1 
ATOM 16163 C CB  . THR C 3 240 ? 319.885 -119.746 261.851 1.0 83.10556  ? 240 THR F CB  240 THR F CB  1 
ATOM 16164 O OG1 . THR C 3 240 ? 319.071 -118.739 261.243 1.0 83.10556  ? 240 THR F OG1 240 THR F OG1 1 
ATOM 16165 C CG2 . THR C 3 240 ? 320.753 -119.116 262.923 1.0 83.10556  ? 240 THR F CG2 240 THR F CG2 1 
ATOM 16166 N N   . MET C 3 241 ? 319.162 -120.315 258.923 1.0 79.41493  ? 241 MET F N   241 MET F N   1 
ATOM 16167 C CA  . MET C 3 241 ? 318.408 -120.799 257.758 1.0 79.41493  ? 241 MET F CA  241 MET F CA  1 
ATOM 16168 C C   . MET C 3 241 ? 317.300 -121.785 258.146 1.0 79.41493  ? 241 MET F C   241 MET F C   1 
ATOM 16169 O O   . MET C 3 241 ? 317.409 -122.994 257.932 1.0 79.41493  ? 241 MET F O   241 MET F O   1 
ATOM 16170 C CB  . MET C 3 241 ? 319.334 -121.435 256.721 1.0 79.41493  ? 241 MET F CB  241 MET F CB  1 
ATOM 16171 C CG  . MET C 3 241 ? 320.269 -120.498 256.019 1.0 79.41493  ? 241 MET F CG  241 MET F CG  1 
ATOM 16172 S SD  . MET C 3 241 ? 321.206 -121.427 254.797 1.0 79.41493  ? 241 MET F SD  241 MET F SD  1 
ATOM 16173 C CE  . MET C 3 241 ? 322.307 -120.161 254.202 1.0 79.41493  ? 241 MET F CE  241 MET F CE  1 
ATOM 16174 N N   . ALA C 3 242 ? 316.266 -121.242 258.790 1.0 75.1971   ? 242 ALA F N   242 ALA F N   1 
ATOM 16175 C CA  . ALA C 3 242 ? 315.039 -121.983 259.075 1.0 75.1971   ? 242 ALA F CA  242 ALA F CA  1 
ATOM 16176 C C   . ALA C 3 242 ? 314.434 -122.598 257.820 1.0 75.1971   ? 242 ALA F C   242 ALA F C   1 
ATOM 16177 O O   . ALA C 3 242 ? 313.997 -121.874 256.923 1.0 75.1971   ? 242 ALA F O   242 ALA F O   1 
ATOM 16178 C CB  . ALA C 3 242 ? 314.009 -121.064 259.724 1.0 75.1971   ? 242 ALA F CB  242 ALA F CB  1 
ATOM 16179 N N   . THR C 3 243 ? 314.396 -123.924 257.743 1.0 74.33228  ? 243 THR F N   243 THR F N   1 
ATOM 16180 C CA  . THR C 3 243 ? 313.999 -124.598 256.517 1.0 74.33228  ? 243 THR F CA  243 THR F CA  1 
ATOM 16181 C C   . THR C 3 243 ? 312.526 -124.988 256.546 1.0 74.33228  ? 243 THR F C   243 THR F C   1 
ATOM 16182 O O   . THR C 3 243 ? 311.924 -125.153 257.608 1.0 74.33228  ? 243 THR F O   243 THR F O   1 
ATOM 16183 C CB  . THR C 3 243 ? 314.868 -125.830 256.253 1.0 74.33228  ? 243 THR F CB  243 THR F CB  1 
ATOM 16184 O OG1 . THR C 3 243 ? 314.518 -126.397 254.986 1.0 74.33228  ? 243 THR F OG1 243 THR F OG1 1 
ATOM 16185 C CG2 . THR C 3 243 ? 314.684 -126.867 257.324 1.0 74.33228  ? 243 THR F CG2 243 THR F CG2 1 
ATOM 16186 N N   . ASP C 3 244 ? 311.946 -125.107 255.356 1.0 73.92766  ? 244 ASP F N   244 ASP F N   1 
ATOM 16187 C CA  . ASP C 3 244 ? 310.541 -125.436 255.178 1.0 73.92766  ? 244 ASP F CA  244 ASP F CA  1 
ATOM 16188 C C   . ASP C 3 244 ? 310.403 -126.588 254.193 1.0 73.92766  ? 244 ASP F C   244 ASP F C   1 
ATOM 16189 O O   . ASP C 3 244 ? 311.279 -126.824 253.359 1.0 73.92766  ? 244 ASP F O   244 ASP F O   1 
ATOM 16190 C CB  . ASP C 3 244 ? 309.747 -124.229 254.660 1.0 73.92766  ? 244 ASP F CB  244 ASP F CB  1 
ATOM 16191 C CG  . ASP C 3 244 ? 309.634 -123.122 255.684 1.0 73.92766  ? 244 ASP F CG  244 ASP F CG  1 
ATOM 16192 O OD1 . ASP C 3 244 ? 309.641 -123.428 256.891 1.0 73.92766  ? 244 ASP F OD1 244 ASP F OD1 1 
ATOM 16193 O OD2 . ASP C 3 244 ? 309.538 -121.943 255.285 1.0 73.92766  ? 244 ASP F OD2 244 ASP F OD2 1 
ATOM 16194 N N   . THR C 3 245 ? 309.287 -127.304 254.287 1.0 73.3733   ? 245 THR F N   245 THR F N   1 
ATOM 16195 C CA  . THR C 3 245 ? 308.941 -128.323 253.308 1.0 73.3733   ? 245 THR F CA  245 THR F CA  1 
ATOM 16196 C C   . THR C 3 245 ? 307.677 -127.915 252.561 1.0 73.3733   ? 245 THR F C   245 THR F C   1 
ATOM 16197 O O   . THR C 3 245 ? 306.730 -127.383 253.147 1.0 73.3733   ? 245 THR F O   245 THR F O   1 
ATOM 16198 C CB  . THR C 3 245 ? 308.794 -129.705 253.960 1.0 73.3733   ? 245 THR F CB  245 THR F CB  1 
ATOM 16199 O OG1 . THR C 3 245 ? 308.403 -130.666 252.972 1.0 73.3733   ? 245 THR F OG1 245 THR F OG1 1 
ATOM 16200 C CG2 . THR C 3 245 ? 307.811 -129.687 255.107 1.0 73.3733   ? 245 THR F CG2 245 THR F CG2 1 
ATOM 16201 N N   . ILE C 3 246 ? 307.697 -128.113 251.246 1.0 70.87241  ? 246 ILE F N   246 ILE F N   1 
ATOM 16202 C CA  . ILE C 3 246 ? 306.736 -127.521 250.325 1.0 70.87241  ? 246 ILE F CA  246 ILE F CA  1 
ATOM 16203 C C   . ILE C 3 246 ? 306.210 -128.615 249.407 1.0 70.87241  ? 246 ILE F C   246 ILE F C   1 
ATOM 16204 O O   . ILE C 3 246 ? 306.960 -129.511 249.008 1.0 70.87241  ? 246 ILE F O   246 ILE F O   1 
ATOM 16205 C CB  . ILE C 3 246 ? 307.398 -126.384 249.502 1.0 70.87241  ? 246 ILE F CB  246 ILE F CB  1 
ATOM 16206 C CG1 . ILE C 3 246 ? 307.924 -125.276 250.407 1.0 70.87241  ? 246 ILE F CG1 246 ILE F CG1 1 
ATOM 16207 C CG2 . ILE C 3 246 ? 306.453 -125.756 248.500 1.0 70.87241  ? 246 ILE F CG2 246 ILE F CG2 1 
ATOM 16208 C CD1 . ILE C 3 246 ? 306.855 -124.637 251.235 1.0 70.87241  ? 246 ILE F CD1 246 ILE F CD1 1 
ATOM 16209 N N   . THR C 3 247 ? 304.917 -128.571 249.097 1.0 70.24842  ? 247 THR F N   247 THR F N   1 
ATOM 16210 C CA  . THR C 3 247 ? 304.412 -129.195 247.880 1.0 70.24842  ? 247 THR F CA  247 THR F CA  1 
ATOM 16211 C C   . THR C 3 247 ? 304.437 -128.141 246.771 1.0 70.24842  ? 247 THR F C   247 THR F C   1 
ATOM 16212 O O   . THR C 3 247 ? 303.776 -127.102 246.861 1.0 70.24842  ? 247 THR F O   247 THR F O   1 
ATOM 16213 C CB  . THR C 3 247 ? 303.031 -129.821 248.103 1.0 70.24842  ? 247 THR F CB  247 THR F CB  1 
ATOM 16214 O OG1 . THR C 3 247 ? 302.475 -130.250 246.851 1.0 70.24842  ? 247 THR F OG1 247 THR F OG1 1 
ATOM 16215 C CG2 . THR C 3 247 ? 302.065 -128.908 248.868 1.0 70.24842  ? 247 THR F CG2 247 THR F CG2 1 
ATOM 16216 N N   . TRP C 3 248 ? 305.255 -128.379 245.752 1.0 68.99351  ? 248 TRP F N   248 TRP F N   1 
ATOM 16217 C CA  . TRP C 3 248 ? 305.512 -127.369 244.736 1.0 68.99351  ? 248 TRP F CA  248 TRP F CA  1 
ATOM 16218 C C   . TRP C 3 248 ? 304.370 -127.286 243.739 1.0 68.99351  ? 248 TRP F C   248 TRP F C   1 
ATOM 16219 O O   . TRP C 3 248 ? 303.800 -128.307 243.344 1.0 68.99351  ? 248 TRP F O   248 TRP F O   1 
ATOM 16220 C CB  . TRP C 3 248 ? 306.796 -127.687 243.981 1.0 68.99351  ? 248 TRP F CB  248 TRP F CB  1 
ATOM 16221 C CG  . TRP C 3 248 ? 308.024 -127.549 244.783 1.0 68.99351  ? 248 TRP F CG  248 TRP F CG  1 
ATOM 16222 C CD1 . TRP C 3 248 ? 308.679 -128.540 245.443 1.0 68.99351  ? 248 TRP F CD1 248 TRP F CD1 1 
ATOM 16223 C CD2 . TRP C 3 248 ? 308.776 -126.355 244.998 1.0 68.99351  ? 248 TRP F CD2 248 TRP F CD2 1 
ATOM 16224 N NE1 . TRP C 3 248 ? 309.789 -128.038 246.068 1.0 68.99351  ? 248 TRP F NE1 248 TRP F NE1 1 
ATOM 16225 C CE2 . TRP C 3 248 ? 309.871 -126.697 245.808 1.0 68.99351  ? 248 TRP F CE2 248 TRP F CE2 1 
ATOM 16226 C CE3 . TRP C 3 248 ? 308.629 -125.030 244.587 1.0 68.99351  ? 248 TRP F CE3 248 TRP F CE3 1 
ATOM 16227 C CZ2 . TRP C 3 248 ? 310.810 -125.768 246.215 1.0 68.99351  ? 248 TRP F CZ2 248 TRP F CZ2 1 
ATOM 16228 C CZ3 . TRP C 3 248 ? 309.565 -124.108 244.994 1.0 68.99351  ? 248 TRP F CZ3 248 TRP F CZ3 1 
ATOM 16229 C CH2 . TRP C 3 248 ? 310.641 -124.482 245.799 1.0 68.99351  ? 248 TRP F CH2 248 TRP F CH2 1 
ATOM 16230 N N   . GLU C 3 249 ? 304.069 -126.064 243.306 1.0 62.34405  ? 249 GLU F N   249 GLU F N   1 
ATOM 16231 C CA  . GLU C 3 249 ? 303.111 -125.847 242.231 1.0 62.34405  ? 249 GLU F CA  249 GLU F CA  1 
ATOM 16232 C C   . GLU C 3 249 ? 303.334 -124.475 241.611 1.0 62.34405  ? 249 GLU F C   249 GLU F C   1 
ATOM 16233 O O   . GLU C 3 249 ? 303.671 -123.513 242.309 1.0 62.34405  ? 249 GLU F O   249 GLU F O   1 
ATOM 16234 C CB  . GLU C 3 249 ? 301.670 -125.996 242.731 1.0 62.34405  ? 249 GLU F CB  249 GLU F CB  1 
ATOM 16235 C CG  . GLU C 3 249 ? 301.275 -125.060 243.838 1.0 62.34405  ? 249 GLU F CG  249 GLU F CG  1 
ATOM 16236 C CD  . GLU C 3 249 ? 299.894 -125.361 244.368 1.0 62.34405  ? 249 GLU F CD  249 GLU F CD  1 
ATOM 16237 O OE1 . GLU C 3 249 ? 299.249 -126.299 243.866 1.0 62.34405  ? 249 GLU F OE1 249 GLU F OE1 1 
ATOM 16238 O OE2 . GLU C 3 249 ? 299.459 -124.665 245.302 1.0 62.34405  ? 249 GLU F OE2 249 GLU F OE2 1 
ATOM 16239 N N   . ASN C 3 250 ? 303.186 -124.419 240.286 1.0 60.25594  ? 250 ASN F N   250 ASN F N   1 
ATOM 16240 C CA  . ASN C 3 250 ? 303.193 -123.179 239.510 1.0 60.25594  ? 250 ASN F CA  250 ASN F CA  1 
ATOM 16241 C C   . ASN C 3 250 ? 301.809 -123.006 238.898 1.0 60.25594  ? 250 ASN F C   250 ASN F C   1 
ATOM 16242 O O   . ASN C 3 250 ? 301.467 -123.681 237.919 1.0 60.25594  ? 250 ASN F O   250 ASN F O   1 
ATOM 16243 C CB  . ASN C 3 250 ? 304.303 -123.194 238.451 1.0 60.25594  ? 250 ASN F CB  250 ASN F CB  1 
ATOM 16244 C CG  . ASN C 3 250 ? 304.391 -124.519 237.694 1.0 60.25594  ? 250 ASN F CG  250 ASN F CG  1 
ATOM 16245 O OD1 . ASN C 3 250 ? 303.694 -125.487 238.024 1.0 60.25594  ? 250 ASN F OD1 250 ASN F OD1 1 
ATOM 16246 N ND2 . ASN C 3 250 ? 305.216 -124.560 236.662 1.0 60.25594  ? 250 ASN F ND2 250 ASN F ND2 1 
ATOM 16247 N N   . PRO C 3 251 ? 300.958 -122.149 239.465 1.0 56.7265   ? 251 PRO F N   251 PRO F N   1 
ATOM 16248 C CA  . PRO C 3 251 ? 299.586 -122.078 238.940 1.0 56.7265   ? 251 PRO F CA  251 PRO F CA  1 
ATOM 16249 C C   . PRO C 3 251 ? 299.483 -121.301 237.641 1.0 56.7265   ? 251 PRO F C   251 PRO F C   1 
ATOM 16250 O O   . PRO C 3 251 ? 298.504 -121.464 236.902 1.0 56.7265   ? 251 PRO F O   251 PRO F O   1 
ATOM 16251 C CB  . PRO C 3 251 ? 298.814 -121.385 240.071 1.0 56.7265   ? 251 PRO F CB  251 PRO F CB  1 
ATOM 16252 C CG  . PRO C 3 251 ? 299.693 -121.508 241.271 1.0 56.7265   ? 251 PRO F CG  251 PRO F CG  1 
ATOM 16253 C CD  . PRO C 3 251 ? 301.082 -121.449 240.752 1.0 56.7265   ? 251 PRO F CD  251 PRO F CD  1 
ATOM 16254 N N   . ASP C 3 252 ? 300.486 -120.481 237.327 1.0 56.28541  ? 252 ASP F N   252 ASP F N   1 
ATOM 16255 C CA  . ASP C 3 252 ? 300.362 -119.440 236.317 1.0 56.28541  ? 252 ASP F CA  252 ASP F CA  1 
ATOM 16256 C C   . ASP C 3 252 ? 301.533 -119.374 235.353 1.0 56.28541  ? 252 ASP F C   252 ASP F C   1 
ATOM 16257 O O   . ASP C 3 252 ? 301.501 -118.569 234.420 1.0 56.28541  ? 252 ASP F O   252 ASP F O   1 
ATOM 16258 C CB  . ASP C 3 252 ? 300.203 -118.087 236.999 1.0 56.28541  ? 252 ASP F CB  252 ASP F CB  1 
ATOM 16259 C CG  . ASP C 3 252 ? 298.897 -117.967 237.716 1.0 56.28541  ? 252 ASP F CG  252 ASP F CG  1 
ATOM 16260 O OD1 . ASP C 3 252 ? 297.926 -118.606 237.268 1.0 56.28541  ? 252 ASP F OD1 252 ASP F OD1 1 
ATOM 16261 O OD2 . ASP C 3 252 ? 298.829 -117.233 238.723 1.0 56.28541  ? 252 ASP F OD2 252 ASP F OD2 1 
ATOM 16262 N N   . ALA C 3 253 ? 302.559 -120.194 235.535 1.0 56.89448  ? 253 ALA F N   253 ALA F N   1 
ATOM 16263 C CA  . ALA C 3 253 ? 303.755 -120.057 234.727 1.0 56.89448  ? 253 ALA F CA  253 ALA F CA  1 
ATOM 16264 C C   . ALA C 3 253 ? 304.296 -121.423 234.338 1.0 56.89448  ? 253 ALA F C   253 ALA F C   1 
ATOM 16265 O O   . ALA C 3 253 ? 304.000 -122.439 234.969 1.0 56.89448  ? 253 ALA F O   253 ALA F O   1 
ATOM 16266 C CB  . ALA C 3 253 ? 304.823 -119.248 235.464 1.0 56.89448  ? 253 ALA F CB  253 ALA F CB  1 
ATOM 16267 N N   . HIS C 3 254 ? 305.096 -121.426 233.277 1.0 58.94148  ? 254 HIS F N   254 HIS F N   1 
ATOM 16268 C CA  . HIS C 3 254 ? 305.669 -122.635 232.715 1.0 58.94148  ? 254 HIS F CA  254 HIS F CA  1 
ATOM 16269 C C   . HIS C 3 254 ? 307.150 -122.406 232.459 1.0 58.94148  ? 254 HIS F C   254 HIS F C   1 
ATOM 16270 O O   . HIS C 3 254 ? 307.665 -121.297 232.609 1.0 58.94148  ? 254 HIS F O   254 HIS F O   1 
ATOM 16271 C CB  . HIS C 3 254 ? 304.952 -123.035 231.421 1.0 58.94148  ? 254 HIS F CB  254 HIS F CB  1 
ATOM 16272 C CG  . HIS C 3 254 ? 305.100 -122.039 230.315 1.0 58.94148  ? 254 HIS F CG  254 HIS F CG  1 
ATOM 16273 N ND1 . HIS C 3 254 ? 306.137 -122.081 229.411 1.0 58.94148  ? 254 HIS F ND1 254 HIS F ND1 1 
ATOM 16274 C CD2 . HIS C 3 254 ? 304.346 -120.970 229.970 1.0 58.94148  ? 254 HIS F CD2 254 HIS F CD2 1 
ATOM 16275 C CE1 . HIS C 3 254 ? 306.013 -121.085 228.553 1.0 58.94148  ? 254 HIS F CE1 254 HIS F CE1 1 
ATOM 16276 N NE2 . HIS C 3 254 ? 304.933 -120.396 228.870 1.0 58.94148  ? 254 HIS F NE2 254 HIS F NE2 1 
ATOM 16277 N N   . PHE C 3 255 ? 307.839 -123.473 232.069 1.0 65.15209  ? 255 PHE F N   255 PHE F N   1 
ATOM 16278 C CA  . PHE C 3 255 ? 309.269 -123.396 231.807 1.0 65.15209  ? 255 PHE F CA  255 PHE F CA  1 
ATOM 16279 C C   . PHE C 3 255 ? 309.507 -122.943 230.373 1.0 65.15209  ? 255 PHE F C   255 PHE F C   1 
ATOM 16280 O O   . PHE C 3 255 ? 309.073 -123.606 229.427 1.0 65.15209  ? 255 PHE F O   255 PHE F O   1 
ATOM 16281 C CB  . PHE C 3 255 ? 309.931 -124.747 232.049 1.0 65.15209  ? 255 PHE F CB  255 PHE F CB  1 
ATOM 16282 C CG  . PHE C 3 255 ? 309.949 -125.169 233.485 1.0 65.15209  ? 255 PHE F CG  255 PHE F CG  1 
ATOM 16283 C CD1 . PHE C 3 255 ? 310.897 -124.662 234.357 1.0 65.15209  ? 255 PHE F CD1 255 PHE F CD1 1 
ATOM 16284 C CD2 . PHE C 3 255 ? 309.031 -126.089 233.959 1.0 65.15209  ? 255 PHE F CD2 255 PHE F CD2 1 
ATOM 16285 C CE1 . PHE C 3 255 ? 310.922 -125.054 235.676 1.0 65.15209  ? 255 PHE F CE1 255 PHE F CE1 1 
ATOM 16286 C CE2 . PHE C 3 255 ? 309.049 -126.485 235.279 1.0 65.15209  ? 255 PHE F CE2 255 PHE F CE2 1 
ATOM 16287 C CZ  . PHE C 3 255 ? 309.997 -125.966 236.138 1.0 65.15209  ? 255 PHE F CZ  255 PHE F CZ  1 
ATOM 16288 N N   . ALA C 3 256 ? 310.196 -121.814 230.211 1.0 66.45232  ? 256 ALA F N   256 ALA F N   1 
ATOM 16289 C CA  . ALA C 3 256 ? 310.636 -121.401 228.885 1.0 66.45232  ? 256 ALA F CA  256 ALA F CA  1 
ATOM 16290 C C   . ALA C 3 256 ? 312.005 -121.970 228.550 1.0 66.45232  ? 256 ALA F C   256 ALA F C   1 
ATOM 16291 O O   . ALA C 3 256 ? 312.395 -121.988 227.378 1.0 66.45232  ? 256 ALA F O   256 ALA F O   1 
ATOM 16292 C CB  . ALA C 3 256 ? 310.658 -119.879 228.783 1.0 66.45232  ? 256 ALA F CB  256 ALA F CB  1 
ATOM 16293 N N   . ASP C 3 257 ? 312.744 -122.422 229.560 1.0 71.67935  ? 257 ASP F N   257 ASP F N   1 
ATOM 16294 C CA  . ASP C 3 257 ? 313.993 -123.142 229.374 1.0 71.67935  ? 257 ASP F CA  257 ASP F CA  1 
ATOM 16295 C C   . ASP C 3 257 ? 314.243 -123.948 230.637 1.0 71.67935  ? 257 ASP F C   257 ASP F C   1 
ATOM 16296 O O   . ASP C 3 257 ? 313.928 -123.504 231.743 1.0 71.67935  ? 257 ASP F O   257 ASP F O   1 
ATOM 16297 C CB  . ASP C 3 257 ? 315.169 -122.198 229.099 1.0 71.67935  ? 257 ASP F CB  257 ASP F CB  1 
ATOM 16298 C CG  . ASP C 3 257 ? 316.409 -122.925 228.608 1.0 71.67935  ? 257 ASP F CG  257 ASP F CG  1 
ATOM 16299 O OD1 . ASP C 3 257 ? 316.370 -124.162 228.442 1.0 71.67935  ? 257 ASP F OD1 257 ASP F OD1 1 
ATOM 16300 O OD2 . ASP C 3 257 ? 317.438 -122.250 228.391 1.0 71.67935  ? 257 ASP F OD2 257 ASP F OD2 1 
ATOM 16301 N N   . PHE C 3 258 ? 314.813 -125.135 230.466 1.0 74.88613  ? 258 PHE F N   258 PHE F N   1 
ATOM 16302 C CA  . PHE C 3 258 ? 315.035 -126.028 231.596 1.0 74.88613  ? 258 PHE F CA  258 PHE F CA  1 
ATOM 16303 C C   . PHE C 3 258 ? 316.263 -126.875 231.319 1.0 74.88613  ? 258 PHE F C   258 PHE F C   1 
ATOM 16304 O O   . PHE C 3 258 ? 316.313 -127.583 230.310 1.0 74.88613  ? 258 PHE F O   258 PHE F O   1 
ATOM 16305 C CB  . PHE C 3 258 ? 313.812 -126.910 231.837 1.0 74.88613  ? 258 PHE F CB  258 PHE F CB  1 
ATOM 16306 C CG  . PHE C 3 258 ? 313.947 -127.830 233.013 1.0 74.88613  ? 258 PHE F CG  258 PHE F CG  1 
ATOM 16307 C CD1 . PHE C 3 258 ? 313.832 -127.346 234.303 1.0 74.88613  ? 258 PHE F CD1 258 PHE F CD1 1 
ATOM 16308 C CD2 . PHE C 3 258 ? 314.172 -129.182 232.826 1.0 74.88613  ? 258 PHE F CD2 258 PHE F CD2 1 
ATOM 16309 C CE1 . PHE C 3 258 ? 313.949 -128.191 235.387 1.0 74.88613  ? 258 PHE F CE1 258 PHE F CE1 1 
ATOM 16310 C CE2 . PHE C 3 258 ? 314.292 -130.033 233.906 1.0 74.88613  ? 258 PHE F CE2 258 PHE F CE2 1 
ATOM 16311 C CZ  . PHE C 3 258 ? 314.180 -129.536 235.188 1.0 74.88613  ? 258 PHE F CZ  258 PHE F CZ  1 
ATOM 16312 N N   . VAL C 3 259 ? 317.248 -126.794 232.208 1.0 78.32011  ? 259 VAL F N   259 VAL F N   1 
ATOM 16313 C CA  . VAL C 3 259 ? 318.431 -127.643 232.145 1.0 78.32011  ? 259 VAL F CA  259 VAL F CA  1 
ATOM 16314 C C   . VAL C 3 259 ? 318.499 -128.440 233.437 1.0 78.32011  ? 259 VAL F C   259 VAL F C   1 
ATOM 16315 O O   . VAL C 3 259 ? 318.463 -129.676 233.429 1.0 78.32011  ? 259 VAL F O   259 VAL F O   1 
ATOM 16316 C CB  . VAL C 3 259 ? 319.711 -126.815 231.939 1.0 78.32011  ? 259 VAL F CB  259 VAL F CB  1 
ATOM 16317 C CG1 . VAL C 3 259 ? 320.933 -127.716 231.967 1.0 78.32011  ? 259 VAL F CG1 259 VAL F CG1 1 
ATOM 16318 C CG2 . VAL C 3 259 ? 319.641 -126.043 230.638 1.0 78.32011  ? 259 VAL F CG2 259 VAL F CG2 1 
ATOM 16319 N N   . ASP C 3 260 ? 318.587 -127.730 234.554 1.0 81.26767  ? 260 ASP F N   260 ASP F N   1 
ATOM 16320 C CA  . ASP C 3 260 ? 318.601 -128.298 235.891 1.0 81.26767  ? 260 ASP F CA  260 ASP F CA  1 
ATOM 16321 C C   . ASP C 3 260 ? 317.475 -127.616 236.669 1.0 81.26767  ? 260 ASP F C   260 ASP F C   1 
ATOM 16322 O O   . ASP C 3 260 ? 316.755 -126.775 236.124 1.0 81.26767  ? 260 ASP F O   260 ASP F O   1 
ATOM 16323 C CB  . ASP C 3 260 ? 319.993 -128.109 236.519 1.0 81.26767  ? 260 ASP F CB  260 ASP F CB  1 
ATOM 16324 C CG  . ASP C 3 260 ? 320.222 -128.957 237.763 1.0 81.26767  ? 260 ASP F CG  260 ASP F CG  1 
ATOM 16325 O OD1 . ASP C 3 260 ? 320.371 -130.191 237.637 1.0 81.26767  ? 260 ASP F OD1 260 ASP F OD1 1 
ATOM 16326 O OD2 . ASP C 3 260 ? 320.272 -128.377 238.868 1.0 81.26767  ? 260 ASP F OD2 260 ASP F OD2 1 
ATOM 16327 N N   . ASP C 3 261 ? 317.291 -128.001 237.936 1.0 79.69791  ? 261 ASP F N   261 ASP F N   1 
ATOM 16328 C CA  . ASP C 3 261 ? 316.289 -127.349 238.775 1.0 79.69791  ? 261 ASP F CA  261 ASP F CA  1 
ATOM 16329 C C   . ASP C 3 261 ? 316.645 -125.889 239.029 1.0 79.69791  ? 261 ASP F C   261 ASP F C   1 
ATOM 16330 O O   . ASP C 3 261 ? 315.790 -125.006 238.904 1.0 79.69791  ? 261 ASP F O   261 ASP F O   1 
ATOM 16331 C CB  . ASP C 3 261 ? 316.145 -128.098 240.098 1.0 79.69791  ? 261 ASP F CB  261 ASP F CB  1 
ATOM 16332 C CG  . ASP C 3 261 ? 315.544 -129.478 239.930 1.0 79.69791  ? 261 ASP F CG  261 ASP F CG  1 
ATOM 16333 O OD1 . ASP C 3 261 ? 314.747 -129.680 238.990 1.0 79.69791  ? 261 ASP F OD1 261 ASP F OD1 1 
ATOM 16334 O OD2 . ASP C 3 261 ? 315.871 -130.363 240.747 1.0 79.69791  ? 261 ASP F OD2 261 ASP F OD2 1 
ATOM 16335 N N   . ARG C 3 262 ? 317.903 -125.613 239.375 1.0 79.70057  ? 262 ARG F N   262 ARG F N   1 
ATOM 16336 C CA  . ARG C 3 262 ? 318.346 -124.231 239.521 1.0 79.70057  ? 262 ARG F CA  262 ARG F CA  1 
ATOM 16337 C C   . ARG C 3 262 ? 318.575 -123.582 238.165 1.0 79.70057  ? 262 ARG F C   262 ARG F C   1 
ATOM 16338 O O   . ARG C 3 262 ? 318.132 -122.455 237.921 1.0 79.70057  ? 262 ARG F O   262 ARG F O   1 
ATOM 16339 C CB  . ARG C 3 262 ? 319.624 -124.166 240.351 1.0 79.70057  ? 262 ARG F CB  262 ARG F CB  1 
ATOM 16340 C CG  . ARG C 3 262 ? 320.144 -122.756 240.566 1.0 79.70057  ? 262 ARG F CG  262 ARG F CG  1 
ATOM 16341 C CD  . ARG C 3 262 ? 321.403 -122.749 241.409 1.0 79.70057  ? 262 ARG F CD  262 ARG F CD  1 
ATOM 16342 N NE  . ARG C 3 262 ? 321.871 -121.397 241.678 1.0 79.70057  ? 262 ARG F NE  262 ARG F NE  1 
ATOM 16343 C CZ  . ARG C 3 262 ? 322.736 -120.743 240.912 1.0 79.70057  ? 262 ARG F CZ  262 ARG F CZ  1 
ATOM 16344 N NH1 . ARG C 3 262 ? 323.105 -119.510 241.229 1.0 79.70057  ? 262 ARG F NH1 262 ARG F NH1 1 
ATOM 16345 N NH2 . ARG C 3 262 ? 323.234 -121.325 239.831 1.0 79.70057  ? 262 ARG F NH2 262 ARG F NH2 1 
ATOM 16346 N N   . ARG C 3 263 ? 319.271 -124.283 237.271 1.0 79.4688   ? 263 ARG F N   263 ARG F N   1 
ATOM 16347 C CA  . ARG C 3 263 ? 319.549 -123.788 235.925 1.0 79.4688   ? 263 ARG F CA  263 ARG F CA  1 
ATOM 16348 C C   . ARG C 3 263 ? 318.287 -123.920 235.077 1.0 79.4688   ? 263 ARG F C   263 ARG F C   1 
ATOM 16349 O O   . ARG C 3 263 ? 318.152 -124.814 234.238 1.0 79.4688   ? 263 ARG F O   263 ARG F O   1 
ATOM 16350 C CB  . ARG C 3 263 ? 320.716 -124.543 235.301 1.0 79.4688   ? 263 ARG F CB  263 ARG F CB  1 
ATOM 16351 C CG  . ARG C 3 263 ? 322.100 -124.023 235.664 1.0 79.4688   ? 263 ARG F CG  263 ARG F CG  1 
ATOM 16352 C CD  . ARG C 3 263 ? 322.611 -124.554 236.991 1.0 79.4688   ? 263 ARG F CD  263 ARG F CD  1 
ATOM 16353 N NE  . ARG C 3 263 ? 322.616 -126.012 237.036 1.0 79.4688   ? 263 ARG F NE  263 ARG F NE  1 
ATOM 16354 C CZ  . ARG C 3 263 ? 323.583 -126.776 236.540 1.0 79.4688   ? 263 ARG F CZ  263 ARG F CZ  1 
ATOM 16355 N NH1 . ARG C 3 263 ? 323.494 -128.095 236.634 1.0 79.4688   ? 263 ARG F NH1 263 ARG F NH1 1 
ATOM 16356 N NH2 . ARG C 3 263 ? 324.634 -126.226 235.947 1.0 79.4688   ? 263 ARG F NH2 263 ARG F NH2 1 
ATOM 16357 N N   . ALA C 3 264 ? 317.356 -122.993 235.296 1.0 73.20041  ? 264 ALA F N   264 ALA F N   1 
ATOM 16358 C CA  . ALA C 3 264 ? 316.087 -122.971 234.583 1.0 73.20041  ? 264 ALA F CA  264 ALA F CA  1 
ATOM 16359 C C   . ALA C 3 264 ? 315.472 -121.590 234.718 1.0 73.20041  ? 264 ALA F C   264 ALA F C   1 
ATOM 16360 O O   . ALA C 3 264 ? 315.574 -120.966 235.776 1.0 73.20041  ? 264 ALA F O   264 ALA F O   1 
ATOM 16361 C CB  . ALA C 3 264 ? 315.111 -124.019 235.125 1.0 73.20041  ? 264 ALA F CB  264 ALA F CB  1 
ATOM 16362 N N   . THR C 3 265 ? 314.830 -121.125 233.654 1.0 66.9525   ? 265 THR F N   265 THR F N   1 
ATOM 16363 C CA  . THR C 3 265 ? 314.080 -119.881 233.689 1.0 66.9525   ? 265 THR F CA  265 THR F CA  1 
ATOM 16364 C C   . THR C 3 265 ? 312.592 -120.182 233.577 1.0 66.9525   ? 265 THR F C   265 THR F C   1 
ATOM 16365 O O   . THR C 3 265 ? 312.180 -121.307 233.285 1.0 66.9525   ? 265 THR F O   265 THR F O   1 
ATOM 16366 C CB  . THR C 3 265 ? 314.519 -118.934 232.569 1.0 66.9525   ? 265 THR F CB  265 THR F CB  1 
ATOM 16367 O OG1 . THR C 3 265 ? 313.996 -117.628 232.825 1.0 66.9525   ? 265 THR F OG1 265 THR F OG1 1 
ATOM 16368 C CG2 . THR C 3 265 ? 313.988 -119.405 231.234 1.0 66.9525   ? 265 THR F CG2 265 THR F CG2 1 
ATOM 16369 N N   . ALA C 3 266 ? 311.779 -119.159 233.816 1.0 62.41241  ? 266 ALA F N   266 ALA F N   1 
ATOM 16370 C CA  . ALA C 3 266 ? 310.336 -119.313 233.826 1.0 62.41241  ? 266 ALA F CA  266 ALA F CA  1 
ATOM 16371 C C   . ALA C 3 266 ? 309.695 -118.274 232.922 1.0 62.41241  ? 266 ALA F C   266 ALA F C   1 
ATOM 16372 O O   . ALA C 3 266 ? 310.323 -117.296 232.519 1.0 62.41241  ? 266 ALA F O   266 ALA F O   1 
ATOM 16373 C CB  . ALA C 3 266 ? 309.767 -119.186 235.241 1.0 62.41241  ? 266 ALA F CB  266 ALA F CB  1 
ATOM 16374 N N   . ALA C 3 267 ? 308.424 -118.504 232.614 1.0 60.81384  ? 267 ALA F N   267 ALA F N   1 
ATOM 16375 C CA  . ALA C 3 267 ? 307.635 -117.580 231.817 1.0 60.81384  ? 267 ALA F CA  267 ALA F CA  1 
ATOM 16376 C C   . ALA C 3 267 ? 306.173 -117.817 232.143 1.0 60.81384  ? 267 ALA F C   267 ALA F C   1 
ATOM 16377 O O   . ALA C 3 267 ? 305.757 -118.967 232.297 1.0 60.81384  ? 267 ALA F O   267 ALA F O   1 
ATOM 16378 C CB  . ALA C 3 267 ? 307.877 -117.773 230.319 1.0 60.81384  ? 267 ALA F CB  267 ALA F CB  1 
ATOM 16379 N N   . GLY C 3 268 ? 305.409 -116.734 232.252 1.0 56.95459  ? 268 GLY F N   268 GLY F N   1 
ATOM 16380 C CA  . GLY C 3 268 ? 303.995 -116.860 232.545 1.0 56.95459  ? 268 GLY F CA  268 GLY F CA  1 
ATOM 16381 C C   . GLY C 3 268 ? 303.231 -117.493 231.397 1.0 56.95459  ? 268 GLY F C   268 GLY F C   1 
ATOM 16382 O O   . GLY C 3 268 ? 303.638 -117.428 230.239 1.0 56.95459  ? 268 GLY F O   268 GLY F O   1 
ATOM 16383 N N   . ASN C 3 269 ? 302.116 -118.136 231.736 1.0 53.56543  ? 269 ASN F N   269 ASN F N   1 
ATOM 16384 C CA  . ASN C 3 269 ? 301.295 -118.802 230.738 1.0 53.56543  ? 269 ASN F CA  269 ASN F CA  1 
ATOM 16385 C C   . ASN C 3 269 ? 300.618 -117.783 229.828 1.0 53.56543  ? 269 ASN F C   269 ASN F C   1 
ATOM 16386 O O   . ASN C 3 269 ? 300.514 -116.596 230.145 1.0 53.56543  ? 269 ASN F O   269 ASN F O   1 
ATOM 16387 C CB  . ASN C 3 269 ? 300.227 -119.670 231.399 1.0 53.56543  ? 269 ASN F CB  269 ASN F CB  1 
ATOM 16388 C CG  . ASN C 3 269 ? 300.790 -120.907 232.045 1.0 53.56543  ? 269 ASN F CG  269 ASN F CG  1 
ATOM 16389 O OD1 . ASN C 3 269 ? 301.686 -121.543 231.502 1.0 53.56543  ? 269 ASN F OD1 269 ASN F OD1 1 
ATOM 16390 N ND2 . ASN C 3 269 ? 300.234 -121.287 233.185 1.0 53.56543  ? 269 ASN F ND2 269 ASN F ND2 1 
ATOM 16391 N N   . ARG C 3 270 ? 300.159 -118.264 228.681 1.0 50.1575   ? 270 ARG F N   270 ARG F N   1 
ATOM 16392 C CA  . ARG C 3 270 ? 299.460 -117.401 227.747 1.0 50.1575   ? 270 ARG F CA  270 ARG F CA  1 
ATOM 16393 C C   . ARG C 3 270 ? 298.082 -117.051 228.299 1.0 50.1575   ? 270 ARG F C   270 ARG F C   1 
ATOM 16394 O O   . ARG C 3 270 ? 297.439 -117.891 228.932 1.0 50.1575   ? 270 ARG F O   270 ARG F O   1 
ATOM 16395 C CB  . ARG C 3 270 ? 299.310 -118.089 226.401 1.0 50.1575   ? 270 ARG F CB  270 ARG F CB  1 
ATOM 16396 C CG  . ARG C 3 270 ? 300.608 -118.402 225.709 1.0 50.1575   ? 270 ARG F CG  270 ARG F CG  1 
ATOM 16397 C CD  . ARG C 3 270 ? 300.296 -119.206 224.478 1.0 50.1575   ? 270 ARG F CD  270 ARG F CD  1 
ATOM 16398 N NE  . ARG C 3 270 ? 299.531 -118.426 223.520 1.0 50.1575   ? 270 ARG F NE  270 ARG F NE  1 
ATOM 16399 C CZ  . ARG C 3 270 ? 300.061 -117.854 222.451 1.0 50.1575   ? 270 ARG F CZ  270 ARG F CZ  1 
ATOM 16400 N NH1 . ARG C 3 270 ? 301.347 -118.023 222.189 1.0 50.1575   ? 270 ARG F NH1 270 ARG F NH1 1 
ATOM 16401 N NH2 . ARG C 3 270 ? 299.305 -117.150 221.625 1.0 50.1575   ? 270 ARG F NH2 270 ARG F NH2 1 
ATOM 16402 N N   . PRO C 3 271 ? 297.612 -115.825 228.091 1.0 47.21166  ? 271 PRO F N   271 PRO F N   1 
ATOM 16403 C CA  . PRO C 3 271 ? 296.259 -115.477 228.529 1.0 47.21166  ? 271 PRO F CA  271 PRO F CA  1 
ATOM 16404 C C   . PRO C 3 271 ? 295.215 -116.161 227.667 1.0 47.21166  ? 271 PRO F C   271 PRO F C   1 
ATOM 16405 O O   . PRO C 3 271 ? 295.376 -116.299 226.454 1.0 47.21166  ? 271 PRO F O   271 PRO F O   1 
ATOM 16406 C CB  . PRO C 3 271 ? 296.216 -113.956 228.368 1.0 47.21166  ? 271 PRO F CB  271 PRO F CB  1 
ATOM 16407 C CG  . PRO C 3 271 ? 297.234 -113.666 227.337 1.0 47.21166  ? 271 PRO F CG  271 PRO F CG  1 
ATOM 16408 C CD  . PRO C 3 271 ? 298.320 -114.672 227.515 1.0 47.21166  ? 271 PRO F CD  271 PRO F CD  1 
ATOM 16409 N N   . ASN C 3 272 ? 294.142 -116.608 228.312 1.0 44.69248  ? 272 ASN F N   272 ASN F N   1 
ATOM 16410 C CA  . ASN C 3 272 ? 293.098 -117.370 227.634 1.0 44.69248  ? 272 ASN F CA  272 ASN F CA  1 
ATOM 16411 C C   . ASN C 3 272 ? 291.765 -116.983 228.265 1.0 44.69248  ? 272 ASN F C   272 ASN F C   1 
ATOM 16412 O O   . ASN C 3 272 ? 291.396 -117.504 229.319 1.0 44.69248  ? 272 ASN F O   272 ASN F O   1 
ATOM 16413 C CB  . ASN C 3 272 ? 293.360 -118.865 227.744 1.0 44.69248  ? 272 ASN F CB  272 ASN F CB  1 
ATOM 16414 C CG  . ASN C 3 272 ? 292.518 -119.674 226.793 1.0 44.69248  ? 272 ASN F CG  272 ASN F CG  1 
ATOM 16415 O OD1 . ASN C 3 272 ? 291.735 -119.131 226.022 1.0 44.69248  ? 272 ASN F OD1 272 ASN F OD1 1 
ATOM 16416 N ND2 . ASN C 3 272 ? 292.672 -120.986 226.844 1.0 44.69248  ? 272 ASN F ND2 272 ASN F ND2 1 
ATOM 16417 N N   . TYR C 3 273 ? 291.057 -116.063 227.622 1.0 44.49374  ? 273 TYR F N   273 TYR F N   1 
ATOM 16418 C CA  . TYR C 3 273 ? 289.727 -115.672 228.059 1.0 44.49374  ? 273 TYR F CA  273 TYR F CA  1 
ATOM 16419 C C   . TYR C 3 273 ? 288.715 -116.683 227.547 1.0 44.49374  ? 273 TYR F C   273 TYR F C   1 
ATOM 16420 O O   . TYR C 3 273 ? 288.580 -116.868 226.336 1.0 44.49374  ? 273 TYR F O   273 TYR F O   1 
ATOM 16421 C CB  . TYR C 3 273 ? 289.381 -114.293 227.513 1.0 44.49374  ? 273 TYR F CB  273 TYR F CB  1 
ATOM 16422 C CG  . TYR C 3 273 ? 290.228 -113.173 228.035 1.0 44.49374  ? 273 TYR F CG  273 TYR F CG  1 
ATOM 16423 C CD1 . TYR C 3 273 ? 290.808 -113.235 229.283 1.0 44.49374  ? 273 TYR F CD1 273 TYR F CD1 1 
ATOM 16424 C CD2 . TYR C 3 273 ? 290.498 -112.072 227.246 1.0 44.49374  ? 273 TYR F CD2 273 TYR F CD2 1 
ATOM 16425 C CE1 . TYR C 3 273 ? 291.589 -112.209 229.744 1.0 44.49374  ? 273 TYR F CE1 273 TYR F CE1 1 
ATOM 16426 C CE2 . TYR C 3 273 ? 291.290 -111.052 227.701 1.0 44.49374  ? 273 TYR F CE2 273 TYR F CE2 1 
ATOM 16427 C CZ  . TYR C 3 273 ? 291.827 -111.127 228.954 1.0 44.49374  ? 273 TYR F CZ  273 TYR F CZ  1 
ATOM 16428 O OH  . TYR C 3 273 ? 292.615 -110.108 229.419 1.0 44.49374  ? 273 TYR F OH  273 TYR F OH  1 
ATOM 16429 N N   . ILE C 3 274 ? 287.995 -117.331 228.455 1.0 42.37501  ? 274 ILE F N   274 ILE F N   1 
ATOM 16430 C CA  . ILE C 3 274 ? 286.964 -118.287 228.078 1.0 42.37501  ? 274 ILE F CA  274 ILE F CA  1 
ATOM 16431 C C   . ILE C 3 274 ? 285.634 -117.793 228.625 1.0 42.37501  ? 274 ILE F C   274 ILE F C   1 
ATOM 16432 O O   . ILE C 3 274 ? 285.405 -117.820 229.840 1.0 42.37501  ? 274 ILE F O   274 ILE F O   1 
ATOM 16433 C CB  . ILE C 3 274 ? 287.266 -119.703 228.575 1.0 42.37501  ? 274 ILE F CB  274 ILE F CB  1 
ATOM 16434 C CG1 . ILE C 3 274 ? 288.554 -120.227 227.956 1.0 42.37501  ? 274 ILE F CG1 274 ILE F CG1 1 
ATOM 16435 C CG2 . ILE C 3 274 ? 286.157 -120.618 228.185 1.0 42.37501  ? 274 ILE F CG2 274 ILE F CG2 1 
ATOM 16436 C CD1 . ILE C 3 274 ? 289.000 -121.548 228.531 1.0 42.37501  ? 274 ILE F CD1 274 ILE F CD1 1 
ATOM 16437 N N   . GLY C 3 275 ? 284.758 -117.346 227.731 1.0 40.78641  ? 275 GLY F N   275 GLY F N   1 
ATOM 16438 C CA  . GLY C 3 275 ? 283.414 -116.946 228.097 1.0 40.78641  ? 275 GLY F CA  275 GLY F CA  1 
ATOM 16439 C C   . GLY C 3 275 ? 282.423 -117.363 227.035 1.0 40.78641  ? 275 GLY F C   275 GLY F C   1 
ATOM 16440 O O   . GLY C 3 275 ? 282.772 -118.147 226.151 1.0 40.78641  ? 275 GLY F O   275 GLY F O   1 
ATOM 16441 N N   . PHE C 3 276 ? 281.194 -116.854 227.086 1.0 39.70664  ? 276 PHE F N   276 PHE F N   1 
ATOM 16442 C CA  . PHE C 3 276 ? 280.224 -117.203 226.060 1.0 39.70664  ? 276 PHE F CA  276 PHE F CA  1 
ATOM 16443 C C   . PHE C 3 276 ? 280.501 -116.428 224.776 1.0 39.70664  ? 276 PHE F C   276 PHE F C   1 
ATOM 16444 O O   . PHE C 3 276 ? 281.404 -115.593 224.697 1.0 39.70664  ? 276 PHE F O   276 PHE F O   1 
ATOM 16445 C CB  . PHE C 3 276 ? 278.797 -116.939 226.534 1.0 39.70664  ? 276 PHE F CB  276 PHE F CB  1 
ATOM 16446 C CG  . PHE C 3 276 ? 278.347 -117.844 227.634 1.0 39.70664  ? 276 PHE F CG  276 PHE F CG  1 
ATOM 16447 C CD1 . PHE C 3 276 ? 278.095 -119.177 227.388 1.0 39.70664  ? 276 PHE F CD1 276 PHE F CD1 1 
ATOM 16448 C CD2 . PHE C 3 276 ? 278.124 -117.352 228.902 1.0 39.70664  ? 276 PHE F CD2 276 PHE F CD2 1 
ATOM 16449 C CE1 . PHE C 3 276 ? 277.675 -120.011 228.396 1.0 39.70664  ? 276 PHE F CE1 276 PHE F CE1 1 
ATOM 16450 C CE2 . PHE C 3 276 ? 277.691 -118.180 229.909 1.0 39.70664  ? 276 PHE F CE2 276 PHE F CE2 1 
ATOM 16451 C CZ  . PHE C 3 276 ? 277.469 -119.511 229.653 1.0 39.70664  ? 276 PHE F CZ  276 PHE F CZ  1 
ATOM 16452 N N   . ARG C 3 277 ? 279.708 -116.710 223.751 1.0 40.1636   ? 277 ARG F N   277 ARG F N   1 
ATOM 16453 C CA  . ARG C 3 277 ? 279.840 -116.024 222.480 1.0 40.1636   ? 277 ARG F CA  277 ARG F CA  1 
ATOM 16454 C C   . ARG C 3 277 ? 279.132 -114.676 222.517 1.0 40.1636   ? 277 ARG F C   277 ARG F C   1 
ATOM 16455 O O   . ARG C 3 277 ? 278.470 -114.316 223.493 1.0 40.1636   ? 277 ARG F O   277 ARG F O   1 
ATOM 16456 C CB  . ARG C 3 277 ? 279.258 -116.871 221.357 1.0 40.1636   ? 277 ARG F CB  277 ARG F CB  1 
ATOM 16457 C CG  . ARG C 3 277 ? 279.974 -118.166 221.148 1.0 40.1636   ? 277 ARG F CG  277 ARG F CG  1 
ATOM 16458 C CD  . ARG C 3 277 ? 281.301 -117.918 220.505 1.0 40.1636   ? 277 ARG F CD  277 ARG F CD  1 
ATOM 16459 N NE  . ARG C 3 277 ? 282.060 -119.151 220.382 1.0 40.1636   ? 277 ARG F NE  277 ARG F NE  1 
ATOM 16460 C CZ  . ARG C 3 277 ? 282.007 -119.940 219.324 1.0 40.1636   ? 277 ARG F CZ  277 ARG F CZ  1 
ATOM 16461 N NH1 . ARG C 3 277 ? 281.234 -119.607 218.306 1.0 40.1636   ? 277 ARG F NH1 277 ARG F NH1 1 
ATOM 16462 N NH2 . ARG C 3 277 ? 282.725 -121.049 219.282 1.0 40.1636   ? 277 ARG F NH2 277 ARG F NH2 1 
ATOM 16463 N N   . ASP C 3 278 ? 279.295 -113.921 221.433 1.0 39.95287  ? 278 ASP F N   278 ASP F N   1 
ATOM 16464 C CA  . ASP C 3 278 ? 278.437 -112.773 221.179 1.0 39.95287  ? 278 ASP F CA  278 ASP F CA  1 
ATOM 16465 C C   . ASP C 3 278 ? 277.005 -113.258 221.034 1.0 39.95287  ? 278 ASP F C   278 ASP F C   1 
ATOM 16466 O O   . ASP C 3 278 ? 276.765 -114.341 220.507 1.0 39.95287  ? 278 ASP F O   278 ASP F O   1 
ATOM 16467 C CB  . ASP C 3 278 ? 278.877 -112.060 219.901 1.0 39.95287  ? 278 ASP F CB  278 ASP F CB  1 
ATOM 16468 C CG  . ASP C 3 278 ? 278.161 -110.736 219.679 1.0 39.95287  ? 278 ASP F CG  278 ASP F CG  1 
ATOM 16469 O OD1 . ASP C 3 278 ? 277.375 -110.302 220.545 1.0 39.95287  ? 278 ASP F OD1 278 ASP F OD1 1 
ATOM 16470 O OD2 . ASP C 3 278 ? 278.381 -110.123 218.615 1.0 39.95287  ? 278 ASP F OD2 278 ASP F OD2 1 
ATOM 16471 N N   . ASN C 3 279 ? 276.061 -112.489 221.583 1.0 37.23257  ? 279 ASN F N   279 ASN F N   1 
ATOM 16472 C CA  . ASN C 3 279 ? 274.612 -112.674 221.452 1.0 37.23257  ? 279 ASN F CA  279 ASN F CA  1 
ATOM 16473 C C   . ASN C 3 279 ? 274.109 -114.037 221.935 1.0 37.23257  ? 279 ASN F C   279 ASN F C   1 
ATOM 16474 O O   . ASN C 3 279 ? 272.950 -114.383 221.676 1.0 37.23257  ? 279 ASN F O   279 ASN F O   1 
ATOM 16475 C CB  . ASN C 3 279 ? 274.152 -112.431 220.008 1.0 37.23257  ? 279 ASN F CB  279 ASN F CB  1 
ATOM 16476 C CG  . ASN C 3 279 ? 274.221 -110.971 219.615 1.0 37.23257  ? 279 ASN F CG  279 ASN F CG  1 
ATOM 16477 O OD1 . ASN C 3 279 ? 273.850 -110.091 220.388 1.0 37.23257  ? 279 ASN F OD1 279 ASN F OD1 1 
ATOM 16478 N ND2 . ASN C 3 279 ? 274.695 -110.708 218.408 1.0 37.23257  ? 279 ASN F ND2 279 ASN F ND2 1 
ATOM 16479 N N   . PHE C 3 280 ? 274.935 -114.778 222.677 1.0 37.00863  ? 280 PHE F N   280 PHE F N   1 
ATOM 16480 C CA  . PHE C 3 280 ? 274.792 -116.212 222.929 1.0 37.00863  ? 280 PHE F CA  280 PHE F CA  1 
ATOM 16481 C C   . PHE C 3 280 ? 274.524 -116.979 221.638 1.0 37.00863  ? 280 PHE F C   280 PHE F C   1 
ATOM 16482 O O   . PHE C 3 280 ? 273.595 -117.782 221.532 1.0 37.00863  ? 280 PHE F O   280 PHE F O   1 
ATOM 16483 C CB  . PHE C 3 280 ? 273.736 -116.487 223.987 1.0 37.00863  ? 280 PHE F CB  280 PHE F CB  1 
ATOM 16484 C CG  . PHE C 3 280 ? 274.039 -115.831 225.286 1.0 37.00863  ? 280 PHE F CG  280 PHE F CG  1 
ATOM 16485 C CD1 . PHE C 3 280 ? 275.118 -116.244 226.043 1.0 37.00863  ? 280 PHE F CD1 280 PHE F CD1 1 
ATOM 16486 C CD2 . PHE C 3 280 ? 273.246 -114.810 225.758 1.0 37.00863  ? 280 PHE F CD2 280 PHE F CD2 1 
ATOM 16487 C CE1 . PHE C 3 280 ? 275.417 -115.629 227.235 1.0 37.00863  ? 280 PHE F CE1 280 PHE F CE1 1 
ATOM 16488 C CE2 . PHE C 3 280 ? 273.519 -114.214 226.963 1.0 37.00863  ? 280 PHE F CE2 280 PHE F CE2 1 
ATOM 16489 C CZ  . PHE C 3 280 ? 274.609 -114.625 227.700 1.0 37.00863  ? 280 PHE F CZ  280 PHE F CZ  1 
ATOM 16490 N N   . ILE C 3 281 ? 275.356 -116.687 220.640 1.0 38.05032  ? 281 ILE F N   281 ILE F N   1 
ATOM 16491 C CA  . ILE C 3 281 ? 275.406 -117.469 219.414 1.0 38.05032  ? 281 ILE F CA  281 ILE F CA  1 
ATOM 16492 C C   . ILE C 3 281 ? 275.905 -118.868 219.740 1.0 38.05032  ? 281 ILE F C   281 ILE F C   1 
ATOM 16493 O O   . ILE C 3 281 ? 276.920 -119.038 220.423 1.0 38.05032  ? 281 ILE F O   281 ILE F O   1 
ATOM 16494 C CB  . ILE C 3 281 ? 276.306 -116.771 218.381 1.0 38.05032  ? 281 ILE F CB  281 ILE F CB  1 
ATOM 16495 C CG1 . ILE C 3 281 ? 275.630 -115.539 217.784 1.0 38.05032  ? 281 ILE F CG1 281 ILE F CG1 1 
ATOM 16496 C CG2 . ILE C 3 281 ? 276.671 -117.669 217.298 1.0 38.05032  ? 281 ILE F CG2 281 ILE F CG2 1 
ATOM 16497 C CD1 . ILE C 3 281 ? 276.548 -114.688 216.946 1.0 38.05032  ? 281 ILE F CD1 281 ILE F CD1 1 
ATOM 16498 N N   . GLY C 3 282 ? 275.178 -119.881 219.281 1.0 39.207    ? 282 GLY F N   282 GLY F N   1 
ATOM 16499 C CA  . GLY C 3 282 ? 275.579 -121.248 219.504 1.0 39.207    ? 282 GLY F CA  282 GLY F CA  1 
ATOM 16500 C C   . GLY C 3 282 ? 275.113 -121.837 220.810 1.0 39.207    ? 282 GLY F C   282 GLY F C   1 
ATOM 16501 O O   . GLY C 3 282 ? 275.470 -122.978 221.117 1.0 39.207    ? 282 GLY F O   282 GLY F O   1 
ATOM 16502 N N   . MET C 3 283 ? 274.351 -121.090 221.603 1.0 38.55409  ? 283 MET F N   283 MET F N   1 
ATOM 16503 C CA  . MET C 3 283 ? 273.712 -121.670 222.775 1.0 38.55409  ? 283 MET F CA  283 MET F CA  1 
ATOM 16504 C C   . MET C 3 283 ? 272.608 -122.631 222.375 1.0 38.55409  ? 283 MET F C   283 MET F C   1 
ATOM 16505 O O   . MET C 3 283 ? 272.385 -123.642 223.047 1.0 38.55409  ? 283 MET F O   283 MET F O   1 
ATOM 16506 C CB  . MET C 3 283 ? 273.147 -120.558 223.654 1.0 38.55409  ? 283 MET F CB  283 MET F CB  1 
ATOM 16507 C CG  . MET C 3 283 ? 272.502 -121.021 224.936 1.0 38.55409  ? 283 MET F CG  283 MET F CG  1 
ATOM 16508 S SD  . MET C 3 283 ? 273.701 -121.759 226.035 1.0 38.55409  ? 283 MET F SD  283 MET F SD  1 
ATOM 16509 C CE  . MET C 3 283 ? 274.580 -120.285 226.511 1.0 38.55409  ? 283 MET F CE  283 MET F CE  1 
ATOM 16510 N N   . MET C 3 284 ? 271.941 -122.350 221.264 1.0 39.73172  ? 284 MET F N   284 MET F N   1 
ATOM 16511 C CA  . MET C 3 284 ? 270.679 -122.970 220.913 1.0 39.73172  ? 284 MET F CA  284 MET F CA  1 
ATOM 16512 C C   . MET C 3 284 ? 270.744 -123.535 219.508 1.0 39.73172  ? 284 MET F C   284 MET F C   1 
ATOM 16513 O O   . MET C 3 284 ? 271.397 -122.966 218.631 1.0 39.73172  ? 284 MET F O   284 MET F O   1 
ATOM 16514 C CB  . MET C 3 284 ? 269.565 -121.951 220.998 1.0 39.73172  ? 284 MET F CB  284 MET F CB  1 
ATOM 16515 C CG  . MET C 3 284 ? 269.291 -121.468 222.396 1.0 39.73172  ? 284 MET F CG  284 MET F CG  1 
ATOM 16516 S SD  . MET C 3 284 ? 268.034 -120.194 222.450 1.0 39.73172  ? 284 MET F SD  284 MET F SD  1 
ATOM 16517 C CE  . MET C 3 284 ? 269.030 -118.830 221.885 1.0 39.73172  ? 284 MET F CE  284 MET F CE  1 
ATOM 16518 N N   . TYR C 3 285 ? 270.044 -124.645 219.294 1.0 42.16558  ? 285 TYR F N   285 TYR F N   1 
ATOM 16519 C CA  . TYR C 3 285 ? 270.033 -125.292 217.992 1.0 42.16558  ? 285 TYR F CA  285 TYR F CA  1 
ATOM 16520 C C   . TYR C 3 285 ? 269.164 -124.532 217.005 1.0 42.16558  ? 285 TYR F C   285 TYR F C   1 
ATOM 16521 O O   . TYR C 3 285 ? 267.985 -124.855 216.835 1.0 42.16558  ? 285 TYR F O   285 TYR F O   1 
ATOM 16522 C CB  . TYR C 3 285 ? 269.529 -126.727 218.107 1.0 42.16558  ? 285 TYR F CB  285 TYR F CB  1 
ATOM 16523 C CG  . TYR C 3 285 ? 270.472 -127.692 218.774 1.0 42.16558  ? 285 TYR F CG  285 TYR F CG  1 
ATOM 16524 C CD1 . TYR C 3 285 ? 271.492 -128.299 218.063 1.0 42.16558  ? 285 TYR F CD1 285 TYR F CD1 1 
ATOM 16525 C CD2 . TYR C 3 285 ? 270.325 -128.012 220.107 1.0 42.16558  ? 285 TYR F CD2 285 TYR F CD2 1 
ATOM 16526 C CE1 . TYR C 3 285 ? 272.343 -129.192 218.670 1.0 42.16558  ? 285 TYR F CE1 285 TYR F CE1 1 
ATOM 16527 C CE2 . TYR C 3 285 ? 271.162 -128.904 220.718 1.0 42.16558  ? 285 TYR F CE2 285 TYR F CE2 1 
ATOM 16528 C CZ  . TYR C 3 285 ? 272.172 -129.489 219.998 1.0 42.16558  ? 285 TYR F CZ  285 TYR F CZ  1 
ATOM 16529 O OH  . TYR C 3 285 ? 273.021 -130.376 220.609 1.0 42.16558  ? 285 TYR F OH  285 TYR F OH  1 
ATOM 16530 N N   . TYR C 3 286 ? 269.725 -123.519 216.360 1.0 40.84344  ? 286 TYR F N   286 TYR F N   1 
ATOM 16531 C CA  . TYR C 3 286 ? 269.080 -122.870 215.230 1.0 40.84344  ? 286 TYR F CA  286 TYR F CA  1 
ATOM 16532 C C   . TYR C 3 286 ? 269.509 -123.578 213.959 1.0 40.84344  ? 286 TYR F C   286 TYR F C   1 
ATOM 16533 O O   . TYR C 3 286 ? 270.701 -123.840 213.769 1.0 40.84344  ? 286 TYR F O   286 TYR F O   1 
ATOM 16534 C CB  . TYR C 3 286 ? 269.442 -121.390 215.149 1.0 40.84344  ? 286 TYR F CB  286 TYR F CB  1 
ATOM 16535 C CG  . TYR C 3 286 ? 268.811 -120.542 216.218 1.0 40.84344  ? 286 TYR F CG  286 TYR F CG  1 
ATOM 16536 C CD1 . TYR C 3 286 ? 267.532 -120.047 216.071 1.0 40.84344  ? 286 TYR F CD1 286 TYR F CD1 1 
ATOM 16537 C CD2 . TYR C 3 286 ? 269.492 -120.256 217.379 1.0 40.84344  ? 286 TYR F CD2 286 TYR F CD2 1 
ATOM 16538 C CE1 . TYR C 3 286 ? 266.962 -119.268 217.052 1.0 40.84344  ? 286 TYR F CE1 286 TYR F CE1 1 
ATOM 16539 C CE2 . TYR C 3 286 ? 268.940 -119.486 218.355 1.0 40.84344  ? 286 TYR F CE2 286 TYR F CE2 1 
ATOM 16540 C CZ  . TYR C 3 286 ? 267.676 -118.998 218.193 1.0 40.84344  ? 286 TYR F CZ  286 TYR F CZ  1 
ATOM 16541 O OH  . TYR C 3 286 ? 267.133 -118.235 219.186 1.0 40.84344  ? 286 TYR F OH  286 TYR F OH  1 
ATOM 16542 N N   . ASN C 3 287 ? 268.525 -123.922 213.126 1.0 43.4344   ? 287 ASN F N   287 ASN F N   1 
ATOM 16543 C CA  . ASN C 3 287 ? 268.719 -124.472 211.782 1.0 43.4344   ? 287 ASN F CA  287 ASN F CA  1 
ATOM 16544 C C   . ASN C 3 287 ? 269.440 -125.813 211.788 1.0 43.4344   ? 287 ASN F C   287 ASN F C   1 
ATOM 16545 O O   . ASN C 3 287 ? 270.116 -126.165 210.822 1.0 43.4344   ? 287 ASN F O   287 ASN F O   1 
ATOM 16546 C CB  . ASN C 3 287 ? 269.442 -123.484 210.867 1.0 43.4344   ? 287 ASN F CB  287 ASN F CB  1 
ATOM 16547 C CG  . ASN C 3 287 ? 268.571 -122.328 210.482 1.0 43.4344   ? 287 ASN F CG  287 ASN F CG  1 
ATOM 16548 O OD1 . ASN C 3 287 ? 267.383 -122.494 210.215 1.0 43.4344   ? 287 ASN F OD1 287 ASN F OD1 1 
ATOM 16549 N ND2 . ASN C 3 287 ? 269.151 -121.147 210.442 1.0 43.4344   ? 287 ASN F ND2 287 ASN F ND2 1 
ATOM 16550 N N   . SER C 3 288 ? 269.303 -126.571 212.867 1.0 46.78081  ? 288 SER F N   288 SER F N   1 
ATOM 16551 C CA  . SER C 3 288 ? 269.775 -127.941 212.841 1.0 46.78081  ? 288 SER F CA  288 SER F CA  1 
ATOM 16552 C C   . SER C 3 288 ? 268.716 -128.829 212.203 1.0 46.78081  ? 288 SER F C   288 SER F C   1 
ATOM 16553 O O   . SER C 3 288 ? 267.530 -128.495 212.168 1.0 46.78081  ? 288 SER F O   288 SER F O   1 
ATOM 16554 C CB  . SER C 3 288 ? 270.106 -128.431 214.248 1.0 46.78081  ? 288 SER F CB  288 SER F CB  1 
ATOM 16555 O OG  . SER C 3 288 ? 270.552 -129.773 214.221 1.0 46.78081  ? 288 SER F OG  288 SER F OG  1 
ATOM 16556 N N   . GLY C 3 289 ? 269.158 -129.965 211.681 1.0 46.97804  ? 289 GLY F N   289 GLY F N   1 
ATOM 16557 C CA  . GLY C 3 289 ? 268.244 -130.867 211.012 1.0 46.97804  ? 289 GLY F CA  289 GLY F CA  1 
ATOM 16558 C C   . GLY C 3 289 ? 267.362 -131.630 211.974 1.0 46.97804  ? 289 GLY F C   289 GLY F C   1 
ATOM 16559 O O   . GLY C 3 289 ? 266.136 -131.493 211.953 1.0 46.97804  ? 289 GLY F O   289 GLY F O   1 
ATOM 16560 N N   . SER C 3 290 ? 267.981 -132.427 212.837 1.0 47.50812  ? 290 SER F N   290 SER F N   1 
ATOM 16561 C CA  . SER C 3 290 ? 267.265 -133.290 213.761 1.0 47.50812  ? 290 SER F CA  290 SER F CA  1 
ATOM 16562 C C   . SER C 3 290 ? 266.901 -132.595 215.063 1.0 47.50812  ? 290 SER F C   290 SER F C   1 
ATOM 16563 O O   . SER C 3 290 ? 266.424 -133.255 215.990 1.0 47.50812  ? 290 SER F O   290 SER F O   1 
ATOM 16564 C CB  . SER C 3 290 ? 268.103 -134.532 214.060 1.0 47.50812  ? 290 SER F CB  290 SER F CB  1 
ATOM 16565 O OG  . SER C 3 290 ? 269.295 -134.174 214.731 1.0 47.50812  ? 290 SER F OG  290 SER F OG  1 
ATOM 16566 N N   . ASN C 3 291 ? 267.108 -131.288 215.156 1.0 46.05715  ? 291 ASN F N   291 ASN F N   1 
ATOM 16567 C CA  . ASN C 3 291 ? 266.944 -130.559 216.404 1.0 46.05715  ? 291 ASN F CA  291 ASN F CA  1 
ATOM 16568 C C   . ASN C 3 291 ? 266.130 -129.295 216.192 1.0 46.05715  ? 291 ASN F C   291 ASN F C   1 
ATOM 16569 O O   . ASN C 3 291 ? 266.424 -128.239 216.757 1.0 46.05715  ? 291 ASN F O   291 ASN F O   1 
ATOM 16570 C CB  . ASN C 3 291 ? 268.304 -130.241 217.012 1.0 46.05715  ? 291 ASN F CB  291 ASN F CB  1 
ATOM 16571 C CG  . ASN C 3 291 ? 269.069 -131.486 217.381 1.0 46.05715  ? 291 ASN F CG  291 ASN F CG  1 
ATOM 16572 O OD1 . ASN C 3 291 ? 270.093 -131.794 216.780 1.0 46.05715  ? 291 ASN F OD1 291 ASN F OD1 1 
ATOM 16573 N ND2 . ASN C 3 291 ? 268.574 -132.216 218.367 1.0 46.05715  ? 291 ASN F ND2 291 ASN F ND2 1 
ATOM 16574 N N   . THR C 3 292 ? 265.088 -129.387 215.374 1.0 46.11259  ? 292 THR F N   292 THR F N   1 
ATOM 16575 C CA  . THR C 3 292 ? 264.207 -128.250 215.158 1.0 46.11259  ? 292 THR F CA  292 THR F CA  1 
ATOM 16576 C C   . THR C 3 292 ? 263.307 -128.052 216.367 1.0 46.11259  ? 292 THR F C   292 THR F C   1 
ATOM 16577 O O   . THR C 3 292 ? 262.665 -128.995 216.836 1.0 46.11259  ? 292 THR F O   292 THR F O   1 
ATOM 16578 C CB  . THR C 3 292 ? 263.355 -128.461 213.909 1.0 46.11259  ? 292 THR F CB  292 THR F CB  1 
ATOM 16579 O OG1 . THR C 3 292 ? 262.536 -129.624 214.081 1.0 46.11259  ? 292 THR F OG1 292 THR F OG1 1 
ATOM 16580 C CG2 . THR C 3 292 ? 264.232 -128.648 212.688 1.0 46.11259  ? 292 THR F CG2 292 THR F CG2 1 
ATOM 16581 N N   . GLY C 3 293 ? 263.264 -126.829 216.873 1.0 42.23776  ? 293 GLY F N   293 GLY F N   1 
ATOM 16582 C CA  . GLY C 3 293 ? 262.346 -126.505 217.940 1.0 42.23776  ? 293 GLY F CA  293 GLY F CA  1 
ATOM 16583 C C   . GLY C 3 293 ? 260.922 -126.402 217.442 1.0 42.23776  ? 293 GLY F C   293 GLY F C   1 
ATOM 16584 O O   . GLY C 3 293 ? 260.639 -126.408 216.246 1.0 42.23776  ? 293 GLY F O   293 GLY F O   1 
ATOM 16585 N N   . SER C 3 294 ? 259.997 -126.297 218.388 1.0 39.72634  ? 294 SER F N   294 SER F N   1 
ATOM 16586 C CA  . SER C 3 294 ? 258.580 -126.345 218.077 1.0 39.72634  ? 294 SER F CA  294 SER F CA  1 
ATOM 16587 C C   . SER C 3 294 ? 257.853 -125.136 218.639 1.0 39.72634  ? 294 SER F C   294 SER F C   1 
ATOM 16588 O O   . SER C 3 294 ? 258.174 -124.642 219.722 1.0 39.72634  ? 294 SER F O   294 SER F O   1 
ATOM 16589 C CB  . SER C 3 294 ? 257.942 -127.621 218.627 1.0 39.72634  ? 294 SER F CB  294 SER F CB  1 
ATOM 16590 O OG  . SER C 3 294 ? 256.549 -127.639 218.385 1.0 39.72634  ? 294 SER F OG  294 SER F OG  1 
ATOM 16591 N N   . PHE C 3 295 ? 256.863 -124.668 217.886 1.0 35.7842   ? 295 PHE F N   295 PHE F N   1 
ATOM 16592 C CA  . PHE C 3 295 ? 255.906 -123.692 218.392 1.0 35.7842   ? 295 PHE F CA  295 PHE F CA  1 
ATOM 16593 C C   . PHE C 3 295 ? 254.592 -123.929 217.665 1.0 35.7842   ? 295 PHE F C   295 PHE F C   1 
ATOM 16594 O O   . PHE C 3 295 ? 254.426 -123.494 216.525 1.0 35.7842   ? 295 PHE F O   295 PHE F O   1 
ATOM 16595 C CB  . PHE C 3 295 ? 256.398 -122.265 218.196 1.0 35.7842   ? 295 PHE F CB  295 PHE F CB  1 
ATOM 16596 C CG  . PHE C 3 295 ? 255.439 -121.232 218.689 1.0 35.7842   ? 295 PHE F CG  295 PHE F CG  1 
ATOM 16597 C CD1 . PHE C 3 295 ? 255.217 -121.064 220.041 1.0 35.7842   ? 295 PHE F CD1 295 PHE F CD1 1 
ATOM 16598 C CD2 . PHE C 3 295 ? 254.764 -120.425 217.805 1.0 35.7842   ? 295 PHE F CD2 295 PHE F CD2 1 
ATOM 16599 C CE1 . PHE C 3 295 ? 254.339 -120.120 220.497 1.0 35.7842   ? 295 PHE F CE1 295 PHE F CE1 1 
ATOM 16600 C CE2 . PHE C 3 295 ? 253.887 -119.476 218.259 1.0 35.7842   ? 295 PHE F CE2 295 PHE F CE2 1 
ATOM 16601 C CZ  . PHE C 3 295 ? 253.671 -119.327 219.606 1.0 35.7842   ? 295 PHE F CZ  295 PHE F CZ  1 
ATOM 16602 N N   . SER C 3 296 ? 253.663 -124.608 218.328 1.0 38.39305  ? 296 SER F N   296 SER F N   1 
ATOM 16603 C CA  . SER C 3 296 ? 252.438 -125.067 217.698 1.0 38.39305  ? 296 SER F CA  296 SER F CA  1 
ATOM 16604 C C   . SER C 3 296 ? 251.270 -124.741 218.617 1.0 38.39305  ? 296 SER F C   296 SER F C   1 
ATOM 16605 O O   . SER C 3 296 ? 251.406 -123.995 219.590 1.0 38.39305  ? 296 SER F O   296 SER F O   1 
ATOM 16606 C CB  . SER C 3 296 ? 252.523 -126.565 217.394 1.0 38.39305  ? 296 SER F CB  296 SER F CB  1 
ATOM 16607 O OG  . SER C 3 296 ? 252.580 -127.306 218.598 1.0 38.39305  ? 296 SER F OG  296 SER F OG  1 
ATOM 16608 N N   . SER C 3 297 ? 250.111 -125.308 218.304 1.0 41.66895  ? 297 SER F N   297 SER F N   1 
ATOM 16609 C CA  . SER C 3 297 ? 248.870 -124.975 218.983 1.0 41.66895  ? 297 SER F CA  297 SER F CA  1 
ATOM 16610 C C   . SER C 3 297 ? 247.990 -126.217 219.006 1.0 41.66895  ? 297 SER F C   297 SER F C   1 
ATOM 16611 O O   . SER C 3 297 ? 248.447 -127.329 218.732 1.0 41.66895  ? 297 SER F O   297 SER F O   1 
ATOM 16612 C CB  . SER C 3 297 ? 248.164 -123.823 218.263 1.0 41.66895  ? 297 SER F CB  297 SER F CB  1 
ATOM 16613 O OG  . SER C 3 297 ? 248.996 -122.691 218.155 1.0 41.66895  ? 297 SER F OG  297 SER F OG  1 
ATOM 16614 N N   . GLN C 3 298 ? 246.716 -126.022 219.329 1.0 43.04833  ? 298 GLN F N   298 GLN F N   1 
ATOM 16615 C CA  . GLN C 3 298 ? 245.693 -126.977 218.940 1.0 43.04833  ? 298 GLN F CA  298 GLN F CA  1 
ATOM 16616 C C   . GLN C 3 298 ? 245.269 -126.653 217.511 1.0 43.04833  ? 298 GLN F C   298 GLN F C   1 
ATOM 16617 O O   . GLN C 3 298 ? 245.760 -125.687 216.921 1.0 43.04833  ? 298 GLN F O   298 GLN F O   1 
ATOM 16618 C CB  . GLN C 3 298 ? 244.526 -126.940 219.921 1.0 43.04833  ? 298 GLN F CB  298 GLN F CB  1 
ATOM 16619 C CG  . GLN C 3 298 ? 244.840 -127.540 221.290 1.0 43.04833  ? 298 GLN F CG  298 GLN F CG  1 
ATOM 16620 C CD  . GLN C 3 298 ? 245.558 -126.582 222.216 1.0 43.04833  ? 298 GLN F CD  298 GLN F CD  1 
ATOM 16621 O OE1 . GLN C 3 298 ? 245.584 -125.378 221.979 1.0 43.04833  ? 298 GLN F OE1 298 GLN F OE1 1 
ATOM 16622 N NE2 . GLN C 3 298 ? 246.144 -127.114 223.280 1.0 43.04833  ? 298 GLN F NE2 298 GLN F NE2 1 
ATOM 16623 N N   . THR C 3 299 ? 244.354 -127.463 216.950 1.0 47.10149  ? 299 THR F N   299 THR F N   1 
ATOM 16624 C CA  . THR C 3 299 ? 243.801 -127.284 215.601 1.0 47.10149  ? 299 THR F CA  299 THR F CA  1 
ATOM 16625 C C   . THR C 3 299 ? 244.892 -127.296 214.534 1.0 47.10149  ? 299 THR F C   299 THR F C   1 
ATOM 16626 O O   . THR C 3 299 ? 245.389 -126.223 214.176 1.0 47.10149  ? 299 THR F O   299 THR F O   1 
ATOM 16627 C CB  . THR C 3 299 ? 242.943 -126.013 215.468 1.0 47.10149  ? 299 THR F CB  299 THR F CB  1 
ATOM 16628 O OG1 . THR C 3 299 ? 243.774 -124.850 215.529 1.0 47.10149  ? 299 THR F OG1 299 THR F OG1 1 
ATOM 16629 C CG2 . THR C 3 299 ? 241.908 -125.948 216.583 1.0 47.10149  ? 299 THR F CG2 299 THR F CG2 1 
ATOM 16630 N N   . GLN C 3 300 ? 245.303 -128.500 214.091 1.0 52.13431  ? 300 GLN F N   300 GLN F N   1 
ATOM 16631 C CA  . GLN C 3 300 ? 246.521 -128.836 213.338 1.0 52.13431  ? 300 GLN F CA  300 GLN F CA  1 
ATOM 16632 C C   . GLN C 3 300 ? 247.782 -128.699 214.180 1.0 52.13431  ? 300 GLN F C   300 GLN F C   1 
ATOM 16633 O O   . GLN C 3 300 ? 248.512 -127.709 214.085 1.0 52.13431  ? 300 GLN F O   300 GLN F O   1 
ATOM 16634 C CB  . GLN C 3 300 ? 246.683 -128.045 212.023 1.0 52.13431  ? 300 GLN F CB  300 GLN F CB  1 
ATOM 16635 C CG  . GLN C 3 300 ? 245.687 -128.414 210.926 1.0 52.13431  ? 300 GLN F CG  300 GLN F CG  1 
ATOM 16636 C CD  . GLN C 3 300 ? 244.419 -127.582 210.955 1.0 52.13431  ? 300 GLN F CD  300 GLN F CD  1 
ATOM 16637 O OE1 . GLN C 3 300 ? 244.406 -126.471 211.484 1.0 52.13431  ? 300 GLN F OE1 300 GLN F OE1 1 
ATOM 16638 N NE2 . GLN C 3 300 ? 243.344 -128.118 210.394 1.0 52.13431  ? 300 GLN F NE2 300 GLN F NE2 1 
ATOM 16639 N N   . GLN C 3 301 ? 248.000 -129.712 215.031 1.0 49.2734   ? 301 GLN F N   301 GLN F N   1 
ATOM 16640 C CA  . GLN C 3 301 ? 249.149 -129.871 215.927 1.0 49.2734   ? 301 GLN F CA  301 GLN F CA  1 
ATOM 16641 C C   . GLN C 3 301 ? 250.531 -129.677 215.299 1.0 49.2734   ? 301 GLN F C   301 GLN F C   1 
ATOM 16642 O O   . GLN C 3 301 ? 251.506 -129.556 216.049 1.0 49.2734   ? 301 GLN F O   301 GLN F O   1 
ATOM 16643 C CB  . GLN C 3 301 ? 249.144 -131.286 216.515 1.0 49.2734   ? 301 GLN F CB  301 GLN F CB  1 
ATOM 16644 C CG  . GLN C 3 301 ? 247.961 -131.645 217.386 1.0 49.2734   ? 301 GLN F CG  301 GLN F CG  1 
ATOM 16645 C CD  . GLN C 3 301 ? 247.908 -130.839 218.662 1.0 49.2734   ? 301 GLN F CD  301 GLN F CD  1 
ATOM 16646 O OE1 . GLN C 3 301 ? 247.016 -130.017 218.852 1.0 49.2734   ? 301 GLN F OE1 301 GLN F OE1 1 
ATOM 16647 N NE2 . GLN C 3 301 ? 248.872 -131.066 219.545 1.0 49.2734   ? 301 GLN F NE2 301 GLN F NE2 1 
ATOM 16648 N N   . LEU C 3 302 ? 250.655 -129.715 213.971 1.0 44.48748  ? 302 LEU F N   302 LEU F N   1 
ATOM 16649 C CA  . LEU C 3 302 ? 251.948 -129.746 213.296 1.0 44.48748  ? 302 LEU F CA  302 LEU F CA  1 
ATOM 16650 C C   . LEU C 3 302 ? 252.777 -128.487 213.562 1.0 44.48748  ? 302 LEU F C   302 LEU F C   1 
ATOM 16651 O O   . LEU C 3 302 ? 252.260 -127.413 213.874 1.0 44.48748  ? 302 LEU F O   302 LEU F O   1 
ATOM 16652 C CB  . LEU C 3 302 ? 251.744 -129.955 211.792 1.0 44.48748  ? 302 LEU F CB  302 LEU F CB  1 
ATOM 16653 C CG  . LEU C 3 302 ? 250.848 -129.018 210.974 1.0 44.48748  ? 302 LEU F CG  302 LEU F CG  1 
ATOM 16654 C CD1 . LEU C 3 302 ? 251.583 -127.810 210.391 1.0 44.48748  ? 302 LEU F CD1 302 LEU F CD1 1 
ATOM 16655 C CD2 . LEU C 3 302 ? 250.161 -129.804 209.874 1.0 44.48748  ? 302 LEU F CD2 302 LEU F CD2 1 
ATOM 16656 N N   . ASN C 3 303 ? 254.090 -128.652 213.424 1.0 41.74625  ? 303 ASN F N   303 ASN F N   1 
ATOM 16657 C CA  . ASN C 3 303 ? 255.105 -127.680 213.791 1.0 41.74625  ? 303 ASN F CA  303 ASN F CA  1 
ATOM 16658 C C   . ASN C 3 303 ? 255.076 -126.485 212.841 1.0 41.74625  ? 303 ASN F C   303 ASN F C   1 
ATOM 16659 O O   . ASN C 3 303 ? 254.549 -126.551 211.730 1.0 41.74625  ? 303 ASN F O   303 ASN F O   1 
ATOM 16660 C CB  . ASN C 3 303 ? 256.482 -128.353 213.771 1.0 41.74625  ? 303 ASN F CB  303 ASN F CB  1 
ATOM 16661 C CG  . ASN C 3 303 ? 257.535 -127.566 214.507 1.0 41.74625  ? 303 ASN F CG  303 ASN F CG  1 
ATOM 16662 O OD1 . ASN C 3 303 ? 257.265 -126.490 215.029 1.0 41.74625  ? 303 ASN F OD1 303 ASN F OD1 1 
ATOM 16663 N ND2 . ASN C 3 303 ? 258.745 -128.102 214.559 1.0 41.74625  ? 303 ASN F ND2 303 ASN F ND2 1 
ATOM 16664 N N   . ILE C 3 304 ? 255.654 -125.379 213.299 1.0 38.42799  ? 304 ILE F N   304 ILE F N   1 
ATOM 16665 C CA  . ILE C 3 304 ? 255.704 -124.149 212.519 1.0 38.42799  ? 304 ILE F CA  304 ILE F CA  1 
ATOM 16666 C C   . ILE C 3 304 ? 257.143 -123.757 212.213 1.0 38.42799  ? 304 ILE F C   304 ILE F C   1 
ATOM 16667 O O   . ILE C 3 304 ? 257.446 -123.244 211.128 1.0 38.42799  ? 304 ILE F O   304 ILE F O   1 
ATOM 16668 C CB  . ILE C 3 304 ? 254.922 -123.054 213.265 1.0 38.42799  ? 304 ILE F CB  304 ILE F CB  1 
ATOM 16669 C CG1 . ILE C 3 304 ? 253.440 -123.264 213.001 1.0 38.42799  ? 304 ILE F CG1 304 ILE F CG1 1 
ATOM 16670 C CG2 . ILE C 3 304 ? 255.403 -121.647 212.968 1.0 38.42799  ? 304 ILE F CG2 304 ILE F CG2 1 
ATOM 16671 C CD1 . ILE C 3 304 ? 252.582 -122.437 213.817 1.0 38.42799  ? 304 ILE F CD1 304 ILE F CD1 1 
ATOM 16672 N N   . VAL C 3 305 ? 258.055 -124.081 213.118 1.0 40.36246  ? 305 VAL F N   305 VAL F N   1 
ATOM 16673 C CA  . VAL C 3 305 ? 259.451 -123.734 212.906 1.0 40.36246  ? 305 VAL F CA  305 VAL F CA  1 
ATOM 16674 C C   . VAL C 3 305 ? 260.044 -124.745 211.939 1.0 40.36246  ? 305 VAL F C   305 VAL F C   1 
ATOM 16675 O O   . VAL C 3 305 ? 260.517 -125.812 212.345 1.0 40.36246  ? 305 VAL F O   305 VAL F O   1 
ATOM 16676 C CB  . VAL C 3 305 ? 260.223 -123.714 214.230 1.0 40.36246  ? 305 VAL F CB  305 VAL F CB  1 
ATOM 16677 C CG1 . VAL C 3 305 ? 261.632 -123.188 214.019 1.0 40.36246  ? 305 VAL F CG1 305 VAL F CG1 1 
ATOM 16678 C CG2 . VAL C 3 305 ? 259.466 -122.917 215.252 1.0 40.36246  ? 305 VAL F CG2 305 VAL F CG2 1 
ATOM 16679 N N   . LEU C 3 306 ? 260.003 -124.426 210.650 1.0 40.38283  ? 306 LEU F N   306 LEU F N   1 
ATOM 16680 C CA  . LEU C 3 306 ? 260.548 -125.312 209.627 1.0 40.38283  ? 306 LEU F CA  306 LEU F CA  1 
ATOM 16681 C C   . LEU C 3 306 ? 261.955 -124.827 209.316 1.0 40.38283  ? 306 LEU F C   306 LEU F C   1 
ATOM 16682 O O   . LEU C 3 306 ? 262.180 -124.041 208.397 1.0 40.38283  ? 306 LEU F O   306 LEU F O   1 
ATOM 16683 C CB  . LEU C 3 306 ? 259.653 -125.334 208.396 1.0 40.38283  ? 306 LEU F CB  306 LEU F CB  1 
ATOM 16684 C CG  . LEU C 3 306 ? 258.248 -125.882 208.652 1.0 40.38283  ? 306 LEU F CG  306 LEU F CG  1 
ATOM 16685 C CD1 . LEU C 3 306 ? 257.388 -125.757 207.412 1.0 40.38283  ? 306 LEU F CD1 306 LEU F CD1 1 
ATOM 16686 C CD2 . LEU C 3 306 ? 258.307 -127.324 209.123 1.0 40.38283  ? 306 LEU F CD2 306 LEU F CD2 1 
ATOM 16687 N N   . ASP C 3 307 ? 262.909 -125.289 210.118 1.0 43.75046  ? 307 ASP F N   307 ASP F N   1 
ATOM 16688 C CA  . ASP C 3 307 ? 264.304 -124.935 209.920 1.0 43.75046  ? 307 ASP F CA  307 ASP F CA  1 
ATOM 16689 C C   . ASP C 3 307 ? 264.870 -125.651 208.704 1.0 43.75046  ? 307 ASP F C   307 ASP F C   1 
ATOM 16690 O O   . ASP C 3 307 ? 264.382 -126.706 208.292 1.0 43.75046  ? 307 ASP F O   307 ASP F O   1 
ATOM 16691 C CB  . ASP C 3 307 ? 265.129 -125.289 211.156 1.0 43.75046  ? 307 ASP F CB  307 ASP F CB  1 
ATOM 16692 C CG  . ASP C 3 307 ? 264.892 -124.339 212.313 1.0 43.75046  ? 307 ASP F CG  307 ASP F CG  1 
ATOM 16693 O OD1 . ASP C 3 307 ? 264.610 -123.154 212.058 1.0 43.75046  ? 307 ASP F OD1 307 ASP F OD1 1 
ATOM 16694 O OD2 . ASP C 3 307 ? 264.992 -124.775 213.478 1.0 43.75046  ? 307 ASP F OD2 307 ASP F OD2 1 
ATOM 16695 N N   . LEU C 3 308 ? 265.910 -125.061 208.125 1.0 42.88156  ? 308 LEU F N   308 LEU F N   1 
ATOM 16696 C CA  . LEU C 3 308 ? 266.579 -125.605 206.957 1.0 42.88156  ? 308 LEU F CA  308 LEU F CA  1 
ATOM 16697 C C   . LEU C 3 308 ? 268.079 -125.655 207.200 1.0 42.88156  ? 308 LEU F C   308 LEU F C   1 
ATOM 16698 O O   . LEU C 3 308 ? 268.614 -124.939 208.046 1.0 42.88156  ? 308 LEU F O   308 LEU F O   1 
ATOM 16699 C CB  . LEU C 3 308 ? 266.289 -124.766 205.714 1.0 42.88156  ? 308 LEU F CB  308 LEU F CB  1 
ATOM 16700 C CG  . LEU C 3 308 ? 264.826 -124.725 205.296 1.0 42.88156  ? 308 LEU F CG  308 LEU F CG  1 
ATOM 16701 C CD1 . LEU C 3 308 ? 264.635 -123.796 204.120 1.0 42.88156  ? 308 LEU F CD1 308 LEU F CD1 1 
ATOM 16702 C CD2 . LEU C 3 308 ? 264.356 -126.119 204.980 1.0 42.88156  ? 308 LEU F CD2 308 LEU F CD2 1 
ATOM 16703 N N   . ASN C 3 309 ? 268.760 -126.515 206.444 1.0 46.38781  ? 309 ASN F N   309 ASN F N   1 
ATOM 16704 C CA  . ASN C 3 309 ? 270.214 -126.540 206.508 1.0 46.38781  ? 309 ASN F CA  309 ASN F CA  1 
ATOM 16705 C C   . ASN C 3 309 ? 270.838 -125.370 205.762 1.0 46.38781  ? 309 ASN F C   309 ASN F C   1 
ATOM 16706 O O   . ASN C 3 309 ? 271.989 -125.019 206.036 1.0 46.38781  ? 309 ASN F O   309 ASN F O   1 
ATOM 16707 C CB  . ASN C 3 309 ? 270.743 -127.857 205.947 1.0 46.38781  ? 309 ASN F CB  309 ASN F CB  1 
ATOM 16708 C CG  . ASN C 3 309 ? 270.431 -129.039 206.842 1.0 46.38781  ? 309 ASN F CG  309 ASN F CG  1 
ATOM 16709 O OD1 . ASN C 3 309 ? 270.553 -128.957 208.064 1.0 46.38781  ? 309 ASN F OD1 309 ASN F OD1 1 
ATOM 16710 N ND2 . ASN C 3 309 ? 270.024 -130.147 206.236 1.0 46.38781  ? 309 ASN F ND2 309 ASN F ND2 1 
ATOM 16711 N N   . ASP C 3 310 ? 270.104 -124.759 204.833 1.0 44.99526  ? 310 ASP F N   310 ASP F N   1 
ATOM 16712 C CA  . ASP C 3 310 ? 270.642 -123.657 204.045 1.0 44.99526  ? 310 ASP F CA  310 ASP F CA  1 
ATOM 16713 C C   . ASP C 3 310 ? 270.598 -122.340 204.805 1.0 44.99526  ? 310 ASP F C   310 ASP F C   1 
ATOM 16714 O O   . ASP C 3 310 ? 271.498 -121.509 204.659 1.0 44.99526  ? 310 ASP F O   310 ASP F O   1 
ATOM 16715 C CB  . ASP C 3 310 ? 269.868 -123.527 202.738 1.0 44.99526  ? 310 ASP F CB  310 ASP F CB  1 
ATOM 16716 C CG  . ASP C 3 310 ? 270.122 -124.678 201.794 1.0 44.99526  ? 310 ASP F CG  310 ASP F CG  1 
ATOM 16717 O OD1 . ASP C 3 310 ? 271.227 -125.254 201.840 1.0 44.99526  ? 310 ASP F OD1 310 ASP F OD1 1 
ATOM 16718 O OD2 . ASP C 3 310 ? 269.215 -125.007 201.001 1.0 44.99526  ? 310 ASP F OD2 310 ASP F OD2 1 
ATOM 16719 N N   . ARG C 3 311 ? 269.559 -122.128 205.603 1.0 41.97635  ? 311 ARG F N   311 ARG F N   1 
ATOM 16720 C CA  . ARG C 3 311 ? 269.377 -120.856 206.286 1.0 41.97635  ? 311 ARG F CA  311 ARG F CA  1 
ATOM 16721 C C   . ARG C 3 311 ? 270.350 -120.724 207.452 1.0 41.97635  ? 311 ARG F C   311 ARG F C   1 
ATOM 16722 O O   . ARG C 3 311 ? 270.601 -121.685 208.182 1.0 41.97635  ? 311 ARG F O   311 ARG F O   1 
ATOM 16723 C CB  . ARG C 3 311 ? 267.939 -120.742 206.784 1.0 41.97635  ? 311 ARG F CB  311 ARG F CB  1 
ATOM 16724 C CG  . ARG C 3 311 ? 267.583 -119.413 207.405 1.0 41.97635  ? 311 ARG F CG  311 ARG F CG  1 
ATOM 16725 C CD  . ARG C 3 311 ? 266.145 -119.396 207.869 1.0 41.97635  ? 311 ARG F CD  311 ARG F CD  1 
ATOM 16726 N NE  . ARG C 3 311 ? 265.199 -119.488 206.762 1.0 41.97635  ? 311 ARG F NE  311 ARG F NE  1 
ATOM 16727 C CZ  . ARG C 3 311 ? 264.383 -120.515 206.559 1.0 41.97635  ? 311 ARG F CZ  311 ARG F CZ  1 
ATOM 16728 N NH1 . ARG C 3 311 ? 264.395 -121.546 207.388 1.0 41.97635  ? 311 ARG F NH1 311 ARG F NH1 1 
ATOM 16729 N NH2 . ARG C 3 311 ? 263.553 -120.509 205.527 1.0 41.97635  ? 311 ARG F NH2 311 ARG F NH2 1 
ATOM 16730 N N   . ASN C 3 312 ? 270.908 -119.529 207.619 1.0 40.55692  ? 312 ASN F N   312 ASN F N   1 
ATOM 16731 C CA  . ASN C 3 312 ? 271.788 -119.217 208.742 1.0 40.55692  ? 312 ASN F CA  312 ASN F CA  1 
ATOM 16732 C C   . ASN C 3 312 ? 271.104 -118.118 209.550 1.0 40.55692  ? 312 ASN F C   312 ASN F C   1 
ATOM 16733 O O   . ASN C 3 312 ? 271.096 -116.951 209.160 1.0 40.55692  ? 312 ASN F O   312 ASN F O   1 
ATOM 16734 C CB  . ASN C 3 312 ? 273.167 -118.794 208.263 1.0 40.55692  ? 312 ASN F CB  312 ASN F CB  1 
ATOM 16735 C CG  . ASN C 3 312 ? 274.199 -118.815 209.361 1.0 40.55692  ? 312 ASN F CG  312 ASN F CG  1 
ATOM 16736 O OD1 . ASN C 3 312 ? 273.892 -119.125 210.509 1.0 40.55692  ? 312 ASN F OD1 312 ASN F OD1 1 
ATOM 16737 N ND2 . ASN C 3 312 ? 275.438 -118.498 209.014 1.0 40.55692  ? 312 ASN F ND2 312 ASN F ND2 1 
ATOM 16738 N N   . SER C 3 313 ? 270.520 -118.507 210.682 1.0 39.34366  ? 313 SER F N   313 SER F N   1 
ATOM 16739 C CA  . SER C 3 313 ? 269.790 -117.552 211.505 1.0 39.34366  ? 313 SER F CA  313 SER F CA  1 
ATOM 16740 C C   . SER C 3 313 ? 270.719 -116.853 212.481 1.0 39.34366  ? 313 SER F C   313 SER F C   1 
ATOM 16741 O O   . SER C 3 313 ? 270.366 -115.816 213.050 1.0 39.34366  ? 313 SER F O   313 SER F O   1 
ATOM 16742 C CB  . SER C 3 313 ? 268.663 -118.257 212.250 1.0 39.34366  ? 313 SER F CB  313 SER F CB  1 
ATOM 16743 O OG  . SER C 3 313 ? 267.704 -118.752 211.339 1.0 39.34366  ? 313 SER F OG  313 SER F OG  1 
ATOM 16744 N N   . GLU C 3 314 ? 271.908 -117.409 212.692 1.0 39.90071  ? 314 GLU F N   314 GLU F N   1 
ATOM 16745 C CA  . GLU C 3 314 ? 272.873 -116.746 213.553 1.0 39.90071  ? 314 GLU F CA  314 GLU F CA  1 
ATOM 16746 C C   . GLU C 3 314 ? 273.474 -115.530 212.864 1.0 39.90071  ? 314 GLU F C   314 GLU F C   1 
ATOM 16747 O O   . GLU C 3 314 ? 273.541 -114.445 213.450 1.0 39.90071  ? 314 GLU F O   314 GLU F O   1 
ATOM 16748 C CB  . GLU C 3 314 ? 273.976 -117.720 213.940 1.0 39.90071  ? 314 GLU F CB  314 GLU F CB  1 
ATOM 16749 C CG  . GLU C 3 314 ? 273.548 -118.958 214.682 1.0 39.90071  ? 314 GLU F CG  314 GLU F CG  1 
ATOM 16750 C CD  . GLU C 3 314 ? 273.064 -118.692 216.086 1.0 39.90071  ? 314 GLU F CD  314 GLU F CD  1 
ATOM 16751 O OE1 . GLU C 3 314 ? 273.370 -117.636 216.670 1.0 39.90071  ? 314 GLU F OE1 314 GLU F OE1 1 
ATOM 16752 O OE2 . GLU C 3 314 ? 272.445 -119.599 216.659 1.0 39.90071  ? 314 GLU F OE2 314 GLU F OE2 1 
ATOM 16753 N N   . LEU C 3 315 ? 273.908 -115.689 211.614 1.0 37.83701  ? 315 LEU F N   315 LEU F N   1 
ATOM 16754 C CA  . LEU C 3 315 ? 274.575 -114.593 210.924 1.0 37.83701  ? 315 LEU F CA  315 LEU F CA  1 
ATOM 16755 C C   . LEU C 3 315 ? 273.570 -113.560 210.436 1.0 37.83701  ? 315 LEU F C   315 LEU F C   1 
ATOM 16756 O O   . LEU C 3 315 ? 273.924 -112.396 210.225 1.0 37.83701  ? 315 LEU F O   315 LEU F O   1 
ATOM 16757 C CB  . LEU C 3 315 ? 275.423 -115.145 209.775 1.0 37.83701  ? 315 LEU F CB  315 LEU F CB  1 
ATOM 16758 C CG  . LEU C 3 315 ? 276.384 -114.244 208.991 1.0 37.83701  ? 315 LEU F CG  315 LEU F CG  1 
ATOM 16759 C CD1 . LEU C 3 315 ? 277.608 -115.023 208.598 1.0 37.83701  ? 315 LEU F CD1 315 LEU F CD1 1 
ATOM 16760 C CD2 . LEU C 3 315 ? 275.743 -113.694 207.734 1.0 37.83701  ? 315 LEU F CD2 315 LEU F CD2 1 
ATOM 16761 N N   . SER C 3 316 ? 272.310 -113.957 210.257 1.0 37.63706  ? 316 SER F N   316 SER F N   1 
ATOM 16762 C CA  . SER C 3 316 ? 271.293 -112.987 209.870 1.0 37.63706  ? 316 SER F CA  316 SER F CA  1 
ATOM 16763 C C   . SER C 3 316 ? 270.936 -112.080 211.034 1.0 37.63706  ? 316 SER F C   316 SER F C   1 
ATOM 16764 O O   . SER C 3 316 ? 270.496 -110.944 210.833 1.0 37.63706  ? 316 SER F O   316 SER F O   1 
ATOM 16765 C CB  . SER C 3 316 ? 270.047 -113.700 209.364 1.0 37.63706  ? 316 SER F CB  316 SER F CB  1 
ATOM 16766 O OG  . SER C 3 316 ? 269.412 -114.388 210.422 1.0 37.63706  ? 316 SER F OG  316 SER F OG  1 
ATOM 16767 N N   . TYR C 3 317 ? 271.105 -112.568 212.262 1.0 36.99507  ? 317 TYR F N   317 TYR F N   1 
ATOM 16768 C CA  . TYR C 3 317 ? 270.889 -111.720 213.425 1.0 36.99507  ? 317 TYR F CA  317 TYR F CA  1 
ATOM 16769 C C   . TYR C 3 317 ? 272.046 -110.751 213.610 1.0 36.99507  ? 317 TYR F C   317 TYR F C   1 
ATOM 16770 O O   . TYR C 3 317 ? 271.876 -109.674 214.190 1.0 36.99507  ? 317 TYR F O   317 TYR F O   1 
ATOM 16771 C CB  . TYR C 3 317 ? 270.705 -112.581 214.668 1.0 36.99507  ? 317 TYR F CB  317 TYR F CB  1 
ATOM 16772 C CG  . TYR C 3 317 ? 270.401 -111.812 215.926 1.0 36.99507  ? 317 TYR F CG  317 TYR F CG  1 
ATOM 16773 C CD1 . TYR C 3 317 ? 269.132 -111.312 216.168 1.0 36.99507  ? 317 TYR F CD1 317 TYR F CD1 1 
ATOM 16774 C CD2 . TYR C 3 317 ? 271.386 -111.587 216.874 1.0 36.99507  ? 317 TYR F CD2 317 TYR F CD2 1 
ATOM 16775 C CE1 . TYR C 3 317 ? 268.851 -110.613 217.323 1.0 36.99507  ? 317 TYR F CE1 317 TYR F CE1 1 
ATOM 16776 C CE2 . TYR C 3 317 ? 271.115 -110.893 218.029 1.0 36.99507  ? 317 TYR F CE2 317 TYR F CE2 1 
ATOM 16777 C CZ  . TYR C 3 317 ? 269.848 -110.407 218.248 1.0 36.99507  ? 317 TYR F CZ  317 TYR F CZ  1 
ATOM 16778 O OH  . TYR C 3 317 ? 269.583 -109.712 219.402 1.0 36.99507  ? 317 TYR F OH  317 TYR F OH  1 
ATOM 16779 N N   . GLN C 3 318 ? 273.233 -111.117 213.127 1.0 37.0057   ? 318 GLN F N   318 GLN F N   1 
ATOM 16780 C CA  . GLN C 3 318 ? 274.374 -110.216 213.224 1.0 37.0057   ? 318 GLN F CA  318 GLN F CA  1 
ATOM 16781 C C   . GLN C 3 318 ? 274.227 -109.043 212.270 1.0 37.0057   ? 318 GLN F C   318 GLN F C   1 
ATOM 16782 O O   . GLN C 3 318 ? 274.574 -107.908 212.612 1.0 37.0057   ? 318 GLN F O   318 GLN F O   1 
ATOM 16783 C CB  . GLN C 3 318 ? 275.666 -110.973 212.939 1.0 37.0057   ? 318 GLN F CB  318 GLN F CB  1 
ATOM 16784 C CG  . GLN C 3 318 ? 275.975 -112.042 213.952 1.0 37.0057   ? 318 GLN F CG  318 GLN F CG  1 
ATOM 16785 C CD  . GLN C 3 318 ? 276.206 -111.472 215.322 1.0 37.0057   ? 318 GLN F CD  318 GLN F CD  1 
ATOM 16786 O OE1 . GLN C 3 318 ? 275.383 -111.629 216.219 1.0 37.0057   ? 318 GLN F OE1 318 GLN F OE1 1 
ATOM 16787 N NE2 . GLN C 3 318 ? 277.334 -110.801 215.495 1.0 37.0057   ? 318 GLN F NE2 318 GLN F NE2 1 
ATOM 16788 N N   . TYR C 3 319 ? 273.707 -109.291 211.069 1.0 36.58429  ? 319 TYR F N   319 TYR F N   1 
ATOM 16789 C CA  . TYR C 3 319 ? 273.554 -108.201 210.114 1.0 36.58429  ? 319 TYR F CA  319 TYR F CA  1 
ATOM 16790 C C   . TYR C 3 319 ? 272.323 -107.364 210.427 1.0 36.58429  ? 319 TYR F C   319 TYR F C   1 
ATOM 16791 O O   . TYR C 3 319 ? 272.292 -106.166 210.129 1.0 36.58429  ? 319 TYR F O   319 TYR F O   1 
ATOM 16792 C CB  . TYR C 3 319 ? 273.486 -108.740 208.686 1.0 36.58429  ? 319 TYR F CB  319 TYR F CB  1 
ATOM 16793 C CG  . TYR C 3 319 ? 274.799 -109.248 208.130 1.0 36.58429  ? 319 TYR F CG  319 TYR F CG  1 
ATOM 16794 C CD1 . TYR C 3 319 ? 275.991 -109.057 208.808 1.0 36.58429  ? 319 TYR F CD1 319 TYR F CD1 1 
ATOM 16795 C CD2 . TYR C 3 319 ? 274.848 -109.878 206.900 1.0 36.58429  ? 319 TYR F CD2 319 TYR F CD2 1 
ATOM 16796 C CE1 . TYR C 3 319 ? 277.184 -109.511 208.293 1.0 36.58429  ? 319 TYR F CE1 319 TYR F CE1 1 
ATOM 16797 C CE2 . TYR C 3 319 ? 276.038 -110.320 206.372 1.0 36.58429  ? 319 TYR F CE2 319 TYR F CE2 1 
ATOM 16798 C CZ  . TYR C 3 319 ? 277.200 -110.141 207.077 1.0 36.58429  ? 319 TYR F CZ  319 TYR F CZ  1 
ATOM 16799 O OH  . TYR C 3 319 ? 278.391 -110.588 206.559 1.0 36.58429  ? 319 TYR F OH  319 TYR F OH  1 
ATOM 16800 N N   . LEU C 3 320 ? 271.295 -107.977 211.017 1.0 36.29401  ? 320 LEU F N   320 LEU F N   1 
ATOM 16801 C CA  . LEU C 3 320 ? 270.118 -107.222 211.431 1.0 36.29401  ? 320 LEU F CA  320 LEU F CA  1 
ATOM 16802 C C   . LEU C 3 320 ? 270.442 -106.277 212.571 1.0 36.29401  ? 320 LEU F C   320 LEU F C   1 
ATOM 16803 O O   . LEU C 3 320 ? 269.928 -105.158 212.627 1.0 36.29401  ? 320 LEU F O   320 LEU F O   1 
ATOM 16804 C CB  . LEU C 3 320 ? 269.004 -108.172 211.854 1.0 36.29401  ? 320 LEU F CB  320 LEU F CB  1 
ATOM 16805 C CG  . LEU C 3 320 ? 267.720 -107.508 212.341 1.0 36.29401  ? 320 LEU F CG  320 LEU F CG  1 
ATOM 16806 C CD1 . LEU C 3 320 ? 267.044 -106.737 211.215 1.0 36.29401  ? 320 LEU F CD1 320 LEU F CD1 1 
ATOM 16807 C CD2 . LEU C 3 320 ? 266.796 -108.523 212.959 1.0 36.29401  ? 320 LEU F CD2 320 LEU F CD2 1 
ATOM 16808 N N   . LEU C 3 321 ? 271.302 -106.700 213.477 1.0 36.45506  ? 321 LEU F N   321 LEU F N   1 
ATOM 16809 C CA  . LEU C 3 321 ? 271.653 -105.851 214.595 1.0 36.45506  ? 321 LEU F CA  321 LEU F CA  1 
ATOM 16810 C C   . LEU C 3 321 ? 272.701 -104.814 214.212 1.0 36.45506  ? 321 LEU F C   321 LEU F C   1 
ATOM 16811 O O   . LEU C 3 321 ? 272.872 -103.829 214.934 1.0 36.45506  ? 321 LEU F O   321 LEU F O   1 
ATOM 16812 C CB  . LEU C 3 321 ? 272.107 -106.748 215.745 1.0 36.45506  ? 321 LEU F CB  321 LEU F CB  1 
ATOM 16813 C CG  . LEU C 3 321 ? 272.228 -106.245 217.170 1.0 36.45506  ? 321 LEU F CG  321 LEU F CG  1 
ATOM 16814 C CD1 . LEU C 3 321 ? 271.864 -107.357 218.126 1.0 36.45506  ? 321 LEU F CD1 321 LEU F CD1 1 
ATOM 16815 C CD2 . LEU C 3 321 ? 273.624 -105.845 217.405 1.0 36.45506  ? 321 LEU F CD2 321 LEU F CD2 1 
ATOM 16816 N N   . ALA C 3 322 ? 273.372 -104.982 213.074 1.0 38.41718  ? 322 ALA F N   322 ALA F N   1 
ATOM 16817 C CA  . ALA C 3 322 ? 274.468 -104.090 212.727 1.0 38.41718  ? 322 ALA F CA  322 ALA F CA  1 
ATOM 16818 C C   . ALA C 3 322 ? 274.007 -102.778 212.112 1.0 38.41718  ? 322 ALA F C   322 ALA F C   1 
ATOM 16819 O O   . ALA C 3 322 ? 274.768 -101.806 212.143 1.0 38.41718  ? 322 ALA F O   322 ALA F O   1 
ATOM 16820 C CB  . ALA C 3 322 ? 275.436 -104.781 211.769 1.0 38.41718  ? 322 ALA F CB  322 ALA F CB  1 
ATOM 16821 N N   . ASP C 3 323 ? 272.797 -102.715 211.550 1.0 40.71109  ? 323 ASP F N   323 ASP F N   1 
ATOM 16822 C CA  . ASP C 3 323 ? 272.299 -101.453 211.022 1.0 40.71109  ? 323 ASP F CA  323 ASP F CA  1 
ATOM 16823 C C   . ASP C 3 323 ? 271.257 -100.780 211.903 1.0 40.71109  ? 323 ASP F C   323 ASP F C   1 
ATOM 16824 O O   . ASP C 3 323 ? 270.999 -99.588  211.716 1.0 40.71109  ? 323 ASP F O   323 ASP F O   1 
ATOM 16825 C CB  . ASP C 3 323 ? 271.728 -101.628 209.603 1.0 40.71109  ? 323 ASP F CB  323 ASP F CB  1 
ATOM 16826 C CG  . ASP C 3 323 ? 270.582 -102.607 209.530 1.0 40.71109  ? 323 ASP F CG  323 ASP F CG  1 
ATOM 16827 O OD1 . ASP C 3 323 ? 270.303 -103.301 210.520 1.0 40.71109  ? 323 ASP F OD1 323 ASP F OD1 1 
ATOM 16828 O OD2 . ASP C 3 323 ? 269.935 -102.665 208.465 1.0 40.71109  ? 323 ASP F OD2 323 ASP F OD2 1 
ATOM 16829 N N   . LEU C 3 324 ? 270.651 -101.505 212.843 1.0 38.86173  ? 324 LEU F N   324 LEU F N   1 
ATOM 16830 C CA  . LEU C 3 324 ? 269.778 -100.860 213.816 1.0 38.86173  ? 324 LEU F CA  324 LEU F CA  1 
ATOM 16831 C C   . LEU C 3 324 ? 270.586 -99.981  214.757 1.0 38.86173  ? 324 LEU F C   324 LEU F C   1 
ATOM 16832 O O   . LEU C 3 324 ? 270.357 -98.770  214.849 1.0 38.86173  ? 324 LEU F O   324 LEU F O   1 
ATOM 16833 C CB  . LEU C 3 324 ? 268.996 -101.906 214.608 1.0 38.86173  ? 324 LEU F CB  324 LEU F CB  1 
ATOM 16834 C CG  . LEU C 3 324 ? 267.978 -102.743 213.842 1.0 38.86173  ? 324 LEU F CG  324 LEU F CG  1 
ATOM 16835 C CD1 . LEU C 3 324 ? 267.363 -103.777 214.763 1.0 38.86173  ? 324 LEU F CD1 324 LEU F CD1 1 
ATOM 16836 C CD2 . LEU C 3 324 ? 266.911 -101.865 213.224 1.0 38.86173  ? 324 LEU F CD2 324 LEU F CD2 1 
ATOM 16837 N N   . THR C 3 325 ? 271.541 -100.575 215.460 1.0 40.30975  ? 325 THR F N   325 THR F N   1 
ATOM 16838 C CA  . THR C 3 325 ? 272.385 -99.864  216.403 1.0 40.30975  ? 325 THR F CA  325 THR F CA  1 
ATOM 16839 C C   . THR C 3 325 ? 273.836 -99.955  215.961 1.0 40.30975  ? 325 THR F C   325 THR F C   1 
ATOM 16840 O O   . THR C 3 325 ? 274.200 -100.774 215.116 1.0 40.30975  ? 325 THR F O   325 THR F O   1 
ATOM 16841 C CB  . THR C 3 325 ? 272.252 -100.440 217.813 1.0 40.30975  ? 325 THR F CB  325 THR F CB  1 
ATOM 16842 O OG1 . THR C 3 325 ? 272.725 -101.790 217.815 1.0 40.30975  ? 325 THR F OG1 325 THR F OG1 1 
ATOM 16843 C CG2 . THR C 3 325 ? 270.807 -100.432 218.254 1.0 40.30975  ? 325 THR F CG2 325 THR F CG2 1 
ATOM 16844 N N   . SER C 3 326 ? 274.667 -99.105  216.548 1.0 41.5715   ? 326 SER F N   326 SER F N   1 
ATOM 16845 C CA  . SER C 3 326 ? 276.096 -99.227  216.341 1.0 41.5715   ? 326 SER F CA  326 SER F CA  1 
ATOM 16846 C C   . SER C 3 326 ? 276.645 -100.369 217.186 1.0 41.5715   ? 326 SER F C   326 SER F C   1 
ATOM 16847 O O   . SER C 3 326 ? 275.964 -100.924 218.051 1.0 41.5715   ? 326 SER F O   326 SER F O   1 
ATOM 16848 C CB  . SER C 3 326 ? 276.806 -97.922  216.681 1.0 41.5715   ? 326 SER F CB  326 SER F CB  1 
ATOM 16849 O OG  . SER C 3 326 ? 278.205 -98.055  216.515 1.0 41.5715   ? 326 SER F OG  326 SER F OG  1 
ATOM 16850 N N   . ARG C 3 327 ? 277.898 -100.726 216.927 1.0 41.30711  ? 327 ARG F N   327 ARG F N   1 
ATOM 16851 C CA  . ARG C 3 327 ? 278.541 -101.826 217.628 1.0 41.30711  ? 327 ARG F CA  327 ARG F CA  1 
ATOM 16852 C C   . ARG C 3 327 ? 279.659 -101.350 218.542 1.0 41.30711  ? 327 ARG F C   327 ARG F C   1 
ATOM 16853 O O   . ARG C 3 327 ? 280.551 -102.129 218.878 1.0 41.30711  ? 327 ARG F O   327 ARG F O   1 
ATOM 16854 C CB  . ARG C 3 327 ? 279.048 -102.849 216.614 1.0 41.30711  ? 327 ARG F CB  327 ARG F CB  1 
ATOM 16855 C CG  . ARG C 3 327 ? 277.912 -103.377 215.766 1.0 41.30711  ? 327 ARG F CG  327 ARG F CG  1 
ATOM 16856 C CD  . ARG C 3 327 ? 276.951 -104.169 216.615 1.0 41.30711  ? 327 ARG F CD  327 ARG F CD  1 
ATOM 16857 N NE  . ARG C 3 327 ? 277.392 -105.538 216.883 1.0 41.30711  ? 327 ARG F NE  327 ARG F NE  1 
ATOM 16858 C CZ  . ARG C 3 327 ? 277.102 -106.205 217.995 1.0 41.30711  ? 327 ARG F CZ  327 ARG F CZ  1 
ATOM 16859 N NH1 . ARG C 3 327 ? 276.475 -105.598 218.983 1.0 41.30711  ? 327 ARG F NH1 327 ARG F NH1 1 
ATOM 16860 N NH2 . ARG C 3 327 ? 277.516 -107.443 218.164 1.0 41.30711  ? 327 ARG F NH2 327 ARG F NH2 1 
ATOM 16861 N N   . TRP C 3 328 ? 279.637 -100.083 218.944 1.0 46.8426   ? 328 TRP F N   328 TRP F N   1 
ATOM 16862 C CA  . TRP C 3 328 ? 280.596 -99.583  219.916 1.0 46.8426   ? 328 TRP F CA  328 TRP F CA  1 
ATOM 16863 C C   . TRP C 3 328 ? 280.081 -99.680  221.342 1.0 46.8426   ? 328 TRP F C   328 TRP F C   1 
ATOM 16864 O O   . TRP C 3 328 ? 280.808 -99.314  222.270 1.0 46.8426   ? 328 TRP F O   328 TRP F O   1 
ATOM 16865 C CB  . TRP C 3 328 ? 280.961 -98.131  219.595 1.0 46.8426   ? 328 TRP F CB  328 TRP F CB  1 
ATOM 16866 C CG  . TRP C 3 328 ? 281.764 -97.980  218.339 1.0 46.8426   ? 328 TRP F CG  328 TRP F CG  1 
ATOM 16867 C CD1 . TRP C 3 328 ? 282.326 -98.980  217.603 1.0 46.8426   ? 328 TRP F CD1 328 TRP F CD1 1 
ATOM 16868 C CD2 . TRP C 3 328 ? 282.085 -96.757  217.663 1.0 46.8426   ? 328 TRP F CD2 328 TRP F CD2 1 
ATOM 16869 N NE1 . TRP C 3 328 ? 282.980 -98.460  216.514 1.0 46.8426   ? 328 TRP F NE1 328 TRP F NE1 1 
ATOM 16870 C CE2 . TRP C 3 328 ? 282.848 -97.096  216.527 1.0 46.8426   ? 328 TRP F CE2 328 TRP F CE2 1 
ATOM 16871 C CE3 . TRP C 3 328 ? 281.805 -95.409  217.909 1.0 46.8426   ? 328 TRP F CE3 328 TRP F CE3 1 
ATOM 16872 C CZ2 . TRP C 3 328 ? 283.333 -96.137  215.639 1.0 46.8426   ? 328 TRP F CZ2 328 TRP F CZ2 1 
ATOM 16873 C CZ3 . TRP C 3 328 ? 282.289 -94.457  217.026 1.0 46.8426   ? 328 TRP F CZ3 328 TRP F CZ3 1 
ATOM 16874 C CH2 . TRP C 3 328 ? 283.043 -94.827  215.906 1.0 46.8426   ? 328 TRP F CH2 328 TRP F CH2 1 
ATOM 16875 N N   . HIS C 3 329 ? 278.861 -100.170 221.541 1.0 43.50442  ? 329 HIS F N   329 HIS F N   1 
ATOM 16876 C CA  . HIS C 3 329 ? 278.206 -100.144 222.840 1.0 43.50442  ? 329 HIS F CA  329 HIS F CA  1 
ATOM 16877 C C   . HIS C 3 329 ? 278.026 -101.560 223.363 1.0 43.50442  ? 329 HIS F C   329 HIS F C   1 
ATOM 16878 O O   . HIS C 3 329 ? 277.549 -102.439 222.640 1.0 43.50442  ? 329 HIS F O   329 HIS F O   1 
ATOM 16879 C CB  . HIS C 3 329 ? 276.855 -99.442  222.747 1.0 43.50442  ? 329 HIS F CB  329 HIS F CB  1 
ATOM 16880 C CG  . HIS C 3 329 ? 276.950 -98.015  222.311 1.0 43.50442  ? 329 HIS F CG  329 HIS F CG  1 
ATOM 16881 N ND1 . HIS C 3 329 ? 277.473 -97.025  223.115 1.0 43.50442  ? 329 HIS F ND1 329 HIS F ND1 1 
ATOM 16882 C CD2 . HIS C 3 329 ? 276.567 -97.406  221.165 1.0 43.50442  ? 329 HIS F CD2 329 HIS F CD2 1 
ATOM 16883 C CE1 . HIS C 3 329 ? 277.422 -95.870  222.477 1.0 43.50442  ? 329 HIS F CE1 329 HIS F CE1 1 
ATOM 16884 N NE2 . HIS C 3 329 ? 276.876 -96.074  221.292 1.0 43.50442  ? 329 HIS F NE2 329 HIS F NE2 1 
ATOM 16885 N N   . TYR C 3 330 ? 278.391 -101.768 224.624 1.0 43.16206  ? 330 TYR F N   330 TYR F N   1 
ATOM 16886 C CA  . TYR C 3 330 ? 278.374 -103.083 225.258 1.0 43.16206  ? 330 TYR F CA  330 TYR F CA  1 
ATOM 16887 C C   . TYR C 3 330 ? 277.113 -103.185 226.102 1.0 43.16206  ? 330 TYR F C   330 TYR F C   1 
ATOM 16888 O O   . TYR C 3 330 ? 277.021 -102.589 227.176 1.0 43.16206  ? 330 TYR F O   330 TYR F O   1 
ATOM 16889 C CB  . TYR C 3 330 ? 279.626 -103.285 226.101 1.0 43.16206  ? 330 TYR F CB  330 TYR F CB  1 
ATOM 16890 C CG  . TYR C 3 330 ? 280.891 -103.436 225.295 1.0 43.16206  ? 330 TYR F CG  330 TYR F CG  1 
ATOM 16891 C CD1 . TYR C 3 330 ? 280.845 -103.786 223.954 1.0 43.16206  ? 330 TYR F CD1 330 TYR F CD1 1 
ATOM 16892 C CD2 . TYR C 3 330 ? 282.132 -103.215 225.873 1.0 43.16206  ? 330 TYR F CD2 330 TYR F CD2 1 
ATOM 16893 C CE1 . TYR C 3 330 ? 281.993 -103.920 223.216 1.0 43.16206  ? 330 TYR F CE1 330 TYR F CE1 1 
ATOM 16894 C CE2 . TYR C 3 330 ? 283.290 -103.348 225.139 1.0 43.16206  ? 330 TYR F CE2 330 TYR F CE2 1 
ATOM 16895 C CZ  . TYR C 3 330 ? 283.209 -103.701 223.810 1.0 43.16206  ? 330 TYR F CZ  330 TYR F CZ  1 
ATOM 16896 O OH  . TYR C 3 330 ? 284.349 -103.837 223.060 1.0 43.16206  ? 330 TYR F OH  330 TYR F OH  1 
ATOM 16897 N N   . PHE C 3 331 ? 276.145 -103.944 225.613 1.0 40.64935  ? 331 PHE F N   331 PHE F N   1 
ATOM 16898 C CA  . PHE C 3 331 ? 274.856 -104.119 226.273 1.0 40.64935  ? 331 PHE F CA  331 PHE F CA  1 
ATOM 16899 C C   . PHE C 3 331 ? 274.891 -105.486 226.941 1.0 40.64935  ? 331 PHE F C   331 PHE F C   1 
ATOM 16900 O O   . PHE C 3 331 ? 274.757 -106.515 226.278 1.0 40.64935  ? 331 PHE F O   331 PHE F O   1 
ATOM 16901 C CB  . PHE C 3 331 ? 273.733 -103.989 225.251 1.0 40.64935  ? 331 PHE F CB  331 PHE F CB  1 
ATOM 16902 C CG  . PHE C 3 331 ? 272.356 -104.057 225.830 1.0 40.64935  ? 331 PHE F CG  331 PHE F CG  1 
ATOM 16903 C CD1 . PHE C 3 331 ? 271.861 -103.026 226.603 1.0 40.64935  ? 331 PHE F CD1 331 PHE F CD1 1 
ATOM 16904 C CD2 . PHE C 3 331 ? 271.529 -105.122 225.543 1.0 40.64935  ? 331 PHE F CD2 331 PHE F CD2 1 
ATOM 16905 C CE1 . PHE C 3 331 ? 270.580 -103.083 227.113 1.0 40.64935  ? 331 PHE F CE1 331 PHE F CE1 1 
ATOM 16906 C CE2 . PHE C 3 331 ? 270.249 -105.172 226.046 1.0 40.64935  ? 331 PHE F CE2 331 PHE F CE2 1 
ATOM 16907 C CZ  . PHE C 3 331 ? 269.781 -104.156 226.836 1.0 40.64935  ? 331 PHE F CZ  331 PHE F CZ  1 
ATOM 16908 N N   . ALA C 3 332 ? 275.074 -105.498 228.259 1.0 41.87949  ? 332 ALA F N   332 ALA F N   1 
ATOM 16909 C CA  . ALA C 3 332 ? 275.385 -106.738 228.960 1.0 41.87949  ? 332 ALA F CA  332 ALA F CA  1 
ATOM 16910 C C   . ALA C 3 332 ? 274.192 -107.662 229.148 1.0 41.87949  ? 332 ALA F C   332 ALA F C   1 
ATOM 16911 O O   . ALA C 3 332 ? 274.374 -108.730 229.740 1.0 41.87949  ? 332 ALA F O   332 ALA F O   1 
ATOM 16912 C CB  . ALA C 3 332 ? 275.997 -106.429 230.324 1.0 41.87949  ? 332 ALA F CB  332 ALA F CB  1 
ATOM 16913 N N   . LEU C 3 333 ? 272.989 -107.309 228.692 1.0 40.10237  ? 333 LEU F N   333 LEU F N   1 
ATOM 16914 C CA  . LEU C 3 333 ? 271.871 -108.231 228.853 1.0 40.10237  ? 333 LEU F CA  333 LEU F CA  1 
ATOM 16915 C C   . LEU C 3 333 ? 271.964 -109.364 227.844 1.0 40.10237  ? 333 LEU F C   333 LEU F C   1 
ATOM 16916 O O   . LEU C 3 333 ? 272.043 -110.535 228.223 1.0 40.10237  ? 333 LEU F O   333 LEU F O   1 
ATOM 16917 C CB  . LEU C 3 333 ? 270.535 -107.495 228.721 1.0 40.10237  ? 333 LEU F CB  333 LEU F CB  1 
ATOM 16918 C CG  . LEU C 3 333 ? 269.254 -108.209 229.169 1.0 40.10237  ? 333 LEU F CG  333 LEU F CG  1 
ATOM 16919 C CD1 . LEU C 3 333 ? 268.314 -107.198 229.745 1.0 40.10237  ? 333 LEU F CD1 333 LEU F CD1 1 
ATOM 16920 C CD2 . LEU C 3 333 ? 268.530 -108.938 228.050 1.0 40.10237  ? 333 LEU F CD2 333 LEU F CD2 1 
ATOM 16921 N N   . TRP C 3 334 ? 271.988 -109.033 226.550 1.0 38.25281  ? 334 TRP F N   334 TRP F N   1 
ATOM 16922 C CA  . TRP C 3 334 ? 272.039 -110.045 225.508 1.0 38.25281  ? 334 TRP F CA  334 TRP F CA  1 
ATOM 16923 C C   . TRP C 3 334 ? 273.443 -110.543 225.232 1.0 38.25281  ? 334 TRP F C   334 TRP F C   1 
ATOM 16924 O O   . TRP C 3 334 ? 273.641 -111.199 224.204 1.0 38.25281  ? 334 TRP F O   334 TRP F O   1 
ATOM 16925 C CB  . TRP C 3 334 ? 271.444 -109.526 224.200 1.0 38.25281  ? 334 TRP F CB  334 TRP F CB  1 
ATOM 16926 C CG  . TRP C 3 334 ? 270.018 -109.094 224.296 1.0 38.25281  ? 334 TRP F CG  334 TRP F CG  1 
ATOM 16927 C CD1 . TRP C 3 334 ? 269.556 -107.842 224.139 1.0 38.25281  ? 334 TRP F CD1 334 TRP F CD1 1 
ATOM 16928 C CD2 . TRP C 3 334 ? 268.891 -109.899 224.640 1.0 38.25281  ? 334 TRP F CD2 334 TRP F CD2 1 
ATOM 16929 N NE1 . TRP C 3 334 ? 268.214 -107.798 224.324 1.0 38.25281  ? 334 TRP F NE1 334 TRP F NE1 1 
ATOM 16930 C CE2 . TRP C 3 334 ? 267.773 -109.053 224.635 1.0 38.25281  ? 334 TRP F CE2 334 TRP F CE2 1 
ATOM 16931 C CE3 . TRP C 3 334 ? 268.715 -111.250 224.941 1.0 38.25281  ? 334 TRP F CE3 334 TRP F CE3 1 
ATOM 16932 C CZ2 . TRP C 3 334 ? 266.491 -109.511 224.923 1.0 38.25281  ? 334 TRP F CZ2 334 TRP F CZ2 1 
ATOM 16933 C CZ3 . TRP C 3 334 ? 267.451 -111.708 225.228 1.0 38.25281  ? 334 TRP F CZ3 334 TRP F CZ3 1 
ATOM 16934 C CH2 . TRP C 3 334 ? 266.350 -110.841 225.209 1.0 38.25281  ? 334 TRP F CH2 334 TRP F CH2 1 
ATOM 16935 N N   . ASN C 3 335 ? 274.399 -110.262 226.130 1.0 38.16716  ? 335 ASN F N   335 ASN F N   1 
ATOM 16936 C CA  . ASN C 3 335 ? 275.827 -110.545 225.951 1.0 38.16716  ? 335 ASN F CA  335 ASN F CA  1 
ATOM 16937 C C   . ASN C 3 335 ? 276.318 -109.902 224.664 1.0 38.16716  ? 335 ASN F C   335 ASN F C   1 
ATOM 16938 O O   . ASN C 3 335 ? 276.985 -110.527 223.841 1.0 38.16716  ? 335 ASN F O   335 ASN F O   1 
ATOM 16939 C CB  . ASN C 3 335 ? 276.121 -112.040 225.961 1.0 38.16716  ? 335 ASN F CB  335 ASN F CB  1 
ATOM 16940 C CG  . ASN C 3 335 ? 277.527 -112.353 226.367 1.0 38.16716  ? 335 ASN F CG  335 ASN F CG  1 
ATOM 16941 O OD1 . ASN C 3 335 ? 278.279 -111.461 226.726 1.0 38.16716  ? 335 ASN F OD1 335 ASN F OD1 1 
ATOM 16942 N ND2 . ASN C 3 335 ? 277.898 -113.626 226.314 1.0 38.16716  ? 335 ASN F ND2 335 ASN F ND2 1 
ATOM 16943 N N   . GLN C 3 336 ? 275.932 -108.649 224.476 1.0 39.34223  ? 336 GLN F N   336 GLN F N   1 
ATOM 16944 C CA  . GLN C 3 336 ? 276.053 -107.956 223.201 1.0 39.34223  ? 336 GLN F CA  336 GLN F CA  1 
ATOM 16945 C C   . GLN C 3 336 ? 277.390 -107.231 223.212 1.0 39.34223  ? 336 GLN F C   336 GLN F C   1 
ATOM 16946 O O   . GLN C 3 336 ? 277.476 -106.041 223.505 1.0 39.34223  ? 336 GLN F O   336 GLN F O   1 
ATOM 16947 C CB  . GLN C 3 336 ? 274.856 -107.030 223.028 1.0 39.34223  ? 336 GLN F CB  336 GLN F CB  1 
ATOM 16948 C CG  . GLN C 3 336 ? 274.736 -106.294 221.728 1.0 39.34223  ? 336 GLN F CG  336 GLN F CG  1 
ATOM 16949 C CD  . GLN C 3 336 ? 273.446 -105.501 221.641 1.0 39.34223  ? 336 GLN F CD  336 GLN F CD  1 
ATOM 16950 O OE1 . GLN C 3 336 ? 272.593 -105.589 222.519 1.0 39.34223  ? 336 GLN F OE1 336 GLN F OE1 1 
ATOM 16951 N NE2 . GLN C 3 336 ? 273.321 -104.685 220.604 1.0 39.34223  ? 336 GLN F NE2 336 GLN F NE2 1 
ATOM 16952 N N   . ALA C 3 337 ? 278.457 -107.973 222.915 1.0 40.56002  ? 337 ALA F N   337 ALA F N   1 
ATOM 16953 C CA  . ALA C 3 337 ? 279.813 -107.441 222.880 1.0 40.56002  ? 337 ALA F CA  337 ALA F CA  1 
ATOM 16954 C C   . ALA C 3 337 ? 280.495 -107.913 221.607 1.0 40.56002  ? 337 ALA F C   337 ALA F C   1 
ATOM 16955 O O   . ALA C 3 337 ? 280.259 -109.032 221.155 1.0 40.56002  ? 337 ALA F O   337 ALA F O   1 
ATOM 16956 C CB  . ALA C 3 337 ? 280.623 -107.883 224.099 1.0 40.56002  ? 337 ALA F CB  337 ALA F CB  1 
ATOM 16957 N N   . VAL C 3 338 ? 281.360 -107.075 221.045 1.0 43.54329  ? 338 VAL F N   338 VAL F N   1 
ATOM 16958 C CA  . VAL C 3 338 ? 281.818 -107.223 219.668 1.0 43.54329  ? 338 VAL F CA  338 VAL F CA  1 
ATOM 16959 C C   . VAL C 3 338 ? 283.272 -107.670 219.653 1.0 43.54329  ? 338 VAL F C   338 VAL F C   1 
ATOM 16960 O O   . VAL C 3 338 ? 284.128 -107.039 220.283 1.0 43.54329  ? 338 VAL F O   338 VAL F O   1 
ATOM 16961 C CB  . VAL C 3 338 ? 281.659 -105.906 218.893 1.0 43.54329  ? 338 VAL F CB  338 VAL F CB  1 
ATOM 16962 C CG1 . VAL C 3 338 ? 281.983 -106.102 217.417 1.0 43.54329  ? 338 VAL F CG1 338 VAL F CG1 1 
ATOM 16963 C CG2 . VAL C 3 338 ? 280.287 -105.366 219.099 1.0 43.54329  ? 338 VAL F CG2 338 VAL F CG2 1 
ATOM 16964 N N   . ASP C 3 339 ? 283.553 -108.726 218.897 1.0 44.97784  ? 339 ASP F N   339 ASP F N   1 
ATOM 16965 C CA  . ASP C 3 339 ? 284.924 -109.119 218.590 1.0 44.97784  ? 339 ASP F CA  339 ASP F CA  1 
ATOM 16966 C C   . ASP C 3 339 ? 285.554 -108.064 217.693 1.0 44.97784  ? 339 ASP F C   339 ASP F C   1 
ATOM 16967 O O   . ASP C 3 339 ? 285.149 -107.908 216.537 1.0 44.97784  ? 339 ASP F O   339 ASP F O   1 
ATOM 16968 C CB  . ASP C 3 339 ? 284.929 -110.481 217.903 1.0 44.97784  ? 339 ASP F CB  339 ASP F CB  1 
ATOM 16969 C CG  . ASP C 3 339 ? 284.585 -111.618 218.843 1.0 44.97784  ? 339 ASP F CG  339 ASP F CG  1 
ATOM 16970 O OD1 . ASP C 3 339 ? 284.925 -111.522 220.037 1.0 44.97784  ? 339 ASP F OD1 339 ASP F OD1 1 
ATOM 16971 O OD2 . ASP C 3 339 ? 283.968 -112.604 218.390 1.0 44.97784  ? 339 ASP F OD2 339 ASP F OD2 1 
ATOM 16972 N N   . ASP C 3 340 ? 286.521 -107.313 218.213 1.0 48.99941  ? 340 ASP F N   340 ASP F N   1 
ATOM 16973 C CA  . ASP C 3 340 ? 287.262 -106.356 217.400 1.0 48.99941  ? 340 ASP F CA  340 ASP F CA  1 
ATOM 16974 C C   . ASP C 3 340 ? 288.749 -106.517 217.663 1.0 48.99941  ? 340 ASP F C   340 ASP F C   1 
ATOM 16975 O O   . ASP C 3 340 ? 289.200 -106.378 218.803 1.0 48.99941  ? 340 ASP F O   340 ASP F O   1 
ATOM 16976 C CB  . ASP C 3 340 ? 286.809 -104.901 217.645 1.0 48.99941  ? 340 ASP F CB  340 ASP F CB  1 
ATOM 16977 C CG  . ASP C 3 340 ? 286.749 -104.531 219.117 1.0 48.99941  ? 340 ASP F CG  340 ASP F CG  1 
ATOM 16978 O OD1 . ASP C 3 340 ? 286.758 -105.442 219.964 1.0 48.99941  ? 340 ASP F OD1 340 ASP F OD1 1 
ATOM 16979 O OD2 . ASP C 3 340 ? 286.732 -103.329 219.436 1.0 48.99941  ? 340 ASP F OD2 340 ASP F OD2 1 
ATOM 16980 N N   . TYR C 3 341 ? 289.506 -106.820 216.615 1.0 49.38779  ? 341 TYR F N   341 TYR F N   1 
ATOM 16981 C CA  . TYR C 3 341 ? 290.948 -106.902 216.748 1.0 49.38779  ? 341 TYR F CA  341 TYR F CA  1 
ATOM 16982 C C   . TYR C 3 341 ? 291.539 -105.518 216.990 1.0 49.38779  ? 341 TYR F C   341 TYR F C   1 
ATOM 16983 O O   . TYR C 3 341 ? 290.937 -104.491 216.666 1.0 49.38779  ? 341 TYR F O   341 TYR F O   1 
ATOM 16984 C CB  . TYR C 3 341 ? 291.564 -107.546 215.505 1.0 49.38779  ? 341 TYR F CB  341 TYR F CB  1 
ATOM 16985 C CG  . TYR C 3 341 ? 291.337 -106.804 214.201 1.0 49.38779  ? 341 TYR F CG  341 TYR F CG  1 
ATOM 16986 C CD1 . TYR C 3 341 ? 290.201 -107.034 213.439 1.0 49.38779  ? 341 TYR F CD1 341 TYR F CD1 1 
ATOM 16987 C CD2 . TYR C 3 341 ? 292.277 -105.904 213.713 1.0 49.38779  ? 341 TYR F CD2 341 TYR F CD2 1 
ATOM 16988 C CE1 . TYR C 3 341 ? 289.994 -106.369 212.249 1.0 49.38779  ? 341 TYR F CE1 341 TYR F CE1 1 
ATOM 16989 C CE2 . TYR C 3 341 ? 292.077 -105.237 212.523 1.0 49.38779  ? 341 TYR F CE2 341 TYR F CE2 1 
ATOM 16990 C CZ  . TYR C 3 341 ? 290.934 -105.475 211.797 1.0 49.38779  ? 341 TYR F CZ  341 TYR F CZ  1 
ATOM 16991 O OH  . TYR C 3 341 ? 290.728 -104.816 210.610 1.0 49.38779  ? 341 TYR F OH  341 TYR F OH  1 
ATOM 16992 N N   . ASP C 3 342 ? 292.720 -105.497 217.595 1.0 53.56915  ? 342 ASP F N   342 ASP F N   1 
ATOM 16993 C CA  . ASP C 3 342 ? 293.436 -104.243 217.756 1.0 53.56915  ? 342 ASP F CA  342 ASP F CA  1 
ATOM 16994 C C   . ASP C 3 342 ? 293.951 -103.808 216.393 1.0 53.56915  ? 342 ASP F C   342 ASP F C   1 
ATOM 16995 O O   . ASP C 3 342 ? 294.507 -104.617 215.647 1.0 53.56915  ? 342 ASP F O   342 ASP F O   1 
ATOM 16996 C CB  . ASP C 3 342 ? 294.582 -104.410 218.749 1.0 53.56915  ? 342 ASP F CB  342 ASP F CB  1 
ATOM 16997 C CG  . ASP C 3 342 ? 295.159 -103.085 219.217 1.0 53.56915  ? 342 ASP F CG  342 ASP F CG  1 
ATOM 16998 O OD1 . ASP C 3 342 ? 294.656 -102.021 218.805 1.0 53.56915  ? 342 ASP F OD1 342 ASP F OD1 1 
ATOM 16999 O OD2 . ASP C 3 342 ? 296.132 -103.112 220.001 1.0 53.56915  ? 342 ASP F OD2 342 ASP F OD2 1 
ATOM 17000 N N   . HIS C 3 343 ? 293.738 -102.537 216.057 1.0 55.89963  ? 343 HIS F N   343 HIS F N   1 
ATOM 17001 C CA  . HIS C 3 343 ? 294.028 -102.077 214.705 1.0 55.89963  ? 343 HIS F CA  343 HIS F CA  1 
ATOM 17002 C C   . HIS C 3 343 ? 295.523 -102.014 214.436 1.0 55.89963  ? 343 HIS F C   343 HIS F C   1 
ATOM 17003 O O   . HIS C 3 343 ? 295.950 -102.160 213.288 1.0 55.89963  ? 343 HIS F O   343 HIS F O   1 
ATOM 17004 C CB  . HIS C 3 343 ? 293.385 -100.714 214.474 1.0 55.89963  ? 343 HIS F CB  343 HIS F CB  1 
ATOM 17005 C CG  . HIS C 3 343 ? 293.585 -100.181 213.092 1.0 55.89963  ? 343 HIS F CG  343 HIS F CG  1 
ATOM 17006 N ND1 . HIS C 3 343 ? 292.919 -100.684 211.997 1.0 55.89963  ? 343 HIS F ND1 343 HIS F ND1 1 
ATOM 17007 C CD2 . HIS C 3 343 ? 294.383 -99.192  212.627 1.0 55.89963  ? 343 HIS F CD2 343 HIS F CD2 1 
ATOM 17008 C CE1 . HIS C 3 343 ? 293.294 -100.025 210.916 1.0 55.89963  ? 343 HIS F CE1 343 HIS F CE1 1 
ATOM 17009 N NE2 . HIS C 3 343 ? 294.182 -99.113  211.271 1.0 55.89963  ? 343 HIS F NE2 343 HIS F NE2 1 
ATOM 17010 N N   . HIS C 3 344 ? 296.333 -101.828 215.475 1.0 56.82866  ? 344 HIS F N   344 HIS F N   1 
ATOM 17011 C CA  . HIS C 3 344 ? 297.779 -101.753 215.325 1.0 56.82866  ? 344 HIS F CA  344 HIS F CA  1 
ATOM 17012 C C   . HIS C 3 344 ? 298.453 -103.093 215.578 1.0 56.82866  ? 344 HIS F C   344 HIS F C   1 
ATOM 17013 O O   . HIS C 3 344 ? 299.611 -103.135 216.003 1.0 56.82866  ? 344 HIS F O   344 HIS F O   1 
ATOM 17014 C CB  . HIS C 3 344 ? 298.341 -100.681 216.251 1.0 56.82866  ? 344 HIS F CB  344 HIS F CB  1 
ATOM 17015 C CG  . HIS C 3 344 ? 297.837 -99.308  215.942 1.0 56.82866  ? 344 HIS F CG  344 HIS F CG  1 
ATOM 17016 N ND1 . HIS C 3 344 ? 298.279 -98.581  214.858 1.0 56.82866  ? 344 HIS F ND1 344 HIS F ND1 1 
ATOM 17017 C CD2 . HIS C 3 344 ? 296.914 -98.537  216.561 1.0 56.82866  ? 344 HIS F CD2 344 HIS F CD2 1 
ATOM 17018 C CE1 . HIS C 3 344 ? 297.658 -97.416  214.830 1.0 56.82866  ? 344 HIS F CE1 344 HIS F CE1 1 
ATOM 17019 N NE2 . HIS C 3 344 ? 296.824 -97.364  215.853 1.0 56.82866  ? 344 HIS F NE2 344 HIS F NE2 1 
ATOM 17020 N N   . VAL C 3 345 ? 297.737 -104.192 215.336 1.0 52.45814  ? 345 VAL F N   345 VAL F N   1 
ATOM 17021 C CA  . VAL C 3 345 ? 298.283 -105.536 215.435 1.0 52.45814  ? 345 VAL F CA  345 VAL F CA  1 
ATOM 17022 C C   . VAL C 3 345 ? 298.200 -106.275 214.106 1.0 52.45814  ? 345 VAL F C   345 VAL F C   1 
ATOM 17023 O O   . VAL C 3 345 ? 299.168 -106.921 213.687 1.0 52.45814  ? 345 VAL F O   345 VAL F O   1 
ATOM 17024 C CB  . VAL C 3 345 ? 297.581 -106.333 216.555 1.0 52.45814  ? 345 VAL F CB  345 VAL F CB  1 
ATOM 17025 C CG1 . VAL C 3 345 ? 297.996 -107.792 216.549 1.0 52.45814  ? 345 VAL F CG1 345 VAL F CG1 1 
ATOM 17026 C CG2 . VAL C 3 345 ? 297.915 -105.724 217.899 1.0 52.45814  ? 345 VAL F CG2 345 VAL F CG2 1 
ATOM 17027 N N   . ARG C 3 346 ? 297.071 -106.175 213.406 1.0 51.16875  ? 346 ARG F N   346 ARG F N   1 
ATOM 17028 C CA  . ARG C 3 346 ? 297.035 -106.656 212.030 1.0 51.16875  ? 346 ARG F CA  346 ARG F CA  1 
ATOM 17029 C C   . ARG C 3 346 ? 297.804 -105.721 211.108 1.0 51.16875  ? 346 ARG F C   346 ARG F C   1 
ATOM 17030 O O   . ARG C 3 346 ? 298.765 -106.128 210.450 1.0 51.16875  ? 346 ARG F O   346 ARG F O   1 
ATOM 17031 C CB  . ARG C 3 346 ? 295.596 -106.802 211.543 1.0 51.16875  ? 346 ARG F CB  346 ARG F CB  1 
ATOM 17032 C CG  . ARG C 3 346 ? 294.820 -107.928 212.164 1.0 51.16875  ? 346 ARG F CG  346 ARG F CG  1 
ATOM 17033 C CD  . ARG C 3 346 ? 295.390 -109.279 211.792 1.0 51.16875  ? 346 ARG F CD  346 ARG F CD  1 
ATOM 17034 N NE  . ARG C 3 346 ? 295.534 -109.477 210.350 1.0 51.16875  ? 346 ARG F NE  346 ARG F NE  1 
ATOM 17035 C CZ  . ARG C 3 346 ? 294.554 -109.868 209.538 1.0 51.16875  ? 346 ARG F CZ  346 ARG F CZ  1 
ATOM 17036 N NH1 . ARG C 3 346 ? 293.340 -110.086 210.019 1.0 51.16875  ? 346 ARG F NH1 346 ARG F NH1 1 
ATOM 17037 N NH2 . ARG C 3 346 ? 294.776 -110.045 208.251 1.0 51.16875  ? 346 ARG F NH2 346 ARG F NH2 1 
ATOM 17038 N N   . ILE C 3 347 ? 297.427 -104.447 211.094 1.0 52.89325  ? 347 ILE F N   347 ILE F N   1 
ATOM 17039 C CA  . ILE C 3 347 ? 297.810 -103.490 210.062 1.0 52.89325  ? 347 ILE F CA  347 ILE F CA  1 
ATOM 17040 C C   . ILE C 3 347 ? 299.245 -103.000 210.269 1.0 52.89325  ? 347 ILE F C   347 ILE F C   1 
ATOM 17041 O O   . ILE C 3 347 ? 299.848 -102.445 209.345 1.0 52.89325  ? 347 ILE F O   347 ILE F O   1 
ATOM 17042 C CB  . ILE C 3 347 ? 296.779 -102.340 210.065 1.0 52.89325  ? 347 ILE F CB  347 ILE F CB  1 
ATOM 17043 C CG1 . ILE C 3 347 ? 295.373 -102.920 209.936 1.0 52.89325  ? 347 ILE F CG1 347 ILE F CG1 1 
ATOM 17044 C CG2 . ILE C 3 347 ? 296.942 -101.359 208.911 1.0 52.89325  ? 347 ILE F CG2 347 ILE F CG2 1 
ATOM 17045 C CD1 . ILE C 3 347 ? 295.140 -103.663 208.637 1.0 52.89325  ? 347 ILE F CD1 347 ILE F CD1 1 
ATOM 17046 N N   . LEU C 3 348 ? 299.848 -103.377 211.407 1.0 51.99054  ? 348 LEU F N   348 LEU F N   1 
ATOM 17047 C CA  . LEU C 3 348 ? 300.911 -102.688 212.150 1.0 51.99054  ? 348 LEU F CA  348 LEU F CA  1 
ATOM 17048 C C   . LEU C 3 348 ? 301.934 -101.889 211.346 1.0 51.99054  ? 348 LEU F C   348 LEU F C   1 
ATOM 17049 O O   . LEU C 3 348 ? 302.491 -102.377 210.359 1.0 51.99054  ? 348 LEU F O   348 LEU F O   1 
ATOM 17050 C CB  . LEU C 3 348 ? 301.660 -103.718 213.014 1.0 51.99054  ? 348 LEU F CB  348 LEU F CB  1 
ATOM 17051 C CG  . LEU C 3 348 ? 302.485 -104.883 212.435 1.0 51.99054  ? 348 LEU F CG  348 LEU F CG  1 
ATOM 17052 C CD1 . LEU C 3 348 ? 303.975 -104.567 212.270 1.0 51.99054  ? 348 LEU F CD1 348 LEU F CD1 1 
ATOM 17053 C CD2 . LEU C 3 348 ? 302.329 -106.117 213.265 1.0 51.99054  ? 348 LEU F CD2 348 LEU F CD2 1 
ATOM 17054 N N   . GLU C 3 349 ? 302.161 -100.642 211.739 1.0 54.43712  ? 349 GLU F N   349 GLU F N   1 
ATOM 17055 C CA  . GLU C 3 349 ? 303.208 -99.826  211.147 1.0 54.43712  ? 349 GLU F CA  349 GLU F CA  1 
ATOM 17056 C C   . GLU C 3 349 ? 304.434 -99.903  212.042 1.0 54.43712  ? 349 GLU F C   349 GLU F C   1 
ATOM 17057 O O   . GLU C 3 349 ? 304.310 -99.987  213.268 1.0 54.43712  ? 349 GLU F O   349 GLU F O   1 
ATOM 17058 C CB  . GLU C 3 349 ? 302.744 -98.377  210.945 1.0 54.43712  ? 349 GLU F CB  349 GLU F CB  1 
ATOM 17059 C CG  . GLU C 3 349 ? 302.472 -97.571  212.207 1.0 54.43712  ? 349 GLU F CG  349 GLU F CG  1 
ATOM 17060 C CD  . GLU C 3 349 ? 301.051 -97.715  212.712 1.0 54.43712  ? 349 GLU F CD  349 GLU F CD  1 
ATOM 17061 O OE1 . GLU C 3 349 ? 300.346 -98.645  212.273 1.0 54.43712  ? 349 GLU F OE1 349 GLU F OE1 1 
ATOM 17062 O OE2 . GLU C 3 349 ? 300.636 -96.893  213.554 1.0 54.43712  ? 349 GLU F OE2 349 GLU F OE2 1 
ATOM 17063 N N   . ASN C 3 350 ? 305.612 -99.949  211.431 1.0 54.58936  ? 350 ASN F N   350 ASN F N   1 
ATOM 17064 C CA  . ASN C 3 350 ? 306.845 -99.982  212.209 1.0 54.58936  ? 350 ASN F CA  350 ASN F CA  1 
ATOM 17065 C C   . ASN C 3 350 ? 307.448 -98.580  212.242 1.0 54.58936  ? 350 ASN F C   350 ASN F C   1 
ATOM 17066 O O   . ASN C 3 350 ? 308.543 -98.316  211.748 1.0 54.58936  ? 350 ASN F O   350 ASN F O   1 
ATOM 17067 C CB  . ASN C 3 350 ? 307.812 -101.010 211.642 1.0 54.58936  ? 350 ASN F CB  350 ASN F CB  1 
ATOM 17068 C CG  . ASN C 3 350 ? 308.786 -101.543 212.685 1.0 54.58936  ? 350 ASN F CG  350 ASN F CG  1 
ATOM 17069 O OD1 . ASN C 3 350 ? 309.436 -102.563 212.469 1.0 54.58936  ? 350 ASN F OD1 350 ASN F OD1 1 
ATOM 17070 N ND2 . ASN C 3 350 ? 308.880 -100.868 213.822 1.0 54.58936  ? 350 ASN F ND2 350 ASN F ND2 1 
ATOM 17071 N N   . ASP C 3 351 ? 306.689 -97.670  212.840 1.0 53.93892  ? 351 ASP F N   351 ASP F N   1 
ATOM 17072 C CA  . ASP C 3 351 ? 307.261 -96.408  213.271 1.0 53.93892  ? 351 ASP F CA  351 ASP F CA  1 
ATOM 17073 C C   . ASP C 3 351 ? 308.246 -96.677  214.394 1.0 53.93892  ? 351 ASP F C   351 ASP F C   1 
ATOM 17074 O O   . ASP C 3 351 ? 307.993 -97.498  215.278 1.0 53.93892  ? 351 ASP F O   351 ASP F O   1 
ATOM 17075 C CB  . ASP C 3 351 ? 306.173 -95.459  213.755 1.0 53.93892  ? 351 ASP F CB  351 ASP F CB  1 
ATOM 17076 C CG  . ASP C 3 351 ? 305.279 -94.988  212.641 1.0 53.93892  ? 351 ASP F CG  351 ASP F CG  1 
ATOM 17077 O OD1 . ASP C 3 351 ? 305.762 -94.870  211.497 1.0 53.93892  ? 351 ASP F OD1 351 ASP F OD1 1 
ATOM 17078 O OD2 . ASP C 3 351 ? 304.086 -94.745  212.910 1.0 53.93892  ? 351 ASP F OD2 351 ASP F OD2 1 
ATOM 17079 N N   . GLY C 3 352 ? 309.381 -95.995  214.351 1.0 53.55162  ? 352 GLY F N   352 GLY F N   1 
ATOM 17080 C CA  . GLY C 3 352 ? 310.375 -96.183  215.380 1.0 53.55162  ? 352 GLY F CA  352 GLY F CA  1 
ATOM 17081 C C   . GLY C 3 352 ? 309.951 -95.557  216.693 1.0 53.55162  ? 352 GLY F C   352 GLY F C   1 
ATOM 17082 O O   . GLY C 3 352 ? 308.986 -94.797  216.772 1.0 53.55162  ? 352 GLY F O   352 GLY F O   1 
ATOM 17083 N N   . TYR C 3 353 ? 310.685 -95.903  217.742 1.0 55.93844  ? 353 TYR F N   353 TYR F N   1 
ATOM 17084 C CA  . TYR C 3 353 ? 310.437 -95.345  219.060 1.0 55.93844  ? 353 TYR F CA  353 TYR F CA  1 
ATOM 17085 C C   . TYR C 3 353 ? 310.818 -93.871  219.097 1.0 55.93844  ? 353 TYR F C   353 TYR F C   1 
ATOM 17086 O O   . TYR C 3 353 ? 311.687 -93.415  218.351 1.0 55.93844  ? 353 TYR F O   353 TYR F O   1 
ATOM 17087 C CB  . TYR C 3 353 ? 311.224 -96.136  220.107 1.0 55.93844  ? 353 TYR F CB  353 TYR F CB  1 
ATOM 17088 C CG  . TYR C 3 353 ? 312.725 -96.121  219.909 1.0 55.93844  ? 353 TYR F CG  353 TYR F CG  1 
ATOM 17089 C CD1 . TYR C 3 353 ? 313.346 -97.060  219.096 1.0 55.93844  ? 353 TYR F CD1 353 TYR F CD1 1 
ATOM 17090 C CD2 . TYR C 3 353 ? 313.523 -95.190  220.563 1.0 55.93844  ? 353 TYR F CD2 353 TYR F CD2 1 
ATOM 17091 C CE1 . TYR C 3 353 ? 314.704 -97.050  218.914 1.0 55.93844  ? 353 TYR F CE1 353 TYR F CE1 1 
ATOM 17092 C CE2 . TYR C 3 353 ? 314.884 -95.175  220.387 1.0 55.93844  ? 353 TYR F CE2 353 TYR F CE2 1 
ATOM 17093 C CZ  . TYR C 3 353 ? 315.466 -96.108  219.564 1.0 55.93844  ? 353 TYR F CZ  353 TYR F CZ  1 
ATOM 17094 O OH  . TYR C 3 353 ? 316.824 -96.098  219.393 1.0 55.93844  ? 353 TYR F OH  353 TYR F OH  1 
ATOM 17095 N N   . GLU C 3 354 ? 310.157 -93.121  219.975 1.0 58.50677  ? 354 GLU F N   354 GLU F N   1 
ATOM 17096 C CA  . GLU C 3 354 ? 310.470 -91.707  220.149 1.0 58.50677  ? 354 GLU F CA  354 GLU F CA  1 
ATOM 17097 C C   . GLU C 3 354 ? 311.804 -91.577  220.867 1.0 58.50677  ? 354 GLU F C   354 GLU F C   1 
ATOM 17098 O O   . GLU C 3 354 ? 311.912 -91.884  222.055 1.0 58.50677  ? 354 GLU F O   354 GLU F O   1 
ATOM 17099 C CB  . GLU C 3 354 ? 309.361 -91.003  220.925 1.0 58.50677  ? 354 GLU F CB  354 GLU F CB  1 
ATOM 17100 C CG  . GLU C 3 354 ? 308.058 -90.855  220.154 1.0 58.50677  ? 354 GLU F CG  354 GLU F CG  1 
ATOM 17101 C CD  . GLU C 3 354 ? 306.979 -90.155  220.958 1.0 58.50677  ? 354 GLU F CD  354 GLU F CD  1 
ATOM 17102 O OE1 . GLU C 3 354 ? 307.199 -89.901  222.160 1.0 58.50677  ? 354 GLU F OE1 354 GLU F OE1 1 
ATOM 17103 O OE2 . GLU C 3 354 ? 305.909 -89.859  220.388 1.0 58.50677  ? 354 GLU F OE2 354 GLU F OE2 1 
ATOM 17104 N N   . GLU C 3 355 ? 312.819 -91.120  220.147 1.0 59.75823  ? 355 GLU F N   355 GLU F N   1 
ATOM 17105 C CA  . GLU C 3 355 ? 314.167 -91.046  220.684 1.0 59.75823  ? 355 GLU F CA  355 GLU F CA  1 
ATOM 17106 C C   . GLU C 3 355 ? 314.331 -89.821  221.571 1.0 59.75823  ? 355 GLU F C   355 GLU F C   1 
ATOM 17107 O O   . GLU C 3 355 ? 313.924 -88.716  221.206 1.0 59.75823  ? 355 GLU F O   355 GLU F O   1 
ATOM 17108 C CB  . GLU C 3 355 ? 315.169 -90.998  219.537 1.0 59.75823  ? 355 GLU F CB  355 GLU F CB  1 
ATOM 17109 C CG  . GLU C 3 355 ? 316.616 -91.003  219.951 1.0 59.75823  ? 355 GLU F CG  355 GLU F CG  1 
ATOM 17110 C CD  . GLU C 3 355 ? 317.530 -90.965  218.755 1.0 59.75823  ? 355 GLU F CD  355 GLU F CD  1 
ATOM 17111 O OE1 . GLU C 3 355 ? 317.010 -90.906  217.622 1.0 59.75823  ? 355 GLU F OE1 355 GLU F OE1 1 
ATOM 17112 O OE2 . GLU C 3 355 ? 318.761 -90.991  218.943 1.0 59.75823  ? 355 GLU F OE2 355 GLU F OE2 1 
ATOM 17113 N N   . GLY C 3 356 ? 314.944 -90.015  222.735 1.0 59.8572   ? 356 GLY F N   356 GLY F N   1 
ATOM 17114 C CA  . GLY C 3 356 ? 315.138 -88.932  223.669 1.0 59.8572   ? 356 GLY F CA  356 GLY F CA  1 
ATOM 17115 C C   . GLY C 3 356 ? 316.457 -88.996  224.415 1.0 59.8572   ? 356 GLY F C   356 GLY F C   1 
ATOM 17116 O O   . GLY C 3 356 ? 317.406 -89.661  223.992 1.0 59.8572   ? 356 GLY F O   356 GLY F O   1 
ATOM 17117 N N   . PRO C 3 357 ? 316.538 -88.288  225.540 1.0 60.37286  ? 357 PRO F N   357 PRO F N   1 
ATOM 17118 C CA  . PRO C 3 357 ? 317.741 -88.333  226.379 1.0 60.37286  ? 357 PRO F CA  357 PRO F CA  1 
ATOM 17119 C C   . PRO C 3 357 ? 317.886 -89.692  227.040 1.0 60.37286  ? 357 PRO F C   357 PRO F C   1 
ATOM 17120 O O   . PRO C 3 357 ? 316.899 -90.436  227.138 1.0 60.37286  ? 357 PRO F O   357 PRO F O   1 
ATOM 17121 C CB  . PRO C 3 357 ? 317.481 -87.224  227.412 1.0 60.37286  ? 357 PRO F CB  357 PRO F CB  1 
ATOM 17122 C CG  . PRO C 3 357 ? 316.019 -87.112  227.476 1.0 60.37286  ? 357 PRO F CG  357 PRO F CG  1 
ATOM 17123 C CD  . PRO C 3 357 ? 315.517 -87.384  226.095 1.0 60.37286  ? 357 PRO F CD  357 PRO F CD  1 
ATOM 17124 N N   . PRO C 3 358 ? 319.093 -90.068  227.479 1.0 60.18503  ? 358 PRO F N   358 PRO F N   1 
ATOM 17125 C CA  . PRO C 3 358 ? 319.272 -91.400  228.066 1.0 60.18503  ? 358 PRO F CA  358 PRO F CA  1 
ATOM 17126 C C   . PRO C 3 358 ? 318.578 -91.529  229.410 1.0 60.18503  ? 358 PRO F C   358 PRO F C   1 
ATOM 17127 O O   . PRO C 3 358 ? 318.575 -90.604  230.224 1.0 60.18503  ? 358 PRO F O   358 PRO F O   1 
ATOM 17128 C CB  . PRO C 3 358 ? 320.791 -91.526  228.211 1.0 60.18503  ? 358 PRO F CB  358 PRO F CB  1 
ATOM 17129 C CG  . PRO C 3 358 ? 321.270 -90.141  228.284 1.0 60.18503  ? 358 PRO F CG  358 PRO F CG  1 
ATOM 17130 C CD  . PRO C 3 358 ? 320.376 -89.351  227.387 1.0 60.18503  ? 358 PRO F CD  358 PRO F CD  1 
ATOM 17131 N N   . ASN C 3 359 ? 317.982 -92.696  229.625 1.0 60.55075  ? 359 ASN F N   359 ASN F N   1 
ATOM 17132 C CA  . ASN C 3 359 ? 317.134 -92.956  230.783 1.0 60.55075  ? 359 ASN F CA  359 ASN F CA  1 
ATOM 17133 C C   . ASN C 3 359 ? 317.953 -93.773  231.772 1.0 60.55075  ? 359 ASN F C   359 ASN F C   1 
ATOM 17134 O O   . ASN C 3 359 ? 317.967 -95.003  231.735 1.0 60.55075  ? 359 ASN F O   359 ASN F O   1 
ATOM 17135 C CB  . ASN C 3 359 ? 315.863 -93.662  230.342 1.0 60.55075  ? 359 ASN F CB  359 ASN F CB  1 
ATOM 17136 C CG  . ASN C 3 359 ? 315.063 -92.830  229.368 1.0 60.55075  ? 359 ASN F CG  359 ASN F CG  1 
ATOM 17137 O OD1 . ASN C 3 359 ? 314.967 -93.156  228.188 1.0 60.55075  ? 359 ASN F OD1 359 ASN F OD1 1 
ATOM 17138 N ND2 . ASN C 3 359 ? 314.498 -91.734  229.854 1.0 60.55075  ? 359 ASN F ND2 359 ASN F ND2 1 
ATOM 17139 N N   . LEU C 3 360 ? 318.637 -93.072  232.667 1.0 59.9773   ? 360 LEU F N   360 LEU F N   1 
ATOM 17140 C CA  . LEU C 3 360 ? 319.596 -93.682  233.571 1.0 59.9773   ? 360 LEU F CA  360 LEU F CA  1 
ATOM 17141 C C   . LEU C 3 360 ? 318.911 -94.233  234.812 1.0 59.9773   ? 360 LEU F C   360 LEU F C   1 
ATOM 17142 O O   . LEU C 3 360 ? 317.908 -93.695  235.284 1.0 59.9773   ? 360 LEU F O   360 LEU F O   1 
ATOM 17143 C CB  . LEU C 3 360 ? 320.659 -92.666  233.982 1.0 59.9773   ? 360 LEU F CB  360 LEU F CB  1 
ATOM 17144 C CG  . LEU C 3 360 ? 321.557 -92.170  232.855 1.0 59.9773   ? 360 LEU F CG  360 LEU F CG  1 
ATOM 17145 C CD1 . LEU C 3 360 ? 322.467 -91.062  233.340 1.0 59.9773   ? 360 LEU F CD1 360 LEU F CD1 1 
ATOM 17146 C CD2 . LEU C 3 360 ? 322.365 -93.317  232.308 1.0 59.9773   ? 360 LEU F CD2 360 LEU F CD2 1 
ATOM 17147 N N   . ALA C 3 361 ? 319.471 -95.314  235.342 1.0 60.13518  ? 361 ALA F N   361 ALA F N   1 
ATOM 17148 C CA  . ALA C 3 361 ? 319.057 -95.875  236.616 1.0 60.13518  ? 361 ALA F CA  361 ALA F CA  1 
ATOM 17149 C C   . ALA C 3 361 ? 320.160 -95.652  237.639 1.0 60.13518  ? 361 ALA F C   361 ALA F C   1 
ATOM 17150 O O   . ALA C 3 361 ? 321.345 -95.770  237.322 1.0 60.13518  ? 361 ALA F O   361 ALA F O   1 
ATOM 17151 C CB  . ALA C 3 361 ? 318.744 -97.364  236.488 1.0 60.13518  ? 361 ALA F CB  361 ALA F CB  1 
ATOM 17152 N N   . PHE C 3 362 ? 319.762 -95.357  238.869 1.0 61.03393  ? 362 PHE F N   362 PHE F N   1 
ATOM 17153 C CA  . PHE C 3 362 ? 320.599 -94.845  239.938 1.0 61.03393  ? 362 PHE F CA  362 PHE F CA  1 
ATOM 17154 C C   . PHE C 3 362 ? 320.517 -95.754  241.154 1.0 61.03393  ? 362 PHE F C   362 PHE F C   1 
ATOM 17155 O O   . PHE C 3 362 ? 319.461 -96.328  241.421 1.0 61.03393  ? 362 PHE F O   362 PHE F O   1 
ATOM 17156 C CB  . PHE C 3 362 ? 320.118 -93.441  240.308 1.0 61.03393  ? 362 PHE F CB  362 PHE F CB  1 
ATOM 17157 C CG  . PHE C 3 362 ? 320.304 -92.445  239.214 1.0 61.03393  ? 362 PHE F CG  362 PHE F CG  1 
ATOM 17158 C CD1 . PHE C 3 362 ? 321.427 -92.483  238.416 1.0 61.03393  ? 362 PHE F CD1 362 PHE F CD1 1 
ATOM 17159 C CD2 . PHE C 3 362 ? 319.297 -91.555  238.898 1.0 61.03393  ? 362 PHE F CD2 362 PHE F CD2 1 
ATOM 17160 C CE1 . PHE C 3 362 ? 321.585 -91.588  237.386 1.0 61.03393  ? 362 PHE F CE1 362 PHE F CE1 1 
ATOM 17161 C CE2 . PHE C 3 362 ? 319.438 -90.681  237.836 1.0 61.03393  ? 362 PHE F CE2 362 PHE F CE2 1 
ATOM 17162 C CZ  . PHE C 3 362 ? 320.593 -90.690  237.094 1.0 61.03393  ? 362 PHE F CZ  362 PHE F CZ  1 
ATOM 17163 N N   . PRO C 3 363 ? 321.607 -95.921  241.904 1.0 64.53063  ? 363 PRO F N   363 PRO F N   1 
ATOM 17164 C CA  . PRO C 3 363 ? 321.519 -96.685  243.141 1.0 64.53063  ? 363 PRO F CA  363 PRO F CA  1 
ATOM 17165 C C   . PRO C 3 363 ? 320.737 -95.907  244.183 1.0 64.53063  ? 363 PRO F C   363 PRO F C   1 
ATOM 17166 O O   . PRO C 3 363 ? 320.726 -94.665  244.164 1.0 64.53063  ? 363 PRO F O   363 PRO F O   1 
ATOM 17167 C CB  . PRO C 3 363 ? 322.992 -96.866  243.550 1.0 64.53063  ? 363 PRO F CB  363 PRO F CB  1 
ATOM 17168 C CG  . PRO C 3 363 ? 323.685 -95.725  242.931 1.0 64.53063  ? 363 PRO F CG  363 PRO F CG  1 
ATOM 17169 C CD  . PRO C 3 363 ? 322.976 -95.448  241.644 1.0 64.53063  ? 363 PRO F CD  363 PRO F CD  1 
ATOM 17170 N N   . PRO C 3 364 ? 320.017 -96.593  245.077 1.0 66.31701  ? 364 PRO F N   364 PRO F N   1 
ATOM 17171 C CA  . PRO C 3 364 ? 319.170 -95.867  246.040 1.0 66.31701  ? 364 PRO F CA  364 PRO F CA  1 
ATOM 17172 C C   . PRO C 3 364 ? 319.963 -95.078  247.066 1.0 66.31701  ? 364 PRO F C   364 PRO F C   1 
ATOM 17173 O O   . PRO C 3 364 ? 319.602 -93.933  247.361 1.0 66.31701  ? 364 PRO F O   364 PRO F O   1 
ATOM 17174 C CB  . PRO C 3 364 ? 318.339 -96.984  246.685 1.0 66.31701  ? 364 PRO F CB  364 PRO F CB  1 
ATOM 17175 C CG  . PRO C 3 364 ? 319.146 -98.219  246.495 1.0 66.31701  ? 364 PRO F CG  364 PRO F CG  1 
ATOM 17176 C CD  . PRO C 3 364 ? 319.864 -98.053  245.192 1.0 66.31701  ? 364 PRO F CD  364 PRO F CD  1 
ATOM 17177 N N   . HIS C 3 365 ? 321.029 -95.648  247.615 1.0 70.057    ? 365 HIS F N   365 HIS F N   1 
ATOM 17178 C CA  . HIS C 3 365 ? 322.094 -94.849  248.205 1.0 70.057    ? 365 HIS F CA  365 HIS F CA  1 
ATOM 17179 C C   . HIS C 3 365 ? 322.766 -94.109  247.054 1.0 70.057    ? 365 HIS F C   365 HIS F C   1 
ATOM 17180 O O   . HIS C 3 365 ? 323.023 -94.692  245.998 1.0 70.057    ? 365 HIS F O   365 HIS F O   1 
ATOM 17181 C CB  . HIS C 3 365 ? 323.070 -95.741  248.966 1.0 70.057    ? 365 HIS F CB  365 HIS F CB  1 
ATOM 17182 C CG  . HIS C 3 365 ? 323.783 -96.720  248.094 1.0 70.057    ? 365 HIS F CG  365 HIS F CG  1 
ATOM 17183 N ND1 . HIS C 3 365 ? 323.190 -97.876  247.636 1.0 70.057    ? 365 HIS F ND1 365 HIS F ND1 1 
ATOM 17184 C CD2 . HIS C 3 365 ? 325.025 -96.696  247.558 1.0 70.057    ? 365 HIS F CD2 365 HIS F CD2 1 
ATOM 17185 C CE1 . HIS C 3 365 ? 324.042 -98.529  246.866 1.0 70.057    ? 365 HIS F CE1 365 HIS F CE1 1 
ATOM 17186 N NE2 . HIS C 3 365 ? 325.165 -97.836  246.806 1.0 70.057    ? 365 HIS F NE2 365 HIS F NE2 1 
ATOM 17187 N N   . VAL C 3 366 ? 323.010 -92.811  247.221 1.0 68.55775  ? 366 VAL F N   366 VAL F N   1 
ATOM 17188 C CA  . VAL C 3 366 ? 323.460 -92.003  246.091 1.0 68.55775  ? 366 VAL F CA  366 VAL F CA  1 
ATOM 17189 C C   . VAL C 3 366 ? 324.941 -91.653  246.180 1.0 68.55775  ? 366 VAL F C   366 VAL F C   1 
ATOM 17190 O O   . VAL C 3 366 ? 325.501 -91.098  245.223 1.0 68.55775  ? 366 VAL F O   366 VAL F O   1 
ATOM 17191 C CB  . VAL C 3 366 ? 322.588 -90.732  246.015 1.0 68.55775  ? 366 VAL F CB  366 VAL F CB  1 
ATOM 17192 C CG1 . VAL C 3 366 ? 323.049 -89.701  247.042 1.0 68.55775  ? 366 VAL F CG1 366 VAL F CG1 1 
ATOM 17193 C CG2 . VAL C 3 366 ? 322.485 -90.171  244.594 1.0 68.55775  ? 366 VAL F CG2 366 VAL F CG2 1 
ATOM 17194 N N   . ILE C 3 367 ? 325.609 -92.015  247.270 1.0 68.96531  ? 367 ILE F N   367 ILE F N   1 
ATOM 17195 C CA  . ILE C 3 367 ? 326.897 -91.447  247.649 1.0 68.96531  ? 367 ILE F CA  367 ILE F CA  1 
ATOM 17196 C C   . ILE C 3 367 ? 328.039 -92.446  247.504 1.0 68.96531  ? 367 ILE F C   367 ILE F C   1 
ATOM 17197 O O   . ILE C 3 367 ? 328.984 -92.437  248.298 1.0 68.96531  ? 367 ILE F O   367 ILE F O   1 
ATOM 17198 C CB  . ILE C 3 367 ? 326.809 -90.901  249.084 1.0 68.96531  ? 367 ILE F CB  367 ILE F CB  1 
ATOM 17199 C CG1 . ILE C 3 367 ? 325.968 -91.835  249.968 1.0 68.96531  ? 367 ILE F CG1 367 ILE F CG1 1 
ATOM 17200 C CG2 . ILE C 3 367 ? 326.185 -89.535  249.078 1.0 68.96531  ? 367 ILE F CG2 367 ILE F CG2 1 
ATOM 17201 C CD1 . ILE C 3 367 ? 326.671 -93.027  250.594 1.0 68.96531  ? 367 ILE F CD1 367 ILE F CD1 1 
ATOM 17202 N N   . SER C 3 368 ? 327.955 -93.331  246.525 1.0 70.51852  ? 368 SER F N   368 SER F N   1 
ATOM 17203 C CA  . SER C 3 368 ? 328.869 -94.458  246.486 1.0 70.51852  ? 368 SER F CA  368 SER F CA  1 
ATOM 17204 C C   . SER C 3 368 ? 330.012 -94.250  245.499 1.0 70.51852  ? 368 SER F C   368 SER F C   1 
ATOM 17205 O O   . SER C 3 368 ? 329.996 -93.370  244.638 1.0 70.51852  ? 368 SER F O   368 SER F O   1 
ATOM 17206 C CB  . SER C 3 368 ? 328.113 -95.740  246.138 1.0 70.51852  ? 368 SER F CB  368 SER F CB  1 
ATOM 17207 O OG  . SER C 3 368 ? 327.621 -95.687  244.813 1.0 70.51852  ? 368 SER F OG  368 SER F OG  1 
ATOM 17208 N N   . ASN C 3 369 ? 330.988 -95.081  245.650 1.0 72.0726   ? 369 ASN F N   369 ASN F N   1 
ATOM 17209 C CA  . ASN C 3 369 ? 332.156 -95.433  244.861 1.0 72.0726   ? 369 ASN F CA  369 ASN F CA  1 
ATOM 17210 C C   . ASN C 3 369 ? 331.742 -96.529  243.879 1.0 72.0726   ? 369 ASN F C   369 ASN F C   1 
ATOM 17211 O O   . ASN C 3 369 ? 331.087 -97.489  244.294 1.0 72.0726   ? 369 ASN F O   369 ASN F O   1 
ATOM 17212 C CB  . ASN C 3 369 ? 333.244 -95.925  245.816 1.0 72.0726   ? 369 ASN F CB  369 ASN F CB  1 
ATOM 17213 C CG  . ASN C 3 369 ? 334.639 -95.915  245.225 1.0 72.0726   ? 369 ASN F CG  369 ASN F CG  1 
ATOM 17214 O OD1 . ASN C 3 369 ? 334.850 -95.577  244.070 1.0 72.0726   ? 369 ASN F OD1 369 ASN F OD1 1 
ATOM 17215 N ND2 . ASN C 3 369 ? 335.616 -96.277  246.046 1.0 72.0726   ? 369 ASN F ND2 369 ASN F ND2 1 
ATOM 17216 N N   . PRO C 3 370 ? 332.027 -96.418  242.573 1.0 70.9402   ? 370 PRO F N   370 PRO F N   1 
ATOM 17217 C CA  . PRO C 3 370 ? 331.442 -97.377  241.613 1.0 70.9402   ? 370 PRO F CA  370 PRO F CA  1 
ATOM 17218 C C   . PRO C 3 370 ? 331.939 -98.814  241.710 1.0 70.9402   ? 370 PRO F C   370 PRO F C   1 
ATOM 17219 O O   . PRO C 3 370 ? 331.392 -99.673  241.008 1.0 70.9402   ? 370 PRO F O   370 PRO F O   1 
ATOM 17220 C CB  . PRO C 3 370 ? 331.796 -96.771  240.249 1.0 70.9402   ? 370 PRO F CB  370 PRO F CB  1 
ATOM 17221 C CG  . PRO C 3 370 ? 332.911 -95.836  240.517 1.0 70.9402   ? 370 PRO F CG  370 PRO F CG  1 
ATOM 17222 C CD  . PRO C 3 370 ? 332.618 -95.272  241.868 1.0 70.9402   ? 370 PRO F CD  370 PRO F CD  1 
ATOM 17223 N N   . PHE C 3 371 ? 332.937 -99.124  242.536 1.0 73.60243  ? 371 PHE F N   371 PHE F N   1 
ATOM 17224 C CA  . PHE C 3 371 ? 333.337 -100.516 242.715 1.0 73.60243  ? 371 PHE F CA  371 PHE F CA  1 
ATOM 17225 C C   . PHE C 3 371 ? 333.649 -100.836 244.170 1.0 73.60243  ? 371 PHE F C   371 PHE F C   1 
ATOM 17226 O O   . PHE C 3 371 ? 334.395 -101.781 244.443 1.0 73.60243  ? 371 PHE F O   371 PHE F O   1 
ATOM 17227 C CB  . PHE C 3 371 ? 334.535 -100.858 241.830 1.0 73.60243  ? 371 PHE F CB  371 PHE F CB  1 
ATOM 17228 C CG  . PHE C 3 371 ? 334.230 -100.814 240.369 1.0 73.60243  ? 371 PHE F CG  371 PHE F CG  1 
ATOM 17229 C CD1 . PHE C 3 371 ? 333.551 -101.854 239.759 1.0 73.60243  ? 371 PHE F CD1 371 PHE F CD1 1 
ATOM 17230 C CD2 . PHE C 3 371 ? 334.611 -99.726  239.608 1.0 73.60243  ? 371 PHE F CD2 371 PHE F CD2 1 
ATOM 17231 C CE1 . PHE C 3 371 ? 333.263 -101.810 238.413 1.0 73.60243  ? 371 PHE F CE1 371 PHE F CE1 1 
ATOM 17232 C CE2 . PHE C 3 371 ? 334.330 -99.676  238.262 1.0 73.60243  ? 371 PHE F CE2 371 PHE F CE2 1 
ATOM 17233 C CZ  . PHE C 3 371 ? 333.656 -100.720 237.663 1.0 73.60243  ? 371 PHE F CZ  371 PHE F CZ  1 
ATOM 17234 N N   . ALA C 3 372 ? 333.076 -100.087 245.099 1.0 73.01741  ? 372 ALA F N   372 ALA F N   1 
ATOM 17235 C CA  . ALA C 3 372 ? 333.409 -100.200 246.509 1.0 73.01741  ? 372 ALA F CA  372 ALA F CA  1 
ATOM 17236 C C   . ALA C 3 372 ? 332.281 -99.568  247.304 1.0 73.01741  ? 372 ALA F C   372 ALA F C   1 
ATOM 17237 O O   . ALA C 3 372 ? 331.459 -98.829  246.751 1.0 73.01741  ? 372 ALA F O   372 ALA F O   1 
ATOM 17238 C CB  . ALA C 3 372 ? 334.748 -99.512  246.811 1.0 73.01741  ? 372 ALA F CB  372 ALA F CB  1 
ATOM 17239 N N   . PRO C 3 373 ? 332.192 -99.851  248.600 1.0 74.4444   ? 373 PRO F N   373 PRO F N   1 
ATOM 17240 C CA  . PRO C 3 373 ? 331.330 -99.037  249.462 1.0 74.4444   ? 373 PRO F CA  373 PRO F CA  1 
ATOM 17241 C C   . PRO C 3 373 ? 331.903 -97.640  249.649 1.0 74.4444   ? 373 PRO F C   373 PRO F C   1 
ATOM 17242 O O   . PRO C 3 373 ? 333.031 -97.332  249.262 1.0 74.4444   ? 373 PRO F O   373 PRO F O   1 
ATOM 17243 C CB  . PRO C 3 373 ? 331.289 -99.818  250.778 1.0 74.4444   ? 373 PRO F CB  373 PRO F CB  1 
ATOM 17244 C CG  . PRO C 3 373 ? 332.490 -100.686 250.742 1.0 74.4444   ? 373 PRO F CG  373 PRO F CG  1 
ATOM 17245 C CD  . PRO C 3 373 ? 332.671 -101.053 249.307 1.0 74.4444   ? 373 PRO F CD  373 PRO F CD  1 
ATOM 17246 N N   . ALA C 3 374 ? 331.085 -96.782  250.253 1.0 73.63989  ? 374 ALA F N   374 ALA F N   1 
ATOM 17247 C CA  . ALA C 3 374 ? 331.447 -95.383  250.437 1.0 73.63989  ? 374 ALA F CA  374 ALA F CA  1 
ATOM 17248 C C   . ALA C 3 374 ? 332.585 -95.245  251.440 1.0 73.63989  ? 374 ALA F C   374 ALA F C   1 
ATOM 17249 O O   . ALA C 3 374 ? 332.538 -95.818  252.532 1.0 73.63989  ? 374 ALA F O   374 ALA F O   1 
ATOM 17250 C CB  . ALA C 3 374 ? 330.230 -94.590  250.907 1.0 73.63989  ? 374 ALA F CB  374 ALA F CB  1 
ATOM 17251 N N   . ALA C 3 375 ? 333.613 -94.492  251.058 1.0 74.0681   ? 375 ALA F N   375 ALA F N   1 
ATOM 17252 C CA  . ALA C 3 375 ? 334.793 -94.350  251.897 1.0 74.0681   ? 375 ALA F CA  375 ALA F CA  1 
ATOM 17253 C C   . ALA C 3 375 ? 334.499 -93.468  253.100 1.0 74.0681   ? 375 ALA F C   375 ALA F C   1 
ATOM 17254 O O   . ALA C 3 375 ? 334.096 -92.312  252.958 1.0 74.0681   ? 375 ALA F O   375 ALA F O   1 
ATOM 17255 C CB  . ALA C 3 375 ? 335.948 -93.762  251.090 1.0 74.0681   ? 375 ALA F CB  375 ALA F CB  1 
ATOM 17256 N N   . VAL C 3 376 ? 334.729 -94.013  254.292 1.0 75.5104   ? 376 VAL F N   376 VAL F N   1 
ATOM 17257 C CA  . VAL C 3 376 ? 334.404 -93.353  255.548 1.0 75.5104   ? 376 VAL F CA  376 VAL F CA  1 
ATOM 17258 C C   . VAL C 3 376 ? 335.685 -92.758  256.122 1.0 75.5104   ? 376 VAL F C   376 VAL F C   1 
ATOM 17259 O O   . VAL C 3 376 ? 336.779 -93.299  255.923 1.0 75.5104   ? 376 VAL F O   376 VAL F O   1 
ATOM 17260 C CB  . VAL C 3 376 ? 333.715 -94.338  256.526 1.0 75.5104   ? 376 VAL F CB  376 VAL F CB  1 
ATOM 17261 C CG1 . VAL C 3 376 ? 334.646 -95.464  256.968 1.0 75.5104   ? 376 VAL F CG1 376 VAL F CG1 1 
ATOM 17262 C CG2 . VAL C 3 376 ? 333.096 -93.620  257.720 1.0 75.5104   ? 376 VAL F CG2 376 VAL F CG2 1 
ATOM 17263 N N   . GLY C 3 377 ? 335.559 -91.608  256.774 1.0 78.83781  ? 377 GLY F N   377 GLY F N   1 
ATOM 17264 C CA  . GLY C 3 377 ? 336.716 -90.931  257.322 1.0 78.83781  ? 377 GLY F CA  377 GLY F CA  1 
ATOM 17265 C C   . GLY C 3 377 ? 336.304 -89.776  258.204 1.0 78.83781  ? 377 GLY F C   377 GLY F C   1 
ATOM 17266 O O   . GLY C 3 377 ? 335.124 -89.601  258.521 1.0 78.83781  ? 377 GLY F O   377 GLY F O   1 
ATOM 17267 N N   . THR C 3 378 ? 337.300 -88.997  258.608 1.0 81.55779  ? 378 THR F N   378 THR F N   1 
ATOM 17268 C CA  . THR C 3 378 ? 337.059 -87.850  259.465 1.0 81.55779  ? 378 THR F CA  378 THR F CA  1 
ATOM 17269 C C   . THR C 3 378 ? 337.310 -86.548  258.709 1.0 81.55779  ? 378 THR F C   378 THR F C   1 
ATOM 17270 O O   . THR C 3 378 ? 338.087 -86.487  257.755 1.0 81.55779  ? 378 THR F O   378 THR F O   1 
ATOM 17271 C CB  . THR C 3 378 ? 337.947 -87.911  260.706 1.0 81.55779  ? 378 THR F CB  378 THR F CB  1 
ATOM 17272 O OG1 . THR C 3 378 ? 339.324 -87.899  260.309 1.0 81.55779  ? 378 THR F OG1 378 THR F OG1 1 
ATOM 17273 C CG2 . THR C 3 378 ? 337.667 -89.173  261.501 1.0 81.55779  ? 378 THR F CG2 378 THR F CG2 1 
ATOM 17274 N N   . GLY C 3 379 ? 336.640 -85.493  259.153 1.0 82.7479   ? 379 GLY F N   379 GLY F N   1 
ATOM 17275 C CA  . GLY C 3 379 ? 336.897 -84.172  258.621 1.0 82.7479   ? 379 GLY F CA  379 GLY F CA  1 
ATOM 17276 C C   . GLY C 3 379 ? 337.863 -83.439  259.522 1.0 82.7479   ? 379 GLY F C   379 GLY F C   1 
ATOM 17277 O O   . GLY C 3 379 ? 337.972 -83.789  260.699 1.0 82.7479   ? 379 GLY F O   379 GLY F O   1 
ATOM 17278 N N   . MET C 3 380 ? 338.581 -82.444  259.008 1.0 84.97236  ? 380 MET F N   380 MET F N   1 
ATOM 17279 C CA  . MET C 3 380 ? 339.525 -81.711  259.836 1.0 84.97236  ? 380 MET F CA  380 MET F CA  1 
ATOM 17280 C C   . MET C 3 380 ? 339.724 -80.284  259.349 1.0 84.97236  ? 380 MET F C   380 MET F C   1 
ATOM 17281 O O   . MET C 3 380 ? 339.279 -79.907  258.262 1.0 84.97236  ? 380 MET F O   380 MET F O   1 
ATOM 17282 C CB  . MET C 3 380 ? 340.872 -82.408  259.888 1.0 84.97236  ? 380 MET F CB  380 MET F CB  1 
ATOM 17283 C CG  . MET C 3 380 ? 341.714 -82.308  258.656 1.0 84.97236  ? 380 MET F CG  380 MET F CG  1 
ATOM 17284 S SD  . MET C 3 380 ? 341.231 -83.473  257.391 1.0 84.97236  ? 380 MET F SD  380 MET F SD  1 
ATOM 17285 C CE  . MET C 3 380 ? 342.800 -83.615  256.550 1.0 84.97236  ? 380 MET F CE  380 MET F CE  1 
ATOM 17286 N N   . THR C 3 381 ? 340.412 -79.499  260.178 1.0 87.91604  ? 381 THR F N   381 THR F N   1 
ATOM 17287 C CA  . THR C 3 381 ? 340.640 -78.085  259.924 1.0 87.91604  ? 381 THR F CA  381 THR F CA  1 
ATOM 17288 C C   . THR C 3 381 ? 342.129 -77.811  259.768 1.0 87.91604  ? 381 THR F C   381 THR F C   1 
ATOM 17289 O O   . THR C 3 381 ? 342.955 -78.413  260.461 1.0 87.91604  ? 381 THR F O   381 THR F O   1 
ATOM 17290 C CB  . THR C 3 381 ? 340.079 -77.235  261.062 1.0 87.91604  ? 381 THR F CB  381 THR F CB  1 
ATOM 17291 O OG1 . THR C 3 381 ? 340.758 -77.564  262.279 1.0 87.91604  ? 381 THR F OG1 381 THR F OG1 1 
ATOM 17292 C CG2 . THR C 3 381 ? 338.591 -77.486  261.235 1.0 87.91604  ? 381 THR F CG2 381 THR F CG2 1 
ATOM 17293 N N   . VAL C 3 382 ? 342.464 -76.900  258.862 1.0 88.80028  ? 382 VAL F N   382 VAL F N   1 
ATOM 17294 C CA  . VAL C 3 382 ? 343.853 -76.536  258.610 1.0 88.80028  ? 382 VAL F CA  382 VAL F CA  1 
ATOM 17295 C C   . VAL C 3 382 ? 344.196 -75.249  259.339 1.0 88.80028  ? 382 VAL F C   382 VAL F C   1 
ATOM 17296 O O   . VAL C 3 382 ? 343.314 -74.497  259.770 1.0 88.80028  ? 382 VAL F O   382 VAL F O   1 
ATOM 17297 C CB  . VAL C 3 382 ? 344.108 -76.390  257.105 1.0 88.80028  ? 382 VAL F CB  382 VAL F CB  1 
ATOM 17298 C CG1 . VAL C 3 382 ? 343.932 -77.718  256.418 1.0 88.80028  ? 382 VAL F CG1 382 VAL F CG1 1 
ATOM 17299 C CG2 . VAL C 3 382 ? 343.170 -75.355  256.533 1.0 88.80028  ? 382 VAL F CG2 382 VAL F CG2 1 
ATOM 17300 N N   . ASN C 3 383 ? 345.499 -74.991  259.466 1.0 91.80683  ? 383 ASN F N   383 ASN F N   1 
ATOM 17301 C CA  . ASN C 3 383 ? 345.962 -73.753  260.077 1.0 91.80683  ? 383 ASN F CA  383 ASN F CA  1 
ATOM 17302 C C   . ASN C 3 383 ? 345.828 -72.586  259.109 1.0 91.80683  ? 383 ASN F C   383 ASN F C   1 
ATOM 17303 O O   . ASN C 3 383 ? 345.564 -71.454  259.532 1.0 91.80683  ? 383 ASN F O   383 ASN F O   1 
ATOM 17304 C CB  . ASN C 3 383 ? 347.417 -73.913  260.521 1.0 91.80683  ? 383 ASN F CB  383 ASN F CB  1 
ATOM 17305 C CG  . ASN C 3 383 ? 347.793 -72.998  261.675 1.0 91.80683  ? 383 ASN F CG  383 ASN F CG  1 
ATOM 17306 O OD1 . ASN C 3 383 ? 348.850 -73.163  262.282 1.0 91.80683  ? 383 ASN F OD1 383 ASN F OD1 1 
ATOM 17307 N ND2 . ASN C 3 383 ? 346.922 -72.054  262.002 1.0 91.80683  ? 383 ASN F ND2 383 ASN F ND2 1 
ATOM 17308 N N   . GLU C 3 384 ? 346.083 -72.837  257.820 1.0 90.55527  ? 384 GLU F N   384 GLU F N   1 
ATOM 17309 C CA  . GLU C 3 384 ? 346.035 -71.964  256.633 1.0 90.55527  ? 384 GLU F CA  384 GLU F CA  1 
ATOM 17310 C C   . GLU C 3 384 ? 347.216 -70.982  256.623 1.0 90.55527  ? 384 GLU F C   384 GLU F C   1 
ATOM 17311 O O   . GLU C 3 384 ? 347.528 -70.424  255.572 1.0 90.55527  ? 384 GLU F O   384 GLU F O   1 
ATOM 17312 C CB  . GLU C 3 384 ? 344.689 -71.215  256.506 1.0 90.55527  ? 384 GLU F CB  384 GLU F CB  1 
ATOM 17313 C CG  . GLU C 3 384 ? 344.391 -70.496  255.188 1.0 90.55527  ? 384 GLU F CG  384 GLU F CG  1 
ATOM 17314 C CD  . GLU C 3 384 ? 343.031 -69.828  255.183 1.0 90.55527  ? 384 GLU F CD  384 GLU F CD  1 
ATOM 17315 O OE1 . GLU C 3 384 ? 342.309 -69.943  256.194 1.0 90.55527  ? 384 GLU F OE1 384 GLU F OE1 1 
ATOM 17316 O OE2 . GLU C 3 384 ? 342.689 -69.174  254.175 1.0 90.55527  ? 384 GLU F OE2 384 GLU F OE2 1 
ATOM 17317 N N   . GLN C 3 385 ? 347.957 -70.847  257.718 1.0 92.66552  ? 385 GLN F N   385 GLN F N   1 
ATOM 17318 C CA  . GLN C 3 385 ? 349.200 -70.092  257.725 1.0 92.66552  ? 385 GLN F CA  385 GLN F CA  1 
ATOM 17319 C C   . GLN C 3 385 ? 350.420 -70.988  257.692 1.0 92.66552  ? 385 GLN F C   385 GLN F C   1 
ATOM 17320 O O   . GLN C 3 385 ? 351.467 -70.577  257.189 1.0 92.66552  ? 385 GLN F O   385 GLN F O   1 
ATOM 17321 C CB  . GLN C 3 385 ? 349.269 -69.188  258.959 1.0 92.66552  ? 385 GLN F CB  385 GLN F CB  1 
ATOM 17322 C CG  . GLN C 3 385 ? 348.232 -68.084  258.960 1.0 92.66552  ? 385 GLN F CG  385 GLN F CG  1 
ATOM 17323 C CD  . GLN C 3 385 ? 348.315 -67.218  260.193 1.0 92.66552  ? 385 GLN F CD  385 GLN F CD  1 
ATOM 17324 O OE1 . GLN C 3 385 ? 349.114 -67.476  261.093 1.0 92.66552  ? 385 GLN F OE1 385 GLN F OE1 1 
ATOM 17325 N NE2 . GLN C 3 385 ? 347.488 -66.181  260.245 1.0 92.66552  ? 385 GLN F NE2 385 GLN F NE2 1 
ATOM 17326 N N   . GLN C 3 386 ? 350.299 -72.196  258.226 1.0 94.15596  ? 386 GLN F N   386 GLN F N   1 
ATOM 17327 C CA  . GLN C 3 386 ? 351.245 -73.274  258.000 1.0 94.15596  ? 386 GLN F CA  386 GLN F CA  1 
ATOM 17328 C C   . GLN C 3 386 ? 350.454 -74.468  257.495 1.0 94.15596  ? 386 GLN F C   386 GLN F C   1 
ATOM 17329 O O   . GLN C 3 386 ? 349.309 -74.680  257.902 1.0 94.15596  ? 386 GLN F O   386 GLN F O   1 
ATOM 17330 C CB  . GLN C 3 386 ? 352.016 -73.637  259.275 1.0 94.15596  ? 386 GLN F CB  386 GLN F CB  1 
ATOM 17331 C CG  . GLN C 3 386 ? 352.987 -72.568  259.753 1.0 94.15596  ? 386 GLN F CG  386 GLN F CG  1 
ATOM 17332 C CD  . GLN C 3 386 ? 352.314 -71.488  260.578 1.0 94.15596  ? 386 GLN F CD  386 GLN F CD  1 
ATOM 17333 O OE1 . GLN C 3 386 ? 351.197 -71.668  261.062 1.0 94.15596  ? 386 GLN F OE1 386 GLN F OE1 1 
ATOM 17334 N NE2 . GLN C 3 386 ? 352.993 -70.358  260.742 1.0 94.15596  ? 386 GLN F NE2 386 GLN F NE2 1 
ATOM 17335 N N   . GLN C 3 387 ? 351.059 -75.248  256.603 1.0 92.46008  ? 387 GLN F N   387 GLN F N   1 
ATOM 17336 C CA  . GLN C 3 387 ? 350.353 -76.349  255.949 1.0 92.46008  ? 387 GLN F CA  387 GLN F CA  1 
ATOM 17337 C C   . GLN C 3 387 ? 350.270 -77.561  256.879 1.0 92.46008  ? 387 GLN F C   387 GLN F C   1 
ATOM 17338 O O   . GLN C 3 387 ? 350.973 -78.559  256.728 1.0 92.46008  ? 387 GLN F O   387 GLN F O   1 
ATOM 17339 C CB  . GLN C 3 387 ? 351.024 -76.705  254.629 1.0 92.46008  ? 387 GLN F CB  387 GLN F CB  1 
ATOM 17340 C CG  . GLN C 3 387 ? 350.729 -75.746  253.482 1.0 92.46008  ? 387 GLN F CG  387 GLN F CG  1 
ATOM 17341 C CD  . GLN C 3 387 ? 351.423 -74.409  253.626 1.0 92.46008  ? 387 GLN F CD  387 GLN F CD  1 
ATOM 17342 O OE1 . GLN C 3 387 ? 350.778 -73.363  253.660 1.0 92.46008  ? 387 GLN F OE1 387 GLN F OE1 1 
ATOM 17343 N NE2 . GLN C 3 387 ? 352.745 -74.442  253.743 1.0 92.46008  ? 387 GLN F NE2 387 GLN F NE2 1 
ATOM 17344 N N   . THR C 3 388 ? 349.377 -77.455  257.857 1.0 91.9438   ? 388 THR F N   388 THR F N   1 
ATOM 17345 C CA  . THR C 3 388 ? 349.192 -78.478  258.874 1.0 91.9438   ? 388 THR F CA  388 THR F CA  1 
ATOM 17346 C C   . THR C 3 388 ? 347.707 -78.771  259.026 1.0 91.9438   ? 388 THR F C   388 THR F C   1 
ATOM 17347 O O   . THR C 3 388 ? 346.909 -77.853  259.243 1.0 91.9438   ? 388 THR F O   388 THR F O   1 
ATOM 17348 C CB  . THR C 3 388 ? 349.786 -78.025  260.209 1.0 91.9438   ? 388 THR F CB  388 THR F CB  1 
ATOM 17349 O OG1 . THR C 3 388 ? 351.181 -77.750  260.039 1.0 91.9438   ? 388 THR F OG1 388 THR F OG1 1 
ATOM 17350 C CG2 . THR C 3 388 ? 349.618 -79.103  261.264 1.0 91.9438   ? 388 THR F CG2 388 THR F CG2 1 
ATOM 17351 N N   . ALA C 3 389 ? 347.338 -80.047  258.917 1.0 89.72599  ? 389 ALA F N   389 ALA F N   1 
ATOM 17352 C CA  . ALA C 3 389 ? 345.942 -80.476  258.981 1.0 89.72599  ? 389 ALA F CA  389 ALA F CA  1 
ATOM 17353 C C   . ALA C 3 389 ? 345.811 -81.590  260.016 1.0 89.72599  ? 389 ALA F C   389 ALA F C   1 
ATOM 17354 O O   . ALA C 3 389 ? 345.947 -82.771  259.689 1.0 89.72599  ? 389 ALA F O   389 ALA F O   1 
ATOM 17355 C CB  . ALA C 3 389 ? 345.459 -80.930  257.612 1.0 89.72599  ? 389 ALA F CB  389 ALA F CB  1 
ATOM 17356 N N   . ALA C 3 390 ? 345.538 -81.216  261.258 1.0 89.87387  ? 390 ALA F N   390 ALA F N   1 
ATOM 17357 C CA  . ALA C 3 390 ? 345.284 -82.180  262.317 1.0 89.87387  ? 390 ALA F CA  390 ALA F CA  1 
ATOM 17358 C C   . ALA C 3 390 ? 343.786 -82.412  262.458 1.0 89.87387  ? 390 ALA F C   390 ALA F C   1 
ATOM 17359 O O   . ALA C 3 390 ? 342.973 -81.523  262.197 1.0 89.87387  ? 390 ALA F O   390 ALA F O   1 
ATOM 17360 C CB  . ALA C 3 390 ? 345.873 -81.699  263.645 1.0 89.87387  ? 390 ALA F CB  390 ALA F CB  1 
ATOM 17361 N N   . VAL C 3 391 ? 343.430 -83.623  262.895 1.0 88.43496  ? 391 VAL F N   391 VAL F N   1 
ATOM 17362 C CA  . VAL C 3 391 ? 342.033 -84.042  262.917 1.0 88.43496  ? 391 VAL F CA  391 VAL F CA  1 
ATOM 17363 C C   . VAL C 3 391 ? 341.282 -83.326  264.036 1.0 88.43496  ? 391 VAL F C   391 VAL F C   1 
ATOM 17364 O O   . VAL C 3 391 ? 341.819 -83.088  265.128 1.0 88.43496  ? 391 VAL F O   391 VAL F O   1 
ATOM 17365 C CB  . VAL C 3 391 ? 341.947 -85.579  263.022 1.0 88.43496  ? 391 VAL F CB  391 VAL F CB  1 
ATOM 17366 C CG1 . VAL C 3 391 ? 342.578 -86.107  264.308 1.0 88.43496  ? 391 VAL F CG1 391 VAL F CG1 1 
ATOM 17367 C CG2 . VAL C 3 391 ? 340.512 -86.073  262.869 1.0 88.43496  ? 391 VAL F CG2 391 VAL F CG2 1 
ATOM 17368 N N   . THR C 3 392 ? 340.054 -82.907  263.740 1.0 89.34702  ? 392 THR F N   392 THR F N   1 
ATOM 17369 C CA  . THR C 3 392 ? 339.192 -82.298  264.740 1.0 89.34702  ? 392 THR F CA  392 THR F CA  1 
ATOM 17370 C C   . THR C 3 392 ? 338.226 -83.334  265.306 1.0 89.34702  ? 392 THR F C   392 THR F C   1 
ATOM 17371 O O   . THR C 3 392 ? 337.932 -84.357  264.684 1.0 89.34702  ? 392 THR F O   392 THR F O   1 
ATOM 17372 C CB  . THR C 3 392 ? 338.423 -81.107  264.159 1.0 89.34702  ? 392 THR F CB  392 THR F CB  1 
ATOM 17373 O OG1 . THR C 3 392 ? 337.690 -80.456  265.204 1.0 89.34702  ? 392 THR F OG1 392 THR F OG1 1 
ATOM 17374 C CG2 . THR C 3 392 ? 337.462 -81.544  263.069 1.0 89.34702  ? 392 THR F CG2 392 THR F CG2 1 
ATOM 17375 N N   . ALA C 3 393 ? 337.744 -83.060  266.511 1.0 90.25644  ? 393 ALA F N   393 ALA F N   1 
ATOM 17376 C CA  . ALA C 3 393 ? 336.948 -84.026  267.250 1.0 90.25644  ? 393 ALA F CA  393 ALA F CA  1 
ATOM 17377 C C   . ALA C 3 393 ? 335.496 -83.991  266.802 1.0 90.25644  ? 393 ALA F C   393 ALA F C   1 
ATOM 17378 O O   . ALA C 3 393 ? 334.987 -82.952  266.371 1.0 90.25644  ? 393 ALA F O   393 ALA F O   1 
ATOM 17379 C CB  . ALA C 3 393 ? 337.029 -83.758  268.753 1.0 90.25644  ? 393 ALA F CB  393 ALA F CB  1 
ATOM 17380 N N   . ASN C 3 394 ? 334.845 -85.157  266.913 1.0 89.43923  ? 394 ASN F N   394 ASN F N   1 
ATOM 17381 C CA  . ASN C 3 394 ? 333.414 -85.349  266.652 1.0 89.43923  ? 394 ASN F CA  394 ASN F CA  1 
ATOM 17382 C C   . ASN C 3 394 ? 333.037 -84.955  265.225 1.0 89.43923  ? 394 ASN F C   394 ASN F C   1 
ATOM 17383 O O   . ASN C 3 394 ? 332.077 -84.222  264.994 1.0 89.43923  ? 394 ASN F O   394 ASN F O   1 
ATOM 17384 C CB  . ASN C 3 394 ? 332.555 -84.599  267.673 1.0 89.43923  ? 394 ASN F CB  394 ASN F CB  1 
ATOM 17385 C CG  . ASN C 3 394 ? 332.758 -85.104  269.082 1.0 89.43923  ? 394 ASN F CG  394 ASN F CG  1 
ATOM 17386 O OD1 . ASN C 3 394 ? 333.258 -84.384  269.945 1.0 89.43923  ? 394 ASN F OD1 394 ASN F OD1 1 
ATOM 17387 N ND2 . ASN C 3 394 ? 332.373 -86.349  269.325 1.0 89.43923  ? 394 ASN F ND2 394 ASN F ND2 1 
ATOM 17388 N N   . THR C 3 395 ? 333.834 -85.421  264.265 1.0 86.31313  ? 395 THR F N   395 THR F N   1 
ATOM 17389 C CA  . THR C 3 395 ? 333.526 -85.297  262.842 1.0 86.31313  ? 395 THR F CA  395 THR F CA  1 
ATOM 17390 C C   . THR C 3 395 ? 333.847 -86.630  262.187 1.0 86.31313  ? 395 THR F C   395 THR F C   1 
ATOM 17391 O O   . THR C 3 395 ? 335.021 -86.983  262.049 1.0 86.31313  ? 395 THR F O   395 THR F O   1 
ATOM 17392 C CB  . THR C 3 395 ? 334.324 -84.180  262.159 1.0 86.31313  ? 395 THR F CB  395 THR F CB  1 
ATOM 17393 O OG1 . THR C 3 395 ? 335.726 -84.404  262.355 1.0 86.31313  ? 395 THR F OG1 395 THR F OG1 1 
ATOM 17394 C CG2 . THR C 3 395 ? 333.941 -82.795  262.660 1.0 86.31313  ? 395 THR F CG2 395 THR F CG2 1 
ATOM 17395 N N   . VAL C 3 396 ? 332.819 -87.370  261.792 1.0 81.69571  ? 396 VAL F N   396 VAL F N   1 
ATOM 17396 C CA  . VAL C 3 396 ? 333.000 -88.524  260.923 1.0 81.69571  ? 396 VAL F CA  396 VAL F CA  1 
ATOM 17397 C C   . VAL C 3 396 ? 332.240 -88.250  259.635 1.0 81.69571  ? 396 VAL F C   396 VAL F C   1 
ATOM 17398 O O   . VAL C 3 396 ? 331.256 -87.504  259.620 1.0 81.69571  ? 396 VAL F O   396 VAL F O   1 
ATOM 17399 C CB  . VAL C 3 396 ? 332.552 -89.851  261.578 1.0 81.69571  ? 396 VAL F CB  396 VAL F CB  1 
ATOM 17400 C CG1 . VAL C 3 396 ? 333.377 -90.129  262.826 1.0 81.69571  ? 396 VAL F CG1 396 VAL F CG1 1 
ATOM 17401 C CG2 . VAL C 3 396 ? 331.082 -89.829  261.914 1.0 81.69571  ? 396 VAL F CG2 396 VAL F CG2 1 
ATOM 17402 N N   . ALA C 3 397 ? 332.725 -88.824  258.539 1.0 77.20062  ? 397 ALA F N   397 ALA F N   1 
ATOM 17403 C CA  . ALA C 3 397 ? 332.208 -88.456  257.232 1.0 77.20062  ? 397 ALA F CA  397 ALA F CA  1 
ATOM 17404 C C   . ALA C 3 397 ? 332.416 -89.585  256.243 1.0 77.20062  ? 397 ALA F C   397 ALA F C   1 
ATOM 17405 O O   . ALA C 3 397 ? 333.447 -90.258  256.266 1.0 77.20062  ? 397 ALA F O   397 ALA F O   1 
ATOM 17406 C CB  . ALA C 3 397 ? 332.886 -87.193  256.702 1.0 77.20062  ? 397 ALA F CB  397 ALA F CB  1 
ATOM 17407 N N   . LEU C 3 398 ? 331.438 -89.770  255.363 1.0 72.32513  ? 398 LEU F N   398 LEU F N   1 
ATOM 17408 C CA  . LEU C 3 398 ? 331.529 -90.747  254.288 1.0 72.32513  ? 398 LEU F CA  398 LEU F CA  1 
ATOM 17409 C C   . LEU C 3 398 ? 331.262 -90.038  252.970 1.0 72.32513  ? 398 LEU F C   398 LEU F C   1 
ATOM 17410 O O   . LEU C 3 398 ? 330.236 -89.371  252.813 1.0 72.32513  ? 398 LEU F O   398 LEU F O   1 
ATOM 17411 C CB  . LEU C 3 398 ? 330.578 -91.925  254.538 1.0 72.32513  ? 398 LEU F CB  398 LEU F CB  1 
ATOM 17412 C CG  . LEU C 3 398 ? 329.095 -91.750  254.884 1.0 72.32513  ? 398 LEU F CG  398 LEU F CG  1 
ATOM 17413 C CD1 . LEU C 3 398 ? 328.211 -91.740  253.671 1.0 72.32513  ? 398 LEU F CD1 398 LEU F CD1 1 
ATOM 17414 C CD2 . LEU C 3 398 ? 328.639 -92.837  255.849 1.0 72.32513  ? 398 LEU F CD2 398 LEU F CD2 1 
ATOM 17415 N N   . ILE C 3 399 ? 332.224 -90.120  252.052 1.0 69.44783  ? 399 ILE F N   399 ILE F N   1 
ATOM 17416 C CA  . ILE C 3 399 ? 332.186 -89.378  250.802 1.0 69.44783  ? 399 ILE F CA  399 ILE F CA  1 
ATOM 17417 C C   . ILE C 3 399 ? 332.411 -90.344  249.644 1.0 69.44783  ? 399 ILE F C   399 ILE F C   1 
ATOM 17418 O O   . ILE C 3 399 ? 332.685 -91.527  249.839 1.0 69.44783  ? 399 ILE F O   399 ILE F O   1 
ATOM 17419 C CB  . ILE C 3 399 ? 333.209 -88.230  250.789 1.0 69.44783  ? 399 ILE F CB  399 ILE F CB  1 
ATOM 17420 C CG1 . ILE C 3 399 ? 334.592 -88.770  251.094 1.0 69.44783  ? 399 ILE F CG1 399 ILE F CG1 1 
ATOM 17421 C CG2 . ILE C 3 399 ? 332.850 -87.178  251.810 1.0 69.44783  ? 399 ILE F CG2 399 ILE F CG2 1 
ATOM 17422 C CD1 . ILE C 3 399 ? 335.647 -87.724  251.016 1.0 69.44783  ? 399 ILE F CD1 399 ILE F CD1 1 
ATOM 17423 N N   . GLY C 3 400 ? 332.266 -89.825  248.423 1.0 67.73659  ? 400 GLY F N   400 GLY F N   1 
ATOM 17424 C CA  . GLY C 3 400 ? 332.070 -90.686  247.270 1.0 67.73659  ? 400 GLY F CA  400 GLY F CA  1 
ATOM 17425 C C   . GLY C 3 400 ? 333.136 -90.768  246.192 1.0 67.73659  ? 400 GLY F C   400 GLY F C   1 
ATOM 17426 O O   . GLY C 3 400 ? 333.327 -91.844  245.617 1.0 67.73659  ? 400 GLY F O   400 GLY F O   1 
ATOM 17427 N N   . TYR C 3 401 ? 333.805 -89.647  245.900 1.0 68.25488  ? 401 TYR F N   401 TYR F N   1 
ATOM 17428 C CA  . TYR C 3 401 ? 334.892 -89.526  244.916 1.0 68.25488  ? 401 TYR F CA  401 TYR F CA  1 
ATOM 17429 C C   . TYR C 3 401 ? 334.449 -89.921  243.503 1.0 68.25488  ? 401 TYR F C   401 TYR F C   1 
ATOM 17430 O O   . TYR C 3 401 ? 334.876 -90.931  242.944 1.0 68.25488  ? 401 TYR F O   401 TYR F O   1 
ATOM 17431 C CB  . TYR C 3 401 ? 336.128 -90.339  245.307 1.0 68.25488  ? 401 TYR F CB  401 TYR F CB  1 
ATOM 17432 C CG  . TYR C 3 401 ? 336.790 -89.872  246.559 1.0 68.25488  ? 401 TYR F CG  401 TYR F CG  1 
ATOM 17433 C CD1 . TYR C 3 401 ? 337.559 -88.720  246.571 1.0 68.25488  ? 401 TYR F CD1 401 TYR F CD1 1 
ATOM 17434 C CD2 . TYR C 3 401 ? 336.676 -90.605  247.724 1.0 68.25488  ? 401 TYR F CD2 401 TYR F CD2 1 
ATOM 17435 C CE1 . TYR C 3 401 ? 338.174 -88.300  247.720 1.0 68.25488  ? 401 TYR F CE1 401 TYR F CE1 1 
ATOM 17436 C CE2 . TYR C 3 401 ? 337.290 -90.203  248.867 1.0 68.25488  ? 401 TYR F CE2 401 TYR F CE2 1 
ATOM 17437 C CZ  . TYR C 3 401 ? 338.039 -89.052  248.865 1.0 68.25488  ? 401 TYR F CZ  401 TYR F CZ  1 
ATOM 17438 O OH  . TYR C 3 401 ? 338.644 -88.655  250.029 1.0 68.25488  ? 401 TYR F OH  401 TYR F OH  1 
ATOM 17439 N N   . GLY C 3 402 ? 333.578 -89.105  242.939 1.0 66.1739   ? 402 GLY F N   402 GLY F N   1 
ATOM 17440 C CA  . GLY C 3 402 ? 333.335 -89.202  241.519 1.0 66.1739   ? 402 GLY F CA  402 GLY F CA  1 
ATOM 17441 C C   . GLY C 3 402 ? 331.889 -88.948  241.188 1.0 66.1739   ? 402 GLY F C   402 GLY F C   1 
ATOM 17442 O O   . GLY C 3 402 ? 331.166 -88.298  241.937 1.0 66.1739   ? 402 GLY F O   402 GLY F O   1 
ATOM 17443 N N   . ASN C 3 403 ? 331.480 -89.460  240.036 1.0 63.95196  ? 403 ASN F N   403 ASN F N   1 
ATOM 17444 C CA  . ASN C 3 403 ? 330.102 -89.330  239.602 1.0 63.95196  ? 403 ASN F CA  403 ASN F CA  1 
ATOM 17445 C C   . ASN C 3 403 ? 329.232 -90.361  240.310 1.0 63.95196  ? 403 ASN F C   403 ASN F C   1 
ATOM 17446 O O   . ASN C 3 403 ? 329.719 -91.237  241.026 1.0 63.95196  ? 403 ASN F O   403 ASN F O   1 
ATOM 17447 C CB  . ASN C 3 403 ? 330.001 -89.513  238.090 1.0 63.95196  ? 403 ASN F CB  403 ASN F CB  1 
ATOM 17448 C CG  . ASN C 3 403 ? 330.842 -88.520  237.329 1.0 63.95196  ? 403 ASN F CG  403 ASN F CG  1 
ATOM 17449 O OD1 . ASN C 3 403 ? 331.766 -88.892  236.611 1.0 63.95196  ? 403 ASN F OD1 403 ASN F OD1 1 
ATOM 17450 N ND2 . ASN C 3 403 ? 330.529 -87.248  237.483 1.0 63.95196  ? 403 ASN F ND2 403 ASN F ND2 1 
ATOM 17451 N N   . ILE C 3 404 ? 327.929 -90.249  240.111 1.0 61.98903  ? 404 ILE F N   404 ILE F N   1 
ATOM 17452 C CA  . ILE C 3 404 ? 327.011 -91.276  240.604 1.0 61.98903  ? 404 ILE F CA  404 ILE F CA  1 
ATOM 17453 C C   . ILE C 3 404 ? 327.052 -92.460  239.643 1.0 61.98903  ? 404 ILE F C   404 ILE F C   1 
ATOM 17454 O O   . ILE C 3 404 ? 326.840 -92.269  238.437 1.0 61.98903  ? 404 ILE F O   404 ILE F O   1 
ATOM 17455 C CB  . ILE C 3 404 ? 325.592 -90.725  240.738 1.0 61.98903  ? 404 ILE F CB  404 ILE F CB  1 
ATOM 17456 C CG1 . ILE C 3 404 ? 325.497 -89.695  241.863 1.0 61.98903  ? 404 ILE F CG1 404 ILE F CG1 1 
ATOM 17457 C CG2 . ILE C 3 404 ? 324.604 -91.841  241.001 1.0 61.98903  ? 404 ILE F CG2 404 ILE F CG2 1 
ATOM 17458 C CD1 . ILE C 3 404 ? 325.616 -88.267  241.420 1.0 61.98903  ? 404 ILE F CD1 404 ILE F CD1 1 
ATOM 17459 N N   . PRO C 3 405 ? 327.333 -93.676  240.120 1.0 62.16039  ? 405 PRO F N   405 PRO F N   1 
ATOM 17460 C CA  . PRO C 3 405 ? 327.439 -94.822  239.204 1.0 62.16039  ? 405 PRO F CA  405 PRO F CA  1 
ATOM 17461 C C   . PRO C 3 405 ? 326.095 -95.261  238.644 1.0 62.16039  ? 405 PRO F C   405 PRO F C   1 
ATOM 17462 O O   . PRO C 3 405 ? 325.290 -95.887  239.337 1.0 62.16039  ? 405 PRO F O   405 PRO F O   1 
ATOM 17463 C CB  . PRO C 3 405 ? 328.072 -95.909  240.082 1.0 62.16039  ? 405 PRO F CB  405 PRO F CB  1 
ATOM 17464 C CG  . PRO C 3 405 ? 327.698 -95.538  241.478 1.0 62.16039  ? 405 PRO F CG  405 PRO F CG  1 
ATOM 17465 C CD  . PRO C 3 405 ? 327.650 -94.040  241.513 1.0 62.16039  ? 405 PRO F CD  405 PRO F CD  1 
ATOM 17466 N N   . ALA C 3 406 ? 325.848 -94.955  237.377 1.0 61.36004  ? 406 ALA F N   406 ALA F N   1 
ATOM 17467 C CA  . ALA C 3 406 ? 324.553 -95.189  236.762 1.0 61.36004  ? 406 ALA F CA  406 ALA F CA  1 
ATOM 17468 C C   . ALA C 3 406 ? 324.628 -96.290  235.718 1.0 61.36004  ? 406 ALA F C   406 ALA F C   1 
ATOM 17469 O O   . ALA C 3 406 ? 325.698 -96.621  235.205 1.0 61.36004  ? 406 ALA F O   406 ALA F O   1 
ATOM 17470 C CB  . ALA C 3 406 ? 324.020 -93.913  236.111 1.0 61.36004  ? 406 ALA F CB  406 ALA F CB  1 
ATOM 17471 N N   . VAL C 3 407 ? 323.463 -96.861  235.415 1.0 59.91412  ? 407 VAL F N   407 VAL F N   1 
ATOM 17472 C CA  . VAL C 3 407 ? 323.293 -97.787  234.305 1.0 59.91412  ? 407 VAL F CA  407 VAL F CA  1 
ATOM 17473 C C   . VAL C 3 407 ? 322.152 -97.282  233.435 1.0 59.91412  ? 407 VAL F C   407 VAL F C   1 
ATOM 17474 O O   . VAL C 3 407 ? 321.251 -96.581  233.904 1.0 59.91412  ? 407 VAL F O   407 VAL F O   1 
ATOM 17475 C CB  . VAL C 3 407 ? 323.033 -99.235  234.773 1.0 59.91412  ? 407 VAL F CB  407 VAL F CB  1 
ATOM 17476 C CG1 . VAL C 3 407 ? 324.255 -99.791  235.474 1.0 59.91412  ? 407 VAL F CG1 407 VAL F CG1 1 
ATOM 17477 C CG2 . VAL C 3 407 ? 321.840 -99.290  235.696 1.0 59.91412  ? 407 VAL F CG2 407 VAL F CG2 1 
ATOM 17478 N N   . GLU C 3 408 ? 322.197 -97.640  232.158 1.0 62.40151  ? 408 GLU F N   408 GLU F N   1 
ATOM 17479 C CA  . GLU C 3 408 ? 321.339 -97.054  231.141 1.0 62.40151  ? 408 GLU F CA  408 GLU F CA  1 
ATOM 17480 C C   . GLU C 3 408 ? 320.537 -98.147  230.452 1.0 62.40151  ? 408 GLU F C   408 GLU F C   1 
ATOM 17481 O O   . GLU C 3 408 ? 321.001 -99.279  230.300 1.0 62.40151  ? 408 GLU F O   408 GLU F O   1 
ATOM 17482 C CB  . GLU C 3 408 ? 322.184 -96.288  230.111 1.0 62.40151  ? 408 GLU F CB  408 GLU F CB  1 
ATOM 17483 C CG  . GLU C 3 408 ? 321.433 -95.369  229.156 1.0 62.40151  ? 408 GLU F CG  408 GLU F CG  1 
ATOM 17484 C CD  . GLU C 3 408 ? 320.947 -96.083  227.909 1.0 62.40151  ? 408 GLU F CD  408 GLU F CD  1 
ATOM 17485 O OE1 . GLU C 3 408 ? 321.546 -97.119  227.555 1.0 62.40151  ? 408 GLU F OE1 408 GLU F OE1 1 
ATOM 17486 O OE2 . GLU C 3 408 ? 319.975 -95.609  227.281 1.0 62.40151  ? 408 GLU F OE2 408 GLU F OE2 1 
ATOM 17487 N N   . MET C 3 409 ? 319.325 -97.802  230.037 1.0 60.89825  ? 409 MET F N   409 MET F N   1 
ATOM 17488 C CA  . MET C 3 409 ? 318.530 -98.694  229.211 1.0 60.89825  ? 409 MET F CA  409 MET F CA  1 
ATOM 17489 C C   . MET C 3 409 ? 317.741 -97.860  228.219 1.0 60.89825  ? 409 MET F C   409 MET F C   1 
ATOM 17490 O O   . MET C 3 409 ? 317.224 -96.797  228.568 1.0 60.89825  ? 409 MET F O   409 MET F O   1 
ATOM 17491 C CB  . MET C 3 409 ? 317.625 -99.587  230.074 1.0 60.89825  ? 409 MET F CB  409 MET F CB  1 
ATOM 17492 C CG  . MET C 3 409 ? 316.740 -98.883  231.087 1.0 60.89825  ? 409 MET F CG  409 MET F CG  1 
ATOM 17493 S SD  . MET C 3 409 ? 315.114 -98.429  230.481 1.0 60.89825  ? 409 MET F SD  409 MET F SD  1 
ATOM 17494 C CE  . MET C 3 409 ? 314.368 -100.046 230.377 1.0 60.89825  ? 409 MET F CE  409 MET F CE  1 
ATOM 17495 N N   . ASN C 3 410 ? 317.691 -98.326  226.975 1.0 58.14487  ? 410 ASN F N   410 ASN F N   1 
ATOM 17496 C CA  . ASN C 3 410 ? 316.912 -97.643  225.947 1.0 58.14487  ? 410 ASN F CA  410 ASN F CA  1 
ATOM 17497 C C   . ASN C 3 410 ? 315.444 -97.859  226.276 1.0 58.14487  ? 410 ASN F C   410 ASN F C   1 
ATOM 17498 O O   . ASN C 3 410 ? 314.882 -98.921  226.005 1.0 58.14487  ? 410 ASN F O   410 ASN F O   1 
ATOM 17499 C CB  . ASN C 3 410 ? 317.268 -98.162  224.559 1.0 58.14487  ? 410 ASN F CB  410 ASN F CB  1 
ATOM 17500 C CG  . ASN C 3 410 ? 316.729 -97.278  223.451 1.0 58.14487  ? 410 ASN F CG  410 ASN F CG  1 
ATOM 17501 O OD1 . ASN C 3 410 ? 316.045 -96.292  223.707 1.0 58.14487  ? 410 ASN F OD1 410 ASN F OD1 1 
ATOM 17502 N ND2 . ASN C 3 410 ? 317.054 -97.618  222.212 1.0 58.14487  ? 410 ASN F ND2 410 ASN F ND2 1 
ATOM 17503 N N   . LEU C 3 411 ? 314.833 -96.840  226.885 1.0 57.54082  ? 411 LEU F N   411 LEU F N   1 
ATOM 17504 C CA  . LEU C 3 411 ? 313.477 -96.993  227.412 1.0 57.54082  ? 411 LEU F CA  411 LEU F CA  1 
ATOM 17505 C C   . LEU C 3 411 ? 312.416 -97.136  226.320 1.0 57.54082  ? 411 LEU F C   411 LEU F C   1 
ATOM 17506 O O   . LEU C 3 411 ? 311.659 -98.120  226.377 1.0 57.54082  ? 411 LEU F O   411 LEU F O   1 
ATOM 17507 C CB  . LEU C 3 411 ? 313.182 -95.853  228.400 1.0 57.54082  ? 411 LEU F CB  411 LEU F CB  1 
ATOM 17508 C CG  . LEU C 3 411 ? 311.962 -95.755  229.319 1.0 57.54082  ? 411 LEU F CG  411 LEU F CG  1 
ATOM 17509 C CD1 . LEU C 3 411 ? 310.725 -95.226  228.619 1.0 57.54082  ? 411 LEU F CD1 411 LEU F CD1 1 
ATOM 17510 C CD2 . LEU C 3 411 ? 311.678 -97.091  229.920 1.0 57.54082  ? 411 LEU F CD2 411 LEU F CD2 1 
ATOM 17511 N N   . PRO C 3 412 ? 312.287 -96.242  225.316 1.0 56.20399  ? 412 PRO F N   412 PRO F N   1 
ATOM 17512 C CA  . PRO C 3 412 ? 311.156 -96.397  224.385 1.0 56.20399  ? 412 PRO F CA  412 PRO F CA  1 
ATOM 17513 C C   . PRO C 3 412 ? 311.312 -97.554  223.416 1.0 56.20399  ? 412 PRO F C   412 PRO F C   1 
ATOM 17514 O O   . PRO C 3 412 ? 310.323 -97.949  222.791 1.0 56.20399  ? 412 PRO F O   412 PRO F O   1 
ATOM 17515 C CB  . PRO C 3 412 ? 311.124 -95.059  223.637 1.0 56.20399  ? 412 PRO F CB  412 PRO F CB  1 
ATOM 17516 C CG  . PRO C 3 412 ? 311.954 -94.143  224.432 1.0 56.20399  ? 412 PRO F CG  412 PRO F CG  1 
ATOM 17517 C CD  . PRO C 3 412 ? 313.023 -95.011  224.962 1.0 56.20399  ? 412 PRO F CD  412 PRO F CD  1 
ATOM 17518 N N   . ALA C 3 413 ? 312.514 -98.106  223.266 1.0 55.57565  ? 413 ALA F N   413 ALA F N   1 
ATOM 17519 C CA  . ALA C 3 413 ? 312.687 -99.312  222.471 1.0 55.57565  ? 413 ALA F CA  413 ALA F CA  1 
ATOM 17520 C C   . ALA C 3 413 ? 312.376 -100.571 223.261 1.0 55.57565  ? 413 ALA F C   413 ALA F C   1 
ATOM 17521 O O   . ALA C 3 413 ? 312.018 -101.589 222.663 1.0 55.57565  ? 413 ALA F O   413 ALA F O   1 
ATOM 17522 C CB  . ALA C 3 413 ? 314.111 -99.392  221.927 1.0 55.57565  ? 413 ALA F CB  413 ALA F CB  1 
ATOM 17523 N N   . ASN C 3 414 ? 312.506 -100.526 224.586 1.0 57.28252  ? 414 ASN F N   414 ASN F N   1 
ATOM 17524 C CA  . ASN C 3 414 ? 312.130 -101.664 225.413 1.0 57.28252  ? 414 ASN F CA  414 ASN F CA  1 
ATOM 17525 C C   . ASN C 3 414 ? 310.625 -101.761 225.604 1.0 57.28252  ? 414 ASN F C   414 ASN F C   1 
ATOM 17526 O O   . ASN C 3 414 ? 310.105 -102.861 225.815 1.0 57.28252  ? 414 ASN F O   414 ASN F O   1 
ATOM 17527 C CB  . ASN C 3 414 ? 312.841 -101.585 226.760 1.0 57.28252  ? 414 ASN F CB  414 ASN F CB  1 
ATOM 17528 C CG  . ASN C 3 414 ? 314.290 -102.000 226.668 1.0 57.28252  ? 414 ASN F CG  414 ASN F CG  1 
ATOM 17529 O OD1 . ASN C 3 414 ? 314.614 -102.999 226.030 1.0 57.28252  ? 414 ASN F OD1 414 ASN F OD1 1 
ATOM 17530 N ND2 . ASN C 3 414 ? 315.173 -101.238 227.299 1.0 57.28252  ? 414 ASN F ND2 414 ASN F ND2 1 
ATOM 17531 N N   . LEU C 3 415 ? 309.905 -100.638 225.531 1.0 54.72371  ? 415 LEU F N   415 LEU F N   1 
ATOM 17532 C CA  . LEU C 3 415 ? 308.453 -100.716 225.430 1.0 54.72371  ? 415 LEU F CA  415 LEU F CA  1 
ATOM 17533 C C   . LEU C 3 415 ? 308.009 -101.209 224.065 1.0 54.72371  ? 415 LEU F C   415 LEU F C   1 
ATOM 17534 O O   . LEU C 3 415 ? 306.891 -101.713 223.934 1.0 54.72371  ? 415 LEU F O   415 LEU F O   1 
ATOM 17535 C CB  . LEU C 3 415 ? 307.797 -99.361  225.697 1.0 54.72371  ? 415 LEU F CB  415 LEU F CB  1 
ATOM 17536 C CG  . LEU C 3 415 ? 307.489 -98.891  227.120 1.0 54.72371  ? 415 LEU F CG  415 LEU F CG  1 
ATOM 17537 C CD1 . LEU C 3 415 ? 308.721 -98.392  227.832 1.0 54.72371  ? 415 LEU F CD1 415 LEU F CD1 1 
ATOM 17538 C CD2 . LEU C 3 415 ? 306.407 -97.822  227.088 1.0 54.72371  ? 415 LEU F CD2 415 LEU F CD2 1 
ATOM 17539 N N   . LYS C 3 416 ? 308.859 -101.064 223.051 1.0 54.48401  ? 416 LYS F N   416 LYS F N   1 
ATOM 17540 C CA  . LYS C 3 416 ? 308.541 -101.494 221.697 1.0 54.48401  ? 416 LYS F CA  416 LYS F CA  1 
ATOM 17541 C C   . LYS C 3 416 ? 308.712 -102.998 221.538 1.0 54.48401  ? 416 LYS F C   416 LYS F C   1 
ATOM 17542 O O   . LYS C 3 416 ? 307.947 -103.637 220.809 1.0 54.48401  ? 416 LYS F O   416 LYS F O   1 
ATOM 17543 C CB  . LYS C 3 416 ? 309.434 -100.742 220.713 1.0 54.48401  ? 416 LYS F CB  416 LYS F CB  1 
ATOM 17544 C CG  . LYS C 3 416 ? 309.129 -100.949 219.255 1.0 54.48401  ? 416 LYS F CG  416 LYS F CG  1 
ATOM 17545 C CD  . LYS C 3 416 ? 307.836 -100.278 218.876 1.0 54.48401  ? 416 LYS F CD  416 LYS F CD  1 
ATOM 17546 C CE  . LYS C 3 416 ? 307.604 -100.385 217.391 1.0 54.48401  ? 416 LYS F CE  416 LYS F CE  1 
ATOM 17547 N NZ  . LYS C 3 416 ? 308.630 -99.617  216.652 1.0 54.48401  ? 416 LYS F NZ  416 LYS F NZ  1 
ATOM 17548 N N   . ARG C 3 417 ? 309.706 -103.577 222.217 1.0 56.17287  ? 417 ARG F N   417 ARG F N   1 
ATOM 17549 C CA  . ARG C 3 417 ? 309.958 -105.008 222.088 1.0 56.17287  ? 417 ARG F CA  417 ARG F CA  1 
ATOM 17550 C C   . ARG C 3 417 ? 308.885 -105.831 222.781 1.0 56.17287  ? 417 ARG F C   417 ARG F C   1 
ATOM 17551 O O   . ARG C 3 417 ? 308.483 -106.884 222.276 1.0 56.17287  ? 417 ARG F O   417 ARG F O   1 
ATOM 17552 C CB  . ARG C 3 417 ? 311.327 -105.358 222.659 1.0 56.17287  ? 417 ARG F CB  417 ARG F CB  1 
ATOM 17553 C CG  . ARG C 3 417 ? 312.477 -104.798 221.873 1.0 56.17287  ? 417 ARG F CG  417 ARG F CG  1 
ATOM 17554 C CD  . ARG C 3 417 ? 313.791 -105.131 222.540 1.0 56.17287  ? 417 ARG F CD  417 ARG F CD  1 
ATOM 17555 N NE  . ARG C 3 417 ? 314.043 -106.565 222.563 1.0 56.17287  ? 417 ARG F NE  417 ARG F NE  1 
ATOM 17556 C CZ  . ARG C 3 417 ? 314.608 -107.231 221.564 1.0 56.17287  ? 417 ARG F CZ  417 ARG F CZ  1 
ATOM 17557 N NH1 . ARG C 3 417 ? 314.971 -106.591 220.462 1.0 56.17287  ? 417 ARG F NH1 417 ARG F NH1 1 
ATOM 17558 N NH2 . ARG C 3 417 ? 314.807 -108.536 221.662 1.0 56.17287  ? 417 ARG F NH2 417 ARG F NH2 1 
ATOM 17559 N N   . THR C 3 418 ? 308.413 -105.377 223.939 1.0 53.71943  ? 418 THR F N   418 THR F N   1 
ATOM 17560 C CA  . THR C 3 418 ? 307.370 -106.111 224.637 1.0 53.71943  ? 418 THR F CA  418 THR F CA  1 
ATOM 17561 C C   . THR C 3 418 ? 305.997 -105.910 224.015 1.0 53.71943  ? 418 THR F C   418 THR F C   1 
ATOM 17562 O O   . THR C 3 418 ? 305.071 -106.656 224.345 1.0 53.71943  ? 418 THR F O   418 THR F O   1 
ATOM 17563 C CB  . THR C 3 418 ? 307.336 -105.716 226.112 1.0 53.71943  ? 418 THR F CB  418 THR F CB  1 
ATOM 17564 O OG1 . THR C 3 418 ? 306.419 -106.566 226.806 1.0 53.71943  ? 418 THR F OG1 418 THR F OG1 1 
ATOM 17565 C CG2 . THR C 3 418 ? 306.899 -104.276 226.276 1.0 53.71943  ? 418 THR F CG2 418 THR F CG2 1 
ATOM 17566 N N   . PHE C 3 419 ? 305.844 -104.927 223.129 1.0 51.69884  ? 419 PHE F N   419 PHE F N   1 
ATOM 17567 C CA  . PHE C 3 419 ? 304.629 -104.817 222.336 1.0 51.69884  ? 419 PHE F CA  419 PHE F CA  1 
ATOM 17568 C C   . PHE C 3 419 ? 304.671 -105.755 221.141 1.0 51.69884  ? 419 PHE F C   419 PHE F C   1 
ATOM 17569 O O   . PHE C 3 419 ? 303.656 -106.363 220.793 1.0 51.69884  ? 419 PHE F O   419 PHE F O   1 
ATOM 17570 C CB  . PHE C 3 419 ? 304.437 -103.377 221.867 1.0 51.69884  ? 419 PHE F CB  419 PHE F CB  1 
ATOM 17571 C CG  . PHE C 3 419 ? 303.195 -103.164 221.056 1.0 51.69884  ? 419 PHE F CG  419 PHE F CG  1 
ATOM 17572 C CD1 . PHE C 3 419 ? 301.962 -103.068 221.672 1.0 51.69884  ? 419 PHE F CD1 419 PHE F CD1 1 
ATOM 17573 C CD2 . PHE C 3 419 ? 303.260 -103.054 219.674 1.0 51.69884  ? 419 PHE F CD2 419 PHE F CD2 1 
ATOM 17574 C CE1 . PHE C 3 419 ? 300.816 -102.869 220.928 1.0 51.69884  ? 419 PHE F CE1 419 PHE F CE1 1 
ATOM 17575 C CE2 . PHE C 3 419 ? 302.119 -102.859 218.926 1.0 51.69884  ? 419 PHE F CE2 419 PHE F CE2 1 
ATOM 17576 C CZ  . PHE C 3 419 ? 300.897 -102.765 219.554 1.0 51.69884  ? 419 PHE F CZ  419 PHE F CZ  1 
ATOM 17577 N N   . LEU C 3 420 ? 305.831 -105.874 220.494 1.0 51.27297  ? 420 LEU F N   420 LEU F N   1 
ATOM 17578 C CA  . LEU C 3 420 ? 305.938 -106.731 219.319 1.0 51.27297  ? 420 LEU F CA  420 LEU F CA  1 
ATOM 17579 C C   . LEU C 3 420 ? 306.015 -108.201 219.693 1.0 51.27297  ? 420 LEU F C   420 LEU F C   1 
ATOM 17580 O O   . LEU C 3 420 ? 305.652 -109.060 218.884 1.0 51.27297  ? 420 LEU F O   420 LEU F O   1 
ATOM 17581 C CB  . LEU C 3 420 ? 307.157 -106.349 218.482 1.0 51.27297  ? 420 LEU F CB  420 LEU F CB  1 
ATOM 17582 C CG  . LEU C 3 420 ? 306.993 -105.374 217.316 1.0 51.27297  ? 420 LEU F CG  420 LEU F CG  1 
ATOM 17583 C CD1 . LEU C 3 420 ? 306.109 -106.004 216.253 1.0 51.27297  ? 420 LEU F CD1 420 LEU F CD1 1 
ATOM 17584 C CD2 . LEU C 3 420 ? 306.442 -104.027 217.747 1.0 51.27297  ? 420 LEU F CD2 420 LEU F CD2 1 
ATOM 17585 N N   . TYR C 3 421 ? 306.488 -108.518 220.894 1.0 51.32242  ? 421 TYR F N   421 TYR F N   1 
ATOM 17586 C CA  . TYR C 3 421 ? 306.607 -109.922 221.267 1.0 51.32242  ? 421 TYR F CA  421 TYR F CA  1 
ATOM 17587 C C   . TYR C 3 421 ? 305.265 -110.500 221.684 1.0 51.32242  ? 421 TYR F C   421 TYR F C   1 
ATOM 17588 O O   . TYR C 3 421 ? 304.814 -111.503 221.123 1.0 51.32242  ? 421 TYR F O   421 TYR F O   1 
ATOM 17589 C CB  . TYR C 3 421 ? 307.627 -110.092 222.389 1.0 51.32242  ? 421 TYR F CB  421 TYR F CB  1 
ATOM 17590 C CG  . TYR C 3 421 ? 307.841 -111.528 222.798 1.0 51.32242  ? 421 TYR F CG  421 TYR F CG  1 
ATOM 17591 C CD1 . TYR C 3 421 ? 308.569 -112.393 221.998 1.0 51.32242  ? 421 TYR F CD1 421 TYR F CD1 1 
ATOM 17592 C CD2 . TYR C 3 421 ? 307.322 -112.015 223.986 1.0 51.32242  ? 421 TYR F CD2 421 TYR F CD2 1 
ATOM 17593 C CE1 . TYR C 3 421 ? 308.770 -113.704 222.368 1.0 51.32242  ? 421 TYR F CE1 421 TYR F CE1 1 
ATOM 17594 C CE2 . TYR C 3 421 ? 307.521 -113.322 224.364 1.0 51.32242  ? 421 TYR F CE2 421 TYR F CE2 1 
ATOM 17595 C CZ  . TYR C 3 421 ? 308.241 -114.162 223.551 1.0 51.32242  ? 421 TYR F CZ  421 TYR F CZ  1 
ATOM 17596 O OH  . TYR C 3 421 ? 308.435 -115.468 223.930 1.0 51.32242  ? 421 TYR F OH  421 TYR F OH  1 
ATOM 17597 N N   . SER C 3 422 ? 304.608 -109.876 222.659 1.0 50.13517  ? 422 SER F N   422 SER F N   1 
ATOM 17598 C CA  . SER C 3 422 ? 303.393 -110.428 223.242 1.0 50.13517  ? 422 SER F CA  422 SER F CA  1 
ATOM 17599 C C   . SER C 3 422 ? 302.179 -110.317 222.335 1.0 50.13517  ? 422 SER F C   422 SER F C   1 
ATOM 17600 O O   . SER C 3 422 ? 301.160 -110.949 222.625 1.0 50.13517  ? 422 SER F O   422 SER F O   1 
ATOM 17601 C CB  . SER C 3 422 ? 303.084 -109.734 224.563 1.0 50.13517  ? 422 SER F CB  422 SER F CB  1 
ATOM 17602 O OG  . SER C 3 422 ? 302.747 -108.380 224.342 1.0 50.13517  ? 422 SER F OG  422 SER F OG  1 
ATOM 17603 N N   . ASN C 3 423 ? 302.249 -109.537 221.261 1.0 49.03508  ? 423 ASN F N   423 ASN F N   1 
ATOM 17604 C CA  . ASN C 3 423 ? 301.108 -109.353 220.378 1.0 49.03508  ? 423 ASN F CA  423 ASN F CA  1 
ATOM 17605 C C   . ASN C 3 423 ? 301.300 -109.937 218.994 1.0 49.03508  ? 423 ASN F C   423 ASN F C   1 
ATOM 17606 O O   . ASN C 3 423 ? 300.319 -110.349 218.376 1.0 49.03508  ? 423 ASN F O   423 ASN F O   1 
ATOM 17607 C CB  . ASN C 3 423 ? 300.782 -107.867 220.235 1.0 49.03508  ? 423 ASN F CB  423 ASN F CB  1 
ATOM 17608 C CG  . ASN C 3 423 ? 300.251 -107.280 221.505 1.0 49.03508  ? 423 ASN F CG  423 ASN F CG  1 
ATOM 17609 O OD1 . ASN C 3 423 ? 299.470 -107.911 222.206 1.0 49.03508  ? 423 ASN F OD1 423 ASN F OD1 1 
ATOM 17610 N ND2 . ASN C 3 423 ? 300.666 -106.067 221.816 1.0 49.03508  ? 423 ASN F ND2 423 ASN F ND2 1 
ATOM 17611 N N   . VAL C 3 424 ? 302.524 -109.980 218.489 1.0 48.69892  ? 424 VAL F N   424 VAL F N   1 
ATOM 17612 C CA  . VAL C 3 424 ? 302.801 -110.452 217.142 1.0 48.69892  ? 424 VAL F CA  424 VAL F CA  1 
ATOM 17613 C C   . VAL C 3 424 ? 303.584 -111.758 217.162 1.0 48.69892  ? 424 VAL F C   424 VAL F C   1 
ATOM 17614 O O   . VAL C 3 424 ? 303.215 -112.720 216.491 1.0 48.69892  ? 424 VAL F O   424 VAL F O   1 
ATOM 17615 C CB  . VAL C 3 424 ? 303.544 -109.374 216.325 1.0 48.69892  ? 424 VAL F CB  424 VAL F CB  1 
ATOM 17616 C CG1 . VAL C 3 424 ? 303.781 -109.856 214.909 1.0 48.69892  ? 424 VAL F CG1 424 VAL F CG1 1 
ATOM 17617 C CG2 . VAL C 3 424 ? 302.771 -108.079 216.352 1.0 48.69892  ? 424 VAL F CG2 424 VAL F CG2 1 
ATOM 17618 N N   . ALA C 3 425 ? 304.675 -111.809 217.931 1.0 49.55524  ? 425 ALA F N   425 ALA F N   1 
ATOM 17619 C CA  . ALA C 3 425 ? 305.472 -113.028 218.005 1.0 49.55524  ? 425 ALA F CA  425 ALA F CA  1 
ATOM 17620 C C   . ALA C 3 425 ? 304.751 -114.118 218.775 1.0 49.55524  ? 425 ALA F C   425 ALA F C   1 
ATOM 17621 O O   . ALA C 3 425 ? 304.956 -115.303 218.512 1.0 49.55524  ? 425 ALA F O   425 ALA F O   1 
ATOM 17622 C CB  . ALA C 3 425 ? 306.821 -112.741 218.659 1.0 49.55524  ? 425 ALA F CB  425 ALA F CB  1 
ATOM 17623 N N   . MET C 3 426 ? 303.898 -113.732 219.714 1.0 49.70728  ? 426 MET F N   426 MET F N   1 
ATOM 17624 C CA  . MET C 3 426 ? 303.204 -114.700 220.546 1.0 49.70728  ? 426 MET F CA  426 MET F CA  1 
ATOM 17625 C C   . MET C 3 426 ? 302.134 -115.449 219.761 1.0 49.70728  ? 426 MET F C   426 MET F C   1 
ATOM 17626 O O   . MET C 3 426 ? 301.804 -116.589 220.099 1.0 49.70728  ? 426 MET F O   426 MET F O   1 
ATOM 17627 C CB  . MET C 3 426 ? 302.617 -113.958 221.745 1.0 49.70728  ? 426 MET F CB  426 MET F CB  1 
ATOM 17628 C CG  . MET C 3 426 ? 302.069 -114.829 222.824 1.0 49.70728  ? 426 MET F CG  426 MET F CG  1 
ATOM 17629 S SD  . MET C 3 426 ? 303.337 -115.929 223.472 1.0 49.70728  ? 426 MET F SD  426 MET F SD  1 
ATOM 17630 C CE  . MET C 3 426 ? 304.271 -114.783 224.470 1.0 49.70728  ? 426 MET F CE  426 MET F CE  1 
ATOM 17631 N N   . TYR C 3 427 ? 301.624 -114.852 218.685 1.0 48.75857  ? 427 TYR F N   427 TYR F N   1 
ATOM 17632 C CA  . TYR C 3 427 ? 300.497 -115.390 217.929 1.0 48.75857  ? 427 TYR F CA  427 TYR F CA  1 
ATOM 17633 C C   . TYR C 3 427 ? 300.898 -115.872 216.538 1.0 48.75857  ? 427 TYR F C   427 TYR F C   1 
ATOM 17634 O O   . TYR C 3 427 ? 300.152 -115.708 215.576 1.0 48.75857  ? 427 TYR F O   427 TYR F O   1 
ATOM 17635 C CB  . TYR C 3 427 ? 299.386 -114.352 217.825 1.0 48.75857  ? 427 TYR F CB  427 TYR F CB  1 
ATOM 17636 C CG  . TYR C 3 427 ? 298.714 -114.095 219.144 1.0 48.75857  ? 427 TYR F CG  427 TYR F CG  1 
ATOM 17637 C CD1 . TYR C 3 427 ? 297.693 -114.916 219.589 1.0 48.75857  ? 427 TYR F CD1 427 TYR F CD1 1 
ATOM 17638 C CD2 . TYR C 3 427 ? 299.123 -113.054 219.961 1.0 48.75857  ? 427 TYR F CD2 427 TYR F CD2 1 
ATOM 17639 C CE1 . TYR C 3 427 ? 297.081 -114.698 220.800 1.0 48.75857  ? 427 TYR F CE1 427 TYR F CE1 1 
ATOM 17640 C CE2 . TYR C 3 427 ? 298.520 -112.829 221.176 1.0 48.75857  ? 427 TYR F CE2 427 TYR F CE2 1 
ATOM 17641 C CZ  . TYR C 3 427 ? 297.501 -113.657 221.590 1.0 48.75857  ? 427 TYR F CZ  427 TYR F CZ  1 
ATOM 17642 O OH  . TYR C 3 427 ? 296.886 -113.447 222.798 1.0 48.75857  ? 427 TYR F OH  427 TYR F OH  1 
ATOM 17643 N N   . LEU C 3 428 ? 302.064 -116.485 216.416 1.0 50.9939   ? 428 LEU F N   428 LEU F N   1 
ATOM 17644 C CA  . LEU C 3 428 ? 302.518 -117.039 215.149 1.0 50.9939   ? 428 LEU F CA  428 LEU F CA  1 
ATOM 17645 C C   . LEU C 3 428 ? 301.787 -118.334 214.832 1.0 50.9939   ? 428 LEU F C   428 LEU F C   1 
ATOM 17646 O O   . LEU C 3 428 ? 301.148 -118.930 215.699 1.0 50.9939   ? 428 LEU F O   428 LEU F O   1 
ATOM 17647 C CB  . LEU C 3 428 ? 304.016 -117.291 215.218 1.0 50.9939   ? 428 LEU F CB  428 LEU F CB  1 
ATOM 17648 C CG  . LEU C 3 428 ? 304.836 -116.024 215.276 1.0 50.9939   ? 428 LEU F CG  428 LEU F CG  1 
ATOM 17649 C CD1 . LEU C 3 428 ? 306.257 -116.421 215.529 1.0 50.9939   ? 428 LEU F CD1 428 LEU F CD1 1 
ATOM 17650 C CD2 . LEU C 3 428 ? 304.690 -115.285 213.974 1.0 50.9939   ? 428 LEU F CD2 428 LEU F CD2 1 
ATOM 17651 N N   . PRO C 3 429 ? 301.859 -118.805 213.588 1.0 50.78251  ? 429 PRO F N   429 PRO F N   1 
ATOM 17652 C CA  . PRO C 3 429 ? 301.515 -120.202 213.321 1.0 50.78251  ? 429 PRO F CA  429 PRO F CA  1 
ATOM 17653 C C   . PRO C 3 429 ? 302.545 -121.152 213.912 1.0 50.78251  ? 429 PRO F C   429 PRO F C   1 
ATOM 17654 O O   . PRO C 3 429 ? 303.652 -120.765 214.291 1.0 50.78251  ? 429 PRO F O   429 PRO F O   1 
ATOM 17655 C CB  . PRO C 3 429 ? 301.492 -120.279 211.791 1.0 50.78251  ? 429 PRO F CB  429 PRO F CB  1 
ATOM 17656 C CG  . PRO C 3 429 ? 302.292 -119.127 211.336 1.0 50.78251  ? 429 PRO F CG  429 PRO F CG  1 
ATOM 17657 C CD  . PRO C 3 429 ? 302.039 -118.052 212.335 1.0 50.78251  ? 429 PRO F CD  429 PRO F CD  1 
ATOM 17658 N N   . ASP C 3 430 ? 302.161 -122.429 213.971 1.0 55.95493  ? 430 ASP F N   430 ASP F N   1 
ATOM 17659 C CA  . ASP C 3 430 ? 302.983 -123.453 214.608 1.0 55.95493  ? 430 ASP F CA  430 ASP F CA  1 
ATOM 17660 C C   . ASP C 3 430 ? 304.256 -123.758 213.824 1.0 55.95493  ? 430 ASP F C   430 ASP F C   1 
ATOM 17661 O O   . ASP C 3 430 ? 305.187 -124.350 214.382 1.0 55.95493  ? 430 ASP F O   430 ASP F O   1 
ATOM 17662 C CB  . ASP C 3 430 ? 302.143 -124.721 214.796 1.0 55.95493  ? 430 ASP F CB  430 ASP F CB  1 
ATOM 17663 C CG  . ASP C 3 430 ? 302.827 -125.762 215.655 1.0 55.95493  ? 430 ASP F CG  430 ASP F CG  1 
ATOM 17664 O OD1 . ASP C 3 430 ? 302.913 -125.559 216.883 1.0 55.95493  ? 430 ASP F OD1 430 ASP F OD1 1 
ATOM 17665 O OD2 . ASP C 3 430 ? 303.279 -126.784 215.100 1.0 55.95493  ? 430 ASP F OD2 430 ASP F OD2 1 
ATOM 17666 N N   . THR C 3 431 ? 304.323 -123.356 212.554 1.0 55.8516   ? 431 THR F N   431 THR F N   1 
ATOM 17667 C CA  . THR C 3 431 ? 305.526 -123.578 211.760 1.0 55.8516   ? 431 THR F CA  431 THR F CA  1 
ATOM 17668 C C   . THR C 3 431 ? 306.684 -122.723 212.261 1.0 55.8516   ? 431 THR F C   431 THR F C   1 
ATOM 17669 O O   . THR C 3 431 ? 307.827 -123.189 212.322 1.0 55.8516   ? 431 THR F O   431 THR F O   1 
ATOM 17670 C CB  . THR C 3 431 ? 305.227 -123.279 210.292 1.0 55.8516   ? 431 THR F CB  431 THR F CB  1 
ATOM 17671 O OG1 . THR C 3 431 ? 304.118 -124.083 209.865 1.0 55.8516   ? 431 THR F OG1 431 THR F OG1 1 
ATOM 17672 C CG2 . THR C 3 431 ? 306.421 -123.596 209.414 1.0 55.8516   ? 431 THR F CG2 431 THR F CG2 1 
ATOM 17673 N N   . TYR C 3 432 ? 306.400 -121.489 212.667 1.0 56.60499  ? 432 TYR F N   432 TYR F N   1 
ATOM 17674 C CA  . TYR C 3 432 ? 307.434 -120.554 213.085 1.0 56.60499  ? 432 TYR F CA  432 TYR F CA  1 
ATOM 17675 C C   . TYR C 3 432 ? 307.661 -120.548 214.585 1.0 56.60499  ? 432 TYR F C   432 TYR F C   1 
ATOM 17676 O O   . TYR C 3 432 ? 308.102 -119.531 215.126 1.0 56.60499  ? 432 TYR F O   432 TYR F O   1 
ATOM 17677 C CB  . TYR C 3 432 ? 307.091 -119.142 212.603 1.0 56.60499  ? 432 TYR F CB  432 TYR F CB  1 
ATOM 17678 C CG  . TYR C 3 432 ? 307.212 -118.963 211.111 1.0 56.60499  ? 432 TYR F CG  432 TYR F CG  1 
ATOM 17679 C CD1 . TYR C 3 432 ? 307.929 -119.866 210.338 1.0 56.60499  ? 432 TYR F CD1 432 TYR F CD1 1 
ATOM 17680 C CD2 . TYR C 3 432 ? 306.608 -117.893 210.472 1.0 56.60499  ? 432 TYR F CD2 432 TYR F CD2 1 
ATOM 17681 C CE1 . TYR C 3 432 ? 308.036 -119.712 208.974 1.0 56.60499  ? 432 TYR F CE1 432 TYR F CE1 1 
ATOM 17682 C CE2 . TYR C 3 432 ? 306.719 -117.728 209.108 1.0 56.60499  ? 432 TYR F CE2 432 TYR F CE2 1 
ATOM 17683 C CZ  . TYR C 3 432 ? 307.432 -118.639 208.363 1.0 56.60499  ? 432 TYR F CZ  432 TYR F CZ  1 
ATOM 17684 O OH  . TYR C 3 432 ? 307.539 -118.475 207.001 1.0 56.60499  ? 432 TYR F OH  432 TYR F OH  1 
ATOM 17685 N N   . LYS C 3 433 ? 307.369 -121.648 215.267 1.0 55.40915  ? 433 LYS F N   433 LYS F N   1 
ATOM 17686 C CA  . LYS C 3 433 ? 307.619 -121.764 216.692 1.0 55.40915  ? 433 LYS F CA  433 LYS F CA  1 
ATOM 17687 C C   . LYS C 3 433 ? 308.463 -122.998 216.966 1.0 55.40915  ? 433 LYS F C   433 LYS F C   1 
ATOM 17688 O O   . LYS C 3 433 ? 308.548 -123.911 216.144 1.0 55.40915  ? 433 LYS F O   433 LYS F O   1 
ATOM 17689 C CB  . LYS C 3 433 ? 306.307 -121.838 217.485 1.0 55.40915  ? 433 LYS F CB  433 LYS F CB  1 
ATOM 17690 C CG  . LYS C 3 433 ? 305.516 -120.547 217.490 1.0 55.40915  ? 433 LYS F CG  433 LYS F CG  1 
ATOM 17691 C CD  . LYS C 3 433 ? 304.265 -120.681 218.329 1.0 55.40915  ? 433 LYS F CD  433 LYS F CD  1 
ATOM 17692 C CE  . LYS C 3 433 ? 303.454 -119.407 218.307 1.0 55.40915  ? 433 LYS F CE  433 LYS F CE  1 
ATOM 17693 N NZ  . LYS C 3 433 ? 302.209 -119.554 219.100 1.0 55.40915  ? 433 LYS F NZ  433 LYS F NZ  1 
ATOM 17694 N N   . PHE C 3 434 ? 309.097 -123.017 218.133 1.0 59.38921  ? 434 PHE F N   434 PHE F N   1 
ATOM 17695 C CA  . PHE C 3 434 ? 309.906 -124.152 218.543 1.0 59.38921  ? 434 PHE F CA  434 PHE F CA  1 
ATOM 17696 C C   . PHE C 3 434 ? 309.558 -124.525 219.973 1.0 59.38921  ? 434 PHE F C   434 PHE F C   1 
ATOM 17697 O O   . PHE C 3 434 ? 308.989 -123.729 220.723 1.0 59.38921  ? 434 PHE F O   434 PHE F O   1 
ATOM 17698 C CB  . PHE C 3 434 ? 311.412 -123.862 218.422 1.0 59.38921  ? 434 PHE F CB  434 PHE F CB  1 
ATOM 17699 C CG  . PHE C 3 434 ? 311.920 -122.807 219.367 1.0 59.38921  ? 434 PHE F CG  434 PHE F CG  1 
ATOM 17700 C CD1 . PHE C 3 434 ? 311.835 -121.471 219.033 1.0 59.38921  ? 434 PHE F CD1 434 PHE F CD1 1 
ATOM 17701 C CD2 . PHE C 3 434 ? 312.542 -123.155 220.559 1.0 59.38921  ? 434 PHE F CD2 434 PHE F CD2 1 
ATOM 17702 C CE1 . PHE C 3 434 ? 312.310 -120.499 219.886 1.0 59.38921  ? 434 PHE F CE1 434 PHE F CE1 1 
ATOM 17703 C CE2 . PHE C 3 434 ? 313.016 -122.183 221.416 1.0 59.38921  ? 434 PHE F CE2 434 PHE F CE2 1 
ATOM 17704 C CZ  . PHE C 3 434 ? 312.902 -120.855 221.076 1.0 59.38921  ? 434 PHE F CZ  434 PHE F CZ  1 
ATOM 17705 N N   . THR C 3 435 ? 309.897 -125.710 220.328 1.0 62.33611  ? 435 THR F N   435 THR F N   1 
ATOM 17706 C CA  . THR C 3 435 ? 309.756 -126.085 221.720 1.0 62.33611  ? 435 THR F CA  435 THR F CA  1 
ATOM 17707 C C   . THR C 3 435 ? 311.107 -126.012 222.425 1.0 62.33611  ? 435 THR F C   435 THR F C   1 
ATOM 17708 O O   . THR C 3 435 ? 312.154 -126.183 221.793 1.0 62.33611  ? 435 THR F O   435 THR F O   1 
ATOM 17709 C CB  . THR C 3 435 ? 309.161 -127.495 221.842 1.0 62.33611  ? 435 THR F CB  435 THR F CB  1 
ATOM 17710 O OG1 . THR C 3 435 ? 308.996 -127.840 223.223 1.0 62.33611  ? 435 THR F OG1 435 THR F OG1 1 
ATOM 17711 C CG2 . THR C 3 435 ? 310.026 -128.536 221.150 1.0 62.33611  ? 435 THR F CG2 435 THR F CG2 1 
ATOM 17712 N N   . PRO C 3 436 ? 311.138 -125.690 223.714 1.0 66.87382  ? 436 PRO F N   436 PRO F N   1 
ATOM 17713 C CA  . PRO C 3 436 ? 312.414 -125.679 224.433 1.0 66.87382  ? 436 PRO F CA  436 PRO F CA  1 
ATOM 17714 C C   . PRO C 3 436 ? 312.934 -127.091 224.645 1.0 66.87382  ? 436 PRO F C   436 PRO F C   1 
ATOM 17715 O O   . PRO C 3 436 ? 312.221 -128.084 224.500 1.0 66.87382  ? 436 PRO F O   436 PRO F O   1 
ATOM 17716 C CB  . PRO C 3 436 ? 312.070 -125.003 225.761 1.0 66.87382  ? 436 PRO F CB  436 PRO F CB  1 
ATOM 17717 C CG  . PRO C 3 436 ? 310.853 -124.213 225.468 1.0 66.87382  ? 436 PRO F CG  436 PRO F CG  1 
ATOM 17718 C CD  . PRO C 3 436 ? 310.080 -125.020 224.485 1.0 66.87382  ? 436 PRO F CD  436 PRO F CD  1 
ATOM 17719 N N   . ALA C 3 437 ? 314.215 -127.170 224.978 1.0 71.13604  ? 437 ALA F N   437 ALA F N   1 
ATOM 17720 C CA  . ALA C 3 437 ? 314.826 -128.458 225.246 1.0 71.13604  ? 437 ALA F CA  437 ALA F CA  1 
ATOM 17721 C C   . ALA C 3 437 ? 314.485 -128.911 226.658 1.0 71.13604  ? 437 ALA F C   437 ALA F C   1 
ATOM 17722 O O   . ALA C 3 437 ? 314.204 -128.091 227.538 1.0 71.13604  ? 437 ALA F O   437 ALA F O   1 
ATOM 17723 C CB  . ALA C 3 437 ? 316.340 -128.385 225.064 1.0 71.13604  ? 437 ALA F CB  437 ALA F CB  1 
ATOM 17724 N N   . ASN C 3 438 ? 314.486 -130.236 226.846 1.0 74.40653  ? 438 ASN F N   438 ASN F N   1 
ATOM 17725 C CA  . ASN C 3 438 ? 314.262 -130.899 228.138 1.0 74.40653  ? 438 ASN F CA  438 ASN F CA  1 
ATOM 17726 C C   . ASN C 3 438 ? 312.900 -130.553 228.739 1.0 74.40653  ? 438 ASN F C   438 ASN F C   1 
ATOM 17727 O O   . ASN C 3 438 ? 312.757 -130.408 229.954 1.0 74.40653  ? 438 ASN F O   438 ASN F O   1 
ATOM 17728 C CB  . ASN C 3 438 ? 315.388 -130.591 229.129 1.0 74.40653  ? 438 ASN F CB  438 ASN F CB  1 
ATOM 17729 C CG  . ASN C 3 438 ? 316.696 -131.236 228.735 1.0 74.40653  ? 438 ASN F CG  438 ASN F CG  1 
ATOM 17730 O OD1 . ASN C 3 438 ? 316.725 -132.387 228.304 1.0 74.40653  ? 438 ASN F OD1 438 ASN F OD1 1 
ATOM 17731 N ND2 . ASN C 3 438 ? 317.788 -130.495 228.876 1.0 74.40653  ? 438 ASN F ND2 438 ASN F ND2 1 
ATOM 17732 N N   . VAL C 3 439 ? 311.892 -130.416 227.883 1.0 72.64141  ? 439 VAL F N   439 VAL F N   1 
ATOM 17733 C CA  . VAL C 3 439 ? 310.515 -130.239 228.334 1.0 72.64141  ? 439 VAL F CA  439 VAL F CA  1 
ATOM 17734 C C   . VAL C 3 439 ? 309.601 -130.944 227.336 1.0 72.64141  ? 439 VAL F C   439 VAL F C   1 
ATOM 17735 O O   . VAL C 3 439 ? 309.845 -130.930 226.126 1.0 72.64141  ? 439 VAL F O   439 VAL F O   1 
ATOM 17736 C CB  . VAL C 3 439 ? 310.178 -128.739 228.537 1.0 72.64141  ? 439 VAL F CB  439 VAL F CB  1 
ATOM 17737 C CG1 . VAL C 3 439 ? 310.283 -127.947 227.247 1.0 72.64141  ? 439 VAL F CG1 439 VAL F CG1 1 
ATOM 17738 C CG2 . VAL C 3 439 ? 308.809 -128.561 229.176 1.0 72.64141  ? 439 VAL F CG2 439 VAL F CG2 1 
ATOM 17739 N N   . ASP C 3 440 ? 308.581 -131.621 227.855 1.0 73.2167   ? 440 ASP F N   440 ASP F N   1 
ATOM 17740 C CA  . ASP C 3 440 ? 307.710 -132.466 227.051 1.0 73.2167   ? 440 ASP F CA  440 ASP F CA  1 
ATOM 17741 C C   . ASP C 3 440 ? 306.319 -131.858 226.974 1.0 73.2167   ? 440 ASP F C   440 ASP F C   1 
ATOM 17742 O O   . ASP C 3 440 ? 305.745 -131.471 227.997 1.0 73.2167   ? 440 ASP F O   440 ASP F O   1 
ATOM 17743 C CB  . ASP C 3 440 ? 307.637 -133.880 227.627 1.0 73.2167   ? 440 ASP F CB  440 ASP F CB  1 
ATOM 17744 C CG  . ASP C 3 440 ? 308.937 -134.636 227.473 1.0 73.2167   ? 440 ASP F CG  440 ASP F CG  1 
ATOM 17745 O OD1 . ASP C 3 440 ? 309.670 -134.363 226.501 1.0 73.2167   ? 440 ASP F OD1 440 ASP F OD1 1 
ATOM 17746 O OD2 . ASP C 3 440 ? 309.230 -135.498 228.326 1.0 73.2167   ? 440 ASP F OD2 440 ASP F OD2 1 
ATOM 17747 N N   . LEU C 3 441 ? 305.797 -131.786 225.790 1.0 66.31137  ? 441 LEU F N   441 LEU F N   1 
ATOM 17748 C CA  . LEU C 3 441 ? 304.499 -131.276 225.402 1.0 66.31137  ? 441 LEU F CA  441 LEU F CA  1 
ATOM 17749 C C   . LEU C 3 441 ? 303.519 -132.422 225.189 1.0 66.31137  ? 441 LEU F C   441 LEU F C   1 
ATOM 17750 O O   . LEU C 3 441 ? 303.928 -133.539 224.859 1.0 66.31137  ? 441 LEU F O   441 LEU F O   1 
ATOM 17751 C CB  . LEU C 3 441 ? 304.618 -130.456 224.114 1.0 66.31137  ? 441 LEU F CB  441 LEU F CB  1 
ATOM 17752 C CG  . LEU C 3 441 ? 305.463 -129.190 224.239 1.0 66.31137  ? 441 LEU F CG  441 LEU F CG  1 
ATOM 17753 C CD1 . LEU C 3 441 ? 305.602 -128.500 222.897 1.0 66.31137  ? 441 LEU F CD1 441 LEU F CD1 1 
ATOM 17754 C CD2 . LEU C 3 441 ? 304.863 -128.257 225.267 1.0 66.31137  ? 441 LEU F CD2 441 LEU F CD2 1 
ATOM 17755 N N   . PRO C 3 442 ? 302.223 -132.195 225.396 1.0 64.80508  ? 442 PRO F N   442 PRO F N   1 
ATOM 17756 C CA  . PRO C 3 442 ? 301.235 -133.223 225.058 1.0 64.80508  ? 442 PRO F CA  442 PRO F CA  1 
ATOM 17757 C C   . PRO C 3 442 ? 301.120 -133.421 223.555 1.0 64.80508  ? 442 PRO F C   442 PRO F C   1 
ATOM 17758 O O   . PRO C 3 442 ? 301.452 -132.547 222.752 1.0 64.80508  ? 442 PRO F O   442 PRO F O   1 
ATOM 17759 C CB  . PRO C 3 442 ? 299.933 -132.675 225.651 1.0 64.80508  ? 442 PRO F CB  442 PRO F CB  1 
ATOM 17760 C CG  . PRO C 3 442 ? 300.152 -131.214 225.757 1.0 64.80508  ? 442 PRO F CG  442 PRO F CG  1 
ATOM 17761 C CD  . PRO C 3 442 ? 301.602 -131.041 226.069 1.0 64.80508  ? 442 PRO F CD  442 PRO F CD  1 
ATOM 17762 N N   . GLU C 3 443 ? 300.642 -134.607 223.182 1.0 67.60841  ? 443 GLU F N   443 GLU F N   1 
ATOM 17763 C CA  . GLU C 3 443 ? 300.597 -135.005 221.781 1.0 67.60841  ? 443 GLU F CA  443 GLU F CA  1 
ATOM 17764 C C   . GLU C 3 443 ? 299.454 -134.357 221.017 1.0 67.60841  ? 443 GLU F C   443 GLU F C   1 
ATOM 17765 O O   . GLU C 3 443 ? 299.493 -134.327 219.782 1.0 67.60841  ? 443 GLU F O   443 GLU F O   1 
ATOM 17766 C CB  . GLU C 3 443 ? 300.487 -136.527 221.666 1.0 67.60841  ? 443 GLU F CB  443 GLU F CB  1 
ATOM 17767 C CG  . GLU C 3 443 ? 301.734 -137.282 222.105 1.0 67.60841  ? 443 GLU F CG  443 GLU F CG  1 
ATOM 17768 C CD  . GLU C 3 443 ? 301.783 -137.529 223.602 1.0 67.60841  ? 443 GLU F CD  443 GLU F CD  1 
ATOM 17769 O OE1 . GLU C 3 443 ? 300.805 -137.184 224.298 1.0 67.60841  ? 443 GLU F OE1 443 GLU F OE1 1 
ATOM 17770 O OE2 . GLU C 3 443 ? 302.804 -138.062 224.083 1.0 67.60841  ? 443 GLU F OE2 443 GLU F OE2 1 
ATOM 17771 N N   . ASN C 3 444 ? 298.443 -133.848 221.713 1.0 62.31278  ? 444 ASN F N   444 ASN F N   1 
ATOM 17772 C CA  . ASN C 3 444 ? 297.335 -133.156 221.067 1.0 62.31278  ? 444 ASN F CA  444 ASN F CA  1 
ATOM 17773 C C   . ASN C 3 444 ? 297.820 -131.778 220.643 1.0 62.31278  ? 444 ASN F C   444 ASN F C   1 
ATOM 17774 O O   . ASN C 3 444 ? 298.110 -130.928 221.488 1.0 62.31278  ? 444 ASN F O   444 ASN F O   1 
ATOM 17775 C CB  . ASN C 3 444 ? 296.146 -133.055 222.017 1.0 62.31278  ? 444 ASN F CB  444 ASN F CB  1 
ATOM 17776 C CG  . ASN C 3 444 ? 294.870 -132.624 221.319 1.0 62.31278  ? 444 ASN F CG  444 ASN F CG  1 
ATOM 17777 O OD1 . ASN C 3 444 ? 294.845 -132.410 220.108 1.0 62.31278  ? 444 ASN F OD1 444 ASN F OD1 1 
ATOM 17778 N ND2 . ASN C 3 444 ? 293.797 -132.491 222.088 1.0 62.31278  ? 444 ASN F ND2 444 ASN F ND2 1 
ATOM 17779 N N   . HIS C 3 445 ? 297.899 -131.547 219.335 1.0 60.97492  ? 445 HIS F N   445 HIS F N   1 
ATOM 17780 C CA  . HIS C 3 445 ? 298.361 -130.260 218.833 1.0 60.97492  ? 445 HIS F CA  445 HIS F CA  1 
ATOM 17781 C C   . HIS C 3 445 ? 297.308 -129.169 218.931 1.0 60.97492  ? 445 HIS F C   445 HIS F C   1 
ATOM 17782 O O   . HIS C 3 445 ? 297.612 -128.016 218.612 1.0 60.97492  ? 445 HIS F O   445 HIS F O   1 
ATOM 17783 C CB  . HIS C 3 445 ? 298.823 -130.401 217.384 1.0 60.97492  ? 445 HIS F CB  445 HIS F CB  1 
ATOM 17784 C CG  . HIS C 3 445 ? 300.045 -131.248 217.224 1.0 60.97492  ? 445 HIS F CG  445 HIS F CG  1 
ATOM 17785 N ND1 . HIS C 3 445 ? 299.989 -132.619 217.105 1.0 60.97492  ? 445 HIS F ND1 445 HIS F ND1 1 
ATOM 17786 C CD2 . HIS C 3 445 ? 301.356 -130.917 217.152 1.0 60.97492  ? 445 HIS F CD2 445 HIS F CD2 1 
ATOM 17787 C CE1 . HIS C 3 445 ? 301.213 -133.098 216.975 1.0 60.97492  ? 445 HIS F CE1 445 HIS F CE1 1 
ATOM 17788 N NE2 . HIS C 3 445 ? 302.061 -132.086 217.001 1.0 60.97492  ? 445 HIS F NE2 445 HIS F NE2 1 
ATOM 17789 N N   . LEU C 3 446 ? 296.089 -129.496 219.352 1.0 57.23413  ? 446 LEU F N   446 LEU F N   1 
ATOM 17790 C CA  . LEU C 3 446 ? 295.031 -128.516 219.542 1.0 57.23413  ? 446 LEU F CA  446 LEU F CA  1 
ATOM 17791 C C   . LEU C 3 446 ? 294.660 -128.342 221.005 1.0 57.23413  ? 446 LEU F C   446 LEU F C   1 
ATOM 17792 O O   . LEU C 3 446 ? 293.627 -127.738 221.302 1.0 57.23413  ? 446 LEU F O   446 LEU F O   1 
ATOM 17793 C CB  . LEU C 3 446 ? 293.796 -128.911 218.735 1.0 57.23413  ? 446 LEU F CB  446 LEU F CB  1 
ATOM 17794 C CG  . LEU C 3 446 ? 293.972 -128.877 217.220 1.0 57.23413  ? 446 LEU F CG  446 LEU F CG  1 
ATOM 17795 C CD1 . LEU C 3 446 ? 292.746 -129.437 216.528 1.0 57.23413  ? 446 LEU F CD1 446 LEU F CD1 1 
ATOM 17796 C CD2 . LEU C 3 446 ? 294.242 -127.458 216.766 1.0 57.23413  ? 446 LEU F CD2 446 LEU F CD2 1 
ATOM 17797 N N   . SER C 3 447 ? 295.461 -128.866 221.923 1.0 55.96935  ? 447 SER F N   447 SER F N   1 
ATOM 17798 C CA  . SER C 3 447 ? 295.193 -128.702 223.340 1.0 55.96935  ? 447 SER F CA  447 SER F CA  1 
ATOM 17799 C C   . SER C 3 447 ? 295.890 -127.453 223.858 1.0 55.96935  ? 447 SER F C   447 SER F C   1 
ATOM 17800 O O   . SER C 3 447 ? 296.639 -126.788 223.144 1.0 55.96935  ? 447 SER F O   447 SER F O   1 
ATOM 17801 C CB  . SER C 3 447 ? 295.655 -129.925 224.125 1.0 55.96935  ? 447 SER F CB  447 SER F CB  1 
ATOM 17802 O OG  . SER C 3 447 ? 297.066 -130.017 224.113 1.0 55.96935  ? 447 SER F OG  447 SER F OG  1 
ATOM 17803 N N   . TYR C 3 448 ? 295.639 -127.136 225.125 1.0 53.01585  ? 448 TYR F N   448 TYR F N   1 
ATOM 17804 C CA  . TYR C 3 448 ? 296.254 -125.953 225.708 1.0 53.01585  ? 448 TYR F CA  448 TYR F CA  1 
ATOM 17805 C C   . TYR C 3 448 ? 297.706 -126.185 226.081 1.0 53.01585  ? 448 TYR F C   448 TYR F C   1 
ATOM 17806 O O   . TYR C 3 448 ? 298.519 -125.267 225.954 1.0 53.01585  ? 448 TYR F O   448 TYR F O   1 
ATOM 17807 C CB  . TYR C 3 448 ? 295.484 -125.501 226.940 1.0 53.01585  ? 448 TYR F CB  448 TYR F CB  1 
ATOM 17808 C CG  . TYR C 3 448 ? 296.029 -124.244 227.572 1.0 53.01585  ? 448 TYR F CG  448 TYR F CG  1 
ATOM 17809 C CD1 . TYR C 3 448 ? 295.850 -123.010 226.967 1.0 53.01585  ? 448 TYR F CD1 448 TYR F CD1 1 
ATOM 17810 C CD2 . TYR C 3 448 ? 296.707 -124.288 228.782 1.0 53.01585  ? 448 TYR F CD2 448 TYR F CD2 1 
ATOM 17811 C CE1 . TYR C 3 448 ? 296.338 -121.857 227.543 1.0 53.01585  ? 448 TYR F CE1 448 TYR F CE1 1 
ATOM 17812 C CE2 . TYR C 3 448 ? 297.199 -123.137 229.365 1.0 53.01585  ? 448 TYR F CE2 448 TYR F CE2 1 
ATOM 17813 C CZ  . TYR C 3 448 ? 297.009 -121.926 228.738 1.0 53.01585  ? 448 TYR F CZ  448 TYR F CZ  1 
ATOM 17814 O OH  . TYR C 3 448 ? 297.492 -120.776 229.309 1.0 53.01585  ? 448 TYR F OH  448 TYR F OH  1 
ATOM 17815 N N   . GLY C 3 449 ? 298.049 -127.394 226.532 1.0 55.95628  ? 449 GLY F N   449 GLY F N   1 
ATOM 17816 C CA  . GLY C 3 449 ? 299.411 -127.686 226.940 1.0 55.95628  ? 449 GLY F CA  449 GLY F CA  1 
ATOM 17817 C C   . GLY C 3 449 ? 300.417 -127.657 225.811 1.0 55.95628  ? 449 GLY F C   449 GLY F C   1 
ATOM 17818 O O   . GLY C 3 449 ? 301.613 -127.491 226.067 1.0 55.95628  ? 449 GLY F O   449 GLY F O   1 
ATOM 17819 N N   . TYR C 3 450 ? 299.962 -127.808 224.570 1.0 57.53467  ? 450 TYR F N   450 TYR F N   1 
ATOM 17820 C CA  . TYR C 3 450 ? 300.851 -127.690 223.425 1.0 57.53467  ? 450 TYR F CA  450 TYR F CA  1 
ATOM 17821 C C   . TYR C 3 450 ? 300.984 -126.252 222.947 1.0 57.53467  ? 450 TYR F C   450 TYR F C   1 
ATOM 17822 O O   . TYR C 3 450 ? 302.088 -125.824 222.610 1.0 57.53467  ? 450 TYR F O   450 TYR F O   1 
ATOM 17823 C CB  . TYR C 3 450 ? 300.361 -128.575 222.280 1.0 57.53467  ? 450 TYR F CB  450 TYR F CB  1 
ATOM 17824 C CG  . TYR C 3 450 ? 301.261 -128.544 221.072 1.0 57.53467  ? 450 TYR F CG  450 TYR F CG  1 
ATOM 17825 C CD1 . TYR C 3 450 ? 302.474 -129.213 221.075 1.0 57.53467  ? 450 TYR F CD1 450 TYR F CD1 1 
ATOM 17826 C CD2 . TYR C 3 450 ? 300.898 -127.849 219.930 1.0 57.53467  ? 450 TYR F CD2 450 TYR F CD2 1 
ATOM 17827 C CE1 . TYR C 3 450 ? 303.303 -129.187 219.976 1.0 57.53467  ? 450 TYR F CE1 450 TYR F CE1 1 
ATOM 17828 C CE2 . TYR C 3 450 ? 301.720 -127.818 218.826 1.0 57.53467  ? 450 TYR F CE2 450 TYR F CE2 1 
ATOM 17829 C CZ  . TYR C 3 450 ? 302.921 -128.488 218.857 1.0 57.53467  ? 450 TYR F CZ  450 TYR F CZ  1 
ATOM 17830 O OH  . TYR C 3 450 ? 303.744 -128.462 217.760 1.0 57.53467  ? 450 TYR F OH  450 TYR F OH  1 
ATOM 17831 N N   . ILE C 3 451 ? 299.882 -125.498 222.910 1.0 53.66924  ? 451 ILE F N   451 ILE F N   1 
ATOM 17832 C CA  . ILE C 3 451 ? 299.930 -124.111 222.453 1.0 53.66924  ? 451 ILE F CA  451 ILE F CA  1 
ATOM 17833 C C   . ILE C 3 451 ? 300.672 -123.243 223.464 1.0 53.66924  ? 451 ILE F C   451 ILE F C   1 
ATOM 17834 O O   . ILE C 3 451 ? 301.338 -122.267 223.094 1.0 53.66924  ? 451 ILE F O   451 ILE F O   1 
ATOM 17835 C CB  . ILE C 3 451 ? 298.494 -123.612 222.186 1.0 53.66924  ? 451 ILE F CB  451 ILE F CB  1 
ATOM 17836 C CG1 . ILE C 3 451 ? 297.824 -124.471 221.120 1.0 53.66924  ? 451 ILE F CG1 451 ILE F CG1 1 
ATOM 17837 C CG2 . ILE C 3 451 ? 298.465 -122.182 221.687 1.0 53.66924  ? 451 ILE F CG2 451 ILE F CG2 1 
ATOM 17838 C CD1 . ILE C 3 451 ? 296.348 -124.213 220.989 1.0 53.66924  ? 451 ILE F CD1 451 ILE F CD1 1 
ATOM 17839 N N   . ASN C 3 452 ? 300.623 -123.615 224.744 1.0 54.61049  ? 452 ASN F N   452 ASN F N   1 
ATOM 17840 C CA  . ASN C 3 452 ? 301.311 -122.853 225.779 1.0 54.61049  ? 452 ASN F CA  452 ASN F CA  1 
ATOM 17841 C C   . ASN C 3 452 ? 302.823 -123.025 225.686 1.0 54.61049  ? 452 ASN F C   452 ASN F C   1 
ATOM 17842 O O   . ASN C 3 452 ? 303.578 -122.086 225.956 1.0 54.61049  ? 452 ASN F O   452 ASN F O   1 
ATOM 17843 C CB  . ASN C 3 452 ? 300.811 -123.300 227.150 1.0 54.61049  ? 452 ASN F CB  452 ASN F CB  1 
ATOM 17844 C CG  . ASN C 3 452 ? 301.162 -122.338 228.250 1.0 54.61049  ? 452 ASN F CG  452 ASN F CG  1 
ATOM 17845 O OD1 . ASN C 3 452 ? 301.728 -121.275 228.016 1.0 54.61049  ? 452 ASN F OD1 452 ASN F OD1 1 
ATOM 17846 N ND2 . ASN C 3 452 ? 300.836 -122.717 229.472 1.0 54.61049  ? 452 ASN F ND2 452 ASN F ND2 1 
ATOM 17847 N N   . GLY C 3 453 ? 303.283 -124.208 225.293 1.0 57.26471  ? 453 GLY F N   453 GLY F N   1 
ATOM 17848 C CA  . GLY C 3 453 ? 304.694 -124.531 225.363 1.0 57.26471  ? 453 GLY F CA  453 GLY F CA  1 
ATOM 17849 C C   . GLY C 3 453 ? 305.538 -124.182 224.154 1.0 57.26471  ? 453 GLY F C   453 GLY F C   1 
ATOM 17850 O O   . GLY C 3 453 ? 306.767 -124.188 224.248 1.0 57.26471  ? 453 GLY F O   453 GLY F O   1 
ATOM 17851 N N   . ARG C 3 454 ? 304.915 -123.890 223.017 1.0 57.1664   ? 454 ARG F N   454 ARG F N   1 
ATOM 17852 C CA  . ARG C 3 454 ? 305.661 -123.531 221.818 1.0 57.1664   ? 454 ARG F CA  454 ARG F CA  1 
ATOM 17853 C C   . ARG C 3 454 ? 306.151 -122.093 221.937 1.0 57.1664   ? 454 ARG F C   454 ARG F C   1 
ATOM 17854 O O   . ARG C 3 454 ? 305.344 -121.167 222.056 1.0 57.1664   ? 454 ARG F O   454 ARG F O   1 
ATOM 17855 C CB  . ARG C 3 454 ? 304.791 -123.693 220.574 1.0 57.1664   ? 454 ARG F CB  454 ARG F CB  1 
ATOM 17856 C CG  . ARG C 3 454 ? 304.267 -125.096 220.337 1.0 57.1664   ? 454 ARG F CG  454 ARG F CG  1 
ATOM 17857 C CD  . ARG C 3 454 ? 305.321 -126.080 219.901 1.0 57.1664   ? 454 ARG F CD  454 ARG F CD  1 
ATOM 17858 N NE  . ARG C 3 454 ? 305.798 -125.814 218.552 1.0 57.1664   ? 454 ARG F NE  454 ARG F NE  1 
ATOM 17859 C CZ  . ARG C 3 454 ? 306.879 -126.380 218.029 1.0 57.1664   ? 454 ARG F CZ  454 ARG F CZ  1 
ATOM 17860 N NH1 . ARG C 3 454 ? 307.579 -127.248 218.743 1.0 57.1664   ? 454 ARG F NH1 454 ARG F NH1 1 
ATOM 17861 N NH2 . ARG C 3 454 ? 307.253 -126.097 216.794 1.0 57.1664   ? 454 ARG F NH2 454 ARG F NH2 1 
ATOM 17862 N N   . LEU C 3 455 ? 307.449 -121.907 221.900 1.0 58.05377  ? 455 LEU F N   455 LEU F N   1 
ATOM 17863 C CA  . LEU C 3 455 ? 308.013 -120.570 221.962 1.0 58.05377  ? 455 LEU F CA  455 LEU F CA  1 
ATOM 17864 C C   . LEU C 3 455 ? 308.365 -120.077 220.563 1.0 58.05377  ? 455 LEU F C   455 LEU F C   1 
ATOM 17865 O O   . LEU C 3 455 ? 308.778 -120.867 219.712 1.0 58.05377  ? 455 LEU F O   455 LEU F O   1 
ATOM 17866 C CB  . LEU C 3 455 ? 309.265 -120.545 222.845 1.0 58.05377  ? 455 LEU F CB  455 LEU F CB  1 
ATOM 17867 C CG  . LEU C 3 455 ? 309.099 -120.298 224.348 1.0 58.05377  ? 455 LEU F CG  455 LEU F CG  1 
ATOM 17868 C CD1 . LEU C 3 455 ? 308.425 -118.957 224.584 1.0 58.05377  ? 455 LEU F CD1 455 LEU F CD1 1 
ATOM 17869 C CD2 . LEU C 3 455 ? 308.363 -121.409 225.080 1.0 58.05377  ? 455 LEU F CD2 455 LEU F CD2 1 
ATOM 17870 N N   . PRO C 3 456 ? 308.215 -118.786 220.275 1.0 55.28646  ? 456 PRO F N   456 PRO F N   1 
ATOM 17871 C CA  . PRO C 3 456 ? 308.422 -118.300 218.908 1.0 55.28646  ? 456 PRO F CA  456 PRO F CA  1 
ATOM 17872 C C   . PRO C 3 456 ? 309.878 -118.090 218.530 1.0 55.28646  ? 456 PRO F C   456 PRO F C   1 
ATOM 17873 O O   . PRO C 3 456 ? 310.738 -117.812 219.365 1.0 55.28646  ? 456 PRO F O   456 PRO F O   1 
ATOM 17874 C CB  . PRO C 3 456 ? 307.686 -116.955 218.914 1.0 55.28646  ? 456 PRO F CB  456 PRO F CB  1 
ATOM 17875 C CG  . PRO C 3 456 ? 307.732 -116.513 220.304 1.0 55.28646  ? 456 PRO F CG  456 PRO F CG  1 
ATOM 17876 C CD  . PRO C 3 456 ? 307.637 -117.745 221.139 1.0 55.28646  ? 456 PRO F CD  456 PRO F CD  1 
ATOM 17877 N N   . LEU C 3 457 ? 310.129 -118.207 217.227 1.0 58.7477   ? 457 LEU F N   457 LEU F N   1 
ATOM 17878 C CA  . LEU C 3 457 ? 311.457 -117.956 216.691 1.0 58.7477   ? 457 LEU F CA  457 LEU F CA  1 
ATOM 17879 C C   . LEU C 3 457 ? 311.799 -116.471 216.782 1.0 58.7477   ? 457 LEU F C   457 LEU F C   1 
ATOM 17880 O O   . LEU C 3 457 ? 310.931 -115.620 216.574 1.0 58.7477   ? 457 LEU F O   457 LEU F O   1 
ATOM 17881 C CB  . LEU C 3 457 ? 311.558 -118.428 215.242 1.0 58.7477   ? 457 LEU F CB  457 LEU F CB  1 
ATOM 17882 C CG  . LEU C 3 457 ? 312.034 -119.861 214.974 1.0 58.7477   ? 457 LEU F CG  457 LEU F CG  1 
ATOM 17883 C CD1 . LEU C 3 457 ? 311.051 -120.924 215.383 1.0 58.7477   ? 457 LEU F CD1 457 LEU F CD1 1 
ATOM 17884 C CD2 . LEU C 3 457 ? 312.367 -120.019 213.509 1.0 58.7477   ? 457 LEU F CD2 457 LEU F CD2 1 
ATOM 17885 N N   . PRO C 3 458 ? 313.045 -116.134 217.118 1.0 61.27631  ? 458 PRO F N   458 PRO F N   1 
ATOM 17886 C CA  . PRO C 3 458 ? 313.416 -114.730 217.353 1.0 61.27631  ? 458 PRO F CA  458 PRO F CA  1 
ATOM 17887 C C   . PRO C 3 458 ? 313.341 -113.759 216.183 1.0 61.27631  ? 458 PRO F C   458 PRO F C   1 
ATOM 17888 O O   . PRO C 3 458 ? 312.619 -112.762 216.258 1.0 61.27631  ? 458 PRO F O   458 PRO F O   1 
ATOM 17889 C CB  . PRO C 3 458 ? 314.867 -114.850 217.822 1.0 61.27631  ? 458 PRO F CB  458 PRO F CB  1 
ATOM 17890 C CG  . PRO C 3 458 ? 314.938 -116.175 218.432 1.0 61.27631  ? 458 PRO F CG  458 PRO F CG  1 
ATOM 17891 C CD  . PRO C 3 458 ? 314.075 -117.058 217.614 1.0 61.27631  ? 458 PRO F CD  458 PRO F CD  1 
ATOM 17892 N N   . ASN C 3 459 ? 314.072 -114.024 215.104 1.0 63.48373  ? 459 ASN F N   459 ASN F N   1 
ATOM 17893 C CA  . ASN C 3 459 ? 314.398 -112.960 214.159 1.0 63.48373  ? 459 ASN F CA  459 ASN F CA  1 
ATOM 17894 C C   . ASN C 3 459 ? 313.283 -112.617 213.186 1.0 63.48373  ? 459 ASN F C   459 ASN F C   1 
ATOM 17895 O O   . ASN C 3 459 ? 313.481 -111.724 212.357 1.0 63.48373  ? 459 ASN F O   459 ASN F O   1 
ATOM 17896 C CB  . ASN C 3 459 ? 315.643 -113.319 213.347 1.0 63.48373  ? 459 ASN F CB  459 ASN F CB  1 
ATOM 17897 C CG  . ASN C 3 459 ? 316.912 -113.204 214.146 1.0 63.48373  ? 459 ASN F CG  459 ASN F CG  1 
ATOM 17898 O OD1 . ASN C 3 459 ? 317.076 -112.282 214.944 1.0 63.48373  ? 459 ASN F OD1 459 ASN F OD1 1 
ATOM 17899 N ND2 . ASN C 3 459 ? 317.834 -114.130 213.920 1.0 63.48373  ? 459 ASN F ND2 459 ASN F ND2 1 
ATOM 17900 N N   . ILE C 3 460 ? 312.134 -113.286 213.242 1.0 61.74239  ? 460 ILE F N   460 ILE F N   1 
ATOM 17901 C CA  . ILE C 3 460 ? 311.139 -113.032 212.208 1.0 61.74239  ? 460 ILE F CA  460 ILE F CA  1 
ATOM 17902 C C   . ILE C 3 460 ? 310.407 -111.714 212.461 1.0 61.74239  ? 460 ILE F C   460 ILE F C   1 
ATOM 17903 O O   . ILE C 3 460 ? 310.013 -111.032 211.508 1.0 61.74239  ? 460 ILE F O   460 ILE F O   1 
ATOM 17904 C CB  . ILE C 3 460 ? 310.191 -114.241 212.072 1.0 61.74239  ? 460 ILE F CB  460 ILE F CB  1 
ATOM 17905 C CG1 . ILE C 3 460 ? 309.514 -114.601 213.392 1.0 61.74239  ? 460 ILE F CG1 460 ILE F CG1 1 
ATOM 17906 C CG2 . ILE C 3 460 ? 310.939 -115.455 211.548 1.0 61.74239  ? 460 ILE F CG2 460 ILE F CG2 1 
ATOM 17907 C CD1 . ILE C 3 460 ? 308.142 -114.026 213.541 1.0 61.74239  ? 460 ILE F CD1 460 ILE F CD1 1 
ATOM 17908 N N   . VAL C 3 461 ? 310.208 -111.335 213.724 1.0 60.06372  ? 461 VAL F N   461 VAL F N   1 
ATOM 17909 C CA  . VAL C 3 461 ? 309.730 -110.006 214.086 1.0 60.06372  ? 461 VAL F CA  461 VAL F CA  1 
ATOM 17910 C C   . VAL C 3 461 ? 310.629 -109.446 215.178 1.0 60.06372  ? 461 VAL F C   461 VAL F C   1 
ATOM 17911 O O   . VAL C 3 461 ? 311.142 -110.188 216.023 1.0 60.06372  ? 461 VAL F O   461 VAL F O   1 
ATOM 17912 C CB  . VAL C 3 461 ? 308.250 -109.985 214.538 1.0 60.06372  ? 461 VAL F CB  461 VAL F CB  1 
ATOM 17913 C CG1 . VAL C 3 461 ? 307.325 -110.307 213.384 1.0 60.06372  ? 461 VAL F CG1 461 VAL F CG1 1 
ATOM 17914 C CG2 . VAL C 3 461 ? 308.011 -110.947 215.664 1.0 60.06372  ? 461 VAL F CG2 461 VAL F CG2 1 
ATOM 17915 N N   . ASP C 3 462 ? 310.828 -108.135 215.142 1.0 61.10065  ? 462 ASP F N   462 ASP F N   1 
ATOM 17916 C CA  . ASP C 3 462 ? 311.715 -107.422 216.047 1.0 61.10065  ? 462 ASP F CA  462 ASP F CA  1 
ATOM 17917 C C   . ASP C 3 462 ? 311.316 -105.952 215.952 1.0 61.10065  ? 462 ASP F C   462 ASP F C   1 
ATOM 17918 O O   . ASP C 3 462 ? 310.282 -105.618 215.369 1.0 61.10065  ? 462 ASP F O   462 ASP F O   1 
ATOM 17919 C CB  . ASP C 3 462 ? 313.175 -107.696 215.674 1.0 61.10065  ? 462 ASP F CB  462 ASP F CB  1 
ATOM 17920 C CG  . ASP C 3 462 ? 314.144 -107.399 216.797 1.0 61.10065  ? 462 ASP F CG  462 ASP F CG  1 
ATOM 17921 O OD1 . ASP C 3 462 ? 313.693 -106.952 217.871 1.0 61.10065  ? 462 ASP F OD1 462 ASP F OD1 1 
ATOM 17922 O OD2 . ASP C 3 462 ? 315.359 -107.610 216.595 1.0 61.10065  ? 462 ASP F OD2 462 ASP F OD2 1 
ATOM 17923 N N   . THR C 3 463 ? 312.126 -105.063 216.505 1.0 58.17575  ? 463 THR F N   463 THR F N   1 
ATOM 17924 C CA  . THR C 3 463 ? 311.822 -103.645 216.403 1.0 58.17575  ? 463 THR F CA  463 THR F CA  1 
ATOM 17925 C C   . THR C 3 463 ? 312.313 -103.020 215.099 1.0 58.17575  ? 463 THR F C   463 THR F C   1 
ATOM 17926 O O   . THR C 3 463 ? 312.260 -101.794 214.961 1.0 58.17575  ? 463 THR F O   463 THR F O   1 
ATOM 17927 C CB  . THR C 3 463 ? 312.404 -102.905 217.608 1.0 58.17575  ? 463 THR F CB  463 THR F CB  1 
ATOM 17928 O OG1 . THR C 3 463 ? 312.055 -101.518 217.539 1.0 58.17575  ? 463 THR F OG1 463 THR F OG1 1 
ATOM 17929 C CG2 . THR C 3 463 ? 313.907 -103.061 217.661 1.0 58.17575  ? 463 THR F CG2 463 THR F CG2 1 
ATOM 17930 N N   . TRP C 3 464 ? 312.764 -103.829 214.137 1.0 57.08152  ? 464 TRP F N   464 TRP F N   1 
ATOM 17931 C CA  . TRP C 3 464 ? 313.232 -103.339 212.850 1.0 57.08152  ? 464 TRP F CA  464 TRP F CA  1 
ATOM 17932 C C   . TRP C 3 464 ? 312.483 -103.904 211.654 1.0 57.08152  ? 464 TRP F C   464 TRP F C   1 
ATOM 17933 O O   . TRP C 3 464 ? 312.794 -103.515 210.523 1.0 57.08152  ? 464 TRP F O   464 TRP F O   1 
ATOM 17934 C CB  . TRP C 3 464 ? 314.726 -103.645 212.666 1.0 57.08152  ? 464 TRP F CB  464 TRP F CB  1 
ATOM 17935 C CG  . TRP C 3 464 ? 315.081 -105.107 212.803 1.0 57.08152  ? 464 TRP F CG  464 TRP F CG  1 
ATOM 17936 C CD1 . TRP C 3 464 ? 315.531 -105.725 213.922 1.0 57.08152  ? 464 TRP F CD1 464 TRP F CD1 1 
ATOM 17937 C CD2 . TRP C 3 464 ? 314.992 -106.129 211.794 1.0 57.08152  ? 464 TRP F CD2 464 TRP F CD2 1 
ATOM 17938 N NE1 . TRP C 3 464 ? 315.751 -107.058 213.675 1.0 57.08152  ? 464 TRP F NE1 464 TRP F NE1 1 
ATOM 17939 C CE2 . TRP C 3 464 ? 315.417 -107.329 212.378 1.0 57.08152  ? 464 TRP F CE2 464 TRP F CE2 1 
ATOM 17940 C CE3 . TRP C 3 464 ? 314.602 -106.139 210.453 1.0 57.08152  ? 464 TRP F CE3 464 TRP F CE3 1 
ATOM 17941 C CZ2 . TRP C 3 464 ? 315.457 -108.524 211.676 1.0 57.08152  ? 464 TRP F CZ2 464 TRP F CZ2 1 
ATOM 17942 C CZ3 . TRP C 3 464 ? 314.637 -107.319 209.765 1.0 57.08152  ? 464 TRP F CZ3 464 TRP F CZ3 1 
ATOM 17943 C CH2 . TRP C 3 464 ? 315.050 -108.496 210.376 1.0 57.08152  ? 464 TRP F CH2 464 TRP F CH2 1 
ATOM 17944 N N   . THR C 3 465 ? 311.547 -104.833 211.849 1.0 56.86132  ? 465 THR F N   465 THR F N   1 
ATOM 17945 C CA  . THR C 3 465 ? 311.054 -105.642 210.735 1.0 56.86132  ? 465 THR F CA  465 THR F CA  1 
ATOM 17946 C C   . THR C 3 465 ? 310.122 -104.833 209.835 1.0 56.86132  ? 465 THR F C   465 THR F C   1 
ATOM 17947 O O   . THR C 3 465 ? 309.032 -104.418 210.244 1.0 56.86132  ? 465 THR F O   465 THR F O   1 
ATOM 17948 C CB  . THR C 3 465 ? 310.411 -106.931 211.250 1.0 56.86132  ? 465 THR F CB  465 THR F CB  1 
ATOM 17949 O OG1 . THR C 3 465 ? 309.811 -107.644 210.159 1.0 56.86132  ? 465 THR F OG1 465 THR F OG1 1 
ATOM 17950 C CG2 . THR C 3 465 ? 309.418 -106.706 212.392 1.0 56.86132  ? 465 THR F CG2 465 THR F CG2 1 
ATOM 17951 N N   . ASP C 3 466 ? 310.585 -104.616 208.602 1.0 55.72718  ? 466 ASP F N   466 ASP F N   1 
ATOM 17952 C CA  . ASP C 3 466 ? 309.952 -103.767 207.593 1.0 55.72718  ? 466 ASP F CA  466 ASP F CA  1 
ATOM 17953 C C   . ASP C 3 466 ? 309.682 -102.377 208.167 1.0 55.72718  ? 466 ASP F C   466 ASP F C   1 
ATOM 17954 O O   . ASP C 3 466 ? 308.542 -101.939 208.319 1.0 55.72718  ? 466 ASP F O   466 ASP F O   1 
ATOM 17955 C CB  . ASP C 3 466 ? 308.679 -104.418 207.046 1.0 55.72718  ? 466 ASP F CB  466 ASP F CB  1 
ATOM 17956 C CG  . ASP C 3 466 ? 308.243 -103.831 205.722 1.0 55.72718  ? 466 ASP F CG  466 ASP F CG  1 
ATOM 17957 O OD1 . ASP C 3 466 ? 308.924 -102.918 205.209 1.0 55.72718  ? 466 ASP F OD1 466 ASP F OD1 1 
ATOM 17958 O OD2 . ASP C 3 466 ? 307.217 -104.295 205.187 1.0 55.72718  ? 466 ASP F OD2 466 ASP F OD2 1 
ATOM 17959 N N   . ILE C 3 467 ? 310.764 -101.705 208.520 1.0 51.43496  ? 467 ILE F N   467 ILE F N   1 
ATOM 17960 C CA  . ILE C 3 467 ? 310.664 -100.509 209.340 1.0 51.43496  ? 467 ILE F CA  467 ILE F CA  1 
ATOM 17961 C C   . ILE C 3 467 ? 310.276 -99.327  208.462 1.0 51.43496  ? 467 ILE F C   467 ILE F C   1 
ATOM 17962 O O   . ILE C 3 467 ? 310.714 -99.204  207.313 1.0 51.43496  ? 467 ILE F O   467 ILE F O   1 
ATOM 17963 C CB  . ILE C 3 467 ? 311.974 -100.290 210.126 1.0 51.43496  ? 467 ILE F CB  467 ILE F CB  1 
ATOM 17964 C CG1 . ILE C 3 467 ? 311.806 -99.221  211.200 1.0 51.43496  ? 467 ILE F CG1 467 ILE F CG1 1 
ATOM 17965 C CG2 . ILE C 3 467 ? 313.164 -100.007 209.225 1.0 51.43496  ? 467 ILE F CG2 467 ILE F CG2 1 
ATOM 17966 C CD1 . ILE C 3 467 ? 312.873 -99.297  212.250 1.0 51.43496  ? 467 ILE F CD1 467 ILE F CD1 1 
ATOM 17967 N N   . GLY C 3 468 ? 309.377 -98.498  208.978 1.0 50.47026  ? 468 GLY F N   468 GLY F N   1 
ATOM 17968 C CA  . GLY C 3 468 ? 308.844 -97.394  208.211 1.0 50.47026  ? 468 GLY F CA  468 GLY F CA  1 
ATOM 17969 C C   . GLY C 3 468 ? 307.490 -97.681  207.600 1.0 50.47026  ? 468 GLY F C   468 GLY F C   1 
ATOM 17970 O O   . GLY C 3 468 ? 306.625 -96.805  207.564 1.0 50.47026  ? 468 GLY F O   468 GLY F O   1 
ATOM 17971 N N   . ALA C 3 469 ? 307.286 -98.906  207.129 1.0 50.60084  ? 469 ALA F N   469 ALA F N   1 
ATOM 17972 C CA  . ALA C 3 469 ? 306.108 -99.240  206.345 1.0 50.60084  ? 469 ALA F CA  469 ALA F CA  1 
ATOM 17973 C C   . ALA C 3 469 ? 304.952 -99.693  207.223 1.0 50.60084  ? 469 ALA F C   469 ALA F C   1 
ATOM 17974 O O   . ALA C 3 469 ? 305.144 -100.232 208.314 1.0 50.60084  ? 469 ALA F O   469 ALA F O   1 
ATOM 17975 C CB  . ALA C 3 469 ? 306.430 -100.338 205.335 1.0 50.60084  ? 469 ALA F CB  469 ALA F CB  1 
ATOM 17976 N N   . ARG C 3 470 ? 303.740 -99.473  206.721 1.0 49.52515  ? 470 ARG F N   470 ARG F N   1 
ATOM 17977 C CA  . ARG C 3 470 ? 302.517 -99.997  207.321 1.0 49.52515  ? 470 ARG F CA  470 ARG F CA  1 
ATOM 17978 C C   . ARG C 3 470 ? 302.181 -101.273 206.566 1.0 49.52515  ? 470 ARG F C   470 ARG F C   1 
ATOM 17979 O O   . ARG C 3 470 ? 301.653 -101.228 205.454 1.0 49.52515  ? 470 ARG F O   470 ARG F O   1 
ATOM 17980 C CB  . ARG C 3 470 ? 301.389 -98.974  207.249 1.0 49.52515  ? 470 ARG F CB  470 ARG F CB  1 
ATOM 17981 C CG  . ARG C 3 470 ? 300.086 -99.437  207.869 1.0 49.52515  ? 470 ARG F CG  470 ARG F CG  1 
ATOM 17982 C CD  . ARG C 3 470 ? 299.050 -98.325  207.872 1.0 49.52515  ? 470 ARG F CD  470 ARG F CD  1 
ATOM 17983 N NE  . ARG C 3 470 ? 298.739 -97.863  206.525 1.0 49.52515  ? 470 ARG F NE  470 ARG F NE  1 
ATOM 17984 C CZ  . ARG C 3 470 ? 297.833 -98.417  205.727 1.0 49.52515  ? 470 ARG F CZ  470 ARG F CZ  1 
ATOM 17985 N NH1 . ARG C 3 470 ? 297.124 -99.456  206.132 1.0 49.52515  ? 470 ARG F NH1 470 ARG F NH1 1 
ATOM 17986 N NH2 . ARG C 3 470 ? 297.629 -97.923  204.517 1.0 49.52515  ? 470 ARG F NH2 470 ARG F NH2 1 
ATOM 17987 N N   . TRP C 3 471 ? 302.493 -102.413 207.171 1.0 49.19132  ? 471 TRP F N   471 TRP F N   1 
ATOM 17988 C CA  . TRP C 3 471 ? 302.540 -103.670 206.438 1.0 49.19132  ? 471 TRP F CA  471 TRP F CA  1 
ATOM 17989 C C   . TRP C 3 471 ? 302.250 -104.817 207.388 1.0 49.19132  ? 471 TRP F C   471 TRP F C   1 
ATOM 17990 O O   . TRP C 3 471 ? 303.005 -105.032 208.340 1.0 49.19132  ? 471 TRP F O   471 TRP F O   1 
ATOM 17991 C CB  . TRP C 3 471 ? 303.911 -103.841 205.797 1.0 49.19132  ? 471 TRP F CB  471 TRP F CB  1 
ATOM 17992 C CG  . TRP C 3 471 ? 304.079 -105.051 204.955 1.0 49.19132  ? 471 TRP F CG  471 TRP F CG  1 
ATOM 17993 C CD1 . TRP C 3 471 ? 304.709 -106.204 205.302 1.0 49.19132  ? 471 TRP F CD1 471 TRP F CD1 1 
ATOM 17994 C CD2 . TRP C 3 471 ? 303.654 -105.216 203.602 1.0 49.19132  ? 471 TRP F CD2 471 TRP F CD2 1 
ATOM 17995 N NE1 . TRP C 3 471 ? 304.684 -107.090 204.256 1.0 49.19132  ? 471 TRP F NE1 471 TRP F NE1 1 
ATOM 17996 C CE2 . TRP C 3 471 ? 304.047 -106.503 203.196 1.0 49.19132  ? 471 TRP F CE2 471 TRP F CE2 1 
ATOM 17997 C CE3 . TRP C 3 471 ? 302.980 -104.399 202.693 1.0 49.19132  ? 471 TRP F CE3 471 TRP F CE3 1 
ATOM 17998 C CZ2 . TRP C 3 471 ? 303.783 -106.994 201.926 1.0 49.19132  ? 471 TRP F CZ2 471 TRP F CZ2 1 
ATOM 17999 C CZ3 . TRP C 3 471 ? 302.721 -104.888 201.433 1.0 49.19132  ? 471 TRP F CZ3 471 TRP F CZ3 1 
ATOM 18000 C CH2 . TRP C 3 471 ? 303.127 -106.170 201.058 1.0 49.19132  ? 471 TRP F CH2 471 TRP F CH2 1 
ATOM 18001 N N   . SER C 3 472 ? 301.164 -105.539 207.134 1.0 50.41029  ? 472 SER F N   472 SER F N   1 
ATOM 18002 C CA  . SER C 3 472 ? 300.877 -106.759 207.871 1.0 50.41029  ? 472 SER F CA  472 SER F CA  1 
ATOM 18003 C C   . SER C 3 472 ? 301.914 -107.821 207.544 1.0 50.41029  ? 472 SER F C   472 SER F C   1 
ATOM 18004 O O   . SER C 3 472 ? 302.434 -107.878 206.429 1.0 50.41029  ? 472 SER F O   472 SER F O   1 
ATOM 18005 C CB  . SER C 3 472 ? 299.491 -107.283 207.515 1.0 50.41029  ? 472 SER F CB  472 SER F CB  1 
ATOM 18006 O OG  . SER C 3 472 ? 299.459 -107.734 206.176 1.0 50.41029  ? 472 SER F OG  472 SER F OG  1 
ATOM 18007 N N   . LEU C 3 473 ? 302.218 -108.663 208.529 1.0 52.60913  ? 473 LEU F N   473 LEU F N   1 
ATOM 18008 C CA  . LEU C 3 473 ? 303.126 -109.779 208.296 1.0 52.60913  ? 473 LEU F CA  473 LEU F CA  1 
ATOM 18009 C C   . LEU C 3 473 ? 302.510 -110.751 207.300 1.0 52.60913  ? 473 LEU F C   473 LEU F C   1 
ATOM 18010 O O   . LEU C 3 473 ? 301.321 -111.070 207.379 1.0 52.60913  ? 473 LEU F O   473 LEU F O   1 
ATOM 18011 C CB  . LEU C 3 473 ? 303.447 -110.506 209.604 1.0 52.60913  ? 473 LEU F CB  473 LEU F CB  1 
ATOM 18012 C CG  . LEU C 3 473 ? 304.597 -110.051 210.506 1.0 52.60913  ? 473 LEU F CG  473 LEU F CG  1 
ATOM 18013 C CD1 . LEU C 3 473 ? 305.915 -110.116 209.755 1.0 52.60913  ? 473 LEU F CD1 473 LEU F CD1 1 
ATOM 18014 C CD2 . LEU C 3 473 ? 304.375 -108.672 211.107 1.0 52.60913  ? 473 LEU F CD2 473 LEU F CD2 1 
ATOM 18015 N N   . ASP C 3 474 ? 303.328 -111.205 206.345 1.0 54.74421  ? 474 ASP F N   474 ASP F N   1 
ATOM 18016 C CA  . ASP C 3 474 ? 302.842 -112.023 205.238 1.0 54.74421  ? 474 ASP F CA  474 ASP F CA  1 
ATOM 18017 C C   . ASP C 3 474 ? 302.326 -113.381 205.687 1.0 54.74421  ? 474 ASP F C   474 ASP F C   1 
ATOM 18018 O O   . ASP C 3 474 ? 301.522 -113.990 204.975 1.0 54.74421  ? 474 ASP F O   474 ASP F O   1 
ATOM 18019 C CB  . ASP C 3 474 ? 303.948 -112.214 204.201 1.0 54.74421  ? 474 ASP F CB  474 ASP F CB  1 
ATOM 18020 C CG  . ASP C 3 474 ? 304.273 -110.939 203.455 1.0 54.74421  ? 474 ASP F CG  474 ASP F CG  1 
ATOM 18021 O OD1 . ASP C 3 474 ? 303.366 -110.096 203.297 1.0 54.74421  ? 474 ASP F OD1 474 ASP F OD1 1 
ATOM 18022 O OD2 . ASP C 3 474 ? 305.434 -110.777 203.027 1.0 54.74421  ? 474 ASP F OD2 474 ASP F OD2 1 
ATOM 18023 N N   . VAL C 3 475 ? 302.764 -113.867 206.849 1.0 54.0969   ? 475 VAL F N   475 VAL F N   1 
ATOM 18024 C CA  . VAL C 3 475 ? 302.254 -115.110 207.404 1.0 54.0969   ? 475 VAL F CA  475 VAL F CA  1 
ATOM 18025 C C   . VAL C 3 475 ? 301.202 -114.879 208.472 1.0 54.0969   ? 475 VAL F C   475 VAL F C   1 
ATOM 18026 O O   . VAL C 3 475 ? 300.629 -115.848 208.985 1.0 54.0969   ? 475 VAL F O   475 VAL F O   1 
ATOM 18027 C CB  . VAL C 3 475 ? 303.406 -115.962 207.958 1.0 54.0969   ? 475 VAL F CB  475 VAL F CB  1 
ATOM 18028 C CG1 . VAL C 3 475 ? 304.329 -116.353 206.826 1.0 54.0969   ? 475 VAL F CG1 475 VAL F CG1 1 
ATOM 18029 C CG2 . VAL C 3 475 ? 304.157 -115.181 209.012 1.0 54.0969   ? 475 VAL F CG2 475 VAL F CG2 1 
ATOM 18030 N N   . MET C 3 476 ? 300.926 -113.626 208.825 1.0 51.82529  ? 476 MET F N   476 MET F N   1 
ATOM 18031 C CA  . MET C 3 476 ? 299.846 -113.293 209.739 1.0 51.82529  ? 476 MET F CA  476 MET F CA  1 
ATOM 18032 C C   . MET C 3 476 ? 298.593 -112.839 209.006 1.0 51.82529  ? 476 MET F C   476 MET F C   1 
ATOM 18033 O O   . MET C 3 476 ? 297.804 -112.067 209.558 1.0 51.82529  ? 476 MET F O   476 MET F O   1 
ATOM 18034 C CB  . MET C 3 476 ? 300.301 -112.220 210.725 1.0 51.82529  ? 476 MET F CB  476 MET F CB  1 
ATOM 18035 C CG  . MET C 3 476 ? 301.344 -112.699 211.709 1.0 51.82529  ? 476 MET F CG  476 MET F CG  1 
ATOM 18036 S SD  . MET C 3 476 ? 300.701 -113.991 212.772 1.0 51.82529  ? 476 MET F SD  476 MET F SD  1 
ATOM 18037 C CE  . MET C 3 476 ? 299.532 -113.039 213.730 1.0 51.82529  ? 476 MET F CE  476 MET F CE  1 
ATOM 18038 N N   . ASP C 3 477 ? 298.400 -113.293 207.770 1.0 51.15009  ? 477 ASP F N   477 ASP F N   1 
ATOM 18039 C CA  . ASP C 3 477 ? 297.180 -112.998 207.032 1.0 51.15009  ? 477 ASP F CA  477 ASP F CA  1 
ATOM 18040 C C   . ASP C 3 477 ? 296.156 -114.112 207.157 1.0 51.15009  ? 477 ASP F C   477 ASP F C   1 
ATOM 18041 O O   . ASP C 3 477 ? 294.953 -113.845 207.220 1.0 51.15009  ? 477 ASP F O   477 ASP F O   1 
ATOM 18042 C CB  . ASP C 3 477 ? 297.497 -112.762 205.559 1.0 51.15009  ? 477 ASP F CB  477 ASP F CB  1 
ATOM 18043 C CG  . ASP C 3 477 ? 298.242 -111.479 205.334 1.0 51.15009  ? 477 ASP F CG  477 ASP F CG  1 
ATOM 18044 O OD1 . ASP C 3 477 ? 298.053 -110.538 206.131 1.0 51.15009  ? 477 ASP F OD1 477 ASP F OD1 1 
ATOM 18045 O OD2 . ASP C 3 477 ? 299.016 -111.407 204.359 1.0 51.15009  ? 477 ASP F OD2 477 ASP F OD2 1 
ATOM 18046 N N   . THR C 3 478 ? 296.615 -115.359 207.181 1.0 51.01411  ? 478 THR F N   478 THR F N   1 
ATOM 18047 C CA  . THR C 3 478 ? 295.735 -116.494 207.395 1.0 51.01411  ? 478 THR F CA  478 THR F CA  1 
ATOM 18048 C C   . THR C 3 478 ? 295.361 -116.692 208.854 1.0 51.01411  ? 478 THR F C   478 THR F C   1 
ATOM 18049 O O   . THR C 3 478 ? 294.425 -117.445 209.136 1.0 51.01411  ? 478 THR F O   478 THR F O   1 
ATOM 18050 C CB  . THR C 3 478 ? 296.385 -117.771 206.872 1.0 51.01411  ? 478 THR F CB  478 THR F CB  1 
ATOM 18051 O OG1 . THR C 3 478 ? 295.502 -118.874 207.102 1.0 51.01411  ? 478 THR F OG1 478 THR F OG1 1 
ATOM 18052 C CG2 . THR C 3 478 ? 297.707 -118.028 207.576 1.0 51.01411  ? 478 THR F CG2 478 THR F CG2 1 
ATOM 18053 N N   . VAL C 3 479 ? 296.062 -116.053 209.780 1.0 47.15952  ? 479 VAL F N   479 VAL F N   1 
ATOM 18054 C CA  . VAL C 3 479 ? 295.771 -116.216 211.197 1.0 47.15952  ? 479 VAL F CA  479 VAL F CA  1 
ATOM 18055 C C   . VAL C 3 479 ? 294.562 -115.363 211.547 1.0 47.15952  ? 479 VAL F C   479 VAL F C   1 
ATOM 18056 O O   . VAL C 3 479 ? 294.480 -114.194 211.155 1.0 47.15952  ? 479 VAL F O   479 VAL F O   1 
ATOM 18057 C CB  . VAL C 3 479 ? 296.994 -115.842 212.047 1.0 47.15952  ? 479 VAL F CB  479 VAL F CB  1 
ATOM 18058 C CG1 . VAL C 3 479 ? 296.681 -115.955 213.525 1.0 47.15952  ? 479 VAL F CG1 479 VAL F CG1 1 
ATOM 18059 C CG2 . VAL C 3 479 ? 298.161 -116.730 211.688 1.0 47.15952  ? 479 VAL F CG2 479 VAL F CG2 1 
ATOM 18060 N N   . ASN C 3 480 ? 293.614 -115.960 212.259 1.0 43.59602  ? 480 ASN F N   480 ASN F N   1 
ATOM 18061 C CA  . ASN C 3 480 ? 292.397 -115.303 212.706 1.0 43.59602  ? 480 ASN F CA  480 ASN F CA  1 
ATOM 18062 C C   . ASN C 3 480 ? 292.740 -114.155 213.651 1.0 43.59602  ? 480 ASN F C   480 ASN F C   1 
ATOM 18063 O O   . ASN C 3 480 ? 293.393 -114.386 214.677 1.0 43.59602  ? 480 ASN F O   480 ASN F O   1 
ATOM 18064 C CB  . ASN C 3 480 ? 291.520 -116.344 213.397 1.0 43.59602  ? 480 ASN F CB  480 ASN F CB  1 
ATOM 18065 C CG  . ASN C 3 480 ? 290.089 -115.895 213.594 1.0 43.59602  ? 480 ASN F CG  480 ASN F CG  1 
ATOM 18066 O OD1 . ASN C 3 480 ? 289.704 -114.796 213.216 1.0 43.59602  ? 480 ASN F OD1 480 ASN F OD1 1 
ATOM 18067 N ND2 . ASN C 3 480 ? 289.288 -116.761 214.196 1.0 43.59602  ? 480 ASN F ND2 480 ASN F ND2 1 
ATOM 18068 N N   . PRO C 3 481 ? 292.356 -112.916 213.335 1.0 44.15826  ? 481 PRO F N   481 PRO F N   1 
ATOM 18069 C CA  . PRO C 3 481 ? 292.677 -111.791 214.225 1.0 44.15826  ? 481 PRO F CA  481 PRO F CA  1 
ATOM 18070 C C   . PRO C 3 481 ? 291.896 -111.789 215.519 1.0 44.15826  ? 481 PRO F C   481 PRO F C   1 
ATOM 18071 O O   . PRO C 3 481 ? 292.299 -111.107 216.467 1.0 44.15826  ? 481 PRO F O   481 PRO F O   1 
ATOM 18072 C CB  . PRO C 3 481 ? 292.313 -110.568 213.380 1.0 44.15826  ? 481 PRO F CB  481 PRO F CB  1 
ATOM 18073 C CG  . PRO C 3 481 ? 291.265 -111.072 212.458 1.0 44.15826  ? 481 PRO F CG  481 PRO F CG  1 
ATOM 18074 C CD  . PRO C 3 481 ? 291.662 -112.466 212.119 1.0 44.15826  ? 481 PRO F CD  481 PRO F CD  1 
ATOM 18075 N N   . PHE C 3 482 ? 290.785 -112.499 215.587 1.0 42.77042  ? 482 PHE F N   482 PHE F N   1 
ATOM 18076 C CA  . PHE C 3 482 ? 289.944 -112.454 216.765 1.0 42.77042  ? 482 PHE F CA  482 PHE F CA  1 
ATOM 18077 C C   . PHE C 3 482 ? 290.280 -113.566 217.742 1.0 42.77042  ? 482 PHE F C   482 PHE F C   1 
ATOM 18078 O O   . PHE C 3 482 ? 289.567 -113.743 218.734 1.0 42.77042  ? 482 PHE F O   482 PHE F O   1 
ATOM 18079 C CB  . PHE C 3 482 ? 288.485 -112.529 216.344 1.0 42.77042  ? 482 PHE F CB  482 PHE F CB  1 
ATOM 18080 C CG  . PHE C 3 482 ? 288.100 -111.477 215.349 1.0 42.77042  ? 482 PHE F CG  482 PHE F CG  1 
ATOM 18081 C CD1 . PHE C 3 482 ? 287.807 -110.196 215.748 1.0 42.77042  ? 482 PHE F CD1 482 PHE F CD1 1 
ATOM 18082 C CD2 . PHE C 3 482 ? 288.055 -111.775 214.001 1.0 42.77042  ? 482 PHE F CD2 482 PHE F CD2 1 
ATOM 18083 C CE1 . PHE C 3 482 ? 287.465 -109.230 214.825 1.0 42.77042  ? 482 PHE F CE1 482 PHE F CE1 1 
ATOM 18084 C CE2 . PHE C 3 482 ? 287.715 -110.810 213.071 1.0 42.77042  ? 482 PHE F CE2 482 PHE F CE2 1 
ATOM 18085 C CZ  . PHE C 3 482 ? 287.410 -109.552 213.492 1.0 42.77042  ? 482 PHE F CZ  482 PHE F CZ  1 
ATOM 18086 N N   . ASN C 3 483 ? 291.329 -114.331 217.464 1.0 44.65964  ? 483 ASN F N   483 ASN F N   1 
ATOM 18087 C CA  . ASN C 3 483 ? 291.915 -115.241 218.441 1.0 44.65964  ? 483 ASN F CA  483 ASN F CA  1 
ATOM 18088 C C   . ASN C 3 483 ? 293.103 -114.572 219.125 1.0 44.65964  ? 483 ASN F C   483 ASN F C   1 
ATOM 18089 O O   . ASN C 3 483 ? 294.229 -115.061 219.112 1.0 44.65964  ? 483 ASN F O   483 ASN F O   1 
ATOM 18090 C CB  . ASN C 3 483 ? 292.328 -116.546 217.775 1.0 44.65964  ? 483 ASN F CB  483 ASN F CB  1 
ATOM 18091 C CG  . ASN C 3 483 ? 291.148 -117.353 217.310 1.0 44.65964  ? 483 ASN F CG  483 ASN F CG  1 
ATOM 18092 O OD1 . ASN C 3 483 ? 290.088 -117.324 217.924 1.0 44.65964  ? 483 ASN F OD1 483 ASN F OD1 1 
ATOM 18093 N ND2 . ASN C 3 483 ? 291.339 -118.123 216.251 1.0 44.65964  ? 483 ASN F ND2 483 ASN F ND2 1 
ATOM 18094 N N   . HIS C 3 484 ? 292.826 -113.427 219.733 1.0 45.81766  ? 484 HIS F N   484 HIS F N   1 
ATOM 18095 C CA  . HIS C 3 484 ? 293.863 -112.558 220.257 1.0 45.81766  ? 484 HIS F CA  484 HIS F CA  1 
ATOM 18096 C C   . HIS C 3 484 ? 293.399 -112.034 221.604 1.0 45.81766  ? 484 HIS F C   484 HIS F C   1 
ATOM 18097 O O   . HIS C 3 484 ? 292.201 -111.879 221.832 1.0 45.81766  ? 484 HIS F O   484 HIS F O   1 
ATOM 18098 C CB  . HIS C 3 484 ? 294.127 -111.417 219.272 1.0 45.81766  ? 484 HIS F CB  484 HIS F CB  1 
ATOM 18099 C CG  . HIS C 3 484 ? 295.378 -110.652 219.541 1.0 45.81766  ? 484 HIS F CG  484 HIS F CG  1 
ATOM 18100 N ND1 . HIS C 3 484 ? 295.419 -109.557 220.373 1.0 45.81766  ? 484 HIS F ND1 484 HIS F ND1 1 
ATOM 18101 C CD2 . HIS C 3 484 ? 296.636 -110.816 219.073 1.0 45.81766  ? 484 HIS F CD2 484 HIS F CD2 1 
ATOM 18102 C CE1 . HIS C 3 484 ? 296.650 -109.083 220.414 1.0 45.81766  ? 484 HIS F CE1 484 HIS F CE1 1 
ATOM 18103 N NE2 . HIS C 3 484 ? 297.409 -109.830 219.634 1.0 45.81766  ? 484 HIS F NE2 484 HIS F NE2 1 
ATOM 18104 N N   . HIS C 3 485 ? 294.338 -111.758 222.504 1.0 47.88122  ? 485 HIS F N   485 HIS F N   1 
ATOM 18105 C CA  . HIS C 3 485 ? 293.934 -111.325 223.837 1.0 47.88122  ? 485 HIS F CA  485 HIS F CA  1 
ATOM 18106 C C   . HIS C 3 485 ? 293.612 -109.841 223.917 1.0 47.88122  ? 485 HIS F C   485 HIS F C   1 
ATOM 18107 O O   . HIS C 3 485 ? 293.409 -109.334 225.023 1.0 47.88122  ? 485 HIS F O   485 HIS F O   1 
ATOM 18108 C CB  . HIS C 3 485 ? 295.014 -111.650 224.864 1.0 47.88122  ? 485 HIS F CB  485 HIS F CB  1 
ATOM 18109 C CG  . HIS C 3 485 ? 296.254 -110.838 224.700 1.0 47.88122  ? 485 HIS F CG  485 HIS F CG  1 
ATOM 18110 N ND1 . HIS C 3 485 ? 297.210 -111.136 223.757 1.0 47.88122  ? 485 HIS F ND1 485 HIS F ND1 1 
ATOM 18111 C CD2 . HIS C 3 485 ? 296.692 -109.734 225.348 1.0 47.88122  ? 485 HIS F CD2 485 HIS F CD2 1 
ATOM 18112 C CE1 . HIS C 3 485 ? 298.188 -110.253 223.835 1.0 47.88122  ? 485 HIS F CE1 485 HIS F CE1 1 
ATOM 18113 N NE2 . HIS C 3 485 ? 297.897 -109.390 224.791 1.0 47.88122  ? 485 HIS F NE2 485 HIS F NE2 1 
ATOM 18114 N N   . ARG C 3 486 ? 293.570 -109.124 222.796 1.0 48.98021  ? 486 ARG F N   486 ARG F N   1 
ATOM 18115 C CA  . ARG C 3 486 ? 293.258 -107.703 222.807 1.0 48.98021  ? 486 ARG F CA  486 ARG F CA  1 
ATOM 18116 C C   . ARG C 3 486 ? 291.978 -107.399 222.040 1.0 48.98021  ? 486 ARG F C   486 ARG F C   1 
ATOM 18117 O O   . ARG C 3 486 ? 291.824 -106.307 221.492 1.0 48.98021  ? 486 ARG F O   486 ARG F O   1 
ATOM 18118 C CB  . ARG C 3 486 ? 294.418 -106.876 222.254 1.0 48.98021  ? 486 ARG F CB  486 ARG F CB  1 
ATOM 18119 C CG  . ARG C 3 486 ? 295.647 -106.836 223.146 1.0 48.98021  ? 486 ARG F CG  486 ARG F CG  1 
ATOM 18120 C CD  . ARG C 3 486 ? 296.768 -106.045 222.495 1.0 48.98021  ? 486 ARG F CD  486 ARG F CD  1 
ATOM 18121 N NE  . ARG C 3 486 ? 296.464 -104.624 222.385 1.0 48.98021  ? 486 ARG F NE  486 ARG F NE  1 
ATOM 18122 C CZ  . ARG C 3 486 ? 296.778 -103.725 223.310 1.0 48.98021  ? 486 ARG F CZ  486 ARG F CZ  1 
ATOM 18123 N NH1 . ARG C 3 486 ? 297.412 -104.101 224.410 1.0 48.98021  ? 486 ARG F NH1 486 ARG F NH1 1 
ATOM 18124 N NH2 . ARG C 3 486 ? 296.466 -102.451 223.134 1.0 48.98021  ? 486 ARG F NH2 486 ARG F NH2 1 
ATOM 18125 N N   . ASN C 3 487 ? 291.046 -108.343 221.990 1.0 46.55592  ? 487 ASN F N   487 ASN F N   1 
ATOM 18126 C CA  . ASN C 3 487 ? 289.691 -108.017 221.576 1.0 46.55592  ? 487 ASN F CA  487 ASN F CA  1 
ATOM 18127 C C   . ASN C 3 487 ? 288.867 -107.658 222.806 1.0 46.55592  ? 487 ASN F C   487 ASN F C   1 
ATOM 18128 O O   . ASN C 3 487 ? 288.757 -108.439 223.753 1.0 46.55592  ? 487 ASN F O   487 ASN F O   1 
ATOM 18129 C CB  . ASN C 3 487 ? 289.039 -109.134 220.754 1.0 46.55592  ? 487 ASN F CB  487 ASN F CB  1 
ATOM 18130 C CG  . ASN C 3 487 ? 289.098 -110.485 221.415 1.0 46.55592  ? 487 ASN F CG  487 ASN F CG  1 
ATOM 18131 O OD1 . ASN C 3 487 ? 289.720 -110.667 222.458 1.0 46.55592  ? 487 ASN F OD1 487 ASN F OD1 1 
ATOM 18132 N ND2 . ASN C 3 487 ? 288.417 -111.447 220.818 1.0 46.55592  ? 487 ASN F ND2 487 ASN F ND2 1 
ATOM 18133 N N   . THR C 3 488 ? 288.298 -106.468 222.795 1.0 45.68599  ? 488 THR F N   488 THR F N   1 
ATOM 18134 C CA  . THR C 3 488 ? 287.570 -105.952 223.940 1.0 45.68599  ? 488 THR F CA  488 THR F CA  1 
ATOM 18135 C C   . THR C 3 488 ? 286.159 -106.508 224.051 1.0 45.68599  ? 488 THR F C   488 THR F C   1 
ATOM 18136 O O   . THR C 3 488 ? 285.381 -106.021 224.877 1.0 45.68599  ? 488 THR F O   488 THR F O   1 
ATOM 18137 C CB  . THR C 3 488 ? 287.531 -104.428 223.868 1.0 45.68599  ? 488 THR F CB  488 THR F CB  1 
ATOM 18138 O OG1 . THR C 3 488 ? 286.898 -104.030 222.644 1.0 45.68599  ? 488 THR F OG1 488 THR F OG1 1 
ATOM 18139 C CG2 . THR C 3 488 ? 288.944 -103.871 223.896 1.0 45.68599  ? 488 THR F CG2 488 THR F CG2 1 
ATOM 18140 N N   . GLY C 3 489 ? 285.805 -107.487 223.225 1.0 44.44733  ? 489 GLY F N   489 GLY F N   1 
ATOM 18141 C CA  . GLY C 3 489 ? 284.541 -108.170 223.348 1.0 44.44733  ? 489 GLY F CA  489 GLY F CA  1 
ATOM 18142 C C   . GLY C 3 489 ? 284.681 -109.411 224.194 1.0 44.44733  ? 489 GLY F C   489 GLY F C   1 
ATOM 18143 O O   . GLY C 3 489 ? 283.976 -109.568 225.191 1.0 44.44733  ? 489 GLY F O   489 GLY F O   1 
ATOM 18144 N N   . LEU C 3 490 ? 285.619 -110.283 223.822 1.0 42.11631  ? 490 LEU F N   490 LEU F N   1 
ATOM 18145 C CA  . LEU C 3 490 ? 285.861 -111.498 224.591 1.0 42.11631  ? 490 LEU F CA  490 LEU F CA  1 
ATOM 18146 C C   . LEU C 3 490 ? 286.470 -111.187 225.951 1.0 42.11631  ? 490 LEU F C   490 LEU F C   1 
ATOM 18147 O O   . LEU C 3 490 ? 286.216 -111.904 226.922 1.0 42.11631  ? 490 LEU F O   490 LEU F O   1 
ATOM 18148 C CB  . LEU C 3 490 ? 286.764 -112.433 223.794 1.0 42.11631  ? 490 LEU F CB  490 LEU F CB  1 
ATOM 18149 C CG  . LEU C 3 490 ? 287.029 -113.810 224.383 1.0 42.11631  ? 490 LEU F CG  490 LEU F CG  1 
ATOM 18150 C CD1 . LEU C 3 490 ? 285.725 -114.548 224.509 1.0 42.11631  ? 490 LEU F CD1 490 LEU F CD1 1 
ATOM 18151 C CD2 . LEU C 3 490 ? 287.993 -114.569 223.507 1.0 42.11631  ? 490 LEU F CD2 490 LEU F CD2 1 
ATOM 18152 N N   . LYS C 3 491 ? 287.259 -110.117 226.040 1.0 45.12958  ? 491 LYS F N   491 LYS F N   1 
ATOM 18153 C CA  . LYS C 3 491 ? 287.724 -109.630 227.333 1.0 45.12958  ? 491 LYS F CA  491 LYS F CA  1 
ATOM 18154 C C   . LYS C 3 491 ? 286.565 -109.117 228.176 1.0 45.12958  ? 491 LYS F C   491 LYS F C   1 
ATOM 18155 O O   . LYS C 3 491 ? 286.596 -109.221 229.405 1.0 45.12958  ? 491 LYS F O   491 LYS F O   1 
ATOM 18156 C CB  . LYS C 3 491 ? 288.764 -108.534 227.102 1.0 45.12958  ? 491 LYS F CB  491 LYS F CB  1 
ATOM 18157 C CG  . LYS C 3 491 ? 289.485 -107.987 228.319 1.0 45.12958  ? 491 LYS F CG  491 LYS F CG  1 
ATOM 18158 C CD  . LYS C 3 491 ? 290.503 -106.956 227.853 1.0 45.12958  ? 491 LYS F CD  491 LYS F CD  1 
ATOM 18159 C CE  . LYS C 3 491 ? 291.370 -106.444 228.976 1.0 45.12958  ? 491 LYS F CE  491 LYS F CE  1 
ATOM 18160 N NZ  . LYS C 3 491 ? 290.604 -105.652 229.958 1.0 45.12958  ? 491 LYS F NZ  491 LYS F NZ  1 
ATOM 18161 N N   . TYR C 3 492 ? 285.529 -108.576 227.534 1.0 43.22849  ? 492 TYR F N   492 TYR F N   1 
ATOM 18162 C CA  . TYR C 3 492 ? 284.336 -108.148 228.253 1.0 43.22849  ? 492 TYR F CA  492 TYR F CA  1 
ATOM 18163 C C   . TYR C 3 492 ? 283.430 -109.325 228.573 1.0 43.22849  ? 492 TYR F C   492 TYR F C   1 
ATOM 18164 O O   . TYR C 3 492 ? 282.838 -109.373 229.653 1.0 43.22849  ? 492 TYR F O   492 TYR F O   1 
ATOM 18165 C CB  . TYR C 3 492 ? 283.576 -107.105 227.435 1.0 43.22849  ? 492 TYR F CB  492 TYR F CB  1 
ATOM 18166 C CG  . TYR C 3 492 ? 282.342 -106.535 228.101 1.0 43.22849  ? 492 TYR F CG  492 TYR F CG  1 
ATOM 18167 C CD1 . TYR C 3 492 ? 282.449 -105.585 229.103 1.0 43.22849  ? 492 TYR F CD1 492 TYR F CD1 1 
ATOM 18168 C CD2 . TYR C 3 492 ? 281.069 -106.931 227.709 1.0 43.22849  ? 492 TYR F CD2 492 TYR F CD2 1 
ATOM 18169 C CE1 . TYR C 3 492 ? 281.326 -105.053 229.703 1.0 43.22849  ? 492 TYR F CE1 492 TYR F CE1 1 
ATOM 18170 C CE2 . TYR C 3 492 ? 279.940 -106.404 228.310 1.0 43.22849  ? 492 TYR F CE2 492 TYR F CE2 1 
ATOM 18171 C CZ  . TYR C 3 492 ? 280.080 -105.466 229.307 1.0 43.22849  ? 492 TYR F CZ  492 TYR F CZ  1 
ATOM 18172 O OH  . TYR C 3 492 ? 278.974 -104.926 229.919 1.0 43.22849  ? 492 TYR F OH  492 TYR F OH  1 
ATOM 18173 N N   . ARG C 3 493 ? 283.307 -110.282 227.650 1.0 41.01875  ? 493 ARG F N   493 ARG F N   1 
ATOM 18174 C CA  . ARG C 3 493 ? 282.397 -111.402 227.856 1.0 41.01875  ? 493 ARG F CA  493 ARG F CA  1 
ATOM 18175 C C   . ARG C 3 493 ? 282.937 -112.412 228.855 1.0 41.01875  ? 493 ARG F C   493 ARG F C   1 
ATOM 18176 O O   . ARG C 3 493 ? 282.152 -113.053 229.557 1.0 41.01875  ? 493 ARG F O   493 ARG F O   1 
ATOM 18177 C CB  . ARG C 3 493 ? 282.103 -112.111 226.534 1.0 41.01875  ? 493 ARG F CB  493 ARG F CB  1 
ATOM 18178 C CG  . ARG C 3 493 ? 281.290 -111.306 225.549 1.0 41.01875  ? 493 ARG F CG  493 ARG F CG  1 
ATOM 18179 C CD  . ARG C 3 493 ? 280.825 -112.159 224.391 1.0 41.01875  ? 493 ARG F CD  493 ARG F CD  1 
ATOM 18180 N NE  . ARG C 3 493 ? 281.925 -112.692 223.593 1.0 41.01875  ? 493 ARG F NE  493 ARG F NE  1 
ATOM 18181 C CZ  . ARG C 3 493 ? 282.449 -112.081 222.539 1.0 41.01875  ? 493 ARG F CZ  493 ARG F CZ  1 
ATOM 18182 N NH1 . ARG C 3 493 ? 281.977 -110.908 222.146 1.0 41.01875  ? 493 ARG F NH1 493 ARG F NH1 1 
ATOM 18183 N NH2 . ARG C 3 493 ? 283.445 -112.646 221.878 1.0 41.01875  ? 493 ARG F NH2 493 ARG F NH2 1 
ATOM 18184 N N   . SER C 3 494 ? 284.256 -112.580 228.935 1.0 43.65582  ? 494 SER F N   494 SER F N   1 
ATOM 18185 C CA  . SER C 3 494 ? 284.804 -113.537 229.886 1.0 43.65582  ? 494 SER F CA  494 SER F CA  1 
ATOM 18186 C C   . SER C 3 494 ? 284.841 -112.983 231.298 1.0 43.65582  ? 494 SER F C   494 SER F C   1 
ATOM 18187 O O   . SER C 3 494 ? 284.676 -113.740 232.258 1.0 43.65582  ? 494 SER F O   494 SER F O   1 
ATOM 18188 C CB  . SER C 3 494 ? 286.209 -113.960 229.474 1.0 43.65582  ? 494 SER F CB  494 SER F CB  1 
ATOM 18189 O OG  . SER C 3 494 ? 286.753 -114.853 230.425 1.0 43.65582  ? 494 SER F OG  494 SER F OG  1 
ATOM 18190 N N   . GLN C 3 495 ? 285.063 -111.681 231.446 1.0 45.25542  ? 495 GLN F N   495 GLN F N   1 
ATOM 18191 C CA  . GLN C 3 495 ? 285.080 -111.052 232.757 1.0 45.25542  ? 495 GLN F CA  495 GLN F CA  1 
ATOM 18192 C C   . GLN C 3 495 ? 283.691 -110.717 233.266 1.0 45.25542  ? 495 GLN F C   495 GLN F C   1 
ATOM 18193 O O   . GLN C 3 495 ? 283.553 -110.323 234.427 1.0 45.25542  ? 495 GLN F O   495 GLN F O   1 
ATOM 18194 C CB  . GLN C 3 495 ? 285.921 -109.780 232.710 1.0 45.25542  ? 495 GLN F CB  495 GLN F CB  1 
ATOM 18195 C CG  . GLN C 3 495 ? 287.388 -110.039 232.491 1.0 45.25542  ? 495 GLN F CG  495 GLN F CG  1 
ATOM 18196 C CD  . GLN C 3 495 ? 288.176 -108.765 232.343 1.0 45.25542  ? 495 GLN F CD  495 GLN F CD  1 
ATOM 18197 O OE1 . GLN C 3 495 ? 287.614 -107.674 232.331 1.0 45.25542  ? 495 GLN F OE1 495 GLN F OE1 1 
ATOM 18198 N NE2 . GLN C 3 495 ? 289.488 -108.895 232.223 1.0 45.25542  ? 495 GLN F NE2 495 GLN F NE2 1 
ATOM 18199 N N   . LEU C 3 496 ? 282.669 -110.857 232.427 1.0 43.80522  ? 496 LEU F N   496 LEU F N   1 
ATOM 18200 C CA  . LEU C 3 496 ? 281.307 -110.560 232.841 1.0 43.80522  ? 496 LEU F CA  496 LEU F CA  1 
ATOM 18201 C C   . LEU C 3 496 ? 280.754 -111.645 233.751 1.0 43.80522  ? 496 LEU F C   496 LEU F C   1 
ATOM 18202 O O   . LEU C 3 496 ? 279.866 -111.375 234.567 1.0 43.80522  ? 496 LEU F O   496 LEU F O   1 
ATOM 18203 C CB  . LEU C 3 496 ? 280.428 -110.393 231.603 1.0 43.80522  ? 496 LEU F CB  496 LEU F CB  1 
ATOM 18204 C CG  . LEU C 3 496 ? 279.000 -109.885 231.728 1.0 43.80522  ? 496 LEU F CG  496 LEU F CG  1 
ATOM 18205 C CD1 . LEU C 3 496 ? 279.007 -108.498 232.312 1.0 43.80522  ? 496 LEU F CD1 496 LEU F CD1 1 
ATOM 18206 C CD2 . LEU C 3 496 ? 278.347 -109.876 230.362 1.0 43.80522  ? 496 LEU F CD2 496 LEU F CD2 1 
ATOM 18207 N N   . LEU C 3 497 ? 281.280 -112.861 233.642 1.0 46.02596  ? 497 LEU F N   497 LEU F N   1 
ATOM 18208 C CA  . LEU C 3 497 ? 280.830 -113.981 234.456 1.0 46.02596  ? 497 LEU F CA  497 LEU F CA  1 
ATOM 18209 C C   . LEU C 3 497 ? 281.624 -114.117 235.745 1.0 46.02596  ? 497 LEU F C   497 LEU F C   1 
ATOM 18210 O O   . LEU C 3 497 ? 281.055 -114.443 236.791 1.0 46.02596  ? 497 LEU F O   497 LEU F O   1 
ATOM 18211 C CB  . LEU C 3 497 ? 280.945 -115.282 233.673 1.0 46.02596  ? 497 LEU F CB  497 LEU F CB  1 
ATOM 18212 C CG  . LEU C 3 497 ? 279.933 -115.732 232.628 1.0 46.02596  ? 497 LEU F CG  497 LEU F CG  1 
ATOM 18213 C CD1 . LEU C 3 497 ? 280.037 -114.956 231.330 1.0 46.02596  ? 497 LEU F CD1 497 LEU F CD1 1 
ATOM 18214 C CD2 . LEU C 3 497 ? 280.172 -117.196 232.380 1.0 46.02596  ? 497 LEU F CD2 497 LEU F CD2 1 
ATOM 18215 N N   . GLY C 3 498 ? 282.931 -113.892 235.683 1.0 46.80387  ? 498 GLY F N   498 GLY F N   1 
ATOM 18216 C CA  . GLY C 3 498 ? 283.764 -114.007 236.863 1.0 46.80387  ? 498 GLY F CA  498 GLY F CA  1 
ATOM 18217 C C   . GLY C 3 498 ? 285.224 -114.079 236.470 1.0 46.80387  ? 498 GLY F C   498 GLY F C   1 
ATOM 18218 O O   . GLY C 3 498 ? 285.612 -113.626 235.394 1.0 46.80387  ? 498 GLY F O   498 GLY F O   1 
ATOM 18219 N N   . ASN C 3 499 ? 286.026 -114.649 237.365 1.0 49.5308   ? 499 ASN F N   499 ASN F N   1 
ATOM 18220 C CA  . ASN C 3 499 ? 287.434 -114.870 237.072 1.0 49.5308   ? 499 ASN F CA  499 ASN F CA  1 
ATOM 18221 C C   . ASN C 3 499 ? 287.881 -116.290 237.376 1.0 49.5308   ? 499 ASN F C   499 ASN F C   1 
ATOM 18222 O O   . ASN C 3 499 ? 289.075 -116.583 237.257 1.0 49.5308   ? 499 ASN F O   499 ASN F O   1 
ATOM 18223 C CB  . ASN C 3 499 ? 288.322 -113.891 237.844 1.0 49.5308   ? 499 ASN F CB  499 ASN F CB  1 
ATOM 18224 C CG  . ASN C 3 499 ? 288.074 -113.924 239.336 1.0 49.5308   ? 499 ASN F CG  499 ASN F CG  1 
ATOM 18225 O OD1 . ASN C 3 499 ? 287.166 -114.594 239.816 1.0 49.5308   ? 499 ASN F OD1 499 ASN F OD1 1 
ATOM 18226 N ND2 . ASN C 3 499 ? 288.918 -113.234 240.085 1.0 49.5308   ? 499 ASN F ND2 499 ASN F ND2 1 
ATOM 18227 N N   . GLY C 3 500 ? 286.973 -117.174 237.765 1.0 50.54137  ? 500 GLY F N   500 GLY F N   1 
ATOM 18228 C CA  . GLY C 3 500 ? 287.379 -118.479 238.229 1.0 50.54137  ? 500 GLY F CA  500 GLY F CA  1 
ATOM 18229 C C   . GLY C 3 500 ? 287.073 -119.619 237.286 1.0 50.54137  ? 500 GLY F C   500 GLY F C   1 
ATOM 18230 O O   . GLY C 3 500 ? 286.318 -119.470 236.323 1.0 50.54137  ? 500 GLY F O   500 GLY F O   1 
ATOM 18231 N N   . ARG C 3 501 ? 287.675 -120.772 237.567 1.0 52.27952  ? 501 ARG F N   501 ARG F N   1 
ATOM 18232 C CA  . ARG C 3 501 ? 287.434 -121.966 236.769 1.0 52.27952  ? 501 ARG F CA  501 ARG F CA  1 
ATOM 18233 C C   . ARG C 3 501 ? 286.026 -122.499 236.997 1.0 52.27952  ? 501 ARG F C   501 ARG F C   1 
ATOM 18234 O O   . ARG C 3 501 ? 285.356 -122.929 236.052 1.0 52.27952  ? 501 ARG F O   501 ARG F O   1 
ATOM 18235 C CB  . ARG C 3 501 ? 288.493 -123.011 237.117 1.0 52.27952  ? 501 ARG F CB  501 ARG F CB  1 
ATOM 18236 C CG  . ARG C 3 501 ? 288.468 -124.303 236.337 1.0 52.27952  ? 501 ARG F CG  501 ARG F CG  1 
ATOM 18237 C CD  . ARG C 3 501 ? 289.674 -125.138 236.736 1.0 52.27952  ? 501 ARG F CD  501 ARG F CD  1 
ATOM 18238 N NE  . ARG C 3 501 ? 289.758 -126.407 236.024 1.0 52.27952  ? 501 ARG F NE  501 ARG F NE  1 
ATOM 18239 C CZ  . ARG C 3 501 ? 289.269 -127.554 236.477 1.0 52.27952  ? 501 ARG F CZ  501 ARG F CZ  1 
ATOM 18240 N NH1 . ARG C 3 501 ? 288.665 -127.601 237.653 1.0 52.27952  ? 501 ARG F NH1 501 ARG F NH1 1 
ATOM 18241 N NH2 . ARG C 3 501 ? 289.394 -128.658 235.759 1.0 52.27952  ? 501 ARG F NH2 501 ARG F NH2 1 
ATOM 18242 N N   . TYR C 3 502 ? 285.559 -122.462 238.239 1.0 53.44578  ? 502 TYR F N   502 TYR F N   1 
ATOM 18243 C CA  . TYR C 3 502 ? 284.203 -122.844 238.606 1.0 53.44578  ? 502 TYR F CA  502 TYR F CA  1 
ATOM 18244 C C   . TYR C 3 502 ? 283.398 -121.573 238.833 1.0 53.44578  ? 502 TYR F C   502 TYR F C   1 
ATOM 18245 O O   . TYR C 3 502 ? 283.793 -120.727 239.640 1.0 53.44578  ? 502 TYR F O   502 TYR F O   1 
ATOM 18246 C CB  . TYR C 3 502 ? 284.203 -123.686 239.880 1.0 53.44578  ? 502 TYR F CB  502 TYR F CB  1 
ATOM 18247 C CG  . TYR C 3 502 ? 284.838 -125.047 239.763 1.0 53.44578  ? 502 TYR F CG  502 TYR F CG  1 
ATOM 18248 C CD1 . TYR C 3 502 ? 285.005 -125.658 238.534 1.0 53.44578  ? 502 TYR F CD1 502 TYR F CD1 1 
ATOM 18249 C CD2 . TYR C 3 502 ? 285.285 -125.715 240.892 1.0 53.44578  ? 502 TYR F CD2 502 TYR F CD2 1 
ATOM 18250 C CE1 . TYR C 3 502 ? 285.583 -126.901 238.433 1.0 53.44578  ? 502 TYR F CE1 502 TYR F CE1 1 
ATOM 18251 C CE2 . TYR C 3 502 ? 285.872 -126.960 240.800 1.0 53.44578  ? 502 TYR F CE2 502 TYR F CE2 1 
ATOM 18252 C CZ  . TYR C 3 502 ? 286.021 -127.547 239.565 1.0 53.44578  ? 502 TYR F CZ  502 TYR F CZ  1 
ATOM 18253 O OH  . TYR C 3 502 ? 286.603 -128.791 239.457 1.0 53.44578  ? 502 TYR F OH  502 TYR F OH  1 
ATOM 18254 N N   . CYS C 3 503 ? 282.274 -121.436 238.137 1.0 50.7738   ? 503 CYS F N   503 CYS F N   1 
ATOM 18255 C CA  . CYS C 3 503 ? 281.456 -120.245 238.305 1.0 50.7738   ? 503 CYS F CA  503 CYS F CA  1 
ATOM 18256 C C   . CYS C 3 503 ? 280.007 -120.554 237.968 1.0 50.7738   ? 503 CYS F C   503 CYS F C   1 
ATOM 18257 O O   . CYS C 3 503 ? 279.724 -121.322 237.046 1.0 50.7738   ? 503 CYS F O   503 CYS F O   1 
ATOM 18258 C CB  . CYS C 3 503 ? 281.966 -119.089 237.435 1.0 50.7738   ? 503 CYS F CB  503 CYS F CB  1 
ATOM 18259 S SG  . CYS C 3 503 ? 281.905 -119.377 235.657 1.0 50.7738   ? 503 CYS F SG  503 CYS F SG  1 
ATOM 18260 N N   . ASP C 3 504 ? 279.097 -119.967 238.737 1.0 50.11873  ? 504 ASP F N   504 ASP F N   1 
ATOM 18261 C CA  . ASP C 3 504 ? 277.699 -119.945 238.355 1.0 50.11873  ? 504 ASP F CA  504 ASP F CA  1 
ATOM 18262 C C   . ASP C 3 504 ? 277.469 -118.847 237.327 1.0 50.11873  ? 504 ASP F C   504 ASP F C   1 
ATOM 18263 O O   . ASP C 3 504 ? 278.317 -117.982 237.101 1.0 50.11873  ? 504 ASP F O   504 ASP F O   1 
ATOM 18264 C CB  . ASP C 3 504 ? 276.806 -119.715 239.567 1.0 50.11873  ? 504 ASP F CB  504 ASP F CB  1 
ATOM 18265 C CG  . ASP C 3 504 ? 276.819 -120.877 240.525 1.0 50.11873  ? 504 ASP F CG  504 ASP F CG  1 
ATOM 18266 O OD1 . ASP C 3 504 ? 277.052 -122.017 240.075 1.0 50.11873  ? 504 ASP F OD1 504 ASP F OD1 1 
ATOM 18267 O OD2 . ASP C 3 504 ? 276.590 -120.650 241.729 1.0 50.11873  ? 504 ASP F OD2 504 ASP F OD2 1 
ATOM 18268 N N   . PHE C 3 505 ? 276.297 -118.884 236.704 1.0 43.71422  ? 505 PHE F N   505 PHE F N   1 
ATOM 18269 C CA  . PHE C 3 505 ? 275.933 -117.885 235.713 1.0 43.71422  ? 505 PHE F CA  505 PHE F CA  1 
ATOM 18270 C C   . PHE C 3 505 ? 274.418 -117.807 235.638 1.0 43.71422  ? 505 PHE F C   505 PHE F C   1 
ATOM 18271 O O   . PHE C 3 505 ? 273.710 -118.765 235.953 1.0 43.71422  ? 505 PHE F O   505 PHE F O   1 
ATOM 18272 C CB  . PHE C 3 505 ? 276.555 -118.188 234.339 1.0 43.71422  ? 505 PHE F CB  505 PHE F CB  1 
ATOM 18273 C CG  . PHE C 3 505 ? 276.100 -119.479 233.722 1.0 43.71422  ? 505 PHE F CG  505 PHE F CG  1 
ATOM 18274 C CD1 . PHE C 3 505 ? 276.729 -120.669 234.035 1.0 43.71422  ? 505 PHE F CD1 505 PHE F CD1 1 
ATOM 18275 C CD2 . PHE C 3 505 ? 275.085 -119.495 232.783 1.0 43.71422  ? 505 PHE F CD2 505 PHE F CD2 1 
ATOM 18276 C CE1 . PHE C 3 505 ? 276.324 -121.851 233.457 1.0 43.71422  ? 505 PHE F CE1 505 PHE F CE1 1 
ATOM 18277 C CE2 . PHE C 3 505 ? 274.679 -120.676 232.205 1.0 43.71422  ? 505 PHE F CE2 505 PHE F CE2 1 
ATOM 18278 C CZ  . PHE C 3 505 ? 275.298 -121.852 232.540 1.0 43.71422  ? 505 PHE F CZ  505 PHE F CZ  1 
ATOM 18279 N N   . HIS C 3 506 ? 273.930 -116.639 235.231 1.0 42.06942  ? 506 HIS F N   506 HIS F N   1 
ATOM 18280 C CA  . HIS C 3 506 ? 272.497 -116.373 235.166 1.0 42.06942  ? 506 HIS F CA  506 HIS F CA  1 
ATOM 18281 C C   . HIS C 3 506 ? 272.294 -115.443 233.975 1.0 42.06942  ? 506 HIS F C   506 HIS F C   1 
ATOM 18282 O O   . HIS C 3 506 ? 272.417 -114.222 234.102 1.0 42.06942  ? 506 HIS F O   506 HIS F O   1 
ATOM 18283 C CB  . HIS C 3 506 ? 271.993 -115.742 236.447 1.0 42.06942  ? 506 HIS F CB  506 HIS F CB  1 
ATOM 18284 C CG  . HIS C 3 506 ? 270.512 -115.554 236.482 1.0 42.06942  ? 506 HIS F CG  506 HIS F CG  1 
ATOM 18285 N ND1 . HIS C 3 506 ? 269.645 -116.570 236.814 1.0 42.06942  ? 506 HIS F ND1 506 HIS F ND1 1 
ATOM 18286 C CD2 . HIS C 3 506 ? 269.741 -114.488 236.171 1.0 42.06942  ? 506 HIS F CD2 506 HIS F CD2 1 
ATOM 18287 C CE1 . HIS C 3 506 ? 268.405 -116.126 236.750 1.0 42.06942  ? 506 HIS F CE1 506 HIS F CE1 1 
ATOM 18288 N NE2 . HIS C 3 506 ? 268.434 -114.867 236.353 1.0 42.06942  ? 506 HIS F NE2 506 HIS F NE2 1 
ATOM 18289 N N   . ILE C 3 507 ? 271.985 -116.032 232.825 1.0 39.60363  ? 507 ILE F N   507 ILE F N   1 
ATOM 18290 C CA  . ILE C 3 507 ? 272.018 -115.309 231.566 1.0 39.60363  ? 507 ILE F CA  507 ILE F CA  1 
ATOM 18291 C C   . ILE C 3 507 ? 270.615 -115.270 230.966 1.0 39.60363  ? 507 ILE F C   507 ILE F C   1 
ATOM 18292 O O   . ILE C 3 507 ? 269.688 -115.903 231.458 1.0 39.60363  ? 507 ILE F O   507 ILE F O   1 
ATOM 18293 C CB  . ILE C 3 507 ? 273.007 -115.929 230.570 1.0 39.60363  ? 507 ILE F CB  507 ILE F CB  1 
ATOM 18294 C CG1 . ILE C 3 507 ? 272.504 -117.297 230.181 1.0 39.60363  ? 507 ILE F CG1 507 ILE F CG1 1 
ATOM 18295 C CG2 . ILE C 3 507 ? 274.358 -116.131 231.199 1.0 39.60363  ? 507 ILE F CG2 507 ILE F CG2 1 
ATOM 18296 C CD1 . ILE C 3 507 ? 273.262 -117.943 229.074 1.0 39.60363  ? 507 ILE F CD1 507 ILE F CD1 1 
ATOM 18297 N N   . GLN C 3 508 ? 270.479 -114.513 229.877 1.0 39.26476  ? 508 GLN F N   508 GLN F N   1 
ATOM 18298 C CA  . GLN C 3 508 ? 269.221 -114.362 229.153 1.0 39.26476  ? 508 GLN F CA  508 GLN F CA  1 
ATOM 18299 C C   . GLN C 3 508 ? 269.510 -114.478 227.665 1.0 39.26476  ? 508 GLN F C   508 GLN F C   1 
ATOM 18300 O O   . GLN C 3 508 ? 270.245 -113.652 227.112 1.0 39.26476  ? 508 GLN F O   508 GLN F O   1 
ATOM 18301 C CB  . GLN C 3 508 ? 268.560 -113.014 229.447 1.0 39.26476  ? 508 GLN F CB  508 GLN F CB  1 
ATOM 18302 C CG  . GLN C 3 508 ? 268.089 -112.820 230.872 1.0 39.26476  ? 508 GLN F CG  508 GLN F CG  1 
ATOM 18303 C CD  . GLN C 3 508 ? 269.181 -112.332 231.794 1.0 39.26476  ? 508 GLN F CD  508 GLN F CD  1 
ATOM 18304 O OE1 . GLN C 3 508 ? 270.208 -111.827 231.350 1.0 39.26476  ? 508 GLN F OE1 508 GLN F OE1 1 
ATOM 18305 N NE2 . GLN C 3 508 ? 268.969 -112.493 233.090 1.0 39.26476  ? 508 GLN F NE2 508 GLN F NE2 1 
ATOM 18306 N N   . VAL C 3 509 ? 268.933 -115.485 227.016 1.0 37.81381  ? 509 VAL F N   509 VAL F N   1 
ATOM 18307 C CA  . VAL C 3 509 ? 269.198 -115.711 225.598 1.0 37.81381  ? 509 VAL F CA  509 VAL F CA  1 
ATOM 18308 C C   . VAL C 3 509 ? 267.970 -115.310 224.784 1.0 37.81381  ? 509 VAL F C   509 VAL F C   1 
ATOM 18309 O O   . VAL C 3 509 ? 266.838 -115.400 225.284 1.0 37.81381  ? 509 VAL F O   509 VAL F O   1 
ATOM 18310 C CB  . VAL C 3 509 ? 269.626 -117.165 225.333 1.0 37.81381  ? 509 VAL F CB  509 VAL F CB  1 
ATOM 18311 C CG1 . VAL C 3 509 ? 270.840 -117.512 226.162 1.0 37.81381  ? 509 VAL F CG1 509 VAL F CG1 1 
ATOM 18312 C CG2 . VAL C 3 509 ? 268.521 -118.122 225.624 1.0 37.81381  ? 509 VAL F CG2 509 VAL F CG2 1 
ATOM 18313 N N   . PRO C 3 510 ? 268.141 -114.819 223.549 1.0 40.0337   ? 510 PRO F N   510 PRO F N   1 
ATOM 18314 C CA  . PRO C 3 510 ? 266.987 -114.351 222.775 1.0 40.0337   ? 510 PRO F CA  510 PRO F CA  1 
ATOM 18315 C C   . PRO C 3 510 ? 266.312 -115.441 221.970 1.0 40.0337   ? 510 PRO F C   510 PRO F C   1 
ATOM 18316 O O   . PRO C 3 510 ? 266.641 -116.613 222.118 1.0 40.0337   ? 510 PRO F O   510 PRO F O   1 
ATOM 18317 C CB  . PRO C 3 510 ? 267.604 -113.291 221.863 1.0 40.0337   ? 510 PRO F CB  510 PRO F CB  1 
ATOM 18318 C CG  . PRO C 3 510 ? 268.956 -113.805 221.602 1.0 40.0337   ? 510 PRO F CG  510 PRO F CG  1 
ATOM 18319 C CD  . PRO C 3 510 ? 269.403 -114.485 222.868 1.0 40.0337   ? 510 PRO F CD  510 PRO F CD  1 
ATOM 18320 N N   . GLN C 3 511 ? 265.366 -115.060 221.117 1.0 40.06438  ? 511 GLN F N   511 GLN F N   1 
ATOM 18321 C CA  . GLN C 3 511 ? 264.894 -115.917 220.037 1.0 40.06438  ? 511 GLN F CA  511 GLN F CA  1 
ATOM 18322 C C   . GLN C 3 511 ? 265.244 -115.268 218.705 1.0 40.06438  ? 511 GLN F C   511 GLN F C   1 
ATOM 18323 O O   . GLN C 3 511 ? 264.789 -114.163 218.400 1.0 40.06438  ? 511 GLN F O   511 GLN F O   1 
ATOM 18324 C CB  . GLN C 3 511 ? 263.388 -116.154 220.113 1.0 40.06438  ? 511 GLN F CB  511 GLN F CB  1 
ATOM 18325 C CG  . GLN C 3 511 ? 262.829 -117.044 219.005 1.0 40.06438  ? 511 GLN F CG  511 GLN F CG  1 
ATOM 18326 C CD  . GLN C 3 511 ? 263.218 -118.500 219.145 1.0 40.06438  ? 511 GLN F CD  511 GLN F CD  1 
ATOM 18327 O OE1 . GLN C 3 511 ? 263.216 -119.053 220.240 1.0 40.06438  ? 511 GLN F OE1 511 GLN F OE1 1 
ATOM 18328 N NE2 . GLN C 3 511 ? 263.534 -119.136 218.026 1.0 40.06438  ? 511 GLN F NE2 511 GLN F NE2 1 
ATOM 18329 N N   . LYS C 3 512 ? 266.044 -115.966 217.896 1.0 38.81964  ? 512 LYS F N   512 LYS F N   1 
ATOM 18330 C CA  . LYS C 3 512 ? 266.607 -115.372 216.697 1.0 38.81964  ? 512 LYS F CA  512 LYS F CA  1 
ATOM 18331 C C   . LYS C 3 512 ? 266.028 -115.919 215.402 1.0 38.81964  ? 512 LYS F C   512 LYS F C   1 
ATOM 18332 O O   . LYS C 3 512 ? 266.429 -115.458 214.330 1.0 38.81964  ? 512 LYS F O   512 LYS F O   1 
ATOM 18333 C CB  . LYS C 3 512 ? 268.128 -115.548 216.705 1.0 38.81964  ? 512 LYS F CB  512 LYS F CB  1 
ATOM 18334 C CG  . LYS C 3 512 ? 268.803 -114.789 217.832 1.0 38.81964  ? 512 LYS F CG  512 LYS F CG  1 
ATOM 18335 C CD  . LYS C 3 512 ? 270.316 -114.894 217.768 1.0 38.81964  ? 512 LYS F CD  512 LYS F CD  1 
ATOM 18336 C CE  . LYS C 3 512 ? 270.788 -116.265 218.173 1.0 38.81964  ? 512 LYS F CE  512 LYS F CE  1 
ATOM 18337 N NZ  . LYS C 3 512 ? 270.467 -116.524 219.594 1.0 38.81964  ? 512 LYS F NZ  512 LYS F NZ  1 
ATOM 18338 N N   . PHE C 3 513 ? 265.102 -116.874 215.456 1.0 38.38253  ? 513 PHE F N   513 PHE F N   1 
ATOM 18339 C CA  . PHE C 3 513 ? 264.442 -117.342 214.246 1.0 38.38253  ? 513 PHE F CA  513 PHE F CA  1 
ATOM 18340 C C   . PHE C 3 513 ? 263.371 -116.335 213.860 1.0 38.38253  ? 513 PHE F C   513 PHE F C   1 
ATOM 18341 O O   . PHE C 3 513 ? 262.560 -115.935 214.697 1.0 38.38253  ? 513 PHE F O   513 PHE F O   1 
ATOM 18342 C CB  . PHE C 3 513 ? 263.839 -118.728 214.455 1.0 38.38253  ? 513 PHE F CB  513 PHE F CB  1 
ATOM 18343 C CG  . PHE C 3 513 ? 263.241 -119.322 213.212 1.0 38.38253  ? 513 PHE F CG  513 PHE F CG  1 
ATOM 18344 C CD1 . PHE C 3 513 ? 264.049 -119.825 212.210 1.0 38.38253  ? 513 PHE F CD1 513 PHE F CD1 1 
ATOM 18345 C CD2 . PHE C 3 513 ? 261.872 -119.386 213.051 1.0 38.38253  ? 513 PHE F CD2 513 PHE F CD2 1 
ATOM 18346 C CE1 . PHE C 3 513 ? 263.497 -120.369 211.063 1.0 38.38253  ? 513 PHE F CE1 513 PHE F CE1 1 
ATOM 18347 C CE2 . PHE C 3 513 ? 261.318 -119.935 211.914 1.0 38.38253  ? 513 PHE F CE2 513 PHE F CE2 1 
ATOM 18348 C CZ  . PHE C 3 513 ? 262.130 -120.425 210.920 1.0 38.38253  ? 513 PHE F CZ  513 PHE F CZ  1 
ATOM 18349 N N   . PHE C 3 514 ? 263.363 -115.938 212.585 1.0 36.81741  ? 514 PHE F N   514 PHE F N   1 
ATOM 18350 C CA  . PHE C 3 514 ? 262.694 -114.709 212.166 1.0 36.81741  ? 514 PHE F CA  514 PHE F CA  1 
ATOM 18351 C C   . PHE C 3 514 ? 261.173 -114.791 212.195 1.0 36.81741  ? 514 PHE F C   514 PHE F C   1 
ATOM 18352 O O   . PHE C 3 514 ? 260.519 -113.746 212.162 1.0 36.81741  ? 514 PHE F O   514 PHE F O   1 
ATOM 18353 C CB  . PHE C 3 514 ? 263.175 -114.303 210.769 1.0 36.81741  ? 514 PHE F CB  514 PHE F CB  1 
ATOM 18354 C CG  . PHE C 3 514 ? 262.814 -115.274 209.674 1.0 36.81741  ? 514 PHE F CG  514 PHE F CG  1 
ATOM 18355 C CD1 . PHE C 3 514 ? 263.605 -116.380 209.420 1.0 36.81741  ? 514 PHE F CD1 514 PHE F CD1 1 
ATOM 18356 C CD2 . PHE C 3 514 ? 261.730 -115.036 208.847 1.0 36.81741  ? 514 PHE F CD2 514 PHE F CD2 1 
ATOM 18357 C CE1 . PHE C 3 514 ? 263.289 -117.254 208.408 1.0 36.81741  ? 514 PHE F CE1 514 PHE F CE1 1 
ATOM 18358 C CE2 . PHE C 3 514 ? 261.419 -115.906 207.828 1.0 36.81741  ? 514 PHE F CE2 514 PHE F CE2 1 
ATOM 18359 C CZ  . PHE C 3 514 ? 262.196 -117.015 207.612 1.0 36.81741  ? 514 PHE F CZ  514 PHE F CZ  1 
ATOM 18360 N N   . ALA C 3 515 ? 260.591 -115.989 212.260 1.0 36.35603  ? 515 ALA F N   515 ALA F N   1 
ATOM 18361 C CA  . ALA C 3 515 ? 259.136 -116.081 212.331 1.0 36.35603  ? 515 ALA F CA  515 ALA F CA  1 
ATOM 18362 C C   . ALA C 3 515 ? 258.619 -115.757 213.725 1.0 36.35603  ? 515 ALA F C   515 ALA F C   1 
ATOM 18363 O O   . ALA C 3 515 ? 257.590 -115.090 213.870 1.0 36.35603  ? 515 ALA F O   515 ALA F O   1 
ATOM 18364 C CB  . ALA C 3 515 ? 258.667 -117.472 211.913 1.0 36.35603  ? 515 ALA F CB  515 ALA F CB  1 
ATOM 18365 N N   . ILE C 3 516 ? 259.309 -116.227 214.759 1.0 37.00316  ? 516 ILE F N   516 ILE F N   1 
ATOM 18366 C CA  . ILE C 3 516 ? 258.850 -115.987 216.120 1.0 37.00316  ? 516 ILE F CA  516 ILE F CA  1 
ATOM 18367 C C   . ILE C 3 516 ? 259.303 -114.615 216.597 1.0 37.00316  ? 516 ILE F C   516 ILE F C   1 
ATOM 18368 O O   . ILE C 3 516 ? 258.539 -113.897 217.249 1.0 37.00316  ? 516 ILE F O   516 ILE F O   1 
ATOM 18369 C CB  . ILE C 3 516 ? 259.333 -117.112 217.060 1.0 37.00316  ? 516 ILE F CB  516 ILE F CB  1 
ATOM 18370 C CG1 . ILE C 3 516 ? 258.729 -118.457 216.676 1.0 37.00316  ? 516 ILE F CG1 516 ILE F CG1 1 
ATOM 18371 C CG2 . ILE C 3 516 ? 258.937 -116.849 218.490 1.0 37.00316  ? 516 ILE F CG2 516 ILE F CG2 1 
ATOM 18372 C CD1 . ILE C 3 516 ? 259.622 -119.316 215.859 1.0 37.00316  ? 516 ILE F CD1 516 ILE F CD1 1 
ATOM 18373 N N   . LYS C 3 517 ? 260.513 -114.209 216.195 1.0 36.78667  ? 517 LYS F N   517 LYS F N   1 
ATOM 18374 C CA  . LYS C 3 517 ? 261.306 -113.069 216.664 1.0 36.78667  ? 517 LYS F CA  517 LYS F CA  1 
ATOM 18375 C C   . LYS C 3 517 ? 260.548 -111.765 216.893 1.0 36.78667  ? 517 LYS F C   517 LYS F C   1 
ATOM 18376 O O   . LYS C 3 517 ? 260.873 -111.008 217.811 1.0 36.78667  ? 517 LYS F O   517 LYS F O   1 
ATOM 18377 C CB  . LYS C 3 517 ? 262.433 -112.831 215.656 1.0 36.78667  ? 517 LYS F CB  517 LYS F CB  1 
ATOM 18378 C CG  . LYS C 3 517 ? 263.423 -111.729 215.966 1.0 36.78667  ? 517 LYS F CG  517 LYS F CG  1 
ATOM 18379 C CD  . LYS C 3 517 ? 264.529 -111.759 214.933 1.0 36.78667  ? 517 LYS F CD  517 LYS F CD  1 
ATOM 18380 C CE  . LYS C 3 517 ? 263.991 -111.335 213.580 1.0 36.78667  ? 517 LYS F CE  517 LYS F CE  1 
ATOM 18381 N NZ  . LYS C 3 517 ? 265.018 -111.346 212.511 1.0 36.78667  ? 517 LYS F NZ  517 LYS F NZ  1 
ATOM 18382 N N   . ASN C 3 518 ? 259.530 -111.491 216.084 1.0 35.29535  ? 518 ASN F N   518 ASN F N   1 
ATOM 18383 C CA  . ASN C 3 518 ? 258.708 -110.308 216.294 1.0 35.29535  ? 518 ASN F CA  518 ASN F CA  1 
ATOM 18384 C C   . ASN C 3 518 ? 257.228 -110.632 216.169 1.0 35.29535  ? 518 ASN F C   518 ASN F C   1 
ATOM 18385 O O   . ASN C 3 518 ? 256.436 -109.773 215.797 1.0 35.29535  ? 518 ASN F O   518 ASN F O   1 
ATOM 18386 C CB  . ASN C 3 518 ? 259.088 -109.197 215.319 1.0 35.29535  ? 518 ASN F CB  518 ASN F CB  1 
ATOM 18387 C CG  . ASN C 3 518 ? 260.503 -108.708 215.519 1.0 35.29535  ? 518 ASN F CG  518 ASN F CG  1 
ATOM 18388 O OD1 . ASN C 3 518 ? 261.349 -108.854 214.640 1.0 35.29535  ? 518 ASN F OD1 518 ASN F OD1 1 
ATOM 18389 N ND2 . ASN C 3 518 ? 260.773 -108.131 216.684 1.0 35.29535  ? 518 ASN F ND2 518 ASN F ND2 1 
ATOM 18390 N N   . LEU C 3 519 ? 256.829 -111.856 216.478 1.0 34.05151  ? 519 LEU F N   519 LEU F N   1 
ATOM 18391 C CA  . LEU C 3 519 ? 255.452 -112.267 216.248 1.0 34.05151  ? 519 LEU F CA  519 LEU F CA  1 
ATOM 18392 C C   . LEU C 3 519 ? 254.537 -111.702 217.326 1.0 34.05151  ? 519 LEU F C   519 LEU F C   1 
ATOM 18393 O O   . LEU C 3 519 ? 254.625 -112.096 218.492 1.0 34.05151  ? 519 LEU F O   519 LEU F O   1 
ATOM 18394 C CB  . LEU C 3 519 ? 255.354 -113.787 216.208 1.0 34.05151  ? 519 LEU F CB  519 LEU F CB  1 
ATOM 18395 C CG  . LEU C 3 519 ? 253.945 -114.339 215.972 1.0 34.05151  ? 519 LEU F CG  519 LEU F CG  1 
ATOM 18396 C CD1 . LEU C 3 519 ? 253.403 -113.900 214.637 1.0 34.05151  ? 519 LEU F CD1 519 LEU F CD1 1 
ATOM 18397 C CD2 . LEU C 3 519 ? 253.968 -115.841 216.061 1.0 34.05151  ? 519 LEU F CD2 519 LEU F CD2 1 
ATOM 18398 N N   . LEU C 3 520 ? 253.664 -110.782 216.935 1.0 34.36018  ? 520 LEU F N   520 LEU F N   1 
ATOM 18399 C CA  . LEU C 3 520 ? 252.576 -110.346 217.796 1.0 34.36018  ? 520 LEU F CA  520 LEU F CA  1 
ATOM 18400 C C   . LEU C 3 520 ? 251.571 -111.482 217.914 1.0 34.36018  ? 520 LEU F C   520 LEU F C   1 
ATOM 18401 O O   . LEU C 3 520 ? 251.216 -112.111 216.915 1.0 34.36018  ? 520 LEU F O   520 LEU F O   1 
ATOM 18402 C CB  . LEU C 3 520 ? 251.935 -109.080 217.222 1.0 34.36018  ? 520 LEU F CB  520 LEU F CB  1 
ATOM 18403 C CG  . LEU C 3 520 ? 250.938 -108.197 217.980 1.0 34.36018  ? 520 LEU F CG  520 LEU F CG  1 
ATOM 18404 C CD1 . LEU C 3 520 ? 249.530 -108.697 217.846 1.0 34.36018  ? 520 LEU F CD1 520 LEU F CD1 1 
ATOM 18405 C CD2 . LEU C 3 520 ? 251.323 -108.109 219.432 1.0 34.36018  ? 520 LEU F CD2 520 LEU F CD2 1 
ATOM 18406 N N   . LEU C 3 521 ? 251.108 -111.742 219.132 1.0 35.16163  ? 521 LEU F N   521 LEU F N   1 
ATOM 18407 C CA  . LEU C 3 521 ? 250.458 -113.001 219.465 1.0 35.16163  ? 521 LEU F CA  521 LEU F CA  1 
ATOM 18408 C C   . LEU C 3 521 ? 249.073 -112.737 220.042 1.0 35.16163  ? 521 LEU F C   521 LEU F C   1 
ATOM 18409 O O   . LEU C 3 521 ? 248.908 -111.857 220.892 1.0 35.16163  ? 521 LEU F O   521 LEU F O   1 
ATOM 18410 C CB  . LEU C 3 521 ? 251.315 -113.767 220.467 1.0 35.16163  ? 521 LEU F CB  521 LEU F CB  1 
ATOM 18411 C CG  . LEU C 3 521 ? 251.088 -115.250 220.648 1.0 35.16163  ? 521 LEU F CG  521 LEU F CG  1 
ATOM 18412 C CD1 . LEU C 3 521 ? 251.613 -115.956 219.421 1.0 35.16163  ? 521 LEU F CD1 521 LEU F CD1 1 
ATOM 18413 C CD2 . LEU C 3 521 ? 251.752 -115.763 221.909 1.0 35.16163  ? 521 LEU F CD2 521 LEU F CD2 1 
ATOM 18414 N N   . LEU C 3 522 ? 248.095 -113.497 219.588 1.0 36.17722  ? 522 LEU F N   522 LEU F N   1 
ATOM 18415 C CA  . LEU C 3 522 ? 246.690 -113.450 219.961 1.0 36.17722  ? 522 LEU F CA  522 LEU F CA  1 
ATOM 18416 C C   . LEU C 3 522 ? 246.372 -114.605 220.908 1.0 36.17722  ? 522 LEU F C   522 LEU F C   1 
ATOM 18417 O O   . LEU C 3 522 ? 247.140 -115.568 220.966 1.0 36.17722  ? 522 LEU F O   522 LEU F O   1 
ATOM 18418 C CB  . LEU C 3 522 ? 245.835 -113.502 218.685 1.0 36.17722  ? 522 LEU F CB  522 LEU F CB  1 
ATOM 18419 C CG  . LEU C 3 522 ? 245.973 -112.215 217.870 1.0 36.17722  ? 522 LEU F CG  522 LEU F CG  1 
ATOM 18420 C CD1 . LEU C 3 522 ? 245.210 -112.281 216.575 1.0 36.17722  ? 522 LEU F CD1 522 LEU F CD1 1 
ATOM 18421 C CD2 . LEU C 3 522 ? 245.506 -111.033 218.688 1.0 36.17722  ? 522 LEU F CD2 522 LEU F CD2 1 
ATOM 18422 N N   . PRO C 3 523 ? 245.278 -114.534 221.701 1.0 36.87941  ? 523 PRO F N   523 PRO F N   1 
ATOM 18423 C CA  . PRO C 3 523 ? 245.080 -115.510 222.789 1.0 36.87941  ? 523 PRO F CA  523 PRO F CA  1 
ATOM 18424 C C   . PRO C 3 523 ? 244.955 -116.965 222.358 1.0 36.87941  ? 523 PRO F C   523 PRO F C   1 
ATOM 18425 O O   . PRO C 3 523 ? 244.518 -117.280 221.252 1.0 36.87941  ? 523 PRO F O   523 PRO F O   1 
ATOM 18426 C CB  . PRO C 3 523 ? 243.780 -115.041 223.440 1.0 36.87941  ? 523 PRO F CB  523 PRO F CB  1 
ATOM 18427 C CG  . PRO C 3 523 ? 243.747 -113.623 223.196 1.0 36.87941  ? 523 PRO F CG  523 PRO F CG  1 
ATOM 18428 C CD  . PRO C 3 523 ? 244.317 -113.423 221.843 1.0 36.87941  ? 523 PRO F CD  523 PRO F CD  1 
ATOM 18429 N N   . GLY C 3 524 ? 245.356 -117.843 223.260 1.0 37.73797  ? 524 GLY F N   524 GLY F N   1 
ATOM 18430 C CA  . GLY C 3 524 ? 245.370 -119.271 223.009 1.0 37.73797  ? 524 GLY F CA  524 GLY F CA  1 
ATOM 18431 C C   . GLY C 3 524 ? 246.451 -119.948 223.823 1.0 37.73797  ? 524 GLY F C   524 GLY F C   1 
ATOM 18432 O O   . GLY C 3 524 ? 247.328 -119.309 224.396 1.0 37.73797  ? 524 GLY F O   524 GLY F O   1 
ATOM 18433 N N   . THR C 3 525 ? 246.372 -121.273 223.870 1.0 37.97318  ? 525 THR F N   525 THR F N   1 
ATOM 18434 C CA  . THR C 3 525 ? 247.356 -122.084 224.572 1.0 37.97318  ? 525 THR F CA  525 THR F CA  1 
ATOM 18435 C C   . THR C 3 525 ? 248.348 -122.640 223.564 1.0 37.97318  ? 525 THR F C   525 THR F C   1 
ATOM 18436 O O   . THR C 3 525 ? 247.965 -123.347 222.631 1.0 37.97318  ? 525 THR F O   525 THR F O   1 
ATOM 18437 C CB  . THR C 3 525 ? 246.693 -123.222 225.343 1.0 37.97318  ? 525 THR F CB  525 THR F CB  1 
ATOM 18438 O OG1 . THR C 3 525 ? 246.061 -124.116 224.424 1.0 37.97318  ? 525 THR F OG1 525 THR F OG1 1 
ATOM 18439 C CG2 . THR C 3 525 ? 245.645 -122.667 226.289 1.0 37.97318  ? 525 THR F CG2 525 THR F CG2 1 
ATOM 18440 N N   . TYR C 3 526 ? 249.619 -122.324 223.757 1.0 36.99763  ? 526 TYR F N   526 TYR F N   1 
ATOM 18441 C CA  . TYR C 3 526 ? 250.654 -122.539 222.759 1.0 36.99763  ? 526 TYR F CA  526 TYR F CA  1 
ATOM 18442 C C   . TYR C 3 526 ? 251.746 -123.425 223.332 1.0 36.99763  ? 526 TYR F C   526 TYR F C   1 
ATOM 18443 O O   . TYR C 3 526 ? 252.043 -123.362 224.527 1.0 36.99763  ? 526 TYR F O   526 TYR F O   1 
ATOM 18444 C CB  . TYR C 3 526 ? 251.230 -121.204 222.325 1.0 36.99763  ? 526 TYR F CB  526 TYR F CB  1 
ATOM 18445 C CG  . TYR C 3 526 ? 250.242 -120.386 221.545 1.0 36.99763  ? 526 TYR F CG  526 TYR F CG  1 
ATOM 18446 C CD1 . TYR C 3 526 ? 249.270 -120.990 220.758 1.0 36.99763  ? 526 TYR F CD1 526 TYR F CD1 1 
ATOM 18447 C CD2 . TYR C 3 526 ? 250.217 -119.007 221.651 1.0 36.99763  ? 526 TYR F CD2 526 TYR F CD2 1 
ATOM 18448 C CE1 . TYR C 3 526 ? 248.353 -120.228 220.061 1.0 36.99763  ? 526 TYR F CE1 526 TYR F CE1 1 
ATOM 18449 C CE2 . TYR C 3 526 ? 249.287 -118.256 220.968 1.0 36.99763  ? 526 TYR F CE2 526 TYR F CE2 1 
ATOM 18450 C CZ  . TYR C 3 526 ? 248.368 -118.881 220.161 1.0 36.99763  ? 526 TYR F CZ  526 TYR F CZ  1 
ATOM 18451 O OH  . TYR C 3 526 ? 247.445 -118.128 219.476 1.0 36.99763  ? 526 TYR F OH  526 TYR F OH  1 
ATOM 18452 N N   . ASN C 3 527 ? 252.345 -124.244 222.476 1.0 38.38722  ? 527 ASN F N   527 ASN F N   1 
ATOM 18453 C CA  . ASN C 3 527 ? 253.316 -125.254 222.887 1.0 38.38722  ? 527 ASN F CA  527 ASN F CA  1 
ATOM 18454 C C   . ASN C 3 527 ? 254.672 -124.849 222.320 1.0 38.38722  ? 527 ASN F C   527 ASN F C   1 
ATOM 18455 O O   . ASN C 3 527 ? 255.036 -125.236 221.212 1.0 38.38722  ? 527 ASN F O   527 ASN F O   1 
ATOM 18456 C CB  . ASN C 3 527 ? 252.893 -126.630 222.398 1.0 38.38722  ? 527 ASN F CB  527 ASN F CB  1 
ATOM 18457 C CG  . ASN C 3 527 ? 253.471 -127.757 223.232 1.0 38.38722  ? 527 ASN F CG  527 ASN F CG  1 
ATOM 18458 O OD1 . ASN C 3 527 ? 253.043 -128.901 223.119 1.0 38.38722  ? 527 ASN F OD1 527 ASN F OD1 1 
ATOM 18459 N ND2 . ASN C 3 527 ? 254.432 -127.437 224.087 1.0 38.38722  ? 527 ASN F ND2 527 ASN F ND2 1 
ATOM 18460 N N   . TYR C 3 528 ? 255.428 -124.093 223.104 1.0 39.03747  ? 528 TYR F N   528 TYR F N   1 
ATOM 18461 C CA  . TYR C 3 528 ? 256.713 -123.545 222.687 1.0 39.03747  ? 528 TYR F CA  528 TYR F CA  1 
ATOM 18462 C C   . TYR C 3 528 ? 257.820 -124.409 223.273 1.0 39.03747  ? 528 TYR F C   528 TYR F C   1 
ATOM 18463 O O   . TYR C 3 528 ? 258.018 -124.438 224.490 1.0 39.03747  ? 528 TYR F O   528 TYR F O   1 
ATOM 18464 C CB  . TYR C 3 528 ? 256.812 -122.088 223.124 1.0 39.03747  ? 528 TYR F CB  528 TYR F CB  1 
ATOM 18465 C CG  . TYR C 3 528 ? 258.063 -121.346 222.728 1.0 39.03747  ? 528 TYR F CG  528 TYR F CG  1 
ATOM 18466 C CD1 . TYR C 3 528 ? 258.403 -121.166 221.397 1.0 39.03747  ? 528 TYR F CD1 528 TYR F CD1 1 
ATOM 18467 C CD2 . TYR C 3 528 ? 258.832 -120.721 223.683 1.0 39.03747  ? 528 TYR F CD2 528 TYR F CD2 1 
ATOM 18468 C CE1 . TYR C 3 528 ? 259.522 -120.451 221.041 1.0 39.03747  ? 528 TYR F CE1 528 TYR F CE1 1 
ATOM 18469 C CE2 . TYR C 3 528 ? 259.938 -119.994 223.337 1.0 39.03747  ? 528 TYR F CE2 528 TYR F CE2 1 
ATOM 18470 C CZ  . TYR C 3 528 ? 260.283 -119.867 222.020 1.0 39.03747  ? 528 TYR F CZ  528 TYR F CZ  1 
ATOM 18471 O OH  . TYR C 3 528 ? 261.398 -119.143 221.688 1.0 39.03747  ? 528 TYR F OH  528 TYR F OH  1 
ATOM 18472 N N   . GLU C 3 529 ? 258.537 -125.110 222.401 1.0 42.79935  ? 529 GLU F N   529 GLU F N   1 
ATOM 18473 C CA  . GLU C 3 529 ? 259.454 -126.174 222.780 1.0 42.79935  ? 529 GLU F CA  529 GLU F CA  1 
ATOM 18474 C C   . GLU C 3 529 ? 260.745 -126.005 222.002 1.0 42.79935  ? 529 GLU F C   529 GLU F C   1 
ATOM 18475 O O   . GLU C 3 529 ? 260.709 -125.814 220.784 1.0 42.79935  ? 529 GLU F O   529 GLU F O   1 
ATOM 18476 C CB  . GLU C 3 529 ? 258.827 -127.536 222.487 1.0 42.79935  ? 529 GLU F CB  529 GLU F CB  1 
ATOM 18477 C CG  . GLU C 3 529 ? 259.692 -128.726 222.794 1.0 42.79935  ? 529 GLU F CG  529 GLU F CG  1 
ATOM 18478 C CD  . GLU C 3 529 ? 258.980 -130.028 222.490 1.0 42.79935  ? 529 GLU F CD  529 GLU F CD  1 
ATOM 18479 O OE1 . GLU C 3 529 ? 257.814 -129.978 222.049 1.0 42.79935  ? 529 GLU F OE1 529 GLU F OE1 1 
ATOM 18480 O OE2 . GLU C 3 529 ? 259.582 -131.103 222.684 1.0 42.79935  ? 529 GLU F OE2 529 GLU F OE2 1 
ATOM 18481 N N   . TRP C 3 530 ? 261.879 -126.095 222.690 1.0 41.48404  ? 530 TRP F N   530 TRP F N   1 
ATOM 18482 C CA  . TRP C 3 530 ? 263.120 -125.630 222.092 1.0 41.48404  ? 530 TRP F CA  530 TRP F CA  1 
ATOM 18483 C C   . TRP C 3 530 ? 264.309 -126.313 222.757 1.0 41.48404  ? 530 TRP F C   530 TRP F C   1 
ATOM 18484 O O   . TRP C 3 530 ? 264.305 -126.536 223.967 1.0 41.48404  ? 530 TRP F O   530 TRP F O   1 
ATOM 18485 C CB  . TRP C 3 530 ? 263.213 -124.112 222.225 1.0 41.48404  ? 530 TRP F CB  530 TRP F CB  1 
ATOM 18486 C CG  . TRP C 3 530 ? 264.344 -123.545 221.513 1.0 41.48404  ? 530 TRP F CG  530 TRP F CG  1 
ATOM 18487 C CD1 . TRP C 3 530 ? 265.531 -123.202 222.046 1.0 41.48404  ? 530 TRP F CD1 530 TRP F CD1 1 
ATOM 18488 C CD2 . TRP C 3 530 ? 264.411 -123.224 220.126 1.0 41.48404  ? 530 TRP F CD2 530 TRP F CD2 1 
ATOM 18489 N NE1 . TRP C 3 530 ? 266.355 -122.703 221.079 1.0 41.48404  ? 530 TRP F NE1 530 TRP F NE1 1 
ATOM 18490 C CE2 . TRP C 3 530 ? 265.688 -122.704 219.885 1.0 41.48404  ? 530 TRP F CE2 530 TRP F CE2 1 
ATOM 18491 C CE3 . TRP C 3 530 ? 263.515 -123.328 219.066 1.0 41.48404  ? 530 TRP F CE3 530 TRP F CE3 1 
ATOM 18492 C CZ2 . TRP C 3 530 ? 266.097 -122.293 218.629 1.0 41.48404  ? 530 TRP F CZ2 530 TRP F CZ2 1 
ATOM 18493 C CZ3 . TRP C 3 530 ? 263.920 -122.923 217.818 1.0 41.48404  ? 530 TRP F CZ3 530 TRP F CZ3 1 
ATOM 18494 C CH2 . TRP C 3 530 ? 265.200 -122.409 217.607 1.0 41.48404  ? 530 TRP F CH2 530 TRP F CH2 1 
ATOM 18495 N N   . TYR C 3 531 ? 265.332 -126.628 221.957 1.0 42.15337  ? 531 TYR F N   531 TYR F N   1 
ATOM 18496 C CA  . TYR C 3 531 ? 266.506 -127.372 222.405 1.0 42.15337  ? 531 TYR F CA  531 TYR F CA  1 
ATOM 18497 C C   . TYR C 3 531 ? 267.664 -126.436 222.726 1.0 42.15337  ? 531 TYR F C   531 TYR F C   1 
ATOM 18498 O O   . TYR C 3 531 ? 267.743 -125.320 222.220 1.0 42.15337  ? 531 TYR F O   531 TYR F O   1 
ATOM 18499 C CB  . TYR C 3 531 ? 266.989 -128.361 221.346 1.0 42.15337  ? 531 TYR F CB  531 TYR F CB  1 
ATOM 18500 C CG  . TYR C 3 531 ? 266.099 -129.534 221.042 1.0 42.15337  ? 531 TYR F CG  531 TYR F CG  1 
ATOM 18501 C CD1 . TYR C 3 531 ? 264.998 -129.833 221.816 1.0 42.15337  ? 531 TYR F CD1 531 TYR F CD1 1 
ATOM 18502 C CD2 . TYR C 3 531 ? 266.393 -130.369 219.986 1.0 42.15337  ? 531 TYR F CD2 531 TYR F CD2 1 
ATOM 18503 C CE1 . TYR C 3 531 ? 264.197 -130.916 221.515 1.0 42.15337  ? 531 TYR F CE1 531 TYR F CE1 1 
ATOM 18504 C CE2 . TYR C 3 531 ? 265.606 -131.453 219.684 1.0 42.15337  ? 531 TYR F CE2 531 TYR F CE2 1 
ATOM 18505 C CZ  . TYR C 3 531 ? 264.510 -131.724 220.453 1.0 42.15337  ? 531 TYR F CZ  531 TYR F CZ  1 
ATOM 18506 O OH  . TYR C 3 531 ? 263.728 -132.810 220.144 1.0 42.15337  ? 531 TYR F OH  531 TYR F OH  1 
ATOM 18507 N N   . PHE C 3 532 ? 268.613 -126.945 223.512 1.0 40.67838  ? 532 PHE F N   532 PHE F N   1 
ATOM 18508 C CA  . PHE C 3 532 ? 269.748 -126.186 224.026 1.0 40.67838  ? 532 PHE F CA  532 PHE F CA  1 
ATOM 18509 C C   . PHE C 3 532 ? 271.021 -127.000 223.839 1.0 40.67838  ? 532 PHE F C   532 PHE F C   1 
ATOM 18510 O O   . PHE C 3 532 ? 270.986 -128.224 223.944 1.0 40.67838  ? 532 PHE F O   532 PHE F O   1 
ATOM 18511 C CB  . PHE C 3 532 ? 269.530 -125.869 225.509 1.0 40.67838  ? 532 PHE F CB  532 PHE F CB  1 
ATOM 18512 C CG  . PHE C 3 532 ? 268.458 -124.855 225.756 1.0 40.67838  ? 532 PHE F CG  532 PHE F CG  1 
ATOM 18513 C CD1 . PHE C 3 532 ? 268.274 -123.802 224.891 1.0 40.67838  ? 532 PHE F CD1 532 PHE F CD1 1 
ATOM 18514 C CD2 . PHE C 3 532 ? 267.571 -125.008 226.797 1.0 40.67838  ? 532 PHE F CD2 532 PHE F CD2 1 
ATOM 18515 C CE1 . PHE C 3 532 ? 267.275 -122.882 225.095 1.0 40.67838  ? 532 PHE F CE1 532 PHE F CE1 1 
ATOM 18516 C CE2 . PHE C 3 532 ? 266.558 -124.088 227.001 1.0 40.67838  ? 532 PHE F CE2 532 PHE F CE2 1 
ATOM 18517 C CZ  . PHE C 3 532 ? 266.416 -123.028 226.145 1.0 40.67838  ? 532 PHE F CZ  532 PHE F CZ  1 
ATOM 18518 N N   . ARG C 3 533 ? 272.145 -126.340 223.570 1.0 41.40717  ? 533 ARG F N   533 ARG F N   1 
ATOM 18519 C CA  . ARG C 3 533 ? 273.385 -127.075 223.347 1.0 41.40717  ? 533 ARG F CA  533 ARG F CA  1 
ATOM 18520 C C   . ARG C 3 533 ? 274.161 -127.264 224.644 1.0 41.40717  ? 533 ARG F C   533 ARG F C   1 
ATOM 18521 O O   . ARG C 3 533 ? 274.017 -126.504 225.602 1.0 41.40717  ? 533 ARG F O   533 ARG F O   1 
ATOM 18522 C CB  . ARG C 3 533 ? 274.275 -126.374 222.315 1.0 41.40717  ? 533 ARG F CB  533 ARG F CB  1 
ATOM 18523 C CG  . ARG C 3 533 ? 273.730 -126.470 220.914 1.0 41.40717  ? 533 ARG F CG  533 ARG F CG  1 
ATOM 18524 C CD  . ARG C 3 533 ? 274.572 -125.825 219.837 1.0 41.40717  ? 533 ARG F CD  533 ARG F CD  1 
ATOM 18525 N NE  . ARG C 3 533 ? 273.871 -125.950 218.565 1.0 41.40717  ? 533 ARG F NE  533 ARG F NE  1 
ATOM 18526 C CZ  . ARG C 3 533 ? 274.236 -125.363 217.435 1.0 41.40717  ? 533 ARG F CZ  533 ARG F CZ  1 
ATOM 18527 N NH1 . ARG C 3 533 ? 275.299 -124.585 217.399 1.0 41.40717  ? 533 ARG F NH1 533 ARG F NH1 1 
ATOM 18528 N NH2 . ARG C 3 533 ? 273.521 -125.546 216.338 1.0 41.40717  ? 533 ARG F NH2 533 ARG F NH2 1 
ATOM 18529 N N   . LYS C 3 534 ? 274.992 -128.309 224.664 1.0 46.03497  ? 534 LYS F N   534 LYS F N   1 
ATOM 18530 C CA  . LYS C 3 534 ? 275.942 -128.535 225.743 1.0 46.03497  ? 534 LYS F CA  534 LYS F CA  1 
ATOM 18531 C C   . LYS C 3 534 ? 277.378 -128.653 225.258 1.0 46.03497  ? 534 LYS F C   534 LYS F C   1 
ATOM 18532 O O   . LYS C 3 534 ? 278.257 -128.970 226.064 1.0 46.03497  ? 534 LYS F O   534 LYS F O   1 
ATOM 18533 C CB  . LYS C 3 534 ? 275.594 -129.803 226.534 1.0 46.03497  ? 534 LYS F CB  534 LYS F CB  1 
ATOM 18534 C CG  . LYS C 3 534 ? 274.383 -129.703 227.435 1.0 46.03497  ? 534 LYS F CG  534 LYS F CG  1 
ATOM 18535 C CD  . LYS C 3 534 ? 274.218 -130.998 228.213 1.0 46.03497  ? 534 LYS F CD  534 LYS F CD  1 
ATOM 18536 C CE  . LYS C 3 534 ? 273.032 -130.959 229.149 1.0 46.03497  ? 534 LYS F CE  534 LYS F CE  1 
ATOM 18537 N NZ  . LYS C 3 534 ? 272.903 -132.236 229.898 1.0 46.03497  ? 534 LYS F NZ  534 LYS F NZ  1 
ATOM 18538 N N   . ASP C 3 535 ? 277.633 -128.425 223.979 1.0 48.27109  ? 535 ASP F N   535 ASP F N   1 
ATOM 18539 C CA  . ASP C 3 535 ? 278.971 -128.545 223.413 1.0 48.27109  ? 535 ASP F CA  535 ASP F CA  1 
ATOM 18540 C C   . ASP C 3 535 ? 279.843 -127.401 223.913 1.0 48.27109  ? 535 ASP F C   535 ASP F C   1 
ATOM 18541 O O   . ASP C 3 535 ? 279.484 -126.235 223.713 1.0 48.27109  ? 535 ASP F O   535 ASP F O   1 
ATOM 18542 C CB  . ASP C 3 535 ? 278.876 -128.520 221.891 1.0 48.27109  ? 535 ASP F CB  535 ASP F CB  1 
ATOM 18543 C CG  . ASP C 3 535 ? 280.139 -129.000 221.209 1.0 48.27109  ? 535 ASP F CG  535 ASP F CG  1 
ATOM 18544 O OD1 . ASP C 3 535 ? 281.095 -129.392 221.903 1.0 48.27109  ? 535 ASP F OD1 535 ASP F OD1 1 
ATOM 18545 O OD2 . ASP C 3 535 ? 280.175 -128.987 219.963 1.0 48.27109  ? 535 ASP F OD2 535 ASP F OD2 1 
ATOM 18546 N N   . PRO C 3 536 ? 280.967 -127.674 224.581 1.0 46.56917  ? 536 PRO F N   536 PRO F N   1 
ATOM 18547 C CA  . PRO C 3 536 ? 281.809 -126.570 225.059 1.0 46.56917  ? 536 PRO F CA  536 PRO F CA  1 
ATOM 18548 C C   . PRO C 3 536 ? 282.500 -125.820 223.941 1.0 46.56917  ? 536 PRO F C   536 PRO F C   1 
ATOM 18549 O O   . PRO C 3 536 ? 282.640 -124.595 224.032 1.0 46.56917  ? 536 PRO F O   536 PRO F O   1 
ATOM 18550 C CB  . PRO C 3 536 ? 282.818 -127.274 225.975 1.0 46.56917  ? 536 PRO F CB  536 PRO F CB  1 
ATOM 18551 C CG  . PRO C 3 536 ? 282.163 -128.554 226.342 1.0 46.56917  ? 536 PRO F CG  536 PRO F CG  1 
ATOM 18552 C CD  . PRO C 3 536 ? 281.405 -128.964 225.132 1.0 46.56917  ? 536 PRO F CD  536 PRO F CD  1 
ATOM 18553 N N   . ASN C 3 537 ? 282.909 -126.513 222.877 1.0 47.05428  ? 537 ASN F N   537 ASN F N   1 
ATOM 18554 C CA  . ASN C 3 537 ? 283.517 -125.856 221.726 1.0 47.05428  ? 537 ASN F CA  537 ASN F CA  1 
ATOM 18555 C C   . ASN C 3 537 ? 282.557 -124.945 220.983 1.0 47.05428  ? 537 ASN F C   537 ASN F C   1 
ATOM 18556 O O   . ASN C 3 537 ? 283.007 -124.049 220.267 1.0 47.05428  ? 537 ASN F O   537 ASN F O   1 
ATOM 18557 C CB  . ASN C 3 537 ? 284.073 -126.894 220.760 1.0 47.05428  ? 537 ASN F CB  537 ASN F CB  1 
ATOM 18558 C CG  . ASN C 3 537 ? 285.348 -127.502 221.252 1.0 47.05428  ? 537 ASN F CG  537 ASN F CG  1 
ATOM 18559 O OD1 . ASN C 3 537 ? 285.399 -128.679 221.611 1.0 47.05428  ? 537 ASN F OD1 537 ASN F OD1 1 
ATOM 18560 N ND2 . ASN C 3 537 ? 286.399 -126.713 221.258 1.0 47.05428  ? 537 ASN F ND2 537 ASN F ND2 1 
ATOM 18561 N N   . MET C 3 538 ? 281.256 -125.145 221.132 1.0 44.36356  ? 538 MET F N   538 MET F N   1 
ATOM 18562 C CA  . MET C 3 538 ? 280.280 -124.314 220.448 1.0 44.36356  ? 538 MET F CA  538 MET F CA  1 
ATOM 18563 C C   . MET C 3 538 ? 279.720 -123.213 221.332 1.0 44.36356  ? 538 MET F C   538 MET F C   1 
ATOM 18564 O O   . MET C 3 538 ? 279.611 -122.065 220.896 1.0 44.36356  ? 538 MET F O   538 MET F O   1 
ATOM 18565 C CB  . MET C 3 538 ? 279.135 -125.179 219.932 1.0 44.36356  ? 538 MET F CB  538 MET F CB  1 
ATOM 18566 C CG  . MET C 3 538 ? 278.147 -124.418 219.110 1.0 44.36356  ? 538 MET F CG  538 MET F CG  1 
ATOM 18567 S SD  . MET C 3 538 ? 278.865 -123.843 217.574 1.0 44.36356  ? 538 MET F SD  538 MET F SD  1 
ATOM 18568 C CE  . MET C 3 538 ? 278.990 -125.406 216.726 1.0 44.36356  ? 538 MET F CE  538 MET F CE  1 
ATOM 18569 N N   . VAL C 3 539 ? 279.379 -123.542 222.574 1.0 42.28093  ? 539 VAL F N   539 VAL F N   1 
ATOM 18570 C CA  . VAL C 3 539 ? 278.774 -122.565 223.468 1.0 42.28093  ? 539 VAL F CA  539 VAL F CA  1 
ATOM 18571 C C   . VAL C 3 539 ? 279.814 -121.567 223.962 1.0 42.28093  ? 539 VAL F C   539 VAL F C   1 
ATOM 18572 O O   . VAL C 3 539 ? 279.585 -120.352 223.949 1.0 42.28093  ? 539 VAL F O   539 VAL F O   1 
ATOM 18573 C CB  . VAL C 3 539 ? 278.078 -123.298 224.627 1.0 42.28093  ? 539 VAL F CB  539 VAL F CB  1 
ATOM 18574 C CG1 . VAL C 3 539 ? 277.580 -122.329 225.648 1.0 42.28093  ? 539 VAL F CG1 539 VAL F CG1 1 
ATOM 18575 C CG2 . VAL C 3 539 ? 276.927 -124.122 224.097 1.0 42.28093  ? 539 VAL F CG2 539 VAL F CG2 1 
ATOM 18576 N N   . LEU C 3 540 ? 280.977 -122.054 224.369 1.0 42.05724  ? 540 LEU F N   540 LEU F N   1 
ATOM 18577 C CA  . LEU C 3 540 ? 282.012 -121.237 224.983 1.0 42.05724  ? 540 LEU F CA  540 LEU F CA  1 
ATOM 18578 C C   . LEU C 3 540 ? 283.044 -120.828 223.941 1.0 42.05724  ? 540 LEU F C   540 LEU F C   1 
ATOM 18579 O O   . LEU C 3 540 ? 283.256 -121.526 222.949 1.0 42.05724  ? 540 LEU F O   540 LEU F O   1 
ATOM 18580 C CB  . LEU C 3 540 ? 282.693 -121.997 226.125 1.0 42.05724  ? 540 LEU F CB  540 LEU F CB  1 
ATOM 18581 C CG  . LEU C 3 540 ? 282.010 -122.115 227.494 1.0 42.05724  ? 540 LEU F CG  540 LEU F CG  1 
ATOM 18582 C CD1 . LEU C 3 540 ? 280.837 -123.078 227.510 1.0 42.05724  ? 540 LEU F CD1 540 LEU F CD1 1 
ATOM 18583 C CD2 . LEU C 3 540 ? 283.016 -122.547 228.528 1.0 42.05724  ? 540 LEU F CD2 540 LEU F CD2 1 
ATOM 18584 N N   . GLN C 3 541 ? 283.685 -119.686 224.170 1.0 41.18501  ? 541 GLN F N   541 GLN F N   1 
ATOM 18585 C CA  . GLN C 3 541 ? 284.684 -119.145 223.258 1.0 41.18501  ? 541 GLN F CA  541 GLN F CA  1 
ATOM 18586 C C   . GLN C 3 541 ? 285.988 -118.904 223.995 1.0 41.18501  ? 541 GLN F C   541 GLN F C   1 
ATOM 18587 O O   . GLN C 3 541 ? 286.030 -118.104 224.931 1.0 41.18501  ? 541 GLN F O   541 GLN F O   1 
ATOM 18588 C CB  . GLN C 3 541 ? 284.223 -117.833 222.638 1.0 41.18501  ? 541 GLN F CB  541 GLN F CB  1 
ATOM 18589 C CG  . GLN C 3 541 ? 285.200 -117.265 221.638 1.0 41.18501  ? 541 GLN F CG  541 GLN F CG  1 
ATOM 18590 C CD  . GLN C 3 541 ? 284.711 -115.988 221.002 1.0 41.18501  ? 541 GLN F CD  541 GLN F CD  1 
ATOM 18591 O OE1 . GLN C 3 541 ? 283.644 -115.484 221.339 1.0 41.18501  ? 541 GLN F OE1 541 GLN F OE1 1 
ATOM 18592 N NE2 . GLN C 3 541 ? 285.491 -115.454 220.074 1.0 41.18501  ? 541 GLN F NE2 541 GLN F NE2 1 
ATOM 18593 N N   . SER C 3 542 ? 287.050 -119.558 223.552 1.0 43.86846  ? 542 SER F N   542 SER F N   1 
ATOM 18594 C CA  . SER C 3 542 ? 288.369 -119.365 224.127 1.0 43.86846  ? 542 SER F CA  542 SER F CA  1 
ATOM 18595 C C   . SER C 3 542 ? 289.163 -118.383 223.280 1.0 43.86846  ? 542 SER F C   542 SER F C   1 
ATOM 18596 O O   . SER C 3 542 ? 288.816 -118.088 222.137 1.0 43.86846  ? 542 SER F O   542 SER F O   1 
ATOM 18597 C CB  . SER C 3 542 ? 289.115 -120.693 224.236 1.0 43.86846  ? 542 SER F CB  542 SER F CB  1 
ATOM 18598 O OG  . SER C 3 542 ? 289.408 -121.196 222.950 1.0 43.86846  ? 542 SER F OG  542 SER F OG  1 
ATOM 18599 N N   . THR C 3 543 ? 290.246 -117.871 223.859 1.0 44.11246  ? 543 THR F N   543 THR F N   1 
ATOM 18600 C CA  . THR C 3 543 ? 291.094 -116.938 223.129 1.0 44.11246  ? 543 THR F CA  543 THR F CA  1 
ATOM 18601 C C   . THR C 3 543 ? 291.996 -117.668 222.148 1.0 44.11246  ? 543 THR F C   543 THR F C   1 
ATOM 18602 O O   . THR C 3 543 ? 292.070 -117.302 220.975 1.0 44.11246  ? 543 THR F O   543 THR F O   1 
ATOM 18603 C CB  . THR C 3 543 ? 291.926 -116.107 224.101 1.0 44.11246  ? 543 THR F CB  543 THR F CB  1 
ATOM 18604 O OG1 . THR C 3 543 ? 291.052 -115.345 224.932 1.0 44.11246  ? 543 THR F OG1 543 THR F OG1 1 
ATOM 18605 C CG2 . THR C 3 543 ? 292.834 -115.157 223.357 1.0 44.11246  ? 543 THR F CG2 543 THR F CG2 1 
ATOM 18606 N N   . LEU C 3 544 ? 292.677 -118.714 222.603 1.0 46.43605  ? 544 LEU F N   544 LEU F N   1 
ATOM 18607 C CA  . LEU C 3 544 ? 293.605 -119.417 221.732 1.0 46.43605  ? 544 LEU F CA  544 LEU F CA  1 
ATOM 18608 C C   . LEU C 3 544 ? 292.910 -120.318 220.724 1.0 46.43605  ? 544 LEU F C   544 LEU F C   1 
ATOM 18609 O O   . LEU C 3 544 ? 293.525 -120.687 219.720 1.0 46.43605  ? 544 LEU F O   544 LEU F O   1 
ATOM 18610 C CB  . LEU C 3 544 ? 294.580 -120.243 222.565 1.0 46.43605  ? 544 LEU F CB  544 LEU F CB  1 
ATOM 18611 C CG  . LEU C 3 544 ? 295.475 -119.391 223.453 1.0 46.43605  ? 544 LEU F CG  544 LEU F CG  1 
ATOM 18612 C CD1 . LEU C 3 544 ? 296.379 -120.268 224.278 1.0 46.43605  ? 544 LEU F CD1 544 LEU F CD1 1 
ATOM 18613 C CD2 . LEU C 3 544 ? 296.272 -118.432 222.606 1.0 46.43605  ? 544 LEU F CD2 544 LEU F CD2 1 
ATOM 18614 N N   . GLY C 3 545 ? 291.654 -120.674 220.957 1.0 46.62444  ? 545 GLY F N   545 GLY F N   1 
ATOM 18615 C CA  . GLY C 3 545 ? 290.977 -121.569 220.041 1.0 46.62444  ? 545 GLY F CA  545 GLY F CA  1 
ATOM 18616 C C   . GLY C 3 545 ? 291.427 -123.004 220.179 1.0 46.62444  ? 545 GLY F C   545 GLY F C   1 
ATOM 18617 O O   . GLY C 3 545 ? 291.649 -123.680 219.167 1.0 46.62444  ? 545 GLY F O   545 GLY F O   1 
ATOM 18618 N N   . ASN C 3 546 ? 291.579 -123.484 221.406 1.0 48.27315  ? 546 ASN F N   546 ASN F N   1 
ATOM 18619 C CA  . ASN C 3 546 ? 291.983 -124.858 221.658 1.0 48.27315  ? 546 ASN F CA  546 ASN F CA  1 
ATOM 18620 C C   . ASN C 3 546 ? 290.761 -125.774 221.638 1.0 48.27315  ? 546 ASN F C   546 ASN F C   1 
ATOM 18621 O O   . ASN C 3 546 ? 289.678 -125.399 221.186 1.0 48.27315  ? 546 ASN F O   546 ASN F O   1 
ATOM 18622 C CB  . ASN C 3 546 ? 292.760 -124.939 222.966 1.0 48.27315  ? 546 ASN F CB  546 ASN F CB  1 
ATOM 18623 C CG  . ASN C 3 546 ? 292.030 -124.295 224.120 1.0 48.27315  ? 546 ASN F CG  546 ASN F CG  1 
ATOM 18624 O OD1 . ASN C 3 546 ? 290.927 -123.776 223.967 1.0 48.27315  ? 546 ASN F OD1 546 ASN F OD1 1 
ATOM 18625 N ND2 . ASN C 3 546 ? 292.643 -124.331 225.291 1.0 48.27315  ? 546 ASN F ND2 546 ASN F ND2 1 
ATOM 18626 N N   . ASP C 3 547 ? 290.926 -127.001 222.115 1.0 51.19301  ? 547 ASP F N   547 ASP F N   1 
ATOM 18627 C CA  . ASP C 3 547 ? 289.855 -127.993 222.135 1.0 51.19301  ? 547 ASP F CA  547 ASP F CA  1 
ATOM 18628 C C   . ASP C 3 547 ? 289.293 -128.020 223.552 1.0 51.19301  ? 547 ASP F C   547 ASP F C   1 
ATOM 18629 O O   . ASP C 3 547 ? 289.890 -128.610 224.454 1.0 51.19301  ? 547 ASP F O   547 ASP F O   1 
ATOM 18630 C CB  . ASP C 3 547 ? 290.389 -129.357 221.712 1.0 51.19301  ? 547 ASP F CB  547 ASP F CB  1 
ATOM 18631 C CG  . ASP C 3 547 ? 289.288 -130.340 221.373 1.0 51.19301  ? 547 ASP F CG  547 ASP F CG  1 
ATOM 18632 O OD1 . ASP C 3 547 ? 288.104 -129.957 221.431 1.0 51.19301  ? 547 ASP F OD1 547 ASP F OD1 1 
ATOM 18633 O OD2 . ASP C 3 547 ? 289.607 -131.504 221.050 1.0 51.19301  ? 547 ASP F OD2 547 ASP F OD2 1 
ATOM 18634 N N   . LEU C 3 548 ? 288.136 -127.382 223.745 1.0 48.30589  ? 548 LEU F N   548 LEU F N   1 
ATOM 18635 C CA  . LEU C 3 548 ? 287.590 -127.255 225.091 1.0 48.30589  ? 548 LEU F CA  548 LEU F CA  1 
ATOM 18636 C C   . LEU C 3 548 ? 286.982 -128.555 225.594 1.0 48.30589  ? 548 LEU F C   548 LEU F C   1 
ATOM 18637 O O   . LEU C 3 548 ? 287.011 -128.814 226.801 1.0 48.30589  ? 548 LEU F O   548 LEU F O   1 
ATOM 18638 C CB  . LEU C 3 548 ? 286.549 -126.143 225.148 1.0 48.30589  ? 548 LEU F CB  548 LEU F CB  1 
ATOM 18639 C CG  . LEU C 3 548 ? 287.068 -124.718 225.029 1.0 48.30589  ? 548 LEU F CG  548 LEU F CG  1 
ATOM 18640 C CD1 . LEU C 3 548 ? 285.908 -123.748 225.008 1.0 48.30589  ? 548 LEU F CD1 548 LEU F CD1 1 
ATOM 18641 C CD2 . LEU C 3 548 ? 287.995 -124.418 226.181 1.0 48.30589  ? 548 LEU F CD2 548 LEU F CD2 1 
ATOM 18642 N N   . ARG C 3 549 ? 286.430 -129.384 224.704 1.0 50.97987  ? 549 ARG F N   549 ARG F N   1 
ATOM 18643 C CA  . ARG C 3 549 ? 285.890 -130.661 225.157 1.0 50.97987  ? 549 ARG F CA  549 ARG F CA  1 
ATOM 18644 C C   . ARG C 3 549 ? 286.991 -131.653 225.501 1.0 50.97987  ? 549 ARG F C   549 ARG F C   1 
ATOM 18645 O O   . ARG C 3 549 ? 286.723 -132.647 226.183 1.0 50.97987  ? 549 ARG F O   549 ARG F O   1 
ATOM 18646 C CB  . ARG C 3 549 ? 284.962 -131.275 224.108 1.0 50.97987  ? 549 ARG F CB  549 ARG F CB  1 
ATOM 18647 C CG  . ARG C 3 549 ? 285.656 -131.763 222.852 1.0 50.97987  ? 549 ARG F CG  549 ARG F CG  1 
ATOM 18648 C CD  . ARG C 3 549 ? 284.691 -132.530 221.959 1.0 50.97987  ? 549 ARG F CD  549 ARG F CD  1 
ATOM 18649 N NE  . ARG C 3 549 ? 283.641 -131.687 221.406 1.0 50.97987  ? 549 ARG F NE  549 ARG F NE  1 
ATOM 18650 C CZ  . ARG C 3 549 ? 283.723 -131.082 220.230 1.0 50.97987  ? 549 ARG F CZ  549 ARG F CZ  1 
ATOM 18651 N NH1 . ARG C 3 549 ? 284.799 -131.236 219.481 1.0 50.97987  ? 549 ARG F NH1 549 ARG F NH1 1 
ATOM 18652 N NH2 . ARG C 3 549 ? 282.726 -130.329 219.799 1.0 50.97987  ? 549 ARG F NH2 549 ARG F NH2 1 
ATOM 18653 N N   . ALA C 3 550 ? 288.214 -131.410 225.040 1.0 51.70735  ? 550 ALA F N   550 ALA F N   1 
ATOM 18654 C CA  . ALA C 3 550 ? 289.359 -132.206 225.444 1.0 51.70735  ? 550 ALA F CA  550 ALA F CA  1 
ATOM 18655 C C   . ALA C 3 550 ? 290.073 -131.629 226.654 1.0 51.70735  ? 550 ALA F C   550 ALA F C   1 
ATOM 18656 O O   . ALA C 3 550 ? 290.743 -132.375 227.375 1.0 51.70735  ? 550 ALA F O   550 ALA F O   1 
ATOM 18657 C CB  . ALA C 3 550 ? 290.347 -132.336 224.284 1.0 51.70735  ? 550 ALA F CB  550 ALA F CB  1 
ATOM 18658 N N   . ASP C 3 551 ? 289.950 -130.321 226.890 1.0 52.92719  ? 551 ASP F N   551 ASP F N   1 
ATOM 18659 C CA  . ASP C 3 551 ? 290.541 -129.720 228.079 1.0 52.92719  ? 551 ASP F CA  551 ASP F CA  1 
ATOM 18660 C C   . ASP C 3 551 ? 289.739 -130.051 229.330 1.0 52.92719  ? 551 ASP F C   551 ASP F C   1 
ATOM 18661 O O   . ASP C 3 551 ? 290.320 -130.342 230.380 1.0 52.92719  ? 551 ASP F O   551 ASP F O   1 
ATOM 18662 C CB  . ASP C 3 551 ? 290.653 -128.207 227.909 1.0 52.92719  ? 551 ASP F CB  551 ASP F CB  1 
ATOM 18663 C CG  . ASP C 3 551 ? 291.734 -127.814 226.930 1.0 52.92719  ? 551 ASP F CG  551 ASP F CG  1 
ATOM 18664 O OD1 . ASP C 3 551 ? 292.708 -128.580 226.788 1.0 52.92719  ? 551 ASP F OD1 551 ASP F OD1 1 
ATOM 18665 O OD2 . ASP C 3 551 ? 291.621 -126.737 226.313 1.0 52.92719  ? 551 ASP F OD2 551 ASP F OD2 1 
ATOM 18666 N N   . GLY C 3 552 ? 288.415 -130.028 229.237 1.0 51.01573  ? 552 GLY F N   552 GLY F N   1 
ATOM 18667 C CA  . GLY C 3 552 ? 287.591 -130.353 230.381 1.0 51.01573  ? 552 GLY F CA  552 GLY F CA  1 
ATOM 18668 C C   . GLY C 3 552 ? 286.581 -129.287 230.740 1.0 51.01573  ? 552 GLY F C   552 GLY F C   1 
ATOM 18669 O O   . GLY C 3 552 ? 286.131 -129.215 231.886 1.0 51.01573  ? 552 GLY F O   552 GLY F O   1 
ATOM 18670 N N   . ALA C 3 553 ? 286.216 -128.451 229.774 1.0 49.06744  ? 553 ALA F N   553 ALA F N   1 
ATOM 18671 C CA  . ALA C 3 553 ? 285.129 -127.511 229.986 1.0 49.06744  ? 553 ALA F CA  553 ALA F CA  1 
ATOM 18672 C C   . ALA C 3 553 ? 283.798 -128.248 229.969 1.0 49.06744  ? 553 ALA F C   553 ALA F C   1 
ATOM 18673 O O   . ALA C 3 553 ? 283.629 -129.248 229.270 1.0 49.06744  ? 553 ALA F O   553 ALA F O   1 
ATOM 18674 C CB  . ALA C 3 553 ? 285.141 -126.424 228.917 1.0 49.06744  ? 553 ALA F CB  553 ALA F CB  1 
ATOM 18675 N N   . SER C 3 554 ? 282.844 -127.743 230.747 1.0 49.55826  ? 554 SER F N   554 SER F N   1 
ATOM 18676 C CA  . SER C 3 554 ? 281.562 -128.420 230.892 1.0 49.55826  ? 554 SER F CA  554 SER F CA  1 
ATOM 18677 C C   . SER C 3 554 ? 280.513 -127.425 231.357 1.0 49.55826  ? 554 SER F C   554 SER F C   1 
ATOM 18678 O O   . SER C 3 554 ? 280.746 -126.683 232.313 1.0 49.55826  ? 554 SER F O   554 SER F O   1 
ATOM 18679 C CB  . SER C 3 554 ? 281.663 -129.577 231.890 1.0 49.55826  ? 554 SER F CB  554 SER F CB  1 
ATOM 18680 O OG  . SER C 3 554 ? 280.405 -130.201 232.072 1.0 49.55826  ? 554 SER F OG  554 SER F OG  1 
ATOM 18681 N N   . ILE C 3 555 ? 279.364 -127.421 230.690 1.0 46.49583  ? 555 ILE F N   555 ILE F N   1 
ATOM 18682 C CA  . ILE C 3 555 ? 278.219 -126.609 231.080 1.0 46.49583  ? 555 ILE F CA  555 ILE F CA  1 
ATOM 18683 C C   . ILE C 3 555 ? 277.075 -127.543 231.461 1.0 46.49583  ? 555 ILE F C   555 ILE F C   1 
ATOM 18684 O O   . ILE C 3 555 ? 276.855 -128.569 230.806 1.0 46.49583  ? 555 ILE F O   555 ILE F O   1 
ATOM 18685 C CB  . ILE C 3 555 ? 277.826 -125.622 229.962 1.0 46.49583  ? 555 ILE F CB  555 ILE F CB  1 
ATOM 18686 C CG1 . ILE C 3 555 ? 276.657 -124.735 230.385 1.0 46.49583  ? 555 ILE F CG1 555 ILE F CG1 1 
ATOM 18687 C CG2 . ILE C 3 555 ? 277.569 -126.320 228.634 1.0 46.49583  ? 555 ILE F CG2 555 ILE F CG2 1 
ATOM 18688 C CD1 . ILE C 3 555 ? 276.430 -123.568 229.465 1.0 46.49583  ? 555 ILE F CD1 555 ILE F CD1 1 
ATOM 18689 N N   . THR C 3 556 ? 276.398 -127.236 232.568 1.0 46.85767  ? 556 THR F N   556 THR F N   1 
ATOM 18690 C CA  . THR C 3 556 ? 275.222 -127.981 233.004 1.0 46.85767  ? 556 THR F CA  556 THR F CA  1 
ATOM 18691 C C   . THR C 3 556 ? 274.110 -126.994 233.320 1.0 46.85767  ? 556 THR F C   556 THR F C   1 
ATOM 18692 O O   . THR C 3 556 ? 274.355 -125.965 233.956 1.0 46.85767  ? 556 THR F O   556 THR F O   1 
ATOM 18693 C CB  . THR C 3 556 ? 275.500 -128.846 234.241 1.0 46.85767  ? 556 THR F CB  556 THR F CB  1 
ATOM 18694 O OG1 . THR C 3 556 ? 275.893 -128.008 235.329 1.0 46.85767  ? 556 THR F OG1 556 THR F OG1 1 
ATOM 18695 C CG2 . THR C 3 556 ? 276.592 -129.880 233.979 1.0 46.85767  ? 556 THR F CG2 556 THR F CG2 1 
ATOM 18696 N N   . TYR C 3 557 ? 272.894 -127.309 232.888 1.0 43.58839  ? 557 TYR F N   557 TYR F N   1 
ATOM 18697 C CA  . TYR C 3 557 ? 271.746 -126.436 233.080 1.0 43.58839  ? 557 TYR F CA  557 TYR F CA  1 
ATOM 18698 C C   . TYR C 3 557 ? 270.966 -126.890 234.304 1.0 43.58839  ? 557 TYR F C   557 TYR F C   1 
ATOM 18699 O O   . TYR C 3 557 ? 270.683 -128.082 234.458 1.0 43.58839  ? 557 TYR F O   557 TYR F O   1 
ATOM 18700 C CB  . TYR C 3 557 ? 270.847 -126.450 231.848 1.0 43.58839  ? 557 TYR F CB  557 TYR F CB  1 
ATOM 18701 C CG  . TYR C 3 557 ? 271.523 -125.938 230.604 1.0 43.58839  ? 557 TYR F CG  557 TYR F CG  1 
ATOM 18702 C CD1 . TYR C 3 557 ? 271.599 -124.585 230.339 1.0 43.58839  ? 557 TYR F CD1 557 TYR F CD1 1 
ATOM 18703 C CD2 . TYR C 3 557 ? 272.098 -126.814 229.700 1.0 43.58839  ? 557 TYR F CD2 557 TYR F CD2 1 
ATOM 18704 C CE1 . TYR C 3 557 ? 272.216 -124.118 229.206 1.0 43.58839  ? 557 TYR F CE1 557 TYR F CE1 1 
ATOM 18705 C CE2 . TYR C 3 557 ? 272.722 -126.353 228.562 1.0 43.58839  ? 557 TYR F CE2 557 TYR F CE2 1 
ATOM 18706 C CZ  . TYR C 3 557 ? 272.776 -124.999 228.326 1.0 43.58839  ? 557 TYR F CZ  557 TYR F CZ  1 
ATOM 18707 O OH  . TYR C 3 557 ? 273.388 -124.507 227.205 1.0 43.58839  ? 557 TYR F OH  557 TYR F OH  1 
ATOM 18708 N N   . THR C 3 558 ? 270.619 -125.940 235.171 1.0 43.77807  ? 558 THR F N   558 THR F N   1 
ATOM 18709 C CA  . THR C 3 558 ? 269.951 -126.247 236.430 1.0 43.77807  ? 558 THR F CA  558 THR F CA  1 
ATOM 18710 C C   . THR C 3 558 ? 268.449 -126.002 236.363 1.0 43.77807  ? 558 THR F C   558 THR F C   1 
ATOM 18711 O O   . THR C 3 558 ? 267.657 -126.924 236.575 1.0 43.77807  ? 558 THR F O   558 THR F O   1 
ATOM 18712 C CB  . THR C 3 558 ? 270.569 -125.418 237.557 1.0 43.77807  ? 558 THR F CB  558 THR F CB  1 
ATOM 18713 O OG1 . THR C 3 558 ? 271.951 -125.757 237.695 1.0 43.77807  ? 558 THR F OG1 558 THR F OG1 1 
ATOM 18714 C CG2 . THR C 3 558 ? 269.855 -125.687 238.859 1.0 43.77807  ? 558 THR F CG2 558 THR F CG2 1 
ATOM 18715 N N   . GLN C 3 559 ? 268.041 -124.769 236.078 1.0 43.88763  ? 559 GLN F N   559 GLN F N   1 
ATOM 18716 C CA  . GLN C 3 559 ? 266.636 -124.459 235.869 1.0 43.88763  ? 559 GLN F CA  559 GLN F CA  1 
ATOM 18717 C C   . GLN C 3 559 ? 266.550 -123.428 234.758 1.0 43.88763  ? 559 GLN F C   559 GLN F C   1 
ATOM 18718 O O   . GLN C 3 559 ? 267.418 -122.562 234.640 1.0 43.88763  ? 559 GLN F O   559 GLN F O   1 
ATOM 18719 C CB  . GLN C 3 559 ? 265.952 -123.971 237.159 1.0 43.88763  ? 559 GLN F CB  559 GLN F CB  1 
ATOM 18720 C CG  . GLN C 3 559 ? 266.459 -122.667 237.769 1.0 43.88763  ? 559 GLN F CG  559 GLN F CG  1 
ATOM 18721 C CD  . GLN C 3 559 ? 265.690 -121.450 237.293 1.0 43.88763  ? 559 GLN F CD  559 GLN F CD  1 
ATOM 18722 O OE1 . GLN C 3 559 ? 264.506 -121.539 236.972 1.0 43.88763  ? 559 GLN F OE1 559 GLN F OE1 1 
ATOM 18723 N NE2 . GLN C 3 559 ? 266.359 -120.305 237.250 1.0 43.88763  ? 559 GLN F NE2 559 GLN F NE2 1 
ATOM 18724 N N   . ILE C 3 560 ? 265.525 -123.556 233.921 1.0 40.52764  ? 560 ILE F N   560 ILE F N   1 
ATOM 18725 C CA  . ILE C 3 560 ? 265.373 -122.755 232.710 1.0 40.52764  ? 560 ILE F CA  560 ILE F CA  1 
ATOM 18726 C C   . ILE C 3 560 ? 263.933 -122.279 232.627 1.0 40.52764  ? 560 ILE F C   560 ILE F C   1 
ATOM 18727 O O   . ILE C 3 560 ? 263.008 -123.097 232.650 1.0 40.52764  ? 560 ILE F O   560 ILE F O   1 
ATOM 18728 C CB  . ILE C 3 560 ? 265.753 -123.550 231.451 1.0 40.52764  ? 560 ILE F CB  560 ILE F CB  1 
ATOM 18729 C CG1 . ILE C 3 560 ? 267.258 -123.785 231.425 1.0 40.52764  ? 560 ILE F CG1 560 ILE F CG1 1 
ATOM 18730 C CG2 . ILE C 3 560 ? 265.248 -122.868 230.198 1.0 40.52764  ? 560 ILE F CG2 560 ILE F CG2 1 
ATOM 18731 C CD1 . ILE C 3 560 ? 267.732 -124.624 230.334 1.0 40.52764  ? 560 ILE F CD1 560 ILE F CD1 1 
ATOM 18732 N N   . ASN C 3 561 ? 263.739 -120.968 232.516 1.0 39.30613  ? 561 ASN F N   561 ASN F N   1 
ATOM 18733 C CA  . ASN C 3 561 ? 262.407 -120.386 232.503 1.0 39.30613  ? 561 ASN F CA  561 ASN F CA  1 
ATOM 18734 C C   . ASN C 3 561 ? 262.257 -119.422 231.338 1.0 39.30613  ? 561 ASN F C   561 ASN F C   1 
ATOM 18735 O O   . ASN C 3 561 ? 263.207 -118.732 230.965 1.0 39.30613  ? 561 ASN F O   561 ASN F O   1 
ATOM 18736 C CB  . ASN C 3 561 ? 262.124 -119.660 233.810 1.0 39.30613  ? 561 ASN F CB  561 ASN F CB  1 
ATOM 18737 C CG  . ASN C 3 561 ? 262.042 -120.600 234.984 1.0 39.30613  ? 561 ASN F CG  561 ASN F CG  1 
ATOM 18738 O OD1 . ASN C 3 561 ? 261.490 -121.691 234.880 1.0 39.30613  ? 561 ASN F OD1 561 ASN F OD1 1 
ATOM 18739 N ND2 . ASN C 3 561 ? 262.586 -120.180 236.116 1.0 39.30613  ? 561 ASN F ND2 561 ASN F ND2 1 
ATOM 18740 N N   . LEU C 3 562 ? 261.057 -119.379 230.771 1.0 37.0808   ? 562 LEU F N   562 LEU F N   1 
ATOM 18741 C CA  . LEU C 3 562 ? 260.707 -118.448 229.708 1.0 37.0808   ? 562 LEU F CA  562 LEU F CA  1 
ATOM 18742 C C   . LEU C 3 562 ? 259.930 -117.277 230.286 1.0 37.0808   ? 562 LEU F C   562 LEU F C   1 
ATOM 18743 O O   . LEU C 3 562 ? 259.016 -117.467 231.090 1.0 37.0808   ? 562 LEU F O   562 LEU F O   1 
ATOM 18744 C CB  . LEU C 3 562 ? 259.858 -119.136 228.642 1.0 37.0808   ? 562 LEU F CB  562 LEU F CB  1 
ATOM 18745 C CG  . LEU C 3 562 ? 259.346 -118.284 227.484 1.0 37.0808   ? 562 LEU F CG  562 LEU F CG  1 
ATOM 18746 C CD1 . LEU C 3 562 ? 260.471 -117.898 226.546 1.0 37.0808   ? 562 LEU F CD1 562 LEU F CD1 1 
ATOM 18747 C CD2 . LEU C 3 562 ? 258.225 -118.984 226.759 1.0 37.0808   ? 562 LEU F CD2 562 LEU F CD2 1 
ATOM 18748 N N   . TYR C 3 563 ? 260.286 -116.068 229.866 1.0 37.83631  ? 563 TYR F N   563 TYR F N   1 
ATOM 18749 C CA  . TYR C 3 563 ? 259.622 -114.852 230.312 1.0 37.83631  ? 563 TYR F CA  563 TYR F CA  1 
ATOM 18750 C C   . TYR C 3 563 ? 258.996 -114.153 229.121 1.0 37.83631  ? 563 TYR F C   563 TYR F C   1 
ATOM 18751 O O   . TYR C 3 563 ? 259.666 -113.934 228.113 1.0 37.83631  ? 563 TYR F O   563 TYR F O   1 
ATOM 18752 C CB  . TYR C 3 563 ? 260.605 -113.907 230.998 1.0 37.83631  ? 563 TYR F CB  563 TYR F CB  1 
ATOM 18753 C CG  . TYR C 3 563 ? 261.073 -114.400 232.331 1.0 37.83631  ? 563 TYR F CG  563 TYR F CG  1 
ATOM 18754 C CD1 . TYR C 3 563 ? 260.332 -115.315 233.041 1.0 37.83631  ? 563 TYR F CD1 563 TYR F CD1 1 
ATOM 18755 C CD2 . TYR C 3 563 ? 262.272 -113.983 232.865 1.0 37.83631  ? 563 TYR F CD2 563 TYR F CD2 1 
ATOM 18756 C CE1 . TYR C 3 563 ? 260.759 -115.785 234.241 1.0 37.83631  ? 563 TYR F CE1 563 TYR F CE1 1 
ATOM 18757 C CE2 . TYR C 3 563 ? 262.697 -114.459 234.079 1.0 37.83631  ? 563 TYR F CE2 563 TYR F CE2 1 
ATOM 18758 C CZ  . TYR C 3 563 ? 261.936 -115.357 234.763 1.0 37.83631  ? 563 TYR F CZ  563 TYR F CZ  1 
ATOM 18759 O OH  . TYR C 3 563 ? 262.354 -115.839 235.977 1.0 37.83631  ? 563 TYR F OH  563 TYR F OH  1 
ATOM 18760 N N   . VAL C 3 564 ? 257.723 -113.797 229.240 1.0 38.4884   ? 564 VAL F N   564 VAL F N   1 
ATOM 18761 C CA  . VAL C 3 564 ? 257.049 -112.972 228.252 1.0 38.4884   ? 564 VAL F CA  564 VAL F CA  1 
ATOM 18762 C C   . VAL C 3 564 ? 256.629 -111.678 228.931 1.0 38.4884   ? 564 VAL F C   564 VAL F C   1 
ATOM 18763 O O   . VAL C 3 564 ? 256.821 -111.493 230.131 1.0 38.4884   ? 564 VAL F O   564 VAL F O   1 
ATOM 18764 C CB  . VAL C 3 564 ? 255.843 -113.680 227.619 1.0 38.4884   ? 564 VAL F CB  564 VAL F CB  1 
ATOM 18765 C CG1 . VAL C 3 564 ? 256.306 -114.878 226.832 1.0 38.4884   ? 564 VAL F CG1 564 VAL F CG1 1 
ATOM 18766 C CG2 . VAL C 3 564 ? 254.878 -114.109 228.691 1.0 38.4884   ? 564 VAL F CG2 564 VAL F CG2 1 
ATOM 18767 N N   . SER C 3 565 ? 256.059 -110.771 228.145 1.0 39.97693  ? 565 SER F N   565 SER F N   1 
ATOM 18768 C CA  . SER C 3 565 ? 255.622 -109.484 228.670 1.0 39.97693  ? 565 SER F CA  565 SER F CA  1 
ATOM 18769 C C   . SER C 3 565 ? 254.270 -109.135 228.078 1.0 39.97693  ? 565 SER F C   565 SER F C   1 
ATOM 18770 O O   . SER C 3 565 ? 254.157 -108.915 226.870 1.0 39.97693  ? 565 SER F O   565 SER F O   1 
ATOM 18771 C CB  . SER C 3 565 ? 256.640 -108.386 228.369 1.0 39.97693  ? 565 SER F CB  565 SER F CB  1 
ATOM 18772 O OG  . SER C 3 565 ? 257.859 -108.632 229.043 1.0 39.97693  ? 565 SER F OG  565 SER F OG  1 
ATOM 18773 N N   . PHE C 3 566 ? 253.255 -109.079 228.931 1.0 42.53554  ? 566 PHE F N   566 PHE F N   1 
ATOM 18774 C CA  . PHE C 3 566 ? 251.921 -108.695 228.502 1.0 42.53554  ? 566 PHE F CA  566 PHE F CA  1 
ATOM 18775 C C   . PHE C 3 566 ? 251.839 -107.182 228.406 1.0 42.53554  ? 566 PHE F C   566 PHE F C   1 
ATOM 18776 O O   . PHE C 3 566 ? 252.432 -106.467 229.215 1.0 42.53554  ? 566 PHE F O   566 PHE F O   1 
ATOM 18777 C CB  . PHE C 3 566 ? 250.867 -109.186 229.494 1.0 42.53554  ? 566 PHE F CB  566 PHE F CB  1 
ATOM 18778 C CG  . PHE C 3 566 ? 250.721 -110.679 229.565 1.0 42.53554  ? 566 PHE F CG  566 PHE F CG  1 
ATOM 18779 C CD1 . PHE C 3 566 ? 251.203 -111.505 228.567 1.0 42.53554  ? 566 PHE F CD1 566 PHE F CD1 1 
ATOM 18780 C CD2 . PHE C 3 566 ? 250.087 -111.255 230.651 1.0 42.53554  ? 566 PHE F CD2 566 PHE F CD2 1 
ATOM 18781 C CE1 . PHE C 3 566 ? 251.062 -112.872 228.659 1.0 42.53554  ? 566 PHE F CE1 566 PHE F CE1 1 
ATOM 18782 C CE2 . PHE C 3 566 ? 249.939 -112.620 230.741 1.0 42.53554  ? 566 PHE F CE2 566 PHE F CE2 1 
ATOM 18783 C CZ  . PHE C 3 566 ? 250.428 -113.427 229.740 1.0 42.53554  ? 566 PHE F CZ  566 PHE F CZ  1 
ATOM 18784 N N   . PHE C 3 567 ? 251.100 -106.691 227.421 1.0 42.93     ? 567 PHE F N   567 PHE F N   1 
ATOM 18785 C CA  . PHE C 3 567 ? 250.777 -105.274 227.378 1.0 42.93     ? 567 PHE F CA  567 PHE F CA  1 
ATOM 18786 C C   . PHE C 3 567 ? 249.410 -105.063 228.009 1.0 42.93     ? 567 PHE F C   567 PHE F C   1 
ATOM 18787 O O   . PHE C 3 567 ? 248.431 -105.660 227.546 1.0 42.93     ? 567 PHE F O   567 PHE F O   1 
ATOM 18788 C CB  . PHE C 3 567 ? 250.783 -104.749 225.955 1.0 42.93     ? 567 PHE F CB  567 PHE F CB  1 
ATOM 18789 C CG  . PHE C 3 567 ? 250.530 -103.273 225.859 1.0 42.93     ? 567 PHE F CG  567 PHE F CG  1 
ATOM 18790 C CD1 . PHE C 3 567 ? 251.513 -102.367 226.209 1.0 42.93     ? 567 PHE F CD1 567 PHE F CD1 1 
ATOM 18791 C CD2 . PHE C 3 567 ? 249.310 -102.790 225.421 1.0 42.93     ? 567 PHE F CD2 567 PHE F CD2 1 
ATOM 18792 C CE1 . PHE C 3 567 ? 251.284 -101.010 226.126 1.0 42.93     ? 567 PHE F CE1 567 PHE F CE1 1 
ATOM 18793 C CE2 . PHE C 3 567 ? 249.077 -101.432 225.336 1.0 42.93     ? 567 PHE F CE2 567 PHE F CE2 1 
ATOM 18794 C CZ  . PHE C 3 567 ? 250.065 -100.543 225.690 1.0 42.93     ? 567 PHE F CZ  567 PHE F CZ  1 
ATOM 18795 N N   . PRO C 3 568 ? 249.295 -104.257 229.055 1.0 44.86106  ? 568 PRO F N   568 PRO F N   1 
ATOM 18796 C CA  . PRO C 3 568 ? 247.995 -104.079 229.710 1.0 44.86106  ? 568 PRO F CA  568 PRO F CA  1 
ATOM 18797 C C   . PRO C 3 568 ? 247.059 -103.197 228.906 1.0 44.86106  ? 568 PRO F C   568 PRO F C   1 
ATOM 18798 O O   . PRO C 3 568 ? 246.960 -101.995 229.153 1.0 44.86106  ? 568 PRO F O   568 PRO F O   1 
ATOM 18799 C CB  . PRO C 3 568 ? 248.368 -103.438 231.050 1.0 44.86106  ? 568 PRO F CB  568 PRO F CB  1 
ATOM 18800 C CG  . PRO C 3 568 ? 249.646 -102.745 230.785 1.0 44.86106  ? 568 PRO F CG  568 PRO F CG  1 
ATOM 18801 C CD  . PRO C 3 568 ? 250.375 -103.560 229.769 1.0 44.86106  ? 568 PRO F CD  568 PRO F CD  1 
ATOM 18802 N N   . MET C 3 569 ? 246.372 -103.783 227.936 1.0 48.11834  ? 569 MET F N   569 MET F N   1 
ATOM 18803 C CA  . MET C 3 569 ? 245.480 -103.036 227.067 1.0 48.11834  ? 569 MET F CA  569 MET F CA  1 
ATOM 18804 C C   . MET C 3 569 ? 244.051 -103.134 227.589 1.0 48.11834  ? 569 MET F C   569 MET F C   1 
ATOM 18805 O O   . MET C 3 569 ? 243.666 -104.138 228.194 1.0 48.11834  ? 569 MET F O   569 MET F O   1 
ATOM 18806 C CB  . MET C 3 569 ? 245.578 -103.577 225.641 1.0 48.11834  ? 569 MET F CB  569 MET F CB  1 
ATOM 18807 C CG  . MET C 3 569 ? 244.895 -102.747 224.578 1.0 48.11834  ? 569 MET F CG  569 MET F CG  1 
ATOM 18808 S SD  . MET C 3 569 ? 245.082 -103.474 222.945 1.0 48.11834  ? 569 MET F SD  569 MET F SD  1 
ATOM 18809 C CE  . MET C 3 569 ? 246.815 -103.158 222.652 1.0 48.11834  ? 569 MET F CE  569 MET F CE  1 
ATOM 18810 N N   . ASN C 3 570 ? 243.280 -102.063 227.388 1.0 48.12001  ? 570 ASN F N   570 ASN F N   1 
ATOM 18811 C CA  . ASN C 3 570 ? 241.871 -102.065 227.762 1.0 48.12001  ? 570 ASN F CA  570 ASN F CA  1 
ATOM 18812 C C   . ASN C 3 570 ? 241.111 -103.069 226.912 1.0 48.12001  ? 570 ASN F C   570 ASN F C   1 
ATOM 18813 O O   . ASN C 3 570 ? 241.350 -103.192 225.710 1.0 48.12001  ? 570 ASN F O   570 ASN F O   1 
ATOM 18814 C CB  . ASN C 3 570 ? 241.255 -100.680 227.582 1.0 48.12001  ? 570 ASN F CB  570 ASN F CB  1 
ATOM 18815 C CG  . ASN C 3 570 ? 239.886 -100.560 228.238 1.0 48.12001  ? 570 ASN F CG  570 ASN F CG  1 
ATOM 18816 O OD1 . ASN C 3 570 ? 239.423 -101.477 228.914 1.0 48.12001  ? 570 ASN F OD1 570 ASN F OD1 1 
ATOM 18817 N ND2 . ASN C 3 570 ? 239.223 -99.436  228.018 1.0 48.12001  ? 570 ASN F ND2 570 ASN F ND2 1 
ATOM 18818 N N   . TYR C 3 571 ? 240.165 -103.765 227.537 1.0 47.01069  ? 571 TYR F N   571 TYR F N   1 
ATOM 18819 C CA  . TYR C 3 571 ? 239.552 -104.925 226.905 1.0 47.01069  ? 571 TYR F CA  571 TYR F CA  1 
ATOM 18820 C C   . TYR C 3 571 ? 238.528 -104.558 225.841 1.0 47.01069  ? 571 TYR F C   571 TYR F C   1 
ATOM 18821 O O   . TYR C 3 571 ? 238.034 -105.453 225.151 1.0 47.01069  ? 571 TYR F O   571 TYR F O   1 
ATOM 18822 C CB  . TYR C 3 571 ? 238.899 -105.830 227.952 1.0 47.01069  ? 571 TYR F CB  571 TYR F CB  1 
ATOM 18823 C CG  . TYR C 3 571 ? 239.864 -106.549 228.879 1.0 47.01069  ? 571 TYR F CG  571 TYR F CG  1 
ATOM 18824 C CD1 . TYR C 3 571 ? 241.235 -106.541 228.650 1.0 47.01069  ? 571 TYR F CD1 571 TYR F CD1 1 
ATOM 18825 C CD2 . TYR C 3 571 ? 239.394 -107.271 229.963 1.0 47.01069  ? 571 TYR F CD2 571 TYR F CD2 1 
ATOM 18826 C CE1 . TYR C 3 571 ? 242.104 -107.200 229.492 1.0 47.01069  ? 571 TYR F CE1 571 TYR F CE1 1 
ATOM 18827 C CE2 . TYR C 3 571 ? 240.257 -107.939 230.803 1.0 47.01069  ? 571 TYR F CE2 571 TYR F CE2 1 
ATOM 18828 C CZ  . TYR C 3 571 ? 241.608 -107.898 230.565 1.0 47.01069  ? 571 TYR F CZ  571 TYR F CZ  1 
ATOM 18829 O OH  . TYR C 3 571 ? 242.469 -108.562 231.405 1.0 47.01069  ? 571 TYR F OH  571 TYR F OH  1 
ATOM 18830 N N   . ASP C 3 572 ? 238.192 -103.280 225.694 1.0 47.29285  ? 572 ASP F N   572 ASP F N   1 
ATOM 18831 C CA  . ASP C 3 572 ? 237.409 -102.840 224.549 1.0 47.29285  ? 572 ASP F CA  572 ASP F CA  1 
ATOM 18832 C C   . ASP C 3 572 ? 238.303 -102.478 223.375 1.0 47.29285  ? 572 ASP F C   572 ASP F C   1 
ATOM 18833 O O   . ASP C 3 572 ? 237.965 -102.769 222.225 1.0 47.29285  ? 572 ASP F O   572 ASP F O   1 
ATOM 18834 C CB  . ASP C 3 572 ? 236.541 -101.644 224.930 1.0 47.29285  ? 572 ASP F CB  572 ASP F CB  1 
ATOM 18835 C CG  . ASP C 3 572 ? 235.462 -102.009 225.920 1.0 47.29285  ? 572 ASP F CG  572 ASP F CG  1 
ATOM 18836 O OD1 . ASP C 3 572 ? 235.016 -103.174 225.906 1.0 47.29285  ? 572 ASP F OD1 572 ASP F OD1 1 
ATOM 18837 O OD2 . ASP C 3 572 ? 235.063 -101.133 226.714 1.0 47.29285  ? 572 ASP F OD2 572 ASP F OD2 1 
ATOM 18838 N N   . THR C 3 573 ? 239.439 -101.839 223.651 1.0 45.24644  ? 573 THR F N   573 THR F N   1 
ATOM 18839 C CA  . THR C 3 573 ? 240.452 -101.628 222.626 1.0 45.24644  ? 573 THR F CA  573 THR F CA  1 
ATOM 18840 C C   . THR C 3 573 ? 241.069 -102.950 222.197 1.0 45.24644  ? 573 THR F C   573 THR F C   1 
ATOM 18841 O O   . THR C 3 573 ? 241.419 -103.125 221.023 1.0 45.24644  ? 573 THR F O   573 THR F O   1 
ATOM 18842 C CB  . THR C 3 573 ? 241.519 -100.673 223.163 1.0 45.24644  ? 573 THR F CB  573 THR F CB  1 
ATOM 18843 O OG1 . THR C 3 573 ? 240.890 -99.464  223.602 1.0 45.24644  ? 573 THR F OG1 573 THR F OG1 1 
ATOM 18844 C CG2 . THR C 3 573 ? 242.534 -100.317 222.105 1.0 45.24644  ? 573 THR F CG2 573 THR F CG2 1 
ATOM 18845 N N   . GLN C 3 574 ? 241.179 -103.894 223.133 1.0 43.96075  ? 574 GLN F N   574 GLN F N   1 
ATOM 18846 C CA  . GLN C 3 574 ? 241.708 -105.217 222.829 1.0 43.96075  ? 574 GLN F CA  574 GLN F CA  1 
ATOM 18847 C C   . GLN C 3 574 ? 240.798 -105.958 221.862 1.0 43.96075  ? 574 GLN F C   574 GLN F C   1 
ATOM 18848 O O   . GLN C 3 574 ? 241.270 -106.551 220.889 1.0 43.96075  ? 574 GLN F O   574 GLN F O   1 
ATOM 18849 C CB  . GLN C 3 574 ? 241.862 -106.005 224.131 1.0 43.96075  ? 574 GLN F CB  574 GLN F CB  1 
ATOM 18850 C CG  . GLN C 3 574 ? 242.728 -107.250 224.111 1.0 43.96075  ? 574 GLN F CG  574 GLN F CG  1 
ATOM 18851 C CD  . GLN C 3 574 ? 242.101 -108.433 223.414 1.0 43.96075  ? 574 GLN F CD  574 GLN F CD  1 
ATOM 18852 O OE1 . GLN C 3 574 ? 242.743 -109.108 222.617 1.0 43.96075  ? 574 GLN F OE1 574 GLN F OE1 1 
ATOM 18853 N NE2 . GLN C 3 574 ? 240.820 -108.652 223.671 1.0 43.96075  ? 574 GLN F NE2 574 GLN F NE2 1 
ATOM 18854 N N   . SER C 3 575 ? 239.491 -105.942 222.121 1.0 44.3093   ? 575 SER F N   575 SER F N   1 
ATOM 18855 C CA  . SER C 3 575 ? 238.543 -106.747 221.363 1.0 44.3093   ? 575 SER F CA  575 SER F CA  1 
ATOM 18856 C C   . SER C 3 575 ? 238.329 -106.250 219.942 1.0 44.3093   ? 575 SER F C   575 SER F C   1 
ATOM 18857 O O   . SER C 3 575 ? 237.732 -106.972 219.140 1.0 44.3093   ? 575 SER F O   575 SER F O   1 
ATOM 18858 C CB  . SER C 3 575 ? 237.205 -106.795 222.096 1.0 44.3093   ? 575 SER F CB  575 SER F CB  1 
ATOM 18859 O OG  . SER C 3 575 ? 236.251 -107.538 221.363 1.0 44.3093   ? 575 SER F OG  575 SER F OG  1 
ATOM 18860 N N   . GLU C 3 576 ? 238.781 -105.041 219.613 1.0 41.85765  ? 576 GLU F N   576 GLU F N   1 
ATOM 18861 C CA  . GLU C 3 576 ? 238.794 -104.620 218.220 1.0 41.85765  ? 576 GLU F CA  576 GLU F CA  1 
ATOM 18862 C C   . GLU C 3 576 ? 240.077 -105.060 217.534 1.0 41.85765  ? 576 GLU F C   576 GLU F C   1 
ATOM 18863 O O   . GLU C 3 576 ? 240.051 -105.479 216.374 1.0 41.85765  ? 576 GLU F O   576 GLU F O   1 
ATOM 18864 C CB  . GLU C 3 576 ? 238.634 -103.107 218.128 1.0 41.85765  ? 576 GLU F CB  576 GLU F CB  1 
ATOM 18865 C CG  . GLU C 3 576 ? 237.300 -102.610 218.636 1.0 41.85765  ? 576 GLU F CG  576 GLU F CG  1 
ATOM 18866 C CD  . GLU C 3 576 ? 237.170 -101.107 218.541 1.0 41.85765  ? 576 GLU F CD  576 GLU F CD  1 
ATOM 18867 O OE1 . GLU C 3 576 ? 238.162 -100.448 218.164 1.0 41.85765  ? 576 GLU F OE1 576 GLU F OE1 1 
ATOM 18868 O OE2 . GLU C 3 576 ? 236.080 -100.582 218.852 1.0 41.85765  ? 576 GLU F OE2 576 GLU F OE2 1 
ATOM 18869 N N   . LEU C 3 577 ? 241.204 -104.981 218.242 1.0 38.95733  ? 577 LEU F N   577 LEU F N   1 
ATOM 18870 C CA  . LEU C 3 577 ? 242.472 -105.429 217.682 1.0 38.95733  ? 577 LEU F CA  577 LEU F CA  1 
ATOM 18871 C C   . LEU C 3 577 ? 242.528 -106.945 217.571 1.0 38.95733  ? 577 LEU F C   577 LEU F C   1 
ATOM 18872 O O   . LEU C 3 577 ? 243.109 -107.476 216.620 1.0 38.95733  ? 577 LEU F O   577 LEU F O   1 
ATOM 18873 C CB  . LEU C 3 577 ? 243.622 -104.912 218.538 1.0 38.95733  ? 577 LEU F CB  577 LEU F CB  1 
ATOM 18874 C CG  . LEU C 3 577 ? 245.026 -105.231 218.048 1.0 38.95733  ? 577 LEU F CG  577 LEU F CG  1 
ATOM 18875 C CD1 . LEU C 3 577 ? 245.231 -104.607 216.688 1.0 38.95733  ? 577 LEU F CD1 577 LEU F CD1 1 
ATOM 18876 C CD2 . LEU C 3 577 ? 246.048 -104.726 219.040 1.0 38.95733  ? 577 LEU F CD2 577 LEU F CD2 1 
ATOM 18877 N N   . GLU C 3 578 ? 241.919 -107.655 218.520 1.0 40.0307   ? 578 GLU F N   578 GLU F N   1 
ATOM 18878 C CA  . GLU C 3 578 ? 241.805 -109.104 218.427 1.0 40.0307   ? 578 GLU F CA  578 GLU F CA  1 
ATOM 18879 C C   . GLU C 3 578 ? 240.874 -109.524 217.307 1.0 40.0307   ? 578 GLU F C   578 GLU F C   1 
ATOM 18880 O O   . GLU C 3 578 ? 240.993 -110.639 216.803 1.0 40.0307   ? 578 GLU F O   578 GLU F O   1 
ATOM 18881 C CB  . GLU C 3 578 ? 241.315 -109.659 219.766 1.0 40.0307   ? 578 GLU F CB  578 GLU F CB  1 
ATOM 18882 C CG  . GLU C 3 578 ? 241.369 -111.168 219.973 1.0 40.0307   ? 578 GLU F CG  578 GLU F CG  1 
ATOM 18883 C CD  . GLU C 3 578 ? 240.082 -111.861 219.568 1.0 40.0307   ? 578 GLU F CD  578 GLU F CD  1 
ATOM 18884 O OE1 . GLU C 3 578 ? 239.015 -111.213 219.613 1.0 40.0307   ? 578 GLU F OE1 578 GLU F OE1 1 
ATOM 18885 O OE2 . GLU C 3 578 ? 240.129 -113.058 219.219 1.0 40.0307   ? 578 GLU F OE2 578 GLU F OE2 1 
ATOM 18886 N N   . LEU C 3 579 ? 239.955 -108.658 216.902 1.0 37.74156  ? 579 LEU F N   579 LEU F N   1 
ATOM 18887 C CA  . LEU C 3 579 ? 239.012 -109.005 215.854 1.0 37.74156  ? 579 LEU F CA  579 LEU F CA  1 
ATOM 18888 C C   . LEU C 3 579 ? 239.535 -108.662 214.468 1.0 37.74156  ? 579 LEU F C   579 LEU F C   1 
ATOM 18889 O O   . LEU C 3 579 ? 239.187 -109.343 213.500 1.0 37.74156  ? 579 LEU F O   579 LEU F O   1 
ATOM 18890 C CB  . LEU C 3 579 ? 237.684 -108.293 216.113 1.0 37.74156  ? 579 LEU F CB  579 LEU F CB  1 
ATOM 18891 C CG  . LEU C 3 579 ? 236.471 -108.634 215.264 1.0 37.74156  ? 579 LEU F CG  579 LEU F CG  1 
ATOM 18892 C CD1 . LEU C 3 579 ? 236.082 -110.077 215.483 1.0 37.74156  ? 579 LEU F CD1 579 LEU F CD1 1 
ATOM 18893 C CD2 . LEU C 3 579 ? 235.335 -107.709 215.628 1.0 37.74156  ? 579 LEU F CD2 579 LEU F CD2 1 
ATOM 18894 N N   . MET C 3 580 ? 240.381 -107.636 214.352 1.0 35.62145  ? 580 MET F N   580 MET F N   1 
ATOM 18895 C CA  . MET C 3 580 ? 240.902 -107.242 213.049 1.0 35.62145  ? 580 MET F CA  580 MET F CA  1 
ATOM 18896 C C   . MET C 3 580 ? 242.087 -108.089 212.616 1.0 35.62145  ? 580 MET F C   580 MET F C   1 
ATOM 18897 O O   . MET C 3 580 ? 242.299 -108.273 211.414 1.0 35.62145  ? 580 MET F O   580 MET F O   1 
ATOM 18898 C CB  . MET C 3 580 ? 241.311 -105.770 213.057 1.0 35.62145  ? 580 MET F CB  580 MET F CB  1 
ATOM 18899 C CG  . MET C 3 580 ? 240.158 -104.799 213.132 1.0 35.62145  ? 580 MET F CG  580 MET F CG  1 
ATOM 18900 S SD  . MET C 3 580 ? 240.712 -103.094 213.036 1.0 35.62145  ? 580 MET F SD  580 MET F SD  1 
ATOM 18901 C CE  . MET C 3 580 ? 241.410 -102.889 214.667 1.0 35.62145  ? 580 MET F CE  580 MET F CE  1 
ATOM 18902 N N   . LEU C 3 581 ? 242.868 -108.603 213.558 1.0 33.54952  ? 581 LEU F N   581 LEU F N   1 
ATOM 18903 C CA  . LEU C 3 581 ? 244.053 -109.379 213.227 1.0 33.54952  ? 581 LEU F CA  581 LEU F CA  1 
ATOM 18904 C C   . LEU C 3 581 ? 243.758 -110.845 212.970 1.0 33.54952  ? 581 LEU F C   581 LEU F C   1 
ATOM 18905 O O   . LEU C 3 581 ? 244.689 -111.613 212.714 1.0 33.54952  ? 581 LEU F O   581 LEU F O   1 
ATOM 18906 C CB  . LEU C 3 581 ? 245.088 -109.265 214.338 1.0 33.54952  ? 581 LEU F CB  581 LEU F CB  1 
ATOM 18907 C CG  . LEU C 3 581 ? 245.698 -107.883 214.486 1.0 33.54952  ? 581 LEU F CG  581 LEU F CG  1 
ATOM 18908 C CD1 . LEU C 3 581 ? 246.625 -107.894 215.660 1.0 33.54952  ? 581 LEU F CD1 581 LEU F CD1 1 
ATOM 18909 C CD2 . LEU C 3 581 ? 246.439 -107.512 213.229 1.0 33.54952  ? 581 LEU F CD2 581 LEU F CD2 1 
ATOM 18910 N N   . ARG C 3 582 ? 242.500 -111.255 213.039 1.0 34.36044  ? 582 ARG F N   582 ARG F N   1 
ATOM 18911 C CA  . ARG C 3 582 ? 242.117 -112.607 212.686 1.0 34.36044  ? 582 ARG F CA  582 ARG F CA  1 
ATOM 18912 C C   . ARG C 3 582 ? 241.545 -112.697 211.282 1.0 34.36044  ? 582 ARG F C   582 ARG F C   1 
ATOM 18913 O O   . ARG C 3 582 ? 241.279 -113.802 210.804 1.0 34.36044  ? 582 ARG F O   582 ARG F O   1 
ATOM 18914 C CB  . ARG C 3 582 ? 241.115 -113.147 213.701 1.0 34.36044  ? 582 ARG F CB  582 ARG F CB  1 
ATOM 18915 C CG  . ARG C 3 582 ? 241.705 -113.275 215.076 1.0 34.36044  ? 582 ARG F CG  582 ARG F CG  1 
ATOM 18916 C CD  . ARG C 3 582 ? 240.773 -113.990 216.007 1.0 34.36044  ? 582 ARG F CD  582 ARG F CD  1 
ATOM 18917 N NE  . ARG C 3 582 ? 241.337 -114.074 217.345 1.0 34.36044  ? 582 ARG F NE  582 ARG F NE  1 
ATOM 18918 C CZ  . ARG C 3 582 ? 242.163 -115.030 217.750 1.0 34.36044  ? 582 ARG F CZ  582 ARG F CZ  1 
ATOM 18919 N NH1 . ARG C 3 582 ? 242.535 -115.992 216.921 1.0 34.36044  ? 582 ARG F NH1 582 ARG F NH1 1 
ATOM 18920 N NH2 . ARG C 3 582 ? 242.622 -115.019 218.989 1.0 34.36044  ? 582 ARG F NH2 582 ARG F NH2 1 
ATOM 18921 N N   . ASN C 3 583 ? 241.354 -111.566 210.614 1.0 34.50627  ? 583 ASN F N   583 ASN F N   1 
ATOM 18922 C CA  . ASN C 3 583 ? 240.972 -111.563 209.215 1.0 34.50627  ? 583 ASN F CA  583 ASN F CA  1 
ATOM 18923 C C   . ASN C 3 583 ? 242.172 -111.983 208.376 1.0 34.50627  ? 583 ASN F C   583 ASN F C   1 
ATOM 18924 O O   . ASN C 3 583 ? 243.322 -111.730 208.736 1.0 34.50627  ? 583 ASN F O   583 ASN F O   1 
ATOM 18925 C CB  . ASN C 3 583 ? 240.499 -110.169 208.799 1.0 34.50627  ? 583 ASN F CB  583 ASN F CB  1 
ATOM 18926 C CG  . ASN C 3 583 ? 239.410 -110.202 207.744 1.0 34.50627  ? 583 ASN F CG  583 ASN F CG  1 
ATOM 18927 O OD1 . ASN C 3 583 ? 238.807 -109.179 207.431 1.0 34.50627  ? 583 ASN F OD1 583 ASN F OD1 1 
ATOM 18928 N ND2 . ASN C 3 583 ? 239.118 -111.384 207.226 1.0 34.50627  ? 583 ASN F ND2 583 ASN F ND2 1 
ATOM 18929 N N   . ALA C 3 584 ? 241.902 -112.636 207.249 1.0 34.01372  ? 584 ALA F N   584 ALA F N   1 
ATOM 18930 C CA  . ALA C 3 584 ? 242.987 -113.111 206.402 1.0 34.01372  ? 584 ALA F CA  584 ALA F CA  1 
ATOM 18931 C C   . ALA C 3 584 ? 243.661 -111.997 205.621 1.0 34.01372  ? 584 ALA F C   584 ALA F C   1 
ATOM 18932 O O   . ALA C 3 584 ? 244.732 -112.223 205.052 1.0 34.01372  ? 584 ALA F O   584 ALA F O   1 
ATOM 18933 C CB  . ALA C 3 584 ? 242.478 -114.171 205.428 1.0 34.01372  ? 584 ALA F CB  584 ALA F CB  1 
ATOM 18934 N N   . THR C 3 585 ? 243.055 -110.813 205.555 1.0 34.49274  ? 585 THR F N   585 THR F N   1 
ATOM 18935 C CA  . THR C 3 585 ? 243.731 -109.684 204.931 1.0 34.49274  ? 585 THR F CA  585 THR F CA  1 
ATOM 18936 C C   . THR C 3 585 ? 244.846 -109.156 205.818 1.0 34.49274  ? 585 THR F C   585 THR F C   1 
ATOM 18937 O O   . THR C 3 585 ? 245.865 -108.672 205.315 1.0 34.49274  ? 585 THR F O   585 THR F O   1 
ATOM 18938 C CB  . THR C 3 585 ? 242.735 -108.569 204.632 1.0 34.49274  ? 585 THR F CB  585 THR F CB  1 
ATOM 18939 O OG1 . THR C 3 585 ? 242.209 -108.068 205.864 1.0 34.49274  ? 585 THR F OG1 585 THR F OG1 1 
ATOM 18940 C CG2 . THR C 3 585 ? 241.589 -109.095 203.793 1.0 34.49274  ? 585 THR F CG2 585 THR F CG2 1 
ATOM 18941 N N   . ASN C 3 586 ? 244.669 -109.239 207.131 1.0 34.4685   ? 586 ASN F N   586 ASN F N   1 
ATOM 18942 C CA  . ASN C 3 586 ? 245.637 -108.722 208.093 1.0 34.4685   ? 586 ASN F CA  586 ASN F CA  1 
ATOM 18943 C C   . ASN C 3 586 ? 246.609 -109.800 208.553 1.0 34.4685   ? 586 ASN F C   586 ASN F C   1 
ATOM 18944 O O   . ASN C 3 586 ? 246.799 -110.016 209.746 1.0 34.4685   ? 586 ASN F O   586 ASN F O   1 
ATOM 18945 C CB  . ASN C 3 586 ? 244.898 -108.121 209.277 1.0 34.4685   ? 586 ASN F CB  586 ASN F CB  1 
ATOM 18946 C CG  . ASN C 3 586 ? 244.095 -106.913 208.895 1.0 34.4685   ? 586 ASN F CG  586 ASN F CG  1 
ATOM 18947 O OD1 . ASN C 3 586 ? 244.544 -106.085 208.114 1.0 34.4685   ? 586 ASN F OD1 586 ASN F OD1 1 
ATOM 18948 N ND2 . ASN C 3 586 ? 242.894 -106.804 209.439 1.0 34.4685   ? 586 ASN F ND2 586 ASN F ND2 1 
ATOM 18949 N N   . ASP C 3 587 ? 247.240 -110.486 207.606 1.0 36.5239   ? 587 ASP F N   587 ASP F N   1 
ATOM 18950 C CA  . ASP C 3 587 ? 248.230 -111.494 207.950 1.0 36.5239   ? 587 ASP F CA  587 ASP F CA  1 
ATOM 18951 C C   . ASP C 3 587 ? 249.557 -110.822 208.247 1.0 36.5239   ? 587 ASP F C   587 ASP F C   1 
ATOM 18952 O O   . ASP C 3 587 ? 250.040 -110.005 207.460 1.0 36.5239   ? 587 ASP F O   587 ASP F O   1 
ATOM 18953 C CB  . ASP C 3 587 ? 248.404 -112.506 206.820 1.0 36.5239   ? 587 ASP F CB  587 ASP F CB  1 
ATOM 18954 C CG  . ASP C 3 587 ? 247.195 -113.389 206.642 1.0 36.5239   ? 587 ASP F CG  587 ASP F CG  1 
ATOM 18955 O OD1 . ASP C 3 587 ? 246.431 -113.532 207.613 1.0 36.5239   ? 587 ASP F OD1 587 ASP F OD1 1 
ATOM 18956 O OD2 . ASP C 3 587 ? 247.019 -113.957 205.543 1.0 36.5239   ? 587 ASP F OD2 587 ASP F OD2 1 
ATOM 18957 N N   . GLN C 3 588 ? 250.146 -111.166 209.382 1.0 34.25182  ? 588 GLN F N   588 GLN F N   1 
ATOM 18958 C CA  . GLN C 3 588 ? 251.455 -110.648 209.744 1.0 34.25182  ? 588 GLN F CA  588 GLN F CA  1 
ATOM 18959 C C   . GLN C 3 588 ? 252.506 -111.407 208.952 1.0 34.25182  ? 588 GLN F C   588 GLN F C   1 
ATOM 18960 O O   . GLN C 3 588 ? 252.690 -112.610 209.151 1.0 34.25182  ? 588 GLN F O   588 GLN F O   1 
ATOM 18961 C CB  . GLN C 3 588 ? 251.686 -110.808 211.239 1.0 34.25182  ? 588 GLN F CB  588 GLN F CB  1 
ATOM 18962 C CG  . GLN C 3 588 ? 250.719 -110.035 212.081 1.0 34.25182  ? 588 GLN F CG  588 GLN F CG  1 
ATOM 18963 C CD  . GLN C 3 588 ? 250.941 -110.274 213.544 1.0 34.25182  ? 588 GLN F CD  588 GLN F CD  1 
ATOM 18964 O OE1 . GLN C 3 588 ? 251.810 -111.049 213.926 1.0 34.25182  ? 588 GLN F OE1 588 GLN F OE1 1 
ATOM 18965 N NE2 . GLN C 3 588 ? 250.148 -109.622 214.379 1.0 34.25182  ? 588 GLN F NE2 588 GLN F NE2 1 
ATOM 18966 N N   . ASN C 3 589 ? 253.190 -110.720 208.051 1.0 35.05429  ? 589 ASN F N   589 ASN F N   1 
ATOM 18967 C CA  . ASN C 3 589 ? 254.265 -111.319 207.284 1.0 35.05429  ? 589 ASN F CA  589 ASN F CA  1 
ATOM 18968 C C   . ASN C 3 589 ? 255.595 -110.683 207.652 1.0 35.05429  ? 589 ASN F C   589 ASN F C   1 
ATOM 18969 O O   . ASN C 3 589 ? 255.685 -109.470 207.852 1.0 35.05429  ? 589 ASN F O   589 ASN F O   1 
ATOM 18970 C CB  . ASN C 3 589 ? 254.006 -111.197 205.787 1.0 35.05429  ? 589 ASN F CB  589 ASN F CB  1 
ATOM 18971 C CG  . ASN C 3 589 ? 253.614 -109.812 205.384 1.0 35.05429  ? 589 ASN F CG  589 ASN F CG  1 
ATOM 18972 O OD1 . ASN C 3 589 ? 253.394 -108.946 206.228 1.0 35.05429  ? 589 ASN F OD1 589 ASN F OD1 1 
ATOM 18973 N ND2 . ASN C 3 589 ? 253.569 -109.572 204.089 1.0 35.05429  ? 589 ASN F ND2 589 ASN F ND2 1 
ATOM 18974 N N   . PHE C 3 590 ? 256.613 -111.521 207.758 1.0 34.51367  ? 590 PHE F N   590 PHE F N   1 
ATOM 18975 C CA  . PHE C 3 590 ? 257.949 -111.164 208.187 1.0 34.51367  ? 590 PHE F CA  590 PHE F CA  1 
ATOM 18976 C C   . PHE C 3 590 ? 258.913 -111.482 207.061 1.0 34.51367  ? 590 PHE F C   590 PHE F C   1 
ATOM 18977 O O   . PHE C 3 590 ? 258.541 -112.059 206.039 1.0 34.51367  ? 590 PHE F O   590 PHE F O   1 
ATOM 18978 C CB  . PHE C 3 590 ? 258.338 -111.943 209.445 1.0 34.51367  ? 590 PHE F CB  590 PHE F CB  1 
ATOM 18979 C CG  . PHE C 3 590 ? 257.531 -111.589 210.650 1.0 34.51367  ? 590 PHE F CG  590 PHE F CG  1 
ATOM 18980 C CD1 . PHE C 3 590 ? 256.982 -110.334 210.786 1.0 34.51367  ? 590 PHE F CD1 590 PHE F CD1 1 
ATOM 18981 C CD2 . PHE C 3 590 ? 257.262 -112.540 211.613 1.0 34.51367  ? 590 PHE F CD2 590 PHE F CD2 1 
ATOM 18982 C CE1 . PHE C 3 590 ? 256.222 -110.017 211.884 1.0 34.51367  ? 590 PHE F CE1 590 PHE F CE1 1 
ATOM 18983 C CE2 . PHE C 3 590 ? 256.496 -112.227 212.709 1.0 34.51367  ? 590 PHE F CE2 590 PHE F CE2 1 
ATOM 18984 C CZ  . PHE C 3 590 ? 255.977 -110.966 212.843 1.0 34.51367  ? 590 PHE F CZ  590 PHE F CZ  1 
ATOM 18985 N N   . SER C 3 591 ? 260.168 -111.111 207.259 1.0 37.6863   ? 591 SER F N   591 SER F N   1 
ATOM 18986 C CA  . SER C 3 591 ? 261.185 -111.405 206.269 1.0 37.6863   ? 591 SER F CA  591 SER F CA  1 
ATOM 18987 C C   . SER C 3 591 ? 262.517 -111.546 206.973 1.0 37.6863   ? 591 SER F C   591 SER F C   1 
ATOM 18988 O O   . SER C 3 591 ? 262.789 -110.841 207.947 1.0 37.6863   ? 591 SER F O   591 SER F O   1 
ATOM 18989 C CB  . SER C 3 591 ? 261.268 -110.314 205.200 1.0 37.6863   ? 591 SER F CB  591 SER F CB  1 
ATOM 18990 O OG  . SER C 3 591 ? 262.291 -110.602 204.266 1.0 37.6863   ? 591 SER F OG  591 SER F OG  1 
ATOM 18991 N N   . ASP C 3 592 ? 263.330 -112.472 206.485 1.0 38.74742  ? 592 ASP F N   592 ASP F N   1 
ATOM 18992 C CA  . ASP C 3 592 ? 264.692 -112.587 206.968 1.0 38.74742  ? 592 ASP F CA  592 ASP F CA  1 
ATOM 18993 C C   . ASP C 3 592 ? 265.478 -111.371 206.502 1.0 38.74742  ? 592 ASP F C   592 ASP F C   1 
ATOM 18994 O O   . ASP C 3 592 ? 265.296 -110.896 205.378 1.0 38.74742  ? 592 ASP F O   592 ASP F O   1 
ATOM 18995 C CB  . ASP C 3 592 ? 265.322 -113.873 206.443 1.0 38.74742  ? 592 ASP F CB  592 ASP F CB  1 
ATOM 18996 C CG  . ASP C 3 592 ? 266.573 -114.261 207.195 1.0 38.74742  ? 592 ASP F CG  592 ASP F CG  1 
ATOM 18997 O OD1 . ASP C 3 592 ? 266.937 -113.552 208.155 1.0 38.74742  ? 592 ASP F OD1 592 ASP F OD1 1 
ATOM 18998 O OD2 . ASP C 3 592 ? 267.195 -115.278 206.823 1.0 38.74742  ? 592 ASP F OD2 592 ASP F OD2 1 
ATOM 18999 N N   . TYR C 3 593 ? 266.327 -110.839 207.382 1.0 36.60644  ? 593 TYR F N   593 TYR F N   1 
ATOM 19000 C CA  . TYR C 3 593 ? 267.117 -109.674 207.000 1.0 36.60644  ? 593 TYR F CA  593 TYR F CA  1 
ATOM 19001 C C   . TYR C 3 593 ? 268.181 -110.053 205.984 1.0 36.60644  ? 593 TYR F C   593 TYR F C   1 
ATOM 19002 O O   . TYR C 3 593 ? 268.369 -109.358 204.980 1.0 36.60644  ? 593 TYR F O   593 TYR F O   1 
ATOM 19003 C CB  . TYR C 3 593 ? 267.762 -109.024 208.220 1.0 36.60644  ? 593 TYR F CB  593 TYR F CB  1 
ATOM 19004 C CG  . TYR C 3 593 ? 268.536 -107.777 207.865 1.0 36.60644  ? 593 TYR F CG  593 TYR F CG  1 
ATOM 19005 C CD1 . TYR C 3 593 ? 267.879 -106.588 207.594 1.0 36.60644  ? 593 TYR F CD1 593 TYR F CD1 1 
ATOM 19006 C CD2 . TYR C 3 593 ? 269.920 -107.793 207.782 1.0 36.60644  ? 593 TYR F CD2 593 TYR F CD2 1 
ATOM 19007 C CE1 . TYR C 3 593 ? 268.575 -105.450 207.261 1.0 36.60644  ? 593 TYR F CE1 593 TYR F CE1 1 
ATOM 19008 C CE2 . TYR C 3 593 ? 270.624 -106.661 207.444 1.0 36.60644  ? 593 TYR F CE2 593 TYR F CE2 1 
ATOM 19009 C CZ  . TYR C 3 593 ? 269.946 -105.493 207.187 1.0 36.60644  ? 593 TYR F CZ  593 TYR F CZ  1 
ATOM 19010 O OH  . TYR C 3 593 ? 270.646 -104.358 206.857 1.0 36.60644  ? 593 TYR F OH  593 TYR F OH  1 
ATOM 19011 N N   . LEU C 3 594 ? 268.900 -111.145 206.237 1.0 36.09401  ? 594 LEU F N   594 LEU F N   1 
ATOM 19012 C CA  . LEU C 3 594 ? 269.878 -111.621 205.268 1.0 36.09401  ? 594 LEU F CA  594 LEU F CA  1 
ATOM 19013 C C   . LEU C 3 594 ? 269.178 -112.157 204.029 1.0 36.09401  ? 594 LEU F C   594 LEU F C   1 
ATOM 19014 O O   . LEU C 3 594 ? 269.377 -111.649 202.920 1.0 36.09401  ? 594 LEU F O   594 LEU F O   1 
ATOM 19015 C CB  . LEU C 3 594 ? 270.764 -112.691 205.899 1.0 36.09401  ? 594 LEU F CB  594 LEU F CB  1 
ATOM 19016 C CG  . LEU C 3 594 ? 271.923 -113.194 205.048 1.0 36.09401  ? 594 LEU F CG  594 LEU F CG  1 
ATOM 19017 C CD1 . LEU C 3 594 ? 272.894 -112.071 204.787 1.0 36.09401  ? 594 LEU F CD1 594 LEU F CD1 1 
ATOM 19018 C CD2 . LEU C 3 594 ? 272.618 -114.353 205.725 1.0 36.09401  ? 594 LEU F CD2 594 LEU F CD2 1 
ATOM 19019 N N   . GLY C 3 595 ? 268.317 -113.154 204.210 1.0 36.67342  ? 595 GLY F N   595 GLY F N   1 
ATOM 19020 C CA  . GLY C 3 595 ? 267.565 -113.732 203.117 1.0 36.67342  ? 595 GLY F CA  595 GLY F CA  1 
ATOM 19021 C C   . GLY C 3 595 ? 268.473 -114.424 202.129 1.0 36.67342  ? 595 GLY F C   595 GLY F C   1 
ATOM 19022 O O   . GLY C 3 595 ? 268.642 -113.953 201.005 1.0 36.67342  ? 595 GLY F O   595 GLY F O   1 
ATOM 19023 N N   . ALA C 3 596 ? 269.097 -115.520 202.540 1.0 37.64458  ? 596 ALA F N   596 ALA F N   1 
ATOM 19024 C CA  . ALA C 3 596 ? 270.138 -116.095 201.712 1.0 37.64458  ? 596 ALA F CA  596 ALA F CA  1 
ATOM 19025 C C   . ALA C 3 596 ? 270.112 -117.607 201.827 1.0 37.64458  ? 596 ALA F C   596 ALA F C   1 
ATOM 19026 O O   . ALA C 3 596 ? 269.504 -118.174 202.736 1.0 37.64458  ? 596 ALA F O   596 ALA F O   1 
ATOM 19027 C CB  . ALA C 3 596 ? 271.509 -115.551 202.105 1.0 37.64458  ? 596 ALA F CB  596 ALA F CB  1 
ATOM 19028 N N   . VAL C 3 597 ? 270.781 -118.251 200.881 1.0 38.76574  ? 597 VAL F N   597 VAL F N   1 
ATOM 19029 C CA  . VAL C 3 597 ? 270.914 -119.699 200.842 1.0 38.76574  ? 597 VAL F CA  597 VAL F CA  1 
ATOM 19030 C C   . VAL C 3 597 ? 272.404 -119.992 200.940 1.0 38.76574  ? 597 VAL F C   597 VAL F C   1 
ATOM 19031 O O   . VAL C 3 597 ? 273.140 -119.866 199.956 1.0 38.76574  ? 597 VAL F O   597 VAL F O   1 
ATOM 19032 C CB  . VAL C 3 597 ? 270.300 -120.301 199.576 1.0 38.76574  ? 597 VAL F CB  597 VAL F CB  1 
ATOM 19033 C CG1 . VAL C 3 597 ? 270.539 -121.794 199.520 1.0 38.76574  ? 597 VAL F CG1 597 VAL F CG1 1 
ATOM 19034 C CG2 . VAL C 3 597 ? 268.820 -120.013 199.541 1.0 38.76574  ? 597 VAL F CG2 597 VAL F CG2 1 
ATOM 19035 N N   . ASN C 3 598 ? 272.857 -120.375 202.129 1.0 40.86153  ? 598 ASN F N   598 ASN F N   1 
ATOM 19036 C CA  . ASN C 3 598 ? 274.277 -120.558 202.385 1.0 40.86153  ? 598 ASN F CA  598 ASN F CA  1 
ATOM 19037 C C   . ASN C 3 598 ? 274.749 -121.907 201.869 1.0 40.86153  ? 598 ASN F C   598 ASN F C   1 
ATOM 19038 O O   . ASN C 3 598 ? 274.108 -122.934 202.109 1.0 40.86153  ? 598 ASN F O   598 ASN F O   1 
ATOM 19039 C CB  . ASN C 3 598 ? 274.547 -120.440 203.877 1.0 40.86153  ? 598 ASN F CB  598 ASN F CB  1 
ATOM 19040 C CG  . ASN C 3 598 ? 274.220 -119.078 204.400 1.0 40.86153  ? 598 ASN F CG  598 ASN F CG  1 
ATOM 19041 O OD1 . ASN C 3 598 ? 273.209 -118.883 205.057 1.0 40.86153  ? 598 ASN F OD1 598 ASN F OD1 1 
ATOM 19042 N ND2 . ASN C 3 598 ? 275.089 -118.126 204.137 1.0 40.86153  ? 598 ASN F ND2 598 ASN F ND2 1 
ATOM 19043 N N   . ASN C 3 599 ? 275.875 -121.903 201.165 1.0 41.45599  ? 599 ASN F N   599 ASN F N   1 
ATOM 19044 C CA  . ASN C 3 599 ? 276.420 -123.112 200.573 1.0 41.45599  ? 599 ASN F CA  599 ASN F CA  1 
ATOM 19045 C C   . ASN C 3 599 ? 277.916 -123.159 200.823 1.0 41.45599  ? 599 ASN F C   599 ASN F C   1 
ATOM 19046 O O   . ASN C 3 599 ? 278.624 -122.182 200.576 1.0 41.45599  ? 599 ASN F O   599 ASN F O   1 
ATOM 19047 C CB  . ASN C 3 599 ? 276.135 -123.168 199.076 1.0 41.45599  ? 599 ASN F CB  599 ASN F CB  1 
ATOM 19048 C CG  . ASN C 3 599 ? 274.673 -123.358 198.779 1.0 41.45599  ? 599 ASN F CG  599 ASN F CG  1 
ATOM 19049 O OD1 . ASN C 3 599 ? 273.998 -124.155 199.427 1.0 41.45599  ? 599 ASN F OD1 599 ASN F OD1 1 
ATOM 19050 N ND2 . ASN C 3 599 ? 274.166 -122.617 197.809 1.0 41.45599  ? 599 ASN F ND2 599 ASN F ND2 1 
ATOM 19051 N N   . LEU C 3 600 ? 278.392 -124.299 201.306 1.0 42.2896   ? 600 LEU F N   600 LEU F N   1 
ATOM 19052 C CA  . LEU C 3 600 ? 279.793 -124.475 201.667 1.0 42.2896   ? 600 LEU F CA  600 LEU F CA  1 
ATOM 19053 C C   . LEU C 3 600 ? 280.395 -125.497 200.710 1.0 42.2896   ? 600 LEU F C   600 LEU F C   1 
ATOM 19054 O O   . LEU C 3 600 ? 280.153 -126.701 200.840 1.0 42.2896   ? 600 LEU F O   600 LEU F O   1 
ATOM 19055 C CB  . LEU C 3 600 ? 279.927 -124.913 203.119 1.0 42.2896   ? 600 LEU F CB  600 LEU F CB  1 
ATOM 19056 C CG  . LEU C 3 600 ? 279.436 -123.913 204.161 1.0 42.2896   ? 600 LEU F CG  600 LEU F CG  1 
ATOM 19057 C CD1 . LEU C 3 600 ? 279.459 -124.548 205.526 1.0 42.2896   ? 600 LEU F CD1 600 LEU F CD1 1 
ATOM 19058 C CD2 . LEU C 3 600 ? 280.280 -122.661 204.156 1.0 42.2896   ? 600 LEU F CD2 600 LEU F CD2 1 
ATOM 19059 N N   . TYR C 3 601 ? 281.172 -125.018 199.750 1.0 44.19442  ? 601 TYR F N   601 TYR F N   1 
ATOM 19060 C CA  . TYR C 3 601 ? 281.818 -125.870 198.764 1.0 44.19442  ? 601 TYR F CA  601 TYR F CA  1 
ATOM 19061 C C   . TYR C 3 601 ? 283.298 -125.958 199.088 1.0 44.19442  ? 601 TYR F C   601 TYR F C   1 
ATOM 19062 O O   . TYR C 3 601 ? 283.972 -124.931 199.198 1.0 44.19442  ? 601 TYR F O   601 TYR F O   1 
ATOM 19063 C CB  . TYR C 3 601 ? 281.602 -125.312 197.363 1.0 44.19442  ? 601 TYR F CB  601 TYR F CB  1 
ATOM 19064 C CG  . TYR C 3 601 ? 280.162 -125.380 196.901 1.0 44.19442  ? 601 TYR F CG  601 TYR F CG  1 
ATOM 19065 C CD1 . TYR C 3 601 ? 279.275 -126.291 197.438 1.0 44.19442  ? 601 TYR F CD1 601 TYR F CD1 1 
ATOM 19066 C CD2 . TYR C 3 601 ? 279.692 -124.498 195.964 1.0 44.19442  ? 601 TYR F CD2 601 TYR F CD2 1 
ATOM 19067 C CE1 . TYR C 3 601 ? 277.954 -126.336 197.016 1.0 44.19442  ? 601 TYR F CE1 601 TYR F CE1 1 
ATOM 19068 C CE2 . TYR C 3 601 ? 278.383 -124.528 195.532 1.0 44.19442  ? 601 TYR F CE2 601 TYR F CE2 1 
ATOM 19069 C CZ  . TYR C 3 601 ? 277.516 -125.446 196.060 1.0 44.19442  ? 601 TYR F CZ  601 TYR F CZ  1 
ATOM 19070 O OH  . TYR C 3 601 ? 276.213 -125.470 195.628 1.0 44.19442  ? 601 TYR F OH  601 TYR F OH  1 
ATOM 19071 N N   . GLN C 3 602 ? 283.799 -127.175 199.254 1.0 48.06292  ? 602 GLN F N   602 GLN F N   1 
ATOM 19072 C CA  . GLN C 3 602 ? 285.131 -127.374 199.803 1.0 48.06292  ? 602 GLN F CA  602 GLN F CA  1 
ATOM 19073 C C   . GLN C 3 602 ? 286.200 -127.126 198.750 1.0 48.06292  ? 602 GLN F C   602 GLN F C   1 
ATOM 19074 O O   . GLN C 3 602 ? 286.157 -127.704 197.660 1.0 48.06292  ? 602 GLN F O   602 GLN F O   1 
ATOM 19075 C CB  . GLN C 3 602 ? 285.283 -128.782 200.373 1.0 48.06292  ? 602 GLN F CB  602 GLN F CB  1 
ATOM 19076 C CG  . GLN C 3 602 ? 286.633 -129.007 201.032 1.0 48.06292  ? 602 GLN F CG  602 GLN F CG  1 
ATOM 19077 C CD  . GLN C 3 602 ? 286.765 -130.376 201.648 1.0 48.06292  ? 602 GLN F CD  602 GLN F CD  1 
ATOM 19078 O OE1 . GLN C 3 602 ? 285.856 -131.199 201.558 1.0 48.06292  ? 602 GLN F OE1 602 GLN F OE1 1 
ATOM 19079 N NE2 . GLN C 3 602 ? 287.902 -130.631 202.283 1.0 48.06292  ? 602 GLN F NE2 602 GLN F NE2 1 
ATOM 19080 N N   . ILE C 3 603 ? 287.150 -126.262 199.082 1.0 48.54572  ? 603 ILE F N   603 ILE F N   1 
ATOM 19081 C CA  . ILE C 3 603 ? 288.379 -126.107 198.314 1.0 48.54572  ? 603 ILE F CA  603 ILE F CA  1 
ATOM 19082 C C   . ILE C 3 603 ? 289.429 -127.018 198.944 1.0 48.54572  ? 603 ILE F C   603 ILE F C   1 
ATOM 19083 O O   . ILE C 3 603 ? 289.705 -126.877 200.144 1.0 48.54572  ? 603 ILE F O   603 ILE F O   1 
ATOM 19084 C CB  . ILE C 3 603 ? 288.860 -124.654 198.312 1.0 48.54572  ? 603 ILE F CB  603 ILE F CB  1 
ATOM 19085 C CG1 . ILE C 3 603 ? 287.835 -123.748 197.642 1.0 48.54572  ? 603 ILE F CG1 603 ILE F CG1 1 
ATOM 19086 C CG2 . ILE C 3 603 ? 290.199 -124.545 197.620 1.0 48.54572  ? 603 ILE F CG2 603 ILE F CG2 1 
ATOM 19087 C CD1 . ILE C 3 603 ? 288.117 -122.283 197.837 1.0 48.54572  ? 603 ILE F CD1 603 ILE F CD1 1 
ATOM 19088 N N   . PRO C 3 604 ? 290.020 -127.946 198.199 1.0 50.15696  ? 604 PRO F N   604 PRO F N   1 
ATOM 19089 C CA  . PRO C 3 604 ? 291.041 -128.815 198.787 1.0 50.15696  ? 604 PRO F CA  604 PRO F CA  1 
ATOM 19090 C C   . PRO C 3 604 ? 292.322 -128.047 199.064 1.0 50.15696  ? 604 PRO F C   604 PRO F C   1 
ATOM 19091 O O   . PRO C 3 604 ? 292.560 -126.963 198.528 1.0 50.15696  ? 604 PRO F O   604 PRO F O   1 
ATOM 19092 C CB  . PRO C 3 604 ? 291.252 -129.888 197.717 1.0 50.15696  ? 604 PRO F CB  604 PRO F CB  1 
ATOM 19093 C CG  . PRO C 3 604 ? 290.887 -129.215 196.451 1.0 50.15696  ? 604 PRO F CG  604 PRO F CG  1 
ATOM 19094 C CD  . PRO C 3 604 ? 289.777 -128.262 196.783 1.0 50.15696  ? 604 PRO F CD  604 PRO F CD  1 
ATOM 19095 N N   . ALA C 3 605 ? 293.146 -128.625 199.933 1.0 50.94369  ? 605 ALA F N   605 ALA F N   1 
ATOM 19096 C CA  . ALA C 3 605 ? 294.359 -127.960 200.389 1.0 50.94369  ? 605 ALA F CA  605 ALA F CA  1 
ATOM 19097 C C   . ALA C 3 605 ? 295.389 -127.914 199.270 1.0 50.94369  ? 605 ALA F C   605 ALA F C   1 
ATOM 19098 O O   . ALA C 3 605 ? 295.783 -128.955 198.735 1.0 50.94369  ? 605 ALA F O   605 ALA F O   1 
ATOM 19099 C CB  . ALA C 3 605 ? 294.927 -128.679 201.608 1.0 50.94369  ? 605 ALA F CB  605 ALA F CB  1 
ATOM 19100 N N   . GLY C 3 606 ? 295.823 -126.709 198.916 1.0 50.16461  ? 606 GLY F N   606 GLY F N   1 
ATOM 19101 C CA  . GLY C 3 606 ? 296.805 -126.508 197.880 1.0 50.16461  ? 606 GLY F CA  606 GLY F CA  1 
ATOM 19102 C C   . GLY C 3 606 ? 296.238 -126.074 196.545 1.0 50.16461  ? 606 GLY F C   606 GLY F C   1 
ATOM 19103 O O   . GLY C 3 606 ? 296.970 -125.490 195.741 1.0 50.16461  ? 606 GLY F O   606 GLY F O   1 
ATOM 19104 N N   . SER C 3 607 ? 294.963 -126.342 196.287 1.0 50.03666  ? 607 SER F N   607 SER F N   1 
ATOM 19105 C CA  . SER C 3 607 ? 294.379 -125.977 195.009 1.0 50.03666  ? 607 SER F CA  607 SER F CA  1 
ATOM 19106 C C   . SER C 3 607 ? 294.071 -124.486 194.962 1.0 50.03666  ? 607 SER F C   607 SER F C   1 
ATOM 19107 O O   . SER C 3 607 ? 293.963 -123.812 195.988 1.0 50.03666  ? 607 SER F O   607 SER F O   1 
ATOM 19108 C CB  . SER C 3 607 ? 293.106 -126.775 194.743 1.0 50.03666  ? 607 SER F CB  607 SER F CB  1 
ATOM 19109 O OG  . SER C 3 607 ? 292.525 -126.396 193.509 1.0 50.03666  ? 607 SER F OG  607 SER F OG  1 
ATOM 19110 N N   . SER C 3 608 ? 293.921 -123.975 193.740 1.0 49.20206  ? 608 SER F N   608 SER F N   1 
ATOM 19111 C CA  . SER C 3 608 ? 293.672 -122.560 193.524 1.0 49.20206  ? 608 SER F CA  608 SER F CA  1 
ATOM 19112 C C   . SER C 3 608 ? 292.293 -122.256 192.965 1.0 49.20206  ? 608 SER F C   608 SER F C   1 
ATOM 19113 O O   . SER C 3 608 ? 291.854 -121.108 193.058 1.0 49.20206  ? 608 SER F O   608 SER F O   1 
ATOM 19114 C CB  . SER C 3 608 ? 294.722 -121.973 192.571 1.0 49.20206  ? 608 SER F CB  608 SER F CB  1 
ATOM 19115 O OG  . SER C 3 608 ? 296.016 -122.047 193.136 1.0 49.20206  ? 608 SER F OG  608 SER F OG  1 
ATOM 19116 N N   . THR C 3 609 ? 291.609 -123.236 192.382 1.0 49.15671  ? 609 THR F N   609 THR F N   1 
ATOM 19117 C CA  . THR C 3 609 ? 290.319 -123.014 191.751 1.0 49.15671  ? 609 THR F CA  609 THR F CA  1 
ATOM 19118 C C   . THR C 3 609 ? 289.255 -123.910 192.368 1.0 49.15671  ? 609 THR F C   609 THR F C   1 
ATOM 19119 O O   . THR C 3 609 ? 289.551 -124.928 192.997 1.0 49.15671  ? 609 THR F O   609 THR F O   1 
ATOM 19120 C CB  . THR C 3 609 ? 290.378 -123.272 190.240 1.0 49.15671  ? 609 THR F CB  609 THR F CB  1 
ATOM 19121 O OG1 . THR C 3 609 ? 290.771 -124.628 190.000 1.0 49.15671  ? 609 THR F OG1 609 THR F OG1 1 
ATOM 19122 C CG2 . THR C 3 609 ? 291.362 -122.332 189.563 1.0 49.15671  ? 609 THR F CG2 609 THR F CG2 1 
ATOM 19123 N N   . VAL C 3 610 ? 288.004 -123.511 192.166 1.0 45.75459  ? 610 VAL F N   610 VAL F N   1 
ATOM 19124 C CA  . VAL C 3 610 ? 286.839 -124.285 192.577 1.0 45.75459  ? 610 VAL F CA  610 VAL F CA  1 
ATOM 19125 C C   . VAL C 3 610 ? 285.688 -123.910 191.651 1.0 45.75459  ? 610 VAL F C   610 VAL F C   1 
ATOM 19126 O O   . VAL C 3 610 ? 285.560 -122.756 191.231 1.0 45.75459  ? 610 VAL F O   610 VAL F O   1 
ATOM 19127 C CB  . VAL C 3 610 ? 286.523 -124.059 194.076 1.0 45.75459  ? 610 VAL F CB  610 VAL F CB  1 
ATOM 19128 C CG1 . VAL C 3 610 ? 286.244 -122.603 194.367 1.0 45.75459  ? 610 VAL F CG1 610 VAL F CG1 1 
ATOM 19129 C CG2 . VAL C 3 610 ? 285.375 -124.938 194.549 1.0 45.75459  ? 610 VAL F CG2 610 VAL F CG2 1 
ATOM 19130 N N   . VAL C 3 611 ? 284.893 -124.905 191.270 1.0 45.21785  ? 611 VAL F N   611 VAL F N   1 
ATOM 19131 C CA  . VAL C 3 611 ? 283.808 -124.729 190.315 1.0 45.21785  ? 611 VAL F CA  611 VAL F CA  1 
ATOM 19132 C C   . VAL C 3 611 ? 282.502 -125.076 191.008 1.0 45.21785  ? 611 VAL F C   611 VAL F C   1 
ATOM 19133 O O   . VAL C 3 611 ? 282.342 -126.192 191.516 1.0 45.21785  ? 611 VAL F O   611 VAL F O   1 
ATOM 19134 C CB  . VAL C 3 611 ? 284.003 -125.600 189.065 1.0 45.21785  ? 611 VAL F CB  611 VAL F CB  1 
ATOM 19135 C CG1 . VAL C 3 611 ? 282.827 -125.449 188.126 1.0 45.21785  ? 611 VAL F CG1 611 VAL F CG1 1 
ATOM 19136 C CG2 . VAL C 3 611 ? 285.293 -125.234 188.365 1.0 45.21785  ? 611 VAL F CG2 611 VAL F CG2 1 
ATOM 19137 N N   . VAL C 3 612 ? 281.570 -124.128 191.028 1.0 43.5069   ? 612 VAL F N   612 VAL F N   1 
ATOM 19138 C CA  . VAL C 3 612 ? 280.225 -124.405 191.499 1.0 43.5069   ? 612 VAL F CA  612 VAL F CA  1 
ATOM 19139 C C   . VAL C 3 612 ? 279.385 -124.771 190.284 1.0 43.5069   ? 612 VAL F C   612 VAL F C   1 
ATOM 19140 O O   . VAL C 3 612 ? 279.761 -124.514 189.138 1.0 43.5069   ? 612 VAL F O   612 VAL F O   1 
ATOM 19141 C CB  . VAL C 3 612 ? 279.609 -123.213 192.265 1.0 43.5069   ? 612 VAL F CB  612 VAL F CB  1 
ATOM 19142 C CG1 . VAL C 3 612 ? 280.640 -122.555 193.162 1.0 43.5069   ? 612 VAL F CG1 612 VAL F CG1 1 
ATOM 19143 C CG2 . VAL C 3 612 ? 278.955 -122.219 191.341 1.0 43.5069   ? 612 VAL F CG2 612 VAL F CG2 1 
ATOM 19144 N N   . ASN C 3 613 ? 278.241 -125.400 190.521 1.0 44.12482  ? 613 ASN F N   613 ASN F N   1 
ATOM 19145 C CA  . ASN C 3 613 ? 277.391 -125.806 189.412 1.0 44.12482  ? 613 ASN F CA  613 ASN F CA  1 
ATOM 19146 C C   . ASN C 3 613 ? 275.952 -125.819 189.896 1.0 44.12482  ? 613 ASN F C   613 ASN F C   1 
ATOM 19147 O O   . ASN C 3 613 ? 275.639 -126.493 190.881 1.0 44.12482  ? 613 ASN F O   613 ASN F O   1 
ATOM 19148 C CB  . ASN C 3 613 ? 277.805 -127.180 188.892 1.0 44.12482  ? 613 ASN F CB  613 ASN F CB  1 
ATOM 19149 C CG  . ASN C 3 613 ? 277.247 -127.472 187.528 1.0 44.12482  ? 613 ASN F CG  613 ASN F CG  1 
ATOM 19150 O OD1 . ASN C 3 613 ? 276.554 -126.645 186.941 1.0 44.12482  ? 613 ASN F OD1 613 ASN F OD1 1 
ATOM 19151 N ND2 . ASN C 3 613 ? 277.544 -128.655 187.007 1.0 44.12482  ? 613 ASN F ND2 613 ASN F ND2 1 
ATOM 19152 N N   . ILE C 3 614 ? 275.091 -125.073 189.221 1.0 42.92005  ? 614 ILE F N   614 ILE F N   1 
ATOM 19153 C CA  . ILE C 3 614 ? 273.668 -125.016 189.538 1.0 42.92005  ? 614 ILE F CA  614 ILE F CA  1 
ATOM 19154 C C   . ILE C 3 614 ? 272.897 -125.535 188.330 1.0 42.92005  ? 614 ILE F C   614 ILE F C   1 
ATOM 19155 O O   . ILE C 3 614 ? 273.070 -125.008 187.224 1.0 42.92005  ? 614 ILE F O   614 ILE F O   1 
ATOM 19156 C CB  . ILE C 3 614 ? 273.220 -123.593 189.901 1.0 42.92005  ? 614 ILE F CB  614 ILE F CB  1 
ATOM 19157 C CG1 . ILE C 3 614 ? 274.012 -123.076 191.096 1.0 42.92005  ? 614 ILE F CG1 614 ILE F CG1 1 
ATOM 19158 C CG2 . ILE C 3 614 ? 271.742 -123.574 190.220 1.0 42.92005  ? 614 ILE F CG2 614 ILE F CG2 1 
ATOM 19159 C CD1 . ILE C 3 614 ? 273.825 -123.903 192.337 1.0 42.92005  ? 614 ILE F CD1 614 ILE F CD1 1 
ATOM 19160 N N   . PRO C 3 615 ? 272.060 -126.557 188.484 1.0 44.13234  ? 615 PRO F N   615 PRO F N   1 
ATOM 19161 C CA  . PRO C 3 615 ? 271.207 -126.996 187.376 1.0 44.13234  ? 615 PRO F CA  615 PRO F CA  1 
ATOM 19162 C C   . PRO C 3 615 ? 270.139 -125.962 187.058 1.0 44.13234  ? 615 PRO F C   615 PRO F C   1 
ATOM 19163 O O   . PRO C 3 615 ? 269.876 -125.047 187.839 1.0 44.13234  ? 615 PRO F O   615 PRO F O   1 
ATOM 19164 C CB  . PRO C 3 615 ? 270.581 -128.289 187.902 1.0 44.13234  ? 615 PRO F CB  615 PRO F CB  1 
ATOM 19165 C CG  . PRO C 3 615 ? 271.497 -128.739 188.972 1.0 44.13234  ? 615 PRO F CG  615 PRO F CG  1 
ATOM 19166 C CD  . PRO C 3 615 ? 272.010 -127.498 189.611 1.0 44.13234  ? 615 PRO F CD  615 PRO F CD  1 
ATOM 19167 N N   . ASP C 3 616 ? 269.508 -126.135 185.895 1.0 46.86475  ? 616 ASP F N   616 ASP F N   1 
ATOM 19168 C CA  . ASP C 3 616 ? 268.686 -125.076 185.319 1.0 46.86475  ? 616 ASP F CA  616 ASP F CA  1 
ATOM 19169 C C   . ASP C 3 616 ? 267.403 -124.833 186.104 1.0 46.86475  ? 616 ASP F C   616 ASP F C   1 
ATOM 19170 O O   . ASP C 3 616 ? 266.732 -125.769 186.545 1.0 46.86475  ? 616 ASP F O   616 ASP F O   1 
ATOM 19171 C CB  . ASP C 3 616 ? 268.361 -125.377 183.852 1.0 46.86475  ? 616 ASP F CB  616 ASP F CB  1 
ATOM 19172 C CG  . ASP C 3 616 ? 267.712 -126.733 183.645 1.0 46.86475  ? 616 ASP F CG  616 ASP F CG  1 
ATOM 19173 O OD1 . ASP C 3 616 ? 267.703 -127.558 184.576 1.0 46.86475  ? 616 ASP F OD1 616 ASP F OD1 1 
ATOM 19174 O OD2 . ASP C 3 616 ? 267.180 -126.967 182.542 1.0 46.86475  ? 616 ASP F OD2 616 ASP F OD2 1 
ATOM 19175 N N   . ARG C 3 617 ? 267.082 -123.553 186.284 1.0 42.8651   ? 617 ARG F N   617 ARG F N   1 
ATOM 19176 C CA  . ARG C 3 617 ? 265.901 -123.128 187.022 1.0 42.8651   ? 617 ARG F CA  617 ARG F CA  1 
ATOM 19177 C C   . ARG C 3 617 ? 265.619 -121.672 186.694 1.0 42.8651   ? 617 ARG F C   617 ARG F C   1 
ATOM 19178 O O   . ARG C 3 617 ? 266.425 -120.994 186.056 1.0 42.8651   ? 617 ARG F O   617 ARG F O   1 
ATOM 19179 C CB  . ARG C 3 617 ? 266.085 -123.300 188.525 1.0 42.8651   ? 617 ARG F CB  617 ARG F CB  1 
ATOM 19180 C CG  . ARG C 3 617 ? 267.170 -122.455 189.128 1.0 42.8651   ? 617 ARG F CG  617 ARG F CG  1 
ATOM 19181 C CD  . ARG C 3 617 ? 267.218 -122.800 190.570 1.0 42.8651   ? 617 ARG F CD  617 ARG F CD  1 
ATOM 19182 N NE  . ARG C 3 617 ? 265.917 -122.497 191.119 1.0 42.8651   ? 617 ARG F NE  617 ARG F NE  1 
ATOM 19183 C CZ  . ARG C 3 617 ? 265.385 -123.124 192.155 1.0 42.8651   ? 617 ARG F CZ  617 ARG F CZ  1 
ATOM 19184 N NH1 . ARG C 3 617 ? 266.035 -124.106 192.747 1.0 42.8651   ? 617 ARG F NH1 617 ARG F NH1 1 
ATOM 19185 N NH2 . ARG C 3 617 ? 264.175 -122.785 192.577 1.0 42.8651   ? 617 ARG F NH2 617 ARG F NH2 1 
ATOM 19186 N N   . SER C 3 618 ? 264.467 -121.194 187.159 1.0 43.22834  ? 618 SER F N   618 SER F N   1 
ATOM 19187 C CA  . SER C 3 618 ? 264.063 -119.810 186.954 1.0 43.22834  ? 618 SER F CA  618 SER F CA  1 
ATOM 19188 C C   . SER C 3 618 ? 264.674 -118.945 188.041 1.0 43.22834  ? 618 SER F C   618 SER F C   1 
ATOM 19189 O O   . SER C 3 618 ? 264.549 -119.253 189.229 1.0 43.22834  ? 618 SER F O   618 SER F O   1 
ATOM 19190 C CB  . SER C 3 618 ? 262.544 -119.673 186.978 1.0 43.22834  ? 618 SER F CB  618 SER F CB  1 
ATOM 19191 O OG  . SER C 3 618 ? 262.049 -119.944 188.273 1.0 43.22834  ? 618 SER F OG  618 SER F OG  1 
ATOM 19192 N N   . TRP C 3 619 ? 265.330 -117.863 187.633 1.0 39.76164  ? 619 TRP F N   619 TRP F N   1 
ATOM 19193 C CA  . TRP C 3 619 ? 266.049 -116.979 188.546 1.0 39.76164  ? 619 TRP F CA  619 TRP F CA  1 
ATOM 19194 C C   . TRP C 3 619 ? 265.284 -115.693 188.811 1.0 39.76164  ? 619 TRP F C   619 TRP F C   1 
ATOM 19195 O O   . TRP C 3 619 ? 265.879 -114.620 188.901 1.0 39.76164  ? 619 TRP F O   619 TRP F O   1 
ATOM 19196 C CB  . TRP C 3 619 ? 267.433 -116.675 187.991 1.0 39.76164  ? 619 TRP F CB  619 TRP F CB  1 
ATOM 19197 C CG  . TRP C 3 619 ? 268.314 -117.869 187.938 1.0 39.76164  ? 619 TRP F CG  619 TRP F CG  1 
ATOM 19198 C CD1 . TRP C 3 619 ? 268.465 -118.721 186.892 1.0 39.76164  ? 619 TRP F CD1 619 TRP F CD1 1 
ATOM 19199 C CD2 . TRP C 3 619 ? 269.190 -118.336 188.965 1.0 39.76164  ? 619 TRP F CD2 619 TRP F CD2 1 
ATOM 19200 N NE1 . TRP C 3 619 ? 269.369 -119.700 187.205 1.0 39.76164  ? 619 TRP F NE1 619 TRP F NE1 1 
ATOM 19201 C CE2 . TRP C 3 619 ? 269.831 -119.483 188.475 1.0 39.76164  ? 619 TRP F CE2 619 TRP F CE2 1 
ATOM 19202 C CE3 . TRP C 3 619 ? 269.490 -117.898 190.254 1.0 39.76164  ? 619 TRP F CE3 619 TRP F CE3 1 
ATOM 19203 C CZ2 . TRP C 3 619 ? 270.751 -120.198 189.225 1.0 39.76164  ? 619 TRP F CZ2 619 TRP F CZ2 1 
ATOM 19204 C CZ3 . TRP C 3 619 ? 270.405 -118.610 190.997 1.0 39.76164  ? 619 TRP F CZ3 619 TRP F CZ3 1 
ATOM 19205 C CH2 . TRP C 3 619 ? 271.025 -119.746 190.481 1.0 39.76164  ? 619 TRP F CH2 619 TRP F CH2 1 
ATOM 19206 N N   . GLY C 3 620 ? 263.962 -115.767 188.916 1.0 40.60274  ? 620 GLY F N   620 GLY F N   1 
ATOM 19207 C CA  . GLY C 3 620 ? 263.189 -114.590 189.253 1.0 40.60274  ? 620 GLY F CA  620 GLY F CA  1 
ATOM 19208 C C   . GLY C 3 620 ? 263.349 -114.214 190.712 1.0 40.60274  ? 620 GLY F C   620 GLY F C   1 
ATOM 19209 O O   . GLY C 3 620 ? 263.454 -115.073 191.585 1.0 40.60274  ? 620 GLY F O   620 GLY F O   1 
ATOM 19210 N N   . ALA C 3 621 ? 263.361 -112.897 190.958 1.0 40.51119  ? 621 ALA F N   621 ALA F N   1 
ATOM 19211 C CA  . ALA C 3 621 ? 263.618 -112.288 192.272 1.0 40.51119  ? 621 ALA F CA  621 ALA F CA  1 
ATOM 19212 C C   . ALA C 3 621 ? 264.940 -112.761 192.864 1.0 40.51119  ? 621 ALA F C   621 ALA F C   1 
ATOM 19213 O O   . ALA C 3 621 ? 265.017 -113.172 194.020 1.0 40.51119  ? 621 ALA F O   621 ALA F O   1 
ATOM 19214 C CB  . ALA C 3 621 ? 262.468 -112.533 193.252 1.0 40.51119  ? 621 ALA F CB  621 ALA F CB  1 
ATOM 19215 N N   . PHE C 3 622 ? 265.987 -112.721 192.055 1.0 37.21251  ? 622 PHE F N   622 PHE F N   1 
ATOM 19216 C CA  . PHE C 3 622 ? 267.328 -113.054 192.500 1.0 37.21251  ? 622 PHE F CA  622 PHE F CA  1 
ATOM 19217 C C   . PHE C 3 622 ? 268.066 -111.762 192.819 1.0 37.21251  ? 622 PHE F C   622 PHE F C   1 
ATOM 19218 O O   . PHE C 3 622 ? 268.190 -110.888 191.957 1.0 37.21251  ? 622 PHE F O   622 PHE F O   1 
ATOM 19219 C CB  . PHE C 3 622 ? 268.060 -113.857 191.426 1.0 37.21251  ? 622 PHE F CB  622 PHE F CB  1 
ATOM 19220 C CG  . PHE C 3 622 ? 269.417 -114.320 191.835 1.0 37.21251  ? 622 PHE F CG  622 PHE F CG  1 
ATOM 19221 C CD1 . PHE C 3 622 ? 269.563 -115.339 192.753 1.0 37.21251  ? 622 PHE F CD1 622 PHE F CD1 1 
ATOM 19222 C CD2 . PHE C 3 622 ? 270.546 -113.753 191.286 1.0 37.21251  ? 622 PHE F CD2 622 PHE F CD2 1 
ATOM 19223 C CE1 . PHE C 3 622 ? 270.810 -115.768 193.128 1.0 37.21251  ? 622 PHE F CE1 622 PHE F CE1 1 
ATOM 19224 C CE2 . PHE C 3 622 ? 271.793 -114.181 191.657 1.0 37.21251  ? 622 PHE F CE2 622 PHE F CE2 1 
ATOM 19225 C CZ  . PHE C 3 622 ? 271.926 -115.188 192.578 1.0 37.21251  ? 622 PHE F CZ  622 PHE F CZ  1 
ATOM 19226 N N   . ARG C 3 623 ? 268.537 -111.633 194.059 1.0 37.08574  ? 623 ARG F N   623 ARG F N   1 
ATOM 19227 C CA  . ARG C 3 623 ? 269.173 -110.392 194.483 1.0 37.08574  ? 623 ARG F CA  623 ARG F CA  1 
ATOM 19228 C C   . ARG C 3 623 ? 270.629 -110.291 194.045 1.0 37.08574  ? 623 ARG F C   623 ARG F C   1 
ATOM 19229 O O   . ARG C 3 623 ? 271.062 -109.225 193.601 1.0 37.08574  ? 623 ARG F O   623 ARG F O   1 
ATOM 19230 C CB  . ARG C 3 623 ? 269.078 -110.231 196.003 1.0 37.08574  ? 623 ARG F CB  623 ARG F CB  1 
ATOM 19231 C CG  . ARG C 3 623 ? 267.674 -109.964 196.516 1.0 37.08574  ? 623 ARG F CG  623 ARG F CG  1 
ATOM 19232 C CD  . ARG C 3 623 ? 267.658 -109.572 197.989 1.0 37.08574  ? 623 ARG F CD  623 ARG F CD  1 
ATOM 19233 N NE  . ARG C 3 623 ? 268.035 -110.662 198.875 1.0 37.08574  ? 623 ARG F NE  623 ARG F NE  1 
ATOM 19234 C CZ  . ARG C 3 623 ? 269.123 -110.650 199.636 1.0 37.08574  ? 623 ARG F CZ  623 ARG F CZ  1 
ATOM 19235 N NH1 . ARG C 3 623 ? 269.931 -109.606 199.616 1.0 37.08574  ? 623 ARG F NH1 623 ARG F NH1 1 
ATOM 19236 N NH2 . ARG C 3 623 ? 269.405 -111.681 200.421 1.0 37.08574  ? 623 ARG F NH2 623 ARG F NH2 1 
ATOM 19237 N N   . GLY C 3 624 ? 271.400 -111.361 194.162 1.0 36.54872  ? 624 GLY F N   624 GLY F N   1 
ATOM 19238 C CA  . GLY C 3 624 ? 272.795 -111.311 193.780 1.0 36.54872  ? 624 GLY F CA  624 GLY F CA  1 
ATOM 19239 C C   . GLY C 3 624 ? 273.587 -112.397 194.480 1.0 36.54872  ? 624 GLY F C   624 GLY F C   1 
ATOM 19240 O O   . GLY C 3 624 ? 273.028 -113.320 195.064 1.0 36.54872  ? 624 GLY F O   624 GLY F O   1 
ATOM 19241 N N   . TRP C 3 625 ? 274.907 -112.265 194.395 1.0 36.2171   ? 625 TRP F N   625 TRP F N   1 
ATOM 19242 C CA  . TRP C 3 625 ? 275.835 -113.205 195.000 1.0 36.2171   ? 625 TRP F CA  625 TRP F CA  1 
ATOM 19243 C C   . TRP C 3 625 ? 276.628 -112.515 196.096 1.0 36.2171   ? 625 TRP F C   625 TRP F C   1 
ATOM 19244 O O   . TRP C 3 625 ? 276.784 -111.293 196.091 1.0 36.2171   ? 625 TRP F O   625 TRP F O   1 
ATOM 19245 C CB  . TRP C 3 625 ? 276.815 -113.775 193.973 1.0 36.2171   ? 625 TRP F CB  625 TRP F CB  1 
ATOM 19246 C CG  . TRP C 3 625 ? 276.181 -114.624 192.949 1.0 36.2171   ? 625 TRP F CG  625 TRP F CG  1 
ATOM 19247 C CD1 . TRP C 3 625 ? 275.979 -115.961 193.013 1.0 36.2171   ? 625 TRP F CD1 625 TRP F CD1 1 
ATOM 19248 C CD2 . TRP C 3 625 ? 275.660 -114.197 191.690 1.0 36.2171   ? 625 TRP F CD2 625 TRP F CD2 1 
ATOM 19249 N NE1 . TRP C 3 625 ? 275.362 -116.400 191.873 1.0 36.2171   ? 625 TRP F NE1 625 TRP F NE1 1 
ATOM 19250 C CE2 . TRP C 3 625 ? 275.155 -115.332 191.044 1.0 36.2171   ? 625 TRP F CE2 625 TRP F CE2 1 
ATOM 19251 C CE3 . TRP C 3 625 ? 275.570 -112.962 191.049 1.0 36.2171   ? 625 TRP F CE3 625 TRP F CE3 1 
ATOM 19252 C CZ2 . TRP C 3 625 ? 274.570 -115.272 189.788 1.0 36.2171   ? 625 TRP F CZ2 625 TRP F CZ2 1 
ATOM 19253 C CZ3 . TRP C 3 625 ? 274.986 -112.904 189.807 1.0 36.2171   ? 625 TRP F CZ3 625 TRP F CZ3 1 
ATOM 19254 C CH2 . TRP C 3 625 ? 274.496 -114.049 189.187 1.0 36.2171   ? 625 TRP F CH2 625 TRP F CH2 1 
ATOM 19255 N N   . SER C 3 626 ? 277.143 -113.319 197.024 1.0 36.20148  ? 626 SER F N   626 SER F N   1 
ATOM 19256 C CA  . SER C 3 626 ? 278.106 -112.849 198.010 1.0 36.20148  ? 626 SER F CA  626 SER F CA  1 
ATOM 19257 C C   . SER C 3 626 ? 278.888 -114.032 198.563 1.0 36.20148  ? 626 SER F C   626 SER F C   1 
ATOM 19258 O O   . SER C 3 626 ? 278.320 -115.101 198.781 1.0 36.20148  ? 626 SER F O   626 SER F O   1 
ATOM 19259 C CB  . SER C 3 626 ? 277.431 -112.056 199.134 1.0 36.20148  ? 626 SER F CB  626 SER F CB  1 
ATOM 19260 O OG  . SER C 3 626 ? 276.450 -112.815 199.786 1.0 36.20148  ? 626 SER F OG  626 SER F OG  1 
ATOM 19261 N N   . PHE C 3 627 ? 280.187 -113.839 198.789 1.0 38.66824  ? 627 PHE F N   627 PHE F N   1 
ATOM 19262 C CA  . PHE C 3 627 ? 281.066 -114.981 199.009 1.0 38.66824  ? 627 PHE F CA  627 PHE F CA  1 
ATOM 19263 C C   . PHE C 3 627 ? 282.312 -114.570 199.784 1.0 38.66824  ? 627 PHE F C   627 PHE F C   1 
ATOM 19264 O O   . PHE C 3 627 ? 282.731 -113.411 199.748 1.0 38.66824  ? 627 PHE F O   627 PHE F O   1 
ATOM 19265 C CB  . PHE C 3 627 ? 281.442 -115.638 197.675 1.0 38.66824  ? 627 PHE F CB  627 PHE F CB  1 
ATOM 19266 C CG  . PHE C 3 627 ? 282.188 -114.735 196.729 1.0 38.66824  ? 627 PHE F CG  627 PHE F CG  1 
ATOM 19267 C CD1 . PHE C 3 627 ? 281.506 -113.912 195.849 1.0 38.66824  ? 627 PHE F CD1 627 PHE F CD1 1 
ATOM 19268 C CD2 . PHE C 3 627 ? 283.571 -114.744 196.686 1.0 38.66824  ? 627 PHE F CD2 627 PHE F CD2 1 
ATOM 19269 C CE1 . PHE C 3 627 ? 282.187 -113.092 194.982 1.0 38.66824  ? 627 PHE F CE1 627 PHE F CE1 1 
ATOM 19270 C CE2 . PHE C 3 627 ? 284.254 -113.926 195.820 1.0 38.66824  ? 627 PHE F CE2 627 PHE F CE2 1 
ATOM 19271 C CZ  . PHE C 3 627 ? 283.562 -113.102 194.967 1.0 38.66824  ? 627 PHE F CZ  627 PHE F CZ  1 
ATOM 19272 N N   . THR C 3 628 ? 282.904 -115.551 200.478 1.0 40.85883  ? 628 THR F N   628 THR F N   1 
ATOM 19273 C CA  . THR C 3 628 ? 284.105 -115.440 201.307 1.0 40.85883  ? 628 THR F CA  628 THR F CA  1 
ATOM 19274 C C   . THR C 3 628 ? 284.581 -116.845 201.661 1.0 40.85883  ? 628 THR F C   628 THR F C   1 
ATOM 19275 O O   . THR C 3 628 ? 283.761 -117.709 201.968 1.0 40.85883  ? 628 THR F O   628 THR F O   1 
ATOM 19276 C CB  . THR C 3 628 ? 283.831 -114.631 202.589 1.0 40.85883  ? 628 THR F CB  628 THR F CB  1 
ATOM 19277 O OG1 . THR C 3 628 ? 283.529 -113.278 202.244 1.0 40.85883  ? 628 THR F OG1 628 THR F OG1 1 
ATOM 19278 C CG2 . THR C 3 628 ? 285.011 -114.614 203.541 1.0 40.85883  ? 628 THR F CG2 628 THR F CG2 1 
ATOM 19279 N N   . ARG C 3 629 ? 285.894 -117.076 201.597 1.0 43.31583  ? 629 ARG F N   629 ARG F N   1 
ATOM 19280 C CA  . ARG C 3 629 ? 286.460 -118.346 202.034 1.0 43.31583  ? 629 ARG F CA  629 ARG F CA  1 
ATOM 19281 C C   . ARG C 3 629 ? 286.386 -118.500 203.547 1.0 43.31583  ? 629 ARG F C   629 ARG F C   1 
ATOM 19282 O O   . ARG C 3 629 ? 286.448 -117.527 204.299 1.0 43.31583  ? 629 ARG F O   629 ARG F O   1 
ATOM 19283 C CB  . ARG C 3 629 ? 287.917 -118.465 201.608 1.0 43.31583  ? 629 ARG F CB  629 ARG F CB  1 
ATOM 19284 C CG  . ARG C 3 629 ? 288.119 -118.555 200.129 1.0 43.31583  ? 629 ARG F CG  629 ARG F CG  1 
ATOM 19285 C CD  . ARG C 3 629 ? 289.580 -118.670 199.795 1.0 43.31583  ? 629 ARG F CD  629 ARG F CD  1 
ATOM 19286 N NE  . ARG C 3 629 ? 290.136 -119.935 200.243 1.0 43.31583  ? 629 ARG F NE  629 ARG F NE  1 
ATOM 19287 C CZ  . ARG C 3 629 ? 291.422 -120.239 200.167 1.0 43.31583  ? 629 ARG F CZ  629 ARG F CZ  1 
ATOM 19288 N NH1 . ARG C 3 629 ? 292.280 -119.366 199.664 1.0 43.31583  ? 629 ARG F NH1 629 ARG F NH1 1 
ATOM 19289 N NH2 . ARG C 3 629 ? 291.855 -121.413 200.591 1.0 43.31583  ? 629 ARG F NH2 629 ARG F NH2 1 
ATOM 19290 N N   . LEU C 3 630 ? 286.281 -119.751 203.989 1.0 43.07354  ? 630 LEU F N   630 LEU F N   1 
ATOM 19291 C CA  . LEU C 3 630 ? 286.309 -120.097 205.401 1.0 43.07354  ? 630 LEU F CA  630 LEU F CA  1 
ATOM 19292 C C   . LEU C 3 630 ? 287.188 -121.321 205.584 1.0 43.07354  ? 630 LEU F C   630 LEU F C   1 
ATOM 19293 O O   . LEU C 3 630 ? 287.232 -122.189 204.715 1.0 43.07354  ? 630 LEU F O   630 LEU F O   1 
ATOM 19294 C CB  . LEU C 3 630 ? 284.923 -120.425 205.943 1.0 43.07354  ? 630 LEU F CB  630 LEU F CB  1 
ATOM 19295 C CG  . LEU C 3 630 ? 283.823 -119.380 205.898 1.0 43.07354  ? 630 LEU F CG  630 LEU F CG  1 
ATOM 19296 C CD1 . LEU C 3 630 ? 282.575 -120.013 206.450 1.0 43.07354  ? 630 LEU F CD1 630 LEU F CD1 1 
ATOM 19297 C CD2 . LEU C 3 630 ? 284.198 -118.154 206.682 1.0 43.07354  ? 630 LEU F CD2 630 LEU F CD2 1 
ATOM 19298 N N   . LYS C 3 631 ? 287.867 -121.403 206.723 1.0 44.71836  ? 631 LYS F N   631 LYS F N   1 
ATOM 19299 C CA  . LYS C 3 631 ? 288.647 -122.596 207.018 1.0 44.71836  ? 631 LYS F CA  631 LYS F CA  1 
ATOM 19300 C C   . LYS C 3 631 ? 287.734 -123.756 207.394 1.0 44.71836  ? 631 LYS F C   631 LYS F C   1 
ATOM 19301 O O   . LYS C 3 631 ? 286.653 -123.567 207.955 1.0 44.71836  ? 631 LYS F O   631 LYS F O   1 
ATOM 19302 C CB  . LYS C 3 631 ? 289.637 -122.334 208.149 1.0 44.71836  ? 631 LYS F CB  631 LYS F CB  1 
ATOM 19303 C CG  . LYS C 3 631 ? 290.774 -121.406 207.793 1.0 44.71836  ? 631 LYS F CG  631 LYS F CG  1 
ATOM 19304 C CD  . LYS C 3 631 ? 291.743 -121.290 208.950 1.0 44.71836  ? 631 LYS F CD  631 LYS F CD  1 
ATOM 19305 C CE  . LYS C 3 631 ? 292.856 -120.318 208.637 1.0 44.71836  ? 631 LYS F CE  631 LYS F CE  1 
ATOM 19306 N NZ  . LYS C 3 631 ? 293.807 -120.177 209.769 1.0 44.71836  ? 631 LYS F NZ  631 LYS F NZ  1 
ATOM 19307 N N   . VAL C 3 632 ? 288.180 -124.973 207.074 1.0 46.02025  ? 632 VAL F N   632 VAL F N   1 
ATOM 19308 C CA  . VAL C 3 632 ? 287.402 -126.162 207.407 1.0 46.02025  ? 632 VAL F CA  632 VAL F CA  1 
ATOM 19309 C C   . VAL C 3 632 ? 287.472 -126.443 208.901 1.0 46.02025  ? 632 VAL F C   632 VAL F C   1 
ATOM 19310 O O   . VAL C 3 632 ? 286.467 -126.801 209.529 1.0 46.02025  ? 632 VAL F O   632 VAL F O   1 
ATOM 19311 C CB  . VAL C 3 632 ? 287.881 -127.360 206.563 1.0 46.02025  ? 632 VAL F CB  632 VAL F CB  1 
ATOM 19312 C CG1 . VAL C 3 632 ? 287.294 -128.675 207.049 1.0 46.02025  ? 632 VAL F CG1 632 VAL F CG1 1 
ATOM 19313 C CG2 . VAL C 3 632 ? 287.480 -127.156 205.125 1.0 46.02025  ? 632 VAL F CG2 632 VAL F CG2 1 
ATOM 19314 N N   . SER C 3 633 ? 288.641 -126.231 209.509 1.0 46.90692  ? 633 SER F N   633 SER F N   1 
ATOM 19315 C CA  . SER C 3 633 ? 288.804 -126.503 210.932 1.0 46.90692  ? 633 SER F CA  633 SER F CA  1 
ATOM 19316 C C   . SER C 3 633 ? 288.069 -125.501 211.810 1.0 46.90692  ? 633 SER F C   633 SER F C   1 
ATOM 19317 O O   . SER C 3 633 ? 287.883 -125.766 212.999 1.0 46.90692  ? 633 SER F O   633 SER F O   1 
ATOM 19318 C CB  . SER C 3 633 ? 290.284 -126.507 211.295 1.0 46.90692  ? 633 SER F CB  633 SER F CB  1 
ATOM 19319 O OG  . SER C 3 633 ? 290.834 -125.210 211.171 1.0 46.90692  ? 633 SER F OG  633 SER F OG  1 
ATOM 19320 N N   . GLU C 3 634 ? 287.645 -124.366 211.256 1.0 45.68041  ? 634 GLU F N   634 GLU F N   1 
ATOM 19321 C CA  . GLU C 3 634 ? 286.928 -123.345 212.006 1.0 45.68041  ? 634 GLU F CA  634 GLU F CA  1 
ATOM 19322 C C   . GLU C 3 634 ? 285.469 -123.232 211.585 1.0 45.68041  ? 634 GLU F C   634 GLU F C   1 
ATOM 19323 O O   . GLU C 3 634 ? 284.824 -122.222 211.870 1.0 45.68041  ? 634 GLU F O   634 GLU F O   1 
ATOM 19324 C CB  . GLU C 3 634 ? 287.622 -121.994 211.847 1.0 45.68041  ? 634 GLU F CB  634 GLU F CB  1 
ATOM 19325 C CG  . GLU C 3 634 ? 289.025 -121.950 212.411 1.0 45.68041  ? 634 GLU F CG  634 GLU F CG  1 
ATOM 19326 C CD  . GLU C 3 634 ? 289.680 -120.598 212.235 1.0 45.68041  ? 634 GLU F CD  634 GLU F CD  1 
ATOM 19327 O OE1 . GLU C 3 634 ? 289.086 -119.731 211.564 1.0 45.68041  ? 634 GLU F OE1 634 GLU F OE1 1 
ATOM 19328 O OE2 . GLU C 3 634 ? 290.789 -120.400 212.771 1.0 45.68041  ? 634 GLU F OE2 634 GLU F OE2 1 
ATOM 19329 N N   . THR C 3 635 ? 284.935 -124.241 210.901 1.0 46.00991  ? 635 THR F N   635 THR F N   1 
ATOM 19330 C CA  . THR C 3 635 ? 283.552 -124.220 210.437 1.0 46.00991  ? 635 THR F CA  635 THR F CA  1 
ATOM 19331 C C   . THR C 3 635 ? 282.872 -125.513 210.863 1.0 46.00991  ? 635 THR F C   635 THR F C   1 
ATOM 19332 O O   . THR C 3 635 ? 283.306 -126.605 210.444 1.0 46.00991  ? 635 THR F O   635 THR F O   1 
ATOM 19333 C CB  . THR C 3 635 ? 283.471 -124.037 208.923 1.0 46.00991  ? 635 THR F CB  635 THR F CB  1 
ATOM 19334 O OG1 . THR C 3 635 ? 284.010 -122.759 208.570 1.0 46.00991  ? 635 THR F OG1 635 THR F OG1 1 
ATOM 19335 C CG2 . THR C 3 635 ? 282.034 -124.121 208.454 1.0 46.00991  ? 635 THR F CG2 635 THR F CG2 1 
ATOM 19336 N N   . PRO C 3 636 ? 281.825 -125.450 211.675 1.0 48.10492  ? 636 PRO F N   636 PRO F N   1 
ATOM 19337 C CA  . PRO C 3 636 ? 281.206 -126.678 212.177 1.0 48.10492  ? 636 PRO F CA  636 PRO F CA  1 
ATOM 19338 C C   . PRO C 3 636 ? 280.132 -127.217 211.252 1.0 48.10492  ? 636 PRO F C   636 PRO F C   1 
ATOM 19339 O O   . PRO C 3 636 ? 279.894 -126.674 210.171 1.0 48.10492  ? 636 PRO F O   636 PRO F O   1 
ATOM 19340 C CB  . PRO C 3 636 ? 280.605 -126.230 213.507 1.0 48.10492  ? 636 PRO F CB  636 PRO F CB  1 
ATOM 19341 C CG  . PRO C 3 636 ? 280.241 -124.816 213.258 1.0 48.10492  ? 636 PRO F CG  636 PRO F CG  1 
ATOM 19342 C CD  . PRO C 3 636 ? 281.289 -124.257 212.345 1.0 48.10492  ? 636 PRO F CD  636 PRO F CD  1 
ATOM 19343 N N   . ARG C 3 637 ? 279.472 -128.287 211.678 1.0 52.87851  ? 637 ARG F N   637 ARG F N   1 
ATOM 19344 C CA  . ARG C 3 637 ? 278.312 -128.837 210.988 1.0 52.87851  ? 637 ARG F CA  637 ARG F CA  1 
ATOM 19345 C C   . ARG C 3 637 ? 277.099 -128.636 211.884 1.0 52.87851  ? 637 ARG F C   637 ARG F C   1 
ATOM 19346 O O   . ARG C 3 637 ? 276.915 -129.365 212.864 1.0 52.87851  ? 637 ARG F O   637 ARG F O   1 
ATOM 19347 C CB  . ARG C 3 637 ? 278.518 -130.310 210.660 1.0 52.87851  ? 637 ARG F CB  637 ARG F CB  1 
ATOM 19348 C CG  . ARG C 3 637 ? 279.663 -130.550 209.713 1.0 52.87851  ? 637 ARG F CG  637 ARG F CG  1 
ATOM 19349 C CD  . ARG C 3 637 ? 279.342 -129.984 208.347 1.0 52.87851  ? 637 ARG F CD  637 ARG F CD  1 
ATOM 19350 N NE  . ARG C 3 637 ? 280.404 -130.256 207.389 1.0 52.87851  ? 637 ARG F NE  637 ARG F NE  1 
ATOM 19351 C CZ  . ARG C 3 637 ? 280.400 -129.831 206.132 1.0 52.87851  ? 637 ARG F CZ  637 ARG F CZ  1 
ATOM 19352 N NH1 . ARG C 3 637 ? 279.385 -129.110 205.676 1.0 52.87851  ? 637 ARG F NH1 637 ARG F NH1 1 
ATOM 19353 N NH2 . ARG C 3 637 ? 281.414 -130.126 205.331 1.0 52.87851  ? 637 ARG F NH2 637 ARG F NH2 1 
ATOM 19354 N N   . ILE C 3 638 ? 276.277 -127.647 211.547 1.0 50.41669  ? 638 ILE F N   638 ILE F N   1 
ATOM 19355 C CA  . ILE C 3 638 ? 275.119 -127.332 212.371 1.0 50.41669  ? 638 ILE F CA  638 ILE F CA  1 
ATOM 19356 C C   . ILE C 3 638 ? 274.018 -128.374 212.182 1.0 50.41669  ? 638 ILE F C   638 ILE F C   1 
ATOM 19357 O O   . ILE C 3 638 ? 273.260 -128.660 213.117 1.0 50.41669  ? 638 ILE F O   638 ILE F O   1 
ATOM 19358 C CB  . ILE C 3 638 ? 274.646 -125.909 212.032 1.0 50.41669  ? 638 ILE F CB  638 ILE F CB  1 
ATOM 19359 C CG1 . ILE C 3 638 ? 275.792 -124.925 212.222 1.0 50.41669  ? 638 ILE F CG1 638 ILE F CG1 1 
ATOM 19360 C CG2 . ILE C 3 638 ? 273.504 -125.461 212.922 1.0 50.41669  ? 638 ILE F CG2 638 ILE F CG2 1 
ATOM 19361 C CD1 . ILE C 3 638 ? 275.490 -123.570 211.658 1.0 50.41669  ? 638 ILE F CD1 638 ILE F CD1 1 
ATOM 19362 N N   . GLY C 3 639 ? 273.947 -128.992 210.999 1.0 51.30703  ? 639 GLY F N   639 GLY F N   1 
ATOM 19363 C CA  . GLY C 3 639 ? 272.889 -129.939 210.680 1.0 51.30703  ? 639 GLY F CA  639 GLY F CA  1 
ATOM 19364 C C   . GLY C 3 639 ? 272.898 -131.212 211.502 1.0 51.30703  ? 639 GLY F C   639 GLY F C   1 
ATOM 19365 O O   . GLY C 3 639 ? 271.865 -131.882 211.595 1.0 51.30703  ? 639 GLY F O   639 GLY F O   1 
ATOM 19366 N N   . ALA C 3 640 ? 274.029 -131.562 212.097 1.0 53.27057  ? 640 ALA F N   640 ALA F N   1 
ATOM 19367 C CA  . ALA C 3 640 ? 274.078 -132.689 213.011 1.0 53.27057  ? 640 ALA F CA  640 ALA F CA  1 
ATOM 19368 C C   . ALA C 3 640 ? 273.846 -132.214 214.439 1.0 53.27057  ? 640 ALA F C   640 ALA F C   1 
ATOM 19369 O O   . ALA C 3 640 ? 273.977 -131.030 214.753 1.0 53.27057  ? 640 ALA F O   640 ALA F O   1 
ATOM 19370 C CB  . ALA C 3 640 ? 275.419 -133.414 212.908 1.0 53.27057  ? 640 ALA F CB  640 ALA F CB  1 
ATOM 19371 N N   . THR C 3 641 ? 273.497 -133.161 215.313 1.0 50.39412  ? 641 THR F N   641 THR F N   1 
ATOM 19372 C CA  . THR C 3 641 ? 273.331 -132.831 216.723 1.0 50.39412  ? 641 THR F CA  641 THR F CA  1 
ATOM 19373 C C   . THR C 3 641 ? 274.663 -132.607 217.424 1.0 50.39412  ? 641 THR F C   641 THR F C   1 
ATOM 19374 O O   . THR C 3 641 ? 274.686 -132.007 218.503 1.0 50.39412  ? 641 THR F O   641 THR F O   1 
ATOM 19375 C CB  . THR C 3 641 ? 272.544 -133.926 217.446 1.0 50.39412  ? 641 THR F CB  641 THR F CB  1 
ATOM 19376 O OG1 . THR C 3 641 ? 272.295 -133.521 218.795 1.0 50.39412  ? 641 THR F OG1 641 THR F OG1 1 
ATOM 19377 C CG2 . THR C 3 641 ? 273.307 -135.236 217.452 1.0 50.39412  ? 641 THR F CG2 641 THR F CG2 1 
ATOM 19378 N N   . GLN C 3 642 ? 275.765 -133.054 216.825 1.0 54.85522  ? 642 GLN F N   642 GLN F N   1 
ATOM 19379 C CA  . GLN C 3 642 ? 277.089 -132.941 217.426 1.0 54.85522  ? 642 GLN F CA  642 GLN F CA  1 
ATOM 19380 C C   . GLN C 3 642 ? 278.099 -133.142 216.311 1.0 54.85522  ? 642 GLN F C   642 GLN F C   1 
ATOM 19381 O O   . GLN C 3 642 ? 278.021 -134.140 215.589 1.0 54.85522  ? 642 GLN F O   642 GLN F O   1 
ATOM 19382 C CB  . GLN C 3 642 ? 277.275 -133.984 218.534 1.0 54.85522  ? 642 GLN F CB  642 GLN F CB  1 
ATOM 19383 C CG  . GLN C 3 642 ? 278.467 -133.766 219.455 1.0 54.85522  ? 642 GLN F CG  642 GLN F CG  1 
ATOM 19384 C CD  . GLN C 3 642 ? 279.767 -134.279 218.885 1.0 54.85522  ? 642 GLN F CD  642 GLN F CD  1 
ATOM 19385 O OE1 . GLN C 3 642 ? 280.762 -133.560 218.851 1.0 54.85522  ? 642 GLN F OE1 642 GLN F OE1 1 
ATOM 19386 N NE2 . GLN C 3 642 ? 279.763 -135.522 218.420 1.0 54.85522  ? 642 GLN F NE2 642 GLN F NE2 1 
ATOM 19387 N N   . ASP C 3 643 ? 279.034 -132.205 216.164 1.0 55.98441  ? 643 ASP F N   643 ASP F N   1 
ATOM 19388 C CA  . ASP C 3 643 ? 280.075 -132.321 215.153 1.0 55.98441  ? 643 ASP F CA  643 ASP F CA  1 
ATOM 19389 C C   . ASP C 3 643 ? 281.329 -132.862 215.825 1.0 55.98441  ? 643 ASP F C   643 ASP F C   1 
ATOM 19390 O O   . ASP C 3 643 ? 281.982 -132.122 216.577 1.0 55.98441  ? 643 ASP F O   643 ASP F O   1 
ATOM 19391 C CB  . ASP C 3 643 ? 280.351 -130.971 214.508 1.0 55.98441  ? 643 ASP F CB  643 ASP F CB  1 
ATOM 19392 C CG  . ASP C 3 643 ? 281.118 -131.090 213.204 1.0 55.98441  ? 643 ASP F CG  643 ASP F CG  1 
ATOM 19393 O OD1 . ASP C 3 643 ? 281.417 -132.226 212.784 1.0 55.98441  ? 643 ASP F OD1 643 ASP F OD1 1 
ATOM 19394 O OD2 . ASP C 3 643 ? 281.422 -130.044 212.594 1.0 55.98441  ? 643 ASP F OD2 643 ASP F OD2 1 
ATOM 19395 N N   . PRO C 3 644 ? 281.701 -134.127 215.607 1.0 53.67927  ? 644 PRO F N   644 PRO F N   1 
ATOM 19396 C CA  . PRO C 3 644 ? 282.884 -134.665 216.287 1.0 53.67927  ? 644 PRO F CA  644 PRO F CA  1 
ATOM 19397 C C   . PRO C 3 644 ? 284.195 -134.211 215.677 1.0 53.67927  ? 644 PRO F C   644 PRO F C   1 
ATOM 19398 O O   . PRO C 3 644 ? 285.221 -134.237 216.370 1.0 53.67927  ? 644 PRO F O   644 PRO F O   1 
ATOM 19399 C CB  . PRO C 3 644 ? 282.708 -136.179 216.140 1.0 53.67927  ? 644 PRO F CB  644 PRO F CB  1 
ATOM 19400 C CG  . PRO C 3 644 ? 281.953 -136.323 214.871 1.0 53.67927  ? 644 PRO F CG  644 PRO F CG  1 
ATOM 19401 C CD  . PRO C 3 644 ? 281.029 -135.143 214.784 1.0 53.67927  ? 644 PRO F CD  644 PRO F CD  1 
ATOM 19402 N N   . ASN C 3 645 ? 284.197 -133.788 214.415 1.0 55.32969  ? 645 ASN F N   645 ASN F N   1 
ATOM 19403 C CA  . ASN C 3 645 ? 285.399 -133.318 213.743 1.0 55.32969  ? 645 ASN F CA  645 ASN F CA  1 
ATOM 19404 C C   . ASN C 3 645 ? 285.682 -131.846 213.999 1.0 55.32969  ? 645 ASN F C   645 ASN F C   1 
ATOM 19405 O O   . ASN C 3 645 ? 286.534 -131.265 213.321 1.0 55.32969  ? 645 ASN F O   645 ASN F O   1 
ATOM 19406 C CB  . ASN C 3 645 ? 285.288 -133.559 212.238 1.0 55.32969  ? 645 ASN F CB  645 ASN F CB  1 
ATOM 19407 C CG  . ASN C 3 645 ? 285.353 -135.022 211.880 1.0 55.32969  ? 645 ASN F CG  645 ASN F CG  1 
ATOM 19408 O OD1 . ASN C 3 645 ? 286.148 -135.775 212.441 1.0 55.32969  ? 645 ASN F OD1 645 ASN F OD1 1 
ATOM 19409 N ND2 . ASN C 3 645 ? 284.514 -135.439 210.940 1.0 55.32969  ? 645 ASN F ND2 645 ASN F ND2 1 
ATOM 19410 N N   . PHE C 3 646 ? 284.993 -131.236 214.952 1.0 49.53581  ? 646 PHE F N   646 PHE F N   1 
ATOM 19411 C CA  . PHE C 3 646 ? 285.102 -129.809 215.228 1.0 49.53581  ? 646 PHE F CA  646 PHE F CA  1 
ATOM 19412 C C   . PHE C 3 646 ? 285.788 -129.642 216.578 1.0 49.53581  ? 646 PHE F C   646 PHE F C   1 
ATOM 19413 O O   . PHE C 3 646 ? 285.138 -129.686 217.625 1.0 49.53581  ? 646 PHE F O   646 PHE F O   1 
ATOM 19414 C CB  . PHE C 3 646 ? 283.724 -129.162 215.204 1.0 49.53581  ? 646 PHE F CB  646 PHE F CB  1 
ATOM 19415 C CG  . PHE C 3 646 ? 283.748 -127.692 215.420 1.0 49.53581  ? 646 PHE F CG  646 PHE F CG  1 
ATOM 19416 C CD1 . PHE C 3 646 ? 284.203 -126.848 214.429 1.0 49.53581  ? 646 PHE F CD1 646 PHE F CD1 1 
ATOM 19417 C CD2 . PHE C 3 646 ? 283.304 -127.150 216.608 1.0 49.53581  ? 646 PHE F CD2 646 PHE F CD2 1 
ATOM 19418 C CE1 . PHE C 3 646 ? 284.225 -125.491 214.623 1.0 49.53581  ? 646 PHE F CE1 646 PHE F CE1 1 
ATOM 19419 C CE2 . PHE C 3 646 ? 283.322 -125.794 216.807 1.0 49.53581  ? 646 PHE F CE2 646 PHE F CE2 1 
ATOM 19420 C CZ  . PHE C 3 646 ? 283.786 -124.967 215.816 1.0 49.53581  ? 646 PHE F CZ  646 PHE F CZ  1 
ATOM 19421 N N   . GLN C 3 647 ? 287.101 -129.443 216.548 1.0 50.75829  ? 647 GLN F N   647 GLN F N   1 
ATOM 19422 C CA  . GLN C 3 647 ? 287.928 -129.334 217.741 1.0 50.75829  ? 647 GLN F CA  647 GLN F CA  1 
ATOM 19423 C C   . GLN C 3 647 ? 288.513 -127.936 217.861 1.0 50.75829  ? 647 GLN F C   647 GLN F C   1 
ATOM 19424 O O   . GLN C 3 647 ? 289.689 -127.752 218.174 1.0 50.75829  ? 647 GLN F O   647 GLN F O   1 
ATOM 19425 C CB  . GLN C 3 647 ? 289.031 -130.384 217.725 1.0 50.75829  ? 647 GLN F CB  647 GLN F CB  1 
ATOM 19426 C CG  . GLN C 3 647 ? 288.507 -131.796 217.797 1.0 50.75829  ? 647 GLN F CG  647 GLN F CG  1 
ATOM 19427 C CD  . GLN C 3 647 ? 289.605 -132.825 217.716 1.0 50.75829  ? 647 GLN F CD  647 GLN F CD  1 
ATOM 19428 O OE1 . GLN C 3 647 ? 290.773 -132.490 217.531 1.0 50.75829  ? 647 GLN F OE1 647 GLN F OE1 1 
ATOM 19429 N NE2 . GLN C 3 647 ? 289.237 -134.090 217.855 1.0 50.75829  ? 647 GLN F NE2 647 GLN F NE2 1 
ATOM 19430 N N   . TYR C 3 648 ? 287.683 -126.937 217.601 1.0 45.54179  ? 648 TYR F N   648 TYR F N   1 
ATOM 19431 C CA  . TYR C 3 648 ? 288.071 -125.539 217.614 1.0 45.54179  ? 648 TYR F CA  648 TYR F CA  1 
ATOM 19432 C C   . TYR C 3 648 ? 287.121 -124.789 218.532 1.0 45.54179  ? 648 TYR F C   648 TYR F C   1 
ATOM 19433 O O   . TYR C 3 648 ? 285.965 -125.180 218.693 1.0 45.54179  ? 648 TYR F O   648 TYR F O   1 
ATOM 19434 C CB  . TYR C 3 648 ? 288.027 -124.969 216.201 1.0 45.54179  ? 648 TYR F CB  648 TYR F CB  1 
ATOM 19435 C CG  . TYR C 3 648 ? 288.416 -123.525 216.072 1.0 45.54179  ? 648 TYR F CG  648 TYR F CG  1 
ATOM 19436 C CD1 . TYR C 3 648 ? 289.742 -123.139 216.137 1.0 45.54179  ? 648 TYR F CD1 648 TYR F CD1 1 
ATOM 19437 C CD2 . TYR C 3 648 ? 287.455 -122.551 215.862 1.0 45.54179  ? 648 TYR F CD2 648 TYR F CD2 1 
ATOM 19438 C CE1 . TYR C 3 648 ? 290.100 -121.822 216.007 1.0 45.54179  ? 648 TYR F CE1 648 TYR F CE1 1 
ATOM 19439 C CE2 . TYR C 3 648 ? 287.801 -121.232 215.730 1.0 45.54179  ? 648 TYR F CE2 648 TYR F CE2 1 
ATOM 19440 C CZ  . TYR C 3 648 ? 289.124 -120.872 215.806 1.0 45.54179  ? 648 TYR F CZ  648 TYR F CZ  1 
ATOM 19441 O OH  . TYR C 3 648 ? 289.474 -119.552 215.676 1.0 45.54179  ? 648 TYR F OH  648 TYR F OH  1 
ATOM 19442 N N   . SER C 3 649 ? 287.609 -123.716 219.144 1.0 44.59628  ? 649 SER F N   649 SER F N   1 
ATOM 19443 C CA  . SER C 3 649 ? 286.783 -122.987 220.093 1.0 44.59628  ? 649 SER F CA  649 SER F CA  1 
ATOM 19444 C C   . SER C 3 649 ? 286.862 -121.476 219.979 1.0 44.59628  ? 649 SER F C   649 SER F C   1 
ATOM 19445 O O   . SER C 3 649 ? 286.218 -120.791 220.775 1.0 44.59628  ? 649 SER F O   649 SER F O   1 
ATOM 19446 C CB  . SER C 3 649 ? 287.148 -123.385 221.522 1.0 44.59628  ? 649 SER F CB  649 SER F CB  1 
ATOM 19447 O OG  . SER C 3 649 ? 288.479 -123.009 221.810 1.0 44.59628  ? 649 SER F OG  649 SER F OG  1 
ATOM 19448 N N   . GLY C 3 650 ? 287.604 -120.930 219.025 1.0 43.65227  ? 650 GLY F N   650 GLY F N   1 
ATOM 19449 C CA  . GLY C 3 650 ? 287.715 -119.493 218.871 1.0 43.65227  ? 650 GLY F CA  650 GLY F CA  1 
ATOM 19450 C C   . GLY C 3 650 ? 286.516 -118.894 218.173 1.0 43.65227  ? 650 GLY F C   650 GLY F C   1 
ATOM 19451 O O   . GLY C 3 650 ? 285.398 -119.418 218.235 1.0 43.65227  ? 650 GLY F O   650 GLY F O   1 
ATOM 19452 N N   . SER C 3 651 ? 286.743 -117.771 217.501 1.0 41.83955  ? 651 SER F N   651 SER F N   1 
ATOM 19453 C CA  . SER C 3 651 ? 285.674 -117.128 216.756 1.0 41.83955  ? 651 SER F CA  651 SER F CA  1 
ATOM 19454 C C   . SER C 3 651 ? 285.359 -117.928 215.503 1.0 41.83955  ? 651 SER F C   651 SER F C   1 
ATOM 19455 O O   . SER C 3 651 ? 286.249 -118.205 214.696 1.0 41.83955  ? 651 SER F O   651 SER F O   1 
ATOM 19456 C CB  . SER C 3 651 ? 286.068 -115.704 216.383 1.0 41.83955  ? 651 SER F CB  651 SER F CB  1 
ATOM 19457 O OG  . SER C 3 651 ? 285.061 -115.094 215.598 1.0 41.83955  ? 651 SER F OG  651 SER F OG  1 
ATOM 19458 N N   . ILE C 3 652 ? 284.094 -118.310 215.347 1.0 40.89011  ? 652 ILE F N   652 ILE F N   1 
ATOM 19459 C CA  . ILE C 3 652 ? 283.634 -119.039 214.169 1.0 40.89011  ? 652 ILE F CA  652 ILE F CA  1 
ATOM 19460 C C   . ILE C 3 652 ? 283.125 -118.015 213.160 1.0 40.89011  ? 652 ILE F C   652 ILE F C   1 
ATOM 19461 O O   . ILE C 3 652 ? 282.073 -117.404 213.400 1.0 40.89011  ? 652 ILE F O   652 ILE F O   1 
ATOM 19462 C CB  . ILE C 3 652 ? 282.532 -120.044 214.513 1.0 40.89011  ? 652 ILE F CB  652 ILE F CB  1 
ATOM 19463 C CG1 . ILE C 3 652 ? 283.030 -121.090 215.495 1.0 40.89011  ? 652 ILE F CG1 652 ILE F CG1 1 
ATOM 19464 C CG2 . ILE C 3 652 ? 282.052 -120.725 213.256 1.0 40.89011  ? 652 ILE F CG2 652 ILE F CG2 1 
ATOM 19465 C CD1 . ILE C 3 652 ? 281.918 -121.945 216.003 1.0 40.89011  ? 652 ILE F CD1 652 ILE F CD1 1 
ATOM 19466 N N   . PRO C 3 653 ? 283.804 -117.819 212.030 1.0 40.2957   ? 653 PRO F N   653 PRO F N   1 
ATOM 19467 C CA  . PRO C 3 653 ? 283.350 -116.810 211.067 1.0 40.2957   ? 653 PRO F CA  653 PRO F CA  1 
ATOM 19468 C C   . PRO C 3 653 ? 282.105 -117.205 210.292 1.0 40.2957   ? 653 PRO F C   653 PRO F C   1 
ATOM 19469 O O   . PRO C 3 653 ? 281.522 -116.342 209.629 1.0 40.2957   ? 653 PRO F O   653 PRO F O   1 
ATOM 19470 C CB  . PRO C 3 653 ? 284.555 -116.657 210.138 1.0 40.2957   ? 653 PRO F CB  653 PRO F CB  1 
ATOM 19471 C CG  . PRO C 3 653 ? 285.259 -117.955 210.232 1.0 40.2957   ? 653 PRO F CG  653 PRO F CG  1 
ATOM 19472 C CD  . PRO C 3 653 ? 285.070 -118.445 211.625 1.0 40.2957   ? 653 PRO F CD  653 PRO F CD  1 
ATOM 19473 N N   . TYR C 3 654 ? 281.671 -118.464 210.358 1.0 42.04624  ? 654 TYR F N   654 TYR F N   1 
ATOM 19474 C CA  . TYR C 3 654 ? 280.480 -118.870 209.620 1.0 42.04624  ? 654 TYR F CA  654 TYR F CA  1 
ATOM 19475 C C   . TYR C 3 654 ? 279.205 -118.348 210.267 1.0 42.04624  ? 654 TYR F C   654 TYR F C   1 
ATOM 19476 O O   . TYR C 3 654 ? 278.192 -118.169 209.582 1.0 42.04624  ? 654 TYR F O   654 TYR F O   1 
ATOM 19477 C CB  . TYR C 3 654 ? 280.436 -120.394 209.500 1.0 42.04624  ? 654 TYR F CB  654 TYR F CB  1 
ATOM 19478 C CG  . TYR C 3 654 ? 279.235 -120.914 208.749 1.0 42.04624  ? 654 TYR F CG  654 TYR F CG  1 
ATOM 19479 C CD1 . TYR C 3 654 ? 279.102 -120.694 207.388 1.0 42.04624  ? 654 TYR F CD1 654 TYR F CD1 1 
ATOM 19480 C CD2 . TYR C 3 654 ? 278.245 -121.635 209.397 1.0 42.04624  ? 654 TYR F CD2 654 TYR F CD2 1 
ATOM 19481 C CE1 . TYR C 3 654 ? 278.009 -121.161 206.693 1.0 42.04624  ? 654 TYR F CE1 654 TYR F CE1 1 
ATOM 19482 C CE2 . TYR C 3 654 ? 277.149 -122.111 208.710 1.0 42.04624  ? 654 TYR F CE2 654 TYR F CE2 1 
ATOM 19483 C CZ  . TYR C 3 654 ? 277.037 -121.871 207.357 1.0 42.04624  ? 654 TYR F CZ  654 TYR F CZ  1 
ATOM 19484 O OH  . TYR C 3 654 ? 275.947 -122.341 206.663 1.0 42.04624  ? 654 TYR F OH  654 TYR F OH  1 
ATOM 19485 N N   . LEU C 3 655 ? 279.231 -118.085 211.570 1.0 40.53121  ? 655 LEU F N   655 LEU F N   1 
ATOM 19486 C CA  . LEU C 3 655 ? 278.039 -117.633 212.276 1.0 40.53121  ? 655 LEU F CA  655 LEU F CA  1 
ATOM 19487 C C   . LEU C 3 655 ? 278.334 -116.509 213.258 1.0 40.53121  ? 655 LEU F C   655 LEU F C   1 
ATOM 19488 O O   . LEU C 3 655 ? 277.619 -116.351 214.250 1.0 40.53121  ? 655 LEU F O   655 LEU F O   1 
ATOM 19489 C CB  . LEU C 3 655 ? 277.353 -118.809 212.978 1.0 40.53121  ? 655 LEU F CB  655 LEU F CB  1 
ATOM 19490 C CG  . LEU C 3 655 ? 278.211 -119.894 213.647 1.0 40.53121  ? 655 LEU F CG  655 LEU F CG  1 
ATOM 19491 C CD1 . LEU C 3 655 ? 278.793 -119.527 215.001 1.0 40.53121  ? 655 LEU F CD1 655 LEU F CD1 1 
ATOM 19492 C CD2 . LEU C 3 655 ? 277.414 -121.155 213.802 1.0 40.53121  ? 655 LEU F CD2 655 LEU F CD2 1 
ATOM 19493 N N   . ASP C 3 656 ? 279.373 -115.716 212.993 1.0 39.96001  ? 656 ASP F N   656 ASP F N   1 
ATOM 19494 C CA  . ASP C 3 656 ? 279.637 -114.489 213.728 1.0 39.96001  ? 656 ASP F CA  656 ASP F CA  1 
ATOM 19495 C C   . ASP C 3 656 ? 279.839 -113.285 212.830 1.0 39.96001  ? 656 ASP F C   656 ASP F C   1 
ATOM 19496 O O   . ASP C 3 656 ? 279.764 -112.155 213.320 1.0 39.96001  ? 656 ASP F O   656 ASP F O   1 
ATOM 19497 C CB  . ASP C 3 656 ? 280.890 -114.628 214.608 1.0 39.96001  ? 656 ASP F CB  656 ASP F CB  1 
ATOM 19498 C CG  . ASP C 3 656 ? 280.700 -115.587 215.764 1.0 39.96001  ? 656 ASP F CG  656 ASP F CG  1 
ATOM 19499 O OD1 . ASP C 3 656 ? 279.571 -115.707 216.265 1.0 39.96001  ? 656 ASP F OD1 656 ASP F OD1 1 
ATOM 19500 O OD2 . ASP C 3 656 ? 281.686 -116.229 216.178 1.0 39.96001  ? 656 ASP F OD2 656 ASP F OD2 1 
ATOM 19501 N N   . GLY C 3 657 ? 280.100 -113.486 211.545 1.0 40.76586  ? 657 GLY F N   657 GLY F N   1 
ATOM 19502 C CA  . GLY C 3 657 ? 280.422 -112.397 210.656 1.0 40.76586  ? 657 GLY F CA  657 GLY F CA  1 
ATOM 19503 C C   . GLY C 3 657 ? 281.861 -111.949 210.709 1.0 40.76586  ? 657 GLY F C   657 GLY F C   1 
ATOM 19504 O O   . GLY C 3 657 ? 282.221 -110.994 210.012 1.0 40.76586  ? 657 GLY F O   657 GLY F O   1 
ATOM 19505 N N   . THR C 3 658 ? 282.701 -112.612 211.499 1.0 40.48969  ? 658 THR F N   658 THR F N   1 
ATOM 19506 C CA  . THR C 3 658 ? 284.094 -112.211 211.669 1.0 40.48969  ? 658 THR F CA  658 THR F CA  1 
ATOM 19507 C C   . THR C 3 658 ? 284.941 -112.808 210.547 1.0 40.48969  ? 658 THR F C   658 THR F C   1 
ATOM 19508 O O   . THR C 3 658 ? 285.783 -113.682 210.748 1.0 40.48969  ? 658 THR F O   658 THR F O   1 
ATOM 19509 C CB  . THR C 3 658 ? 284.598 -112.645 213.035 1.0 40.48969  ? 658 THR F CB  658 THR F CB  1 
ATOM 19510 O OG1 . THR C 3 658 ? 284.553 -114.071 213.122 1.0 40.48969  ? 658 THR F OG1 658 THR F OG1 1 
ATOM 19511 C CG2 . THR C 3 658 ? 283.716 -112.068 214.115 1.0 40.48969  ? 658 THR F CG2 658 THR F CG2 1 
ATOM 19512 N N   . PHE C 3 659 ? 284.707 -112.304 209.341 1.0 40.08374  ? 659 PHE F N   659 PHE F N   1 
ATOM 19513 C CA  . PHE C 3 659 ? 285.390 -112.820 208.167 1.0 40.08374  ? 659 PHE F CA  659 PHE F CA  1 
ATOM 19514 C C   . PHE C 3 659 ? 286.756 -112.172 208.021 1.0 40.08374  ? 659 PHE F C   659 PHE F C   1 
ATOM 19515 O O   . PHE C 3 659 ? 286.919 -110.972 208.253 1.0 40.08374  ? 659 PHE F O   659 PHE F O   1 
ATOM 19516 C CB  . PHE C 3 659 ? 284.561 -112.568 206.913 1.0 40.08374  ? 659 PHE F CB  659 PHE F CB  1 
ATOM 19517 C CG  . PHE C 3 659 ? 283.240 -113.264 206.918 1.0 40.08374  ? 659 PHE F CG  659 PHE F CG  1 
ATOM 19518 C CD1 . PHE C 3 659 ? 283.160 -114.616 206.654 1.0 40.08374  ? 659 PHE F CD1 659 PHE F CD1 1 
ATOM 19519 C CD2 . PHE C 3 659 ? 282.077 -112.563 207.176 1.0 40.08374  ? 659 PHE F CD2 659 PHE F CD2 1 
ATOM 19520 C CE1 . PHE C 3 659 ? 281.948 -115.257 206.653 1.0 40.08374  ? 659 PHE F CE1 659 PHE F CE1 1 
ATOM 19521 C CE2 . PHE C 3 659 ? 280.860 -113.200 207.176 1.0 40.08374  ? 659 PHE F CE2 659 PHE F CE2 1 
ATOM 19522 C CZ  . PHE C 3 659 ? 280.797 -114.550 206.918 1.0 40.08374  ? 659 PHE F CZ  659 PHE F CZ  1 
ATOM 19523 N N   . TYR C 3 660 ? 287.743 -112.975 207.639 1.0 42.43656  ? 660 TYR F N   660 TYR F N   1 
ATOM 19524 C CA  . TYR C 3 660 ? 289.102 -112.482 207.496 1.0 42.43656  ? 660 TYR F CA  660 TYR F CA  1 
ATOM 19525 C C   . TYR C 3 660 ? 289.826 -113.041 206.282 1.0 42.43656  ? 660 TYR F C   660 TYR F C   1 
ATOM 19526 O O   . TYR C 3 660 ? 291.004 -112.726 206.093 1.0 42.43656  ? 660 TYR F O   660 TYR F O   1 
ATOM 19527 C CB  . TYR C 3 660 ? 289.914 -112.786 208.766 1.0 42.43656  ? 660 TYR F CB  660 TYR F CB  1 
ATOM 19528 C CG  . TYR C 3 660 ? 290.085 -114.256 209.078 1.0 42.43656  ? 660 TYR F CG  660 TYR F CG  1 
ATOM 19529 C CD1 . TYR C 3 660 ? 289.124 -114.947 209.802 1.0 42.43656  ? 660 TYR F CD1 660 TYR F CD1 1 
ATOM 19530 C CD2 . TYR C 3 660 ? 291.225 -114.942 208.686 1.0 42.43656  ? 660 TYR F CD2 660 TYR F CD2 1 
ATOM 19531 C CE1 . TYR C 3 660 ? 289.279 -116.283 210.096 1.0 42.43656  ? 660 TYR F CE1 660 TYR F CE1 1 
ATOM 19532 C CE2 . TYR C 3 660 ? 291.387 -116.277 208.976 1.0 42.43656  ? 660 TYR F CE2 660 TYR F CE2 1 
ATOM 19533 C CZ  . TYR C 3 660 ? 290.412 -116.939 209.682 1.0 42.43656  ? 660 TYR F CZ  660 TYR F CZ  1 
ATOM 19534 O OH  . TYR C 3 660 ? 290.573 -118.269 209.978 1.0 42.43656  ? 660 TYR F OH  660 TYR F OH  1 
ATOM 19535 N N   . LEU C 3 661 ? 289.174 -113.854 205.464 1.0 41.76854  ? 661 LEU F N   661 LEU F N   1 
ATOM 19536 C CA  . LEU C 3 661 ? 289.766 -114.421 204.263 1.0 41.76854  ? 661 LEU F CA  661 LEU F CA  1 
ATOM 19537 C C   . LEU C 3 661 ? 289.012 -113.961 203.027 1.0 41.76854  ? 661 LEU F C   661 LEU F C   1 
ATOM 19538 O O   . LEU C 3 661 ? 288.726 -114.744 202.124 1.0 41.76854  ? 661 LEU F O   661 LEU F O   1 
ATOM 19539 C CB  . LEU C 3 661 ? 289.796 -115.943 204.333 1.0 41.76854  ? 661 LEU F CB  661 LEU F CB  1 
ATOM 19540 C CG  . LEU C 3 661 ? 290.730 -116.548 205.369 1.0 41.76854  ? 661 LEU F CG  661 LEU F CG  1 
ATOM 19541 C CD1 . LEU C 3 661 ? 290.548 -118.041 205.406 1.0 41.76854  ? 661 LEU F CD1 661 LEU F CD1 1 
ATOM 19542 C CD2 . LEU C 3 661 ? 292.148 -116.198 205.022 1.0 41.76854  ? 661 LEU F CD2 661 LEU F CD2 1 
ATOM 19543 N N   . SER C 3 662 ? 288.652 -112.686 202.986 1.0 41.75048  ? 662 SER F N   662 SER F N   1 
ATOM 19544 C CA  . SER C 3 662 ? 288.099 -112.119 201.770 1.0 41.75048  ? 662 SER F CA  662 SER F CA  1 
ATOM 19545 C C   . SER C 3 662 ? 289.174 -111.567 200.852 1.0 41.75048  ? 662 SER F C   662 SER F C   1 
ATOM 19546 O O   . SER C 3 662 ? 288.922 -111.399 199.657 1.0 41.75048  ? 662 SER F O   662 SER F O   1 
ATOM 19547 C CB  . SER C 3 662 ? 287.094 -111.015 202.107 1.0 41.75048  ? 662 SER F CB  662 SER F CB  1 
ATOM 19548 O OG  . SER C 3 662 ? 285.961 -111.529 202.777 1.0 41.75048  ? 662 SER F OG  662 SER F OG  1 
ATOM 19549 N N   . HIS C 3 663 ? 290.371 -111.313 201.372 1.0 44.01048  ? 663 HIS F N   663 HIS F N   1 
ATOM 19550 C CA  . HIS C 3 663 ? 291.448 -110.702 200.608 1.0 44.01048  ? 663 HIS F CA  663 HIS F CA  1 
ATOM 19551 C C   . HIS C 3 663 ? 292.244 -111.701 199.791 1.0 44.01048  ? 663 HIS F C   663 HIS F C   1 
ATOM 19552 O O   . HIS C 3 663 ? 293.330 -111.355 199.318 1.0 44.01048  ? 663 HIS F O   663 HIS F O   1 
ATOM 19553 C CB  . HIS C 3 663 ? 292.404 -109.971 201.547 1.0 44.01048  ? 663 HIS F CB  663 HIS F CB  1 
ATOM 19554 C CG  . HIS C 3 663 ? 293.165 -110.885 202.454 1.0 44.01048  ? 663 HIS F CG  663 HIS F CG  1 
ATOM 19555 N ND1 . HIS C 3 663 ? 292.643 -111.364 203.635 1.0 44.01048  ? 663 HIS F ND1 663 HIS F ND1 1 
ATOM 19556 C CD2 . HIS C 3 663 ? 294.403 -111.420 202.345 1.0 44.01048  ? 663 HIS F CD2 663 HIS F CD2 1 
ATOM 19557 C CE1 . HIS C 3 663 ? 293.531 -112.147 204.220 1.0 44.01048  ? 663 HIS F CE1 663 HIS F CE1 1 
ATOM 19558 N NE2 . HIS C 3 663 ? 294.607 -112.200 203.456 1.0 44.01048  ? 663 HIS F NE2 663 HIS F NE2 1 
ATOM 19559 N N   . THR C 3 664 ? 291.751 -112.921 199.618 1.0 44.85025  ? 664 THR F N   664 THR F N   1 
ATOM 19560 C CA  . THR C 3 664 ? 292.534 -114.001 199.037 1.0 44.85025  ? 664 THR F CA  664 THR F CA  1 
ATOM 19561 C C   . THR C 3 664 ? 291.868 -114.595 197.800 1.0 44.85025  ? 664 THR F C   664 THR F C   1 
ATOM 19562 O O   . THR C 3 664 ? 292.132 -115.740 197.433 1.0 44.85025  ? 664 THR F O   664 THR F O   1 
ATOM 19563 C CB  . THR C 3 664 ? 292.801 -115.074 200.091 1.0 44.85025  ? 664 THR F CB  664 THR F CB  1 
ATOM 19564 O OG1 . THR C 3 664 ? 293.569 -116.133 199.521 1.0 44.85025  ? 664 THR F OG1 664 THR F OG1 1 
ATOM 19565 C CG2 . THR C 3 664 ? 291.514 -115.624 200.637 1.0 44.85025  ? 664 THR F CG2 664 THR F CG2 1 
ATOM 19566 N N   . PHE C 3 665 ? 291.023 -113.819 197.130 1.0 42.99262  ? 665 PHE F N   665 PHE F N   1 
ATOM 19567 C CA  . PHE C 3 665 ? 290.404 -114.238 195.882 1.0 42.99262  ? 665 PHE F CA  665 PHE F CA  1 
ATOM 19568 C C   . PHE C 3 665 ? 291.166 -113.656 194.702 1.0 42.99262  ? 665 PHE F C   665 PHE F C   1 
ATOM 19569 O O   . PHE C 3 665 ? 291.648 -112.526 194.765 1.0 42.99262  ? 665 PHE F O   665 PHE F O   1 
ATOM 19570 C CB  . PHE C 3 665 ? 288.945 -113.795 195.815 1.0 42.99262  ? 665 PHE F CB  665 PHE F CB  1 
ATOM 19571 C CG  . PHE C 3 665 ? 288.046 -114.529 196.755 1.0 42.99262  ? 665 PHE F CG  665 PHE F CG  1 
ATOM 19572 C CD1 . PHE C 3 665 ? 287.548 -115.774 196.425 1.0 42.99262  ? 665 PHE F CD1 665 PHE F CD1 1 
ATOM 19573 C CD2 . PHE C 3 665 ? 287.693 -113.971 197.965 1.0 42.99262  ? 665 PHE F CD2 665 PHE F CD2 1 
ATOM 19574 C CE1 . PHE C 3 665 ? 286.720 -116.451 197.289 1.0 42.99262  ? 665 PHE F CE1 665 PHE F CE1 1 
ATOM 19575 C CE2 . PHE C 3 665 ? 286.865 -114.643 198.832 1.0 42.99262  ? 665 PHE F CE2 665 PHE F CE2 1 
ATOM 19576 C CZ  . PHE C 3 665 ? 286.377 -115.883 198.493 1.0 42.99262  ? 665 PHE F CZ  665 PHE F CZ  1 
ATOM 19577 N N   . GLN C 3 666 ? 291.276 -114.432 193.627 1.0 46.83315  ? 666 GLN F N   666 GLN F N   1 
ATOM 19578 C CA  . GLN C 3 666 ? 291.941 -113.945 192.424 1.0 46.83315  ? 666 GLN F CA  666 GLN F CA  1 
ATOM 19579 C C   . GLN C 3 666 ? 290.938 -113.390 191.419 1.0 46.83315  ? 666 GLN F C   666 GLN F C   1 
ATOM 19580 O O   . GLN C 3 666 ? 291.020 -112.218 191.042 1.0 46.83315  ? 666 GLN F O   666 GLN F O   1 
ATOM 19581 C CB  . GLN C 3 666 ? 292.787 -115.056 191.796 1.0 46.83315  ? 666 GLN F CB  666 GLN F CB  1 
ATOM 19582 C CG  . GLN C 3 666 ? 293.981 -115.446 192.633 1.0 46.83315  ? 666 GLN F CG  666 GLN F CG  1 
ATOM 19583 C CD  . GLN C 3 666 ? 294.982 -114.324 192.740 1.0 46.83315  ? 666 GLN F CD  666 GLN F CD  1 
ATOM 19584 O OE1 . GLN C 3 666 ? 295.092 -113.667 193.774 1.0 46.83315  ? 666 GLN F OE1 666 GLN F OE1 1 
ATOM 19585 N NE2 . GLN C 3 666 ? 295.727 -114.098 191.668 1.0 46.83315  ? 666 GLN F NE2 666 GLN F NE2 1 
ATOM 19586 N N   . ARG C 3 667 ? 289.986 -114.207 190.981 1.0 48.52274  ? 667 ARG F N   667 ARG F N   1 
ATOM 19587 C CA  . ARG C 3 667 ? 288.998 -113.734 190.023 1.0 48.52274  ? 667 ARG F CA  667 ARG F CA  1 
ATOM 19588 C C   . ARG C 3 667 ? 287.693 -114.497 190.223 1.0 48.52274  ? 667 ARG F C   667 ARG F C   1 
ATOM 19589 O O   . ARG C 3 667 ? 287.558 -115.303 191.146 1.0 48.52274  ? 667 ARG F O   667 ARG F O   1 
ATOM 19590 C CB  . ARG C 3 667 ? 289.525 -113.844 188.588 1.0 48.52274  ? 667 ARG F CB  667 ARG F CB  1 
ATOM 19591 C CG  . ARG C 3 667 ? 289.744 -115.245 188.085 1.0 48.52274  ? 667 ARG F CG  667 ARG F CG  1 
ATOM 19592 C CD  . ARG C 3 667 ? 290.375 -115.194 186.706 1.0 48.52274  ? 667 ARG F CD  667 ARG F CD  1 
ATOM 19593 N NE  . ARG C 3 667 ? 290.577 -116.519 186.134 1.0 48.52274  ? 667 ARG F NE  667 ARG F NE  1 
ATOM 19594 C CZ  . ARG C 3 667 ? 291.666 -117.253 186.328 1.0 48.52274  ? 667 ARG F CZ  667 ARG F CZ  1 
ATOM 19595 N NH1 . ARG C 3 667 ? 292.653 -116.790 187.082 1.0 48.52274  ? 667 ARG F NH1 667 ARG F NH1 1 
ATOM 19596 N NH2 . ARG C 3 667 ? 291.770 -118.451 185.767 1.0 48.52274  ? 667 ARG F NH2 667 ARG F NH2 1 
ATOM 19597 N N   . CYS C 3 668 ? 286.730 -114.231 189.344 1.0 47.78255  ? 668 CYS F N   668 CYS F N   1 
ATOM 19598 C CA  . CYS C 3 668 ? 285.353 -114.695 189.506 1.0 47.78255  ? 668 CYS F CA  668 CYS F CA  1 
ATOM 19599 C C   . CYS C 3 668 ? 284.694 -114.702 188.134 1.0 47.78255  ? 668 CYS F C   668 CYS F C   1 
ATOM 19600 O O   . CYS C 3 668 ? 284.435 -113.635 187.572 1.0 47.78255  ? 668 CYS F O   668 CYS F O   1 
ATOM 19601 C CB  . CYS C 3 668 ? 284.603 -113.789 190.472 1.0 47.78255  ? 668 CYS F CB  668 CYS F CB  1 
ATOM 19602 S SG  . CYS C 3 668 ? 282.820 -114.004 190.520 1.0 47.78255  ? 668 CYS F SG  668 CYS F SG  1 
ATOM 19603 N N   . SER C 3 669 ? 284.420 -115.890 187.605 1.0 45.19215  ? 669 SER F N   669 SER F N   1 
ATOM 19604 C CA  . SER C 3 669 ? 283.856 -116.055 186.272 1.0 45.19215  ? 669 SER F CA  669 SER F CA  1 
ATOM 19605 C C   . SER C 3 669 ? 282.452 -116.626 186.385 1.0 45.19215  ? 669 SER F C   669 SER F C   1 
ATOM 19606 O O   . SER C 3 669 ? 282.255 -117.652 187.036 1.0 45.19215  ? 669 SER F O   669 SER F O   1 
ATOM 19607 C CB  . SER C 3 669 ? 284.736 -116.975 185.424 1.0 45.19215  ? 669 SER F CB  669 SER F CB  1 
ATOM 19608 O OG  . SER C 3 669 ? 284.178 -117.187 184.141 1.0 45.19215  ? 669 SER F OG  669 SER F OG  1 
ATOM 19609 N N   . ILE C 3 670 ? 281.484 -115.967 185.753 1.0 41.13195  ? 670 ILE F N   670 ILE F N   1 
ATOM 19610 C CA  . ILE C 3 670 ? 280.082 -116.367 185.814 1.0 41.13195  ? 670 ILE F CA  670 ILE F CA  1 
ATOM 19611 C C   . ILE C 3 670 ? 279.586 -116.619 184.398 1.0 41.13195  ? 670 ILE F C   670 ILE F C   1 
ATOM 19612 O O   . ILE C 3 670 ? 279.739 -115.761 183.524 1.0 41.13195  ? 670 ILE F O   670 ILE F O   1 
ATOM 19613 C CB  . ILE C 3 670 ? 279.213 -115.297 186.502 1.0 41.13195  ? 670 ILE F CB  670 ILE F CB  1 
ATOM 19614 C CG1 . ILE C 3 670 ? 279.676 -115.065 187.935 1.0 41.13195  ? 670 ILE F CG1 670 ILE F CG1 1 
ATOM 19615 C CG2 . ILE C 3 670 ? 277.754 -115.700 186.504 1.0 41.13195  ? 670 ILE F CG2 670 ILE F CG2 1 
ATOM 19616 C CD1 . ILE C 3 670 ? 279.035 -113.885 188.583 1.0 41.13195  ? 670 ILE F CD1 670 ILE F CD1 1 
ATOM 19617 N N   . GLN C 3 671 ? 278.979 -117.781 184.175 1.0 42.4695   ? 671 GLN F N   671 GLN F N   1 
ATOM 19618 C CA  . GLN C 3 671 ? 278.443 -118.164 182.877 1.0 42.4695   ? 671 GLN F CA  671 GLN F CA  1 
ATOM 19619 C C   . GLN C 3 671 ? 276.972 -118.517 183.027 1.0 42.4695   ? 671 GLN F C   671 GLN F C   1 
ATOM 19620 O O   . GLN C 3 671 ? 276.606 -119.266 183.936 1.0 42.4695   ? 671 GLN F O   671 GLN F O   1 
ATOM 19621 C CB  . GLN C 3 671 ? 279.188 -119.372 182.308 1.0 42.4695   ? 671 GLN F CB  671 GLN F CB  1 
ATOM 19622 C CG  . GLN C 3 671 ? 280.671 -119.190 182.051 1.0 42.4695   ? 671 GLN F CG  671 GLN F CG  1 
ATOM 19623 C CD  . GLN C 3 671 ? 280.969 -118.219 180.935 1.0 42.4695   ? 671 GLN F CD  671 GLN F CD  1 
ATOM 19624 O OE1 . GLN C 3 671 ? 281.510 -117.137 181.162 1.0 42.4695   ? 671 GLN F OE1 671 GLN F OE1 1 
ATOM 19625 N NE2 . GLN C 3 671 ? 280.616 -118.601 179.715 1.0 42.4695   ? 671 GLN F NE2 671 GLN F NE2 1 
ATOM 19626 N N   . TRP C 3 672 ? 276.133 -117.990 182.142 1.0 41.8864   ? 672 TRP F N   672 TRP F N   1 
ATOM 19627 C CA  . TRP C 3 672 ? 274.760 -118.459 182.041 1.0 41.8864   ? 672 TRP F CA  672 TRP F CA  1 
ATOM 19628 C C   . TRP C 3 672 ? 274.672 -119.538 180.977 1.0 41.8864   ? 672 TRP F C   672 TRP F C   1 
ATOM 19629 O O   . TRP C 3 672 ? 275.424 -119.517 180.001 1.0 41.8864   ? 672 TRP F O   672 TRP F O   1 
ATOM 19630 C CB  . TRP C 3 672 ? 273.795 -117.328 181.697 1.0 41.8864   ? 672 TRP F CB  672 TRP F CB  1 
ATOM 19631 C CG  . TRP C 3 672 ? 273.633 -116.348 182.780 1.0 41.8864   ? 672 TRP F CG  672 TRP F CG  1 
ATOM 19632 C CD1 . TRP C 3 672 ? 274.229 -115.138 182.868 1.0 41.8864   ? 672 TRP F CD1 672 TRP F CD1 1 
ATOM 19633 C CD2 . TRP C 3 672 ? 272.832 -116.491 183.954 1.0 41.8864   ? 672 TRP F CD2 672 TRP F CD2 1 
ATOM 19634 N NE1 . TRP C 3 672 ? 273.849 -114.505 184.021 1.0 41.8864   ? 672 TRP F NE1 672 TRP F NE1 1 
ATOM 19635 C CE2 . TRP C 3 672 ? 272.990 -115.319 184.707 1.0 41.8864   ? 672 TRP F CE2 672 TRP F CE2 1 
ATOM 19636 C CE3 . TRP C 3 672 ? 271.995 -117.493 184.440 1.0 41.8864   ? 672 TRP F CE3 672 TRP F CE3 1 
ATOM 19637 C CZ2 . TRP C 3 672 ? 272.344 -115.119 185.916 1.0 41.8864   ? 672 TRP F CZ2 672 TRP F CZ2 1 
ATOM 19638 C CZ3 . TRP C 3 672 ? 271.352 -117.291 185.638 1.0 41.8864   ? 672 TRP F CZ3 672 TRP F CZ3 1 
ATOM 19639 C CH2 . TRP C 3 672 ? 271.530 -116.115 186.364 1.0 41.8864   ? 672 TRP F CH2 672 TRP F CH2 1 
ATOM 19640 N N   . ASP C 3 673 ? 273.785 -120.513 181.232 1.0 44.97046  ? 673 ASP F N   673 ASP F N   1 
ATOM 19641 C CA  . ASP C 3 673 ? 273.403 -121.706 180.461 1.0 44.97046  ? 673 ASP F CA  673 ASP F CA  1 
ATOM 19642 C C   . ASP C 3 673 ? 274.532 -122.321 179.636 1.0 44.97046  ? 673 ASP F C   673 ASP F C   1 
ATOM 19643 O O   . ASP C 3 673 ? 274.354 -122.658 178.461 1.0 44.97046  ? 673 ASP F O   673 ASP F O   1 
ATOM 19644 C CB  . ASP C 3 673 ? 272.123 -121.452 179.626 1.0 44.97046  ? 673 ASP F CB  673 ASP F CB  1 
ATOM 19645 C CG  . ASP C 3 673 ? 272.266 -120.420 178.504 1.0 44.97046  ? 673 ASP F CG  673 ASP F CG  1 
ATOM 19646 O OD1 . ASP C 3 673 ? 273.348 -119.898 178.212 1.0 44.97046  ? 673 ASP F OD1 673 ASP F OD1 1 
ATOM 19647 O OD2 . ASP C 3 673 ? 271.224 -120.118 177.888 1.0 44.97046  ? 673 ASP F OD2 673 ASP F OD2 1 
ATOM 19648 N N   . SER C 3 674 ? 275.696 -122.459 180.275 1.0 44.8173   ? 674 SER F N   674 SER F N   1 
ATOM 19649 C CA  . SER C 3 674 ? 276.941 -123.070 179.814 1.0 44.8173   ? 674 SER F CA  674 SER F CA  1 
ATOM 19650 C C   . SER C 3 674 ? 277.631 -122.316 178.683 1.0 44.8173   ? 674 SER F C   674 SER F C   1 
ATOM 19651 O O   . SER C 3 674 ? 278.724 -122.718 178.284 1.0 44.8173   ? 674 SER F O   674 SER F O   1 
ATOM 19652 C CB  . SER C 3 674 ? 276.753 -124.530 179.378 1.0 44.8173   ? 674 SER F CB  674 SER F CB  1 
ATOM 19653 O OG  . SER C 3 674 ? 276.277 -125.316 180.453 1.0 44.8173   ? 674 SER F OG  674 SER F OG  1 
ATOM 19654 N N   . SER C 3 675 ? 277.057 -121.252 178.163 1.0 43.17354  ? 675 SER F N   675 SER F N   1 
ATOM 19655 C CA  . SER C 3 675 ? 277.702 -120.594 177.035 1.0 43.17354  ? 675 SER F CA  675 SER F CA  1 
ATOM 19656 C C   . SER C 3 675 ? 277.892 -119.097 177.219 1.0 43.17354  ? 675 SER F C   675 SER F C   1 
ATOM 19657 O O   . SER C 3 675 ? 278.921 -118.564 176.803 1.0 43.17354  ? 675 SER F O   675 SER F O   1 
ATOM 19658 C CB  . SER C 3 675 ? 276.888 -120.855 175.762 1.0 43.17354  ? 675 SER F CB  675 SER F CB  1 
ATOM 19659 O OG  . SER C 3 675 ? 277.465 -120.200 174.648 1.0 43.17354  ? 675 SER F OG  675 SER F OG  1 
ATOM 19660 N N   . VAL C 3 676 ? 276.940 -118.410 177.836 1.0 41.53705  ? 676 VAL F N   676 VAL F N   1 
ATOM 19661 C CA  . VAL C 3 676 ? 276.862 -116.952 177.798 1.0 41.53705  ? 676 VAL F CA  676 VAL F CA  1 
ATOM 19662 C C   . VAL C 3 676 ? 277.527 -116.397 179.052 1.0 41.53705  ? 676 VAL F C   676 VAL F C   1 
ATOM 19663 O O   . VAL C 3 676 ? 277.096 -116.733 180.163 1.0 41.53705  ? 676 VAL F O   676 VAL F O   1 
ATOM 19664 C CB  . VAL C 3 676 ? 275.408 -116.475 177.698 1.0 41.53705  ? 676 VAL F CB  676 VAL F CB  1 
ATOM 19665 C CG1 . VAL C 3 676 ? 275.347 -114.964 177.749 1.0 41.53705  ? 676 VAL F CG1 676 VAL F CG1 1 
ATOM 19666 C CG2 . VAL C 3 676 ? 274.771 -116.994 176.428 1.0 41.53705  ? 676 VAL F CG2 676 VAL F CG2 1 
ATOM 19667 N N   . PRO C 3 677 ? 278.552 -115.560 178.929 1.0 40.88789  ? 677 PRO F N   677 PRO F N   1 
ATOM 19668 C CA  . PRO C 3 677 ? 279.134 -114.919 180.109 1.0 40.88789  ? 677 PRO F CA  677 PRO F CA  1 
ATOM 19669 C C   . PRO C 3 677 ? 278.229 -113.828 180.653 1.0 40.88789  ? 677 PRO F C   677 PRO F C   1 
ATOM 19670 O O   . PRO C 3 677 ? 277.363 -113.293 179.963 1.0 40.88789  ? 677 PRO F O   677 PRO F O   1 
ATOM 19671 C CB  . PRO C 3 677 ? 280.441 -114.321 179.580 1.0 40.88789  ? 677 PRO F CB  677 PRO F CB  1 
ATOM 19672 C CG  . PRO C 3 677 ? 280.733 -115.076 178.339 1.0 40.88789  ? 677 PRO F CG  677 PRO F CG  1 
ATOM 19673 C CD  . PRO C 3 677 ? 279.396 -115.368 177.741 1.0 40.88789  ? 677 PRO F CD  677 PRO F CD  1 
ATOM 19674 N N   . TRP C 3 678 ? 278.452 -113.500 181.921 1.0 42.04933  ? 678 TRP F N   678 TRP F N   1 
ATOM 19675 C CA  . TRP C 3 678 ? 277.706 -112.446 182.574 1.0 42.04933  ? 678 TRP F CA  678 TRP F CA  1 
ATOM 19676 C C   . TRP C 3 678 ? 278.665 -111.397 183.119 1.0 42.04933  ? 678 TRP F C   678 TRP F C   1 
ATOM 19677 O O   . TRP C 3 678 ? 279.678 -111.754 183.728 1.0 42.04933  ? 678 TRP F O   678 TRP F O   1 
ATOM 19678 C CB  . TRP C 3 678 ? 276.863 -112.998 183.722 1.0 42.04933  ? 678 TRP F CB  678 TRP F CB  1 
ATOM 19679 C CG  . TRP C 3 678 ? 275.971 -111.988 184.351 1.0 42.04933  ? 678 TRP F CG  678 TRP F CG  1 
ATOM 19680 C CD1 . TRP C 3 678 ? 274.829 -111.463 183.832 1.0 42.04933  ? 678 TRP F CD1 678 TRP F CD1 1 
ATOM 19681 C CD2 . TRP C 3 678 ? 276.172 -111.346 185.607 1.0 42.04933  ? 678 TRP F CD2 678 TRP F CD2 1 
ATOM 19682 N NE1 . TRP C 3 678 ? 274.292 -110.548 184.700 1.0 42.04933  ? 678 TRP F NE1 678 TRP F NE1 1 
ATOM 19683 C CE2 . TRP C 3 678 ? 275.101 -110.457 185.799 1.0 42.04933  ? 678 TRP F CE2 678 TRP F CE2 1 
ATOM 19684 C CE3 . TRP C 3 678 ? 277.150 -111.444 186.594 1.0 42.04933  ? 678 TRP F CE3 678 TRP F CE3 1 
ATOM 19685 C CZ2 . TRP C 3 678 ? 274.984 -109.674 186.938 1.0 42.04933  ? 678 TRP F CZ2 678 TRP F CZ2 1 
ATOM 19686 C CZ3 . TRP C 3 678 ? 277.033 -110.669 187.714 1.0 42.04933  ? 678 TRP F CZ3 678 TRP F CZ3 1 
ATOM 19687 C CH2 . TRP C 3 678 ? 275.960 -109.796 187.883 1.0 42.04933  ? 678 TRP F CH2 678 TRP F CH2 1 
ATOM 19688 N N   . PRO C 3 679 ? 278.383 -110.098 182.933 1.0 44.38114  ? 679 PRO F N   679 PRO F N   1 
ATOM 19689 C CA  . PRO C 3 679 ? 277.259 -109.437 182.262 1.0 44.38114  ? 679 PRO F CA  679 PRO F CA  1 
ATOM 19690 C C   . PRO C 3 679 ? 277.303 -109.539 180.748 1.0 44.38114  ? 679 PRO F C   679 PRO F C   1 
ATOM 19691 O O   . PRO C 3 679 ? 276.273 -109.387 180.094 1.0 44.38114  ? 679 PRO F O   679 PRO F O   1 
ATOM 19692 C CB  . PRO C 3 679 ? 277.415 -107.973 182.683 1.0 44.38114  ? 679 PRO F CB  679 PRO F CB  1 
ATOM 19693 C CG  . PRO C 3 679 ? 278.266 -108.005 183.874 1.0 44.38114  ? 679 PRO F CG  679 PRO F CG  1 
ATOM 19694 C CD  . PRO C 3 679 ? 279.207 -109.125 183.659 1.0 44.38114  ? 679 PRO F CD  679 PRO F CD  1 
ATOM 19695 N N   . GLY C 3 680 ? 278.485 -109.814 180.207 1.0 47.58969  ? 680 GLY F N   680 GLY F N   1 
ATOM 19696 C CA  . GLY C 3 680 ? 278.647 -109.701 178.780 1.0 47.58969  ? 680 GLY F CA  680 GLY F CA  1 
ATOM 19697 C C   . GLY C 3 680 ? 278.576 -108.233 178.407 1.0 47.58969  ? 680 GLY F C   680 GLY F C   1 
ATOM 19698 O O   . GLY C 3 680 ? 278.824 -107.348 179.229 1.0 47.58969  ? 680 GLY F O   680 GLY F O   1 
ATOM 19699 N N   . ASN C 3 681 ? 278.259 -107.994 177.129 1.0 50.99351  ? 681 ASN F N   681 ASN F N   1 
ATOM 19700 C CA  . ASN C 3 681 ? 277.912 -106.673 176.589 1.0 50.99351  ? 681 ASN F CA  681 ASN F CA  1 
ATOM 19701 C C   . ASN C 3 681 ? 279.001 -105.629 176.820 1.0 50.99351  ? 681 ASN F C   681 ASN F C   1 
ATOM 19702 O O   . ASN C 3 681 ? 278.679 -104.457 177.018 1.0 50.99351  ? 681 ASN F O   681 ASN F O   1 
ATOM 19703 C CB  . ASN C 3 681 ? 276.587 -106.173 177.168 1.0 50.99351  ? 681 ASN F CB  681 ASN F CB  1 
ATOM 19704 C CG  . ASN C 3 681 ? 275.409 -106.980 176.693 1.0 50.99351  ? 681 ASN F CG  681 ASN F CG  1 
ATOM 19705 O OD1 . ASN C 3 681 ? 275.337 -107.356 175.526 1.0 50.99351  ? 681 ASN F OD1 681 ASN F OD1 1 
ATOM 19706 N ND2 . ASN C 3 681 ? 274.474 -107.250 177.592 1.0 50.99351  ? 681 ASN F ND2 681 ASN F ND2 1 
ATOM 19707 N N   . ASP C 3 682 ? 280.257 -106.101 176.874 1.0 52.13279  ? 682 ASP F N   682 ASP F N   1 
ATOM 19708 C CA  . ASP C 3 682 ? 281.518 -105.444 177.241 1.0 52.13279  ? 682 ASP F CA  682 ASP F CA  1 
ATOM 19709 C C   . ASP C 3 682 ? 281.362 -104.341 178.289 1.0 52.13279  ? 682 ASP F C   682 ASP F C   1 
ATOM 19710 O O   . ASP C 3 682 ? 281.856 -103.225 178.109 1.0 52.13279  ? 682 ASP F O   682 ASP F O   1 
ATOM 19711 C CB  . ASP C 3 682 ? 282.319 -104.991 175.988 1.0 52.13279  ? 682 ASP F CB  682 ASP F CB  1 
ATOM 19712 C CG  . ASP C 3 682 ? 281.670 -103.880 175.147 1.0 52.13279  ? 682 ASP F CG  682 ASP F CG  1 
ATOM 19713 O OD1 . ASP C 3 682 ? 280.630 -103.305 175.482 1.0 52.13279  ? 682 ASP F OD1 682 ASP F OD1 1 
ATOM 19714 O OD2 . ASP C 3 682 ? 282.252 -103.571 174.087 1.0 52.13279  ? 682 ASP F OD2 682 ASP F OD2 1 
ATOM 19715 N N   . ARG C 3 683 ? 280.707 -104.673 179.408 1.0 48.14953  ? 683 ARG F N   683 ARG F N   1 
ATOM 19716 C CA  . ARG C 3 683 ? 280.401 -103.686 180.441 1.0 48.14953  ? 683 ARG F CA  683 ARG F CA  1 
ATOM 19717 C C   . ARG C 3 683 ? 281.662 -103.198 181.144 1.0 48.14953  ? 683 ARG F C   683 ARG F C   1 
ATOM 19718 O O   . ARG C 3 683 ? 281.933 -101.994 181.192 1.0 48.14953  ? 683 ARG F O   683 ARG F O   1 
ATOM 19719 C CB  . ARG C 3 683 ? 279.429 -104.274 181.462 1.0 48.14953  ? 683 ARG F CB  683 ARG F CB  1 
ATOM 19720 C CG  . ARG C 3 683 ? 278.071 -104.638 180.916 1.0 48.14953  ? 683 ARG F CG  683 ARG F CG  1 
ATOM 19721 C CD  . ARG C 3 683 ? 277.273 -103.424 180.513 1.0 48.14953  ? 683 ARG F CD  683 ARG F CD  1 
ATOM 19722 N NE  . ARG C 3 683 ? 275.932 -103.801 180.089 1.0 48.14953  ? 683 ARG F NE  683 ARG F NE  1 
ATOM 19723 C CZ  . ARG C 3 683 ? 275.043 -102.954 179.587 1.0 48.14953  ? 683 ARG F CZ  683 ARG F CZ  1 
ATOM 19724 N NH1 . ARG C 3 683 ? 275.355 -101.680 179.439 1.0 48.14953  ? 683 ARG F NH1 683 ARG F NH1 1 
ATOM 19725 N NH2 . ARG C 3 683 ? 273.845 -103.383 179.226 1.0 48.14953  ? 683 ARG F NH2 683 ARG F NH2 1 
ATOM 19726 N N   . MET C 3 684 ? 282.438 -104.114 181.708 1.0 51.26938  ? 684 MET F N   684 MET F N   1 
ATOM 19727 C CA  . MET C 3 684 ? 283.662 -103.760 182.406 1.0 51.26938  ? 684 MET F CA  684 MET F CA  1 
ATOM 19728 C C   . MET C 3 684 ? 284.866 -103.966 181.488 1.0 51.26938  ? 684 MET F C   684 MET F C   1 
ATOM 19729 O O   . MET C 3 684 ? 284.748 -104.453 180.362 1.0 51.26938  ? 684 MET F O   684 MET F O   1 
ATOM 19730 C CB  . MET C 3 684 ? 283.779 -104.561 183.703 1.0 51.26938  ? 684 MET F CB  684 MET F CB  1 
ATOM 19731 C CG  . MET C 3 684 ? 283.953 -106.043 183.495 1.0 51.26938  ? 684 MET F CG  684 MET F CG  1 
ATOM 19732 S SD  . MET C 3 684 ? 282.407 -106.843 183.047 1.0 51.26938  ? 684 MET F SD  684 MET F SD  1 
ATOM 19733 C CE  . MET C 3 684 ? 282.841 -108.559 183.303 1.0 51.26938  ? 684 MET F CE  684 MET F CE  1 
ATOM 19734 N N   . LEU C 3 685 ? 286.045 -103.583 181.978 1.0 49.73331  ? 685 LEU F N   685 LEU F N   1 
ATOM 19735 C CA  . LEU C 3 685 ? 287.242 -103.533 181.148 1.0 49.73331  ? 685 LEU F CA  685 LEU F CA  1 
ATOM 19736 C C   . LEU C 3 685 ? 287.851 -104.902 180.877 1.0 49.73331  ? 685 LEU F C   685 LEU F C   1 
ATOM 19737 O O   . LEU C 3 685 ? 288.728 -105.008 180.013 1.0 49.73331  ? 685 LEU F O   685 LEU F O   1 
ATOM 19738 C CB  . LEU C 3 685 ? 288.279 -102.622 181.801 1.0 49.73331  ? 685 LEU F CB  685 LEU F CB  1 
ATOM 19739 C CG  . LEU C 3 685 ? 287.822 -101.169 181.932 1.0 49.73331  ? 685 LEU F CG  685 LEU F CG  1 
ATOM 19740 C CD1 . LEU C 3 685 ? 288.766 -100.377 182.811 1.0 49.73331  ? 685 LEU F CD1 685 LEU F CD1 1 
ATOM 19741 C CD2 . LEU C 3 685 ? 287.709 -100.527 180.561 1.0 49.73331  ? 685 LEU F CD2 685 LEU F CD2 1 
ATOM 19742 N N   . THR C 3 686 ? 287.432 -105.940 181.598 1.0 51.10974  ? 686 THR F N   686 THR F N   1 
ATOM 19743 C CA  . THR C 3 686 ? 287.783 -107.326 181.287 1.0 51.10974  ? 686 THR F CA  686 THR F CA  1 
ATOM 19744 C C   . THR C 3 686 ? 286.462 -108.068 181.152 1.0 51.10974  ? 686 THR F C   686 THR F C   1 
ATOM 19745 O O   . THR C 3 686 ? 285.959 -108.641 182.125 1.0 51.10974  ? 686 THR F O   686 THR F O   1 
ATOM 19746 C CB  . THR C 3 686 ? 288.672 -107.950 182.358 1.0 51.10974  ? 686 THR F CB  686 THR F CB  1 
ATOM 19747 O OG1 . THR C 3 686 ? 288.014 -107.881 183.628 1.0 51.10974  ? 686 THR F OG1 686 THR F OG1 1 
ATOM 19748 C CG2 . THR C 3 686 ? 290.008 -107.233 182.437 1.0 51.10974  ? 686 THR F CG2 686 THR F CG2 1 
ATOM 19749 N N   . PRO C 3 687 ? 285.881 -108.096 179.952 1.0 52.07296  ? 687 PRO F N   687 PRO F N   1 
ATOM 19750 C CA  . PRO C 3 687 ? 284.450 -108.388 179.804 1.0 52.07296  ? 687 PRO F CA  687 PRO F CA  1 
ATOM 19751 C C   . PRO C 3 687 ? 284.052 -109.846 179.976 1.0 52.07296  ? 687 PRO F C   687 PRO F C   1 
ATOM 19752 O O   . PRO C 3 687 ? 282.912 -110.189 179.652 1.0 52.07296  ? 687 PRO F O   687 PRO F O   1 
ATOM 19753 C CB  . PRO C 3 687 ? 284.163 -107.929 178.364 1.0 52.07296  ? 687 PRO F CB  687 PRO F CB  1 
ATOM 19754 C CG  . PRO C 3 687 ? 285.287 -107.025 178.003 1.0 52.07296  ? 687 PRO F CG  687 PRO F CG  1 
ATOM 19755 C CD  . PRO C 3 687 ? 286.467 -107.601 178.698 1.0 52.07296  ? 687 PRO F CD  687 PRO F CD  1 
ATOM 19756 N N   . ASN C 3 688 ? 284.924 -110.724 180.462 1.0 53.78233  ? 688 ASN F N   688 ASN F N   1 
ATOM 19757 C CA  . ASN C 3 688 ? 284.576 -112.130 180.593 1.0 53.78233  ? 688 ASN F CA  688 ASN F CA  1 
ATOM 19758 C C   . ASN C 3 688 ? 284.489 -112.614 182.028 1.0 53.78233  ? 688 ASN F C   688 ASN F C   1 
ATOM 19759 O O   . ASN C 3 688 ? 283.755 -113.565 182.295 1.0 53.78233  ? 688 ASN F O   688 ASN F O   1 
ATOM 19760 C CB  . ASN C 3 688 ? 285.582 -112.998 179.833 1.0 53.78233  ? 688 ASN F CB  688 ASN F CB  1 
ATOM 19761 C CG  . ASN C 3 688 ? 285.436 -112.871 178.339 1.0 53.78233  ? 688 ASN F CG  688 ASN F CG  1 
ATOM 19762 O OD1 . ASN C 3 688 ? 284.324 -112.837 177.816 1.0 53.78233  ? 688 ASN F OD1 688 ASN F OD1 1 
ATOM 19763 N ND2 . ASN C 3 688 ? 286.559 -112.792 177.639 1.0 53.78233  ? 688 ASN F ND2 688 ASN F ND2 1 
ATOM 19764 N N   . TRP C 3 689 ? 285.211 -111.991 182.954 1.0 51.73483  ? 689 TRP F N   689 TRP F N   1 
ATOM 19765 C CA  . TRP C 3 689 ? 285.126 -112.365 184.357 1.0 51.73483  ? 689 TRP F CA  689 TRP F CA  1 
ATOM 19766 C C   . TRP C 3 689 ? 285.381 -111.127 185.209 1.0 51.73483  ? 689 TRP F C   689 TRP F C   1 
ATOM 19767 O O   . TRP C 3 689 ? 285.577 -110.025 184.692 1.0 51.73483  ? 689 TRP F O   689 TRP F O   1 
ATOM 19768 C CB  . TRP C 3 689 ? 286.098 -113.506 184.680 1.0 51.73483  ? 689 TRP F CB  689 TRP F CB  1 
ATOM 19769 C CG  . TRP C 3 689 ? 287.532 -113.201 184.424 1.0 51.73483  ? 689 TRP F CG  689 TRP F CG  1 
ATOM 19770 C CD1 . TRP C 3 689 ? 288.386 -112.542 185.253 1.0 51.73483  ? 689 TRP F CD1 689 TRP F CD1 1 
ATOM 19771 C CD2 . TRP C 3 689 ? 288.302 -113.593 183.287 1.0 51.73483  ? 689 TRP F CD2 689 TRP F CD2 1 
ATOM 19772 N NE1 . TRP C 3 689 ? 289.633 -112.473 184.691 1.0 51.73483  ? 689 TRP F NE1 689 TRP F NE1 1 
ATOM 19773 C CE2 . TRP C 3 689 ? 289.609 -113.112 183.483 1.0 51.73483  ? 689 TRP F CE2 689 TRP F CE2 1 
ATOM 19774 C CE3 . TRP C 3 689 ? 288.013 -114.295 182.117 1.0 51.73483  ? 689 TRP F CE3 689 TRP F CE3 1 
ATOM 19775 C CZ2 . TRP C 3 689 ? 290.624 -113.308 182.553 1.0 51.73483  ? 689 TRP F CZ2 689 TRP F CZ2 1 
ATOM 19776 C CZ3 . TRP C 3 689 ? 289.020 -114.486 181.192 1.0 51.73483  ? 689 TRP F CZ3 689 TRP F CZ3 1 
ATOM 19777 C CH2 . TRP C 3 689 ? 290.310 -113.996 181.416 1.0 51.73483  ? 689 TRP F CH2 689 TRP F CH2 1 
ATOM 19778 N N   . PHE C 3 690 ? 285.379 -111.316 186.523 1.0 45.98133  ? 690 PHE F N   690 PHE F N   1 
ATOM 19779 C CA  . PHE C 3 690 ? 285.587 -110.245 187.491 1.0 45.98133  ? 690 PHE F CA  690 PHE F CA  1 
ATOM 19780 C C   . PHE C 3 690 ? 286.965 -110.430 188.108 1.0 45.98133  ? 690 PHE F C   690 PHE F C   1 
ATOM 19781 O O   . PHE C 3 690 ? 287.134 -111.262 189.000 1.0 45.98133  ? 690 PHE F O   690 PHE F O   1 
ATOM 19782 C CB  . PHE C 3 690 ? 284.524 -110.272 188.582 1.0 45.98133  ? 690 PHE F CB  690 PHE F CB  1 
ATOM 19783 C CG  . PHE C 3 690 ? 283.146 -109.937 188.110 1.0 45.98133  ? 690 PHE F CG  690 PHE F CG  1 
ATOM 19784 C CD1 . PHE C 3 690 ? 282.761 -108.620 187.943 1.0 45.98133  ? 690 PHE F CD1 690 PHE F CD1 1 
ATOM 19785 C CD2 . PHE C 3 690 ? 282.226 -110.937 187.865 1.0 45.98133  ? 690 PHE F CD2 690 PHE F CD2 1 
ATOM 19786 C CE1 . PHE C 3 690 ? 281.489 -108.309 187.523 1.0 45.98133  ? 690 PHE F CE1 690 PHE F CE1 1 
ATOM 19787 C CE2 . PHE C 3 690 ? 280.952 -110.633 187.444 1.0 45.98133  ? 690 PHE F CE2 690 PHE F CE2 1 
ATOM 19788 C CZ  . PHE C 3 690 ? 280.584 -109.317 187.273 1.0 45.98133  ? 690 PHE F CZ  690 PHE F CZ  1 
ATOM 19789 N N   . GLU C 3 691 ? 287.942 -109.654 187.652 1.0 48.5121   ? 691 GLU F N   691 GLU F N   1 
ATOM 19790 C CA  . GLU C 3 691 ? 289.271 -109.674 188.259 1.0 48.5121   ? 691 GLU F CA  691 GLU F CA  1 
ATOM 19791 C C   . GLU C 3 691 ? 289.175 -109.062 189.648 1.0 48.5121   ? 691 GLU F C   691 GLU F C   1 
ATOM 19792 O O   . GLU C 3 691 ? 289.086 -107.843 189.796 1.0 48.5121   ? 691 GLU F O   691 GLU F O   1 
ATOM 19793 C CB  . GLU C 3 691 ? 290.271 -108.913 187.397 1.0 48.5121   ? 691 GLU F CB  691 GLU F CB  1 
ATOM 19794 C CG  . GLU C 3 691 ? 290.632 -109.599 186.095 1.0 48.5121   ? 691 GLU F CG  691 GLU F CG  1 
ATOM 19795 C CD  . GLU C 3 691 ? 291.602 -108.792 185.247 1.0 48.5121   ? 691 GLU F CD  691 GLU F CD  1 
ATOM 19796 O OE1 . GLU C 3 691 ? 291.856 -107.616 185.581 1.0 48.5121   ? 691 GLU F OE1 691 GLU F OE1 1 
ATOM 19797 O OE2 . GLU C 3 691 ? 292.119 -109.340 184.250 1.0 48.5121   ? 691 GLU F OE2 691 GLU F OE2 1 
ATOM 19798 N N   . ILE C 3 692 ? 289.184 -109.911 190.676 1.0 43.68476  ? 692 ILE F N   692 ILE F N   1 
ATOM 19799 C CA  . ILE C 3 692 ? 289.025 -109.422 192.041 1.0 43.68476  ? 692 ILE F CA  692 ILE F CA  1 
ATOM 19800 C C   . ILE C 3 692 ? 290.292 -108.720 192.508 1.0 43.68476  ? 692 ILE F C   692 ILE F C   1 
ATOM 19801 O O   . ILE C 3 692 ? 290.247 -107.572 192.958 1.0 43.68476  ? 692 ILE F O   692 ILE F O   1 
ATOM 19802 C CB  . ILE C 3 692 ? 288.609 -110.567 192.977 1.0 43.68476  ? 692 ILE F CB  692 ILE F CB  1 
ATOM 19803 C CG1 . ILE C 3 692 ? 287.185 -111.001 192.632 1.0 43.68476  ? 692 ILE F CG1 692 ILE F CG1 1 
ATOM 19804 C CG2 . ILE C 3 692 ? 288.715 -110.147 194.423 1.0 43.68476  ? 692 ILE F CG2 692 ILE F CG2 1 
ATOM 19805 C CD1 . ILE C 3 692 ? 286.721 -112.249 193.319 1.0 43.68476  ? 692 ILE F CD1 692 ILE F CD1 1 
ATOM 19806 N N   . LYS C 3 693 ? 291.439 -109.377 192.398 1.0 45.64728  ? 693 LYS F N   693 LYS F N   1 
ATOM 19807 C CA  . LYS C 3 693 ? 292.697 -108.670 192.575 1.0 45.64728  ? 693 LYS F CA  693 LYS F CA  1 
ATOM 19808 C C   . LYS C 3 693 ? 293.698 -109.174 191.551 1.0 45.64728  ? 693 LYS F C   693 LYS F C   1 
ATOM 19809 O O   . LYS C 3 693 ? 293.689 -110.344 191.164 1.0 45.64728  ? 693 LYS F O   693 LYS F O   1 
ATOM 19810 C CB  . LYS C 3 693 ? 293.262 -108.795 193.999 1.0 45.64728  ? 693 LYS F CB  693 LYS F CB  1 
ATOM 19811 C CG  . LYS C 3 693 ? 293.810 -110.141 194.397 1.0 45.64728  ? 693 LYS F CG  693 LYS F CG  1 
ATOM 19812 C CD  . LYS C 3 693 ? 294.305 -110.107 195.829 1.0 45.64728  ? 693 LYS F CD  693 LYS F CD  1 
ATOM 19813 C CE  . LYS C 3 693 ? 294.762 -111.473 196.294 1.0 45.64728  ? 693 LYS F CE  693 LYS F CE  1 
ATOM 19814 N NZ  . LYS C 3 693 ? 295.956 -111.947 195.552 1.0 45.64728  ? 693 LYS F NZ  693 LYS F NZ  1 
ATOM 19815 N N   . ARG C 3 694 ? 294.536 -108.266 191.095 1.0 52.31989  ? 694 ARG F N   694 ARG F N   1 
ATOM 19816 C CA  . ARG C 3 694 ? 295.491 -108.561 190.043 1.0 52.31989  ? 694 ARG F CA  694 ARG F CA  1 
ATOM 19817 C C   . ARG C 3 694 ? 296.816 -107.933 190.433 1.0 52.31989  ? 694 ARG F C   694 ARG F C   1 
ATOM 19818 O O   . ARG C 3 694 ? 296.943 -106.702 190.419 1.0 52.31989  ? 694 ARG F O   694 ARG F O   1 
ATOM 19819 C CB  . ARG C 3 694 ? 294.991 -108.031 188.706 1.0 52.31989  ? 694 ARG F CB  694 ARG F CB  1 
ATOM 19820 C CG  . ARG C 3 694 ? 295.827 -108.406 187.514 1.0 52.31989  ? 694 ARG F CG  694 ARG F CG  1 
ATOM 19821 C CD  . ARG C 3 694 ? 295.108 -107.980 186.255 1.0 52.31989  ? 694 ARG F CD  694 ARG F CD  1 
ATOM 19822 N NE  . ARG C 3 694 ? 295.923 -108.160 185.062 1.0 52.31989  ? 694 ARG F NE  694 ARG F NE  1 
ATOM 19823 C CZ  . ARG C 3 694 ? 295.975 -109.281 184.353 1.0 52.31989  ? 694 ARG F CZ  694 ARG F CZ  1 
ATOM 19824 N NH1 . ARG C 3 694 ? 295.254 -110.333 184.714 1.0 52.31989  ? 694 ARG F NH1 694 ARG F NH1 1 
ATOM 19825 N NH2 . ARG C 3 694 ? 296.749 -109.347 183.278 1.0 52.31989  ? 694 ARG F NH2 694 ARG F NH2 1 
ATOM 19826 N N   . PRO C 3 695 ? 297.814 -108.741 190.789 1.0 55.58439  ? 695 PRO F N   695 PRO F N   1 
ATOM 19827 C CA  . PRO C 3 695 ? 298.993 -108.203 191.474 1.0 55.58439  ? 695 PRO F CA  695 PRO F CA  1 
ATOM 19828 C C   . PRO C 3 695 ? 299.879 -107.405 190.542 1.0 55.58439  ? 695 PRO F C   695 PRO F C   1 
ATOM 19829 O O   . PRO C 3 695 ? 299.971 -107.687 189.346 1.0 55.58439  ? 695 PRO F O   695 PRO F O   1 
ATOM 19830 C CB  . PRO C 3 695 ? 299.708 -109.458 191.978 1.0 55.58439  ? 695 PRO F CB  695 PRO F CB  1 
ATOM 19831 C CG  . PRO C 3 695 ? 299.315 -110.504 191.006 1.0 55.58439  ? 695 PRO F CG  695 PRO F CG  1 
ATOM 19832 C CD  . PRO C 3 695 ? 297.906 -110.196 190.596 1.0 55.58439  ? 695 PRO F CD  695 PRO F CD  1 
ATOM 19833 N N   . ILE C 3 696 ? 300.526 -106.387 191.106 1.0 58.84097  ? 696 ILE F N   696 ILE F N   1 
ATOM 19834 C CA  . ILE C 3 696 ? 301.440 -105.581 190.321 1.0 58.84097  ? 696 ILE F CA  696 ILE F CA  1 
ATOM 19835 C C   . ILE C 3 696 ? 302.730 -106.367 190.087 1.0 58.84097  ? 696 ILE F C   696 ILE F C   1 
ATOM 19836 O O   . ILE C 3 696 ? 303.017 -107.342 190.787 1.0 58.84097  ? 696 ILE F O   696 ILE F O   1 
ATOM 19837 C CB  . ILE C 3 696 ? 301.690 -104.225 191.006 1.0 58.84097  ? 696 ILE F CB  696 ILE F CB  1 
ATOM 19838 C CG1 . ILE C 3 696 ? 302.193 -104.375 192.444 1.0 58.84097  ? 696 ILE F CG1 696 ILE F CG1 1 
ATOM 19839 C CG2 . ILE C 3 696 ? 300.414 -103.415 191.043 1.0 58.84097  ? 696 ILE F CG2 696 ILE F CG2 1 
ATOM 19840 C CD1 . ILE C 3 696 ? 303.698 -104.278 192.624 1.0 58.84097  ? 696 ILE F CD1 696 ILE F CD1 1 
ATOM 19841 N N   . ASN C 3 697 ? 303.549 -105.848 189.157 1.0 61.80975  ? 697 ASN F N   697 ASN F N   1 
ATOM 19842 C CA  . ASN C 3 697 ? 304.641 -106.376 188.317 1.0 61.80975  ? 697 ASN F CA  697 ASN F CA  1 
ATOM 19843 C C   . ASN C 3 697 ? 304.066 -107.132 187.117 1.0 61.80975  ? 697 ASN F C   697 ASN F C   1 
ATOM 19844 O O   . ASN C 3 697 ? 304.798 -107.513 186.200 1.0 61.80975  ? 697 ASN F O   697 ASN F O   1 
ATOM 19845 C CB  . ASN C 3 697 ? 305.728 -107.184 189.092 1.0 61.80975  ? 697 ASN F CB  697 ASN F CB  1 
ATOM 19846 C CG  . ASN C 3 697 ? 305.359 -108.653 189.493 1.0 61.80975  ? 697 ASN F CG  697 ASN F CG  1 
ATOM 19847 O OD1 . ASN C 3 697 ? 304.337 -109.240 189.128 1.0 61.80975  ? 697 ASN F OD1 697 ASN F OD1 1 
ATOM 19848 N ND2 . ASN C 3 697 ? 306.256 -109.239 190.285 1.0 61.80975  ? 697 ASN F ND2 697 ASN F ND2 1 
ATOM 19849 N N   . GLN C 3 698 ? 302.754 -107.330 187.123 1.0 62.11867  ? 698 GLN F N   698 GLN F N   1 
ATOM 19850 C CA  . GLN C 3 698 ? 301.907 -107.451 185.949 1.0 62.11867  ? 698 GLN F CA  698 GLN F CA  1 
ATOM 19851 C C   . GLN C 3 698 ? 301.403 -106.045 185.622 1.0 62.11867  ? 698 GLN F C   698 GLN F C   1 
ATOM 19852 O O   . GLN C 3 698 ? 302.007 -105.051 186.046 1.0 62.11867  ? 698 GLN F O   698 GLN F O   1 
ATOM 19853 C CB  . GLN C 3 698 ? 300.763 -108.448 186.189 1.0 62.11867  ? 698 GLN F CB  698 GLN F CB  1 
ATOM 19854 C CG  . GLN C 3 698 ? 301.127 -109.922 186.058 1.0 62.11867  ? 698 GLN F CG  698 GLN F CG  1 
ATOM 19855 C CD  . GLN C 3 698 ? 301.994 -110.428 187.190 1.0 62.11867  ? 698 GLN F CD  698 GLN F CD  1 
ATOM 19856 O OE1 . GLN C 3 698 ? 303.096 -110.922 186.966 1.0 62.11867  ? 698 GLN F OE1 698 GLN F OE1 1 
ATOM 19857 N NE2 . GLN C 3 698 ? 301.502 -110.301 188.416 1.0 62.11867  ? 698 GLN F NE2 698 GLN F NE2 1 
ATOM 19858 N N   . ASP C 3 699 ? 300.324 -105.951 184.843 1.0 57.83929  ? 699 ASP F N   699 ASP F N   1 
ATOM 19859 C CA  . ASP C 3 699 ? 299.574 -104.725 184.575 1.0 57.83929  ? 699 ASP F CA  699 ASP F CA  1 
ATOM 19860 C C   . ASP C 3 699 ? 300.380 -103.633 183.887 1.0 57.83929  ? 699 ASP F C   699 ASP F C   1 
ATOM 19861 O O   . ASP C 3 699 ? 300.701 -102.627 184.533 1.0 57.83929  ? 699 ASP F O   699 ASP F O   1 
ATOM 19862 C CB  . ASP C 3 699 ? 298.949 -104.135 185.848 1.0 57.83929  ? 699 ASP F CB  699 ASP F CB  1 
ATOM 19863 C CG  . ASP C 3 699 ? 297.767 -104.927 186.325 1.0 57.83929  ? 699 ASP F CG  699 ASP F CG  1 
ATOM 19864 O OD1 . ASP C 3 699 ? 297.086 -105.516 185.465 1.0 57.83929  ? 699 ASP F OD1 699 ASP F OD1 1 
ATOM 19865 O OD2 . ASP C 3 699 ? 297.508 -104.956 187.545 1.0 57.83929  ? 699 ASP F OD2 699 ASP F OD2 1 
ATOM 19866 N N   . ALA C 3 700 ? 300.779 -103.826 182.628 1.0 57.10713  ? 700 ALA F N   700 ALA F N   1 
ATOM 19867 C CA  . ALA C 3 700 ? 301.319 -102.747 181.810 1.0 57.10713  ? 700 ALA F CA  700 ALA F CA  1 
ATOM 19868 C C   . ALA C 3 700 ? 300.297 -101.623 181.705 1.0 57.10713  ? 700 ALA F C   700 ALA F C   1 
ATOM 19869 O O   . ALA C 3 700 ? 300.650 -100.443 181.785 1.0 57.10713  ? 700 ALA F O   700 ALA F O   1 
ATOM 19870 C CB  . ALA C 3 700 ? 301.704 -103.261 180.423 1.0 57.10713  ? 700 ALA F CB  700 ALA F CB  1 
ATOM 19871 N N   . GLU C 3 701 ? 299.030 -101.983 181.532 1.0 52.81425  ? 701 GLU F N   701 GLU F N   1 
ATOM 19872 C CA  . GLU C 3 701 ? 297.927 -101.074 181.799 1.0 52.81425  ? 701 GLU F CA  701 GLU F CA  1 
ATOM 19873 C C   . GLU C 3 701 ? 297.464 -101.303 183.230 1.0 52.81425  ? 701 GLU F C   701 GLU F C   1 
ATOM 19874 O O   . GLU C 3 701 ? 297.263 -102.451 183.633 1.0 52.81425  ? 701 GLU F O   701 GLU F O   1 
ATOM 19875 C CB  . GLU C 3 701 ? 296.777 -101.306 180.823 1.0 52.81425  ? 701 GLU F CB  701 GLU F CB  1 
ATOM 19876 C CG  . GLU C 3 701 ? 295.652 -100.333 181.021 1.0 52.81425  ? 701 GLU F CG  701 GLU F CG  1 
ATOM 19877 C CD  . GLU C 3 701 ? 296.045 -98.913  180.660 1.0 52.81425  ? 701 GLU F CD  701 GLU F CD  1 
ATOM 19878 O OE1 . GLU C 3 701 ? 296.858 -98.728  179.729 1.0 52.81425  ? 701 GLU F OE1 701 GLU F OE1 1 
ATOM 19879 O OE2 . GLU C 3 701 ? 295.552 -97.979  181.325 1.0 52.81425  ? 701 GLU F OE2 701 GLU F OE2 1 
ATOM 19880 N N   . GLY C 3 702 ? 297.280 -100.215 183.984 1.0 50.67871  ? 702 GLY F N   702 GLY F N   1 
ATOM 19881 C CA  . GLY C 3 702 ? 297.192 -100.278 185.435 1.0 50.67871  ? 702 GLY F CA  702 GLY F CA  1 
ATOM 19882 C C   . GLY C 3 702 ? 296.072 -101.088 186.058 1.0 50.67871  ? 702 GLY F C   702 GLY F C   1 
ATOM 19883 O O   . GLY C 3 702 ? 296.337 -102.188 186.549 1.0 50.67871  ? 702 GLY F O   702 GLY F O   1 
ATOM 19884 N N   . ASN C 3 703 ? 294.836 -100.579 186.002 1.0 48.3793   ? 703 ASN F N   703 ASN F N   1 
ATOM 19885 C CA  . ASN C 3 703 ? 293.633 -101.244 186.523 1.0 48.3793   ? 703 ASN F CA  703 ASN F CA  1 
ATOM 19886 C C   . ASN C 3 703 ? 293.785 -101.671 187.984 1.0 48.3793   ? 703 ASN F C   703 ASN F C   1 
ATOM 19887 O O   . ASN C 3 703 ? 293.537 -102.821 188.344 1.0 48.3793   ? 703 ASN F O   703 ASN F O   1 
ATOM 19888 C CB  . ASN C 3 703 ? 293.248 -102.439 185.650 1.0 48.3793   ? 703 ASN F CB  703 ASN F CB  1 
ATOM 19889 C CG  . ASN C 3 703 ? 292.854 -102.030 184.252 1.0 48.3793   ? 703 ASN F CG  703 ASN F CG  1 
ATOM 19890 O OD1 . ASN C 3 703 ? 293.522 -102.374 183.277 1.0 48.3793   ? 703 ASN F OD1 703 ASN F OD1 1 
ATOM 19891 N ND2 . ASN C 3 703 ? 291.767 -101.284 184.144 1.0 48.3793   ? 703 ASN F ND2 703 ASN F ND2 1 
ATOM 19892 N N   . ASP C 3 704 ? 294.208 -100.731 188.831 1.0 47.56352  ? 704 ASP F N   704 ASP F N   1 
ATOM 19893 C CA  . ASP C 3 704 ? 294.462 -100.988 190.251 1.0 47.56352  ? 704 ASP F CA  704 ASP F CA  1 
ATOM 19894 C C   . ASP C 3 704 ? 294.029 -99.759  191.047 1.0 47.56352  ? 704 ASP F C   704 ASP F C   1 
ATOM 19895 O O   . ASP C 3 704 ? 294.759 -98.767  191.100 1.0 47.56352  ? 704 ASP F O   704 ASP F O   1 
ATOM 19896 C CB  . ASP C 3 704 ? 295.934 -101.292 190.493 1.0 47.56352  ? 704 ASP F CB  704 ASP F CB  1 
ATOM 19897 C CG  . ASP C 3 704 ? 296.344 -102.668 190.027 1.0 47.56352  ? 704 ASP F CG  704 ASP F CG  1 
ATOM 19898 O OD1 . ASP C 3 704 ? 295.552 -103.618 190.162 1.0 47.56352  ? 704 ASP F OD1 704 ASP F OD1 1 
ATOM 19899 O OD2 . ASP C 3 704 ? 297.474 -102.801 189.521 1.0 47.56352  ? 704 ASP F OD2 704 ASP F OD2 1 
ATOM 19900 N N   . THR C 3 705 ? 292.857 -99.820  191.674 1.0 46.55578  ? 705 THR F N   705 THR F N   1 
ATOM 19901 C CA  . THR C 3 705 ? 292.441 -98.725  192.538 1.0 46.55578  ? 705 THR F CA  705 THR F CA  1 
ATOM 19902 C C   . THR C 3 705 ? 293.205 -98.740  193.853 1.0 46.55578  ? 705 THR F C   705 THR F C   1 
ATOM 19903 O O   . THR C 3 705 ? 293.933 -99.682  194.179 1.0 46.55578  ? 705 THR F O   705 THR F O   1 
ATOM 19904 C CB  . THR C 3 705 ? 290.957 -98.800  192.896 1.0 46.55578  ? 705 THR F CB  705 THR F CB  1 
ATOM 19905 O OG1 . THR C 3 705 ? 290.640 -100.124 193.339 1.0 46.55578  ? 705 THR F OG1 705 THR F OG1 1 
ATOM 19906 C CG2 . THR C 3 705 ? 290.043 -98.346  191.780 1.0 46.55578  ? 705 THR F CG2 705 THR F CG2 1 
ATOM 19907 N N   . MET C 3 706 ? 293.025 -97.655  194.606 1.0 46.76866  ? 706 MET F N   706 MET F N   1 
ATOM 19908 C CA  . MET C 3 706 ? 293.268 -97.548  196.042 1.0 46.76866  ? 706 MET F CA  706 MET F CA  1 
ATOM 19909 C C   . MET C 3 706 ? 294.722 -97.744  196.444 1.0 46.76866  ? 706 MET F C   706 MET F C   1 
ATOM 19910 O O   . MET C 3 706 ? 294.994 -97.912  197.639 1.0 46.76866  ? 706 MET F O   706 MET F O   1 
ATOM 19911 C CB  . MET C 3 706 ? 292.405 -98.543  196.818 1.0 46.76866  ? 706 MET F CB  706 MET F CB  1 
ATOM 19912 C CG  . MET C 3 706 ? 290.911 -98.351  196.700 1.0 46.76866  ? 706 MET F CG  706 MET F CG  1 
ATOM 19913 S SD  . MET C 3 706 ? 290.293 -96.816  197.400 1.0 46.76866  ? 706 MET F SD  706 MET F SD  1 
ATOM 19914 C CE  . MET C 3 706 ? 290.498 -97.107  199.150 1.0 46.76866  ? 706 MET F CE  706 MET F CE  1 
ATOM 19915 N N   . GLN C 3 707 ? 295.649 -97.718  195.481 1.0 46.32947  ? 707 GLN F N   707 GLN F N   1 
ATOM 19916 C CA  . GLN C 3 707 ? 297.062 -98.062  195.664 1.0 46.32947  ? 707 GLN F CA  707 GLN F CA  1 
ATOM 19917 C C   . GLN C 3 707 ? 297.218 -99.448  196.291 1.0 46.32947  ? 707 GLN F C   707 GLN F C   1 
ATOM 19918 O O   . GLN C 3 707 ? 297.857 -99.622  197.330 1.0 46.32947  ? 707 GLN F O   707 GLN F O   1 
ATOM 19919 C CB  . GLN C 3 707 ? 297.789 -96.992  196.481 1.0 46.32947  ? 707 GLN F CB  707 GLN F CB  1 
ATOM 19920 C CG  . GLN C 3 707 ? 297.721 -95.614  195.861 1.0 46.32947  ? 707 GLN F CG  707 GLN F CG  1 
ATOM 19921 C CD  . GLN C 3 707 ? 298.423 -94.584  196.696 1.0 46.32947  ? 707 GLN F CD  707 GLN F CD  1 
ATOM 19922 O OE1 . GLN C 3 707 ? 298.980 -94.904  197.735 1.0 46.32947  ? 707 GLN F OE1 707 GLN F OE1 1 
ATOM 19923 N NE2 . GLN C 3 707 ? 298.380 -93.333  196.264 1.0 46.32947  ? 707 GLN F NE2 707 GLN F NE2 1 
ATOM 19924 N N   . SER C 3 708 ? 296.610 -100.439 195.651 1.0 47.0916   ? 708 SER F N   708 SER F N   1 
ATOM 19925 C CA  . SER C 3 708 ? 296.602 -101.803 196.161 1.0 47.0916   ? 708 SER F CA  708 SER F CA  1 
ATOM 19926 C C   . SER C 3 708 ? 296.488 -102.757 194.976 1.0 47.0916   ? 708 SER F C   708 SER F C   1 
ATOM 19927 O O   . SER C 3 708 ? 296.747 -102.374 193.831 1.0 47.0916   ? 708 SER F O   708 SER F O   1 
ATOM 19928 C CB  . SER C 3 708 ? 295.465 -101.979 197.176 1.0 47.0916   ? 708 SER F CB  708 SER F CB  1 
ATOM 19929 O OG  . SER C 3 708 ? 294.214 -101.861 196.532 1.0 47.0916   ? 708 SER F OG  708 SER F OG  1 
ATOM 19930 N N   . ASN C 3 709 ? 296.114 -104.006 195.250 1.0 46.83219  ? 709 ASN F N   709 ASN F N   1 
ATOM 19931 C CA  . ASN C 3 709 ? 295.874 -104.999 194.213 1.0 46.83219  ? 709 ASN F CA  709 ASN F CA  1 
ATOM 19932 C C   . ASN C 3 709 ? 294.470 -104.941 193.634 1.0 46.83219  ? 709 ASN F C   709 ASN F C   1 
ATOM 19933 O O   . ASN C 3 709 ? 294.217 -105.589 192.615 1.0 46.83219  ? 709 ASN F O   709 ASN F O   1 
ATOM 19934 C CB  . ASN C 3 709 ? 296.090 -106.413 194.753 1.0 46.83219  ? 709 ASN F CB  709 ASN F CB  1 
ATOM 19935 C CG  . ASN C 3 709 ? 297.532 -106.727 195.009 1.0 46.83219  ? 709 ASN F CG  709 ASN F CG  1 
ATOM 19936 O OD1 . ASN C 3 709 ? 298.409 -106.334 194.247 1.0 46.83219  ? 709 ASN F OD1 709 ASN F OD1 1 
ATOM 19937 N ND2 . ASN C 3 709 ? 297.790 -107.471 196.074 1.0 46.83219  ? 709 ASN F ND2 709 ASN F ND2 1 
ATOM 19938 N N   . LEU C 3 710 ? 293.557 -104.209 194.265 1.0 43.73394  ? 710 LEU F N   710 LEU F N   1 
ATOM 19939 C CA  . LEU C 3 710 ? 292.146 -104.279 193.910 1.0 43.73394  ? 710 LEU F CA  710 LEU F CA  1 
ATOM 19940 C C   . LEU C 3 710 ? 291.894 -103.583 192.580 1.0 43.73394  ? 710 LEU F C   710 LEU F C   1 
ATOM 19941 O O   . LEU C 3 710 ? 292.268 -102.422 192.396 1.0 43.73394  ? 710 LEU F O   710 LEU F O   1 
ATOM 19942 C CB  . LEU C 3 710 ? 291.310 -103.642 195.015 1.0 43.73394  ? 710 LEU F CB  710 LEU F CB  1 
ATOM 19943 C CG  . LEU C 3 710 ? 289.795 -103.757 194.951 1.0 43.73394  ? 710 LEU F CG  710 LEU F CG  1 
ATOM 19944 C CD1 . LEU C 3 710 ? 289.394 -105.194 195.054 1.0 43.73394  ? 710 LEU F CD1 710 LEU F CD1 1 
ATOM 19945 C CD2 . LEU C 3 710 ? 289.191 -102.987 196.088 1.0 43.73394  ? 710 LEU F CD2 710 LEU F CD2 1 
ATOM 19946 N N   . THR C 3 711 ? 291.255 -104.292 191.654 1.0 43.83669  ? 711 THR F N   711 THR F N   1 
ATOM 19947 C CA  . THR C 3 711 ? 291.117 -103.811 190.291 1.0 43.83669  ? 711 THR F CA  711 THR F CA  1 
ATOM 19948 C C   . THR C 3 711 ? 290.011 -102.768 190.185 1.0 43.83669  ? 711 THR F C   711 THR F C   1 
ATOM 19949 O O   . THR C 3 711 ? 289.195 -102.589 191.088 1.0 43.83669  ? 711 THR F O   711 THR F O   1 
ATOM 19950 C CB  . THR C 3 711 ? 290.839 -104.967 189.339 1.0 43.83669  ? 711 THR F CB  711 THR F CB  1 
ATOM 19951 O OG1 . THR C 3 711 ? 289.614 -105.602 189.712 1.0 43.83669  ? 711 THR F OG1 711 THR F OG1 1 
ATOM 19952 C CG2 . THR C 3 711 ? 291.957 -105.974 189.405 1.0 43.83669  ? 711 THR F CG2 711 THR F CG2 1 
ATOM 19953 N N   . LYS C 3 712 ? 289.989 -102.069 189.052 1.0 43.68898  ? 712 LYS F N   712 LYS F N   1 
ATOM 19954 C CA  . LYS C 3 712 ? 289.028 -100.992 188.880 1.0 43.68898  ? 712 LYS F CA  712 LYS F CA  1 
ATOM 19955 C C   . LYS C 3 712 ? 287.678 -101.480 188.390 1.0 43.68898  ? 712 LYS F C   712 LYS F C   1 
ATOM 19956 O O   . LYS C 3 712 ? 286.674 -100.794 188.602 1.0 43.68898  ? 712 LYS F O   712 LYS F O   1 
ATOM 19957 C CB  . LYS C 3 712 ? 289.566 -99.941  187.917 1.0 43.68898  ? 712 LYS F CB  712 LYS F CB  1 
ATOM 19958 C CG  . LYS C 3 712 ? 290.828 -99.312  188.411 1.0 43.68898  ? 712 LYS F CG  712 LYS F CG  1 
ATOM 19959 C CD  . LYS C 3 712 ? 291.068 -97.998  187.754 1.0 43.68898  ? 712 LYS F CD  712 LYS F CD  1 
ATOM 19960 C CE  . LYS C 3 712 ? 292.230 -97.259  188.384 1.0 43.68898  ? 712 LYS F CE  712 LYS F CE  1 
ATOM 19961 N NZ  . LYS C 3 712 ? 293.548 -97.836  188.062 1.0 43.68898  ? 712 LYS F NZ  712 LYS F NZ  1 
ATOM 19962 N N   . ASP C 3 713 ? 287.629 -102.640 187.737 1.0 47.69686  ? 713 ASP F N   713 ASP F N   1 
ATOM 19963 C CA  . ASP C 3 713 ? 286.343 -103.222 187.385 1.0 47.69686  ? 713 ASP F CA  713 ASP F CA  1 
ATOM 19964 C C   . ASP C 3 713 ? 285.624 -103.741 188.613 1.0 47.69686  ? 713 ASP F C   713 ASP F C   1 
ATOM 19965 O O   . ASP C 3 713 ? 284.394 -103.839 188.618 1.0 47.69686  ? 713 ASP F O   713 ASP F O   1 
ATOM 19966 C CB  . ASP C 3 713 ? 286.539 -104.351 186.380 1.0 47.69686  ? 713 ASP F CB  713 ASP F CB  1 
ATOM 19967 C CG  . ASP C 3 713 ? 287.044 -103.854 185.052 1.0 47.69686  ? 713 ASP F CG  713 ASP F CG  1 
ATOM 19968 O OD1 . ASP C 3 713 ? 286.718 -102.703 184.698 1.0 47.69686  ? 713 ASP F OD1 713 ASP F OD1 1 
ATOM 19969 O OD2 . ASP C 3 713 ? 287.771 -104.607 184.375 1.0 47.69686  ? 713 ASP F OD2 713 ASP F OD2 1 
ATOM 19970 N N   . PHE C 3 714 ? 286.371 -104.065 189.663 1.0 41.13367  ? 714 PHE F N   714 PHE F N   1 
ATOM 19971 C CA  . PHE C 3 714 ? 285.805 -104.714 190.825 1.0 41.13367  ? 714 PHE F CA  714 PHE F CA  1 
ATOM 19972 C C   . PHE C 3 714 ? 285.720 -103.807 192.040 1.0 41.13367  ? 714 PHE F C   714 PHE F C   1 
ATOM 19973 O O   . PHE C 3 714 ? 284.939 -104.090 192.947 1.0 41.13367  ? 714 PHE F O   714 PHE F O   1 
ATOM 19974 C CB  . PHE C 3 714 ? 286.627 -105.961 191.149 1.0 41.13367  ? 714 PHE F CB  714 PHE F CB  1 
ATOM 19975 C CG  . PHE C 3 714 ? 285.997 -106.860 192.138 1.0 41.13367  ? 714 PHE F CG  714 PHE F CG  1 
ATOM 19976 C CD1 . PHE C 3 714 ? 284.910 -107.636 191.794 1.0 41.13367  ? 714 PHE F CD1 714 PHE F CD1 1 
ATOM 19977 C CD2 . PHE C 3 714 ? 286.504 -106.949 193.404 1.0 41.13367  ? 714 PHE F CD2 714 PHE F CD2 1 
ATOM 19978 C CE1 . PHE C 3 714 ? 284.335 -108.488 192.715 1.0 41.13367  ? 714 PHE F CE1 714 PHE F CE1 1 
ATOM 19979 C CE2 . PHE C 3 714 ? 285.944 -107.789 194.314 1.0 41.13367  ? 714 PHE F CE2 714 PHE F CE2 1 
ATOM 19980 C CZ  . PHE C 3 714 ? 284.854 -108.550 193.973 1.0 41.13367  ? 714 PHE F CZ  714 PHE F CZ  1 
ATOM 19981 N N   . PHE C 3 715 ? 286.476 -102.713 192.071 1.0 41.14002  ? 715 PHE F N   715 PHE F N   1 
ATOM 19982 C CA  . PHE C 3 715 ? 286.234 -101.692 193.081 1.0 41.14002  ? 715 PHE F CA  715 PHE F CA  1 
ATOM 19983 C C   . PHE C 3 715 ? 284.938 -100.946 192.808 1.0 41.14002  ? 715 PHE F C   715 PHE F C   1 
ATOM 19984 O O   . PHE C 3 715 ? 284.292 -100.465 193.745 1.0 41.14002  ? 715 PHE F O   715 PHE F O   1 
ATOM 19985 C CB  . PHE C 3 715 ? 287.405 -100.715 193.127 1.0 41.14002  ? 715 PHE F CB  715 PHE F CB  1 
ATOM 19986 C CG  . PHE C 3 715 ? 287.259 -99.637  194.153 1.0 41.14002  ? 715 PHE F CG  715 PHE F CG  1 
ATOM 19987 C CD1 . PHE C 3 715 ? 287.497 -99.899  195.486 1.0 41.14002  ? 715 PHE F CD1 715 PHE F CD1 1 
ATOM 19988 C CD2 . PHE C 3 715 ? 286.882 -98.359  193.786 1.0 41.14002  ? 715 PHE F CD2 715 PHE F CD2 1 
ATOM 19989 C CE1 . PHE C 3 715 ? 287.363 -98.913  196.431 1.0 41.14002  ? 715 PHE F CE1 715 PHE F CE1 1 
ATOM 19990 C CE2 . PHE C 3 715 ? 286.739 -97.374  194.730 1.0 41.14002  ? 715 PHE F CE2 715 PHE F CE2 1 
ATOM 19991 C CZ  . PHE C 3 715 ? 286.990 -97.649  196.050 1.0 41.14002  ? 715 PHE F CZ  715 PHE F CZ  1 
ATOM 19992 N N   . MET C 3 716 ? 284.549 -100.838 191.535 1.0 40.81431  ? 716 MET F N   716 MET F N   1 
ATOM 19993 C CA  . MET C 3 716 ? 283.325 -100.132 191.179 1.0 40.81431  ? 716 MET F CA  716 MET F CA  1 
ATOM 19994 C C   . MET C 3 716 ? 282.098 -100.918 191.610 1.0 40.81431  ? 716 MET F C   716 MET F C   1 
ATOM 19995 O O   . MET C 3 716 ? 281.133 -100.337 192.110 1.0 40.81431  ? 716 MET F O   716 MET F O   1 
ATOM 19996 C CB  . MET C 3 716 ? 283.301 -99.865  189.673 1.0 40.81431  ? 716 MET F CB  716 MET F CB  1 
ATOM 19997 C CG  . MET C 3 716 ? 282.156 -98.989  189.162 1.0 40.81431  ? 716 MET F CG  716 MET F CG  1 
ATOM 19998 S SD  . MET C 3 716 ? 280.634 -99.843  188.697 1.0 40.81431  ? 716 MET F SD  716 MET F SD  1 
ATOM 19999 C CE  . MET C 3 716 ? 281.143 -100.634 187.175 1.0 40.81431  ? 716 MET F CE  716 MET F CE  1 
ATOM 20000 N N   . VAL C 3 717 ? 282.119 -102.240 191.435 1.0 39.60488  ? 717 VAL F N   717 VAL F N   1 
ATOM 20001 C CA  . VAL C 3 717 ? 280.949 -103.043 191.767 1.0 39.60488  ? 717 VAL F CA  717 VAL F CA  1 
ATOM 20002 C C   . VAL C 3 717 ? 280.790 -103.169 193.280 1.0 39.60488  ? 717 VAL F C   717 VAL F C   1 
ATOM 20003 O O   . VAL C 3 717 ? 279.668 -103.284 193.784 1.0 39.60488  ? 717 VAL F O   717 VAL F O   1 
ATOM 20004 C CB  . VAL C 3 717 ? 281.030 -104.408 191.047 1.0 39.60488  ? 717 VAL F CB  717 VAL F CB  1 
ATOM 20005 C CG1 . VAL C 3 717 ? 282.192 -105.225 191.524 1.0 39.60488  ? 717 VAL F CG1 717 VAL F CG1 1 
ATOM 20006 C CG2 . VAL C 3 717 ? 279.761 -105.195 191.208 1.0 39.60488  ? 717 VAL F CG2 717 VAL F CG2 1 
ATOM 20007 N N   . GLN C 3 718 ? 281.882 -103.077 194.039 1.0 39.29838  ? 718 GLN F N   718 GLN F N   1 
ATOM 20008 C CA  . GLN C 3 718 ? 281.751 -103.129 195.488 1.0 39.29838  ? 718 GLN F CA  718 GLN F CA  1 
ATOM 20009 C C   . GLN C 3 718 ? 281.287 -101.804 196.064 1.0 39.29838  ? 718 GLN F C   718 GLN F C   1 
ATOM 20010 O O   . GLN C 3 718 ? 280.636 -101.782 197.113 1.0 39.29838  ? 718 GLN F O   718 GLN F O   1 
ATOM 20011 C CB  . GLN C 3 718 ? 283.071 -103.542 196.125 1.0 39.29838  ? 718 GLN F CB  718 GLN F CB  1 
ATOM 20012 C CG  . GLN C 3 718 ? 283.482 -104.926 195.742 1.0 39.29838  ? 718 GLN F CG  718 GLN F CG  1 
ATOM 20013 C CD  . GLN C 3 718 ? 282.498 -105.950 196.218 1.0 39.29838  ? 718 GLN F CD  718 GLN F CD  1 
ATOM 20014 O OE1 . GLN C 3 718 ? 282.008 -105.878 197.340 1.0 39.29838  ? 718 GLN F OE1 718 GLN F OE1 1 
ATOM 20015 N NE2 . GLN C 3 718 ? 282.176 -106.900 195.357 1.0 39.29838  ? 718 GLN F NE2 718 GLN F NE2 1 
ATOM 20016 N N   . MET C 3 719 ? 281.602 -100.701 195.399 1.0 41.23719  ? 719 MET F N   719 MET F N   1 
ATOM 20017 C CA  . MET C 3 719 ? 281.184 -99.390  195.865 1.0 41.23719  ? 719 MET F CA  719 MET F CA  1 
ATOM 20018 C C   . MET C 3 719 ? 279.797 -99.015  195.367 1.0 41.23719  ? 719 MET F C   719 MET F C   1 
ATOM 20019 O O   . MET C 3 719 ? 279.041 -98.366  196.096 1.0 41.23719  ? 719 MET F O   719 MET F O   1 
ATOM 20020 C CB  . MET C 3 719 ? 282.200 -98.340  195.421 1.0 41.23719  ? 719 MET F CB  719 MET F CB  1 
ATOM 20021 C CG  . MET C 3 719 ? 281.983 -96.976  196.005 1.0 41.23719  ? 719 MET F CG  719 MET F CG  1 
ATOM 20022 S SD  . MET C 3 719 ? 282.209 -96.973  197.780 1.0 41.23719  ? 719 MET F SD  719 MET F SD  1 
ATOM 20023 C CE  . MET C 3 719 ? 283.973 -97.158  197.890 1.0 41.23719  ? 719 MET F CE  719 MET F CE  1 
ATOM 20024 N N   . ALA C 3 720 ? 279.432 -99.422  194.152 1.0 40.47048  ? 720 ALA F N   720 ALA F N   1 
ATOM 20025 C CA  . ALA C 3 720 ? 278.108 -99.096  193.640 1.0 40.47048  ? 720 ALA F CA  720 ALA F CA  1 
ATOM 20026 C C   . ALA C 3 720 ? 277.021 -99.972  194.242 1.0 40.47048  ? 720 ALA F C   720 ALA F C   1 
ATOM 20027 O O   . ALA C 3 720 ? 275.865 -99.549  194.308 1.0 40.47048  ? 720 ALA F O   720 ALA F O   1 
ATOM 20028 C CB  . ALA C 3 720 ? 278.078 -99.212  192.118 1.0 40.47048  ? 720 ALA F CB  720 ALA F CB  1 
ATOM 20029 N N   . ALA C 3 721 ? 277.353 -101.185 194.674 1.0 39.77863  ? 721 ALA F N   721 ALA F N   1 
ATOM 20030 C CA  . ALA C 3 721 ? 276.348 -102.023 195.315 1.0 39.77863  ? 721 ALA F CA  721 ALA F CA  1 
ATOM 20031 C C   . ALA C 3 721 ? 276.070 -101.559 196.735 1.0 39.77863  ? 721 ALA F C   721 ALA F C   1 
ATOM 20032 O O   . ALA C 3 721 ? 274.912 -101.400 197.130 1.0 39.77863  ? 721 ALA F O   721 ALA F O   1 
ATOM 20033 C CB  . ALA C 3 721 ? 276.794 -103.481 195.325 1.0 39.77863  ? 721 ALA F CB  721 ALA F CB  1 
ATOM 20034 N N   . SER C 3 722 ? 277.126 -101.341 197.515 1.0 38.60591  ? 722 SER F N   722 SER F N   1 
ATOM 20035 C CA  . SER C 3 722 ? 276.957 -101.012 198.920 1.0 38.60591  ? 722 SER F CA  722 SER F CA  1 
ATOM 20036 C C   . SER C 3 722 ? 276.506 -99.577  199.137 1.0 38.60591  ? 722 SER F C   722 SER F C   1 
ATOM 20037 O O   . SER C 3 722 ? 275.901 -99.286  200.173 1.0 38.60591  ? 722 SER F O   722 SER F O   1 
ATOM 20038 C CB  . SER C 3 722 ? 278.263 -101.255 199.674 1.0 38.60591  ? 722 SER F CB  722 SER F CB  1 
ATOM 20039 O OG  . SER C 3 722 ? 278.618 -102.623 199.655 1.0 38.60591  ? 722 SER F OG  722 SER F OG  1 
ATOM 20040 N N   . TYR C 3 723 ? 276.783 -98.672  198.201 1.0 39.78627  ? 723 TYR F N   723 TYR F N   1 
ATOM 20041 C CA  . TYR C 3 723 ? 276.581 -97.260  198.480 1.0 39.78627  ? 723 TYR F CA  723 TYR F CA  1 
ATOM 20042 C C   . TYR C 3 723 ? 275.918 -96.460  197.369 1.0 39.78627  ? 723 TYR F C   723 TYR F C   1 
ATOM 20043 O O   . TYR C 3 723 ? 275.734 -95.253  197.558 1.0 39.78627  ? 723 TYR F O   723 TYR F O   1 
ATOM 20044 C CB  . TYR C 3 723 ? 277.920 -96.598  198.830 1.0 39.78627  ? 723 TYR F CB  723 TYR F CB  1 
ATOM 20045 C CG  . TYR C 3 723 ? 278.548 -97.124  200.095 1.0 39.78627  ? 723 TYR F CG  723 TYR F CG  1 
ATOM 20046 C CD1 . TYR C 3 723 ? 278.039 -96.778  201.334 1.0 39.78627  ? 723 TYR F CD1 723 TYR F CD1 1 
ATOM 20047 C CD2 . TYR C 3 723 ? 279.659 -97.950  200.050 1.0 39.78627  ? 723 TYR F CD2 723 TYR F CD2 1 
ATOM 20048 C CE1 . TYR C 3 723 ? 278.607 -97.253  202.493 1.0 39.78627  ? 723 TYR F CE1 723 TYR F CE1 1 
ATOM 20049 C CE2 . TYR C 3 723 ? 280.236 -98.429  201.203 1.0 39.78627  ? 723 TYR F CE2 723 TYR F CE2 1 
ATOM 20050 C CZ  . TYR C 3 723 ? 279.707 -98.076  202.421 1.0 39.78627  ? 723 TYR F CZ  723 TYR F CZ  1 
ATOM 20051 O OH  . TYR C 3 723 ? 280.275 -98.546  203.579 1.0 39.78627  ? 723 TYR F OH  723 TYR F OH  1 
ATOM 20052 N N   . ASN C 3 724 ? 275.537 -97.085  196.246 1.0 40.90928  ? 724 ASN F N   724 ASN F N   1 
ATOM 20053 C CA  . ASN C 3 724 ? 274.967 -96.421  195.061 1.0 40.90928  ? 724 ASN F CA  724 ASN F CA  1 
ATOM 20054 C C   . ASN C 3 724 ? 275.869 -95.288  194.579 1.0 40.90928  ? 724 ASN F C   724 ASN F C   1 
ATOM 20055 O O   . ASN C 3 724 ? 275.427 -94.168  194.325 1.0 40.90928  ? 724 ASN F O   724 ASN F O   1 
ATOM 20056 C CB  . ASN C 3 724 ? 273.545 -95.917  195.323 1.0 40.90928  ? 724 ASN F CB  724 ASN F CB  1 
ATOM 20057 C CG  . ASN C 3 724 ? 272.542 -97.041  195.451 1.0 40.90928  ? 724 ASN F CG  724 ASN F CG  1 
ATOM 20058 O OD1 . ASN C 3 724 ? 272.589 -98.015  194.705 1.0 40.90928  ? 724 ASN F OD1 724 ASN F OD1 1 
ATOM 20059 N ND2 . ASN C 3 724 ? 271.620 -96.907  196.395 1.0 40.90928  ? 724 ASN F ND2 724 ASN F ND2 1 
ATOM 20060 N N   . GLN C 3 725 ? 277.154 -95.594  194.463 1.0 40.53903  ? 725 GLN F N   725 GLN F N   1 
ATOM 20061 C CA  . GLN C 3 725 ? 278.195 -94.581  194.372 1.0 40.53903  ? 725 GLN F CA  725 GLN F CA  1 
ATOM 20062 C C   . GLN C 3 725 ? 279.038 -94.814  193.126 1.0 40.53903  ? 725 GLN F C   725 GLN F C   1 
ATOM 20063 O O   . GLN C 3 725 ? 280.265 -94.892  193.163 1.0 40.53903  ? 725 GLN F O   725 GLN F O   1 
ATOM 20064 C CB  . GLN C 3 725 ? 279.011 -94.598  195.662 1.0 40.53903  ? 725 GLN F CB  725 GLN F CB  1 
ATOM 20065 C CG  . GLN C 3 725 ? 279.854 -93.370  195.945 1.0 40.53903  ? 725 GLN F CG  725 GLN F CG  1 
ATOM 20066 C CD  . GLN C 3 725 ? 280.479 -93.444  197.305 1.0 40.53903  ? 725 GLN F CD  725 GLN F CD  1 
ATOM 20067 O OE1 . GLN C 3 725 ? 280.277 -94.408  198.033 1.0 40.53903  ? 725 GLN F OE1 725 GLN F OE1 1 
ATOM 20068 N NE2 . GLN C 3 725 ? 281.252 -92.435  197.659 1.0 40.53903  ? 725 GLN F NE2 725 GLN F NE2 1 
ATOM 20069 N N   . GLY C 3 726 ? 278.367 -94.987  191.992 1.0 43.08018  ? 726 GLY F N   726 GLY F N   1 
ATOM 20070 C CA  . GLY C 3 726 ? 279.021 -95.015  190.707 1.0 43.08018  ? 726 GLY F CA  726 GLY F CA  1 
ATOM 20071 C C   . GLY C 3 726 ? 278.627 -93.784  189.912 1.0 43.08018  ? 726 GLY F C   726 GLY F C   1 
ATOM 20072 O O   . GLY C 3 726 ? 277.704 -93.053  190.269 1.0 43.08018  ? 726 GLY F O   726 GLY F O   1 
ATOM 20073 N N   . TYR C 3 727 ? 279.417 -93.520  188.871 1.0 41.44492  ? 727 TYR F N   727 TYR F N   1 
ATOM 20074 C CA  . TYR C 3 727 ? 279.100 -92.613  187.767 1.0 41.44492  ? 727 TYR F CA  727 TYR F CA  1 
ATOM 20075 C C   . TYR C 3 727 ? 279.065 -91.130  188.130 1.0 41.44492  ? 727 TYR F C   727 TYR F C   1 
ATOM 20076 O O   . TYR C 3 727 ? 278.932 -90.287  187.240 1.0 41.44492  ? 727 TYR F O   727 TYR F O   1 
ATOM 20077 C CB  . TYR C 3 727 ? 277.764 -93.005  187.129 1.0 41.44492  ? 727 TYR F CB  727 TYR F CB  1 
ATOM 20078 C CG  . TYR C 3 727 ? 277.749 -94.428  186.643 1.0 41.44492  ? 727 TYR F CG  727 TYR F CG  1 
ATOM 20079 C CD1 . TYR C 3 727 ? 278.399 -94.787  185.481 1.0 41.44492  ? 727 TYR F CD1 727 TYR F CD1 1 
ATOM 20080 C CD2 . TYR C 3 727 ? 277.092 -95.416  187.351 1.0 41.44492  ? 727 TYR F CD2 727 TYR F CD2 1 
ATOM 20081 C CE1 . TYR C 3 727 ? 278.396 -96.087  185.038 1.0 41.44492  ? 727 TYR F CE1 727 TYR F CE1 1 
ATOM 20082 C CE2 . TYR C 3 727 ? 277.081 -96.716  186.912 1.0 41.44492  ? 727 TYR F CE2 727 TYR F CE2 1 
ATOM 20083 C CZ  . TYR C 3 727 ? 277.722 -97.038  185.755 1.0 41.44492  ? 727 TYR F CZ  727 TYR F CZ  1 
ATOM 20084 O OH  . TYR C 3 727 ? 277.728 -98.322  185.309 1.0 41.44492  ? 727 TYR F OH  727 TYR F OH  1 
ATOM 20085 N N   . GLN C 3 728 ? 279.190 -90.786  189.408 1.0 41.1995   ? 728 GLN F N   728 GLN F N   1 
ATOM 20086 C CA  . GLN C 3 728 ? 279.235 -89.394  189.836 1.0 41.1995   ? 728 GLN F CA  728 GLN F CA  1 
ATOM 20087 C C   . GLN C 3 728 ? 280.320 -89.206  190.877 1.0 41.1995   ? 728 GLN F C   728 GLN F C   1 
ATOM 20088 O O   . GLN C 3 728 ? 280.139 -88.496  191.869 1.0 41.1995   ? 728 GLN F O   728 GLN F O   1 
ATOM 20089 C CB  . GLN C 3 728 ? 277.884 -88.924  190.373 1.0 41.1995   ? 728 GLN F CB  728 GLN F CB  1 
ATOM 20090 C CG  . GLN C 3 728 ? 276.827 -88.760  189.306 1.0 41.1995   ? 728 GLN F CG  728 GLN F CG  1 
ATOM 20091 C CD  . GLN C 3 728 ? 275.489 -88.333  189.854 1.0 41.1995   ? 728 GLN F CD  728 GLN F CD  1 
ATOM 20092 O OE1 . GLN C 3 728 ? 275.312 -88.191  191.062 1.0 41.1995   ? 728 GLN F OE1 728 GLN F OE1 1 
ATOM 20093 N NE2 . GLN C 3 728 ? 274.529 -88.137  188.963 1.0 41.1995   ? 728 GLN F NE2 728 GLN F NE2 1 
ATOM 20094 N N   . GLY C 3 729 ? 281.462 -89.851  190.671 1.0 38.78068  ? 729 GLY F N   729 GLY F N   1 
ATOM 20095 C CA  . GLY C 3 729 ? 282.601 -89.653  191.539 1.0 38.78068  ? 729 GLY F CA  729 GLY F CA  1 
ATOM 20096 C C   . GLY C 3 729 ? 282.552 -90.446  192.824 1.0 38.78068  ? 729 GLY F C   729 GLY F C   1 
ATOM 20097 O O   . GLY C 3 729 ? 281.476 -90.727  193.355 1.0 38.78068  ? 729 GLY F O   729 GLY F O   1 
ATOM 20098 N N   . PHE C 3 730 ? 283.722 -90.808  193.332 1.0 37.8359   ? 730 PHE F N   730 PHE F N   1 
ATOM 20099 C CA  . PHE C 3 730 ? 283.841 -91.529  194.588 1.0 37.8359   ? 730 PHE F CA  730 PHE F CA  1 
ATOM 20100 C C   . PHE C 3 730 ? 284.229 -90.558  195.689 1.0 37.8359   ? 730 PHE F C   730 PHE F C   1 
ATOM 20101 O O   . PHE C 3 730 ? 285.223 -89.838  195.566 1.0 37.8359   ? 730 PHE F O   730 PHE F O   1 
ATOM 20102 C CB  . PHE C 3 730 ? 284.889 -92.633  194.496 1.0 37.8359   ? 730 PHE F CB  730 PHE F CB  1 
ATOM 20103 C CG  . PHE C 3 730 ? 284.560 -93.700  193.508 1.0 37.8359   ? 730 PHE F CG  730 PHE F CG  1 
ATOM 20104 C CD1 . PHE C 3 730 ? 283.649 -94.689  193.814 1.0 37.8359   ? 730 PHE F CD1 730 PHE F CD1 1 
ATOM 20105 C CD2 . PHE C 3 730 ? 285.177 -93.722  192.274 1.0 37.8359   ? 730 PHE F CD2 730 PHE F CD2 1 
ATOM 20106 C CE1 . PHE C 3 730 ? 283.351 -95.678  192.901 1.0 37.8359   ? 730 PHE F CE1 730 PHE F CE1 1 
ATOM 20107 C CE2 . PHE C 3 730 ? 284.884 -94.705  191.359 1.0 37.8359   ? 730 PHE F CE2 730 PHE F CE2 1 
ATOM 20108 C CZ  . PHE C 3 730 ? 283.969 -95.684  191.673 1.0 37.8359   ? 730 PHE F CZ  730 PHE F CZ  1 
ATOM 20109 N N   . ASN C 3 731 ? 283.452 -90.551  196.762 1.0 40.73643  ? 731 ASN F N   731 ASN F N   1 
ATOM 20110 C CA  . ASN C 3 731 ? 283.777 -89.800  197.960 1.0 40.73643  ? 731 ASN F CA  731 ASN F CA  1 
ATOM 20111 C C   . ASN C 3 731 ? 283.553 -90.703  199.162 1.0 40.73643  ? 731 ASN F C   731 ASN F C   1 
ATOM 20112 O O   . ASN C 3 731 ? 283.182 -91.871  199.024 1.0 40.73643  ? 731 ASN F O   731 ASN F O   1 
ATOM 20113 C CB  . ASN C 3 731 ? 282.955 -88.509  198.043 1.0 40.73643  ? 731 ASN F CB  731 ASN F CB  1 
ATOM 20114 C CG  . ASN C 3 731 ? 281.458 -88.745  197.894 1.0 40.73643  ? 731 ASN F CG  731 ASN F CG  1 
ATOM 20115 O OD1 . ASN C 3 731 ? 281.002 -89.870  197.703 1.0 40.73643  ? 731 ASN F OD1 731 ASN F OD1 1 
ATOM 20116 N ND2 . ASN C 3 731 ? 280.684 -87.672  198.000 1.0 40.73643  ? 731 ASN F ND2 731 ASN F ND2 1 
ATOM 20117 N N   . TRP C 3 732 ? 283.788 -90.171  200.343 1.0 42.52263  ? 732 TRP F N   732 TRP F N   1 
ATOM 20118 C CA  . TRP C 3 732 ? 283.433 -90.908  201.540 1.0 42.52263  ? 732 TRP F CA  732 TRP F CA  1 
ATOM 20119 C C   . TRP C 3 732 ? 281.921 -90.848  201.712 1.0 42.52263  ? 732 TRP F C   732 TRP F C   1 
ATOM 20120 O O   . TRP C 3 732 ? 281.335 -89.765  201.607 1.0 42.52263  ? 732 TRP F O   732 TRP F O   1 
ATOM 20121 C CB  . TRP C 3 732 ? 284.137 -90.337  202.761 1.0 42.52263  ? 732 TRP F CB  732 TRP F CB  1 
ATOM 20122 C CG  . TRP C 3 732 ? 283.871 -91.128  203.982 1.0 42.52263  ? 732 TRP F CG  732 TRP F CG  1 
ATOM 20123 C CD1 . TRP C 3 732 ? 282.956 -90.849  204.943 1.0 42.52263  ? 732 TRP F CD1 732 TRP F CD1 1 
ATOM 20124 C CD2 . TRP C 3 732 ? 284.525 -92.333  204.387 1.0 42.52263  ? 732 TRP F CD2 732 TRP F CD2 1 
ATOM 20125 N NE1 . TRP C 3 732 ? 282.986 -91.808  205.920 1.0 42.52263  ? 732 TRP F NE1 732 TRP F NE1 1 
ATOM 20126 C CE2 . TRP C 3 732 ? 283.947 -92.728  205.604 1.0 42.52263  ? 732 TRP F CE2 732 TRP F CE2 1 
ATOM 20127 C CE3 . TRP C 3 732 ? 285.544 -93.113  203.840 1.0 42.52263  ? 732 TRP F CE3 732 TRP F CE3 1 
ATOM 20128 C CZ2 . TRP C 3 732 ? 284.348 -93.869  206.280 1.0 42.52263  ? 732 TRP F CZ2 732 TRP F CZ2 1 
ATOM 20129 C CZ3 . TRP C 3 732 ? 285.944 -94.242  204.516 1.0 42.52263  ? 732 TRP F CZ3 732 TRP F CZ3 1 
ATOM 20130 C CH2 . TRP C 3 732 ? 285.348 -94.611  205.722 1.0 42.52263  ? 732 TRP F CH2 732 TRP F CH2 1 
ATOM 20131 N N   . PRO C 3 733 ? 281.256 -91.973  201.950 1.0 42.85803  ? 733 PRO F N   733 PRO F N   1 
ATOM 20132 C CA  . PRO C 3 733 ? 279.789 -91.968  201.990 1.0 42.85803  ? 733 PRO F CA  733 PRO F CA  1 
ATOM 20133 C C   . PRO C 3 733 ? 279.223 -91.340  203.250 1.0 42.85803  ? 733 PRO F C   733 PRO F C   1 
ATOM 20134 O O   . PRO C 3 733 ? 279.967 -90.946  204.151 1.0 42.85803  ? 733 PRO F O   733 PRO F O   1 
ATOM 20135 C CB  . PRO C 3 733 ? 279.440 -93.456  201.908 1.0 42.85803  ? 733 PRO F CB  733 PRO F CB  1 
ATOM 20136 C CG  . PRO C 3 733 ? 280.613 -94.132  202.481 1.0 42.85803  ? 733 PRO F CG  733 PRO F CG  1 
ATOM 20137 C CD  . PRO C 3 733 ? 281.804 -93.328  202.092 1.0 42.85803  ? 733 PRO F CD  733 PRO F CD  1 
ATOM 20138 N N   . ASN C 3 734 ? 277.898 -91.236  203.319 1.0 50.74156  ? 734 ASN F N   734 ASN F N   1 
ATOM 20139 C CA  . ASN C 3 734 ? 277.265 -90.636  204.485 1.0 50.74156  ? 734 ASN F CA  734 ASN F CA  1 
ATOM 20140 C C   . ASN C 3 734 ? 277.283 -91.600  205.665 1.0 50.74156  ? 734 ASN F C   734 ASN F C   1 
ATOM 20141 O O   . ASN C 3 734 ? 277.916 -91.332  206.691 1.0 50.74156  ? 734 ASN F O   734 ASN F O   1 
ATOM 20142 C CB  . ASN C 3 734 ? 275.831 -90.225  204.143 1.0 50.74156  ? 734 ASN F CB  734 ASN F CB  1 
ATOM 20143 C CG  . ASN C 3 734 ? 275.220 -89.297  205.179 1.0 50.74156  ? 734 ASN F CG  734 ASN F CG  1 
ATOM 20144 O OD1 . ASN C 3 734 ? 275.874 -88.894  206.141 1.0 50.74156  ? 734 ASN F OD1 734 ASN F OD1 1 
ATOM 20145 N ND2 . ASN C 3 734 ? 273.949 -88.963  204.990 1.0 50.74156  ? 734 ASN F ND2 734 ASN F ND2 1 
ATOM 20146 N N   . CYS C 3 735 ? 276.607 -92.735  205.531 1.0 52.06936  ? 735 CYS F N   735 CYS F N   1 
ATOM 20147 C CA  . CYS C 3 735 ? 276.513 -93.716  206.600 1.0 52.06936  ? 735 CYS F CA  735 CYS F CA  1 
ATOM 20148 C C   . CYS C 3 735 ? 277.278 -94.971  206.211 1.0 52.06936  ? 735 CYS F C   735 CYS F C   1 
ATOM 20149 O O   . CYS C 3 735 ? 277.153 -95.462  205.084 1.0 52.06936  ? 735 CYS F O   735 CYS F O   1 
ATOM 20150 C CB  . CYS C 3 735 ? 275.051 -94.042  206.927 1.0 52.06936  ? 735 CYS F CB  735 CYS F CB  1 
ATOM 20151 S SG  . CYS C 3 735 ? 274.067 -94.769  205.592 1.0 52.06936  ? 735 CYS F SG  735 CYS F SG  1 
ATOM 20152 N N   . THR C 3 736 ? 278.098 -95.458  207.134 1.0 44.61911  ? 736 THR F N   736 THR F N   1 
ATOM 20153 C CA  . THR C 3 736 ? 278.846 -96.690  206.969 1.0 44.61911  ? 736 THR F CA  736 THR F CA  1 
ATOM 20154 C C   . THR C 3 736 ? 278.432 -97.663  208.059 1.0 44.61911  ? 736 THR F C   736 THR F C   1 
ATOM 20155 O O   . THR C 3 736 ? 278.193 -97.271  209.203 1.0 44.61911  ? 736 THR F O   736 THR F O   1 
ATOM 20156 C CB  . THR C 3 736 ? 280.354 -96.450  207.043 1.0 44.61911  ? 736 THR F CB  736 THR F CB  1 
ATOM 20157 O OG1 . THR C 3 736 ? 280.686 -95.892  208.319 1.0 44.61911  ? 736 THR F OG1 736 THR F OG1 1 
ATOM 20158 C CG2 . THR C 3 736 ? 280.797 -95.497  205.956 1.0 44.61911  ? 736 THR F CG2 736 THR F CG2 1 
ATOM 20159 N N   . LYS C 3 737 ? 278.348 -98.935  207.700 1.0 39.44862  ? 737 LYS F N   737 LYS F N   1 
ATOM 20160 C CA  . LYS C 3 737 ? 277.917 -99.955  208.635 1.0 39.44862  ? 737 LYS F CA  737 LYS F CA  1 
ATOM 20161 C C   . LYS C 3 737 ? 279.121 -100.739 209.141 1.0 39.44862  ? 737 LYS F C   737 LYS F C   1 
ATOM 20162 O O   . LYS C 3 737 ? 280.260 -100.522 208.725 1.0 39.44862  ? 737 LYS F O   737 LYS F O   1 
ATOM 20163 C CB  . LYS C 3 737 ? 276.882 -100.866 207.979 1.0 39.44862  ? 737 LYS F CB  737 LYS F CB  1 
ATOM 20164 C CG  . LYS C 3 737 ? 275.615 -100.153 207.487 1.0 39.44862  ? 737 LYS F CG  737 LYS F CG  1 
ATOM 20165 C CD  . LYS C 3 737 ? 274.674 -99.718  208.624 1.0 39.44862  ? 737 LYS F CD  737 LYS F CD  1 
ATOM 20166 C CE  . LYS C 3 737 ? 274.733 -98.223  208.951 1.0 39.44862  ? 737 LYS F CE  737 LYS F CE  1 
ATOM 20167 N NZ  . LYS C 3 737 ? 273.748 -97.822  209.994 1.0 39.44862  ? 737 LYS F NZ  737 LYS F NZ  1 
ATOM 20168 N N   . HIS C 3 738 ? 278.857 -101.662 210.066 1.0 36.58193  ? 738 HIS F N   738 HIS F N   1 
ATOM 20169 C CA  . HIS C 3 738 ? 279.937 -102.407 210.697 1.0 36.58193  ? 738 HIS F CA  738 HIS F CA  1 
ATOM 20170 C C   . HIS C 3 738 ? 280.536 -103.437 209.753 1.0 36.58193  ? 738 HIS F C   738 HIS F C   1 
ATOM 20171 O O   . HIS C 3 738 ? 281.732 -103.731 209.837 1.0 36.58193  ? 738 HIS F O   738 HIS F O   1 
ATOM 20172 C CB  . HIS C 3 738 ? 279.427 -103.083 211.964 1.0 36.58193  ? 738 HIS F CB  738 HIS F CB  1 
ATOM 20173 C CG  . HIS C 3 738 ? 280.481 -103.829 212.715 1.0 36.58193  ? 738 HIS F CG  738 HIS F CG  1 
ATOM 20174 N ND1 . HIS C 3 738 ? 281.467 -103.194 213.437 1.0 36.58193  ? 738 HIS F ND1 738 HIS F ND1 1 
ATOM 20175 C CD2 . HIS C 3 738 ? 280.701 -105.155 212.864 1.0 36.58193  ? 738 HIS F CD2 738 HIS F CD2 1 
ATOM 20176 C CE1 . HIS C 3 738 ? 282.251 -104.097 213.995 1.0 36.58193  ? 738 HIS F CE1 738 HIS F CE1 1 
ATOM 20177 N NE2 . HIS C 3 738 ? 281.806 -105.295 213.665 1.0 36.58193  ? 738 HIS F NE2 738 HIS F NE2 1 
ATOM 20178 N N   . TYR C 3 739 ? 279.731 -103.983 208.848 1.0 36.29014  ? 739 TYR F N   739 TYR F N   1 
ATOM 20179 C CA  . TYR C 3 739 ? 280.185 -104.969 207.880 1.0 36.29014  ? 739 TYR F CA  739 TYR F CA  1 
ATOM 20180 C C   . TYR C 3 739 ? 280.289 -104.371 206.485 1.0 36.29014  ? 739 TYR F C   739 TYR F C   1 
ATOM 20181 O O   . TYR C 3 739 ? 280.129 -105.073 205.486 1.0 36.29014  ? 739 TYR F O   739 TYR F O   1 
ATOM 20182 C CB  . TYR C 3 739 ? 279.249 -106.172 207.879 1.0 36.29014  ? 739 TYR F CB  739 TYR F CB  1 
ATOM 20183 C CG  . TYR C 3 739 ? 279.255 -106.910 209.188 1.0 36.29014  ? 739 TYR F CG  739 TYR F CG  1 
ATOM 20184 C CD1 . TYR C 3 739 ? 280.245 -107.829 209.479 1.0 36.29014  ? 739 TYR F CD1 739 TYR F CD1 1 
ATOM 20185 C CD2 . TYR C 3 739 ? 278.280 -106.673 210.143 1.0 36.29014  ? 739 TYR F CD2 739 TYR F CD2 1 
ATOM 20186 C CE1 . TYR C 3 739 ? 280.260 -108.500 210.674 1.0 36.29014  ? 739 TYR F CE1 739 TYR F CE1 1 
ATOM 20187 C CE2 . TYR C 3 739 ? 278.289 -107.339 211.344 1.0 36.29014  ? 739 TYR F CE2 739 TYR F CE2 1 
ATOM 20188 C CZ  . TYR C 3 739 ? 279.282 -108.251 211.601 1.0 36.29014  ? 739 TYR F CZ  739 TYR F CZ  1 
ATOM 20189 O OH  . TYR C 3 739 ? 279.302 -108.921 212.797 1.0 36.29014  ? 739 TYR F OH  739 TYR F OH  1 
ATOM 20190 N N   . GLY C 3 740 ? 280.550 -103.071 206.406 1.0 38.02728  ? 740 GLY F N   740 GLY F N   1 
ATOM 20191 C CA  . GLY C 3 740 ? 280.629 -102.387 205.138 1.0 38.02728  ? 740 GLY F CA  740 GLY F CA  1 
ATOM 20192 C C   . GLY C 3 740 ? 281.954 -102.611 204.451 1.0 38.02728  ? 740 GLY F C   740 GLY F C   1 
ATOM 20193 O O   . GLY C 3 740 ? 282.824 -103.343 204.918 1.0 38.02728  ? 740 GLY F O   740 GLY F O   1 
ATOM 20194 N N   . PHE C 3 741 ? 282.112 -101.950 203.310 1.0 38.43212  ? 741 PHE F N   741 PHE F N   1 
ATOM 20195 C CA  . PHE C 3 741 ? 283.328 -102.133 202.532 1.0 38.43212  ? 741 PHE F CA  741 PHE F CA  1 
ATOM 20196 C C   . PHE C 3 741 ? 284.382 -101.075 202.820 1.0 38.43212  ? 741 PHE F C   741 PHE F C   1 
ATOM 20197 O O   . PHE C 3 741 ? 285.537 -101.413 203.083 1.0 38.43212  ? 741 PHE F O   741 PHE F O   1 
ATOM 20198 C CB  . PHE C 3 741 ? 283.000 -102.157 201.040 1.0 38.43212  ? 741 PHE F CB  741 PHE F CB  1 
ATOM 20199 C CG  . PHE C 3 741 ? 284.210 -102.180 200.157 1.0 38.43212  ? 741 PHE F CG  741 PHE F CG  1 
ATOM 20200 C CD1 . PHE C 3 741 ? 285.048 -103.280 200.130 1.0 38.43212  ? 741 PHE F CD1 741 PHE F CD1 1 
ATOM 20201 C CD2 . PHE C 3 741 ? 284.489 -101.114 199.329 1.0 38.43212  ? 741 PHE F CD2 741 PHE F CD2 1 
ATOM 20202 C CE1 . PHE C 3 741 ? 286.154 -103.298 199.309 1.0 38.43212  ? 741 PHE F CE1 741 PHE F CE1 1 
ATOM 20203 C CE2 . PHE C 3 741 ? 285.589 -101.129 198.509 1.0 38.43212  ? 741 PHE F CE2 741 PHE F CE2 1 
ATOM 20204 C CZ  . PHE C 3 741 ? 286.423 -102.221 198.497 1.0 38.43212  ? 741 PHE F CZ  741 PHE F CZ  1 
ATOM 20205 N N   . ILE C 3 742 ? 284.008 -99.796  202.790 1.0 40.02223  ? 742 ILE F N   742 ILE F N   1 
ATOM 20206 C CA  . ILE C 3 742 ? 285.025 -98.752  202.766 1.0 40.02223  ? 742 ILE F CA  742 ILE F CA  1 
ATOM 20207 C C   . ILE C 3 742 ? 285.621 -98.479  204.147 1.0 40.02223  ? 742 ILE F C   742 ILE F C   1 
ATOM 20208 O O   . ILE C 3 742 ? 286.775 -98.043  204.236 1.0 40.02223  ? 742 ILE F O   742 ILE F O   1 
ATOM 20209 C CB  . ILE C 3 742 ? 284.434 -97.499  202.094 1.0 40.02223  ? 742 ILE F CB  742 ILE F CB  1 
ATOM 20210 C CG1 . ILE C 3 742 ? 285.536 -96.521  201.694 1.0 40.02223  ? 742 ILE F CG1 742 ILE F CG1 1 
ATOM 20211 C CG2 . ILE C 3 742 ? 283.404 -96.827  202.980 1.0 40.02223  ? 742 ILE F CG2 742 ILE F CG2 1 
ATOM 20212 C CD1 . ILE C 3 742 ? 286.508 -97.088  200.695 1.0 40.02223  ? 742 ILE F CD1 742 ILE F CD1 1 
ATOM 20213 N N   . ASN C 3 743 ? 284.909 -98.773  205.230 1.0 40.52222  ? 743 ASN F N   743 ASN F N   1 
ATOM 20214 C CA  . ASN C 3 743 ? 285.490 -98.657  206.559 1.0 40.52222  ? 743 ASN F CA  743 ASN F CA  1 
ATOM 20215 C C   . ASN C 3 743 ? 286.273 -99.895  206.975 1.0 40.52222  ? 743 ASN F C   743 ASN F C   1 
ATOM 20216 O O   . ASN C 3 743 ? 286.835 -99.916  208.074 1.0 40.52222  ? 743 ASN F O   743 ASN F O   1 
ATOM 20217 C CB  . ASN C 3 743 ? 284.402 -98.349  207.594 1.0 40.52222  ? 743 ASN F CB  743 ASN F CB  1 
ATOM 20218 C CG  . ASN C 3 743 ? 283.252 -99.332  207.551 1.0 40.52222  ? 743 ASN F CG  743 ASN F CG  1 
ATOM 20219 O OD1 . ASN C 3 743 ? 283.242 -100.260 206.751 1.0 40.52222  ? 743 ASN F OD1 743 ASN F OD1 1 
ATOM 20220 N ND2 . ASN C 3 743 ? 282.277 -99.138  208.427 1.0 40.52222  ? 743 ASN F ND2 743 ASN F ND2 1 
ATOM 20221 N N   . ASN C 3 744 ? 286.328 -100.918 206.123 1.0 40.87169  ? 744 ASN F N   744 ASN F N   1 
ATOM 20222 C CA  . ASN C 3 744 ? 287.028 -102.158 206.423 1.0 40.87169  ? 744 ASN F CA  744 ASN F CA  1 
ATOM 20223 C C   . ASN C 3 744 ? 288.122 -102.467 205.411 1.0 40.87169  ? 744 ASN F C   744 ASN F C   1 
ATOM 20224 O O   . ASN C 3 744 ? 288.658 -103.578 205.417 1.0 40.87169  ? 744 ASN F O   744 ASN F O   1 
ATOM 20225 C CB  . ASN C 3 744 ? 286.037 -103.320 206.486 1.0 40.87169  ? 744 ASN F CB  744 ASN F CB  1 
ATOM 20226 C CG  . ASN C 3 744 ? 285.132 -103.248 207.693 1.0 40.87169  ? 744 ASN F CG  744 ASN F CG  1 
ATOM 20227 O OD1 . ASN C 3 744 ? 285.573 -102.926 208.792 1.0 40.87169  ? 744 ASN F OD1 744 ASN F OD1 1 
ATOM 20228 N ND2 . ASN C 3 744 ? 283.857 -103.554 207.496 1.0 40.87169  ? 744 ASN F ND2 744 ASN F ND2 1 
ATOM 20229 N N   . PHE C 3 745 ? 288.466 -101.520 204.546 1.0 42.89261  ? 745 PHE F N   745 PHE F N   1 
ATOM 20230 C CA  . PHE C 3 745 ? 289.454 -101.720 203.495 1.0 42.89261  ? 745 PHE F CA  745 PHE F CA  1 
ATOM 20231 C C   . PHE C 3 745 ? 290.727 -100.980 203.879 1.0 42.89261  ? 745 PHE F C   745 PHE F C   1 
ATOM 20232 O O   . PHE C 3 745 ? 290.695 -99.767  204.106 1.0 42.89261  ? 745 PHE F O   745 PHE F O   1 
ATOM 20233 C CB  . PHE C 3 745 ? 288.921 -101.219 202.154 1.0 42.89261  ? 745 PHE F CB  745 PHE F CB  1 
ATOM 20234 C CG  . PHE C 3 745 ? 289.848 -101.458 201.006 1.0 42.89261  ? 745 PHE F CG  745 PHE F CG  1 
ATOM 20235 C CD1 . PHE C 3 745 ? 289.930 -102.699 200.411 1.0 42.89261  ? 745 PHE F CD1 745 PHE F CD1 1 
ATOM 20236 C CD2 . PHE C 3 745 ? 290.641 -100.441 200.524 1.0 42.89261  ? 745 PHE F CD2 745 PHE F CD2 1 
ATOM 20237 C CE1 . PHE C 3 745 ? 290.785 -102.916 199.356 1.0 42.89261  ? 745 PHE F CE1 745 PHE F CE1 1 
ATOM 20238 C CE2 . PHE C 3 745 ? 291.499 -100.658 199.477 1.0 42.89261  ? 745 PHE F CE2 745 PHE F CE2 1 
ATOM 20239 C CZ  . PHE C 3 745 ? 291.569 -101.894 198.889 1.0 42.89261  ? 745 PHE F CZ  745 PHE F CZ  1 
ATOM 20240 N N   . GLU C 3 746 ? 291.841 -101.703 203.945 1.0 46.47704  ? 746 GLU F N   746 GLU F N   1 
ATOM 20241 C CA  . GLU C 3 746 ? 293.126 -101.122 204.328 1.0 46.47704  ? 746 GLU F CA  746 GLU F CA  1 
ATOM 20242 C C   . GLU C 3 746 ? 294.187 -101.496 203.304 1.0 46.47704  ? 746 GLU F C   746 GLU F C   1 
ATOM 20243 O O   . GLU C 3 746 ? 294.728 -102.614 203.349 1.0 46.47704  ? 746 GLU F O   746 GLU F O   1 
ATOM 20244 C CB  . GLU C 3 746 ? 293.550 -101.575 205.717 1.0 46.47704  ? 746 GLU F CB  746 GLU F CB  1 
ATOM 20245 C CG  . GLU C 3 746 ? 292.717 -101.003 206.849 1.0 46.47704  ? 746 GLU F CG  746 GLU F CG  1 
ATOM 20246 C CD  . GLU C 3 746 ? 291.476 -101.821 207.143 1.0 46.47704  ? 746 GLU F CD  746 GLU F CD  1 
ATOM 20247 O OE1 . GLU C 3 746 ? 291.301 -102.884 206.516 1.0 46.47704  ? 746 GLU F OE1 746 GLU F OE1 1 
ATOM 20248 O OE2 . GLU C 3 746 ? 290.675 -101.401 208.005 1.0 46.47704  ? 746 GLU F OE2 746 GLU F OE2 1 
ATOM 20249 N N   . PRO C 3 747 ? 294.513 -100.603 202.375 1.0 45.84759  ? 747 PRO F N   747 PRO F N   1 
ATOM 20250 C CA  . PRO C 3 747 ? 295.596 -100.886 201.431 1.0 45.84759  ? 747 PRO F CA  747 PRO F CA  1 
ATOM 20251 C C   . PRO C 3 747 ? 296.954 -100.648 202.068 1.0 45.84759  ? 747 PRO F C   747 PRO F C   1 
ATOM 20252 O O   . PRO C 3 747 ? 297.128 -99.755  202.900 1.0 45.84759  ? 747 PRO F O   747 PRO F O   1 
ATOM 20253 C CB  . PRO C 3 747 ? 295.334 -99.896  200.294 1.0 45.84759  ? 747 PRO F CB  747 PRO F CB  1 
ATOM 20254 C CG  . PRO C 3 747 ? 294.641 -98.772  200.943 1.0 45.84759  ? 747 PRO F CG  747 PRO F CG  1 
ATOM 20255 C CD  . PRO C 3 747 ? 293.804 -99.359  202.038 1.0 45.84759  ? 747 PRO F CD  747 PRO F CD  1 
ATOM 20256 N N   . MET C 3 748 ? 297.923 -101.473 201.675 1.0 48.53214  ? 748 MET F N   748 MET F N   1 
ATOM 20257 C CA  . MET C 3 748 ? 299.258 -101.445 202.250 1.0 48.53214  ? 748 MET F CA  748 MET F CA  1 
ATOM 20258 C C   . MET C 3 748 ? 300.286 -101.532 201.135 1.0 48.53214  ? 748 MET F C   748 MET F C   1 
ATOM 20259 O O   . MET C 3 748 ? 299.975 -101.934 200.014 1.0 48.53214  ? 748 MET F O   748 MET F O   1 
ATOM 20260 C CB  . MET C 3 748 ? 299.464 -102.592 203.240 1.0 48.53214  ? 748 MET F CB  748 MET F CB  1 
ATOM 20261 C CG  . MET C 3 748 ? 298.621 -102.484 204.487 1.0 48.53214  ? 748 MET F CG  748 MET F CG  1 
ATOM 20262 S SD  . MET C 3 748 ? 298.896 -103.859 205.594 1.0 48.53214  ? 748 MET F SD  748 MET F SD  1 
ATOM 20263 C CE  . MET C 3 748 ? 298.106 -105.129 204.638 1.0 48.53214  ? 748 MET F CE  748 MET F CE  1 
ATOM 20264 N N   . SER C 3 749 ? 301.525 -101.169 201.463 1.0 47.67909  ? 749 SER F N   749 SER F N   1 
ATOM 20265 C CA  . SER C 3 749 ? 302.599 -101.136 200.482 1.0 47.67909  ? 749 SER F CA  749 SER F CA  1 
ATOM 20266 C C   . SER C 3 749 ? 303.939 -101.118 201.200 1.0 47.67909  ? 749 SER F C   749 SER F C   1 
ATOM 20267 O O   . SER C 3 749 ? 304.066 -100.513 202.265 1.0 47.67909  ? 749 SER F O   749 SER F O   1 
ATOM 20268 C CB  . SER C 3 749 ? 302.481 -99.908  199.573 1.0 47.67909  ? 749 SER F CB  749 SER F CB  1 
ATOM 20269 O OG  . SER C 3 749 ? 303.541 -99.857  198.639 1.0 47.67909  ? 749 SER F OG  749 SER F OG  1 
ATOM 20270 N N   . ARG C 3 750 ? 304.933 -101.776 200.607 1.0 48.80305  ? 750 ARG F N   750 ARG F N   1 
ATOM 20271 C CA  . ARG C 3 750 ? 306.291 -101.727 201.125 1.0 48.80305  ? 750 ARG F CA  750 ARG F CA  1 
ATOM 20272 C C   . ARG C 3 750 ? 307.260 -101.906 199.970 1.0 48.80305  ? 750 ARG F C   750 ARG F C   1 
ATOM 20273 O O   . ARG C 3 750 ? 306.877 -102.307 198.870 1.0 48.80305  ? 750 ARG F O   750 ARG F O   1 
ATOM 20274 C CB  . ARG C 3 750 ? 306.528 -102.789 202.210 1.0 48.80305  ? 750 ARG F CB  750 ARG F CB  1 
ATOM 20275 C CG  . ARG C 3 750 ? 306.437 -104.243 201.764 1.0 48.80305  ? 750 ARG F CG  750 ARG F CG  1 
ATOM 20276 C CD  . ARG C 3 750 ? 307.792 -104.899 201.566 1.0 48.80305  ? 750 ARG F CD  750 ARG F CD  1 
ATOM 20277 N NE  . ARG C 3 750 ? 307.667 -106.310 201.220 1.0 48.80305  ? 750 ARG F NE  750 ARG F NE  1 
ATOM 20278 C CZ  . ARG C 3 750 ? 307.709 -107.301 202.102 1.0 48.80305  ? 750 ARG F CZ  750 ARG F CZ  1 
ATOM 20279 N NH1 . ARG C 3 750 ? 307.880 -107.038 203.388 1.0 48.80305  ? 750 ARG F NH1 750 ARG F NH1 1 
ATOM 20280 N NH2 . ARG C 3 750 ? 307.589 -108.556 201.697 1.0 48.80305  ? 750 ARG F NH2 750 ARG F NH2 1 
ATOM 20281 N N   . GLN C 3 751 ? 308.524 -101.602 200.234 1.0 48.6511   ? 751 GLN F N   751 GLN F N   1 
ATOM 20282 C CA  . GLN C 3 751 ? 309.606 -101.909 199.316 1.0 48.6511   ? 751 GLN F CA  751 GLN F CA  1 
ATOM 20283 C C   . GLN C 3 751 ? 310.525 -102.942 199.946 1.0 48.6511   ? 751 GLN F C   751 GLN F C   1 
ATOM 20284 O O   . GLN C 3 751 ? 310.614 -103.069 201.168 1.0 48.6511   ? 751 GLN F O   751 GLN F O   1 
ATOM 20285 C CB  . GLN C 3 751 ? 310.405 -100.662 198.932 1.0 48.6511   ? 751 GLN F CB  751 GLN F CB  1 
ATOM 20286 C CG  . GLN C 3 751 ? 309.652 -99.714  198.033 1.0 48.6511   ? 751 GLN F CG  751 GLN F CG  1 
ATOM 20287 C CD  . GLN C 3 751 ? 308.763 -98.787  198.811 1.0 48.6511   ? 751 GLN F CD  751 GLN F CD  1 
ATOM 20288 O OE1 . GLN C 3 751 ? 308.987 -98.556  199.995 1.0 48.6511   ? 751 GLN F OE1 751 GLN F OE1 1 
ATOM 20289 N NE2 . GLN C 3 751 ? 307.720 -98.285  198.170 1.0 48.6511   ? 751 GLN F NE2 751 GLN F NE2 1 
ATOM 20290 N N   . VAL C 3 752 ? 311.210 -103.681 199.087 1.0 50.90215  ? 752 VAL F N   752 VAL F N   1 
ATOM 20291 C CA  . VAL C 3 752 ? 312.037 -104.798 199.522 1.0 50.90215  ? 752 VAL F CA  752 VAL F CA  1 
ATOM 20292 C C   . VAL C 3 752 ? 313.187 -104.900 198.524 1.0 50.90215  ? 752 VAL F C   752 VAL F C   1 
ATOM 20293 O O   . VAL C 3 752 ? 313.001 -104.575 197.343 1.0 50.90215  ? 752 VAL F O   752 VAL F O   1 
ATOM 20294 C CB  . VAL C 3 752 ? 311.180 -106.075 199.649 1.0 50.90215  ? 752 VAL F CB  752 VAL F CB  1 
ATOM 20295 C CG1 . VAL C 3 752 ? 310.596 -106.511 198.311 1.0 50.90215  ? 752 VAL F CG1 752 VAL F CG1 1 
ATOM 20296 C CG2 . VAL C 3 752 ? 311.931 -107.212 200.318 1.0 50.90215  ? 752 VAL F CG2 752 VAL F CG2 1 
ATOM 20297 N N   . PRO C 3 753 ? 314.411 -105.248 198.956 1.0 55.051    ? 753 PRO F N   753 PRO F N   1 
ATOM 20298 C CA  . PRO C 3 753 ? 315.523 -105.375 198.002 1.0 55.051    ? 753 PRO F CA  753 PRO F CA  1 
ATOM 20299 C C   . PRO C 3 753 ? 315.373 -106.492 196.980 1.0 55.051    ? 753 PRO F C   753 PRO F C   1 
ATOM 20300 O O   . PRO C 3 753 ? 314.424 -107.279 197.025 1.0 55.051    ? 753 PRO F O   753 PRO F O   1 
ATOM 20301 C CB  . PRO C 3 753 ? 316.727 -105.628 198.915 1.0 55.051    ? 753 PRO F CB  753 PRO F CB  1 
ATOM 20302 C CG  . PRO C 3 753 ? 316.371 -104.965 200.171 1.0 55.051    ? 753 PRO F CG  753 PRO F CG  1 
ATOM 20303 C CD  . PRO C 3 753 ? 314.903 -105.156 200.341 1.0 55.051    ? 753 PRO F CD  753 PRO F CD  1 
ATOM 20304 N N   . GLU C 3 754 ? 316.326 -106.569 196.053 1.0 61.38705  ? 754 GLU F N   754 GLU F N   1 
ATOM 20305 C CA  . GLU C 3 754 ? 316.226 -107.496 194.934 1.0 61.38705  ? 754 GLU F CA  754 GLU F CA  1 
ATOM 20306 C C   . GLU C 3 754 ? 316.712 -108.901 195.271 1.0 61.38705  ? 754 GLU F C   754 GLU F C   1 
ATOM 20307 O O   . GLU C 3 754 ? 316.229 -109.863 194.662 1.0 61.38705  ? 754 GLU F O   754 GLU F O   1 
ATOM 20308 C CB  . GLU C 3 754 ? 316.994 -106.939 193.727 1.0 61.38705  ? 754 GLU F CB  754 GLU F CB  1 
ATOM 20309 C CG  . GLU C 3 754 ? 318.519 -106.881 193.862 1.0 61.38705  ? 754 GLU F CG  754 GLU F CG  1 
ATOM 20310 C CD  . GLU C 3 754 ? 319.032 -105.606 194.525 1.0 61.38705  ? 754 GLU F CD  754 GLU F CD  1 
ATOM 20311 O OE1 . GLU C 3 754 ? 318.240 -104.895 195.178 1.0 61.38705  ? 754 GLU F OE1 754 GLU F OE1 1 
ATOM 20312 O OE2 . GLU C 3 754 ? 320.239 -105.311 194.387 1.0 61.38705  ? 754 GLU F OE2 754 GLU F OE2 1 
ATOM 20313 N N   . TYR C 3 755 ? 317.642 -109.027 196.227 1.0 60.84233  ? 755 TYR F N   755 TYR F N   1 
ATOM 20314 C CA  . TYR C 3 755 ? 318.162 -110.298 196.750 1.0 60.84233  ? 755 TYR F CA  755 TYR F CA  1 
ATOM 20315 C C   . TYR C 3 755 ? 318.752 -111.182 195.647 1.0 60.84233  ? 755 TYR F C   755 TYR F C   1 
ATOM 20316 O O   . TYR C 3 755 ? 318.263 -112.275 195.360 1.0 60.84233  ? 755 TYR F O   755 TYR F O   1 
ATOM 20317 C CB  . TYR C 3 755 ? 317.092 -111.056 197.540 1.0 60.84233  ? 755 TYR F CB  755 TYR F CB  1 
ATOM 20318 C CG  . TYR C 3 755 ? 316.656 -110.359 198.799 1.0 60.84233  ? 755 TYR F CG  755 TYR F CG  1 
ATOM 20319 C CD1 . TYR C 3 755 ? 317.489 -110.303 199.902 1.0 60.84233  ? 755 TYR F CD1 755 TYR F CD1 1 
ATOM 20320 C CD2 . TYR C 3 755 ? 315.397 -109.791 198.900 1.0 60.84233  ? 755 TYR F CD2 755 TYR F CD2 1 
ATOM 20321 C CE1 . TYR C 3 755 ? 317.094 -109.676 201.063 1.0 60.84233  ? 755 TYR F CE1 755 TYR F CE1 1 
ATOM 20322 C CE2 . TYR C 3 755 ? 314.993 -109.164 200.059 1.0 60.84233  ? 755 TYR F CE2 755 TYR F CE2 1 
ATOM 20323 C CZ  . TYR C 3 755 ? 315.845 -109.110 201.135 1.0 60.84233  ? 755 TYR F CZ  755 TYR F CZ  1 
ATOM 20324 O OH  . TYR C 3 755 ? 315.443 -108.487 202.291 1.0 60.84233  ? 755 TYR F OH  755 TYR F OH  1 
ATOM 20325 N N   . GLY C 3 756 ? 319.816 -110.691 195.033 1.0 64.90049  ? 756 GLY F N   756 GLY F N   1 
ATOM 20326 C CA  . GLY C 3 756 ? 320.489 -111.407 193.961 1.0 64.90049  ? 756 GLY F CA  756 GLY F CA  1 
ATOM 20327 C C   . GLY C 3 756 ? 321.770 -112.064 194.425 1.0 64.90049  ? 756 GLY F C   756 GLY F C   1 
ATOM 20328 O O   . GLY C 3 756 ? 321.858 -112.574 195.547 1.0 64.90049  ? 756 GLY F O   756 GLY F O   1 
ATOM 20329 N N   . ALA C 3 757 ? 322.772 -112.064 193.544 1.0 68.27984  ? 757 ALA F N   757 ALA F N   1 
ATOM 20330 C CA  . ALA C 3 757 ? 324.093 -112.564 193.911 1.0 68.27984  ? 757 ALA F CA  757 ALA F CA  1 
ATOM 20331 C C   . ALA C 3 757 ? 324.759 -111.628 194.910 1.0 68.27984  ? 757 ALA F C   757 ALA F C   1 
ATOM 20332 O O   . ALA C 3 757 ? 325.177 -112.049 195.994 1.0 68.27984  ? 757 ALA F O   757 ALA F O   1 
ATOM 20333 C CB  . ALA C 3 757 ? 324.958 -112.734 192.662 1.0 68.27984  ? 757 ALA F CB  757 ALA F CB  1 
ATOM 20334 N N   . ASN C 3 758 ? 324.876 -110.353 194.553 1.0 68.35013  ? 758 ASN F N   758 ASN F N   1 
ATOM 20335 C CA  . ASN C 3 758 ? 325.100 -109.334 195.561 1.0 68.35013  ? 758 ASN F CA  758 ASN F CA  1 
ATOM 20336 C C   . ASN C 3 758 ? 323.813 -109.119 196.348 1.0 68.35013  ? 758 ASN F C   758 ASN F C   1 
ATOM 20337 O O   . ASN C 3 758 ? 322.714 -109.420 195.873 1.0 68.35013  ? 758 ASN F O   758 ASN F O   1 
ATOM 20338 C CB  . ASN C 3 758 ? 325.552 -108.019 194.927 1.0 68.35013  ? 758 ASN F CB  758 ASN F CB  1 
ATOM 20339 C CG  . ASN C 3 758 ? 326.960 -108.089 194.370 1.0 68.35013  ? 758 ASN F CG  758 ASN F CG  1 
ATOM 20340 O OD1 . ASN C 3 758 ? 327.856 -108.668 194.983 1.0 68.35013  ? 758 ASN F OD1 758 ASN F OD1 1 
ATOM 20341 N ND2 . ASN C 3 758 ? 327.164 -107.485 193.206 1.0 68.35013  ? 758 ASN F ND2 758 ASN F ND2 1 
ATOM 20342 N N   . TYR C 3 759 ? 323.968 -108.576 197.558 1.0 64.80369  ? 759 TYR F N   759 TYR F N   1 
ATOM 20343 C CA  . TYR C 3 759 ? 322.927 -108.423 198.575 1.0 64.80369  ? 759 TYR F CA  759 TYR F CA  1 
ATOM 20344 C C   . TYR C 3 759 ? 322.210 -109.742 198.858 1.0 64.80369  ? 759 TYR F C   759 TYR F C   1 
ATOM 20345 O O   . TYR C 3 759 ? 321.080 -109.929 198.393 1.0 64.80369  ? 759 TYR F O   759 TYR F O   1 
ATOM 20346 C CB  . TYR C 3 759 ? 321.921 -107.342 198.163 1.0 64.80369  ? 759 TYR F CB  759 TYR F CB  1 
ATOM 20347 C CG  . TYR C 3 759 ? 322.555 -105.978 198.035 1.0 64.80369  ? 759 TYR F CG  759 TYR F CG  1 
ATOM 20348 C CD1 . TYR C 3 759 ? 322.829 -105.221 199.159 1.0 64.80369  ? 759 TYR F CD1 759 TYR F CD1 1 
ATOM 20349 C CD2 . TYR C 3 759 ? 322.894 -105.461 196.798 1.0 64.80369  ? 759 TYR F CD2 759 TYR F CD2 1 
ATOM 20350 C CE1 . TYR C 3 759 ? 323.419 -103.980 199.067 1.0 64.80369  ? 759 TYR F CE1 759 TYR F CE1 1 
ATOM 20351 C CE2 . TYR C 3 759 ? 323.486 -104.213 196.689 1.0 64.80369  ? 759 TYR F CE2 759 TYR F CE2 1 
ATOM 20352 C CZ  . TYR C 3 759 ? 323.745 -103.479 197.832 1.0 64.80369  ? 759 TYR F CZ  759 TYR F CZ  1 
ATOM 20353 O OH  . TYR C 3 759 ? 324.331 -102.239 197.744 1.0 64.80369  ? 759 TYR F OH  759 TYR F OH  1 
ATOM 20354 N N   . PRO C 3 760 ? 322.830 -110.685 199.576 1.0 61.93693  ? 760 PRO F N   760 PRO F N   1 
ATOM 20355 C CA  . PRO C 3 760 ? 322.182 -111.978 199.824 1.0 61.93693  ? 760 PRO F CA  760 PRO F CA  1 
ATOM 20356 C C   . PRO C 3 760 ? 320.994 -111.859 200.767 1.0 61.93693  ? 760 PRO F C   760 PRO F C   1 
ATOM 20357 O O   . PRO C 3 760 ? 320.768 -110.839 201.418 1.0 61.93693  ? 760 PRO F O   760 PRO F O   1 
ATOM 20358 C CB  . PRO C 3 760 ? 323.290 -112.815 200.462 1.0 61.93693  ? 760 PRO F CB  760 PRO F CB  1 
ATOM 20359 C CG  . PRO C 3 760 ? 324.542 -112.151 200.077 1.0 61.93693  ? 760 PRO F CG  760 PRO F CG  1 
ATOM 20360 C CD  . PRO C 3 760 ? 324.223 -110.699 200.050 1.0 61.93693  ? 760 PRO F CD  760 PRO F CD  1 
ATOM 20361 N N   . ASN C 3 761 ? 320.232 -112.946 200.839 1.0 62.82203  ? 761 ASN F N   761 ASN F N   1 
ATOM 20362 C CA  . ASN C 3 761 ? 319.055 -113.040 201.697 1.0 62.82203  ? 761 ASN F CA  761 ASN F CA  1 
ATOM 20363 C C   . ASN C 3 761 ? 319.468 -113.789 202.957 1.0 62.82203  ? 761 ASN F C   761 ASN F C   1 
ATOM 20364 O O   . ASN C 3 761 ? 319.656 -115.008 202.936 1.0 62.82203  ? 761 ASN F O   761 ASN F O   1 
ATOM 20365 C CB  . ASN C 3 761 ? 317.912 -113.741 200.970 1.0 62.82203  ? 761 ASN F CB  761 ASN F CB  1 
ATOM 20366 C CG  . ASN C 3 761 ? 316.579 -113.590 201.680 1.0 62.82203  ? 761 ASN F CG  761 ASN F CG  1 
ATOM 20367 O OD1 . ASN C 3 761 ? 316.492 -112.988 202.747 1.0 62.82203  ? 761 ASN F OD1 761 ASN F OD1 1 
ATOM 20368 N ND2 . ASN C 3 761 ? 315.526 -114.128 201.078 1.0 62.82203  ? 761 ASN F ND2 761 ASN F ND2 1 
ATOM 20369 N N   . LEU C 3 762 ? 319.615 -113.056 204.057 1.0 62.35352  ? 762 LEU F N   762 LEU F N   1 
ATOM 20370 C CA  . LEU C 3 762 ? 320.013 -113.653 205.323 1.0 62.35352  ? 762 LEU F CA  762 LEU F CA  1 
ATOM 20371 C C   . LEU C 3 762 ? 318.833 -114.135 206.147 1.0 62.35352  ? 762 LEU F C   762 LEU F C   1 
ATOM 20372 O O   . LEU C 3 762 ? 319.025 -114.938 207.065 1.0 62.35352  ? 762 LEU F O   762 LEU F O   1 
ATOM 20373 C CB  . LEU C 3 762 ? 320.835 -112.661 206.152 1.0 62.35352  ? 762 LEU F CB  762 LEU F CB  1 
ATOM 20374 C CG  . LEU C 3 762 ? 322.344 -112.569 205.911 1.0 62.35352  ? 762 LEU F CG  762 LEU F CG  1 
ATOM 20375 C CD1 . LEU C 3 762 ? 322.698 -111.906 204.599 1.0 62.35352  ? 762 LEU F CD1 762 LEU F CD1 1 
ATOM 20376 C CD2 . LEU C 3 762 ? 322.986 -111.823 207.055 1.0 62.35352  ? 762 LEU F CD2 762 LEU F CD2 1 
ATOM 20377 N N   . MET C 3 763 ? 317.623 -113.665 205.848 1.0 63.64805  ? 763 MET F N   763 MET F N   1 
ATOM 20378 C CA  . MET C 3 763 ? 316.451 -114.158 206.560 1.0 63.64805  ? 763 MET F CA  763 MET F CA  1 
ATOM 20379 C C   . MET C 3 763 ? 316.073 -115.557 206.098 1.0 63.64805  ? 763 MET F C   763 MET F C   1 
ATOM 20380 O O   . MET C 3 763 ? 315.706 -116.407 206.916 1.0 63.64805  ? 763 MET F O   763 MET F O   1 
ATOM 20381 C CB  . MET C 3 763 ? 315.280 -113.199 206.374 1.0 63.64805  ? 763 MET F CB  763 MET F CB  1 
ATOM 20382 C CG  . MET C 3 763 ? 314.030 -113.602 207.130 1.0 63.64805  ? 763 MET F CG  763 MET F CG  1 
ATOM 20383 S SD  . MET C 3 763 ? 314.301 -113.625 208.904 1.0 63.64805  ? 763 MET F SD  763 MET F SD  1 
ATOM 20384 C CE  . MET C 3 763 ? 314.402 -111.872 209.207 1.0 63.64805  ? 763 MET F CE  763 MET F CE  1 
ATOM 20385 N N   . ALA C 3 764 ? 316.167 -115.818 204.791 1.0 64.02104  ? 764 ALA F N   764 ALA F N   1 
ATOM 20386 C CA  . ALA C 3 764 ? 315.875 -117.156 204.289 1.0 64.02104  ? 764 ALA F CA  764 ALA F CA  1 
ATOM 20387 C C   . ALA C 3 764 ? 316.934 -118.162 204.720 1.0 64.02104  ? 764 ALA F C   764 ALA F C   1 
ATOM 20388 O O   . ALA C 3 764 ? 316.642 -119.357 204.827 1.0 64.02104  ? 764 ALA F O   764 ALA F O   1 
ATOM 20389 C CB  . ALA C 3 764 ? 315.754 -117.136 202.769 1.0 64.02104  ? 764 ALA F CB  764 ALA F CB  1 
ATOM 20390 N N   . ALA C 3 765 ? 318.159 -117.702 204.978 1.0 63.65141  ? 765 ALA F N   765 ALA F N   1 
ATOM 20391 C CA  . ALA C 3 765 ? 319.161 -118.572 205.574 1.0 63.65141  ? 765 ALA F CA  765 ALA F CA  1 
ATOM 20392 C C   . ALA C 3 765 ? 318.881 -118.834 207.045 1.0 63.65141  ? 765 ALA F C   765 ALA F C   1 
ATOM 20393 O O   . ALA C 3 765 ? 319.352 -119.839 207.585 1.0 63.65141  ? 765 ALA F O   765 ALA F O   1 
ATOM 20394 C CB  . ALA C 3 765 ? 320.553 -117.966 205.407 1.0 63.65141  ? 765 ALA F CB  765 ALA F CB  1 
ATOM 20395 N N   . TYR C 3 766 ? 318.122 -117.958 207.702 1.0 65.60067  ? 766 TYR F N   766 TYR F N   1 
ATOM 20396 C CA  . TYR C 3 766 ? 317.814 -118.163 209.110 1.0 65.60067  ? 766 TYR F CA  766 TYR F CA  1 
ATOM 20397 C C   . TYR C 3 766 ? 316.692 -119.173 209.296 1.0 65.60067  ? 766 TYR F C   766 TYR F C   1 
ATOM 20398 O O   . TYR C 3 766 ? 316.716 -119.971 210.238 1.0 65.60067  ? 766 TYR F O   766 TYR F O   1 
ATOM 20399 C CB  . TYR C 3 766 ? 317.448 -116.839 209.774 1.0 65.60067  ? 766 TYR F CB  766 TYR F CB  1 
ATOM 20400 C CG  . TYR C 3 766 ? 317.115 -117.013 211.231 1.0 65.60067  ? 766 TYR F CG  766 TYR F CG  1 
ATOM 20401 C CD1 . TYR C 3 766 ? 318.109 -117.298 212.151 1.0 65.60067  ? 766 TYR F CD1 766 TYR F CD1 1 
ATOM 20402 C CD2 . TYR C 3 766 ? 315.810 -116.908 211.684 1.0 65.60067  ? 766 TYR F CD2 766 TYR F CD2 1 
ATOM 20403 C CE1 . TYR C 3 766 ? 317.822 -117.472 213.475 1.0 65.60067  ? 766 TYR F CE1 766 TYR F CE1 1 
ATOM 20404 C CE2 . TYR C 3 766 ? 315.510 -117.080 213.014 1.0 65.60067  ? 766 TYR F CE2 766 TYR F CE2 1 
ATOM 20405 C CZ  . TYR C 3 766 ? 316.522 -117.360 213.902 1.0 65.60067  ? 766 TYR F CZ  766 TYR F CZ  1 
ATOM 20406 O OH  . TYR C 3 766 ? 316.240 -117.533 215.230 1.0 65.60067  ? 766 TYR F OH  766 TYR F OH  1 
ATOM 20407 N N   . LEU C 3 767 ? 315.688 -119.140 208.422 1.0 66.39432  ? 767 LEU F N   767 LEU F N   1 
ATOM 20408 C CA  . LEU C 3 767 ? 314.568 -120.063 208.560 1.0 66.39432  ? 767 LEU F CA  767 LEU F CA  1 
ATOM 20409 C C   . LEU C 3 767 ? 314.955 -121.472 208.132 1.0 66.39432  ? 767 LEU F C   767 LEU F C   1 
ATOM 20410 O O   . LEU C 3 767 ? 314.353 -122.452 208.584 1.0 66.39432  ? 767 LEU F O   767 LEU F O   1 
ATOM 20411 C CB  . LEU C 3 767 ? 313.367 -119.563 207.759 1.0 66.39432  ? 767 LEU F CB  767 LEU F CB  1 
ATOM 20412 C CG  . LEU C 3 767 ? 312.381 -118.595 208.422 1.0 66.39432  ? 767 LEU F CG  767 LEU F CG  1 
ATOM 20413 C CD1 . LEU C 3 767 ? 312.945 -117.202 208.651 1.0 66.39432  ? 767 LEU F CD1 767 LEU F CD1 1 
ATOM 20414 C CD2 . LEU C 3 767 ? 311.123 -118.522 207.575 1.0 66.39432  ? 767 LEU F CD2 767 LEU F CD2 1 
ATOM 20415 N N   . ALA C 3 768 ? 315.958 -121.596 207.263 1.0 66.95675  ? 768 ALA F N   768 ALA F N   1 
ATOM 20416 C CA  . ALA C 3 768 ? 316.449 -122.918 206.890 1.0 66.95675  ? 768 ALA F CA  768 ALA F CA  1 
ATOM 20417 C C   . ALA C 3 768 ? 317.259 -123.535 208.021 1.0 66.95675  ? 768 ALA F C   768 ALA F C   1 
ATOM 20418 O O   . ALA C 3 768 ? 317.128 -124.727 208.319 1.0 66.95675  ? 768 ALA F O   768 ALA F O   1 
ATOM 20419 C CB  . ALA C 3 768 ? 317.286 -122.829 205.616 1.0 66.95675  ? 768 ALA F CB  768 ALA F CB  1 
ATOM 20420 N N   . ASN C 3 769 ? 318.106 -122.738 208.658 1.0 69.6818   ? 769 ASN F N   769 ASN F N   1 
ATOM 20421 C CA  . ASN C 3 769 ? 318.901 -123.186 209.792 1.0 69.6818   ? 769 ASN F CA  769 ASN F CA  1 
ATOM 20422 C C   . ASN C 3 769 ? 318.972 -122.047 210.799 1.0 69.6818   ? 769 ASN F C   769 ASN F C   1 
ATOM 20423 O O   . ASN C 3 769 ? 319.606 -121.022 210.523 1.0 69.6818   ? 769 ASN F O   769 ASN F O   1 
ATOM 20424 C CB  . ASN C 3 769 ? 320.305 -123.600 209.346 1.0 69.6818   ? 769 ASN F CB  769 ASN F CB  1 
ATOM 20425 C CG  . ASN C 3 769 ? 320.968 -124.579 210.305 1.0 69.6818   ? 769 ASN F CG  769 ASN F CG  1 
ATOM 20426 O OD1 . ASN C 3 769 ? 321.996 -125.173 209.980 1.0 69.6818   ? 769 ASN F OD1 769 ASN F OD1 1 
ATOM 20427 N ND2 . ASN C 3 769 ? 320.373 -124.770 211.477 1.0 69.6818   ? 769 ASN F ND2 769 ASN F ND2 1 
ATOM 20428 N N   . PRO C 3 770 ? 318.319 -122.172 211.956 1.0 68.10655  ? 770 PRO F N   770 PRO F N   1 
ATOM 20429 C CA  . PRO C 3 770 ? 318.430 -121.106 212.964 1.0 68.10655  ? 770 PRO F CA  770 PRO F CA  1 
ATOM 20430 C C   . PRO C 3 770 ? 319.813 -121.010 213.580 1.0 68.10655  ? 770 PRO F C   770 PRO F C   1 
ATOM 20431 O O   . PRO C 3 770 ? 320.266 -119.904 213.898 1.0 68.10655  ? 770 PRO F O   770 PRO F O   1 
ATOM 20432 C CB  . PRO C 3 770 ? 317.364 -121.495 213.997 1.0 68.10655  ? 770 PRO F CB  770 PRO F CB  1 
ATOM 20433 C CG  . PRO C 3 770 ? 316.411 -122.368 213.251 1.0 68.10655  ? 770 PRO F CG  770 PRO F CG  1 
ATOM 20434 C CD  . PRO C 3 770 ? 317.263 -123.138 212.292 1.0 68.10655  ? 770 PRO F CD  770 PRO F CD  1 
ATOM 20435 N N   . GLN C 3 771 ? 320.502 -122.133 213.755 1.0 69.72585  ? 771 GLN F N   771 GLN F N   1 
ATOM 20436 C CA  . GLN C 3 771 ? 321.894 -122.082 214.169 1.0 69.72585  ? 771 GLN F CA  771 GLN F CA  1 
ATOM 20437 C C   . GLN C 3 771 ? 322.757 -121.620 213.000 1.0 69.72585  ? 771 GLN F C   771 GLN F C   1 
ATOM 20438 O O   . GLN C 3 771 ? 322.444 -121.886 211.834 1.0 69.72585  ? 771 GLN F O   771 GLN F O   1 
ATOM 20439 C CB  . GLN C 3 771 ? 322.364 -123.446 214.674 1.0 69.72585  ? 771 GLN F CB  771 GLN F CB  1 
ATOM 20440 C CG  . GLN C 3 771 ? 321.692 -123.915 215.959 1.0 69.72585  ? 771 GLN F CG  771 GLN F CG  1 
ATOM 20441 C CD  . GLN C 3 771 ? 320.372 -124.618 215.708 1.0 69.72585  ? 771 GLN F CD  771 GLN F CD  1 
ATOM 20442 O OE1 . GLN C 3 771 ? 320.096 -125.056 214.592 1.0 69.72585  ? 771 GLN F OE1 771 GLN F OE1 1 
ATOM 20443 N NE2 . GLN C 3 771 ? 319.545 -124.720 216.742 1.0 69.72585  ? 771 GLN F NE2 771 GLN F NE2 1 
ATOM 20444 N N   . THR C 3 772 ? 323.860 -120.930 213.340 1.0 69.92202  ? 772 THR F N   772 THR F N   1 
ATOM 20445 C CA  . THR C 3 772 ? 324.677 -120.134 212.419 1.0 69.92202  ? 772 THR F CA  772 THR F CA  1 
ATOM 20446 C C   . THR C 3 772 ? 323.739 -119.146 211.736 1.0 69.92202  ? 772 THR F C   772 THR F C   1 
ATOM 20447 O O   . THR C 3 772 ? 323.388 -119.318 210.563 1.0 69.92202  ? 772 THR F O   772 THR F O   1 
ATOM 20448 C CB  . THR C 3 772 ? 325.464 -120.995 211.419 1.0 69.92202  ? 772 THR F CB  772 THR F CB  1 
ATOM 20449 O OG1 . THR C 3 772 ? 326.162 -122.022 212.131 1.0 69.92202  ? 772 THR F OG1 772 THR F OG1 1 
ATOM 20450 C CG2 . THR C 3 772 ? 326.507 -120.154 210.691 1.0 69.92202  ? 772 THR F CG2 772 THR F CG2 1 
ATOM 20451 N N   . MET C 3 773 ? 323.280 -118.159 212.517 1.0 68.07543  ? 773 MET F N   773 MET F N   1 
ATOM 20452 C CA  . MET C 3 773 ? 321.991 -117.478 212.338 1.0 68.07543  ? 773 MET F CA  773 MET F CA  1 
ATOM 20453 C C   . MET C 3 773 ? 321.758 -116.861 210.961 1.0 68.07543  ? 773 MET F C   773 MET F C   1 
ATOM 20454 O O   . MET C 3 773 ? 320.697 -117.122 210.382 1.0 68.07543  ? 773 MET F O   773 MET F O   1 
ATOM 20455 C CB  . MET C 3 773 ? 321.853 -116.455 213.476 1.0 68.07543  ? 773 MET F CB  773 MET F CB  1 
ATOM 20456 C CG  . MET C 3 773 ? 321.865 -117.090 214.845 1.0 68.07543  ? 773 MET F CG  773 MET F CG  1 
ATOM 20457 S SD  . MET C 3 773 ? 323.516 -117.587 215.366 1.0 68.07543  ? 773 MET F SD  773 MET F SD  1 
ATOM 20458 C CE  . MET C 3 773 ? 323.225 -117.983 217.086 1.0 68.07543  ? 773 MET F CE  773 MET F CE  1 
ATOM 20459 N N   . PRO C 3 774 ? 322.666 -116.072 210.370 1.0 65.50684  ? 774 PRO F N   774 PRO F N   1 
ATOM 20460 C CA  . PRO C 3 774 ? 323.816 -115.254 210.735 1.0 65.50684  ? 774 PRO F CA  774 PRO F CA  1 
ATOM 20461 C C   . PRO C 3 774 ? 323.380 -113.818 210.941 1.0 65.50684  ? 774 PRO F C   774 PRO F C   1 
ATOM 20462 O O   . PRO C 3 774 ? 324.218 -112.927 210.824 1.0 65.50684  ? 774 PRO F O   774 PRO F O   1 
ATOM 20463 C CB  . PRO C 3 774 ? 324.724 -115.377 209.535 1.0 65.50684  ? 774 PRO F CB  774 PRO F CB  1 
ATOM 20464 C CG  . PRO C 3 774 ? 323.786 -115.479 208.415 1.0 65.50684  ? 774 PRO F CG  774 PRO F CG  1 
ATOM 20465 C CD  . PRO C 3 774 ? 322.611 -116.254 208.910 1.0 65.50684  ? 774 PRO F CD  774 PRO F CD  1 
ATOM 20466 N N   . ILE C 3 775 ? 322.075 -113.598 211.120 1.0 62.71036  ? 775 ILE F N   775 ILE F N   1 
ATOM 20467 C CA  . ILE C 3 775 ? 321.557 -112.248 211.313 1.0 62.71036  ? 775 ILE F CA  775 ILE F CA  1 
ATOM 20468 C C   . ILE C 3 775 ? 322.122 -111.674 212.601 1.0 62.71036  ? 775 ILE F C   775 ILE F C   1 
ATOM 20469 O O   . ILE C 3 775 ? 321.879 -112.198 213.695 1.0 62.71036  ? 775 ILE F O   775 ILE F O   1 
ATOM 20470 C CB  . ILE C 3 775 ? 320.028 -112.245 211.327 1.0 62.71036  ? 775 ILE F CB  775 ILE F CB  1 
ATOM 20471 C CG1 . ILE C 3 775 ? 319.482 -112.638 209.957 1.0 62.71036  ? 775 ILE F CG1 775 ILE F CG1 1 
ATOM 20472 C CG2 . ILE C 3 775 ? 319.513 -110.879 211.717 1.0 62.71036  ? 775 ILE F CG2 775 ILE F CG2 1 
ATOM 20473 C CD1 . ILE C 3 775 ? 317.993 -112.884 209.946 1.0 62.71036  ? 775 ILE F CD1 775 ILE F CD1 1 
ATOM 20474 N N   . TRP C 3 776 ? 322.900 -110.607 212.470 1.0 60.56737  ? 776 TRP F N   776 TRP F N   1 
ATOM 20475 C CA  . TRP C 3 776 ? 323.568 -109.962 213.591 1.0 60.56737  ? 776 TRP F CA  776 TRP F CA  1 
ATOM 20476 C C   . TRP C 3 776 ? 322.932 -108.598 213.789 1.0 60.56737  ? 776 TRP F C   776 TRP F C   1 
ATOM 20477 O O   . TRP C 3 776 ? 323.241 -107.655 213.058 1.0 60.56737  ? 776 TRP F O   776 TRP F O   1 
ATOM 20478 C CB  . TRP C 3 776 ? 325.066 -109.822 213.338 1.0 60.56737  ? 776 TRP F CB  776 TRP F CB  1 
ATOM 20479 C CG  . TRP C 3 776 ? 325.781 -111.114 213.263 1.0 60.56737  ? 776 TRP F CG  776 TRP F CG  1 
ATOM 20480 C CD1 . TRP C 3 776 ? 325.298 -112.333 213.617 1.0 60.56737  ? 776 TRP F CD1 776 TRP F CD1 1 
ATOM 20481 C CD2 . TRP C 3 776 ? 327.105 -111.332 212.774 1.0 60.56737  ? 776 TRP F CD2 776 TRP F CD2 1 
ATOM 20482 N NE1 . TRP C 3 776 ? 326.239 -113.300 213.386 1.0 60.56737  ? 776 TRP F NE1 776 TRP F NE1 1 
ATOM 20483 C CE2 . TRP C 3 776 ? 327.360 -112.709 212.869 1.0 60.56737  ? 776 TRP F CE2 776 TRP F CE2 1 
ATOM 20484 C CE3 . TRP C 3 776 ? 328.102 -110.496 212.273 1.0 60.56737  ? 776 TRP F CE3 776 TRP F CE3 1 
ATOM 20485 C CZ2 . TRP C 3 776 ? 328.568 -113.270 212.480 1.0 60.56737  ? 776 TRP F CZ2 776 TRP F CZ2 1 
ATOM 20486 C CZ3 . TRP C 3 776 ? 329.303 -111.055 211.900 1.0 60.56737  ? 776 TRP F CZ3 776 TRP F CZ3 1 
ATOM 20487 C CH2 . TRP C 3 776 ? 329.524 -112.426 211.998 1.0 60.56737  ? 776 TRP F CH2 776 TRP F CH2 1 
ATOM 20488 N N   . ASN C 3 777 ? 322.034 -108.497 214.757 1.0 59.41507  ? 777 ASN F N   777 ASN F N   1 
ATOM 20489 C CA  . ASN C 3 777 ? 321.524 -107.206 215.176 1.0 59.41507  ? 777 ASN F CA  777 ASN F CA  1 
ATOM 20490 C C   . ASN C 3 777 ? 321.477 -107.243 216.690 1.0 59.41507  ? 777 ASN F C   777 ASN F C   1 
ATOM 20491 O O   . ASN C 3 777 ? 321.317 -108.319 217.271 1.0 59.41507  ? 777 ASN F O   777 ASN F O   1 
ATOM 20492 C CB  . ASN C 3 777 ? 320.153 -106.905 214.570 1.0 59.41507  ? 777 ASN F CB  777 ASN F CB  1 
ATOM 20493 C CG  . ASN C 3 777 ? 319.785 -105.449 214.675 1.0 59.41507  ? 777 ASN F CG  777 ASN F CG  1 
ATOM 20494 O OD1 . ASN C 3 777 ? 320.531 -104.650 215.230 1.0 59.41507  ? 777 ASN F OD1 777 ASN F OD1 1 
ATOM 20495 N ND2 . ASN C 3 777 ? 318.637 -105.089 214.127 1.0 59.41507  ? 777 ASN F ND2 777 ASN F ND2 1 
ATOM 20496 N N   . ASN C 3 778 ? 321.713 -106.067 217.299 1.0 59.79575  ? 778 ASN F N   778 ASN F N   1 
ATOM 20497 C CA  . ASN C 3 778 ? 321.948 -105.760 218.717 1.0 59.79575  ? 778 ASN F CA  778 ASN F CA  1 
ATOM 20498 C C   . ASN C 3 778 ? 322.662 -106.881 219.466 1.0 59.79575  ? 778 ASN F C   778 ASN F C   1 
ATOM 20499 O O   . ASN C 3 778 ? 322.229 -107.312 220.538 1.0 59.79575  ? 778 ASN F O   778 ASN F O   1 
ATOM 20500 C CB  . ASN C 3 778 ? 320.668 -105.256 219.428 1.0 59.79575  ? 778 ASN F CB  778 ASN F CB  1 
ATOM 20501 C CG  . ASN C 3 778 ? 319.510 -106.238 219.454 1.0 59.79575  ? 778 ASN F CG  778 ASN F CG  1 
ATOM 20502 O OD1 . ASN C 3 778 ? 319.649 -107.425 219.233 1.0 59.79575  ? 778 ASN F OD1 778 ASN F OD1 1 
ATOM 20503 N ND2 . ASN C 3 778 ? 318.326 -105.706 219.719 1.0 59.79575  ? 778 ASN F ND2 778 ASN F ND2 1 
ATOM 20504 N N   . CYS C 3 779 ? 323.769 -107.344 218.890 1.0 60.9002   ? 779 CYS F N   779 CYS F N   1 
ATOM 20505 C CA  . CYS C 3 779 ? 324.538 -108.434 219.469 1.0 60.9002   ? 779 CYS F CA  779 CYS F CA  1 
ATOM 20506 C C   . CYS C 3 779 ? 325.235 -107.975 220.737 1.0 60.9002   ? 779 CYS F C   779 CYS F C   1 
ATOM 20507 O O   . CYS C 3 779 ? 325.737 -106.852 220.820 1.0 60.9002   ? 779 CYS F O   779 CYS F O   1 
ATOM 20508 C CB  . CYS C 3 779 ? 325.573 -108.941 218.473 1.0 60.9002   ? 779 CYS F CB  779 CYS F CB  1 
ATOM 20509 S SG  . CYS C 3 779 ? 324.868 -109.689 217.009 1.0 60.9002   ? 779 CYS F SG  779 CYS F SG  1 
ATOM 20510 N N   . GLY C 3 780 ? 325.258 -108.854 221.731 1.0 60.83554  ? 780 GLY F N   780 GLY F N   1 
ATOM 20511 C CA  . GLY C 3 780 ? 325.843 -108.560 223.010 1.0 60.83554  ? 780 GLY F CA  780 GLY F CA  1 
ATOM 20512 C C   . GLY C 3 780 ? 324.888 -107.971 224.020 1.0 60.83554  ? 780 GLY F C   780 GLY F C   1 
ATOM 20513 O O   . GLY C 3 780 ? 325.148 -108.062 225.225 1.0 60.83554  ? 780 GLY F O   780 GLY F O   1 
ATOM 20514 N N   . PHE C 3 781 ? 323.794 -107.372 223.566 1.0 58.83164  ? 781 PHE F N   781 PHE F N   1 
ATOM 20515 C CA  . PHE C 3 781 ? 322.831 -106.731 224.442 1.0 58.83164  ? 781 PHE F CA  781 PHE F CA  1 
ATOM 20516 C C   . PHE C 3 781 ? 321.574 -107.565 224.633 1.0 58.83164  ? 781 PHE F C   781 PHE F C   1 
ATOM 20517 O O   . PHE C 3 781 ? 320.675 -107.147 225.367 1.0 58.83164  ? 781 PHE F O   781 PHE F O   1 
ATOM 20518 C CB  . PHE C 3 781 ? 322.481 -105.347 223.885 1.0 58.83164  ? 781 PHE F CB  781 PHE F CB  1 
ATOM 20519 C CG  . PHE C 3 781 ? 323.665 -104.433 223.766 1.0 58.83164  ? 781 PHE F CG  781 PHE F CG  1 
ATOM 20520 C CD1 . PHE C 3 781 ? 324.162 -103.772 224.878 1.0 58.83164  ? 781 PHE F CD1 781 PHE F CD1 1 
ATOM 20521 C CD2 . PHE C 3 781 ? 324.303 -104.252 222.557 1.0 58.83164  ? 781 PHE F CD2 781 PHE F CD2 1 
ATOM 20522 C CE1 . PHE C 3 781 ? 325.232 -102.934 224.775 1.0 58.83164  ? 781 PHE F CE1 781 PHE F CE1 1 
ATOM 20523 C CE2 . PHE C 3 781 ? 325.395 -103.416 222.461 1.0 58.83164  ? 781 PHE F CE2 781 PHE F CE2 1 
ATOM 20524 C CZ  . PHE C 3 781 ? 325.858 -102.757 223.575 1.0 58.83164  ? 781 PHE F CZ  781 PHE F CZ  1 
ATOM 20525 N N   . GLN C 3 782 ? 321.497 -108.726 223.989 1.0 62.0071   ? 782 GLN F N   782 GLN F N   1 
ATOM 20526 C CA  . GLN C 3 782 ? 320.433 -109.695 224.218 1.0 62.0071   ? 782 GLN F CA  782 GLN F CA  1 
ATOM 20527 C C   . GLN C 3 782 ? 320.936 -111.066 223.778 1.0 62.0071   ? 782 GLN F C   782 GLN F C   1 
ATOM 20528 O O   . GLN C 3 782 ? 322.094 -111.229 223.386 1.0 62.0071   ? 782 GLN F O   782 GLN F O   1 
ATOM 20529 C CB  . GLN C 3 782 ? 319.134 -109.277 223.519 1.0 62.0071   ? 782 GLN F CB  782 GLN F CB  1 
ATOM 20530 C CG  . GLN C 3 782 ? 319.228 -109.034 222.032 1.0 62.0071   ? 782 GLN F CG  782 GLN F CG  1 
ATOM 20531 C CD  . GLN C 3 782 ? 318.807 -110.223 221.211 1.0 62.0071   ? 782 GLN F CD  782 GLN F CD  1 
ATOM 20532 O OE1 . GLN C 3 782 ? 317.977 -111.021 221.641 1.0 62.0071   ? 782 GLN F OE1 782 GLN F OE1 1 
ATOM 20533 N NE2 . GLN C 3 782 ? 319.358 -110.340 220.011 1.0 62.0071   ? 782 GLN F NE2 782 GLN F NE2 1 
ATOM 20534 N N   . GLN C 3 783 ? 320.051 -112.056 223.865 1.0 66.12086  ? 783 GLN F N   783 GLN F N   1 
ATOM 20535 C CA  . GLN C 3 783 ? 320.412 -113.455 223.674 1.0 66.12086  ? 783 GLN F CA  783 GLN F CA  1 
ATOM 20536 C C   . GLN C 3 783 ? 320.766 -113.729 222.215 1.0 66.12086  ? 783 GLN F C   783 GLN F C   1 
ATOM 20537 O O   . GLN C 3 783 ? 320.325 -113.017 221.307 1.0 66.12086  ? 783 GLN F O   783 GLN F O   1 
ATOM 20538 C CB  . GLN C 3 783 ? 319.244 -114.334 224.129 1.0 66.12086  ? 783 GLN F CB  783 GLN F CB  1 
ATOM 20539 C CG  . GLN C 3 783 ? 319.469 -115.839 224.141 1.0 66.12086  ? 783 GLN F CG  783 GLN F CG  1 
ATOM 20540 C CD  . GLN C 3 783 ? 320.598 -116.253 225.038 1.0 66.12086  ? 783 GLN F CD  783 GLN F CD  1 
ATOM 20541 O OE1 . GLN C 3 783 ? 321.680 -116.594 224.571 1.0 66.12086  ? 783 GLN F OE1 783 GLN F OE1 1 
ATOM 20542 N NE2 . GLN C 3 783 ? 320.356 -116.229 226.339 1.0 66.12086  ? 783 GLN F NE2 783 GLN F NE2 1 
ATOM 20543 N N   . LYS C 3 784 ? 321.618 -114.737 222.002 1.0 66.245    ? 784 LYS F N   784 LYS F N   1 
ATOM 20544 C CA  . LYS C 3 784 ? 321.803 -115.288 220.669 1.0 66.245    ? 784 LYS F CA  784 LYS F CA  1 
ATOM 20545 C C   . LYS C 3 784 ? 320.472 -115.784 220.119 1.0 66.245    ? 784 LYS F C   784 LYS F C   1 
ATOM 20546 O O   . LYS C 3 784 ? 319.625 -116.300 220.853 1.0 66.245    ? 784 LYS F O   784 LYS F O   1 
ATOM 20547 C CB  . LYS C 3 784 ? 322.836 -116.418 220.689 1.0 66.245    ? 784 LYS F CB  784 LYS F CB  1 
ATOM 20548 C CG  . LYS C 3 784 ? 322.473 -117.626 221.537 1.0 66.245    ? 784 LYS F CG  784 LYS F CG  1 
ATOM 20549 C CD  . LYS C 3 784 ? 323.560 -118.678 221.495 1.0 66.245    ? 784 LYS F CD  784 LYS F CD  1 
ATOM 20550 C CE  . LYS C 3 784 ? 323.168 -119.910 222.285 1.0 66.245    ? 784 LYS F CE  784 LYS F CE  1 
ATOM 20551 N NZ  . LYS C 3 784 ? 323.099 -119.632 223.744 1.0 66.245    ? 784 LYS F NZ  784 LYS F NZ  1 
ATOM 20552 N N   . THR C 3 785 ? 320.270 -115.577 218.826 1.0 65.78496  ? 785 THR F N   785 THR F N   1 
ATOM 20553 C CA  . THR C 3 785 ? 318.970 -115.806 218.217 1.0 65.78496  ? 785 THR F CA  785 THR F CA  1 
ATOM 20554 C C   . THR C 3 785 ? 318.796 -117.219 217.684 1.0 65.78496  ? 785 THR F C   785 THR F C   1 
ATOM 20555 O O   . THR C 3 785 ? 317.972 -117.429 216.791 1.0 65.78496  ? 785 THR F O   785 THR F O   1 
ATOM 20556 C CB  . THR C 3 785 ? 318.729 -114.787 217.106 1.0 65.78496  ? 785 THR F CB  785 THR F CB  1 
ATOM 20557 O OG1 . THR C 3 785 ? 319.753 -114.907 216.115 1.0 65.78496  ? 785 THR F OG1 785 THR F OG1 1 
ATOM 20558 C CG2 . THR C 3 785 ? 318.746 -113.379 217.672 1.0 65.78496  ? 785 THR F CG2 785 THR F CG2 1 
ATOM 20559 N N   . ALA C 3 786 ? 319.546 -118.188 218.195 1.0 67.18198  ? 786 ALA F N   786 ALA F N   1 
ATOM 20560 C CA  . ALA C 3 786 ? 319.207 -119.588 217.999 1.0 67.18198  ? 786 ALA F CA  786 ALA F CA  1 
ATOM 20561 C C   . ALA C 3 786 ? 318.531 -120.185 219.215 1.0 67.18198  ? 786 ALA F C   786 ALA F C   1 
ATOM 20562 O O   . ALA C 3 786 ? 318.321 -121.400 219.261 1.0 67.18198  ? 786 ALA F O   786 ALA F O   1 
ATOM 20563 C CB  . ALA C 3 786 ? 320.449 -120.406 217.655 1.0 67.18198  ? 786 ALA F CB  786 ALA F CB  1 
ATOM 20564 N N   . THR C 3 787 ? 318.187 -119.361 220.206 1.0 68.06731  ? 787 THR F N   787 THR F N   1 
ATOM 20565 C CA  . THR C 3 787 ? 317.549 -119.850 221.421 1.0 68.06731  ? 787 THR F CA  787 THR F CA  1 
ATOM 20566 C C   . THR C 3 787 ? 316.385 -118.891 221.654 1.0 68.06731  ? 787 THR F C   787 THR F C   1 
ATOM 20567 O O   . THR C 3 787 ? 316.078 -118.101 220.767 1.0 68.06731  ? 787 THR F O   787 THR F O   1 
ATOM 20568 C CB  . THR C 3 787 ? 318.561 -119.962 222.559 1.0 68.06731  ? 787 THR F CB  787 THR F CB  1 
ATOM 20569 O OG1 . THR C 3 787 ? 319.817 -120.406 222.033 1.0 68.06731  ? 787 THR F OG1 787 THR F OG1 1 
ATOM 20570 C CG2 . THR C 3 787 ? 318.148 -121.042 223.537 1.0 68.06731  ? 787 THR F CG2 787 THR F CG2 1 
ATOM 20571 N N   . ASN C 3 788 ? 315.727 -118.942 222.804 1.0 67.72724  ? 788 ASN F N   788 ASN F N   1 
ATOM 20572 C CA  . ASN C 3 788 ? 314.609 -118.066 223.111 1.0 67.72724  ? 788 ASN F CA  788 ASN F CA  1 
ATOM 20573 C C   . ASN C 3 788 ? 315.147 -116.670 223.401 1.0 67.72724  ? 788 ASN F C   788 ASN F C   1 
ATOM 20574 O O   . ASN C 3 788 ? 316.319 -116.514 223.743 1.0 67.72724  ? 788 ASN F O   788 ASN F O   1 
ATOM 20575 C CB  . ASN C 3 788 ? 313.831 -118.615 224.301 1.0 67.72724  ? 788 ASN F CB  788 ASN F CB  1 
ATOM 20576 C CG  . ASN C 3 788 ? 312.472 -117.989 224.452 1.0 67.72724  ? 788 ASN F CG  788 ASN F CG  1 
ATOM 20577 O OD1 . ASN C 3 788 ? 312.076 -117.134 223.660 1.0 67.72724  ? 788 ASN F OD1 788 ASN F OD1 1 
ATOM 20578 N ND2 . ASN C 3 788 ? 311.744 -118.413 225.473 1.0 67.72724  ? 788 ASN F ND2 788 ASN F ND2 1 
ATOM 20579 N N   . VAL C 3 789 ? 314.301 -115.653 223.244 1.0 64.92563  ? 789 VAL F N   789 VAL F N   1 
ATOM 20580 C CA  . VAL C 3 789 ? 314.697 -114.279 223.542 1.0 64.92563  ? 789 VAL F CA  789 VAL F CA  1 
ATOM 20581 C C   . VAL C 3 789 ? 314.144 -113.852 224.891 1.0 64.92563  ? 789 VAL F C   789 VAL F C   1 
ATOM 20582 O O   . VAL C 3 789 ? 313.978 -112.657 225.156 1.0 64.92563  ? 789 VAL F O   789 VAL F O   1 
ATOM 20583 C CB  . VAL C 3 789 ? 314.236 -113.300 222.451 1.0 64.92563  ? 789 VAL F CB  789 VAL F CB  1 
ATOM 20584 C CG1 . VAL C 3 789 ? 315.018 -113.521 221.194 1.0 64.92563  ? 789 VAL F CG1 789 VAL F CG1 1 
ATOM 20585 C CG2 . VAL C 3 789 ? 312.752 -113.474 222.185 1.0 64.92563  ? 789 VAL F CG2 789 VAL F CG2 1 
ATOM 20586 N N   . LEU C 3 790 ? 313.859 -114.822 225.752 1.0 64.81607  ? 790 LEU F N   790 LEU F N   1 
ATOM 20587 C CA  . LEU C 3 790 ? 313.235 -114.557 227.037 1.0 64.81607  ? 790 LEU F CA  790 LEU F CA  1 
ATOM 20588 C C   . LEU C 3 790 ? 314.241 -114.651 228.181 1.0 64.81607  ? 790 LEU F C   790 LEU F C   1 
ATOM 20589 O O   . LEU C 3 790 ? 313.877 -114.469 229.345 1.0 64.81607  ? 790 LEU F O   790 LEU F O   1 
ATOM 20590 C CB  . LEU C 3 790 ? 312.057 -115.520 227.213 1.0 64.81607  ? 790 LEU F CB  790 LEU F CB  1 
ATOM 20591 C CG  . LEU C 3 790 ? 310.918 -115.380 228.222 1.0 64.81607  ? 790 LEU F CG  790 LEU F CG  1 
ATOM 20592 C CD1 . LEU C 3 790 ? 309.651 -115.850 227.546 1.0 64.81607  ? 790 LEU F CD1 790 LEU F CD1 1 
ATOM 20593 C CD2 . LEU C 3 790 ? 311.175 -116.227 229.450 1.0 64.81607  ? 790 LEU F CD2 790 LEU F CD2 1 
ATOM 20594 N N   . LEU C 3 791 ? 315.517 -114.839 227.866 1.0 68.10035  ? 791 LEU F N   791 LEU F N   1 
ATOM 20595 C CA  . LEU C 3 791 ? 316.523 -115.152 228.877 1.0 68.10035  ? 791 LEU F CA  791 LEU F CA  1 
ATOM 20596 C C   . LEU C 3 791 ? 317.760 -114.299 228.605 1.0 68.10035  ? 791 LEU F C   791 LEU F C   1 
ATOM 20597 O O   . LEU C 3 791 ? 317.686 -113.294 227.891 1.0 68.10035  ? 791 LEU F O   791 LEU F O   1 
ATOM 20598 C CB  . LEU C 3 791 ? 316.796 -116.667 228.930 1.0 68.10035  ? 791 LEU F CB  791 LEU F CB  1 
ATOM 20599 C CG  . LEU C 3 791 ? 317.482 -117.468 227.821 1.0 68.10035  ? 791 LEU F CG  791 LEU F CG  1 
ATOM 20600 C CD1 . LEU C 3 791 ? 318.044 -118.756 228.391 1.0 68.10035  ? 791 LEU F CD1 791 LEU F CD1 1 
ATOM 20601 C CD2 . LEU C 3 791 ? 316.506 -117.811 226.736 1.0 68.10035  ? 791 LEU F CD2 791 LEU F CD2 1 
ATOM 20602 N N   . GLU C 3 792 ? 318.890 -114.701 229.202 1.0 70.33248  ? 792 GLU F N   792 GLU F N   1 
ATOM 20603 C CA  . GLU C 3 792 ? 320.045 -113.837 229.448 1.0 70.33248  ? 792 GLU F CA  792 GLU F CA  1 
ATOM 20604 C C   . GLU C 3 792 ? 320.651 -113.278 228.167 1.0 70.33248  ? 792 GLU F C   792 GLU F C   1 
ATOM 20605 O O   . GLU C 3 792 ? 320.559 -113.877 227.095 1.0 70.33248  ? 792 GLU F O   792 GLU F O   1 
ATOM 20606 C CB  . GLU C 3 792 ? 321.127 -114.620 230.193 1.0 70.33248  ? 792 GLU F CB  792 GLU F CB  1 
ATOM 20607 C CG  . GLU C 3 792 ? 320.724 -115.114 231.560 1.0 70.33248  ? 792 GLU F CG  792 GLU F CG  1 
ATOM 20608 C CD  . GLU C 3 792 ? 320.543 -113.992 232.552 1.0 70.33248  ? 792 GLU F CD  792 GLU F CD  1 
ATOM 20609 O OE1 . GLU C 3 792 ? 321.239 -112.961 232.425 1.0 70.33248  ? 792 GLU F OE1 792 GLU F OE1 1 
ATOM 20610 O OE2 . GLU C 3 792 ? 319.712 -114.148 233.467 1.0 70.33248  ? 792 GLU F OE2 792 GLU F OE2 1 
ATOM 20611 N N   . ARG C 3 793 ? 321.275 -112.111 228.294 1.0 65.75126  ? 793 ARG F N   793 ARG F N   1 
ATOM 20612 C CA  . ARG C 3 793 ? 322.090 -111.547 227.232 1.0 65.75126  ? 793 ARG F CA  793 ARG F CA  1 
ATOM 20613 C C   . ARG C 3 793 ? 323.366 -112.366 227.060 1.0 65.75126  ? 793 ARG F C   793 ARG F C   1 
ATOM 20614 O O   . ARG C 3 793 ? 323.866 -112.994 227.997 1.0 65.75126  ? 793 ARG F O   793 ARG F O   1 
ATOM 20615 C CB  . ARG C 3 793 ? 322.435 -110.076 227.510 1.0 65.75126  ? 793 ARG F CB  793 ARG F CB  1 
ATOM 20616 C CG  . ARG C 3 793 ? 323.585 -109.823 228.492 1.0 65.75126  ? 793 ARG F CG  793 ARG F CG  1 
ATOM 20617 C CD  . ARG C 3 793 ? 323.155 -110.007 229.939 1.0 65.75126  ? 793 ARG F CD  793 ARG F CD  1 
ATOM 20618 N NE  . ARG C 3 793 ? 324.253 -109.899 230.889 1.0 65.75126  ? 793 ARG F NE  793 ARG F NE  1 
ATOM 20619 C CZ  . ARG C 3 793 ? 325.007 -110.926 231.262 1.0 65.75126  ? 793 ARG F CZ  793 ARG F CZ  1 
ATOM 20620 N NH1 . ARG C 3 793 ? 324.771 -112.129 230.760 1.0 65.75126  ? 793 ARG F NH1 793 ARG F NH1 1 
ATOM 20621 N NH2 . ARG C 3 793 ? 325.987 -110.752 232.137 1.0 65.75126  ? 793 ARG F NH2 793 ARG F NH2 1 
ATOM 20622 N N   . CYS C 3 794 ? 323.879 -112.370 225.833 1.0 66.39508  ? 794 CYS F N   794 CYS F N   1 
ATOM 20623 C CA  . CYS C 3 794 ? 325.093 -113.095 225.497 1.0 66.39508  ? 794 CYS F CA  794 CYS F CA  1 
ATOM 20624 C C   . CYS C 3 794 ? 325.803 -112.373 224.364 1.0 66.39508  ? 794 CYS F C   794 CYS F C   1 
ATOM 20625 O O   . CYS C 3 794 ? 325.163 -111.797 223.482 1.0 66.39508  ? 794 CYS F O   794 CYS F O   1 
ATOM 20626 C CB  . CYS C 3 794 ? 324.807 -114.541 225.073 1.0 66.39508  ? 794 CYS F CB  794 CYS F CB  1 
ATOM 20627 S SG  . CYS C 3 794 ? 324.257 -115.690 226.354 1.0 66.39508  ? 794 CYS F SG  794 CYS F SG  1 
ATOM 20628 N N   . GLY C 3 795 ? 327.125 -112.414 224.391 1.0 65.0464   ? 795 GLY F N   795 GLY F N   1 
ATOM 20629 C CA  . GLY C 3 795 ? 327.937 -111.923 223.297 1.0 65.0464   ? 795 GLY F CA  795 GLY F CA  1 
ATOM 20630 C C   . GLY C 3 795 ? 328.619 -110.610 223.630 1.0 65.0464   ? 795 GLY F C   795 GLY F C   1 
ATOM 20631 O O   . GLY C 3 795 ? 328.697 -110.183 224.783 1.0 65.0464   ? 795 GLY F O   795 GLY F O   1 
ATOM 20632 N N   . HIS C 3 796 ? 329.117 -109.967 222.585 1.0 63.63748  ? 796 HIS F N   796 HIS F N   1 
ATOM 20633 C CA  . HIS C 3 796 ? 329.828 -108.705 222.685 1.0 63.63748  ? 796 HIS F CA  796 HIS F CA  1 
ATOM 20634 C C   . HIS C 3 796 ? 329.239 -107.714 221.696 1.0 63.63748  ? 796 HIS F C   796 HIS F C   1 
ATOM 20635 O O   . HIS C 3 796 ? 328.630 -108.118 220.700 1.0 63.63748  ? 796 HIS F O   796 HIS F O   1 
ATOM 20636 C CB  . HIS C 3 796 ? 331.331 -108.904 222.428 1.0 63.63748  ? 796 HIS F CB  796 HIS F CB  1 
ATOM 20637 C CG  . HIS C 3 796 ? 331.669 -109.434 221.069 1.0 63.63748  ? 796 HIS F CG  796 HIS F CG  1 
ATOM 20638 N ND1 . HIS C 3 796 ? 331.733 -108.635 219.949 1.0 63.63748  ? 796 HIS F ND1 796 HIS F ND1 1 
ATOM 20639 C CD2 . HIS C 3 796 ? 332.034 -110.673 220.665 1.0 63.63748  ? 796 HIS F CD2 796 HIS F CD2 1 
ATOM 20640 C CE1 . HIS C 3 796 ? 332.095 -109.362 218.910 1.0 63.63748  ? 796 HIS F CE1 796 HIS F CE1 1 
ATOM 20641 N NE2 . HIS C 3 796 ? 332.281 -110.604 219.317 1.0 63.63748  ? 796 HIS F NE2 796 HIS F NE2 1 
ATOM 20642 N N   . PRO C 3 797 ? 329.368 -106.407 221.951 1.0 62.18162  ? 797 PRO F N   797 PRO F N   1 
ATOM 20643 C CA  . PRO C 3 797 ? 328.848 -105.422 220.991 1.0 62.18162  ? 797 PRO F CA  797 PRO F CA  1 
ATOM 20644 C C   . PRO C 3 797 ? 329.662 -105.413 219.707 1.0 62.18162  ? 797 PRO F C   797 PRO F C   1 
ATOM 20645 O O   . PRO C 3 797 ? 330.893 -105.424 219.736 1.0 62.18162  ? 797 PRO F O   797 PRO F O   1 
ATOM 20646 C CB  . PRO C 3 797 ? 328.966 -104.093 221.744 1.0 62.18162  ? 797 PRO F CB  797 PRO F CB  1 
ATOM 20647 C CG  . PRO C 3 797 ? 330.005 -104.322 222.753 1.0 62.18162  ? 797 PRO F CG  797 PRO F CG  1 
ATOM 20648 C CD  . PRO C 3 797 ? 329.856 -105.745 223.174 1.0 62.18162  ? 797 PRO F CD  797 PRO F CD  1 
ATOM 20649 N N   . TYR C 3 798 ? 328.959 -105.388 218.579 1.0 60.1896   ? 798 TYR F N   798 TYR F N   1 
ATOM 20650 C CA  . TYR C 3 798 ? 329.595 -105.524 217.279 1.0 60.1896   ? 798 TYR F CA  798 TYR F CA  1 
ATOM 20651 C C   . TYR C 3 798 ? 328.660 -104.938 216.230 1.0 60.1896   ? 798 TYR F C   798 TYR F C   1 
ATOM 20652 O O   . TYR C 3 798 ? 327.463 -104.762 216.472 1.0 60.1896   ? 798 TYR F O   798 TYR F O   1 
ATOM 20653 C CB  . TYR C 3 798 ? 329.932 -106.994 216.996 1.0 60.1896   ? 798 TYR F CB  798 TYR F CB  1 
ATOM 20654 C CG  . TYR C 3 798 ? 330.731 -107.255 215.744 1.0 60.1896   ? 798 TYR F CG  798 TYR F CG  1 
ATOM 20655 C CD1 . TYR C 3 798 ? 332.077 -106.932 215.674 1.0 60.1896   ? 798 TYR F CD1 798 TYR F CD1 1 
ATOM 20656 C CD2 . TYR C 3 798 ? 330.139 -107.839 214.638 1.0 60.1896   ? 798 TYR F CD2 798 TYR F CD2 1 
ATOM 20657 C CE1 . TYR C 3 798 ? 332.805 -107.174 214.533 1.0 60.1896   ? 798 TYR F CE1 798 TYR F CE1 1 
ATOM 20658 C CE2 . TYR C 3 798 ? 330.857 -108.087 213.496 1.0 60.1896   ? 798 TYR F CE2 798 TYR F CE2 1 
ATOM 20659 C CZ  . TYR C 3 798 ? 332.187 -107.754 213.450 1.0 60.1896   ? 798 TYR F CZ  798 TYR F CZ  1 
ATOM 20660 O OH  . TYR C 3 798 ? 332.893 -108.004 212.303 1.0 60.1896   ? 798 TYR F OH  798 TYR F OH  1 
ATOM 20661 N N   . VAL C 3 799 ? 329.235 -104.617 215.067 1.0 57.50625  ? 799 VAL F N   799 VAL F N   1 
ATOM 20662 C CA  . VAL C 3 799 ? 328.506 -103.960 213.989 1.0 57.50625  ? 799 VAL F CA  799 VAL F CA  1 
ATOM 20663 C C   . VAL C 3 799 ? 327.440 -104.899 213.420 1.0 57.50625  ? 799 VAL F C   799 VAL F C   1 
ATOM 20664 O O   . VAL C 3 799 ? 327.590 -106.128 213.420 1.0 57.50625  ? 799 VAL F O   799 VAL F O   1 
ATOM 20665 C CB  . VAL C 3 799 ? 329.512 -103.483 212.920 1.0 57.50625  ? 799 VAL F CB  799 VAL F CB  1 
ATOM 20666 C CG1 . VAL C 3 799 ? 330.199 -104.647 212.227 1.0 57.50625  ? 799 VAL F CG1 799 VAL F CG1 1 
ATOM 20667 C CG2 . VAL C 3 799 ? 328.880 -102.554 211.910 1.0 57.50625  ? 799 VAL F CG2 799 VAL F CG2 1 
ATOM 20668 N N   . ALA C 3 800 ? 326.323 -104.320 212.992 1.0 56.28665  ? 800 ALA F N   800 ALA F N   1 
ATOM 20669 C CA  . ALA C 3 800 ? 325.190 -105.077 212.488 1.0 56.28665  ? 800 ALA F CA  800 ALA F CA  1 
ATOM 20670 C C   . ALA C 3 800 ? 325.277 -105.263 210.978 1.0 56.28665  ? 800 ALA F C   800 ALA F C   1 
ATOM 20671 O O   . ALA C 3 800 ? 325.976 -104.531 210.276 1.0 56.28665  ? 800 ALA F O   800 ALA F O   1 
ATOM 20672 C CB  . ALA C 3 800 ? 323.881 -104.379 212.847 1.0 56.28665  ? 800 ALA F CB  800 ALA F CB  1 
ATOM 20673 N N   . ASN C 3 801 ? 324.538 -106.257 210.479 1.0 56.26093  ? 801 ASN F N   801 ASN F N   1 
ATOM 20674 C CA  . ASN C 3 801 ? 324.546 -106.575 209.058 1.0 56.26093  ? 801 ASN F CA  801 ASN F CA  1 
ATOM 20675 C C   . ASN C 3 801 ? 323.157 -106.805 208.473 1.0 56.26093  ? 801 ASN F C   801 ASN F C   1 
ATOM 20676 O O   . ASN C 3 801 ? 323.053 -107.222 207.316 1.0 56.26093  ? 801 ASN F O   801 ASN F O   1 
ATOM 20677 C CB  . ASN C 3 801 ? 325.421 -107.803 208.776 1.0 56.26093  ? 801 ASN F CB  801 ASN F CB  1 
ATOM 20678 C CG  . ASN C 3 801 ? 324.979 -109.040 209.534 1.0 56.26093  ? 801 ASN F CG  801 ASN F CG  1 
ATOM 20679 O OD1 . ASN C 3 801 ? 324.039 -109.015 210.323 1.0 56.26093  ? 801 ASN F OD1 801 ASN F OD1 1 
ATOM 20680 N ND2 . ASN C 3 801 ? 325.649 -110.148 209.268 1.0 56.26093  ? 801 ASN F ND2 801 ASN F ND2 1 
ATOM 20681 N N   . TRP C 3 802 ? 322.093 -106.564 209.232 1.0 56.87103  ? 802 TRP F N   802 TRP F N   1 
ATOM 20682 C CA  . TRP C 3 802 ? 320.779 -106.898 208.715 1.0 56.87103  ? 802 TRP F CA  802 TRP F CA  1 
ATOM 20683 C C   . TRP C 3 802 ? 319.776 -106.013 209.426 1.0 56.87103  ? 802 TRP F C   802 TRP F C   1 
ATOM 20684 O O   . TRP C 3 802 ? 319.913 -105.810 210.639 1.0 56.87103  ? 802 TRP F O   802 TRP F O   1 
ATOM 20685 C CB  . TRP C 3 802 ? 320.475 -108.382 208.942 1.0 56.87103  ? 802 TRP F CB  802 TRP F CB  1 
ATOM 20686 C CG  . TRP C 3 802 ? 319.212 -108.860 208.339 1.0 56.87103  ? 802 TRP F CG  802 TRP F CG  1 
ATOM 20687 C CD1 . TRP C 3 802 ? 318.062 -109.109 208.993 1.0 56.87103  ? 802 TRP F CD1 802 TRP F CD1 1 
ATOM 20688 C CD2 . TRP C 3 802 ? 318.967 -109.158 206.958 1.0 56.87103  ? 802 TRP F CD2 802 TRP F CD2 1 
ATOM 20689 N NE1 . TRP C 3 802 ? 317.101 -109.546 208.114 1.0 56.87103  ? 802 TRP F NE1 802 TRP F NE1 1 
ATOM 20690 C CE2 . TRP C 3 802 ? 317.633 -109.579 206.854 1.0 56.87103  ? 802 TRP F CE2 802 TRP F CE2 1 
ATOM 20691 C CE3 . TRP C 3 802 ? 319.747 -109.106 205.803 1.0 56.87103  ? 802 TRP F CE3 802 TRP F CE3 1 
ATOM 20692 C CZ2 . TRP C 3 802 ? 317.058 -109.948 205.652 1.0 56.87103  ? 802 TRP F CZ2 802 TRP F CZ2 1 
ATOM 20693 C CZ3 . TRP C 3 802 ? 319.175 -109.472 204.609 1.0 56.87103  ? 802 TRP F CZ3 802 TRP F CZ3 1 
ATOM 20694 C CH2 . TRP C 3 802 ? 317.842 -109.886 204.540 1.0 56.87103  ? 802 TRP F CH2 802 TRP F CH2 1 
ATOM 20695 N N   . PRO C 3 803 ? 318.777 -105.460 208.728 1.0 55.67585  ? 803 PRO F N   803 PRO F N   1 
ATOM 20696 C CA  . PRO C 3 803 ? 318.399 -105.593 207.316 1.0 55.67585  ? 803 PRO F CA  803 PRO F CA  1 
ATOM 20697 C C   . PRO C 3 803 ? 319.187 -104.686 206.387 1.0 55.67585  ? 803 PRO F C   803 PRO F C   1 
ATOM 20698 O O   . PRO C 3 803 ? 320.168 -104.093 206.817 1.0 55.67585  ? 803 PRO F O   803 PRO F O   1 
ATOM 20699 C CB  . PRO C 3 803 ? 316.933 -105.178 207.321 1.0 55.67585  ? 803 PRO F CB  803 PRO F CB  1 
ATOM 20700 C CG  . PRO C 3 803 ? 316.855 -104.192 208.413 1.0 55.67585  ? 803 PRO F CG  803 PRO F CG  1 
ATOM 20701 C CD  . PRO C 3 803 ? 317.793 -104.660 209.474 1.0 55.67585  ? 803 PRO F CD  803 PRO F CD  1 
ATOM 20702 N N   . TYR C 3 804 ? 318.764 -104.581 205.128 1.0 56.79062  ? 804 TYR F N   804 TYR F N   1 
ATOM 20703 C CA  . TYR C 3 804 ? 319.417 -103.606 204.270 1.0 56.79062  ? 804 TYR F CA  804 TYR F CA  1 
ATOM 20704 C C   . TYR C 3 804 ? 318.734 -102.252 204.412 1.0 56.79062  ? 804 TYR F C   804 TYR F C   1 
ATOM 20705 O O   . TYR C 3 804 ? 317.510 -102.189 204.540 1.0 56.79062  ? 804 TYR F O   804 TYR F O   1 
ATOM 20706 C CB  . TYR C 3 804 ? 319.387 -104.040 202.813 1.0 56.79062  ? 804 TYR F CB  804 TYR F CB  1 
ATOM 20707 C CG  . TYR C 3 804 ? 320.209 -105.261 202.558 1.0 56.79062  ? 804 TYR F CG  804 TYR F CG  1 
ATOM 20708 C CD1 . TYR C 3 804 ? 321.586 -105.201 202.601 1.0 56.79062  ? 804 TYR F CD1 804 TYR F CD1 1 
ATOM 20709 C CD2 . TYR C 3 804 ? 319.614 -106.468 202.245 1.0 56.79062  ? 804 TYR F CD2 804 TYR F CD2 1 
ATOM 20710 C CE1 . TYR C 3 804 ? 322.348 -106.311 202.380 1.0 56.79062  ? 804 TYR F CE1 804 TYR F CE1 1 
ATOM 20711 C CE2 . TYR C 3 804 ? 320.372 -107.581 202.003 1.0 56.79062  ? 804 TYR F CE2 804 TYR F CE2 1 
ATOM 20712 C CZ  . TYR C 3 804 ? 321.736 -107.493 202.069 1.0 56.79062  ? 804 TYR F CZ  804 TYR F CZ  1 
ATOM 20713 O OH  . TYR C 3 804 ? 322.499 -108.603 201.841 1.0 56.79062  ? 804 TYR F OH  804 TYR F OH  1 
ATOM 20714 N N   . PRO C 3 805 ? 319.494 -101.161 204.407 1.0 53.58475  ? 805 PRO F N   805 PRO F N   1 
ATOM 20715 C CA  . PRO C 3 805 ? 318.874 -99.842  204.541 1.0 53.58475  ? 805 PRO F CA  805 PRO F CA  1 
ATOM 20716 C C   . PRO C 3 805 ? 318.158 -99.444  203.260 1.0 53.58475  ? 805 PRO F C   805 PRO F C   1 
ATOM 20717 O O   . PRO C 3 805 ? 318.726 -99.492  202.168 1.0 53.58475  ? 805 PRO F O   805 PRO F O   1 
ATOM 20718 C CB  . PRO C 3 805 ? 320.059 -98.923  204.845 1.0 53.58475  ? 805 PRO F CB  805 PRO F CB  1 
ATOM 20719 C CG  . PRO C 3 805 ? 321.223 -99.617  204.267 1.0 53.58475  ? 805 PRO F CG  805 PRO F CG  1 
ATOM 20720 C CD  . PRO C 3 805 ? 320.963 -101.079 204.409 1.0 53.58475  ? 805 PRO F CD  805 PRO F CD  1 
ATOM 20721 N N   . LEU C 3 806 ? 316.892 -99.073  203.402 1.0 50.97234  ? 806 LEU F N   806 LEU F N   1 
ATOM 20722 C CA  . LEU C 3 806 ? 316.084 -98.629  202.281 1.0 50.97234  ? 806 LEU F CA  806 LEU F CA  1 
ATOM 20723 C C   . LEU C 3 806 ? 315.986 -97.116  202.197 1.0 50.97234  ? 806 LEU F C   806 LEU F C   1 
ATOM 20724 O O   . LEU C 3 806 ? 315.379 -96.599  201.255 1.0 50.97234  ? 806 LEU F O   806 LEU F O   1 
ATOM 20725 C CB  . LEU C 3 806 ? 314.683 -99.233  202.380 1.0 50.97234  ? 806 LEU F CB  806 LEU F CB  1 
ATOM 20726 C CG  . LEU C 3 806 ? 314.625 -100.752 202.260 1.0 50.97234  ? 806 LEU F CG  806 LEU F CG  1 
ATOM 20727 C CD1 . LEU C 3 806 ? 313.226 -101.254 202.548 1.0 50.97234  ? 806 LEU F CD1 806 LEU F CD1 1 
ATOM 20728 C CD2 . LEU C 3 806 ? 315.066 -101.182 200.887 1.0 50.97234  ? 806 LEU F CD2 806 LEU F CD2 1 
ATOM 20729 N N   . SER C 3 807 ? 316.573 -96.398  203.149 1.0 52.03996  ? 807 SER F N   807 SER F N   1 
ATOM 20730 C CA  . SER C 3 807 ? 316.476 -94.951  203.208 1.0 52.03996  ? 807 SER F CA  807 SER F CA  1 
ATOM 20731 C C   . SER C 3 807 ? 317.856 -94.378  203.490 1.0 52.03996  ? 807 SER F C   807 SER F C   1 
ATOM 20732 O O   . SER C 3 807 ? 318.847 -95.106  203.589 1.0 52.03996  ? 807 SER F O   807 SER F O   1 
ATOM 20733 C CB  . SER C 3 807 ? 315.475 -94.517  204.279 1.0 52.03996  ? 807 SER F CB  807 SER F CB  1 
ATOM 20734 O OG  . SER C 3 807 ? 314.185 -95.007  203.975 1.0 52.03996  ? 807 SER F OG  807 SER F OG  1 
ATOM 20735 N N   . GLY C 3 808 ? 317.918 -93.063  203.627 1.0 53.43313  ? 808 GLY F N   808 GLY F N   1 
ATOM 20736 C CA  . GLY C 3 808 ? 319.171 -92.420  203.945 1.0 53.43313  ? 808 GLY F CA  808 GLY F CA  1 
ATOM 20737 C C   . GLY C 3 808 ? 320.098 -92.326  202.745 1.0 53.43313  ? 808 GLY F C   808 GLY F C   1 
ATOM 20738 O O   . GLY C 3 808 ? 319.745 -92.636  201.608 1.0 53.43313  ? 808 GLY F O   808 GLY F O   1 
ATOM 20739 N N   . ARG C 3 809 ? 321.321 -91.874  203.032 1.0 57.91403  ? 809 ARG F N   809 ARG F N   1 
ATOM 20740 C CA  . ARG C 3 809 ? 322.326 -91.738  201.986 1.0 57.91403  ? 809 ARG F CA  809 ARG F CA  1 
ATOM 20741 C C   . ARG C 3 809 ? 322.817 -93.090  201.498 1.0 57.91403  ? 809 ARG F C   809 ARG F C   1 
ATOM 20742 O O   . ARG C 3 809 ? 323.151 -93.240  200.319 1.0 57.91403  ? 809 ARG F O   809 ARG F O   1 
ATOM 20743 C CB  . ARG C 3 809 ? 323.506 -90.915  202.494 1.0 57.91403  ? 809 ARG F CB  809 ARG F CB  1 
ATOM 20744 C CG  . ARG C 3 809 ? 323.191 -89.459  202.751 1.0 57.91403  ? 809 ARG F CG  809 ARG F CG  1 
ATOM 20745 C CD  . ARG C 3 809 ? 324.431 -88.701  203.180 1.0 57.91403  ? 809 ARG F CD  809 ARG F CD  1 
ATOM 20746 N NE  . ARG C 3 809 ? 324.871 -89.102  204.512 1.0 57.91403  ? 809 ARG F NE  809 ARG F NE  1 
ATOM 20747 C CZ  . ARG C 3 809 ? 325.994 -89.768  204.756 1.0 57.91403  ? 809 ARG F CZ  809 ARG F CZ  1 
ATOM 20748 N NH1 . ARG C 3 809 ? 326.791 -90.112  203.754 1.0 57.91403  ? 809 ARG F NH1 809 ARG F NH1 1 
ATOM 20749 N NH2 . ARG C 3 809 ? 326.317 -90.093  205.999 1.0 57.91403  ? 809 ARG F NH2 809 ARG F NH2 1 
ATOM 20750 N N   . ASN C 3 810 ? 322.867 -94.082  202.384 1.0 57.70423  ? 810 ASN F N   810 ASN F N   1 
ATOM 20751 C CA  . ASN C 3 810 ? 323.356 -95.412  202.050 1.0 57.70423  ? 810 ASN F CA  810 ASN F CA  1 
ATOM 20752 C C   . ASN C 3 810 ? 322.228 -96.366  201.692 1.0 57.70423  ? 810 ASN F C   810 ASN F C   1 
ATOM 20753 O O   . ASN C 3 810 ? 322.329 -97.567  201.960 1.0 57.70423  ? 810 ASN F O   810 ASN F O   1 
ATOM 20754 C CB  . ASN C 3 810 ? 324.182 -95.972  203.204 1.0 57.70423  ? 810 ASN F CB  810 ASN F CB  1 
ATOM 20755 C CG  . ASN C 3 810 ? 325.425 -95.161  203.463 1.0 57.70423  ? 810 ASN F CG  810 ASN F CG  1 
ATOM 20756 O OD1 . ASN C 3 810 ? 325.566 -94.536  204.512 1.0 57.70423  ? 810 ASN F OD1 810 ASN F OD1 1 
ATOM 20757 N ND2 . ASN C 3 810 ? 326.335 -95.157  202.498 1.0 57.70423  ? 810 ASN F ND2 810 ASN F ND2 1 
ATOM 20758 N N   . ALA C 3 811 ? 321.153 -95.852  201.103 1.0 53.86065  ? 811 ALA F N   811 ALA F N   1 
ATOM 20759 C CA  . ALA C 3 811 ? 320.039 -96.695  200.700 1.0 53.86065  ? 811 ALA F CA  811 ALA F CA  1 
ATOM 20760 C C   . ALA C 3 811 ? 320.446 -97.596  199.546 1.0 53.86065  ? 811 ALA F C   811 ALA F C   1 
ATOM 20761 O O   . ALA C 3 811 ? 321.212 -97.199  198.667 1.0 53.86065  ? 811 ALA F O   811 ALA F O   1 
ATOM 20762 C CB  . ALA C 3 811 ? 318.841 -95.838  200.300 1.0 53.86065  ? 811 ALA F CB  811 ALA F CB  1 
ATOM 20763 N N   . VAL C 3 812 ? 319.944 -98.825  199.565 1.0 55.8926   ? 812 VAL F N   812 VAL F N   1 
ATOM 20764 C CA  . VAL C 3 812 ? 320.251 -99.800  198.525 1.0 55.8926   ? 812 VAL F CA  812 VAL F CA  1 
ATOM 20765 C C   . VAL C 3 812 ? 319.451 -99.426  197.280 1.0 55.8926   ? 812 VAL F C   812 VAL F C   1 
ATOM 20766 O O   . VAL C 3 812 ? 318.302 -98.977  197.392 1.0 55.8926   ? 812 VAL F O   812 VAL F O   1 
ATOM 20767 C CB  . VAL C 3 812 ? 319.982 -101.234 199.026 1.0 55.8926   ? 812 VAL F CB  812 VAL F CB  1 
ATOM 20768 C CG1 . VAL C 3 812 ? 318.532 -101.436 199.427 1.0 55.8926   ? 812 VAL F CG1 812 VAL F CG1 1 
ATOM 20769 C CG2 . VAL C 3 812 ? 320.394 -102.272 198.004 1.0 55.8926   ? 812 VAL F CG2 812 VAL F CG2 1 
ATOM 20770 N N   . PRO C 3 813 ? 320.031 -99.501  196.092 1.0 56.76644  ? 813 PRO F N   813 PRO F N   1 
ATOM 20771 C CA  . PRO C 3 813 ? 319.244 -99.337  194.870 1.0 56.76644  ? 813 PRO F CA  813 PRO F CA  1 
ATOM 20772 C C   . PRO C 3 813 ? 318.550 -100.649 194.523 1.0 56.76644  ? 813 PRO F C   813 PRO F C   1 
ATOM 20773 O O   . PRO C 3 813 ? 318.670 -101.641 195.241 1.0 56.76644  ? 813 PRO F O   813 PRO F O   1 
ATOM 20774 C CB  . PRO C 3 813 ? 320.291 -98.951  193.828 1.0 56.76644  ? 813 PRO F CB  813 PRO F CB  1 
ATOM 20775 C CG  . PRO C 3 813 ? 321.536 -99.572  194.320 1.0 56.76644  ? 813 PRO F CG  813 PRO F CG  1 
ATOM 20776 C CD  . PRO C 3 813 ? 321.476 -99.507  195.814 1.0 56.76644  ? 813 PRO F CD  813 PRO F CD  1 
ATOM 20777 N N   . ASN C 3 814 ? 317.822 -100.625 193.399 1.0 56.78504  ? 814 ASN F N   814 ASN F N   1 
ATOM 20778 C CA  . ASN C 3 814 ? 317.047 -101.761 192.883 1.0 56.78504  ? 814 ASN F CA  814 ASN F CA  1 
ATOM 20779 C C   . ASN C 3 814 ? 316.030 -102.264 193.908 1.0 56.78504  ? 814 ASN F C   814 ASN F C   1 
ATOM 20780 O O   . ASN C 3 814 ? 315.943 -103.455 194.202 1.0 56.78504  ? 814 ASN F O   814 ASN F O   1 
ATOM 20781 C CB  . ASN C 3 814 ? 317.961 -102.896 192.410 1.0 56.78504  ? 814 ASN F CB  814 ASN F CB  1 
ATOM 20782 C CG  . ASN C 3 814 ? 318.715 -102.546 191.151 1.0 56.78504  ? 814 ASN F CG  814 ASN F CG  1 
ATOM 20783 O OD1 . ASN C 3 814 ? 318.151 -101.988 190.212 1.0 56.78504  ? 814 ASN F OD1 814 ASN F OD1 1 
ATOM 20784 N ND2 . ASN C 3 814 ? 320.001 -102.861 191.126 1.0 56.78504  ? 814 ASN F ND2 814 ASN F ND2 1 
ATOM 20785 N N   . GLN C 3 815 ? 315.251 -101.337 194.450 1.0 52.61876  ? 815 GLN F N   815 GLN F N   1 
ATOM 20786 C CA  . GLN C 3 815 ? 314.215 -101.660 195.422 1.0 52.61876  ? 815 GLN F CA  815 GLN F CA  1 
ATOM 20787 C C   . GLN C 3 815 ? 312.934 -101.975 194.665 1.0 52.61876  ? 815 GLN F C   815 GLN F C   1 
ATOM 20788 O O   . GLN C 3 815 ? 312.372 -101.102 193.999 1.0 52.61876  ? 815 GLN F O   815 GLN F O   1 
ATOM 20789 C CB  . GLN C 3 815 ? 314.003 -100.494 196.379 1.0 52.61876  ? 815 GLN F CB  815 GLN F CB  1 
ATOM 20790 C CG  . GLN C 3 815 ? 315.215 -100.150 197.198 1.0 52.61876  ? 815 GLN F CG  815 GLN F CG  1 
ATOM 20791 C CD  . GLN C 3 815 ? 315.004 -98.917  198.033 1.0 52.61876  ? 815 GLN F CD  815 GLN F CD  1 
ATOM 20792 O OE1 . GLN C 3 815 ? 313.946 -98.299  197.984 1.0 52.61876  ? 815 GLN F OE1 815 GLN F OE1 1 
ATOM 20793 N NE2 . GLN C 3 815 ? 316.018 -98.536  198.790 1.0 52.61876  ? 815 GLN F NE2 815 GLN F NE2 1 
ATOM 20794 N N   . VAL C 3 816 ? 312.473 -103.208 194.758 1.0 50.15144  ? 816 VAL F N   816 VAL F N   1 
ATOM 20795 C CA  . VAL C 3 816 ? 311.218 -103.598 194.130 1.0 50.15144  ? 816 VAL F CA  816 VAL F CA  1 
ATOM 20796 C C   . VAL C 3 816 ? 310.086 -103.393 195.130 1.0 50.15144  ? 816 VAL F C   816 VAL F C   1 
ATOM 20797 O O   . VAL C 3 816 ? 310.230 -103.664 196.327 1.0 50.15144  ? 816 VAL F O   816 VAL F O   1 
ATOM 20798 C CB  . VAL C 3 816 ? 311.296 -105.046 193.594 1.0 50.15144  ? 816 VAL F CB  816 VAL F CB  1 
ATOM 20799 C CG1 . VAL C 3 816 ? 311.575 -106.058 194.690 1.0 50.15144  ? 816 VAL F CG1 816 VAL F CG1 1 
ATOM 20800 C CG2 . VAL C 3 816 ? 310.037 -105.420 192.827 1.0 50.15144  ? 816 VAL F CG2 816 VAL F CG2 1 
ATOM 20801 N N   . THR C 3 817 ? 308.981 -102.834 194.655 1.0 50.21204  ? 817 THR F N   817 THR F N   1 
ATOM 20802 C CA  . THR C 3 817 ? 307.823 -102.569 195.491 1.0 50.21204  ? 817 THR F CA  817 THR F CA  1 
ATOM 20803 C C   . THR C 3 817 ? 306.778 -103.661 195.312 1.0 50.21204  ? 817 THR F C   817 THR F C   1 
ATOM 20804 O O   . THR C 3 817 ? 306.761 -104.378 194.310 1.0 50.21204  ? 817 THR F O   817 THR F O   1 
ATOM 20805 C CB  . THR C 3 817 ? 307.216 -101.201 195.163 1.0 50.21204  ? 817 THR F CB  817 THR F CB  1 
ATOM 20806 O OG1 . THR C 3 817 ? 306.120 -100.935 196.046 1.0 50.21204  ? 817 THR F OG1 817 THR F OG1 1 
ATOM 20807 C CG2 . THR C 3 817 ? 306.729 -101.149 193.728 1.0 50.21204  ? 817 THR F CG2 817 THR F CG2 1 
ATOM 20808 N N   . GLU C 3 818 ? 305.910 -103.791 196.313 1.0 51.57714  ? 818 GLU F N   818 GLU F N   1 
ATOM 20809 C CA  . GLU C 3 818 ? 304.774 -104.693 196.209 1.0 51.57714  ? 818 GLU F CA  818 GLU F CA  1 
ATOM 20810 C C   . GLU C 3 818 ? 303.654 -104.188 197.102 1.0 51.57714  ? 818 GLU F C   818 GLU F C   1 
ATOM 20811 O O   . GLU C 3 818 ? 303.894 -103.517 198.107 1.0 51.57714  ? 818 GLU F O   818 GLU F O   1 
ATOM 20812 C CB  . GLU C 3 818 ? 305.147 -106.136 196.564 1.0 51.57714  ? 818 GLU F CB  818 GLU F CB  1 
ATOM 20813 C CG  . GLU C 3 818 ? 305.552 -106.374 197.996 1.0 51.57714  ? 818 GLU F CG  818 GLU F CG  1 
ATOM 20814 C CD  . GLU C 3 818 ? 305.984 -107.803 198.224 1.0 51.57714  ? 818 GLU F CD  818 GLU F CD  1 
ATOM 20815 O OE1 . GLU C 3 818 ? 306.009 -108.577 197.246 1.0 51.57714  ? 818 GLU F OE1 818 GLU F OE1 1 
ATOM 20816 O OE2 . GLU C 3 818 ? 306.293 -108.159 199.378 1.0 51.57714  ? 818 GLU F OE2 818 GLU F OE2 1 
ATOM 20817 N N   . ARG C 3 819 ? 302.424 -104.505 196.710 1.0 48.84559  ? 819 ARG F N   819 ARG F N   1 
ATOM 20818 C CA  . ARG C 3 819 ? 301.232 -103.994 197.364 1.0 48.84559  ? 819 ARG F CA  819 ARG F CA  1 
ATOM 20819 C C   . ARG C 3 819 ? 300.302 -105.145 197.707 1.0 48.84559  ? 819 ARG F C   819 ARG F C   1 
ATOM 20820 O O   . ARG C 3 819 ? 300.406 -106.240 197.153 1.0 48.84559  ? 819 ARG F O   819 ARG F O   1 
ATOM 20821 C CB  . ARG C 3 819 ? 300.496 -102.991 196.474 1.0 48.84559  ? 819 ARG F CB  819 ARG F CB  1 
ATOM 20822 C CG  . ARG C 3 819 ? 301.282 -101.735 196.194 1.0 48.84559  ? 819 ARG F CG  819 ARG F CG  1 
ATOM 20823 C CD  . ARG C 3 819 ? 300.497 -100.764 195.342 1.0 48.84559  ? 819 ARG F CD  819 ARG F CD  1 
ATOM 20824 N NE  . ARG C 3 819 ? 301.302 -99.600  194.997 1.0 48.84559  ? 819 ARG F NE  819 ARG F NE  1 
ATOM 20825 C CZ  . ARG C 3 819 ? 301.424 -98.528  195.772 1.0 48.84559  ? 819 ARG F CZ  819 ARG F CZ  1 
ATOM 20826 N NH1 . ARG C 3 819 ? 300.800 -98.476  196.939 1.0 48.84559  ? 819 ARG F NH1 819 ARG F NH1 1 
ATOM 20827 N NH2 . ARG C 3 819 ? 302.178 -97.512  195.384 1.0 48.84559  ? 819 ARG F NH2 819 ARG F NH2 1 
ATOM 20828 N N   . LYS C 3 820 ? 299.380 -104.872 198.626 1.0 46.87126  ? 820 LYS F N   820 LYS F N   1 
ATOM 20829 C CA  . LYS C 3 820 ? 298.362 -105.827 199.043 1.0 46.87126  ? 820 LYS F CA  820 LYS F CA  1 
ATOM 20830 C C   . LYS C 3 820 ? 297.232 -105.042 199.691 1.0 46.87126  ? 820 LYS F C   820 LYS F C   1 
ATOM 20831 O O   . LYS C 3 820 ? 297.270 -103.812 199.759 1.0 46.87126  ? 820 LYS F O   820 LYS F O   1 
ATOM 20832 C CB  . LYS C 3 820 ? 298.933 -106.870 200.004 1.0 46.87126  ? 820 LYS F CB  820 LYS F CB  1 
ATOM 20833 C CG  . LYS C 3 820 ? 299.324 -106.296 201.340 1.0 46.87126  ? 820 LYS F CG  820 LYS F CG  1 
ATOM 20834 C CD  . LYS C 3 820 ? 300.012 -107.314 202.216 1.0 46.87126  ? 820 LYS F CD  820 LYS F CD  1 
ATOM 20835 C CE  . LYS C 3 820 ? 299.076 -108.373 202.724 1.0 46.87126  ? 820 LYS F CE  820 LYS F CE  1 
ATOM 20836 N NZ  . LYS C 3 820 ? 299.810 -109.254 203.660 1.0 46.87126  ? 820 LYS F NZ  820 LYS F NZ  1 
ATOM 20837 N N   . PHE C 3 821 ? 296.219 -105.761 200.164 1.0 42.54099  ? 821 PHE F N   821 PHE F N   1 
ATOM 20838 C CA  . PHE C 3 821 ? 295.161 -105.150 200.953 1.0 42.54099  ? 821 PHE F CA  821 PHE F CA  1 
ATOM 20839 C C   . PHE C 3 821 ? 294.616 -106.190 201.916 1.0 42.54099  ? 821 PHE F C   821 PHE F C   1 
ATOM 20840 O O   . PHE C 3 821 ? 294.857 -107.389 201.771 1.0 42.54099  ? 821 PHE F O   821 PHE F O   1 
ATOM 20841 C CB  . PHE C 3 821 ? 294.047 -104.564 200.072 1.0 42.54099  ? 821 PHE F CB  821 PHE F CB  1 
ATOM 20842 C CG  . PHE C 3 821 ? 293.292 -105.581 199.259 1.0 42.54099  ? 821 PHE F CG  821 PHE F CG  1 
ATOM 20843 C CD1 . PHE C 3 821 ? 293.746 -105.961 198.012 1.0 42.54099  ? 821 PHE F CD1 821 PHE F CD1 1 
ATOM 20844 C CD2 . PHE C 3 821 ? 292.097 -106.113 199.716 1.0 42.54099  ? 821 PHE F CD2 821 PHE F CD2 1 
ATOM 20845 C CE1 . PHE C 3 821 ? 293.049 -106.878 197.258 1.0 42.54099  ? 821 PHE F CE1 821 PHE F CE1 1 
ATOM 20846 C CE2 . PHE C 3 821 ? 291.398 -107.029 198.965 1.0 42.54099  ? 821 PHE F CE2 821 PHE F CE2 1 
ATOM 20847 C CZ  . PHE C 3 821 ? 291.874 -107.409 197.735 1.0 42.54099  ? 821 PHE F CZ  821 PHE F CZ  1 
ATOM 20848 N N   . LEU C 3 822 ? 293.880 -105.714 202.913 1.0 43.88032  ? 822 LEU F N   822 LEU F N   1 
ATOM 20849 C CA  . LEU C 3 822 ? 293.182 -106.589 203.841 1.0 43.88032  ? 822 LEU F CA  822 LEU F CA  1 
ATOM 20850 C C   . LEU C 3 822 ? 291.785 -106.046 204.067 1.0 43.88032  ? 822 LEU F C   822 LEU F C   1 
ATOM 20851 O O   . LEU C 3 822 ? 291.622 -104.873 204.408 1.0 43.88032  ? 822 LEU F O   822 LEU F O   1 
ATOM 20852 C CB  . LEU C 3 822 ? 293.907 -106.704 205.184 1.0 43.88032  ? 822 LEU F CB  822 LEU F CB  1 
ATOM 20853 C CG  . LEU C 3 822 ? 295.242 -107.434 205.226 1.0 43.88032  ? 822 LEU F CG  822 LEU F CG  1 
ATOM 20854 C CD1 . LEU C 3 822 ? 295.833 -107.346 206.616 1.0 43.88032  ? 822 LEU F CD1 822 LEU F CD1 1 
ATOM 20855 C CD2 . LEU C 3 822 ? 295.080 -108.871 204.796 1.0 43.88032  ? 822 LEU F CD2 822 LEU F CD2 1 
ATOM 20856 N N   . VAL C 3 823 ? 290.787 -106.896 203.864 1.0 42.71277  ? 823 VAL F N   823 VAL F N   1 
ATOM 20857 C CA  . VAL C 3 823 ? 289.414 -106.612 204.254 1.0 42.71277  ? 823 VAL F CA  823 VAL F CA  1 
ATOM 20858 C C   . VAL C 3 823 ? 289.023 -107.596 205.342 1.0 42.71277  ? 823 VAL F C   823 VAL F C   1 
ATOM 20859 O O   . VAL C 3 823 ? 289.255 -108.804 205.218 1.0 42.71277  ? 823 VAL F O   823 VAL F O   1 
ATOM 20860 C CB  . VAL C 3 823 ? 288.450 -106.671 203.061 1.0 42.71277  ? 823 VAL F CB  823 VAL F CB  1 
ATOM 20861 C CG1 . VAL C 3 823 ? 288.514 -105.394 202.297 1.0 42.71277  ? 823 VAL F CG1 823 VAL F CG1 1 
ATOM 20862 C CG2 . VAL C 3 823 ? 288.854 -107.773 202.130 1.0 42.71277  ? 823 VAL F CG2 823 VAL F CG2 1 
ATOM 20863 N N   . ASP C 3 824 ? 288.465 -107.074 206.424 1.0 43.27234  ? 824 ASP F N   824 ASP F N   1 
ATOM 20864 C CA  . ASP C 3 824 ? 287.983 -107.887 207.521 1.0 43.27234  ? 824 ASP F CA  824 ASP F CA  1 
ATOM 20865 C C   . ASP C 3 824 ? 286.513 -107.582 207.746 1.0 43.27234  ? 824 ASP F C   824 ASP F C   1 
ATOM 20866 O O   . ASP C 3 824 ? 286.063 -106.457 207.509 1.0 43.27234  ? 824 ASP F O   824 ASP F O   1 
ATOM 20867 C CB  . ASP C 3 824 ? 288.776 -107.626 208.795 1.0 43.27234  ? 824 ASP F CB  824 ASP F CB  1 
ATOM 20868 C CG  . ASP C 3 824 ? 290.208 -108.080 208.685 1.0 43.27234  ? 824 ASP F CG  824 ASP F CG  1 
ATOM 20869 O OD1 . ASP C 3 824 ? 290.476 -109.028 207.919 1.0 43.27234  ? 824 ASP F OD1 824 ASP F OD1 1 
ATOM 20870 O OD2 . ASP C 3 824 ? 291.068 -107.489 209.363 1.0 43.27234  ? 824 ASP F OD2 824 ASP F OD2 1 
ATOM 20871 N N   . ARG C 3 825 ? 285.784 -108.611 208.193 1.0 40.50574  ? 825 ARG F N   825 ARG F N   1 
ATOM 20872 C CA  . ARG C 3 825 ? 284.344 -108.554 208.461 1.0 40.50574  ? 825 ARG F CA  825 ARG F CA  1 
ATOM 20873 C C   . ARG C 3 825 ? 283.558 -108.125 207.227 1.0 40.50574  ? 825 ARG F C   825 ARG F C   1 
ATOM 20874 O O   . ARG C 3 825 ? 282.624 -107.331 207.315 1.0 40.50574  ? 825 ARG F O   825 ARG F O   1 
ATOM 20875 C CB  . ARG C 3 825 ? 284.028 -107.635 209.643 1.0 40.50574  ? 825 ARG F CB  825 ARG F CB  1 
ATOM 20876 C CG  . ARG C 3 825 ? 284.585 -108.100 210.962 1.0 40.50574  ? 825 ARG F CG  825 ARG F CG  1 
ATOM 20877 C CD  . ARG C 3 825 ? 284.118 -107.201 212.085 1.0 40.50574  ? 825 ARG F CD  825 ARG F CD  1 
ATOM 20878 N NE  . ARG C 3 825 ? 284.623 -105.844 211.918 1.0 40.50574  ? 825 ARG F NE  825 ARG F NE  1 
ATOM 20879 C CZ  . ARG C 3 825 ? 285.763 -105.399 212.435 1.0 40.50574  ? 825 ARG F CZ  825 ARG F CZ  1 
ATOM 20880 N NH1 . ARG C 3 825 ? 286.516 -106.199 213.172 1.0 40.50574  ? 825 ARG F NH1 825 ARG F NH1 1 
ATOM 20881 N NH2 . ARG C 3 825 ? 286.146 -104.151 212.224 1.0 40.50574  ? 825 ARG F NH2 825 ARG F NH2 1 
ATOM 20882 N N   . TYR C 3 826 ? 283.940 -108.636 206.061 1.0 37.35914  ? 826 TYR F N   826 TYR F N   1 
ATOM 20883 C CA  . TYR C 3 826 ? 283.286 -108.208 204.831 1.0 37.35914  ? 826 TYR F CA  826 TYR F CA  1 
ATOM 20884 C C   . TYR C 3 826 ? 283.155 -109.372 203.867 1.0 37.35914  ? 826 TYR F C   826 TYR F C   1 
ATOM 20885 O O   . TYR C 3 826 ? 284.158 -109.967 203.467 1.0 37.35914  ? 826 TYR F O   826 TYR F O   1 
ATOM 20886 C CB  . TYR C 3 826 ? 284.052 -107.065 204.173 1.0 37.35914  ? 826 TYR F CB  826 TYR F CB  1 
ATOM 20887 C CG  . TYR C 3 826 ? 283.395 -106.571 202.914 1.0 37.35914  ? 826 TYR F CG  826 TYR F CG  1 
ATOM 20888 C CD1 . TYR C 3 826 ? 282.199 -105.875 202.969 1.0 37.35914  ? 826 TYR F CD1 826 TYR F CD1 1 
ATOM 20889 C CD2 . TYR C 3 826 ? 283.975 -106.782 201.674 1.0 37.35914  ? 826 TYR F CD2 826 TYR F CD2 1 
ATOM 20890 C CE1 . TYR C 3 826 ? 281.588 -105.419 201.826 1.0 37.35914  ? 826 TYR F CE1 826 TYR F CE1 1 
ATOM 20891 C CE2 . TYR C 3 826 ? 283.372 -106.323 200.523 1.0 37.35914  ? 826 TYR F CE2 826 TYR F CE2 1 
ATOM 20892 C CZ  . TYR C 3 826 ? 282.179 -105.643 200.610 1.0 37.35914  ? 826 TYR F CZ  826 TYR F CZ  1 
ATOM 20893 O OH  . TYR C 3 826 ? 281.562 -105.180 199.479 1.0 37.35914  ? 826 TYR F OH  826 TYR F OH  1 
ATOM 20894 N N   . LEU C 3 827 ? 281.920 -109.688 203.499 1.0 36.9817   ? 827 LEU F N   827 LEU F N   1 
ATOM 20895 C CA  . LEU C 3 827 ? 281.653 -110.543 202.355 1.0 36.9817   ? 827 LEU F CA  827 LEU F CA  1 
ATOM 20896 C C   . LEU C 3 827 ? 281.781 -109.704 201.094 1.0 36.9817   ? 827 LEU F C   827 LEU F C   1 
ATOM 20897 O O   . LEU C 3 827 ? 281.220 -108.607 201.029 1.0 36.9817   ? 827 LEU F O   827 LEU F O   1 
ATOM 20898 C CB  . LEU C 3 827 ? 280.244 -111.119 202.449 1.0 36.9817   ? 827 LEU F CB  827 LEU F CB  1 
ATOM 20899 C CG  . LEU C 3 827 ? 279.842 -112.021 203.612 1.0 36.9817   ? 827 LEU F CG  827 LEU F CG  1 
ATOM 20900 C CD1 . LEU C 3 827 ? 278.355 -112.226 203.586 1.0 36.9817   ? 827 LEU F CD1 827 LEU F CD1 1 
ATOM 20901 C CD2 . LEU C 3 827 ? 280.499 -113.349 203.509 1.0 36.9817   ? 827 LEU F CD2 827 LEU F CD2 1 
ATOM 20902 N N   . TRP C 3 828 ? 282.530 -110.193 200.106 1.0 37.97535  ? 828 TRP F N   828 TRP F N   1 
ATOM 20903 C CA  . TRP C 3 828 ? 282.467 -109.585 198.784 1.0 37.97535  ? 828 TRP F CA  828 TRP F CA  1 
ATOM 20904 C C   . TRP C 3 828 ? 281.075 -109.783 198.226 1.0 37.97535  ? 828 TRP F C   828 TRP F C   1 
ATOM 20905 O O   . TRP C 3 828 ? 280.431 -110.780 198.514 1.0 37.97535  ? 828 TRP F O   828 TRP F O   1 
ATOM 20906 C CB  . TRP C 3 828 ? 283.452 -110.226 197.817 1.0 37.97535  ? 828 TRP F CB  828 TRP F CB  1 
ATOM 20907 C CG  . TRP C 3 828 ? 284.862 -110.047 198.140 1.0 37.97535  ? 828 TRP F CG  828 TRP F CG  1 
ATOM 20908 C CD1 . TRP C 3 828 ? 285.702 -110.985 198.620 1.0 37.97535  ? 828 TRP F CD1 828 TRP F CD1 1 
ATOM 20909 C CD2 . TRP C 3 828 ? 285.617 -108.840 198.039 1.0 37.97535  ? 828 TRP F CD2 828 TRP F CD2 1 
ATOM 20910 N NE1 . TRP C 3 828 ? 286.949 -110.455 198.798 1.0 37.97535  ? 828 TRP F NE1 828 TRP F NE1 1 
ATOM 20911 C CE2 . TRP C 3 828 ? 286.921 -109.132 198.455 1.0 37.97535  ? 828 TRP F CE2 828 TRP F CE2 1 
ATOM 20912 C CE3 . TRP C 3 828 ? 285.314 -107.541 197.634 1.0 37.97535  ? 828 TRP F CE3 828 TRP F CE3 1 
ATOM 20913 C CZ2 . TRP C 3 828 ? 287.928 -108.177 198.475 1.0 37.97535  ? 828 TRP F CZ2 828 TRP F CZ2 1 
ATOM 20914 C CZ3 . TRP C 3 828 ? 286.311 -106.597 197.645 1.0 37.97535  ? 828 TRP F CZ3 828 TRP F CZ3 1 
ATOM 20915 C CH2 . TRP C 3 828 ? 287.602 -106.916 198.069 1.0 37.97535  ? 828 TRP F CH2 828 TRP F CH2 1 
ATOM 20916 N N   . GLN C 3 829 ? 280.601 -108.839 197.422 1.0 37.33047  ? 829 GLN F N   829 GLN F N   1 
ATOM 20917 C CA  . GLN C 3 829 ? 279.257 -108.985 196.887 1.0 37.33047  ? 829 GLN F CA  829 GLN F CA  1 
ATOM 20918 C C   . GLN C 3 829 ? 279.197 -108.571 195.427 1.0 37.33047  ? 829 GLN F C   829 GLN F C   1 
ATOM 20919 O O   . GLN C 3 829 ? 279.911 -107.665 194.993 1.0 37.33047  ? 829 GLN F O   829 GLN F O   1 
ATOM 20920 C CB  . GLN C 3 829 ? 278.237 -108.190 197.710 1.0 37.33047  ? 829 GLN F CB  829 GLN F CB  1 
ATOM 20921 C CG  . GLN C 3 829 ? 278.431 -106.699 197.726 1.0 37.33047  ? 829 GLN F CG  829 GLN F CG  1 
ATOM 20922 C CD  . GLN C 3 829 ? 277.419 -106.014 198.604 1.0 37.33047  ? 829 GLN F CD  829 GLN F CD  1 
ATOM 20923 O OE1 . GLN C 3 829 ? 276.544 -106.659 199.176 1.0 37.33047  ? 829 GLN F OE1 829 GLN F OE1 1 
ATOM 20924 N NE2 . GLN C 3 829 ? 277.524 -104.700 198.714 1.0 37.33047  ? 829 GLN F NE2 829 GLN F NE2 1 
ATOM 20925 N N   . ILE C 3 830 ? 278.356 -109.275 194.676 1.0 38.2624   ? 830 ILE F N   830 ILE F N   1 
ATOM 20926 C CA  . ILE C 3 830 ? 278.064 -108.999 193.274 1.0 38.2624   ? 830 ILE F CA  830 ILE F CA  1 
ATOM 20927 C C   . ILE C 3 830 ? 276.552 -108.881 193.146 1.0 38.2624   ? 830 ILE F C   830 ILE F C   1 
ATOM 20928 O O   . ILE C 3 830 ? 275.853 -109.895 193.259 1.0 38.2624   ? 830 ILE F O   830 ILE F O   1 
ATOM 20929 C CB  . ILE C 3 830 ? 278.587 -110.112 192.355 1.0 38.2624   ? 830 ILE F CB  830 ILE F CB  1 
ATOM 20930 C CG1 . ILE C 3 830 ? 280.084 -110.326 192.533 1.0 38.2624   ? 830 ILE F CG1 830 ILE F CG1 1 
ATOM 20931 C CG2 . ILE C 3 830 ? 278.290 -109.772 190.928 1.0 38.2624   ? 830 ILE F CG2 830 ILE F CG2 1 
ATOM 20932 C CD1 . ILE C 3 830 ? 280.887 -109.130 192.171 1.0 38.2624   ? 830 ILE F CD1 830 ILE F CD1 1 
ATOM 20933 N N   . PRO C 3 831 ? 275.997 -107.695 192.930 1.0 39.16905  ? 831 PRO F N   831 PRO F N   1 
ATOM 20934 C CA  . PRO C 3 831 ? 274.544 -107.578 192.814 1.0 39.16905  ? 831 PRO F CA  831 PRO F CA  1 
ATOM 20935 C C   . PRO C 3 831 ? 274.055 -108.048 191.458 1.0 39.16905  ? 831 PRO F C   831 PRO F C   1 
ATOM 20936 O O   . PRO C 3 831 ? 274.764 -107.984 190.454 1.0 39.16905  ? 831 PRO F O   831 PRO F O   1 
ATOM 20937 C CB  . PRO C 3 831 ? 274.300 -106.079 192.993 1.0 39.16905  ? 831 PRO F CB  831 PRO F CB  1 
ATOM 20938 C CG  . PRO C 3 831 ? 275.531 -105.464 192.484 1.0 39.16905  ? 831 PRO F CG  831 PRO F CG  1 
ATOM 20939 C CD  . PRO C 3 831 ? 276.651 -106.382 192.867 1.0 39.16905  ? 831 PRO F CD  831 PRO F CD  1 
ATOM 20940 N N   . PHE C 3 832 ? 272.821 -108.536 191.440 1.0 40.25832  ? 832 PHE F N   832 PHE F N   1 
ATOM 20941 C CA  . PHE C 3 832 ? 272.195 -108.973 190.198 1.0 40.25832  ? 832 PHE F CA  832 PHE F CA  1 
ATOM 20942 C C   . PHE C 3 832 ? 271.328 -107.837 189.663 1.0 40.25832  ? 832 PHE F C   832 PHE F C   1 
ATOM 20943 O O   . PHE C 3 832 ? 270.100 -107.883 189.647 1.0 40.25832  ? 832 PHE F O   832 PHE F O   1 
ATOM 20944 C CB  . PHE C 3 832 ? 271.405 -110.255 190.432 1.0 40.25832  ? 832 PHE F CB  832 PHE F CB  1 
ATOM 20945 C CG  . PHE C 3 832 ? 270.842 -110.865 189.185 1.0 40.25832  ? 832 PHE F CG  832 PHE F CG  1 
ATOM 20946 C CD1 . PHE C 3 832 ? 271.675 -111.440 188.246 1.0 40.25832  ? 832 PHE F CD1 832 PHE F CD1 1 
ATOM 20947 C CD2 . PHE C 3 832 ? 269.479 -110.912 188.980 1.0 40.25832  ? 832 PHE F CD2 832 PHE F CD2 1 
ATOM 20948 C CE1 . PHE C 3 832 ? 271.158 -112.012 187.107 1.0 40.25832  ? 832 PHE F CE1 832 PHE F CE1 1 
ATOM 20949 C CE2 . PHE C 3 832 ? 268.959 -111.487 187.848 1.0 40.25832  ? 832 PHE F CE2 832 PHE F CE2 1 
ATOM 20950 C CZ  . PHE C 3 832 ? 269.800 -112.034 186.911 1.0 40.25832  ? 832 PHE F CZ  832 PHE F CZ  1 
ATOM 20951 N N   . SER C 3 833 ? 272.012 -106.782 189.242 1.0 43.72597  ? 833 SER F N   833 SER F N   1 
ATOM 20952 C CA  . SER C 3 833 ? 271.369 -105.580 188.745 1.0 43.72597  ? 833 SER F CA  833 SER F CA  1 
ATOM 20953 C C   . SER C 3 833 ? 272.008 -105.187 187.426 1.0 43.72597  ? 833 SER F C   833 SER F C   1 
ATOM 20954 O O   . SER C 3 833 ? 273.048 -105.717 187.030 1.0 43.72597  ? 833 SER F O   833 SER F O   1 
ATOM 20955 C CB  . SER C 3 833 ? 271.471 -104.433 189.751 1.0 43.72597  ? 833 SER F CB  833 SER F CB  1 
ATOM 20956 O OG  . SER C 3 833 ? 270.879 -103.261 189.231 1.0 43.72597  ? 833 SER F OG  833 SER F OG  1 
ATOM 20957 N N   . SER C 3 834 ? 271.367 -104.245 186.740 1.0 45.97137  ? 834 SER F N   834 SER F N   1 
ATOM 20958 C CA  . SER C 3 834 ? 271.809 -103.869 185.403 1.0 45.97137  ? 834 SER F CA  834 SER F CA  1 
ATOM 20959 C C   . SER C 3 834 ? 273.024 -102.955 185.458 1.0 45.97137  ? 834 SER F C   834 SER F C   1 
ATOM 20960 O O   . SER C 3 834 ? 274.027 -103.195 184.779 1.0 45.97137  ? 834 SER F O   834 SER F O   1 
ATOM 20961 C CB  . SER C 3 834 ? 270.667 -103.186 184.660 1.0 45.97137  ? 834 SER F CB  834 SER F CB  1 
ATOM 20962 O OG  . SER C 3 834 ? 269.563 -104.054 184.507 1.0 45.97137  ? 834 SER F OG  834 SER F OG  1 
ATOM 20963 N N   . ASN C 3 835 ? 272.938 -101.894 186.256 1.0 44.60194  ? 835 ASN F N   835 ASN F N   1 
ATOM 20964 C CA  . ASN C 3 835 ? 274.008 -100.929 186.441 1.0 44.60194  ? 835 ASN F CA  835 ASN F CA  1 
ATOM 20965 C C   . ASN C 3 835 ? 274.763 -101.136 187.749 1.0 44.60194  ? 835 ASN F C   835 ASN F C   1 
ATOM 20966 O O   . ASN C 3 835 ? 275.454 -100.219 188.201 1.0 44.60194  ? 835 ASN F O   835 ASN F O   1 
ATOM 20967 C CB  . ASN C 3 835 ? 273.428 -99.520  186.365 1.0 44.60194  ? 835 ASN F CB  835 ASN F CB  1 
ATOM 20968 C CG  . ASN C 3 835 ? 272.214 -99.348  187.253 1.0 44.60194  ? 835 ASN F CG  835 ASN F CG  1 
ATOM 20969 O OD1 . ASN C 3 835 ? 271.828 -100.264 187.973 1.0 44.60194  ? 835 ASN F OD1 835 ASN F OD1 1 
ATOM 20970 N ND2 . ASN C 3 835 ? 271.602 -98.174  187.202 1.0 44.60194  ? 835 ASN F ND2 835 ASN F ND2 1 
ATOM 20971 N N   . PHE C 3 836 ? 274.613 -102.314 188.366 1.0 43.21287  ? 836 PHE F N   836 PHE F N   1 
ATOM 20972 C CA  . PHE C 3 836 ? 275.303 -102.728 189.595 1.0 43.21287  ? 836 PHE F CA  836 PHE F CA  1 
ATOM 20973 C C   . PHE C 3 836 ? 275.033 -101.808 190.778 1.0 43.21287  ? 836 PHE F C   836 PHE F C   1 
ATOM 20974 O O   . PHE C 3 836 ? 275.881 -101.662 191.658 1.0 43.21287  ? 836 PHE F O   836 PHE F O   1 
ATOM 20975 C CB  . PHE C 3 836 ? 276.812 -102.854 189.395 1.0 43.21287  ? 836 PHE F CB  836 PHE F CB  1 
ATOM 20976 C CG  . PHE C 3 836 ? 277.207 -103.943 188.471 1.0 43.21287  ? 836 PHE F CG  836 PHE F CG  1 
ATOM 20977 C CD1 . PHE C 3 836 ? 277.096 -105.259 188.863 1.0 43.21287  ? 836 PHE F CD1 836 PHE F CD1 1 
ATOM 20978 C CD2 . PHE C 3 836 ? 277.730 -103.655 187.227 1.0 43.21287  ? 836 PHE F CD2 836 PHE F CD2 1 
ATOM 20979 C CE1 . PHE C 3 836 ? 277.476 -106.270 188.028 1.0 43.21287  ? 836 PHE F CE1 836 PHE F CE1 1 
ATOM 20980 C CE2 . PHE C 3 836 ? 278.111 -104.664 186.383 1.0 43.21287  ? 836 PHE F CE2 836 PHE F CE2 1 
ATOM 20981 C CZ  . PHE C 3 836 ? 277.983 -105.973 186.786 1.0 43.21287  ? 836 PHE F CZ  836 PHE F CZ  1 
ATOM 20982 N N   . LEU C 3 837 ? 273.871 -101.174 190.835 1.0 42.96629  ? 837 LEU F N   837 LEU F N   1 
ATOM 20983 C CA  . LEU C 3 837 ? 273.539 -100.356 191.988 1.0 42.96629  ? 837 LEU F CA  837 LEU F CA  1 
ATOM 20984 C C   . LEU C 3 837 ? 272.095 -100.594 192.395 1.0 42.96629  ? 837 LEU F C   837 LEU F C   1 
ATOM 20985 O O   . LEU C 3 837 ? 271.274 -101.072 191.611 1.0 42.96629  ? 837 LEU F O   837 LEU F O   1 
ATOM 20986 C CB  . LEU C 3 837 ? 273.824 -98.867  191.725 1.0 42.96629  ? 837 LEU F CB  837 LEU F CB  1 
ATOM 20987 C CG  . LEU C 3 837 ? 273.264 -98.086  190.537 1.0 42.96629  ? 837 LEU F CG  837 LEU F CG  1 
ATOM 20988 C CD1 . LEU C 3 837 ? 271.910 -97.488  190.832 1.0 42.96629  ? 837 LEU F CD1 837 LEU F CD1 1 
ATOM 20989 C CD2 . LEU C 3 837 ? 274.245 -96.999  190.137 1.0 42.96629  ? 837 LEU F CD2 837 LEU F CD2 1 
ATOM 20990 N N   . ASN C 3 838 ? 271.803 -100.258 193.648 1.0 46.40395  ? 838 ASN F N   838 ASN F N   1 
ATOM 20991 C CA  . ASN C 3 838 ? 270.511 -100.557 194.252 1.0 46.40395  ? 838 ASN F CA  838 ASN F CA  1 
ATOM 20992 C C   . ASN C 3 838 ? 269.478 -99.558  193.752 1.0 46.40395  ? 838 ASN F C   838 ASN F C   1 
ATOM 20993 O O   . ASN C 3 838 ? 269.456 -98.404  194.186 1.0 46.40395  ? 838 ASN F O   838 ASN F O   1 
ATOM 20994 C CB  . ASN C 3 838 ? 270.612 -100.513 195.773 1.0 46.40395  ? 838 ASN F CB  838 ASN F CB  1 
ATOM 20995 C CG  . ASN C 3 838 ? 269.380 -101.083 196.461 1.0 46.40395  ? 838 ASN F CG  838 ASN F CG  1 
ATOM 20996 O OD1 . ASN C 3 838 ? 268.459 -101.577 195.813 1.0 46.40395  ? 838 ASN F OD1 838 ASN F OD1 1 
ATOM 20997 N ND2 . ASN C 3 838 ? 269.356 -101.001 197.784 1.0 46.40395  ? 838 ASN F ND2 838 ASN F ND2 1 
ATOM 20998 N N   . MET C 3 839 ? 268.616 -100.003 192.846 1.0 47.9969   ? 839 MET F N   839 MET F N   1 
ATOM 20999 C CA  . MET C 3 839 ? 267.408 -99.273  192.507 1.0 47.9969   ? 839 MET F CA  839 MET F CA  1 
ATOM 21000 C C   . MET C 3 839 ? 266.169 -99.903  193.117 1.0 47.9969   ? 839 MET F C   839 MET F C   1 
ATOM 21001 O O   . MET C 3 839 ? 265.064 -99.394  192.913 1.0 47.9969   ? 839 MET F O   839 MET F O   1 
ATOM 21002 C CB  . MET C 3 839 ? 267.249 -99.179  190.989 1.0 47.9969   ? 839 MET F CB  839 MET F CB  1 
ATOM 21003 C CG  . MET C 3 839 ? 268.281 -98.299  190.329 1.0 47.9969   ? 839 MET F CG  839 MET F CG  1 
ATOM 21004 S SD  . MET C 3 839 ? 268.027 -98.175  188.558 1.0 47.9969   ? 839 MET F SD  839 MET F SD  1 
ATOM 21005 C CE  . MET C 3 839 ? 268.543 -99.810  188.062 1.0 47.9969   ? 839 MET F CE  839 MET F CE  1 
ATOM 21006 N N   . GLY C 3 840 ? 266.324 -100.991 193.864 1.0 46.34429  ? 840 GLY F N   840 GLY F N   1 
ATOM 21007 C CA  . GLY C 3 840 ? 265.197 -101.680 194.453 1.0 46.34429  ? 840 GLY F CA  840 GLY F CA  1 
ATOM 21008 C C   . GLY C 3 840 ? 265.591 -103.022 195.025 1.0 46.34429  ? 840 GLY F C   840 GLY F C   1 
ATOM 21009 O O   . GLY C 3 840 ? 266.638 -103.567 194.671 1.0 46.34429  ? 840 GLY F O   840 GLY F O   1 
ATOM 21010 N N   . THR C 3 841 ? 264.766 -103.564 195.920 1.0 44.66105  ? 841 THR F N   841 THR F N   1 
ATOM 21011 C CA  . THR C 3 841 ? 265.037 -104.893 196.453 1.0 44.66105  ? 841 THR F CA  841 THR F CA  1 
ATOM 21012 C C   . THR C 3 841 ? 264.750 -105.958 195.405 1.0 44.66105  ? 841 THR F C   841 THR F C   1 
ATOM 21013 O O   . THR C 3 841 ? 265.579 -106.839 195.154 1.0 44.66105  ? 841 THR F O   841 THR F O   1 
ATOM 21014 C CB  . THR C 3 841 ? 264.207 -105.129 197.711 1.0 44.66105  ? 841 THR F CB  841 THR F CB  1 
ATOM 21015 O OG1 . THR C 3 841 ? 264.496 -104.107 198.669 1.0 44.66105  ? 841 THR F OG1 841 THR F OG1 1 
ATOM 21016 C CG2 . THR C 3 841 ? 264.562 -106.451 198.321 1.0 44.66105  ? 841 THR F CG2 841 THR F CG2 1 
ATOM 21017 N N   . LEU C 3 842 ? 263.583 -105.885 194.776 1.0 43.91971  ? 842 LEU F N   842 LEU F N   1 
ATOM 21018 C CA  . LEU C 3 842 ? 263.272 -106.697 193.604 1.0 43.91971  ? 842 LEU F CA  842 LEU F CA  1 
ATOM 21019 C C   . LEU C 3 842 ? 263.958 -106.049 192.411 1.0 43.91971  ? 842 LEU F C   842 LEU F C   1 
ATOM 21020 O O   . LEU C 3 842 ? 263.432 -105.108 191.819 1.0 43.91971  ? 842 LEU F O   842 LEU F O   1 
ATOM 21021 C CB  . LEU C 3 842 ? 261.765 -106.788 193.411 1.0 43.91971  ? 842 LEU F CB  842 LEU F CB  1 
ATOM 21022 C CG  . LEU C 3 842 ? 261.226 -107.605 192.244 1.0 43.91971  ? 842 LEU F CG  842 LEU F CG  1 
ATOM 21023 C CD1 . LEU C 3 842 ? 261.661 -109.029 192.369 1.0 43.91971  ? 842 LEU F CD1 842 LEU F CD1 1 
ATOM 21024 C CD2 . LEU C 3 842 ? 259.715 -107.528 192.215 1.0 43.91971  ? 842 LEU F CD2 842 LEU F CD2 1 
ATOM 21025 N N   . THR C 3 843 ? 265.138 -106.555 192.057 1.0 46.63961  ? 843 THR F N   843 THR F N   1 
ATOM 21026 C CA  . THR C 3 843 ? 266.017 -105.894 191.103 1.0 46.63961  ? 843 THR F CA  843 THR F CA  1 
ATOM 21027 C C   . THR C 3 843 ? 265.453 -105.962 189.684 1.0 46.63961  ? 843 THR F C   843 THR F C   1 
ATOM 21028 O O   . THR C 3 843 ? 264.520 -106.710 189.386 1.0 46.63961  ? 843 THR F O   843 THR F O   1 
ATOM 21029 C CB  . THR C 3 843 ? 267.407 -106.519 191.148 1.0 46.63961  ? 843 THR F CB  843 THR F CB  1 
ATOM 21030 O OG1 . THR C 3 843 ? 267.315 -107.909 190.820 1.0 46.63961  ? 843 THR F OG1 843 THR F OG1 1 
ATOM 21031 C CG2 . THR C 3 843 ? 267.995 -106.378 192.534 1.0 46.63961  ? 843 THR F CG2 843 THR F CG2 1 
ATOM 21032 N N   . ASP C 3 844 ? 266.035 -105.151 188.798 1.0 49.79149  ? 844 ASP F N   844 ASP F N   1 
ATOM 21033 C CA  . ASP C 3 844 ? 265.490 -105.025 187.452 1.0 49.79149  ? 844 ASP F CA  844 ASP F CA  1 
ATOM 21034 C C   . ASP C 3 844 ? 265.908 -106.167 186.536 1.0 49.79149  ? 844 ASP F C   844 ASP F C   1 
ATOM 21035 O O   . ASP C 3 844 ? 265.169 -106.502 185.605 1.0 49.79149  ? 844 ASP F O   844 ASP F O   1 
ATOM 21036 C CB  . ASP C 3 844 ? 265.879 -103.676 186.842 1.0 49.79149  ? 844 ASP F CB  844 ASP F CB  1 
ATOM 21037 C CG  . ASP C 3 844 ? 267.377 -103.444 186.812 1.0 49.79149  ? 844 ASP F CG  844 ASP F CG  1 
ATOM 21038 O OD1 . ASP C 3 844 ? 268.132 -104.238 187.406 1.0 49.79149  ? 844 ASP F OD1 844 ASP F OD1 1 
ATOM 21039 O OD2 . ASP C 3 844 ? 267.804 -102.464 186.169 1.0 49.79149  ? 844 ASP F OD2 844 ASP F OD2 1 
ATOM 21040 N N   . LEU C 3 845 ? 267.070 -106.780 186.765 1.0 49.02103  ? 845 LEU F N   845 LEU F N   1 
ATOM 21041 C CA  . LEU C 3 845 ? 267.391 -107.977 186.000 1.0 49.02103  ? 845 LEU F CA  845 LEU F CA  1 
ATOM 21042 C C   . LEU C 3 845 ? 266.682 -109.213 186.522 1.0 49.02103  ? 845 LEU F C   845 LEU F C   1 
ATOM 21043 O O   . LEU C 3 845 ? 266.741 -110.256 185.867 1.0 49.02103  ? 845 LEU F O   845 LEU F O   1 
ATOM 21044 C CB  . LEU C 3 845 ? 268.892 -108.247 185.970 1.0 49.02103  ? 845 LEU F CB  845 LEU F CB  1 
ATOM 21045 C CG  . LEU C 3 845 ? 269.762 -107.325 185.129 1.0 49.02103  ? 845 LEU F CG  845 LEU F CG  1 
ATOM 21046 C CD1 . LEU C 3 845 ? 271.190 -107.788 185.218 1.0 49.02103  ? 845 LEU F CD1 845 LEU F CD1 1 
ATOM 21047 C CD2 . LEU C 3 845 ? 269.300 -107.304 183.685 1.0 49.02103  ? 845 LEU F CD2 845 LEU F CD2 1 
ATOM 21048 N N   . GLY C 3 846 ? 265.992 -109.120 187.656 1.0 48.59743  ? 846 GLY F N   846 GLY F N   1 
ATOM 21049 C CA  . GLY C 3 846 ? 265.190 -110.218 188.155 1.0 48.59743  ? 846 GLY F CA  846 GLY F CA  1 
ATOM 21050 C C   . GLY C 3 846 ? 263.809 -110.260 187.538 1.0 48.59743  ? 846 GLY F C   846 GLY F C   1 
ATOM 21051 O O   . GLY C 3 846 ? 262.901 -110.898 188.077 1.0 48.59743  ? 846 GLY F O   846 GLY F O   1 
ATOM 21052 N N   . GLN C 3 847 ? 263.628 -109.553 186.420 1.0 51.75662  ? 847 GLN F N   847 GLN F N   1 
ATOM 21053 C CA  . GLN C 3 847 ? 262.386 -109.558 185.661 1.0 51.75662  ? 847 GLN F CA  847 GLN F CA  1 
ATOM 21054 C C   . GLN C 3 847 ? 262.587 -109.707 184.156 1.0 51.75662  ? 847 GLN F C   847 GLN F C   1 
ATOM 21055 O O   . GLN C 3 847 ? 261.599 -109.932 183.454 1.0 51.75662  ? 847 GLN F O   847 GLN F O   1 
ATOM 21056 C CB  . GLN C 3 847 ? 261.590 -108.271 185.941 1.0 51.75662  ? 847 GLN F CB  847 GLN F CB  1 
ATOM 21057 C CG  . GLN C 3 847 ? 261.137 -108.119 187.395 1.0 51.75662  ? 847 GLN F CG  847 GLN F CG  1 
ATOM 21058 C CD  . GLN C 3 847 ? 260.450 -106.803 187.677 1.0 51.75662  ? 847 GLN F CD  847 GLN F CD  1 
ATOM 21059 O OE1 . GLN C 3 847 ? 260.291 -105.974 186.790 1.0 51.75662  ? 847 GLN F OE1 847 GLN F OE1 1 
ATOM 21060 N NE2 . GLN C 3 847 ? 260.058 -106.595 188.925 1.0 51.75662  ? 847 GLN F NE2 847 GLN F NE2 1 
ATOM 21061 N N   . ASN C 3 848 ? 263.815 -109.599 183.631 1.0 56.99019  ? 848 ASN F N   848 ASN F N   1 
ATOM 21062 C CA  . ASN C 3 848 ? 264.028 -109.741 182.192 1.0 56.99019  ? 848 ASN F CA  848 ASN F CA  1 
ATOM 21063 C C   . ASN C 3 848 ? 265.202 -110.621 181.770 1.0 56.99019  ? 848 ASN F C   848 ASN F C   1 
ATOM 21064 O O   . ASN C 3 848 ? 265.311 -110.901 180.573 1.0 56.99019  ? 848 ASN F O   848 ASN F O   1 
ATOM 21065 C CB  . ASN C 3 848 ? 264.180 -108.361 181.526 1.0 56.99019  ? 848 ASN F CB  848 ASN F CB  1 
ATOM 21066 C CG  . ASN C 3 848 ? 265.331 -107.542 182.089 1.0 56.99019  ? 848 ASN F CG  848 ASN F CG  1 
ATOM 21067 O OD1 . ASN C 3 848 ? 266.059 -107.981 182.973 1.0 56.99019  ? 848 ASN F OD1 848 ASN F OD1 1 
ATOM 21068 N ND2 . ASN C 3 848 ? 265.504 -106.339 181.557 1.0 56.99019  ? 848 ASN F ND2 848 ASN F ND2 1 
ATOM 21069 N N   . VAL C 3 849 ? 266.102 -111.032 182.665 1.0 58.20605  ? 849 VAL F N   849 VAL F N   1 
ATOM 21070 C CA  . VAL C 3 849 ? 266.993 -112.149 182.344 1.0 58.20605  ? 849 VAL F CA  849 VAL F CA  1 
ATOM 21071 C C   . VAL C 3 849 ? 266.236 -113.459 182.461 1.0 58.20605  ? 849 VAL F C   849 VAL F C   1 
ATOM 21072 O O   . VAL C 3 849 ? 266.140 -114.237 181.505 1.0 58.20605  ? 849 VAL F O   849 VAL F O   1 
ATOM 21073 C CB  . VAL C 3 849 ? 268.244 -112.144 183.238 1.0 58.20605  ? 849 VAL F CB  849 VAL F CB  1 
ATOM 21074 C CG1 . VAL C 3 849 ? 269.030 -113.433 183.048 1.0 58.20605  ? 849 VAL F CG1 849 VAL F CG1 1 
ATOM 21075 C CG2 . VAL C 3 849 ? 269.114 -110.971 182.879 1.0 58.20605  ? 849 VAL F CG2 849 VAL F CG2 1 
ATOM 21076 N N   . MET C 3 850 ? 265.660 -113.701 183.627 1.0 59.3179   ? 850 MET F N   850 MET F N   1 
ATOM 21077 C CA  . MET C 3 850 ? 264.565 -114.650 183.728 1.0 59.3179   ? 850 MET F CA  850 MET F CA  1 
ATOM 21078 C C   . MET C 3 850 ? 263.400 -114.024 182.982 1.0 59.3179   ? 850 MET F C   850 MET F C   1 
ATOM 21079 O O   . MET C 3 850 ? 262.705 -113.151 183.503 1.0 59.3179   ? 850 MET F O   850 MET F O   1 
ATOM 21080 C CB  . MET C 3 850 ? 264.248 -114.916 185.192 1.0 59.3179   ? 850 MET F CB  850 MET F CB  1 
ATOM 21081 C CG  . MET C 3 850 ? 263.119 -115.872 185.465 1.0 59.3179   ? 850 MET F CG  850 MET F CG  1 
ATOM 21082 S SD  . MET C 3 850 ? 261.540 -115.078 185.783 1.0 59.3179   ? 850 MET F SD  850 MET F SD  1 
ATOM 21083 C CE  . MET C 3 850 ? 260.551 -116.530 186.071 1.0 59.3179   ? 850 MET F CE  850 MET F CE  1 
ATOM 21084 N N   . TYR C 3 851 ? 263.217 -114.422 181.728 1.0 67.34533  ? 851 TYR F N   851 TYR F N   1 
ATOM 21085 C CA  . TYR C 3 851 ? 262.246 -113.782 180.856 1.0 67.34533  ? 851 TYR F CA  851 TYR F CA  1 
ATOM 21086 C C   . TYR C 3 851 ? 261.335 -114.836 180.250 1.0 67.34533  ? 851 TYR F C   851 TYR F C   1 
ATOM 21087 O O   . TYR C 3 851 ? 261.795 -115.920 179.874 1.0 67.34533  ? 851 TYR F O   851 TYR F O   1 
ATOM 21088 C CB  . TYR C 3 851 ? 262.942 -112.981 179.760 1.0 67.34533  ? 851 TYR F CB  851 TYR F CB  1 
ATOM 21089 C CG  . TYR C 3 851 ? 261.998 -112.236 178.848 1.0 67.34533  ? 851 TYR F CG  851 TYR F CG  1 
ATOM 21090 C CD1 . TYR C 3 851 ? 261.347 -111.085 179.276 1.0 67.34533  ? 851 TYR F CD1 851 TYR F CD1 1 
ATOM 21091 C CD2 . TYR C 3 851 ? 261.766 -112.680 177.551 1.0 67.34533  ? 851 TYR F CD2 851 TYR F CD2 1 
ATOM 21092 C CE1 . TYR C 3 851 ? 260.484 -110.400 178.438 1.0 67.34533  ? 851 TYR F CE1 851 TYR F CE1 1 
ATOM 21093 C CE2 . TYR C 3 851 ? 260.906 -112.005 176.707 1.0 67.34533  ? 851 TYR F CE2 851 TYR F CE2 1 
ATOM 21094 C CZ  . TYR C 3 851 ? 260.268 -110.867 177.154 1.0 67.34533  ? 851 TYR F CZ  851 TYR F CZ  1 
ATOM 21095 O OH  . TYR C 3 851 ? 259.412 -110.195 176.310 1.0 67.34533  ? 851 TYR F OH  851 TYR F OH  1 
ATOM 21096 N N   . ALA C 3 852 ? 260.040 -114.500 180.176 1.0 69.10953  ? 852 ALA F N   852 ALA F N   1 
ATOM 21097 C CA  . ALA C 3 852 ? 258.954 -115.389 179.731 1.0 69.10953  ? 852 ALA F CA  852 ALA F CA  1 
ATOM 21098 C C   . ALA C 3 852 ? 258.898 -116.678 180.546 1.0 69.10953  ? 852 ALA F C   852 ALA F C   1 
ATOM 21099 O O   . ALA C 3 852 ? 258.544 -117.734 180.012 1.0 69.10953  ? 852 ALA F O   852 ALA F O   1 
ATOM 21100 C CB  . ALA C 3 852 ? 259.041 -115.708 178.236 1.0 69.10953  ? 852 ALA F CB  852 ALA F CB  1 
ATOM 21101 N N   . ASN C 3 853 ? 259.232 -116.565 181.841 1.0 65.5076   ? 853 ASN F N   853 ASN F N   1 
ATOM 21102 C CA  . ASN C 3 853 ? 259.259 -117.666 182.810 1.0 65.5076   ? 853 ASN F CA  853 ASN F CA  1 
ATOM 21103 C C   . ASN C 3 853 ? 260.141 -118.820 182.332 1.0 65.5076   ? 853 ASN F C   853 ASN F C   1 
ATOM 21104 O O   . ASN C 3 853 ? 259.701 -119.968 182.235 1.0 65.5076   ? 853 ASN F O   853 ASN F O   1 
ATOM 21105 C CB  . ASN C 3 853 ? 257.844 -118.159 183.131 1.0 65.5076   ? 853 ASN F CB  853 ASN F CB  1 
ATOM 21106 C CG  . ASN C 3 853 ? 257.006 -117.122 183.865 1.0 65.5076   ? 853 ASN F CG  853 ASN F CG  1 
ATOM 21107 O OD1 . ASN C 3 853 ? 257.498 -116.418 184.751 1.0 65.5076   ? 853 ASN F OD1 853 ASN F OD1 1 
ATOM 21108 N ND2 . ASN C 3 853 ? 255.738 -117.022 183.496 1.0 65.5076   ? 853 ASN F ND2 853 ASN F ND2 1 
ATOM 21109 N N   . SER C 3 854 ? 261.398 -118.514 182.028 1.0 55.27634  ? 854 SER F N   854 SER F N   1 
ATOM 21110 C CA  . SER C 3 854 ? 262.306 -119.505 181.477 1.0 55.27634  ? 854 SER F CA  854 SER F CA  1 
ATOM 21111 C C   . SER C 3 854 ? 263.301 -119.970 182.534 1.0 55.27634  ? 854 SER F C   854 SER F C   1 
ATOM 21112 O O   . SER C 3 854 ? 263.292 -119.518 183.679 1.0 55.27634  ? 854 SER F O   854 SER F O   1 
ATOM 21113 C CB  . SER C 3 854 ? 263.026 -118.951 180.248 1.0 55.27634  ? 854 SER F CB  854 SER F CB  1 
ATOM 21114 O OG  . SER C 3 854 ? 263.855 -117.860 180.593 1.0 55.27634  ? 854 SER F OG  854 SER F OG  1 
ATOM 21115 N N   . SER C 3 855 ? 264.167 -120.897 182.138 1.0 48.52387  ? 855 SER F N   855 SER F N   1 
ATOM 21116 C CA  . SER C 3 855 ? 265.152 -121.490 183.026 1.0 48.52387  ? 855 SER F CA  855 SER F CA  1 
ATOM 21117 C C   . SER C 3 855 ? 266.547 -121.330 182.441 1.0 48.52387  ? 855 SER F C   855 SER F C   1 
ATOM 21118 O O   . SER C 3 855 ? 266.738 -121.395 181.224 1.0 48.52387  ? 855 SER F O   855 SER F O   1 
ATOM 21119 C CB  . SER C 3 855 ? 264.870 -122.969 183.259 1.0 48.52387  ? 855 SER F CB  855 SER F CB  1 
ATOM 21120 O OG  . SER C 3 855 ? 265.059 -123.701 182.064 1.0 48.52387  ? 855 SER F OG  855 SER F OG  1 
ATOM 21121 N N   . HIS C 3 856 ? 267.523 -121.129 183.321 1.0 45.20614  ? 856 HIS F N   856 HIS F N   1 
ATOM 21122 C CA  . HIS C 3 856 ? 268.909 -120.942 182.913 1.0 45.20614  ? 856 HIS F CA  856 HIS F CA  1 
ATOM 21123 C C   . HIS C 3 856 ? 269.811 -121.666 183.893 1.0 45.20614  ? 856 HIS F C   856 HIS F C   1 
ATOM 21124 O O   . HIS C 3 856 ? 269.760 -121.396 185.095 1.0 45.20614  ? 856 HIS F O   856 HIS F O   1 
ATOM 21125 C CB  . HIS C 3 856 ? 269.275 -119.461 182.865 1.0 45.20614  ? 856 HIS F CB  856 HIS F CB  1 
ATOM 21126 C CG  . HIS C 3 856 ? 268.548 -118.696 181.811 1.0 45.20614  ? 856 HIS F CG  856 HIS F CG  1 
ATOM 21127 N ND1 . HIS C 3 856 ? 267.328 -118.098 182.037 1.0 45.20614  ? 856 HIS F ND1 856 HIS F ND1 1 
ATOM 21128 C CD2 . HIS C 3 856 ? 268.867 -118.430 180.524 1.0 45.20614  ? 856 HIS F CD2 856 HIS F CD2 1 
ATOM 21129 C CE1 . HIS C 3 856 ? 266.928 -117.493 180.934 1.0 45.20614  ? 856 HIS F CE1 856 HIS F CE1 1 
ATOM 21130 N NE2 . HIS C 3 856 ? 267.843 -117.681 180.000 1.0 45.20614  ? 856 HIS F NE2 856 HIS F NE2 1 
ATOM 21131 N N   . SER C 3 857 ? 270.638 -122.573 183.388 1.0 42.52133  ? 857 SER F N   857 SER F N   1 
ATOM 21132 C CA  . SER C 3 857 ? 271.634 -123.166 184.258 1.0 42.52133  ? 857 SER F CA  857 SER F CA  1 
ATOM 21133 C C   . SER C 3 857 ? 272.774 -122.185 184.468 1.0 42.52133  ? 857 SER F C   857 SER F C   1 
ATOM 21134 O O   . SER C 3 857 ? 272.923 -121.202 183.742 1.0 42.52133  ? 857 SER F O   857 SER F O   1 
ATOM 21135 C CB  . SER C 3 857 ? 272.154 -124.483 183.688 1.0 42.52133  ? 857 SER F CB  857 SER F CB  1 
ATOM 21136 O OG  . SER C 3 857 ? 272.919 -124.272 182.521 1.0 42.52133  ? 857 SER F OG  857 SER F OG  1 
ATOM 21137 N N   . LEU C 3 858 ? 273.574 -122.452 185.488 1.0 40.9843   ? 858 LEU F N   858 LEU F N   1 
ATOM 21138 C CA  . LEU C 3 858 ? 274.617 -121.530 185.898 1.0 40.9843   ? 858 LEU F CA  858 LEU F CA  1 
ATOM 21139 C C   . LEU C 3 858 ? 275.798 -122.319 186.426 1.0 40.9843   ? 858 LEU F C   858 LEU F C   1 
ATOM 21140 O O   . LEU C 3 858 ? 275.620 -123.340 187.092 1.0 40.9843   ? 858 LEU F O   858 LEU F O   1 
ATOM 21141 C CB  . LEU C 3 858 ? 274.098 -120.567 186.973 1.0 40.9843   ? 858 LEU F CB  858 LEU F CB  1 
ATOM 21142 C CG  . LEU C 3 858 ? 274.949 -119.406 187.490 1.0 40.9843   ? 858 LEU F CG  858 LEU F CG  1 
ATOM 21143 C CD1 . LEU C 3 858 ? 274.047 -118.262 187.824 1.0 40.9843   ? 858 LEU F CD1 858 LEU F CD1 1 
ATOM 21144 C CD2 . LEU C 3 858 ? 275.724 -119.774 188.739 1.0 40.9843   ? 858 LEU F CD2 858 LEU F CD2 1 
ATOM 21145 N N   . ASN C 3 859 ? 277.000 -121.836 186.142 1.0 41.65051  ? 859 ASN F N   859 ASN F N   1 
ATOM 21146 C CA  . ASN C 3 859 ? 278.174 -122.329 186.841 1.0 41.65051  ? 859 ASN F CA  859 ASN F CA  1 
ATOM 21147 C C   . ASN C 3 859 ? 279.158 -121.190 187.041 1.0 41.65051  ? 859 ASN F C   859 ASN F C   1 
ATOM 21148 O O   . ASN C 3 859 ? 279.266 -120.299 186.197 1.0 41.65051  ? 859 ASN F O   859 ASN F O   1 
ATOM 21149 C CB  . ASN C 3 859 ? 278.824 -123.508 186.104 1.0 41.65051  ? 859 ASN F CB  859 ASN F CB  1 
ATOM 21150 C CG  . ASN C 3 859 ? 279.119 -123.217 184.654 1.0 41.65051  ? 859 ASN F CG  859 ASN F CG  1 
ATOM 21151 O OD1 . ASN C 3 859 ? 278.780 -122.159 184.130 1.0 41.65051  ? 859 ASN F OD1 859 ASN F OD1 1 
ATOM 21152 N ND2 . ASN C 3 859 ? 279.788 -124.155 183.998 1.0 41.65051  ? 859 ASN F ND2 859 ASN F ND2 1 
ATOM 21153 N N   . MET C 3 860 ? 279.837 -121.197 188.177 1.0 43.06969  ? 860 MET F N   860 MET F N   1 
ATOM 21154 C CA  . MET C 3 860 ? 280.837 -120.193 188.487 1.0 43.06969  ? 860 MET F CA  860 MET F CA  1 
ATOM 21155 C C   . MET C 3 860 ? 282.161 -120.870 188.787 1.0 43.06969  ? 860 MET F C   860 MET F C   1 
ATOM 21156 O O   . MET C 3 860 ? 282.213 -122.039 189.171 1.0 43.06969  ? 860 MET F O   860 MET F O   1 
ATOM 21157 C CB  . MET C 3 860 ? 280.412 -119.324 189.669 1.0 43.06969  ? 860 MET F CB  860 MET F CB  1 
ATOM 21158 C CG  . MET C 3 860 ? 279.218 -118.457 189.382 1.0 43.06969  ? 860 MET F CG  860 MET F CG  1 
ATOM 21159 S SD  . MET C 3 860 ? 278.726 -117.449 190.782 1.0 43.06969  ? 860 MET F SD  860 MET F SD  1 
ATOM 21160 C CE  . MET C 3 860 ? 277.911 -118.686 191.770 1.0 43.06969  ? 860 MET F CE  860 MET F CE  1 
ATOM 21161 N N   . GLN C 3 861 ? 283.239 -120.119 188.606 1.0 46.86606  ? 861 GLN F N   861 GLN F N   1 
ATOM 21162 C CA  . GLN C 3 861 ? 284.586 -120.663 188.739 1.0 46.86606  ? 861 GLN F CA  861 GLN F CA  1 
ATOM 21163 C C   . GLN C 3 861 ? 285.420 -119.638 189.494 1.0 46.86606  ? 861 GLN F C   861 GLN F C   1 
ATOM 21164 O O   . GLN C 3 861 ? 285.915 -118.676 188.900 1.0 46.86606  ? 861 GLN F O   861 GLN F O   1 
ATOM 21165 C CB  . GLN C 3 861 ? 285.182 -120.977 187.376 1.0 46.86606  ? 861 GLN F CB  861 GLN F CB  1 
ATOM 21166 C CG  . GLN C 3 861 ? 286.521 -121.667 187.438 1.0 46.86606  ? 861 GLN F CG  861 GLN F CG  1 
ATOM 21167 C CD  . GLN C 3 861 ? 287.031 -122.032 186.068 1.0 46.86606  ? 861 GLN F CD  861 GLN F CD  1 
ATOM 21168 O OE1 . GLN C 3 861 ? 286.390 -121.739 185.061 1.0 46.86606  ? 861 GLN F OE1 861 GLN F OE1 1 
ATOM 21169 N NE2 . GLN C 3 861 ? 288.190 -122.676 186.018 1.0 46.86606  ? 861 GLN F NE2 861 GLN F NE2 1 
ATOM 21170 N N   . PHE C 3 862 ? 285.574 -119.846 190.797 1.0 44.40987  ? 862 PHE F N   862 PHE F N   1 
ATOM 21171 C CA  . PHE C 3 862 ? 286.285 -118.907 191.650 1.0 44.40987  ? 862 PHE F CA  862 PHE F CA  1 
ATOM 21172 C C   . PHE C 3 862 ? 287.731 -119.350 191.756 1.0 44.40987  ? 862 PHE F C   862 PHE F C   1 
ATOM 21173 O O   . PHE C 3 862 ? 288.002 -120.493 192.132 1.0 44.40987  ? 862 PHE F O   862 PHE F O   1 
ATOM 21174 C CB  . PHE C 3 862 ? 285.681 -118.827 193.053 1.0 44.40987  ? 862 PHE F CB  862 PHE F CB  1 
ATOM 21175 C CG  . PHE C 3 862 ? 284.298 -118.238 193.110 1.0 44.40987  ? 862 PHE F CG  862 PHE F CG  1 
ATOM 21176 C CD1 . PHE C 3 862 ? 283.726 -117.607 192.027 1.0 44.40987  ? 862 PHE F CD1 862 PHE F CD1 1 
ATOM 21177 C CD2 . PHE C 3 862 ? 283.581 -118.297 194.282 1.0 44.40987  ? 862 PHE F CD2 862 PHE F CD2 1 
ATOM 21178 C CE1 . PHE C 3 862 ? 282.454 -117.093 192.102 1.0 44.40987  ? 862 PHE F CE1 862 PHE F CE1 1 
ATOM 21179 C CE2 . PHE C 3 862 ? 282.320 -117.767 194.365 1.0 44.40987  ? 862 PHE F CE2 862 PHE F CE2 1 
ATOM 21180 C CZ  . PHE C 3 862 ? 281.763 -117.159 193.274 1.0 44.40987  ? 862 PHE F CZ  862 PHE F CZ  1 
ATOM 21181 N N   . THR C 3 863 ? 288.650 -118.455 191.428 1.0 46.76078  ? 863 THR F N   863 THR F N   1 
ATOM 21182 C CA  . THR C 3 863 ? 290.073 -118.712 191.582 1.0 46.76078  ? 863 THR F CA  863 THR F CA  1 
ATOM 21183 C C   . THR C 3 863 ? 290.557 -118.032 192.853 1.0 46.76078  ? 863 THR F C   863 THR F C   1 
ATOM 21184 O O   . THR C 3 863 ? 290.337 -116.833 193.038 1.0 46.76078  ? 863 THR F O   863 THR F O   1 
ATOM 21185 C CB  . THR C 3 863 ? 290.852 -118.201 190.373 1.0 46.76078  ? 863 THR F CB  863 THR F CB  1 
ATOM 21186 O OG1 . THR C 3 863 ? 290.347 -118.827 189.189 1.0 46.76078  ? 863 THR F OG1 863 THR F OG1 1 
ATOM 21187 C CG2 . THR C 3 863 ? 292.319 -118.536 190.515 1.0 46.76078  ? 863 THR F CG2 863 THR F CG2 1 
ATOM 21188 N N   . VAL C 3 864 ? 291.189 -118.801 193.737 1.0 47.5526   ? 864 VAL F N   864 VAL F N   1 
ATOM 21189 C CA  . VAL C 3 864 ? 291.650 -118.296 195.021 1.0 47.5526   ? 864 VAL F CA  864 VAL F CA  1 
ATOM 21190 C C   . VAL C 3 864 ? 293.159 -118.486 195.106 1.0 47.5526   ? 864 VAL F C   864 VAL F C   1 
ATOM 21191 O O   . VAL C 3 864 ? 293.779 -119.100 194.241 1.0 47.5526   ? 864 VAL F O   864 VAL F O   1 
ATOM 21192 C CB  . VAL C 3 864 ? 290.951 -118.990 196.203 1.0 47.5526   ? 864 VAL F CB  864 VAL F CB  1 
ATOM 21193 C CG1 . VAL C 3 864 ? 289.448 -118.841 196.096 1.0 47.5526   ? 864 VAL F CG1 864 VAL F CG1 1 
ATOM 21194 C CG2 . VAL C 3 864 ? 291.344 -120.447 196.265 1.0 47.5526   ? 864 VAL F CG2 864 VAL F CG2 1 
ATOM 21195 N N   . ASP C 3 865 ? 293.745 -117.947 196.169 1.0 48.60286  ? 865 ASP F N   865 ASP F N   1 
ATOM 21196 C CA  . ASP C 3 865 ? 295.160 -118.191 196.402 1.0 48.60286  ? 865 ASP F CA  865 ASP F CA  1 
ATOM 21197 C C   . ASP C 3 865 ? 295.359 -119.574 197.010 1.0 48.60286  ? 865 ASP F C   865 ASP F C   1 
ATOM 21198 O O   . ASP C 3 865 ? 294.545 -120.012 197.825 1.0 48.60286  ? 865 ASP F O   865 ASP F O   1 
ATOM 21199 C CB  . ASP C 3 865 ? 295.746 -117.143 197.334 1.0 48.60286  ? 865 ASP F CB  865 ASP F CB  1 
ATOM 21200 C CG  . ASP C 3 865 ? 295.870 -115.802 196.679 1.0 48.60286  ? 865 ASP F CG  865 ASP F CG  1 
ATOM 21201 O OD1 . ASP C 3 865 ? 296.042 -115.783 195.446 1.0 48.60286  ? 865 ASP F OD1 865 ASP F OD1 1 
ATOM 21202 O OD2 . ASP C 3 865 ? 295.800 -114.774 197.383 1.0 48.60286  ? 865 ASP F OD2 865 ASP F OD2 1 
ATOM 21203 N N   . PRO C 3 866 ? 296.421 -120.282 196.630 1.0 49.53897  ? 866 PRO F N   866 PRO F N   1 
ATOM 21204 C CA  . PRO C 3 866 ? 296.671 -121.602 197.218 1.0 49.53897  ? 866 PRO F CA  866 PRO F CA  1 
ATOM 21205 C C   . PRO C 3 866 ? 297.125 -121.480 198.665 1.0 49.53897  ? 866 PRO F C   866 PRO F C   1 
ATOM 21206 O O   . PRO C 3 866 ? 297.989 -120.666 198.993 1.0 49.53897  ? 866 PRO F O   866 PRO F O   1 
ATOM 21207 C CB  . PRO C 3 866 ? 297.767 -122.187 196.323 1.0 49.53897  ? 866 PRO F CB  866 PRO F CB  1 
ATOM 21208 C CG  . PRO C 3 866 ? 298.442 -121.000 195.736 1.0 49.53897  ? 866 PRO F CG  866 PRO F CG  1 
ATOM 21209 C CD  . PRO C 3 866 ? 297.386 -119.958 195.566 1.0 49.53897  ? 866 PRO F CD  866 PRO F CD  1 
ATOM 21210 N N   . MET C 3 867 ? 296.516 -122.284 199.533 1.0 52.29462  ? 867 MET F N   867 MET F N   1 
ATOM 21211 C CA  . MET C 3 867 ? 296.819 -122.284 200.954 1.0 52.29462  ? 867 MET F CA  867 MET F CA  1 
ATOM 21212 C C   . MET C 3 867 ? 297.115 -123.706 201.407 1.0 52.29462  ? 867 MET F C   867 MET F C   1 
ATOM 21213 O O   . MET C 3 867 ? 296.780 -124.680 200.729 1.0 52.29462  ? 867 MET F O   867 MET F O   1 
ATOM 21214 C CB  . MET C 3 867 ? 295.667 -121.684 201.765 1.0 52.29462  ? 867 MET F CB  867 MET F CB  1 
ATOM 21215 C CG  . MET C 3 867 ? 295.466 -120.210 201.492 1.0 52.29462  ? 867 MET F CG  867 MET F CG  1 
ATOM 21216 S SD  . MET C 3 867 ? 294.029 -119.505 202.306 1.0 52.29462  ? 867 MET F SD  867 MET F SD  1 
ATOM 21217 C CE  . MET C 3 867 ? 294.573 -119.505 203.998 1.0 52.29462  ? 867 MET F CE  867 MET F CE  1 
ATOM 21218 N N   . THR C 3 868 ? 297.749 -123.819 202.572 1.0 55.21365  ? 868 THR F N   868 THR F N   1 
ATOM 21219 C CA  . THR C 3 868 ? 298.279 -125.088 203.051 1.0 55.21365  ? 868 THR F CA  868 THR F CA  1 
ATOM 21220 C C   . THR C 3 868 ? 297.304 -125.854 203.938 1.0 55.21365  ? 868 THR F C   868 THR F C   1 
ATOM 21221 O O   . THR C 3 868 ? 297.681 -126.882 204.507 1.0 55.21365  ? 868 THR F O   868 THR F O   1 
ATOM 21222 C CB  . THR C 3 868 ? 299.598 -124.863 203.795 1.0 55.21365  ? 868 THR F CB  868 THR F CB  1 
ATOM 21223 O OG1 . THR C 3 868 ? 300.172 -126.127 204.144 1.0 55.21365  ? 868 THR F OG1 868 THR F OG1 1 
ATOM 21224 C CG2 . THR C 3 868 ? 299.382 -124.044 205.055 1.0 55.21365  ? 868 THR F CG2 868 THR F CG2 1 
ATOM 21225 N N   . GLU C 3 869 ? 296.067 -125.392 204.062 1.0 54.52281  ? 869 GLU F N   869 GLU F N   1 
ATOM 21226 C CA  . GLU C 3 869 ? 295.053 -126.120 204.805 1.0 54.52281  ? 869 GLU F CA  869 GLU F CA  1 
ATOM 21227 C C   . GLU C 3 869 ? 293.770 -126.168 203.991 1.0 54.52281  ? 869 GLU F C   869 GLU F C   1 
ATOM 21228 O O   . GLU C 3 869 ? 293.541 -125.297 203.146 1.0 54.52281  ? 869 GLU F O   869 GLU F O   1 
ATOM 21229 C CB  . GLU C 3 869 ? 294.794 -125.466 206.174 1.0 54.52281  ? 869 GLU F CB  869 GLU F CB  1 
ATOM 21230 C CG  . GLU C 3 869 ? 294.105 -124.119 206.137 1.0 54.52281  ? 869 GLU F CG  869 GLU F CG  1 
ATOM 21231 C CD  . GLU C 3 869 ? 295.075 -122.962 206.036 1.0 54.52281  ? 869 GLU F CD  869 GLU F CD  1 
ATOM 21232 O OE1 . GLU C 3 869 ? 296.248 -123.180 205.672 1.0 54.52281  ? 869 GLU F OE1 869 GLU F OE1 1 
ATOM 21233 O OE2 . GLU C 3 869 ? 294.665 -121.827 206.337 1.0 54.52281  ? 869 GLU F OE2 869 GLU F OE2 1 
ATOM 21234 N N   . PRO C 3 870 ? 292.936 -127.194 204.184 1.0 50.78851  ? 870 PRO F N   870 PRO F N   1 
ATOM 21235 C CA  . PRO C 3 870 ? 291.663 -127.238 203.458 1.0 50.78851  ? 870 PRO F CA  870 PRO F CA  1 
ATOM 21236 C C   . PRO C 3 870 ? 290.710 -126.161 203.944 1.0 50.78851  ? 870 PRO F C   870 PRO F C   1 
ATOM 21237 O O   . PRO C 3 870 ? 290.568 -125.927 205.145 1.0 50.78851  ? 870 PRO F O   870 PRO F O   1 
ATOM 21238 C CB  . PRO C 3 870 ? 291.128 -128.640 203.761 1.0 50.78851  ? 870 PRO F CB  870 PRO F CB  1 
ATOM 21239 C CG  . PRO C 3 870 ? 291.786 -129.030 205.022 1.0 50.78851  ? 870 PRO F CG  870 PRO F CG  1 
ATOM 21240 C CD  . PRO C 3 870 ? 293.149 -128.422 204.970 1.0 50.78851  ? 870 PRO F CD  870 PRO F CD  1 
ATOM 21241 N N   . THR C 3 871 ? 290.076 -125.485 202.988 1.0 47.29568  ? 871 THR F N   871 THR F N   1 
ATOM 21242 C CA  . THR C 3 871 ? 289.188 -124.367 203.263 1.0 47.29568  ? 871 THR F CA  871 THR F CA  1 
ATOM 21243 C C   . THR C 3 871 ? 287.858 -124.559 202.552 1.0 47.29568  ? 871 THR F C   871 THR F C   1 
ATOM 21244 O O   . THR C 3 871 ? 287.788 -125.190 201.497 1.0 47.29568  ? 871 THR F O   871 THR F O   1 
ATOM 21245 C CB  . THR C 3 871 ? 289.802 -123.029 202.821 1.0 47.29568  ? 871 THR F CB  871 THR F CB  1 
ATOM 21246 O OG1 . THR C 3 871 ? 290.161 -123.097 201.437 1.0 47.29568  ? 871 THR F OG1 871 THR F OG1 1 
ATOM 21247 C CG2 . THR C 3 871 ? 291.022 -122.681 203.653 1.0 47.29568  ? 871 THR F CG2 871 THR F CG2 1 
ATOM 21248 N N   . TYR C 3 872 ? 286.800 -124.011 203.139 1.0 45.2752   ? 872 TYR F N   872 TYR F N   1 
ATOM 21249 C CA  . TYR C 3 872 ? 285.517 -123.955 202.461 1.0 45.2752   ? 872 TYR F CA  872 TYR F CA  1 
ATOM 21250 C C   . TYR C 3 872 ? 285.432 -122.712 201.590 1.0 45.2752   ? 872 TYR F C   872 TYR F C   1 
ATOM 21251 O O   . TYR C 3 872 ? 286.354 -121.902 201.509 1.0 45.2752   ? 872 TYR F O   872 TYR F O   1 
ATOM 21252 C CB  . TYR C 3 872 ? 284.346 -123.945 203.441 1.0 45.2752   ? 872 TYR F CB  872 TYR F CB  1 
ATOM 21253 C CG  . TYR C 3 872 ? 284.087 -125.242 204.152 1.0 45.2752   ? 872 TYR F CG  872 TYR F CG  1 
ATOM 21254 C CD1 . TYR C 3 872 ? 283.555 -126.327 203.479 1.0 45.2752   ? 872 TYR F CD1 872 TYR F CD1 1 
ATOM 21255 C CD2 . TYR C 3 872 ? 284.308 -125.360 205.509 1.0 45.2752   ? 872 TYR F CD2 872 TYR F CD2 1 
ATOM 21256 C CE1 . TYR C 3 872 ? 283.301 -127.513 204.133 1.0 45.2752   ? 872 TYR F CE1 872 TYR F CE1 1 
ATOM 21257 C CE2 . TYR C 3 872 ? 284.047 -126.535 206.171 1.0 45.2752   ? 872 TYR F CE2 872 TYR F CE2 1 
ATOM 21258 C CZ  . TYR C 3 872 ? 283.552 -127.608 205.480 1.0 45.2752   ? 872 TYR F CZ  872 TYR F CZ  1 
ATOM 21259 O OH  . TYR C 3 872 ? 283.306 -128.773 206.161 1.0 45.2752   ? 872 TYR F OH  872 TYR F OH  1 
ATOM 21260 N N   . LEU C 3 873 ? 284.292 -122.576 200.934 1.0 42.34208  ? 873 LEU F N   873 LEU F N   1 
ATOM 21261 C CA  . LEU C 3 873 ? 283.926 -121.399 200.158 1.0 42.34208  ? 873 LEU F CA  873 LEU F CA  1 
ATOM 21262 C C   . LEU C 3 873 ? 282.499 -121.051 200.557 1.0 42.34208  ? 873 LEU F C   873 LEU F C   1 
ATOM 21263 O O   . LEU C 3 873 ? 281.548 -121.658 200.058 1.0 42.34208  ? 873 LEU F O   873 LEU F O   1 
ATOM 21264 C CB  . LEU C 3 873 ? 284.028 -121.683 198.671 1.0 42.34208  ? 873 LEU F CB  873 LEU F CB  1 
ATOM 21265 C CG  . LEU C 3 873 ? 283.593 -120.599 197.694 1.0 42.34208  ? 873 LEU F CG  873 LEU F CG  1 
ATOM 21266 C CD1 . LEU C 3 873 ? 284.568 -119.439 197.662 1.0 42.34208  ? 873 LEU F CD1 873 LEU F CD1 1 
ATOM 21267 C CD2 . LEU C 3 873 ? 283.410 -121.224 196.341 1.0 42.34208  ? 873 LEU F CD2 873 LEU F CD2 1 
ATOM 21268 N N   . MET C 3 874 ? 282.335 -120.101 201.469 1.0 40.17603  ? 874 MET F N   874 MET F N   1 
ATOM 21269 C CA  . MET C 3 874 ? 280.997 -119.728 201.918 1.0 40.17603  ? 874 MET F CA  874 MET F CA  1 
ATOM 21270 C C   . MET C 3 874 ? 280.365 -118.855 200.852 1.0 40.17603  ? 874 MET F C   874 MET F C   1 
ATOM 21271 O O   . MET C 3 874 ? 280.556 -117.641 200.836 1.0 40.17603  ? 874 MET F O   874 MET F O   1 
ATOM 21272 C CB  . MET C 3 874 ? 281.044 -119.001 203.254 1.0 40.17603  ? 874 MET F CB  874 MET F CB  1 
ATOM 21273 C CG  . MET C 3 874 ? 279.680 -118.634 203.808 1.0 40.17603  ? 874 MET F CG  874 MET F CG  1 
ATOM 21274 S SD  . MET C 3 874 ? 279.796 -117.779 205.381 1.0 40.17603  ? 874 MET F SD  874 MET F SD  1 
ATOM 21275 C CE  . MET C 3 874 ? 278.077 -117.401 205.684 1.0 40.17603  ? 874 MET F CE  874 MET F CE  1 
ATOM 21276 N N   . LEU C 3 875 ? 279.614 -119.469 199.954 1.0 38.14108  ? 875 LEU F N   875 LEU F N   1 
ATOM 21277 C CA  . LEU C 3 875 ? 278.813 -118.736 198.992 1.0 38.14108  ? 875 LEU F CA  875 LEU F CA  1 
ATOM 21278 C C   . LEU C 3 875 ? 277.392 -118.657 199.519 1.0 38.14108  ? 875 LEU F C   875 LEU F C   1 
ATOM 21279 O O   . LEU C 3 875 ? 276.896 -119.606 200.131 1.0 38.14108  ? 875 LEU F O   875 LEU F O   1 
ATOM 21280 C CB  . LEU C 3 875 ? 278.837 -119.420 197.628 1.0 38.14108  ? 875 LEU F CB  875 LEU F CB  1 
ATOM 21281 C CG  . LEU C 3 875 ? 278.359 -118.645 196.405 1.0 38.14108  ? 875 LEU F CG  875 LEU F CG  1 
ATOM 21282 C CD1 . LEU C 3 875 ? 279.149 -119.152 195.252 1.0 38.14108  ? 875 LEU F CD1 875 LEU F CD1 1 
ATOM 21283 C CD2 . LEU C 3 875 ? 276.892 -118.834 196.113 1.0 38.14108  ? 875 LEU F CD2 875 LEU F CD2 1 
ATOM 21284 N N   . LEU C 3 876 ? 276.734 -117.530 199.277 1.0 35.21036  ? 876 LEU F N   876 LEU F N   1 
ATOM 21285 C CA  . LEU C 3 876 ? 275.349 -117.361 199.691 1.0 35.21036  ? 876 LEU F CA  876 LEU F CA  1 
ATOM 21286 C C   . LEU C 3 876 ? 274.610 -116.514 198.669 1.0 35.21036  ? 876 LEU F C   876 LEU F C   1 
ATOM 21287 O O   . LEU C 3 876 ? 274.952 -115.349 198.451 1.0 35.21036  ? 876 LEU F O   876 LEU F O   1 
ATOM 21288 C CB  . LEU C 3 876 ? 275.251 -116.774 201.108 1.0 35.21036  ? 876 LEU F CB  876 LEU F CB  1 
ATOM 21289 C CG  . LEU C 3 876 ? 275.794 -115.438 201.608 1.0 35.21036  ? 876 LEU F CG  876 LEU F CG  1 
ATOM 21290 C CD1 . LEU C 3 876 ? 275.087 -114.989 202.857 1.0 35.21036  ? 876 LEU F CD1 876 LEU F CD1 1 
ATOM 21291 C CD2 . LEU C 3 876 ? 277.263 -115.562 201.918 1.0 35.21036  ? 876 LEU F CD2 876 LEU F CD2 1 
ATOM 21292 N N   . PHE C 3 877 ? 273.611 -117.117 198.034 1.0 35.80731  ? 877 PHE F N   877 PHE F N   1 
ATOM 21293 C CA  . PHE C 3 877 ? 272.833 -116.449 197.008 1.0 35.80731  ? 877 PHE F CA  877 PHE F CA  1 
ATOM 21294 C C   . PHE C 3 877 ? 271.906 -115.414 197.632 1.0 35.80731  ? 877 PHE F C   877 PHE F C   1 
ATOM 21295 O O   . PHE C 3 877 ? 271.550 -115.491 198.805 1.0 35.80731  ? 877 PHE F O   877 PHE F O   1 
ATOM 21296 C CB  . PHE C 3 877 ? 272.010 -117.463 196.223 1.0 35.80731  ? 877 PHE F CB  877 PHE F CB  1 
ATOM 21297 C CG  . PHE C 3 877 ? 272.834 -118.450 195.462 1.0 35.80731  ? 877 PHE F CG  877 PHE F CG  1 
ATOM 21298 C CD1 . PHE C 3 877 ? 273.398 -118.110 194.249 1.0 35.80731  ? 877 PHE F CD1 877 PHE F CD1 1 
ATOM 21299 C CD2 . PHE C 3 877 ? 273.042 -119.721 195.958 1.0 35.80731  ? 877 PHE F CD2 877 PHE F CD2 1 
ATOM 21300 C CE1 . PHE C 3 877 ? 274.156 -119.019 193.546 1.0 35.80731  ? 877 PHE F CE1 877 PHE F CE1 1 
ATOM 21301 C CE2 . PHE C 3 877 ? 273.796 -120.634 195.255 1.0 35.80731  ? 877 PHE F CE2 877 PHE F CE2 1 
ATOM 21302 C CZ  . PHE C 3 877 ? 274.352 -120.282 194.048 1.0 35.80731  ? 877 PHE F CZ  877 PHE F CZ  1 
ATOM 21303 N N   . GLY C 3 878 ? 271.515 -114.434 196.830 1.0 37.04452  ? 878 GLY F N   878 GLY F N   1 
ATOM 21304 C CA  . GLY C 3 878 ? 270.572 -113.445 197.301 1.0 37.04452  ? 878 GLY F CA  878 GLY F CA  1 
ATOM 21305 C C   . GLY C 3 878 ? 269.151 -113.796 196.929 1.0 37.04452  ? 878 GLY F C   878 GLY F C   1 
ATOM 21306 O O   . GLY C 3 878 ? 268.707 -113.518 195.813 1.0 37.04452  ? 878 GLY F O   878 GLY F O   1 
ATOM 21307 N N   . VAL C 3 879 ? 268.423 -114.393 197.863 1.0 37.16292  ? 879 VAL F N   879 VAL F N   1 
ATOM 21308 C CA  . VAL C 3 879 ? 267.057 -114.824 197.633 1.0 37.16292  ? 879 VAL F CA  879 VAL F CA  1 
ATOM 21309 C C   . VAL C 3 879 ? 266.133 -113.941 198.460 1.0 37.16292  ? 879 VAL F C   879 VAL F C   1 
ATOM 21310 O O   . VAL C 3 879 ? 266.574 -113.082 199.219 1.0 37.16292  ? 879 VAL F O   879 VAL F O   1 
ATOM 21311 C CB  . VAL C 3 879 ? 266.860 -116.308 197.987 1.0 37.16292  ? 879 VAL F CB  879 VAL F CB  1 
ATOM 21312 C CG1 . VAL C 3 879 ? 267.837 -117.168 197.221 1.0 37.16292  ? 879 VAL F CG1 879 VAL F CG1 1 
ATOM 21313 C CG2 . VAL C 3 879 ? 267.022 -116.514 199.467 1.0 37.16292  ? 879 VAL F CG2 879 VAL F CG2 1 
ATOM 21314 N N   . PHE C 3 880 ? 264.835 -114.144 198.292 1.0 39.20128  ? 880 PHE F N   880 PHE F N   1 
ATOM 21315 C CA  . PHE C 3 880 ? 263.874 -113.578 199.224 1.0 39.20128  ? 880 PHE F CA  880 PHE F CA  1 
ATOM 21316 C C   . PHE C 3 880 ? 263.506 -114.613 200.269 1.0 39.20128  ? 880 PHE F C   880 PHE F C   1 
ATOM 21317 O O   . PHE C 3 880 ? 263.868 -115.782 200.164 1.0 39.20128  ? 880 PHE F O   880 PHE F O   1 
ATOM 21318 C CB  . PHE C 3 880 ? 262.624 -113.088 198.504 1.0 39.20128  ? 880 PHE F CB  880 PHE F CB  1 
ATOM 21319 C CG  . PHE C 3 880 ? 262.820 -111.805 197.779 1.0 39.20128  ? 880 PHE F CG  880 PHE F CG  1 
ATOM 21320 C CD1 . PHE C 3 880 ? 263.934 -111.030 198.017 1.0 39.20128  ? 880 PHE F CD1 880 PHE F CD1 1 
ATOM 21321 C CD2 . PHE C 3 880 ? 261.888 -111.359 196.875 1.0 39.20128  ? 880 PHE F CD2 880 PHE F CD2 1 
ATOM 21322 C CE1 . PHE C 3 880 ? 264.120 -109.853 197.355 1.0 39.20128  ? 880 PHE F CE1 880 PHE F CE1 1 
ATOM 21323 C CE2 . PHE C 3 880 ? 262.077 -110.170 196.215 1.0 39.20128  ? 880 PHE F CE2 880 PHE F CE2 1 
ATOM 21324 C CZ  . PHE C 3 880 ? 263.190 -109.419 196.459 1.0 39.20128  ? 880 PHE F CZ  880 PHE F CZ  1 
ATOM 21325 N N   . ASP C 3 881 ? 262.777 -114.171 201.290 1.0 39.87303  ? 881 ASP F N   881 ASP F N   1 
ATOM 21326 C CA  . ASP C 3 881 ? 262.323 -115.076 202.340 1.0 39.87303  ? 881 ASP F CA  881 ASP F CA  1 
ATOM 21327 C C   . ASP C 3 881 ? 261.151 -114.411 203.040 1.0 39.87303  ? 881 ASP F C   881 ASP F C   1 
ATOM 21328 O O   . ASP C 3 881 ? 261.310 -113.325 203.601 1.0 39.87303  ? 881 ASP F O   881 ASP F O   1 
ATOM 21329 C CB  . ASP C 3 881 ? 263.450 -115.376 203.321 1.0 39.87303  ? 881 ASP F CB  881 ASP F CB  1 
ATOM 21330 C CG  . ASP C 3 881 ? 263.212 -116.638 204.107 1.0 39.87303  ? 881 ASP F CG  881 ASP F CG  1 
ATOM 21331 O OD1 . ASP C 3 881 ? 262.136 -117.247 203.948 1.0 39.87303  ? 881 ASP F OD1 881 ASP F OD1 1 
ATOM 21332 O OD2 . ASP C 3 881 ? 264.116 -117.041 204.864 1.0 39.87303  ? 881 ASP F OD2 881 ASP F OD2 1 
ATOM 21333 N N   . GLN C 3 882 ? 259.977 -115.037 202.986 1.0 35.83135  ? 882 GLN F N   882 GLN F N   1 
ATOM 21334 C CA  . GLN C 3 882 ? 258.757 -114.435 203.504 1.0 35.83135  ? 882 GLN F CA  882 GLN F CA  1 
ATOM 21335 C C   . GLN C 3 882 ? 257.985 -115.475 204.301 1.0 35.83135  ? 882 GLN F C   882 GLN F C   1 
ATOM 21336 O O   . GLN C 3 882 ? 258.165 -116.680 204.120 1.0 35.83135  ? 882 GLN F O   882 GLN F O   1 
ATOM 21337 C CB  . GLN C 3 882 ? 257.868 -113.898 202.374 1.0 35.83135  ? 882 GLN F CB  882 GLN F CB  1 
ATOM 21338 C CG  . GLN C 3 882 ? 258.487 -112.828 201.489 1.0 35.83135  ? 882 GLN F CG  882 GLN F CG  1 
ATOM 21339 C CD  . GLN C 3 882 ? 258.697 -111.523 202.207 1.0 35.83135  ? 882 GLN F CD  882 GLN F CD  1 
ATOM 21340 O OE1 . GLN C 3 882 ? 257.868 -111.107 203.011 1.0 35.83135  ? 882 GLN F OE1 882 GLN F OE1 1 
ATOM 21341 N NE2 . GLN C 3 882 ? 259.806 -110.860 201.916 1.0 35.83135  ? 882 GLN F NE2 882 GLN F NE2 1 
ATOM 21342 N N   . VAL C 3 883 ? 257.127 -115.000 205.202 1.0 30.50055  ? 883 VAL F N   883 VAL F N   1 
ATOM 21343 C CA  . VAL C 3 883 ? 256.177 -115.873 205.889 1.0 30.50055  ? 883 VAL F CA  883 VAL F CA  1 
ATOM 21344 C C   . VAL C 3 883 ? 254.774 -115.292 205.726 1.0 30.50055  ? 883 VAL F C   883 VAL F C   1 
ATOM 21345 O O   . VAL C 3 883 ? 253.795 -115.821 206.254 1.0 30.50055  ? 883 VAL F O   883 VAL F O   1 
ATOM 21346 C CB  . VAL C 3 883 ? 256.506 -116.054 207.378 1.0 30.50055  ? 883 VAL F CB  883 VAL F CB  1 
ATOM 21347 C CG1 . VAL C 3 883 ? 257.904 -116.549 207.576 1.0 30.50055  ? 883 VAL F CG1 883 VAL F CG1 1 
ATOM 21348 C CG2 . VAL C 3 883 ? 256.319 -114.781 208.108 1.0 30.50055  ? 883 VAL F CG2 883 VAL F CG2 1 
ATOM 21349 N N   . ILE C 3 884 ? 251.579 -115.760 208.338 1.0 31.59545  ? 885 ILE F N   885 ILE F N   1 
ATOM 21350 C CA  . ILE C 3 884 ? 251.129 -116.128 209.674 1.0 31.59545  ? 885 ILE F CA  885 ILE F CA  1 
ATOM 21351 C C   . ILE C 3 884 ? 249.744 -115.575 209.958 1.0 31.59545  ? 885 ILE F C   885 ILE F C   1 
ATOM 21352 O O   . ILE C 3 884 ? 249.554 -114.365 209.933 1.0 31.59545  ? 885 ILE F O   885 ILE F O   1 
ATOM 21353 C CB  . ILE C 3 884 ? 252.088 -115.619 210.737 1.0 31.59545  ? 885 ILE F CB  885 ILE F CB  1 
ATOM 21354 C CG1 . ILE C 3 884 ? 253.494 -116.135 210.486 1.0 31.59545  ? 885 ILE F CG1 885 ILE F CG1 1 
ATOM 21355 C CG2 . ILE C 3 884 ? 251.635 -116.080 212.092 1.0 31.59545  ? 885 ILE F CG2 885 ILE F CG2 1 
ATOM 21356 C CD1 . ILE C 3 884 ? 254.525 -115.466 211.343 1.0 31.59545  ? 885 ILE F CD1 885 ILE F CD1 1 
ATOM 21357 N N   . ASN C 3 885 ? 248.777 -116.440 210.247 1.0 35.01116  ? 886 ASN F N   886 ASN F N   1 
ATOM 21358 C CA  . ASN C 3 885 ? 247.453 -115.983 210.634 1.0 35.01116  ? 886 ASN F CA  886 ASN F CA  1 
ATOM 21359 C C   . ASN C 3 885 ? 246.983 -116.688 211.896 1.0 35.01116  ? 886 ASN F C   886 ASN F C   1 
ATOM 21360 O O   . ASN C 3 885 ? 247.425 -117.793 212.215 1.0 35.01116  ? 886 ASN F O   886 ASN F O   1 
ATOM 21361 C CB  . ASN C 3 885 ? 246.414 -116.168 209.506 1.0 35.01116  ? 886 ASN F CB  886 ASN F CB  1 
ATOM 21362 C CG  . ASN C 3 885 ? 246.315 -117.593 209.002 1.0 35.01116  ? 886 ASN F CG  886 ASN F CG  1 
ATOM 21363 O OD1 . ASN C 3 885 ? 247.030 -118.484 209.446 1.0 35.01116  ? 886 ASN F OD1 886 ASN F OD1 1 
ATOM 21364 N ND2 . ASN C 3 885 ? 245.392 -117.819 208.078 1.0 35.01116  ? 886 ASN F ND2 886 ASN F ND2 1 
ATOM 21365 N N   . GLN C 3 886 ? 246.084 -116.026 212.608 1.0 35.33212  ? 887 GLN F N   887 GLN F N   1 
ATOM 21366 C CA  . GLN C 3 886 ? 245.433 -116.538 213.800 1.0 35.33212  ? 887 GLN F CA  887 GLN F CA  1 
ATOM 21367 C C   . GLN C 3 886 ? 243.953 -116.716 213.502 1.0 35.33212  ? 887 GLN F C   887 GLN F C   1 
ATOM 21368 O O   . GLN C 3 886 ? 243.163 -115.839 213.853 1.0 35.33212  ? 887 GLN F O   887 GLN F O   1 
ATOM 21369 C CB  . GLN C 3 886 ? 245.589 -115.570 214.973 1.0 35.33212  ? 887 GLN F CB  887 GLN F CB  1 
ATOM 21370 C CG  . GLN C 3 886 ? 246.943 -115.499 215.665 1.0 35.33212  ? 887 GLN F CG  887 GLN F CG  1 
ATOM 21371 C CD  . GLN C 3 886 ? 248.018 -114.825 214.847 1.0 35.33212  ? 887 GLN F CD  887 GLN F CD  1 
ATOM 21372 O OE1 . GLN C 3 886 ? 249.039 -115.428 214.533 1.0 35.33212  ? 887 GLN F OE1 887 GLN F OE1 1 
ATOM 21373 N NE2 . GLN C 3 886 ? 247.801 -113.563 214.507 1.0 35.33212  ? 887 GLN F NE2 887 GLN F NE2 1 
ATOM 21374 N N   . PRO C 3 887 ? 243.529 -117.803 212.856 1.0 36.32968  ? 888 PRO F N   888 PRO F N   1 
ATOM 21375 C CA  . PRO C 3 887 ? 242.115 -117.881 212.459 1.0 36.32968  ? 888 PRO F CA  888 PRO F CA  1 
ATOM 21376 C C   . PRO C 3 887 ? 241.166 -118.113 213.623 1.0 36.32968  ? 888 PRO F C   888 PRO F C   1 
ATOM 21377 O O   . PRO C 3 887 ? 240.075 -117.532 213.644 1.0 36.32968  ? 888 PRO F O   888 PRO F O   1 
ATOM 21378 C CB  . PRO C 3 887 ? 242.104 -119.043 211.461 1.0 36.32968  ? 888 PRO F CB  888 PRO F CB  1 
ATOM 21379 C CG  . PRO C 3 887 ? 243.249 -119.890 211.867 1.0 36.32968  ? 888 PRO F CG  888 PRO F CG  1 
ATOM 21380 C CD  . PRO C 3 887 ? 244.301 -118.962 212.383 1.0 36.32968  ? 888 PRO F CD  888 PRO F CD  1 
ATOM 21381 N N   . THR C 3 888 ? 241.557 -118.919 214.605 1.0 39.38335  ? 889 THR F N   889 THR F N   1 
ATOM 21382 C CA  . THR C 3 888 ? 240.726 -119.248 215.752 1.0 39.38335  ? 889 THR F CA  889 THR F CA  1 
ATOM 21383 C C   . THR C 3 888 ? 241.606 -119.116 216.988 1.0 39.38335  ? 889 THR F C   889 THR F C   1 
ATOM 21384 O O   . THR C 3 888 ? 242.835 -119.129 216.884 1.0 39.38335  ? 889 THR F O   889 THR F O   1 
ATOM 21385 C CB  . THR C 3 888 ? 240.151 -120.678 215.614 1.0 39.38335  ? 889 THR F CB  889 THR F CB  1 
ATOM 21386 O OG1 . THR C 3 888 ? 239.652 -120.857 214.286 1.0 39.38335  ? 889 THR F OG1 889 THR F OG1 1 
ATOM 21387 C CG2 . THR C 3 888 ? 238.973 -120.923 216.551 1.0 39.38335  ? 889 THR F CG2 889 THR F CG2 1 
ATOM 21388 N N   . ARG C 3 889 ? 240.982 -118.931 218.153 1.0 40.77641  ? 890 ARG F N   890 ARG F N   1 
ATOM 21389 C CA  . ARG C 3 889 ? 241.706 -119.015 219.415 1.0 40.77641  ? 890 ARG F CA  890 ARG F CA  1 
ATOM 21390 C C   . ARG C 3 889 ? 242.340 -120.394 219.565 1.0 40.77641  ? 890 ARG F C   890 ARG F C   1 
ATOM 21391 O O   . ARG C 3 889 ? 241.742 -121.407 219.192 1.0 40.77641  ? 890 ARG F O   890 ARG F O   1 
ATOM 21392 C CB  . ARG C 3 889 ? 240.767 -118.734 220.590 1.0 40.77641  ? 890 ARG F CB  890 ARG F CB  1 
ATOM 21393 C CG  . ARG C 3 889 ? 241.474 -118.719 221.928 1.0 40.77641  ? 890 ARG F CG  890 ARG F CG  1 
ATOM 21394 C CD  . ARG C 3 889 ? 240.572 -118.472 223.112 1.0 40.77641  ? 890 ARG F CD  890 ARG F CD  1 
ATOM 21395 N NE  . ARG C 3 889 ? 241.348 -118.620 224.340 1.0 40.77641  ? 890 ARG F NE  890 ARG F NE  1 
ATOM 21396 C CZ  . ARG C 3 889 ? 240.856 -118.504 225.565 1.0 40.77641  ? 890 ARG F CZ  890 ARG F CZ  1 
ATOM 21397 N NH1 . ARG C 3 889 ? 239.573 -118.235 225.747 1.0 40.77641  ? 890 ARG F NH1 890 ARG F NH1 1 
ATOM 21398 N NH2 . ARG C 3 889 ? 241.653 -118.654 226.614 1.0 40.77641  ? 890 ARG F NH2 890 ARG F NH2 1 
ATOM 21399 N N   . SER C 3 890 ? 243.584 -120.406 220.068 1.0 40.03647  ? 891 SER F N   891 SER F N   1 
ATOM 21400 C CA  . SER C 3 890 ? 244.429 -121.594 220.234 1.0 40.03647  ? 891 SER F CA  891 SER F CA  1 
ATOM 21401 C C   . SER C 3 890 ? 244.724 -122.271 218.903 1.0 40.03647  ? 891 SER F C   891 SER F C   1 
ATOM 21402 O O   . SER C 3 890 ? 244.907 -123.487 218.846 1.0 40.03647  ? 891 SER F O   891 SER F O   1 
ATOM 21403 C CB  . SER C 3 890 ? 243.833 -122.605 221.223 1.0 40.03647  ? 891 SER F CB  891 SER F CB  1 
ATOM 21404 O OG  . SER C 3 890 ? 243.691 -122.055 222.518 1.0 40.03647  ? 891 SER F OG  891 SER F OG  1 
ATOM 21405 N N   . GLY C 3 891 ? 244.765 -121.498 217.823 1.0 38.42222  ? 892 GLY F N   892 GLY F N   1 
ATOM 21406 C CA  . GLY C 3 891 ? 245.139 -122.044 216.536 1.0 38.42222  ? 892 GLY F CA  892 GLY F CA  1 
ATOM 21407 C C   . GLY C 3 891 ? 245.840 -121.046 215.645 1.0 38.42222  ? 892 GLY F C   892 GLY F C   1 
ATOM 21408 O O   . GLY C 3 891 ? 245.301 -119.971 215.378 1.0 38.42222  ? 892 GLY F O   892 GLY F O   1 
ATOM 21409 N N   . ILE C 3 892 ? 247.050 -121.373 215.189 1.0 36.67061  ? 893 ILE F N   893 ILE F N   1 
ATOM 21410 C CA  . ILE C 3 892 ? 247.781 -120.549 214.234 1.0 36.67061  ? 893 ILE F CA  893 ILE F CA  1 
ATOM 21411 C C   . ILE C 3 892 ? 248.350 -121.455 213.154 1.0 36.67061  ? 893 ILE F C   893 ILE F C   1 
ATOM 21412 O O   . ILE C 3 892 ? 248.570 -122.649 213.370 1.0 36.67061  ? 893 ILE F O   893 ILE F O   1 
ATOM 21413 C CB  . ILE C 3 892 ? 248.917 -119.719 214.880 1.0 36.67061  ? 893 ILE F CB  893 ILE F CB  1 
ATOM 21414 C CG1 . ILE C 3 892 ? 249.948 -120.609 215.542 1.0 36.67061  ? 893 ILE F CG1 893 ILE F CG1 1 
ATOM 21415 C CG2 . ILE C 3 892 ? 248.405 -118.781 215.935 1.0 36.67061  ? 893 ILE F CG2 893 ILE F CG2 1 
ATOM 21416 C CD1 . ILE C 3 892 ? 251.152 -119.834 215.985 1.0 36.67061  ? 893 ILE F CD1 893 ILE F CD1 1 
ATOM 21417 N N   . SER C 3 893 ? 248.587 -120.879 211.981 1.0 35.66968  ? 894 SER F N   894 SER F N   1 
ATOM 21418 C CA  . SER C 3 893 ? 249.153 -121.629 210.872 1.0 35.66968  ? 894 SER F CA  894 SER F CA  1 
ATOM 21419 C C   . SER C 3 893 ? 249.949 -120.673 210.004 1.0 35.66968  ? 894 SER F C   894 SER F C   1 
ATOM 21420 O O   . SER C 3 893 ? 249.655 -119.479 209.950 1.0 35.66968  ? 894 SER F O   894 SER F O   1 
ATOM 21421 C CB  . SER C 3 893 ? 248.068 -122.330 210.053 1.0 35.66968  ? 894 SER F CB  894 SER F CB  1 
ATOM 21422 O OG  . SER C 3 893 ? 247.232 -121.390 209.406 1.0 35.66968  ? 894 SER F OG  894 SER F OG  1 
ATOM 21423 N N   . VAL C 3 894 ? 250.978 -121.196 209.345 1.0 35.00653  ? 895 VAL F N   895 VAL F N   1 
ATOM 21424 C CA  . VAL C 3 894 ? 251.888 -120.340 208.595 1.0 35.00653  ? 895 VAL F CA  895 VAL F CA  1 
ATOM 21425 C C   . VAL C 3 894 ? 251.960 -120.771 207.142 1.0 35.00653  ? 895 VAL F C   895 VAL F C   1 
ATOM 21426 O O   . VAL C 3 894 ? 251.312 -121.739 206.732 1.0 35.00653  ? 895 VAL F O   895 VAL F O   1 
ATOM 21427 C CB  . VAL C 3 894 ? 253.294 -120.349 209.208 1.0 35.00653  ? 895 VAL F CB  895 VAL F CB  1 
ATOM 21428 C CG1 . VAL C 3 894 ? 253.259 -119.798 210.608 1.0 35.00653  ? 895 VAL F CG1 895 VAL F CG1 1 
ATOM 21429 C CG2 . VAL C 3 894 ? 253.848 -121.752 209.189 1.0 35.00653  ? 895 VAL F CG2 895 VAL F CG2 1 
ATOM 21430 N N   . ALA C 3 895 ? 252.755 -120.049 206.361 1.0 34.30328  ? 896 ALA F N   896 ALA F N   1 
ATOM 21431 C CA  . ALA C 3 895 ? 253.050 -120.435 204.987 1.0 34.30328  ? 896 ALA F CA  896 ALA F CA  1 
ATOM 21432 C C   . ALA C 3 895 ? 254.406 -119.842 204.644 1.0 34.30328  ? 896 ALA F C   896 ALA F C   1 
ATOM 21433 O O   . ALA C 3 895 ? 254.512 -118.632 204.444 1.0 34.30328  ? 896 ALA F O   896 ALA F O   1 
ATOM 21434 C CB  . ALA C 3 895 ? 251.975 -119.939 204.034 1.0 34.30328  ? 896 ALA F CB  896 ALA F CB  1 
ATOM 21435 N N   . TYR C 3 896 ? 255.436 -120.675 204.603 1.0 37.06415  ? 897 TYR F N   897 TYR F N   1 
ATOM 21436 C CA  . TYR C 3 896 ? 256.770 -120.214 204.259 1.0 37.06415  ? 897 TYR F CA  897 TYR F CA  1 
ATOM 21437 C C   . TYR C 3 896 ? 256.917 -120.209 202.747 1.0 37.06415  ? 897 TYR F C   897 TYR F C   1 
ATOM 21438 O O   . TYR C 3 896 ? 256.377 -121.073 202.056 1.0 37.06415  ? 897 TYR F O   897 TYR F O   1 
ATOM 21439 C CB  . TYR C 3 896 ? 257.855 -121.099 204.880 1.0 37.06415  ? 897 TYR F CB  897 TYR F CB  1 
ATOM 21440 C CG  . TYR C 3 896 ? 257.990 -121.021 206.386 1.0 37.06415  ? 897 TYR F CG  897 TYR F CG  1 
ATOM 21441 C CD1 . TYR C 3 896 ? 257.346 -120.044 207.116 1.0 37.06415  ? 897 TYR F CD1 897 TYR F CD1 1 
ATOM 21442 C CD2 . TYR C 3 896 ? 258.785 -121.920 207.071 1.0 37.06415  ? 897 TYR F CD2 897 TYR F CD2 1 
ATOM 21443 C CE1 . TYR C 3 896 ? 257.472 -119.976 208.485 1.0 37.06415  ? 897 TYR F CE1 897 TYR F CE1 1 
ATOM 21444 C CE2 . TYR C 3 896 ? 258.921 -121.851 208.441 1.0 37.06415  ? 897 TYR F CE2 897 TYR F CE2 1 
ATOM 21445 C CZ  . TYR C 3 896 ? 258.263 -120.876 209.137 1.0 37.06415  ? 897 TYR F CZ  897 TYR F CZ  1 
ATOM 21446 O OH  . TYR C 3 896 ? 258.393 -120.805 210.501 1.0 37.06415  ? 897 TYR F OH  897 TYR F OH  1 
ATOM 21447 N N   . LEU C 3 897 ? 257.643 -119.220 202.235 1.0 36.89349  ? 898 LEU F N   898 LEU F N   1 
ATOM 21448 C CA  . LEU C 3 897 ? 257.885 -119.131 200.801 1.0 36.89349  ? 898 LEU F CA  898 LEU F CA  1 
ATOM 21449 C C   . LEU C 3 897 ? 259.126 -118.293 200.576 1.0 36.89349  ? 898 LEU F C   898 LEU F C   1 
ATOM 21450 O O   . LEU C 3 897 ? 259.123 -117.093 200.857 1.0 36.89349  ? 898 LEU F O   898 LEU F O   1 
ATOM 21451 C CB  . LEU C 3 897 ? 256.676 -118.532 200.071 1.0 36.89349  ? 898 LEU F CB  898 LEU F CB  1 
ATOM 21452 C CG  . LEU C 3 897 ? 256.557 -118.516 198.540 1.0 36.89349  ? 898 LEU F CG  898 LEU F CG  1 
ATOM 21453 C CD1 . LEU C 3 897 ? 257.185 -117.294 197.890 1.0 36.89349  ? 898 LEU F CD1 898 LEU F CD1 1 
ATOM 21454 C CD2 . LEU C 3 897 ? 257.160 -119.785 197.960 1.0 36.89349  ? 898 LEU F CD2 898 LEU F CD2 1 
ATOM 21455 N N   . ARG C 3 898 ? 260.177 -118.924 200.068 1.0 39.27576  ? 899 ARG F N   899 ARG F N   1 
ATOM 21456 C CA  . ARG C 3 898 ? 261.395 -118.219 199.700 1.0 39.27576  ? 899 ARG F CA  899 ARG F CA  1 
ATOM 21457 C C   . ARG C 3 898 ? 261.607 -118.431 198.211 1.0 39.27576  ? 899 ARG F C   899 ARG F C   1 
ATOM 21458 O O   . ARG C 3 898 ? 261.219 -119.472 197.680 1.0 39.27576  ? 899 ARG F O   899 ARG F O   1 
ATOM 21459 C CB  . ARG C 3 898 ? 262.580 -118.702 200.548 1.0 39.27576  ? 899 ARG F CB  899 ARG F CB  1 
ATOM 21460 C CG  . ARG C 3 898 ? 263.017 -120.140 200.406 1.0 39.27576  ? 899 ARG F CG  899 ARG F CG  1 
ATOM 21461 C CD  . ARG C 3 898 ? 264.304 -120.234 199.615 1.0 39.27576  ? 899 ARG F CD  899 ARG F CD  1 
ATOM 21462 N NE  . ARG C 3 898 ? 264.807 -121.602 199.549 1.0 39.27576  ? 899 ARG F NE  899 ARG F NE  1 
ATOM 21463 C CZ  . ARG C 3 898 ? 265.667 -122.131 200.413 1.0 39.27576  ? 899 ARG F CZ  899 ARG F CZ  1 
ATOM 21464 N NH1 . ARG C 3 898 ? 266.128 -121.412 201.423 1.0 39.27576  ? 899 ARG F NH1 899 ARG F NH1 1 
ATOM 21465 N NH2 . ARG C 3 898 ? 266.063 -123.385 200.264 1.0 39.27576  ? 899 ARG F NH2 899 ARG F NH2 1 
ATOM 21466 N N   . LEU C 3 899 ? 262.147 -117.421 197.523 1.0 39.56716  ? 900 LEU F N   900 LEU F N   1 
ATOM 21467 C CA  . LEU C 3 899 ? 262.330 -117.492 196.074 1.0 39.56716  ? 900 LEU F CA  900 LEU F CA  1 
ATOM 21468 C C   . LEU C 3 899 ? 263.698 -116.971 195.694 1.0 39.56716  ? 900 LEU F C   900 LEU F C   1 
ATOM 21469 O O   . LEU C 3 899 ? 264.118 -115.941 196.233 1.0 39.56716  ? 900 LEU F O   900 LEU F O   1 
ATOM 21470 C CB  . LEU C 3 899 ? 261.264 -116.681 195.347 1.0 39.56716  ? 900 LEU F CB  900 LEU F CB  1 
ATOM 21471 C CG  . LEU C 3 899 ? 259.873 -117.289 195.313 1.0 39.56716  ? 900 LEU F CG  900 LEU F CG  1 
ATOM 21472 C CD1 . LEU C 3 899 ? 258.911 -116.334 194.666 1.0 39.56716  ? 900 LEU F CD1 900 LEU F CD1 1 
ATOM 21473 C CD2 . LEU C 3 899 ? 259.905 -118.604 194.564 1.0 39.56716  ? 900 LEU F CD2 900 LEU F CD2 1 
ATOM 21474 N N   . PRO C 3 900 ? 264.402 -117.583 194.731 1.0 41.43874  ? 901 PRO F N   901 PRO F N   1 
ATOM 21475 C CA  . PRO C 3 900 ? 264.031 -118.649 193.793 1.0 41.43874  ? 901 PRO F CA  901 PRO F CA  1 
ATOM 21476 C C   . PRO C 3 900 ? 264.024 -120.091 194.320 1.0 41.43874  ? 901 PRO F C   901 PRO F C   1 
ATOM 21477 O O   . PRO C 3 900 ? 263.323 -120.904 193.723 1.0 41.43874  ? 901 PRO F O   901 PRO F O   1 
ATOM 21478 C CB  . PRO C 3 900 ? 265.103 -118.526 192.702 1.0 41.43874  ? 901 PRO F CB  901 PRO F CB  1 
ATOM 21479 C CG  . PRO C 3 900 ? 265.661 -117.178 192.850 1.0 41.43874  ? 901 PRO F CG  901 PRO F CG  1 
ATOM 21480 C CD  . PRO C 3 900 ? 265.634 -116.910 194.302 1.0 41.43874  ? 901 PRO F CD  901 PRO F CD  1 
ATOM 21481 N N   . PHE C 3 901 ? 264.758 -120.407 195.386 1.0 40.85929  ? 902 PHE F N   902 PHE F N   1 
ATOM 21482 C CA  . PHE C 3 901 ? 264.962 -121.814 195.721 1.0 40.85929  ? 902 PHE F CA  902 PHE F CA  1 
ATOM 21483 C C   . PHE C 3 901 ? 263.774 -122.354 196.513 1.0 40.85929  ? 902 PHE F C   902 PHE F C   1 
ATOM 21484 O O   . PHE C 3 901 ? 262.842 -121.605 196.799 1.0 40.85929  ? 902 PHE F O   902 PHE F O   1 
ATOM 21485 C CB  . PHE C 3 901 ? 266.267 -122.004 196.501 1.0 40.85929  ? 902 PHE F CB  902 PHE F CB  1 
ATOM 21486 C CG  . PHE C 3 901 ? 267.518 -121.720 195.707 1.0 40.85929  ? 902 PHE F CG  902 PHE F CG  1 
ATOM 21487 C CD1 . PHE C 3 901 ? 267.485 -121.565 194.324 1.0 40.85929  ? 902 PHE F CD1 902 PHE F CD1 1 
ATOM 21488 C CD2 . PHE C 3 901 ? 268.733 -121.621 196.343 1.0 40.85929  ? 902 PHE F CD2 902 PHE F CD2 1 
ATOM 21489 C CE1 . PHE C 3 901 ? 268.628 -121.306 193.616 1.0 40.85929  ? 902 PHE F CE1 902 PHE F CE1 1 
ATOM 21490 C CE2 . PHE C 3 901 ? 269.879 -121.358 195.628 1.0 40.85929  ? 902 PHE F CE2 902 PHE F CE2 1 
ATOM 21491 C CZ  . PHE C 3 901 ? 269.825 -121.199 194.261 1.0 40.85929  ? 902 PHE F CZ  902 PHE F CZ  1 
ATOM 21492 N N   . ALA C 3 902 ? 263.769 -123.641 196.854 1.0 42.3228   ? 903 ALA F N   903 ALA F N   1 
ATOM 21493 C CA  . ALA C 3 902 ? 262.570 -124.243 197.422 1.0 42.3228   ? 903 ALA F CA  903 ALA F CA  1 
ATOM 21494 C C   . ALA C 3 902 ? 262.932 -125.190 198.557 1.0 42.3228   ? 903 ALA F C   903 ALA F C   1 
ATOM 21495 O O   . ALA C 3 902 ? 264.067 -125.659 198.672 1.0 42.3228   ? 903 ALA F O   903 ALA F O   1 
ATOM 21496 C CB  . ALA C 3 902 ? 261.760 -124.989 196.355 1.0 42.3228   ? 903 ALA F CB  903 ALA F CB  1 
ATOM 21497 N N   . SER C 3 903 ? 261.934 -125.471 199.397 1.0 45.89893  ? 904 SER F N   904 SER F N   1 
ATOM 21498 C CA  . SER C 3 903 ? 262.033 -126.445 200.481 1.0 45.89893  ? 904 SER F CA  904 SER F CA  1 
ATOM 21499 C C   . SER C 3 903 ? 260.626 -126.847 200.907 1.0 45.89893  ? 904 SER F C   904 SER F C   1 
ATOM 21500 O O   . SER C 3 903 ? 259.640 -126.536 200.235 1.0 45.89893  ? 904 SER F O   904 SER F O   1 
ATOM 21501 C CB  . SER C 3 903 ? 262.813 -125.890 201.669 1.0 45.89893  ? 904 SER F CB  904 SER F CB  1 
ATOM 21502 O OG  . SER C 3 903 ? 264.174 -125.691 201.341 1.0 45.89893  ? 904 SER F OG  904 SER F OG  1 
ATOM 21503 N N   . GLY C 3 904 ? 260.541 -127.548 202.038 1.0 44.72601  ? 905 GLY F N   905 GLY F N   1 
ATOM 21504 C CA  . GLY C 3 904 ? 259.261 -127.931 202.607 1.0 44.72601  ? 905 GLY F CA  905 GLY F CA  1 
ATOM 21505 C C   . GLY C 3 904 ? 258.542 -126.756 203.235 1.0 44.72601  ? 905 GLY F C   905 GLY F C   1 
ATOM 21506 O O   . GLY C 3 904 ? 259.118 -126.050 204.065 1.0 44.72601  ? 905 GLY F O   905 GLY F O   1 
ATOM 21507 N N   . SER C 3 905 ? 257.280 -126.540 202.865 1.0 44.55514  ? 906 SER F N   906 SER F N   1 
ATOM 21508 C CA  . SER C 3 905 ? 256.589 -125.306 203.207 1.0 44.55514  ? 906 SER F CA  906 SER F CA  1 
ATOM 21509 C C   . SER C 3 905 ? 255.155 -125.596 203.620 1.0 44.55514  ? 906 SER F C   906 SER F C   1 
ATOM 21510 O O   . SER C 3 905 ? 254.606 -126.659 203.318 1.0 44.55514  ? 906 SER F O   906 SER F O   1 
ATOM 21511 C CB  . SER C 3 905 ? 256.583 -124.331 202.032 1.0 44.55514  ? 906 SER F CB  906 SER F CB  1 
ATOM 21512 O OG  . SER C 3 905 ? 255.780 -124.827 200.977 1.0 44.55514  ? 906 SER F OG  906 SER F OG  1 
ATOM 21513 N N   . ALA C 3 906 ? 254.564 -124.615 204.308 1.0 40.43745  ? 907 ALA F N   907 ALA F N   1 
ATOM 21514 C CA  . ALA C 3 906 ? 253.174 -124.619 204.787 1.0 40.43745  ? 907 ALA F CA  907 ALA F CA  1 
ATOM 21515 C C   . ALA C 3 906 ? 252.823 -125.838 205.641 1.0 40.43745  ? 907 ALA F C   907 ALA F C   1 
ATOM 21516 O O   . ALA C 3 906 ? 252.307 -125.703 206.750 1.0 40.43745  ? 907 ALA F O   907 ALA F O   1 
ATOM 21517 C CB  . ALA C 3 906 ? 252.206 -124.503 203.612 1.0 40.43745  ? 907 ALA F CB  907 ALA F CB  1 
# 
"""

def saveFiles(dir="/tmp"):
    """Create 2 cif files with hexons 1 and 2 respectively"""
    h1Fn = os.path.join(dir, "h1.cif")
    h2Fn = os.path.join(dir, "h2.cif")
    with open(h1Fn, "w") as file:
        file.write(h1)
    with open(h2Fn, "w") as file:
        file.write(h2)
    return h1Fn, h2Fn


